#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 3704
#define LARGE_STATE_COUNT 2200
#define SYMBOL_COUNT 459
#define ALIAS_COUNT 10
#define TOKEN_COUNT 284
#define EXTERNAL_TOKEN_COUNT 37
#define FIELD_COUNT 43
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 154

enum ts_symbol_identifiers {
  sym__identifier = 1,
  anon_sym_LBRACE = 2,
  anon_sym_RBRACE = 3,
  anon_sym_COLON = 4,
  anon_sym_SEMI = 5,
  anon_sym_package = 6,
  anon_sym_class = 7,
  anon_sym_role = 8,
  anon_sym_BUILD = 9,
  anon_sym_ADJUST = 10,
  anon_sym_DOLLAR = 11,
  anon_sym_EQ = 12,
  anon_sym_PIPE_PIPE_EQ = 13,
  anon_sym_SLASH_SLASH_EQ = 14,
  anon_sym_AT = 15,
  anon_sym_COMMA = 16,
  anon_sym_RPAREN = 17,
  anon_sym_my = 18,
  anon_sym_extended = 19,
  anon_sym_async = 20,
  anon_sym_sub = 21,
  anon_sym_method = 22,
  anon_sym_LPAREN = 23,
  anon_sym_continue = 24,
  anon_sym_state = 25,
  anon_sym_our = 26,
  anon_sym_try = 27,
  anon_sym_catch = 28,
  anon_sym_finally = 29,
  anon_sym_defer = 30,
  anon_sym_DOT_DOT_DOT = 31,
  anon_sym_else = 32,
  anon_sym_elsif = 33,
  anon_sym_and = 34,
  anon_sym_or = 35,
  anon_sym_xor = 36,
  anon_sym_LBRACK = 37,
  anon_sym_RBRACK = 38,
  anon_sym_DASH_GT = 39,
  anon_sym_PERCENT = 40,
  anon_sym_LT = 41,
  anon_sym_GT = 42,
  anon_sym_LT_LT = 43,
  anon_sym_GT_GT = 44,
  anon_sym_STAR_STAR_EQ = 45,
  anon_sym_PLUS_EQ = 46,
  anon_sym_DASH_EQ = 47,
  anon_sym_DOT_EQ = 48,
  anon_sym_STAR_EQ = 49,
  anon_sym_SLASH_EQ = 50,
  anon_sym_PERCENT_EQ = 51,
  anon_sym_x_EQ = 52,
  anon_sym_AMP_EQ = 53,
  anon_sym_PIPE_EQ = 54,
  anon_sym_CARET_EQ = 55,
  anon_sym_LT_LT_EQ = 56,
  anon_sym_GT_GT_EQ = 57,
  anon_sym_AMP_AMP_EQ = 58,
  anon_sym_DOT_DOT = 59,
  anon_sym_STAR_STAR = 60,
  anon_sym_PIPE_PIPE = 61,
  anon_sym_SLASH_SLASH = 62,
  anon_sym_CARET_CARET = 63,
  anon_sym_AMP_AMP = 64,
  anon_sym_PIPE = 65,
  anon_sym_CARET = 66,
  anon_sym_AMP = 67,
  anon_sym_GT_GT2 = 68,
  anon_sym_PLUS = 69,
  anon_sym_DASH = 70,
  anon_sym_DOT = 71,
  anon_sym_STAR = 72,
  anon_sym_SLASH = 73,
  anon_sym_x = 74,
  anon_sym_EQ_TILDE = 75,
  anon_sym_BANG_TILDE = 76,
  anon_sym_EQ_EQ = 77,
  anon_sym_BANG_EQ = 78,
  anon_sym_eq = 79,
  anon_sym_EQ_EQ_EQ = 80,
  anon_sym_equ = 81,
  anon_sym_eqr = 82,
  anon_sym_ne = 83,
  anon_sym_LT_EQ_GT = 84,
  anon_sym_cmp = 85,
  anon_sym_TILDE_TILDE = 86,
  anon_sym_LT_EQ = 87,
  anon_sym_GT_EQ = 88,
  anon_sym_lt = 89,
  anon_sym_le = 90,
  anon_sym_ge = 91,
  anon_sym_gt = 92,
  anon_sym_isa = 93,
  anon_sym_TILDE = 94,
  anon_sym_BANG = 95,
  anon_sym_PLUS_PLUS = 96,
  anon_sym_DASH_DASH = 97,
  anon_sym_QMARK = 98,
  anon_sym_BSLASH = 99,
  anon_sym_do = 100,
  anon_sym_eval = 101,
  anon_sym_await = 102,
  anon_sym_field = 103,
  anon_sym_local = 104,
  anon_sym_dynamically = 105,
  anon_sym_require = 106,
  anon_sym_map = 107,
  anon_sym_grep = 108,
  anon_sym_sort = 109,
  anon_sym_goto = 110,
  anon_sym_return = 111,
  anon_sym_undef = 112,
  anon_sym_PERCENT2 = 113,
  anon_sym_DOLLAR_POUND = 114,
  aux_sym__var_indirob_autoquote_token1 = 115,
  anon_sym_EQ_GT = 116,
  anon_sym_use = 117,
  anon_sym_no = 118,
  anon_sym_for = 119,
  anon_sym_foreach = 120,
  anon_sym_last = 121,
  anon_sym_next = 122,
  anon_sym_redo = 123,
  anon_sym_BEGIN = 124,
  anon_sym_INIT = 125,
  anon_sym_CHECK = 126,
  anon_sym_UNITCHECK = 127,
  anon_sym_END = 128,
  anon_sym___FILE__ = 129,
  anon_sym___LINE__ = 130,
  anon_sym___PACKAGE__ = 131,
  anon_sym___SUB__ = 132,
  anon_sym_break = 133,
  anon_sym_fork = 134,
  anon_sym_getppid = 135,
  anon_sym_time = 136,
  anon_sym_times = 137,
  anon_sym_wait = 138,
  anon_sym_wantarray = 139,
  anon_sym_abs = 140,
  anon_sym_alarm = 141,
  anon_sym_chop = 142,
  anon_sym_chdir = 143,
  anon_sym_close = 144,
  anon_sym_closedir = 145,
  anon_sym_caller = 146,
  anon_sym_chomp = 147,
  anon_sym_chr = 148,
  anon_sym_cos = 149,
  anon_sym_chroot = 150,
  anon_sym_defined = 151,
  anon_sym_delete = 152,
  anon_sym_dbmclose = 153,
  anon_sym_exists = 154,
  anon_sym_exit = 155,
  anon_sym_eof = 156,
  anon_sym_exp = 157,
  anon_sym_each = 158,
  anon_sym_fc = 159,
  anon_sym_fileno = 160,
  anon_sym_gmtime = 161,
  anon_sym_getc = 162,
  anon_sym_getpgrp = 163,
  anon_sym_getprotobyname = 164,
  anon_sym_getpwname = 165,
  anon_sym_getpwuid = 166,
  anon_sym_getpeername = 167,
  anon_sym_getnetbyname = 168,
  anon_sym_getsockname = 169,
  anon_sym_getgrnam = 170,
  anon_sym_getgrgid = 171,
  anon_sym_hex = 172,
  anon_sym_int = 173,
  anon_sym_keys = 174,
  anon_sym_lc = 175,
  anon_sym_lcfirst = 176,
  anon_sym_length = 177,
  anon_sym_localtime = 178,
  anon_sym_log = 179,
  anon_sym_lock = 180,
  anon_sym_lstat = 181,
  anon_sym_oct = 182,
  anon_sym_ord = 183,
  anon_sym_prototype = 184,
  anon_sym_pop = 185,
  anon_sym_pos = 186,
  anon_sym_quotemeta = 187,
  anon_sym_reset = 188,
  anon_sym_rand = 189,
  anon_sym_rmdir = 190,
  anon_sym_readdir = 191,
  anon_sym_readline = 192,
  anon_sym_readpipe = 193,
  anon_sym_rewinddir = 194,
  anon_sym_readlink = 195,
  anon_sym_ref = 196,
  anon_sym_scalar = 197,
  anon_sym_shift = 198,
  anon_sym_sin = 199,
  anon_sym_sleep = 200,
  anon_sym_sqrt = 201,
  anon_sym_srand = 202,
  anon_sym_stat = 203,
  anon_sym_study = 204,
  anon_sym_tell = 205,
  anon_sym_telldir = 206,
  anon_sym_tied = 207,
  anon_sym_uc = 208,
  anon_sym_ucfirst = 209,
  anon_sym_untie = 210,
  anon_sym_umask = 211,
  anon_sym_values = 212,
  anon_sym_write = 213,
  sym_comment = 214,
  anon_sym___DATA__ = 215,
  anon_sym___END__ = 216,
  aux_sym___DATA___token1 = 217,
  anon_sym_EOT = 218,
  anon_sym_q = 219,
  anon_sym_qq = 220,
  anon_sym_DASH_GT2 = 221,
  anon_sym_LBRACK2 = 222,
  anon_sym_LBRACE2 = 223,
  aux_sym__interpolation_fallbacks_token1 = 224,
  anon_sym_qw = 225,
  anon_sym_qx = 226,
  anon_sym_qr = 227,
  anon_sym_m = 228,
  anon_sym_s = 229,
  sym_quoted_regexp_modifiers = 230,
  sym_match_regexp_modifiers = 231,
  sym_substitution_regexp_modifiers = 232,
  sym_transliteration_modifiers = 233,
  aux_sym__interpolated_transliteration_content_token1 = 234,
  anon_sym_tr = 235,
  anon_sym_y = 236,
  sym_version = 237,
  anon_sym_if = 238,
  anon_sym_unless = 239,
  anon_sym_while = 240,
  anon_sym_until = 241,
  aux_sym__ident_special_token1 = 242,
  aux_sym__bareword_token1 = 243,
  sym_number = 244,
  anon_sym_true = 245,
  anon_sym_false = 246,
  sym__single_quote = 247,
  sym__double_quote = 248,
  sym__backtick_quote = 249,
  sym__search_slash_quote = 250,
  sym__no_search_slash_plz = 251,
  sym__PERLY_SEMICOLON = 252,
  sym__PERLY_HEREDOC = 253,
  sym__ctrl_z_hack = 254,
  sym__quotelike_begin_quote = 255,
  sym__quotelike_middle_close_quote = 256,
  sym__quotelike_middle_skip = 257,
  sym__quotelike_end_zw = 258,
  sym__quotelike_end_quote = 259,
  sym__q_string_content = 260,
  sym__qq_string_content = 261,
  sym_escape_sequence = 262,
  sym_escaped_delimiter = 263,
  sym__dollar_in_regexp = 264,
  sym_pod = 265,
  sym__gobbled_content = 266,
  sym__attribute_value_begin = 267,
  sym_attribute_value = 268,
  sym_prototype = 269,
  sym__signature_start = 270,
  sym__heredoc_delimiter = 271,
  sym__command_heredoc_delimiter = 272,
  sym__heredoc_start = 273,
  sym__heredoc_middle = 274,
  sym_heredoc_end = 275,
  sym__fat_comma_autoquoted = 276,
  sym__filetest = 277,
  sym__brace_autoquoted_token = 278,
  sym__brace_end_zw = 279,
  sym__dollar_ident_zw = 280,
  sym__no_interp_whitespace_zw = 281,
  sym__NONASSOC = 282,
  sym__ERROR = 283,
  sym_source_file = 284,
  sym__PERLY_BRACE_OPEN = 285,
  sym_block = 286,
  sym__fullstmt = 287,
  sym_statement_label = 288,
  sym__semicolon = 289,
  sym__barestmt = 290,
  sym_package_statement = 291,
  sym_class_statement = 292,
  sym_role_statement = 293,
  sym_class_phaser_statement = 294,
  sym_use_version_statement = 295,
  sym_use_statement = 296,
  sym_mandatory_parameter = 297,
  sym_optional_parameter = 298,
  sym_named_parameter = 299,
  sym_slurpy_parameter = 300,
  sym__signature_vars = 301,
  sym_signature = 302,
  sym_subroutine_declaration_statement = 303,
  sym_method_declaration_statement = 304,
  sym_phaser_statement = 305,
  sym_conditional_statement = 306,
  sym__loop_body = 307,
  sym_loop_statement = 308,
  sym_cstyle_for_statement = 309,
  sym__for_initializer = 310,
  sym_for_statement = 311,
  sym_try_statement = 312,
  sym_defer_statement = 313,
  sym_expression_statement = 314,
  sym__postfix_expressions = 315,
  sym_postfix_conditional_expression = 316,
  sym_postfix_loop_expression = 317,
  sym_postfix_for_expression = 318,
  sym_yadayada = 319,
  sym__else = 320,
  sym_else = 321,
  sym_elsif = 322,
  sym__expr = 323,
  sym_lowprec_logical_expression = 324,
  sym__listexpr = 325,
  sym__term_rightward = 326,
  sym_list_expression = 327,
  sym__subscripted = 328,
  sym_container_variable = 329,
  sym_array_element_expression = 330,
  sym__hash_key = 331,
  sym_hash_element_expression = 332,
  sym_coderef_call_expression = 333,
  sym_anonymous_slice_expression = 334,
  sym_slice_container_variable = 335,
  sym_slice_expression = 336,
  sym_keyval_container_variable = 337,
  sym_keyval_expression = 338,
  sym__term = 339,
  sym_readline_expression = 340,
  sym_assignment_expression = 341,
  sym_binary_expression = 342,
  sym_equality_expression = 343,
  sym_relational_expression = 344,
  sym_unary_expression = 345,
  sym_preinc_expression = 346,
  sym_postinc_expression = 347,
  sym_conditional_expression = 348,
  sym_refgen_expression = 349,
  sym_anonymous_array_expression = 350,
  sym__tricky_list = 351,
  sym_anonymous_hash_expression = 352,
  sym_anonymous_subroutine_expression = 353,
  sym_anonymous_method_expression = 354,
  sym_do_expression = 355,
  sym_eval_expression = 356,
  sym_await_expression = 357,
  sym__declared_vars = 358,
  sym_variable_declaration = 359,
  sym__decl_variable_list = 360,
  sym_localization_expression = 361,
  sym_stub_expression = 362,
  sym_scalar_deref_expression = 363,
  sym_array_deref_expression = 364,
  sym_hash_deref_expression = 365,
  sym_amper_deref_expression = 366,
  sym_glob_deref_expression = 367,
  sym_require_expression = 368,
  sym_func0op_call_expression = 369,
  sym_func1op_call_expression = 370,
  sym_map_grep_expression = 371,
  sym_sort_expression = 372,
  sym__label_arg = 373,
  sym_loopex_expression = 374,
  sym_goto_expression = 375,
  sym_return_expression = 376,
  sym_undef_expression = 377,
  sym__listop = 378,
  sym_indirect_object = 379,
  sym_function_call_expression = 380,
  sym__tricky_indirob_hashref = 381,
  sym_ambiguous_function_call_expression = 382,
  sym_function = 383,
  sym_method_call_expression = 384,
  sym_method = 385,
  sym__signature_varname = 386,
  sym_scalar = 387,
  sym__declare_scalar = 388,
  sym__signature_scalar = 389,
  sym_array = 390,
  sym__declare_array = 391,
  sym__signature_array = 392,
  sym_hash = 393,
  sym__declare_hash = 394,
  sym__signature_hash = 395,
  sym_arraylen = 396,
  sym_glob = 397,
  sym__indirob = 398,
  sym_varname = 399,
  sym__var_indirob_autoquote = 400,
  sym__var_indirob = 401,
  sym_attrlist = 402,
  sym_attribute = 403,
  sym_attribute_name = 404,
  sym___DATA__ = 405,
  sym__literal = 406,
  sym__apostrophe = 407,
  sym__quotation_mark = 408,
  sym__backtick = 409,
  sym__search_slash = 410,
  sym__quotelike_begin = 411,
  sym__quotelike_middle_close = 412,
  sym__quotelike_end = 413,
  sym__quotelike_middle = 414,
  sym_string_literal = 415,
  sym_interpolated_string_literal = 416,
  sym__subscripted_interpolations = 417,
  sym__braced_scalar = 418,
  sym__braced_array = 419,
  sym__interp_arrow = 420,
  sym__array_element_interpolation = 421,
  sym__hash_element_interpolation = 422,
  sym__slice_expression_interpolation = 423,
  sym__interpolations = 424,
  aux_sym__noninterpolated_string_content = 425,
  sym__interpolation_fallbacks = 426,
  sym__nonvar_interpolation_fallbacks = 427,
  aux_sym__interpolated_string_content = 428,
  sym_quoted_word_list = 429,
  sym_command_string = 430,
  sym_quoted_regexp = 431,
  sym_match_regexp = 432,
  sym_substitution_regexp = 433,
  aux_sym__interpolated_regexp_content = 434,
  aux_sym__interpolated_transliteration_content = 435,
  sym_transliteration_expression = 436,
  sym_heredoc_token = 437,
  sym_command_heredoc_token = 438,
  sym_heredoc_content = 439,
  sym_package = 440,
  sym__version = 441,
  sym__conditionals = 442,
  sym__loops = 443,
  sym_autoquoted_bareword = 444,
  sym__brace_autoquoted = 445,
  sym_identifier = 446,
  sym__ident_special = 447,
  sym_bareword = 448,
  sym_primitive = 449,
  sym_boolean = 450,
  aux_sym_source_file_repeat1 = 451,
  aux_sym_signature_repeat1 = 452,
  aux_sym_subroutine_declaration_statement_repeat1 = 453,
  aux_sym__for_initializer_repeat1 = 454,
  aux_sym__term_rightward_repeat1 = 455,
  aux_sym__decl_variable_list_repeat1 = 456,
  aux_sym_attrlist_repeat1 = 457,
  aux_sym_heredoc_content_repeat1 = 458,
  alias_sym_block_statement = 459,
  alias_sym_data_section = 460,
  alias_sym_filename = 461,
  alias_sym_label = 462,
  anon_alias_sym_not_DASHinterpolated = 463,
  alias_sym_regexp_content = 464,
  alias_sym_replacement = 465,
  anon_alias_sym_sner = 466,
  alias_sym_string_content = 467,
  alias_sym_transliteration_content = 468,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__identifier] = "_identifier",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_COLON] = ":",
  [anon_sym_SEMI] = ";",
  [anon_sym_package] = "package",
  [anon_sym_class] = "class",
  [anon_sym_role] = "role",
  [anon_sym_BUILD] = "BUILD",
  [anon_sym_ADJUST] = "ADJUST",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_EQ] = "=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_AT] = "@",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [anon_sym_my] = "my",
  [anon_sym_extended] = "extended",
  [anon_sym_async] = "async",
  [anon_sym_sub] = "sub",
  [anon_sym_method] = "method",
  [anon_sym_LPAREN] = "(",
  [anon_sym_continue] = "continue",
  [anon_sym_state] = "state",
  [anon_sym_our] = "our",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_defer] = "defer",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_else] = "else",
  [anon_sym_elsif] = "elsif",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_xor] = "xor",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_x_EQ] = "x=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_CARET_CARET] = "^^",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_GT_GT2] = ">>",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_x] = "x",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_BANG_TILDE] = "!~",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_eq] = "eq",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_equ] = "equ",
  [anon_sym_eqr] = "eqr",
  [anon_sym_ne] = "ne",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_cmp] = "cmp",
  [anon_sym_TILDE_TILDE] = "~~",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_lt] = "lt",
  [anon_sym_le] = "le",
  [anon_sym_ge] = "ge",
  [anon_sym_gt] = "gt",
  [anon_sym_isa] = "isa",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_QMARK] = "\?",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_do] = "do",
  [anon_sym_eval] = "eval",
  [anon_sym_await] = "await",
  [anon_sym_field] = "field",
  [anon_sym_local] = "local",
  [anon_sym_dynamically] = "dynamically",
  [anon_sym_require] = "require",
  [anon_sym_map] = "map",
  [anon_sym_grep] = "grep",
  [anon_sym_sort] = "sort",
  [anon_sym_goto] = "goto",
  [anon_sym_return] = "return",
  [anon_sym_undef] = "undef",
  [anon_sym_PERCENT2] = "%",
  [anon_sym_DOLLAR_POUND] = "$#",
  [aux_sym__var_indirob_autoquote_token1] = "varname",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_use] = "use",
  [anon_sym_no] = "no",
  [anon_sym_for] = "for",
  [anon_sym_foreach] = "foreach",
  [anon_sym_last] = "last",
  [anon_sym_next] = "next",
  [anon_sym_redo] = "redo",
  [anon_sym_BEGIN] = "BEGIN",
  [anon_sym_INIT] = "INIT",
  [anon_sym_CHECK] = "CHECK",
  [anon_sym_UNITCHECK] = "UNITCHECK",
  [anon_sym_END] = "END",
  [anon_sym___FILE__] = "__FILE__",
  [anon_sym___LINE__] = "__LINE__",
  [anon_sym___PACKAGE__] = "__PACKAGE__",
  [anon_sym___SUB__] = "__SUB__",
  [anon_sym_break] = "break",
  [anon_sym_fork] = "fork",
  [anon_sym_getppid] = "getppid",
  [anon_sym_time] = "time",
  [anon_sym_times] = "times",
  [anon_sym_wait] = "wait",
  [anon_sym_wantarray] = "wantarray",
  [anon_sym_abs] = "abs",
  [anon_sym_alarm] = "alarm",
  [anon_sym_chop] = "chop",
  [anon_sym_chdir] = "chdir",
  [anon_sym_close] = "close",
  [anon_sym_closedir] = "closedir",
  [anon_sym_caller] = "caller",
  [anon_sym_chomp] = "chomp",
  [anon_sym_chr] = "chr",
  [anon_sym_cos] = "cos",
  [anon_sym_chroot] = "chroot",
  [anon_sym_defined] = "defined",
  [anon_sym_delete] = "delete",
  [anon_sym_dbmclose] = "dbmclose",
  [anon_sym_exists] = "exists",
  [anon_sym_exit] = "exit",
  [anon_sym_eof] = "eof",
  [anon_sym_exp] = "exp",
  [anon_sym_each] = "each",
  [anon_sym_fc] = "fc",
  [anon_sym_fileno] = "fileno",
  [anon_sym_gmtime] = "gmtime",
  [anon_sym_getc] = "getc",
  [anon_sym_getpgrp] = "getpgrp",
  [anon_sym_getprotobyname] = "getprotobyname",
  [anon_sym_getpwname] = "getpwname",
  [anon_sym_getpwuid] = "getpwuid",
  [anon_sym_getpeername] = "getpeername",
  [anon_sym_getnetbyname] = "getnetbyname",
  [anon_sym_getsockname] = "getsockname",
  [anon_sym_getgrnam] = "getgrnam",
  [anon_sym_getgrgid] = "getgrgid",
  [anon_sym_hex] = "hex",
  [anon_sym_int] = "int",
  [anon_sym_keys] = "keys",
  [anon_sym_lc] = "lc",
  [anon_sym_lcfirst] = "lcfirst",
  [anon_sym_length] = "length",
  [anon_sym_localtime] = "localtime",
  [anon_sym_log] = "log",
  [anon_sym_lock] = "lock",
  [anon_sym_lstat] = "lstat",
  [anon_sym_oct] = "oct",
  [anon_sym_ord] = "ord",
  [anon_sym_prototype] = "prototype",
  [anon_sym_pop] = "pop",
  [anon_sym_pos] = "pos",
  [anon_sym_quotemeta] = "quotemeta",
  [anon_sym_reset] = "reset",
  [anon_sym_rand] = "rand",
  [anon_sym_rmdir] = "rmdir",
  [anon_sym_readdir] = "readdir",
  [anon_sym_readline] = "readline",
  [anon_sym_readpipe] = "readpipe",
  [anon_sym_rewinddir] = "rewinddir",
  [anon_sym_readlink] = "readlink",
  [anon_sym_ref] = "ref",
  [anon_sym_scalar] = "scalar",
  [anon_sym_shift] = "shift",
  [anon_sym_sin] = "sin",
  [anon_sym_sleep] = "sleep",
  [anon_sym_sqrt] = "sqrt",
  [anon_sym_srand] = "srand",
  [anon_sym_stat] = "stat",
  [anon_sym_study] = "study",
  [anon_sym_tell] = "tell",
  [anon_sym_telldir] = "telldir",
  [anon_sym_tied] = "tied",
  [anon_sym_uc] = "uc",
  [anon_sym_ucfirst] = "ucfirst",
  [anon_sym_untie] = "untie",
  [anon_sym_umask] = "umask",
  [anon_sym_values] = "values",
  [anon_sym_write] = "write",
  [sym_comment] = "comment",
  [anon_sym___DATA__] = "eof_marker",
  [anon_sym___END__] = "eof_marker",
  [aux_sym___DATA___token1] = "__DATA___token1",
  [anon_sym_EOT] = "eof_marker",
  [anon_sym_q] = "q",
  [anon_sym_qq] = "qq",
  [anon_sym_DASH_GT2] = "->",
  [anon_sym_LBRACK2] = "[",
  [anon_sym_LBRACE2] = "{",
  [aux_sym__interpolation_fallbacks_token1] = "_interpolation_fallbacks_token1",
  [anon_sym_qw] = "qw",
  [anon_sym_qx] = "qx",
  [anon_sym_qr] = "qr",
  [anon_sym_m] = "m",
  [anon_sym_s] = "s",
  [sym_quoted_regexp_modifiers] = "quoted_regexp_modifiers",
  [sym_match_regexp_modifiers] = "match_regexp_modifiers",
  [sym_substitution_regexp_modifiers] = "substitution_regexp_modifiers",
  [sym_transliteration_modifiers] = "transliteration_modifiers",
  [aux_sym__interpolated_transliteration_content_token1] = "_interpolated_transliteration_content_token1",
  [anon_sym_tr] = "tr",
  [anon_sym_y] = "y",
  [sym_version] = "version",
  [anon_sym_if] = "if",
  [anon_sym_unless] = "unless",
  [anon_sym_while] = "while",
  [anon_sym_until] = "until",
  [aux_sym__ident_special_token1] = "_ident_special_token1",
  [aux_sym__bareword_token1] = "_bareword_token1",
  [sym_number] = "number",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [sym__single_quote] = "'",
  [sym__double_quote] = "'",
  [sym__backtick_quote] = "'",
  [sym__search_slash_quote] = "'",
  [sym__no_search_slash_plz] = "_no_search_slash_plz",
  [sym__PERLY_SEMICOLON] = "_PERLY_SEMICOLON",
  [sym__PERLY_HEREDOC] = "_PERLY_HEREDOC",
  [sym__ctrl_z_hack] = "eof_marker",
  [sym__quotelike_begin_quote] = "'",
  [sym__quotelike_middle_close_quote] = "'",
  [sym__quotelike_middle_skip] = "_quotelike_middle_skip",
  [sym__quotelike_end_zw] = "_quotelike_end_zw",
  [sym__quotelike_end_quote] = "'",
  [sym__q_string_content] = "_q_string_content",
  [sym__qq_string_content] = "_qq_string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_escaped_delimiter] = "escaped_delimiter",
  [sym__dollar_in_regexp] = "_dollar_in_regexp",
  [sym_pod] = "pod",
  [sym__gobbled_content] = "_gobbled_content",
  [sym__attribute_value_begin] = "_attribute_value_begin",
  [sym_attribute_value] = "attribute_value",
  [sym_prototype] = "prototype",
  [sym__signature_start] = "(",
  [sym__heredoc_delimiter] = "_heredoc_delimiter",
  [sym__command_heredoc_delimiter] = "_command_heredoc_delimiter",
  [sym__heredoc_start] = "_heredoc_start",
  [sym__heredoc_middle] = "_heredoc_middle",
  [sym_heredoc_end] = "heredoc_end",
  [sym__fat_comma_autoquoted] = "_fat_comma_autoquoted",
  [sym__filetest] = "-x",
  [sym__brace_autoquoted_token] = "varname",
  [sym__brace_end_zw] = "_brace_end_zw",
  [sym__dollar_ident_zw] = "_dollar_ident_zw",
  [sym__no_interp_whitespace_zw] = "_no_interp_whitespace_zw",
  [sym__NONASSOC] = "_NONASSOC",
  [sym__ERROR] = "_ERROR",
  [sym_source_file] = "source_file",
  [sym__PERLY_BRACE_OPEN] = "_PERLY_BRACE_OPEN",
  [sym_block] = "block",
  [sym__fullstmt] = "_fullstmt",
  [sym_statement_label] = "statement_label",
  [sym__semicolon] = "_semicolon",
  [sym__barestmt] = "_barestmt",
  [sym_package_statement] = "package_statement",
  [sym_class_statement] = "class_statement",
  [sym_role_statement] = "role_statement",
  [sym_class_phaser_statement] = "class_phaser_statement",
  [sym_use_version_statement] = "use_version_statement",
  [sym_use_statement] = "use_statement",
  [sym_mandatory_parameter] = "mandatory_parameter",
  [sym_optional_parameter] = "optional_parameter",
  [sym_named_parameter] = "named_parameter",
  [sym_slurpy_parameter] = "slurpy_parameter",
  [sym__signature_vars] = "_signature_vars",
  [sym_signature] = "signature",
  [sym_subroutine_declaration_statement] = "subroutine_declaration_statement",
  [sym_method_declaration_statement] = "method_declaration_statement",
  [sym_phaser_statement] = "phaser_statement",
  [sym_conditional_statement] = "conditional_statement",
  [sym__loop_body] = "_loop_body",
  [sym_loop_statement] = "loop_statement",
  [sym_cstyle_for_statement] = "cstyle_for_statement",
  [sym__for_initializer] = "_for_initializer",
  [sym_for_statement] = "for_statement",
  [sym_try_statement] = "try_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_expression_statement] = "expression_statement",
  [sym__postfix_expressions] = "_postfix_expressions",
  [sym_postfix_conditional_expression] = "postfix_conditional_expression",
  [sym_postfix_loop_expression] = "postfix_loop_expression",
  [sym_postfix_for_expression] = "postfix_for_expression",
  [sym_yadayada] = "yadayada",
  [sym__else] = "_else",
  [sym_else] = "else",
  [sym_elsif] = "elsif",
  [sym__expr] = "_expr",
  [sym_lowprec_logical_expression] = "lowprec_logical_expression",
  [sym__listexpr] = "_listexpr",
  [sym__term_rightward] = "_term_rightward",
  [sym_list_expression] = "list_expression",
  [sym__subscripted] = "_subscripted",
  [sym_container_variable] = "container_variable",
  [sym_array_element_expression] = "array_element_expression",
  [sym__hash_key] = "_hash_key",
  [sym_hash_element_expression] = "hash_element_expression",
  [sym_coderef_call_expression] = "coderef_call_expression",
  [sym_anonymous_slice_expression] = "anonymous_slice_expression",
  [sym_slice_container_variable] = "slice_container_variable",
  [sym_slice_expression] = "slice_expression",
  [sym_keyval_container_variable] = "keyval_container_variable",
  [sym_keyval_expression] = "keyval_expression",
  [sym__term] = "_term",
  [sym_readline_expression] = "readline_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_equality_expression] = "equality_expression",
  [sym_relational_expression] = "relational_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_preinc_expression] = "preinc_expression",
  [sym_postinc_expression] = "postinc_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_refgen_expression] = "refgen_expression",
  [sym_anonymous_array_expression] = "anonymous_array_expression",
  [sym__tricky_list] = "list_expression",
  [sym_anonymous_hash_expression] = "anonymous_hash_expression",
  [sym_anonymous_subroutine_expression] = "anonymous_subroutine_expression",
  [sym_anonymous_method_expression] = "anonymous_method_expression",
  [sym_do_expression] = "do_expression",
  [sym_eval_expression] = "eval_expression",
  [sym_await_expression] = "await_expression",
  [sym__declared_vars] = "_declared_vars",
  [sym_variable_declaration] = "variable_declaration",
  [sym__decl_variable_list] = "_decl_variable_list",
  [sym_localization_expression] = "localization_expression",
  [sym_stub_expression] = "stub_expression",
  [sym_scalar_deref_expression] = "scalar_deref_expression",
  [sym_array_deref_expression] = "array_deref_expression",
  [sym_hash_deref_expression] = "hash_deref_expression",
  [sym_amper_deref_expression] = "amper_deref_expression",
  [sym_glob_deref_expression] = "glob_deref_expression",
  [sym_require_expression] = "require_expression",
  [sym_func0op_call_expression] = "func0op_call_expression",
  [sym_func1op_call_expression] = "func1op_call_expression",
  [sym_map_grep_expression] = "map_grep_expression",
  [sym_sort_expression] = "sort_expression",
  [sym__label_arg] = "_label_arg",
  [sym_loopex_expression] = "loopex_expression",
  [sym_goto_expression] = "goto_expression",
  [sym_return_expression] = "return_expression",
  [sym_undef_expression] = "undef_expression",
  [sym__listop] = "_listop",
  [sym_indirect_object] = "indirect_object",
  [sym_function_call_expression] = "function_call_expression",
  [sym__tricky_indirob_hashref] = "anonymous_hash_expression",
  [sym_ambiguous_function_call_expression] = "ambiguous_function_call_expression",
  [sym_function] = "function",
  [sym_method_call_expression] = "method_call_expression",
  [sym_method] = "method",
  [sym__signature_varname] = "_signature_varname",
  [sym_scalar] = "scalar",
  [sym__declare_scalar] = "scalar",
  [sym__signature_scalar] = "scalar",
  [sym_array] = "array",
  [sym__declare_array] = "array",
  [sym__signature_array] = "array",
  [sym_hash] = "hash",
  [sym__declare_hash] = "hash",
  [sym__signature_hash] = "hash",
  [sym_arraylen] = "arraylen",
  [sym_glob] = "glob",
  [sym__indirob] = "filehandle",
  [sym_varname] = "varname",
  [sym__var_indirob_autoquote] = "_var_indirob_autoquote",
  [sym__var_indirob] = "_var_indirob",
  [sym_attrlist] = "attrlist",
  [sym_attribute] = "attribute",
  [sym_attribute_name] = "attribute_name",
  [sym___DATA__] = "__DATA__",
  [sym__literal] = "_literal",
  [sym__apostrophe] = "_apostrophe",
  [sym__quotation_mark] = "_quotation_mark",
  [sym__backtick] = "_backtick",
  [sym__search_slash] = "_search_slash",
  [sym__quotelike_begin] = "_quotelike_begin",
  [sym__quotelike_middle_close] = "_quotelike_middle_close",
  [sym__quotelike_end] = "_quotelike_end",
  [sym__quotelike_middle] = "_quotelike_middle",
  [sym_string_literal] = "string_literal",
  [sym_interpolated_string_literal] = "interpolated_string_literal",
  [sym__subscripted_interpolations] = "_subscripted_interpolations",
  [sym__braced_scalar] = "scalar",
  [sym__braced_array] = "array",
  [sym__interp_arrow] = "_interp_arrow",
  [sym__array_element_interpolation] = "array_element_expression",
  [sym__hash_element_interpolation] = "hash_element_expression",
  [sym__slice_expression_interpolation] = "slice_expression",
  [sym__interpolations] = "_interpolations",
  [aux_sym__noninterpolated_string_content] = "_noninterpolated_string_content",
  [sym__interpolation_fallbacks] = "_interpolation_fallbacks",
  [sym__nonvar_interpolation_fallbacks] = "_nonvar_interpolation_fallbacks",
  [aux_sym__interpolated_string_content] = "_interpolated_string_content",
  [sym_quoted_word_list] = "quoted_word_list",
  [sym_command_string] = "command_string",
  [sym_quoted_regexp] = "quoted_regexp",
  [sym_match_regexp] = "match_regexp",
  [sym_substitution_regexp] = "substitution_regexp",
  [aux_sym__interpolated_regexp_content] = "_interpolated_regexp_content",
  [aux_sym__interpolated_transliteration_content] = "_interpolated_transliteration_content",
  [sym_transliteration_expression] = "transliteration_expression",
  [sym_heredoc_token] = "heredoc_token",
  [sym_command_heredoc_token] = "command_heredoc_token",
  [sym_heredoc_content] = "heredoc_content",
  [sym_package] = "package",
  [sym__version] = "_version",
  [sym__conditionals] = "_conditionals",
  [sym__loops] = "_loops",
  [sym_autoquoted_bareword] = "autoquoted_bareword",
  [sym__brace_autoquoted] = "_brace_autoquoted",
  [sym_identifier] = "identifier",
  [sym__ident_special] = "_ident_special",
  [sym_bareword] = "bareword",
  [sym_primitive] = "primitive",
  [sym_boolean] = "boolean",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_signature_repeat1] = "signature_repeat1",
  [aux_sym_subroutine_declaration_statement_repeat1] = "subroutine_declaration_statement_repeat1",
  [aux_sym__for_initializer_repeat1] = "_for_initializer_repeat1",
  [aux_sym__term_rightward_repeat1] = "_term_rightward_repeat1",
  [aux_sym__decl_variable_list_repeat1] = "_decl_variable_list_repeat1",
  [aux_sym_attrlist_repeat1] = "attrlist_repeat1",
  [aux_sym_heredoc_content_repeat1] = "heredoc_content_repeat1",
  [alias_sym_block_statement] = "block_statement",
  [alias_sym_data_section] = "data_section",
  [alias_sym_filename] = "filename",
  [alias_sym_label] = "label",
  [anon_alias_sym_not_DASHinterpolated] = "not-interpolated",
  [alias_sym_regexp_content] = "regexp_content",
  [alias_sym_replacement] = "replacement",
  [anon_alias_sym_sner] = "sner",
  [alias_sym_string_content] = "string_content",
  [alias_sym_transliteration_content] = "transliteration_content",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__identifier] = sym__identifier,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_role] = anon_sym_role,
  [anon_sym_BUILD] = anon_sym_BUILD,
  [anon_sym_ADJUST] = anon_sym_ADJUST,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_SLASH_SLASH_EQ] = anon_sym_SLASH_SLASH_EQ,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_my] = anon_sym_my,
  [anon_sym_extended] = anon_sym_extended,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_sub] = anon_sym_sub,
  [anon_sym_method] = anon_sym_method,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_state] = anon_sym_state,
  [anon_sym_our] = anon_sym_our,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_defer] = anon_sym_defer,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_elsif] = anon_sym_elsif,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_xor] = anon_sym_xor,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_x_EQ] = anon_sym_x_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_CARET_CARET] = anon_sym_CARET_CARET,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_GT_GT2] = anon_sym_GT_GT,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_x] = anon_sym_x,
  [anon_sym_EQ_TILDE] = anon_sym_EQ_TILDE,
  [anon_sym_BANG_TILDE] = anon_sym_BANG_TILDE,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_eq] = anon_sym_eq,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_equ] = anon_sym_equ,
  [anon_sym_eqr] = anon_sym_eqr,
  [anon_sym_ne] = anon_sym_ne,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_cmp] = anon_sym_cmp,
  [anon_sym_TILDE_TILDE] = anon_sym_TILDE_TILDE,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_lt] = anon_sym_lt,
  [anon_sym_le] = anon_sym_le,
  [anon_sym_ge] = anon_sym_ge,
  [anon_sym_gt] = anon_sym_gt,
  [anon_sym_isa] = anon_sym_isa,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_eval] = anon_sym_eval,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_field] = anon_sym_field,
  [anon_sym_local] = anon_sym_local,
  [anon_sym_dynamically] = anon_sym_dynamically,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_map] = anon_sym_map,
  [anon_sym_grep] = anon_sym_grep,
  [anon_sym_sort] = anon_sym_sort,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_undef] = anon_sym_undef,
  [anon_sym_PERCENT2] = anon_sym_PERCENT,
  [anon_sym_DOLLAR_POUND] = anon_sym_DOLLAR_POUND,
  [aux_sym__var_indirob_autoquote_token1] = sym_varname,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_use] = anon_sym_use,
  [anon_sym_no] = anon_sym_no,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_foreach] = anon_sym_foreach,
  [anon_sym_last] = anon_sym_last,
  [anon_sym_next] = anon_sym_next,
  [anon_sym_redo] = anon_sym_redo,
  [anon_sym_BEGIN] = anon_sym_BEGIN,
  [anon_sym_INIT] = anon_sym_INIT,
  [anon_sym_CHECK] = anon_sym_CHECK,
  [anon_sym_UNITCHECK] = anon_sym_UNITCHECK,
  [anon_sym_END] = anon_sym_END,
  [anon_sym___FILE__] = anon_sym___FILE__,
  [anon_sym___LINE__] = anon_sym___LINE__,
  [anon_sym___PACKAGE__] = anon_sym___PACKAGE__,
  [anon_sym___SUB__] = anon_sym___SUB__,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_fork] = anon_sym_fork,
  [anon_sym_getppid] = anon_sym_getppid,
  [anon_sym_time] = anon_sym_time,
  [anon_sym_times] = anon_sym_times,
  [anon_sym_wait] = anon_sym_wait,
  [anon_sym_wantarray] = anon_sym_wantarray,
  [anon_sym_abs] = anon_sym_abs,
  [anon_sym_alarm] = anon_sym_alarm,
  [anon_sym_chop] = anon_sym_chop,
  [anon_sym_chdir] = anon_sym_chdir,
  [anon_sym_close] = anon_sym_close,
  [anon_sym_closedir] = anon_sym_closedir,
  [anon_sym_caller] = anon_sym_caller,
  [anon_sym_chomp] = anon_sym_chomp,
  [anon_sym_chr] = anon_sym_chr,
  [anon_sym_cos] = anon_sym_cos,
  [anon_sym_chroot] = anon_sym_chroot,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_dbmclose] = anon_sym_dbmclose,
  [anon_sym_exists] = anon_sym_exists,
  [anon_sym_exit] = anon_sym_exit,
  [anon_sym_eof] = anon_sym_eof,
  [anon_sym_exp] = anon_sym_exp,
  [anon_sym_each] = anon_sym_each,
  [anon_sym_fc] = anon_sym_fc,
  [anon_sym_fileno] = anon_sym_fileno,
  [anon_sym_gmtime] = anon_sym_gmtime,
  [anon_sym_getc] = anon_sym_getc,
  [anon_sym_getpgrp] = anon_sym_getpgrp,
  [anon_sym_getprotobyname] = anon_sym_getprotobyname,
  [anon_sym_getpwname] = anon_sym_getpwname,
  [anon_sym_getpwuid] = anon_sym_getpwuid,
  [anon_sym_getpeername] = anon_sym_getpeername,
  [anon_sym_getnetbyname] = anon_sym_getnetbyname,
  [anon_sym_getsockname] = anon_sym_getsockname,
  [anon_sym_getgrnam] = anon_sym_getgrnam,
  [anon_sym_getgrgid] = anon_sym_getgrgid,
  [anon_sym_hex] = anon_sym_hex,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_keys] = anon_sym_keys,
  [anon_sym_lc] = anon_sym_lc,
  [anon_sym_lcfirst] = anon_sym_lcfirst,
  [anon_sym_length] = anon_sym_length,
  [anon_sym_localtime] = anon_sym_localtime,
  [anon_sym_log] = anon_sym_log,
  [anon_sym_lock] = anon_sym_lock,
  [anon_sym_lstat] = anon_sym_lstat,
  [anon_sym_oct] = anon_sym_oct,
  [anon_sym_ord] = anon_sym_ord,
  [anon_sym_prototype] = anon_sym_prototype,
  [anon_sym_pop] = anon_sym_pop,
  [anon_sym_pos] = anon_sym_pos,
  [anon_sym_quotemeta] = anon_sym_quotemeta,
  [anon_sym_reset] = anon_sym_reset,
  [anon_sym_rand] = anon_sym_rand,
  [anon_sym_rmdir] = anon_sym_rmdir,
  [anon_sym_readdir] = anon_sym_readdir,
  [anon_sym_readline] = anon_sym_readline,
  [anon_sym_readpipe] = anon_sym_readpipe,
  [anon_sym_rewinddir] = anon_sym_rewinddir,
  [anon_sym_readlink] = anon_sym_readlink,
  [anon_sym_ref] = anon_sym_ref,
  [anon_sym_scalar] = anon_sym_scalar,
  [anon_sym_shift] = anon_sym_shift,
  [anon_sym_sin] = anon_sym_sin,
  [anon_sym_sleep] = anon_sym_sleep,
  [anon_sym_sqrt] = anon_sym_sqrt,
  [anon_sym_srand] = anon_sym_srand,
  [anon_sym_stat] = anon_sym_stat,
  [anon_sym_study] = anon_sym_study,
  [anon_sym_tell] = anon_sym_tell,
  [anon_sym_telldir] = anon_sym_telldir,
  [anon_sym_tied] = anon_sym_tied,
  [anon_sym_uc] = anon_sym_uc,
  [anon_sym_ucfirst] = anon_sym_ucfirst,
  [anon_sym_untie] = anon_sym_untie,
  [anon_sym_umask] = anon_sym_umask,
  [anon_sym_values] = anon_sym_values,
  [anon_sym_write] = anon_sym_write,
  [sym_comment] = sym_comment,
  [anon_sym___DATA__] = sym__ctrl_z_hack,
  [anon_sym___END__] = sym__ctrl_z_hack,
  [aux_sym___DATA___token1] = aux_sym___DATA___token1,
  [anon_sym_EOT] = sym__ctrl_z_hack,
  [anon_sym_q] = anon_sym_q,
  [anon_sym_qq] = anon_sym_qq,
  [anon_sym_DASH_GT2] = anon_sym_DASH_GT,
  [anon_sym_LBRACK2] = anon_sym_LBRACK,
  [anon_sym_LBRACE2] = anon_sym_LBRACE,
  [aux_sym__interpolation_fallbacks_token1] = aux_sym__interpolation_fallbacks_token1,
  [anon_sym_qw] = anon_sym_qw,
  [anon_sym_qx] = anon_sym_qx,
  [anon_sym_qr] = anon_sym_qr,
  [anon_sym_m] = anon_sym_m,
  [anon_sym_s] = anon_sym_s,
  [sym_quoted_regexp_modifiers] = sym_quoted_regexp_modifiers,
  [sym_match_regexp_modifiers] = sym_match_regexp_modifiers,
  [sym_substitution_regexp_modifiers] = sym_substitution_regexp_modifiers,
  [sym_transliteration_modifiers] = sym_transliteration_modifiers,
  [aux_sym__interpolated_transliteration_content_token1] = aux_sym__interpolated_transliteration_content_token1,
  [anon_sym_tr] = anon_sym_tr,
  [anon_sym_y] = anon_sym_y,
  [sym_version] = sym_version,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_unless] = anon_sym_unless,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_until] = anon_sym_until,
  [aux_sym__ident_special_token1] = aux_sym__ident_special_token1,
  [aux_sym__bareword_token1] = aux_sym__bareword_token1,
  [sym_number] = sym_number,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [sym__single_quote] = sym__single_quote,
  [sym__double_quote] = sym__single_quote,
  [sym__backtick_quote] = sym__single_quote,
  [sym__search_slash_quote] = sym__single_quote,
  [sym__no_search_slash_plz] = sym__no_search_slash_plz,
  [sym__PERLY_SEMICOLON] = sym__PERLY_SEMICOLON,
  [sym__PERLY_HEREDOC] = sym__PERLY_HEREDOC,
  [sym__ctrl_z_hack] = sym__ctrl_z_hack,
  [sym__quotelike_begin_quote] = sym__single_quote,
  [sym__quotelike_middle_close_quote] = sym__single_quote,
  [sym__quotelike_middle_skip] = sym__quotelike_middle_skip,
  [sym__quotelike_end_zw] = sym__quotelike_end_zw,
  [sym__quotelike_end_quote] = sym__single_quote,
  [sym__q_string_content] = sym__q_string_content,
  [sym__qq_string_content] = sym__qq_string_content,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_escaped_delimiter] = sym_escaped_delimiter,
  [sym__dollar_in_regexp] = sym__dollar_in_regexp,
  [sym_pod] = sym_pod,
  [sym__gobbled_content] = sym__gobbled_content,
  [sym__attribute_value_begin] = sym__attribute_value_begin,
  [sym_attribute_value] = sym_attribute_value,
  [sym_prototype] = sym_prototype,
  [sym__signature_start] = anon_sym_LPAREN,
  [sym__heredoc_delimiter] = sym__heredoc_delimiter,
  [sym__command_heredoc_delimiter] = sym__command_heredoc_delimiter,
  [sym__heredoc_start] = sym__heredoc_start,
  [sym__heredoc_middle] = sym__heredoc_middle,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym__fat_comma_autoquoted] = sym__fat_comma_autoquoted,
  [sym__filetest] = sym__filetest,
  [sym__brace_autoquoted_token] = sym_varname,
  [sym__brace_end_zw] = sym__brace_end_zw,
  [sym__dollar_ident_zw] = sym__dollar_ident_zw,
  [sym__no_interp_whitespace_zw] = sym__no_interp_whitespace_zw,
  [sym__NONASSOC] = sym__NONASSOC,
  [sym__ERROR] = sym__ERROR,
  [sym_source_file] = sym_source_file,
  [sym__PERLY_BRACE_OPEN] = sym__PERLY_BRACE_OPEN,
  [sym_block] = sym_block,
  [sym__fullstmt] = sym__fullstmt,
  [sym_statement_label] = sym_statement_label,
  [sym__semicolon] = sym__semicolon,
  [sym__barestmt] = sym__barestmt,
  [sym_package_statement] = sym_package_statement,
  [sym_class_statement] = sym_class_statement,
  [sym_role_statement] = sym_role_statement,
  [sym_class_phaser_statement] = sym_class_phaser_statement,
  [sym_use_version_statement] = sym_use_version_statement,
  [sym_use_statement] = sym_use_statement,
  [sym_mandatory_parameter] = sym_mandatory_parameter,
  [sym_optional_parameter] = sym_optional_parameter,
  [sym_named_parameter] = sym_named_parameter,
  [sym_slurpy_parameter] = sym_slurpy_parameter,
  [sym__signature_vars] = sym__signature_vars,
  [sym_signature] = sym_signature,
  [sym_subroutine_declaration_statement] = sym_subroutine_declaration_statement,
  [sym_method_declaration_statement] = sym_method_declaration_statement,
  [sym_phaser_statement] = sym_phaser_statement,
  [sym_conditional_statement] = sym_conditional_statement,
  [sym__loop_body] = sym__loop_body,
  [sym_loop_statement] = sym_loop_statement,
  [sym_cstyle_for_statement] = sym_cstyle_for_statement,
  [sym__for_initializer] = sym__for_initializer,
  [sym_for_statement] = sym_for_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_defer_statement] = sym_defer_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym__postfix_expressions] = sym__postfix_expressions,
  [sym_postfix_conditional_expression] = sym_postfix_conditional_expression,
  [sym_postfix_loop_expression] = sym_postfix_loop_expression,
  [sym_postfix_for_expression] = sym_postfix_for_expression,
  [sym_yadayada] = sym_yadayada,
  [sym__else] = sym__else,
  [sym_else] = sym_else,
  [sym_elsif] = sym_elsif,
  [sym__expr] = sym__expr,
  [sym_lowprec_logical_expression] = sym_lowprec_logical_expression,
  [sym__listexpr] = sym__listexpr,
  [sym__term_rightward] = sym__term_rightward,
  [sym_list_expression] = sym_list_expression,
  [sym__subscripted] = sym__subscripted,
  [sym_container_variable] = sym_container_variable,
  [sym_array_element_expression] = sym_array_element_expression,
  [sym__hash_key] = sym__hash_key,
  [sym_hash_element_expression] = sym_hash_element_expression,
  [sym_coderef_call_expression] = sym_coderef_call_expression,
  [sym_anonymous_slice_expression] = sym_anonymous_slice_expression,
  [sym_slice_container_variable] = sym_slice_container_variable,
  [sym_slice_expression] = sym_slice_expression,
  [sym_keyval_container_variable] = sym_keyval_container_variable,
  [sym_keyval_expression] = sym_keyval_expression,
  [sym__term] = sym__term,
  [sym_readline_expression] = sym_readline_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_equality_expression] = sym_equality_expression,
  [sym_relational_expression] = sym_relational_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_preinc_expression] = sym_preinc_expression,
  [sym_postinc_expression] = sym_postinc_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_refgen_expression] = sym_refgen_expression,
  [sym_anonymous_array_expression] = sym_anonymous_array_expression,
  [sym__tricky_list] = sym_list_expression,
  [sym_anonymous_hash_expression] = sym_anonymous_hash_expression,
  [sym_anonymous_subroutine_expression] = sym_anonymous_subroutine_expression,
  [sym_anonymous_method_expression] = sym_anonymous_method_expression,
  [sym_do_expression] = sym_do_expression,
  [sym_eval_expression] = sym_eval_expression,
  [sym_await_expression] = sym_await_expression,
  [sym__declared_vars] = sym__declared_vars,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym__decl_variable_list] = sym__decl_variable_list,
  [sym_localization_expression] = sym_localization_expression,
  [sym_stub_expression] = sym_stub_expression,
  [sym_scalar_deref_expression] = sym_scalar_deref_expression,
  [sym_array_deref_expression] = sym_array_deref_expression,
  [sym_hash_deref_expression] = sym_hash_deref_expression,
  [sym_amper_deref_expression] = sym_amper_deref_expression,
  [sym_glob_deref_expression] = sym_glob_deref_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_func0op_call_expression] = sym_func0op_call_expression,
  [sym_func1op_call_expression] = sym_func1op_call_expression,
  [sym_map_grep_expression] = sym_map_grep_expression,
  [sym_sort_expression] = sym_sort_expression,
  [sym__label_arg] = sym__label_arg,
  [sym_loopex_expression] = sym_loopex_expression,
  [sym_goto_expression] = sym_goto_expression,
  [sym_return_expression] = sym_return_expression,
  [sym_undef_expression] = sym_undef_expression,
  [sym__listop] = sym__listop,
  [sym_indirect_object] = sym_indirect_object,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym__tricky_indirob_hashref] = sym_anonymous_hash_expression,
  [sym_ambiguous_function_call_expression] = sym_ambiguous_function_call_expression,
  [sym_function] = sym_function,
  [sym_method_call_expression] = sym_method_call_expression,
  [sym_method] = sym_method,
  [sym__signature_varname] = sym__signature_varname,
  [sym_scalar] = sym_scalar,
  [sym__declare_scalar] = sym_scalar,
  [sym__signature_scalar] = sym_scalar,
  [sym_array] = sym_array,
  [sym__declare_array] = sym_array,
  [sym__signature_array] = sym_array,
  [sym_hash] = sym_hash,
  [sym__declare_hash] = sym_hash,
  [sym__signature_hash] = sym_hash,
  [sym_arraylen] = sym_arraylen,
  [sym_glob] = sym_glob,
  [sym__indirob] = sym__indirob,
  [sym_varname] = sym_varname,
  [sym__var_indirob_autoquote] = sym__var_indirob_autoquote,
  [sym__var_indirob] = sym__var_indirob,
  [sym_attrlist] = sym_attrlist,
  [sym_attribute] = sym_attribute,
  [sym_attribute_name] = sym_attribute_name,
  [sym___DATA__] = sym___DATA__,
  [sym__literal] = sym__literal,
  [sym__apostrophe] = sym__apostrophe,
  [sym__quotation_mark] = sym__quotation_mark,
  [sym__backtick] = sym__backtick,
  [sym__search_slash] = sym__search_slash,
  [sym__quotelike_begin] = sym__quotelike_begin,
  [sym__quotelike_middle_close] = sym__quotelike_middle_close,
  [sym__quotelike_end] = sym__quotelike_end,
  [sym__quotelike_middle] = sym__quotelike_middle,
  [sym_string_literal] = sym_string_literal,
  [sym_interpolated_string_literal] = sym_interpolated_string_literal,
  [sym__subscripted_interpolations] = sym__subscripted_interpolations,
  [sym__braced_scalar] = sym_scalar,
  [sym__braced_array] = sym_array,
  [sym__interp_arrow] = sym__interp_arrow,
  [sym__array_element_interpolation] = sym_array_element_expression,
  [sym__hash_element_interpolation] = sym_hash_element_expression,
  [sym__slice_expression_interpolation] = sym_slice_expression,
  [sym__interpolations] = sym__interpolations,
  [aux_sym__noninterpolated_string_content] = aux_sym__noninterpolated_string_content,
  [sym__interpolation_fallbacks] = sym__interpolation_fallbacks,
  [sym__nonvar_interpolation_fallbacks] = sym__nonvar_interpolation_fallbacks,
  [aux_sym__interpolated_string_content] = aux_sym__interpolated_string_content,
  [sym_quoted_word_list] = sym_quoted_word_list,
  [sym_command_string] = sym_command_string,
  [sym_quoted_regexp] = sym_quoted_regexp,
  [sym_match_regexp] = sym_match_regexp,
  [sym_substitution_regexp] = sym_substitution_regexp,
  [aux_sym__interpolated_regexp_content] = aux_sym__interpolated_regexp_content,
  [aux_sym__interpolated_transliteration_content] = aux_sym__interpolated_transliteration_content,
  [sym_transliteration_expression] = sym_transliteration_expression,
  [sym_heredoc_token] = sym_heredoc_token,
  [sym_command_heredoc_token] = sym_command_heredoc_token,
  [sym_heredoc_content] = sym_heredoc_content,
  [sym_package] = sym_package,
  [sym__version] = sym__version,
  [sym__conditionals] = sym__conditionals,
  [sym__loops] = sym__loops,
  [sym_autoquoted_bareword] = sym_autoquoted_bareword,
  [sym__brace_autoquoted] = sym__brace_autoquoted,
  [sym_identifier] = sym_identifier,
  [sym__ident_special] = sym__ident_special,
  [sym_bareword] = sym_bareword,
  [sym_primitive] = sym_primitive,
  [sym_boolean] = sym_boolean,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_signature_repeat1] = aux_sym_signature_repeat1,
  [aux_sym_subroutine_declaration_statement_repeat1] = aux_sym_subroutine_declaration_statement_repeat1,
  [aux_sym__for_initializer_repeat1] = aux_sym__for_initializer_repeat1,
  [aux_sym__term_rightward_repeat1] = aux_sym__term_rightward_repeat1,
  [aux_sym__decl_variable_list_repeat1] = aux_sym__decl_variable_list_repeat1,
  [aux_sym_attrlist_repeat1] = aux_sym_attrlist_repeat1,
  [aux_sym_heredoc_content_repeat1] = aux_sym_heredoc_content_repeat1,
  [alias_sym_block_statement] = alias_sym_block_statement,
  [alias_sym_data_section] = alias_sym_data_section,
  [alias_sym_filename] = alias_sym_filename,
  [alias_sym_label] = alias_sym_label,
  [anon_alias_sym_not_DASHinterpolated] = anon_alias_sym_not_DASHinterpolated,
  [alias_sym_regexp_content] = alias_sym_regexp_content,
  [alias_sym_replacement] = alias_sym_replacement,
  [anon_alias_sym_sner] = anon_alias_sym_sner,
  [alias_sym_string_content] = alias_sym_string_content,
  [alias_sym_transliteration_content] = alias_sym_transliteration_content,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_role] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BUILD] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ADJUST] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_my] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extended] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sub] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_method] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_state] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_our] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elsif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_x_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_x] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_equ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_eqr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ne] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cmp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_le] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ge] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_gt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_isa] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_eval] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_field] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dynamically] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_map] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_grep] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sort] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_undef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_POUND] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__var_indirob_autoquote_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_use] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_no] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_foreach] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_last] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_next] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_redo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BEGIN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_INIT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CHECK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UNITCHECK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_END] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___FILE__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___LINE__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___PACKAGE__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___SUB__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fork] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getppid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_time] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_times] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_wait] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_wantarray] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alarm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chop] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chdir] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_close] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_closedir] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_caller] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chomp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cos] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chroot] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dbmclose] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exists] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_eof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_each] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fileno] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_gmtime] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getpgrp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getprotobyname] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getpwname] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getpwuid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getpeername] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getnetbyname] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getsockname] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getgrnam] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getgrgid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hex] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_keys] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lcfirst] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_length] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_localtime] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_log] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lock] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lstat] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_oct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ord] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_prototype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pop] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pos] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_quotemeta] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_reset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rmdir] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readdir] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readpipe] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rewinddir] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readlink] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_scalar] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_shift] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sleep] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sqrt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_srand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_stat] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_study] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_tell] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_telldir] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_tied] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ucfirst] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_untie] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_umask] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_values] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_write] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym___DATA__] = {
    .visible = true,
    .named = true,
  },
  [anon_sym___END__] = {
    .visible = true,
    .named = true,
  },
  [aux_sym___DATA___token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_EOT] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_q] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_qq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__interpolation_fallbacks_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_qw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_qx] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_qr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_m] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_s] = {
    .visible = true,
    .named = false,
  },
  [sym_quoted_regexp_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_match_regexp_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_substitution_regexp_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_transliteration_modifiers] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_transliteration_content_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_tr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_y] = {
    .visible = true,
    .named = false,
  },
  [sym_version] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unless] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_until] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__ident_special_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__bareword_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [sym__single_quote] = {
    .visible = true,
    .named = false,
  },
  [sym__double_quote] = {
    .visible = true,
    .named = false,
  },
  [sym__backtick_quote] = {
    .visible = true,
    .named = false,
  },
  [sym__search_slash_quote] = {
    .visible = true,
    .named = false,
  },
  [sym__no_search_slash_plz] = {
    .visible = false,
    .named = true,
  },
  [sym__PERLY_SEMICOLON] = {
    .visible = false,
    .named = true,
  },
  [sym__PERLY_HEREDOC] = {
    .visible = false,
    .named = true,
  },
  [sym__ctrl_z_hack] = {
    .visible = true,
    .named = true,
  },
  [sym__quotelike_begin_quote] = {
    .visible = true,
    .named = false,
  },
  [sym__quotelike_middle_close_quote] = {
    .visible = true,
    .named = false,
  },
  [sym__quotelike_middle_skip] = {
    .visible = false,
    .named = true,
  },
  [sym__quotelike_end_zw] = {
    .visible = false,
    .named = true,
  },
  [sym__quotelike_end_quote] = {
    .visible = true,
    .named = false,
  },
  [sym__q_string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__qq_string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_escaped_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym__dollar_in_regexp] = {
    .visible = false,
    .named = true,
  },
  [sym_pod] = {
    .visible = true,
    .named = true,
  },
  [sym__gobbled_content] = {
    .visible = false,
    .named = true,
  },
  [sym__attribute_value_begin] = {
    .visible = false,
    .named = true,
  },
  [sym_attribute_value] = {
    .visible = true,
    .named = true,
  },
  [sym_prototype] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_start] = {
    .visible = true,
    .named = false,
  },
  [sym__heredoc_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym__command_heredoc_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_start] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_middle] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym__fat_comma_autoquoted] = {
    .visible = false,
    .named = true,
  },
  [sym__filetest] = {
    .visible = true,
    .named = false,
  },
  [sym__brace_autoquoted_token] = {
    .visible = true,
    .named = true,
  },
  [sym__brace_end_zw] = {
    .visible = false,
    .named = true,
  },
  [sym__dollar_ident_zw] = {
    .visible = false,
    .named = true,
  },
  [sym__no_interp_whitespace_zw] = {
    .visible = false,
    .named = true,
  },
  [sym__NONASSOC] = {
    .visible = false,
    .named = true,
  },
  [sym__ERROR] = {
    .visible = false,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__PERLY_BRACE_OPEN] = {
    .visible = false,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym__fullstmt] = {
    .visible = false,
    .named = true,
  },
  [sym_statement_label] = {
    .visible = true,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__barestmt] = {
    .visible = false,
    .named = true,
  },
  [sym_package_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_role_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_phaser_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_use_version_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_use_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_mandatory_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_named_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_slurpy_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_vars] = {
    .visible = false,
    .named = true,
  },
  [sym_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_subroutine_declaration_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_phaser_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__loop_body] = {
    .visible = false,
    .named = true,
  },
  [sym_loop_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_cstyle_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_initializer] = {
    .visible = false,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__postfix_expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_postfix_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_loop_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_yadayada] = {
    .visible = true,
    .named = true,
  },
  [sym__else] = {
    .visible = false,
    .named = true,
  },
  [sym_else] = {
    .visible = true,
    .named = true,
  },
  [sym_elsif] = {
    .visible = true,
    .named = true,
  },
  [sym__expr] = {
    .visible = false,
    .named = true,
  },
  [sym_lowprec_logical_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__listexpr] = {
    .visible = false,
    .named = true,
  },
  [sym__term_rightward] = {
    .visible = false,
    .named = true,
  },
  [sym_list_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__subscripted] = {
    .visible = false,
    .named = true,
  },
  [sym_container_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__hash_key] = {
    .visible = false,
    .named = true,
  },
  [sym_hash_element_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_coderef_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_slice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_container_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_keyval_container_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_keyval_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__term] = {
    .visible = false,
    .named = true,
  },
  [sym_readline_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_equality_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_relational_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preinc_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postinc_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_refgen_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_array_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__tricky_list] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_hash_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_subroutine_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_method_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_do_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_eval_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__declared_vars] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__decl_variable_list] = {
    .visible = false,
    .named = true,
  },
  [sym_localization_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_stub_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scalar_deref_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_deref_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_deref_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_amper_deref_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_glob_deref_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_func0op_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_func1op_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_map_grep_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sort_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__label_arg] = {
    .visible = false,
    .named = true,
  },
  [sym_loopex_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_return_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_undef_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__listop] = {
    .visible = false,
    .named = true,
  },
  [sym_indirect_object] = {
    .visible = true,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__tricky_indirob_hashref] = {
    .visible = true,
    .named = true,
  },
  [sym_ambiguous_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_method_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_varname] = {
    .visible = false,
    .named = true,
  },
  [sym_scalar] = {
    .visible = true,
    .named = true,
  },
  [sym__declare_scalar] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_scalar] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym__declare_array] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_array] = {
    .visible = true,
    .named = true,
  },
  [sym_hash] = {
    .visible = true,
    .named = true,
  },
  [sym__declare_hash] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_hash] = {
    .visible = true,
    .named = true,
  },
  [sym_arraylen] = {
    .visible = true,
    .named = true,
  },
  [sym_glob] = {
    .visible = true,
    .named = true,
  },
  [sym__indirob] = {
    .visible = true,
    .named = true,
  },
  [sym_varname] = {
    .visible = true,
    .named = true,
  },
  [sym__var_indirob_autoquote] = {
    .visible = false,
    .named = true,
  },
  [sym__var_indirob] = {
    .visible = false,
    .named = true,
  },
  [sym_attrlist] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_name] = {
    .visible = true,
    .named = true,
  },
  [sym___DATA__] = {
    .visible = false,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
  },
  [sym__apostrophe] = {
    .visible = false,
    .named = true,
  },
  [sym__quotation_mark] = {
    .visible = false,
    .named = true,
  },
  [sym__backtick] = {
    .visible = false,
    .named = true,
  },
  [sym__search_slash] = {
    .visible = false,
    .named = true,
  },
  [sym__quotelike_begin] = {
    .visible = false,
    .named = true,
  },
  [sym__quotelike_middle_close] = {
    .visible = false,
    .named = true,
  },
  [sym__quotelike_end] = {
    .visible = false,
    .named = true,
  },
  [sym__quotelike_middle] = {
    .visible = false,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolated_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__subscripted_interpolations] = {
    .visible = false,
    .named = true,
  },
  [sym__braced_scalar] = {
    .visible = true,
    .named = true,
  },
  [sym__braced_array] = {
    .visible = true,
    .named = true,
  },
  [sym__interp_arrow] = {
    .visible = false,
    .named = true,
  },
  [sym__array_element_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__hash_element_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__slice_expression_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__interpolations] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__noninterpolated_string_content] = {
    .visible = false,
    .named = false,
  },
  [sym__interpolation_fallbacks] = {
    .visible = false,
    .named = true,
  },
  [sym__nonvar_interpolation_fallbacks] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_content] = {
    .visible = false,
    .named = false,
  },
  [sym_quoted_word_list] = {
    .visible = true,
    .named = true,
  },
  [sym_command_string] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_regexp] = {
    .visible = true,
    .named = true,
  },
  [sym_match_regexp] = {
    .visible = true,
    .named = true,
  },
  [sym_substitution_regexp] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_regexp_content] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_transliteration_content] = {
    .visible = false,
    .named = false,
  },
  [sym_transliteration_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_token] = {
    .visible = true,
    .named = true,
  },
  [sym_command_heredoc_token] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_content] = {
    .visible = true,
    .named = true,
  },
  [sym_package] = {
    .visible = true,
    .named = true,
  },
  [sym__version] = {
    .visible = false,
    .named = true,
  },
  [sym__conditionals] = {
    .visible = false,
    .named = true,
  },
  [sym__loops] = {
    .visible = false,
    .named = true,
  },
  [sym_autoquoted_bareword] = {
    .visible = true,
    .named = true,
  },
  [sym__brace_autoquoted] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__ident_special] = {
    .visible = false,
    .named = true,
  },
  [sym_bareword] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_signature_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subroutine_declaration_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__for_initializer_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__term_rightward_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__decl_variable_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attrlist_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_block_statement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_data_section] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_filename] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_not_DASHinterpolated] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_regexp_content] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_replacement] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_sner] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_transliteration_content] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_arguments = 2,
  field_array = 3,
  field_arrayref = 4,
  field_attributes = 5,
  field_block = 6,
  field_body = 7,
  field_callback = 8,
  field_catch_block = 9,
  field_catch_expr = 10,
  field_condition = 11,
  field_consequent = 12,
  field_content = 13,
  field_continue = 14,
  field_default = 15,
  field_finally_block = 16,
  field_function = 17,
  field_hash = 18,
  field_hashref = 19,
  field_index = 20,
  field_initialiser = 21,
  field_invocant = 22,
  field_iterator = 23,
  field_key = 24,
  field_label = 25,
  field_left = 26,
  field_lexical = 27,
  field_list = 28,
  field_loopex = 29,
  field_method = 30,
  field_modifiers = 31,
  field_module = 32,
  field_name = 33,
  field_operand = 34,
  field_operator = 35,
  field_phase = 36,
  field_right = 37,
  field_statement = 38,
  field_try_block = 39,
  field_value = 40,
  field_variable = 41,
  field_variables = 42,
  field_version = 43,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_array] = "array",
  [field_arrayref] = "arrayref",
  [field_attributes] = "attributes",
  [field_block] = "block",
  [field_body] = "body",
  [field_callback] = "callback",
  [field_catch_block] = "catch_block",
  [field_catch_expr] = "catch_expr",
  [field_condition] = "condition",
  [field_consequent] = "consequent",
  [field_content] = "content",
  [field_continue] = "continue",
  [field_default] = "default",
  [field_finally_block] = "finally_block",
  [field_function] = "function",
  [field_hash] = "hash",
  [field_hashref] = "hashref",
  [field_index] = "index",
  [field_initialiser] = "initialiser",
  [field_invocant] = "invocant",
  [field_iterator] = "iterator",
  [field_key] = "key",
  [field_label] = "label",
  [field_left] = "left",
  [field_lexical] = "lexical",
  [field_list] = "list",
  [field_loopex] = "loopex",
  [field_method] = "method",
  [field_modifiers] = "modifiers",
  [field_module] = "module",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_phase] = "phase",
  [field_right] = "right",
  [field_statement] = "statement",
  [field_try_block] = "try_block",
  [field_value] = "value",
  [field_variable] = "variable",
  [field_variables] = "variables",
  [field_version] = "version",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 2},
  [6] = {.index = 4, .length = 2},
  [7] = {.index = 6, .length = 4},
  [8] = {.index = 10, .length = 1},
  [10] = {.index = 11, .length = 1},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 1},
  [13] = {.index = 14, .length = 1},
  [14] = {.index = 15, .length = 1},
  [15] = {.index = 16, .length = 2},
  [16] = {.index = 18, .length = 1},
  [17] = {.index = 19, .length = 2},
  [19] = {.index = 21, .length = 1},
  [21] = {.index = 22, .length = 1},
  [22] = {.index = 23, .length = 2},
  [23] = {.index = 0, .length = 1},
  [24] = {.index = 25, .length = 2},
  [25] = {.index = 27, .length = 1},
  [29] = {.index = 28, .length = 1},
  [30] = {.index = 29, .length = 1},
  [31] = {.index = 30, .length = 2},
  [32] = {.index = 32, .length = 2},
  [33] = {.index = 34, .length = 2},
  [34] = {.index = 36, .length = 1},
  [35] = {.index = 37, .length = 1},
  [37] = {.index = 38, .length = 1},
  [38] = {.index = 39, .length = 3},
  [39] = {.index = 42, .length = 1},
  [40] = {.index = 43, .length = 1},
  [42] = {.index = 44, .length = 2},
  [43] = {.index = 46, .length = 2},
  [44] = {.index = 48, .length = 1},
  [45] = {.index = 49, .length = 1},
  [46] = {.index = 48, .length = 1},
  [47] = {.index = 50, .length = 2},
  [49] = {.index = 52, .length = 2},
  [50] = {.index = 54, .length = 2},
  [51] = {.index = 56, .length = 3},
  [52] = {.index = 59, .length = 2},
  [53] = {.index = 61, .length = 2},
  [54] = {.index = 63, .length = 1},
  [55] = {.index = 64, .length = 2},
  [56] = {.index = 66, .length = 2},
  [57] = {.index = 68, .length = 2},
  [58] = {.index = 70, .length = 2},
  [59] = {.index = 72, .length = 2},
  [60] = {.index = 74, .length = 2},
  [61] = {.index = 76, .length = 2},
  [62] = {.index = 78, .length = 1},
  [63] = {.index = 79, .length = 1},
  [64] = {.index = 78, .length = 1},
  [65] = {.index = 80, .length = 2},
  [66] = {.index = 82, .length = 2},
  [67] = {.index = 84, .length = 1},
  [68] = {.index = 85, .length = 1},
  [69] = {.index = 86, .length = 1},
  [70] = {.index = 87, .length = 2},
  [71] = {.index = 89, .length = 2},
  [72] = {.index = 91, .length = 1},
  [73] = {.index = 92, .length = 1},
  [74] = {.index = 93, .length = 2},
  [75] = {.index = 95, .length = 3},
  [76] = {.index = 98, .length = 2},
  [77] = {.index = 100, .length = 1},
  [78] = {.index = 101, .length = 2},
  [79] = {.index = 89, .length = 2},
  [80] = {.index = 87, .length = 2},
  [81] = {.index = 92, .length = 1},
  [82] = {.index = 91, .length = 1},
  [83] = {.index = 103, .length = 2},
  [84] = {.index = 105, .length = 1},
  [86] = {.index = 106, .length = 3},
  [87] = {.index = 109, .length = 3},
  [88] = {.index = 112, .length = 2},
  [89] = {.index = 114, .length = 2},
  [90] = {.index = 116, .length = 3},
  [91] = {.index = 119, .length = 1},
  [92] = {.index = 120, .length = 3},
  [93] = {.index = 123, .length = 1},
  [94] = {.index = 124, .length = 3},
  [95] = {.index = 127, .length = 2},
  [96] = {.index = 129, .length = 3},
  [97] = {.index = 132, .length = 2},
  [98] = {.index = 38, .length = 1},
  [99] = {.index = 82, .length = 2},
  [100] = {.index = 134, .length = 1},
  [101] = {.index = 135, .length = 1},
  [102] = {.index = 136, .length = 1},
  [103] = {.index = 137, .length = 3},
  [104] = {.index = 140, .length = 2},
  [105] = {.index = 142, .length = 2},
  [106] = {.index = 144, .length = 3},
  [107] = {.index = 147, .length = 1},
  [108] = {.index = 148, .length = 2},
  [109] = {.index = 150, .length = 2},
  [110] = {.index = 152, .length = 3},
  [111] = {.index = 155, .length = 1},
  [112] = {.index = 156, .length = 3},
  [113] = {.index = 159, .length = 4},
  [114] = {.index = 163, .length = 3},
  [115] = {.index = 166, .length = 3},
  [116] = {.index = 169, .length = 3},
  [117] = {.index = 172, .length = 2},
  [118] = {.index = 174, .length = 4},
  [119] = {.index = 178, .length = 2},
  [120] = {.index = 180, .length = 5},
  [121] = {.index = 185, .length = 2},
  [122] = {.index = 187, .length = 3},
  [123] = {.index = 82, .length = 2},
  [124] = {.index = 187, .length = 3},
  [125] = {.index = 82, .length = 2},
  [126] = {.index = 190, .length = 4},
  [127] = {.index = 194, .length = 1},
  [128] = {.index = 195, .length = 1},
  [129] = {.index = 196, .length = 3},
  [130] = {.index = 199, .length = 2},
  [131] = {.index = 201, .length = 2},
  [132] = {.index = 203, .length = 2},
  [133] = {.index = 205, .length = 3},
  [134] = {.index = 208, .length = 2},
  [135] = {.index = 210, .length = 4},
  [136] = {.index = 214, .length = 3},
  [137] = {.index = 217, .length = 4},
  [138] = {.index = 221, .length = 3},
  [139] = {.index = 224, .length = 2},
  [140] = {.index = 226, .length = 3},
  [141] = {.index = 229, .length = 3},
  [142] = {.index = 232, .length = 3},
  [143] = {.index = 235, .length = 2},
  [144] = {.index = 237, .length = 3},
  [145] = {.index = 237, .length = 3},
  [146] = {.index = 240, .length = 3},
  [147] = {.index = 243, .length = 3},
  [148] = {.index = 246, .length = 4},
  [149] = {.index = 250, .length = 4},
  [150] = {.index = 254, .length = 4},
  [151] = {.index = 258, .length = 4},
  [152] = {.index = 262, .length = 4},
  [153] = {.index = 266, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_function, 0},
  [1] =
    {field_loopex, 0},
  [2] =
    {field_array, 0, .inherited = true},
    {field_index, 0, .inherited = true},
  [4] =
    {field_hash, 0, .inherited = true},
    {field_key, 0, .inherited = true},
  [6] =
    {field_array, 0, .inherited = true},
    {field_arrayref, 0, .inherited = true},
    {field_hash, 0, .inherited = true},
    {field_hashref, 0, .inherited = true},
  [10] =
    {field_phase, 0},
  [11] =
    {field_variable, 1},
  [12] =
    {field_variables, 1},
  [13] =
    {field_body, 1},
  [14] =
    {field_try_block, 1},
  [15] =
    {field_block, 1},
  [16] =
    {field_operator, 0},
    {field_operator, 1},
  [18] =
    {field_modifiers, 1},
  [19] =
    {field_operand, 1},
    {field_operator, 0},
  [21] =
    {field_list, 1},
  [22] =
    {field_variable, 0},
  [23] =
    {field_operand, 0},
    {field_operator, 1},
  [25] =
    {field_arguments, 1},
    {field_function, 0},
  [27] =
    {field_name, 1},
  [28] =
    {field_name, 0},
  [29] =
    {field_body, 2},
  [30] =
    {field_body, 2},
    {field_name, 1},
  [32] =
    {field_operator, 0},
    {field_operator, 2},
  [34] =
    {field_callback, 1},
    {field_list, 2},
  [36] =
    {field_module, 1},
  [37] =
    {field_version, 1},
  [38] =
    {field_operator, 0},
  [39] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [42] =
    {field_list, 2},
  [43] =
    {field_condition, 2},
  [44] =
    {field_invocant, 0},
    {field_method, 2},
  [46] =
    {field_arguments, 2},
    {field_function, 0},
  [48] =
    {field_content, 1},
  [49] =
    {field_modifiers, 2},
  [50] =
    {field_label, 0},
    {field_statement, 2},
  [52] =
    {field_name, 1},
    {field_version, 2},
  [54] =
    {field_attributes, 2},
    {field_phase, 0},
  [56] =
    {field_body, 3},
    {field_lexical, 0},
    {field_name, 2},
  [59] =
    {field_attributes, 3},
    {field_variable, 1},
  [61] =
    {field_attributes, 3},
    {field_variables, 1},
  [63] =
    {field_body, 3},
  [64] =
    {field_attributes, 2},
    {field_body, 3},
  [66] =
    {field_body, 3},
    {field_name, 1},
  [68] =
    {field_catch_block, 3},
    {field_try_block, 1},
  [70] =
    {field_finally_block, 3},
    {field_try_block, 1},
  [72] =
    {field_callback, 1},
    {field_list, 3},
  [74] =
    {field_module, 1},
    {field_version, 2},
  [76] =
    {field_variables, 1},
    {field_variables, 2},
  [78] =
    {field_content, 2},
  [79] =
    {field_modifiers, 3},
  [80] =
    {field_modifiers, 3},
    {field_operator, 0},
  [82] =
    {field_content, 2},
    {field_operator, 0},
  [84] =
    {field_key, 2},
  [85] =
    {field_arguments, 2},
  [86] =
    {field_index, 2},
  [87] =
    {field_hash, 0},
    {field_key, 2},
  [89] =
    {field_array, 0},
    {field_index, 2},
  [91] =
    {field_hash, 0},
  [92] =
    {field_array, 0},
  [93] =
    {field_invocant, 0},
    {field_method, 3},
  [95] =
    {field_arguments, 1},
    {field_arguments, 3},
    {field_function, 0},
  [98] =
    {field_content, 1},
    {field_modifiers, 3},
  [100] =
    {field_list, 0},
  [101] =
    {field_body, 3},
    {field_name, 2},
  [103] =
    {field_attributes, 3},
    {field_name, 1},
  [105] =
    {field_default, 2},
  [106] =
    {field_body, 4},
    {field_lexical, 0},
    {field_name, 2},
  [109] =
    {field_body, 4},
    {field_lexical, 0},
    {field_name, 3},
  [112] =
    {field_attributes, 2},
    {field_body, 4},
  [114] =
    {field_body, 4},
    {field_name, 1},
  [116] =
    {field_attributes, 3},
    {field_body, 4},
    {field_name, 1},
  [119] =
    {field_list, 3},
  [120] =
    {field_variables, 1},
    {field_variables, 2},
    {field_variables, 3},
  [123] =
    {field_block, 0},
  [124] =
    {field_block, 4, .inherited = true},
    {field_continue, 4, .inherited = true},
    {field_list, 2},
  [127] =
    {field_content, 2},
    {field_modifiers, 4},
  [129] =
    {field_content, 2},
    {field_modifiers, 4},
    {field_operator, 0},
  [132] =
    {field_modifiers, 4},
    {field_operator, 0},
  [134] =
    {field_key, 3},
  [135] =
    {field_arguments, 3},
  [136] =
    {field_index, 3},
  [137] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequent, 2},
  [140] =
    {field_arguments, 3},
    {field_function, 0},
  [142] =
    {field_block, 4},
    {field_condition, 2},
  [144] =
    {field_block, 4, .inherited = true},
    {field_condition, 2},
    {field_continue, 4, .inherited = true},
  [147] =
    {field_body, 4},
  [148] =
    {field_attributes, 3},
    {field_body, 4},
  [150] =
    {field_body, 4},
    {field_name, 2},
  [152] =
    {field_attributes, 4},
    {field_name, 1},
    {field_version, 2},
  [155] =
    {field_default, 3},
  [156] =
    {field_body, 5},
    {field_lexical, 0},
    {field_name, 2},
  [159] =
    {field_attributes, 4},
    {field_body, 5},
    {field_lexical, 0},
    {field_name, 2},
  [163] =
    {field_body, 5},
    {field_lexical, 0},
    {field_name, 3},
  [166] =
    {field_attributes, 3},
    {field_body, 5},
    {field_name, 1},
  [169] =
    {field_catch_block, 3},
    {field_finally_block, 5},
    {field_try_block, 1},
  [172] =
    {field_callback, 3},
    {field_list, 4},
  [174] =
    {field_variables, 1},
    {field_variables, 2},
    {field_variables, 3},
    {field_variables, 4},
  [178] =
    {field_block, 5, .inherited = true},
    {field_continue, 5, .inherited = true},
  [180] =
    {field_block, 5, .inherited = true},
    {field_continue, 5, .inherited = true},
    {field_list, 3},
    {field_variable, 1, .inherited = true},
    {field_variables, 1, .inherited = true},
  [185] =
    {field_modifiers, 5},
    {field_operator, 0},
  [187] =
    {field_content, 2},
    {field_modifiers, 5},
    {field_operator, 0},
  [190] =
    {field_left, 0},
    {field_operator, 1},
    {field_operator, 3},
    {field_right, 2},
  [194] =
    {field_hashref, 0},
  [195] =
    {field_arrayref, 0},
  [196] =
    {field_arguments, 4},
    {field_invocant, 0},
    {field_method, 2},
  [199] =
    {field_arguments, 4},
    {field_function, 0},
  [201] =
    {field_attributes, 3},
    {field_body, 5},
  [203] =
    {field_body, 5},
    {field_name, 2},
  [205] =
    {field_attributes, 4},
    {field_body, 5},
    {field_name, 2},
  [208] =
    {field_name, 0},
    {field_value, 3},
  [210] =
    {field_attributes, 4},
    {field_body, 6},
    {field_lexical, 0},
    {field_name, 2},
  [214] =
    {field_body, 6},
    {field_lexical, 0},
    {field_name, 3},
  [217] =
    {field_attributes, 5},
    {field_body, 6},
    {field_lexical, 0},
    {field_name, 3},
  [221] =
    {field_catch_block, 6},
    {field_catch_expr, 4},
    {field_try_block, 1},
  [224] =
    {field_callback, 3},
    {field_list, 5},
  [226] =
    {field_block, 6, .inherited = true},
    {field_continue, 6, .inherited = true},
    {field_iterator, 4},
  [229] =
    {field_block, 6, .inherited = true},
    {field_condition, 3},
    {field_continue, 6, .inherited = true},
  [232] =
    {field_block, 6, .inherited = true},
    {field_continue, 6, .inherited = true},
    {field_initialiser, 2},
  [235] =
    {field_block, 0},
    {field_continue, 2},
  [237] =
    {field_content, 2},
    {field_modifiers, 6},
    {field_operator, 0},
  [240] =
    {field_arguments, 5},
    {field_invocant, 0},
    {field_method, 3},
  [243] =
    {field_attributes, 4},
    {field_body, 6},
    {field_name, 2},
  [246] =
    {field_attributes, 5},
    {field_body, 7},
    {field_lexical, 0},
    {field_name, 3},
  [250] =
    {field_block, 7, .inherited = true},
    {field_condition, 3},
    {field_continue, 7, .inherited = true},
    {field_iterator, 5},
  [254] =
    {field_block, 7, .inherited = true},
    {field_continue, 7, .inherited = true},
    {field_initialiser, 2},
    {field_iterator, 5},
  [258] =
    {field_block, 7, .inherited = true},
    {field_condition, 4},
    {field_continue, 7, .inherited = true},
    {field_initialiser, 2},
  [262] =
    {field_catch_block, 6},
    {field_catch_expr, 4},
    {field_finally_block, 8},
    {field_try_block, 1},
  [266] =
    {field_block, 8, .inherited = true},
    {field_condition, 4},
    {field_continue, 8, .inherited = true},
    {field_initialiser, 2},
    {field_iterator, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [3] = {
    [0] = alias_sym_block_statement,
  },
  [4] = {
    [0] = anon_alias_sym_not_DASHinterpolated,
  },
  [9] = {
    [0] = sym_varname,
  },
  [18] = {
    [1] = alias_sym_filename,
  },
  [20] = {
    [0] = alias_sym_label,
  },
  [23] = {
    [1] = sym_indirect_object,
  },
  [26] = {
    [0] = sym_scalar,
  },
  [27] = {
    [0] = sym_array,
  },
  [28] = {
    [0] = sym_hash,
  },
  [36] = {
    [2] = alias_sym_data_section,
  },
  [41] = {
    [0] = sym_autoquoted_bareword,
  },
  [44] = {
    [1] = alias_sym_string_content,
  },
  [46] = {
    [1] = alias_sym_regexp_content,
  },
  [48] = {
    [1] = anon_alias_sym_sner,
  },
  [62] = {
    [2] = alias_sym_string_content,
  },
  [64] = {
    [2] = alias_sym_regexp_content,
  },
  [66] = {
    [2] = alias_sym_regexp_content,
  },
  [76] = {
    [1] = alias_sym_regexp_content,
  },
  [79] = {
    [0] = sym_container_variable,
  },
  [80] = {
    [0] = sym_container_variable,
  },
  [81] = {
    [0] = sym_slice_container_variable,
  },
  [82] = {
    [0] = sym_slice_container_variable,
  },
  [84] = {
    [0] = sym_scalar,
  },
  [85] = {
    [1] = sym_varname,
  },
  [95] = {
    [2] = alias_sym_regexp_content,
  },
  [96] = {
    [2] = alias_sym_regexp_content,
  },
  [98] = {
    [3] = alias_sym_replacement,
  },
  [99] = {
    [2] = alias_sym_transliteration_content,
  },
  [121] = {
    [3] = alias_sym_replacement,
  },
  [122] = {
    [2] = alias_sym_regexp_content,
  },
  [123] = {
    [2] = alias_sym_regexp_content,
    [4] = alias_sym_replacement,
  },
  [124] = {
    [2] = alias_sym_transliteration_content,
  },
  [125] = {
    [2] = alias_sym_transliteration_content,
    [4] = alias_sym_replacement,
  },
  [144] = {
    [2] = alias_sym_regexp_content,
    [4] = alias_sym_replacement,
  },
  [145] = {
    [2] = alias_sym_transliteration_content,
    [4] = alias_sym_replacement,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_block, 3,
    sym_block,
    alias_sym_block_statement,
    sym_indirect_object,
  sym__term, 2,
    sym__term,
    alias_sym_filename,
  sym_scalar, 2,
    sym_scalar,
    sym_container_variable,
  sym_array, 2,
    sym_array,
    sym_slice_container_variable,
  sym__indirob, 2,
    sym__indirob,
    sym_varname,
  aux_sym__noninterpolated_string_content, 5,
    aux_sym__noninterpolated_string_content,
    alias_sym_regexp_content,
    alias_sym_replacement,
    alias_sym_string_content,
    alias_sym_transliteration_content,
  aux_sym__interpolated_string_content, 3,
    aux_sym__interpolated_string_content,
    alias_sym_replacement,
    alias_sym_string_content,
  aux_sym__interpolated_regexp_content, 2,
    aux_sym__interpolated_regexp_content,
    alias_sym_regexp_content,
  aux_sym__interpolated_transliteration_content, 3,
    aux_sym__interpolated_transliteration_content,
    alias_sym_replacement,
    alias_sym_transliteration_content,
  sym_identifier, 2,
    sym_identifier,
    alias_sym_label,
  sym__ident_special, 2,
    sym__ident_special,
    sym_varname,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 2,
  [9] = 3,
  [10] = 2,
  [11] = 7,
  [12] = 6,
  [13] = 4,
  [14] = 5,
  [15] = 3,
  [16] = 16,
  [17] = 6,
  [18] = 4,
  [19] = 7,
  [20] = 5,
  [21] = 21,
  [22] = 21,
  [23] = 21,
  [24] = 21,
  [25] = 21,
  [26] = 21,
  [27] = 21,
  [28] = 21,
  [29] = 21,
  [30] = 21,
  [31] = 21,
  [32] = 21,
  [33] = 21,
  [34] = 21,
  [35] = 21,
  [36] = 21,
  [37] = 21,
  [38] = 21,
  [39] = 21,
  [40] = 40,
  [41] = 21,
  [42] = 2,
  [43] = 2,
  [44] = 2,
  [45] = 45,
  [46] = 46,
  [47] = 46,
  [48] = 46,
  [49] = 46,
  [50] = 3,
  [51] = 46,
  [52] = 45,
  [53] = 46,
  [54] = 46,
  [55] = 46,
  [56] = 3,
  [57] = 46,
  [58] = 45,
  [59] = 45,
  [60] = 45,
  [61] = 46,
  [62] = 46,
  [63] = 45,
  [64] = 46,
  [65] = 46,
  [66] = 2,
  [67] = 46,
  [68] = 3,
  [69] = 69,
  [70] = 7,
  [71] = 6,
  [72] = 72,
  [73] = 4,
  [74] = 69,
  [75] = 72,
  [76] = 72,
  [77] = 4,
  [78] = 69,
  [79] = 72,
  [80] = 5,
  [81] = 69,
  [82] = 7,
  [83] = 72,
  [84] = 5,
  [85] = 69,
  [86] = 72,
  [87] = 6,
  [88] = 69,
  [89] = 72,
  [90] = 72,
  [91] = 69,
  [92] = 69,
  [93] = 72,
  [94] = 69,
  [95] = 69,
  [96] = 72,
  [97] = 69,
  [98] = 72,
  [99] = 69,
  [100] = 69,
  [101] = 69,
  [102] = 40,
  [103] = 69,
  [104] = 7,
  [105] = 69,
  [106] = 72,
  [107] = 69,
  [108] = 4,
  [109] = 69,
  [110] = 69,
  [111] = 69,
  [112] = 69,
  [113] = 69,
  [114] = 69,
  [115] = 69,
  [116] = 69,
  [117] = 69,
  [118] = 69,
  [119] = 69,
  [120] = 69,
  [121] = 69,
  [122] = 69,
  [123] = 69,
  [124] = 6,
  [125] = 3,
  [126] = 5,
  [127] = 72,
  [128] = 69,
  [129] = 72,
  [130] = 7,
  [131] = 5,
  [132] = 6,
  [133] = 4,
  [134] = 134,
  [135] = 134,
  [136] = 5,
  [137] = 5,
  [138] = 138,
  [139] = 138,
  [140] = 5,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 144,
  [152] = 152,
  [153] = 141,
  [154] = 154,
  [155] = 144,
  [156] = 150,
  [157] = 152,
  [158] = 141,
  [159] = 154,
  [160] = 160,
  [161] = 161,
  [162] = 142,
  [163] = 143,
  [164] = 145,
  [165] = 146,
  [166] = 147,
  [167] = 148,
  [168] = 144,
  [169] = 149,
  [170] = 150,
  [171] = 152,
  [172] = 141,
  [173] = 154,
  [174] = 160,
  [175] = 161,
  [176] = 142,
  [177] = 143,
  [178] = 145,
  [179] = 146,
  [180] = 147,
  [181] = 148,
  [182] = 150,
  [183] = 152,
  [184] = 154,
  [185] = 160,
  [186] = 161,
  [187] = 142,
  [188] = 143,
  [189] = 145,
  [190] = 146,
  [191] = 147,
  [192] = 148,
  [193] = 150,
  [194] = 152,
  [195] = 141,
  [196] = 154,
  [197] = 143,
  [198] = 146,
  [199] = 147,
  [200] = 160,
  [201] = 161,
  [202] = 144,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 205,
  [207] = 205,
  [208] = 208,
  [209] = 205,
  [210] = 204,
  [211] = 205,
  [212] = 208,
  [213] = 208,
  [214] = 208,
  [215] = 208,
  [216] = 204,
  [217] = 204,
  [218] = 203,
  [219] = 204,
  [220] = 203,
  [221] = 203,
  [222] = 203,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 231,
  [236] = 236,
  [237] = 237,
  [238] = 226,
  [239] = 229,
  [240] = 233,
  [241] = 234,
  [242] = 231,
  [243] = 236,
  [244] = 223,
  [245] = 237,
  [246] = 226,
  [247] = 225,
  [248] = 233,
  [249] = 234,
  [250] = 231,
  [251] = 236,
  [252] = 237,
  [253] = 226,
  [254] = 229,
  [255] = 233,
  [256] = 234,
  [257] = 231,
  [258] = 236,
  [259] = 237,
  [260] = 226,
  [261] = 229,
  [262] = 236,
  [263] = 233,
  [264] = 234,
  [265] = 224,
  [266] = 227,
  [267] = 228,
  [268] = 230,
  [269] = 232,
  [270] = 270,
  [271] = 237,
  [272] = 270,
  [273] = 229,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 276,
  [286] = 277,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 276,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 277,
  [302] = 290,
  [303] = 291,
  [304] = 292,
  [305] = 293,
  [306] = 295,
  [307] = 298,
  [308] = 299,
  [309] = 300,
  [310] = 310,
  [311] = 274,
  [312] = 275,
  [313] = 282,
  [314] = 310,
  [315] = 278,
  [316] = 279,
  [317] = 284,
  [318] = 281,
  [319] = 290,
  [320] = 291,
  [321] = 292,
  [322] = 293,
  [323] = 295,
  [324] = 298,
  [325] = 299,
  [326] = 300,
  [327] = 327,
  [328] = 310,
  [329] = 274,
  [330] = 275,
  [331] = 282,
  [332] = 278,
  [333] = 279,
  [334] = 280,
  [335] = 281,
  [336] = 290,
  [337] = 291,
  [338] = 292,
  [339] = 293,
  [340] = 295,
  [341] = 298,
  [342] = 299,
  [343] = 300,
  [344] = 310,
  [345] = 274,
  [346] = 275,
  [347] = 282,
  [348] = 278,
  [349] = 279,
  [350] = 280,
  [351] = 281,
  [352] = 290,
  [353] = 291,
  [354] = 292,
  [355] = 293,
  [356] = 295,
  [357] = 310,
  [358] = 274,
  [359] = 282,
  [360] = 278,
  [361] = 279,
  [362] = 280,
  [363] = 296,
  [364] = 297,
  [365] = 327,
  [366] = 283,
  [367] = 280,
  [368] = 5,
  [369] = 369,
  [370] = 369,
  [371] = 369,
  [372] = 369,
  [373] = 369,
  [374] = 369,
  [375] = 369,
  [376] = 5,
  [377] = 377,
  [378] = 378,
  [379] = 378,
  [380] = 380,
  [381] = 378,
  [382] = 380,
  [383] = 378,
  [384] = 380,
  [385] = 378,
  [386] = 380,
  [387] = 387,
  [388] = 380,
  [389] = 378,
  [390] = 387,
  [391] = 380,
  [392] = 378,
  [393] = 387,
  [394] = 4,
  [395] = 387,
  [396] = 387,
  [397] = 380,
  [398] = 398,
  [399] = 398,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 405,
  [408] = 406,
  [409] = 400,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 400,
  [415] = 403,
  [416] = 410,
  [417] = 400,
  [418] = 402,
  [419] = 403,
  [420] = 410,
  [421] = 405,
  [422] = 401,
  [423] = 400,
  [424] = 404,
  [425] = 406,
  [426] = 400,
  [427] = 403,
  [428] = 410,
  [429] = 398,
  [430] = 401,
  [431] = 431,
  [432] = 404,
  [433] = 433,
  [434] = 431,
  [435] = 412,
  [436] = 413,
  [437] = 433,
  [438] = 438,
  [439] = 402,
  [440] = 405,
  [441] = 406,
  [442] = 411,
  [443] = 403,
  [444] = 410,
  [445] = 398,
  [446] = 401,
  [447] = 438,
  [448] = 433,
  [449] = 401,
  [450] = 431,
  [451] = 431,
  [452] = 433,
  [453] = 398,
  [454] = 402,
  [455] = 405,
  [456] = 406,
  [457] = 404,
  [458] = 400,
  [459] = 403,
  [460] = 410,
  [461] = 433,
  [462] = 431,
  [463] = 433,
  [464] = 398,
  [465] = 431,
  [466] = 401,
  [467] = 412,
  [468] = 413,
  [469] = 404,
  [470] = 411,
  [471] = 471,
  [472] = 402,
  [473] = 412,
  [474] = 413,
  [475] = 431,
  [476] = 438,
  [477] = 433,
  [478] = 398,
  [479] = 402,
  [480] = 411,
  [481] = 405,
  [482] = 406,
  [483] = 405,
  [484] = 403,
  [485] = 412,
  [486] = 413,
  [487] = 410,
  [488] = 411,
  [489] = 406,
  [490] = 402,
  [491] = 438,
  [492] = 401,
  [493] = 404,
  [494] = 438,
  [495] = 404,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 496,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 505,
  [512] = 506,
  [513] = 513,
  [514] = 514,
  [515] = 509,
  [516] = 510,
  [517] = 517,
  [518] = 497,
  [519] = 498,
  [520] = 496,
  [521] = 507,
  [522] = 500,
  [523] = 501,
  [524] = 502,
  [525] = 503,
  [526] = 504,
  [527] = 517,
  [528] = 505,
  [529] = 506,
  [530] = 497,
  [531] = 531,
  [532] = 503,
  [533] = 513,
  [534] = 534,
  [535] = 498,
  [536] = 531,
  [537] = 537,
  [538] = 538,
  [539] = 508,
  [540] = 514,
  [541] = 509,
  [542] = 510,
  [543] = 537,
  [544] = 538,
  [545] = 508,
  [546] = 534,
  [547] = 534,
  [548] = 496,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 500,
  [553] = 549,
  [554] = 531,
  [555] = 531,
  [556] = 550,
  [557] = 501,
  [558] = 513,
  [559] = 514,
  [560] = 509,
  [561] = 510,
  [562] = 517,
  [563] = 497,
  [564] = 498,
  [565] = 496,
  [566] = 500,
  [567] = 501,
  [568] = 502,
  [569] = 503,
  [570] = 504,
  [571] = 505,
  [572] = 506,
  [573] = 502,
  [574] = 574,
  [575] = 537,
  [576] = 503,
  [577] = 531,
  [578] = 537,
  [579] = 531,
  [580] = 504,
  [581] = 513,
  [582] = 537,
  [583] = 538,
  [584] = 513,
  [585] = 517,
  [586] = 534,
  [587] = 507,
  [588] = 538,
  [589] = 537,
  [590] = 549,
  [591] = 497,
  [592] = 550,
  [593] = 505,
  [594] = 538,
  [595] = 549,
  [596] = 508,
  [597] = 550,
  [598] = 534,
  [599] = 514,
  [600] = 509,
  [601] = 549,
  [602] = 513,
  [603] = 514,
  [604] = 509,
  [605] = 550,
  [606] = 510,
  [607] = 510,
  [608] = 517,
  [609] = 497,
  [610] = 498,
  [611] = 507,
  [612] = 496,
  [613] = 500,
  [614] = 501,
  [615] = 502,
  [616] = 503,
  [617] = 517,
  [618] = 504,
  [619] = 505,
  [620] = 506,
  [621] = 508,
  [622] = 534,
  [623] = 498,
  [624] = 497,
  [625] = 498,
  [626] = 496,
  [627] = 549,
  [628] = 550,
  [629] = 538,
  [630] = 500,
  [631] = 501,
  [632] = 531,
  [633] = 537,
  [634] = 507,
  [635] = 538,
  [636] = 508,
  [637] = 502,
  [638] = 534,
  [639] = 503,
  [640] = 504,
  [641] = 505,
  [642] = 506,
  [643] = 549,
  [644] = 550,
  [645] = 504,
  [646] = 507,
  [647] = 507,
  [648] = 506,
  [649] = 514,
  [650] = 513,
  [651] = 501,
  [652] = 502,
  [653] = 514,
  [654] = 500,
  [655] = 509,
  [656] = 510,
  [657] = 517,
  [658] = 508,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 660,
  [673] = 660,
  [674] = 660,
  [675] = 660,
  [676] = 660,
  [677] = 660,
  [678] = 660,
  [679] = 660,
  [680] = 660,
  [681] = 660,
  [682] = 660,
  [683] = 660,
  [684] = 660,
  [685] = 660,
  [686] = 660,
  [687] = 660,
  [688] = 660,
  [689] = 660,
  [690] = 690,
  [691] = 690,
  [692] = 671,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 138,
  [697] = 690,
  [698] = 690,
  [699] = 690,
  [700] = 690,
  [701] = 690,
  [702] = 690,
  [703] = 669,
  [704] = 690,
  [705] = 690,
  [706] = 690,
  [707] = 690,
  [708] = 690,
  [709] = 690,
  [710] = 690,
  [711] = 690,
  [712] = 690,
  [713] = 690,
  [714] = 690,
  [715] = 663,
  [716] = 659,
  [717] = 666,
  [718] = 668,
  [719] = 669,
  [720] = 664,
  [721] = 662,
  [722] = 661,
  [723] = 670,
  [724] = 665,
  [725] = 667,
  [726] = 695,
  [727] = 669,
  [728] = 138,
  [729] = 671,
  [730] = 694,
  [731] = 693,
  [732] = 662,
  [733] = 669,
  [734] = 661,
  [735] = 659,
  [736] = 664,
  [737] = 663,
  [738] = 665,
  [739] = 668,
  [740] = 670,
  [741] = 667,
  [742] = 666,
  [743] = 138,
  [744] = 695,
  [745] = 693,
  [746] = 669,
  [747] = 671,
  [748] = 694,
  [749] = 669,
  [750] = 665,
  [751] = 659,
  [752] = 667,
  [753] = 661,
  [754] = 668,
  [755] = 663,
  [756] = 670,
  [757] = 662,
  [758] = 664,
  [759] = 666,
  [760] = 667,
  [761] = 138,
  [762] = 670,
  [763] = 661,
  [764] = 693,
  [765] = 662,
  [766] = 669,
  [767] = 659,
  [768] = 663,
  [769] = 665,
  [770] = 671,
  [771] = 666,
  [772] = 664,
  [773] = 670,
  [774] = 668,
  [775] = 669,
  [776] = 695,
  [777] = 694,
  [778] = 778,
  [779] = 693,
  [780] = 694,
  [781] = 138,
  [782] = 693,
  [783] = 671,
  [784] = 138,
  [785] = 669,
  [786] = 694,
  [787] = 671,
  [788] = 695,
  [789] = 695,
  [790] = 790,
  [791] = 791,
  [792] = 668,
  [793] = 793,
  [794] = 668,
  [795] = 669,
  [796] = 669,
  [797] = 669,
  [798] = 668,
  [799] = 791,
  [800] = 800,
  [801] = 790,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 668,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 669,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 668,
  [902] = 669,
  [903] = 668,
  [904] = 669,
  [905] = 793,
  [906] = 669,
  [907] = 802,
  [908] = 800,
  [909] = 668,
  [910] = 831,
  [911] = 806,
  [912] = 807,
  [913] = 809,
  [914] = 836,
  [915] = 810,
  [916] = 816,
  [917] = 820,
  [918] = 825,
  [919] = 827,
  [920] = 830,
  [921] = 858,
  [922] = 872,
  [923] = 805,
  [924] = 815,
  [925] = 817,
  [926] = 669,
  [927] = 839,
  [928] = 822,
  [929] = 823,
  [930] = 826,
  [931] = 832,
  [932] = 833,
  [933] = 860,
  [934] = 838,
  [935] = 668,
  [936] = 840,
  [937] = 841,
  [938] = 842,
  [939] = 843,
  [940] = 849,
  [941] = 855,
  [942] = 867,
  [943] = 869,
  [944] = 873,
  [945] = 874,
  [946] = 875,
  [947] = 876,
  [948] = 877,
  [949] = 878,
  [950] = 879,
  [951] = 880,
  [952] = 881,
  [953] = 882,
  [954] = 883,
  [955] = 803,
  [956] = 891,
  [957] = 892,
  [958] = 894,
  [959] = 895,
  [960] = 868,
  [961] = 884,
  [962] = 804,
  [963] = 896,
  [964] = 865,
  [965] = 900,
  [966] = 897,
  [967] = 856,
  [968] = 898,
  [969] = 851,
  [970] = 814,
  [971] = 818,
  [972] = 819,
  [973] = 834,
  [974] = 885,
  [975] = 808,
  [976] = 813,
  [977] = 835,
  [978] = 837,
  [979] = 821,
  [980] = 889,
  [981] = 844,
  [982] = 845,
  [983] = 846,
  [984] = 847,
  [985] = 854,
  [986] = 857,
  [987] = 862,
  [988] = 863,
  [989] = 853,
  [990] = 811,
  [991] = 859,
  [992] = 864,
  [993] = 871,
  [994] = 886,
  [995] = 850,
  [996] = 861,
  [997] = 870,
  [998] = 812,
  [999] = 828,
  [1000] = 829,
  [1001] = 899,
  [1002] = 852,
  [1003] = 893,
  [1004] = 887,
  [1005] = 888,
  [1006] = 890,
  [1007] = 824,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 900,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 669,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 666,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 665,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 663,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 667,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 668,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 669,
  [1046] = 1046,
  [1047] = 664,
  [1048] = 659,
  [1049] = 662,
  [1050] = 661,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1051,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1051,
  [1067] = 1051,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 138,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1017,
  [1236] = 1016,
  [1237] = 1018,
  [1238] = 1019,
  [1239] = 1020,
  [1240] = 1022,
  [1241] = 1016,
  [1242] = 1017,
  [1243] = 1023,
  [1244] = 1018,
  [1245] = 1027,
  [1246] = 1043,
  [1247] = 1040,
  [1248] = 1020,
  [1249] = 1019,
  [1250] = 665,
  [1251] = 1023,
  [1252] = 1022,
  [1253] = 666,
  [1254] = 1034,
  [1255] = 1044,
  [1256] = 1031,
  [1257] = 1028,
  [1258] = 669,
  [1259] = 1017,
  [1260] = 1054,
  [1261] = 1018,
  [1262] = 1088,
  [1263] = 1016,
  [1264] = 1043,
  [1265] = 1040,
  [1266] = 1027,
  [1267] = 1038,
  [1268] = 664,
  [1269] = 1041,
  [1270] = 1046,
  [1271] = 1030,
  [1272] = 1089,
  [1273] = 1033,
  [1274] = 1083,
  [1275] = 1084,
  [1276] = 1063,
  [1277] = 659,
  [1278] = 663,
  [1279] = 667,
  [1280] = 668,
  [1281] = 1032,
  [1282] = 1025,
  [1283] = 662,
  [1284] = 1035,
  [1285] = 1036,
  [1286] = 1037,
  [1287] = 1026,
  [1288] = 1205,
  [1289] = 1097,
  [1290] = 1209,
  [1291] = 1229,
  [1292] = 1231,
  [1293] = 1180,
  [1294] = 1125,
  [1295] = 1232,
  [1296] = 1181,
  [1297] = 1167,
  [1298] = 1193,
  [1299] = 1104,
  [1300] = 1136,
  [1301] = 1116,
  [1302] = 1160,
  [1303] = 1189,
  [1304] = 1233,
  [1305] = 1226,
  [1306] = 1129,
  [1307] = 1194,
  [1308] = 1098,
  [1309] = 1204,
  [1310] = 1185,
  [1311] = 1196,
  [1312] = 1230,
  [1313] = 1197,
  [1314] = 1199,
  [1315] = 661,
  [1316] = 1053,
  [1317] = 1222,
  [1318] = 1051,
  [1319] = 1052,
  [1320] = 668,
  [1321] = 1085,
  [1322] = 1071,
  [1323] = 1072,
  [1324] = 1073,
  [1325] = 1096,
  [1326] = 1079,
  [1327] = 664,
  [1328] = 1061,
  [1329] = 1023,
  [1330] = 1081,
  [1331] = 1054,
  [1332] = 1092,
  [1333] = 1076,
  [1334] = 1077,
  [1335] = 1078,
  [1336] = 1070,
  [1337] = 1063,
  [1338] = 669,
  [1339] = 1086,
  [1340] = 1087,
  [1341] = 1046,
  [1342] = 1074,
  [1343] = 1060,
  [1344] = 1051,
  [1345] = 1032,
  [1346] = 1025,
  [1347] = 1082,
  [1348] = 1051,
  [1349] = 1034,
  [1350] = 1035,
  [1351] = 1036,
  [1352] = 1090,
  [1353] = 1037,
  [1354] = 1038,
  [1355] = 1033,
  [1356] = 1088,
  [1357] = 1026,
  [1358] = 1016,
  [1359] = 1041,
  [1360] = 1018,
  [1361] = 1075,
  [1362] = 1065,
  [1363] = 1031,
  [1364] = 1080,
  [1365] = 1028,
  [1366] = 1017,
  [1367] = 659,
  [1368] = 1018,
  [1369] = 1091,
  [1370] = 1056,
  [1371] = 1030,
  [1372] = 663,
  [1373] = 662,
  [1374] = 1016,
  [1375] = 1089,
  [1376] = 1062,
  [1377] = 1017,
  [1378] = 1068,
  [1379] = 1093,
  [1380] = 1022,
  [1381] = 667,
  [1382] = 1064,
  [1383] = 1057,
  [1384] = 1058,
  [1385] = 1059,
  [1386] = 1083,
  [1387] = 665,
  [1388] = 1069,
  [1389] = 666,
  [1390] = 1051,
  [1391] = 1084,
  [1392] = 1094,
  [1393] = 1095,
  [1394] = 1044,
  [1395] = 1199,
  [1396] = 1219,
  [1397] = 1114,
  [1398] = 1104,
  [1399] = 1171,
  [1400] = 1227,
  [1401] = 1172,
  [1402] = 1111,
  [1403] = 1136,
  [1404] = 1174,
  [1405] = 1134,
  [1406] = 1116,
  [1407] = 1176,
  [1408] = 1220,
  [1409] = 1160,
  [1410] = 1020,
  [1411] = 1180,
  [1412] = 1181,
  [1413] = 1185,
  [1414] = 1158,
  [1415] = 1120,
  [1416] = 1019,
  [1417] = 1153,
  [1418] = 1165,
  [1419] = 1196,
  [1420] = 1138,
  [1421] = 1197,
  [1422] = 1178,
  [1423] = 1205,
  [1424] = 1097,
  [1425] = 1127,
  [1426] = 1209,
  [1427] = 1103,
  [1428] = 1229,
  [1429] = 1231,
  [1430] = 1119,
  [1431] = 1232,
  [1432] = 1233,
  [1433] = 1189,
  [1434] = 1098,
  [1435] = 1204,
  [1436] = 1230,
  [1437] = 1234,
  [1438] = 1108,
  [1439] = 1190,
  [1440] = 1139,
  [1441] = 1195,
  [1442] = 1109,
  [1443] = 1150,
  [1444] = 1107,
  [1445] = 1182,
  [1446] = 1145,
  [1447] = 1218,
  [1448] = 1167,
  [1449] = 1043,
  [1450] = 1184,
  [1451] = 1040,
  [1452] = 1213,
  [1453] = 1192,
  [1454] = 1027,
  [1455] = 1226,
  [1456] = 1194,
  [1457] = 1106,
  [1458] = 1208,
  [1459] = 1200,
  [1460] = 1207,
  [1461] = 1168,
  [1462] = 1169,
  [1463] = 1214,
  [1464] = 661,
  [1465] = 1170,
  [1466] = 1102,
  [1467] = 1206,
  [1468] = 1140,
  [1469] = 1155,
  [1470] = 1053,
  [1471] = 1156,
  [1472] = 1177,
  [1473] = 1141,
  [1474] = 1183,
  [1475] = 1216,
  [1476] = 1179,
  [1477] = 1224,
  [1478] = 1052,
  [1479] = 138,
  [1480] = 1187,
  [1481] = 1201,
  [1482] = 1202,
  [1483] = 1175,
  [1484] = 1203,
  [1485] = 1159,
  [1486] = 1124,
  [1487] = 1225,
  [1488] = 1128,
  [1489] = 1110,
  [1490] = 1100,
  [1491] = 1131,
  [1492] = 1133,
  [1493] = 1020,
  [1494] = 1223,
  [1495] = 1228,
  [1496] = 1135,
  [1497] = 1188,
  [1498] = 1210,
  [1499] = 1211,
  [1500] = 1161,
  [1501] = 1019,
  [1502] = 1193,
  [1503] = 1137,
  [1504] = 1173,
  [1505] = 1126,
  [1506] = 1212,
  [1507] = 1215,
  [1508] = 1217,
  [1509] = 1099,
  [1510] = 1222,
  [1511] = 1115,
  [1512] = 1117,
  [1513] = 1157,
  [1514] = 1121,
  [1515] = 1144,
  [1516] = 1191,
  [1517] = 1125,
  [1518] = 1198,
  [1519] = 1221,
  [1520] = 1113,
  [1521] = 1122,
  [1522] = 1051,
  [1523] = 1123,
  [1524] = 1142,
  [1525] = 1130,
  [1526] = 1132,
  [1527] = 1118,
  [1528] = 1143,
  [1529] = 1147,
  [1530] = 1151,
  [1531] = 1154,
  [1532] = 1129,
  [1533] = 1152,
  [1534] = 1162,
  [1535] = 1164,
  [1536] = 1166,
  [1537] = 1101,
  [1538] = 1105,
  [1539] = 1186,
  [1540] = 1163,
  [1541] = 1086,
  [1542] = 1034,
  [1543] = 1035,
  [1544] = 1036,
  [1545] = 1037,
  [1546] = 1038,
  [1547] = 1033,
  [1548] = 1026,
  [1549] = 1041,
  [1550] = 1044,
  [1551] = 1031,
  [1552] = 1028,
  [1553] = 1030,
  [1554] = 662,
  [1555] = 1062,
  [1556] = 1060,
  [1557] = 1068,
  [1558] = 659,
  [1559] = 663,
  [1560] = 1081,
  [1561] = 1063,
  [1562] = 1064,
  [1563] = 1069,
  [1564] = 1061,
  [1565] = 1076,
  [1566] = 1077,
  [1567] = 1078,
  [1568] = 1087,
  [1569] = 1046,
  [1570] = 1090,
  [1571] = 1091,
  [1572] = 1056,
  [1573] = 1057,
  [1574] = 1058,
  [1575] = 1059,
  [1576] = 1092,
  [1577] = 664,
  [1578] = 1093,
  [1579] = 1095,
  [1580] = 1074,
  [1581] = 1070,
  [1582] = 1075,
  [1583] = 1080,
  [1584] = 665,
  [1585] = 1022,
  [1586] = 1023,
  [1587] = 666,
  [1588] = 667,
  [1589] = 1022,
  [1590] = 1023,
  [1591] = 668,
  [1592] = 1018,
  [1593] = 1016,
  [1594] = 1054,
  [1595] = 669,
  [1596] = 1088,
  [1597] = 665,
  [1598] = 666,
  [1599] = 1051,
  [1600] = 1051,
  [1601] = 1051,
  [1602] = 1032,
  [1603] = 1025,
  [1604] = 1082,
  [1605] = 1208,
  [1606] = 1188,
  [1607] = 1193,
  [1608] = 1113,
  [1609] = 1104,
  [1610] = 1111,
  [1611] = 1136,
  [1612] = 1116,
  [1613] = 1160,
  [1614] = 1189,
  [1615] = 1218,
  [1616] = 1226,
  [1617] = 1106,
  [1618] = 1110,
  [1619] = 1122,
  [1620] = 1134,
  [1621] = 1138,
  [1622] = 1184,
  [1623] = 1192,
  [1624] = 1194,
  [1625] = 1200,
  [1626] = 1207,
  [1627] = 1214,
  [1628] = 1100,
  [1629] = 1071,
  [1630] = 1072,
  [1631] = 1073,
  [1632] = 1096,
  [1633] = 1079,
  [1634] = 1123,
  [1635] = 1130,
  [1636] = 1032,
  [1637] = 1143,
  [1638] = 1147,
  [1639] = 1151,
  [1640] = 1154,
  [1641] = 1166,
  [1642] = 1171,
  [1643] = 1172,
  [1644] = 1025,
  [1645] = 1174,
  [1646] = 1176,
  [1647] = 1108,
  [1648] = 1195,
  [1649] = 1109,
  [1650] = 1150,
  [1651] = 1182,
  [1652] = 1046,
  [1653] = 1034,
  [1654] = 1065,
  [1655] = 1102,
  [1656] = 1206,
  [1657] = 1155,
  [1658] = 1156,
  [1659] = 1163,
  [1660] = 1179,
  [1661] = 1175,
  [1662] = 1124,
  [1663] = 1128,
  [1664] = 1035,
  [1665] = 1131,
  [1666] = 1133,
  [1667] = 1036,
  [1668] = 1135,
  [1669] = 1037,
  [1670] = 1038,
  [1671] = 1033,
  [1672] = 1152,
  [1673] = 1162,
  [1674] = 1164,
  [1675] = 1178,
  [1676] = 1165,
  [1677] = 1127,
  [1678] = 1216,
  [1679] = 1219,
  [1680] = 1026,
  [1681] = 1220,
  [1682] = 1118,
  [1683] = 1227,
  [1684] = 1132,
  [1685] = 1041,
  [1686] = 1085,
  [1687] = 1101,
  [1688] = 1114,
  [1689] = 1158,
  [1690] = 1190,
  [1691] = 1191,
  [1692] = 1198,
  [1693] = 1044,
  [1694] = 1031,
  [1695] = 1028,
  [1696] = 1030,
  [1697] = 1126,
  [1698] = 1117,
  [1699] = 1120,
  [1700] = 1153,
  [1701] = 1224,
  [1702] = 1137,
  [1703] = 1142,
  [1704] = 1103,
  [1705] = 1119,
  [1706] = 1168,
  [1707] = 1169,
  [1708] = 1161,
  [1709] = 1170,
  [1710] = 1177,
  [1711] = 1183,
  [1712] = 1187,
  [1713] = 1201,
  [1714] = 1202,
  [1715] = 1203,
  [1716] = 1210,
  [1717] = 1211,
  [1718] = 1212,
  [1719] = 1215,
  [1720] = 1217,
  [1721] = 1221,
  [1722] = 1225,
  [1723] = 1157,
  [1724] = 1139,
  [1725] = 1140,
  [1726] = 1141,
  [1727] = 1083,
  [1728] = 1084,
  [1729] = 1129,
  [1730] = 1051,
  [1731] = 1223,
  [1732] = 1228,
  [1733] = 1173,
  [1734] = 1180,
  [1735] = 1181,
  [1736] = 1185,
  [1737] = 1196,
  [1738] = 1197,
  [1739] = 1199,
  [1740] = 1205,
  [1741] = 1097,
  [1742] = 1209,
  [1743] = 1229,
  [1744] = 1231,
  [1745] = 1232,
  [1746] = 1233,
  [1747] = 1098,
  [1748] = 1204,
  [1749] = 1230,
  [1750] = 1043,
  [1751] = 1040,
  [1752] = 1222,
  [1753] = 1027,
  [1754] = 1099,
  [1755] = 1115,
  [1756] = 1121,
  [1757] = 1043,
  [1758] = 1040,
  [1759] = 1027,
  [1760] = 662,
  [1761] = 1144,
  [1762] = 1125,
  [1763] = 659,
  [1764] = 663,
  [1765] = 138,
  [1766] = 1094,
  [1767] = 1105,
  [1768] = 667,
  [1769] = 1186,
  [1770] = 664,
  [1771] = 668,
  [1772] = 669,
  [1773] = 1234,
  [1774] = 1107,
  [1775] = 1145,
  [1776] = 1167,
  [1777] = 661,
  [1778] = 1053,
  [1779] = 1052,
  [1780] = 1213,
  [1781] = 1159,
  [1782] = 1064,
  [1783] = 1092,
  [1784] = 661,
  [1785] = 1051,
  [1786] = 1051,
  [1787] = 1148,
  [1788] = 1149,
  [1789] = 1070,
  [1790] = 1051,
  [1791] = 1095,
  [1792] = 1051,
  [1793] = 1057,
  [1794] = 1075,
  [1795] = 1080,
  [1796] = 1093,
  [1797] = 1797,
  [1798] = 1059,
  [1799] = 1062,
  [1800] = 1060,
  [1801] = 1091,
  [1802] = 1053,
  [1803] = 1068,
  [1804] = 1074,
  [1805] = 1058,
  [1806] = 1081,
  [1807] = 1052,
  [1808] = 1056,
  [1809] = 1069,
  [1810] = 1061,
  [1811] = 1076,
  [1812] = 1077,
  [1813] = 1078,
  [1814] = 1146,
  [1815] = 1086,
  [1816] = 1087,
  [1817] = 1082,
  [1818] = 1090,
  [1819] = 1819,
  [1820] = 1225,
  [1821] = 1120,
  [1822] = 1153,
  [1823] = 1159,
  [1824] = 1137,
  [1825] = 1142,
  [1826] = 1219,
  [1827] = 1103,
  [1828] = 1119,
  [1829] = 1168,
  [1830] = 1169,
  [1831] = 1133,
  [1832] = 1170,
  [1833] = 1177,
  [1834] = 1220,
  [1835] = 1183,
  [1836] = 1187,
  [1837] = 1201,
  [1838] = 1202,
  [1839] = 1203,
  [1840] = 1210,
  [1841] = 1211,
  [1842] = 1212,
  [1843] = 1215,
  [1844] = 1217,
  [1845] = 1221,
  [1846] = 1128,
  [1847] = 1157,
  [1848] = 1139,
  [1849] = 1140,
  [1850] = 1141,
  [1851] = 1062,
  [1852] = 1060,
  [1853] = 1124,
  [1854] = 1054,
  [1855] = 1118,
  [1856] = 1068,
  [1857] = 1227,
  [1858] = 1132,
  [1859] = 1083,
  [1860] = 1084,
  [1861] = 1094,
  [1862] = 1081,
  [1863] = 1088,
  [1864] = 1063,
  [1865] = 1131,
  [1866] = 1064,
  [1867] = 1069,
  [1868] = 1071,
  [1869] = 1072,
  [1870] = 1073,
  [1871] = 1096,
  [1872] = 1079,
  [1873] = 1061,
  [1874] = 1076,
  [1875] = 1077,
  [1876] = 1078,
  [1877] = 1085,
  [1878] = 1086,
  [1879] = 1087,
  [1880] = 1082,
  [1881] = 1090,
  [1882] = 1065,
  [1883] = 1091,
  [1884] = 1056,
  [1885] = 1057,
  [1886] = 1058,
  [1887] = 1059,
  [1888] = 1101,
  [1889] = 1114,
  [1890] = 1152,
  [1891] = 1158,
  [1892] = 1190,
  [1893] = 1191,
  [1894] = 1092,
  [1895] = 1198,
  [1896] = 1085,
  [1897] = 138,
  [1898] = 1162,
  [1899] = 1093,
  [1900] = 1095,
  [1901] = 1074,
  [1902] = 1054,
  [1903] = 1070,
  [1904] = 1088,
  [1905] = 1164,
  [1906] = 1208,
  [1907] = 1178,
  [1908] = 1117,
  [1909] = 1051,
  [1910] = 1051,
  [1911] = 1075,
  [1912] = 1051,
  [1913] = 1080,
  [1914] = 1063,
  [1915] = 1161,
  [1916] = 1223,
  [1917] = 1228,
  [1918] = 1173,
  [1919] = 1089,
  [1920] = 1099,
  [1921] = 1115,
  [1922] = 1121,
  [1923] = 1144,
  [1924] = 1083,
  [1925] = 1084,
  [1926] = 1094,
  [1927] = 1105,
  [1928] = 1186,
  [1929] = 1234,
  [1930] = 1107,
  [1931] = 1145,
  [1932] = 1213,
  [1933] = 1224,
  [1934] = 1188,
  [1935] = 1113,
  [1936] = 1111,
  [1937] = 1218,
  [1938] = 1063,
  [1939] = 1106,
  [1940] = 1110,
  [1941] = 1122,
  [1942] = 1134,
  [1943] = 1138,
  [1944] = 1184,
  [1945] = 1192,
  [1946] = 1200,
  [1947] = 1207,
  [1948] = 1214,
  [1949] = 1100,
  [1950] = 1071,
  [1951] = 1072,
  [1952] = 1073,
  [1953] = 1096,
  [1954] = 1079,
  [1955] = 1123,
  [1956] = 1130,
  [1957] = 1143,
  [1958] = 1147,
  [1959] = 1151,
  [1960] = 1154,
  [1961] = 1166,
  [1962] = 1171,
  [1963] = 1172,
  [1964] = 1174,
  [1965] = 1176,
  [1966] = 1127,
  [1967] = 1135,
  [1968] = 1216,
  [1969] = 1108,
  [1970] = 1195,
  [1971] = 1109,
  [1972] = 1150,
  [1973] = 1182,
  [1974] = 1126,
  [1975] = 1065,
  [1976] = 1175,
  [1977] = 1102,
  [1978] = 1206,
  [1979] = 1155,
  [1980] = 1156,
  [1981] = 1163,
  [1982] = 1179,
  [1983] = 1165,
  [1984] = 1223,
  [1985] = 1152,
  [1986] = 1162,
  [1987] = 1164,
  [1988] = 1178,
  [1989] = 1165,
  [1990] = 1127,
  [1991] = 1216,
  [1992] = 1219,
  [1993] = 1160,
  [1994] = 1220,
  [1995] = 1118,
  [1996] = 1227,
  [1997] = 1132,
  [1998] = 1189,
  [1999] = 1218,
  [2000] = 1101,
  [2001] = 1114,
  [2002] = 1226,
  [2003] = 1158,
  [2004] = 1190,
  [2005] = 1191,
  [2006] = 1198,
  [2007] = 1106,
  [2008] = 1110,
  [2009] = 1208,
  [2010] = 138,
  [2011] = 1122,
  [2012] = 1173,
  [2013] = 1134,
  [2014] = 1138,
  [2015] = 1184,
  [2016] = 1192,
  [2017] = 1126,
  [2018] = 1222,
  [2019] = 1117,
  [2020] = 1120,
  [2021] = 1153,
  [2022] = 1159,
  [2023] = 1137,
  [2024] = 1142,
  [2025] = 1194,
  [2026] = 1103,
  [2027] = 1200,
  [2028] = 1119,
  [2029] = 1168,
  [2030] = 1207,
  [2031] = 1169,
  [2032] = 1214,
  [2033] = 1099,
  [2034] = 1170,
  [2035] = 1177,
  [2036] = 1115,
  [2037] = 1100,
  [2038] = 1183,
  [2039] = 1129,
  [2040] = 1187,
  [2041] = 1201,
  [2042] = 1121,
  [2043] = 1144,
  [2044] = 1202,
  [2045] = 1203,
  [2046] = 1125,
  [2047] = 1161,
  [2048] = 1123,
  [2049] = 1130,
  [2050] = 1210,
  [2051] = 1143,
  [2052] = 1125,
  [2053] = 1211,
  [2054] = 1212,
  [2055] = 1147,
  [2056] = 1151,
  [2057] = 1154,
  [2058] = 1166,
  [2059] = 1171,
  [2060] = 1215,
  [2061] = 1172,
  [2062] = 1054,
  [2063] = 1088,
  [2064] = 1174,
  [2065] = 1167,
  [2066] = 1222,
  [2067] = 1176,
  [2068] = 1193,
  [2069] = 1105,
  [2070] = 1104,
  [2071] = 1180,
  [2072] = 1116,
  [2073] = 1116,
  [2074] = 1160,
  [2075] = 1189,
  [2076] = 1181,
  [2077] = 1185,
  [2078] = 1226,
  [2079] = 1186,
  [2080] = 1228,
  [2081] = 1196,
  [2082] = 1129,
  [2083] = 1217,
  [2084] = 1197,
  [2085] = 1199,
  [2086] = 1205,
  [2087] = 1097,
  [2088] = 1194,
  [2089] = 1209,
  [2090] = 1229,
  [2091] = 1231,
  [2092] = 1221,
  [2093] = 1225,
  [2094] = 1232,
  [2095] = 1233,
  [2096] = 1098,
  [2097] = 1204,
  [2098] = 1230,
  [2099] = 1108,
  [2100] = 1195,
  [2101] = 1109,
  [2102] = 1157,
  [2103] = 1150,
  [2104] = 1182,
  [2105] = 1234,
  [2106] = 1107,
  [2107] = 1145,
  [2108] = 1102,
  [2109] = 1206,
  [2110] = 1139,
  [2111] = 1155,
  [2112] = 1140,
  [2113] = 1141,
  [2114] = 1156,
  [2115] = 1163,
  [2116] = 1180,
  [2117] = 1181,
  [2118] = 1185,
  [2119] = 1179,
  [2120] = 1175,
  [2121] = 1196,
  [2122] = 1197,
  [2123] = 1199,
  [2124] = 1205,
  [2125] = 1097,
  [2126] = 1209,
  [2127] = 1229,
  [2128] = 1231,
  [2129] = 1232,
  [2130] = 1233,
  [2131] = 1098,
  [2132] = 1204,
  [2133] = 1230,
  [2134] = 1124,
  [2135] = 1128,
  [2136] = 1167,
  [2137] = 1131,
  [2138] = 1133,
  [2139] = 1213,
  [2140] = 1136,
  [2141] = 1063,
  [2142] = 1135,
  [2143] = 1224,
  [2144] = 1188,
  [2145] = 1193,
  [2146] = 1113,
  [2147] = 1104,
  [2148] = 1111,
  [2149] = 1136,
  [2150] = 1160,
  [2151] = 1194,
  [2152] = 1084,
  [2153] = 1180,
  [2154] = 1181,
  [2155] = 1185,
  [2156] = 1196,
  [2157] = 1197,
  [2158] = 1199,
  [2159] = 1205,
  [2160] = 1097,
  [2161] = 1209,
  [2162] = 1229,
  [2163] = 1231,
  [2164] = 1232,
  [2165] = 1233,
  [2166] = 1098,
  [2167] = 1204,
  [2168] = 1230,
  [2169] = 1222,
  [2170] = 1083,
  [2171] = 1125,
  [2172] = 1167,
  [2173] = 1193,
  [2174] = 1104,
  [2175] = 1136,
  [2176] = 1116,
  [2177] = 1189,
  [2178] = 1226,
  [2179] = 1129,
  [2180] = 2180,
  [2181] = 2180,
  [2182] = 2182,
  [2183] = 2180,
  [2184] = 2180,
  [2185] = 2180,
  [2186] = 1129,
  [2187] = 2182,
  [2188] = 2180,
  [2189] = 2180,
  [2190] = 2182,
  [2191] = 2182,
  [2192] = 2182,
  [2193] = 2193,
  [2194] = 2193,
  [2195] = 2193,
  [2196] = 2193,
  [2197] = 2193,
  [2198] = 2193,
  [2199] = 2193,
  [2200] = 2200,
  [2201] = 2201,
  [2202] = 2201,
  [2203] = 2200,
  [2204] = 2201,
  [2205] = 2200,
  [2206] = 2200,
  [2207] = 2200,
  [2208] = 2201,
  [2209] = 2201,
  [2210] = 2210,
  [2211] = 2211,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 2214,
  [2215] = 2210,
  [2216] = 2216,
  [2217] = 2216,
  [2218] = 2212,
  [2219] = 2210,
  [2220] = 2212,
  [2221] = 2213,
  [2222] = 2214,
  [2223] = 2212,
  [2224] = 2211,
  [2225] = 2214,
  [2226] = 2211,
  [2227] = 2213,
  [2228] = 2212,
  [2229] = 2216,
  [2230] = 2214,
  [2231] = 2216,
  [2232] = 2210,
  [2233] = 2211,
  [2234] = 2213,
  [2235] = 2211,
  [2236] = 2214,
  [2237] = 2216,
  [2238] = 2210,
  [2239] = 2213,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2248,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2247,
  [2252] = 2240,
  [2253] = 2242,
  [2254] = 2243,
  [2255] = 2255,
  [2256] = 2244,
  [2257] = 2245,
  [2258] = 2258,
  [2259] = 2241,
  [2260] = 2248,
  [2261] = 2249,
  [2262] = 2250,
  [2263] = 2247,
  [2264] = 2240,
  [2265] = 2242,
  [2266] = 2243,
  [2267] = 2255,
  [2268] = 2244,
  [2269] = 2245,
  [2270] = 2258,
  [2271] = 2241,
  [2272] = 2248,
  [2273] = 2249,
  [2274] = 2258,
  [2275] = 2250,
  [2276] = 2247,
  [2277] = 2240,
  [2278] = 2243,
  [2279] = 2255,
  [2280] = 2244,
  [2281] = 2245,
  [2282] = 2258,
  [2283] = 2241,
  [2284] = 2248,
  [2285] = 2249,
  [2286] = 2250,
  [2287] = 2247,
  [2288] = 2240,
  [2289] = 2242,
  [2290] = 2243,
  [2291] = 2255,
  [2292] = 2255,
  [2293] = 2250,
  [2294] = 2248,
  [2295] = 2258,
  [2296] = 2249,
  [2297] = 2244,
  [2298] = 2245,
  [2299] = 2241,
  [2300] = 2246,
  [2301] = 2242,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 2305,
  [2306] = 1054,
  [2307] = 1088,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2309,
  [2311] = 2308,
  [2312] = 2309,
  [2313] = 2308,
  [2314] = 2308,
  [2315] = 2308,
  [2316] = 2309,
  [2317] = 2309,
  [2318] = 2318,
  [2319] = 2318,
  [2320] = 2318,
  [2321] = 2321,
  [2322] = 2318,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 669,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 664,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 669,
  [2337] = 2331,
  [2338] = 2338,
  [2339] = 664,
  [2340] = 2334,
  [2341] = 2335,
  [2342] = 668,
  [2343] = 668,
  [2344] = 2330,
  [2345] = 2345,
  [2346] = 667,
  [2347] = 2345,
  [2348] = 665,
  [2349] = 2349,
  [2350] = 2350,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 666,
  [2354] = 2349,
  [2355] = 2345,
  [2356] = 2350,
  [2357] = 2349,
  [2358] = 2352,
  [2359] = 2351,
  [2360] = 2349,
  [2361] = 664,
  [2362] = 662,
  [2363] = 659,
  [2364] = 2350,
  [2365] = 2365,
  [2366] = 668,
  [2367] = 2352,
  [2368] = 659,
  [2369] = 663,
  [2370] = 665,
  [2371] = 2349,
  [2372] = 662,
  [2373] = 669,
  [2374] = 2350,
  [2375] = 666,
  [2376] = 663,
  [2377] = 2352,
  [2378] = 2345,
  [2379] = 2350,
  [2380] = 2345,
  [2381] = 2345,
  [2382] = 2345,
  [2383] = 2383,
  [2384] = 2345,
  [2385] = 2345,
  [2386] = 2345,
  [2387] = 2345,
  [2388] = 2345,
  [2389] = 2345,
  [2390] = 2345,
  [2391] = 2391,
  [2392] = 2331,
  [2393] = 669,
  [2394] = 664,
  [2395] = 2395,
  [2396] = 664,
  [2397] = 2352,
  [2398] = 667,
  [2399] = 668,
  [2400] = 2391,
  [2401] = 2395,
  [2402] = 2334,
  [2403] = 2335,
  [2404] = 668,
  [2405] = 2345,
  [2406] = 669,
  [2407] = 2345,
  [2408] = 1054,
  [2409] = 2409,
  [2410] = 2410,
  [2411] = 2411,
  [2412] = 2412,
  [2413] = 2413,
  [2414] = 2414,
  [2415] = 2415,
  [2416] = 2414,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 2419,
  [2420] = 2411,
  [2421] = 2417,
  [2422] = 2422,
  [2423] = 2423,
  [2424] = 2412,
  [2425] = 2418,
  [2426] = 2426,
  [2427] = 664,
  [2428] = 2422,
  [2429] = 2429,
  [2430] = 2419,
  [2431] = 662,
  [2432] = 2432,
  [2433] = 1088,
  [2434] = 668,
  [2435] = 2410,
  [2436] = 2411,
  [2437] = 2412,
  [2438] = 2413,
  [2439] = 2415,
  [2440] = 2414,
  [2441] = 2417,
  [2442] = 2418,
  [2443] = 2419,
  [2444] = 2444,
  [2445] = 666,
  [2446] = 2446,
  [2447] = 669,
  [2448] = 2422,
  [2449] = 2423,
  [2450] = 2432,
  [2451] = 2451,
  [2452] = 2426,
  [2453] = 2429,
  [2454] = 2446,
  [2455] = 665,
  [2456] = 2410,
  [2457] = 2411,
  [2458] = 2411,
  [2459] = 2412,
  [2460] = 2413,
  [2461] = 2415,
  [2462] = 2414,
  [2463] = 2417,
  [2464] = 2418,
  [2465] = 2419,
  [2466] = 2422,
  [2467] = 2413,
  [2468] = 663,
  [2469] = 2423,
  [2470] = 2426,
  [2471] = 2471,
  [2472] = 2429,
  [2473] = 667,
  [2474] = 2334,
  [2475] = 2335,
  [2476] = 664,
  [2477] = 2415,
  [2478] = 2415,
  [2479] = 2423,
  [2480] = 2415,
  [2481] = 2415,
  [2482] = 2412,
  [2483] = 2415,
  [2484] = 2413,
  [2485] = 2415,
  [2486] = 2426,
  [2487] = 2429,
  [2488] = 2414,
  [2489] = 2429,
  [2490] = 2490,
  [2491] = 2444,
  [2492] = 2409,
  [2493] = 2493,
  [2494] = 2493,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2415,
  [2498] = 2426,
  [2499] = 2410,
  [2500] = 2500,
  [2501] = 2501,
  [2502] = 2417,
  [2503] = 2471,
  [2504] = 2496,
  [2505] = 2500,
  [2506] = 2501,
  [2507] = 2507,
  [2508] = 668,
  [2509] = 2495,
  [2510] = 2391,
  [2511] = 2395,
  [2512] = 2490,
  [2513] = 2418,
  [2514] = 2419,
  [2515] = 2423,
  [2516] = 2451,
  [2517] = 2423,
  [2518] = 2410,
  [2519] = 669,
  [2520] = 2331,
  [2521] = 659,
  [2522] = 2422,
  [2523] = 2495,
  [2524] = 2524,
  [2525] = 2471,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2528,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2490,
  [2533] = 2444,
  [2534] = 2391,
  [2535] = 2395,
  [2536] = 2528,
  [2537] = 2409,
  [2538] = 2493,
  [2539] = 2529,
  [2540] = 2530,
  [2541] = 2541,
  [2542] = 2501,
  [2543] = 2528,
  [2544] = 2531,
  [2545] = 2527,
  [2546] = 668,
  [2547] = 659,
  [2548] = 665,
  [2549] = 663,
  [2550] = 2550,
  [2551] = 2528,
  [2552] = 669,
  [2553] = 2553,
  [2554] = 2554,
  [2555] = 2528,
  [2556] = 2531,
  [2557] = 2496,
  [2558] = 2558,
  [2559] = 2531,
  [2560] = 2560,
  [2561] = 2560,
  [2562] = 2562,
  [2563] = 2563,
  [2564] = 2527,
  [2565] = 2500,
  [2566] = 2566,
  [2567] = 2531,
  [2568] = 2566,
  [2569] = 2560,
  [2570] = 2562,
  [2571] = 2558,
  [2572] = 666,
  [2573] = 2550,
  [2574] = 2554,
  [2575] = 664,
  [2576] = 2432,
  [2577] = 2541,
  [2578] = 662,
  [2579] = 2579,
  [2580] = 2580,
  [2581] = 2580,
  [2582] = 2446,
  [2583] = 2563,
  [2584] = 2560,
  [2585] = 2562,
  [2586] = 2586,
  [2587] = 667,
  [2588] = 2527,
  [2589] = 2526,
  [2590] = 2524,
  [2591] = 2560,
  [2592] = 2562,
  [2593] = 2586,
  [2594] = 2527,
  [2595] = 2579,
  [2596] = 2562,
  [2597] = 2490,
  [2598] = 2598,
  [2599] = 2495,
  [2600] = 2496,
  [2601] = 2444,
  [2602] = 2602,
  [2603] = 2603,
  [2604] = 1051,
  [2605] = 2605,
  [2606] = 2606,
  [2607] = 2500,
  [2608] = 2608,
  [2609] = 2602,
  [2610] = 2610,
  [2611] = 2611,
  [2612] = 2612,
  [2613] = 2409,
  [2614] = 2614,
  [2615] = 1088,
  [2616] = 1054,
  [2617] = 2617,
  [2618] = 2501,
  [2619] = 2619,
  [2620] = 2620,
  [2621] = 2621,
  [2622] = 2622,
  [2623] = 1051,
  [2624] = 2624,
  [2625] = 2625,
  [2626] = 2605,
  [2627] = 2621,
  [2628] = 2622,
  [2629] = 2471,
  [2630] = 2610,
  [2631] = 2631,
  [2632] = 2632,
  [2633] = 2493,
  [2634] = 2634,
  [2635] = 2635,
  [2636] = 2620,
  [2637] = 2619,
  [2638] = 2608,
  [2639] = 2639,
  [2640] = 2632,
  [2641] = 2598,
  [2642] = 2612,
  [2643] = 2432,
  [2644] = 2614,
  [2645] = 2617,
  [2646] = 2646,
  [2647] = 2446,
  [2648] = 2606,
  [2649] = 2634,
  [2650] = 2624,
  [2651] = 2635,
  [2652] = 2611,
  [2653] = 2631,
  [2654] = 2625,
  [2655] = 2639,
  [2656] = 2656,
  [2657] = 2603,
  [2658] = 2656,
  [2659] = 2659,
  [2660] = 1017,
  [2661] = 2661,
  [2662] = 2610,
  [2663] = 2621,
  [2664] = 2664,
  [2665] = 2659,
  [2666] = 2666,
  [2667] = 2611,
  [2668] = 2668,
  [2669] = 1018,
  [2670] = 2608,
  [2671] = 2659,
  [2672] = 2620,
  [2673] = 2605,
  [2674] = 2631,
  [2675] = 2675,
  [2676] = 2632,
  [2677] = 1051,
  [2678] = 2598,
  [2679] = 2679,
  [2680] = 2326,
  [2681] = 1018,
  [2682] = 2622,
  [2683] = 2683,
  [2684] = 2684,
  [2685] = 1016,
  [2686] = 2603,
  [2687] = 2610,
  [2688] = 2668,
  [2689] = 2666,
  [2690] = 2659,
  [2691] = 2659,
  [2692] = 2692,
  [2693] = 2603,
  [2694] = 2694,
  [2695] = 2659,
  [2696] = 2696,
  [2697] = 1017,
  [2698] = 2698,
  [2699] = 2606,
  [2700] = 2700,
  [2701] = 1016,
  [2702] = 2702,
  [2703] = 2659,
  [2704] = 2675,
  [2705] = 2625,
  [2706] = 2602,
  [2707] = 2631,
  [2708] = 2632,
  [2709] = 1018,
  [2710] = 2710,
  [2711] = 2620,
  [2712] = 2621,
  [2713] = 2605,
  [2714] = 2714,
  [2715] = 2715,
  [2716] = 2622,
  [2717] = 2598,
  [2718] = 2611,
  [2719] = 2608,
  [2720] = 2625,
  [2721] = 2603,
  [2722] = 2722,
  [2723] = 2715,
  [2724] = 1051,
  [2725] = 1016,
  [2726] = 2606,
  [2727] = 1017,
  [2728] = 2602,
  [2729] = 1023,
  [2730] = 2730,
  [2731] = 2323,
  [2732] = 2732,
  [2733] = 2733,
  [2734] = 2734,
  [2735] = 2732,
  [2736] = 2736,
  [2737] = 2737,
  [2738] = 2738,
  [2739] = 2739,
  [2740] = 2740,
  [2741] = 2741,
  [2742] = 2730,
  [2743] = 2730,
  [2744] = 2733,
  [2745] = 2734,
  [2746] = 2732,
  [2747] = 2747,
  [2748] = 2748,
  [2749] = 2740,
  [2750] = 2741,
  [2751] = 2751,
  [2752] = 2325,
  [2753] = 2753,
  [2754] = 2754,
  [2755] = 2755,
  [2756] = 2326,
  [2757] = 2740,
  [2758] = 2741,
  [2759] = 2759,
  [2760] = 2754,
  [2761] = 2740,
  [2762] = 2753,
  [2763] = 2324,
  [2764] = 2730,
  [2765] = 2765,
  [2766] = 2734,
  [2767] = 2741,
  [2768] = 2733,
  [2769] = 2734,
  [2770] = 2327,
  [2771] = 2755,
  [2772] = 2751,
  [2773] = 2732,
  [2774] = 2732,
  [2775] = 2755,
  [2776] = 2751,
  [2777] = 2751,
  [2778] = 2755,
  [2779] = 2738,
  [2780] = 1022,
  [2781] = 2751,
  [2782] = 2739,
  [2783] = 1023,
  [2784] = 2755,
  [2785] = 2730,
  [2786] = 2759,
  [2787] = 2787,
  [2788] = 1022,
  [2789] = 2733,
  [2790] = 2734,
  [2791] = 2747,
  [2792] = 2748,
  [2793] = 2740,
  [2794] = 2741,
  [2795] = 2787,
  [2796] = 2736,
  [2797] = 2737,
  [2798] = 2765,
  [2799] = 2733,
  [2800] = 2800,
  [2801] = 2801,
  [2802] = 2802,
  [2803] = 2803,
  [2804] = 2804,
  [2805] = 2805,
  [2806] = 2806,
  [2807] = 2807,
  [2808] = 2808,
  [2809] = 2809,
  [2810] = 2810,
  [2811] = 2811,
  [2812] = 2812,
  [2813] = 2813,
  [2814] = 2806,
  [2815] = 1043,
  [2816] = 2816,
  [2817] = 2804,
  [2818] = 2818,
  [2819] = 2819,
  [2820] = 2820,
  [2821] = 2821,
  [2822] = 2800,
  [2823] = 2823,
  [2824] = 2824,
  [2825] = 2825,
  [2826] = 2826,
  [2827] = 2827,
  [2828] = 2803,
  [2829] = 2829,
  [2830] = 2829,
  [2831] = 2831,
  [2832] = 2832,
  [2833] = 2823,
  [2834] = 2834,
  [2835] = 2807,
  [2836] = 2831,
  [2837] = 2811,
  [2838] = 2812,
  [2839] = 2839,
  [2840] = 2840,
  [2841] = 2816,
  [2842] = 2804,
  [2843] = 2834,
  [2844] = 2844,
  [2845] = 2845,
  [2846] = 1022,
  [2847] = 2847,
  [2848] = 2848,
  [2849] = 1023,
  [2850] = 2850,
  [2851] = 2851,
  [2852] = 2834,
  [2853] = 2850,
  [2854] = 2848,
  [2855] = 2813,
  [2856] = 2856,
  [2857] = 2806,
  [2858] = 2801,
  [2859] = 2802,
  [2860] = 2832,
  [2861] = 2803,
  [2862] = 2802,
  [2863] = 2863,
  [2864] = 2864,
  [2865] = 2806,
  [2866] = 2839,
  [2867] = 2823,
  [2868] = 1027,
  [2869] = 2840,
  [2870] = 2870,
  [2871] = 2807,
  [2872] = 2803,
  [2873] = 2829,
  [2874] = 2807,
  [2875] = 2875,
  [2876] = 2844,
  [2877] = 2831,
  [2878] = 2845,
  [2879] = 2813,
  [2880] = 2880,
  [2881] = 2847,
  [2882] = 2882,
  [2883] = 2883,
  [2884] = 2818,
  [2885] = 2800,
  [2886] = 2819,
  [2887] = 2820,
  [2888] = 2800,
  [2889] = 2889,
  [2890] = 2824,
  [2891] = 2812,
  [2892] = 1040,
  [2893] = 2801,
  [2894] = 2875,
  [2895] = 2895,
  [2896] = 2811,
  [2897] = 2897,
  [2898] = 2819,
  [2899] = 2812,
  [2900] = 2883,
  [2901] = 2829,
  [2902] = 2856,
  [2903] = 2831,
  [2904] = 2832,
  [2905] = 2905,
  [2906] = 2820,
  [2907] = 2824,
  [2908] = 2823,
  [2909] = 2909,
  [2910] = 2807,
  [2911] = 1040,
  [2912] = 2912,
  [2913] = 2821,
  [2914] = 2818,
  [2915] = 2816,
  [2916] = 2813,
  [2917] = 2851,
  [2918] = 2819,
  [2919] = 2850,
  [2920] = 2811,
  [2921] = 2812,
  [2922] = 2820,
  [2923] = 2804,
  [2924] = 2847,
  [2925] = 2925,
  [2926] = 2816,
  [2927] = 2804,
  [2928] = 2834,
  [2929] = 2800,
  [2930] = 2834,
  [2931] = 2848,
  [2932] = 2825,
  [2933] = 2847,
  [2934] = 2925,
  [2935] = 2824,
  [2936] = 1008,
  [2937] = 2851,
  [2938] = 2850,
  [2939] = 1027,
  [2940] = 2905,
  [2941] = 2832,
  [2942] = 2848,
  [2943] = 2808,
  [2944] = 2856,
  [2945] = 2816,
  [2946] = 2801,
  [2947] = 2802,
  [2948] = 2803,
  [2949] = 2856,
  [2950] = 2810,
  [2951] = 2806,
  [2952] = 2801,
  [2953] = 2811,
  [2954] = 2805,
  [2955] = 2847,
  [2956] = 2813,
  [2957] = 2870,
  [2958] = 2802,
  [2959] = 2851,
  [2960] = 2824,
  [2961] = 2850,
  [2962] = 2848,
  [2963] = 2895,
  [2964] = 2829,
  [2965] = 1043,
  [2966] = 2856,
  [2967] = 2831,
  [2968] = 2823,
  [2969] = 2818,
  [2970] = 2832,
  [2971] = 2819,
  [2972] = 2851,
  [2973] = 2820,
  [2974] = 2818,
  [2975] = 2975,
  [2976] = 1043,
  [2977] = 2977,
  [2978] = 2978,
  [2979] = 2978,
  [2980] = 2980,
  [2981] = 2977,
  [2982] = 2980,
  [2983] = 2977,
  [2984] = 2984,
  [2985] = 2978,
  [2986] = 2978,
  [2987] = 2980,
  [2988] = 2988,
  [2989] = 2977,
  [2990] = 2990,
  [2991] = 2991,
  [2992] = 2980,
  [2993] = 2993,
  [2994] = 2994,
  [2995] = 2978,
  [2996] = 2994,
  [2997] = 2997,
  [2998] = 2998,
  [2999] = 2991,
  [3000] = 1088,
  [3001] = 1027,
  [3002] = 3002,
  [3003] = 2998,
  [3004] = 2991,
  [3005] = 2991,
  [3006] = 2980,
  [3007] = 2978,
  [3008] = 1054,
  [3009] = 2980,
  [3010] = 2977,
  [3011] = 1040,
  [3012] = 1054,
  [3013] = 2991,
  [3014] = 2993,
  [3015] = 2984,
  [3016] = 3002,
  [3017] = 1088,
  [3018] = 3018,
  [3019] = 2977,
  [3020] = 3020,
  [3021] = 3021,
  [3022] = 3022,
  [3023] = 3023,
  [3024] = 3024,
  [3025] = 659,
  [3026] = 3026,
  [3027] = 3027,
  [3028] = 3028,
  [3029] = 665,
  [3030] = 3030,
  [3031] = 3031,
  [3032] = 3032,
  [3033] = 3033,
  [3034] = 3034,
  [3035] = 3035,
  [3036] = 668,
  [3037] = 3037,
  [3038] = 3038,
  [3039] = 3038,
  [3040] = 3040,
  [3041] = 3041,
  [3042] = 3042,
  [3043] = 3043,
  [3044] = 3044,
  [3045] = 3022,
  [3046] = 3046,
  [3047] = 3047,
  [3048] = 3048,
  [3049] = 3049,
  [3050] = 3050,
  [3051] = 3051,
  [3052] = 3052,
  [3053] = 3053,
  [3054] = 3054,
  [3055] = 3047,
  [3056] = 3056,
  [3057] = 3057,
  [3058] = 3048,
  [3059] = 3057,
  [3060] = 3060,
  [3061] = 3061,
  [3062] = 3062,
  [3063] = 3054,
  [3064] = 3064,
  [3065] = 3062,
  [3066] = 3066,
  [3067] = 3021,
  [3068] = 3068,
  [3069] = 3051,
  [3070] = 3032,
  [3071] = 3071,
  [3072] = 3041,
  [3073] = 3073,
  [3074] = 3042,
  [3075] = 3075,
  [3076] = 3033,
  [3077] = 2694,
  [3078] = 3078,
  [3079] = 3027,
  [3080] = 3049,
  [3081] = 3081,
  [3082] = 3082,
  [3083] = 3028,
  [3084] = 3084,
  [3085] = 3031,
  [3086] = 3052,
  [3087] = 3075,
  [3088] = 3088,
  [3089] = 3061,
  [3090] = 3028,
  [3091] = 3088,
  [3092] = 3088,
  [3093] = 3064,
  [3094] = 3043,
  [3095] = 3032,
  [3096] = 3096,
  [3097] = 3057,
  [3098] = 3060,
  [3099] = 3061,
  [3100] = 3062,
  [3101] = 3082,
  [3102] = 3084,
  [3103] = 3103,
  [3104] = 3044,
  [3105] = 3022,
  [3106] = 3031,
  [3107] = 3023,
  [3108] = 1009,
  [3109] = 3103,
  [3110] = 3034,
  [3111] = 3040,
  [3112] = 3050,
  [3113] = 3113,
  [3114] = 3050,
  [3115] = 3115,
  [3116] = 3075,
  [3117] = 3053,
  [3118] = 3118,
  [3119] = 3073,
  [3120] = 3037,
  [3121] = 3021,
  [3122] = 3027,
  [3123] = 3088,
  [3124] = 3038,
  [3125] = 3125,
  [3126] = 667,
  [3127] = 3127,
  [3128] = 3084,
  [3129] = 3115,
  [3130] = 3020,
  [3131] = 3125,
  [3132] = 3127,
  [3133] = 3084,
  [3134] = 3064,
  [3135] = 3057,
  [3136] = 3060,
  [3137] = 3061,
  [3138] = 3062,
  [3139] = 3073,
  [3140] = 3081,
  [3141] = 3021,
  [3142] = 3125,
  [3143] = 3143,
  [3144] = 3144,
  [3145] = 3118,
  [3146] = 3144,
  [3147] = 3030,
  [3148] = 3148,
  [3149] = 3032,
  [3150] = 3115,
  [3151] = 3143,
  [3152] = 3056,
  [3153] = 3153,
  [3154] = 3020,
  [3155] = 3030,
  [3156] = 3031,
  [3157] = 3157,
  [3158] = 669,
  [3159] = 3127,
  [3160] = 3125,
  [3161] = 3143,
  [3162] = 3081,
  [3163] = 3082,
  [3164] = 3144,
  [3165] = 3030,
  [3166] = 3143,
  [3167] = 3073,
  [3168] = 3148,
  [3169] = 3032,
  [3170] = 3028,
  [3171] = 3031,
  [3172] = 3115,
  [3173] = 3148,
  [3174] = 666,
  [3175] = 3044,
  [3176] = 3081,
  [3177] = 3050,
  [3178] = 3022,
  [3179] = 3143,
  [3180] = 3084,
  [3181] = 3143,
  [3182] = 3044,
  [3183] = 3075,
  [3184] = 3075,
  [3185] = 3057,
  [3186] = 3038,
  [3187] = 3044,
  [3188] = 3022,
  [3189] = 3060,
  [3190] = 3061,
  [3191] = 3062,
  [3192] = 3096,
  [3193] = 3082,
  [3194] = 3027,
  [3195] = 3020,
  [3196] = 3035,
  [3197] = 3148,
  [3198] = 3125,
  [3199] = 3064,
  [3200] = 3024,
  [3201] = 3026,
  [3202] = 3113,
  [3203] = 3064,
  [3204] = 3060,
  [3205] = 3088,
  [3206] = 3082,
  [3207] = 3207,
  [3208] = 3143,
  [3209] = 3068,
  [3210] = 3144,
  [3211] = 3023,
  [3212] = 3040,
  [3213] = 3028,
  [3214] = 3030,
  [3215] = 3034,
  [3216] = 3073,
  [3217] = 3071,
  [3218] = 3115,
  [3219] = 3023,
  [3220] = 3020,
  [3221] = 3034,
  [3222] = 3143,
  [3223] = 2610,
  [3224] = 3035,
  [3225] = 3046,
  [3226] = 3050,
  [3227] = 3035,
  [3228] = 3144,
  [3229] = 3229,
  [3230] = 3081,
  [3231] = 3035,
  [3232] = 3207,
  [3233] = 3021,
  [3234] = 3040,
  [3235] = 3127,
  [3236] = 3027,
  [3237] = 3229,
  [3238] = 3143,
  [3239] = 3078,
  [3240] = 3240,
  [3241] = 3241,
  [3242] = 3242,
  [3243] = 3243,
  [3244] = 3244,
  [3245] = 3245,
  [3246] = 3246,
  [3247] = 3247,
  [3248] = 3248,
  [3249] = 3249,
  [3250] = 3250,
  [3251] = 3251,
  [3252] = 3252,
  [3253] = 3253,
  [3254] = 3254,
  [3255] = 3255,
  [3256] = 3256,
  [3257] = 3257,
  [3258] = 3258,
  [3259] = 3259,
  [3260] = 3260,
  [3261] = 3261,
  [3262] = 3262,
  [3263] = 3263,
  [3264] = 3264,
  [3265] = 3265,
  [3266] = 3266,
  [3267] = 3267,
  [3268] = 3268,
  [3269] = 3269,
  [3270] = 3270,
  [3271] = 3271,
  [3272] = 3272,
  [3273] = 3273,
  [3274] = 3274,
  [3275] = 3275,
  [3276] = 3276,
  [3277] = 3277,
  [3278] = 3278,
  [3279] = 3273,
  [3280] = 3257,
  [3281] = 3281,
  [3282] = 3243,
  [3283] = 3283,
  [3284] = 3244,
  [3285] = 3272,
  [3286] = 3286,
  [3287] = 3287,
  [3288] = 3245,
  [3289] = 3289,
  [3290] = 3277,
  [3291] = 3246,
  [3292] = 3292,
  [3293] = 3262,
  [3294] = 3266,
  [3295] = 3249,
  [3296] = 3276,
  [3297] = 3276,
  [3298] = 3286,
  [3299] = 3281,
  [3300] = 3286,
  [3301] = 3301,
  [3302] = 3292,
  [3303] = 3247,
  [3304] = 3304,
  [3305] = 3304,
  [3306] = 3254,
  [3307] = 3248,
  [3308] = 3308,
  [3309] = 3309,
  [3310] = 3310,
  [3311] = 3311,
  [3312] = 3278,
  [3313] = 3252,
  [3314] = 3314,
  [3315] = 3315,
  [3316] = 3316,
  [3317] = 3317,
  [3318] = 3241,
  [3319] = 3257,
  [3320] = 3275,
  [3321] = 3261,
  [3322] = 3308,
  [3323] = 3323,
  [3324] = 3309,
  [3325] = 3258,
  [3326] = 3265,
  [3327] = 3327,
  [3328] = 3267,
  [3329] = 3314,
  [3330] = 3271,
  [3331] = 3251,
  [3332] = 3327,
  [3333] = 3333,
  [3334] = 3334,
  [3335] = 3276,
  [3336] = 3252,
  [3337] = 3286,
  [3338] = 3283,
  [3339] = 3309,
  [3340] = 3314,
  [3341] = 3334,
  [3342] = 3342,
  [3343] = 3315,
  [3344] = 3269,
  [3345] = 3345,
  [3346] = 3270,
  [3347] = 3240,
  [3348] = 3257,
  [3349] = 3261,
  [3350] = 3257,
  [3351] = 3256,
  [3352] = 3259,
  [3353] = 3342,
  [3354] = 3308,
  [3355] = 3263,
  [3356] = 3309,
  [3357] = 3261,
  [3358] = 3358,
  [3359] = 3241,
  [3360] = 3255,
  [3361] = 3252,
  [3362] = 3314,
  [3363] = 3276,
  [3364] = 3286,
  [3365] = 3275,
  [3366] = 3301,
  [3367] = 3308,
  [3368] = 3368,
  [3369] = 3317,
  [3370] = 3241,
  [3371] = 3250,
  [3372] = 3372,
  [3373] = 3275,
  [3374] = 3368,
  [3375] = 3308,
  [3376] = 3309,
  [3377] = 3264,
  [3378] = 3378,
  [3379] = 3242,
  [3380] = 3252,
  [3381] = 3314,
  [3382] = 3253,
  [3383] = 3333,
  [3384] = 3287,
  [3385] = 3323,
  [3386] = 3241,
  [3387] = 3261,
  [3388] = 3275,
  [3389] = 3345,
  [3390] = 3258,
  [3391] = 3268,
  [3392] = 3265,
  [3393] = 3258,
  [3394] = 3265,
  [3395] = 3240,
  [3396] = 3310,
  [3397] = 3358,
  [3398] = 3372,
  [3399] = 3289,
  [3400] = 3258,
  [3401] = 3240,
  [3402] = 3260,
  [3403] = 3265,
  [3404] = 3316,
  [3405] = 3405,
  [3406] = 3406,
  [3407] = 3407,
  [3408] = 3408,
  [3409] = 3409,
  [3410] = 3410,
  [3411] = 3411,
  [3412] = 3412,
  [3413] = 3407,
  [3414] = 3414,
  [3415] = 3415,
  [3416] = 3408,
  [3417] = 3414,
  [3418] = 3407,
  [3419] = 3408,
  [3420] = 3408,
  [3421] = 3410,
  [3422] = 3411,
  [3423] = 3412,
  [3424] = 3407,
  [3425] = 3425,
  [3426] = 3414,
  [3427] = 3408,
  [3428] = 3410,
  [3429] = 3411,
  [3430] = 3412,
  [3431] = 3431,
  [3432] = 3432,
  [3433] = 3410,
  [3434] = 2324,
  [3435] = 3411,
  [3436] = 2327,
  [3437] = 3410,
  [3438] = 3411,
  [3439] = 3439,
  [3440] = 3412,
  [3441] = 3441,
  [3442] = 3406,
  [3443] = 3405,
  [3444] = 3415,
  [3445] = 3414,
  [3446] = 3409,
  [3447] = 3412,
  [3448] = 3406,
  [3449] = 3405,
  [3450] = 3415,
  [3451] = 3451,
  [3452] = 3409,
  [3453] = 3406,
  [3454] = 3405,
  [3455] = 3415,
  [3456] = 3407,
  [3457] = 3409,
  [3458] = 3406,
  [3459] = 3405,
  [3460] = 3415,
  [3461] = 3414,
  [3462] = 3462,
  [3463] = 3463,
  [3464] = 3464,
  [3465] = 3465,
  [3466] = 3466,
  [3467] = 3465,
  [3468] = 3465,
  [3469] = 664,
  [3470] = 3470,
  [3471] = 3471,
  [3472] = 3472,
  [3473] = 3465,
  [3474] = 3474,
  [3475] = 3475,
  [3476] = 3476,
  [3477] = 3477,
  [3478] = 3478,
  [3479] = 3479,
  [3480] = 3480,
  [3481] = 3471,
  [3482] = 3482,
  [3483] = 3483,
  [3484] = 3484,
  [3485] = 3485,
  [3486] = 3486,
  [3487] = 3465,
  [3488] = 3488,
  [3489] = 3489,
  [3490] = 3490,
  [3491] = 3491,
  [3492] = 3492,
  [3493] = 3493,
  [3494] = 3494,
  [3495] = 3480,
  [3496] = 3476,
  [3497] = 3497,
  [3498] = 3485,
  [3499] = 3474,
  [3500] = 3470,
  [3501] = 3501,
  [3502] = 3463,
  [3503] = 3503,
  [3504] = 3504,
  [3505] = 3505,
  [3506] = 3506,
  [3507] = 860,
  [3508] = 3464,
  [3509] = 3480,
  [3510] = 3510,
  [3511] = 3463,
  [3512] = 3505,
  [3513] = 3470,
  [3514] = 665,
  [3515] = 3515,
  [3516] = 3516,
  [3517] = 3517,
  [3518] = 3518,
  [3519] = 3489,
  [3520] = 3471,
  [3521] = 3477,
  [3522] = 3474,
  [3523] = 3523,
  [3524] = 3482,
  [3525] = 666,
  [3526] = 3466,
  [3527] = 3527,
  [3528] = 3516,
  [3529] = 3462,
  [3530] = 3530,
  [3531] = 3491,
  [3532] = 3497,
  [3533] = 3533,
  [3534] = 3534,
  [3535] = 3465,
  [3536] = 3536,
  [3537] = 3537,
  [3538] = 3538,
  [3539] = 3505,
  [3540] = 3480,
  [3541] = 3492,
  [3542] = 3518,
  [3543] = 3543,
  [3544] = 3462,
  [3545] = 3488,
  [3546] = 3484,
  [3547] = 3493,
  [3548] = 3548,
  [3549] = 3523,
  [3550] = 3465,
  [3551] = 3505,
  [3552] = 3510,
  [3553] = 3472,
  [3554] = 3501,
  [3555] = 3465,
  [3556] = 3463,
  [3557] = 3492,
  [3558] = 3493,
  [3559] = 3523,
  [3560] = 3503,
  [3561] = 3501,
  [3562] = 836,
  [3563] = 3471,
  [3564] = 3464,
  [3565] = 3464,
  [3566] = 3474,
  [3567] = 3470,
  [3568] = 3470,
  [3569] = 3475,
  [3570] = 3472,
  [3571] = 3505,
  [3572] = 3489,
  [3573] = 3489,
  [3574] = 3574,
  [3575] = 3517,
  [3576] = 3489,
  [3577] = 3485,
  [3578] = 3491,
  [3579] = 3465,
  [3580] = 3492,
  [3581] = 3475,
  [3582] = 3492,
  [3583] = 3471,
  [3584] = 3465,
  [3585] = 3515,
  [3586] = 3492,
  [3587] = 3484,
  [3588] = 3471,
  [3589] = 3486,
  [3590] = 3476,
  [3591] = 3492,
  [3592] = 3471,
  [3593] = 3518,
  [3594] = 3594,
  [3595] = 3492,
  [3596] = 3471,
  [3597] = 3510,
  [3598] = 3536,
  [3599] = 3492,
  [3600] = 3471,
  [3601] = 3477,
  [3602] = 3602,
  [3603] = 3471,
  [3604] = 3474,
  [3605] = 3523,
  [3606] = 3471,
  [3607] = 3607,
  [3608] = 3466,
  [3609] = 3471,
  [3610] = 3536,
  [3611] = 3488,
  [3612] = 3471,
  [3613] = 3503,
  [3614] = 3485,
  [3615] = 3471,
  [3616] = 3491,
  [3617] = 3516,
  [3618] = 3471,
  [3619] = 3464,
  [3620] = 3476,
  [3621] = 3471,
  [3622] = 3497,
  [3623] = 3518,
  [3624] = 3471,
  [3625] = 3625,
  [3626] = 3536,
  [3627] = 3471,
  [3628] = 3515,
  [3629] = 3629,
  [3630] = 3485,
  [3631] = 3488,
  [3632] = 3482,
  [3633] = 3517,
  [3634] = 662,
  [3635] = 3503,
  [3636] = 3475,
  [3637] = 3534,
  [3638] = 3465,
  [3639] = 3475,
  [3640] = 3523,
  [3641] = 3477,
  [3642] = 3477,
  [3643] = 3491,
  [3644] = 3501,
  [3645] = 3548,
  [3646] = 3629,
  [3647] = 3465,
  [3648] = 3493,
  [3649] = 3484,
  [3650] = 3476,
  [3651] = 3518,
  [3652] = 3536,
  [3653] = 3510,
  [3654] = 3465,
  [3655] = 3465,
  [3656] = 3475,
  [3657] = 3657,
  [3658] = 3484,
  [3659] = 3488,
  [3660] = 3503,
  [3661] = 3486,
  [3662] = 3493,
  [3663] = 3465,
  [3664] = 3475,
  [3665] = 663,
  [3666] = 3466,
  [3667] = 3462,
  [3668] = 3465,
  [3669] = 3516,
  [3670] = 3548,
  [3671] = 3671,
  [3672] = 3501,
  [3673] = 3472,
  [3674] = 3497,
  [3675] = 3462,
  [3676] = 3463,
  [3677] = 3463,
  [3678] = 3534,
  [3679] = 3548,
  [3680] = 1013,
  [3681] = 3465,
  [3682] = 3465,
  [3683] = 3465,
  [3684] = 3534,
  [3685] = 3475,
  [3686] = 3548,
  [3687] = 3510,
  [3688] = 3548,
  [3689] = 3548,
  [3690] = 3548,
  [3691] = 3548,
  [3692] = 1014,
  [3693] = 3537,
  [3694] = 3594,
  [3695] = 3471,
  [3696] = 3538,
  [3697] = 3506,
  [3698] = 3625,
  [3699] = 3480,
  [3700] = 3515,
  [3701] = 3475,
  [3702] = 3702,
  [3703] = 3703,
};

static TSCharacterRange extras_character_set_1[] = {
  {'\t', '\r'}, {' ', ' '}, {0x85, 0x85}, {0xa0, 0xa0}, {0x1680, 0x1680}, {0x2000, 0x200a}, {0x2028, 0x2029}, {0x202f, 0x202f},
  {0x205f, 0x205f}, {0x3000, 0x3000},
};

static TSCharacterRange aux_sym__interpolation_fallbacks_token1_character_set_1[] = {
  {0, '#'}, {'%', '&'}, {'(', '*'}, {',', ','}, {'.', '/'}, {';', '@'}, {'[', '^'}, {'`', '`'},
  {'{', 0x10ffff},
};

static TSCharacterRange sym_match_regexp_modifiers_character_set_1[] = {
  {'a', 'a'}, {'c', 'd'}, {'g', 'g'}, {'i', 'i'}, {'l', 'n'}, {'p', 'p'}, {'s', 's'}, {'u', 'u'},
  {'x', 'x'},
};

static TSCharacterRange sym_substitution_regexp_modifiers_character_set_1[] = {
  {'a', 'a'}, {'c', 'e'}, {'g', 'g'}, {'i', 'i'}, {'l', 'm'}, {'o', 'p'}, {'r', 's'}, {'u', 'u'},
  {'x', 'x'},
};

static TSCharacterRange sym__identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37b, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe32},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb2},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8}, {0x18aa, 0x18aa},
  {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f},
  {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa},
  {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e},
  {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9},
  {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb},
  {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef},
  {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1},
  {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06},
  {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d},
  {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27},
  {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af},
  {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4},
  {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d},
  {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333},
  {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af},
  {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8},
  {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916},
  {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00},
  {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e},
  {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68},
  {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399},
  {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e},
  {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a},
  {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3},
  {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb},
  {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2},
  {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514},
  {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0},
  {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8},
  {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e},
  {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32},
  {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f},
  {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62},
  {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b},
  {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym__identifier_character_set_2[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x300, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf}, {0x5c1, 0x5c2},
  {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3}, {0x6d5, 0x6dc},
  {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa}, {0x7fd, 0x7fd},
  {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963}, {0x966, 0x96f},
  {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bc, 0x9c4},
  {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc}, {0x9fe, 0x9fe},
  {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39},
  {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa66, 0xa75},
  {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabc, 0xac5},
  {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03}, {0xb05, 0xb0c},
  {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48}, {0xb4b, 0xb4d},
  {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbbe, 0xbc2},
  {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28},
  {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc63},
  {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbc, 0xcc4},
  {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3}, {0xd00, 0xd0c},
  {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f}, {0xd7a, 0xd7f},
  {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca}, {0xdcf, 0xdd4},
  {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59}, {0xe81, 0xe82},
  {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xec8, 0xece},
  {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37}, {0xf39, 0xf39},
  {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049}, {0x1050, 0x109d},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258},
  {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5},
  {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715}, {0x171f, 0x1734},
  {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd}, {0x17e0, 0x17e9},
  {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b}, {0x1930, 0x193b},
  {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c},
  {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59}, {0x1b6b, 0x1b73},
  {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2},
  {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054}, {0x2071, 0x2071},
  {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113},
  {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149},
  {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67},
  {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce},
  {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096},
  {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf},
  {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c}, {0xa840, 0xa873},
  {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c}, {0xa980, 0xa9c0},
  {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2}, {0xaadb, 0xaadd},
  {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a},
  {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f},
  {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0}, {0x10300, 0x1031f},
  {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104a0, 0x104a9},
  {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
  {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785},
  {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855},
  {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf},
  {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c},
  {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48},
  {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c},
  {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075}, {0x1107f, 0x110ba},
  {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173}, {0x11176, 0x11176},
  {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303}, {0x11305, 0x1130c},
  {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348}, {0x1134b, 0x1134d},
  {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459}, {0x1145e, 0x11461},
  {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640}, {0x11644, 0x11644},
  {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746}, {0x11800, 0x1183a},
  {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938}, {0x1193b, 0x11943},
  {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47}, {0x11a50, 0x11a99},
  {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7},
  {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47}, {0x11d50, 0x11d59},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10},
  {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0},
  {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9},
  {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f},
  {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d},
  {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244}, {0x1d400, 0x1d454},
  {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3},
  {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546},
  {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e},
  {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c},
  {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006}, {0x1e008, 0x1e018},
  {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe},
  {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739},
  {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(109);
      ADVANCE_MAP(
        0x04, 252,
        '!', 215,
        '#', 248,
        '$', 118,
        '%', 224,
        '&', 178,
        '(', 127,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 187,
        '/', 190,
        '0', 408,
        ':', 113,
        ';', 114,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
        '@', 124,
        '[', 254,
        '\\', 219,
        ']', 143,
        '^', 176,
        'a', 266,
        'c', 292,
        'd', 272,
        'e', 334,
        'g', 313,
        'i', 271,
        'l', 272,
        'm', 263,
        'n', 272,
        'o', 356,
        'p', 272,
        'r', 315,
        's', 265,
        'u', 270,
        'v', 374,
        'x', 272,
        '{', 255,
        '|', 175,
        '}', 111,
        '~', 213,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(409);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(102);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        0x04, 252,
        '!', 215,
        '#', 248,
        '$', 118,
        '%', 224,
        '&', 178,
        '(', 127,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 187,
        '/', 190,
        '0', 408,
        ':', 113,
        ';', 114,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
        '@', 124,
        '[', 142,
        '\\', 219,
        ']', 143,
        '^', 176,
        'a', 331,
        'c', 294,
        'd', 343,
        'e', 373,
        'g', 313,
        'i', 370,
        'l', 303,
        'm', 260,
        'o', 356,
        'p', 344,
        'r', 316,
        's', 261,
        'u', 306,
        'x', 191,
        '{', 110,
        '|', 175,
        '}', 111,
        '~', 213,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(409);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(1);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        0x04, 252,
        '!', 214,
        '#', 248,
        '$', 118,
        '%', 224,
        '(', 127,
        ')', 126,
        '*', 188,
        '+', 180,
        ',', 125,
        '-', 183,
        '.', 98,
        '/', 79,
        '0', 408,
        ':', 81,
        ';', 114,
        '<', 148,
        '=', 85,
        '@', 124,
        '[', 142,
        '\\', 219,
        ']', 143,
        'a', 331,
        'c', 295,
        'd', 343,
        'e', 373,
        'g', 355,
        'l', 304,
        'm', 260,
        'o', 356,
        'p', 344,
        'r', 316,
        's', 261,
        'u', 306,
        'x', 346,
        '{', 110,
        '}', 111,
        '~', 212,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(409);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(2);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        0x04, 252,
        '!', 82,
        '#', 248,
        '%', 146,
        '&', 178,
        '(', 127,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ':', 112,
        ';', 114,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
        '[', 142,
      );
      if (lookahead == '\\') SKIP(14);
      if (lookahead == ']') ADVANCE(143);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'a') ADVANCE(381);
      if (lookahead == 'c') ADVANCE(380);
      if (lookahead == 'g') ADVANCE(378);
      if (lookahead == 'i') ADVANCE(387);
      if (lookahead == 'l') ADVANCE(379);
      if (lookahead == 'o') ADVANCE(384);
      if (lookahead == 'x') ADVANCE(193);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '}') ADVANCE(111);
      if (lookahead == '~') ADVANCE(93);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(3);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        0x04, 252,
        '!', 82,
        '#', 248,
        '%', 146,
        '&', 178,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ';', 114,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
        '[', 142,
      );
      if (lookahead == '\\') SKIP(16);
      if (lookahead == ']') ADVANCE(143);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'a') ADVANCE(381);
      if (lookahead == 'c') ADVANCE(380);
      if (lookahead == 'g') ADVANCE(378);
      if (lookahead == 'i') ADVANCE(387);
      if (lookahead == 'l') ADVANCE(379);
      if (lookahead == 'o') ADVANCE(384);
      if (lookahead == 'x') ADVANCE(193);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '}') ADVANCE(111);
      if (lookahead == '~') ADVANCE(93);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(4);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        0x04, 252,
        '!', 82,
        '#', 248,
        '%', 146,
        '&', 178,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ';', 114,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
        '[', 142,
      );
      if (lookahead == '\\') SKIP(16);
      if (lookahead == ']') ADVANCE(143);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'a') ADVANCE(381);
      if (lookahead == 'c') ADVANCE(288);
      if (lookahead == 'g') ADVANCE(378);
      if (lookahead == 'i') ADVANCE(387);
      if (lookahead == 'l') ADVANCE(379);
      if (lookahead == 'o') ADVANCE(384);
      if (lookahead == 'x') ADVANCE(193);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '}') ADVANCE(111);
      if (lookahead == '~') ADVANCE(93);
      if (lookahead == 'd' ||
          lookahead == 'r' ||
          lookahead == 's') ADVANCE(288);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(4);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        0x04, 252,
        '!', 82,
        '#', 248,
        '%', 146,
        '&', 178,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ';', 114,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
      );
      if (lookahead == '\\') SKIP(18);
      if (lookahead == ']') ADVANCE(143);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'a') ADVANCE(381);
      if (lookahead == 'c') ADVANCE(380);
      if (lookahead == 'g') ADVANCE(378);
      if (lookahead == 'i') ADVANCE(387);
      if (lookahead == 'l') ADVANCE(379);
      if (lookahead == 'o') ADVANCE(384);
      if (lookahead == 'x') ADVANCE(193);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '}') ADVANCE(111);
      if (lookahead == '~') ADVANCE(93);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(6);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        0x04, 252,
        '!', 82,
        '#', 248,
        '%', 146,
        '&', 178,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ';', 114,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
      );
      if (lookahead == '\\') SKIP(18);
      if (lookahead == ']') ADVANCE(143);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'a') ADVANCE(276);
      if (lookahead == 'c') ADVANCE(275);
      if (lookahead == 'g') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(278);
      if (lookahead == 'l') ADVANCE(279);
      if (lookahead == 'o') ADVANCE(384);
      if (lookahead == 'x') ADVANCE(279);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '}') ADVANCE(111);
      if (lookahead == '~') ADVANCE(93);
      if (lookahead == 'd' ||
          ('m' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(279);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(6);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        0x04, 252,
        '!', 82,
        '#', 248,
        '%', 146,
        '&', 178,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ';', 114,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
      );
      if (lookahead == '\\') SKIP(18);
      if (lookahead == ']') ADVANCE(143);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'a') ADVANCE(287);
      if (lookahead == 'c') ADVANCE(282);
      if (lookahead == 'g') ADVANCE(281);
      if (lookahead == 'i') ADVANCE(286);
      if (lookahead == 'l') ADVANCE(281);
      if (lookahead == 'o') ADVANCE(285);
      if (lookahead == 'x') ADVANCE(283);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '}') ADVANCE(111);
      if (lookahead == '~') ADVANCE(93);
      if (lookahead == 'd' ||
          lookahead == 'e' ||
          lookahead == 'm' ||
          lookahead == 'p' ||
          lookahead == 'r' ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(287);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(6);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        0x04, 252,
        '!', 82,
        '#', 248,
        '%', 146,
        '&', 178,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ';', 114,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
      );
      if (lookahead == '\\') SKIP(18);
      if (lookahead == ']') ADVANCE(143);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'a') ADVANCE(268);
      if (lookahead == 'c') ADVANCE(380);
      if (lookahead == 'g') ADVANCE(378);
      if (lookahead == 'i') ADVANCE(271);
      if (lookahead == 'l') ADVANCE(272);
      if (lookahead == 'o') ADVANCE(384);
      if (lookahead == 'x') ADVANCE(272);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '}') ADVANCE(111);
      if (lookahead == '~') ADVANCE(93);
      if (lookahead == 'd' ||
          ('m' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(272);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(6);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        0x04, 252,
        '#', 248,
        '$', 117,
        '%', 224,
        '(', 127,
        ')', 126,
        '*', 188,
        ',', 125,
        '-', 182,
        '/', 80,
        ':', 112,
        ';', 114,
        '=', 121,
        '>', 149,
        '@', 124,
        '[', 142,
      );
      if (lookahead == '\\') SKIP(36);
      if (lookahead == 'a') ADVANCE(381);
      if (lookahead == 'o') ADVANCE(384);
      if (lookahead == 'x') ADVANCE(382);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(92);
      if (lookahead == '}') ADVANCE(111);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(10);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        0x04, 252,
        '#', 248,
        '$', 117,
        '%', 224,
        '(', 127,
        ')', 126,
        ',', 125,
        '-', 182,
        '/', 80,
        ':', 112,
        ';', 114,
        '=', 119,
        '@', 124,
        '[', 142,
      );
      if (lookahead == '\\') SKIP(38);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(92);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(11);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        0x04, 252,
        '#', 248,
        '$', 117,
        '%', 224,
        '(', 127,
        ')', 126,
        ',', 125,
        '-', 185,
        '/', 80,
        ':', 112,
        ';', 114,
        '=', 119,
        '>', 86,
        '@', 124,
        '[', 254,
      );
      if (lookahead == '\\') SKIP(38);
      if (lookahead == '{') ADVANCE(255);
      if (lookahead == '|') ADVANCE(92);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(11);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(3);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(3);
      if (lookahead == '\r') SKIP(13);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(4);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(4);
      if (lookahead == '\r') SKIP(15);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(6);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(6);
      if (lookahead == '\r') SKIP(17);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(52);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(52);
      if (lookahead == '\r') SKIP(19);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(53);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(53);
      if (lookahead == '\r') SKIP(21);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(61);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(61);
      if (lookahead == '\r') SKIP(23);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(54);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(54);
      if (lookahead == '\r') SKIP(25);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(60);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(60);
      if (lookahead == '\r') SKIP(27);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(57);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(57);
      if (lookahead == '\r') SKIP(29);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(62);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(62);
      if (lookahead == '\r') SKIP(31);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(65);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(65);
      if (lookahead == '\r') SKIP(33);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(10);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(10);
      if (lookahead == '\r') SKIP(35);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(11);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(11);
      if (lookahead == '\r') SKIP(37);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(68);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(68);
      if (lookahead == '\r') SKIP(39);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(75);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(75);
      if (lookahead == '\r') SKIP(41);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(69);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(69);
      if (lookahead == '\r') SKIP(43);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(76);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(76);
      if (lookahead == '\r') SKIP(45);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(47);
      if (lookahead == '#') ADVANCE(248);
      if (lookahead == '\\') ADVANCE(289);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(290);
      if (lookahead != 0) ADVANCE(289);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '!', 215,
        '#', 248,
        '$', 118,
        '%', 224,
        '&', 178,
        '(', 127,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 187,
        '/', 190,
        '0', 408,
        ':', 113,
        ';', 114,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
        '@', 124,
        '[', 142,
        '\\', 219,
        '^', 176,
        'a', 332,
        'c', 294,
        'd', 343,
        'e', 373,
        'g', 313,
        'i', 370,
        'l', 303,
        'm', 260,
        'o', 366,
        'p', 344,
        'r', 316,
        's', 261,
        'u', 306,
        'x', 192,
        '{', 110,
        '|', 175,
        '}', 111,
        '~', 213,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(409);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(48);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '!', 214,
        '#', 248,
        '$', 118,
        '%', 224,
        '(', 127,
        ')', 126,
        '*', 188,
        '+', 180,
        ',', 125,
        '-', 183,
        '.', 98,
        '/', 79,
        '0', 408,
        ':', 113,
        ';', 114,
        '<', 148,
        '=', 85,
        '@', 124,
        '[', 142,
        '\\', 219,
        ']', 143,
        'a', 332,
        'c', 295,
        'd', 343,
        'e', 373,
        'g', 355,
        'l', 304,
        'm', 260,
        'o', 366,
        'p', 344,
        'r', 316,
        's', 261,
        'u', 306,
        '{', 110,
        '}', 111,
        '~', 212,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(409);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(49);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '!', 214,
        '#', 248,
        '$', 118,
        '%', 224,
        '(', 127,
        '*', 188,
        '+', 180,
        '-', 183,
        '.', 398,
        '/', 399,
        '0', 396,
        ':', 400,
        ';', 114,
        '<', 148,
        '@', 124,
        '[', 142,
        '\\', 219,
        '^', 403,
        'a', 332,
        'c', 293,
        'd', 343,
        'e', 373,
        'g', 355,
        'l', 304,
        'm', 260,
        'o', 366,
        'p', 344,
        'r', 315,
        's', 261,
        'u', 305,
        '{', 110,
        '}', 111,
        '~', 212,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(391);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      if (lookahead != 0) ADVANCE(390);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '!', 214,
        '#', 248,
        '$', 118,
        '%', 224,
        '(', 127,
        '*', 188,
        '+', 180,
        '-', 183,
        '.', 98,
        '/', 79,
        '0', 408,
        ':', 81,
        ';', 114,
        '<', 148,
        '@', 124,
        '[', 142,
        '\\', 219,
        'a', 332,
        'c', 295,
        'd', 343,
        'e', 373,
        'g', 355,
        'l', 304,
        'm', 260,
        'o', 366,
        'p', 344,
        'r', 316,
        's', 261,
        'u', 306,
        'v', 374,
        '{', 110,
        '~', 212,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(409);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(51);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '!', 82,
        '#', 248,
        '$', 117,
        '%', 224,
        '&', 178,
        '(', 127,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ':', 113,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
        '@', 124,
      );
      if (lookahead == '\\') SKIP(20);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'c') ADVANCE(339);
      if (lookahead == 'g') ADVANCE(314);
      if (lookahead == 'i') ADVANCE(370);
      if (lookahead == 'l') ADVANCE(317);
      if (lookahead == 'x') ADVANCE(192);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '~') ADVANCE(93);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(52);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '!', 82,
        '#', 248,
        '$', 117,
        '%', 224,
        '&', 178,
        '(', 127,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ':', 112,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
        '@', 124,
        '[', 142,
      );
      if (lookahead == '\\') SKIP(22);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'c') ADVANCE(380);
      if (lookahead == 'g') ADVANCE(378);
      if (lookahead == 'i') ADVANCE(387);
      if (lookahead == 'l') ADVANCE(379);
      if (lookahead == 'x') ADVANCE(194);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '~') ADVANCE(93);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(53);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 54:
      ADVANCE_MAP(
        '!', 82,
        '#', 248,
        '$', 117,
        '%', 224,
        '&', 178,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ':', 112,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
        '@', 124,
        '[', 142,
      );
      if (lookahead == '\\') SKIP(26);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'c') ADVANCE(380);
      if (lookahead == 'g') ADVANCE(378);
      if (lookahead == 'i') ADVANCE(387);
      if (lookahead == 'l') ADVANCE(379);
      if (lookahead == 'x') ADVANCE(194);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '~') ADVANCE(93);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(54);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '!', 82,
        '#', 248,
        '$', 117,
        '%', 224,
        '&', 178,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ':', 112,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
        '@', 124,
        '[', 142,
      );
      if (lookahead == '\\') SKIP(26);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'c') ADVANCE(288);
      if (lookahead == 'g') ADVANCE(378);
      if (lookahead == 'i') ADVANCE(387);
      if (lookahead == 'l') ADVANCE(379);
      if (lookahead == 'x') ADVANCE(194);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '~') ADVANCE(93);
      if (lookahead == 'd' ||
          lookahead == 'r' ||
          lookahead == 's') ADVANCE(288);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(54);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '!', 82,
        '#', 248,
        '$', 117,
        '%', 224,
        '&', 178,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ':', 112,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
        '@', 124,
      );
      if (lookahead == '\\') SKIP(30);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'c') ADVANCE(380);
      if (lookahead == 'g') ADVANCE(378);
      if (lookahead == 'i') ADVANCE(271);
      if (lookahead == 'l') ADVANCE(272);
      if (lookahead == 'x') ADVANCE(272);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '~') ADVANCE(93);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'm' ||
          lookahead == 'n' ||
          lookahead == 'p' ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(272);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(57);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        '!', 82,
        '#', 248,
        '$', 117,
        '%', 224,
        '&', 178,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ':', 112,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
        '@', 124,
      );
      if (lookahead == '\\') SKIP(30);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'c') ADVANCE(380);
      if (lookahead == 'g') ADVANCE(378);
      if (lookahead == 'i') ADVANCE(387);
      if (lookahead == 'l') ADVANCE(379);
      if (lookahead == 'x') ADVANCE(194);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '~') ADVANCE(93);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(57);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        '!', 82,
        '#', 248,
        '$', 117,
        '%', 224,
        '&', 178,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ':', 112,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
        '@', 124,
      );
      if (lookahead == '\\') SKIP(30);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'c') ADVANCE(275);
      if (lookahead == 'g') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(278);
      if (lookahead == 'l') ADVANCE(279);
      if (lookahead == 'x') ADVANCE(279);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '~') ADVANCE(93);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'm' ||
          lookahead == 'n' ||
          lookahead == 'p' ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(279);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(57);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        '!', 82,
        '#', 248,
        '$', 117,
        '%', 224,
        '&', 178,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ':', 112,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
        '@', 124,
      );
      if (lookahead == '\\') SKIP(30);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'c') ADVANCE(282);
      if (lookahead == 'g') ADVANCE(281);
      if (lookahead == 'i') ADVANCE(286);
      if (lookahead == 'l') ADVANCE(281);
      if (lookahead == 'x') ADVANCE(287);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '~') ADVANCE(93);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'e' ||
          lookahead == 'm' ||
          lookahead == 'o' ||
          lookahead == 'p' ||
          lookahead == 'r' ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(287);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(57);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        '!', 82,
        '#', 248,
        '%', 146,
        '&', 178,
        '(', 127,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ':', 112,
        ';', 114,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
        '[', 142,
      );
      if (lookahead == '\\') SKIP(28);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'c') ADVANCE(380);
      if (lookahead == 'g') ADVANCE(378);
      if (lookahead == 'i') ADVANCE(387);
      if (lookahead == 'l') ADVANCE(379);
      if (lookahead == 'x') ADVANCE(194);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '}') ADVANCE(111);
      if (lookahead == '~') ADVANCE(93);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(60);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        '!', 82,
        '#', 248,
        '%', 146,
        '&', 178,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ':', 113,
        ';', 114,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
      );
      if (lookahead == '\\') SKIP(24);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'c') ADVANCE(339);
      if (lookahead == 'g') ADVANCE(314);
      if (lookahead == 'i') ADVANCE(370);
      if (lookahead == 'l') ADVANCE(317);
      if (lookahead == 'x') ADVANCE(192);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '}') ADVANCE(111);
      if (lookahead == '~') ADVANCE(93);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(61);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 62:
      ADVANCE_MAP(
        '!', 82,
        '#', 248,
        '%', 146,
        '&', 178,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ':', 112,
        ';', 114,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
        '[', 142,
      );
      if (lookahead == '\\') SKIP(32);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'c') ADVANCE(380);
      if (lookahead == 'g') ADVANCE(378);
      if (lookahead == 'i') ADVANCE(387);
      if (lookahead == 'l') ADVANCE(379);
      if (lookahead == 'x') ADVANCE(194);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '}') ADVANCE(111);
      if (lookahead == '~') ADVANCE(93);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(62);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 63:
      ADVANCE_MAP(
        '!', 82,
        '#', 248,
        '%', 146,
        '&', 178,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ':', 112,
        ';', 114,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
        '[', 142,
      );
      if (lookahead == '\\') SKIP(32);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'c') ADVANCE(288);
      if (lookahead == 'g') ADVANCE(378);
      if (lookahead == 'i') ADVANCE(387);
      if (lookahead == 'l') ADVANCE(379);
      if (lookahead == 'x') ADVANCE(194);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '}') ADVANCE(111);
      if (lookahead == '~') ADVANCE(93);
      if (lookahead == 'd' ||
          lookahead == 'r' ||
          lookahead == 's') ADVANCE(288);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(62);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 64:
      ADVANCE_MAP(
        '!', 82,
        '#', 248,
        '%', 146,
        '&', 178,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ':', 112,
        ';', 114,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
      );
      if (lookahead == '\\') SKIP(34);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'c') ADVANCE(380);
      if (lookahead == 'g') ADVANCE(378);
      if (lookahead == 'i') ADVANCE(271);
      if (lookahead == 'l') ADVANCE(272);
      if (lookahead == 'x') ADVANCE(272);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '}') ADVANCE(111);
      if (lookahead == '~') ADVANCE(93);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'm' ||
          lookahead == 'n' ||
          lookahead == 'p' ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(272);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(65);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 65:
      ADVANCE_MAP(
        '!', 82,
        '#', 248,
        '%', 146,
        '&', 178,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ':', 112,
        ';', 114,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
      );
      if (lookahead == '\\') SKIP(34);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'c') ADVANCE(380);
      if (lookahead == 'g') ADVANCE(378);
      if (lookahead == 'i') ADVANCE(387);
      if (lookahead == 'l') ADVANCE(379);
      if (lookahead == 'x') ADVANCE(194);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '}') ADVANCE(111);
      if (lookahead == '~') ADVANCE(93);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(65);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 66:
      ADVANCE_MAP(
        '!', 82,
        '#', 248,
        '%', 146,
        '&', 178,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ':', 112,
        ';', 114,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
      );
      if (lookahead == '\\') SKIP(34);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'c') ADVANCE(275);
      if (lookahead == 'g') ADVANCE(279);
      if (lookahead == 'i') ADVANCE(278);
      if (lookahead == 'l') ADVANCE(279);
      if (lookahead == 'x') ADVANCE(279);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '}') ADVANCE(111);
      if (lookahead == '~') ADVANCE(93);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'm' ||
          lookahead == 'n' ||
          lookahead == 'p' ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(279);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(65);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 67:
      ADVANCE_MAP(
        '!', 82,
        '#', 248,
        '%', 146,
        '&', 178,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ':', 112,
        ';', 114,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
      );
      if (lookahead == '\\') SKIP(34);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'c') ADVANCE(282);
      if (lookahead == 'g') ADVANCE(281);
      if (lookahead == 'i') ADVANCE(286);
      if (lookahead == 'l') ADVANCE(281);
      if (lookahead == 'x') ADVANCE(287);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '}') ADVANCE(111);
      if (lookahead == '~') ADVANCE(93);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'e' ||
          lookahead == 'm' ||
          lookahead == 'o' ||
          lookahead == 'p' ||
          lookahead == 'r' ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(287);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(65);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        '#', 248,
        '$', 117,
        '%', 145,
        '&', 177,
        '(', 127,
        '*', 188,
        ':', 113,
        ';', 114,
        '@', 124,
        '[', 142,
      );
      if (lookahead == '\\') SKIP(40);
      if (lookahead == '{') ADVANCE(110);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(68);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 69:
      if (lookahead == '#') ADVANCE(248);
      if (lookahead == '$') ADVANCE(117);
      if (lookahead == '(') ADVANCE(127);
      if (lookahead == '\\') SKIP(44);
      if (lookahead == 'o') ADVANCE(388);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(69);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 70:
      if (lookahead == '#') ADVANCE(248);
      if (lookahead == '$') ADVANCE(117);
      if (lookahead == '*') ADVANCE(188);
      if (lookahead == ':') ADVANCE(400);
      if (lookahead == '\\') ADVANCE(390);
      if (lookahead == '^') ADVANCE(405);
      if (lookahead == '{') ADVANCE(110);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(404);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(392);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      if (lookahead != 0) ADVANCE(390);
      END_STATE();
    case 71:
      if (lookahead == '#') ADVANCE(248);
      if (lookahead == '$') ADVANCE(117);
      if (lookahead == ':') ADVANCE(400);
      if (lookahead == '>') ADVANCE(149);
      if (lookahead == '\\') ADVANCE(390);
      if (lookahead == '^') ADVANCE(405);
      if (lookahead == '{') ADVANCE(110);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(71);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(404);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(393);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      if (lookahead != 0) ADVANCE(390);
      END_STATE();
    case 72:
      if (lookahead == '#') ADVANCE(248);
      if (lookahead == '$') ADVANCE(117);
      if (lookahead == ':') ADVANCE(400);
      if (lookahead == '\\') ADVANCE(390);
      if (lookahead == '^') ADVANCE(405);
      if (lookahead == '{') ADVANCE(110);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(404);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(394);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      if (lookahead != 0) ADVANCE(390);
      END_STATE();
    case 73:
      ADVANCE_MAP(
        '#', 248,
        '$', 117,
        ':', 400,
        '\\', 256,
        '^', 258,
        '{', 110,
        '\'', 390,
        '+', 390,
        '-', 390,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(257);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(404);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(257);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(259);
      if (lookahead != 0) ADVANCE(256);
      END_STATE();
    case 74:
      if (lookahead == '#') ADVANCE(248);
      if (lookahead == '$') ADVANCE(117);
      if (lookahead == '\\') ADVANCE(390);
      if (lookahead == '^') ADVANCE(405);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(74);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(404);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(395);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      if (lookahead != 0) ADVANCE(390);
      END_STATE();
    case 75:
      ADVANCE_MAP(
        '#', 248,
        ')', 126,
        ',', 125,
        '.', 98,
        '0', 408,
        ':', 112,
        ';', 114,
        '=', 85,
      );
      if (lookahead == '\\') SKIP(42);
      if (lookahead == ']') ADVANCE(143);
      if (lookahead == 'a') ADVANCE(88);
      if (lookahead == 'o') ADVANCE(90);
      if (lookahead == 'v') ADVANCE(100);
      if (lookahead == 'x') ADVANCE(89);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '}') ADVANCE(111);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(409);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(75);
      END_STATE();
    case 76:
      if (lookahead == '#') ADVANCE(248);
      if (lookahead == '.') ADVANCE(98);
      if (lookahead == '0') ADVANCE(408);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == '\\') SKIP(46);
      if (lookahead == 'v') ADVANCE(374);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(409);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(76);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 77:
      if (lookahead == '.') ADVANCE(130);
      END_STATE();
    case 78:
      if (lookahead == '.') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(414);
      END_STATE();
    case 79:
      if (lookahead == '/') ADVANCE(171);
      END_STATE();
    case 80:
      if (lookahead == '/') ADVANCE(83);
      END_STATE();
    case 81:
      if (lookahead == ':') ADVANCE(407);
      END_STATE();
    case 82:
      if (lookahead == '=') ADVANCE(198);
      if (lookahead == '~') ADVANCE(196);
      END_STATE();
    case 83:
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 84:
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 85:
      if (lookahead == '>') ADVANCE(227);
      END_STATE();
    case 86:
      if (lookahead == '>') ADVANCE(153);
      END_STATE();
    case 87:
      if (lookahead == 'd') ADVANCE(132);
      END_STATE();
    case 88:
      if (lookahead == 'n') ADVANCE(87);
      END_STATE();
    case 89:
      if (lookahead == 'o') ADVANCE(91);
      END_STATE();
    case 90:
      if (lookahead == 'r') ADVANCE(135);
      END_STATE();
    case 91:
      if (lookahead == 'r') ADVANCE(139);
      END_STATE();
    case 92:
      if (lookahead == '|') ADVANCE(84);
      END_STATE();
    case 93:
      if (lookahead == '~') ADVANCE(203);
      END_STATE();
    case 94:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(99);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(410);
      END_STATE();
    case 95:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(411);
      END_STATE();
    case 96:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(410);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(413);
      END_STATE();
    case 97:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(409);
      END_STATE();
    case 98:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(414);
      END_STATE();
    case 99:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(410);
      END_STATE();
    case 100:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(291);
      END_STATE();
    case 101:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(412);
      END_STATE();
    case 102:
      if (eof) ADVANCE(109);
      ADVANCE_MAP(
        0x04, 252,
        '!', 215,
        '#', 248,
        '$', 118,
        '%', 224,
        '&', 178,
        '(', 127,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 187,
        '/', 190,
        '0', 408,
        ':', 113,
        ';', 114,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
        '@', 124,
        '[', 142,
        '\\', 219,
        ']', 143,
        '^', 176,
        'a', 331,
        'c', 292,
        'd', 343,
        'e', 334,
        'g', 313,
        'i', 370,
        'l', 303,
        'm', 260,
        'o', 356,
        'p', 344,
        'r', 315,
        's', 261,
        'u', 305,
        'v', 374,
        'x', 191,
        '{', 110,
        '|', 175,
        '}', 111,
        '~', 213,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(409);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(102);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 103:
      if (eof) ADVANCE(109);
      ADVANCE_MAP(
        0x04, 252,
        '!', 215,
        '#', 248,
        '$', 118,
        '%', 224,
        '&', 178,
        '(', 127,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 187,
        '/', 190,
        '0', 408,
        ':', 81,
        ';', 114,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
        '@', 124,
        '[', 142,
        '\\', 219,
        '^', 176,
        'a', 331,
        'c', 292,
        'd', 343,
        'e', 373,
        'g', 313,
        'i', 370,
        'l', 303,
        'm', 260,
        'o', 356,
        'p', 344,
        'r', 315,
        's', 261,
        'u', 305,
        'x', 191,
        '{', 110,
        '|', 175,
        '}', 111,
        '~', 213,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(409);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(103);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 104:
      if (eof) ADVANCE(109);
      ADVANCE_MAP(
        0x04, 252,
        '!', 214,
        '#', 248,
        '$', 118,
        '%', 224,
        '(', 127,
        '*', 188,
        '+', 180,
        '-', 183,
        '.', 78,
        '/', 79,
        '0', 408,
        ':', 81,
        ';', 114,
        '<', 148,
        '@', 124,
        '[', 142,
        '\\', 219,
        'a', 332,
        'c', 293,
        'd', 343,
        'e', 334,
        'g', 355,
        'l', 304,
        'm', 260,
        'o', 366,
        'p', 344,
        'r', 315,
        's', 261,
        'u', 305,
        '{', 110,
        '}', 111,
        '~', 212,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(409);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(104);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 105:
      if (eof) ADVANCE(109);
      ADVANCE_MAP(
        0x04, 252,
        '!', 214,
        '#', 248,
        '$', 118,
        '%', 224,
        '(', 127,
        '*', 188,
        '+', 180,
        '-', 183,
        '.', 78,
        '/', 79,
        '0', 408,
        ':', 81,
        ';', 114,
        '<', 148,
        '@', 124,
        '[', 142,
        '\\', 219,
        'a', 332,
        'c', 293,
        'd', 343,
        'e', 373,
        'g', 355,
        'l', 304,
        'm', 260,
        'o', 366,
        'p', 344,
        'r', 315,
        's', 261,
        'u', 305,
        '{', 110,
        '}', 111,
        '~', 212,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(409);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(105);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 106:
      if (eof) ADVANCE(109);
      ADVANCE_MAP(
        0x04, 252,
        '!', 82,
        '#', 248,
        '$', 117,
        '%', 146,
        '&', 178,
        '(', 127,
        ')', 126,
        '*', 189,
        '+', 181,
        ',', 125,
        '-', 184,
        '.', 186,
        '/', 190,
        ':', 113,
        ';', 114,
        '<', 147,
        '=', 120,
        '>', 150,
        '?', 218,
        '@', 124,
        '[', 142,
      );
      if (lookahead == '\\') SKIP(108);
      if (lookahead == ']') ADVANCE(143);
      if (lookahead == '^') ADVANCE(176);
      if (lookahead == 'a') ADVANCE(342);
      if (lookahead == 'c') ADVANCE(339);
      if (lookahead == 'g') ADVANCE(314);
      if (lookahead == 'i') ADVANCE(370);
      if (lookahead == 'l') ADVANCE(317);
      if (lookahead == 'o') ADVANCE(365);
      if (lookahead == 'x') ADVANCE(191);
      if (lookahead == '{') ADVANCE(110);
      if (lookahead == '|') ADVANCE(175);
      if (lookahead == '}') ADVANCE(111);
      if (lookahead == '~') ADVANCE(93);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(106);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      END_STATE();
    case 107:
      if (eof) ADVANCE(109);
      if (lookahead == '\n') SKIP(106);
      END_STATE();
    case 108:
      if (eof) ADVANCE(109);
      if (lookahead == '\n') SKIP(106);
      if (lookahead == '\r') SKIP(107);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(407);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_role);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '#') ADVANCE(225);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(197);
      if (lookahead == '>') ADVANCE(227);
      if (lookahead == '~') ADVANCE(195);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(227);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_our);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_our);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'd') ADVANCE(238);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_or);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_xor);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_xor);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_xor);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(160);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(152);
      if (lookahead == '=') ADVANCE(204);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(151);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(205);
      if (lookahead == '>') ADVANCE(179);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(165);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_x_EQ);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(130);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(154);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_CARET_CARET);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(167);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(163);
      if (lookahead == '|') ADVANCE(170);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(164);
      if (lookahead == '^') ADVANCE(173);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(174);
      if (lookahead == '=') ADVANCE(162);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_GT_GT2);
      if (lookahead == '=') ADVANCE(166);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(216);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(216);
      if (lookahead == '=') ADVANCE(155);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(217);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(217);
      if (lookahead == '=') ADVANCE(156);
      if (lookahead == '>') ADVANCE(144);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(253);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(168);
      if (lookahead == '=') ADVANCE(157);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(168);
      if (lookahead == '=') ADVANCE(157);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(414);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(169);
      if (lookahead == '=') ADVANCE(158);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(172);
      if (lookahead == '=') ADVANCE(159);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_x);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == 'o') ADVANCE(358);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_x);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == '=') ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_x);
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == 'o') ADVANCE(385);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_x);
      if (lookahead == '=') ADVANCE(161);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_BANG_TILDE);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(199);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_cmp);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_cmp);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_TILDE_TILDE);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(200);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_le);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_le);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_ge);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_ge);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_isa);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_isa);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '~') ADVANCE(203);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(198);
      if (lookahead == '~') ADVANCE(196);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_local);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_map);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_grep);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_PERCENT2);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_DOLLAR_POUND);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(aux_sym__var_indirob_autoquote_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(226);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_use);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_redo);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_alarm);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_close);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'd') ADVANCE(330);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_closedir);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_caller);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_cos);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_exp);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_lc);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_log);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_ord);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_pop);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_pos);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_rmdir);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_readdir);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_readpipe);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_scalar);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_sin);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_sleep);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_uc);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(248);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(aux_sym___DATA___token1);
      if (lookahead == '\r') ADVANCE(251);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(251);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym___DATA___token1);
      if (lookahead == '#') ADVANCE(248);
      if (lookahead == '\\') ADVANCE(249);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(250);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(251);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(aux_sym___DATA___token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(251);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_EOT);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_DASH_GT2);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_LBRACK2);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_LBRACE2);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(aux_sym__interpolation_fallbacks_token1);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(aux_sym__interpolation_fallbacks_token1);
      if (lookahead == '#') ADVANCE(248);
      if (lookahead == '\\') ADVANCE(256);
      if (lookahead == '^') ADVANCE(258);
      if (lookahead == '{') ADVANCE(110);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(257);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(257);
      if ((set_contains(sym__identifier_character_set_1, 668, lookahead)) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(259);
      if ((!eof && set_contains(aux_sym__interpolation_fallbacks_token1_character_set_1, 9, lookahead))) ADVANCE(256);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym__interpolation_fallbacks_token1);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '^' ||
          lookahead == '_' ||
          lookahead == '|') ADVANCE(390);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym__interpolation_fallbacks_token1);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_m);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'a') ADVANCE(351);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_s);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'c') ADVANCE(298);
      if (lookahead == 'i') ADVANCE(341);
      if (lookahead == 'l') ADVANCE(326);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'a') ADVANCE(272);
      if (lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'n') ||
          lookahead == 'p' ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(272);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'a') ADVANCE(269);
      if (lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'n') ||
          lookahead == 'p' ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(272);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'd') ADVANCE(272);
      if (lookahead == 'a' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'n') ||
          lookahead == 'p' ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(272);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      ADVANCE_MAP(
        'i', 267,
        'l', 272,
        'a', 272,
        'd', 272,
        'm', 272,
        'n', 272,
        'p', 272,
        's', 272,
        'u', 272,
        'x', 272,
      );
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      ADVANCE_MAP(
        'l', 262,
        'n', 264,
        'a', 272,
        'd', 272,
        'i', 272,
        'm', 272,
        'p', 272,
        's', 272,
        'u', 272,
        'x', 272,
      );
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      ADVANCE_MAP(
        'n', 272,
        'a', 272,
        'd', 272,
        'i', 272,
        'l', 272,
        'm', 272,
        'p', 272,
        's', 272,
        'u', 272,
        'x', 272,
      );
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      ADVANCE_MAP(
        'n', 264,
        'a', 272,
        'd', 272,
        'i', 272,
        'l', 272,
        'm', 272,
        'p', 272,
        's', 272,
        'u', 272,
        'x', 272,
      );
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'p') ADVANCE(272);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'n') ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(272);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 's') ADVANCE(272);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'n') ||
          lookahead == 'p' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(272);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 's') ADVANCE(262);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'n') ||
          lookahead == 'p' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(272);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if ((set_contains(sym_match_regexp_modifiers_character_set_1, 9, lookahead)) &&
          lookahead != 'c' &&
          lookahead != 'g') ADVANCE(272);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      if (lookahead == 'a') ADVANCE(279);
      if (set_contains(sym_match_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(279);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      if (lookahead == 'd') ADVANCE(279);
      if (set_contains(sym_match_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(279);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      ADVANCE_MAP(
        'm', 277,
        'a', 279,
        'c', 279,
        'd', 279,
        'g', 279,
        'i', 279,
        'l', 279,
        'n', 279,
        'p', 279,
        's', 279,
        'u', 279,
        'x', 279,
      );
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      ADVANCE_MAP(
        'n', 274,
        'a', 279,
        'c', 279,
        'd', 279,
        'g', 279,
        'i', 279,
        'l', 279,
        'm', 279,
        'p', 279,
        's', 279,
        'u', 279,
        'x', 279,
      );
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      if (lookahead == 'p') ADVANCE(279);
      if (set_contains(sym_match_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(279);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      if (lookahead == 's') ADVANCE(273);
      if (set_contains(sym_match_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(279);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      if (set_contains(sym_match_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(279);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      if (lookahead == 'a') ADVANCE(287);
      if (set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(287);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      ADVANCE_MAP(
        'e', 287,
        'a', 287,
        'c', 287,
        'd', 287,
        'g', 287,
        'i', 287,
        'l', 287,
        'm', 287,
        'o', 287,
        'p', 287,
        'r', 287,
        's', 287,
        'u', 287,
        'x', 287,
      );
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      if (lookahead == 'm') ADVANCE(284);
      if (set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(287);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      if (lookahead == 'o') ADVANCE(285);
      if (set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(287);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      if (lookahead == 'p') ADVANCE(287);
      if (set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(287);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      if (lookahead == 'r') ADVANCE(287);
      if (set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(287);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      if (lookahead == 's') ADVANCE(280);
      if (set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(287);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      if (set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(287);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_transliteration_modifiers);
      if (lookahead == 'c' ||
          lookahead == 'd' ||
          lookahead == 'r' ||
          lookahead == 's') ADVANCE(288);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym__interpolated_transliteration_content_token1);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(aux_sym__interpolated_transliteration_content_token1);
      if (lookahead == '#') ADVANCE(248);
      if (lookahead == '\\') ADVANCE(289);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(290);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(289);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(sym_version);
      if (lookahead == '.') ADVANCE(100);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(291);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'a') ADVANCE(338);
      if (lookahead == 'l') ADVANCE(300);
      if (lookahead == 'm') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(367);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'a') ADVANCE(338);
      if (lookahead == 'l') ADVANCE(300);
      if (lookahead == 'o') ADVANCE(367);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'a') ADVANCE(338);
      if (lookahead == 'l') ADVANCE(347);
      if (lookahead == 'm') ADVANCE(348);
      if (lookahead == 'o') ADVANCE(367);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'a') ADVANCE(338);
      if (lookahead == 'l') ADVANCE(347);
      if (lookahead == 'o') ADVANCE(367);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'a') ADVANCE(210);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'a') ADVANCE(310);
      if (lookahead == 'd') ADVANCE(345);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'a') ADVANCE(337);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'a') ADVANCE(333);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'a') ADVANCE(371);
      if (lookahead == 'o') ADVANCE(372);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'a') ADVANCE(360);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'a') ADVANCE(363);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'c') ADVANCE(236);
      if (lookahead == 'e') ADVANCE(206);
      if (lookahead == 'o') ADVANCE(307);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'c') ADVANCE(236);
      if (lookahead == 'o') ADVANCE(307);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'c') ADVANCE(247);
      if (lookahead == 's') ADVANCE(320);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'c') ADVANCE(247);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'c') ADVANCE(299);
      if (lookahead == 'g') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'd') ADVANCE(238);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'd') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'd') ADVANCE(312);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'd') ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'd') ADVANCE(329);
      if (lookahead == 'p') ADVANCE(328);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'e') ADVANCE(208);
      if (lookahead == 'r') ADVANCE(323);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'e') ADVANCE(208);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'e') ADVANCE(297);
      if (lookahead == 'm') ADVANCE(309);
      if (lookahead == 'o') ADVANCE(335);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'e') ADVANCE(297);
      if (lookahead == 'm') ADVANCE(309);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'e') ADVANCE(206);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'e') ADVANCE(131);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'e') ADVANCE(116);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'e') ADVANCE(228);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'e') ADVANCE(231);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'e') ADVANCE(243);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'e') ADVANCE(350);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'e') ADVANCE(353);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'e') ADVANCE(361);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'e') ADVANCE(324);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'i') ADVANCE(359);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'i') ADVANCE(354);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'i') ADVANCE(362);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'i') ADVANCE(364);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'l') ADVANCE(301);
      if (lookahead == 'n') ADVANCE(311);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'l') ADVANCE(301);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'l') ADVANCE(221);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'l') ADVANCE(369);
      if (lookahead == 'x') ADVANCE(349);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'l') ADVANCE(319);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'l') ADVANCE(325);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'l') ADVANCE(302);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'l') ADVANCE(336);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'm') ADVANCE(348);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'm') ADVANCE(230);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'n') ADVANCE(245);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'n') ADVANCE(311);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'o') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'o') ADVANCE(352);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'o') ADVANCE(229);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'o') ADVANCE(358);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'o') ADVANCE(372);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'p') ADVANCE(201);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'p') ADVANCE(235);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'p') ADVANCE(223);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'p') ADVANCE(222);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'p') ADVANCE(239);
      if (lookahead == 's') ADVANCE(240);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'p') ADVANCE(246);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'p') ADVANCE(322);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'r') ADVANCE(323);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'r') ADVANCE(136);
      if (lookahead == 'u') ADVANCE(357);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'r') ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'r') ADVANCE(140);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'r') ADVANCE(241);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'r') ADVANCE(340);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'r') ADVANCE(233);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'r') ADVANCE(242);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'r') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'r') ADVANCE(232);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'r') ADVANCE(137);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'r') ADVANCE(308);
      if (lookahead == 'u') ADVANCE(357);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 's') ADVANCE(234);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 's') ADVANCE(115);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 's') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 's') ADVANCE(296);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 's') ADVANCE(368);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 's') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == 'x') ADVANCE(349);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(291);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(211);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(134);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(209);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(207);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'm') ADVANCE(383);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(377);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(385);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(202);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(138);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(141);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(129);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(376);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(386);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym__identifier);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(389);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      ADVANCE_MAP(
        '!', 214,
        '#', 248,
        '$', 118,
        '%', 224,
        '(', 127,
        '*', 188,
        '+', 180,
        '-', 183,
        '.', 398,
        '/', 399,
        '0', 396,
        ':', 400,
        ';', 114,
        '<', 148,
        '@', 124,
        '[', 142,
        '\\', 219,
        '^', 403,
        'a', 332,
        'c', 293,
        'd', 343,
        'e', 373,
        'g', 355,
        'l', 304,
        'm', 260,
        'o', 366,
        'p', 344,
        'r', 315,
        's', 261,
        'u', 305,
        '{', 110,
        '}', 111,
        '~', 212,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(391);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '!') ADVANCE(390);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '#') ADVANCE(248);
      if (lookahead == '$') ADVANCE(117);
      if (lookahead == '*') ADVANCE(188);
      if (lookahead == ':') ADVANCE(400);
      if (lookahead == '\\') ADVANCE(390);
      if (lookahead == '^') ADVANCE(405);
      if (lookahead == '{') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(404);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(392);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(390);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '#') ADVANCE(248);
      if (lookahead == '$') ADVANCE(117);
      if (lookahead == ':') ADVANCE(400);
      if (lookahead == '>') ADVANCE(149);
      if (lookahead == '\\') ADVANCE(390);
      if (lookahead == '^') ADVANCE(405);
      if (lookahead == '{') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(404);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(393);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(390);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '#') ADVANCE(248);
      if (lookahead == '$') ADVANCE(117);
      if (lookahead == ':') ADVANCE(400);
      if (lookahead == '\\') ADVANCE(390);
      if (lookahead == '^') ADVANCE(405);
      if (lookahead == '{') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(404);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(394);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(375);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(390);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '#') ADVANCE(248);
      if (lookahead == '$') ADVANCE(117);
      if (lookahead == '\\') ADVANCE(390);
      if (lookahead == '^') ADVANCE(405);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(404);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(395);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(389);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(390);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      ADVANCE_MAP(
        '.', 415,
        '_', 99,
        'B', 95,
        'b', 95,
        'E', 94,
        'e', 94,
        'X', 101,
        'x', 101,
        '8', 401,
        '9', 401,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(402);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '.') ADVANCE(415);
      if (lookahead == '_') ADVANCE(97);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '.') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(414);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '/') ADVANCE(171);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == ':') ADVANCE(407);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '_') ADVANCE(99);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(401);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '_') ADVANCE(96);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(401);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(402);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '?' ||
          lookahead == '^' ||
          lookahead == '|') ADVANCE(390);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(226);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(404);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '^' ||
          lookahead == '_' ||
          lookahead == '|') ADVANCE(390);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(aux_sym__bareword_token1);
      if (lookahead == ':') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(406);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(406);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(aux_sym__bareword_token1);
      if (lookahead == ':') ADVANCE(81);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(406);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 415,
        '_', 99,
        'B', 95,
        'b', 95,
        'E', 94,
        'e', 94,
        'X', 101,
        'x', 101,
        '8', 410,
        '9', 410,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(413);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(415);
      if (lookahead == '_') ADVANCE(97);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(409);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(99);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(410);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(95);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(411);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(412);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(96);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(410);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(413);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(98);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(414);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(414);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'A') ADVANCE(1);
      if (lookahead == 'B') ADVANCE(2);
      if (lookahead == 'C') ADVANCE(3);
      if (lookahead == 'E') ADVANCE(4);
      if (lookahead == 'I') ADVANCE(5);
      if (lookahead == 'U') ADVANCE(6);
      if (lookahead == '\\') SKIP(7);
      if (lookahead == '_') ADVANCE(8);
      if (lookahead == 'a') ADVANCE(9);
      if (lookahead == 'b') ADVANCE(10);
      if (lookahead == 'c') ADVANCE(11);
      if (lookahead == 'd') ADVANCE(12);
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead == 'f') ADVANCE(14);
      if (lookahead == 'g') ADVANCE(15);
      if (lookahead == 'h') ADVANCE(16);
      if (lookahead == 'i') ADVANCE(17);
      if (lookahead == 'k') ADVANCE(18);
      if (lookahead == 'l') ADVANCE(19);
      if (lookahead == 'm') ADVANCE(20);
      if (lookahead == 'n') ADVANCE(21);
      if (lookahead == 'o') ADVANCE(22);
      if (lookahead == 'p') ADVANCE(23);
      if (lookahead == 'q') ADVANCE(24);
      if (lookahead == 'r') ADVANCE(25);
      if (lookahead == 's') ADVANCE(26);
      if (lookahead == 't') ADVANCE(27);
      if (lookahead == 'u') ADVANCE(28);
      if (lookahead == 'v') ADVANCE(29);
      if (lookahead == 'w') ADVANCE(30);
      if (lookahead == 'y') ADVANCE(31);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'D') ADVANCE(32);
      END_STATE();
    case 2:
      if (lookahead == 'E') ADVANCE(33);
      if (lookahead == 'U') ADVANCE(34);
      END_STATE();
    case 3:
      if (lookahead == 'H') ADVANCE(35);
      END_STATE();
    case 4:
      if (lookahead == 'N') ADVANCE(36);
      END_STATE();
    case 5:
      if (lookahead == 'N') ADVANCE(37);
      END_STATE();
    case 6:
      if (lookahead == 'N') ADVANCE(38);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(39);
      END_STATE();
    case 8:
      if (lookahead == '_') ADVANCE(40);
      END_STATE();
    case 9:
      if (lookahead == 'b') ADVANCE(41);
      if (lookahead == 's') ADVANCE(42);
      if (lookahead == 'w') ADVANCE(43);
      END_STATE();
    case 10:
      if (lookahead == 'r') ADVANCE(44);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(45);
      if (lookahead == 'h') ADVANCE(46);
      if (lookahead == 'o') ADVANCE(47);
      END_STATE();
    case 12:
      if (lookahead == 'b') ADVANCE(48);
      if (lookahead == 'e') ADVANCE(49);
      if (lookahead == 'y') ADVANCE(50);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(51);
      if (lookahead == 'l') ADVANCE(52);
      if (lookahead == 'o') ADVANCE(53);
      if (lookahead == 'q') ADVANCE(54);
      if (lookahead == 'v') ADVANCE(55);
      if (lookahead == 'x') ADVANCE(56);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(57);
      if (lookahead == 'c') ADVANCE(58);
      if (lookahead == 'i') ADVANCE(59);
      if (lookahead == 'o') ADVANCE(60);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == 'm') ADVANCE(62);
      if (lookahead == 'o') ADVANCE(63);
      if (lookahead == 't') ADVANCE(64);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(65);
      END_STATE();
    case 17:
      if (lookahead == 'f') ADVANCE(66);
      if (lookahead == 'n') ADVANCE(67);
      END_STATE();
    case 18:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(69);
      if (lookahead == 'c') ADVANCE(70);
      if (lookahead == 'e') ADVANCE(71);
      if (lookahead == 'o') ADVANCE(72);
      if (lookahead == 's') ADVANCE(73);
      if (lookahead == 't') ADVANCE(74);
      END_STATE();
    case 20:
      if (lookahead == 'e') ADVANCE(75);
      if (lookahead == 'y') ADVANCE(76);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(77);
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 22:
      if (lookahead == 'c') ADVANCE(79);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(80);
      if (lookahead == 'r') ADVANCE(81);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_q);
      if (lookahead == 'q') ADVANCE(82);
      if (lookahead == 'r') ADVANCE(83);
      if (lookahead == 'u') ADVANCE(84);
      if (lookahead == 'w') ADVANCE(85);
      if (lookahead == 'x') ADVANCE(86);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(88);
      END_STATE();
    case 26:
      if (lookahead == 'h') ADVANCE(89);
      if (lookahead == 'o') ADVANCE(90);
      if (lookahead == 'q') ADVANCE(91);
      if (lookahead == 'r') ADVANCE(92);
      if (lookahead == 't') ADVANCE(93);
      if (lookahead == 'u') ADVANCE(94);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(95);
      if (lookahead == 'i') ADVANCE(96);
      if (lookahead == 'r') ADVANCE(97);
      END_STATE();
    case 28:
      if (lookahead == 'c') ADVANCE(98);
      if (lookahead == 'm') ADVANCE(99);
      if (lookahead == 'n') ADVANCE(100);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 30:
      if (lookahead == 'a') ADVANCE(102);
      if (lookahead == 'h') ADVANCE(103);
      if (lookahead == 'r') ADVANCE(104);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_y);
      END_STATE();
    case 32:
      if (lookahead == 'J') ADVANCE(105);
      END_STATE();
    case 33:
      if (lookahead == 'G') ADVANCE(106);
      END_STATE();
    case 34:
      if (lookahead == 'I') ADVANCE(107);
      END_STATE();
    case 35:
      if (lookahead == 'E') ADVANCE(108);
      END_STATE();
    case 36:
      if (lookahead == 'D') ADVANCE(109);
      END_STATE();
    case 37:
      if (lookahead == 'I') ADVANCE(110);
      END_STATE();
    case 38:
      if (lookahead == 'I') ADVANCE(111);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 40:
      if (lookahead == 'D') ADVANCE(112);
      if (lookahead == 'E') ADVANCE(113);
      if (lookahead == 'F') ADVANCE(114);
      if (lookahead == 'L') ADVANCE(115);
      if (lookahead == 'P') ADVANCE(116);
      if (lookahead == 'S') ADVANCE(117);
      END_STATE();
    case 41:
      if (lookahead == 's') ADVANCE(118);
      END_STATE();
    case 42:
      if (lookahead == 'y') ADVANCE(119);
      END_STATE();
    case 43:
      if (lookahead == 'a') ADVANCE(120);
      END_STATE();
    case 44:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 46:
      if (lookahead == 'd') ADVANCE(123);
      if (lookahead == 'o') ADVANCE(124);
      if (lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 47:
      if (lookahead == 'n') ADVANCE(126);
      END_STATE();
    case 48:
      if (lookahead == 'm') ADVANCE(127);
      END_STATE();
    case 49:
      if (lookahead == 'f') ADVANCE(128);
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 50:
      if (lookahead == 'n') ADVANCE(130);
      END_STATE();
    case 51:
      if (lookahead == 'c') ADVANCE(131);
      END_STATE();
    case 52:
      if (lookahead == 's') ADVANCE(132);
      END_STATE();
    case 53:
      if (lookahead == 'f') ADVANCE(133);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_eq);
      if (lookahead == 'r') ADVANCE(134);
      if (lookahead == 'u') ADVANCE(135);
      END_STATE();
    case 55:
      if (lookahead == 'a') ADVANCE(136);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(137);
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(139);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_fc);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(140);
      if (lookahead == 'l') ADVANCE(141);
      if (lookahead == 'n') ADVANCE(142);
      END_STATE();
    case 60:
      if (lookahead == 'r') ADVANCE(143);
      END_STATE();
    case 61:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(145);
      END_STATE();
    case 63:
      if (lookahead == 't') ADVANCE(146);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_gt);
      END_STATE();
    case 65:
      if (lookahead == 'x') ADVANCE(147);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 67:
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 68:
      if (lookahead == 'y') ADVANCE(149);
      END_STATE();
    case 69:
      if (lookahead == 's') ADVANCE(150);
      END_STATE();
    case 70:
      if (lookahead == 'f') ADVANCE(151);
      END_STATE();
    case 71:
      if (lookahead == 'n') ADVANCE(152);
      END_STATE();
    case 72:
      if (lookahead == 'c') ADVANCE(153);
      END_STATE();
    case 73:
      if (lookahead == 't') ADVANCE(154);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_lt);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(155);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_my);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_ne);
      if (lookahead == 'x') ADVANCE(156);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_no);
      END_STATE();
    case 79:
      if (lookahead == 't') ADVANCE(157);
      END_STATE();
    case 80:
      if (lookahead == 'c') ADVANCE(158);
      END_STATE();
    case 81:
      if (lookahead == 'o') ADVANCE(159);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_qq);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_qr);
      END_STATE();
    case 84:
      if (lookahead == 'o') ADVANCE(160);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_qw);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_qx);
      END_STATE();
    case 87:
      if (lookahead == 'n') ADVANCE(161);
      END_STATE();
    case 88:
      if (lookahead == 'a') ADVANCE(162);
      if (lookahead == 'f') ADVANCE(163);
      if (lookahead == 'q') ADVANCE(164);
      if (lookahead == 's') ADVANCE(165);
      if (lookahead == 't') ADVANCE(166);
      if (lookahead == 'w') ADVANCE(167);
      END_STATE();
    case 89:
      if (lookahead == 'i') ADVANCE(168);
      END_STATE();
    case 90:
      if (lookahead == 'r') ADVANCE(169);
      END_STATE();
    case 91:
      if (lookahead == 'r') ADVANCE(170);
      END_STATE();
    case 92:
      if (lookahead == 'a') ADVANCE(171);
      END_STATE();
    case 93:
      if (lookahead == 'a') ADVANCE(172);
      if (lookahead == 'u') ADVANCE(173);
      END_STATE();
    case 94:
      if (lookahead == 'b') ADVANCE(174);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(175);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(176);
      if (lookahead == 'm') ADVANCE(177);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_tr);
      if (lookahead == 'u') ADVANCE(178);
      if (lookahead == 'y') ADVANCE(179);
      END_STATE();
    case 98:
      if (lookahead == 'f') ADVANCE(180);
      END_STATE();
    case 99:
      if (lookahead == 'a') ADVANCE(181);
      END_STATE();
    case 100:
      if (lookahead == 'd') ADVANCE(182);
      if (lookahead == 'l') ADVANCE(183);
      if (lookahead == 't') ADVANCE(184);
      END_STATE();
    case 101:
      if (lookahead == 'l') ADVANCE(185);
      END_STATE();
    case 102:
      if (lookahead == 'i') ADVANCE(186);
      if (lookahead == 'n') ADVANCE(187);
      END_STATE();
    case 103:
      if (lookahead == 'i') ADVANCE(188);
      END_STATE();
    case 104:
      if (lookahead == 'i') ADVANCE(189);
      END_STATE();
    case 105:
      if (lookahead == 'U') ADVANCE(190);
      END_STATE();
    case 106:
      if (lookahead == 'I') ADVANCE(191);
      END_STATE();
    case 107:
      if (lookahead == 'L') ADVANCE(192);
      END_STATE();
    case 108:
      if (lookahead == 'C') ADVANCE(193);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_END);
      END_STATE();
    case 110:
      if (lookahead == 'T') ADVANCE(194);
      END_STATE();
    case 111:
      if (lookahead == 'T') ADVANCE(195);
      END_STATE();
    case 112:
      if (lookahead == 'A') ADVANCE(196);
      END_STATE();
    case 113:
      if (lookahead == 'N') ADVANCE(197);
      END_STATE();
    case 114:
      if (lookahead == 'I') ADVANCE(198);
      END_STATE();
    case 115:
      if (lookahead == 'I') ADVANCE(199);
      END_STATE();
    case 116:
      if (lookahead == 'A') ADVANCE(200);
      END_STATE();
    case 117:
      if (lookahead == 'U') ADVANCE(201);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_abs);
      END_STATE();
    case 119:
      if (lookahead == 'n') ADVANCE(202);
      END_STATE();
    case 120:
      if (lookahead == 'i') ADVANCE(203);
      END_STATE();
    case 121:
      if (lookahead == 'a') ADVANCE(204);
      END_STATE();
    case 122:
      if (lookahead == 'c') ADVANCE(205);
      END_STATE();
    case 123:
      if (lookahead == 'i') ADVANCE(206);
      END_STATE();
    case 124:
      if (lookahead == 'm') ADVANCE(207);
      if (lookahead == 'p') ADVANCE(208);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_chr);
      if (lookahead == 'o') ADVANCE(209);
      END_STATE();
    case 126:
      if (lookahead == 't') ADVANCE(210);
      END_STATE();
    case 127:
      if (lookahead == 'c') ADVANCE(211);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(212);
      if (lookahead == 'i') ADVANCE(213);
      END_STATE();
    case 129:
      if (lookahead == 'e') ADVANCE(214);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(215);
      END_STATE();
    case 131:
      if (lookahead == 'h') ADVANCE(216);
      END_STATE();
    case 132:
      if (lookahead == 'i') ADVANCE(217);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_eof);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_eqr);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_equ);
      END_STATE();
    case 136:
      if (lookahead == 'l') ADVANCE(218);
      END_STATE();
    case 137:
      if (lookahead == 's') ADVANCE(219);
      if (lookahead == 't') ADVANCE(220);
      END_STATE();
    case 138:
      if (lookahead == 'e') ADVANCE(221);
      END_STATE();
    case 139:
      if (lookahead == 's') ADVANCE(222);
      END_STATE();
    case 140:
      if (lookahead == 'l') ADVANCE(223);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(224);
      END_STATE();
    case 142:
      if (lookahead == 'a') ADVANCE(225);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_for);
      if (lookahead == 'e') ADVANCE(226);
      if (lookahead == 'k') ADVANCE(227);
      END_STATE();
    case 144:
      if (lookahead == 'c') ADVANCE(228);
      if (lookahead == 'g') ADVANCE(229);
      if (lookahead == 'n') ADVANCE(230);
      if (lookahead == 'p') ADVANCE(231);
      if (lookahead == 's') ADVANCE(232);
      END_STATE();
    case 145:
      if (lookahead == 'i') ADVANCE(233);
      END_STATE();
    case 146:
      if (lookahead == 'o') ADVANCE(234);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_hex);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_int);
      END_STATE();
    case 149:
      if (lookahead == 's') ADVANCE(235);
      END_STATE();
    case 150:
      if (lookahead == 't') ADVANCE(236);
      END_STATE();
    case 151:
      if (lookahead == 'i') ADVANCE(237);
      END_STATE();
    case 152:
      if (lookahead == 'g') ADVANCE(238);
      END_STATE();
    case 153:
      if (lookahead == 'a') ADVANCE(239);
      if (lookahead == 'k') ADVANCE(240);
      END_STATE();
    case 154:
      if (lookahead == 'a') ADVANCE(241);
      END_STATE();
    case 155:
      if (lookahead == 'h') ADVANCE(242);
      END_STATE();
    case 156:
      if (lookahead == 't') ADVANCE(243);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_oct);
      END_STATE();
    case 158:
      if (lookahead == 'k') ADVANCE(244);
      END_STATE();
    case 159:
      if (lookahead == 't') ADVANCE(245);
      END_STATE();
    case 160:
      if (lookahead == 't') ADVANCE(246);
      END_STATE();
    case 161:
      if (lookahead == 'd') ADVANCE(247);
      END_STATE();
    case 162:
      if (lookahead == 'd') ADVANCE(248);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_ref);
      END_STATE();
    case 164:
      if (lookahead == 'u') ADVANCE(249);
      END_STATE();
    case 165:
      if (lookahead == 'e') ADVANCE(250);
      END_STATE();
    case 166:
      if (lookahead == 'u') ADVANCE(251);
      END_STATE();
    case 167:
      if (lookahead == 'i') ADVANCE(252);
      END_STATE();
    case 168:
      if (lookahead == 'f') ADVANCE(253);
      END_STATE();
    case 169:
      if (lookahead == 't') ADVANCE(254);
      END_STATE();
    case 170:
      if (lookahead == 't') ADVANCE(255);
      END_STATE();
    case 171:
      if (lookahead == 'n') ADVANCE(256);
      END_STATE();
    case 172:
      if (lookahead == 't') ADVANCE(257);
      END_STATE();
    case 173:
      if (lookahead == 'd') ADVANCE(258);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_sub);
      END_STATE();
    case 175:
      if (lookahead == 'l') ADVANCE(259);
      END_STATE();
    case 176:
      if (lookahead == 'd') ADVANCE(260);
      END_STATE();
    case 177:
      if (lookahead == 'e') ADVANCE(261);
      END_STATE();
    case 178:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 180:
      if (lookahead == 'i') ADVANCE(263);
      END_STATE();
    case 181:
      if (lookahead == 's') ADVANCE(264);
      END_STATE();
    case 182:
      if (lookahead == 'e') ADVANCE(265);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(266);
      END_STATE();
    case 184:
      if (lookahead == 'i') ADVANCE(267);
      END_STATE();
    case 185:
      if (lookahead == 'u') ADVANCE(268);
      END_STATE();
    case 186:
      if (lookahead == 't') ADVANCE(269);
      END_STATE();
    case 187:
      if (lookahead == 't') ADVANCE(270);
      END_STATE();
    case 188:
      if (lookahead == 'l') ADVANCE(271);
      END_STATE();
    case 189:
      if (lookahead == 't') ADVANCE(272);
      END_STATE();
    case 190:
      if (lookahead == 'S') ADVANCE(273);
      END_STATE();
    case 191:
      if (lookahead == 'N') ADVANCE(274);
      END_STATE();
    case 192:
      if (lookahead == 'D') ADVANCE(275);
      END_STATE();
    case 193:
      if (lookahead == 'K') ADVANCE(276);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_INIT);
      END_STATE();
    case 195:
      if (lookahead == 'C') ADVANCE(277);
      END_STATE();
    case 196:
      if (lookahead == 'T') ADVANCE(278);
      END_STATE();
    case 197:
      if (lookahead == 'D') ADVANCE(279);
      END_STATE();
    case 198:
      if (lookahead == 'L') ADVANCE(280);
      END_STATE();
    case 199:
      if (lookahead == 'N') ADVANCE(281);
      END_STATE();
    case 200:
      if (lookahead == 'C') ADVANCE(282);
      END_STATE();
    case 201:
      if (lookahead == 'B') ADVANCE(283);
      END_STATE();
    case 202:
      if (lookahead == 'c') ADVANCE(284);
      END_STATE();
    case 203:
      if (lookahead == 't') ADVANCE(285);
      END_STATE();
    case 204:
      if (lookahead == 'k') ADVANCE(286);
      END_STATE();
    case 205:
      if (lookahead == 'h') ADVANCE(287);
      END_STATE();
    case 206:
      if (lookahead == 'r') ADVANCE(288);
      END_STATE();
    case 207:
      if (lookahead == 'p') ADVANCE(289);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_chop);
      END_STATE();
    case 209:
      if (lookahead == 'o') ADVANCE(290);
      END_STATE();
    case 210:
      if (lookahead == 'i') ADVANCE(291);
      END_STATE();
    case 211:
      if (lookahead == 'l') ADVANCE(292);
      END_STATE();
    case 212:
      if (lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 213:
      if (lookahead == 'n') ADVANCE(294);
      END_STATE();
    case 214:
      if (lookahead == 't') ADVANCE(295);
      END_STATE();
    case 215:
      if (lookahead == 'm') ADVANCE(296);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_each);
      END_STATE();
    case 217:
      if (lookahead == 'f') ADVANCE(297);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_eval);
      END_STATE();
    case 219:
      if (lookahead == 't') ADVANCE(298);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_exit);
      END_STATE();
    case 221:
      if (lookahead == 'n') ADVANCE(299);
      END_STATE();
    case 222:
      if (lookahead == 'e') ADVANCE(300);
      END_STATE();
    case 223:
      if (lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 224:
      if (lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 225:
      if (lookahead == 'l') ADVANCE(303);
      END_STATE();
    case 226:
      if (lookahead == 'a') ADVANCE(304);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_fork);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_getc);
      END_STATE();
    case 229:
      if (lookahead == 'r') ADVANCE(305);
      END_STATE();
    case 230:
      if (lookahead == 'e') ADVANCE(306);
      END_STATE();
    case 231:
      if (lookahead == 'e') ADVANCE(307);
      if (lookahead == 'g') ADVANCE(308);
      if (lookahead == 'p') ADVANCE(309);
      if (lookahead == 'r') ADVANCE(310);
      if (lookahead == 'w') ADVANCE(311);
      END_STATE();
    case 232:
      if (lookahead == 'o') ADVANCE(312);
      END_STATE();
    case 233:
      if (lookahead == 'm') ADVANCE(313);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_keys);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_last);
      END_STATE();
    case 237:
      if (lookahead == 'r') ADVANCE(314);
      END_STATE();
    case 238:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 239:
      if (lookahead == 'l') ADVANCE(316);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_lock);
      END_STATE();
    case 241:
      if (lookahead == 't') ADVANCE(317);
      END_STATE();
    case 242:
      if (lookahead == 'o') ADVANCE(318);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_next);
      END_STATE();
    case 244:
      if (lookahead == 'a') ADVANCE(319);
      END_STATE();
    case 245:
      if (lookahead == 'o') ADVANCE(320);
      END_STATE();
    case 246:
      if (lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_rand);
      END_STATE();
    case 248:
      if (lookahead == 'l') ADVANCE(322);
      END_STATE();
    case 249:
      if (lookahead == 'i') ADVANCE(323);
      END_STATE();
    case 250:
      if (lookahead == 't') ADVANCE(324);
      END_STATE();
    case 251:
      if (lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 252:
      if (lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 253:
      if (lookahead == 't') ADVANCE(327);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_sort);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_sqrt);
      END_STATE();
    case 256:
      if (lookahead == 'd') ADVANCE(328);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_stat);
      if (lookahead == 'e') ADVANCE(329);
      END_STATE();
    case 258:
      if (lookahead == 'y') ADVANCE(330);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_tell);
      if (lookahead == 'd') ADVANCE(331);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_tied);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_time);
      if (lookahead == 's') ADVANCE(332);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 263:
      if (lookahead == 'r') ADVANCE(333);
      END_STATE();
    case 264:
      if (lookahead == 'k') ADVANCE(334);
      END_STATE();
    case 265:
      if (lookahead == 'f') ADVANCE(335);
      END_STATE();
    case 266:
      if (lookahead == 's') ADVANCE(336);
      END_STATE();
    case 267:
      if (lookahead == 'e') ADVANCE(337);
      if (lookahead == 'l') ADVANCE(338);
      END_STATE();
    case 268:
      if (lookahead == 'e') ADVANCE(339);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_wait);
      END_STATE();
    case 270:
      if (lookahead == 'a') ADVANCE(340);
      END_STATE();
    case 271:
      if (lookahead == 'e') ADVANCE(341);
      END_STATE();
    case 272:
      if (lookahead == 'e') ADVANCE(342);
      END_STATE();
    case 273:
      if (lookahead == 'T') ADVANCE(343);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_BEGIN);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_BUILD);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_CHECK);
      END_STATE();
    case 277:
      if (lookahead == 'H') ADVANCE(344);
      END_STATE();
    case 278:
      if (lookahead == 'A') ADVANCE(345);
      END_STATE();
    case 279:
      if (lookahead == '_') ADVANCE(346);
      END_STATE();
    case 280:
      if (lookahead == 'E') ADVANCE(347);
      END_STATE();
    case 281:
      if (lookahead == 'E') ADVANCE(348);
      END_STATE();
    case 282:
      if (lookahead == 'K') ADVANCE(349);
      END_STATE();
    case 283:
      if (lookahead == '_') ADVANCE(350);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_chdir);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_chomp);
      END_STATE();
    case 290:
      if (lookahead == 't') ADVANCE(351);
      END_STATE();
    case 291:
      if (lookahead == 'n') ADVANCE(352);
      END_STATE();
    case 292:
      if (lookahead == 'o') ADVANCE(353);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_defer);
      END_STATE();
    case 294:
      if (lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 295:
      if (lookahead == 'e') ADVANCE(355);
      END_STATE();
    case 296:
      if (lookahead == 'i') ADVANCE(356);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_elsif);
      END_STATE();
    case 298:
      if (lookahead == 's') ADVANCE(357);
      END_STATE();
    case 299:
      if (lookahead == 'd') ADVANCE(358);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_field);
      END_STATE();
    case 302:
      if (lookahead == 'o') ADVANCE(359);
      END_STATE();
    case 303:
      if (lookahead == 'l') ADVANCE(360);
      END_STATE();
    case 304:
      if (lookahead == 'c') ADVANCE(361);
      END_STATE();
    case 305:
      if (lookahead == 'g') ADVANCE(362);
      if (lookahead == 'n') ADVANCE(363);
      END_STATE();
    case 306:
      if (lookahead == 't') ADVANCE(364);
      END_STATE();
    case 307:
      if (lookahead == 'e') ADVANCE(365);
      END_STATE();
    case 308:
      if (lookahead == 'r') ADVANCE(366);
      END_STATE();
    case 309:
      if (lookahead == 'i') ADVANCE(367);
      END_STATE();
    case 310:
      if (lookahead == 'o') ADVANCE(368);
      END_STATE();
    case 311:
      if (lookahead == 'n') ADVANCE(369);
      if (lookahead == 'u') ADVANCE(370);
      END_STATE();
    case 312:
      if (lookahead == 'c') ADVANCE(371);
      END_STATE();
    case 313:
      if (lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 314:
      if (lookahead == 's') ADVANCE(373);
      END_STATE();
    case 315:
      if (lookahead == 'h') ADVANCE(374);
      END_STATE();
    case 316:
      if (lookahead == 't') ADVANCE(375);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym_lstat);
      END_STATE();
    case 318:
      if (lookahead == 'd') ADVANCE(376);
      END_STATE();
    case 319:
      if (lookahead == 'g') ADVANCE(377);
      END_STATE();
    case 320:
      if (lookahead == 't') ADVANCE(378);
      END_STATE();
    case 321:
      if (lookahead == 'm') ADVANCE(379);
      END_STATE();
    case 322:
      if (lookahead == 'i') ADVANCE(380);
      END_STATE();
    case 323:
      if (lookahead == 'r') ADVANCE(381);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym_reset);
      END_STATE();
    case 325:
      if (lookahead == 'n') ADVANCE(382);
      END_STATE();
    case 326:
      if (lookahead == 'd') ADVANCE(383);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_shift);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_srand);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_state);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_study);
      END_STATE();
    case 331:
      if (lookahead == 'i') ADVANCE(384);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_times);
      END_STATE();
    case 333:
      if (lookahead == 's') ADVANCE(385);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_umask);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(anon_sym_undef);
      END_STATE();
    case 336:
      if (lookahead == 's') ADVANCE(386);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_untie);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_until);
      END_STATE();
    case 339:
      if (lookahead == 's') ADVANCE(387);
      END_STATE();
    case 340:
      if (lookahead == 'r') ADVANCE(388);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_write);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_ADJUST);
      END_STATE();
    case 344:
      if (lookahead == 'E') ADVANCE(389);
      END_STATE();
    case 345:
      if (lookahead == '_') ADVANCE(390);
      END_STATE();
    case 346:
      if (lookahead == '_') ADVANCE(391);
      END_STATE();
    case 347:
      if (lookahead == '_') ADVANCE(392);
      END_STATE();
    case 348:
      if (lookahead == '_') ADVANCE(393);
      END_STATE();
    case 349:
      if (lookahead == 'A') ADVANCE(394);
      END_STATE();
    case 350:
      if (lookahead == '_') ADVANCE(395);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(anon_sym_chroot);
      END_STATE();
    case 352:
      if (lookahead == 'u') ADVANCE(396);
      END_STATE();
    case 353:
      if (lookahead == 's') ADVANCE(397);
      END_STATE();
    case 354:
      if (lookahead == 'd') ADVANCE(398);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 356:
      if (lookahead == 'c') ADVANCE(399);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(anon_sym_exists);
      END_STATE();
    case 358:
      if (lookahead == 'e') ADVANCE(400);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_fileno);
      END_STATE();
    case 360:
      if (lookahead == 'y') ADVANCE(401);
      END_STATE();
    case 361:
      if (lookahead == 'h') ADVANCE(402);
      END_STATE();
    case 362:
      if (lookahead == 'i') ADVANCE(403);
      END_STATE();
    case 363:
      if (lookahead == 'a') ADVANCE(404);
      END_STATE();
    case 364:
      if (lookahead == 'b') ADVANCE(405);
      END_STATE();
    case 365:
      if (lookahead == 'r') ADVANCE(406);
      END_STATE();
    case 366:
      if (lookahead == 'p') ADVANCE(407);
      END_STATE();
    case 367:
      if (lookahead == 'd') ADVANCE(408);
      END_STATE();
    case 368:
      if (lookahead == 't') ADVANCE(409);
      END_STATE();
    case 369:
      if (lookahead == 'a') ADVANCE(410);
      END_STATE();
    case 370:
      if (lookahead == 'i') ADVANCE(411);
      END_STATE();
    case 371:
      if (lookahead == 'k') ADVANCE(412);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(anon_sym_gmtime);
      END_STATE();
    case 373:
      if (lookahead == 't') ADVANCE(413);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(anon_sym_length);
      END_STATE();
    case 375:
      if (lookahead == 'i') ADVANCE(414);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(anon_sym_method);
      END_STATE();
    case 377:
      if (lookahead == 'e') ADVANCE(415);
      END_STATE();
    case 378:
      if (lookahead == 'y') ADVANCE(416);
      END_STATE();
    case 379:
      if (lookahead == 'e') ADVANCE(417);
      END_STATE();
    case 380:
      if (lookahead == 'n') ADVANCE(418);
      END_STATE();
    case 381:
      if (lookahead == 'e') ADVANCE(419);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 383:
      if (lookahead == 'd') ADVANCE(420);
      END_STATE();
    case 384:
      if (lookahead == 'r') ADVANCE(421);
      END_STATE();
    case 385:
      if (lookahead == 't') ADVANCE(422);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_unless);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_values);
      END_STATE();
    case 388:
      if (lookahead == 'r') ADVANCE(423);
      END_STATE();
    case 389:
      if (lookahead == 'C') ADVANCE(424);
      END_STATE();
    case 390:
      if (lookahead == '_') ADVANCE(425);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym___END__);
      END_STATE();
    case 392:
      if (lookahead == '_') ADVANCE(426);
      END_STATE();
    case 393:
      if (lookahead == '_') ADVANCE(427);
      END_STATE();
    case 394:
      if (lookahead == 'G') ADVANCE(428);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym___SUB__);
      END_STATE();
    case 396:
      if (lookahead == 'e') ADVANCE(429);
      END_STATE();
    case 397:
      if (lookahead == 'e') ADVANCE(430);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 399:
      if (lookahead == 'a') ADVANCE(431);
      END_STATE();
    case 400:
      if (lookahead == 'd') ADVANCE(432);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_foreach);
      END_STATE();
    case 403:
      if (lookahead == 'd') ADVANCE(433);
      END_STATE();
    case 404:
      if (lookahead == 'm') ADVANCE(434);
      END_STATE();
    case 405:
      if (lookahead == 'y') ADVANCE(435);
      END_STATE();
    case 406:
      if (lookahead == 'n') ADVANCE(436);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_getpgrp);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_getppid);
      END_STATE();
    case 409:
      if (lookahead == 'o') ADVANCE(437);
      END_STATE();
    case 410:
      if (lookahead == 'm') ADVANCE(438);
      END_STATE();
    case 411:
      if (lookahead == 'd') ADVANCE(439);
      END_STATE();
    case 412:
      if (lookahead == 'n') ADVANCE(440);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_lcfirst);
      END_STATE();
    case 414:
      if (lookahead == 'm') ADVANCE(441);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 416:
      if (lookahead == 'p') ADVANCE(442);
      END_STATE();
    case 417:
      if (lookahead == 't') ADVANCE(443);
      END_STATE();
    case 418:
      if (lookahead == 'e') ADVANCE(444);
      if (lookahead == 'k') ADVANCE(445);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_require);
      END_STATE();
    case 420:
      if (lookahead == 'i') ADVANCE(446);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_telldir);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_ucfirst);
      END_STATE();
    case 423:
      if (lookahead == 'a') ADVANCE(447);
      END_STATE();
    case 424:
      if (lookahead == 'K') ADVANCE(448);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym___DATA__);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym___FILE__);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym___LINE__);
      END_STATE();
    case 428:
      if (lookahead == 'E') ADVANCE(449);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_dbmclose);
      END_STATE();
    case 431:
      if (lookahead == 'l') ADVANCE(450);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_extended);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_getgrgid);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_getgrnam);
      END_STATE();
    case 435:
      if (lookahead == 'n') ADVANCE(451);
      END_STATE();
    case 436:
      if (lookahead == 'a') ADVANCE(452);
      END_STATE();
    case 437:
      if (lookahead == 'b') ADVANCE(453);
      END_STATE();
    case 438:
      if (lookahead == 'e') ADVANCE(454);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_getpwuid);
      END_STATE();
    case 440:
      if (lookahead == 'a') ADVANCE(455);
      END_STATE();
    case 441:
      if (lookahead == 'e') ADVANCE(456);
      END_STATE();
    case 442:
      if (lookahead == 'e') ADVANCE(457);
      END_STATE();
    case 443:
      if (lookahead == 'a') ADVANCE(458);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_readline);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_readlink);
      END_STATE();
    case 446:
      if (lookahead == 'r') ADVANCE(459);
      END_STATE();
    case 447:
      if (lookahead == 'y') ADVANCE(460);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_UNITCHECK);
      END_STATE();
    case 449:
      if (lookahead == '_') ADVANCE(461);
      END_STATE();
    case 450:
      if (lookahead == 'l') ADVANCE(462);
      END_STATE();
    case 451:
      if (lookahead == 'a') ADVANCE(463);
      END_STATE();
    case 452:
      if (lookahead == 'm') ADVANCE(464);
      END_STATE();
    case 453:
      if (lookahead == 'y') ADVANCE(465);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_getpwname);
      END_STATE();
    case 455:
      if (lookahead == 'm') ADVANCE(466);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_localtime);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_prototype);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_quotemeta);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_rewinddir);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_wantarray);
      END_STATE();
    case 461:
      if (lookahead == '_') ADVANCE(467);
      END_STATE();
    case 462:
      if (lookahead == 'y') ADVANCE(468);
      END_STATE();
    case 463:
      if (lookahead == 'm') ADVANCE(469);
      END_STATE();
    case 464:
      if (lookahead == 'e') ADVANCE(470);
      END_STATE();
    case 465:
      if (lookahead == 'n') ADVANCE(471);
      END_STATE();
    case 466:
      if (lookahead == 'e') ADVANCE(472);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym___PACKAGE__);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_dynamically);
      END_STATE();
    case 469:
      if (lookahead == 'e') ADVANCE(473);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_getpeername);
      END_STATE();
    case 471:
      if (lookahead == 'a') ADVANCE(474);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_getsockname);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_getnetbyname);
      END_STATE();
    case 474:
      if (lookahead == 'm') ADVANCE(475);
      END_STATE();
    case 475:
      if (lookahead == 'e') ADVANCE(476);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_getprotobyname);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 105, .external_lex_state = 2},
  [2] = {.lex_state = 1, .external_lex_state = 3},
  [3] = {.lex_state = 1, .external_lex_state = 3},
  [4] = {.lex_state = 1, .external_lex_state = 3},
  [5] = {.lex_state = 1, .external_lex_state = 3},
  [6] = {.lex_state = 1, .external_lex_state = 3},
  [7] = {.lex_state = 1, .external_lex_state = 3},
  [8] = {.lex_state = 1, .external_lex_state = 3},
  [9] = {.lex_state = 1, .external_lex_state = 3},
  [10] = {.lex_state = 1, .external_lex_state = 4},
  [11] = {.lex_state = 1, .external_lex_state = 3},
  [12] = {.lex_state = 1, .external_lex_state = 3},
  [13] = {.lex_state = 1, .external_lex_state = 3},
  [14] = {.lex_state = 1, .external_lex_state = 3},
  [15] = {.lex_state = 1, .external_lex_state = 4},
  [16] = {.lex_state = 105, .external_lex_state = 2},
  [17] = {.lex_state = 1, .external_lex_state = 4},
  [18] = {.lex_state = 1, .external_lex_state = 4},
  [19] = {.lex_state = 1, .external_lex_state = 4},
  [20] = {.lex_state = 1, .external_lex_state = 4},
  [21] = {.lex_state = 50, .external_lex_state = 5},
  [22] = {.lex_state = 50, .external_lex_state = 5},
  [23] = {.lex_state = 50, .external_lex_state = 5},
  [24] = {.lex_state = 50, .external_lex_state = 5},
  [25] = {.lex_state = 50, .external_lex_state = 5},
  [26] = {.lex_state = 50, .external_lex_state = 5},
  [27] = {.lex_state = 50, .external_lex_state = 5},
  [28] = {.lex_state = 50, .external_lex_state = 5},
  [29] = {.lex_state = 50, .external_lex_state = 5},
  [30] = {.lex_state = 50, .external_lex_state = 5},
  [31] = {.lex_state = 50, .external_lex_state = 5},
  [32] = {.lex_state = 50, .external_lex_state = 5},
  [33] = {.lex_state = 50, .external_lex_state = 5},
  [34] = {.lex_state = 50, .external_lex_state = 5},
  [35] = {.lex_state = 50, .external_lex_state = 5},
  [36] = {.lex_state = 50, .external_lex_state = 5},
  [37] = {.lex_state = 50, .external_lex_state = 5},
  [38] = {.lex_state = 50, .external_lex_state = 5},
  [39] = {.lex_state = 50, .external_lex_state = 5},
  [40] = {.lex_state = 105, .external_lex_state = 2},
  [41] = {.lex_state = 50, .external_lex_state = 5},
  [42] = {.lex_state = 48, .external_lex_state = 4},
  [43] = {.lex_state = 48, .external_lex_state = 6},
  [44] = {.lex_state = 48, .external_lex_state = 4},
  [45] = {.lex_state = 105, .external_lex_state = 4},
  [46] = {.lex_state = 105, .external_lex_state = 4},
  [47] = {.lex_state = 105, .external_lex_state = 4},
  [48] = {.lex_state = 105, .external_lex_state = 4},
  [49] = {.lex_state = 105, .external_lex_state = 4},
  [50] = {.lex_state = 48, .external_lex_state = 4},
  [51] = {.lex_state = 105, .external_lex_state = 4},
  [52] = {.lex_state = 105, .external_lex_state = 4},
  [53] = {.lex_state = 105, .external_lex_state = 4},
  [54] = {.lex_state = 105, .external_lex_state = 4},
  [55] = {.lex_state = 105, .external_lex_state = 4},
  [56] = {.lex_state = 48, .external_lex_state = 6},
  [57] = {.lex_state = 105, .external_lex_state = 4},
  [58] = {.lex_state = 105, .external_lex_state = 4},
  [59] = {.lex_state = 105, .external_lex_state = 4},
  [60] = {.lex_state = 105, .external_lex_state = 4},
  [61] = {.lex_state = 105, .external_lex_state = 4},
  [62] = {.lex_state = 105, .external_lex_state = 4},
  [63] = {.lex_state = 105, .external_lex_state = 4},
  [64] = {.lex_state = 105, .external_lex_state = 4},
  [65] = {.lex_state = 105, .external_lex_state = 4},
  [66] = {.lex_state = 48, .external_lex_state = 4},
  [67] = {.lex_state = 105, .external_lex_state = 4},
  [68] = {.lex_state = 48, .external_lex_state = 4},
  [69] = {.lex_state = 105, .external_lex_state = 4},
  [70] = {.lex_state = 48, .external_lex_state = 4},
  [71] = {.lex_state = 48, .external_lex_state = 4},
  [72] = {.lex_state = 105, .external_lex_state = 4},
  [73] = {.lex_state = 48, .external_lex_state = 4},
  [74] = {.lex_state = 105, .external_lex_state = 4},
  [75] = {.lex_state = 105, .external_lex_state = 4},
  [76] = {.lex_state = 105, .external_lex_state = 4},
  [77] = {.lex_state = 48, .external_lex_state = 4},
  [78] = {.lex_state = 105, .external_lex_state = 4},
  [79] = {.lex_state = 105, .external_lex_state = 4},
  [80] = {.lex_state = 48, .external_lex_state = 6},
  [81] = {.lex_state = 105, .external_lex_state = 4},
  [82] = {.lex_state = 48, .external_lex_state = 6},
  [83] = {.lex_state = 105, .external_lex_state = 4},
  [84] = {.lex_state = 48, .external_lex_state = 4},
  [85] = {.lex_state = 105, .external_lex_state = 4},
  [86] = {.lex_state = 105, .external_lex_state = 4},
  [87] = {.lex_state = 48, .external_lex_state = 6},
  [88] = {.lex_state = 105, .external_lex_state = 4},
  [89] = {.lex_state = 105, .external_lex_state = 4},
  [90] = {.lex_state = 105, .external_lex_state = 4},
  [91] = {.lex_state = 105, .external_lex_state = 4},
  [92] = {.lex_state = 105, .external_lex_state = 4},
  [93] = {.lex_state = 105, .external_lex_state = 4},
  [94] = {.lex_state = 105, .external_lex_state = 4},
  [95] = {.lex_state = 105, .external_lex_state = 4},
  [96] = {.lex_state = 105, .external_lex_state = 4},
  [97] = {.lex_state = 105, .external_lex_state = 4},
  [98] = {.lex_state = 105, .external_lex_state = 4},
  [99] = {.lex_state = 105, .external_lex_state = 4},
  [100] = {.lex_state = 105, .external_lex_state = 4},
  [101] = {.lex_state = 105, .external_lex_state = 4},
  [102] = {.lex_state = 105, .external_lex_state = 4},
  [103] = {.lex_state = 105, .external_lex_state = 4},
  [104] = {.lex_state = 48, .external_lex_state = 4},
  [105] = {.lex_state = 105, .external_lex_state = 4},
  [106] = {.lex_state = 105, .external_lex_state = 4},
  [107] = {.lex_state = 105, .external_lex_state = 4},
  [108] = {.lex_state = 48, .external_lex_state = 6},
  [109] = {.lex_state = 105, .external_lex_state = 4},
  [110] = {.lex_state = 105, .external_lex_state = 4},
  [111] = {.lex_state = 105, .external_lex_state = 4},
  [112] = {.lex_state = 105, .external_lex_state = 4},
  [113] = {.lex_state = 105, .external_lex_state = 4},
  [114] = {.lex_state = 105, .external_lex_state = 4},
  [115] = {.lex_state = 105, .external_lex_state = 4},
  [116] = {.lex_state = 105, .external_lex_state = 4},
  [117] = {.lex_state = 105, .external_lex_state = 4},
  [118] = {.lex_state = 105, .external_lex_state = 4},
  [119] = {.lex_state = 105, .external_lex_state = 4},
  [120] = {.lex_state = 105, .external_lex_state = 4},
  [121] = {.lex_state = 105, .external_lex_state = 4},
  [122] = {.lex_state = 105, .external_lex_state = 4},
  [123] = {.lex_state = 105, .external_lex_state = 4},
  [124] = {.lex_state = 48, .external_lex_state = 4},
  [125] = {.lex_state = 48, .external_lex_state = 4},
  [126] = {.lex_state = 48, .external_lex_state = 4},
  [127] = {.lex_state = 105, .external_lex_state = 4},
  [128] = {.lex_state = 105, .external_lex_state = 4},
  [129] = {.lex_state = 105, .external_lex_state = 4},
  [130] = {.lex_state = 48, .external_lex_state = 4},
  [131] = {.lex_state = 48, .external_lex_state = 4},
  [132] = {.lex_state = 48, .external_lex_state = 4},
  [133] = {.lex_state = 48, .external_lex_state = 4},
  [134] = {.lex_state = 105, .external_lex_state = 4},
  [135] = {.lex_state = 105, .external_lex_state = 4},
  [136] = {.lex_state = 2, .external_lex_state = 3},
  [137] = {.lex_state = 2, .external_lex_state = 3},
  [138] = {.lex_state = 103, .external_lex_state = 3},
  [139] = {.lex_state = 103, .external_lex_state = 3},
  [140] = {.lex_state = 2, .external_lex_state = 4},
  [141] = {.lex_state = 49, .external_lex_state = 5},
  [142] = {.lex_state = 49, .external_lex_state = 5},
  [143] = {.lex_state = 49, .external_lex_state = 5},
  [144] = {.lex_state = 49, .external_lex_state = 4},
  [145] = {.lex_state = 49, .external_lex_state = 5},
  [146] = {.lex_state = 49, .external_lex_state = 5},
  [147] = {.lex_state = 49, .external_lex_state = 5},
  [148] = {.lex_state = 49, .external_lex_state = 5},
  [149] = {.lex_state = 51, .external_lex_state = 6},
  [150] = {.lex_state = 49, .external_lex_state = 5},
  [151] = {.lex_state = 49, .external_lex_state = 4},
  [152] = {.lex_state = 49, .external_lex_state = 5},
  [153] = {.lex_state = 49, .external_lex_state = 5},
  [154] = {.lex_state = 49, .external_lex_state = 5},
  [155] = {.lex_state = 49, .external_lex_state = 4},
  [156] = {.lex_state = 49, .external_lex_state = 5},
  [157] = {.lex_state = 49, .external_lex_state = 5},
  [158] = {.lex_state = 49, .external_lex_state = 5},
  [159] = {.lex_state = 49, .external_lex_state = 5},
  [160] = {.lex_state = 49, .external_lex_state = 5},
  [161] = {.lex_state = 49, .external_lex_state = 5},
  [162] = {.lex_state = 49, .external_lex_state = 5},
  [163] = {.lex_state = 49, .external_lex_state = 5},
  [164] = {.lex_state = 49, .external_lex_state = 5},
  [165] = {.lex_state = 49, .external_lex_state = 5},
  [166] = {.lex_state = 49, .external_lex_state = 5},
  [167] = {.lex_state = 49, .external_lex_state = 5},
  [168] = {.lex_state = 49, .external_lex_state = 4},
  [169] = {.lex_state = 51, .external_lex_state = 6},
  [170] = {.lex_state = 49, .external_lex_state = 5},
  [171] = {.lex_state = 49, .external_lex_state = 5},
  [172] = {.lex_state = 49, .external_lex_state = 5},
  [173] = {.lex_state = 49, .external_lex_state = 5},
  [174] = {.lex_state = 49, .external_lex_state = 5},
  [175] = {.lex_state = 49, .external_lex_state = 5},
  [176] = {.lex_state = 49, .external_lex_state = 5},
  [177] = {.lex_state = 49, .external_lex_state = 5},
  [178] = {.lex_state = 49, .external_lex_state = 5},
  [179] = {.lex_state = 49, .external_lex_state = 5},
  [180] = {.lex_state = 49, .external_lex_state = 5},
  [181] = {.lex_state = 49, .external_lex_state = 5},
  [182] = {.lex_state = 49, .external_lex_state = 5},
  [183] = {.lex_state = 49, .external_lex_state = 5},
  [184] = {.lex_state = 49, .external_lex_state = 5},
  [185] = {.lex_state = 49, .external_lex_state = 5},
  [186] = {.lex_state = 49, .external_lex_state = 5},
  [187] = {.lex_state = 49, .external_lex_state = 5},
  [188] = {.lex_state = 49, .external_lex_state = 5},
  [189] = {.lex_state = 49, .external_lex_state = 5},
  [190] = {.lex_state = 49, .external_lex_state = 5},
  [191] = {.lex_state = 49, .external_lex_state = 5},
  [192] = {.lex_state = 49, .external_lex_state = 5},
  [193] = {.lex_state = 49, .external_lex_state = 5},
  [194] = {.lex_state = 49, .external_lex_state = 5},
  [195] = {.lex_state = 49, .external_lex_state = 5},
  [196] = {.lex_state = 49, .external_lex_state = 5},
  [197] = {.lex_state = 49, .external_lex_state = 5},
  [198] = {.lex_state = 49, .external_lex_state = 5},
  [199] = {.lex_state = 49, .external_lex_state = 5},
  [200] = {.lex_state = 49, .external_lex_state = 5},
  [201] = {.lex_state = 49, .external_lex_state = 5},
  [202] = {.lex_state = 49, .external_lex_state = 4},
  [203] = {.lex_state = 49, .external_lex_state = 7},
  [204] = {.lex_state = 49, .external_lex_state = 4},
  [205] = {.lex_state = 49, .external_lex_state = 7},
  [206] = {.lex_state = 49, .external_lex_state = 7},
  [207] = {.lex_state = 49, .external_lex_state = 7},
  [208] = {.lex_state = 49, .external_lex_state = 7},
  [209] = {.lex_state = 49, .external_lex_state = 7},
  [210] = {.lex_state = 49, .external_lex_state = 4},
  [211] = {.lex_state = 49, .external_lex_state = 7},
  [212] = {.lex_state = 49, .external_lex_state = 7},
  [213] = {.lex_state = 49, .external_lex_state = 7},
  [214] = {.lex_state = 49, .external_lex_state = 7},
  [215] = {.lex_state = 49, .external_lex_state = 7},
  [216] = {.lex_state = 49, .external_lex_state = 4},
  [217] = {.lex_state = 49, .external_lex_state = 4},
  [218] = {.lex_state = 49, .external_lex_state = 7},
  [219] = {.lex_state = 49, .external_lex_state = 4},
  [220] = {.lex_state = 49, .external_lex_state = 7},
  [221] = {.lex_state = 49, .external_lex_state = 7},
  [222] = {.lex_state = 49, .external_lex_state = 7},
  [223] = {.lex_state = 49, .external_lex_state = 4},
  [224] = {.lex_state = 49, .external_lex_state = 4},
  [225] = {.lex_state = 49, .external_lex_state = 4},
  [226] = {.lex_state = 49, .external_lex_state = 4},
  [227] = {.lex_state = 49, .external_lex_state = 4},
  [228] = {.lex_state = 49, .external_lex_state = 4},
  [229] = {.lex_state = 49, .external_lex_state = 4},
  [230] = {.lex_state = 49, .external_lex_state = 4},
  [231] = {.lex_state = 49, .external_lex_state = 4},
  [232] = {.lex_state = 49, .external_lex_state = 6},
  [233] = {.lex_state = 49, .external_lex_state = 4},
  [234] = {.lex_state = 49, .external_lex_state = 4},
  [235] = {.lex_state = 49, .external_lex_state = 4},
  [236] = {.lex_state = 49, .external_lex_state = 4},
  [237] = {.lex_state = 49, .external_lex_state = 4},
  [238] = {.lex_state = 49, .external_lex_state = 4},
  [239] = {.lex_state = 49, .external_lex_state = 4},
  [240] = {.lex_state = 49, .external_lex_state = 4},
  [241] = {.lex_state = 49, .external_lex_state = 4},
  [242] = {.lex_state = 49, .external_lex_state = 4},
  [243] = {.lex_state = 49, .external_lex_state = 4},
  [244] = {.lex_state = 49, .external_lex_state = 4},
  [245] = {.lex_state = 49, .external_lex_state = 4},
  [246] = {.lex_state = 49, .external_lex_state = 4},
  [247] = {.lex_state = 49, .external_lex_state = 4},
  [248] = {.lex_state = 49, .external_lex_state = 4},
  [249] = {.lex_state = 49, .external_lex_state = 4},
  [250] = {.lex_state = 49, .external_lex_state = 4},
  [251] = {.lex_state = 49, .external_lex_state = 4},
  [252] = {.lex_state = 49, .external_lex_state = 4},
  [253] = {.lex_state = 49, .external_lex_state = 4},
  [254] = {.lex_state = 49, .external_lex_state = 4},
  [255] = {.lex_state = 49, .external_lex_state = 4},
  [256] = {.lex_state = 49, .external_lex_state = 4},
  [257] = {.lex_state = 49, .external_lex_state = 4},
  [258] = {.lex_state = 49, .external_lex_state = 4},
  [259] = {.lex_state = 49, .external_lex_state = 4},
  [260] = {.lex_state = 49, .external_lex_state = 4},
  [261] = {.lex_state = 49, .external_lex_state = 4},
  [262] = {.lex_state = 49, .external_lex_state = 4},
  [263] = {.lex_state = 49, .external_lex_state = 4},
  [264] = {.lex_state = 49, .external_lex_state = 4},
  [265] = {.lex_state = 49, .external_lex_state = 4},
  [266] = {.lex_state = 49, .external_lex_state = 4},
  [267] = {.lex_state = 49, .external_lex_state = 4},
  [268] = {.lex_state = 49, .external_lex_state = 4},
  [269] = {.lex_state = 49, .external_lex_state = 6},
  [270] = {.lex_state = 49, .external_lex_state = 4},
  [271] = {.lex_state = 49, .external_lex_state = 4},
  [272] = {.lex_state = 49, .external_lex_state = 4},
  [273] = {.lex_state = 49, .external_lex_state = 4},
  [274] = {.lex_state = 49, .external_lex_state = 4},
  [275] = {.lex_state = 49, .external_lex_state = 4},
  [276] = {.lex_state = 49, .external_lex_state = 4},
  [277] = {.lex_state = 49, .external_lex_state = 4},
  [278] = {.lex_state = 49, .external_lex_state = 4},
  [279] = {.lex_state = 49, .external_lex_state = 4},
  [280] = {.lex_state = 49, .external_lex_state = 4},
  [281] = {.lex_state = 49, .external_lex_state = 4},
  [282] = {.lex_state = 49, .external_lex_state = 4},
  [283] = {.lex_state = 49, .external_lex_state = 4},
  [284] = {.lex_state = 49, .external_lex_state = 4},
  [285] = {.lex_state = 49, .external_lex_state = 4},
  [286] = {.lex_state = 49, .external_lex_state = 4},
  [287] = {.lex_state = 49, .external_lex_state = 4},
  [288] = {.lex_state = 49, .external_lex_state = 4},
  [289] = {.lex_state = 49, .external_lex_state = 4},
  [290] = {.lex_state = 49, .external_lex_state = 4},
  [291] = {.lex_state = 49, .external_lex_state = 4},
  [292] = {.lex_state = 49, .external_lex_state = 4},
  [293] = {.lex_state = 49, .external_lex_state = 4},
  [294] = {.lex_state = 49, .external_lex_state = 4},
  [295] = {.lex_state = 49, .external_lex_state = 4},
  [296] = {.lex_state = 49, .external_lex_state = 4},
  [297] = {.lex_state = 49, .external_lex_state = 4},
  [298] = {.lex_state = 49, .external_lex_state = 4},
  [299] = {.lex_state = 49, .external_lex_state = 4},
  [300] = {.lex_state = 49, .external_lex_state = 4},
  [301] = {.lex_state = 49, .external_lex_state = 4},
  [302] = {.lex_state = 49, .external_lex_state = 4},
  [303] = {.lex_state = 49, .external_lex_state = 4},
  [304] = {.lex_state = 49, .external_lex_state = 4},
  [305] = {.lex_state = 49, .external_lex_state = 4},
  [306] = {.lex_state = 49, .external_lex_state = 4},
  [307] = {.lex_state = 49, .external_lex_state = 4},
  [308] = {.lex_state = 49, .external_lex_state = 4},
  [309] = {.lex_state = 49, .external_lex_state = 4},
  [310] = {.lex_state = 49, .external_lex_state = 4},
  [311] = {.lex_state = 49, .external_lex_state = 4},
  [312] = {.lex_state = 49, .external_lex_state = 4},
  [313] = {.lex_state = 49, .external_lex_state = 4},
  [314] = {.lex_state = 49, .external_lex_state = 4},
  [315] = {.lex_state = 49, .external_lex_state = 4},
  [316] = {.lex_state = 49, .external_lex_state = 4},
  [317] = {.lex_state = 49, .external_lex_state = 4},
  [318] = {.lex_state = 49, .external_lex_state = 4},
  [319] = {.lex_state = 49, .external_lex_state = 4},
  [320] = {.lex_state = 49, .external_lex_state = 4},
  [321] = {.lex_state = 49, .external_lex_state = 4},
  [322] = {.lex_state = 49, .external_lex_state = 4},
  [323] = {.lex_state = 49, .external_lex_state = 4},
  [324] = {.lex_state = 49, .external_lex_state = 4},
  [325] = {.lex_state = 49, .external_lex_state = 4},
  [326] = {.lex_state = 49, .external_lex_state = 4},
  [327] = {.lex_state = 49, .external_lex_state = 4},
  [328] = {.lex_state = 49, .external_lex_state = 4},
  [329] = {.lex_state = 49, .external_lex_state = 4},
  [330] = {.lex_state = 49, .external_lex_state = 4},
  [331] = {.lex_state = 49, .external_lex_state = 4},
  [332] = {.lex_state = 49, .external_lex_state = 4},
  [333] = {.lex_state = 49, .external_lex_state = 4},
  [334] = {.lex_state = 49, .external_lex_state = 4},
  [335] = {.lex_state = 49, .external_lex_state = 4},
  [336] = {.lex_state = 49, .external_lex_state = 4},
  [337] = {.lex_state = 49, .external_lex_state = 4},
  [338] = {.lex_state = 49, .external_lex_state = 4},
  [339] = {.lex_state = 49, .external_lex_state = 4},
  [340] = {.lex_state = 49, .external_lex_state = 4},
  [341] = {.lex_state = 49, .external_lex_state = 4},
  [342] = {.lex_state = 49, .external_lex_state = 4},
  [343] = {.lex_state = 49, .external_lex_state = 4},
  [344] = {.lex_state = 49, .external_lex_state = 4},
  [345] = {.lex_state = 49, .external_lex_state = 4},
  [346] = {.lex_state = 49, .external_lex_state = 4},
  [347] = {.lex_state = 49, .external_lex_state = 4},
  [348] = {.lex_state = 49, .external_lex_state = 4},
  [349] = {.lex_state = 49, .external_lex_state = 4},
  [350] = {.lex_state = 49, .external_lex_state = 4},
  [351] = {.lex_state = 49, .external_lex_state = 4},
  [352] = {.lex_state = 49, .external_lex_state = 4},
  [353] = {.lex_state = 49, .external_lex_state = 4},
  [354] = {.lex_state = 49, .external_lex_state = 4},
  [355] = {.lex_state = 49, .external_lex_state = 4},
  [356] = {.lex_state = 49, .external_lex_state = 4},
  [357] = {.lex_state = 49, .external_lex_state = 4},
  [358] = {.lex_state = 49, .external_lex_state = 4},
  [359] = {.lex_state = 49, .external_lex_state = 4},
  [360] = {.lex_state = 49, .external_lex_state = 4},
  [361] = {.lex_state = 49, .external_lex_state = 4},
  [362] = {.lex_state = 49, .external_lex_state = 4},
  [363] = {.lex_state = 49, .external_lex_state = 4},
  [364] = {.lex_state = 49, .external_lex_state = 4},
  [365] = {.lex_state = 49, .external_lex_state = 4},
  [366] = {.lex_state = 49, .external_lex_state = 4},
  [367] = {.lex_state = 49, .external_lex_state = 4},
  [368] = {.lex_state = 49, .external_lex_state = 4},
  [369] = {.lex_state = 49, .external_lex_state = 4},
  [370] = {.lex_state = 49, .external_lex_state = 4},
  [371] = {.lex_state = 49, .external_lex_state = 4},
  [372] = {.lex_state = 49, .external_lex_state = 4},
  [373] = {.lex_state = 49, .external_lex_state = 4},
  [374] = {.lex_state = 49, .external_lex_state = 4},
  [375] = {.lex_state = 49, .external_lex_state = 4},
  [376] = {.lex_state = 49, .external_lex_state = 6},
  [377] = {.lex_state = 49, .external_lex_state = 4},
  [378] = {.lex_state = 49, .external_lex_state = 4},
  [379] = {.lex_state = 49, .external_lex_state = 4},
  [380] = {.lex_state = 49, .external_lex_state = 4},
  [381] = {.lex_state = 49, .external_lex_state = 4},
  [382] = {.lex_state = 49, .external_lex_state = 4},
  [383] = {.lex_state = 49, .external_lex_state = 4},
  [384] = {.lex_state = 49, .external_lex_state = 4},
  [385] = {.lex_state = 49, .external_lex_state = 4},
  [386] = {.lex_state = 49, .external_lex_state = 4},
  [387] = {.lex_state = 49, .external_lex_state = 4},
  [388] = {.lex_state = 49, .external_lex_state = 4},
  [389] = {.lex_state = 49, .external_lex_state = 4},
  [390] = {.lex_state = 49, .external_lex_state = 4},
  [391] = {.lex_state = 49, .external_lex_state = 4},
  [392] = {.lex_state = 49, .external_lex_state = 4},
  [393] = {.lex_state = 49, .external_lex_state = 4},
  [394] = {.lex_state = 49, .external_lex_state = 4},
  [395] = {.lex_state = 49, .external_lex_state = 4},
  [396] = {.lex_state = 49, .external_lex_state = 4},
  [397] = {.lex_state = 49, .external_lex_state = 4},
  [398] = {.lex_state = 49, .external_lex_state = 4},
  [399] = {.lex_state = 49, .external_lex_state = 4},
  [400] = {.lex_state = 49, .external_lex_state = 4},
  [401] = {.lex_state = 49, .external_lex_state = 4},
  [402] = {.lex_state = 49, .external_lex_state = 7},
  [403] = {.lex_state = 49, .external_lex_state = 4},
  [404] = {.lex_state = 49, .external_lex_state = 4},
  [405] = {.lex_state = 49, .external_lex_state = 7},
  [406] = {.lex_state = 49, .external_lex_state = 7},
  [407] = {.lex_state = 49, .external_lex_state = 7},
  [408] = {.lex_state = 49, .external_lex_state = 7},
  [409] = {.lex_state = 49, .external_lex_state = 4},
  [410] = {.lex_state = 49, .external_lex_state = 4},
  [411] = {.lex_state = 49, .external_lex_state = 4},
  [412] = {.lex_state = 49, .external_lex_state = 4},
  [413] = {.lex_state = 49, .external_lex_state = 4},
  [414] = {.lex_state = 49, .external_lex_state = 4},
  [415] = {.lex_state = 49, .external_lex_state = 4},
  [416] = {.lex_state = 49, .external_lex_state = 4},
  [417] = {.lex_state = 49, .external_lex_state = 4},
  [418] = {.lex_state = 49, .external_lex_state = 7},
  [419] = {.lex_state = 49, .external_lex_state = 4},
  [420] = {.lex_state = 49, .external_lex_state = 4},
  [421] = {.lex_state = 49, .external_lex_state = 7},
  [422] = {.lex_state = 49, .external_lex_state = 4},
  [423] = {.lex_state = 49, .external_lex_state = 4},
  [424] = {.lex_state = 49, .external_lex_state = 4},
  [425] = {.lex_state = 49, .external_lex_state = 7},
  [426] = {.lex_state = 49, .external_lex_state = 4},
  [427] = {.lex_state = 49, .external_lex_state = 4},
  [428] = {.lex_state = 49, .external_lex_state = 4},
  [429] = {.lex_state = 49, .external_lex_state = 4},
  [430] = {.lex_state = 49, .external_lex_state = 4},
  [431] = {.lex_state = 49, .external_lex_state = 4},
  [432] = {.lex_state = 49, .external_lex_state = 4},
  [433] = {.lex_state = 49, .external_lex_state = 4},
  [434] = {.lex_state = 49, .external_lex_state = 4},
  [435] = {.lex_state = 49, .external_lex_state = 4},
  [436] = {.lex_state = 49, .external_lex_state = 4},
  [437] = {.lex_state = 49, .external_lex_state = 4},
  [438] = {.lex_state = 49, .external_lex_state = 4},
  [439] = {.lex_state = 49, .external_lex_state = 7},
  [440] = {.lex_state = 49, .external_lex_state = 7},
  [441] = {.lex_state = 49, .external_lex_state = 7},
  [442] = {.lex_state = 49, .external_lex_state = 4},
  [443] = {.lex_state = 49, .external_lex_state = 4},
  [444] = {.lex_state = 49, .external_lex_state = 4},
  [445] = {.lex_state = 49, .external_lex_state = 4},
  [446] = {.lex_state = 49, .external_lex_state = 4},
  [447] = {.lex_state = 49, .external_lex_state = 4},
  [448] = {.lex_state = 49, .external_lex_state = 4},
  [449] = {.lex_state = 49, .external_lex_state = 4},
  [450] = {.lex_state = 49, .external_lex_state = 4},
  [451] = {.lex_state = 49, .external_lex_state = 4},
  [452] = {.lex_state = 49, .external_lex_state = 4},
  [453] = {.lex_state = 49, .external_lex_state = 4},
  [454] = {.lex_state = 49, .external_lex_state = 7},
  [455] = {.lex_state = 49, .external_lex_state = 7},
  [456] = {.lex_state = 49, .external_lex_state = 7},
  [457] = {.lex_state = 49, .external_lex_state = 4},
  [458] = {.lex_state = 49, .external_lex_state = 4},
  [459] = {.lex_state = 49, .external_lex_state = 4},
  [460] = {.lex_state = 49, .external_lex_state = 4},
  [461] = {.lex_state = 49, .external_lex_state = 4},
  [462] = {.lex_state = 49, .external_lex_state = 4},
  [463] = {.lex_state = 49, .external_lex_state = 4},
  [464] = {.lex_state = 49, .external_lex_state = 4},
  [465] = {.lex_state = 49, .external_lex_state = 4},
  [466] = {.lex_state = 49, .external_lex_state = 4},
  [467] = {.lex_state = 49, .external_lex_state = 4},
  [468] = {.lex_state = 49, .external_lex_state = 4},
  [469] = {.lex_state = 49, .external_lex_state = 4},
  [470] = {.lex_state = 49, .external_lex_state = 4},
  [471] = {.lex_state = 49, .external_lex_state = 4},
  [472] = {.lex_state = 49, .external_lex_state = 7},
  [473] = {.lex_state = 49, .external_lex_state = 4},
  [474] = {.lex_state = 49, .external_lex_state = 4},
  [475] = {.lex_state = 49, .external_lex_state = 4},
  [476] = {.lex_state = 49, .external_lex_state = 4},
  [477] = {.lex_state = 49, .external_lex_state = 4},
  [478] = {.lex_state = 49, .external_lex_state = 4},
  [479] = {.lex_state = 49, .external_lex_state = 7},
  [480] = {.lex_state = 49, .external_lex_state = 4},
  [481] = {.lex_state = 49, .external_lex_state = 7},
  [482] = {.lex_state = 49, .external_lex_state = 7},
  [483] = {.lex_state = 49, .external_lex_state = 7},
  [484] = {.lex_state = 49, .external_lex_state = 4},
  [485] = {.lex_state = 49, .external_lex_state = 4},
  [486] = {.lex_state = 49, .external_lex_state = 4},
  [487] = {.lex_state = 49, .external_lex_state = 4},
  [488] = {.lex_state = 49, .external_lex_state = 4},
  [489] = {.lex_state = 49, .external_lex_state = 7},
  [490] = {.lex_state = 49, .external_lex_state = 7},
  [491] = {.lex_state = 49, .external_lex_state = 4},
  [492] = {.lex_state = 49, .external_lex_state = 4},
  [493] = {.lex_state = 49, .external_lex_state = 4},
  [494] = {.lex_state = 49, .external_lex_state = 4},
  [495] = {.lex_state = 49, .external_lex_state = 4},
  [496] = {.lex_state = 49, .external_lex_state = 4},
  [497] = {.lex_state = 49, .external_lex_state = 4},
  [498] = {.lex_state = 49, .external_lex_state = 4},
  [499] = {.lex_state = 49, .external_lex_state = 4},
  [500] = {.lex_state = 49, .external_lex_state = 4},
  [501] = {.lex_state = 49, .external_lex_state = 4},
  [502] = {.lex_state = 49, .external_lex_state = 4},
  [503] = {.lex_state = 49, .external_lex_state = 4},
  [504] = {.lex_state = 49, .external_lex_state = 4},
  [505] = {.lex_state = 49, .external_lex_state = 4},
  [506] = {.lex_state = 49, .external_lex_state = 4},
  [507] = {.lex_state = 49, .external_lex_state = 4},
  [508] = {.lex_state = 49, .external_lex_state = 4},
  [509] = {.lex_state = 49, .external_lex_state = 4},
  [510] = {.lex_state = 49, .external_lex_state = 4},
  [511] = {.lex_state = 49, .external_lex_state = 4},
  [512] = {.lex_state = 49, .external_lex_state = 4},
  [513] = {.lex_state = 49, .external_lex_state = 4},
  [514] = {.lex_state = 49, .external_lex_state = 4},
  [515] = {.lex_state = 49, .external_lex_state = 4},
  [516] = {.lex_state = 49, .external_lex_state = 4},
  [517] = {.lex_state = 49, .external_lex_state = 4},
  [518] = {.lex_state = 49, .external_lex_state = 4},
  [519] = {.lex_state = 49, .external_lex_state = 4},
  [520] = {.lex_state = 49, .external_lex_state = 4},
  [521] = {.lex_state = 49, .external_lex_state = 4},
  [522] = {.lex_state = 49, .external_lex_state = 4},
  [523] = {.lex_state = 49, .external_lex_state = 4},
  [524] = {.lex_state = 49, .external_lex_state = 4},
  [525] = {.lex_state = 49, .external_lex_state = 4},
  [526] = {.lex_state = 49, .external_lex_state = 4},
  [527] = {.lex_state = 49, .external_lex_state = 4},
  [528] = {.lex_state = 49, .external_lex_state = 4},
  [529] = {.lex_state = 49, .external_lex_state = 4},
  [530] = {.lex_state = 49, .external_lex_state = 4},
  [531] = {.lex_state = 49, .external_lex_state = 4},
  [532] = {.lex_state = 49, .external_lex_state = 4},
  [533] = {.lex_state = 49, .external_lex_state = 4},
  [534] = {.lex_state = 49, .external_lex_state = 4},
  [535] = {.lex_state = 49, .external_lex_state = 4},
  [536] = {.lex_state = 49, .external_lex_state = 4},
  [537] = {.lex_state = 49, .external_lex_state = 4},
  [538] = {.lex_state = 49, .external_lex_state = 4},
  [539] = {.lex_state = 49, .external_lex_state = 4},
  [540] = {.lex_state = 49, .external_lex_state = 4},
  [541] = {.lex_state = 49, .external_lex_state = 4},
  [542] = {.lex_state = 49, .external_lex_state = 4},
  [543] = {.lex_state = 49, .external_lex_state = 4},
  [544] = {.lex_state = 49, .external_lex_state = 4},
  [545] = {.lex_state = 49, .external_lex_state = 4},
  [546] = {.lex_state = 49, .external_lex_state = 4},
  [547] = {.lex_state = 49, .external_lex_state = 4},
  [548] = {.lex_state = 49, .external_lex_state = 4},
  [549] = {.lex_state = 49, .external_lex_state = 4},
  [550] = {.lex_state = 49, .external_lex_state = 4},
  [551] = {.lex_state = 49, .external_lex_state = 4},
  [552] = {.lex_state = 49, .external_lex_state = 4},
  [553] = {.lex_state = 49, .external_lex_state = 4},
  [554] = {.lex_state = 49, .external_lex_state = 4},
  [555] = {.lex_state = 49, .external_lex_state = 4},
  [556] = {.lex_state = 49, .external_lex_state = 4},
  [557] = {.lex_state = 49, .external_lex_state = 4},
  [558] = {.lex_state = 49, .external_lex_state = 4},
  [559] = {.lex_state = 49, .external_lex_state = 4},
  [560] = {.lex_state = 49, .external_lex_state = 4},
  [561] = {.lex_state = 49, .external_lex_state = 4},
  [562] = {.lex_state = 49, .external_lex_state = 4},
  [563] = {.lex_state = 49, .external_lex_state = 4},
  [564] = {.lex_state = 49, .external_lex_state = 4},
  [565] = {.lex_state = 49, .external_lex_state = 4},
  [566] = {.lex_state = 49, .external_lex_state = 4},
  [567] = {.lex_state = 49, .external_lex_state = 4},
  [568] = {.lex_state = 49, .external_lex_state = 4},
  [569] = {.lex_state = 49, .external_lex_state = 4},
  [570] = {.lex_state = 49, .external_lex_state = 4},
  [571] = {.lex_state = 49, .external_lex_state = 4},
  [572] = {.lex_state = 49, .external_lex_state = 4},
  [573] = {.lex_state = 49, .external_lex_state = 4},
  [574] = {.lex_state = 49, .external_lex_state = 4},
  [575] = {.lex_state = 49, .external_lex_state = 4},
  [576] = {.lex_state = 49, .external_lex_state = 4},
  [577] = {.lex_state = 49, .external_lex_state = 4},
  [578] = {.lex_state = 49, .external_lex_state = 4},
  [579] = {.lex_state = 49, .external_lex_state = 4},
  [580] = {.lex_state = 49, .external_lex_state = 4},
  [581] = {.lex_state = 49, .external_lex_state = 4},
  [582] = {.lex_state = 49, .external_lex_state = 4},
  [583] = {.lex_state = 49, .external_lex_state = 4},
  [584] = {.lex_state = 49, .external_lex_state = 4},
  [585] = {.lex_state = 49, .external_lex_state = 4},
  [586] = {.lex_state = 49, .external_lex_state = 4},
  [587] = {.lex_state = 49, .external_lex_state = 4},
  [588] = {.lex_state = 49, .external_lex_state = 4},
  [589] = {.lex_state = 49, .external_lex_state = 4},
  [590] = {.lex_state = 49, .external_lex_state = 4},
  [591] = {.lex_state = 49, .external_lex_state = 4},
  [592] = {.lex_state = 49, .external_lex_state = 4},
  [593] = {.lex_state = 49, .external_lex_state = 4},
  [594] = {.lex_state = 49, .external_lex_state = 4},
  [595] = {.lex_state = 49, .external_lex_state = 4},
  [596] = {.lex_state = 49, .external_lex_state = 4},
  [597] = {.lex_state = 49, .external_lex_state = 4},
  [598] = {.lex_state = 49, .external_lex_state = 4},
  [599] = {.lex_state = 49, .external_lex_state = 4},
  [600] = {.lex_state = 49, .external_lex_state = 4},
  [601] = {.lex_state = 49, .external_lex_state = 4},
  [602] = {.lex_state = 49, .external_lex_state = 4},
  [603] = {.lex_state = 49, .external_lex_state = 4},
  [604] = {.lex_state = 49, .external_lex_state = 4},
  [605] = {.lex_state = 49, .external_lex_state = 4},
  [606] = {.lex_state = 49, .external_lex_state = 4},
  [607] = {.lex_state = 49, .external_lex_state = 4},
  [608] = {.lex_state = 49, .external_lex_state = 4},
  [609] = {.lex_state = 49, .external_lex_state = 4},
  [610] = {.lex_state = 49, .external_lex_state = 4},
  [611] = {.lex_state = 49, .external_lex_state = 4},
  [612] = {.lex_state = 49, .external_lex_state = 4},
  [613] = {.lex_state = 49, .external_lex_state = 4},
  [614] = {.lex_state = 49, .external_lex_state = 4},
  [615] = {.lex_state = 49, .external_lex_state = 4},
  [616] = {.lex_state = 49, .external_lex_state = 4},
  [617] = {.lex_state = 49, .external_lex_state = 4},
  [618] = {.lex_state = 49, .external_lex_state = 4},
  [619] = {.lex_state = 49, .external_lex_state = 4},
  [620] = {.lex_state = 49, .external_lex_state = 4},
  [621] = {.lex_state = 49, .external_lex_state = 4},
  [622] = {.lex_state = 49, .external_lex_state = 4},
  [623] = {.lex_state = 49, .external_lex_state = 4},
  [624] = {.lex_state = 49, .external_lex_state = 4},
  [625] = {.lex_state = 49, .external_lex_state = 4},
  [626] = {.lex_state = 49, .external_lex_state = 4},
  [627] = {.lex_state = 49, .external_lex_state = 4},
  [628] = {.lex_state = 49, .external_lex_state = 4},
  [629] = {.lex_state = 49, .external_lex_state = 4},
  [630] = {.lex_state = 49, .external_lex_state = 4},
  [631] = {.lex_state = 49, .external_lex_state = 4},
  [632] = {.lex_state = 49, .external_lex_state = 4},
  [633] = {.lex_state = 49, .external_lex_state = 4},
  [634] = {.lex_state = 49, .external_lex_state = 4},
  [635] = {.lex_state = 49, .external_lex_state = 4},
  [636] = {.lex_state = 49, .external_lex_state = 4},
  [637] = {.lex_state = 49, .external_lex_state = 4},
  [638] = {.lex_state = 49, .external_lex_state = 4},
  [639] = {.lex_state = 49, .external_lex_state = 4},
  [640] = {.lex_state = 49, .external_lex_state = 4},
  [641] = {.lex_state = 49, .external_lex_state = 4},
  [642] = {.lex_state = 49, .external_lex_state = 4},
  [643] = {.lex_state = 49, .external_lex_state = 4},
  [644] = {.lex_state = 49, .external_lex_state = 4},
  [645] = {.lex_state = 49, .external_lex_state = 4},
  [646] = {.lex_state = 49, .external_lex_state = 4},
  [647] = {.lex_state = 49, .external_lex_state = 4},
  [648] = {.lex_state = 49, .external_lex_state = 4},
  [649] = {.lex_state = 49, .external_lex_state = 4},
  [650] = {.lex_state = 49, .external_lex_state = 4},
  [651] = {.lex_state = 49, .external_lex_state = 4},
  [652] = {.lex_state = 49, .external_lex_state = 4},
  [653] = {.lex_state = 49, .external_lex_state = 4},
  [654] = {.lex_state = 49, .external_lex_state = 4},
  [655] = {.lex_state = 49, .external_lex_state = 4},
  [656] = {.lex_state = 49, .external_lex_state = 4},
  [657] = {.lex_state = 49, .external_lex_state = 4},
  [658] = {.lex_state = 49, .external_lex_state = 4},
  [659] = {.lex_state = 1, .external_lex_state = 8},
  [660] = {.lex_state = 1, .external_lex_state = 9},
  [661] = {.lex_state = 1, .external_lex_state = 8},
  [662] = {.lex_state = 1, .external_lex_state = 8},
  [663] = {.lex_state = 1, .external_lex_state = 8},
  [664] = {.lex_state = 1, .external_lex_state = 8},
  [665] = {.lex_state = 1, .external_lex_state = 8},
  [666] = {.lex_state = 1, .external_lex_state = 8},
  [667] = {.lex_state = 1, .external_lex_state = 8},
  [668] = {.lex_state = 1, .external_lex_state = 8},
  [669] = {.lex_state = 1, .external_lex_state = 8},
  [670] = {.lex_state = 1, .external_lex_state = 8},
  [671] = {.lex_state = 1, .external_lex_state = 3},
  [672] = {.lex_state = 1, .external_lex_state = 9},
  [673] = {.lex_state = 1, .external_lex_state = 9},
  [674] = {.lex_state = 1, .external_lex_state = 9},
  [675] = {.lex_state = 1, .external_lex_state = 9},
  [676] = {.lex_state = 1, .external_lex_state = 9},
  [677] = {.lex_state = 1, .external_lex_state = 9},
  [678] = {.lex_state = 1, .external_lex_state = 9},
  [679] = {.lex_state = 1, .external_lex_state = 9},
  [680] = {.lex_state = 1, .external_lex_state = 9},
  [681] = {.lex_state = 1, .external_lex_state = 9},
  [682] = {.lex_state = 1, .external_lex_state = 9},
  [683] = {.lex_state = 1, .external_lex_state = 9},
  [684] = {.lex_state = 1, .external_lex_state = 9},
  [685] = {.lex_state = 1, .external_lex_state = 9},
  [686] = {.lex_state = 1, .external_lex_state = 9},
  [687] = {.lex_state = 1, .external_lex_state = 9},
  [688] = {.lex_state = 1, .external_lex_state = 9},
  [689] = {.lex_state = 1, .external_lex_state = 9},
  [690] = {.lex_state = 1, .external_lex_state = 9},
  [691] = {.lex_state = 1, .external_lex_state = 9},
  [692] = {.lex_state = 1, .external_lex_state = 3},
  [693] = {.lex_state = 1, .external_lex_state = 3},
  [694] = {.lex_state = 1, .external_lex_state = 3},
  [695] = {.lex_state = 1, .external_lex_state = 3},
  [696] = {.lex_state = 1, .external_lex_state = 3},
  [697] = {.lex_state = 1, .external_lex_state = 9},
  [698] = {.lex_state = 1, .external_lex_state = 9},
  [699] = {.lex_state = 1, .external_lex_state = 9},
  [700] = {.lex_state = 1, .external_lex_state = 9},
  [701] = {.lex_state = 1, .external_lex_state = 9},
  [702] = {.lex_state = 1, .external_lex_state = 9},
  [703] = {.lex_state = 1, .external_lex_state = 3},
  [704] = {.lex_state = 1, .external_lex_state = 9},
  [705] = {.lex_state = 1, .external_lex_state = 9},
  [706] = {.lex_state = 1, .external_lex_state = 9},
  [707] = {.lex_state = 1, .external_lex_state = 9},
  [708] = {.lex_state = 1, .external_lex_state = 9},
  [709] = {.lex_state = 1, .external_lex_state = 9},
  [710] = {.lex_state = 1, .external_lex_state = 9},
  [711] = {.lex_state = 1, .external_lex_state = 9},
  [712] = {.lex_state = 1, .external_lex_state = 9},
  [713] = {.lex_state = 1, .external_lex_state = 9},
  [714] = {.lex_state = 1, .external_lex_state = 9},
  [715] = {.lex_state = 1, .external_lex_state = 8},
  [716] = {.lex_state = 1, .external_lex_state = 8},
  [717] = {.lex_state = 1, .external_lex_state = 8},
  [718] = {.lex_state = 1, .external_lex_state = 8},
  [719] = {.lex_state = 1, .external_lex_state = 8},
  [720] = {.lex_state = 1, .external_lex_state = 8},
  [721] = {.lex_state = 1, .external_lex_state = 8},
  [722] = {.lex_state = 1, .external_lex_state = 8},
  [723] = {.lex_state = 1, .external_lex_state = 8},
  [724] = {.lex_state = 1, .external_lex_state = 8},
  [725] = {.lex_state = 1, .external_lex_state = 8},
  [726] = {.lex_state = 1, .external_lex_state = 3},
  [727] = {.lex_state = 1, .external_lex_state = 3},
  [728] = {.lex_state = 1, .external_lex_state = 3},
  [729] = {.lex_state = 1, .external_lex_state = 3},
  [730] = {.lex_state = 1, .external_lex_state = 3},
  [731] = {.lex_state = 1, .external_lex_state = 3},
  [732] = {.lex_state = 1, .external_lex_state = 10},
  [733] = {.lex_state = 1, .external_lex_state = 10},
  [734] = {.lex_state = 1, .external_lex_state = 10},
  [735] = {.lex_state = 1, .external_lex_state = 10},
  [736] = {.lex_state = 1, .external_lex_state = 10},
  [737] = {.lex_state = 1, .external_lex_state = 10},
  [738] = {.lex_state = 1, .external_lex_state = 10},
  [739] = {.lex_state = 1, .external_lex_state = 10},
  [740] = {.lex_state = 1, .external_lex_state = 10},
  [741] = {.lex_state = 1, .external_lex_state = 10},
  [742] = {.lex_state = 1, .external_lex_state = 10},
  [743] = {.lex_state = 1, .external_lex_state = 4},
  [744] = {.lex_state = 1, .external_lex_state = 4},
  [745] = {.lex_state = 1, .external_lex_state = 4},
  [746] = {.lex_state = 1, .external_lex_state = 4},
  [747] = {.lex_state = 1, .external_lex_state = 4},
  [748] = {.lex_state = 1, .external_lex_state = 4},
  [749] = {.lex_state = 48, .external_lex_state = 10},
  [750] = {.lex_state = 48, .external_lex_state = 10},
  [751] = {.lex_state = 48, .external_lex_state = 10},
  [752] = {.lex_state = 48, .external_lex_state = 10},
  [753] = {.lex_state = 48, .external_lex_state = 10},
  [754] = {.lex_state = 48, .external_lex_state = 10},
  [755] = {.lex_state = 48, .external_lex_state = 10},
  [756] = {.lex_state = 48, .external_lex_state = 10},
  [757] = {.lex_state = 48, .external_lex_state = 10},
  [758] = {.lex_state = 48, .external_lex_state = 10},
  [759] = {.lex_state = 48, .external_lex_state = 10},
  [760] = {.lex_state = 48, .external_lex_state = 11},
  [761] = {.lex_state = 48, .external_lex_state = 4},
  [762] = {.lex_state = 48, .external_lex_state = 10},
  [763] = {.lex_state = 48, .external_lex_state = 11},
  [764] = {.lex_state = 48, .external_lex_state = 4},
  [765] = {.lex_state = 48, .external_lex_state = 11},
  [766] = {.lex_state = 48, .external_lex_state = 4},
  [767] = {.lex_state = 48, .external_lex_state = 11},
  [768] = {.lex_state = 48, .external_lex_state = 11},
  [769] = {.lex_state = 48, .external_lex_state = 11},
  [770] = {.lex_state = 48, .external_lex_state = 4},
  [771] = {.lex_state = 48, .external_lex_state = 11},
  [772] = {.lex_state = 48, .external_lex_state = 11},
  [773] = {.lex_state = 48, .external_lex_state = 11},
  [774] = {.lex_state = 48, .external_lex_state = 11},
  [775] = {.lex_state = 48, .external_lex_state = 11},
  [776] = {.lex_state = 48, .external_lex_state = 4},
  [777] = {.lex_state = 48, .external_lex_state = 4},
  [778] = {.lex_state = 48, .external_lex_state = 6},
  [779] = {.lex_state = 48, .external_lex_state = 4},
  [780] = {.lex_state = 48, .external_lex_state = 6},
  [781] = {.lex_state = 48, .external_lex_state = 4},
  [782] = {.lex_state = 48, .external_lex_state = 6},
  [783] = {.lex_state = 48, .external_lex_state = 4},
  [784] = {.lex_state = 48, .external_lex_state = 6},
  [785] = {.lex_state = 48, .external_lex_state = 6},
  [786] = {.lex_state = 48, .external_lex_state = 4},
  [787] = {.lex_state = 48, .external_lex_state = 6},
  [788] = {.lex_state = 48, .external_lex_state = 4},
  [789] = {.lex_state = 48, .external_lex_state = 6},
  [790] = {.lex_state = 104, .external_lex_state = 2},
  [791] = {.lex_state = 104, .external_lex_state = 2},
  [792] = {.lex_state = 104, .external_lex_state = 2},
  [793] = {.lex_state = 105, .external_lex_state = 2},
  [794] = {.lex_state = 105, .external_lex_state = 2},
  [795] = {.lex_state = 104, .external_lex_state = 2},
  [796] = {.lex_state = 105, .external_lex_state = 2},
  [797] = {.lex_state = 105, .external_lex_state = 2},
  [798] = {.lex_state = 105, .external_lex_state = 2},
  [799] = {.lex_state = 104, .external_lex_state = 4},
  [800] = {.lex_state = 105, .external_lex_state = 2},
  [801] = {.lex_state = 104, .external_lex_state = 4},
  [802] = {.lex_state = 105, .external_lex_state = 2},
  [803] = {.lex_state = 105, .external_lex_state = 2},
  [804] = {.lex_state = 105, .external_lex_state = 2},
  [805] = {.lex_state = 105, .external_lex_state = 2},
  [806] = {.lex_state = 105, .external_lex_state = 2},
  [807] = {.lex_state = 105, .external_lex_state = 2},
  [808] = {.lex_state = 105, .external_lex_state = 2},
  [809] = {.lex_state = 105, .external_lex_state = 2},
  [810] = {.lex_state = 105, .external_lex_state = 2},
  [811] = {.lex_state = 105, .external_lex_state = 2},
  [812] = {.lex_state = 105, .external_lex_state = 2},
  [813] = {.lex_state = 105, .external_lex_state = 2},
  [814] = {.lex_state = 105, .external_lex_state = 2},
  [815] = {.lex_state = 105, .external_lex_state = 2},
  [816] = {.lex_state = 105, .external_lex_state = 2},
  [817] = {.lex_state = 105, .external_lex_state = 2},
  [818] = {.lex_state = 105, .external_lex_state = 2},
  [819] = {.lex_state = 105, .external_lex_state = 2},
  [820] = {.lex_state = 105, .external_lex_state = 2},
  [821] = {.lex_state = 105, .external_lex_state = 2},
  [822] = {.lex_state = 105, .external_lex_state = 2},
  [823] = {.lex_state = 105, .external_lex_state = 2},
  [824] = {.lex_state = 105, .external_lex_state = 2},
  [825] = {.lex_state = 105, .external_lex_state = 2},
  [826] = {.lex_state = 105, .external_lex_state = 2},
  [827] = {.lex_state = 105, .external_lex_state = 2},
  [828] = {.lex_state = 105, .external_lex_state = 2},
  [829] = {.lex_state = 105, .external_lex_state = 2},
  [830] = {.lex_state = 105, .external_lex_state = 2},
  [831] = {.lex_state = 105, .external_lex_state = 2},
  [832] = {.lex_state = 105, .external_lex_state = 2},
  [833] = {.lex_state = 105, .external_lex_state = 2},
  [834] = {.lex_state = 105, .external_lex_state = 2},
  [835] = {.lex_state = 105, .external_lex_state = 2},
  [836] = {.lex_state = 105, .external_lex_state = 2},
  [837] = {.lex_state = 105, .external_lex_state = 2},
  [838] = {.lex_state = 105, .external_lex_state = 2},
  [839] = {.lex_state = 105, .external_lex_state = 2},
  [840] = {.lex_state = 105, .external_lex_state = 2},
  [841] = {.lex_state = 105, .external_lex_state = 2},
  [842] = {.lex_state = 105, .external_lex_state = 2},
  [843] = {.lex_state = 105, .external_lex_state = 2},
  [844] = {.lex_state = 105, .external_lex_state = 2},
  [845] = {.lex_state = 105, .external_lex_state = 2},
  [846] = {.lex_state = 105, .external_lex_state = 2},
  [847] = {.lex_state = 105, .external_lex_state = 2},
  [848] = {.lex_state = 105, .external_lex_state = 2},
  [849] = {.lex_state = 105, .external_lex_state = 2},
  [850] = {.lex_state = 105, .external_lex_state = 2},
  [851] = {.lex_state = 105, .external_lex_state = 2},
  [852] = {.lex_state = 105, .external_lex_state = 2},
  [853] = {.lex_state = 105, .external_lex_state = 2},
  [854] = {.lex_state = 105, .external_lex_state = 2},
  [855] = {.lex_state = 105, .external_lex_state = 2},
  [856] = {.lex_state = 105, .external_lex_state = 2},
  [857] = {.lex_state = 105, .external_lex_state = 2},
  [858] = {.lex_state = 105, .external_lex_state = 2},
  [859] = {.lex_state = 105, .external_lex_state = 2},
  [860] = {.lex_state = 105, .external_lex_state = 2},
  [861] = {.lex_state = 105, .external_lex_state = 2},
  [862] = {.lex_state = 105, .external_lex_state = 2},
  [863] = {.lex_state = 105, .external_lex_state = 2},
  [864] = {.lex_state = 105, .external_lex_state = 2},
  [865] = {.lex_state = 105, .external_lex_state = 2},
  [866] = {.lex_state = 105, .external_lex_state = 2},
  [867] = {.lex_state = 105, .external_lex_state = 2},
  [868] = {.lex_state = 105, .external_lex_state = 2},
  [869] = {.lex_state = 105, .external_lex_state = 2},
  [870] = {.lex_state = 105, .external_lex_state = 2},
  [871] = {.lex_state = 105, .external_lex_state = 2},
  [872] = {.lex_state = 105, .external_lex_state = 2},
  [873] = {.lex_state = 105, .external_lex_state = 2},
  [874] = {.lex_state = 105, .external_lex_state = 2},
  [875] = {.lex_state = 105, .external_lex_state = 2},
  [876] = {.lex_state = 105, .external_lex_state = 2},
  [877] = {.lex_state = 105, .external_lex_state = 2},
  [878] = {.lex_state = 105, .external_lex_state = 2},
  [879] = {.lex_state = 105, .external_lex_state = 2},
  [880] = {.lex_state = 105, .external_lex_state = 2},
  [881] = {.lex_state = 105, .external_lex_state = 2},
  [882] = {.lex_state = 105, .external_lex_state = 2},
  [883] = {.lex_state = 105, .external_lex_state = 2},
  [884] = {.lex_state = 105, .external_lex_state = 2},
  [885] = {.lex_state = 105, .external_lex_state = 2},
  [886] = {.lex_state = 105, .external_lex_state = 2},
  [887] = {.lex_state = 105, .external_lex_state = 2},
  [888] = {.lex_state = 105, .external_lex_state = 2},
  [889] = {.lex_state = 105, .external_lex_state = 2},
  [890] = {.lex_state = 105, .external_lex_state = 2},
  [891] = {.lex_state = 105, .external_lex_state = 2},
  [892] = {.lex_state = 105, .external_lex_state = 2},
  [893] = {.lex_state = 105, .external_lex_state = 2},
  [894] = {.lex_state = 105, .external_lex_state = 2},
  [895] = {.lex_state = 105, .external_lex_state = 2},
  [896] = {.lex_state = 105, .external_lex_state = 2},
  [897] = {.lex_state = 105, .external_lex_state = 2},
  [898] = {.lex_state = 105, .external_lex_state = 2},
  [899] = {.lex_state = 105, .external_lex_state = 2},
  [900] = {.lex_state = 50, .external_lex_state = 5},
  [901] = {.lex_state = 104, .external_lex_state = 4},
  [902] = {.lex_state = 105, .external_lex_state = 4},
  [903] = {.lex_state = 105, .external_lex_state = 4},
  [904] = {.lex_state = 104, .external_lex_state = 4},
  [905] = {.lex_state = 105, .external_lex_state = 4},
  [906] = {.lex_state = 105, .external_lex_state = 4},
  [907] = {.lex_state = 105, .external_lex_state = 4},
  [908] = {.lex_state = 105, .external_lex_state = 4},
  [909] = {.lex_state = 105, .external_lex_state = 4},
  [910] = {.lex_state = 105, .external_lex_state = 4},
  [911] = {.lex_state = 105, .external_lex_state = 4},
  [912] = {.lex_state = 105, .external_lex_state = 4},
  [913] = {.lex_state = 105, .external_lex_state = 4},
  [914] = {.lex_state = 105, .external_lex_state = 4},
  [915] = {.lex_state = 105, .external_lex_state = 4},
  [916] = {.lex_state = 105, .external_lex_state = 4},
  [917] = {.lex_state = 105, .external_lex_state = 4},
  [918] = {.lex_state = 105, .external_lex_state = 4},
  [919] = {.lex_state = 105, .external_lex_state = 4},
  [920] = {.lex_state = 105, .external_lex_state = 4},
  [921] = {.lex_state = 105, .external_lex_state = 4},
  [922] = {.lex_state = 105, .external_lex_state = 4},
  [923] = {.lex_state = 105, .external_lex_state = 4},
  [924] = {.lex_state = 105, .external_lex_state = 4},
  [925] = {.lex_state = 105, .external_lex_state = 4},
  [926] = {.lex_state = 105, .external_lex_state = 4},
  [927] = {.lex_state = 105, .external_lex_state = 4},
  [928] = {.lex_state = 105, .external_lex_state = 4},
  [929] = {.lex_state = 105, .external_lex_state = 4},
  [930] = {.lex_state = 105, .external_lex_state = 4},
  [931] = {.lex_state = 105, .external_lex_state = 4},
  [932] = {.lex_state = 105, .external_lex_state = 4},
  [933] = {.lex_state = 105, .external_lex_state = 4},
  [934] = {.lex_state = 105, .external_lex_state = 4},
  [935] = {.lex_state = 105, .external_lex_state = 4},
  [936] = {.lex_state = 105, .external_lex_state = 4},
  [937] = {.lex_state = 105, .external_lex_state = 4},
  [938] = {.lex_state = 105, .external_lex_state = 4},
  [939] = {.lex_state = 105, .external_lex_state = 4},
  [940] = {.lex_state = 105, .external_lex_state = 4},
  [941] = {.lex_state = 105, .external_lex_state = 4},
  [942] = {.lex_state = 105, .external_lex_state = 4},
  [943] = {.lex_state = 105, .external_lex_state = 4},
  [944] = {.lex_state = 105, .external_lex_state = 4},
  [945] = {.lex_state = 105, .external_lex_state = 4},
  [946] = {.lex_state = 105, .external_lex_state = 4},
  [947] = {.lex_state = 105, .external_lex_state = 4},
  [948] = {.lex_state = 105, .external_lex_state = 4},
  [949] = {.lex_state = 105, .external_lex_state = 4},
  [950] = {.lex_state = 105, .external_lex_state = 4},
  [951] = {.lex_state = 105, .external_lex_state = 4},
  [952] = {.lex_state = 105, .external_lex_state = 4},
  [953] = {.lex_state = 105, .external_lex_state = 4},
  [954] = {.lex_state = 105, .external_lex_state = 4},
  [955] = {.lex_state = 105, .external_lex_state = 4},
  [956] = {.lex_state = 105, .external_lex_state = 4},
  [957] = {.lex_state = 105, .external_lex_state = 4},
  [958] = {.lex_state = 105, .external_lex_state = 4},
  [959] = {.lex_state = 105, .external_lex_state = 4},
  [960] = {.lex_state = 105, .external_lex_state = 4},
  [961] = {.lex_state = 105, .external_lex_state = 4},
  [962] = {.lex_state = 105, .external_lex_state = 4},
  [963] = {.lex_state = 105, .external_lex_state = 4},
  [964] = {.lex_state = 105, .external_lex_state = 4},
  [965] = {.lex_state = 105, .external_lex_state = 4},
  [966] = {.lex_state = 105, .external_lex_state = 4},
  [967] = {.lex_state = 105, .external_lex_state = 4},
  [968] = {.lex_state = 105, .external_lex_state = 4},
  [969] = {.lex_state = 105, .external_lex_state = 4},
  [970] = {.lex_state = 105, .external_lex_state = 4},
  [971] = {.lex_state = 105, .external_lex_state = 4},
  [972] = {.lex_state = 105, .external_lex_state = 4},
  [973] = {.lex_state = 105, .external_lex_state = 4},
  [974] = {.lex_state = 105, .external_lex_state = 4},
  [975] = {.lex_state = 105, .external_lex_state = 4},
  [976] = {.lex_state = 105, .external_lex_state = 4},
  [977] = {.lex_state = 105, .external_lex_state = 4},
  [978] = {.lex_state = 105, .external_lex_state = 4},
  [979] = {.lex_state = 105, .external_lex_state = 4},
  [980] = {.lex_state = 105, .external_lex_state = 4},
  [981] = {.lex_state = 105, .external_lex_state = 4},
  [982] = {.lex_state = 105, .external_lex_state = 4},
  [983] = {.lex_state = 105, .external_lex_state = 4},
  [984] = {.lex_state = 105, .external_lex_state = 4},
  [985] = {.lex_state = 105, .external_lex_state = 4},
  [986] = {.lex_state = 105, .external_lex_state = 4},
  [987] = {.lex_state = 105, .external_lex_state = 4},
  [988] = {.lex_state = 105, .external_lex_state = 4},
  [989] = {.lex_state = 105, .external_lex_state = 4},
  [990] = {.lex_state = 105, .external_lex_state = 4},
  [991] = {.lex_state = 105, .external_lex_state = 4},
  [992] = {.lex_state = 105, .external_lex_state = 4},
  [993] = {.lex_state = 105, .external_lex_state = 4},
  [994] = {.lex_state = 105, .external_lex_state = 4},
  [995] = {.lex_state = 105, .external_lex_state = 4},
  [996] = {.lex_state = 105, .external_lex_state = 4},
  [997] = {.lex_state = 105, .external_lex_state = 4},
  [998] = {.lex_state = 105, .external_lex_state = 4},
  [999] = {.lex_state = 105, .external_lex_state = 4},
  [1000] = {.lex_state = 105, .external_lex_state = 4},
  [1001] = {.lex_state = 105, .external_lex_state = 4},
  [1002] = {.lex_state = 105, .external_lex_state = 4},
  [1003] = {.lex_state = 105, .external_lex_state = 4},
  [1004] = {.lex_state = 105, .external_lex_state = 4},
  [1005] = {.lex_state = 105, .external_lex_state = 4},
  [1006] = {.lex_state = 105, .external_lex_state = 4},
  [1007] = {.lex_state = 105, .external_lex_state = 4},
  [1008] = {.lex_state = 51, .external_lex_state = 6},
  [1009] = {.lex_state = 49, .external_lex_state = 6},
  [1010] = {.lex_state = 49, .external_lex_state = 4},
  [1011] = {.lex_state = 49, .external_lex_state = 4},
  [1012] = {.lex_state = 49, .external_lex_state = 4},
  [1013] = {.lex_state = 49, .external_lex_state = 4},
  [1014] = {.lex_state = 49, .external_lex_state = 4},
  [1015] = {.lex_state = 49, .external_lex_state = 4},
  [1016] = {.lex_state = 106, .external_lex_state = 12},
  [1017] = {.lex_state = 106, .external_lex_state = 12},
  [1018] = {.lex_state = 106, .external_lex_state = 12},
  [1019] = {.lex_state = 106, .external_lex_state = 12},
  [1020] = {.lex_state = 106, .external_lex_state = 12},
  [1021] = {.lex_state = 3, .external_lex_state = 12},
  [1022] = {.lex_state = 106, .external_lex_state = 13},
  [1023] = {.lex_state = 106, .external_lex_state = 13},
  [1024] = {.lex_state = 3, .external_lex_state = 12},
  [1025] = {.lex_state = 3, .external_lex_state = 12},
  [1026] = {.lex_state = 3, .external_lex_state = 12},
  [1027] = {.lex_state = 106, .external_lex_state = 12},
  [1028] = {.lex_state = 3, .external_lex_state = 12},
  [1029] = {.lex_state = 3, .external_lex_state = 12},
  [1030] = {.lex_state = 3, .external_lex_state = 12},
  [1031] = {.lex_state = 3, .external_lex_state = 12},
  [1032] = {.lex_state = 3, .external_lex_state = 12},
  [1033] = {.lex_state = 3, .external_lex_state = 12},
  [1034] = {.lex_state = 3, .external_lex_state = 12},
  [1035] = {.lex_state = 3, .external_lex_state = 12},
  [1036] = {.lex_state = 3, .external_lex_state = 12},
  [1037] = {.lex_state = 3, .external_lex_state = 12},
  [1038] = {.lex_state = 3, .external_lex_state = 12},
  [1039] = {.lex_state = 3, .external_lex_state = 12},
  [1040] = {.lex_state = 106, .external_lex_state = 12},
  [1041] = {.lex_state = 3, .external_lex_state = 12},
  [1042] = {.lex_state = 3, .external_lex_state = 12},
  [1043] = {.lex_state = 106, .external_lex_state = 12},
  [1044] = {.lex_state = 3, .external_lex_state = 12},
  [1045] = {.lex_state = 3, .external_lex_state = 12},
  [1046] = {.lex_state = 3, .external_lex_state = 12},
  [1047] = {.lex_state = 3, .external_lex_state = 12},
  [1048] = {.lex_state = 3, .external_lex_state = 12},
  [1049] = {.lex_state = 3, .external_lex_state = 12},
  [1050] = {.lex_state = 3, .external_lex_state = 12},
  [1051] = {.lex_state = 5, .external_lex_state = 12},
  [1052] = {.lex_state = 3, .external_lex_state = 12},
  [1053] = {.lex_state = 3, .external_lex_state = 12},
  [1054] = {.lex_state = 3, .external_lex_state = 12},
  [1055] = {.lex_state = 9, .external_lex_state = 12},
  [1056] = {.lex_state = 9, .external_lex_state = 12},
  [1057] = {.lex_state = 7, .external_lex_state = 12},
  [1058] = {.lex_state = 8, .external_lex_state = 12},
  [1059] = {.lex_state = 5, .external_lex_state = 12},
  [1060] = {.lex_state = 7, .external_lex_state = 12},
  [1061] = {.lex_state = 3, .external_lex_state = 12},
  [1062] = {.lex_state = 3, .external_lex_state = 12},
  [1063] = {.lex_state = 3, .external_lex_state = 12},
  [1064] = {.lex_state = 7, .external_lex_state = 12},
  [1065] = {.lex_state = 3, .external_lex_state = 12},
  [1066] = {.lex_state = 7, .external_lex_state = 12},
  [1067] = {.lex_state = 8, .external_lex_state = 12},
  [1068] = {.lex_state = 3, .external_lex_state = 12},
  [1069] = {.lex_state = 3, .external_lex_state = 12},
  [1070] = {.lex_state = 5, .external_lex_state = 12},
  [1071] = {.lex_state = 3, .external_lex_state = 12},
  [1072] = {.lex_state = 3, .external_lex_state = 12},
  [1073] = {.lex_state = 3, .external_lex_state = 12},
  [1074] = {.lex_state = 5, .external_lex_state = 12},
  [1075] = {.lex_state = 8, .external_lex_state = 12},
  [1076] = {.lex_state = 3, .external_lex_state = 12},
  [1077] = {.lex_state = 9, .external_lex_state = 12},
  [1078] = {.lex_state = 7, .external_lex_state = 12},
  [1079] = {.lex_state = 3, .external_lex_state = 12},
  [1080] = {.lex_state = 5, .external_lex_state = 12},
  [1081] = {.lex_state = 3, .external_lex_state = 12},
  [1082] = {.lex_state = 7, .external_lex_state = 12},
  [1083] = {.lex_state = 3, .external_lex_state = 12},
  [1084] = {.lex_state = 3, .external_lex_state = 12},
  [1085] = {.lex_state = 3, .external_lex_state = 12},
  [1086] = {.lex_state = 3, .external_lex_state = 12},
  [1087] = {.lex_state = 3, .external_lex_state = 12},
  [1088] = {.lex_state = 3, .external_lex_state = 12},
  [1089] = {.lex_state = 3, .external_lex_state = 12},
  [1090] = {.lex_state = 3, .external_lex_state = 12},
  [1091] = {.lex_state = 3, .external_lex_state = 12},
  [1092] = {.lex_state = 3, .external_lex_state = 12},
  [1093] = {.lex_state = 8, .external_lex_state = 12},
  [1094] = {.lex_state = 3, .external_lex_state = 12},
  [1095] = {.lex_state = 8, .external_lex_state = 12},
  [1096] = {.lex_state = 3, .external_lex_state = 12},
  [1097] = {.lex_state = 3, .external_lex_state = 12},
  [1098] = {.lex_state = 3, .external_lex_state = 12},
  [1099] = {.lex_state = 3, .external_lex_state = 12},
  [1100] = {.lex_state = 3, .external_lex_state = 12},
  [1101] = {.lex_state = 3, .external_lex_state = 12},
  [1102] = {.lex_state = 3, .external_lex_state = 12},
  [1103] = {.lex_state = 3, .external_lex_state = 12},
  [1104] = {.lex_state = 3, .external_lex_state = 12},
  [1105] = {.lex_state = 3, .external_lex_state = 12},
  [1106] = {.lex_state = 3, .external_lex_state = 12},
  [1107] = {.lex_state = 3, .external_lex_state = 12},
  [1108] = {.lex_state = 3, .external_lex_state = 12},
  [1109] = {.lex_state = 3, .external_lex_state = 12},
  [1110] = {.lex_state = 3, .external_lex_state = 12},
  [1111] = {.lex_state = 3, .external_lex_state = 12},
  [1112] = {.lex_state = 3, .external_lex_state = 12},
  [1113] = {.lex_state = 3, .external_lex_state = 12},
  [1114] = {.lex_state = 3, .external_lex_state = 12},
  [1115] = {.lex_state = 3, .external_lex_state = 12},
  [1116] = {.lex_state = 3, .external_lex_state = 12},
  [1117] = {.lex_state = 3, .external_lex_state = 12},
  [1118] = {.lex_state = 3, .external_lex_state = 12},
  [1119] = {.lex_state = 3, .external_lex_state = 12},
  [1120] = {.lex_state = 3, .external_lex_state = 12},
  [1121] = {.lex_state = 3, .external_lex_state = 12},
  [1122] = {.lex_state = 3, .external_lex_state = 12},
  [1123] = {.lex_state = 3, .external_lex_state = 12},
  [1124] = {.lex_state = 3, .external_lex_state = 12},
  [1125] = {.lex_state = 3, .external_lex_state = 12},
  [1126] = {.lex_state = 3, .external_lex_state = 12},
  [1127] = {.lex_state = 3, .external_lex_state = 12},
  [1128] = {.lex_state = 3, .external_lex_state = 12},
  [1129] = {.lex_state = 3, .external_lex_state = 12},
  [1130] = {.lex_state = 3, .external_lex_state = 12},
  [1131] = {.lex_state = 3, .external_lex_state = 12},
  [1132] = {.lex_state = 3, .external_lex_state = 12},
  [1133] = {.lex_state = 3, .external_lex_state = 12},
  [1134] = {.lex_state = 3, .external_lex_state = 12},
  [1135] = {.lex_state = 3, .external_lex_state = 12},
  [1136] = {.lex_state = 3, .external_lex_state = 12},
  [1137] = {.lex_state = 3, .external_lex_state = 12},
  [1138] = {.lex_state = 3, .external_lex_state = 12},
  [1139] = {.lex_state = 3, .external_lex_state = 12},
  [1140] = {.lex_state = 3, .external_lex_state = 12},
  [1141] = {.lex_state = 3, .external_lex_state = 12},
  [1142] = {.lex_state = 3, .external_lex_state = 12},
  [1143] = {.lex_state = 3, .external_lex_state = 12},
  [1144] = {.lex_state = 3, .external_lex_state = 12},
  [1145] = {.lex_state = 3, .external_lex_state = 12},
  [1146] = {.lex_state = 3, .external_lex_state = 12},
  [1147] = {.lex_state = 3, .external_lex_state = 12},
  [1148] = {.lex_state = 3, .external_lex_state = 12},
  [1149] = {.lex_state = 3, .external_lex_state = 12},
  [1150] = {.lex_state = 3, .external_lex_state = 12},
  [1151] = {.lex_state = 3, .external_lex_state = 12},
  [1152] = {.lex_state = 3, .external_lex_state = 12},
  [1153] = {.lex_state = 3, .external_lex_state = 12},
  [1154] = {.lex_state = 3, .external_lex_state = 12},
  [1155] = {.lex_state = 3, .external_lex_state = 12},
  [1156] = {.lex_state = 3, .external_lex_state = 12},
  [1157] = {.lex_state = 3, .external_lex_state = 12},
  [1158] = {.lex_state = 3, .external_lex_state = 12},
  [1159] = {.lex_state = 3, .external_lex_state = 12},
  [1160] = {.lex_state = 3, .external_lex_state = 12},
  [1161] = {.lex_state = 3, .external_lex_state = 12},
  [1162] = {.lex_state = 3, .external_lex_state = 12},
  [1163] = {.lex_state = 3, .external_lex_state = 12},
  [1164] = {.lex_state = 3, .external_lex_state = 12},
  [1165] = {.lex_state = 3, .external_lex_state = 12},
  [1166] = {.lex_state = 3, .external_lex_state = 12},
  [1167] = {.lex_state = 3, .external_lex_state = 12},
  [1168] = {.lex_state = 3, .external_lex_state = 12},
  [1169] = {.lex_state = 3, .external_lex_state = 12},
  [1170] = {.lex_state = 3, .external_lex_state = 12},
  [1171] = {.lex_state = 3, .external_lex_state = 12},
  [1172] = {.lex_state = 3, .external_lex_state = 12},
  [1173] = {.lex_state = 3, .external_lex_state = 12},
  [1174] = {.lex_state = 3, .external_lex_state = 12},
  [1175] = {.lex_state = 3, .external_lex_state = 12},
  [1176] = {.lex_state = 3, .external_lex_state = 12},
  [1177] = {.lex_state = 3, .external_lex_state = 12},
  [1178] = {.lex_state = 3, .external_lex_state = 12},
  [1179] = {.lex_state = 3, .external_lex_state = 12},
  [1180] = {.lex_state = 3, .external_lex_state = 12},
  [1181] = {.lex_state = 3, .external_lex_state = 12},
  [1182] = {.lex_state = 3, .external_lex_state = 12},
  [1183] = {.lex_state = 3, .external_lex_state = 12},
  [1184] = {.lex_state = 3, .external_lex_state = 12},
  [1185] = {.lex_state = 3, .external_lex_state = 12},
  [1186] = {.lex_state = 3, .external_lex_state = 12},
  [1187] = {.lex_state = 3, .external_lex_state = 12},
  [1188] = {.lex_state = 3, .external_lex_state = 12},
  [1189] = {.lex_state = 3, .external_lex_state = 12},
  [1190] = {.lex_state = 3, .external_lex_state = 12},
  [1191] = {.lex_state = 3, .external_lex_state = 12},
  [1192] = {.lex_state = 3, .external_lex_state = 12},
  [1193] = {.lex_state = 3, .external_lex_state = 12},
  [1194] = {.lex_state = 3, .external_lex_state = 12},
  [1195] = {.lex_state = 3, .external_lex_state = 12},
  [1196] = {.lex_state = 3, .external_lex_state = 12},
  [1197] = {.lex_state = 3, .external_lex_state = 12},
  [1198] = {.lex_state = 3, .external_lex_state = 12},
  [1199] = {.lex_state = 3, .external_lex_state = 12},
  [1200] = {.lex_state = 3, .external_lex_state = 12},
  [1201] = {.lex_state = 3, .external_lex_state = 12},
  [1202] = {.lex_state = 3, .external_lex_state = 12},
  [1203] = {.lex_state = 3, .external_lex_state = 12},
  [1204] = {.lex_state = 3, .external_lex_state = 12},
  [1205] = {.lex_state = 3, .external_lex_state = 12},
  [1206] = {.lex_state = 3, .external_lex_state = 12},
  [1207] = {.lex_state = 3, .external_lex_state = 12},
  [1208] = {.lex_state = 3, .external_lex_state = 12},
  [1209] = {.lex_state = 3, .external_lex_state = 12},
  [1210] = {.lex_state = 3, .external_lex_state = 12},
  [1211] = {.lex_state = 3, .external_lex_state = 12},
  [1212] = {.lex_state = 3, .external_lex_state = 12},
  [1213] = {.lex_state = 3, .external_lex_state = 12},
  [1214] = {.lex_state = 3, .external_lex_state = 12},
  [1215] = {.lex_state = 3, .external_lex_state = 12},
  [1216] = {.lex_state = 3, .external_lex_state = 12},
  [1217] = {.lex_state = 3, .external_lex_state = 12},
  [1218] = {.lex_state = 3, .external_lex_state = 12},
  [1219] = {.lex_state = 3, .external_lex_state = 12},
  [1220] = {.lex_state = 3, .external_lex_state = 12},
  [1221] = {.lex_state = 3, .external_lex_state = 12},
  [1222] = {.lex_state = 3, .external_lex_state = 12},
  [1223] = {.lex_state = 3, .external_lex_state = 12},
  [1224] = {.lex_state = 3, .external_lex_state = 12},
  [1225] = {.lex_state = 3, .external_lex_state = 12},
  [1226] = {.lex_state = 3, .external_lex_state = 12},
  [1227] = {.lex_state = 3, .external_lex_state = 12},
  [1228] = {.lex_state = 3, .external_lex_state = 12},
  [1229] = {.lex_state = 3, .external_lex_state = 12},
  [1230] = {.lex_state = 3, .external_lex_state = 12},
  [1231] = {.lex_state = 3, .external_lex_state = 12},
  [1232] = {.lex_state = 3, .external_lex_state = 12},
  [1233] = {.lex_state = 3, .external_lex_state = 12},
  [1234] = {.lex_state = 3, .external_lex_state = 12},
  [1235] = {.lex_state = 106, .external_lex_state = 12},
  [1236] = {.lex_state = 106, .external_lex_state = 12},
  [1237] = {.lex_state = 106, .external_lex_state = 12},
  [1238] = {.lex_state = 106, .external_lex_state = 12},
  [1239] = {.lex_state = 106, .external_lex_state = 12},
  [1240] = {.lex_state = 106, .external_lex_state = 13},
  [1241] = {.lex_state = 106, .external_lex_state = 14},
  [1242] = {.lex_state = 106, .external_lex_state = 14},
  [1243] = {.lex_state = 106, .external_lex_state = 13},
  [1244] = {.lex_state = 106, .external_lex_state = 14},
  [1245] = {.lex_state = 106, .external_lex_state = 12},
  [1246] = {.lex_state = 106, .external_lex_state = 12},
  [1247] = {.lex_state = 106, .external_lex_state = 12},
  [1248] = {.lex_state = 106, .external_lex_state = 14},
  [1249] = {.lex_state = 106, .external_lex_state = 14},
  [1250] = {.lex_state = 3, .external_lex_state = 14},
  [1251] = {.lex_state = 106, .external_lex_state = 15},
  [1252] = {.lex_state = 106, .external_lex_state = 15},
  [1253] = {.lex_state = 3, .external_lex_state = 14},
  [1254] = {.lex_state = 3, .external_lex_state = 14},
  [1255] = {.lex_state = 3, .external_lex_state = 14},
  [1256] = {.lex_state = 3, .external_lex_state = 14},
  [1257] = {.lex_state = 3, .external_lex_state = 14},
  [1258] = {.lex_state = 3, .external_lex_state = 14},
  [1259] = {.lex_state = 52, .external_lex_state = 14},
  [1260] = {.lex_state = 3, .external_lex_state = 12},
  [1261] = {.lex_state = 52, .external_lex_state = 14},
  [1262] = {.lex_state = 3, .external_lex_state = 12},
  [1263] = {.lex_state = 52, .external_lex_state = 14},
  [1264] = {.lex_state = 106, .external_lex_state = 14},
  [1265] = {.lex_state = 106, .external_lex_state = 14},
  [1266] = {.lex_state = 106, .external_lex_state = 14},
  [1267] = {.lex_state = 3, .external_lex_state = 14},
  [1268] = {.lex_state = 3, .external_lex_state = 14},
  [1269] = {.lex_state = 3, .external_lex_state = 14},
  [1270] = {.lex_state = 3, .external_lex_state = 14},
  [1271] = {.lex_state = 3, .external_lex_state = 14},
  [1272] = {.lex_state = 3, .external_lex_state = 12},
  [1273] = {.lex_state = 3, .external_lex_state = 14},
  [1274] = {.lex_state = 3, .external_lex_state = 12},
  [1275] = {.lex_state = 3, .external_lex_state = 12},
  [1276] = {.lex_state = 3, .external_lex_state = 12},
  [1277] = {.lex_state = 3, .external_lex_state = 14},
  [1278] = {.lex_state = 3, .external_lex_state = 14},
  [1279] = {.lex_state = 3, .external_lex_state = 14},
  [1280] = {.lex_state = 3, .external_lex_state = 14},
  [1281] = {.lex_state = 3, .external_lex_state = 14},
  [1282] = {.lex_state = 3, .external_lex_state = 14},
  [1283] = {.lex_state = 3, .external_lex_state = 14},
  [1284] = {.lex_state = 3, .external_lex_state = 14},
  [1285] = {.lex_state = 3, .external_lex_state = 14},
  [1286] = {.lex_state = 3, .external_lex_state = 14},
  [1287] = {.lex_state = 3, .external_lex_state = 14},
  [1288] = {.lex_state = 3, .external_lex_state = 12},
  [1289] = {.lex_state = 3, .external_lex_state = 12},
  [1290] = {.lex_state = 3, .external_lex_state = 12},
  [1291] = {.lex_state = 3, .external_lex_state = 12},
  [1292] = {.lex_state = 3, .external_lex_state = 12},
  [1293] = {.lex_state = 3, .external_lex_state = 12},
  [1294] = {.lex_state = 3, .external_lex_state = 12},
  [1295] = {.lex_state = 3, .external_lex_state = 12},
  [1296] = {.lex_state = 3, .external_lex_state = 12},
  [1297] = {.lex_state = 3, .external_lex_state = 12},
  [1298] = {.lex_state = 3, .external_lex_state = 12},
  [1299] = {.lex_state = 3, .external_lex_state = 12},
  [1300] = {.lex_state = 3, .external_lex_state = 12},
  [1301] = {.lex_state = 3, .external_lex_state = 12},
  [1302] = {.lex_state = 3, .external_lex_state = 12},
  [1303] = {.lex_state = 3, .external_lex_state = 12},
  [1304] = {.lex_state = 3, .external_lex_state = 12},
  [1305] = {.lex_state = 3, .external_lex_state = 12},
  [1306] = {.lex_state = 3, .external_lex_state = 12},
  [1307] = {.lex_state = 3, .external_lex_state = 12},
  [1308] = {.lex_state = 3, .external_lex_state = 12},
  [1309] = {.lex_state = 3, .external_lex_state = 12},
  [1310] = {.lex_state = 3, .external_lex_state = 12},
  [1311] = {.lex_state = 3, .external_lex_state = 12},
  [1312] = {.lex_state = 3, .external_lex_state = 12},
  [1313] = {.lex_state = 3, .external_lex_state = 12},
  [1314] = {.lex_state = 3, .external_lex_state = 12},
  [1315] = {.lex_state = 3, .external_lex_state = 14},
  [1316] = {.lex_state = 3, .external_lex_state = 14},
  [1317] = {.lex_state = 3, .external_lex_state = 12},
  [1318] = {.lex_state = 5, .external_lex_state = 14},
  [1319] = {.lex_state = 3, .external_lex_state = 14},
  [1320] = {.lex_state = 53, .external_lex_state = 14},
  [1321] = {.lex_state = 3, .external_lex_state = 14},
  [1322] = {.lex_state = 3, .external_lex_state = 14},
  [1323] = {.lex_state = 3, .external_lex_state = 14},
  [1324] = {.lex_state = 3, .external_lex_state = 14},
  [1325] = {.lex_state = 3, .external_lex_state = 14},
  [1326] = {.lex_state = 3, .external_lex_state = 14},
  [1327] = {.lex_state = 53, .external_lex_state = 14},
  [1328] = {.lex_state = 3, .external_lex_state = 14},
  [1329] = {.lex_state = 52, .external_lex_state = 15},
  [1330] = {.lex_state = 3, .external_lex_state = 14},
  [1331] = {.lex_state = 3, .external_lex_state = 14},
  [1332] = {.lex_state = 3, .external_lex_state = 14},
  [1333] = {.lex_state = 3, .external_lex_state = 14},
  [1334] = {.lex_state = 9, .external_lex_state = 14},
  [1335] = {.lex_state = 7, .external_lex_state = 14},
  [1336] = {.lex_state = 5, .external_lex_state = 14},
  [1337] = {.lex_state = 3, .external_lex_state = 14},
  [1338] = {.lex_state = 53, .external_lex_state = 14},
  [1339] = {.lex_state = 3, .external_lex_state = 14},
  [1340] = {.lex_state = 3, .external_lex_state = 14},
  [1341] = {.lex_state = 53, .external_lex_state = 14},
  [1342] = {.lex_state = 5, .external_lex_state = 14},
  [1343] = {.lex_state = 7, .external_lex_state = 14},
  [1344] = {.lex_state = 7, .external_lex_state = 14},
  [1345] = {.lex_state = 53, .external_lex_state = 14},
  [1346] = {.lex_state = 53, .external_lex_state = 14},
  [1347] = {.lex_state = 7, .external_lex_state = 14},
  [1348] = {.lex_state = 9, .external_lex_state = 14},
  [1349] = {.lex_state = 53, .external_lex_state = 14},
  [1350] = {.lex_state = 53, .external_lex_state = 14},
  [1351] = {.lex_state = 53, .external_lex_state = 14},
  [1352] = {.lex_state = 3, .external_lex_state = 14},
  [1353] = {.lex_state = 53, .external_lex_state = 14},
  [1354] = {.lex_state = 53, .external_lex_state = 14},
  [1355] = {.lex_state = 53, .external_lex_state = 14},
  [1356] = {.lex_state = 3, .external_lex_state = 14},
  [1357] = {.lex_state = 53, .external_lex_state = 14},
  [1358] = {.lex_state = 61, .external_lex_state = 16},
  [1359] = {.lex_state = 53, .external_lex_state = 14},
  [1360] = {.lex_state = 61, .external_lex_state = 16},
  [1361] = {.lex_state = 8, .external_lex_state = 14},
  [1362] = {.lex_state = 3, .external_lex_state = 14},
  [1363] = {.lex_state = 53, .external_lex_state = 14},
  [1364] = {.lex_state = 5, .external_lex_state = 14},
  [1365] = {.lex_state = 53, .external_lex_state = 14},
  [1366] = {.lex_state = 61, .external_lex_state = 16},
  [1367] = {.lex_state = 53, .external_lex_state = 14},
  [1368] = {.lex_state = 61, .external_lex_state = 14},
  [1369] = {.lex_state = 3, .external_lex_state = 14},
  [1370] = {.lex_state = 9, .external_lex_state = 14},
  [1371] = {.lex_state = 53, .external_lex_state = 14},
  [1372] = {.lex_state = 53, .external_lex_state = 14},
  [1373] = {.lex_state = 53, .external_lex_state = 14},
  [1374] = {.lex_state = 61, .external_lex_state = 14},
  [1375] = {.lex_state = 3, .external_lex_state = 14},
  [1376] = {.lex_state = 3, .external_lex_state = 14},
  [1377] = {.lex_state = 61, .external_lex_state = 14},
  [1378] = {.lex_state = 3, .external_lex_state = 14},
  [1379] = {.lex_state = 8, .external_lex_state = 14},
  [1380] = {.lex_state = 52, .external_lex_state = 15},
  [1381] = {.lex_state = 53, .external_lex_state = 14},
  [1382] = {.lex_state = 7, .external_lex_state = 14},
  [1383] = {.lex_state = 7, .external_lex_state = 14},
  [1384] = {.lex_state = 8, .external_lex_state = 14},
  [1385] = {.lex_state = 5, .external_lex_state = 14},
  [1386] = {.lex_state = 3, .external_lex_state = 14},
  [1387] = {.lex_state = 53, .external_lex_state = 14},
  [1388] = {.lex_state = 3, .external_lex_state = 14},
  [1389] = {.lex_state = 53, .external_lex_state = 14},
  [1390] = {.lex_state = 8, .external_lex_state = 14},
  [1391] = {.lex_state = 3, .external_lex_state = 14},
  [1392] = {.lex_state = 3, .external_lex_state = 14},
  [1393] = {.lex_state = 8, .external_lex_state = 14},
  [1394] = {.lex_state = 53, .external_lex_state = 14},
  [1395] = {.lex_state = 3, .external_lex_state = 14},
  [1396] = {.lex_state = 3, .external_lex_state = 14},
  [1397] = {.lex_state = 3, .external_lex_state = 14},
  [1398] = {.lex_state = 3, .external_lex_state = 14},
  [1399] = {.lex_state = 3, .external_lex_state = 14},
  [1400] = {.lex_state = 3, .external_lex_state = 14},
  [1401] = {.lex_state = 3, .external_lex_state = 14},
  [1402] = {.lex_state = 3, .external_lex_state = 14},
  [1403] = {.lex_state = 3, .external_lex_state = 14},
  [1404] = {.lex_state = 3, .external_lex_state = 14},
  [1405] = {.lex_state = 3, .external_lex_state = 14},
  [1406] = {.lex_state = 3, .external_lex_state = 14},
  [1407] = {.lex_state = 3, .external_lex_state = 14},
  [1408] = {.lex_state = 3, .external_lex_state = 14},
  [1409] = {.lex_state = 3, .external_lex_state = 14},
  [1410] = {.lex_state = 61, .external_lex_state = 16},
  [1411] = {.lex_state = 3, .external_lex_state = 14},
  [1412] = {.lex_state = 3, .external_lex_state = 14},
  [1413] = {.lex_state = 3, .external_lex_state = 14},
  [1414] = {.lex_state = 3, .external_lex_state = 14},
  [1415] = {.lex_state = 3, .external_lex_state = 14},
  [1416] = {.lex_state = 61, .external_lex_state = 16},
  [1417] = {.lex_state = 3, .external_lex_state = 14},
  [1418] = {.lex_state = 3, .external_lex_state = 14},
  [1419] = {.lex_state = 3, .external_lex_state = 14},
  [1420] = {.lex_state = 3, .external_lex_state = 14},
  [1421] = {.lex_state = 3, .external_lex_state = 14},
  [1422] = {.lex_state = 3, .external_lex_state = 14},
  [1423] = {.lex_state = 3, .external_lex_state = 14},
  [1424] = {.lex_state = 3, .external_lex_state = 14},
  [1425] = {.lex_state = 3, .external_lex_state = 14},
  [1426] = {.lex_state = 3, .external_lex_state = 14},
  [1427] = {.lex_state = 3, .external_lex_state = 14},
  [1428] = {.lex_state = 3, .external_lex_state = 14},
  [1429] = {.lex_state = 3, .external_lex_state = 14},
  [1430] = {.lex_state = 3, .external_lex_state = 14},
  [1431] = {.lex_state = 3, .external_lex_state = 14},
  [1432] = {.lex_state = 3, .external_lex_state = 14},
  [1433] = {.lex_state = 3, .external_lex_state = 14},
  [1434] = {.lex_state = 3, .external_lex_state = 14},
  [1435] = {.lex_state = 3, .external_lex_state = 14},
  [1436] = {.lex_state = 3, .external_lex_state = 14},
  [1437] = {.lex_state = 3, .external_lex_state = 14},
  [1438] = {.lex_state = 3, .external_lex_state = 14},
  [1439] = {.lex_state = 3, .external_lex_state = 14},
  [1440] = {.lex_state = 3, .external_lex_state = 14},
  [1441] = {.lex_state = 3, .external_lex_state = 14},
  [1442] = {.lex_state = 3, .external_lex_state = 14},
  [1443] = {.lex_state = 3, .external_lex_state = 14},
  [1444] = {.lex_state = 3, .external_lex_state = 14},
  [1445] = {.lex_state = 3, .external_lex_state = 14},
  [1446] = {.lex_state = 3, .external_lex_state = 14},
  [1447] = {.lex_state = 3, .external_lex_state = 14},
  [1448] = {.lex_state = 3, .external_lex_state = 14},
  [1449] = {.lex_state = 52, .external_lex_state = 14},
  [1450] = {.lex_state = 3, .external_lex_state = 14},
  [1451] = {.lex_state = 52, .external_lex_state = 14},
  [1452] = {.lex_state = 3, .external_lex_state = 14},
  [1453] = {.lex_state = 3, .external_lex_state = 14},
  [1454] = {.lex_state = 52, .external_lex_state = 14},
  [1455] = {.lex_state = 3, .external_lex_state = 14},
  [1456] = {.lex_state = 3, .external_lex_state = 14},
  [1457] = {.lex_state = 3, .external_lex_state = 14},
  [1458] = {.lex_state = 3, .external_lex_state = 14},
  [1459] = {.lex_state = 3, .external_lex_state = 14},
  [1460] = {.lex_state = 3, .external_lex_state = 14},
  [1461] = {.lex_state = 3, .external_lex_state = 14},
  [1462] = {.lex_state = 3, .external_lex_state = 14},
  [1463] = {.lex_state = 3, .external_lex_state = 14},
  [1464] = {.lex_state = 53, .external_lex_state = 14},
  [1465] = {.lex_state = 3, .external_lex_state = 14},
  [1466] = {.lex_state = 3, .external_lex_state = 14},
  [1467] = {.lex_state = 3, .external_lex_state = 14},
  [1468] = {.lex_state = 3, .external_lex_state = 14},
  [1469] = {.lex_state = 3, .external_lex_state = 14},
  [1470] = {.lex_state = 53, .external_lex_state = 14},
  [1471] = {.lex_state = 3, .external_lex_state = 14},
  [1472] = {.lex_state = 3, .external_lex_state = 14},
  [1473] = {.lex_state = 3, .external_lex_state = 14},
  [1474] = {.lex_state = 3, .external_lex_state = 14},
  [1475] = {.lex_state = 3, .external_lex_state = 14},
  [1476] = {.lex_state = 3, .external_lex_state = 14},
  [1477] = {.lex_state = 3, .external_lex_state = 14},
  [1478] = {.lex_state = 53, .external_lex_state = 14},
  [1479] = {.lex_state = 3, .external_lex_state = 14},
  [1480] = {.lex_state = 3, .external_lex_state = 14},
  [1481] = {.lex_state = 3, .external_lex_state = 14},
  [1482] = {.lex_state = 3, .external_lex_state = 14},
  [1483] = {.lex_state = 3, .external_lex_state = 14},
  [1484] = {.lex_state = 3, .external_lex_state = 14},
  [1485] = {.lex_state = 3, .external_lex_state = 14},
  [1486] = {.lex_state = 3, .external_lex_state = 14},
  [1487] = {.lex_state = 3, .external_lex_state = 14},
  [1488] = {.lex_state = 3, .external_lex_state = 14},
  [1489] = {.lex_state = 3, .external_lex_state = 14},
  [1490] = {.lex_state = 3, .external_lex_state = 14},
  [1491] = {.lex_state = 3, .external_lex_state = 14},
  [1492] = {.lex_state = 3, .external_lex_state = 14},
  [1493] = {.lex_state = 61, .external_lex_state = 14},
  [1494] = {.lex_state = 3, .external_lex_state = 14},
  [1495] = {.lex_state = 3, .external_lex_state = 14},
  [1496] = {.lex_state = 3, .external_lex_state = 14},
  [1497] = {.lex_state = 3, .external_lex_state = 14},
  [1498] = {.lex_state = 3, .external_lex_state = 14},
  [1499] = {.lex_state = 3, .external_lex_state = 14},
  [1500] = {.lex_state = 3, .external_lex_state = 14},
  [1501] = {.lex_state = 61, .external_lex_state = 14},
  [1502] = {.lex_state = 3, .external_lex_state = 14},
  [1503] = {.lex_state = 3, .external_lex_state = 14},
  [1504] = {.lex_state = 3, .external_lex_state = 14},
  [1505] = {.lex_state = 3, .external_lex_state = 14},
  [1506] = {.lex_state = 3, .external_lex_state = 14},
  [1507] = {.lex_state = 3, .external_lex_state = 14},
  [1508] = {.lex_state = 3, .external_lex_state = 14},
  [1509] = {.lex_state = 3, .external_lex_state = 14},
  [1510] = {.lex_state = 3, .external_lex_state = 14},
  [1511] = {.lex_state = 3, .external_lex_state = 14},
  [1512] = {.lex_state = 3, .external_lex_state = 14},
  [1513] = {.lex_state = 3, .external_lex_state = 14},
  [1514] = {.lex_state = 3, .external_lex_state = 14},
  [1515] = {.lex_state = 3, .external_lex_state = 14},
  [1516] = {.lex_state = 3, .external_lex_state = 14},
  [1517] = {.lex_state = 3, .external_lex_state = 14},
  [1518] = {.lex_state = 3, .external_lex_state = 14},
  [1519] = {.lex_state = 3, .external_lex_state = 14},
  [1520] = {.lex_state = 3, .external_lex_state = 14},
  [1521] = {.lex_state = 3, .external_lex_state = 14},
  [1522] = {.lex_state = 55, .external_lex_state = 14},
  [1523] = {.lex_state = 3, .external_lex_state = 14},
  [1524] = {.lex_state = 3, .external_lex_state = 14},
  [1525] = {.lex_state = 3, .external_lex_state = 14},
  [1526] = {.lex_state = 3, .external_lex_state = 14},
  [1527] = {.lex_state = 3, .external_lex_state = 14},
  [1528] = {.lex_state = 3, .external_lex_state = 14},
  [1529] = {.lex_state = 3, .external_lex_state = 14},
  [1530] = {.lex_state = 3, .external_lex_state = 14},
  [1531] = {.lex_state = 3, .external_lex_state = 14},
  [1532] = {.lex_state = 3, .external_lex_state = 14},
  [1533] = {.lex_state = 3, .external_lex_state = 14},
  [1534] = {.lex_state = 3, .external_lex_state = 14},
  [1535] = {.lex_state = 3, .external_lex_state = 14},
  [1536] = {.lex_state = 3, .external_lex_state = 14},
  [1537] = {.lex_state = 3, .external_lex_state = 14},
  [1538] = {.lex_state = 3, .external_lex_state = 14},
  [1539] = {.lex_state = 3, .external_lex_state = 14},
  [1540] = {.lex_state = 3, .external_lex_state = 14},
  [1541] = {.lex_state = 53, .external_lex_state = 14},
  [1542] = {.lex_state = 60, .external_lex_state = 14},
  [1543] = {.lex_state = 60, .external_lex_state = 14},
  [1544] = {.lex_state = 60, .external_lex_state = 14},
  [1545] = {.lex_state = 60, .external_lex_state = 14},
  [1546] = {.lex_state = 60, .external_lex_state = 14},
  [1547] = {.lex_state = 60, .external_lex_state = 14},
  [1548] = {.lex_state = 60, .external_lex_state = 14},
  [1549] = {.lex_state = 60, .external_lex_state = 14},
  [1550] = {.lex_state = 60, .external_lex_state = 14},
  [1551] = {.lex_state = 60, .external_lex_state = 14},
  [1552] = {.lex_state = 60, .external_lex_state = 14},
  [1553] = {.lex_state = 60, .external_lex_state = 14},
  [1554] = {.lex_state = 60, .external_lex_state = 14},
  [1555] = {.lex_state = 53, .external_lex_state = 14},
  [1556] = {.lex_state = 58, .external_lex_state = 14},
  [1557] = {.lex_state = 53, .external_lex_state = 14},
  [1558] = {.lex_state = 60, .external_lex_state = 14},
  [1559] = {.lex_state = 60, .external_lex_state = 14},
  [1560] = {.lex_state = 53, .external_lex_state = 14},
  [1561] = {.lex_state = 53, .external_lex_state = 14},
  [1562] = {.lex_state = 58, .external_lex_state = 14},
  [1563] = {.lex_state = 53, .external_lex_state = 14},
  [1564] = {.lex_state = 53, .external_lex_state = 14},
  [1565] = {.lex_state = 53, .external_lex_state = 14},
  [1566] = {.lex_state = 56, .external_lex_state = 14},
  [1567] = {.lex_state = 58, .external_lex_state = 14},
  [1568] = {.lex_state = 53, .external_lex_state = 14},
  [1569] = {.lex_state = 60, .external_lex_state = 14},
  [1570] = {.lex_state = 53, .external_lex_state = 14},
  [1571] = {.lex_state = 53, .external_lex_state = 14},
  [1572] = {.lex_state = 56, .external_lex_state = 14},
  [1573] = {.lex_state = 58, .external_lex_state = 14},
  [1574] = {.lex_state = 59, .external_lex_state = 14},
  [1575] = {.lex_state = 55, .external_lex_state = 14},
  [1576] = {.lex_state = 53, .external_lex_state = 14},
  [1577] = {.lex_state = 60, .external_lex_state = 14},
  [1578] = {.lex_state = 59, .external_lex_state = 14},
  [1579] = {.lex_state = 59, .external_lex_state = 14},
  [1580] = {.lex_state = 55, .external_lex_state = 14},
  [1581] = {.lex_state = 55, .external_lex_state = 14},
  [1582] = {.lex_state = 59, .external_lex_state = 14},
  [1583] = {.lex_state = 55, .external_lex_state = 14},
  [1584] = {.lex_state = 60, .external_lex_state = 14},
  [1585] = {.lex_state = 61, .external_lex_state = 15},
  [1586] = {.lex_state = 61, .external_lex_state = 15},
  [1587] = {.lex_state = 60, .external_lex_state = 14},
  [1588] = {.lex_state = 60, .external_lex_state = 14},
  [1589] = {.lex_state = 61, .external_lex_state = 17},
  [1590] = {.lex_state = 61, .external_lex_state = 17},
  [1591] = {.lex_state = 60, .external_lex_state = 14},
  [1592] = {.lex_state = 61, .external_lex_state = 14},
  [1593] = {.lex_state = 61, .external_lex_state = 14},
  [1594] = {.lex_state = 53, .external_lex_state = 14},
  [1595] = {.lex_state = 60, .external_lex_state = 14},
  [1596] = {.lex_state = 53, .external_lex_state = 14},
  [1597] = {.lex_state = 60, .external_lex_state = 16},
  [1598] = {.lex_state = 60, .external_lex_state = 16},
  [1599] = {.lex_state = 58, .external_lex_state = 14},
  [1600] = {.lex_state = 56, .external_lex_state = 14},
  [1601] = {.lex_state = 59, .external_lex_state = 14},
  [1602] = {.lex_state = 60, .external_lex_state = 14},
  [1603] = {.lex_state = 60, .external_lex_state = 14},
  [1604] = {.lex_state = 58, .external_lex_state = 14},
  [1605] = {.lex_state = 53, .external_lex_state = 14},
  [1606] = {.lex_state = 53, .external_lex_state = 14},
  [1607] = {.lex_state = 53, .external_lex_state = 14},
  [1608] = {.lex_state = 53, .external_lex_state = 14},
  [1609] = {.lex_state = 53, .external_lex_state = 14},
  [1610] = {.lex_state = 53, .external_lex_state = 14},
  [1611] = {.lex_state = 53, .external_lex_state = 14},
  [1612] = {.lex_state = 53, .external_lex_state = 14},
  [1613] = {.lex_state = 53, .external_lex_state = 14},
  [1614] = {.lex_state = 53, .external_lex_state = 14},
  [1615] = {.lex_state = 53, .external_lex_state = 14},
  [1616] = {.lex_state = 53, .external_lex_state = 14},
  [1617] = {.lex_state = 53, .external_lex_state = 14},
  [1618] = {.lex_state = 53, .external_lex_state = 14},
  [1619] = {.lex_state = 53, .external_lex_state = 14},
  [1620] = {.lex_state = 53, .external_lex_state = 14},
  [1621] = {.lex_state = 53, .external_lex_state = 14},
  [1622] = {.lex_state = 53, .external_lex_state = 14},
  [1623] = {.lex_state = 53, .external_lex_state = 14},
  [1624] = {.lex_state = 53, .external_lex_state = 14},
  [1625] = {.lex_state = 53, .external_lex_state = 14},
  [1626] = {.lex_state = 53, .external_lex_state = 14},
  [1627] = {.lex_state = 53, .external_lex_state = 14},
  [1628] = {.lex_state = 53, .external_lex_state = 14},
  [1629] = {.lex_state = 53, .external_lex_state = 14},
  [1630] = {.lex_state = 53, .external_lex_state = 14},
  [1631] = {.lex_state = 53, .external_lex_state = 14},
  [1632] = {.lex_state = 53, .external_lex_state = 14},
  [1633] = {.lex_state = 53, .external_lex_state = 14},
  [1634] = {.lex_state = 53, .external_lex_state = 14},
  [1635] = {.lex_state = 53, .external_lex_state = 14},
  [1636] = {.lex_state = 60, .external_lex_state = 16},
  [1637] = {.lex_state = 53, .external_lex_state = 14},
  [1638] = {.lex_state = 53, .external_lex_state = 14},
  [1639] = {.lex_state = 53, .external_lex_state = 14},
  [1640] = {.lex_state = 53, .external_lex_state = 14},
  [1641] = {.lex_state = 53, .external_lex_state = 14},
  [1642] = {.lex_state = 53, .external_lex_state = 14},
  [1643] = {.lex_state = 53, .external_lex_state = 14},
  [1644] = {.lex_state = 60, .external_lex_state = 16},
  [1645] = {.lex_state = 53, .external_lex_state = 14},
  [1646] = {.lex_state = 53, .external_lex_state = 14},
  [1647] = {.lex_state = 53, .external_lex_state = 14},
  [1648] = {.lex_state = 53, .external_lex_state = 14},
  [1649] = {.lex_state = 53, .external_lex_state = 14},
  [1650] = {.lex_state = 53, .external_lex_state = 14},
  [1651] = {.lex_state = 53, .external_lex_state = 14},
  [1652] = {.lex_state = 60, .external_lex_state = 16},
  [1653] = {.lex_state = 60, .external_lex_state = 16},
  [1654] = {.lex_state = 53, .external_lex_state = 14},
  [1655] = {.lex_state = 53, .external_lex_state = 14},
  [1656] = {.lex_state = 53, .external_lex_state = 14},
  [1657] = {.lex_state = 53, .external_lex_state = 14},
  [1658] = {.lex_state = 53, .external_lex_state = 14},
  [1659] = {.lex_state = 53, .external_lex_state = 14},
  [1660] = {.lex_state = 53, .external_lex_state = 14},
  [1661] = {.lex_state = 53, .external_lex_state = 14},
  [1662] = {.lex_state = 53, .external_lex_state = 14},
  [1663] = {.lex_state = 53, .external_lex_state = 14},
  [1664] = {.lex_state = 60, .external_lex_state = 16},
  [1665] = {.lex_state = 53, .external_lex_state = 14},
  [1666] = {.lex_state = 53, .external_lex_state = 14},
  [1667] = {.lex_state = 60, .external_lex_state = 16},
  [1668] = {.lex_state = 53, .external_lex_state = 14},
  [1669] = {.lex_state = 60, .external_lex_state = 16},
  [1670] = {.lex_state = 60, .external_lex_state = 16},
  [1671] = {.lex_state = 60, .external_lex_state = 16},
  [1672] = {.lex_state = 53, .external_lex_state = 14},
  [1673] = {.lex_state = 53, .external_lex_state = 14},
  [1674] = {.lex_state = 53, .external_lex_state = 14},
  [1675] = {.lex_state = 53, .external_lex_state = 14},
  [1676] = {.lex_state = 53, .external_lex_state = 14},
  [1677] = {.lex_state = 53, .external_lex_state = 14},
  [1678] = {.lex_state = 53, .external_lex_state = 14},
  [1679] = {.lex_state = 53, .external_lex_state = 14},
  [1680] = {.lex_state = 60, .external_lex_state = 16},
  [1681] = {.lex_state = 53, .external_lex_state = 14},
  [1682] = {.lex_state = 53, .external_lex_state = 14},
  [1683] = {.lex_state = 53, .external_lex_state = 14},
  [1684] = {.lex_state = 53, .external_lex_state = 14},
  [1685] = {.lex_state = 60, .external_lex_state = 16},
  [1686] = {.lex_state = 53, .external_lex_state = 14},
  [1687] = {.lex_state = 53, .external_lex_state = 14},
  [1688] = {.lex_state = 53, .external_lex_state = 14},
  [1689] = {.lex_state = 53, .external_lex_state = 14},
  [1690] = {.lex_state = 53, .external_lex_state = 14},
  [1691] = {.lex_state = 53, .external_lex_state = 14},
  [1692] = {.lex_state = 53, .external_lex_state = 14},
  [1693] = {.lex_state = 60, .external_lex_state = 16},
  [1694] = {.lex_state = 60, .external_lex_state = 16},
  [1695] = {.lex_state = 60, .external_lex_state = 16},
  [1696] = {.lex_state = 60, .external_lex_state = 16},
  [1697] = {.lex_state = 53, .external_lex_state = 14},
  [1698] = {.lex_state = 53, .external_lex_state = 14},
  [1699] = {.lex_state = 53, .external_lex_state = 14},
  [1700] = {.lex_state = 53, .external_lex_state = 14},
  [1701] = {.lex_state = 53, .external_lex_state = 14},
  [1702] = {.lex_state = 53, .external_lex_state = 14},
  [1703] = {.lex_state = 53, .external_lex_state = 14},
  [1704] = {.lex_state = 53, .external_lex_state = 14},
  [1705] = {.lex_state = 53, .external_lex_state = 14},
  [1706] = {.lex_state = 53, .external_lex_state = 14},
  [1707] = {.lex_state = 53, .external_lex_state = 14},
  [1708] = {.lex_state = 53, .external_lex_state = 14},
  [1709] = {.lex_state = 53, .external_lex_state = 14},
  [1710] = {.lex_state = 53, .external_lex_state = 14},
  [1711] = {.lex_state = 53, .external_lex_state = 14},
  [1712] = {.lex_state = 53, .external_lex_state = 14},
  [1713] = {.lex_state = 53, .external_lex_state = 14},
  [1714] = {.lex_state = 53, .external_lex_state = 14},
  [1715] = {.lex_state = 53, .external_lex_state = 14},
  [1716] = {.lex_state = 53, .external_lex_state = 14},
  [1717] = {.lex_state = 53, .external_lex_state = 14},
  [1718] = {.lex_state = 53, .external_lex_state = 14},
  [1719] = {.lex_state = 53, .external_lex_state = 14},
  [1720] = {.lex_state = 53, .external_lex_state = 14},
  [1721] = {.lex_state = 53, .external_lex_state = 14},
  [1722] = {.lex_state = 53, .external_lex_state = 14},
  [1723] = {.lex_state = 53, .external_lex_state = 14},
  [1724] = {.lex_state = 53, .external_lex_state = 14},
  [1725] = {.lex_state = 53, .external_lex_state = 14},
  [1726] = {.lex_state = 53, .external_lex_state = 14},
  [1727] = {.lex_state = 53, .external_lex_state = 14},
  [1728] = {.lex_state = 53, .external_lex_state = 14},
  [1729] = {.lex_state = 53, .external_lex_state = 14},
  [1730] = {.lex_state = 63, .external_lex_state = 14},
  [1731] = {.lex_state = 53, .external_lex_state = 14},
  [1732] = {.lex_state = 53, .external_lex_state = 14},
  [1733] = {.lex_state = 53, .external_lex_state = 14},
  [1734] = {.lex_state = 53, .external_lex_state = 14},
  [1735] = {.lex_state = 53, .external_lex_state = 14},
  [1736] = {.lex_state = 53, .external_lex_state = 14},
  [1737] = {.lex_state = 53, .external_lex_state = 14},
  [1738] = {.lex_state = 53, .external_lex_state = 14},
  [1739] = {.lex_state = 53, .external_lex_state = 14},
  [1740] = {.lex_state = 53, .external_lex_state = 14},
  [1741] = {.lex_state = 53, .external_lex_state = 14},
  [1742] = {.lex_state = 53, .external_lex_state = 14},
  [1743] = {.lex_state = 53, .external_lex_state = 14},
  [1744] = {.lex_state = 53, .external_lex_state = 14},
  [1745] = {.lex_state = 53, .external_lex_state = 14},
  [1746] = {.lex_state = 53, .external_lex_state = 14},
  [1747] = {.lex_state = 53, .external_lex_state = 14},
  [1748] = {.lex_state = 53, .external_lex_state = 14},
  [1749] = {.lex_state = 53, .external_lex_state = 14},
  [1750] = {.lex_state = 61, .external_lex_state = 14},
  [1751] = {.lex_state = 61, .external_lex_state = 14},
  [1752] = {.lex_state = 53, .external_lex_state = 14},
  [1753] = {.lex_state = 61, .external_lex_state = 14},
  [1754] = {.lex_state = 53, .external_lex_state = 14},
  [1755] = {.lex_state = 53, .external_lex_state = 14},
  [1756] = {.lex_state = 53, .external_lex_state = 14},
  [1757] = {.lex_state = 61, .external_lex_state = 16},
  [1758] = {.lex_state = 61, .external_lex_state = 16},
  [1759] = {.lex_state = 61, .external_lex_state = 16},
  [1760] = {.lex_state = 60, .external_lex_state = 16},
  [1761] = {.lex_state = 53, .external_lex_state = 14},
  [1762] = {.lex_state = 53, .external_lex_state = 14},
  [1763] = {.lex_state = 60, .external_lex_state = 16},
  [1764] = {.lex_state = 60, .external_lex_state = 16},
  [1765] = {.lex_state = 53, .external_lex_state = 14},
  [1766] = {.lex_state = 53, .external_lex_state = 14},
  [1767] = {.lex_state = 53, .external_lex_state = 14},
  [1768] = {.lex_state = 60, .external_lex_state = 16},
  [1769] = {.lex_state = 53, .external_lex_state = 14},
  [1770] = {.lex_state = 60, .external_lex_state = 16},
  [1771] = {.lex_state = 60, .external_lex_state = 16},
  [1772] = {.lex_state = 60, .external_lex_state = 16},
  [1773] = {.lex_state = 53, .external_lex_state = 14},
  [1774] = {.lex_state = 53, .external_lex_state = 14},
  [1775] = {.lex_state = 53, .external_lex_state = 14},
  [1776] = {.lex_state = 53, .external_lex_state = 14},
  [1777] = {.lex_state = 60, .external_lex_state = 14},
  [1778] = {.lex_state = 60, .external_lex_state = 14},
  [1779] = {.lex_state = 60, .external_lex_state = 14},
  [1780] = {.lex_state = 53, .external_lex_state = 14},
  [1781] = {.lex_state = 53, .external_lex_state = 14},
  [1782] = {.lex_state = 66, .external_lex_state = 14},
  [1783] = {.lex_state = 60, .external_lex_state = 14},
  [1784] = {.lex_state = 60, .external_lex_state = 16},
  [1785] = {.lex_state = 66, .external_lex_state = 14},
  [1786] = {.lex_state = 64, .external_lex_state = 14},
  [1787] = {.lex_state = 3, .external_lex_state = 14},
  [1788] = {.lex_state = 3, .external_lex_state = 14},
  [1789] = {.lex_state = 63, .external_lex_state = 14},
  [1790] = {.lex_state = 63, .external_lex_state = 16},
  [1791] = {.lex_state = 67, .external_lex_state = 14},
  [1792] = {.lex_state = 67, .external_lex_state = 14},
  [1793] = {.lex_state = 66, .external_lex_state = 14},
  [1794] = {.lex_state = 67, .external_lex_state = 14},
  [1795] = {.lex_state = 63, .external_lex_state = 14},
  [1796] = {.lex_state = 67, .external_lex_state = 14},
  [1797] = {.lex_state = 53, .external_lex_state = 14},
  [1798] = {.lex_state = 63, .external_lex_state = 14},
  [1799] = {.lex_state = 60, .external_lex_state = 14},
  [1800] = {.lex_state = 66, .external_lex_state = 14},
  [1801] = {.lex_state = 60, .external_lex_state = 14},
  [1802] = {.lex_state = 60, .external_lex_state = 16},
  [1803] = {.lex_state = 60, .external_lex_state = 14},
  [1804] = {.lex_state = 63, .external_lex_state = 14},
  [1805] = {.lex_state = 67, .external_lex_state = 14},
  [1806] = {.lex_state = 60, .external_lex_state = 14},
  [1807] = {.lex_state = 60, .external_lex_state = 16},
  [1808] = {.lex_state = 64, .external_lex_state = 14},
  [1809] = {.lex_state = 60, .external_lex_state = 14},
  [1810] = {.lex_state = 60, .external_lex_state = 14},
  [1811] = {.lex_state = 60, .external_lex_state = 14},
  [1812] = {.lex_state = 64, .external_lex_state = 14},
  [1813] = {.lex_state = 66, .external_lex_state = 14},
  [1814] = {.lex_state = 3, .external_lex_state = 14},
  [1815] = {.lex_state = 60, .external_lex_state = 14},
  [1816] = {.lex_state = 60, .external_lex_state = 14},
  [1817] = {.lex_state = 66, .external_lex_state = 14},
  [1818] = {.lex_state = 60, .external_lex_state = 14},
  [1819] = {.lex_state = 53, .external_lex_state = 14},
  [1820] = {.lex_state = 60, .external_lex_state = 14},
  [1821] = {.lex_state = 60, .external_lex_state = 14},
  [1822] = {.lex_state = 60, .external_lex_state = 14},
  [1823] = {.lex_state = 60, .external_lex_state = 14},
  [1824] = {.lex_state = 60, .external_lex_state = 14},
  [1825] = {.lex_state = 60, .external_lex_state = 14},
  [1826] = {.lex_state = 60, .external_lex_state = 14},
  [1827] = {.lex_state = 60, .external_lex_state = 14},
  [1828] = {.lex_state = 60, .external_lex_state = 14},
  [1829] = {.lex_state = 60, .external_lex_state = 14},
  [1830] = {.lex_state = 60, .external_lex_state = 14},
  [1831] = {.lex_state = 60, .external_lex_state = 14},
  [1832] = {.lex_state = 60, .external_lex_state = 14},
  [1833] = {.lex_state = 60, .external_lex_state = 14},
  [1834] = {.lex_state = 60, .external_lex_state = 14},
  [1835] = {.lex_state = 60, .external_lex_state = 14},
  [1836] = {.lex_state = 60, .external_lex_state = 14},
  [1837] = {.lex_state = 60, .external_lex_state = 14},
  [1838] = {.lex_state = 60, .external_lex_state = 14},
  [1839] = {.lex_state = 60, .external_lex_state = 14},
  [1840] = {.lex_state = 60, .external_lex_state = 14},
  [1841] = {.lex_state = 60, .external_lex_state = 14},
  [1842] = {.lex_state = 60, .external_lex_state = 14},
  [1843] = {.lex_state = 60, .external_lex_state = 14},
  [1844] = {.lex_state = 60, .external_lex_state = 14},
  [1845] = {.lex_state = 60, .external_lex_state = 14},
  [1846] = {.lex_state = 60, .external_lex_state = 14},
  [1847] = {.lex_state = 60, .external_lex_state = 14},
  [1848] = {.lex_state = 60, .external_lex_state = 14},
  [1849] = {.lex_state = 60, .external_lex_state = 14},
  [1850] = {.lex_state = 60, .external_lex_state = 14},
  [1851] = {.lex_state = 60, .external_lex_state = 16},
  [1852] = {.lex_state = 66, .external_lex_state = 16},
  [1853] = {.lex_state = 60, .external_lex_state = 14},
  [1854] = {.lex_state = 60, .external_lex_state = 14},
  [1855] = {.lex_state = 60, .external_lex_state = 14},
  [1856] = {.lex_state = 60, .external_lex_state = 16},
  [1857] = {.lex_state = 60, .external_lex_state = 14},
  [1858] = {.lex_state = 60, .external_lex_state = 14},
  [1859] = {.lex_state = 60, .external_lex_state = 16},
  [1860] = {.lex_state = 60, .external_lex_state = 16},
  [1861] = {.lex_state = 60, .external_lex_state = 14},
  [1862] = {.lex_state = 60, .external_lex_state = 16},
  [1863] = {.lex_state = 60, .external_lex_state = 14},
  [1864] = {.lex_state = 60, .external_lex_state = 16},
  [1865] = {.lex_state = 60, .external_lex_state = 14},
  [1866] = {.lex_state = 66, .external_lex_state = 16},
  [1867] = {.lex_state = 60, .external_lex_state = 16},
  [1868] = {.lex_state = 60, .external_lex_state = 14},
  [1869] = {.lex_state = 60, .external_lex_state = 14},
  [1870] = {.lex_state = 60, .external_lex_state = 14},
  [1871] = {.lex_state = 60, .external_lex_state = 16},
  [1872] = {.lex_state = 60, .external_lex_state = 14},
  [1873] = {.lex_state = 60, .external_lex_state = 16},
  [1874] = {.lex_state = 60, .external_lex_state = 16},
  [1875] = {.lex_state = 64, .external_lex_state = 16},
  [1876] = {.lex_state = 66, .external_lex_state = 16},
  [1877] = {.lex_state = 60, .external_lex_state = 14},
  [1878] = {.lex_state = 60, .external_lex_state = 16},
  [1879] = {.lex_state = 60, .external_lex_state = 16},
  [1880] = {.lex_state = 66, .external_lex_state = 16},
  [1881] = {.lex_state = 60, .external_lex_state = 16},
  [1882] = {.lex_state = 60, .external_lex_state = 16},
  [1883] = {.lex_state = 60, .external_lex_state = 16},
  [1884] = {.lex_state = 64, .external_lex_state = 16},
  [1885] = {.lex_state = 66, .external_lex_state = 16},
  [1886] = {.lex_state = 67, .external_lex_state = 16},
  [1887] = {.lex_state = 63, .external_lex_state = 16},
  [1888] = {.lex_state = 60, .external_lex_state = 14},
  [1889] = {.lex_state = 60, .external_lex_state = 14},
  [1890] = {.lex_state = 60, .external_lex_state = 14},
  [1891] = {.lex_state = 60, .external_lex_state = 14},
  [1892] = {.lex_state = 60, .external_lex_state = 14},
  [1893] = {.lex_state = 60, .external_lex_state = 14},
  [1894] = {.lex_state = 60, .external_lex_state = 16},
  [1895] = {.lex_state = 60, .external_lex_state = 14},
  [1896] = {.lex_state = 60, .external_lex_state = 16},
  [1897] = {.lex_state = 60, .external_lex_state = 14},
  [1898] = {.lex_state = 60, .external_lex_state = 14},
  [1899] = {.lex_state = 67, .external_lex_state = 16},
  [1900] = {.lex_state = 67, .external_lex_state = 16},
  [1901] = {.lex_state = 63, .external_lex_state = 16},
  [1902] = {.lex_state = 60, .external_lex_state = 16},
  [1903] = {.lex_state = 63, .external_lex_state = 16},
  [1904] = {.lex_state = 60, .external_lex_state = 16},
  [1905] = {.lex_state = 60, .external_lex_state = 14},
  [1906] = {.lex_state = 60, .external_lex_state = 14},
  [1907] = {.lex_state = 60, .external_lex_state = 14},
  [1908] = {.lex_state = 60, .external_lex_state = 14},
  [1909] = {.lex_state = 66, .external_lex_state = 16},
  [1910] = {.lex_state = 64, .external_lex_state = 16},
  [1911] = {.lex_state = 67, .external_lex_state = 16},
  [1912] = {.lex_state = 67, .external_lex_state = 16},
  [1913] = {.lex_state = 63, .external_lex_state = 16},
  [1914] = {.lex_state = 60, .external_lex_state = 14},
  [1915] = {.lex_state = 60, .external_lex_state = 14},
  [1916] = {.lex_state = 60, .external_lex_state = 14},
  [1917] = {.lex_state = 60, .external_lex_state = 14},
  [1918] = {.lex_state = 60, .external_lex_state = 14},
  [1919] = {.lex_state = 60, .external_lex_state = 16},
  [1920] = {.lex_state = 60, .external_lex_state = 14},
  [1921] = {.lex_state = 60, .external_lex_state = 14},
  [1922] = {.lex_state = 60, .external_lex_state = 14},
  [1923] = {.lex_state = 60, .external_lex_state = 14},
  [1924] = {.lex_state = 60, .external_lex_state = 14},
  [1925] = {.lex_state = 60, .external_lex_state = 14},
  [1926] = {.lex_state = 60, .external_lex_state = 16},
  [1927] = {.lex_state = 60, .external_lex_state = 14},
  [1928] = {.lex_state = 60, .external_lex_state = 14},
  [1929] = {.lex_state = 60, .external_lex_state = 14},
  [1930] = {.lex_state = 60, .external_lex_state = 14},
  [1931] = {.lex_state = 60, .external_lex_state = 14},
  [1932] = {.lex_state = 60, .external_lex_state = 14},
  [1933] = {.lex_state = 60, .external_lex_state = 14},
  [1934] = {.lex_state = 60, .external_lex_state = 14},
  [1935] = {.lex_state = 60, .external_lex_state = 14},
  [1936] = {.lex_state = 60, .external_lex_state = 14},
  [1937] = {.lex_state = 60, .external_lex_state = 14},
  [1938] = {.lex_state = 60, .external_lex_state = 14},
  [1939] = {.lex_state = 60, .external_lex_state = 14},
  [1940] = {.lex_state = 60, .external_lex_state = 14},
  [1941] = {.lex_state = 60, .external_lex_state = 14},
  [1942] = {.lex_state = 60, .external_lex_state = 14},
  [1943] = {.lex_state = 60, .external_lex_state = 14},
  [1944] = {.lex_state = 60, .external_lex_state = 14},
  [1945] = {.lex_state = 60, .external_lex_state = 14},
  [1946] = {.lex_state = 60, .external_lex_state = 14},
  [1947] = {.lex_state = 60, .external_lex_state = 14},
  [1948] = {.lex_state = 60, .external_lex_state = 14},
  [1949] = {.lex_state = 60, .external_lex_state = 14},
  [1950] = {.lex_state = 60, .external_lex_state = 16},
  [1951] = {.lex_state = 60, .external_lex_state = 16},
  [1952] = {.lex_state = 60, .external_lex_state = 16},
  [1953] = {.lex_state = 60, .external_lex_state = 14},
  [1954] = {.lex_state = 60, .external_lex_state = 16},
  [1955] = {.lex_state = 60, .external_lex_state = 14},
  [1956] = {.lex_state = 60, .external_lex_state = 14},
  [1957] = {.lex_state = 60, .external_lex_state = 14},
  [1958] = {.lex_state = 60, .external_lex_state = 14},
  [1959] = {.lex_state = 60, .external_lex_state = 14},
  [1960] = {.lex_state = 60, .external_lex_state = 14},
  [1961] = {.lex_state = 60, .external_lex_state = 14},
  [1962] = {.lex_state = 60, .external_lex_state = 14},
  [1963] = {.lex_state = 60, .external_lex_state = 14},
  [1964] = {.lex_state = 60, .external_lex_state = 14},
  [1965] = {.lex_state = 60, .external_lex_state = 14},
  [1966] = {.lex_state = 60, .external_lex_state = 14},
  [1967] = {.lex_state = 60, .external_lex_state = 14},
  [1968] = {.lex_state = 60, .external_lex_state = 14},
  [1969] = {.lex_state = 60, .external_lex_state = 14},
  [1970] = {.lex_state = 60, .external_lex_state = 14},
  [1971] = {.lex_state = 60, .external_lex_state = 14},
  [1972] = {.lex_state = 60, .external_lex_state = 14},
  [1973] = {.lex_state = 60, .external_lex_state = 14},
  [1974] = {.lex_state = 60, .external_lex_state = 14},
  [1975] = {.lex_state = 60, .external_lex_state = 14},
  [1976] = {.lex_state = 60, .external_lex_state = 14},
  [1977] = {.lex_state = 60, .external_lex_state = 14},
  [1978] = {.lex_state = 60, .external_lex_state = 14},
  [1979] = {.lex_state = 60, .external_lex_state = 14},
  [1980] = {.lex_state = 60, .external_lex_state = 14},
  [1981] = {.lex_state = 60, .external_lex_state = 14},
  [1982] = {.lex_state = 60, .external_lex_state = 14},
  [1983] = {.lex_state = 60, .external_lex_state = 14},
  [1984] = {.lex_state = 60, .external_lex_state = 16},
  [1985] = {.lex_state = 60, .external_lex_state = 16},
  [1986] = {.lex_state = 60, .external_lex_state = 16},
  [1987] = {.lex_state = 60, .external_lex_state = 16},
  [1988] = {.lex_state = 60, .external_lex_state = 16},
  [1989] = {.lex_state = 60, .external_lex_state = 16},
  [1990] = {.lex_state = 60, .external_lex_state = 16},
  [1991] = {.lex_state = 60, .external_lex_state = 16},
  [1992] = {.lex_state = 60, .external_lex_state = 16},
  [1993] = {.lex_state = 60, .external_lex_state = 16},
  [1994] = {.lex_state = 60, .external_lex_state = 16},
  [1995] = {.lex_state = 60, .external_lex_state = 16},
  [1996] = {.lex_state = 60, .external_lex_state = 16},
  [1997] = {.lex_state = 60, .external_lex_state = 16},
  [1998] = {.lex_state = 60, .external_lex_state = 16},
  [1999] = {.lex_state = 60, .external_lex_state = 16},
  [2000] = {.lex_state = 60, .external_lex_state = 16},
  [2001] = {.lex_state = 60, .external_lex_state = 16},
  [2002] = {.lex_state = 60, .external_lex_state = 16},
  [2003] = {.lex_state = 60, .external_lex_state = 16},
  [2004] = {.lex_state = 60, .external_lex_state = 16},
  [2005] = {.lex_state = 60, .external_lex_state = 16},
  [2006] = {.lex_state = 60, .external_lex_state = 16},
  [2007] = {.lex_state = 60, .external_lex_state = 16},
  [2008] = {.lex_state = 60, .external_lex_state = 16},
  [2009] = {.lex_state = 60, .external_lex_state = 16},
  [2010] = {.lex_state = 60, .external_lex_state = 16},
  [2011] = {.lex_state = 60, .external_lex_state = 16},
  [2012] = {.lex_state = 60, .external_lex_state = 16},
  [2013] = {.lex_state = 60, .external_lex_state = 16},
  [2014] = {.lex_state = 60, .external_lex_state = 16},
  [2015] = {.lex_state = 60, .external_lex_state = 16},
  [2016] = {.lex_state = 60, .external_lex_state = 16},
  [2017] = {.lex_state = 60, .external_lex_state = 16},
  [2018] = {.lex_state = 60, .external_lex_state = 16},
  [2019] = {.lex_state = 60, .external_lex_state = 16},
  [2020] = {.lex_state = 60, .external_lex_state = 16},
  [2021] = {.lex_state = 60, .external_lex_state = 16},
  [2022] = {.lex_state = 60, .external_lex_state = 16},
  [2023] = {.lex_state = 60, .external_lex_state = 16},
  [2024] = {.lex_state = 60, .external_lex_state = 16},
  [2025] = {.lex_state = 60, .external_lex_state = 16},
  [2026] = {.lex_state = 60, .external_lex_state = 16},
  [2027] = {.lex_state = 60, .external_lex_state = 16},
  [2028] = {.lex_state = 60, .external_lex_state = 16},
  [2029] = {.lex_state = 60, .external_lex_state = 16},
  [2030] = {.lex_state = 60, .external_lex_state = 16},
  [2031] = {.lex_state = 60, .external_lex_state = 16},
  [2032] = {.lex_state = 60, .external_lex_state = 16},
  [2033] = {.lex_state = 60, .external_lex_state = 16},
  [2034] = {.lex_state = 60, .external_lex_state = 16},
  [2035] = {.lex_state = 60, .external_lex_state = 16},
  [2036] = {.lex_state = 60, .external_lex_state = 16},
  [2037] = {.lex_state = 60, .external_lex_state = 16},
  [2038] = {.lex_state = 60, .external_lex_state = 16},
  [2039] = {.lex_state = 60, .external_lex_state = 16},
  [2040] = {.lex_state = 60, .external_lex_state = 16},
  [2041] = {.lex_state = 60, .external_lex_state = 16},
  [2042] = {.lex_state = 60, .external_lex_state = 16},
  [2043] = {.lex_state = 60, .external_lex_state = 16},
  [2044] = {.lex_state = 60, .external_lex_state = 16},
  [2045] = {.lex_state = 60, .external_lex_state = 16},
  [2046] = {.lex_state = 60, .external_lex_state = 16},
  [2047] = {.lex_state = 60, .external_lex_state = 16},
  [2048] = {.lex_state = 60, .external_lex_state = 16},
  [2049] = {.lex_state = 60, .external_lex_state = 16},
  [2050] = {.lex_state = 60, .external_lex_state = 16},
  [2051] = {.lex_state = 60, .external_lex_state = 16},
  [2052] = {.lex_state = 60, .external_lex_state = 14},
  [2053] = {.lex_state = 60, .external_lex_state = 16},
  [2054] = {.lex_state = 60, .external_lex_state = 16},
  [2055] = {.lex_state = 60, .external_lex_state = 16},
  [2056] = {.lex_state = 60, .external_lex_state = 16},
  [2057] = {.lex_state = 60, .external_lex_state = 16},
  [2058] = {.lex_state = 60, .external_lex_state = 16},
  [2059] = {.lex_state = 60, .external_lex_state = 16},
  [2060] = {.lex_state = 60, .external_lex_state = 16},
  [2061] = {.lex_state = 60, .external_lex_state = 16},
  [2062] = {.lex_state = 60, .external_lex_state = 14},
  [2063] = {.lex_state = 60, .external_lex_state = 14},
  [2064] = {.lex_state = 60, .external_lex_state = 16},
  [2065] = {.lex_state = 60, .external_lex_state = 14},
  [2066] = {.lex_state = 60, .external_lex_state = 14},
  [2067] = {.lex_state = 60, .external_lex_state = 16},
  [2068] = {.lex_state = 60, .external_lex_state = 14},
  [2069] = {.lex_state = 60, .external_lex_state = 16},
  [2070] = {.lex_state = 60, .external_lex_state = 14},
  [2071] = {.lex_state = 60, .external_lex_state = 16},
  [2072] = {.lex_state = 60, .external_lex_state = 16},
  [2073] = {.lex_state = 60, .external_lex_state = 14},
  [2074] = {.lex_state = 60, .external_lex_state = 14},
  [2075] = {.lex_state = 60, .external_lex_state = 14},
  [2076] = {.lex_state = 60, .external_lex_state = 16},
  [2077] = {.lex_state = 60, .external_lex_state = 16},
  [2078] = {.lex_state = 60, .external_lex_state = 14},
  [2079] = {.lex_state = 60, .external_lex_state = 16},
  [2080] = {.lex_state = 60, .external_lex_state = 16},
  [2081] = {.lex_state = 60, .external_lex_state = 16},
  [2082] = {.lex_state = 60, .external_lex_state = 14},
  [2083] = {.lex_state = 60, .external_lex_state = 16},
  [2084] = {.lex_state = 60, .external_lex_state = 16},
  [2085] = {.lex_state = 60, .external_lex_state = 16},
  [2086] = {.lex_state = 60, .external_lex_state = 16},
  [2087] = {.lex_state = 60, .external_lex_state = 16},
  [2088] = {.lex_state = 60, .external_lex_state = 14},
  [2089] = {.lex_state = 60, .external_lex_state = 16},
  [2090] = {.lex_state = 60, .external_lex_state = 16},
  [2091] = {.lex_state = 60, .external_lex_state = 16},
  [2092] = {.lex_state = 60, .external_lex_state = 16},
  [2093] = {.lex_state = 60, .external_lex_state = 16},
  [2094] = {.lex_state = 60, .external_lex_state = 16},
  [2095] = {.lex_state = 60, .external_lex_state = 16},
  [2096] = {.lex_state = 60, .external_lex_state = 16},
  [2097] = {.lex_state = 60, .external_lex_state = 16},
  [2098] = {.lex_state = 60, .external_lex_state = 16},
  [2099] = {.lex_state = 60, .external_lex_state = 16},
  [2100] = {.lex_state = 60, .external_lex_state = 16},
  [2101] = {.lex_state = 60, .external_lex_state = 16},
  [2102] = {.lex_state = 60, .external_lex_state = 16},
  [2103] = {.lex_state = 60, .external_lex_state = 16},
  [2104] = {.lex_state = 60, .external_lex_state = 16},
  [2105] = {.lex_state = 60, .external_lex_state = 16},
  [2106] = {.lex_state = 60, .external_lex_state = 16},
  [2107] = {.lex_state = 60, .external_lex_state = 16},
  [2108] = {.lex_state = 60, .external_lex_state = 16},
  [2109] = {.lex_state = 60, .external_lex_state = 16},
  [2110] = {.lex_state = 60, .external_lex_state = 16},
  [2111] = {.lex_state = 60, .external_lex_state = 16},
  [2112] = {.lex_state = 60, .external_lex_state = 16},
  [2113] = {.lex_state = 60, .external_lex_state = 16},
  [2114] = {.lex_state = 60, .external_lex_state = 16},
  [2115] = {.lex_state = 60, .external_lex_state = 16},
  [2116] = {.lex_state = 60, .external_lex_state = 14},
  [2117] = {.lex_state = 60, .external_lex_state = 14},
  [2118] = {.lex_state = 60, .external_lex_state = 14},
  [2119] = {.lex_state = 60, .external_lex_state = 16},
  [2120] = {.lex_state = 60, .external_lex_state = 16},
  [2121] = {.lex_state = 60, .external_lex_state = 14},
  [2122] = {.lex_state = 60, .external_lex_state = 14},
  [2123] = {.lex_state = 60, .external_lex_state = 14},
  [2124] = {.lex_state = 60, .external_lex_state = 14},
  [2125] = {.lex_state = 60, .external_lex_state = 14},
  [2126] = {.lex_state = 60, .external_lex_state = 14},
  [2127] = {.lex_state = 60, .external_lex_state = 14},
  [2128] = {.lex_state = 60, .external_lex_state = 14},
  [2129] = {.lex_state = 60, .external_lex_state = 14},
  [2130] = {.lex_state = 60, .external_lex_state = 14},
  [2131] = {.lex_state = 60, .external_lex_state = 14},
  [2132] = {.lex_state = 60, .external_lex_state = 14},
  [2133] = {.lex_state = 60, .external_lex_state = 14},
  [2134] = {.lex_state = 60, .external_lex_state = 16},
  [2135] = {.lex_state = 60, .external_lex_state = 16},
  [2136] = {.lex_state = 60, .external_lex_state = 16},
  [2137] = {.lex_state = 60, .external_lex_state = 16},
  [2138] = {.lex_state = 60, .external_lex_state = 16},
  [2139] = {.lex_state = 60, .external_lex_state = 16},
  [2140] = {.lex_state = 60, .external_lex_state = 16},
  [2141] = {.lex_state = 60, .external_lex_state = 14},
  [2142] = {.lex_state = 60, .external_lex_state = 16},
  [2143] = {.lex_state = 60, .external_lex_state = 16},
  [2144] = {.lex_state = 60, .external_lex_state = 16},
  [2145] = {.lex_state = 60, .external_lex_state = 16},
  [2146] = {.lex_state = 60, .external_lex_state = 16},
  [2147] = {.lex_state = 60, .external_lex_state = 16},
  [2148] = {.lex_state = 60, .external_lex_state = 16},
  [2149] = {.lex_state = 60, .external_lex_state = 14},
  [2150] = {.lex_state = 60, .external_lex_state = 14},
  [2151] = {.lex_state = 60, .external_lex_state = 14},
  [2152] = {.lex_state = 60, .external_lex_state = 14},
  [2153] = {.lex_state = 60, .external_lex_state = 14},
  [2154] = {.lex_state = 60, .external_lex_state = 14},
  [2155] = {.lex_state = 60, .external_lex_state = 14},
  [2156] = {.lex_state = 60, .external_lex_state = 14},
  [2157] = {.lex_state = 60, .external_lex_state = 14},
  [2158] = {.lex_state = 60, .external_lex_state = 14},
  [2159] = {.lex_state = 60, .external_lex_state = 14},
  [2160] = {.lex_state = 60, .external_lex_state = 14},
  [2161] = {.lex_state = 60, .external_lex_state = 14},
  [2162] = {.lex_state = 60, .external_lex_state = 14},
  [2163] = {.lex_state = 60, .external_lex_state = 14},
  [2164] = {.lex_state = 60, .external_lex_state = 14},
  [2165] = {.lex_state = 60, .external_lex_state = 14},
  [2166] = {.lex_state = 60, .external_lex_state = 14},
  [2167] = {.lex_state = 60, .external_lex_state = 14},
  [2168] = {.lex_state = 60, .external_lex_state = 14},
  [2169] = {.lex_state = 60, .external_lex_state = 14},
  [2170] = {.lex_state = 60, .external_lex_state = 14},
  [2171] = {.lex_state = 60, .external_lex_state = 14},
  [2172] = {.lex_state = 60, .external_lex_state = 14},
  [2173] = {.lex_state = 60, .external_lex_state = 14},
  [2174] = {.lex_state = 60, .external_lex_state = 14},
  [2175] = {.lex_state = 60, .external_lex_state = 14},
  [2176] = {.lex_state = 60, .external_lex_state = 14},
  [2177] = {.lex_state = 60, .external_lex_state = 14},
  [2178] = {.lex_state = 60, .external_lex_state = 14},
  [2179] = {.lex_state = 60, .external_lex_state = 14},
  [2180] = {.lex_state = 60, .external_lex_state = 14},
  [2181] = {.lex_state = 60, .external_lex_state = 14},
  [2182] = {.lex_state = 60, .external_lex_state = 14},
  [2183] = {.lex_state = 60, .external_lex_state = 14},
  [2184] = {.lex_state = 60, .external_lex_state = 14},
  [2185] = {.lex_state = 60, .external_lex_state = 14},
  [2186] = {.lex_state = 60, .external_lex_state = 14},
  [2187] = {.lex_state = 60, .external_lex_state = 14},
  [2188] = {.lex_state = 60, .external_lex_state = 14},
  [2189] = {.lex_state = 60, .external_lex_state = 14},
  [2190] = {.lex_state = 60, .external_lex_state = 14},
  [2191] = {.lex_state = 60, .external_lex_state = 14},
  [2192] = {.lex_state = 60, .external_lex_state = 14},
  [2193] = {.lex_state = 60, .external_lex_state = 14},
  [2194] = {.lex_state = 60, .external_lex_state = 14},
  [2195] = {.lex_state = 60, .external_lex_state = 14},
  [2196] = {.lex_state = 60, .external_lex_state = 14},
  [2197] = {.lex_state = 60, .external_lex_state = 14},
  [2198] = {.lex_state = 60, .external_lex_state = 14},
  [2199] = {.lex_state = 60, .external_lex_state = 14},
  [2200] = {.lex_state = 10, .external_lex_state = 18},
  [2201] = {.lex_state = 10, .external_lex_state = 18},
  [2202] = {.lex_state = 10, .external_lex_state = 18},
  [2203] = {.lex_state = 10, .external_lex_state = 18},
  [2204] = {.lex_state = 10, .external_lex_state = 18},
  [2205] = {.lex_state = 10, .external_lex_state = 18},
  [2206] = {.lex_state = 10, .external_lex_state = 18},
  [2207] = {.lex_state = 10, .external_lex_state = 18},
  [2208] = {.lex_state = 10, .external_lex_state = 18},
  [2209] = {.lex_state = 10, .external_lex_state = 18},
  [2210] = {.lex_state = 10, .external_lex_state = 19},
  [2211] = {.lex_state = 10, .external_lex_state = 19},
  [2212] = {.lex_state = 10, .external_lex_state = 19},
  [2213] = {.lex_state = 10, .external_lex_state = 19},
  [2214] = {.lex_state = 10, .external_lex_state = 19},
  [2215] = {.lex_state = 10, .external_lex_state = 19},
  [2216] = {.lex_state = 10, .external_lex_state = 19},
  [2217] = {.lex_state = 10, .external_lex_state = 19},
  [2218] = {.lex_state = 10, .external_lex_state = 19},
  [2219] = {.lex_state = 10, .external_lex_state = 19},
  [2220] = {.lex_state = 10, .external_lex_state = 19},
  [2221] = {.lex_state = 10, .external_lex_state = 19},
  [2222] = {.lex_state = 10, .external_lex_state = 19},
  [2223] = {.lex_state = 10, .external_lex_state = 19},
  [2224] = {.lex_state = 10, .external_lex_state = 19},
  [2225] = {.lex_state = 10, .external_lex_state = 19},
  [2226] = {.lex_state = 10, .external_lex_state = 19},
  [2227] = {.lex_state = 10, .external_lex_state = 19},
  [2228] = {.lex_state = 10, .external_lex_state = 19},
  [2229] = {.lex_state = 10, .external_lex_state = 19},
  [2230] = {.lex_state = 10, .external_lex_state = 19},
  [2231] = {.lex_state = 10, .external_lex_state = 19},
  [2232] = {.lex_state = 10, .external_lex_state = 19},
  [2233] = {.lex_state = 10, .external_lex_state = 19},
  [2234] = {.lex_state = 10, .external_lex_state = 19},
  [2235] = {.lex_state = 10, .external_lex_state = 19},
  [2236] = {.lex_state = 10, .external_lex_state = 19},
  [2237] = {.lex_state = 10, .external_lex_state = 19},
  [2238] = {.lex_state = 10, .external_lex_state = 19},
  [2239] = {.lex_state = 10, .external_lex_state = 19},
  [2240] = {.lex_state = 10, .external_lex_state = 20},
  [2241] = {.lex_state = 10, .external_lex_state = 20},
  [2242] = {.lex_state = 10, .external_lex_state = 20},
  [2243] = {.lex_state = 10, .external_lex_state = 20},
  [2244] = {.lex_state = 10, .external_lex_state = 20},
  [2245] = {.lex_state = 10, .external_lex_state = 20},
  [2246] = {.lex_state = 10, .external_lex_state = 18},
  [2247] = {.lex_state = 10, .external_lex_state = 20},
  [2248] = {.lex_state = 10, .external_lex_state = 20},
  [2249] = {.lex_state = 10, .external_lex_state = 20},
  [2250] = {.lex_state = 10, .external_lex_state = 20},
  [2251] = {.lex_state = 10, .external_lex_state = 20},
  [2252] = {.lex_state = 10, .external_lex_state = 20},
  [2253] = {.lex_state = 10, .external_lex_state = 20},
  [2254] = {.lex_state = 10, .external_lex_state = 20},
  [2255] = {.lex_state = 10, .external_lex_state = 20},
  [2256] = {.lex_state = 10, .external_lex_state = 20},
  [2257] = {.lex_state = 10, .external_lex_state = 20},
  [2258] = {.lex_state = 10, .external_lex_state = 20},
  [2259] = {.lex_state = 10, .external_lex_state = 20},
  [2260] = {.lex_state = 10, .external_lex_state = 20},
  [2261] = {.lex_state = 10, .external_lex_state = 20},
  [2262] = {.lex_state = 10, .external_lex_state = 20},
  [2263] = {.lex_state = 10, .external_lex_state = 20},
  [2264] = {.lex_state = 10, .external_lex_state = 20},
  [2265] = {.lex_state = 10, .external_lex_state = 20},
  [2266] = {.lex_state = 10, .external_lex_state = 20},
  [2267] = {.lex_state = 10, .external_lex_state = 20},
  [2268] = {.lex_state = 10, .external_lex_state = 20},
  [2269] = {.lex_state = 10, .external_lex_state = 20},
  [2270] = {.lex_state = 10, .external_lex_state = 20},
  [2271] = {.lex_state = 10, .external_lex_state = 20},
  [2272] = {.lex_state = 10, .external_lex_state = 20},
  [2273] = {.lex_state = 10, .external_lex_state = 20},
  [2274] = {.lex_state = 10, .external_lex_state = 20},
  [2275] = {.lex_state = 10, .external_lex_state = 20},
  [2276] = {.lex_state = 10, .external_lex_state = 20},
  [2277] = {.lex_state = 10, .external_lex_state = 20},
  [2278] = {.lex_state = 10, .external_lex_state = 20},
  [2279] = {.lex_state = 10, .external_lex_state = 20},
  [2280] = {.lex_state = 10, .external_lex_state = 20},
  [2281] = {.lex_state = 10, .external_lex_state = 20},
  [2282] = {.lex_state = 10, .external_lex_state = 20},
  [2283] = {.lex_state = 10, .external_lex_state = 20},
  [2284] = {.lex_state = 10, .external_lex_state = 20},
  [2285] = {.lex_state = 10, .external_lex_state = 20},
  [2286] = {.lex_state = 10, .external_lex_state = 20},
  [2287] = {.lex_state = 10, .external_lex_state = 20},
  [2288] = {.lex_state = 10, .external_lex_state = 20},
  [2289] = {.lex_state = 10, .external_lex_state = 20},
  [2290] = {.lex_state = 10, .external_lex_state = 20},
  [2291] = {.lex_state = 10, .external_lex_state = 20},
  [2292] = {.lex_state = 10, .external_lex_state = 20},
  [2293] = {.lex_state = 10, .external_lex_state = 20},
  [2294] = {.lex_state = 10, .external_lex_state = 20},
  [2295] = {.lex_state = 10, .external_lex_state = 20},
  [2296] = {.lex_state = 10, .external_lex_state = 20},
  [2297] = {.lex_state = 10, .external_lex_state = 20},
  [2298] = {.lex_state = 10, .external_lex_state = 20},
  [2299] = {.lex_state = 10, .external_lex_state = 20},
  [2300] = {.lex_state = 10, .external_lex_state = 19},
  [2301] = {.lex_state = 10, .external_lex_state = 20},
  [2302] = {.lex_state = 10, .external_lex_state = 20},
  [2303] = {.lex_state = 10, .external_lex_state = 21},
  [2304] = {.lex_state = 10, .external_lex_state = 21},
  [2305] = {.lex_state = 10, .external_lex_state = 21},
  [2306] = {.lex_state = 10, .external_lex_state = 12},
  [2307] = {.lex_state = 10, .external_lex_state = 12},
  [2308] = {.lex_state = 10, .external_lex_state = 12},
  [2309] = {.lex_state = 10, .external_lex_state = 12},
  [2310] = {.lex_state = 10, .external_lex_state = 12},
  [2311] = {.lex_state = 10, .external_lex_state = 12},
  [2312] = {.lex_state = 10, .external_lex_state = 12},
  [2313] = {.lex_state = 10, .external_lex_state = 12},
  [2314] = {.lex_state = 10, .external_lex_state = 12},
  [2315] = {.lex_state = 10, .external_lex_state = 12},
  [2316] = {.lex_state = 10, .external_lex_state = 12},
  [2317] = {.lex_state = 10, .external_lex_state = 12},
  [2318] = {.lex_state = 73, .external_lex_state = 22},
  [2319] = {.lex_state = 73, .external_lex_state = 22},
  [2320] = {.lex_state = 73, .external_lex_state = 22},
  [2321] = {.lex_state = 10, .external_lex_state = 12},
  [2322] = {.lex_state = 73, .external_lex_state = 22},
  [2323] = {.lex_state = 10, .external_lex_state = 12},
  [2324] = {.lex_state = 10, .external_lex_state = 12},
  [2325] = {.lex_state = 10, .external_lex_state = 12},
  [2326] = {.lex_state = 10, .external_lex_state = 12},
  [2327] = {.lex_state = 10, .external_lex_state = 12},
  [2328] = {.lex_state = 53, .external_lex_state = 14},
  [2329] = {.lex_state = 12, .external_lex_state = 23},
  [2330] = {.lex_state = 12, .external_lex_state = 14},
  [2331] = {.lex_state = 12, .external_lex_state = 18},
  [2332] = {.lex_state = 53, .external_lex_state = 14},
  [2333] = {.lex_state = 12, .external_lex_state = 23},
  [2334] = {.lex_state = 12, .external_lex_state = 24},
  [2335] = {.lex_state = 12, .external_lex_state = 24},
  [2336] = {.lex_state = 12, .external_lex_state = 24},
  [2337] = {.lex_state = 12, .external_lex_state = 19},
  [2338] = {.lex_state = 53, .external_lex_state = 14},
  [2339] = {.lex_state = 12, .external_lex_state = 24},
  [2340] = {.lex_state = 12, .external_lex_state = 23},
  [2341] = {.lex_state = 12, .external_lex_state = 23},
  [2342] = {.lex_state = 12, .external_lex_state = 24},
  [2343] = {.lex_state = 12, .external_lex_state = 23},
  [2344] = {.lex_state = 12, .external_lex_state = 14},
  [2345] = {.lex_state = 72, .external_lex_state = 25},
  [2346] = {.lex_state = 12, .external_lex_state = 19},
  [2347] = {.lex_state = 72, .external_lex_state = 25},
  [2348] = {.lex_state = 12, .external_lex_state = 19},
  [2349] = {.lex_state = 70, .external_lex_state = 14},
  [2350] = {.lex_state = 10, .external_lex_state = 26},
  [2351] = {.lex_state = 72, .external_lex_state = 27},
  [2352] = {.lex_state = 10, .external_lex_state = 26},
  [2353] = {.lex_state = 12, .external_lex_state = 19},
  [2354] = {.lex_state = 70, .external_lex_state = 14},
  [2355] = {.lex_state = 72, .external_lex_state = 25},
  [2356] = {.lex_state = 10, .external_lex_state = 26},
  [2357] = {.lex_state = 70, .external_lex_state = 14},
  [2358] = {.lex_state = 10, .external_lex_state = 26},
  [2359] = {.lex_state = 72, .external_lex_state = 27},
  [2360] = {.lex_state = 70, .external_lex_state = 14},
  [2361] = {.lex_state = 12, .external_lex_state = 28},
  [2362] = {.lex_state = 12, .external_lex_state = 19},
  [2363] = {.lex_state = 12, .external_lex_state = 19},
  [2364] = {.lex_state = 10, .external_lex_state = 26},
  [2365] = {.lex_state = 53, .external_lex_state = 14},
  [2366] = {.lex_state = 12, .external_lex_state = 28},
  [2367] = {.lex_state = 10, .external_lex_state = 26},
  [2368] = {.lex_state = 12, .external_lex_state = 18},
  [2369] = {.lex_state = 12, .external_lex_state = 18},
  [2370] = {.lex_state = 12, .external_lex_state = 18},
  [2371] = {.lex_state = 70, .external_lex_state = 14},
  [2372] = {.lex_state = 12, .external_lex_state = 18},
  [2373] = {.lex_state = 12, .external_lex_state = 18},
  [2374] = {.lex_state = 10, .external_lex_state = 26},
  [2375] = {.lex_state = 12, .external_lex_state = 18},
  [2376] = {.lex_state = 12, .external_lex_state = 19},
  [2377] = {.lex_state = 10, .external_lex_state = 26},
  [2378] = {.lex_state = 72, .external_lex_state = 25},
  [2379] = {.lex_state = 10, .external_lex_state = 26},
  [2380] = {.lex_state = 72, .external_lex_state = 25},
  [2381] = {.lex_state = 72, .external_lex_state = 25},
  [2382] = {.lex_state = 72, .external_lex_state = 25},
  [2383] = {.lex_state = 72, .external_lex_state = 25},
  [2384] = {.lex_state = 72, .external_lex_state = 25},
  [2385] = {.lex_state = 72, .external_lex_state = 25},
  [2386] = {.lex_state = 72, .external_lex_state = 25},
  [2387] = {.lex_state = 72, .external_lex_state = 25},
  [2388] = {.lex_state = 72, .external_lex_state = 25},
  [2389] = {.lex_state = 72, .external_lex_state = 25},
  [2390] = {.lex_state = 72, .external_lex_state = 25},
  [2391] = {.lex_state = 12, .external_lex_state = 23},
  [2392] = {.lex_state = 12, .external_lex_state = 20},
  [2393] = {.lex_state = 12, .external_lex_state = 28},
  [2394] = {.lex_state = 12, .external_lex_state = 19},
  [2395] = {.lex_state = 12, .external_lex_state = 23},
  [2396] = {.lex_state = 12, .external_lex_state = 18},
  [2397] = {.lex_state = 10, .external_lex_state = 26},
  [2398] = {.lex_state = 12, .external_lex_state = 18},
  [2399] = {.lex_state = 12, .external_lex_state = 19},
  [2400] = {.lex_state = 12, .external_lex_state = 24},
  [2401] = {.lex_state = 12, .external_lex_state = 24},
  [2402] = {.lex_state = 12, .external_lex_state = 28},
  [2403] = {.lex_state = 12, .external_lex_state = 28},
  [2404] = {.lex_state = 12, .external_lex_state = 18},
  [2405] = {.lex_state = 72, .external_lex_state = 25},
  [2406] = {.lex_state = 12, .external_lex_state = 19},
  [2407] = {.lex_state = 72, .external_lex_state = 25},
  [2408] = {.lex_state = 10, .external_lex_state = 12},
  [2409] = {.lex_state = 12, .external_lex_state = 18},
  [2410] = {.lex_state = 10, .external_lex_state = 20},
  [2411] = {.lex_state = 10, .external_lex_state = 20},
  [2412] = {.lex_state = 10, .external_lex_state = 20},
  [2413] = {.lex_state = 10, .external_lex_state = 20},
  [2414] = {.lex_state = 72, .external_lex_state = 14},
  [2415] = {.lex_state = 72, .external_lex_state = 14},
  [2416] = {.lex_state = 72, .external_lex_state = 14},
  [2417] = {.lex_state = 72, .external_lex_state = 14},
  [2418] = {.lex_state = 72, .external_lex_state = 14},
  [2419] = {.lex_state = 72, .external_lex_state = 14},
  [2420] = {.lex_state = 10, .external_lex_state = 20},
  [2421] = {.lex_state = 72, .external_lex_state = 14},
  [2422] = {.lex_state = 12, .external_lex_state = 14},
  [2423] = {.lex_state = 72, .external_lex_state = 14},
  [2424] = {.lex_state = 10, .external_lex_state = 20},
  [2425] = {.lex_state = 72, .external_lex_state = 14},
  [2426] = {.lex_state = 68, .external_lex_state = 14},
  [2427] = {.lex_state = 12, .external_lex_state = 29},
  [2428] = {.lex_state = 12, .external_lex_state = 14},
  [2429] = {.lex_state = 12, .external_lex_state = 14},
  [2430] = {.lex_state = 72, .external_lex_state = 14},
  [2431] = {.lex_state = 12, .external_lex_state = 20},
  [2432] = {.lex_state = 12, .external_lex_state = 19},
  [2433] = {.lex_state = 10, .external_lex_state = 12},
  [2434] = {.lex_state = 12, .external_lex_state = 29},
  [2435] = {.lex_state = 10, .external_lex_state = 20},
  [2436] = {.lex_state = 10, .external_lex_state = 20},
  [2437] = {.lex_state = 10, .external_lex_state = 20},
  [2438] = {.lex_state = 10, .external_lex_state = 20},
  [2439] = {.lex_state = 72, .external_lex_state = 14},
  [2440] = {.lex_state = 72, .external_lex_state = 14},
  [2441] = {.lex_state = 72, .external_lex_state = 14},
  [2442] = {.lex_state = 72, .external_lex_state = 14},
  [2443] = {.lex_state = 72, .external_lex_state = 14},
  [2444] = {.lex_state = 12, .external_lex_state = 18},
  [2445] = {.lex_state = 12, .external_lex_state = 20},
  [2446] = {.lex_state = 12, .external_lex_state = 19},
  [2447] = {.lex_state = 12, .external_lex_state = 29},
  [2448] = {.lex_state = 12, .external_lex_state = 14},
  [2449] = {.lex_state = 72, .external_lex_state = 14},
  [2450] = {.lex_state = 12, .external_lex_state = 18},
  [2451] = {.lex_state = 72, .external_lex_state = 14},
  [2452] = {.lex_state = 68, .external_lex_state = 14},
  [2453] = {.lex_state = 12, .external_lex_state = 14},
  [2454] = {.lex_state = 12, .external_lex_state = 18},
  [2455] = {.lex_state = 12, .external_lex_state = 20},
  [2456] = {.lex_state = 10, .external_lex_state = 20},
  [2457] = {.lex_state = 10, .external_lex_state = 20},
  [2458] = {.lex_state = 10, .external_lex_state = 20},
  [2459] = {.lex_state = 10, .external_lex_state = 20},
  [2460] = {.lex_state = 10, .external_lex_state = 20},
  [2461] = {.lex_state = 72, .external_lex_state = 14},
  [2462] = {.lex_state = 72, .external_lex_state = 14},
  [2463] = {.lex_state = 72, .external_lex_state = 14},
  [2464] = {.lex_state = 72, .external_lex_state = 14},
  [2465] = {.lex_state = 72, .external_lex_state = 14},
  [2466] = {.lex_state = 12, .external_lex_state = 14},
  [2467] = {.lex_state = 10, .external_lex_state = 20},
  [2468] = {.lex_state = 12, .external_lex_state = 20},
  [2469] = {.lex_state = 72, .external_lex_state = 14},
  [2470] = {.lex_state = 68, .external_lex_state = 14},
  [2471] = {.lex_state = 12, .external_lex_state = 19},
  [2472] = {.lex_state = 12, .external_lex_state = 14},
  [2473] = {.lex_state = 12, .external_lex_state = 20},
  [2474] = {.lex_state = 12, .external_lex_state = 29},
  [2475] = {.lex_state = 12, .external_lex_state = 29},
  [2476] = {.lex_state = 12, .external_lex_state = 20},
  [2477] = {.lex_state = 72, .external_lex_state = 14},
  [2478] = {.lex_state = 72, .external_lex_state = 14},
  [2479] = {.lex_state = 72, .external_lex_state = 14},
  [2480] = {.lex_state = 72, .external_lex_state = 14},
  [2481] = {.lex_state = 72, .external_lex_state = 14},
  [2482] = {.lex_state = 10, .external_lex_state = 20},
  [2483] = {.lex_state = 72, .external_lex_state = 14},
  [2484] = {.lex_state = 10, .external_lex_state = 20},
  [2485] = {.lex_state = 72, .external_lex_state = 14},
  [2486] = {.lex_state = 68, .external_lex_state = 14},
  [2487] = {.lex_state = 12, .external_lex_state = 14},
  [2488] = {.lex_state = 72, .external_lex_state = 14},
  [2489] = {.lex_state = 12, .external_lex_state = 14},
  [2490] = {.lex_state = 12, .external_lex_state = 19},
  [2491] = {.lex_state = 12, .external_lex_state = 19},
  [2492] = {.lex_state = 12, .external_lex_state = 19},
  [2493] = {.lex_state = 12, .external_lex_state = 19},
  [2494] = {.lex_state = 12, .external_lex_state = 18},
  [2495] = {.lex_state = 12, .external_lex_state = 18},
  [2496] = {.lex_state = 12, .external_lex_state = 19},
  [2497] = {.lex_state = 72, .external_lex_state = 14},
  [2498] = {.lex_state = 68, .external_lex_state = 14},
  [2499] = {.lex_state = 10, .external_lex_state = 20},
  [2500] = {.lex_state = 12, .external_lex_state = 19},
  [2501] = {.lex_state = 12, .external_lex_state = 19},
  [2502] = {.lex_state = 72, .external_lex_state = 14},
  [2503] = {.lex_state = 12, .external_lex_state = 18},
  [2504] = {.lex_state = 12, .external_lex_state = 18},
  [2505] = {.lex_state = 12, .external_lex_state = 18},
  [2506] = {.lex_state = 12, .external_lex_state = 18},
  [2507] = {.lex_state = 12, .external_lex_state = 14},
  [2508] = {.lex_state = 12, .external_lex_state = 20},
  [2509] = {.lex_state = 12, .external_lex_state = 19},
  [2510] = {.lex_state = 12, .external_lex_state = 28},
  [2511] = {.lex_state = 12, .external_lex_state = 28},
  [2512] = {.lex_state = 12, .external_lex_state = 18},
  [2513] = {.lex_state = 72, .external_lex_state = 14},
  [2514] = {.lex_state = 72, .external_lex_state = 14},
  [2515] = {.lex_state = 72, .external_lex_state = 14},
  [2516] = {.lex_state = 72, .external_lex_state = 14},
  [2517] = {.lex_state = 72, .external_lex_state = 14},
  [2518] = {.lex_state = 10, .external_lex_state = 20},
  [2519] = {.lex_state = 12, .external_lex_state = 20},
  [2520] = {.lex_state = 12, .external_lex_state = 21},
  [2521] = {.lex_state = 12, .external_lex_state = 20},
  [2522] = {.lex_state = 12, .external_lex_state = 14},
  [2523] = {.lex_state = 12, .external_lex_state = 20},
  [2524] = {.lex_state = 68, .external_lex_state = 30},
  [2525] = {.lex_state = 12, .external_lex_state = 20},
  [2526] = {.lex_state = 10, .external_lex_state = 26},
  [2527] = {.lex_state = 71, .external_lex_state = 14},
  [2528] = {.lex_state = 68, .external_lex_state = 30},
  [2529] = {.lex_state = 68, .external_lex_state = 30},
  [2530] = {.lex_state = 68, .external_lex_state = 30},
  [2531] = {.lex_state = 68, .external_lex_state = 30},
  [2532] = {.lex_state = 12, .external_lex_state = 20},
  [2533] = {.lex_state = 12, .external_lex_state = 20},
  [2534] = {.lex_state = 12, .external_lex_state = 29},
  [2535] = {.lex_state = 12, .external_lex_state = 29},
  [2536] = {.lex_state = 68, .external_lex_state = 30},
  [2537] = {.lex_state = 12, .external_lex_state = 20},
  [2538] = {.lex_state = 12, .external_lex_state = 20},
  [2539] = {.lex_state = 68, .external_lex_state = 30},
  [2540] = {.lex_state = 68, .external_lex_state = 30},
  [2541] = {.lex_state = 68, .external_lex_state = 30},
  [2542] = {.lex_state = 12, .external_lex_state = 20},
  [2543] = {.lex_state = 68, .external_lex_state = 30},
  [2544] = {.lex_state = 68, .external_lex_state = 30},
  [2545] = {.lex_state = 71, .external_lex_state = 14},
  [2546] = {.lex_state = 12, .external_lex_state = 21},
  [2547] = {.lex_state = 12, .external_lex_state = 21},
  [2548] = {.lex_state = 12, .external_lex_state = 21},
  [2549] = {.lex_state = 12, .external_lex_state = 21},
  [2550] = {.lex_state = 68, .external_lex_state = 30},
  [2551] = {.lex_state = 68, .external_lex_state = 30},
  [2552] = {.lex_state = 12, .external_lex_state = 21},
  [2553] = {.lex_state = 12, .external_lex_state = 14},
  [2554] = {.lex_state = 68, .external_lex_state = 30},
  [2555] = {.lex_state = 68, .external_lex_state = 30},
  [2556] = {.lex_state = 68, .external_lex_state = 30},
  [2557] = {.lex_state = 12, .external_lex_state = 20},
  [2558] = {.lex_state = 68, .external_lex_state = 16},
  [2559] = {.lex_state = 68, .external_lex_state = 30},
  [2560] = {.lex_state = 68, .external_lex_state = 30},
  [2561] = {.lex_state = 68, .external_lex_state = 30},
  [2562] = {.lex_state = 68, .external_lex_state = 30},
  [2563] = {.lex_state = 68, .external_lex_state = 30},
  [2564] = {.lex_state = 71, .external_lex_state = 14},
  [2565] = {.lex_state = 12, .external_lex_state = 20},
  [2566] = {.lex_state = 68, .external_lex_state = 16},
  [2567] = {.lex_state = 68, .external_lex_state = 30},
  [2568] = {.lex_state = 68, .external_lex_state = 16},
  [2569] = {.lex_state = 68, .external_lex_state = 30},
  [2570] = {.lex_state = 68, .external_lex_state = 30},
  [2571] = {.lex_state = 68, .external_lex_state = 16},
  [2572] = {.lex_state = 12, .external_lex_state = 21},
  [2573] = {.lex_state = 68, .external_lex_state = 30},
  [2574] = {.lex_state = 68, .external_lex_state = 30},
  [2575] = {.lex_state = 12, .external_lex_state = 21},
  [2576] = {.lex_state = 12, .external_lex_state = 20},
  [2577] = {.lex_state = 68, .external_lex_state = 30},
  [2578] = {.lex_state = 12, .external_lex_state = 21},
  [2579] = {.lex_state = 68, .external_lex_state = 16},
  [2580] = {.lex_state = 68, .external_lex_state = 16},
  [2581] = {.lex_state = 68, .external_lex_state = 16},
  [2582] = {.lex_state = 12, .external_lex_state = 20},
  [2583] = {.lex_state = 68, .external_lex_state = 30},
  [2584] = {.lex_state = 68, .external_lex_state = 30},
  [2585] = {.lex_state = 68, .external_lex_state = 30},
  [2586] = {.lex_state = 68, .external_lex_state = 30},
  [2587] = {.lex_state = 12, .external_lex_state = 21},
  [2588] = {.lex_state = 71, .external_lex_state = 14},
  [2589] = {.lex_state = 10, .external_lex_state = 20},
  [2590] = {.lex_state = 68, .external_lex_state = 30},
  [2591] = {.lex_state = 68, .external_lex_state = 30},
  [2592] = {.lex_state = 68, .external_lex_state = 30},
  [2593] = {.lex_state = 68, .external_lex_state = 30},
  [2594] = {.lex_state = 71, .external_lex_state = 14},
  [2595] = {.lex_state = 68, .external_lex_state = 16},
  [2596] = {.lex_state = 68, .external_lex_state = 30},
  [2597] = {.lex_state = 12, .external_lex_state = 21},
  [2598] = {.lex_state = 10, .external_lex_state = 18},
  [2599] = {.lex_state = 12, .external_lex_state = 21},
  [2600] = {.lex_state = 12, .external_lex_state = 21},
  [2601] = {.lex_state = 12, .external_lex_state = 21},
  [2602] = {.lex_state = 10, .external_lex_state = 18},
  [2603] = {.lex_state = 10, .external_lex_state = 19},
  [2604] = {.lex_state = 10, .external_lex_state = 18},
  [2605] = {.lex_state = 10, .external_lex_state = 19},
  [2606] = {.lex_state = 10, .external_lex_state = 19},
  [2607] = {.lex_state = 12, .external_lex_state = 21},
  [2608] = {.lex_state = 10, .external_lex_state = 19},
  [2609] = {.lex_state = 10, .external_lex_state = 19},
  [2610] = {.lex_state = 10, .external_lex_state = 18},
  [2611] = {.lex_state = 10, .external_lex_state = 18},
  [2612] = {.lex_state = 75, .external_lex_state = 16},
  [2613] = {.lex_state = 12, .external_lex_state = 21},
  [2614] = {.lex_state = 75, .external_lex_state = 16},
  [2615] = {.lex_state = 75, .external_lex_state = 14},
  [2616] = {.lex_state = 75, .external_lex_state = 14},
  [2617] = {.lex_state = 68, .external_lex_state = 31},
  [2618] = {.lex_state = 12, .external_lex_state = 21},
  [2619] = {.lex_state = 10, .external_lex_state = 19},
  [2620] = {.lex_state = 10, .external_lex_state = 18},
  [2621] = {.lex_state = 10, .external_lex_state = 19},
  [2622] = {.lex_state = 10, .external_lex_state = 19},
  [2623] = {.lex_state = 10, .external_lex_state = 19},
  [2624] = {.lex_state = 10, .external_lex_state = 18},
  [2625] = {.lex_state = 10, .external_lex_state = 18},
  [2626] = {.lex_state = 10, .external_lex_state = 18},
  [2627] = {.lex_state = 10, .external_lex_state = 18},
  [2628] = {.lex_state = 10, .external_lex_state = 18},
  [2629] = {.lex_state = 12, .external_lex_state = 21},
  [2630] = {.lex_state = 10, .external_lex_state = 19},
  [2631] = {.lex_state = 10, .external_lex_state = 18},
  [2632] = {.lex_state = 10, .external_lex_state = 19},
  [2633] = {.lex_state = 12, .external_lex_state = 21},
  [2634] = {.lex_state = 68, .external_lex_state = 30},
  [2635] = {.lex_state = 68, .external_lex_state = 30},
  [2636] = {.lex_state = 10, .external_lex_state = 19},
  [2637] = {.lex_state = 10, .external_lex_state = 18},
  [2638] = {.lex_state = 10, .external_lex_state = 18},
  [2639] = {.lex_state = 68, .external_lex_state = 30},
  [2640] = {.lex_state = 10, .external_lex_state = 18},
  [2641] = {.lex_state = 10, .external_lex_state = 19},
  [2642] = {.lex_state = 75, .external_lex_state = 16},
  [2643] = {.lex_state = 12, .external_lex_state = 21},
  [2644] = {.lex_state = 75, .external_lex_state = 16},
  [2645] = {.lex_state = 68, .external_lex_state = 31},
  [2646] = {.lex_state = 10, .external_lex_state = 19},
  [2647] = {.lex_state = 12, .external_lex_state = 21},
  [2648] = {.lex_state = 10, .external_lex_state = 18},
  [2649] = {.lex_state = 68, .external_lex_state = 30},
  [2650] = {.lex_state = 10, .external_lex_state = 19},
  [2651] = {.lex_state = 68, .external_lex_state = 30},
  [2652] = {.lex_state = 10, .external_lex_state = 19},
  [2653] = {.lex_state = 10, .external_lex_state = 19},
  [2654] = {.lex_state = 10, .external_lex_state = 19},
  [2655] = {.lex_state = 68, .external_lex_state = 30},
  [2656] = {.lex_state = 68, .external_lex_state = 30},
  [2657] = {.lex_state = 10, .external_lex_state = 18},
  [2658] = {.lex_state = 68, .external_lex_state = 30},
  [2659] = {.lex_state = 52, .external_lex_state = 14},
  [2660] = {.lex_state = 68, .external_lex_state = 30},
  [2661] = {.lex_state = 10, .external_lex_state = 14},
  [2662] = {.lex_state = 10, .external_lex_state = 20},
  [2663] = {.lex_state = 10, .external_lex_state = 20},
  [2664] = {.lex_state = 10, .external_lex_state = 20},
  [2665] = {.lex_state = 52, .external_lex_state = 14},
  [2666] = {.lex_state = 10, .external_lex_state = 26},
  [2667] = {.lex_state = 10, .external_lex_state = 20},
  [2668] = {.lex_state = 10, .external_lex_state = 26},
  [2669] = {.lex_state = 68, .external_lex_state = 16},
  [2670] = {.lex_state = 10, .external_lex_state = 20},
  [2671] = {.lex_state = 52, .external_lex_state = 14},
  [2672] = {.lex_state = 10, .external_lex_state = 20},
  [2673] = {.lex_state = 10, .external_lex_state = 20},
  [2674] = {.lex_state = 10, .external_lex_state = 20},
  [2675] = {.lex_state = 75, .external_lex_state = 16},
  [2676] = {.lex_state = 10, .external_lex_state = 20},
  [2677] = {.lex_state = 10, .external_lex_state = 20},
  [2678] = {.lex_state = 10, .external_lex_state = 20},
  [2679] = {.lex_state = 10, .external_lex_state = 14},
  [2680] = {.lex_state = 10, .external_lex_state = 12},
  [2681] = {.lex_state = 68, .external_lex_state = 30},
  [2682] = {.lex_state = 10, .external_lex_state = 20},
  [2683] = {.lex_state = 10, .external_lex_state = 12},
  [2684] = {.lex_state = 10, .external_lex_state = 20},
  [2685] = {.lex_state = 68, .external_lex_state = 30},
  [2686] = {.lex_state = 10, .external_lex_state = 26},
  [2687] = {.lex_state = 10, .external_lex_state = 26},
  [2688] = {.lex_state = 10, .external_lex_state = 20},
  [2689] = {.lex_state = 10, .external_lex_state = 20},
  [2690] = {.lex_state = 52, .external_lex_state = 14},
  [2691] = {.lex_state = 52, .external_lex_state = 14},
  [2692] = {.lex_state = 10, .external_lex_state = 14},
  [2693] = {.lex_state = 10, .external_lex_state = 20},
  [2694] = {.lex_state = 10, .external_lex_state = 20},
  [2695] = {.lex_state = 52, .external_lex_state = 14},
  [2696] = {.lex_state = 10, .external_lex_state = 20},
  [2697] = {.lex_state = 68, .external_lex_state = 16},
  [2698] = {.lex_state = 10, .external_lex_state = 14},
  [2699] = {.lex_state = 10, .external_lex_state = 20},
  [2700] = {.lex_state = 10, .external_lex_state = 12},
  [2701] = {.lex_state = 68, .external_lex_state = 16},
  [2702] = {.lex_state = 10, .external_lex_state = 12},
  [2703] = {.lex_state = 52, .external_lex_state = 14},
  [2704] = {.lex_state = 75, .external_lex_state = 16},
  [2705] = {.lex_state = 10, .external_lex_state = 20},
  [2706] = {.lex_state = 10, .external_lex_state = 20},
  [2707] = {.lex_state = 10, .external_lex_state = 21},
  [2708] = {.lex_state = 10, .external_lex_state = 21},
  [2709] = {.lex_state = 68, .external_lex_state = 31},
  [2710] = {.lex_state = 12, .external_lex_state = 14},
  [2711] = {.lex_state = 10, .external_lex_state = 21},
  [2712] = {.lex_state = 10, .external_lex_state = 21},
  [2713] = {.lex_state = 10, .external_lex_state = 21},
  [2714] = {.lex_state = 12, .external_lex_state = 14},
  [2715] = {.lex_state = 12, .external_lex_state = 12},
  [2716] = {.lex_state = 10, .external_lex_state = 21},
  [2717] = {.lex_state = 10, .external_lex_state = 21},
  [2718] = {.lex_state = 10, .external_lex_state = 21},
  [2719] = {.lex_state = 10, .external_lex_state = 21},
  [2720] = {.lex_state = 10, .external_lex_state = 21},
  [2721] = {.lex_state = 10, .external_lex_state = 21},
  [2722] = {.lex_state = 10, .external_lex_state = 21},
  [2723] = {.lex_state = 12, .external_lex_state = 12},
  [2724] = {.lex_state = 10, .external_lex_state = 21},
  [2725] = {.lex_state = 68, .external_lex_state = 31},
  [2726] = {.lex_state = 10, .external_lex_state = 21},
  [2727] = {.lex_state = 68, .external_lex_state = 31},
  [2728] = {.lex_state = 10, .external_lex_state = 21},
  [2729] = {.lex_state = 68, .external_lex_state = 32},
  [2730] = {.lex_state = 106, .external_lex_state = 33},
  [2731] = {.lex_state = 75, .external_lex_state = 14},
  [2732] = {.lex_state = 106, .external_lex_state = 33},
  [2733] = {.lex_state = 3, .external_lex_state = 30},
  [2734] = {.lex_state = 3, .external_lex_state = 30},
  [2735] = {.lex_state = 106, .external_lex_state = 33},
  [2736] = {.lex_state = 3, .external_lex_state = 30},
  [2737] = {.lex_state = 3, .external_lex_state = 30},
  [2738] = {.lex_state = 3, .external_lex_state = 30},
  [2739] = {.lex_state = 3, .external_lex_state = 30},
  [2740] = {.lex_state = 3, .external_lex_state = 30},
  [2741] = {.lex_state = 3, .external_lex_state = 30},
  [2742] = {.lex_state = 106, .external_lex_state = 33},
  [2743] = {.lex_state = 106, .external_lex_state = 33},
  [2744] = {.lex_state = 3, .external_lex_state = 30},
  [2745] = {.lex_state = 3, .external_lex_state = 30},
  [2746] = {.lex_state = 106, .external_lex_state = 33},
  [2747] = {.lex_state = 3, .external_lex_state = 30},
  [2748] = {.lex_state = 3, .external_lex_state = 30},
  [2749] = {.lex_state = 3, .external_lex_state = 30},
  [2750] = {.lex_state = 3, .external_lex_state = 30},
  [2751] = {.lex_state = 106, .external_lex_state = 33},
  [2752] = {.lex_state = 75, .external_lex_state = 14},
  [2753] = {.lex_state = 3, .external_lex_state = 30},
  [2754] = {.lex_state = 3, .external_lex_state = 30},
  [2755] = {.lex_state = 106, .external_lex_state = 33},
  [2756] = {.lex_state = 75, .external_lex_state = 14},
  [2757] = {.lex_state = 3, .external_lex_state = 30},
  [2758] = {.lex_state = 3, .external_lex_state = 30},
  [2759] = {.lex_state = 3, .external_lex_state = 16},
  [2760] = {.lex_state = 3, .external_lex_state = 30},
  [2761] = {.lex_state = 3, .external_lex_state = 30},
  [2762] = {.lex_state = 3, .external_lex_state = 30},
  [2763] = {.lex_state = 75, .external_lex_state = 14},
  [2764] = {.lex_state = 106, .external_lex_state = 33},
  [2765] = {.lex_state = 69, .external_lex_state = 14},
  [2766] = {.lex_state = 3, .external_lex_state = 30},
  [2767] = {.lex_state = 3, .external_lex_state = 30},
  [2768] = {.lex_state = 3, .external_lex_state = 30},
  [2769] = {.lex_state = 3, .external_lex_state = 30},
  [2770] = {.lex_state = 75, .external_lex_state = 14},
  [2771] = {.lex_state = 106, .external_lex_state = 33},
  [2772] = {.lex_state = 106, .external_lex_state = 33},
  [2773] = {.lex_state = 106, .external_lex_state = 33},
  [2774] = {.lex_state = 106, .external_lex_state = 33},
  [2775] = {.lex_state = 106, .external_lex_state = 33},
  [2776] = {.lex_state = 106, .external_lex_state = 33},
  [2777] = {.lex_state = 106, .external_lex_state = 33},
  [2778] = {.lex_state = 106, .external_lex_state = 33},
  [2779] = {.lex_state = 3, .external_lex_state = 30},
  [2780] = {.lex_state = 68, .external_lex_state = 17},
  [2781] = {.lex_state = 106, .external_lex_state = 33},
  [2782] = {.lex_state = 3, .external_lex_state = 30},
  [2783] = {.lex_state = 68, .external_lex_state = 17},
  [2784] = {.lex_state = 106, .external_lex_state = 33},
  [2785] = {.lex_state = 106, .external_lex_state = 33},
  [2786] = {.lex_state = 3, .external_lex_state = 16},
  [2787] = {.lex_state = 3, .external_lex_state = 16},
  [2788] = {.lex_state = 68, .external_lex_state = 32},
  [2789] = {.lex_state = 3, .external_lex_state = 30},
  [2790] = {.lex_state = 3, .external_lex_state = 30},
  [2791] = {.lex_state = 3, .external_lex_state = 30},
  [2792] = {.lex_state = 3, .external_lex_state = 30},
  [2793] = {.lex_state = 3, .external_lex_state = 30},
  [2794] = {.lex_state = 3, .external_lex_state = 30},
  [2795] = {.lex_state = 3, .external_lex_state = 16},
  [2796] = {.lex_state = 3, .external_lex_state = 30},
  [2797] = {.lex_state = 3, .external_lex_state = 30},
  [2798] = {.lex_state = 69, .external_lex_state = 14},
  [2799] = {.lex_state = 3, .external_lex_state = 30},
  [2800] = {.lex_state = 106, .external_lex_state = 34},
  [2801] = {.lex_state = 68, .external_lex_state = 14},
  [2802] = {.lex_state = 106, .external_lex_state = 34},
  [2803] = {.lex_state = 106, .external_lex_state = 34},
  [2804] = {.lex_state = 106, .external_lex_state = 30},
  [2805] = {.lex_state = 3, .external_lex_state = 31},
  [2806] = {.lex_state = 106, .external_lex_state = 34},
  [2807] = {.lex_state = 106, .external_lex_state = 34},
  [2808] = {.lex_state = 106, .external_lex_state = 30},
  [2809] = {.lex_state = 53, .external_lex_state = 14},
  [2810] = {.lex_state = 106, .external_lex_state = 30},
  [2811] = {.lex_state = 106, .external_lex_state = 34},
  [2812] = {.lex_state = 106, .external_lex_state = 34},
  [2813] = {.lex_state = 106, .external_lex_state = 34},
  [2814] = {.lex_state = 106, .external_lex_state = 34},
  [2815] = {.lex_state = 68, .external_lex_state = 30},
  [2816] = {.lex_state = 106, .external_lex_state = 30},
  [2817] = {.lex_state = 106, .external_lex_state = 30},
  [2818] = {.lex_state = 106, .external_lex_state = 34},
  [2819] = {.lex_state = 106, .external_lex_state = 34},
  [2820] = {.lex_state = 106, .external_lex_state = 34},
  [2821] = {.lex_state = 106, .external_lex_state = 30},
  [2822] = {.lex_state = 106, .external_lex_state = 34},
  [2823] = {.lex_state = 106, .external_lex_state = 34},
  [2824] = {.lex_state = 106, .external_lex_state = 34},
  [2825] = {.lex_state = 106, .external_lex_state = 30},
  [2826] = {.lex_state = 53, .external_lex_state = 14},
  [2827] = {.lex_state = 53, .external_lex_state = 14},
  [2828] = {.lex_state = 106, .external_lex_state = 34},
  [2829] = {.lex_state = 106, .external_lex_state = 30},
  [2830] = {.lex_state = 106, .external_lex_state = 30},
  [2831] = {.lex_state = 106, .external_lex_state = 30},
  [2832] = {.lex_state = 106, .external_lex_state = 34},
  [2833] = {.lex_state = 106, .external_lex_state = 34},
  [2834] = {.lex_state = 106, .external_lex_state = 34},
  [2835] = {.lex_state = 106, .external_lex_state = 34},
  [2836] = {.lex_state = 106, .external_lex_state = 30},
  [2837] = {.lex_state = 106, .external_lex_state = 34},
  [2838] = {.lex_state = 106, .external_lex_state = 34},
  [2839] = {.lex_state = 106, .external_lex_state = 30},
  [2840] = {.lex_state = 106, .external_lex_state = 30},
  [2841] = {.lex_state = 106, .external_lex_state = 30},
  [2842] = {.lex_state = 106, .external_lex_state = 30},
  [2843] = {.lex_state = 106, .external_lex_state = 34},
  [2844] = {.lex_state = 106, .external_lex_state = 30},
  [2845] = {.lex_state = 106, .external_lex_state = 30},
  [2846] = {.lex_state = 68, .external_lex_state = 35},
  [2847] = {.lex_state = 106, .external_lex_state = 34},
  [2848] = {.lex_state = 106, .external_lex_state = 34},
  [2849] = {.lex_state = 68, .external_lex_state = 35},
  [2850] = {.lex_state = 106, .external_lex_state = 34},
  [2851] = {.lex_state = 106, .external_lex_state = 34},
  [2852] = {.lex_state = 106, .external_lex_state = 34},
  [2853] = {.lex_state = 106, .external_lex_state = 34},
  [2854] = {.lex_state = 106, .external_lex_state = 34},
  [2855] = {.lex_state = 106, .external_lex_state = 34},
  [2856] = {.lex_state = 106, .external_lex_state = 34},
  [2857] = {.lex_state = 106, .external_lex_state = 34},
  [2858] = {.lex_state = 68, .external_lex_state = 14},
  [2859] = {.lex_state = 106, .external_lex_state = 34},
  [2860] = {.lex_state = 106, .external_lex_state = 34},
  [2861] = {.lex_state = 106, .external_lex_state = 34},
  [2862] = {.lex_state = 106, .external_lex_state = 34},
  [2863] = {.lex_state = 12, .external_lex_state = 14},
  [2864] = {.lex_state = 12, .external_lex_state = 12},
  [2865] = {.lex_state = 106, .external_lex_state = 34},
  [2866] = {.lex_state = 106, .external_lex_state = 30},
  [2867] = {.lex_state = 106, .external_lex_state = 34},
  [2868] = {.lex_state = 68, .external_lex_state = 30},
  [2869] = {.lex_state = 106, .external_lex_state = 30},
  [2870] = {.lex_state = 76, .external_lex_state = 14},
  [2871] = {.lex_state = 106, .external_lex_state = 34},
  [2872] = {.lex_state = 106, .external_lex_state = 34},
  [2873] = {.lex_state = 106, .external_lex_state = 30},
  [2874] = {.lex_state = 106, .external_lex_state = 34},
  [2875] = {.lex_state = 106, .external_lex_state = 16},
  [2876] = {.lex_state = 106, .external_lex_state = 30},
  [2877] = {.lex_state = 106, .external_lex_state = 30},
  [2878] = {.lex_state = 106, .external_lex_state = 30},
  [2879] = {.lex_state = 106, .external_lex_state = 34},
  [2880] = {.lex_state = 12, .external_lex_state = 12},
  [2881] = {.lex_state = 106, .external_lex_state = 34},
  [2882] = {.lex_state = 12, .external_lex_state = 12},
  [2883] = {.lex_state = 106, .external_lex_state = 16},
  [2884] = {.lex_state = 106, .external_lex_state = 34},
  [2885] = {.lex_state = 106, .external_lex_state = 34},
  [2886] = {.lex_state = 106, .external_lex_state = 34},
  [2887] = {.lex_state = 106, .external_lex_state = 34},
  [2888] = {.lex_state = 106, .external_lex_state = 34},
  [2889] = {.lex_state = 53, .external_lex_state = 14},
  [2890] = {.lex_state = 106, .external_lex_state = 34},
  [2891] = {.lex_state = 106, .external_lex_state = 34},
  [2892] = {.lex_state = 68, .external_lex_state = 30},
  [2893] = {.lex_state = 68, .external_lex_state = 14},
  [2894] = {.lex_state = 106, .external_lex_state = 16},
  [2895] = {.lex_state = 106, .external_lex_state = 16},
  [2896] = {.lex_state = 106, .external_lex_state = 34},
  [2897] = {.lex_state = 12, .external_lex_state = 14},
  [2898] = {.lex_state = 106, .external_lex_state = 34},
  [2899] = {.lex_state = 106, .external_lex_state = 34},
  [2900] = {.lex_state = 106, .external_lex_state = 16},
  [2901] = {.lex_state = 106, .external_lex_state = 30},
  [2902] = {.lex_state = 106, .external_lex_state = 34},
  [2903] = {.lex_state = 106, .external_lex_state = 30},
  [2904] = {.lex_state = 106, .external_lex_state = 34},
  [2905] = {.lex_state = 106, .external_lex_state = 16},
  [2906] = {.lex_state = 106, .external_lex_state = 34},
  [2907] = {.lex_state = 106, .external_lex_state = 34},
  [2908] = {.lex_state = 106, .external_lex_state = 34},
  [2909] = {.lex_state = 53, .external_lex_state = 14},
  [2910] = {.lex_state = 106, .external_lex_state = 34},
  [2911] = {.lex_state = 68, .external_lex_state = 16},
  [2912] = {.lex_state = 53, .external_lex_state = 14},
  [2913] = {.lex_state = 106, .external_lex_state = 30},
  [2914] = {.lex_state = 106, .external_lex_state = 34},
  [2915] = {.lex_state = 106, .external_lex_state = 30},
  [2916] = {.lex_state = 106, .external_lex_state = 34},
  [2917] = {.lex_state = 106, .external_lex_state = 34},
  [2918] = {.lex_state = 106, .external_lex_state = 34},
  [2919] = {.lex_state = 106, .external_lex_state = 34},
  [2920] = {.lex_state = 106, .external_lex_state = 34},
  [2921] = {.lex_state = 106, .external_lex_state = 34},
  [2922] = {.lex_state = 106, .external_lex_state = 34},
  [2923] = {.lex_state = 106, .external_lex_state = 30},
  [2924] = {.lex_state = 106, .external_lex_state = 34},
  [2925] = {.lex_state = 106, .external_lex_state = 16},
  [2926] = {.lex_state = 106, .external_lex_state = 30},
  [2927] = {.lex_state = 106, .external_lex_state = 30},
  [2928] = {.lex_state = 106, .external_lex_state = 34},
  [2929] = {.lex_state = 106, .external_lex_state = 34},
  [2930] = {.lex_state = 106, .external_lex_state = 34},
  [2931] = {.lex_state = 106, .external_lex_state = 34},
  [2932] = {.lex_state = 106, .external_lex_state = 30},
  [2933] = {.lex_state = 106, .external_lex_state = 34},
  [2934] = {.lex_state = 106, .external_lex_state = 16},
  [2935] = {.lex_state = 106, .external_lex_state = 34},
  [2936] = {.lex_state = 75, .external_lex_state = 16},
  [2937] = {.lex_state = 106, .external_lex_state = 34},
  [2938] = {.lex_state = 106, .external_lex_state = 34},
  [2939] = {.lex_state = 68, .external_lex_state = 16},
  [2940] = {.lex_state = 106, .external_lex_state = 16},
  [2941] = {.lex_state = 106, .external_lex_state = 34},
  [2942] = {.lex_state = 106, .external_lex_state = 34},
  [2943] = {.lex_state = 106, .external_lex_state = 30},
  [2944] = {.lex_state = 106, .external_lex_state = 34},
  [2945] = {.lex_state = 106, .external_lex_state = 30},
  [2946] = {.lex_state = 68, .external_lex_state = 14},
  [2947] = {.lex_state = 106, .external_lex_state = 34},
  [2948] = {.lex_state = 106, .external_lex_state = 34},
  [2949] = {.lex_state = 106, .external_lex_state = 34},
  [2950] = {.lex_state = 106, .external_lex_state = 30},
  [2951] = {.lex_state = 106, .external_lex_state = 34},
  [2952] = {.lex_state = 68, .external_lex_state = 14},
  [2953] = {.lex_state = 106, .external_lex_state = 34},
  [2954] = {.lex_state = 3, .external_lex_state = 31},
  [2955] = {.lex_state = 106, .external_lex_state = 34},
  [2956] = {.lex_state = 106, .external_lex_state = 34},
  [2957] = {.lex_state = 76, .external_lex_state = 14},
  [2958] = {.lex_state = 106, .external_lex_state = 34},
  [2959] = {.lex_state = 106, .external_lex_state = 34},
  [2960] = {.lex_state = 106, .external_lex_state = 34},
  [2961] = {.lex_state = 106, .external_lex_state = 34},
  [2962] = {.lex_state = 106, .external_lex_state = 34},
  [2963] = {.lex_state = 106, .external_lex_state = 16},
  [2964] = {.lex_state = 106, .external_lex_state = 30},
  [2965] = {.lex_state = 68, .external_lex_state = 16},
  [2966] = {.lex_state = 106, .external_lex_state = 34},
  [2967] = {.lex_state = 106, .external_lex_state = 30},
  [2968] = {.lex_state = 106, .external_lex_state = 34},
  [2969] = {.lex_state = 106, .external_lex_state = 34},
  [2970] = {.lex_state = 106, .external_lex_state = 34},
  [2971] = {.lex_state = 106, .external_lex_state = 34},
  [2972] = {.lex_state = 106, .external_lex_state = 34},
  [2973] = {.lex_state = 106, .external_lex_state = 34},
  [2974] = {.lex_state = 106, .external_lex_state = 34},
  [2975] = {.lex_state = 53, .external_lex_state = 14},
  [2976] = {.lex_state = 68, .external_lex_state = 31},
  [2977] = {.lex_state = 74, .external_lex_state = 14},
  [2978] = {.lex_state = 74, .external_lex_state = 14},
  [2979] = {.lex_state = 74, .external_lex_state = 14},
  [2980] = {.lex_state = 74, .external_lex_state = 14},
  [2981] = {.lex_state = 74, .external_lex_state = 14},
  [2982] = {.lex_state = 74, .external_lex_state = 14},
  [2983] = {.lex_state = 74, .external_lex_state = 14},
  [2984] = {.lex_state = 12, .external_lex_state = 14},
  [2985] = {.lex_state = 74, .external_lex_state = 14},
  [2986] = {.lex_state = 74, .external_lex_state = 14},
  [2987] = {.lex_state = 74, .external_lex_state = 14},
  [2988] = {.lex_state = 106, .external_lex_state = 14},
  [2989] = {.lex_state = 74, .external_lex_state = 14},
  [2990] = {.lex_state = 12, .external_lex_state = 14},
  [2991] = {.lex_state = 12, .external_lex_state = 14},
  [2992] = {.lex_state = 74, .external_lex_state = 14},
  [2993] = {.lex_state = 106, .external_lex_state = 31},
  [2994] = {.lex_state = 106, .external_lex_state = 33},
  [2995] = {.lex_state = 74, .external_lex_state = 14},
  [2996] = {.lex_state = 106, .external_lex_state = 34},
  [2997] = {.lex_state = 106, .external_lex_state = 14},
  [2998] = {.lex_state = 75, .external_lex_state = 14},
  [2999] = {.lex_state = 12, .external_lex_state = 14},
  [3000] = {.lex_state = 106, .external_lex_state = 14},
  [3001] = {.lex_state = 68, .external_lex_state = 31},
  [3002] = {.lex_state = 12, .external_lex_state = 14},
  [3003] = {.lex_state = 75, .external_lex_state = 14},
  [3004] = {.lex_state = 12, .external_lex_state = 14},
  [3005] = {.lex_state = 12, .external_lex_state = 14},
  [3006] = {.lex_state = 74, .external_lex_state = 14},
  [3007] = {.lex_state = 74, .external_lex_state = 14},
  [3008] = {.lex_state = 106, .external_lex_state = 14},
  [3009] = {.lex_state = 74, .external_lex_state = 14},
  [3010] = {.lex_state = 74, .external_lex_state = 14},
  [3011] = {.lex_state = 68, .external_lex_state = 31},
  [3012] = {.lex_state = 106, .external_lex_state = 16},
  [3013] = {.lex_state = 12, .external_lex_state = 14},
  [3014] = {.lex_state = 106, .external_lex_state = 31},
  [3015] = {.lex_state = 12, .external_lex_state = 14},
  [3016] = {.lex_state = 12, .external_lex_state = 14},
  [3017] = {.lex_state = 106, .external_lex_state = 16},
  [3018] = {.lex_state = 106, .external_lex_state = 14},
  [3019] = {.lex_state = 74, .external_lex_state = 14},
  [3020] = {.lex_state = 75, .external_lex_state = 14},
  [3021] = {.lex_state = 75, .external_lex_state = 14},
  [3022] = {.lex_state = 75, .external_lex_state = 14},
  [3023] = {.lex_state = 75, .external_lex_state = 14},
  [3024] = {.lex_state = 75, .external_lex_state = 14},
  [3025] = {.lex_state = 10, .external_lex_state = 14},
  [3026] = {.lex_state = 75, .external_lex_state = 14},
  [3027] = {.lex_state = 75, .external_lex_state = 14},
  [3028] = {.lex_state = 75, .external_lex_state = 14},
  [3029] = {.lex_state = 10, .external_lex_state = 14},
  [3030] = {.lex_state = 75, .external_lex_state = 14},
  [3031] = {.lex_state = 75, .external_lex_state = 14},
  [3032] = {.lex_state = 75, .external_lex_state = 14},
  [3033] = {.lex_state = 106, .external_lex_state = 14},
  [3034] = {.lex_state = 75, .external_lex_state = 14},
  [3035] = {.lex_state = 106, .external_lex_state = 36},
  [3036] = {.lex_state = 10, .external_lex_state = 14},
  [3037] = {.lex_state = 75, .external_lex_state = 14},
  [3038] = {.lex_state = 106, .external_lex_state = 27},
  [3039] = {.lex_state = 106, .external_lex_state = 27},
  [3040] = {.lex_state = 75, .external_lex_state = 14},
  [3041] = {.lex_state = 106, .external_lex_state = 14},
  [3042] = {.lex_state = 106, .external_lex_state = 14},
  [3043] = {.lex_state = 75, .external_lex_state = 14},
  [3044] = {.lex_state = 75, .external_lex_state = 14},
  [3045] = {.lex_state = 75, .external_lex_state = 14},
  [3046] = {.lex_state = 106, .external_lex_state = 14},
  [3047] = {.lex_state = 106, .external_lex_state = 14},
  [3048] = {.lex_state = 106, .external_lex_state = 14},
  [3049] = {.lex_state = 75, .external_lex_state = 14},
  [3050] = {.lex_state = 75, .external_lex_state = 14},
  [3051] = {.lex_state = 106, .external_lex_state = 14},
  [3052] = {.lex_state = 75, .external_lex_state = 14},
  [3053] = {.lex_state = 106, .external_lex_state = 14},
  [3054] = {.lex_state = 75, .external_lex_state = 14},
  [3055] = {.lex_state = 106, .external_lex_state = 14},
  [3056] = {.lex_state = 75, .external_lex_state = 14},
  [3057] = {.lex_state = 106, .external_lex_state = 36},
  [3058] = {.lex_state = 106, .external_lex_state = 14},
  [3059] = {.lex_state = 106, .external_lex_state = 36},
  [3060] = {.lex_state = 106, .external_lex_state = 36},
  [3061] = {.lex_state = 106, .external_lex_state = 36},
  [3062] = {.lex_state = 106, .external_lex_state = 36},
  [3063] = {.lex_state = 75, .external_lex_state = 14},
  [3064] = {.lex_state = 75, .external_lex_state = 14},
  [3065] = {.lex_state = 106, .external_lex_state = 36},
  [3066] = {.lex_state = 12, .external_lex_state = 14},
  [3067] = {.lex_state = 75, .external_lex_state = 14},
  [3068] = {.lex_state = 75, .external_lex_state = 14},
  [3069] = {.lex_state = 106, .external_lex_state = 14},
  [3070] = {.lex_state = 75, .external_lex_state = 14},
  [3071] = {.lex_state = 106, .external_lex_state = 14},
  [3072] = {.lex_state = 106, .external_lex_state = 14},
  [3073] = {.lex_state = 75, .external_lex_state = 14},
  [3074] = {.lex_state = 106, .external_lex_state = 14},
  [3075] = {.lex_state = 75, .external_lex_state = 14},
  [3076] = {.lex_state = 106, .external_lex_state = 14},
  [3077] = {.lex_state = 106, .external_lex_state = 34},
  [3078] = {.lex_state = 106, .external_lex_state = 14},
  [3079] = {.lex_state = 75, .external_lex_state = 14},
  [3080] = {.lex_state = 75, .external_lex_state = 14},
  [3081] = {.lex_state = 75, .external_lex_state = 14},
  [3082] = {.lex_state = 75, .external_lex_state = 14},
  [3083] = {.lex_state = 75, .external_lex_state = 14},
  [3084] = {.lex_state = 75, .external_lex_state = 14},
  [3085] = {.lex_state = 75, .external_lex_state = 14},
  [3086] = {.lex_state = 75, .external_lex_state = 14},
  [3087] = {.lex_state = 75, .external_lex_state = 14},
  [3088] = {.lex_state = 75, .external_lex_state = 14},
  [3089] = {.lex_state = 106, .external_lex_state = 36},
  [3090] = {.lex_state = 75, .external_lex_state = 14},
  [3091] = {.lex_state = 75, .external_lex_state = 14},
  [3092] = {.lex_state = 75, .external_lex_state = 14},
  [3093] = {.lex_state = 75, .external_lex_state = 14},
  [3094] = {.lex_state = 75, .external_lex_state = 14},
  [3095] = {.lex_state = 75, .external_lex_state = 14},
  [3096] = {.lex_state = 75, .external_lex_state = 14},
  [3097] = {.lex_state = 106, .external_lex_state = 36},
  [3098] = {.lex_state = 106, .external_lex_state = 36},
  [3099] = {.lex_state = 106, .external_lex_state = 36},
  [3100] = {.lex_state = 106, .external_lex_state = 36},
  [3101] = {.lex_state = 75, .external_lex_state = 14},
  [3102] = {.lex_state = 75, .external_lex_state = 14},
  [3103] = {.lex_state = 106, .external_lex_state = 14},
  [3104] = {.lex_state = 75, .external_lex_state = 14},
  [3105] = {.lex_state = 75, .external_lex_state = 14},
  [3106] = {.lex_state = 75, .external_lex_state = 14},
  [3107] = {.lex_state = 75, .external_lex_state = 14},
  [3108] = {.lex_state = 3, .external_lex_state = 16},
  [3109] = {.lex_state = 106, .external_lex_state = 14},
  [3110] = {.lex_state = 75, .external_lex_state = 14},
  [3111] = {.lex_state = 75, .external_lex_state = 14},
  [3112] = {.lex_state = 75, .external_lex_state = 14},
  [3113] = {.lex_state = 106, .external_lex_state = 33},
  [3114] = {.lex_state = 75, .external_lex_state = 14},
  [3115] = {.lex_state = 75, .external_lex_state = 14},
  [3116] = {.lex_state = 75, .external_lex_state = 14},
  [3117] = {.lex_state = 106, .external_lex_state = 14},
  [3118] = {.lex_state = 106, .external_lex_state = 33},
  [3119] = {.lex_state = 75, .external_lex_state = 14},
  [3120] = {.lex_state = 75, .external_lex_state = 14},
  [3121] = {.lex_state = 75, .external_lex_state = 14},
  [3122] = {.lex_state = 75, .external_lex_state = 14},
  [3123] = {.lex_state = 75, .external_lex_state = 14},
  [3124] = {.lex_state = 106, .external_lex_state = 27},
  [3125] = {.lex_state = 75, .external_lex_state = 14},
  [3126] = {.lex_state = 10, .external_lex_state = 14},
  [3127] = {.lex_state = 75, .external_lex_state = 14},
  [3128] = {.lex_state = 75, .external_lex_state = 14},
  [3129] = {.lex_state = 75, .external_lex_state = 14},
  [3130] = {.lex_state = 75, .external_lex_state = 14},
  [3131] = {.lex_state = 75, .external_lex_state = 14},
  [3132] = {.lex_state = 75, .external_lex_state = 14},
  [3133] = {.lex_state = 75, .external_lex_state = 14},
  [3134] = {.lex_state = 75, .external_lex_state = 14},
  [3135] = {.lex_state = 106, .external_lex_state = 36},
  [3136] = {.lex_state = 106, .external_lex_state = 36},
  [3137] = {.lex_state = 106, .external_lex_state = 36},
  [3138] = {.lex_state = 106, .external_lex_state = 36},
  [3139] = {.lex_state = 75, .external_lex_state = 14},
  [3140] = {.lex_state = 75, .external_lex_state = 14},
  [3141] = {.lex_state = 75, .external_lex_state = 14},
  [3142] = {.lex_state = 75, .external_lex_state = 14},
  [3143] = {.lex_state = 68, .external_lex_state = 14},
  [3144] = {.lex_state = 75, .external_lex_state = 14},
  [3145] = {.lex_state = 106, .external_lex_state = 34},
  [3146] = {.lex_state = 75, .external_lex_state = 14},
  [3147] = {.lex_state = 75, .external_lex_state = 14},
  [3148] = {.lex_state = 75, .external_lex_state = 14},
  [3149] = {.lex_state = 75, .external_lex_state = 14},
  [3150] = {.lex_state = 75, .external_lex_state = 14},
  [3151] = {.lex_state = 68, .external_lex_state = 14},
  [3152] = {.lex_state = 75, .external_lex_state = 14},
  [3153] = {.lex_state = 75, .external_lex_state = 14},
  [3154] = {.lex_state = 75, .external_lex_state = 14},
  [3155] = {.lex_state = 75, .external_lex_state = 14},
  [3156] = {.lex_state = 75, .external_lex_state = 14},
  [3157] = {.lex_state = 3, .external_lex_state = 30},
  [3158] = {.lex_state = 10, .external_lex_state = 14},
  [3159] = {.lex_state = 75, .external_lex_state = 14},
  [3160] = {.lex_state = 75, .external_lex_state = 14},
  [3161] = {.lex_state = 68, .external_lex_state = 14},
  [3162] = {.lex_state = 75, .external_lex_state = 14},
  [3163] = {.lex_state = 75, .external_lex_state = 14},
  [3164] = {.lex_state = 75, .external_lex_state = 14},
  [3165] = {.lex_state = 75, .external_lex_state = 14},
  [3166] = {.lex_state = 68, .external_lex_state = 14},
  [3167] = {.lex_state = 75, .external_lex_state = 14},
  [3168] = {.lex_state = 75, .external_lex_state = 14},
  [3169] = {.lex_state = 75, .external_lex_state = 14},
  [3170] = {.lex_state = 75, .external_lex_state = 14},
  [3171] = {.lex_state = 75, .external_lex_state = 14},
  [3172] = {.lex_state = 75, .external_lex_state = 14},
  [3173] = {.lex_state = 75, .external_lex_state = 14},
  [3174] = {.lex_state = 10, .external_lex_state = 14},
  [3175] = {.lex_state = 75, .external_lex_state = 14},
  [3176] = {.lex_state = 75, .external_lex_state = 14},
  [3177] = {.lex_state = 75, .external_lex_state = 14},
  [3178] = {.lex_state = 75, .external_lex_state = 14},
  [3179] = {.lex_state = 68, .external_lex_state = 14},
  [3180] = {.lex_state = 75, .external_lex_state = 14},
  [3181] = {.lex_state = 68, .external_lex_state = 14},
  [3182] = {.lex_state = 75, .external_lex_state = 14},
  [3183] = {.lex_state = 75, .external_lex_state = 14},
  [3184] = {.lex_state = 75, .external_lex_state = 14},
  [3185] = {.lex_state = 106, .external_lex_state = 36},
  [3186] = {.lex_state = 106, .external_lex_state = 27},
  [3187] = {.lex_state = 75, .external_lex_state = 14},
  [3188] = {.lex_state = 75, .external_lex_state = 14},
  [3189] = {.lex_state = 106, .external_lex_state = 36},
  [3190] = {.lex_state = 106, .external_lex_state = 36},
  [3191] = {.lex_state = 106, .external_lex_state = 36},
  [3192] = {.lex_state = 75, .external_lex_state = 14},
  [3193] = {.lex_state = 75, .external_lex_state = 14},
  [3194] = {.lex_state = 75, .external_lex_state = 14},
  [3195] = {.lex_state = 75, .external_lex_state = 14},
  [3196] = {.lex_state = 106, .external_lex_state = 36},
  [3197] = {.lex_state = 75, .external_lex_state = 14},
  [3198] = {.lex_state = 75, .external_lex_state = 14},
  [3199] = {.lex_state = 75, .external_lex_state = 14},
  [3200] = {.lex_state = 75, .external_lex_state = 14},
  [3201] = {.lex_state = 75, .external_lex_state = 14},
  [3202] = {.lex_state = 106, .external_lex_state = 34},
  [3203] = {.lex_state = 75, .external_lex_state = 14},
  [3204] = {.lex_state = 106, .external_lex_state = 36},
  [3205] = {.lex_state = 75, .external_lex_state = 14},
  [3206] = {.lex_state = 75, .external_lex_state = 14},
  [3207] = {.lex_state = 75, .external_lex_state = 14},
  [3208] = {.lex_state = 68, .external_lex_state = 14},
  [3209] = {.lex_state = 75, .external_lex_state = 14},
  [3210] = {.lex_state = 75, .external_lex_state = 14},
  [3211] = {.lex_state = 75, .external_lex_state = 14},
  [3212] = {.lex_state = 75, .external_lex_state = 14},
  [3213] = {.lex_state = 75, .external_lex_state = 14},
  [3214] = {.lex_state = 75, .external_lex_state = 14},
  [3215] = {.lex_state = 75, .external_lex_state = 14},
  [3216] = {.lex_state = 75, .external_lex_state = 14},
  [3217] = {.lex_state = 106, .external_lex_state = 14},
  [3218] = {.lex_state = 75, .external_lex_state = 14},
  [3219] = {.lex_state = 75, .external_lex_state = 14},
  [3220] = {.lex_state = 75, .external_lex_state = 14},
  [3221] = {.lex_state = 75, .external_lex_state = 14},
  [3222] = {.lex_state = 68, .external_lex_state = 14},
  [3223] = {.lex_state = 106, .external_lex_state = 34},
  [3224] = {.lex_state = 106, .external_lex_state = 36},
  [3225] = {.lex_state = 106, .external_lex_state = 14},
  [3226] = {.lex_state = 75, .external_lex_state = 14},
  [3227] = {.lex_state = 106, .external_lex_state = 36},
  [3228] = {.lex_state = 75, .external_lex_state = 14},
  [3229] = {.lex_state = 106, .external_lex_state = 14},
  [3230] = {.lex_state = 75, .external_lex_state = 14},
  [3231] = {.lex_state = 106, .external_lex_state = 36},
  [3232] = {.lex_state = 75, .external_lex_state = 14},
  [3233] = {.lex_state = 75, .external_lex_state = 14},
  [3234] = {.lex_state = 75, .external_lex_state = 14},
  [3235] = {.lex_state = 75, .external_lex_state = 14},
  [3236] = {.lex_state = 75, .external_lex_state = 14},
  [3237] = {.lex_state = 106, .external_lex_state = 14},
  [3238] = {.lex_state = 68, .external_lex_state = 14},
  [3239] = {.lex_state = 106, .external_lex_state = 14},
  [3240] = {.lex_state = 106, .external_lex_state = 14},
  [3241] = {.lex_state = 106, .external_lex_state = 14},
  [3242] = {.lex_state = 106, .external_lex_state = 14},
  [3243] = {.lex_state = 106, .external_lex_state = 14},
  [3244] = {.lex_state = 106, .external_lex_state = 14},
  [3245] = {.lex_state = 106, .external_lex_state = 14},
  [3246] = {.lex_state = 106, .external_lex_state = 14},
  [3247] = {.lex_state = 106, .external_lex_state = 14},
  [3248] = {.lex_state = 106, .external_lex_state = 14},
  [3249] = {.lex_state = 106, .external_lex_state = 14},
  [3250] = {.lex_state = 106, .external_lex_state = 37},
  [3251] = {.lex_state = 106, .external_lex_state = 14},
  [3252] = {.lex_state = 106, .external_lex_state = 14},
  [3253] = {.lex_state = 106, .external_lex_state = 14},
  [3254] = {.lex_state = 106, .external_lex_state = 14},
  [3255] = {.lex_state = 106, .external_lex_state = 14},
  [3256] = {.lex_state = 106, .external_lex_state = 14},
  [3257] = {.lex_state = 106, .external_lex_state = 14},
  [3258] = {.lex_state = 106, .external_lex_state = 14},
  [3259] = {.lex_state = 106, .external_lex_state = 14},
  [3260] = {.lex_state = 106, .external_lex_state = 14},
  [3261] = {.lex_state = 106, .external_lex_state = 14},
  [3262] = {.lex_state = 68, .external_lex_state = 14},
  [3263] = {.lex_state = 106, .external_lex_state = 14},
  [3264] = {.lex_state = 106, .external_lex_state = 14},
  [3265] = {.lex_state = 106, .external_lex_state = 14},
  [3266] = {.lex_state = 68, .external_lex_state = 14},
  [3267] = {.lex_state = 106, .external_lex_state = 14},
  [3268] = {.lex_state = 106, .external_lex_state = 14},
  [3269] = {.lex_state = 68, .external_lex_state = 14},
  [3270] = {.lex_state = 68, .external_lex_state = 14},
  [3271] = {.lex_state = 68, .external_lex_state = 14},
  [3272] = {.lex_state = 106, .external_lex_state = 14},
  [3273] = {.lex_state = 106, .external_lex_state = 14},
  [3274] = {.lex_state = 106, .external_lex_state = 14},
  [3275] = {.lex_state = 106, .external_lex_state = 14},
  [3276] = {.lex_state = 106, .external_lex_state = 14},
  [3277] = {.lex_state = 68, .external_lex_state = 14},
  [3278] = {.lex_state = 68, .external_lex_state = 14},
  [3279] = {.lex_state = 106, .external_lex_state = 14},
  [3280] = {.lex_state = 106, .external_lex_state = 14},
  [3281] = {.lex_state = 106, .external_lex_state = 14},
  [3282] = {.lex_state = 106, .external_lex_state = 14},
  [3283] = {.lex_state = 106, .external_lex_state = 14},
  [3284] = {.lex_state = 106, .external_lex_state = 14},
  [3285] = {.lex_state = 106, .external_lex_state = 14},
  [3286] = {.lex_state = 106, .external_lex_state = 14},
  [3287] = {.lex_state = 106, .external_lex_state = 14},
  [3288] = {.lex_state = 106, .external_lex_state = 14},
  [3289] = {.lex_state = 106, .external_lex_state = 14},
  [3290] = {.lex_state = 68, .external_lex_state = 14},
  [3291] = {.lex_state = 106, .external_lex_state = 14},
  [3292] = {.lex_state = 106, .external_lex_state = 14},
  [3293] = {.lex_state = 68, .external_lex_state = 14},
  [3294] = {.lex_state = 68, .external_lex_state = 14},
  [3295] = {.lex_state = 106, .external_lex_state = 14},
  [3296] = {.lex_state = 106, .external_lex_state = 14},
  [3297] = {.lex_state = 106, .external_lex_state = 14},
  [3298] = {.lex_state = 106, .external_lex_state = 14},
  [3299] = {.lex_state = 106, .external_lex_state = 14},
  [3300] = {.lex_state = 106, .external_lex_state = 14},
  [3301] = {.lex_state = 106, .external_lex_state = 14},
  [3302] = {.lex_state = 106, .external_lex_state = 14},
  [3303] = {.lex_state = 106, .external_lex_state = 14},
  [3304] = {.lex_state = 106, .external_lex_state = 14},
  [3305] = {.lex_state = 106, .external_lex_state = 14},
  [3306] = {.lex_state = 106, .external_lex_state = 14},
  [3307] = {.lex_state = 106, .external_lex_state = 14},
  [3308] = {.lex_state = 10, .external_lex_state = 14},
  [3309] = {.lex_state = 10, .external_lex_state = 14},
  [3310] = {.lex_state = 106, .external_lex_state = 16},
  [3311] = {.lex_state = 106, .external_lex_state = 14},
  [3312] = {.lex_state = 68, .external_lex_state = 14},
  [3313] = {.lex_state = 106, .external_lex_state = 14},
  [3314] = {.lex_state = 106, .external_lex_state = 14},
  [3315] = {.lex_state = 106, .external_lex_state = 16},
  [3316] = {.lex_state = 106, .external_lex_state = 14},
  [3317] = {.lex_state = 106, .external_lex_state = 14},
  [3318] = {.lex_state = 106, .external_lex_state = 14},
  [3319] = {.lex_state = 106, .external_lex_state = 14},
  [3320] = {.lex_state = 106, .external_lex_state = 14},
  [3321] = {.lex_state = 106, .external_lex_state = 14},
  [3322] = {.lex_state = 10, .external_lex_state = 14},
  [3323] = {.lex_state = 106, .external_lex_state = 14},
  [3324] = {.lex_state = 10, .external_lex_state = 14},
  [3325] = {.lex_state = 106, .external_lex_state = 14},
  [3326] = {.lex_state = 106, .external_lex_state = 14},
  [3327] = {.lex_state = 106, .external_lex_state = 14},
  [3328] = {.lex_state = 106, .external_lex_state = 14},
  [3329] = {.lex_state = 106, .external_lex_state = 14},
  [3330] = {.lex_state = 68, .external_lex_state = 14},
  [3331] = {.lex_state = 106, .external_lex_state = 14},
  [3332] = {.lex_state = 106, .external_lex_state = 14},
  [3333] = {.lex_state = 106, .external_lex_state = 14},
  [3334] = {.lex_state = 106, .external_lex_state = 14},
  [3335] = {.lex_state = 106, .external_lex_state = 14},
  [3336] = {.lex_state = 106, .external_lex_state = 14},
  [3337] = {.lex_state = 106, .external_lex_state = 14},
  [3338] = {.lex_state = 106, .external_lex_state = 14},
  [3339] = {.lex_state = 10, .external_lex_state = 14},
  [3340] = {.lex_state = 106, .external_lex_state = 14},
  [3341] = {.lex_state = 106, .external_lex_state = 14},
  [3342] = {.lex_state = 106, .external_lex_state = 14},
  [3343] = {.lex_state = 106, .external_lex_state = 16},
  [3344] = {.lex_state = 68, .external_lex_state = 14},
  [3345] = {.lex_state = 106, .external_lex_state = 14},
  [3346] = {.lex_state = 68, .external_lex_state = 14},
  [3347] = {.lex_state = 106, .external_lex_state = 14},
  [3348] = {.lex_state = 106, .external_lex_state = 14},
  [3349] = {.lex_state = 106, .external_lex_state = 14},
  [3350] = {.lex_state = 106, .external_lex_state = 14},
  [3351] = {.lex_state = 106, .external_lex_state = 14},
  [3352] = {.lex_state = 106, .external_lex_state = 14},
  [3353] = {.lex_state = 106, .external_lex_state = 14},
  [3354] = {.lex_state = 10, .external_lex_state = 14},
  [3355] = {.lex_state = 106, .external_lex_state = 14},
  [3356] = {.lex_state = 10, .external_lex_state = 14},
  [3357] = {.lex_state = 106, .external_lex_state = 14},
  [3358] = {.lex_state = 106, .external_lex_state = 14},
  [3359] = {.lex_state = 106, .external_lex_state = 14},
  [3360] = {.lex_state = 106, .external_lex_state = 14},
  [3361] = {.lex_state = 106, .external_lex_state = 14},
  [3362] = {.lex_state = 106, .external_lex_state = 14},
  [3363] = {.lex_state = 106, .external_lex_state = 14},
  [3364] = {.lex_state = 106, .external_lex_state = 14},
  [3365] = {.lex_state = 106, .external_lex_state = 14},
  [3366] = {.lex_state = 106, .external_lex_state = 14},
  [3367] = {.lex_state = 10, .external_lex_state = 14},
  [3368] = {.lex_state = 106, .external_lex_state = 14},
  [3369] = {.lex_state = 106, .external_lex_state = 14},
  [3370] = {.lex_state = 106, .external_lex_state = 14},
  [3371] = {.lex_state = 106, .external_lex_state = 37},
  [3372] = {.lex_state = 106, .external_lex_state = 16},
  [3373] = {.lex_state = 106, .external_lex_state = 14},
  [3374] = {.lex_state = 106, .external_lex_state = 14},
  [3375] = {.lex_state = 10, .external_lex_state = 14},
  [3376] = {.lex_state = 10, .external_lex_state = 14},
  [3377] = {.lex_state = 106, .external_lex_state = 14},
  [3378] = {.lex_state = 106, .external_lex_state = 14},
  [3379] = {.lex_state = 106, .external_lex_state = 14},
  [3380] = {.lex_state = 106, .external_lex_state = 14},
  [3381] = {.lex_state = 106, .external_lex_state = 14},
  [3382] = {.lex_state = 106, .external_lex_state = 14},
  [3383] = {.lex_state = 106, .external_lex_state = 14},
  [3384] = {.lex_state = 106, .external_lex_state = 14},
  [3385] = {.lex_state = 106, .external_lex_state = 14},
  [3386] = {.lex_state = 106, .external_lex_state = 14},
  [3387] = {.lex_state = 106, .external_lex_state = 14},
  [3388] = {.lex_state = 106, .external_lex_state = 14},
  [3389] = {.lex_state = 106, .external_lex_state = 14},
  [3390] = {.lex_state = 106, .external_lex_state = 14},
  [3391] = {.lex_state = 106, .external_lex_state = 14},
  [3392] = {.lex_state = 106, .external_lex_state = 14},
  [3393] = {.lex_state = 106, .external_lex_state = 14},
  [3394] = {.lex_state = 106, .external_lex_state = 14},
  [3395] = {.lex_state = 106, .external_lex_state = 14},
  [3396] = {.lex_state = 106, .external_lex_state = 16},
  [3397] = {.lex_state = 106, .external_lex_state = 14},
  [3398] = {.lex_state = 106, .external_lex_state = 16},
  [3399] = {.lex_state = 106, .external_lex_state = 14},
  [3400] = {.lex_state = 106, .external_lex_state = 14},
  [3401] = {.lex_state = 106, .external_lex_state = 14},
  [3402] = {.lex_state = 106, .external_lex_state = 14},
  [3403] = {.lex_state = 106, .external_lex_state = 14},
  [3404] = {.lex_state = 106, .external_lex_state = 14},
  [3405] = {.lex_state = 106, .external_lex_state = 14},
  [3406] = {.lex_state = 106, .external_lex_state = 14},
  [3407] = {.lex_state = 106, .external_lex_state = 38},
  [3408] = {.lex_state = 106, .external_lex_state = 14},
  [3409] = {.lex_state = 106, .external_lex_state = 14},
  [3410] = {.lex_state = 106, .external_lex_state = 39},
  [3411] = {.lex_state = 106, .external_lex_state = 39},
  [3412] = {.lex_state = 106, .external_lex_state = 39},
  [3413] = {.lex_state = 106, .external_lex_state = 38},
  [3414] = {.lex_state = 106, .external_lex_state = 14},
  [3415] = {.lex_state = 106, .external_lex_state = 14},
  [3416] = {.lex_state = 106, .external_lex_state = 14},
  [3417] = {.lex_state = 106, .external_lex_state = 14},
  [3418] = {.lex_state = 106, .external_lex_state = 38},
  [3419] = {.lex_state = 106, .external_lex_state = 14},
  [3420] = {.lex_state = 106, .external_lex_state = 14},
  [3421] = {.lex_state = 106, .external_lex_state = 39},
  [3422] = {.lex_state = 106, .external_lex_state = 39},
  [3423] = {.lex_state = 106, .external_lex_state = 39},
  [3424] = {.lex_state = 106, .external_lex_state = 38},
  [3425] = {.lex_state = 106, .external_lex_state = 14},
  [3426] = {.lex_state = 106, .external_lex_state = 14},
  [3427] = {.lex_state = 106, .external_lex_state = 14},
  [3428] = {.lex_state = 106, .external_lex_state = 39},
  [3429] = {.lex_state = 106, .external_lex_state = 39},
  [3430] = {.lex_state = 106, .external_lex_state = 39},
  [3431] = {.lex_state = 106, .external_lex_state = 37},
  [3432] = {.lex_state = 12, .external_lex_state = 14},
  [3433] = {.lex_state = 106, .external_lex_state = 39},
  [3434] = {.lex_state = 106, .external_lex_state = 16},
  [3435] = {.lex_state = 106, .external_lex_state = 39},
  [3436] = {.lex_state = 106, .external_lex_state = 16},
  [3437] = {.lex_state = 106, .external_lex_state = 39},
  [3438] = {.lex_state = 106, .external_lex_state = 39},
  [3439] = {.lex_state = 106, .external_lex_state = 14},
  [3440] = {.lex_state = 106, .external_lex_state = 39},
  [3441] = {.lex_state = 106, .external_lex_state = 14},
  [3442] = {.lex_state = 106, .external_lex_state = 14},
  [3443] = {.lex_state = 106, .external_lex_state = 14},
  [3444] = {.lex_state = 106, .external_lex_state = 14},
  [3445] = {.lex_state = 106, .external_lex_state = 14},
  [3446] = {.lex_state = 106, .external_lex_state = 14},
  [3447] = {.lex_state = 106, .external_lex_state = 39},
  [3448] = {.lex_state = 106, .external_lex_state = 14},
  [3449] = {.lex_state = 106, .external_lex_state = 14},
  [3450] = {.lex_state = 106, .external_lex_state = 14},
  [3451] = {.lex_state = 106, .external_lex_state = 14},
  [3452] = {.lex_state = 106, .external_lex_state = 14},
  [3453] = {.lex_state = 106, .external_lex_state = 14},
  [3454] = {.lex_state = 106, .external_lex_state = 14},
  [3455] = {.lex_state = 106, .external_lex_state = 14},
  [3456] = {.lex_state = 106, .external_lex_state = 38},
  [3457] = {.lex_state = 106, .external_lex_state = 14},
  [3458] = {.lex_state = 106, .external_lex_state = 14},
  [3459] = {.lex_state = 106, .external_lex_state = 14},
  [3460] = {.lex_state = 106, .external_lex_state = 14},
  [3461] = {.lex_state = 106, .external_lex_state = 14},
  [3462] = {.lex_state = 106, .external_lex_state = 14},
  [3463] = {.lex_state = 106, .external_lex_state = 25},
  [3464] = {.lex_state = 106, .external_lex_state = 14},
  [3465] = {.lex_state = 106, .external_lex_state = 14},
  [3466] = {.lex_state = 106, .external_lex_state = 27},
  [3467] = {.lex_state = 106, .external_lex_state = 14},
  [3468] = {.lex_state = 106, .external_lex_state = 14},
  [3469] = {.lex_state = 10, .external_lex_state = 14},
  [3470] = {.lex_state = 106, .external_lex_state = 14},
  [3471] = {.lex_state = 106, .external_lex_state = 40},
  [3472] = {.lex_state = 106, .external_lex_state = 14},
  [3473] = {.lex_state = 106, .external_lex_state = 14},
  [3474] = {.lex_state = 12, .external_lex_state = 14},
  [3475] = {.lex_state = 106, .external_lex_state = 14},
  [3476] = {.lex_state = 106, .external_lex_state = 41},
  [3477] = {.lex_state = 106, .external_lex_state = 14},
  [3478] = {.lex_state = 106, .external_lex_state = 14},
  [3479] = {.lex_state = 106, .external_lex_state = 14},
  [3480] = {.lex_state = 106, .external_lex_state = 14},
  [3481] = {.lex_state = 106, .external_lex_state = 40},
  [3482] = {.lex_state = 106, .external_lex_state = 42},
  [3483] = {.lex_state = 106, .external_lex_state = 14},
  [3484] = {.lex_state = 106, .external_lex_state = 14},
  [3485] = {.lex_state = 106, .external_lex_state = 14},
  [3486] = {.lex_state = 106, .external_lex_state = 42},
  [3487] = {.lex_state = 106, .external_lex_state = 14},
  [3488] = {.lex_state = 106, .external_lex_state = 41},
  [3489] = {.lex_state = 10, .external_lex_state = 14},
  [3490] = {.lex_state = 106, .external_lex_state = 14},
  [3491] = {.lex_state = 106, .external_lex_state = 14},
  [3492] = {.lex_state = 106, .external_lex_state = 43},
  [3493] = {.lex_state = 106, .external_lex_state = 14},
  [3494] = {.lex_state = 106, .external_lex_state = 14},
  [3495] = {.lex_state = 106, .external_lex_state = 14},
  [3496] = {.lex_state = 106, .external_lex_state = 41},
  [3497] = {.lex_state = 106, .external_lex_state = 14},
  [3498] = {.lex_state = 106, .external_lex_state = 14},
  [3499] = {.lex_state = 12, .external_lex_state = 14},
  [3500] = {.lex_state = 106, .external_lex_state = 14},
  [3501] = {.lex_state = 106, .external_lex_state = 14},
  [3502] = {.lex_state = 106, .external_lex_state = 25},
  [3503] = {.lex_state = 106, .external_lex_state = 41},
  [3504] = {.lex_state = 106, .external_lex_state = 14},
  [3505] = {.lex_state = 10, .external_lex_state = 14},
  [3506] = {.lex_state = 106, .external_lex_state = 14},
  [3507] = {.lex_state = 106, .external_lex_state = 14},
  [3508] = {.lex_state = 106, .external_lex_state = 14},
  [3509] = {.lex_state = 106, .external_lex_state = 14},
  [3510] = {.lex_state = 106, .external_lex_state = 14},
  [3511] = {.lex_state = 106, .external_lex_state = 25},
  [3512] = {.lex_state = 10, .external_lex_state = 14},
  [3513] = {.lex_state = 106, .external_lex_state = 14},
  [3514] = {.lex_state = 106, .external_lex_state = 40},
  [3515] = {.lex_state = 106, .external_lex_state = 14},
  [3516] = {.lex_state = 106, .external_lex_state = 14},
  [3517] = {.lex_state = 250, .external_lex_state = 14},
  [3518] = {.lex_state = 106, .external_lex_state = 14},
  [3519] = {.lex_state = 10, .external_lex_state = 14},
  [3520] = {.lex_state = 106, .external_lex_state = 40},
  [3521] = {.lex_state = 106, .external_lex_state = 14},
  [3522] = {.lex_state = 12, .external_lex_state = 14},
  [3523] = {.lex_state = 106, .external_lex_state = 14},
  [3524] = {.lex_state = 106, .external_lex_state = 42},
  [3525] = {.lex_state = 106, .external_lex_state = 40},
  [3526] = {.lex_state = 106, .external_lex_state = 27},
  [3527] = {.lex_state = 106, .external_lex_state = 14},
  [3528] = {.lex_state = 106, .external_lex_state = 14},
  [3529] = {.lex_state = 106, .external_lex_state = 14},
  [3530] = {.lex_state = 106, .external_lex_state = 14},
  [3531] = {.lex_state = 106, .external_lex_state = 14},
  [3532] = {.lex_state = 106, .external_lex_state = 14},
  [3533] = {.lex_state = 106, .external_lex_state = 14},
  [3534] = {.lex_state = 106, .external_lex_state = 14},
  [3535] = {.lex_state = 106, .external_lex_state = 14},
  [3536] = {.lex_state = 106, .external_lex_state = 14},
  [3537] = {.lex_state = 106, .external_lex_state = 14},
  [3538] = {.lex_state = 106, .external_lex_state = 14},
  [3539] = {.lex_state = 10, .external_lex_state = 14},
  [3540] = {.lex_state = 106, .external_lex_state = 14},
  [3541] = {.lex_state = 106, .external_lex_state = 43},
  [3542] = {.lex_state = 106, .external_lex_state = 14},
  [3543] = {.lex_state = 106, .external_lex_state = 14},
  [3544] = {.lex_state = 106, .external_lex_state = 14},
  [3545] = {.lex_state = 106, .external_lex_state = 41},
  [3546] = {.lex_state = 106, .external_lex_state = 14},
  [3547] = {.lex_state = 106, .external_lex_state = 14},
  [3548] = {.lex_state = 106, .external_lex_state = 14},
  [3549] = {.lex_state = 106, .external_lex_state = 14},
  [3550] = {.lex_state = 106, .external_lex_state = 14},
  [3551] = {.lex_state = 10, .external_lex_state = 14},
  [3552] = {.lex_state = 106, .external_lex_state = 14},
  [3553] = {.lex_state = 106, .external_lex_state = 14},
  [3554] = {.lex_state = 106, .external_lex_state = 14},
  [3555] = {.lex_state = 106, .external_lex_state = 14},
  [3556] = {.lex_state = 106, .external_lex_state = 25},
  [3557] = {.lex_state = 106, .external_lex_state = 43},
  [3558] = {.lex_state = 106, .external_lex_state = 14},
  [3559] = {.lex_state = 106, .external_lex_state = 14},
  [3560] = {.lex_state = 106, .external_lex_state = 41},
  [3561] = {.lex_state = 106, .external_lex_state = 14},
  [3562] = {.lex_state = 106, .external_lex_state = 14},
  [3563] = {.lex_state = 106, .external_lex_state = 40},
  [3564] = {.lex_state = 106, .external_lex_state = 14},
  [3565] = {.lex_state = 106, .external_lex_state = 14},
  [3566] = {.lex_state = 12, .external_lex_state = 14},
  [3567] = {.lex_state = 106, .external_lex_state = 14},
  [3568] = {.lex_state = 106, .external_lex_state = 14},
  [3569] = {.lex_state = 106, .external_lex_state = 14},
  [3570] = {.lex_state = 106, .external_lex_state = 14},
  [3571] = {.lex_state = 10, .external_lex_state = 14},
  [3572] = {.lex_state = 10, .external_lex_state = 14},
  [3573] = {.lex_state = 10, .external_lex_state = 14},
  [3574] = {.lex_state = 106, .external_lex_state = 14},
  [3575] = {.lex_state = 250, .external_lex_state = 14},
  [3576] = {.lex_state = 10, .external_lex_state = 14},
  [3577] = {.lex_state = 106, .external_lex_state = 14},
  [3578] = {.lex_state = 106, .external_lex_state = 14},
  [3579] = {.lex_state = 106, .external_lex_state = 14},
  [3580] = {.lex_state = 106, .external_lex_state = 43},
  [3581] = {.lex_state = 106, .external_lex_state = 14},
  [3582] = {.lex_state = 106, .external_lex_state = 43},
  [3583] = {.lex_state = 106, .external_lex_state = 40},
  [3584] = {.lex_state = 106, .external_lex_state = 14},
  [3585] = {.lex_state = 106, .external_lex_state = 14},
  [3586] = {.lex_state = 106, .external_lex_state = 43},
  [3587] = {.lex_state = 106, .external_lex_state = 14},
  [3588] = {.lex_state = 106, .external_lex_state = 40},
  [3589] = {.lex_state = 106, .external_lex_state = 42},
  [3590] = {.lex_state = 106, .external_lex_state = 41},
  [3591] = {.lex_state = 106, .external_lex_state = 43},
  [3592] = {.lex_state = 106, .external_lex_state = 40},
  [3593] = {.lex_state = 106, .external_lex_state = 14},
  [3594] = {.lex_state = 106, .external_lex_state = 14},
  [3595] = {.lex_state = 106, .external_lex_state = 43},
  [3596] = {.lex_state = 106, .external_lex_state = 40},
  [3597] = {.lex_state = 106, .external_lex_state = 14},
  [3598] = {.lex_state = 106, .external_lex_state = 14},
  [3599] = {.lex_state = 106, .external_lex_state = 43},
  [3600] = {.lex_state = 106, .external_lex_state = 40},
  [3601] = {.lex_state = 106, .external_lex_state = 14},
  [3602] = {.lex_state = 106, .external_lex_state = 14},
  [3603] = {.lex_state = 106, .external_lex_state = 40},
  [3604] = {.lex_state = 12, .external_lex_state = 14},
  [3605] = {.lex_state = 106, .external_lex_state = 14},
  [3606] = {.lex_state = 106, .external_lex_state = 40},
  [3607] = {.lex_state = 106, .external_lex_state = 14},
  [3608] = {.lex_state = 106, .external_lex_state = 27},
  [3609] = {.lex_state = 106, .external_lex_state = 40},
  [3610] = {.lex_state = 106, .external_lex_state = 14},
  [3611] = {.lex_state = 106, .external_lex_state = 41},
  [3612] = {.lex_state = 106, .external_lex_state = 40},
  [3613] = {.lex_state = 106, .external_lex_state = 41},
  [3614] = {.lex_state = 106, .external_lex_state = 14},
  [3615] = {.lex_state = 106, .external_lex_state = 40},
  [3616] = {.lex_state = 106, .external_lex_state = 14},
  [3617] = {.lex_state = 106, .external_lex_state = 14},
  [3618] = {.lex_state = 106, .external_lex_state = 40},
  [3619] = {.lex_state = 106, .external_lex_state = 14},
  [3620] = {.lex_state = 106, .external_lex_state = 41},
  [3621] = {.lex_state = 106, .external_lex_state = 40},
  [3622] = {.lex_state = 106, .external_lex_state = 14},
  [3623] = {.lex_state = 106, .external_lex_state = 14},
  [3624] = {.lex_state = 106, .external_lex_state = 40},
  [3625] = {.lex_state = 47, .external_lex_state = 14},
  [3626] = {.lex_state = 106, .external_lex_state = 14},
  [3627] = {.lex_state = 106, .external_lex_state = 40},
  [3628] = {.lex_state = 106, .external_lex_state = 14},
  [3629] = {.lex_state = 3, .external_lex_state = 14},
  [3630] = {.lex_state = 106, .external_lex_state = 14},
  [3631] = {.lex_state = 106, .external_lex_state = 41},
  [3632] = {.lex_state = 106, .external_lex_state = 42},
  [3633] = {.lex_state = 250, .external_lex_state = 14},
  [3634] = {.lex_state = 10, .external_lex_state = 14},
  [3635] = {.lex_state = 106, .external_lex_state = 41},
  [3636] = {.lex_state = 106, .external_lex_state = 14},
  [3637] = {.lex_state = 106, .external_lex_state = 14},
  [3638] = {.lex_state = 106, .external_lex_state = 14},
  [3639] = {.lex_state = 106, .external_lex_state = 14},
  [3640] = {.lex_state = 106, .external_lex_state = 14},
  [3641] = {.lex_state = 106, .external_lex_state = 14},
  [3642] = {.lex_state = 106, .external_lex_state = 14},
  [3643] = {.lex_state = 106, .external_lex_state = 14},
  [3644] = {.lex_state = 106, .external_lex_state = 14},
  [3645] = {.lex_state = 106, .external_lex_state = 14},
  [3646] = {.lex_state = 3, .external_lex_state = 14},
  [3647] = {.lex_state = 106, .external_lex_state = 14},
  [3648] = {.lex_state = 106, .external_lex_state = 14},
  [3649] = {.lex_state = 106, .external_lex_state = 14},
  [3650] = {.lex_state = 106, .external_lex_state = 41},
  [3651] = {.lex_state = 106, .external_lex_state = 14},
  [3652] = {.lex_state = 106, .external_lex_state = 14},
  [3653] = {.lex_state = 106, .external_lex_state = 14},
  [3654] = {.lex_state = 106, .external_lex_state = 14},
  [3655] = {.lex_state = 106, .external_lex_state = 14},
  [3656] = {.lex_state = 106, .external_lex_state = 14},
  [3657] = {.lex_state = 106, .external_lex_state = 14},
  [3658] = {.lex_state = 106, .external_lex_state = 14},
  [3659] = {.lex_state = 106, .external_lex_state = 41},
  [3660] = {.lex_state = 106, .external_lex_state = 41},
  [3661] = {.lex_state = 106, .external_lex_state = 42},
  [3662] = {.lex_state = 106, .external_lex_state = 14},
  [3663] = {.lex_state = 106, .external_lex_state = 14},
  [3664] = {.lex_state = 106, .external_lex_state = 14},
  [3665] = {.lex_state = 10, .external_lex_state = 14},
  [3666] = {.lex_state = 106, .external_lex_state = 27},
  [3667] = {.lex_state = 106, .external_lex_state = 14},
  [3668] = {.lex_state = 106, .external_lex_state = 14},
  [3669] = {.lex_state = 106, .external_lex_state = 14},
  [3670] = {.lex_state = 106, .external_lex_state = 14},
  [3671] = {.lex_state = 106, .external_lex_state = 14},
  [3672] = {.lex_state = 106, .external_lex_state = 14},
  [3673] = {.lex_state = 106, .external_lex_state = 14},
  [3674] = {.lex_state = 106, .external_lex_state = 14},
  [3675] = {.lex_state = 106, .external_lex_state = 14},
  [3676] = {.lex_state = 106, .external_lex_state = 25},
  [3677] = {.lex_state = 106, .external_lex_state = 25},
  [3678] = {.lex_state = 106, .external_lex_state = 14},
  [3679] = {.lex_state = 106, .external_lex_state = 14},
  [3680] = {.lex_state = 106, .external_lex_state = 14},
  [3681] = {.lex_state = 106, .external_lex_state = 14},
  [3682] = {.lex_state = 106, .external_lex_state = 14},
  [3683] = {.lex_state = 106, .external_lex_state = 14},
  [3684] = {.lex_state = 106, .external_lex_state = 14},
  [3685] = {.lex_state = 106, .external_lex_state = 14},
  [3686] = {.lex_state = 106, .external_lex_state = 14},
  [3687] = {.lex_state = 106, .external_lex_state = 14},
  [3688] = {.lex_state = 106, .external_lex_state = 14},
  [3689] = {.lex_state = 106, .external_lex_state = 14},
  [3690] = {.lex_state = 106, .external_lex_state = 14},
  [3691] = {.lex_state = 106, .external_lex_state = 14},
  [3692] = {.lex_state = 106, .external_lex_state = 14},
  [3693] = {.lex_state = 106, .external_lex_state = 14},
  [3694] = {.lex_state = 106, .external_lex_state = 14},
  [3695] = {.lex_state = 106, .external_lex_state = 40},
  [3696] = {.lex_state = 106, .external_lex_state = 14},
  [3697] = {.lex_state = 106, .external_lex_state = 14},
  [3698] = {.lex_state = 47, .external_lex_state = 14},
  [3699] = {.lex_state = 106, .external_lex_state = 14},
  [3700] = {.lex_state = 106, .external_lex_state = 14},
  [3701] = {.lex_state = 106, .external_lex_state = 14},
  [3702] = {(TSStateId)(-1)},
  [3703] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_heredoc_content] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__identifier] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_role] = ACTIONS(1),
    [anon_sym_BUILD] = ACTIONS(1),
    [anon_sym_ADJUST] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_my] = ACTIONS(1),
    [anon_sym_extended] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_sub] = ACTIONS(1),
    [anon_sym_method] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_state] = ACTIONS(1),
    [anon_sym_our] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_elsif] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_xor] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_DOT_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_x_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_CARET_CARET] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_GT_GT2] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_x] = ACTIONS(1),
    [anon_sym_EQ_TILDE] = ACTIONS(1),
    [anon_sym_BANG_TILDE] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_eq] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_equ] = ACTIONS(1),
    [anon_sym_eqr] = ACTIONS(1),
    [anon_sym_ne] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_cmp] = ACTIONS(1),
    [anon_sym_TILDE_TILDE] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_lt] = ACTIONS(1),
    [anon_sym_le] = ACTIONS(1),
    [anon_sym_ge] = ACTIONS(1),
    [anon_sym_gt] = ACTIONS(1),
    [anon_sym_isa] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_eval] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_field] = ACTIONS(1),
    [anon_sym_local] = ACTIONS(1),
    [anon_sym_dynamically] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_map] = ACTIONS(1),
    [anon_sym_grep] = ACTIONS(1),
    [anon_sym_sort] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_undef] = ACTIONS(1),
    [anon_sym_PERCENT2] = ACTIONS(1),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_use] = ACTIONS(1),
    [anon_sym_no] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_foreach] = ACTIONS(1),
    [anon_sym_last] = ACTIONS(1),
    [anon_sym_next] = ACTIONS(1),
    [anon_sym_redo] = ACTIONS(1),
    [anon_sym_BEGIN] = ACTIONS(1),
    [anon_sym_INIT] = ACTIONS(1),
    [anon_sym_CHECK] = ACTIONS(1),
    [anon_sym_UNITCHECK] = ACTIONS(1),
    [anon_sym_END] = ACTIONS(1),
    [anon_sym___FILE__] = ACTIONS(1),
    [anon_sym___LINE__] = ACTIONS(1),
    [anon_sym___PACKAGE__] = ACTIONS(1),
    [anon_sym___SUB__] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_fork] = ACTIONS(1),
    [anon_sym_getppid] = ACTIONS(1),
    [anon_sym_time] = ACTIONS(1),
    [anon_sym_times] = ACTIONS(1),
    [anon_sym_wait] = ACTIONS(1),
    [anon_sym_wantarray] = ACTIONS(1),
    [anon_sym_abs] = ACTIONS(1),
    [anon_sym_alarm] = ACTIONS(1),
    [anon_sym_chop] = ACTIONS(1),
    [anon_sym_chdir] = ACTIONS(1),
    [anon_sym_close] = ACTIONS(1),
    [anon_sym_closedir] = ACTIONS(1),
    [anon_sym_caller] = ACTIONS(1),
    [anon_sym_chomp] = ACTIONS(1),
    [anon_sym_chr] = ACTIONS(1),
    [anon_sym_cos] = ACTIONS(1),
    [anon_sym_chroot] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_dbmclose] = ACTIONS(1),
    [anon_sym_exists] = ACTIONS(1),
    [anon_sym_exit] = ACTIONS(1),
    [anon_sym_eof] = ACTIONS(1),
    [anon_sym_exp] = ACTIONS(1),
    [anon_sym_each] = ACTIONS(1),
    [anon_sym_fc] = ACTIONS(1),
    [anon_sym_fileno] = ACTIONS(1),
    [anon_sym_gmtime] = ACTIONS(1),
    [anon_sym_getc] = ACTIONS(1),
    [anon_sym_getpgrp] = ACTIONS(1),
    [anon_sym_getprotobyname] = ACTIONS(1),
    [anon_sym_getpwname] = ACTIONS(1),
    [anon_sym_getpwuid] = ACTIONS(1),
    [anon_sym_getpeername] = ACTIONS(1),
    [anon_sym_getnetbyname] = ACTIONS(1),
    [anon_sym_getsockname] = ACTIONS(1),
    [anon_sym_getgrnam] = ACTIONS(1),
    [anon_sym_getgrgid] = ACTIONS(1),
    [anon_sym_hex] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [anon_sym_keys] = ACTIONS(1),
    [anon_sym_lc] = ACTIONS(1),
    [anon_sym_lcfirst] = ACTIONS(1),
    [anon_sym_length] = ACTIONS(1),
    [anon_sym_localtime] = ACTIONS(1),
    [anon_sym_log] = ACTIONS(1),
    [anon_sym_lock] = ACTIONS(1),
    [anon_sym_lstat] = ACTIONS(1),
    [anon_sym_oct] = ACTIONS(1),
    [anon_sym_ord] = ACTIONS(1),
    [anon_sym_prototype] = ACTIONS(1),
    [anon_sym_pop] = ACTIONS(1),
    [anon_sym_pos] = ACTIONS(1),
    [anon_sym_quotemeta] = ACTIONS(1),
    [anon_sym_reset] = ACTIONS(1),
    [anon_sym_rand] = ACTIONS(1),
    [anon_sym_rmdir] = ACTIONS(1),
    [anon_sym_readdir] = ACTIONS(1),
    [anon_sym_readline] = ACTIONS(1),
    [anon_sym_readpipe] = ACTIONS(1),
    [anon_sym_rewinddir] = ACTIONS(1),
    [anon_sym_readlink] = ACTIONS(1),
    [anon_sym_ref] = ACTIONS(1),
    [anon_sym_scalar] = ACTIONS(1),
    [anon_sym_shift] = ACTIONS(1),
    [anon_sym_sin] = ACTIONS(1),
    [anon_sym_sleep] = ACTIONS(1),
    [anon_sym_sqrt] = ACTIONS(1),
    [anon_sym_srand] = ACTIONS(1),
    [anon_sym_stat] = ACTIONS(1),
    [anon_sym_study] = ACTIONS(1),
    [anon_sym_tell] = ACTIONS(1),
    [anon_sym_telldir] = ACTIONS(1),
    [anon_sym_tied] = ACTIONS(1),
    [anon_sym_uc] = ACTIONS(1),
    [anon_sym_ucfirst] = ACTIONS(1),
    [anon_sym_untie] = ACTIONS(1),
    [anon_sym_umask] = ACTIONS(1),
    [anon_sym_values] = ACTIONS(1),
    [anon_sym_write] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1),
    [anon_sym___END__] = ACTIONS(1),
    [anon_sym_EOT] = ACTIONS(1),
    [anon_sym_q] = ACTIONS(1),
    [anon_sym_qq] = ACTIONS(1),
    [anon_sym_LBRACK2] = ACTIONS(1),
    [anon_sym_LBRACE2] = ACTIONS(1),
    [anon_sym_qw] = ACTIONS(1),
    [anon_sym_qx] = ACTIONS(1),
    [anon_sym_qr] = ACTIONS(1),
    [anon_sym_m] = ACTIONS(1),
    [anon_sym_s] = ACTIONS(1),
    [sym_quoted_regexp_modifiers] = ACTIONS(1),
    [anon_sym_tr] = ACTIONS(1),
    [anon_sym_y] = ACTIONS(1),
    [sym_version] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_unless] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_until] = ACTIONS(1),
    [aux_sym__bareword_token1] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [sym__single_quote] = ACTIONS(1),
    [sym__double_quote] = ACTIONS(1),
    [sym__backtick_quote] = ACTIONS(1),
    [sym__search_slash_quote] = ACTIONS(1),
    [sym__no_search_slash_plz] = ACTIONS(1),
    [sym__PERLY_SEMICOLON] = ACTIONS(1),
    [sym__PERLY_HEREDOC] = ACTIONS(1),
    [sym__ctrl_z_hack] = ACTIONS(1),
    [sym__quotelike_begin_quote] = ACTIONS(1),
    [sym__quotelike_middle_close_quote] = ACTIONS(1),
    [sym__quotelike_middle_skip] = ACTIONS(1),
    [sym__quotelike_end_zw] = ACTIONS(1),
    [sym__quotelike_end_quote] = ACTIONS(1),
    [sym__q_string_content] = ACTIONS(1),
    [sym__qq_string_content] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_escaped_delimiter] = ACTIONS(1),
    [sym__dollar_in_regexp] = ACTIONS(1),
    [sym_pod] = ACTIONS(5),
    [sym__gobbled_content] = ACTIONS(1),
    [sym__attribute_value_begin] = ACTIONS(1),
    [sym_attribute_value] = ACTIONS(1),
    [sym_prototype] = ACTIONS(1),
    [sym__signature_start] = ACTIONS(1),
    [sym__heredoc_delimiter] = ACTIONS(1),
    [sym__command_heredoc_delimiter] = ACTIONS(1),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__heredoc_middle] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym__fat_comma_autoquoted] = ACTIONS(1),
    [sym__filetest] = ACTIONS(1),
    [sym__brace_autoquoted_token] = ACTIONS(1),
    [sym__brace_end_zw] = ACTIONS(1),
    [sym__dollar_ident_zw] = ACTIONS(1),
    [sym__no_interp_whitespace_zw] = ACTIONS(1),
    [sym__NONASSOC] = ACTIONS(1),
    [sym__ERROR] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(3543),
    [sym__PERLY_BRACE_OPEN] = STATE(67),
    [sym_block] = STATE(868),
    [sym__fullstmt] = STATE(884),
    [sym_statement_label] = STATE(804),
    [sym__barestmt] = STATE(804),
    [sym_package_statement] = STATE(839),
    [sym_class_statement] = STATE(839),
    [sym_role_statement] = STATE(839),
    [sym_class_phaser_statement] = STATE(839),
    [sym_use_version_statement] = STATE(839),
    [sym_use_statement] = STATE(839),
    [sym_subroutine_declaration_statement] = STATE(839),
    [sym_method_declaration_statement] = STATE(839),
    [sym_phaser_statement] = STATE(839),
    [sym_conditional_statement] = STATE(839),
    [sym_loop_statement] = STATE(839),
    [sym_cstyle_for_statement] = STATE(839),
    [sym_for_statement] = STATE(839),
    [sym_try_statement] = STATE(839),
    [sym_defer_statement] = STATE(839),
    [sym_expression_statement] = STATE(2715),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym___DATA__] = STATE(3504),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(1),
    [sym__conditionals] = STATE(3537),
    [sym__loops] = STATE(3594),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3646),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(16),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2984),
    [ts_builtin_sym_end] = ACTIONS(9),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_role] = ACTIONS(21),
    [anon_sym_BUILD] = ACTIONS(23),
    [anon_sym_ADJUST] = ACTIONS(23),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(29),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(33),
    [anon_sym_method] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_defer] = ACTIONS(45),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(91),
    [anon_sym_no] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(93),
    [anon_sym_foreach] = ACTIONS(93),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(97),
    [anon_sym_INIT] = ACTIONS(97),
    [anon_sym_CHECK] = ACTIONS(97),
    [anon_sym_UNITCHECK] = ACTIONS(97),
    [anon_sym_END] = ACTIONS(97),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(101),
    [anon_sym___END__] = ACTIONS(101),
    [anon_sym_EOT] = ACTIONS(103),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym__ctrl_z_hack] = ACTIONS(141),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [2] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1226),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym__label_arg] = STATE(1138),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(2),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(1110),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(147),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(151),
    [anon_sym_SEMI] = ACTIONS(151),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(151),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(151),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(151),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(151),
    [anon_sym_and] = ACTIONS(151),
    [anon_sym_or] = ACTIONS(151),
    [anon_sym_xor] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_DASH_GT] = ACTIONS(151),
    [anon_sym_PERCENT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(151),
    [anon_sym_LT_LT] = ACTIONS(151),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(151),
    [anon_sym_PLUS_EQ] = ACTIONS(151),
    [anon_sym_DASH_EQ] = ACTIONS(151),
    [anon_sym_DOT_EQ] = ACTIONS(151),
    [anon_sym_STAR_EQ] = ACTIONS(151),
    [anon_sym_SLASH_EQ] = ACTIONS(151),
    [anon_sym_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_x_EQ] = ACTIONS(151),
    [anon_sym_AMP_EQ] = ACTIONS(151),
    [anon_sym_PIPE_EQ] = ACTIONS(151),
    [anon_sym_CARET_EQ] = ACTIONS(151),
    [anon_sym_LT_LT_EQ] = ACTIONS(151),
    [anon_sym_GT_GT_EQ] = ACTIONS(151),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(151),
    [anon_sym_DOT_DOT] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(151),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_SLASH_SLASH] = ACTIONS(151),
    [anon_sym_CARET_CARET] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(151),
    [anon_sym_CARET] = ACTIONS(151),
    [anon_sym_AMP] = ACTIONS(151),
    [anon_sym_GT_GT2] = ACTIONS(151),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_x] = ACTIONS(151),
    [anon_sym_EQ_TILDE] = ACTIONS(151),
    [anon_sym_BANG_TILDE] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_eq] = ACTIONS(151),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(151),
    [anon_sym_equ] = ACTIONS(151),
    [anon_sym_eqr] = ACTIONS(151),
    [anon_sym_ne] = ACTIONS(151),
    [anon_sym_LT_EQ_GT] = ACTIONS(151),
    [anon_sym_cmp] = ACTIONS(151),
    [anon_sym_TILDE_TILDE] = ACTIONS(151),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_lt] = ACTIONS(151),
    [anon_sym_le] = ACTIONS(151),
    [anon_sym_ge] = ACTIONS(151),
    [anon_sym_gt] = ACTIONS(151),
    [anon_sym_isa] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(151),
    [anon_sym_DASH_DASH] = ACTIONS(151),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(151),
    [anon_sym_for] = ACTIONS(151),
    [anon_sym_foreach] = ACTIONS(151),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(151),
    [anon_sym___END__] = ACTIONS(151),
    [anon_sym_EOT] = ACTIONS(151),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(151),
    [anon_sym_unless] = ACTIONS(151),
    [anon_sym_while] = ACTIONS(151),
    [anon_sym_until] = ACTIONS(151),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(157),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym__ctrl_z_hack] = ACTIONS(157),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [3] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__term_rightward] = STATE(1122),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1063),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(3),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(159),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(159),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(159),
    [anon_sym_and] = ACTIONS(159),
    [anon_sym_or] = ACTIONS(159),
    [anon_sym_xor] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_DASH_GT] = ACTIONS(159),
    [anon_sym_PERCENT] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(159),
    [anon_sym_LT_LT] = ACTIONS(164),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_DOT_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_x_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT] = ACTIONS(159),
    [anon_sym_STAR_STAR] = ACTIONS(159),
    [anon_sym_PIPE_PIPE] = ACTIONS(159),
    [anon_sym_SLASH_SLASH] = ACTIONS(167),
    [anon_sym_CARET_CARET] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_GT_GT2] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(170),
    [anon_sym_DASH] = ACTIONS(173),
    [anon_sym_DOT] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(176),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_x] = ACTIONS(159),
    [anon_sym_EQ_TILDE] = ACTIONS(159),
    [anon_sym_BANG_TILDE] = ACTIONS(159),
    [anon_sym_EQ_EQ] = ACTIONS(159),
    [anon_sym_BANG_EQ] = ACTIONS(159),
    [anon_sym_eq] = ACTIONS(159),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(159),
    [anon_sym_equ] = ACTIONS(159),
    [anon_sym_eqr] = ACTIONS(159),
    [anon_sym_ne] = ACTIONS(159),
    [anon_sym_LT_EQ_GT] = ACTIONS(159),
    [anon_sym_cmp] = ACTIONS(159),
    [anon_sym_TILDE_TILDE] = ACTIONS(159),
    [anon_sym_LT_EQ] = ACTIONS(159),
    [anon_sym_GT_EQ] = ACTIONS(159),
    [anon_sym_lt] = ACTIONS(159),
    [anon_sym_le] = ACTIONS(159),
    [anon_sym_ge] = ACTIONS(159),
    [anon_sym_gt] = ACTIONS(159),
    [anon_sym_isa] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(179),
    [anon_sym_DASH_DASH] = ACTIONS(179),
    [anon_sym_QMARK] = ACTIONS(159),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_foreach] = ACTIONS(159),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(159),
    [anon_sym___END__] = ACTIONS(159),
    [anon_sym_EOT] = ACTIONS(159),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_unless] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_until] = ACTIONS(159),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(182),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym__ctrl_z_hack] = ACTIONS(182),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [4] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1129),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(4),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(184),
    [anon_sym_SEMI] = ACTIONS(184),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(184),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(184),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(184),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(184),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(184),
    [anon_sym_and] = ACTIONS(184),
    [anon_sym_or] = ACTIONS(184),
    [anon_sym_xor] = ACTIONS(184),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_DASH_GT] = ACTIONS(184),
    [anon_sym_PERCENT] = ACTIONS(184),
    [anon_sym_LT] = ACTIONS(184),
    [anon_sym_GT] = ACTIONS(184),
    [anon_sym_LT_LT] = ACTIONS(184),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(184),
    [anon_sym_PLUS_EQ] = ACTIONS(184),
    [anon_sym_DASH_EQ] = ACTIONS(184),
    [anon_sym_DOT_EQ] = ACTIONS(184),
    [anon_sym_STAR_EQ] = ACTIONS(184),
    [anon_sym_SLASH_EQ] = ACTIONS(184),
    [anon_sym_PERCENT_EQ] = ACTIONS(184),
    [anon_sym_x_EQ] = ACTIONS(184),
    [anon_sym_AMP_EQ] = ACTIONS(184),
    [anon_sym_PIPE_EQ] = ACTIONS(184),
    [anon_sym_CARET_EQ] = ACTIONS(184),
    [anon_sym_LT_LT_EQ] = ACTIONS(184),
    [anon_sym_GT_GT_EQ] = ACTIONS(184),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(184),
    [anon_sym_DOT_DOT] = ACTIONS(184),
    [anon_sym_STAR_STAR] = ACTIONS(184),
    [anon_sym_PIPE_PIPE] = ACTIONS(184),
    [anon_sym_SLASH_SLASH] = ACTIONS(184),
    [anon_sym_CARET_CARET] = ACTIONS(184),
    [anon_sym_AMP_AMP] = ACTIONS(184),
    [anon_sym_PIPE] = ACTIONS(184),
    [anon_sym_CARET] = ACTIONS(184),
    [anon_sym_AMP] = ACTIONS(184),
    [anon_sym_GT_GT2] = ACTIONS(184),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_DOT] = ACTIONS(184),
    [anon_sym_STAR] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(184),
    [anon_sym_x] = ACTIONS(184),
    [anon_sym_EQ_TILDE] = ACTIONS(184),
    [anon_sym_BANG_TILDE] = ACTIONS(184),
    [anon_sym_EQ_EQ] = ACTIONS(184),
    [anon_sym_BANG_EQ] = ACTIONS(184),
    [anon_sym_eq] = ACTIONS(184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(184),
    [anon_sym_equ] = ACTIONS(184),
    [anon_sym_eqr] = ACTIONS(184),
    [anon_sym_ne] = ACTIONS(184),
    [anon_sym_LT_EQ_GT] = ACTIONS(184),
    [anon_sym_cmp] = ACTIONS(184),
    [anon_sym_TILDE_TILDE] = ACTIONS(184),
    [anon_sym_LT_EQ] = ACTIONS(184),
    [anon_sym_GT_EQ] = ACTIONS(184),
    [anon_sym_lt] = ACTIONS(184),
    [anon_sym_le] = ACTIONS(184),
    [anon_sym_ge] = ACTIONS(184),
    [anon_sym_gt] = ACTIONS(184),
    [anon_sym_isa] = ACTIONS(184),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(184),
    [anon_sym_DASH_DASH] = ACTIONS(184),
    [anon_sym_QMARK] = ACTIONS(184),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(184),
    [anon_sym_for] = ACTIONS(184),
    [anon_sym_foreach] = ACTIONS(184),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(184),
    [anon_sym___END__] = ACTIONS(184),
    [anon_sym_EOT] = ACTIONS(184),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(184),
    [anon_sym_unless] = ACTIONS(184),
    [anon_sym_while] = ACTIONS(184),
    [anon_sym_until] = ACTIONS(184),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(186),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym__ctrl_z_hack] = ACTIONS(186),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [5] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1181),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(5),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(188),
    [anon_sym_SEMI] = ACTIONS(188),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(188),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(188),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(188),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(188),
    [anon_sym_and] = ACTIONS(188),
    [anon_sym_or] = ACTIONS(188),
    [anon_sym_xor] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_DASH_GT] = ACTIONS(188),
    [anon_sym_PERCENT] = ACTIONS(188),
    [anon_sym_LT] = ACTIONS(190),
    [anon_sym_GT] = ACTIONS(188),
    [anon_sym_LT_LT] = ACTIONS(193),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(188),
    [anon_sym_PLUS_EQ] = ACTIONS(188),
    [anon_sym_DASH_EQ] = ACTIONS(188),
    [anon_sym_DOT_EQ] = ACTIONS(188),
    [anon_sym_STAR_EQ] = ACTIONS(188),
    [anon_sym_SLASH_EQ] = ACTIONS(188),
    [anon_sym_PERCENT_EQ] = ACTIONS(188),
    [anon_sym_x_EQ] = ACTIONS(188),
    [anon_sym_AMP_EQ] = ACTIONS(188),
    [anon_sym_PIPE_EQ] = ACTIONS(188),
    [anon_sym_CARET_EQ] = ACTIONS(188),
    [anon_sym_LT_LT_EQ] = ACTIONS(188),
    [anon_sym_GT_GT_EQ] = ACTIONS(188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(188),
    [anon_sym_DOT_DOT] = ACTIONS(188),
    [anon_sym_STAR_STAR] = ACTIONS(188),
    [anon_sym_PIPE_PIPE] = ACTIONS(188),
    [anon_sym_SLASH_SLASH] = ACTIONS(196),
    [anon_sym_CARET_CARET] = ACTIONS(188),
    [anon_sym_AMP_AMP] = ACTIONS(188),
    [anon_sym_PIPE] = ACTIONS(188),
    [anon_sym_CARET] = ACTIONS(188),
    [anon_sym_AMP] = ACTIONS(188),
    [anon_sym_GT_GT2] = ACTIONS(188),
    [anon_sym_PLUS] = ACTIONS(199),
    [anon_sym_DASH] = ACTIONS(202),
    [anon_sym_DOT] = ACTIONS(188),
    [anon_sym_STAR] = ACTIONS(205),
    [anon_sym_SLASH] = ACTIONS(188),
    [anon_sym_x] = ACTIONS(188),
    [anon_sym_EQ_TILDE] = ACTIONS(188),
    [anon_sym_BANG_TILDE] = ACTIONS(188),
    [anon_sym_EQ_EQ] = ACTIONS(188),
    [anon_sym_BANG_EQ] = ACTIONS(188),
    [anon_sym_eq] = ACTIONS(188),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(188),
    [anon_sym_equ] = ACTIONS(188),
    [anon_sym_eqr] = ACTIONS(188),
    [anon_sym_ne] = ACTIONS(188),
    [anon_sym_LT_EQ_GT] = ACTIONS(188),
    [anon_sym_cmp] = ACTIONS(188),
    [anon_sym_TILDE_TILDE] = ACTIONS(188),
    [anon_sym_LT_EQ] = ACTIONS(188),
    [anon_sym_GT_EQ] = ACTIONS(188),
    [anon_sym_lt] = ACTIONS(188),
    [anon_sym_le] = ACTIONS(188),
    [anon_sym_ge] = ACTIONS(188),
    [anon_sym_gt] = ACTIONS(188),
    [anon_sym_isa] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(208),
    [anon_sym_DASH_DASH] = ACTIONS(208),
    [anon_sym_QMARK] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(188),
    [anon_sym_for] = ACTIONS(188),
    [anon_sym_foreach] = ACTIONS(188),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(188),
    [anon_sym___END__] = ACTIONS(188),
    [anon_sym_EOT] = ACTIONS(188),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(188),
    [anon_sym_unless] = ACTIONS(188),
    [anon_sym_while] = ACTIONS(188),
    [anon_sym_until] = ACTIONS(188),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(211),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym__ctrl_z_hack] = ACTIONS(211),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [6] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1189),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(6),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(213),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(213),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(213),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(213),
    [anon_sym_and] = ACTIONS(213),
    [anon_sym_or] = ACTIONS(213),
    [anon_sym_xor] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_DASH_GT] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(213),
    [anon_sym_GT] = ACTIONS(213),
    [anon_sym_LT_LT] = ACTIONS(213),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(213),
    [anon_sym_PLUS_EQ] = ACTIONS(213),
    [anon_sym_DASH_EQ] = ACTIONS(213),
    [anon_sym_DOT_EQ] = ACTIONS(213),
    [anon_sym_STAR_EQ] = ACTIONS(213),
    [anon_sym_SLASH_EQ] = ACTIONS(213),
    [anon_sym_PERCENT_EQ] = ACTIONS(213),
    [anon_sym_x_EQ] = ACTIONS(213),
    [anon_sym_AMP_EQ] = ACTIONS(213),
    [anon_sym_PIPE_EQ] = ACTIONS(213),
    [anon_sym_CARET_EQ] = ACTIONS(213),
    [anon_sym_LT_LT_EQ] = ACTIONS(213),
    [anon_sym_GT_GT_EQ] = ACTIONS(213),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(213),
    [anon_sym_STAR_STAR] = ACTIONS(213),
    [anon_sym_PIPE_PIPE] = ACTIONS(213),
    [anon_sym_SLASH_SLASH] = ACTIONS(213),
    [anon_sym_CARET_CARET] = ACTIONS(213),
    [anon_sym_AMP_AMP] = ACTIONS(213),
    [anon_sym_PIPE] = ACTIONS(213),
    [anon_sym_CARET] = ACTIONS(213),
    [anon_sym_AMP] = ACTIONS(213),
    [anon_sym_GT_GT2] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(213),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_DOT] = ACTIONS(213),
    [anon_sym_STAR] = ACTIONS(213),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_x] = ACTIONS(213),
    [anon_sym_EQ_TILDE] = ACTIONS(213),
    [anon_sym_BANG_TILDE] = ACTIONS(213),
    [anon_sym_EQ_EQ] = ACTIONS(213),
    [anon_sym_BANG_EQ] = ACTIONS(213),
    [anon_sym_eq] = ACTIONS(213),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(213),
    [anon_sym_equ] = ACTIONS(213),
    [anon_sym_eqr] = ACTIONS(213),
    [anon_sym_ne] = ACTIONS(213),
    [anon_sym_LT_EQ_GT] = ACTIONS(213),
    [anon_sym_cmp] = ACTIONS(213),
    [anon_sym_TILDE_TILDE] = ACTIONS(213),
    [anon_sym_LT_EQ] = ACTIONS(213),
    [anon_sym_GT_EQ] = ACTIONS(213),
    [anon_sym_lt] = ACTIONS(213),
    [anon_sym_le] = ACTIONS(213),
    [anon_sym_ge] = ACTIONS(213),
    [anon_sym_gt] = ACTIONS(213),
    [anon_sym_isa] = ACTIONS(213),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(213),
    [anon_sym_DASH_DASH] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(213),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(213),
    [anon_sym_foreach] = ACTIONS(213),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(213),
    [anon_sym___END__] = ACTIONS(213),
    [anon_sym_EOT] = ACTIONS(213),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(213),
    [anon_sym_unless] = ACTIONS(213),
    [anon_sym_while] = ACTIONS(213),
    [anon_sym_until] = ACTIONS(213),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(215),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym__ctrl_z_hack] = ACTIONS(215),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [7] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1125),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(7),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(217),
    [anon_sym_SEMI] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(217),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(217),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(217),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(217),
    [anon_sym_and] = ACTIONS(217),
    [anon_sym_or] = ACTIONS(217),
    [anon_sym_xor] = ACTIONS(217),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_DASH_GT] = ACTIONS(217),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_LT] = ACTIONS(217),
    [anon_sym_GT] = ACTIONS(217),
    [anon_sym_LT_LT] = ACTIONS(217),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(217),
    [anon_sym_PLUS_EQ] = ACTIONS(217),
    [anon_sym_DASH_EQ] = ACTIONS(217),
    [anon_sym_DOT_EQ] = ACTIONS(217),
    [anon_sym_STAR_EQ] = ACTIONS(217),
    [anon_sym_SLASH_EQ] = ACTIONS(217),
    [anon_sym_PERCENT_EQ] = ACTIONS(217),
    [anon_sym_x_EQ] = ACTIONS(217),
    [anon_sym_AMP_EQ] = ACTIONS(217),
    [anon_sym_PIPE_EQ] = ACTIONS(217),
    [anon_sym_CARET_EQ] = ACTIONS(217),
    [anon_sym_LT_LT_EQ] = ACTIONS(217),
    [anon_sym_GT_GT_EQ] = ACTIONS(217),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(217),
    [anon_sym_STAR_STAR] = ACTIONS(217),
    [anon_sym_PIPE_PIPE] = ACTIONS(217),
    [anon_sym_SLASH_SLASH] = ACTIONS(217),
    [anon_sym_CARET_CARET] = ACTIONS(217),
    [anon_sym_AMP_AMP] = ACTIONS(217),
    [anon_sym_PIPE] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [anon_sym_GT_GT2] = ACTIONS(217),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_DOT] = ACTIONS(217),
    [anon_sym_STAR] = ACTIONS(217),
    [anon_sym_SLASH] = ACTIONS(217),
    [anon_sym_x] = ACTIONS(217),
    [anon_sym_EQ_TILDE] = ACTIONS(217),
    [anon_sym_BANG_TILDE] = ACTIONS(217),
    [anon_sym_EQ_EQ] = ACTIONS(217),
    [anon_sym_BANG_EQ] = ACTIONS(217),
    [anon_sym_eq] = ACTIONS(217),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(217),
    [anon_sym_equ] = ACTIONS(217),
    [anon_sym_eqr] = ACTIONS(217),
    [anon_sym_ne] = ACTIONS(217),
    [anon_sym_LT_EQ_GT] = ACTIONS(217),
    [anon_sym_cmp] = ACTIONS(217),
    [anon_sym_TILDE_TILDE] = ACTIONS(217),
    [anon_sym_LT_EQ] = ACTIONS(217),
    [anon_sym_GT_EQ] = ACTIONS(217),
    [anon_sym_lt] = ACTIONS(217),
    [anon_sym_le] = ACTIONS(217),
    [anon_sym_ge] = ACTIONS(217),
    [anon_sym_gt] = ACTIONS(217),
    [anon_sym_isa] = ACTIONS(217),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_for] = ACTIONS(217),
    [anon_sym_foreach] = ACTIONS(217),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(217),
    [anon_sym___END__] = ACTIONS(217),
    [anon_sym_EOT] = ACTIONS(217),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(217),
    [anon_sym_unless] = ACTIONS(217),
    [anon_sym_while] = ACTIONS(217),
    [anon_sym_until] = ACTIONS(217),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(221),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym__ctrl_z_hack] = ACTIONS(221),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [8] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1305),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym__label_arg] = STATE(1138),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(8),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(1110),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(223),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(151),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(151),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(151),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(151),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(151),
    [anon_sym_and] = ACTIONS(151),
    [anon_sym_or] = ACTIONS(151),
    [anon_sym_xor] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_DASH_GT] = ACTIONS(151),
    [anon_sym_PERCENT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(151),
    [anon_sym_LT_LT] = ACTIONS(151),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(151),
    [anon_sym_PLUS_EQ] = ACTIONS(151),
    [anon_sym_DASH_EQ] = ACTIONS(151),
    [anon_sym_DOT_EQ] = ACTIONS(151),
    [anon_sym_STAR_EQ] = ACTIONS(151),
    [anon_sym_SLASH_EQ] = ACTIONS(151),
    [anon_sym_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_x_EQ] = ACTIONS(151),
    [anon_sym_AMP_EQ] = ACTIONS(151),
    [anon_sym_PIPE_EQ] = ACTIONS(151),
    [anon_sym_CARET_EQ] = ACTIONS(151),
    [anon_sym_LT_LT_EQ] = ACTIONS(151),
    [anon_sym_GT_GT_EQ] = ACTIONS(151),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(151),
    [anon_sym_DOT_DOT] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(151),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_SLASH_SLASH] = ACTIONS(151),
    [anon_sym_CARET_CARET] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(151),
    [anon_sym_CARET] = ACTIONS(151),
    [anon_sym_AMP] = ACTIONS(151),
    [anon_sym_GT_GT2] = ACTIONS(151),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_x] = ACTIONS(151),
    [anon_sym_EQ_TILDE] = ACTIONS(151),
    [anon_sym_BANG_TILDE] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_eq] = ACTIONS(151),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(151),
    [anon_sym_equ] = ACTIONS(151),
    [anon_sym_eqr] = ACTIONS(151),
    [anon_sym_ne] = ACTIONS(151),
    [anon_sym_LT_EQ_GT] = ACTIONS(151),
    [anon_sym_cmp] = ACTIONS(151),
    [anon_sym_TILDE_TILDE] = ACTIONS(151),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_lt] = ACTIONS(151),
    [anon_sym_le] = ACTIONS(151),
    [anon_sym_ge] = ACTIONS(151),
    [anon_sym_gt] = ACTIONS(151),
    [anon_sym_isa] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(151),
    [anon_sym_DASH_DASH] = ACTIONS(151),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(151),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(151),
    [anon_sym___END__] = ACTIONS(151),
    [anon_sym_EOT] = ACTIONS(151),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(157),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym__ctrl_z_hack] = ACTIONS(157),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [9] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__term_rightward] = STATE(1122),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1276),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(9),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(159),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(159),
    [anon_sym_and] = ACTIONS(159),
    [anon_sym_or] = ACTIONS(159),
    [anon_sym_xor] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_DASH_GT] = ACTIONS(159),
    [anon_sym_PERCENT] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(159),
    [anon_sym_LT_LT] = ACTIONS(164),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_DOT_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_x_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT] = ACTIONS(159),
    [anon_sym_STAR_STAR] = ACTIONS(159),
    [anon_sym_PIPE_PIPE] = ACTIONS(159),
    [anon_sym_SLASH_SLASH] = ACTIONS(167),
    [anon_sym_CARET_CARET] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_GT_GT2] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(259),
    [anon_sym_DASH] = ACTIONS(262),
    [anon_sym_DOT] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(176),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_x] = ACTIONS(159),
    [anon_sym_EQ_TILDE] = ACTIONS(159),
    [anon_sym_BANG_TILDE] = ACTIONS(159),
    [anon_sym_EQ_EQ] = ACTIONS(159),
    [anon_sym_BANG_EQ] = ACTIONS(159),
    [anon_sym_eq] = ACTIONS(159),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(159),
    [anon_sym_equ] = ACTIONS(159),
    [anon_sym_eqr] = ACTIONS(159),
    [anon_sym_ne] = ACTIONS(159),
    [anon_sym_LT_EQ_GT] = ACTIONS(159),
    [anon_sym_cmp] = ACTIONS(159),
    [anon_sym_TILDE_TILDE] = ACTIONS(159),
    [anon_sym_LT_EQ] = ACTIONS(159),
    [anon_sym_GT_EQ] = ACTIONS(159),
    [anon_sym_lt] = ACTIONS(159),
    [anon_sym_le] = ACTIONS(159),
    [anon_sym_ge] = ACTIONS(159),
    [anon_sym_gt] = ACTIONS(159),
    [anon_sym_isa] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [anon_sym_QMARK] = ACTIONS(159),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(159),
    [anon_sym___END__] = ACTIONS(159),
    [anon_sym_EOT] = ACTIONS(159),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(182),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym__ctrl_z_hack] = ACTIONS(182),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [10] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1455),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym__label_arg] = STATE(1420),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(10),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_identifier] = STATE(1489),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(268),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(151),
    [anon_sym_SEMI] = ACTIONS(151),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(151),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(151),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_COMMA] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(151),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(151),
    [anon_sym_and] = ACTIONS(151),
    [anon_sym_or] = ACTIONS(151),
    [anon_sym_xor] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_RBRACK] = ACTIONS(151),
    [anon_sym_DASH_GT] = ACTIONS(151),
    [anon_sym_PERCENT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(151),
    [anon_sym_LT_LT] = ACTIONS(151),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(151),
    [anon_sym_PLUS_EQ] = ACTIONS(151),
    [anon_sym_DASH_EQ] = ACTIONS(151),
    [anon_sym_DOT_EQ] = ACTIONS(151),
    [anon_sym_STAR_EQ] = ACTIONS(151),
    [anon_sym_SLASH_EQ] = ACTIONS(151),
    [anon_sym_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_x_EQ] = ACTIONS(151),
    [anon_sym_AMP_EQ] = ACTIONS(151),
    [anon_sym_PIPE_EQ] = ACTIONS(151),
    [anon_sym_CARET_EQ] = ACTIONS(151),
    [anon_sym_LT_LT_EQ] = ACTIONS(151),
    [anon_sym_GT_GT_EQ] = ACTIONS(151),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(151),
    [anon_sym_DOT_DOT] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(151),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_SLASH_SLASH] = ACTIONS(151),
    [anon_sym_CARET_CARET] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(151),
    [anon_sym_CARET] = ACTIONS(151),
    [anon_sym_AMP] = ACTIONS(151),
    [anon_sym_GT_GT2] = ACTIONS(151),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_x] = ACTIONS(151),
    [anon_sym_EQ_TILDE] = ACTIONS(151),
    [anon_sym_BANG_TILDE] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_eq] = ACTIONS(151),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(151),
    [anon_sym_equ] = ACTIONS(151),
    [anon_sym_eqr] = ACTIONS(151),
    [anon_sym_ne] = ACTIONS(151),
    [anon_sym_LT_EQ_GT] = ACTIONS(151),
    [anon_sym_cmp] = ACTIONS(151),
    [anon_sym_TILDE_TILDE] = ACTIONS(151),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_lt] = ACTIONS(151),
    [anon_sym_le] = ACTIONS(151),
    [anon_sym_ge] = ACTIONS(151),
    [anon_sym_gt] = ACTIONS(151),
    [anon_sym_isa] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(151),
    [anon_sym_DASH_DASH] = ACTIONS(151),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_EQ_GT] = ACTIONS(151),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [11] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1294),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(11),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(217),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(217),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(217),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(217),
    [anon_sym_and] = ACTIONS(217),
    [anon_sym_or] = ACTIONS(217),
    [anon_sym_xor] = ACTIONS(217),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_DASH_GT] = ACTIONS(217),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_LT] = ACTIONS(217),
    [anon_sym_GT] = ACTIONS(217),
    [anon_sym_LT_LT] = ACTIONS(217),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(217),
    [anon_sym_PLUS_EQ] = ACTIONS(217),
    [anon_sym_DASH_EQ] = ACTIONS(217),
    [anon_sym_DOT_EQ] = ACTIONS(217),
    [anon_sym_STAR_EQ] = ACTIONS(217),
    [anon_sym_SLASH_EQ] = ACTIONS(217),
    [anon_sym_PERCENT_EQ] = ACTIONS(217),
    [anon_sym_x_EQ] = ACTIONS(217),
    [anon_sym_AMP_EQ] = ACTIONS(217),
    [anon_sym_PIPE_EQ] = ACTIONS(217),
    [anon_sym_CARET_EQ] = ACTIONS(217),
    [anon_sym_LT_LT_EQ] = ACTIONS(217),
    [anon_sym_GT_GT_EQ] = ACTIONS(217),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(217),
    [anon_sym_STAR_STAR] = ACTIONS(217),
    [anon_sym_PIPE_PIPE] = ACTIONS(217),
    [anon_sym_SLASH_SLASH] = ACTIONS(217),
    [anon_sym_CARET_CARET] = ACTIONS(217),
    [anon_sym_AMP_AMP] = ACTIONS(217),
    [anon_sym_PIPE] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [anon_sym_GT_GT2] = ACTIONS(217),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_DOT] = ACTIONS(217),
    [anon_sym_STAR] = ACTIONS(217),
    [anon_sym_SLASH] = ACTIONS(217),
    [anon_sym_x] = ACTIONS(217),
    [anon_sym_EQ_TILDE] = ACTIONS(217),
    [anon_sym_BANG_TILDE] = ACTIONS(217),
    [anon_sym_EQ_EQ] = ACTIONS(217),
    [anon_sym_BANG_EQ] = ACTIONS(217),
    [anon_sym_eq] = ACTIONS(217),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(217),
    [anon_sym_equ] = ACTIONS(217),
    [anon_sym_eqr] = ACTIONS(217),
    [anon_sym_ne] = ACTIONS(217),
    [anon_sym_LT_EQ_GT] = ACTIONS(217),
    [anon_sym_cmp] = ACTIONS(217),
    [anon_sym_TILDE_TILDE] = ACTIONS(217),
    [anon_sym_LT_EQ] = ACTIONS(217),
    [anon_sym_GT_EQ] = ACTIONS(217),
    [anon_sym_lt] = ACTIONS(217),
    [anon_sym_le] = ACTIONS(217),
    [anon_sym_ge] = ACTIONS(217),
    [anon_sym_gt] = ACTIONS(217),
    [anon_sym_isa] = ACTIONS(217),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(217),
    [anon_sym___END__] = ACTIONS(217),
    [anon_sym_EOT] = ACTIONS(217),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(221),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym__ctrl_z_hack] = ACTIONS(221),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [12] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1303),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(12),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(213),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(213),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(213),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(213),
    [anon_sym_and] = ACTIONS(213),
    [anon_sym_or] = ACTIONS(213),
    [anon_sym_xor] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_DASH_GT] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(213),
    [anon_sym_GT] = ACTIONS(213),
    [anon_sym_LT_LT] = ACTIONS(213),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(213),
    [anon_sym_PLUS_EQ] = ACTIONS(213),
    [anon_sym_DASH_EQ] = ACTIONS(213),
    [anon_sym_DOT_EQ] = ACTIONS(213),
    [anon_sym_STAR_EQ] = ACTIONS(213),
    [anon_sym_SLASH_EQ] = ACTIONS(213),
    [anon_sym_PERCENT_EQ] = ACTIONS(213),
    [anon_sym_x_EQ] = ACTIONS(213),
    [anon_sym_AMP_EQ] = ACTIONS(213),
    [anon_sym_PIPE_EQ] = ACTIONS(213),
    [anon_sym_CARET_EQ] = ACTIONS(213),
    [anon_sym_LT_LT_EQ] = ACTIONS(213),
    [anon_sym_GT_GT_EQ] = ACTIONS(213),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(213),
    [anon_sym_STAR_STAR] = ACTIONS(213),
    [anon_sym_PIPE_PIPE] = ACTIONS(213),
    [anon_sym_SLASH_SLASH] = ACTIONS(213),
    [anon_sym_CARET_CARET] = ACTIONS(213),
    [anon_sym_AMP_AMP] = ACTIONS(213),
    [anon_sym_PIPE] = ACTIONS(213),
    [anon_sym_CARET] = ACTIONS(213),
    [anon_sym_AMP] = ACTIONS(213),
    [anon_sym_GT_GT2] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(213),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_DOT] = ACTIONS(213),
    [anon_sym_STAR] = ACTIONS(213),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_x] = ACTIONS(213),
    [anon_sym_EQ_TILDE] = ACTIONS(213),
    [anon_sym_BANG_TILDE] = ACTIONS(213),
    [anon_sym_EQ_EQ] = ACTIONS(213),
    [anon_sym_BANG_EQ] = ACTIONS(213),
    [anon_sym_eq] = ACTIONS(213),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(213),
    [anon_sym_equ] = ACTIONS(213),
    [anon_sym_eqr] = ACTIONS(213),
    [anon_sym_ne] = ACTIONS(213),
    [anon_sym_LT_EQ_GT] = ACTIONS(213),
    [anon_sym_cmp] = ACTIONS(213),
    [anon_sym_TILDE_TILDE] = ACTIONS(213),
    [anon_sym_LT_EQ] = ACTIONS(213),
    [anon_sym_GT_EQ] = ACTIONS(213),
    [anon_sym_lt] = ACTIONS(213),
    [anon_sym_le] = ACTIONS(213),
    [anon_sym_ge] = ACTIONS(213),
    [anon_sym_gt] = ACTIONS(213),
    [anon_sym_isa] = ACTIONS(213),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(213),
    [anon_sym_DASH_DASH] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(213),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(213),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(213),
    [anon_sym___END__] = ACTIONS(213),
    [anon_sym_EOT] = ACTIONS(213),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(215),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym__ctrl_z_hack] = ACTIONS(215),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [13] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1306),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(13),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(184),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(184),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(184),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(184),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(184),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(184),
    [anon_sym_and] = ACTIONS(184),
    [anon_sym_or] = ACTIONS(184),
    [anon_sym_xor] = ACTIONS(184),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_DASH_GT] = ACTIONS(184),
    [anon_sym_PERCENT] = ACTIONS(184),
    [anon_sym_LT] = ACTIONS(184),
    [anon_sym_GT] = ACTIONS(184),
    [anon_sym_LT_LT] = ACTIONS(184),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(184),
    [anon_sym_PLUS_EQ] = ACTIONS(184),
    [anon_sym_DASH_EQ] = ACTIONS(184),
    [anon_sym_DOT_EQ] = ACTIONS(184),
    [anon_sym_STAR_EQ] = ACTIONS(184),
    [anon_sym_SLASH_EQ] = ACTIONS(184),
    [anon_sym_PERCENT_EQ] = ACTIONS(184),
    [anon_sym_x_EQ] = ACTIONS(184),
    [anon_sym_AMP_EQ] = ACTIONS(184),
    [anon_sym_PIPE_EQ] = ACTIONS(184),
    [anon_sym_CARET_EQ] = ACTIONS(184),
    [anon_sym_LT_LT_EQ] = ACTIONS(184),
    [anon_sym_GT_GT_EQ] = ACTIONS(184),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(184),
    [anon_sym_DOT_DOT] = ACTIONS(184),
    [anon_sym_STAR_STAR] = ACTIONS(184),
    [anon_sym_PIPE_PIPE] = ACTIONS(184),
    [anon_sym_SLASH_SLASH] = ACTIONS(184),
    [anon_sym_CARET_CARET] = ACTIONS(184),
    [anon_sym_AMP_AMP] = ACTIONS(184),
    [anon_sym_PIPE] = ACTIONS(184),
    [anon_sym_CARET] = ACTIONS(184),
    [anon_sym_AMP] = ACTIONS(184),
    [anon_sym_GT_GT2] = ACTIONS(184),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_DOT] = ACTIONS(184),
    [anon_sym_STAR] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(184),
    [anon_sym_x] = ACTIONS(184),
    [anon_sym_EQ_TILDE] = ACTIONS(184),
    [anon_sym_BANG_TILDE] = ACTIONS(184),
    [anon_sym_EQ_EQ] = ACTIONS(184),
    [anon_sym_BANG_EQ] = ACTIONS(184),
    [anon_sym_eq] = ACTIONS(184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(184),
    [anon_sym_equ] = ACTIONS(184),
    [anon_sym_eqr] = ACTIONS(184),
    [anon_sym_ne] = ACTIONS(184),
    [anon_sym_LT_EQ_GT] = ACTIONS(184),
    [anon_sym_cmp] = ACTIONS(184),
    [anon_sym_TILDE_TILDE] = ACTIONS(184),
    [anon_sym_LT_EQ] = ACTIONS(184),
    [anon_sym_GT_EQ] = ACTIONS(184),
    [anon_sym_lt] = ACTIONS(184),
    [anon_sym_le] = ACTIONS(184),
    [anon_sym_ge] = ACTIONS(184),
    [anon_sym_gt] = ACTIONS(184),
    [anon_sym_isa] = ACTIONS(184),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(184),
    [anon_sym_DASH_DASH] = ACTIONS(184),
    [anon_sym_QMARK] = ACTIONS(184),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(184),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(184),
    [anon_sym___END__] = ACTIONS(184),
    [anon_sym_EOT] = ACTIONS(184),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(186),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym__ctrl_z_hack] = ACTIONS(186),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [14] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1296),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(14),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(188),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(188),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(188),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(188),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(188),
    [anon_sym_and] = ACTIONS(188),
    [anon_sym_or] = ACTIONS(188),
    [anon_sym_xor] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_DASH_GT] = ACTIONS(188),
    [anon_sym_PERCENT] = ACTIONS(188),
    [anon_sym_LT] = ACTIONS(190),
    [anon_sym_GT] = ACTIONS(188),
    [anon_sym_LT_LT] = ACTIONS(193),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(188),
    [anon_sym_PLUS_EQ] = ACTIONS(188),
    [anon_sym_DASH_EQ] = ACTIONS(188),
    [anon_sym_DOT_EQ] = ACTIONS(188),
    [anon_sym_STAR_EQ] = ACTIONS(188),
    [anon_sym_SLASH_EQ] = ACTIONS(188),
    [anon_sym_PERCENT_EQ] = ACTIONS(188),
    [anon_sym_x_EQ] = ACTIONS(188),
    [anon_sym_AMP_EQ] = ACTIONS(188),
    [anon_sym_PIPE_EQ] = ACTIONS(188),
    [anon_sym_CARET_EQ] = ACTIONS(188),
    [anon_sym_LT_LT_EQ] = ACTIONS(188),
    [anon_sym_GT_GT_EQ] = ACTIONS(188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(188),
    [anon_sym_DOT_DOT] = ACTIONS(188),
    [anon_sym_STAR_STAR] = ACTIONS(188),
    [anon_sym_PIPE_PIPE] = ACTIONS(188),
    [anon_sym_SLASH_SLASH] = ACTIONS(196),
    [anon_sym_CARET_CARET] = ACTIONS(188),
    [anon_sym_AMP_AMP] = ACTIONS(188),
    [anon_sym_PIPE] = ACTIONS(188),
    [anon_sym_CARET] = ACTIONS(188),
    [anon_sym_AMP] = ACTIONS(188),
    [anon_sym_GT_GT2] = ACTIONS(188),
    [anon_sym_PLUS] = ACTIONS(346),
    [anon_sym_DASH] = ACTIONS(349),
    [anon_sym_DOT] = ACTIONS(188),
    [anon_sym_STAR] = ACTIONS(205),
    [anon_sym_SLASH] = ACTIONS(188),
    [anon_sym_x] = ACTIONS(188),
    [anon_sym_EQ_TILDE] = ACTIONS(188),
    [anon_sym_BANG_TILDE] = ACTIONS(188),
    [anon_sym_EQ_EQ] = ACTIONS(188),
    [anon_sym_BANG_EQ] = ACTIONS(188),
    [anon_sym_eq] = ACTIONS(188),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(188),
    [anon_sym_equ] = ACTIONS(188),
    [anon_sym_eqr] = ACTIONS(188),
    [anon_sym_ne] = ACTIONS(188),
    [anon_sym_LT_EQ_GT] = ACTIONS(188),
    [anon_sym_cmp] = ACTIONS(188),
    [anon_sym_TILDE_TILDE] = ACTIONS(188),
    [anon_sym_LT_EQ] = ACTIONS(188),
    [anon_sym_GT_EQ] = ACTIONS(188),
    [anon_sym_lt] = ACTIONS(188),
    [anon_sym_le] = ACTIONS(188),
    [anon_sym_ge] = ACTIONS(188),
    [anon_sym_gt] = ACTIONS(188),
    [anon_sym_isa] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(352),
    [anon_sym_DASH_DASH] = ACTIONS(352),
    [anon_sym_QMARK] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(188),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(188),
    [anon_sym___END__] = ACTIONS(188),
    [anon_sym_EOT] = ACTIONS(188),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(211),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym__ctrl_z_hack] = ACTIONS(211),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [15] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__term_rightward] = STATE(1521),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1337),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(15),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(159),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(159),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(159),
    [anon_sym_and] = ACTIONS(159),
    [anon_sym_or] = ACTIONS(159),
    [anon_sym_xor] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_DASH_GT] = ACTIONS(159),
    [anon_sym_PERCENT] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(355),
    [anon_sym_GT] = ACTIONS(159),
    [anon_sym_LT_LT] = ACTIONS(358),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_DOT_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_x_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT] = ACTIONS(159),
    [anon_sym_STAR_STAR] = ACTIONS(159),
    [anon_sym_PIPE_PIPE] = ACTIONS(159),
    [anon_sym_SLASH_SLASH] = ACTIONS(361),
    [anon_sym_CARET_CARET] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_GT_GT2] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(367),
    [anon_sym_DOT] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_x] = ACTIONS(159),
    [anon_sym_EQ_TILDE] = ACTIONS(159),
    [anon_sym_BANG_TILDE] = ACTIONS(159),
    [anon_sym_EQ_EQ] = ACTIONS(159),
    [anon_sym_BANG_EQ] = ACTIONS(159),
    [anon_sym_eq] = ACTIONS(159),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(159),
    [anon_sym_equ] = ACTIONS(159),
    [anon_sym_eqr] = ACTIONS(159),
    [anon_sym_ne] = ACTIONS(159),
    [anon_sym_LT_EQ_GT] = ACTIONS(159),
    [anon_sym_cmp] = ACTIONS(159),
    [anon_sym_TILDE_TILDE] = ACTIONS(159),
    [anon_sym_LT_EQ] = ACTIONS(159),
    [anon_sym_GT_EQ] = ACTIONS(159),
    [anon_sym_lt] = ACTIONS(159),
    [anon_sym_le] = ACTIONS(159),
    [anon_sym_ge] = ACTIONS(159),
    [anon_sym_gt] = ACTIONS(159),
    [anon_sym_isa] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(373),
    [anon_sym_DASH_DASH] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(159),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [16] = {
    [sym__PERLY_BRACE_OPEN] = STATE(67),
    [sym_block] = STATE(868),
    [sym__fullstmt] = STATE(884),
    [sym_statement_label] = STATE(804),
    [sym__barestmt] = STATE(804),
    [sym_package_statement] = STATE(839),
    [sym_class_statement] = STATE(839),
    [sym_role_statement] = STATE(839),
    [sym_class_phaser_statement] = STATE(839),
    [sym_use_version_statement] = STATE(839),
    [sym_use_statement] = STATE(839),
    [sym_subroutine_declaration_statement] = STATE(839),
    [sym_method_declaration_statement] = STATE(839),
    [sym_phaser_statement] = STATE(839),
    [sym_conditional_statement] = STATE(839),
    [sym_loop_statement] = STATE(839),
    [sym_cstyle_for_statement] = STATE(839),
    [sym_for_statement] = STATE(839),
    [sym_try_statement] = STATE(839),
    [sym_defer_statement] = STATE(839),
    [sym_expression_statement] = STATE(2715),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym___DATA__] = STATE(3494),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(16),
    [sym__conditionals] = STATE(3537),
    [sym__loops] = STATE(3594),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3646),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(40),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2984),
    [ts_builtin_sym_end] = ACTIONS(376),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_role] = ACTIONS(21),
    [anon_sym_BUILD] = ACTIONS(23),
    [anon_sym_ADJUST] = ACTIONS(23),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(29),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(33),
    [anon_sym_method] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_defer] = ACTIONS(45),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(91),
    [anon_sym_no] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(93),
    [anon_sym_foreach] = ACTIONS(93),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(97),
    [anon_sym_INIT] = ACTIONS(97),
    [anon_sym_CHECK] = ACTIONS(97),
    [anon_sym_UNITCHECK] = ACTIONS(97),
    [anon_sym_END] = ACTIONS(97),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(101),
    [anon_sym___END__] = ACTIONS(101),
    [anon_sym_EOT] = ACTIONS(103),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym__ctrl_z_hack] = ACTIONS(141),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [17] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1433),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(17),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(213),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(213),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_COMMA] = ACTIONS(213),
    [anon_sym_RPAREN] = ACTIONS(213),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(213),
    [anon_sym_and] = ACTIONS(213),
    [anon_sym_or] = ACTIONS(213),
    [anon_sym_xor] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_RBRACK] = ACTIONS(213),
    [anon_sym_DASH_GT] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(213),
    [anon_sym_GT] = ACTIONS(213),
    [anon_sym_LT_LT] = ACTIONS(213),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(213),
    [anon_sym_PLUS_EQ] = ACTIONS(213),
    [anon_sym_DASH_EQ] = ACTIONS(213),
    [anon_sym_DOT_EQ] = ACTIONS(213),
    [anon_sym_STAR_EQ] = ACTIONS(213),
    [anon_sym_SLASH_EQ] = ACTIONS(213),
    [anon_sym_PERCENT_EQ] = ACTIONS(213),
    [anon_sym_x_EQ] = ACTIONS(213),
    [anon_sym_AMP_EQ] = ACTIONS(213),
    [anon_sym_PIPE_EQ] = ACTIONS(213),
    [anon_sym_CARET_EQ] = ACTIONS(213),
    [anon_sym_LT_LT_EQ] = ACTIONS(213),
    [anon_sym_GT_GT_EQ] = ACTIONS(213),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(213),
    [anon_sym_STAR_STAR] = ACTIONS(213),
    [anon_sym_PIPE_PIPE] = ACTIONS(213),
    [anon_sym_SLASH_SLASH] = ACTIONS(213),
    [anon_sym_CARET_CARET] = ACTIONS(213),
    [anon_sym_AMP_AMP] = ACTIONS(213),
    [anon_sym_PIPE] = ACTIONS(213),
    [anon_sym_CARET] = ACTIONS(213),
    [anon_sym_AMP] = ACTIONS(213),
    [anon_sym_GT_GT2] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(213),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_DOT] = ACTIONS(213),
    [anon_sym_STAR] = ACTIONS(213),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_x] = ACTIONS(213),
    [anon_sym_EQ_TILDE] = ACTIONS(213),
    [anon_sym_BANG_TILDE] = ACTIONS(213),
    [anon_sym_EQ_EQ] = ACTIONS(213),
    [anon_sym_BANG_EQ] = ACTIONS(213),
    [anon_sym_eq] = ACTIONS(213),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(213),
    [anon_sym_equ] = ACTIONS(213),
    [anon_sym_eqr] = ACTIONS(213),
    [anon_sym_ne] = ACTIONS(213),
    [anon_sym_LT_EQ_GT] = ACTIONS(213),
    [anon_sym_cmp] = ACTIONS(213),
    [anon_sym_TILDE_TILDE] = ACTIONS(213),
    [anon_sym_LT_EQ] = ACTIONS(213),
    [anon_sym_GT_EQ] = ACTIONS(213),
    [anon_sym_lt] = ACTIONS(213),
    [anon_sym_le] = ACTIONS(213),
    [anon_sym_ge] = ACTIONS(213),
    [anon_sym_gt] = ACTIONS(213),
    [anon_sym_isa] = ACTIONS(213),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(213),
    [anon_sym_DASH_DASH] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(213),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_EQ_GT] = ACTIONS(213),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [18] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1532),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(18),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(184),
    [anon_sym_SEMI] = ACTIONS(184),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_EQ] = ACTIONS(184),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(184),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(184),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_COMMA] = ACTIONS(184),
    [anon_sym_RPAREN] = ACTIONS(184),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(184),
    [anon_sym_and] = ACTIONS(184),
    [anon_sym_or] = ACTIONS(184),
    [anon_sym_xor] = ACTIONS(184),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_RBRACK] = ACTIONS(184),
    [anon_sym_DASH_GT] = ACTIONS(184),
    [anon_sym_PERCENT] = ACTIONS(184),
    [anon_sym_LT] = ACTIONS(184),
    [anon_sym_GT] = ACTIONS(184),
    [anon_sym_LT_LT] = ACTIONS(184),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(184),
    [anon_sym_PLUS_EQ] = ACTIONS(184),
    [anon_sym_DASH_EQ] = ACTIONS(184),
    [anon_sym_DOT_EQ] = ACTIONS(184),
    [anon_sym_STAR_EQ] = ACTIONS(184),
    [anon_sym_SLASH_EQ] = ACTIONS(184),
    [anon_sym_PERCENT_EQ] = ACTIONS(184),
    [anon_sym_x_EQ] = ACTIONS(184),
    [anon_sym_AMP_EQ] = ACTIONS(184),
    [anon_sym_PIPE_EQ] = ACTIONS(184),
    [anon_sym_CARET_EQ] = ACTIONS(184),
    [anon_sym_LT_LT_EQ] = ACTIONS(184),
    [anon_sym_GT_GT_EQ] = ACTIONS(184),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(184),
    [anon_sym_DOT_DOT] = ACTIONS(184),
    [anon_sym_STAR_STAR] = ACTIONS(184),
    [anon_sym_PIPE_PIPE] = ACTIONS(184),
    [anon_sym_SLASH_SLASH] = ACTIONS(184),
    [anon_sym_CARET_CARET] = ACTIONS(184),
    [anon_sym_AMP_AMP] = ACTIONS(184),
    [anon_sym_PIPE] = ACTIONS(184),
    [anon_sym_CARET] = ACTIONS(184),
    [anon_sym_AMP] = ACTIONS(184),
    [anon_sym_GT_GT2] = ACTIONS(184),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_DOT] = ACTIONS(184),
    [anon_sym_STAR] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(184),
    [anon_sym_x] = ACTIONS(184),
    [anon_sym_EQ_TILDE] = ACTIONS(184),
    [anon_sym_BANG_TILDE] = ACTIONS(184),
    [anon_sym_EQ_EQ] = ACTIONS(184),
    [anon_sym_BANG_EQ] = ACTIONS(184),
    [anon_sym_eq] = ACTIONS(184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(184),
    [anon_sym_equ] = ACTIONS(184),
    [anon_sym_eqr] = ACTIONS(184),
    [anon_sym_ne] = ACTIONS(184),
    [anon_sym_LT_EQ_GT] = ACTIONS(184),
    [anon_sym_cmp] = ACTIONS(184),
    [anon_sym_TILDE_TILDE] = ACTIONS(184),
    [anon_sym_LT_EQ] = ACTIONS(184),
    [anon_sym_GT_EQ] = ACTIONS(184),
    [anon_sym_lt] = ACTIONS(184),
    [anon_sym_le] = ACTIONS(184),
    [anon_sym_ge] = ACTIONS(184),
    [anon_sym_gt] = ACTIONS(184),
    [anon_sym_isa] = ACTIONS(184),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(184),
    [anon_sym_DASH_DASH] = ACTIONS(184),
    [anon_sym_QMARK] = ACTIONS(184),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_EQ_GT] = ACTIONS(184),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [19] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1517),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(19),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(217),
    [anon_sym_SEMI] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_EQ] = ACTIONS(217),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(217),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(217),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_RPAREN] = ACTIONS(217),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(378),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(217),
    [anon_sym_and] = ACTIONS(217),
    [anon_sym_or] = ACTIONS(217),
    [anon_sym_xor] = ACTIONS(217),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_RBRACK] = ACTIONS(217),
    [anon_sym_DASH_GT] = ACTIONS(217),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_LT] = ACTIONS(217),
    [anon_sym_GT] = ACTIONS(217),
    [anon_sym_LT_LT] = ACTIONS(217),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(217),
    [anon_sym_PLUS_EQ] = ACTIONS(217),
    [anon_sym_DASH_EQ] = ACTIONS(217),
    [anon_sym_DOT_EQ] = ACTIONS(217),
    [anon_sym_STAR_EQ] = ACTIONS(217),
    [anon_sym_SLASH_EQ] = ACTIONS(217),
    [anon_sym_PERCENT_EQ] = ACTIONS(217),
    [anon_sym_x_EQ] = ACTIONS(217),
    [anon_sym_AMP_EQ] = ACTIONS(217),
    [anon_sym_PIPE_EQ] = ACTIONS(217),
    [anon_sym_CARET_EQ] = ACTIONS(217),
    [anon_sym_LT_LT_EQ] = ACTIONS(217),
    [anon_sym_GT_GT_EQ] = ACTIONS(217),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(217),
    [anon_sym_STAR_STAR] = ACTIONS(217),
    [anon_sym_PIPE_PIPE] = ACTIONS(217),
    [anon_sym_SLASH_SLASH] = ACTIONS(217),
    [anon_sym_CARET_CARET] = ACTIONS(217),
    [anon_sym_AMP_AMP] = ACTIONS(217),
    [anon_sym_PIPE] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [anon_sym_GT_GT2] = ACTIONS(217),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_DOT] = ACTIONS(217),
    [anon_sym_STAR] = ACTIONS(217),
    [anon_sym_SLASH] = ACTIONS(217),
    [anon_sym_x] = ACTIONS(217),
    [anon_sym_EQ_TILDE] = ACTIONS(217),
    [anon_sym_BANG_TILDE] = ACTIONS(217),
    [anon_sym_EQ_EQ] = ACTIONS(217),
    [anon_sym_BANG_EQ] = ACTIONS(217),
    [anon_sym_eq] = ACTIONS(217),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(217),
    [anon_sym_equ] = ACTIONS(217),
    [anon_sym_eqr] = ACTIONS(217),
    [anon_sym_ne] = ACTIONS(217),
    [anon_sym_LT_EQ_GT] = ACTIONS(217),
    [anon_sym_cmp] = ACTIONS(217),
    [anon_sym_TILDE_TILDE] = ACTIONS(217),
    [anon_sym_LT_EQ] = ACTIONS(217),
    [anon_sym_GT_EQ] = ACTIONS(217),
    [anon_sym_lt] = ACTIONS(217),
    [anon_sym_le] = ACTIONS(217),
    [anon_sym_ge] = ACTIONS(217),
    [anon_sym_gt] = ACTIONS(217),
    [anon_sym_isa] = ACTIONS(217),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [20] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1412),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(20),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(188),
    [anon_sym_SEMI] = ACTIONS(188),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_EQ] = ACTIONS(188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(188),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(188),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_COMMA] = ACTIONS(188),
    [anon_sym_RPAREN] = ACTIONS(188),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(188),
    [anon_sym_and] = ACTIONS(188),
    [anon_sym_or] = ACTIONS(188),
    [anon_sym_xor] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_RBRACK] = ACTIONS(188),
    [anon_sym_DASH_GT] = ACTIONS(188),
    [anon_sym_PERCENT] = ACTIONS(188),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT] = ACTIONS(188),
    [anon_sym_LT_LT] = ACTIONS(383),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(188),
    [anon_sym_PLUS_EQ] = ACTIONS(188),
    [anon_sym_DASH_EQ] = ACTIONS(188),
    [anon_sym_DOT_EQ] = ACTIONS(188),
    [anon_sym_STAR_EQ] = ACTIONS(188),
    [anon_sym_SLASH_EQ] = ACTIONS(188),
    [anon_sym_PERCENT_EQ] = ACTIONS(188),
    [anon_sym_x_EQ] = ACTIONS(188),
    [anon_sym_AMP_EQ] = ACTIONS(188),
    [anon_sym_PIPE_EQ] = ACTIONS(188),
    [anon_sym_CARET_EQ] = ACTIONS(188),
    [anon_sym_LT_LT_EQ] = ACTIONS(188),
    [anon_sym_GT_GT_EQ] = ACTIONS(188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(188),
    [anon_sym_DOT_DOT] = ACTIONS(188),
    [anon_sym_STAR_STAR] = ACTIONS(188),
    [anon_sym_PIPE_PIPE] = ACTIONS(188),
    [anon_sym_SLASH_SLASH] = ACTIONS(386),
    [anon_sym_CARET_CARET] = ACTIONS(188),
    [anon_sym_AMP_AMP] = ACTIONS(188),
    [anon_sym_PIPE] = ACTIONS(188),
    [anon_sym_CARET] = ACTIONS(188),
    [anon_sym_AMP] = ACTIONS(188),
    [anon_sym_GT_GT2] = ACTIONS(188),
    [anon_sym_PLUS] = ACTIONS(389),
    [anon_sym_DASH] = ACTIONS(392),
    [anon_sym_DOT] = ACTIONS(188),
    [anon_sym_STAR] = ACTIONS(395),
    [anon_sym_SLASH] = ACTIONS(188),
    [anon_sym_x] = ACTIONS(188),
    [anon_sym_EQ_TILDE] = ACTIONS(188),
    [anon_sym_BANG_TILDE] = ACTIONS(188),
    [anon_sym_EQ_EQ] = ACTIONS(188),
    [anon_sym_BANG_EQ] = ACTIONS(188),
    [anon_sym_eq] = ACTIONS(188),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(188),
    [anon_sym_equ] = ACTIONS(188),
    [anon_sym_eqr] = ACTIONS(188),
    [anon_sym_ne] = ACTIONS(188),
    [anon_sym_LT_EQ_GT] = ACTIONS(188),
    [anon_sym_cmp] = ACTIONS(188),
    [anon_sym_TILDE_TILDE] = ACTIONS(188),
    [anon_sym_LT_EQ] = ACTIONS(188),
    [anon_sym_GT_EQ] = ACTIONS(188),
    [anon_sym_lt] = ACTIONS(188),
    [anon_sym_le] = ACTIONS(188),
    [anon_sym_ge] = ACTIONS(188),
    [anon_sym_gt] = ACTIONS(188),
    [anon_sym_isa] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(398),
    [anon_sym_DASH_DASH] = ACTIONS(398),
    [anon_sym_QMARK] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_EQ_GT] = ACTIONS(188),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [21] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(21),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym__ident_special] = STATE(3520),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(111),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(429),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(437),
    [aux_sym__bareword_token1] = ACTIONS(439),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__brace_autoquoted_token] = ACTIONS(441),
  },
  [22] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(22),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym__ident_special] = STATE(3471),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(111),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(443),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(445),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(437),
    [aux_sym__bareword_token1] = ACTIONS(447),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__brace_autoquoted_token] = ACTIONS(449),
  },
  [23] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(23),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym__ident_special] = STATE(3695),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(92),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(451),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(453),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(455),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(437),
    [aux_sym__bareword_token1] = ACTIONS(457),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__brace_autoquoted_token] = ACTIONS(459),
  },
  [24] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(24),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym__ident_special] = STATE(3481),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(81),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(461),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(463),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(465),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(437),
    [aux_sym__bareword_token1] = ACTIONS(467),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__brace_autoquoted_token] = ACTIONS(469),
  },
  [25] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(25),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym__ident_special] = STATE(3471),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(85),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(443),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(471),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(445),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(437),
    [aux_sym__bareword_token1] = ACTIONS(447),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__brace_autoquoted_token] = ACTIONS(449),
  },
  [26] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(26),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym__ident_special] = STATE(3563),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(91),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(473),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(475),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(477),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(437),
    [aux_sym__bareword_token1] = ACTIONS(479),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__brace_autoquoted_token] = ACTIONS(481),
  },
  [27] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(27),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym__ident_special] = STATE(3588),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(101),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(483),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(485),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(487),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(437),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__brace_autoquoted_token] = ACTIONS(491),
  },
  [28] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(28),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym__ident_special] = STATE(3592),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(103),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(495),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(497),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(437),
    [aux_sym__bareword_token1] = ACTIONS(499),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__brace_autoquoted_token] = ACTIONS(501),
  },
  [29] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(29),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym__ident_special] = STATE(3596),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(105),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(507),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(437),
    [aux_sym__bareword_token1] = ACTIONS(509),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__brace_autoquoted_token] = ACTIONS(511),
  },
  [30] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(30),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym__ident_special] = STATE(3600),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(107),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(513),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(515),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(517),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(437),
    [aux_sym__bareword_token1] = ACTIONS(519),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__brace_autoquoted_token] = ACTIONS(521),
  },
  [31] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(31),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym__ident_special] = STATE(3603),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(110),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(525),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(527),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(437),
    [aux_sym__bareword_token1] = ACTIONS(529),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__brace_autoquoted_token] = ACTIONS(531),
  },
  [32] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(32),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym__ident_special] = STATE(3606),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(69),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(533),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(535),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(537),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(437),
    [aux_sym__bareword_token1] = ACTIONS(539),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__brace_autoquoted_token] = ACTIONS(541),
  },
  [33] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(33),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym__ident_special] = STATE(3609),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(113),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(543),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(545),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(547),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(437),
    [aux_sym__bareword_token1] = ACTIONS(549),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__brace_autoquoted_token] = ACTIONS(551),
  },
  [34] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(34),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym__ident_special] = STATE(3612),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(115),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(553),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(555),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(557),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(437),
    [aux_sym__bareword_token1] = ACTIONS(559),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__brace_autoquoted_token] = ACTIONS(561),
  },
  [35] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(35),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym__ident_special] = STATE(3615),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(116),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(563),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(567),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(437),
    [aux_sym__bareword_token1] = ACTIONS(569),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__brace_autoquoted_token] = ACTIONS(571),
  },
  [36] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(36),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym__ident_special] = STATE(3618),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(117),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(575),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(577),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(437),
    [aux_sym__bareword_token1] = ACTIONS(579),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__brace_autoquoted_token] = ACTIONS(581),
  },
  [37] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(37),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym__ident_special] = STATE(3621),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(118),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(583),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(585),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(587),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(437),
    [aux_sym__bareword_token1] = ACTIONS(589),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__brace_autoquoted_token] = ACTIONS(591),
  },
  [38] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(38),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym__ident_special] = STATE(3624),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(120),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(593),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(595),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(597),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(437),
    [aux_sym__bareword_token1] = ACTIONS(599),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__brace_autoquoted_token] = ACTIONS(601),
  },
  [39] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(39),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym__ident_special] = STATE(3627),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(122),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(607),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(437),
    [aux_sym__bareword_token1] = ACTIONS(609),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__brace_autoquoted_token] = ACTIONS(611),
  },
  [40] = {
    [sym__PERLY_BRACE_OPEN] = STATE(67),
    [sym_block] = STATE(868),
    [sym__fullstmt] = STATE(884),
    [sym_statement_label] = STATE(804),
    [sym__barestmt] = STATE(804),
    [sym_package_statement] = STATE(839),
    [sym_class_statement] = STATE(839),
    [sym_role_statement] = STATE(839),
    [sym_class_phaser_statement] = STATE(839),
    [sym_use_version_statement] = STATE(839),
    [sym_use_statement] = STATE(839),
    [sym_subroutine_declaration_statement] = STATE(839),
    [sym_method_declaration_statement] = STATE(839),
    [sym_phaser_statement] = STATE(839),
    [sym_conditional_statement] = STATE(839),
    [sym_loop_statement] = STATE(839),
    [sym_cstyle_for_statement] = STATE(839),
    [sym_for_statement] = STATE(839),
    [sym_try_statement] = STATE(839),
    [sym_defer_statement] = STATE(839),
    [sym_expression_statement] = STATE(2715),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(40),
    [sym__conditionals] = STATE(3537),
    [sym__loops] = STATE(3594),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3646),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(40),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2984),
    [ts_builtin_sym_end] = ACTIONS(613),
    [sym__identifier] = ACTIONS(615),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_SEMI] = ACTIONS(621),
    [anon_sym_package] = ACTIONS(624),
    [anon_sym_class] = ACTIONS(627),
    [anon_sym_role] = ACTIONS(630),
    [anon_sym_BUILD] = ACTIONS(633),
    [anon_sym_ADJUST] = ACTIONS(633),
    [anon_sym_DOLLAR] = ACTIONS(636),
    [anon_sym_AT] = ACTIONS(639),
    [anon_sym_my] = ACTIONS(642),
    [anon_sym_extended] = ACTIONS(645),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_sub] = ACTIONS(648),
    [anon_sym_method] = ACTIONS(651),
    [anon_sym_LPAREN] = ACTIONS(654),
    [anon_sym_continue] = ACTIONS(657),
    [anon_sym_state] = ACTIONS(660),
    [anon_sym_our] = ACTIONS(660),
    [anon_sym_try] = ACTIONS(663),
    [anon_sym_defer] = ACTIONS(666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(672),
    [anon_sym_LT] = ACTIONS(675),
    [anon_sym_LT_LT] = ACTIONS(678),
    [anon_sym_SLASH_SLASH] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(684),
    [anon_sym_DASH] = ACTIONS(687),
    [anon_sym_STAR] = ACTIONS(690),
    [anon_sym_TILDE] = ACTIONS(684),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_BSLASH] = ACTIONS(696),
    [anon_sym_do] = ACTIONS(699),
    [anon_sym_eval] = ACTIONS(702),
    [anon_sym_await] = ACTIONS(705),
    [anon_sym_field] = ACTIONS(660),
    [anon_sym_local] = ACTIONS(708),
    [anon_sym_dynamically] = ACTIONS(708),
    [anon_sym_require] = ACTIONS(711),
    [anon_sym_map] = ACTIONS(714),
    [anon_sym_grep] = ACTIONS(714),
    [anon_sym_sort] = ACTIONS(717),
    [anon_sym_goto] = ACTIONS(720),
    [anon_sym_return] = ACTIONS(723),
    [anon_sym_undef] = ACTIONS(726),
    [anon_sym_PERCENT2] = ACTIONS(729),
    [anon_sym_DOLLAR_POUND] = ACTIONS(732),
    [anon_sym_use] = ACTIONS(735),
    [anon_sym_no] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(738),
    [anon_sym_foreach] = ACTIONS(738),
    [anon_sym_last] = ACTIONS(741),
    [anon_sym_next] = ACTIONS(741),
    [anon_sym_redo] = ACTIONS(741),
    [anon_sym_BEGIN] = ACTIONS(744),
    [anon_sym_INIT] = ACTIONS(744),
    [anon_sym_CHECK] = ACTIONS(744),
    [anon_sym_UNITCHECK] = ACTIONS(744),
    [anon_sym_END] = ACTIONS(744),
    [anon_sym___FILE__] = ACTIONS(657),
    [anon_sym___LINE__] = ACTIONS(657),
    [anon_sym___PACKAGE__] = ACTIONS(657),
    [anon_sym___SUB__] = ACTIONS(657),
    [anon_sym_break] = ACTIONS(657),
    [anon_sym_fork] = ACTIONS(657),
    [anon_sym_getppid] = ACTIONS(657),
    [anon_sym_time] = ACTIONS(657),
    [anon_sym_times] = ACTIONS(657),
    [anon_sym_wait] = ACTIONS(657),
    [anon_sym_wantarray] = ACTIONS(657),
    [anon_sym_abs] = ACTIONS(747),
    [anon_sym_alarm] = ACTIONS(747),
    [anon_sym_chop] = ACTIONS(747),
    [anon_sym_chdir] = ACTIONS(747),
    [anon_sym_close] = ACTIONS(747),
    [anon_sym_closedir] = ACTIONS(747),
    [anon_sym_caller] = ACTIONS(747),
    [anon_sym_chomp] = ACTIONS(747),
    [anon_sym_chr] = ACTIONS(747),
    [anon_sym_cos] = ACTIONS(747),
    [anon_sym_chroot] = ACTIONS(747),
    [anon_sym_defined] = ACTIONS(747),
    [anon_sym_delete] = ACTIONS(747),
    [anon_sym_dbmclose] = ACTIONS(747),
    [anon_sym_exists] = ACTIONS(747),
    [anon_sym_exit] = ACTIONS(747),
    [anon_sym_eof] = ACTIONS(747),
    [anon_sym_exp] = ACTIONS(747),
    [anon_sym_each] = ACTIONS(747),
    [anon_sym_fc] = ACTIONS(747),
    [anon_sym_fileno] = ACTIONS(747),
    [anon_sym_gmtime] = ACTIONS(747),
    [anon_sym_getc] = ACTIONS(747),
    [anon_sym_getpgrp] = ACTIONS(747),
    [anon_sym_getprotobyname] = ACTIONS(747),
    [anon_sym_getpwname] = ACTIONS(747),
    [anon_sym_getpwuid] = ACTIONS(747),
    [anon_sym_getpeername] = ACTIONS(747),
    [anon_sym_getnetbyname] = ACTIONS(747),
    [anon_sym_getsockname] = ACTIONS(747),
    [anon_sym_getgrnam] = ACTIONS(747),
    [anon_sym_getgrgid] = ACTIONS(747),
    [anon_sym_hex] = ACTIONS(747),
    [anon_sym_int] = ACTIONS(747),
    [anon_sym_keys] = ACTIONS(747),
    [anon_sym_lc] = ACTIONS(747),
    [anon_sym_lcfirst] = ACTIONS(747),
    [anon_sym_length] = ACTIONS(747),
    [anon_sym_localtime] = ACTIONS(747),
    [anon_sym_log] = ACTIONS(747),
    [anon_sym_lock] = ACTIONS(747),
    [anon_sym_lstat] = ACTIONS(747),
    [anon_sym_oct] = ACTIONS(747),
    [anon_sym_ord] = ACTIONS(747),
    [anon_sym_prototype] = ACTIONS(747),
    [anon_sym_pop] = ACTIONS(747),
    [anon_sym_pos] = ACTIONS(747),
    [anon_sym_quotemeta] = ACTIONS(747),
    [anon_sym_reset] = ACTIONS(747),
    [anon_sym_rand] = ACTIONS(747),
    [anon_sym_rmdir] = ACTIONS(747),
    [anon_sym_readdir] = ACTIONS(747),
    [anon_sym_readline] = ACTIONS(747),
    [anon_sym_readpipe] = ACTIONS(747),
    [anon_sym_rewinddir] = ACTIONS(747),
    [anon_sym_readlink] = ACTIONS(747),
    [anon_sym_ref] = ACTIONS(747),
    [anon_sym_scalar] = ACTIONS(747),
    [anon_sym_shift] = ACTIONS(747),
    [anon_sym_sin] = ACTIONS(747),
    [anon_sym_sleep] = ACTIONS(747),
    [anon_sym_sqrt] = ACTIONS(747),
    [anon_sym_srand] = ACTIONS(747),
    [anon_sym_stat] = ACTIONS(747),
    [anon_sym_study] = ACTIONS(747),
    [anon_sym_tell] = ACTIONS(747),
    [anon_sym_telldir] = ACTIONS(747),
    [anon_sym_tied] = ACTIONS(747),
    [anon_sym_uc] = ACTIONS(747),
    [anon_sym_ucfirst] = ACTIONS(747),
    [anon_sym_untie] = ACTIONS(747),
    [anon_sym_umask] = ACTIONS(747),
    [anon_sym_values] = ACTIONS(747),
    [anon_sym_write] = ACTIONS(747),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(750),
    [anon_sym___END__] = ACTIONS(750),
    [anon_sym_EOT] = ACTIONS(750),
    [anon_sym_q] = ACTIONS(752),
    [anon_sym_qq] = ACTIONS(755),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(761),
    [anon_sym_qr] = ACTIONS(764),
    [anon_sym_m] = ACTIONS(767),
    [anon_sym_s] = ACTIONS(770),
    [anon_sym_tr] = ACTIONS(773),
    [anon_sym_y] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(776),
    [anon_sym_unless] = ACTIONS(776),
    [anon_sym_while] = ACTIONS(779),
    [anon_sym_until] = ACTIONS(779),
    [aux_sym__bareword_token1] = ACTIONS(782),
    [sym_number] = ACTIONS(785),
    [anon_sym_true] = ACTIONS(788),
    [anon_sym_false] = ACTIONS(788),
    [sym__single_quote] = ACTIONS(791),
    [sym__double_quote] = ACTIONS(794),
    [sym__backtick_quote] = ACTIONS(797),
    [sym__search_slash_quote] = ACTIONS(800),
    [sym__PERLY_HEREDOC] = ACTIONS(803),
    [sym__ctrl_z_hack] = ACTIONS(613),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(806),
    [sym__filetest] = ACTIONS(809),
  },
  [41] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(41),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym__ident_special] = STATE(3583),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(99),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(812),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(814),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(427),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(816),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(437),
    [aux_sym__bareword_token1] = ACTIONS(818),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__brace_autoquoted_token] = ACTIONS(820),
  },
  [42] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2078),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym__label_arg] = STATE(1943),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(42),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_identifier] = STATE(1940),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(822),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(151),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(151),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(151),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(151),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_DASH_GT] = ACTIONS(151),
    [anon_sym_PERCENT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(151),
    [anon_sym_LT_LT] = ACTIONS(151),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(151),
    [anon_sym_PLUS_EQ] = ACTIONS(151),
    [anon_sym_DASH_EQ] = ACTIONS(151),
    [anon_sym_DOT_EQ] = ACTIONS(151),
    [anon_sym_STAR_EQ] = ACTIONS(151),
    [anon_sym_SLASH_EQ] = ACTIONS(151),
    [anon_sym_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_x_EQ] = ACTIONS(151),
    [anon_sym_AMP_EQ] = ACTIONS(151),
    [anon_sym_PIPE_EQ] = ACTIONS(151),
    [anon_sym_CARET_EQ] = ACTIONS(151),
    [anon_sym_LT_LT_EQ] = ACTIONS(151),
    [anon_sym_GT_GT_EQ] = ACTIONS(151),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(151),
    [anon_sym_DOT_DOT] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(151),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_SLASH_SLASH] = ACTIONS(151),
    [anon_sym_CARET_CARET] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(151),
    [anon_sym_CARET] = ACTIONS(151),
    [anon_sym_AMP] = ACTIONS(151),
    [anon_sym_GT_GT2] = ACTIONS(151),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_x] = ACTIONS(151),
    [anon_sym_EQ_TILDE] = ACTIONS(151),
    [anon_sym_BANG_TILDE] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_eq] = ACTIONS(151),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(151),
    [anon_sym_equ] = ACTIONS(151),
    [anon_sym_eqr] = ACTIONS(151),
    [anon_sym_ne] = ACTIONS(151),
    [anon_sym_LT_EQ_GT] = ACTIONS(151),
    [anon_sym_cmp] = ACTIONS(151),
    [anon_sym_TILDE_TILDE] = ACTIONS(151),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_lt] = ACTIONS(151),
    [anon_sym_le] = ACTIONS(151),
    [anon_sym_ge] = ACTIONS(151),
    [anon_sym_gt] = ACTIONS(151),
    [anon_sym_isa] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(151),
    [anon_sym_DASH_DASH] = ACTIONS(151),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_EQ_GT] = ACTIONS(151),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [43] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2002),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym__label_arg] = STATE(2014),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(43),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_identifier] = STATE(2008),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(900),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(151),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(151),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(151),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_COMMA] = ACTIONS(151),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_DASH_GT] = ACTIONS(151),
    [anon_sym_PERCENT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(151),
    [anon_sym_LT_LT] = ACTIONS(151),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(151),
    [anon_sym_PLUS_EQ] = ACTIONS(151),
    [anon_sym_DASH_EQ] = ACTIONS(151),
    [anon_sym_DOT_EQ] = ACTIONS(151),
    [anon_sym_STAR_EQ] = ACTIONS(151),
    [anon_sym_SLASH_EQ] = ACTIONS(151),
    [anon_sym_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_x_EQ] = ACTIONS(151),
    [anon_sym_AMP_EQ] = ACTIONS(151),
    [anon_sym_PIPE_EQ] = ACTIONS(151),
    [anon_sym_CARET_EQ] = ACTIONS(151),
    [anon_sym_LT_LT_EQ] = ACTIONS(151),
    [anon_sym_GT_GT_EQ] = ACTIONS(151),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(151),
    [anon_sym_DOT_DOT] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(151),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_SLASH_SLASH] = ACTIONS(151),
    [anon_sym_CARET_CARET] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(151),
    [anon_sym_CARET] = ACTIONS(151),
    [anon_sym_AMP] = ACTIONS(151),
    [anon_sym_GT_GT2] = ACTIONS(151),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_x] = ACTIONS(151),
    [anon_sym_EQ_TILDE] = ACTIONS(151),
    [anon_sym_BANG_TILDE] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_eq] = ACTIONS(151),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(151),
    [anon_sym_equ] = ACTIONS(151),
    [anon_sym_eqr] = ACTIONS(151),
    [anon_sym_ne] = ACTIONS(151),
    [anon_sym_LT_EQ_GT] = ACTIONS(151),
    [anon_sym_cmp] = ACTIONS(151),
    [anon_sym_TILDE_TILDE] = ACTIONS(151),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_lt] = ACTIONS(151),
    [anon_sym_le] = ACTIONS(151),
    [anon_sym_ge] = ACTIONS(151),
    [anon_sym_gt] = ACTIONS(151),
    [anon_sym_isa] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(151),
    [anon_sym_DASH_DASH] = ACTIONS(151),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_EQ_GT] = ACTIONS(151),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(157),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [44] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1616),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym__label_arg] = STATE(1621),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(44),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_identifier] = STATE(1618),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(978),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COLON] = ACTIONS(151),
    [anon_sym_DOLLAR] = ACTIONS(151),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(151),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(151),
    [anon_sym_AT] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(151),
    [anon_sym_RPAREN] = ACTIONS(151),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_DASH_GT] = ACTIONS(151),
    [anon_sym_PERCENT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(151),
    [anon_sym_LT_LT] = ACTIONS(151),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(151),
    [anon_sym_PLUS_EQ] = ACTIONS(151),
    [anon_sym_DASH_EQ] = ACTIONS(151),
    [anon_sym_DOT_EQ] = ACTIONS(151),
    [anon_sym_STAR_EQ] = ACTIONS(151),
    [anon_sym_SLASH_EQ] = ACTIONS(151),
    [anon_sym_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_x_EQ] = ACTIONS(151),
    [anon_sym_AMP_EQ] = ACTIONS(151),
    [anon_sym_PIPE_EQ] = ACTIONS(151),
    [anon_sym_CARET_EQ] = ACTIONS(151),
    [anon_sym_LT_LT_EQ] = ACTIONS(151),
    [anon_sym_GT_GT_EQ] = ACTIONS(151),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(151),
    [anon_sym_DOT_DOT] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(151),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_SLASH_SLASH] = ACTIONS(151),
    [anon_sym_CARET_CARET] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(151),
    [anon_sym_CARET] = ACTIONS(151),
    [anon_sym_AMP] = ACTIONS(151),
    [anon_sym_GT_GT2] = ACTIONS(151),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_x] = ACTIONS(151),
    [anon_sym_EQ_TILDE] = ACTIONS(151),
    [anon_sym_BANG_TILDE] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_eq] = ACTIONS(151),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(151),
    [anon_sym_equ] = ACTIONS(151),
    [anon_sym_eqr] = ACTIONS(151),
    [anon_sym_ne] = ACTIONS(151),
    [anon_sym_LT_EQ_GT] = ACTIONS(151),
    [anon_sym_cmp] = ACTIONS(151),
    [anon_sym_TILDE_TILDE] = ACTIONS(151),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_lt] = ACTIONS(151),
    [anon_sym_le] = ACTIONS(151),
    [anon_sym_ge] = ACTIONS(151),
    [anon_sym_gt] = ACTIONS(151),
    [anon_sym_isa] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(151),
    [anon_sym_DASH_DASH] = ACTIONS(151),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(151),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_EQ_GT] = ACTIONS(151),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [45] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2315),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym__tricky_list] = STATE(3529),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1148),
    [sym_interpolated_string_literal] = STATE(1148),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1148),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(45),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1149),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(94),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1050),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1052),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [46] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2316),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym__tricky_list] = STATE(3462),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1148),
    [sym_interpolated_string_literal] = STATE(1148),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1148),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(46),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1149),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1054),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1052),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [47] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2310),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym__tricky_list] = STATE(3675),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1148),
    [sym_interpolated_string_literal] = STATE(1148),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1148),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(47),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1149),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(91),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1052),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [48] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2317),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym__tricky_list] = STATE(3667),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1148),
    [sym_interpolated_string_literal] = STATE(1148),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1148),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(48),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1149),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(92),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1058),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1052),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [49] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2312),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym__tricky_list] = STATE(3544),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1148),
    [sym_interpolated_string_literal] = STATE(1148),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1148),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(49),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1149),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(69),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1060),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1052),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [50] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__term_rightward] = STATE(1619),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1561),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(50),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COLON] = ACTIONS(159),
    [anon_sym_DOLLAR] = ACTIONS(1062),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(159),
    [anon_sym_AT] = ACTIONS(1065),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_DASH_GT] = ACTIONS(159),
    [anon_sym_PERCENT] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(1068),
    [anon_sym_GT] = ACTIONS(159),
    [anon_sym_LT_LT] = ACTIONS(1071),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_DOT_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_x_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT] = ACTIONS(159),
    [anon_sym_STAR_STAR] = ACTIONS(159),
    [anon_sym_PIPE_PIPE] = ACTIONS(159),
    [anon_sym_SLASH_SLASH] = ACTIONS(1074),
    [anon_sym_CARET_CARET] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_GT_GT2] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1080),
    [anon_sym_DOT] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(1083),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_x] = ACTIONS(159),
    [anon_sym_EQ_TILDE] = ACTIONS(159),
    [anon_sym_BANG_TILDE] = ACTIONS(159),
    [anon_sym_EQ_EQ] = ACTIONS(159),
    [anon_sym_BANG_EQ] = ACTIONS(159),
    [anon_sym_eq] = ACTIONS(159),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(159),
    [anon_sym_equ] = ACTIONS(159),
    [anon_sym_eqr] = ACTIONS(159),
    [anon_sym_ne] = ACTIONS(159),
    [anon_sym_LT_EQ_GT] = ACTIONS(159),
    [anon_sym_cmp] = ACTIONS(159),
    [anon_sym_TILDE_TILDE] = ACTIONS(159),
    [anon_sym_LT_EQ] = ACTIONS(159),
    [anon_sym_GT_EQ] = ACTIONS(159),
    [anon_sym_lt] = ACTIONS(159),
    [anon_sym_le] = ACTIONS(159),
    [anon_sym_ge] = ACTIONS(159),
    [anon_sym_gt] = ACTIONS(159),
    [anon_sym_isa] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1086),
    [anon_sym_DASH_DASH] = ACTIONS(1086),
    [anon_sym_QMARK] = ACTIONS(159),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1089),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [51] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2312),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym__tricky_list] = STATE(3544),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1148),
    [sym_interpolated_string_literal] = STATE(1148),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1148),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(51),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1149),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1092),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1052),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [52] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2308),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym__tricky_list] = STATE(3462),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1148),
    [sym_interpolated_string_literal] = STATE(1148),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1148),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(52),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1149),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(88),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1054),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1052),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [53] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2317),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym__tricky_list] = STATE(3667),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1148),
    [sym_interpolated_string_literal] = STATE(1148),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1148),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(53),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1149),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1094),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1052),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [54] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2310),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym__tricky_list] = STATE(3675),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1148),
    [sym_interpolated_string_literal] = STATE(1148),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1148),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(54),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1149),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1096),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1052),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [55] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2309),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym__tricky_list] = STATE(3529),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1148),
    [sym_interpolated_string_literal] = STATE(1148),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1148),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(55),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1149),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(122),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1098),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1052),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [56] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__term_rightward] = STATE(2011),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(1864),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(56),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(159),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(159),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_DASH_GT] = ACTIONS(159),
    [anon_sym_PERCENT] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(1100),
    [anon_sym_GT] = ACTIONS(159),
    [anon_sym_LT_LT] = ACTIONS(1103),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_DOT_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_x_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT] = ACTIONS(159),
    [anon_sym_STAR_STAR] = ACTIONS(159),
    [anon_sym_PIPE_PIPE] = ACTIONS(159),
    [anon_sym_SLASH_SLASH] = ACTIONS(1106),
    [anon_sym_CARET_CARET] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_GT_GT2] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(1109),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(1115),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_x] = ACTIONS(159),
    [anon_sym_EQ_TILDE] = ACTIONS(159),
    [anon_sym_BANG_TILDE] = ACTIONS(159),
    [anon_sym_EQ_EQ] = ACTIONS(159),
    [anon_sym_BANG_EQ] = ACTIONS(159),
    [anon_sym_eq] = ACTIONS(159),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(159),
    [anon_sym_equ] = ACTIONS(159),
    [anon_sym_eqr] = ACTIONS(159),
    [anon_sym_ne] = ACTIONS(159),
    [anon_sym_LT_EQ_GT] = ACTIONS(159),
    [anon_sym_cmp] = ACTIONS(159),
    [anon_sym_TILDE_TILDE] = ACTIONS(159),
    [anon_sym_LT_EQ] = ACTIONS(159),
    [anon_sym_GT_EQ] = ACTIONS(159),
    [anon_sym_lt] = ACTIONS(159),
    [anon_sym_le] = ACTIONS(159),
    [anon_sym_ge] = ACTIONS(159),
    [anon_sym_gt] = ACTIONS(159),
    [anon_sym_isa] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [anon_sym_QMARK] = ACTIONS(159),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(182),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [57] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2309),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym__tricky_list] = STATE(3529),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1148),
    [sym_interpolated_string_literal] = STATE(1148),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1148),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(57),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1149),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1050),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1052),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [58] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2314),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym__tricky_list] = STATE(3675),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1148),
    [sym_interpolated_string_literal] = STATE(1148),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1148),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(58),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1149),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(94),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1096),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1052),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [59] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2313),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym__tricky_list] = STATE(3667),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1148),
    [sym_interpolated_string_literal] = STATE(1148),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1148),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(59),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1149),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(78),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1121),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1052),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [60] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2311),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym__tricky_list] = STATE(3544),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1148),
    [sym_interpolated_string_literal] = STATE(1148),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1148),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(60),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1149),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(112),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1092),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1052),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [61] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2317),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym__tricky_list] = STATE(3667),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1148),
    [sym_interpolated_string_literal] = STATE(1148),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1148),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(61),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1149),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(74),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1123),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1052),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [62] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2317),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym__tricky_list] = STATE(3667),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1148),
    [sym_interpolated_string_literal] = STATE(1148),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1148),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(62),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1149),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1121),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1052),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [63] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2313),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym__tricky_list] = STATE(3667),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1148),
    [sym_interpolated_string_literal] = STATE(1148),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1148),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(63),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1149),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(114),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1094),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1052),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [64] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2316),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym__tricky_list] = STATE(3462),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1148),
    [sym_interpolated_string_literal] = STATE(1148),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1148),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(64),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1149),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(85),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1052),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [65] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2317),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym__tricky_list] = STATE(3667),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1148),
    [sym_interpolated_string_literal] = STATE(1148),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1148),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(65),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1149),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(74),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1127),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1052),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [66] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2178),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym__label_arg] = STATE(1943),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(66),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_identifier] = STATE(1940),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(822),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COLON] = ACTIONS(151),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_EQ] = ACTIONS(151),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(151),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(151),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(151),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_DASH_GT] = ACTIONS(151),
    [anon_sym_PERCENT] = ACTIONS(151),
    [anon_sym_LT] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(151),
    [anon_sym_LT_LT] = ACTIONS(151),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(151),
    [anon_sym_PLUS_EQ] = ACTIONS(151),
    [anon_sym_DASH_EQ] = ACTIONS(151),
    [anon_sym_DOT_EQ] = ACTIONS(151),
    [anon_sym_STAR_EQ] = ACTIONS(151),
    [anon_sym_SLASH_EQ] = ACTIONS(151),
    [anon_sym_PERCENT_EQ] = ACTIONS(151),
    [anon_sym_x_EQ] = ACTIONS(151),
    [anon_sym_AMP_EQ] = ACTIONS(151),
    [anon_sym_PIPE_EQ] = ACTIONS(151),
    [anon_sym_CARET_EQ] = ACTIONS(151),
    [anon_sym_LT_LT_EQ] = ACTIONS(151),
    [anon_sym_GT_GT_EQ] = ACTIONS(151),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(151),
    [anon_sym_DOT_DOT] = ACTIONS(151),
    [anon_sym_STAR_STAR] = ACTIONS(151),
    [anon_sym_PIPE_PIPE] = ACTIONS(151),
    [anon_sym_SLASH_SLASH] = ACTIONS(151),
    [anon_sym_CARET_CARET] = ACTIONS(151),
    [anon_sym_AMP_AMP] = ACTIONS(151),
    [anon_sym_PIPE] = ACTIONS(151),
    [anon_sym_CARET] = ACTIONS(151),
    [anon_sym_AMP] = ACTIONS(151),
    [anon_sym_GT_GT2] = ACTIONS(151),
    [anon_sym_PLUS] = ACTIONS(151),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_DOT] = ACTIONS(151),
    [anon_sym_STAR] = ACTIONS(151),
    [anon_sym_SLASH] = ACTIONS(151),
    [anon_sym_x] = ACTIONS(151),
    [anon_sym_EQ_TILDE] = ACTIONS(151),
    [anon_sym_BANG_TILDE] = ACTIONS(151),
    [anon_sym_EQ_EQ] = ACTIONS(151),
    [anon_sym_BANG_EQ] = ACTIONS(151),
    [anon_sym_eq] = ACTIONS(151),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(151),
    [anon_sym_equ] = ACTIONS(151),
    [anon_sym_eqr] = ACTIONS(151),
    [anon_sym_ne] = ACTIONS(151),
    [anon_sym_LT_EQ_GT] = ACTIONS(151),
    [anon_sym_cmp] = ACTIONS(151),
    [anon_sym_TILDE_TILDE] = ACTIONS(151),
    [anon_sym_LT_EQ] = ACTIONS(151),
    [anon_sym_GT_EQ] = ACTIONS(151),
    [anon_sym_lt] = ACTIONS(151),
    [anon_sym_le] = ACTIONS(151),
    [anon_sym_ge] = ACTIONS(151),
    [anon_sym_gt] = ACTIONS(151),
    [anon_sym_isa] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(151),
    [anon_sym_DASH_DASH] = ACTIONS(151),
    [anon_sym_QMARK] = ACTIONS(151),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_EQ_GT] = ACTIONS(151),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [67] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2317),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym__tricky_list] = STATE(3667),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1148),
    [sym_interpolated_string_literal] = STATE(1148),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1148),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(67),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1149),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(128),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1127),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1052),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [68] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(1941),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1938),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(68),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(159),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(159),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_RPAREN] = ACTIONS(159),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_DASH_GT] = ACTIONS(159),
    [anon_sym_PERCENT] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(1161),
    [anon_sym_GT] = ACTIONS(159),
    [anon_sym_LT_LT] = ACTIONS(1164),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_DOT_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_x_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT] = ACTIONS(159),
    [anon_sym_STAR_STAR] = ACTIONS(159),
    [anon_sym_PIPE_PIPE] = ACTIONS(159),
    [anon_sym_SLASH_SLASH] = ACTIONS(1167),
    [anon_sym_CARET_CARET] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_GT_GT2] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(1176),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_x] = ACTIONS(159),
    [anon_sym_EQ_TILDE] = ACTIONS(159),
    [anon_sym_BANG_TILDE] = ACTIONS(159),
    [anon_sym_EQ_EQ] = ACTIONS(159),
    [anon_sym_BANG_EQ] = ACTIONS(159),
    [anon_sym_eq] = ACTIONS(159),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(159),
    [anon_sym_equ] = ACTIONS(159),
    [anon_sym_eqr] = ACTIONS(159),
    [anon_sym_ne] = ACTIONS(159),
    [anon_sym_LT_EQ_GT] = ACTIONS(159),
    [anon_sym_cmp] = ACTIONS(159),
    [anon_sym_TILDE_TILDE] = ACTIONS(159),
    [anon_sym_LT_EQ] = ACTIONS(159),
    [anon_sym_GT_EQ] = ACTIONS(159),
    [anon_sym_lt] = ACTIONS(159),
    [anon_sym_le] = ACTIONS(159),
    [anon_sym_ge] = ACTIONS(159),
    [anon_sym_gt] = ACTIONS(159),
    [anon_sym_isa] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_QMARK] = ACTIONS(159),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [69] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(69),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1182),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [70] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1762),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(70),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COLON] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(217),
    [anon_sym_EQ] = ACTIONS(217),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(217),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(217),
    [anon_sym_AT] = ACTIONS(217),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_RPAREN] = ACTIONS(217),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(217),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_DASH_GT] = ACTIONS(217),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_LT] = ACTIONS(217),
    [anon_sym_GT] = ACTIONS(217),
    [anon_sym_LT_LT] = ACTIONS(217),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(217),
    [anon_sym_PLUS_EQ] = ACTIONS(217),
    [anon_sym_DASH_EQ] = ACTIONS(217),
    [anon_sym_DOT_EQ] = ACTIONS(217),
    [anon_sym_STAR_EQ] = ACTIONS(217),
    [anon_sym_SLASH_EQ] = ACTIONS(217),
    [anon_sym_PERCENT_EQ] = ACTIONS(217),
    [anon_sym_x_EQ] = ACTIONS(217),
    [anon_sym_AMP_EQ] = ACTIONS(217),
    [anon_sym_PIPE_EQ] = ACTIONS(217),
    [anon_sym_CARET_EQ] = ACTIONS(217),
    [anon_sym_LT_LT_EQ] = ACTIONS(217),
    [anon_sym_GT_GT_EQ] = ACTIONS(217),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(217),
    [anon_sym_STAR_STAR] = ACTIONS(217),
    [anon_sym_PIPE_PIPE] = ACTIONS(217),
    [anon_sym_SLASH_SLASH] = ACTIONS(217),
    [anon_sym_CARET_CARET] = ACTIONS(217),
    [anon_sym_AMP_AMP] = ACTIONS(217),
    [anon_sym_PIPE] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [anon_sym_GT_GT2] = ACTIONS(217),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_DOT] = ACTIONS(217),
    [anon_sym_STAR] = ACTIONS(217),
    [anon_sym_SLASH] = ACTIONS(217),
    [anon_sym_x] = ACTIONS(217),
    [anon_sym_EQ_TILDE] = ACTIONS(217),
    [anon_sym_BANG_TILDE] = ACTIONS(217),
    [anon_sym_EQ_EQ] = ACTIONS(217),
    [anon_sym_BANG_EQ] = ACTIONS(217),
    [anon_sym_eq] = ACTIONS(217),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(217),
    [anon_sym_equ] = ACTIONS(217),
    [anon_sym_eqr] = ACTIONS(217),
    [anon_sym_ne] = ACTIONS(217),
    [anon_sym_LT_EQ_GT] = ACTIONS(217),
    [anon_sym_cmp] = ACTIONS(217),
    [anon_sym_TILDE_TILDE] = ACTIONS(217),
    [anon_sym_LT_EQ] = ACTIONS(217),
    [anon_sym_GT_EQ] = ACTIONS(217),
    [anon_sym_lt] = ACTIONS(217),
    [anon_sym_le] = ACTIONS(217),
    [anon_sym_ge] = ACTIONS(217),
    [anon_sym_gt] = ACTIONS(217),
    [anon_sym_isa] = ACTIONS(217),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(217),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [71] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1614),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(71),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_DOLLAR] = ACTIONS(213),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(213),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(213),
    [anon_sym_AT] = ACTIONS(213),
    [anon_sym_COMMA] = ACTIONS(213),
    [anon_sym_RPAREN] = ACTIONS(213),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_DASH_GT] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(213),
    [anon_sym_GT] = ACTIONS(213),
    [anon_sym_LT_LT] = ACTIONS(213),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(213),
    [anon_sym_PLUS_EQ] = ACTIONS(213),
    [anon_sym_DASH_EQ] = ACTIONS(213),
    [anon_sym_DOT_EQ] = ACTIONS(213),
    [anon_sym_STAR_EQ] = ACTIONS(213),
    [anon_sym_SLASH_EQ] = ACTIONS(213),
    [anon_sym_PERCENT_EQ] = ACTIONS(213),
    [anon_sym_x_EQ] = ACTIONS(213),
    [anon_sym_AMP_EQ] = ACTIONS(213),
    [anon_sym_PIPE_EQ] = ACTIONS(213),
    [anon_sym_CARET_EQ] = ACTIONS(213),
    [anon_sym_LT_LT_EQ] = ACTIONS(213),
    [anon_sym_GT_GT_EQ] = ACTIONS(213),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(213),
    [anon_sym_STAR_STAR] = ACTIONS(213),
    [anon_sym_PIPE_PIPE] = ACTIONS(213),
    [anon_sym_SLASH_SLASH] = ACTIONS(213),
    [anon_sym_CARET_CARET] = ACTIONS(213),
    [anon_sym_AMP_AMP] = ACTIONS(213),
    [anon_sym_PIPE] = ACTIONS(213),
    [anon_sym_CARET] = ACTIONS(213),
    [anon_sym_AMP] = ACTIONS(213),
    [anon_sym_GT_GT2] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(213),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_DOT] = ACTIONS(213),
    [anon_sym_STAR] = ACTIONS(213),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_x] = ACTIONS(213),
    [anon_sym_EQ_TILDE] = ACTIONS(213),
    [anon_sym_BANG_TILDE] = ACTIONS(213),
    [anon_sym_EQ_EQ] = ACTIONS(213),
    [anon_sym_BANG_EQ] = ACTIONS(213),
    [anon_sym_eq] = ACTIONS(213),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(213),
    [anon_sym_equ] = ACTIONS(213),
    [anon_sym_eqr] = ACTIONS(213),
    [anon_sym_ne] = ACTIONS(213),
    [anon_sym_LT_EQ_GT] = ACTIONS(213),
    [anon_sym_cmp] = ACTIONS(213),
    [anon_sym_TILDE_TILDE] = ACTIONS(213),
    [anon_sym_LT_EQ] = ACTIONS(213),
    [anon_sym_GT_EQ] = ACTIONS(213),
    [anon_sym_lt] = ACTIONS(213),
    [anon_sym_le] = ACTIONS(213),
    [anon_sym_ge] = ACTIONS(213),
    [anon_sym_gt] = ACTIONS(213),
    [anon_sym_isa] = ACTIONS(213),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(213),
    [anon_sym_DASH_DASH] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(213),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(213),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_EQ_GT] = ACTIONS(213),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [72] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(72),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(91),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(475),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [73] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2082),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(73),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(184),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_EQ] = ACTIONS(184),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(184),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(184),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(184),
    [anon_sym_RPAREN] = ACTIONS(184),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(184),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_DASH_GT] = ACTIONS(184),
    [anon_sym_PERCENT] = ACTIONS(184),
    [anon_sym_LT] = ACTIONS(184),
    [anon_sym_GT] = ACTIONS(184),
    [anon_sym_LT_LT] = ACTIONS(184),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(184),
    [anon_sym_PLUS_EQ] = ACTIONS(184),
    [anon_sym_DASH_EQ] = ACTIONS(184),
    [anon_sym_DOT_EQ] = ACTIONS(184),
    [anon_sym_STAR_EQ] = ACTIONS(184),
    [anon_sym_SLASH_EQ] = ACTIONS(184),
    [anon_sym_PERCENT_EQ] = ACTIONS(184),
    [anon_sym_x_EQ] = ACTIONS(184),
    [anon_sym_AMP_EQ] = ACTIONS(184),
    [anon_sym_PIPE_EQ] = ACTIONS(184),
    [anon_sym_CARET_EQ] = ACTIONS(184),
    [anon_sym_LT_LT_EQ] = ACTIONS(184),
    [anon_sym_GT_GT_EQ] = ACTIONS(184),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(184),
    [anon_sym_DOT_DOT] = ACTIONS(184),
    [anon_sym_STAR_STAR] = ACTIONS(184),
    [anon_sym_PIPE_PIPE] = ACTIONS(184),
    [anon_sym_SLASH_SLASH] = ACTIONS(184),
    [anon_sym_CARET_CARET] = ACTIONS(184),
    [anon_sym_AMP_AMP] = ACTIONS(184),
    [anon_sym_PIPE] = ACTIONS(184),
    [anon_sym_CARET] = ACTIONS(184),
    [anon_sym_AMP] = ACTIONS(184),
    [anon_sym_GT_GT2] = ACTIONS(184),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_DOT] = ACTIONS(184),
    [anon_sym_STAR] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(184),
    [anon_sym_x] = ACTIONS(184),
    [anon_sym_EQ_TILDE] = ACTIONS(184),
    [anon_sym_BANG_TILDE] = ACTIONS(184),
    [anon_sym_EQ_EQ] = ACTIONS(184),
    [anon_sym_BANG_EQ] = ACTIONS(184),
    [anon_sym_eq] = ACTIONS(184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(184),
    [anon_sym_equ] = ACTIONS(184),
    [anon_sym_eqr] = ACTIONS(184),
    [anon_sym_ne] = ACTIONS(184),
    [anon_sym_LT_EQ_GT] = ACTIONS(184),
    [anon_sym_cmp] = ACTIONS(184),
    [anon_sym_TILDE_TILDE] = ACTIONS(184),
    [anon_sym_LT_EQ] = ACTIONS(184),
    [anon_sym_GT_EQ] = ACTIONS(184),
    [anon_sym_lt] = ACTIONS(184),
    [anon_sym_le] = ACTIONS(184),
    [anon_sym_ge] = ACTIONS(184),
    [anon_sym_gt] = ACTIONS(184),
    [anon_sym_isa] = ACTIONS(184),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(184),
    [anon_sym_DASH_DASH] = ACTIONS(184),
    [anon_sym_QMARK] = ACTIONS(184),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_EQ_GT] = ACTIONS(184),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [74] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(74),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1186),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [75] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(75),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(128),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [76] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(76),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(74),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1190),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [77] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1729),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(77),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COLON] = ACTIONS(184),
    [anon_sym_DOLLAR] = ACTIONS(184),
    [anon_sym_EQ] = ACTIONS(184),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(184),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(184),
    [anon_sym_AT] = ACTIONS(184),
    [anon_sym_COMMA] = ACTIONS(184),
    [anon_sym_RPAREN] = ACTIONS(184),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(184),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_DASH_GT] = ACTIONS(184),
    [anon_sym_PERCENT] = ACTIONS(184),
    [anon_sym_LT] = ACTIONS(184),
    [anon_sym_GT] = ACTIONS(184),
    [anon_sym_LT_LT] = ACTIONS(184),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(184),
    [anon_sym_PLUS_EQ] = ACTIONS(184),
    [anon_sym_DASH_EQ] = ACTIONS(184),
    [anon_sym_DOT_EQ] = ACTIONS(184),
    [anon_sym_STAR_EQ] = ACTIONS(184),
    [anon_sym_SLASH_EQ] = ACTIONS(184),
    [anon_sym_PERCENT_EQ] = ACTIONS(184),
    [anon_sym_x_EQ] = ACTIONS(184),
    [anon_sym_AMP_EQ] = ACTIONS(184),
    [anon_sym_PIPE_EQ] = ACTIONS(184),
    [anon_sym_CARET_EQ] = ACTIONS(184),
    [anon_sym_LT_LT_EQ] = ACTIONS(184),
    [anon_sym_GT_GT_EQ] = ACTIONS(184),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(184),
    [anon_sym_DOT_DOT] = ACTIONS(184),
    [anon_sym_STAR_STAR] = ACTIONS(184),
    [anon_sym_PIPE_PIPE] = ACTIONS(184),
    [anon_sym_SLASH_SLASH] = ACTIONS(184),
    [anon_sym_CARET_CARET] = ACTIONS(184),
    [anon_sym_AMP_AMP] = ACTIONS(184),
    [anon_sym_PIPE] = ACTIONS(184),
    [anon_sym_CARET] = ACTIONS(184),
    [anon_sym_AMP] = ACTIONS(184),
    [anon_sym_GT_GT2] = ACTIONS(184),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_DOT] = ACTIONS(184),
    [anon_sym_STAR] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(184),
    [anon_sym_x] = ACTIONS(184),
    [anon_sym_EQ_TILDE] = ACTIONS(184),
    [anon_sym_BANG_TILDE] = ACTIONS(184),
    [anon_sym_EQ_EQ] = ACTIONS(184),
    [anon_sym_BANG_EQ] = ACTIONS(184),
    [anon_sym_eq] = ACTIONS(184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(184),
    [anon_sym_equ] = ACTIONS(184),
    [anon_sym_eqr] = ACTIONS(184),
    [anon_sym_ne] = ACTIONS(184),
    [anon_sym_LT_EQ_GT] = ACTIONS(184),
    [anon_sym_cmp] = ACTIONS(184),
    [anon_sym_TILDE_TILDE] = ACTIONS(184),
    [anon_sym_LT_EQ] = ACTIONS(184),
    [anon_sym_GT_EQ] = ACTIONS(184),
    [anon_sym_lt] = ACTIONS(184),
    [anon_sym_le] = ACTIONS(184),
    [anon_sym_ge] = ACTIONS(184),
    [anon_sym_gt] = ACTIONS(184),
    [anon_sym_isa] = ACTIONS(184),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(184),
    [anon_sym_DASH_DASH] = ACTIONS(184),
    [anon_sym_QMARK] = ACTIONS(184),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(184),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_EQ_GT] = ACTIONS(184),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [78] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(78),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [79] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(79),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [80] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2076),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(80),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(188),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_EQ] = ACTIONS(188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(188),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(188),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_COMMA] = ACTIONS(188),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_DASH_GT] = ACTIONS(188),
    [anon_sym_PERCENT] = ACTIONS(188),
    [anon_sym_LT] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(188),
    [anon_sym_LT_LT] = ACTIONS(1199),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(188),
    [anon_sym_PLUS_EQ] = ACTIONS(188),
    [anon_sym_DASH_EQ] = ACTIONS(188),
    [anon_sym_DOT_EQ] = ACTIONS(188),
    [anon_sym_STAR_EQ] = ACTIONS(188),
    [anon_sym_SLASH_EQ] = ACTIONS(188),
    [anon_sym_PERCENT_EQ] = ACTIONS(188),
    [anon_sym_x_EQ] = ACTIONS(188),
    [anon_sym_AMP_EQ] = ACTIONS(188),
    [anon_sym_PIPE_EQ] = ACTIONS(188),
    [anon_sym_CARET_EQ] = ACTIONS(188),
    [anon_sym_LT_LT_EQ] = ACTIONS(188),
    [anon_sym_GT_GT_EQ] = ACTIONS(188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(188),
    [anon_sym_DOT_DOT] = ACTIONS(188),
    [anon_sym_STAR_STAR] = ACTIONS(188),
    [anon_sym_PIPE_PIPE] = ACTIONS(188),
    [anon_sym_SLASH_SLASH] = ACTIONS(1202),
    [anon_sym_CARET_CARET] = ACTIONS(188),
    [anon_sym_AMP_AMP] = ACTIONS(188),
    [anon_sym_PIPE] = ACTIONS(188),
    [anon_sym_CARET] = ACTIONS(188),
    [anon_sym_AMP] = ACTIONS(188),
    [anon_sym_GT_GT2] = ACTIONS(188),
    [anon_sym_PLUS] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_DOT] = ACTIONS(188),
    [anon_sym_STAR] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(188),
    [anon_sym_x] = ACTIONS(188),
    [anon_sym_EQ_TILDE] = ACTIONS(188),
    [anon_sym_BANG_TILDE] = ACTIONS(188),
    [anon_sym_EQ_EQ] = ACTIONS(188),
    [anon_sym_BANG_EQ] = ACTIONS(188),
    [anon_sym_eq] = ACTIONS(188),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(188),
    [anon_sym_equ] = ACTIONS(188),
    [anon_sym_eqr] = ACTIONS(188),
    [anon_sym_ne] = ACTIONS(188),
    [anon_sym_LT_EQ_GT] = ACTIONS(188),
    [anon_sym_cmp] = ACTIONS(188),
    [anon_sym_TILDE_TILDE] = ACTIONS(188),
    [anon_sym_LT_EQ] = ACTIONS(188),
    [anon_sym_GT_EQ] = ACTIONS(188),
    [anon_sym_lt] = ACTIONS(188),
    [anon_sym_le] = ACTIONS(188),
    [anon_sym_ge] = ACTIONS(188),
    [anon_sym_gt] = ACTIONS(188),
    [anon_sym_isa] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_QMARK] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_EQ_GT] = ACTIONS(188),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(211),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [81] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(81),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1217),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [82] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2046),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(82),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_EQ] = ACTIONS(217),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(217),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(217),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(217),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_DASH_GT] = ACTIONS(217),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_LT] = ACTIONS(217),
    [anon_sym_GT] = ACTIONS(217),
    [anon_sym_LT_LT] = ACTIONS(217),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(217),
    [anon_sym_PLUS_EQ] = ACTIONS(217),
    [anon_sym_DASH_EQ] = ACTIONS(217),
    [anon_sym_DOT_EQ] = ACTIONS(217),
    [anon_sym_STAR_EQ] = ACTIONS(217),
    [anon_sym_SLASH_EQ] = ACTIONS(217),
    [anon_sym_PERCENT_EQ] = ACTIONS(217),
    [anon_sym_x_EQ] = ACTIONS(217),
    [anon_sym_AMP_EQ] = ACTIONS(217),
    [anon_sym_PIPE_EQ] = ACTIONS(217),
    [anon_sym_CARET_EQ] = ACTIONS(217),
    [anon_sym_LT_LT_EQ] = ACTIONS(217),
    [anon_sym_GT_GT_EQ] = ACTIONS(217),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(217),
    [anon_sym_STAR_STAR] = ACTIONS(217),
    [anon_sym_PIPE_PIPE] = ACTIONS(217),
    [anon_sym_SLASH_SLASH] = ACTIONS(217),
    [anon_sym_CARET_CARET] = ACTIONS(217),
    [anon_sym_AMP_AMP] = ACTIONS(217),
    [anon_sym_PIPE] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [anon_sym_GT_GT2] = ACTIONS(217),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_DOT] = ACTIONS(217),
    [anon_sym_STAR] = ACTIONS(217),
    [anon_sym_SLASH] = ACTIONS(217),
    [anon_sym_x] = ACTIONS(217),
    [anon_sym_EQ_TILDE] = ACTIONS(217),
    [anon_sym_BANG_TILDE] = ACTIONS(217),
    [anon_sym_EQ_EQ] = ACTIONS(217),
    [anon_sym_BANG_EQ] = ACTIONS(217),
    [anon_sym_eq] = ACTIONS(217),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(217),
    [anon_sym_equ] = ACTIONS(217),
    [anon_sym_eqr] = ACTIONS(217),
    [anon_sym_ne] = ACTIONS(217),
    [anon_sym_LT_EQ_GT] = ACTIONS(217),
    [anon_sym_cmp] = ACTIONS(217),
    [anon_sym_TILDE_TILDE] = ACTIONS(217),
    [anon_sym_LT_EQ] = ACTIONS(217),
    [anon_sym_GT_EQ] = ACTIONS(217),
    [anon_sym_lt] = ACTIONS(217),
    [anon_sym_le] = ACTIONS(217),
    [anon_sym_ge] = ACTIONS(217),
    [anon_sym_gt] = ACTIONS(217),
    [anon_sym_isa] = ACTIONS(217),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(221),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [83] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(83),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(109),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [84] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1735),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(84),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COLON] = ACTIONS(188),
    [anon_sym_DOLLAR] = ACTIONS(1223),
    [anon_sym_EQ] = ACTIONS(188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(188),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(188),
    [anon_sym_AT] = ACTIONS(1226),
    [anon_sym_COMMA] = ACTIONS(188),
    [anon_sym_RPAREN] = ACTIONS(188),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_DASH_GT] = ACTIONS(188),
    [anon_sym_PERCENT] = ACTIONS(188),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(188),
    [anon_sym_LT_LT] = ACTIONS(1232),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(188),
    [anon_sym_PLUS_EQ] = ACTIONS(188),
    [anon_sym_DASH_EQ] = ACTIONS(188),
    [anon_sym_DOT_EQ] = ACTIONS(188),
    [anon_sym_STAR_EQ] = ACTIONS(188),
    [anon_sym_SLASH_EQ] = ACTIONS(188),
    [anon_sym_PERCENT_EQ] = ACTIONS(188),
    [anon_sym_x_EQ] = ACTIONS(188),
    [anon_sym_AMP_EQ] = ACTIONS(188),
    [anon_sym_PIPE_EQ] = ACTIONS(188),
    [anon_sym_CARET_EQ] = ACTIONS(188),
    [anon_sym_LT_LT_EQ] = ACTIONS(188),
    [anon_sym_GT_GT_EQ] = ACTIONS(188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(188),
    [anon_sym_DOT_DOT] = ACTIONS(188),
    [anon_sym_STAR_STAR] = ACTIONS(188),
    [anon_sym_PIPE_PIPE] = ACTIONS(188),
    [anon_sym_SLASH_SLASH] = ACTIONS(1235),
    [anon_sym_CARET_CARET] = ACTIONS(188),
    [anon_sym_AMP_AMP] = ACTIONS(188),
    [anon_sym_PIPE] = ACTIONS(188),
    [anon_sym_CARET] = ACTIONS(188),
    [anon_sym_AMP] = ACTIONS(188),
    [anon_sym_GT_GT2] = ACTIONS(188),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1241),
    [anon_sym_DOT] = ACTIONS(188),
    [anon_sym_STAR] = ACTIONS(1244),
    [anon_sym_SLASH] = ACTIONS(188),
    [anon_sym_x] = ACTIONS(188),
    [anon_sym_EQ_TILDE] = ACTIONS(188),
    [anon_sym_BANG_TILDE] = ACTIONS(188),
    [anon_sym_EQ_EQ] = ACTIONS(188),
    [anon_sym_BANG_EQ] = ACTIONS(188),
    [anon_sym_eq] = ACTIONS(188),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(188),
    [anon_sym_equ] = ACTIONS(188),
    [anon_sym_eqr] = ACTIONS(188),
    [anon_sym_ne] = ACTIONS(188),
    [anon_sym_LT_EQ_GT] = ACTIONS(188),
    [anon_sym_cmp] = ACTIONS(188),
    [anon_sym_TILDE_TILDE] = ACTIONS(188),
    [anon_sym_LT_EQ] = ACTIONS(188),
    [anon_sym_GT_EQ] = ACTIONS(188),
    [anon_sym_lt] = ACTIONS(188),
    [anon_sym_le] = ACTIONS(188),
    [anon_sym_ge] = ACTIONS(188),
    [anon_sym_gt] = ACTIONS(188),
    [anon_sym_isa] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1247),
    [anon_sym_DASH_DASH] = ACTIONS(1247),
    [anon_sym_QMARK] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1250),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_EQ_GT] = ACTIONS(188),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [85] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(85),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1253),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [86] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(86),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(69),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(535),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [87] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(1998),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(87),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(213),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(213),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_COMMA] = ACTIONS(213),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_DASH_GT] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(213),
    [anon_sym_GT] = ACTIONS(213),
    [anon_sym_LT_LT] = ACTIONS(213),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(213),
    [anon_sym_PLUS_EQ] = ACTIONS(213),
    [anon_sym_DASH_EQ] = ACTIONS(213),
    [anon_sym_DOT_EQ] = ACTIONS(213),
    [anon_sym_STAR_EQ] = ACTIONS(213),
    [anon_sym_SLASH_EQ] = ACTIONS(213),
    [anon_sym_PERCENT_EQ] = ACTIONS(213),
    [anon_sym_x_EQ] = ACTIONS(213),
    [anon_sym_AMP_EQ] = ACTIONS(213),
    [anon_sym_PIPE_EQ] = ACTIONS(213),
    [anon_sym_CARET_EQ] = ACTIONS(213),
    [anon_sym_LT_LT_EQ] = ACTIONS(213),
    [anon_sym_GT_GT_EQ] = ACTIONS(213),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(213),
    [anon_sym_STAR_STAR] = ACTIONS(213),
    [anon_sym_PIPE_PIPE] = ACTIONS(213),
    [anon_sym_SLASH_SLASH] = ACTIONS(213),
    [anon_sym_CARET_CARET] = ACTIONS(213),
    [anon_sym_AMP_AMP] = ACTIONS(213),
    [anon_sym_PIPE] = ACTIONS(213),
    [anon_sym_CARET] = ACTIONS(213),
    [anon_sym_AMP] = ACTIONS(213),
    [anon_sym_GT_GT2] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(213),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_DOT] = ACTIONS(213),
    [anon_sym_STAR] = ACTIONS(213),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_x] = ACTIONS(213),
    [anon_sym_EQ_TILDE] = ACTIONS(213),
    [anon_sym_BANG_TILDE] = ACTIONS(213),
    [anon_sym_EQ_EQ] = ACTIONS(213),
    [anon_sym_BANG_EQ] = ACTIONS(213),
    [anon_sym_eq] = ACTIONS(213),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(213),
    [anon_sym_equ] = ACTIONS(213),
    [anon_sym_eqr] = ACTIONS(213),
    [anon_sym_ne] = ACTIONS(213),
    [anon_sym_LT_EQ_GT] = ACTIONS(213),
    [anon_sym_cmp] = ACTIONS(213),
    [anon_sym_TILDE_TILDE] = ACTIONS(213),
    [anon_sym_LT_EQ] = ACTIONS(213),
    [anon_sym_GT_EQ] = ACTIONS(213),
    [anon_sym_lt] = ACTIONS(213),
    [anon_sym_le] = ACTIONS(213),
    [anon_sym_ge] = ACTIONS(213),
    [anon_sym_gt] = ACTIONS(213),
    [anon_sym_isa] = ACTIONS(213),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(213),
    [anon_sym_DASH_DASH] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(213),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_EQ_GT] = ACTIONS(213),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(215),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [88] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(88),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1255),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [89] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(89),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(92),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(453),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [90] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(90),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(119),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1257),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [91] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(91),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1259),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [92] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(92),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1261),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [93] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(93),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(121),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1263),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [94] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(94),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1265),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [95] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(95),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1267),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [96] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(96),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(100),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1269),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [97] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(97),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1271),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [98] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(98),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(123),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1273),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [99] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(99),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1275),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [100] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(100),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1277),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [101] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(101),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1279),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [102] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(102),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(615),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_RBRACE] = ACTIONS(750),
    [anon_sym_SEMI] = ACTIONS(1281),
    [anon_sym_package] = ACTIONS(1284),
    [anon_sym_class] = ACTIONS(1287),
    [anon_sym_role] = ACTIONS(1290),
    [anon_sym_BUILD] = ACTIONS(1293),
    [anon_sym_ADJUST] = ACTIONS(1293),
    [anon_sym_DOLLAR] = ACTIONS(636),
    [anon_sym_AT] = ACTIONS(639),
    [anon_sym_my] = ACTIONS(1296),
    [anon_sym_extended] = ACTIONS(645),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_sub] = ACTIONS(1299),
    [anon_sym_method] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(654),
    [anon_sym_continue] = ACTIONS(657),
    [anon_sym_state] = ACTIONS(660),
    [anon_sym_our] = ACTIONS(660),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_defer] = ACTIONS(1308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [anon_sym_LBRACK] = ACTIONS(672),
    [anon_sym_LT] = ACTIONS(675),
    [anon_sym_LT_LT] = ACTIONS(678),
    [anon_sym_SLASH_SLASH] = ACTIONS(681),
    [anon_sym_PLUS] = ACTIONS(684),
    [anon_sym_DASH] = ACTIONS(687),
    [anon_sym_STAR] = ACTIONS(690),
    [anon_sym_TILDE] = ACTIONS(684),
    [anon_sym_BANG] = ACTIONS(684),
    [anon_sym_PLUS_PLUS] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(693),
    [anon_sym_BSLASH] = ACTIONS(696),
    [anon_sym_do] = ACTIONS(699),
    [anon_sym_eval] = ACTIONS(702),
    [anon_sym_await] = ACTIONS(705),
    [anon_sym_field] = ACTIONS(660),
    [anon_sym_local] = ACTIONS(708),
    [anon_sym_dynamically] = ACTIONS(708),
    [anon_sym_require] = ACTIONS(711),
    [anon_sym_map] = ACTIONS(714),
    [anon_sym_grep] = ACTIONS(714),
    [anon_sym_sort] = ACTIONS(717),
    [anon_sym_goto] = ACTIONS(720),
    [anon_sym_return] = ACTIONS(723),
    [anon_sym_undef] = ACTIONS(726),
    [anon_sym_PERCENT2] = ACTIONS(729),
    [anon_sym_DOLLAR_POUND] = ACTIONS(732),
    [anon_sym_use] = ACTIONS(1311),
    [anon_sym_no] = ACTIONS(1311),
    [anon_sym_for] = ACTIONS(1314),
    [anon_sym_foreach] = ACTIONS(1314),
    [anon_sym_last] = ACTIONS(741),
    [anon_sym_next] = ACTIONS(741),
    [anon_sym_redo] = ACTIONS(741),
    [anon_sym_BEGIN] = ACTIONS(1317),
    [anon_sym_INIT] = ACTIONS(1317),
    [anon_sym_CHECK] = ACTIONS(1317),
    [anon_sym_UNITCHECK] = ACTIONS(1317),
    [anon_sym_END] = ACTIONS(1317),
    [anon_sym___FILE__] = ACTIONS(657),
    [anon_sym___LINE__] = ACTIONS(657),
    [anon_sym___PACKAGE__] = ACTIONS(657),
    [anon_sym___SUB__] = ACTIONS(657),
    [anon_sym_break] = ACTIONS(657),
    [anon_sym_fork] = ACTIONS(657),
    [anon_sym_getppid] = ACTIONS(657),
    [anon_sym_time] = ACTIONS(657),
    [anon_sym_times] = ACTIONS(657),
    [anon_sym_wait] = ACTIONS(657),
    [anon_sym_wantarray] = ACTIONS(657),
    [anon_sym_abs] = ACTIONS(747),
    [anon_sym_alarm] = ACTIONS(747),
    [anon_sym_chop] = ACTIONS(747),
    [anon_sym_chdir] = ACTIONS(747),
    [anon_sym_close] = ACTIONS(747),
    [anon_sym_closedir] = ACTIONS(747),
    [anon_sym_caller] = ACTIONS(747),
    [anon_sym_chomp] = ACTIONS(747),
    [anon_sym_chr] = ACTIONS(747),
    [anon_sym_cos] = ACTIONS(747),
    [anon_sym_chroot] = ACTIONS(747),
    [anon_sym_defined] = ACTIONS(747),
    [anon_sym_delete] = ACTIONS(747),
    [anon_sym_dbmclose] = ACTIONS(747),
    [anon_sym_exists] = ACTIONS(747),
    [anon_sym_exit] = ACTIONS(747),
    [anon_sym_eof] = ACTIONS(747),
    [anon_sym_exp] = ACTIONS(747),
    [anon_sym_each] = ACTIONS(747),
    [anon_sym_fc] = ACTIONS(747),
    [anon_sym_fileno] = ACTIONS(747),
    [anon_sym_gmtime] = ACTIONS(747),
    [anon_sym_getc] = ACTIONS(747),
    [anon_sym_getpgrp] = ACTIONS(747),
    [anon_sym_getprotobyname] = ACTIONS(747),
    [anon_sym_getpwname] = ACTIONS(747),
    [anon_sym_getpwuid] = ACTIONS(747),
    [anon_sym_getpeername] = ACTIONS(747),
    [anon_sym_getnetbyname] = ACTIONS(747),
    [anon_sym_getsockname] = ACTIONS(747),
    [anon_sym_getgrnam] = ACTIONS(747),
    [anon_sym_getgrgid] = ACTIONS(747),
    [anon_sym_hex] = ACTIONS(747),
    [anon_sym_int] = ACTIONS(747),
    [anon_sym_keys] = ACTIONS(747),
    [anon_sym_lc] = ACTIONS(747),
    [anon_sym_lcfirst] = ACTIONS(747),
    [anon_sym_length] = ACTIONS(747),
    [anon_sym_localtime] = ACTIONS(747),
    [anon_sym_log] = ACTIONS(747),
    [anon_sym_lock] = ACTIONS(747),
    [anon_sym_lstat] = ACTIONS(747),
    [anon_sym_oct] = ACTIONS(747),
    [anon_sym_ord] = ACTIONS(747),
    [anon_sym_prototype] = ACTIONS(747),
    [anon_sym_pop] = ACTIONS(747),
    [anon_sym_pos] = ACTIONS(747),
    [anon_sym_quotemeta] = ACTIONS(747),
    [anon_sym_reset] = ACTIONS(747),
    [anon_sym_rand] = ACTIONS(747),
    [anon_sym_rmdir] = ACTIONS(747),
    [anon_sym_readdir] = ACTIONS(747),
    [anon_sym_readline] = ACTIONS(747),
    [anon_sym_readpipe] = ACTIONS(747),
    [anon_sym_rewinddir] = ACTIONS(747),
    [anon_sym_readlink] = ACTIONS(747),
    [anon_sym_ref] = ACTIONS(747),
    [anon_sym_scalar] = ACTIONS(747),
    [anon_sym_shift] = ACTIONS(747),
    [anon_sym_sin] = ACTIONS(747),
    [anon_sym_sleep] = ACTIONS(747),
    [anon_sym_sqrt] = ACTIONS(747),
    [anon_sym_srand] = ACTIONS(747),
    [anon_sym_stat] = ACTIONS(747),
    [anon_sym_study] = ACTIONS(747),
    [anon_sym_tell] = ACTIONS(747),
    [anon_sym_telldir] = ACTIONS(747),
    [anon_sym_tied] = ACTIONS(747),
    [anon_sym_uc] = ACTIONS(747),
    [anon_sym_ucfirst] = ACTIONS(747),
    [anon_sym_untie] = ACTIONS(747),
    [anon_sym_umask] = ACTIONS(747),
    [anon_sym_values] = ACTIONS(747),
    [anon_sym_write] = ACTIONS(747),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(752),
    [anon_sym_qq] = ACTIONS(755),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(761),
    [anon_sym_qr] = ACTIONS(764),
    [anon_sym_m] = ACTIONS(767),
    [anon_sym_s] = ACTIONS(770),
    [anon_sym_tr] = ACTIONS(773),
    [anon_sym_y] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(776),
    [anon_sym_unless] = ACTIONS(776),
    [anon_sym_while] = ACTIONS(779),
    [anon_sym_until] = ACTIONS(779),
    [aux_sym__bareword_token1] = ACTIONS(782),
    [sym_number] = ACTIONS(785),
    [anon_sym_true] = ACTIONS(788),
    [anon_sym_false] = ACTIONS(788),
    [sym__single_quote] = ACTIONS(791),
    [sym__double_quote] = ACTIONS(794),
    [sym__backtick_quote] = ACTIONS(797),
    [sym__search_slash_quote] = ACTIONS(800),
    [sym__PERLY_HEREDOC] = ACTIONS(803),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(806),
    [sym__filetest] = ACTIONS(809),
  },
  [103] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(103),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [104] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2052),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(104),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_EQ] = ACTIONS(217),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(217),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(217),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_RPAREN] = ACTIONS(217),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(217),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_DASH_GT] = ACTIONS(217),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_LT] = ACTIONS(217),
    [anon_sym_GT] = ACTIONS(217),
    [anon_sym_LT_LT] = ACTIONS(217),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(217),
    [anon_sym_PLUS_EQ] = ACTIONS(217),
    [anon_sym_DASH_EQ] = ACTIONS(217),
    [anon_sym_DOT_EQ] = ACTIONS(217),
    [anon_sym_STAR_EQ] = ACTIONS(217),
    [anon_sym_SLASH_EQ] = ACTIONS(217),
    [anon_sym_PERCENT_EQ] = ACTIONS(217),
    [anon_sym_x_EQ] = ACTIONS(217),
    [anon_sym_AMP_EQ] = ACTIONS(217),
    [anon_sym_PIPE_EQ] = ACTIONS(217),
    [anon_sym_CARET_EQ] = ACTIONS(217),
    [anon_sym_LT_LT_EQ] = ACTIONS(217),
    [anon_sym_GT_GT_EQ] = ACTIONS(217),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(217),
    [anon_sym_STAR_STAR] = ACTIONS(217),
    [anon_sym_PIPE_PIPE] = ACTIONS(217),
    [anon_sym_SLASH_SLASH] = ACTIONS(217),
    [anon_sym_CARET_CARET] = ACTIONS(217),
    [anon_sym_AMP_AMP] = ACTIONS(217),
    [anon_sym_PIPE] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [anon_sym_GT_GT2] = ACTIONS(217),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_DOT] = ACTIONS(217),
    [anon_sym_STAR] = ACTIONS(217),
    [anon_sym_SLASH] = ACTIONS(217),
    [anon_sym_x] = ACTIONS(217),
    [anon_sym_EQ_TILDE] = ACTIONS(217),
    [anon_sym_BANG_TILDE] = ACTIONS(217),
    [anon_sym_EQ_EQ] = ACTIONS(217),
    [anon_sym_BANG_EQ] = ACTIONS(217),
    [anon_sym_eq] = ACTIONS(217),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(217),
    [anon_sym_equ] = ACTIONS(217),
    [anon_sym_eqr] = ACTIONS(217),
    [anon_sym_ne] = ACTIONS(217),
    [anon_sym_LT_EQ_GT] = ACTIONS(217),
    [anon_sym_cmp] = ACTIONS(217),
    [anon_sym_TILDE_TILDE] = ACTIONS(217),
    [anon_sym_LT_EQ] = ACTIONS(217),
    [anon_sym_GT_EQ] = ACTIONS(217),
    [anon_sym_lt] = ACTIONS(217),
    [anon_sym_le] = ACTIONS(217),
    [anon_sym_ge] = ACTIONS(217),
    [anon_sym_gt] = ACTIONS(217),
    [anon_sym_isa] = ACTIONS(217),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [105] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(105),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [106] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(106),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(111),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(403),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [107] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(107),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [108] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2039),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(108),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(184),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_EQ] = ACTIONS(184),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(184),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(184),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_COMMA] = ACTIONS(184),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(184),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_DASH_GT] = ACTIONS(184),
    [anon_sym_PERCENT] = ACTIONS(184),
    [anon_sym_LT] = ACTIONS(184),
    [anon_sym_GT] = ACTIONS(184),
    [anon_sym_LT_LT] = ACTIONS(184),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(184),
    [anon_sym_PLUS_EQ] = ACTIONS(184),
    [anon_sym_DASH_EQ] = ACTIONS(184),
    [anon_sym_DOT_EQ] = ACTIONS(184),
    [anon_sym_STAR_EQ] = ACTIONS(184),
    [anon_sym_SLASH_EQ] = ACTIONS(184),
    [anon_sym_PERCENT_EQ] = ACTIONS(184),
    [anon_sym_x_EQ] = ACTIONS(184),
    [anon_sym_AMP_EQ] = ACTIONS(184),
    [anon_sym_PIPE_EQ] = ACTIONS(184),
    [anon_sym_CARET_EQ] = ACTIONS(184),
    [anon_sym_LT_LT_EQ] = ACTIONS(184),
    [anon_sym_GT_GT_EQ] = ACTIONS(184),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(184),
    [anon_sym_DOT_DOT] = ACTIONS(184),
    [anon_sym_STAR_STAR] = ACTIONS(184),
    [anon_sym_PIPE_PIPE] = ACTIONS(184),
    [anon_sym_SLASH_SLASH] = ACTIONS(184),
    [anon_sym_CARET_CARET] = ACTIONS(184),
    [anon_sym_AMP_AMP] = ACTIONS(184),
    [anon_sym_PIPE] = ACTIONS(184),
    [anon_sym_CARET] = ACTIONS(184),
    [anon_sym_AMP] = ACTIONS(184),
    [anon_sym_GT_GT2] = ACTIONS(184),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_DOT] = ACTIONS(184),
    [anon_sym_STAR] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(184),
    [anon_sym_x] = ACTIONS(184),
    [anon_sym_EQ_TILDE] = ACTIONS(184),
    [anon_sym_BANG_TILDE] = ACTIONS(184),
    [anon_sym_EQ_EQ] = ACTIONS(184),
    [anon_sym_BANG_EQ] = ACTIONS(184),
    [anon_sym_eq] = ACTIONS(184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(184),
    [anon_sym_equ] = ACTIONS(184),
    [anon_sym_eqr] = ACTIONS(184),
    [anon_sym_ne] = ACTIONS(184),
    [anon_sym_LT_EQ_GT] = ACTIONS(184),
    [anon_sym_cmp] = ACTIONS(184),
    [anon_sym_TILDE_TILDE] = ACTIONS(184),
    [anon_sym_LT_EQ] = ACTIONS(184),
    [anon_sym_GT_EQ] = ACTIONS(184),
    [anon_sym_lt] = ACTIONS(184),
    [anon_sym_le] = ACTIONS(184),
    [anon_sym_ge] = ACTIONS(184),
    [anon_sym_gt] = ACTIONS(184),
    [anon_sym_isa] = ACTIONS(184),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(184),
    [anon_sym_DASH_DASH] = ACTIONS(184),
    [anon_sym_QMARK] = ACTIONS(184),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_EQ_GT] = ACTIONS(184),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(186),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [109] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(109),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [110] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(110),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [111] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(111),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [112] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(112),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [113] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(113),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [114] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(114),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [115] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(115),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [116] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(116),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [117] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(117),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [118] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(118),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [119] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(119),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [120] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(120),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [121] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(121),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [122] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(122),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [123] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(123),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [124] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2075),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(124),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(213),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(213),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(213),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(213),
    [anon_sym_RPAREN] = ACTIONS(213),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_DASH_GT] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(213),
    [anon_sym_GT] = ACTIONS(213),
    [anon_sym_LT_LT] = ACTIONS(213),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(213),
    [anon_sym_PLUS_EQ] = ACTIONS(213),
    [anon_sym_DASH_EQ] = ACTIONS(213),
    [anon_sym_DOT_EQ] = ACTIONS(213),
    [anon_sym_STAR_EQ] = ACTIONS(213),
    [anon_sym_SLASH_EQ] = ACTIONS(213),
    [anon_sym_PERCENT_EQ] = ACTIONS(213),
    [anon_sym_x_EQ] = ACTIONS(213),
    [anon_sym_AMP_EQ] = ACTIONS(213),
    [anon_sym_PIPE_EQ] = ACTIONS(213),
    [anon_sym_CARET_EQ] = ACTIONS(213),
    [anon_sym_LT_LT_EQ] = ACTIONS(213),
    [anon_sym_GT_GT_EQ] = ACTIONS(213),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(213),
    [anon_sym_STAR_STAR] = ACTIONS(213),
    [anon_sym_PIPE_PIPE] = ACTIONS(213),
    [anon_sym_SLASH_SLASH] = ACTIONS(213),
    [anon_sym_CARET_CARET] = ACTIONS(213),
    [anon_sym_AMP_AMP] = ACTIONS(213),
    [anon_sym_PIPE] = ACTIONS(213),
    [anon_sym_CARET] = ACTIONS(213),
    [anon_sym_AMP] = ACTIONS(213),
    [anon_sym_GT_GT2] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(213),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_DOT] = ACTIONS(213),
    [anon_sym_STAR] = ACTIONS(213),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_x] = ACTIONS(213),
    [anon_sym_EQ_TILDE] = ACTIONS(213),
    [anon_sym_BANG_TILDE] = ACTIONS(213),
    [anon_sym_EQ_EQ] = ACTIONS(213),
    [anon_sym_BANG_EQ] = ACTIONS(213),
    [anon_sym_eq] = ACTIONS(213),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(213),
    [anon_sym_equ] = ACTIONS(213),
    [anon_sym_eqr] = ACTIONS(213),
    [anon_sym_ne] = ACTIONS(213),
    [anon_sym_LT_EQ_GT] = ACTIONS(213),
    [anon_sym_cmp] = ACTIONS(213),
    [anon_sym_TILDE_TILDE] = ACTIONS(213),
    [anon_sym_LT_EQ] = ACTIONS(213),
    [anon_sym_GT_EQ] = ACTIONS(213),
    [anon_sym_lt] = ACTIONS(213),
    [anon_sym_le] = ACTIONS(213),
    [anon_sym_ge] = ACTIONS(213),
    [anon_sym_gt] = ACTIONS(213),
    [anon_sym_isa] = ACTIONS(213),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(213),
    [anon_sym_DASH_DASH] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(213),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_EQ_GT] = ACTIONS(213),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [125] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(1941),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2141),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(125),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COLON] = ACTIONS(159),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(159),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(159),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(159),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(159),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_DASH_GT] = ACTIONS(159),
    [anon_sym_PERCENT] = ACTIONS(159),
    [anon_sym_LT] = ACTIONS(1161),
    [anon_sym_GT] = ACTIONS(159),
    [anon_sym_LT_LT] = ACTIONS(1164),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(159),
    [anon_sym_PLUS_EQ] = ACTIONS(159),
    [anon_sym_DASH_EQ] = ACTIONS(159),
    [anon_sym_DOT_EQ] = ACTIONS(159),
    [anon_sym_STAR_EQ] = ACTIONS(159),
    [anon_sym_SLASH_EQ] = ACTIONS(159),
    [anon_sym_PERCENT_EQ] = ACTIONS(159),
    [anon_sym_x_EQ] = ACTIONS(159),
    [anon_sym_AMP_EQ] = ACTIONS(159),
    [anon_sym_PIPE_EQ] = ACTIONS(159),
    [anon_sym_CARET_EQ] = ACTIONS(159),
    [anon_sym_LT_LT_EQ] = ACTIONS(159),
    [anon_sym_GT_GT_EQ] = ACTIONS(159),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(159),
    [anon_sym_DOT_DOT] = ACTIONS(159),
    [anon_sym_STAR_STAR] = ACTIONS(159),
    [anon_sym_PIPE_PIPE] = ACTIONS(159),
    [anon_sym_SLASH_SLASH] = ACTIONS(1167),
    [anon_sym_CARET_CARET] = ACTIONS(159),
    [anon_sym_AMP_AMP] = ACTIONS(159),
    [anon_sym_PIPE] = ACTIONS(159),
    [anon_sym_CARET] = ACTIONS(159),
    [anon_sym_AMP] = ACTIONS(159),
    [anon_sym_GT_GT2] = ACTIONS(159),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(1176),
    [anon_sym_SLASH] = ACTIONS(159),
    [anon_sym_x] = ACTIONS(159),
    [anon_sym_EQ_TILDE] = ACTIONS(159),
    [anon_sym_BANG_TILDE] = ACTIONS(159),
    [anon_sym_EQ_EQ] = ACTIONS(159),
    [anon_sym_BANG_EQ] = ACTIONS(159),
    [anon_sym_eq] = ACTIONS(159),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(159),
    [anon_sym_equ] = ACTIONS(159),
    [anon_sym_eqr] = ACTIONS(159),
    [anon_sym_ne] = ACTIONS(159),
    [anon_sym_LT_EQ_GT] = ACTIONS(159),
    [anon_sym_cmp] = ACTIONS(159),
    [anon_sym_TILDE_TILDE] = ACTIONS(159),
    [anon_sym_LT_EQ] = ACTIONS(159),
    [anon_sym_GT_EQ] = ACTIONS(159),
    [anon_sym_lt] = ACTIONS(159),
    [anon_sym_le] = ACTIONS(159),
    [anon_sym_ge] = ACTIONS(159),
    [anon_sym_gt] = ACTIONS(159),
    [anon_sym_isa] = ACTIONS(159),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_QMARK] = ACTIONS(159),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [126] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2117),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(126),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(188),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_EQ] = ACTIONS(188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(188),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(188),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(188),
    [anon_sym_RPAREN] = ACTIONS(188),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_DASH_GT] = ACTIONS(188),
    [anon_sym_PERCENT] = ACTIONS(188),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_GT] = ACTIONS(188),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(188),
    [anon_sym_PLUS_EQ] = ACTIONS(188),
    [anon_sym_DASH_EQ] = ACTIONS(188),
    [anon_sym_DOT_EQ] = ACTIONS(188),
    [anon_sym_STAR_EQ] = ACTIONS(188),
    [anon_sym_SLASH_EQ] = ACTIONS(188),
    [anon_sym_PERCENT_EQ] = ACTIONS(188),
    [anon_sym_x_EQ] = ACTIONS(188),
    [anon_sym_AMP_EQ] = ACTIONS(188),
    [anon_sym_PIPE_EQ] = ACTIONS(188),
    [anon_sym_CARET_EQ] = ACTIONS(188),
    [anon_sym_LT_LT_EQ] = ACTIONS(188),
    [anon_sym_GT_GT_EQ] = ACTIONS(188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(188),
    [anon_sym_DOT_DOT] = ACTIONS(188),
    [anon_sym_STAR_STAR] = ACTIONS(188),
    [anon_sym_PIPE_PIPE] = ACTIONS(188),
    [anon_sym_SLASH_SLASH] = ACTIONS(1373),
    [anon_sym_CARET_CARET] = ACTIONS(188),
    [anon_sym_AMP_AMP] = ACTIONS(188),
    [anon_sym_PIPE] = ACTIONS(188),
    [anon_sym_CARET] = ACTIONS(188),
    [anon_sym_AMP] = ACTIONS(188),
    [anon_sym_GT_GT2] = ACTIONS(188),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_DOT] = ACTIONS(188),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(188),
    [anon_sym_x] = ACTIONS(188),
    [anon_sym_EQ_TILDE] = ACTIONS(188),
    [anon_sym_BANG_TILDE] = ACTIONS(188),
    [anon_sym_EQ_EQ] = ACTIONS(188),
    [anon_sym_BANG_EQ] = ACTIONS(188),
    [anon_sym_eq] = ACTIONS(188),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(188),
    [anon_sym_equ] = ACTIONS(188),
    [anon_sym_eqr] = ACTIONS(188),
    [anon_sym_ne] = ACTIONS(188),
    [anon_sym_LT_EQ_GT] = ACTIONS(188),
    [anon_sym_cmp] = ACTIONS(188),
    [anon_sym_TILDE_TILDE] = ACTIONS(188),
    [anon_sym_LT_EQ] = ACTIONS(188),
    [anon_sym_GT_EQ] = ACTIONS(188),
    [anon_sym_lt] = ACTIONS(188),
    [anon_sym_le] = ACTIONS(188),
    [anon_sym_ge] = ACTIONS(188),
    [anon_sym_gt] = ACTIONS(188),
    [anon_sym_isa] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [anon_sym_QMARK] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_EQ_GT] = ACTIONS(188),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [127] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(127),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(85),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(471),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [128] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(128),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(102),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [129] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(961),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(129),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_source_file_repeat1] = STATE(122),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [130] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2171),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(130),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COLON] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_EQ] = ACTIONS(217),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(217),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(217),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(217),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(217),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_DASH_GT] = ACTIONS(217),
    [anon_sym_PERCENT] = ACTIONS(217),
    [anon_sym_LT] = ACTIONS(217),
    [anon_sym_GT] = ACTIONS(217),
    [anon_sym_LT_LT] = ACTIONS(217),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(217),
    [anon_sym_PLUS_EQ] = ACTIONS(217),
    [anon_sym_DASH_EQ] = ACTIONS(217),
    [anon_sym_DOT_EQ] = ACTIONS(217),
    [anon_sym_STAR_EQ] = ACTIONS(217),
    [anon_sym_SLASH_EQ] = ACTIONS(217),
    [anon_sym_PERCENT_EQ] = ACTIONS(217),
    [anon_sym_x_EQ] = ACTIONS(217),
    [anon_sym_AMP_EQ] = ACTIONS(217),
    [anon_sym_PIPE_EQ] = ACTIONS(217),
    [anon_sym_CARET_EQ] = ACTIONS(217),
    [anon_sym_LT_LT_EQ] = ACTIONS(217),
    [anon_sym_GT_GT_EQ] = ACTIONS(217),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(217),
    [anon_sym_DOT_DOT] = ACTIONS(217),
    [anon_sym_STAR_STAR] = ACTIONS(217),
    [anon_sym_PIPE_PIPE] = ACTIONS(217),
    [anon_sym_SLASH_SLASH] = ACTIONS(217),
    [anon_sym_CARET_CARET] = ACTIONS(217),
    [anon_sym_AMP_AMP] = ACTIONS(217),
    [anon_sym_PIPE] = ACTIONS(217),
    [anon_sym_CARET] = ACTIONS(217),
    [anon_sym_AMP] = ACTIONS(217),
    [anon_sym_GT_GT2] = ACTIONS(217),
    [anon_sym_PLUS] = ACTIONS(217),
    [anon_sym_DASH] = ACTIONS(217),
    [anon_sym_DOT] = ACTIONS(217),
    [anon_sym_STAR] = ACTIONS(217),
    [anon_sym_SLASH] = ACTIONS(217),
    [anon_sym_x] = ACTIONS(217),
    [anon_sym_EQ_TILDE] = ACTIONS(217),
    [anon_sym_BANG_TILDE] = ACTIONS(217),
    [anon_sym_EQ_EQ] = ACTIONS(217),
    [anon_sym_BANG_EQ] = ACTIONS(217),
    [anon_sym_eq] = ACTIONS(217),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(217),
    [anon_sym_equ] = ACTIONS(217),
    [anon_sym_eqr] = ACTIONS(217),
    [anon_sym_ne] = ACTIONS(217),
    [anon_sym_LT_EQ_GT] = ACTIONS(217),
    [anon_sym_cmp] = ACTIONS(217),
    [anon_sym_TILDE_TILDE] = ACTIONS(217),
    [anon_sym_LT_EQ] = ACTIONS(217),
    [anon_sym_GT_EQ] = ACTIONS(217),
    [anon_sym_lt] = ACTIONS(217),
    [anon_sym_le] = ACTIONS(217),
    [anon_sym_ge] = ACTIONS(217),
    [anon_sym_gt] = ACTIONS(217),
    [anon_sym_isa] = ACTIONS(217),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(217),
    [anon_sym_DASH_DASH] = ACTIONS(217),
    [anon_sym_QMARK] = ACTIONS(217),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_EQ_GT] = ACTIONS(217),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [131] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2154),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(131),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COLON] = ACTIONS(188),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_EQ] = ACTIONS(188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(188),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(188),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(188),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_DASH_GT] = ACTIONS(188),
    [anon_sym_PERCENT] = ACTIONS(188),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_GT] = ACTIONS(188),
    [anon_sym_LT_LT] = ACTIONS(1370),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(188),
    [anon_sym_PLUS_EQ] = ACTIONS(188),
    [anon_sym_DASH_EQ] = ACTIONS(188),
    [anon_sym_DOT_EQ] = ACTIONS(188),
    [anon_sym_STAR_EQ] = ACTIONS(188),
    [anon_sym_SLASH_EQ] = ACTIONS(188),
    [anon_sym_PERCENT_EQ] = ACTIONS(188),
    [anon_sym_x_EQ] = ACTIONS(188),
    [anon_sym_AMP_EQ] = ACTIONS(188),
    [anon_sym_PIPE_EQ] = ACTIONS(188),
    [anon_sym_CARET_EQ] = ACTIONS(188),
    [anon_sym_LT_LT_EQ] = ACTIONS(188),
    [anon_sym_GT_GT_EQ] = ACTIONS(188),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(188),
    [anon_sym_DOT_DOT] = ACTIONS(188),
    [anon_sym_STAR_STAR] = ACTIONS(188),
    [anon_sym_PIPE_PIPE] = ACTIONS(188),
    [anon_sym_SLASH_SLASH] = ACTIONS(1373),
    [anon_sym_CARET_CARET] = ACTIONS(188),
    [anon_sym_AMP_AMP] = ACTIONS(188),
    [anon_sym_PIPE] = ACTIONS(188),
    [anon_sym_CARET] = ACTIONS(188),
    [anon_sym_AMP] = ACTIONS(188),
    [anon_sym_GT_GT2] = ACTIONS(188),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1393),
    [anon_sym_DOT] = ACTIONS(188),
    [anon_sym_STAR] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(188),
    [anon_sym_x] = ACTIONS(188),
    [anon_sym_EQ_TILDE] = ACTIONS(188),
    [anon_sym_BANG_TILDE] = ACTIONS(188),
    [anon_sym_EQ_EQ] = ACTIONS(188),
    [anon_sym_BANG_EQ] = ACTIONS(188),
    [anon_sym_eq] = ACTIONS(188),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(188),
    [anon_sym_equ] = ACTIONS(188),
    [anon_sym_eqr] = ACTIONS(188),
    [anon_sym_ne] = ACTIONS(188),
    [anon_sym_LT_EQ_GT] = ACTIONS(188),
    [anon_sym_cmp] = ACTIONS(188),
    [anon_sym_TILDE_TILDE] = ACTIONS(188),
    [anon_sym_LT_EQ] = ACTIONS(188),
    [anon_sym_GT_EQ] = ACTIONS(188),
    [anon_sym_lt] = ACTIONS(188),
    [anon_sym_le] = ACTIONS(188),
    [anon_sym_ge] = ACTIONS(188),
    [anon_sym_gt] = ACTIONS(188),
    [anon_sym_isa] = ACTIONS(188),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_EQ_GT] = ACTIONS(188),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [132] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2177),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(132),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(213),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(213),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(213),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_DASH_GT] = ACTIONS(213),
    [anon_sym_PERCENT] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(213),
    [anon_sym_GT] = ACTIONS(213),
    [anon_sym_LT_LT] = ACTIONS(213),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(213),
    [anon_sym_PLUS_EQ] = ACTIONS(213),
    [anon_sym_DASH_EQ] = ACTIONS(213),
    [anon_sym_DOT_EQ] = ACTIONS(213),
    [anon_sym_STAR_EQ] = ACTIONS(213),
    [anon_sym_SLASH_EQ] = ACTIONS(213),
    [anon_sym_PERCENT_EQ] = ACTIONS(213),
    [anon_sym_x_EQ] = ACTIONS(213),
    [anon_sym_AMP_EQ] = ACTIONS(213),
    [anon_sym_PIPE_EQ] = ACTIONS(213),
    [anon_sym_CARET_EQ] = ACTIONS(213),
    [anon_sym_LT_LT_EQ] = ACTIONS(213),
    [anon_sym_GT_GT_EQ] = ACTIONS(213),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(213),
    [anon_sym_STAR_STAR] = ACTIONS(213),
    [anon_sym_PIPE_PIPE] = ACTIONS(213),
    [anon_sym_SLASH_SLASH] = ACTIONS(213),
    [anon_sym_CARET_CARET] = ACTIONS(213),
    [anon_sym_AMP_AMP] = ACTIONS(213),
    [anon_sym_PIPE] = ACTIONS(213),
    [anon_sym_CARET] = ACTIONS(213),
    [anon_sym_AMP] = ACTIONS(213),
    [anon_sym_GT_GT2] = ACTIONS(213),
    [anon_sym_PLUS] = ACTIONS(213),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_DOT] = ACTIONS(213),
    [anon_sym_STAR] = ACTIONS(213),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_x] = ACTIONS(213),
    [anon_sym_EQ_TILDE] = ACTIONS(213),
    [anon_sym_BANG_TILDE] = ACTIONS(213),
    [anon_sym_EQ_EQ] = ACTIONS(213),
    [anon_sym_BANG_EQ] = ACTIONS(213),
    [anon_sym_eq] = ACTIONS(213),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(213),
    [anon_sym_equ] = ACTIONS(213),
    [anon_sym_eqr] = ACTIONS(213),
    [anon_sym_ne] = ACTIONS(213),
    [anon_sym_LT_EQ_GT] = ACTIONS(213),
    [anon_sym_cmp] = ACTIONS(213),
    [anon_sym_TILDE_TILDE] = ACTIONS(213),
    [anon_sym_LT_EQ] = ACTIONS(213),
    [anon_sym_GT_EQ] = ACTIONS(213),
    [anon_sym_lt] = ACTIONS(213),
    [anon_sym_le] = ACTIONS(213),
    [anon_sym_ge] = ACTIONS(213),
    [anon_sym_gt] = ACTIONS(213),
    [anon_sym_isa] = ACTIONS(213),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(213),
    [anon_sym_DASH_DASH] = ACTIONS(213),
    [anon_sym_QMARK] = ACTIONS(213),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_EQ_GT] = ACTIONS(213),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [133] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2179),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(133),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COLON] = ACTIONS(184),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_EQ] = ACTIONS(184),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(184),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(184),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(184),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(184),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_DASH_GT] = ACTIONS(184),
    [anon_sym_PERCENT] = ACTIONS(184),
    [anon_sym_LT] = ACTIONS(184),
    [anon_sym_GT] = ACTIONS(184),
    [anon_sym_LT_LT] = ACTIONS(184),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(184),
    [anon_sym_PLUS_EQ] = ACTIONS(184),
    [anon_sym_DASH_EQ] = ACTIONS(184),
    [anon_sym_DOT_EQ] = ACTIONS(184),
    [anon_sym_STAR_EQ] = ACTIONS(184),
    [anon_sym_SLASH_EQ] = ACTIONS(184),
    [anon_sym_PERCENT_EQ] = ACTIONS(184),
    [anon_sym_x_EQ] = ACTIONS(184),
    [anon_sym_AMP_EQ] = ACTIONS(184),
    [anon_sym_PIPE_EQ] = ACTIONS(184),
    [anon_sym_CARET_EQ] = ACTIONS(184),
    [anon_sym_LT_LT_EQ] = ACTIONS(184),
    [anon_sym_GT_GT_EQ] = ACTIONS(184),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(184),
    [anon_sym_DOT_DOT] = ACTIONS(184),
    [anon_sym_STAR_STAR] = ACTIONS(184),
    [anon_sym_PIPE_PIPE] = ACTIONS(184),
    [anon_sym_SLASH_SLASH] = ACTIONS(184),
    [anon_sym_CARET_CARET] = ACTIONS(184),
    [anon_sym_AMP_AMP] = ACTIONS(184),
    [anon_sym_PIPE] = ACTIONS(184),
    [anon_sym_CARET] = ACTIONS(184),
    [anon_sym_AMP] = ACTIONS(184),
    [anon_sym_GT_GT2] = ACTIONS(184),
    [anon_sym_PLUS] = ACTIONS(184),
    [anon_sym_DASH] = ACTIONS(184),
    [anon_sym_DOT] = ACTIONS(184),
    [anon_sym_STAR] = ACTIONS(184),
    [anon_sym_SLASH] = ACTIONS(184),
    [anon_sym_x] = ACTIONS(184),
    [anon_sym_EQ_TILDE] = ACTIONS(184),
    [anon_sym_BANG_TILDE] = ACTIONS(184),
    [anon_sym_EQ_EQ] = ACTIONS(184),
    [anon_sym_BANG_EQ] = ACTIONS(184),
    [anon_sym_eq] = ACTIONS(184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(184),
    [anon_sym_equ] = ACTIONS(184),
    [anon_sym_eqr] = ACTIONS(184),
    [anon_sym_ne] = ACTIONS(184),
    [anon_sym_LT_EQ_GT] = ACTIONS(184),
    [anon_sym_cmp] = ACTIONS(184),
    [anon_sym_TILDE_TILDE] = ACTIONS(184),
    [anon_sym_LT_EQ] = ACTIONS(184),
    [anon_sym_GT_EQ] = ACTIONS(184),
    [anon_sym_lt] = ACTIONS(184),
    [anon_sym_le] = ACTIONS(184),
    [anon_sym_ge] = ACTIONS(184),
    [anon_sym_gt] = ACTIONS(184),
    [anon_sym_isa] = ACTIONS(184),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(184),
    [anon_sym_DASH_DASH] = ACTIONS(184),
    [anon_sym_QMARK] = ACTIONS(184),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_EQ_GT] = ACTIONS(184),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [134] = {
    [sym__PERLY_BRACE_OPEN] = STATE(61),
    [sym_block] = STATE(960),
    [sym__fullstmt] = STATE(989),
    [sym_statement_label] = STATE(962),
    [sym__barestmt] = STATE(962),
    [sym_package_statement] = STATE(927),
    [sym_class_statement] = STATE(927),
    [sym_role_statement] = STATE(927),
    [sym_class_phaser_statement] = STATE(927),
    [sym_use_version_statement] = STATE(927),
    [sym_use_statement] = STATE(927),
    [sym_subroutine_declaration_statement] = STATE(927),
    [sym_method_declaration_statement] = STATE(927),
    [sym_phaser_statement] = STATE(927),
    [sym_conditional_statement] = STATE(927),
    [sym_loop_statement] = STATE(927),
    [sym_cstyle_for_statement] = STATE(927),
    [sym_for_statement] = STATE(927),
    [sym_try_statement] = STATE(927),
    [sym_defer_statement] = STATE(927),
    [sym_expression_statement] = STATE(2723),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(134),
    [sym__conditionals] = STATE(3693),
    [sym__loops] = STATE(3694),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3629),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3015),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(405),
    [anon_sym_package] = ACTIONS(407),
    [anon_sym_class] = ACTIONS(409),
    [anon_sym_role] = ACTIONS(411),
    [anon_sym_BUILD] = ACTIONS(413),
    [anon_sym_ADJUST] = ACTIONS(413),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(417),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(419),
    [anon_sym_method] = ACTIONS(421),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(423),
    [anon_sym_defer] = ACTIONS(425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(431),
    [anon_sym_no] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(433),
    [anon_sym_foreach] = ACTIONS(433),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(435),
    [anon_sym_INIT] = ACTIONS(435),
    [anon_sym_CHECK] = ACTIONS(435),
    [anon_sym_UNITCHECK] = ACTIONS(435),
    [anon_sym_END] = ACTIONS(435),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [135] = {
    [sym__PERLY_BRACE_OPEN] = STATE(67),
    [sym_block] = STATE(868),
    [sym__fullstmt] = STATE(853),
    [sym_statement_label] = STATE(804),
    [sym__barestmt] = STATE(804),
    [sym_package_statement] = STATE(839),
    [sym_class_statement] = STATE(839),
    [sym_role_statement] = STATE(839),
    [sym_class_phaser_statement] = STATE(839),
    [sym_use_version_statement] = STATE(839),
    [sym_use_statement] = STATE(839),
    [sym_subroutine_declaration_statement] = STATE(839),
    [sym_method_declaration_statement] = STATE(839),
    [sym_phaser_statement] = STATE(839),
    [sym_conditional_statement] = STATE(839),
    [sym_loop_statement] = STATE(839),
    [sym_cstyle_for_statement] = STATE(839),
    [sym_for_statement] = STATE(839),
    [sym_try_statement] = STATE(839),
    [sym_defer_statement] = STATE(839),
    [sym_expression_statement] = STATE(2715),
    [sym__postfix_expressions] = STATE(2880),
    [sym_postfix_conditional_expression] = STATE(2882),
    [sym_postfix_loop_expression] = STATE(2882),
    [sym_postfix_for_expression] = STATE(2882),
    [sym_yadayada] = STATE(2880),
    [sym__expr] = STATE(2321),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(135),
    [sym__conditionals] = STATE(3537),
    [sym__loops] = STATE(3594),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(3646),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2984),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_role] = ACTIONS(21),
    [anon_sym_BUILD] = ACTIONS(23),
    [anon_sym_ADJUST] = ACTIONS(23),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(29),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(33),
    [anon_sym_method] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_defer] = ACTIONS(45),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(91),
    [anon_sym_no] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(93),
    [anon_sym_foreach] = ACTIONS(93),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(97),
    [anon_sym_INIT] = ACTIONS(97),
    [anon_sym_CHECK] = ACTIONS(97),
    [anon_sym_UNITCHECK] = ACTIONS(97),
    [anon_sym_END] = ACTIONS(97),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [136] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1181),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(136),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(188),
    [anon_sym_SEMI] = ACTIONS(188),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(188),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_and] = ACTIONS(188),
    [anon_sym_or] = ACTIONS(188),
    [anon_sym_xor] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(188),
    [anon_sym_for] = ACTIONS(188),
    [anon_sym_foreach] = ACTIONS(188),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(188),
    [anon_sym___END__] = ACTIONS(188),
    [anon_sym_EOT] = ACTIONS(188),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(188),
    [anon_sym_unless] = ACTIONS(188),
    [anon_sym_while] = ACTIONS(188),
    [anon_sym_until] = ACTIONS(188),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(211),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym__ctrl_z_hack] = ACTIONS(211),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [137] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1296),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(137),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(188),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(188),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_and] = ACTIONS(188),
    [anon_sym_or] = ACTIONS(188),
    [anon_sym_xor] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(188),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(188),
    [anon_sym___END__] = ACTIONS(188),
    [anon_sym_EOT] = ACTIONS(188),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(211),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym__ctrl_z_hack] = ACTIONS(211),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [138] = {
    [sym_heredoc_content] = STATE(138),
    [ts_builtin_sym_end] = ACTIONS(1403),
    [sym__identifier] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_RBRACE] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1407),
    [anon_sym_package] = ACTIONS(1405),
    [anon_sym_class] = ACTIONS(1405),
    [anon_sym_role] = ACTIONS(1405),
    [anon_sym_BUILD] = ACTIONS(1405),
    [anon_sym_ADJUST] = ACTIONS(1405),
    [anon_sym_DOLLAR] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1407),
    [anon_sym_AT] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1407),
    [anon_sym_my] = ACTIONS(1405),
    [anon_sym_extended] = ACTIONS(1405),
    [anon_sym_async] = ACTIONS(1405),
    [anon_sym_sub] = ACTIONS(1405),
    [anon_sym_method] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_state] = ACTIONS(1405),
    [anon_sym_our] = ACTIONS(1405),
    [anon_sym_try] = ACTIONS(1405),
    [anon_sym_defer] = ACTIONS(1405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1407),
    [anon_sym_and] = ACTIONS(1407),
    [anon_sym_or] = ACTIONS(1407),
    [anon_sym_xor] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_DASH_GT] = ACTIONS(1407),
    [anon_sym_PERCENT] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [anon_sym_LT_LT] = ACTIONS(1407),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1407),
    [anon_sym_PLUS_EQ] = ACTIONS(1407),
    [anon_sym_DASH_EQ] = ACTIONS(1407),
    [anon_sym_DOT_EQ] = ACTIONS(1407),
    [anon_sym_STAR_EQ] = ACTIONS(1407),
    [anon_sym_SLASH_EQ] = ACTIONS(1407),
    [anon_sym_PERCENT_EQ] = ACTIONS(1407),
    [anon_sym_x_EQ] = ACTIONS(1407),
    [anon_sym_AMP_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_EQ] = ACTIONS(1407),
    [anon_sym_CARET_EQ] = ACTIONS(1407),
    [anon_sym_LT_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_GT_EQ] = ACTIONS(1407),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1407),
    [anon_sym_DOT_DOT] = ACTIONS(1407),
    [anon_sym_STAR_STAR] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH] = ACTIONS(1407),
    [anon_sym_CARET_CARET] = ACTIONS(1407),
    [anon_sym_AMP_AMP] = ACTIONS(1407),
    [anon_sym_PIPE] = ACTIONS(1407),
    [anon_sym_CARET] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(1407),
    [anon_sym_GT_GT2] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_DOT] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_x] = ACTIONS(1407),
    [anon_sym_EQ_TILDE] = ACTIONS(1407),
    [anon_sym_BANG_TILDE] = ACTIONS(1407),
    [anon_sym_EQ_EQ] = ACTIONS(1407),
    [anon_sym_BANG_EQ] = ACTIONS(1407),
    [anon_sym_eq] = ACTIONS(1407),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1407),
    [anon_sym_equ] = ACTIONS(1407),
    [anon_sym_eqr] = ACTIONS(1407),
    [anon_sym_ne] = ACTIONS(1407),
    [anon_sym_LT_EQ_GT] = ACTIONS(1407),
    [anon_sym_cmp] = ACTIONS(1407),
    [anon_sym_TILDE_TILDE] = ACTIONS(1407),
    [anon_sym_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1407),
    [anon_sym_lt] = ACTIONS(1407),
    [anon_sym_le] = ACTIONS(1407),
    [anon_sym_ge] = ACTIONS(1407),
    [anon_sym_gt] = ACTIONS(1407),
    [anon_sym_isa] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1407),
    [anon_sym_DASH_DASH] = ACTIONS(1407),
    [anon_sym_QMARK] = ACTIONS(1407),
    [anon_sym_BSLASH] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_eval] = ACTIONS(1405),
    [anon_sym_await] = ACTIONS(1405),
    [anon_sym_field] = ACTIONS(1405),
    [anon_sym_local] = ACTIONS(1405),
    [anon_sym_dynamically] = ACTIONS(1405),
    [anon_sym_require] = ACTIONS(1405),
    [anon_sym_map] = ACTIONS(1405),
    [anon_sym_grep] = ACTIONS(1405),
    [anon_sym_sort] = ACTIONS(1405),
    [anon_sym_goto] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_undef] = ACTIONS(1405),
    [anon_sym_PERCENT2] = ACTIONS(1405),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1405),
    [anon_sym_EQ_GT] = ACTIONS(1407),
    [anon_sym_use] = ACTIONS(1405),
    [anon_sym_no] = ACTIONS(1405),
    [anon_sym_for] = ACTIONS(1407),
    [anon_sym_foreach] = ACTIONS(1407),
    [anon_sym_last] = ACTIONS(1405),
    [anon_sym_next] = ACTIONS(1405),
    [anon_sym_redo] = ACTIONS(1405),
    [anon_sym_BEGIN] = ACTIONS(1405),
    [anon_sym_INIT] = ACTIONS(1405),
    [anon_sym_CHECK] = ACTIONS(1405),
    [anon_sym_UNITCHECK] = ACTIONS(1405),
    [anon_sym_END] = ACTIONS(1405),
    [anon_sym___FILE__] = ACTIONS(1405),
    [anon_sym___LINE__] = ACTIONS(1405),
    [anon_sym___PACKAGE__] = ACTIONS(1405),
    [anon_sym___SUB__] = ACTIONS(1405),
    [anon_sym_break] = ACTIONS(1405),
    [anon_sym_fork] = ACTIONS(1405),
    [anon_sym_getppid] = ACTIONS(1405),
    [anon_sym_time] = ACTIONS(1405),
    [anon_sym_times] = ACTIONS(1405),
    [anon_sym_wait] = ACTIONS(1405),
    [anon_sym_wantarray] = ACTIONS(1405),
    [anon_sym_abs] = ACTIONS(1405),
    [anon_sym_alarm] = ACTIONS(1405),
    [anon_sym_chop] = ACTIONS(1405),
    [anon_sym_chdir] = ACTIONS(1405),
    [anon_sym_close] = ACTIONS(1405),
    [anon_sym_closedir] = ACTIONS(1405),
    [anon_sym_caller] = ACTIONS(1405),
    [anon_sym_chomp] = ACTIONS(1405),
    [anon_sym_chr] = ACTIONS(1405),
    [anon_sym_cos] = ACTIONS(1405),
    [anon_sym_chroot] = ACTIONS(1405),
    [anon_sym_defined] = ACTIONS(1405),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_dbmclose] = ACTIONS(1405),
    [anon_sym_exists] = ACTIONS(1405),
    [anon_sym_exit] = ACTIONS(1405),
    [anon_sym_eof] = ACTIONS(1405),
    [anon_sym_exp] = ACTIONS(1405),
    [anon_sym_each] = ACTIONS(1405),
    [anon_sym_fc] = ACTIONS(1405),
    [anon_sym_fileno] = ACTIONS(1405),
    [anon_sym_gmtime] = ACTIONS(1405),
    [anon_sym_getc] = ACTIONS(1405),
    [anon_sym_getpgrp] = ACTIONS(1405),
    [anon_sym_getprotobyname] = ACTIONS(1405),
    [anon_sym_getpwname] = ACTIONS(1405),
    [anon_sym_getpwuid] = ACTIONS(1405),
    [anon_sym_getpeername] = ACTIONS(1405),
    [anon_sym_getnetbyname] = ACTIONS(1405),
    [anon_sym_getsockname] = ACTIONS(1405),
    [anon_sym_getgrnam] = ACTIONS(1405),
    [anon_sym_getgrgid] = ACTIONS(1405),
    [anon_sym_hex] = ACTIONS(1405),
    [anon_sym_int] = ACTIONS(1405),
    [anon_sym_keys] = ACTIONS(1405),
    [anon_sym_lc] = ACTIONS(1405),
    [anon_sym_lcfirst] = ACTIONS(1405),
    [anon_sym_length] = ACTIONS(1405),
    [anon_sym_localtime] = ACTIONS(1405),
    [anon_sym_log] = ACTIONS(1405),
    [anon_sym_lock] = ACTIONS(1405),
    [anon_sym_lstat] = ACTIONS(1405),
    [anon_sym_oct] = ACTIONS(1405),
    [anon_sym_ord] = ACTIONS(1405),
    [anon_sym_prototype] = ACTIONS(1405),
    [anon_sym_pop] = ACTIONS(1405),
    [anon_sym_pos] = ACTIONS(1405),
    [anon_sym_quotemeta] = ACTIONS(1405),
    [anon_sym_reset] = ACTIONS(1405),
    [anon_sym_rand] = ACTIONS(1405),
    [anon_sym_rmdir] = ACTIONS(1405),
    [anon_sym_readdir] = ACTIONS(1405),
    [anon_sym_readline] = ACTIONS(1405),
    [anon_sym_readpipe] = ACTIONS(1405),
    [anon_sym_rewinddir] = ACTIONS(1405),
    [anon_sym_readlink] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1405),
    [anon_sym_scalar] = ACTIONS(1405),
    [anon_sym_shift] = ACTIONS(1405),
    [anon_sym_sin] = ACTIONS(1405),
    [anon_sym_sleep] = ACTIONS(1405),
    [anon_sym_sqrt] = ACTIONS(1405),
    [anon_sym_srand] = ACTIONS(1405),
    [anon_sym_stat] = ACTIONS(1405),
    [anon_sym_study] = ACTIONS(1405),
    [anon_sym_tell] = ACTIONS(1405),
    [anon_sym_telldir] = ACTIONS(1405),
    [anon_sym_tied] = ACTIONS(1405),
    [anon_sym_uc] = ACTIONS(1405),
    [anon_sym_ucfirst] = ACTIONS(1405),
    [anon_sym_untie] = ACTIONS(1405),
    [anon_sym_umask] = ACTIONS(1405),
    [anon_sym_values] = ACTIONS(1405),
    [anon_sym_write] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1407),
    [anon_sym___END__] = ACTIONS(1407),
    [anon_sym_EOT] = ACTIONS(1407),
    [anon_sym_q] = ACTIONS(1405),
    [anon_sym_qq] = ACTIONS(1405),
    [anon_sym_qw] = ACTIONS(1405),
    [anon_sym_qx] = ACTIONS(1405),
    [anon_sym_qr] = ACTIONS(1405),
    [anon_sym_m] = ACTIONS(1405),
    [anon_sym_s] = ACTIONS(1405),
    [anon_sym_tr] = ACTIONS(1405),
    [anon_sym_y] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_unless] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1407),
    [anon_sym_until] = ACTIONS(1407),
    [aux_sym__bareword_token1] = ACTIONS(1405),
    [sym_number] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1405),
    [anon_sym_false] = ACTIONS(1405),
    [sym__single_quote] = ACTIONS(1403),
    [sym__double_quote] = ACTIONS(1403),
    [sym__backtick_quote] = ACTIONS(1403),
    [sym__search_slash_quote] = ACTIONS(1403),
    [sym__PERLY_SEMICOLON] = ACTIONS(1409),
    [sym__PERLY_HEREDOC] = ACTIONS(1403),
    [sym__ctrl_z_hack] = ACTIONS(1409),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1403),
    [sym__filetest] = ACTIONS(1403),
  },
  [139] = {
    [sym_heredoc_content] = STATE(139),
    [sym__identifier] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_RBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1407),
    [anon_sym_package] = ACTIONS(1405),
    [anon_sym_class] = ACTIONS(1405),
    [anon_sym_role] = ACTIONS(1405),
    [anon_sym_BUILD] = ACTIONS(1405),
    [anon_sym_ADJUST] = ACTIONS(1405),
    [anon_sym_DOLLAR] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1407),
    [anon_sym_AT] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1407),
    [anon_sym_my] = ACTIONS(1405),
    [anon_sym_extended] = ACTIONS(1405),
    [anon_sym_async] = ACTIONS(1405),
    [anon_sym_sub] = ACTIONS(1405),
    [anon_sym_method] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_state] = ACTIONS(1405),
    [anon_sym_our] = ACTIONS(1405),
    [anon_sym_try] = ACTIONS(1405),
    [anon_sym_defer] = ACTIONS(1405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1407),
    [anon_sym_and] = ACTIONS(1407),
    [anon_sym_or] = ACTIONS(1407),
    [anon_sym_xor] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_DASH_GT] = ACTIONS(1407),
    [anon_sym_PERCENT] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [anon_sym_LT_LT] = ACTIONS(1407),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1407),
    [anon_sym_PLUS_EQ] = ACTIONS(1407),
    [anon_sym_DASH_EQ] = ACTIONS(1407),
    [anon_sym_DOT_EQ] = ACTIONS(1407),
    [anon_sym_STAR_EQ] = ACTIONS(1407),
    [anon_sym_SLASH_EQ] = ACTIONS(1407),
    [anon_sym_PERCENT_EQ] = ACTIONS(1407),
    [anon_sym_x_EQ] = ACTIONS(1407),
    [anon_sym_AMP_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_EQ] = ACTIONS(1407),
    [anon_sym_CARET_EQ] = ACTIONS(1407),
    [anon_sym_LT_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_GT_EQ] = ACTIONS(1407),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1407),
    [anon_sym_DOT_DOT] = ACTIONS(1407),
    [anon_sym_STAR_STAR] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH] = ACTIONS(1407),
    [anon_sym_CARET_CARET] = ACTIONS(1407),
    [anon_sym_AMP_AMP] = ACTIONS(1407),
    [anon_sym_PIPE] = ACTIONS(1407),
    [anon_sym_CARET] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(1407),
    [anon_sym_GT_GT2] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_DOT] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_x] = ACTIONS(1407),
    [anon_sym_EQ_TILDE] = ACTIONS(1407),
    [anon_sym_BANG_TILDE] = ACTIONS(1407),
    [anon_sym_EQ_EQ] = ACTIONS(1407),
    [anon_sym_BANG_EQ] = ACTIONS(1407),
    [anon_sym_eq] = ACTIONS(1407),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1407),
    [anon_sym_equ] = ACTIONS(1407),
    [anon_sym_eqr] = ACTIONS(1407),
    [anon_sym_ne] = ACTIONS(1407),
    [anon_sym_LT_EQ_GT] = ACTIONS(1407),
    [anon_sym_cmp] = ACTIONS(1407),
    [anon_sym_TILDE_TILDE] = ACTIONS(1407),
    [anon_sym_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1407),
    [anon_sym_lt] = ACTIONS(1407),
    [anon_sym_le] = ACTIONS(1407),
    [anon_sym_ge] = ACTIONS(1407),
    [anon_sym_gt] = ACTIONS(1407),
    [anon_sym_isa] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1407),
    [anon_sym_DASH_DASH] = ACTIONS(1407),
    [anon_sym_QMARK] = ACTIONS(1407),
    [anon_sym_BSLASH] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_eval] = ACTIONS(1405),
    [anon_sym_await] = ACTIONS(1405),
    [anon_sym_field] = ACTIONS(1405),
    [anon_sym_local] = ACTIONS(1405),
    [anon_sym_dynamically] = ACTIONS(1405),
    [anon_sym_require] = ACTIONS(1405),
    [anon_sym_map] = ACTIONS(1405),
    [anon_sym_grep] = ACTIONS(1405),
    [anon_sym_sort] = ACTIONS(1405),
    [anon_sym_goto] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_undef] = ACTIONS(1405),
    [anon_sym_PERCENT2] = ACTIONS(1405),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1405),
    [anon_sym_EQ_GT] = ACTIONS(1407),
    [anon_sym_use] = ACTIONS(1405),
    [anon_sym_no] = ACTIONS(1405),
    [anon_sym_for] = ACTIONS(1407),
    [anon_sym_foreach] = ACTIONS(1407),
    [anon_sym_last] = ACTIONS(1405),
    [anon_sym_next] = ACTIONS(1405),
    [anon_sym_redo] = ACTIONS(1405),
    [anon_sym_BEGIN] = ACTIONS(1405),
    [anon_sym_INIT] = ACTIONS(1405),
    [anon_sym_CHECK] = ACTIONS(1405),
    [anon_sym_UNITCHECK] = ACTIONS(1405),
    [anon_sym_END] = ACTIONS(1405),
    [anon_sym___FILE__] = ACTIONS(1405),
    [anon_sym___LINE__] = ACTIONS(1405),
    [anon_sym___PACKAGE__] = ACTIONS(1405),
    [anon_sym___SUB__] = ACTIONS(1405),
    [anon_sym_break] = ACTIONS(1405),
    [anon_sym_fork] = ACTIONS(1405),
    [anon_sym_getppid] = ACTIONS(1405),
    [anon_sym_time] = ACTIONS(1405),
    [anon_sym_times] = ACTIONS(1405),
    [anon_sym_wait] = ACTIONS(1405),
    [anon_sym_wantarray] = ACTIONS(1405),
    [anon_sym_abs] = ACTIONS(1405),
    [anon_sym_alarm] = ACTIONS(1405),
    [anon_sym_chop] = ACTIONS(1405),
    [anon_sym_chdir] = ACTIONS(1405),
    [anon_sym_close] = ACTIONS(1405),
    [anon_sym_closedir] = ACTIONS(1405),
    [anon_sym_caller] = ACTIONS(1405),
    [anon_sym_chomp] = ACTIONS(1405),
    [anon_sym_chr] = ACTIONS(1405),
    [anon_sym_cos] = ACTIONS(1405),
    [anon_sym_chroot] = ACTIONS(1405),
    [anon_sym_defined] = ACTIONS(1405),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_dbmclose] = ACTIONS(1405),
    [anon_sym_exists] = ACTIONS(1405),
    [anon_sym_exit] = ACTIONS(1405),
    [anon_sym_eof] = ACTIONS(1405),
    [anon_sym_exp] = ACTIONS(1405),
    [anon_sym_each] = ACTIONS(1405),
    [anon_sym_fc] = ACTIONS(1405),
    [anon_sym_fileno] = ACTIONS(1405),
    [anon_sym_gmtime] = ACTIONS(1405),
    [anon_sym_getc] = ACTIONS(1405),
    [anon_sym_getpgrp] = ACTIONS(1405),
    [anon_sym_getprotobyname] = ACTIONS(1405),
    [anon_sym_getpwname] = ACTIONS(1405),
    [anon_sym_getpwuid] = ACTIONS(1405),
    [anon_sym_getpeername] = ACTIONS(1405),
    [anon_sym_getnetbyname] = ACTIONS(1405),
    [anon_sym_getsockname] = ACTIONS(1405),
    [anon_sym_getgrnam] = ACTIONS(1405),
    [anon_sym_getgrgid] = ACTIONS(1405),
    [anon_sym_hex] = ACTIONS(1405),
    [anon_sym_int] = ACTIONS(1405),
    [anon_sym_keys] = ACTIONS(1405),
    [anon_sym_lc] = ACTIONS(1405),
    [anon_sym_lcfirst] = ACTIONS(1405),
    [anon_sym_length] = ACTIONS(1405),
    [anon_sym_localtime] = ACTIONS(1405),
    [anon_sym_log] = ACTIONS(1405),
    [anon_sym_lock] = ACTIONS(1405),
    [anon_sym_lstat] = ACTIONS(1405),
    [anon_sym_oct] = ACTIONS(1405),
    [anon_sym_ord] = ACTIONS(1405),
    [anon_sym_prototype] = ACTIONS(1405),
    [anon_sym_pop] = ACTIONS(1405),
    [anon_sym_pos] = ACTIONS(1405),
    [anon_sym_quotemeta] = ACTIONS(1405),
    [anon_sym_reset] = ACTIONS(1405),
    [anon_sym_rand] = ACTIONS(1405),
    [anon_sym_rmdir] = ACTIONS(1405),
    [anon_sym_readdir] = ACTIONS(1405),
    [anon_sym_readline] = ACTIONS(1405),
    [anon_sym_readpipe] = ACTIONS(1405),
    [anon_sym_rewinddir] = ACTIONS(1405),
    [anon_sym_readlink] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1405),
    [anon_sym_scalar] = ACTIONS(1405),
    [anon_sym_shift] = ACTIONS(1405),
    [anon_sym_sin] = ACTIONS(1405),
    [anon_sym_sleep] = ACTIONS(1405),
    [anon_sym_sqrt] = ACTIONS(1405),
    [anon_sym_srand] = ACTIONS(1405),
    [anon_sym_stat] = ACTIONS(1405),
    [anon_sym_study] = ACTIONS(1405),
    [anon_sym_tell] = ACTIONS(1405),
    [anon_sym_telldir] = ACTIONS(1405),
    [anon_sym_tied] = ACTIONS(1405),
    [anon_sym_uc] = ACTIONS(1405),
    [anon_sym_ucfirst] = ACTIONS(1405),
    [anon_sym_untie] = ACTIONS(1405),
    [anon_sym_umask] = ACTIONS(1405),
    [anon_sym_values] = ACTIONS(1405),
    [anon_sym_write] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1407),
    [anon_sym___END__] = ACTIONS(1407),
    [anon_sym_EOT] = ACTIONS(1407),
    [anon_sym_q] = ACTIONS(1405),
    [anon_sym_qq] = ACTIONS(1405),
    [anon_sym_qw] = ACTIONS(1405),
    [anon_sym_qx] = ACTIONS(1405),
    [anon_sym_qr] = ACTIONS(1405),
    [anon_sym_m] = ACTIONS(1405),
    [anon_sym_s] = ACTIONS(1405),
    [anon_sym_tr] = ACTIONS(1405),
    [anon_sym_y] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_unless] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1407),
    [anon_sym_until] = ACTIONS(1407),
    [aux_sym__bareword_token1] = ACTIONS(1405),
    [sym_number] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1405),
    [anon_sym_false] = ACTIONS(1405),
    [sym__single_quote] = ACTIONS(1403),
    [sym__double_quote] = ACTIONS(1403),
    [sym__backtick_quote] = ACTIONS(1403),
    [sym__search_slash_quote] = ACTIONS(1403),
    [sym__PERLY_SEMICOLON] = ACTIONS(1409),
    [sym__PERLY_HEREDOC] = ACTIONS(1403),
    [sym__ctrl_z_hack] = ACTIONS(1409),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1403),
    [sym__filetest] = ACTIONS(1403),
  },
  [140] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1412),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(140),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(188),
    [anon_sym_SEMI] = ACTIONS(188),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_COMMA] = ACTIONS(188),
    [anon_sym_RPAREN] = ACTIONS(188),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_and] = ACTIONS(188),
    [anon_sym_or] = ACTIONS(188),
    [anon_sym_xor] = ACTIONS(188),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_RBRACK] = ACTIONS(188),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_EQ_GT] = ACTIONS(188),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [141] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3564),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(141),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [142] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3684),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(142),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [143] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3653),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(143),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [144] = {
    [sym__PERLY_BRACE_OPEN] = STATE(46),
    [sym_block] = STATE(1011),
    [sym__expr] = STATE(3205),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_indirect_object] = STATE(280),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(740),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(144),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1425),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1427),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [145] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3673),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(145),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [146] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3542),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(146),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [147] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3610),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(147),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [148] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3515),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(148),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [149] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__semicolon] = STATE(987),
    [sym__listexpr] = STATE(3315),
    [sym__term_rightward] = STATE(3434),
    [sym_list_expression] = STATE(3436),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(1919),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(149),
    [sym__version] = STATE(232),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(1429),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [sym_version] = ACTIONS(1443),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(1445),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(1447),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [150] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3648),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(150),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [151] = {
    [sym__PERLY_BRACE_OPEN] = STATE(46),
    [sym_block] = STATE(1011),
    [sym__expr] = STATE(3092),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_indirect_object] = STATE(367),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(740),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(151),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1425),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1449),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [152] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3644),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(152),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [153] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3619),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(153),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [154] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3500),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(154),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [155] = {
    [sym__PERLY_BRACE_OPEN] = STATE(46),
    [sym_block] = STATE(1011),
    [sym__expr] = STATE(3123),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_indirect_object] = STATE(334),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(740),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(155),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1425),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1451),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [156] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3662),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(156),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [157] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3672),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(157),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [158] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3464),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(158),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [159] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3470),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(159),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [160] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3669),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(160),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [161] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3674),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(161),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [162] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3678),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(162),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [163] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3510),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(163),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [164] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3553),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(164),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [165] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3651),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(165),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [166] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3652),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(166),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [167] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3700),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(167),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [168] = {
    [sym__PERLY_BRACE_OPEN] = STATE(46),
    [sym_block] = STATE(1011),
    [sym__expr] = STATE(3088),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_indirect_object] = STATE(362),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(740),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(168),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1425),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1453),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [169] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__semicolon] = STATE(862),
    [sym__listexpr] = STATE(3343),
    [sym__term_rightward] = STATE(3434),
    [sym_list_expression] = STATE(3436),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(1919),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(169),
    [sym__version] = STATE(269),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(1455),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [sym_version] = ACTIONS(1443),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(1445),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(1457),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [170] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3493),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(170),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [171] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3501),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(171),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [172] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3508),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(172),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [173] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3513),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(173),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [174] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3528),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(174),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [175] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3532),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(175),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [176] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3534),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(176),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [177] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3552),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(177),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [178] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3570),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(178),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [179] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3593),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(179),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [180] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3598),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(180),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [181] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3628),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(181),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [182] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3547),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(182),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [183] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3554),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(183),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [184] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3568),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(184),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [185] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3617),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(185),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [186] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3622),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(186),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [187] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3637),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(187),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [188] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3687),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(188),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [189] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3472),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(189),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [190] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3518),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(190),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [191] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3536),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(191),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [192] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3585),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(192),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [193] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3558),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(193),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [194] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3561),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(194),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [195] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3565),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(195),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [196] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3567),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(196),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [197] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3597),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(197),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [198] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3623),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(198),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [199] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3626),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(199),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [200] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3516),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(200),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [201] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3153),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym__hash_key] = STATE(3497),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(201),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym__brace_autoquoted] = STATE(3671),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__brace_autoquoted_token] = ACTIONS(1423),
  },
  [202] = {
    [sym__PERLY_BRACE_OPEN] = STATE(46),
    [sym_block] = STATE(1011),
    [sym__expr] = STATE(3091),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_indirect_object] = STATE(350),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(740),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(202),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1425),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1459),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [203] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3139),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(203),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1461),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__NONASSOC] = ACTIONS(1463),
  },
  [204] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3188),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym__tricky_list] = STATE(3462),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1787),
    [sym_interpolated_string_literal] = STATE(1787),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1787),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(204),
    [sym_autoquoted_bareword] = STATE(1788),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(1465),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(1467),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [205] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3216),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(205),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1469),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__NONASSOC] = ACTIONS(1471),
  },
  [206] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3139),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(206),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1461),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__NONASSOC] = ACTIONS(1473),
  },
  [207] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3073),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(207),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1475),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__NONASSOC] = ACTIONS(1477),
  },
  [208] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3139),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(208),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1461),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__NONASSOC] = ACTIONS(1479),
  },
  [209] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3167),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(209),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1481),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__NONASSOC] = ACTIONS(1483),
  },
  [210] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3178),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym__tricky_list] = STATE(3544),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1787),
    [sym_interpolated_string_literal] = STATE(1787),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1787),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(210),
    [sym_autoquoted_bareword] = STATE(1788),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(1485),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(1467),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [211] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3119),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(211),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1487),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__NONASSOC] = ACTIONS(1489),
  },
  [212] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3073),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(212),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1475),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__NONASSOC] = ACTIONS(1491),
  },
  [213] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3119),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(213),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1487),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__NONASSOC] = ACTIONS(1493),
  },
  [214] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3167),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(214),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1481),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__NONASSOC] = ACTIONS(1495),
  },
  [215] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3216),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(215),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1469),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__NONASSOC] = ACTIONS(1497),
  },
  [216] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3045),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym__tricky_list] = STATE(3675),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1787),
    [sym_interpolated_string_literal] = STATE(1787),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1787),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(216),
    [sym_autoquoted_bareword] = STATE(1788),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(1499),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(1467),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [217] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3105),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym__tricky_list] = STATE(3529),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1787),
    [sym_interpolated_string_literal] = STATE(1787),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1787),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(217),
    [sym_autoquoted_bareword] = STATE(1788),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(1501),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(1467),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [218] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3139),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(218),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1461),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__NONASSOC] = ACTIONS(1503),
  },
  [219] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3022),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym__tricky_list] = STATE(3667),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1787),
    [sym_interpolated_string_literal] = STATE(1787),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1787),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(219),
    [sym_autoquoted_bareword] = STATE(1788),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(1505),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(1467),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [220] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3139),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(220),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1461),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__NONASSOC] = ACTIONS(1507),
  },
  [221] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3139),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(221),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1461),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__NONASSOC] = ACTIONS(1509),
  },
  [222] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3139),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(222),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1461),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__NONASSOC] = ACTIONS(1511),
  },
  [223] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3003),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(223),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(1513),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [224] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3054),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(224),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1515),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [225] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3068),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(225),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(1517),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [226] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3144),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(226),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1519),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [227] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3049),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(227),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1521),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [228] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3052),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(228),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1523),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [229] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3095),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(229),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1525),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [230] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3043),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(230),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1527),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [231] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3182),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(231),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1529),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [232] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__semicolon] = STATE(1002),
    [sym__listexpr] = STATE(3396),
    [sym__term_rightward] = STATE(3434),
    [sym_list_expression] = STATE(3436),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(1919),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(232),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(1429),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(1447),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [233] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3167),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(233),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1481),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [234] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3172),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(234),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_RBRACK] = ACTIONS(1531),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [235] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3187),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(235),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1533),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [236] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3176),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(236),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1535),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [237] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3233),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(237),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1537),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [238] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3210),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(238),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1539),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [239] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3070),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(239),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1541),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [240] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3139),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(240),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1461),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [241] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3150),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(241),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_RBRACK] = ACTIONS(1543),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [242] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3044),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(242),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1545),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [243] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3081),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(243),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1547),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [244] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(2998),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(244),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(1549),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [245] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3121),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(245),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1551),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [246] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3146),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(246),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1553),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [247] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3209),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(247),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(1555),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [248] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3216),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(248),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1469),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [249] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3218),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(249),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_RBRACK] = ACTIONS(1557),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [250] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3175),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(250),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1559),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [251] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3140),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(251),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1561),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [252] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3067),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(252),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1563),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [253] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3164),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(253),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1565),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [254] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3169),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(254),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1567),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [255] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3119),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(255),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1487),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [256] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3129),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(256),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_RBRACK] = ACTIONS(1569),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [257] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3104),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(257),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1571),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [258] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3162),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(258),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1573),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [259] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3021),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(259),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1575),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [260] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3228),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(260),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1577),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [261] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3032),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(261),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1579),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [262] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3230),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(262),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1581),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [263] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3073),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(263),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1475),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [264] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3115),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(264),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_RBRACK] = ACTIONS(1583),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [265] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3063),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(265),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1585),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [266] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3080),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(266),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1587),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [267] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3086),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(267),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1589),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [268] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3094),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(268),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1591),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [269] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__semicolon] = STATE(852),
    [sym__listexpr] = STATE(3310),
    [sym__term_rightward] = STATE(3434),
    [sym_list_expression] = STATE(3436),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(1919),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(269),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(1455),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(1457),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [270] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3232),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(270),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(1593),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [271] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3141),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(271),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1595),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [272] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3207),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(272),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(1597),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [273] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3149),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(273),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_RPAREN] = ACTIONS(1599),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [274] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3194),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(274),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [275] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3235),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(275),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [276] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__expr] = STATE(2325),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(276),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [277] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__expr] = STATE(2680),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(277),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [278] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3125),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(278),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [279] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3130),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(279),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [280] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3155),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(280),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [281] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3173),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(281),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [282] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3084),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(282),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [283] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3152),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(283),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [284] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3192),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(284),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [285] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__expr] = STATE(2325),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(285),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [286] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__expr] = STATE(2326),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1089),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(286),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [287] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__expr] = STATE(2700),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(287),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [288] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__expr] = STATE(2702),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(288),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [289] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__expr] = STATE(2683),
    [sym_lowprec_logical_expression] = STATE(2323),
    [sym__listexpr] = STATE(2323),
    [sym__term_rightward] = STATE(2324),
    [sym_list_expression] = STATE(2327),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(289),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [290] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3193),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(290),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [291] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3090),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(291),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [292] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3156),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(292),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [293] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3184),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(293),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [294] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(2752),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(294),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [295] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3199),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(295),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [296] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3200),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(296),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [297] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3201),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(297),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [298] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3219),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(298),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [299] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3215),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(299),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [300] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3212),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(300),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [301] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(2756),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(301),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [302] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3206),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(302),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [303] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3213),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(303),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [304] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3106),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(304),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [305] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3116),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(305),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [306] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3064),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(306),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [307] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3211),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(307),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [308] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3221),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(308),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [309] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3234),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(309),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [310] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3114),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(310),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [311] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3236),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(311),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [312] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3159),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(312),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [313] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3102),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(313),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [314] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3177),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(314),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [315] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3160),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(315),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [316] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3195),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(316),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [317] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3096),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(317),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [318] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3197),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(318),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [319] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3082),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(319),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [320] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3083),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(320),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [321] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3085),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(321),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [322] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3087),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(322),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [323] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3093),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(323),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [324] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3107),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(324),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [325] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3110),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(325),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [326] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3111),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(326),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [327] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3120),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(327),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [328] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3112),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(328),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [329] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3122),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(329),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [330] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3127),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(330),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [331] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3128),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(331),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [332] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3131),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(332),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [333] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3020),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(333),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [334] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3147),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(334),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [335] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3148),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(335),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [336] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3101),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(336),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [337] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3028),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(337),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [338] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3031),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(338),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [339] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3075),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(339),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [340] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3134),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(340),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [341] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3023),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(341),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [342] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3034),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(342),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [343] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3040),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(343),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [344] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3050),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(344),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [345] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3079),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(345),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [346] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3132),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(346),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [347] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3133),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(347),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [348] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3142),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(348),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [349] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3154),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(349),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [350] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3165),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(350),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [351] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3168),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(351),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [352] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3163),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(352),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [353] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3170),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(353),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [354] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3171),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(354),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [355] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3183),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(355),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [356] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3203),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(356),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [357] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3226),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(357),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [358] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3027),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(358),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [359] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3180),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(359),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [360] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3198),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(360),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [361] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3220),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(361),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [362] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3030),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(362),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [363] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3024),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(363),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [364] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3026),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(364),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [365] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3037),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(365),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [366] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3056),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(366),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [367] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__expr] = STATE(3214),
    [sym_lowprec_logical_expression] = STATE(2731),
    [sym__listexpr] = STATE(2731),
    [sym__term_rightward] = STATE(2763),
    [sym_list_expression] = STATE(2770),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1375),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(367),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [368] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2117),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(368),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_RBRACE] = ACTIONS(188),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(188),
    [anon_sym_RPAREN] = ACTIONS(188),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_EQ_GT] = ACTIONS(188),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [369] = {
    [sym__PERLY_BRACE_OPEN] = STATE(58),
    [sym_block] = STATE(764),
    [sym__term_rightward] = STATE(1945),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2141),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_indirect_object] = STATE(451),
    [sym_function_call_expression] = STATE(1920),
    [sym__tricky_indirob_hashref] = STATE(2151),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(756),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(369),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1613),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [370] = {
    [sym__PERLY_BRACE_OPEN] = STATE(63),
    [sym_block] = STATE(731),
    [sym__term_rightward] = STATE(1192),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1276),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_indirect_object] = STATE(450),
    [sym_function_call_expression] = STATE(1099),
    [sym__tricky_indirob_hashref] = STATE(1307),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(723),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(370),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1621),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(1623),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [371] = {
    [sym__PERLY_BRACE_OPEN] = STATE(58),
    [sym_block] = STATE(764),
    [sym__term_rightward] = STATE(1945),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1938),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_indirect_object] = STATE(434),
    [sym_function_call_expression] = STATE(1920),
    [sym__tricky_indirob_hashref] = STATE(2088),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(756),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(371),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1613),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [372] = {
    [sym__PERLY_BRACE_OPEN] = STATE(60),
    [sym_block] = STATE(782),
    [sym__term_rightward] = STATE(2016),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(1864),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_indirect_object] = STATE(475),
    [sym_function_call_expression] = STATE(2033),
    [sym__tricky_indirob_hashref] = STATE(2025),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(773),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(372),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1625),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(1627),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [373] = {
    [sym__PERLY_BRACE_OPEN] = STATE(45),
    [sym_block] = STATE(779),
    [sym__term_rightward] = STATE(1623),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1561),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_indirect_object] = STATE(462),
    [sym_function_call_expression] = STATE(1754),
    [sym__tricky_indirob_hashref] = STATE(1624),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(762),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(373),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1613),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(1631),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [374] = {
    [sym__PERLY_BRACE_OPEN] = STATE(52),
    [sym_block] = STATE(745),
    [sym__term_rightward] = STATE(1453),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1337),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_indirect_object] = STATE(465),
    [sym_function_call_expression] = STATE(1509),
    [sym__tricky_indirob_hashref] = STATE(1456),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(740),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(374),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1425),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [375] = {
    [sym__PERLY_BRACE_OPEN] = STATE(59),
    [sym_block] = STATE(693),
    [sym__term_rightward] = STATE(1192),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1063),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_indirect_object] = STATE(431),
    [sym_function_call_expression] = STATE(1099),
    [sym__tricky_indirob_hashref] = STATE(1194),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(670),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(375),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1649),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(1623),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [376] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2076),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(376),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(188),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_COMMA] = ACTIONS(188),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_EQ_GT] = ACTIONS(188),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_SEMICOLON] = ACTIONS(211),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [377] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1797),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(377),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_COLON] = ACTIONS(1651),
    [anon_sym_DOLLAR] = ACTIONS(1653),
    [anon_sym_AT] = ACTIONS(1656),
    [anon_sym_COMMA] = ACTIONS(1651),
    [anon_sym_RPAREN] = ACTIONS(1651),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1659),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [378] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1226),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym__label_arg] = STATE(1106),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(378),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(1110),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(147),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [379] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1305),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym__label_arg] = STATE(1106),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(379),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_identifier] = STATE(1110),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(223),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [380] = {
    [sym__PERLY_BRACE_OPEN] = STATE(57),
    [sym_block] = STATE(457),
    [sym__term_rightward] = STATE(1615),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1561),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(380),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [381] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1616),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym__label_arg] = STATE(1617),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(381),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_identifier] = STATE(1618),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(978),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [382] = {
    [sym__PERLY_BRACE_OPEN] = STATE(46),
    [sym_block] = STATE(424),
    [sym__term_rightward] = STATE(1447),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1337),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(382),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(1666),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [383] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1455),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym__label_arg] = STATE(1457),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(383),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_identifier] = STATE(1489),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(268),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [384] = {
    [sym__PERLY_BRACE_OPEN] = STATE(54),
    [sym_block] = STATE(432),
    [sym__term_rightward] = STATE(1937),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1938),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(384),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [385] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2078),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym__label_arg] = STATE(1939),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(385),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_identifier] = STATE(1940),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(822),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [386] = {
    [sym__PERLY_BRACE_OPEN] = STATE(62),
    [sym_block] = STATE(404),
    [sym__term_rightward] = STATE(1218),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1063),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(386),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(1670),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [387] = {
    [sym__PERLY_BRACE_OPEN] = STATE(54),
    [sym_block] = STATE(436),
    [sym__term_rightward] = STATE(3484),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1914),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(387),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [388] = {
    [sym__PERLY_BRACE_OPEN] = STATE(54),
    [sym_block] = STATE(495),
    [sym__term_rightward] = STATE(1937),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2141),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(388),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(1668),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [389] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2178),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym__label_arg] = STATE(1939),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(389),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_identifier] = STATE(1940),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(822),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [390] = {
    [sym__PERLY_BRACE_OPEN] = STATE(54),
    [sym_block] = STATE(413),
    [sym__term_rightward] = STATE(3649),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1914),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(390),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [391] = {
    [sym__PERLY_BRACE_OPEN] = STATE(51),
    [sym_block] = STATE(469),
    [sym__term_rightward] = STATE(1999),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(1864),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(391),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(1672),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [392] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2002),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym__label_arg] = STATE(2007),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(392),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_identifier] = STATE(2008),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(900),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [393] = {
    [sym__PERLY_BRACE_OPEN] = STATE(54),
    [sym_block] = STATE(468),
    [sym__term_rightward] = STATE(3546),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1914),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(393),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [394] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2186),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(394),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(184),
    [anon_sym_RPAREN] = ACTIONS(184),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [395] = {
    [sym__PERLY_BRACE_OPEN] = STATE(54),
    [sym_block] = STATE(474),
    [sym__term_rightward] = STATE(3658),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1914),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(395),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [396] = {
    [sym__PERLY_BRACE_OPEN] = STATE(54),
    [sym_block] = STATE(486),
    [sym__term_rightward] = STATE(3587),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1914),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(396),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [397] = {
    [sym__PERLY_BRACE_OPEN] = STATE(53),
    [sym_block] = STATE(493),
    [sym__term_rightward] = STATE(1218),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1276),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(397),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(1670),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [398] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(1857),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1938),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(398),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [399] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__term_rightward] = STATE(1400),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1337),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(399),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [400] = {
    [sym__PERLY_BRACE_OPEN] = STATE(54),
    [sym_block] = STATE(422),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2181),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(400),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [401] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__term_rightward] = STATE(1154),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1063),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(401),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [402] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1413),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(402),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__NONASSOC] = ACTIONS(1676),
  },
  [403] = {
    [sym__PERLY_BRACE_OPEN] = STATE(48),
    [sym_block] = STATE(1113),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1104),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(403),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [404] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__term_rightward] = STATE(1166),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1063),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(404),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [405] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1204),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(405),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__NONASSOC] = ACTIONS(1678),
  },
  [406] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1230),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(406),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__NONASSOC] = ACTIONS(1680),
  },
  [407] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1435),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(407),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__NONASSOC] = ACTIONS(1682),
  },
  [408] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1436),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(408),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
    [sym__NONASSOC] = ACTIONS(1684),
  },
  [409] = {
    [sym__PERLY_BRACE_OPEN] = STATE(54),
    [sym_block] = STATE(430),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2185),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(409),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(1686),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [410] = {
    [sym__PERLY_BRACE_OPEN] = STATE(48),
    [sym_block] = STATE(1111),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1136),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(410),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [411] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(3521),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1914),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(411),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [412] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(3498),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1914),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(412),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [413] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(3531),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1914),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(413),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [414] = {
    [sym__PERLY_BRACE_OPEN] = STATE(54),
    [sym_block] = STATE(466),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2180),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(414),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(1688),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [415] = {
    [sym__PERLY_BRACE_OPEN] = STATE(64),
    [sym_block] = STATE(1520),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1398),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(415),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [416] = {
    [sym__PERLY_BRACE_OPEN] = STATE(64),
    [sym_block] = STATE(1402),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1403),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(416),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [417] = {
    [sym__PERLY_BRACE_OPEN] = STATE(54),
    [sym_block] = STATE(492),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2188),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(417),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [418] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1310),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(418),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
    [sym__NONASSOC] = ACTIONS(1692),
  },
  [419] = {
    [sym__PERLY_BRACE_OPEN] = STATE(47),
    [sym_block] = STATE(1935),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2070),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(419),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [420] = {
    [sym__PERLY_BRACE_OPEN] = STATE(47),
    [sym_block] = STATE(1936),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2149),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(420),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [421] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1309),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(421),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
    [sym__NONASSOC] = ACTIONS(1678),
  },
  [422] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__term_rightward] = STATE(1531),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1337),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(422),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [423] = {
    [sym__PERLY_BRACE_OPEN] = STATE(54),
    [sym_block] = STATE(446),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2189),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(423),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(1694),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [424] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__term_rightward] = STATE(1536),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1337),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(424),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [425] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1312),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(425),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
    [sym__NONASSOC] = ACTIONS(1680),
  },
  [426] = {
    [sym__PERLY_BRACE_OPEN] = STATE(54),
    [sym_block] = STATE(401),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2183),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(426),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [427] = {
    [sym__PERLY_BRACE_OPEN] = STATE(55),
    [sym_block] = STATE(1608),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1609),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(427),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [428] = {
    [sym__PERLY_BRACE_OPEN] = STATE(55),
    [sym_block] = STATE(1610),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1611),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(428),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [429] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__term_rightward] = STATE(1227),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1063),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(429),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [430] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(1960),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1938),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(430),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [431] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__term_rightward] = STATE(1108),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1063),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(431),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [432] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(1961),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1938),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(432),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [433] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__term_rightward] = STATE(1175),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1276),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(433),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [434] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(1969),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1938),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(434),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [435] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(3630),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1914),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(435),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [436] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(3643),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1914),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(436),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [437] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(1976),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1938),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(437),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [438] = {
    [sym__PERLY_BRACE_OPEN] = STATE(54),
    [sym_block] = STATE(473),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2190),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(438),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [439] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2118),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(439),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
    [sym__NONASSOC] = ACTIONS(1696),
  },
  [440] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2132),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(440),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
    [sym__NONASSOC] = ACTIONS(1698),
  },
  [441] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2133),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(441),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
    [sym__NONASSOC] = ACTIONS(1700),
  },
  [442] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(3477),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1914),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(442),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [443] = {
    [sym__PERLY_BRACE_OPEN] = STATE(47),
    [sym_block] = STATE(1935),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2174),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(443),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [444] = {
    [sym__PERLY_BRACE_OPEN] = STATE(47),
    [sym_block] = STATE(1936),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2175),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(444),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [445] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__term_rightward] = STATE(1227),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1276),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(445),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [446] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__term_rightward] = STATE(1640),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1561),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(446),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [447] = {
    [sym__PERLY_BRACE_OPEN] = STATE(54),
    [sym_block] = STATE(412),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2192),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(447),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [448] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__term_rightward] = STATE(1175),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1063),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(448),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [449] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(1960),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2141),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(449),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [450] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__term_rightward] = STATE(1108),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1276),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(450),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [451] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(1969),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2141),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(451),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [452] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(1976),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2141),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(452),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [453] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(1857),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2141),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(453),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [454] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2155),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(454),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
    [sym__NONASSOC] = ACTIONS(1696),
  },
  [455] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2167),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(455),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
    [sym__NONASSOC] = ACTIONS(1698),
  },
  [456] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2168),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(456),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
    [sym__NONASSOC] = ACTIONS(1700),
  },
  [457] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__term_rightward] = STATE(1641),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1561),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(457),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [458] = {
    [sym__PERLY_BRACE_OPEN] = STATE(54),
    [sym_block] = STATE(449),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2184),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(458),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(1686),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [459] = {
    [sym__PERLY_BRACE_OPEN] = STATE(49),
    [sym_block] = STATE(2146),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2147),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(459),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [460] = {
    [sym__PERLY_BRACE_OPEN] = STATE(49),
    [sym_block] = STATE(2148),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2140),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(460),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [461] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__term_rightward] = STATE(1483),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1337),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(461),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [462] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__term_rightward] = STATE(1647),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1561),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(462),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [463] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__term_rightward] = STATE(1661),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1561),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(463),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [464] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__term_rightward] = STATE(1683),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1561),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(464),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [465] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__term_rightward] = STATE(1438),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1337),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(465),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [466] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__term_rightward] = STATE(2057),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(1864),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(466),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [467] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(3577),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1914),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(467),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [468] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(3578),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1914),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(468),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [469] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__term_rightward] = STATE(2058),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(1864),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(469),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [470] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(3642),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1914),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(470),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [471] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(3483),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1914),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(471),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [472] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1736),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(472),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
    [sym__NONASSOC] = ACTIONS(1702),
  },
  [473] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(3485),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1914),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(473),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [474] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(3491),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1914),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(474),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [475] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__term_rightward] = STATE(2099),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(1864),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(475),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [476] = {
    [sym__PERLY_BRACE_OPEN] = STATE(54),
    [sym_block] = STATE(485),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2191),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(476),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [477] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__term_rightward] = STATE(2120),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(1864),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(477),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [478] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__term_rightward] = STATE(1996),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(1864),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(478),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [479] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2077),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(479),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
    [sym__NONASSOC] = ACTIONS(1704),
  },
  [480] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(3601),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1914),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(480),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [481] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2097),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(481),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
    [sym__NONASSOC] = ACTIONS(1706),
  },
  [482] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2098),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(482),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
    [sym__NONASSOC] = ACTIONS(1708),
  },
  [483] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1748),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(483),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
    [sym__NONASSOC] = ACTIONS(1710),
  },
  [484] = {
    [sym__PERLY_BRACE_OPEN] = STATE(48),
    [sym_block] = STATE(1113),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1299),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(484),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [485] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(3614),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1914),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(485),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [486] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(3616),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1914),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(486),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [487] = {
    [sym__PERLY_BRACE_OPEN] = STATE(48),
    [sym_block] = STATE(1111),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1300),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(487),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [488] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(3641),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1914),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(488),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [489] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1749),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(489),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
    [sym__NONASSOC] = ACTIONS(1712),
  },
  [490] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1185),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(490),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
    [sym__NONASSOC] = ACTIONS(1692),
  },
  [491] = {
    [sym__PERLY_BRACE_OPEN] = STATE(54),
    [sym_block] = STATE(435),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2182),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(491),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [492] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__term_rightward] = STATE(1154),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1276),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(492),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [493] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__term_rightward] = STATE(1166),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1276),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(493),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [494] = {
    [sym__PERLY_BRACE_OPEN] = STATE(54),
    [sym_block] = STATE(467),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2187),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(494),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [495] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__term_rightward] = STATE(1961),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2141),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(495),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [496] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1426),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(496),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [497] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1205),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(497),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [498] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1097),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(498),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [499] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1209),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(499),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [500] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1229),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(500),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [501] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1231),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(501),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [502] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1232),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(502),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [503] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1233),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(503),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [504] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1098),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(504),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [505] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1204),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(505),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [506] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1230),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(506),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [507] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2197),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(507),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [508] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1188),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(508),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [509] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1311),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(509),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [510] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1313),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(510),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [511] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1435),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(511),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [512] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1436),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(512),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [513] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2116),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(513),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [514] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2118),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(514),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [515] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2121),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(515),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [516] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2122),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(516),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [517] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2123),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(517),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [518] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2124),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(518),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [519] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2125),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(519),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [520] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2126),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(520),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [521] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2195),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(521),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [522] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2127),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(522),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [523] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2128),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(523),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [524] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2129),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(524),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [525] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2130),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(525),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [526] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2131),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(526),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [527] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1314),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(527),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [528] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2132),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(528),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [529] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2133),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(529),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [530] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1288),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(530),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [531] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1752),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(531),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [532] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1432),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(532),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [533] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1411),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(533),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [534] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1193),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(534),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [535] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1289),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(535),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [536] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1317),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(536),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [537] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1776),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(537),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [538] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1776),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(538),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1714),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1716),
    [sym__filetest] = ACTIONS(1048),
  },
  [539] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1606),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(539),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [540] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1413),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(540),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [541] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1419),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(541),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [542] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1421),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(542),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [543] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2172),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(543),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [544] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2172),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(544),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(1718),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1720),
    [sym__filetest] = ACTIONS(1159),
  },
  [545] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1934),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(545),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [546] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2173),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(546),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [547] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1607),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(547),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [548] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1290),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(548),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [549] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2176),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(549),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [550] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2150),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(550),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [551] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1797),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(551),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [552] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1291),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(552),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [553] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1612),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(553),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [554] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1222),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(554),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [555] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2066),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(555),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [556] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1613),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(556),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [557] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1292),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(557),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [558] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2153),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(558),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [559] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2155),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(559),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [560] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2156),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(560),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [561] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2157),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(561),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [562] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2158),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(562),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [563] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2159),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(563),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [564] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2160),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(564),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [565] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2161),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(565),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [566] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2162),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(566),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [567] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2163),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(567),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [568] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2164),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(568),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [569] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2165),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(569),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [570] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2166),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(570),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [571] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2167),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(571),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [572] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2168),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(572),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [573] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1295),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(573),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [574] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1819),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(574),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [575] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1167),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(575),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [576] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1304),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(576),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [577] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1510),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(577),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [578] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2065),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(578),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [579] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2169),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(579),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [580] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1308),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(580),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [581] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1734),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(581),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [582] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2136),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(582),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [583] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2136),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(583),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(1722),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1724),
    [sym__filetest] = ACTIONS(976),
  },
  [584] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1293),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(584),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [585] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1395),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(585),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [586] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2145),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(586),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [587] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2193),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(587),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [588] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2065),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(588),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(1718),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1720),
    [sym__filetest] = ACTIONS(898),
  },
  [589] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1448),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(589),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [590] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2072),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(590),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [591] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1423),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(591),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [592] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(1993),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(592),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [593] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1309),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(593),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [594] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1448),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(594),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(1726),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1728),
    [sym__filetest] = ACTIONS(344),
  },
  [595] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1116),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(595),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [596] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1497),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(596),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [597] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1160),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(597),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [598] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1502),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(598),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [599] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1736),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(599),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [600] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1737),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(600),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [601] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1406),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(601),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [602] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2071),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(602),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [603] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2077),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(603),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [604] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2081),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(604),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [605] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1409),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(605),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [606] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2084),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(606),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [607] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1738),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(607),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [608] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2085),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(608),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [609] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2086),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(609),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [610] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2087),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(610),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [611] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2196),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(611),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [612] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2089),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(612),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [613] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2090),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(613),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [614] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2091),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(614),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [615] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2094),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(615),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [616] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2095),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(616),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [617] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1739),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(617),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [618] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2096),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(618),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [619] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2097),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(619),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [620] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2098),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(620),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [621] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(1934),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(621),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [622] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2068),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(622),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [623] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1424),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(623),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [624] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1740),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(624),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [625] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1741),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(625),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [626] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1742),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(626),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [627] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2073),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(627),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [628] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2074),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(371),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(628),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(828),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(828),
    [anon_sym_our] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1611),
    [anon_sym_BSLASH] = ACTIONS(842),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_eval] = ACTIONS(846),
    [anon_sym_await] = ACTIONS(848),
    [anon_sym_field] = ACTIONS(828),
    [anon_sym_local] = ACTIONS(850),
    [anon_sym_dynamically] = ACTIONS(850),
    [anon_sym_require] = ACTIONS(852),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_grep] = ACTIONS(854),
    [anon_sym_sort] = ACTIONS(856),
    [anon_sym_goto] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_undef] = ACTIONS(862),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(868),
    [anon_sym_next] = ACTIONS(868),
    [anon_sym_redo] = ACTIONS(868),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(870),
    [anon_sym_alarm] = ACTIONS(870),
    [anon_sym_chop] = ACTIONS(870),
    [anon_sym_chdir] = ACTIONS(870),
    [anon_sym_close] = ACTIONS(870),
    [anon_sym_closedir] = ACTIONS(870),
    [anon_sym_caller] = ACTIONS(870),
    [anon_sym_chomp] = ACTIONS(870),
    [anon_sym_chr] = ACTIONS(870),
    [anon_sym_cos] = ACTIONS(870),
    [anon_sym_chroot] = ACTIONS(870),
    [anon_sym_defined] = ACTIONS(870),
    [anon_sym_delete] = ACTIONS(870),
    [anon_sym_dbmclose] = ACTIONS(870),
    [anon_sym_exists] = ACTIONS(870),
    [anon_sym_exit] = ACTIONS(870),
    [anon_sym_eof] = ACTIONS(870),
    [anon_sym_exp] = ACTIONS(870),
    [anon_sym_each] = ACTIONS(870),
    [anon_sym_fc] = ACTIONS(870),
    [anon_sym_fileno] = ACTIONS(870),
    [anon_sym_gmtime] = ACTIONS(870),
    [anon_sym_getc] = ACTIONS(870),
    [anon_sym_getpgrp] = ACTIONS(870),
    [anon_sym_getprotobyname] = ACTIONS(870),
    [anon_sym_getpwname] = ACTIONS(870),
    [anon_sym_getpwuid] = ACTIONS(870),
    [anon_sym_getpeername] = ACTIONS(870),
    [anon_sym_getnetbyname] = ACTIONS(870),
    [anon_sym_getsockname] = ACTIONS(870),
    [anon_sym_getgrnam] = ACTIONS(870),
    [anon_sym_getgrgid] = ACTIONS(870),
    [anon_sym_hex] = ACTIONS(870),
    [anon_sym_int] = ACTIONS(870),
    [anon_sym_keys] = ACTIONS(870),
    [anon_sym_lc] = ACTIONS(870),
    [anon_sym_lcfirst] = ACTIONS(870),
    [anon_sym_length] = ACTIONS(870),
    [anon_sym_localtime] = ACTIONS(870),
    [anon_sym_log] = ACTIONS(870),
    [anon_sym_lock] = ACTIONS(870),
    [anon_sym_lstat] = ACTIONS(870),
    [anon_sym_oct] = ACTIONS(870),
    [anon_sym_ord] = ACTIONS(870),
    [anon_sym_prototype] = ACTIONS(870),
    [anon_sym_pop] = ACTIONS(870),
    [anon_sym_pos] = ACTIONS(870),
    [anon_sym_quotemeta] = ACTIONS(870),
    [anon_sym_reset] = ACTIONS(870),
    [anon_sym_rand] = ACTIONS(870),
    [anon_sym_rmdir] = ACTIONS(870),
    [anon_sym_readdir] = ACTIONS(870),
    [anon_sym_readline] = ACTIONS(870),
    [anon_sym_readpipe] = ACTIONS(870),
    [anon_sym_rewinddir] = ACTIONS(870),
    [anon_sym_readlink] = ACTIONS(870),
    [anon_sym_ref] = ACTIONS(870),
    [anon_sym_scalar] = ACTIONS(870),
    [anon_sym_shift] = ACTIONS(870),
    [anon_sym_sin] = ACTIONS(870),
    [anon_sym_sleep] = ACTIONS(870),
    [anon_sym_sqrt] = ACTIONS(870),
    [anon_sym_srand] = ACTIONS(870),
    [anon_sym_stat] = ACTIONS(870),
    [anon_sym_study] = ACTIONS(870),
    [anon_sym_tell] = ACTIONS(870),
    [anon_sym_telldir] = ACTIONS(870),
    [anon_sym_tied] = ACTIONS(870),
    [anon_sym_uc] = ACTIONS(870),
    [anon_sym_ucfirst] = ACTIONS(870),
    [anon_sym_untie] = ACTIONS(870),
    [anon_sym_umask] = ACTIONS(870),
    [anon_sym_values] = ACTIONS(870),
    [anon_sym_write] = ACTIONS(870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(898),
  },
  [629] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1167),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(629),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(1730),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1732),
    [sym__filetest] = ACTIONS(145),
  },
  [630] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1743),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(630),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [631] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1744),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(631),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [632] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2018),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(632),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [633] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1297),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(633),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [634] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2199),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(634),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [635] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1297),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(635),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(1734),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(1734),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1732),
    [sym__filetest] = ACTIONS(257),
  },
  [636] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1188),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(636),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [637] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1745),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(637),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [638] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1298),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(638),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [639] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1746),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(639),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [640] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1747),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(640),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [641] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1748),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(641),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [642] = {
    [sym__PERLY_BRACE_OPEN] = STATE(217),
    [sym__subscripted] = STATE(1345),
    [sym_container_variable] = STATE(3458),
    [sym_array_element_expression] = STATE(1346),
    [sym_hash_element_expression] = STATE(1346),
    [sym_coderef_call_expression] = STATE(1346),
    [sym_anonymous_slice_expression] = STATE(1346),
    [sym_slice_container_variable] = STATE(3459),
    [sym_slice_expression] = STATE(1733),
    [sym_keyval_container_variable] = STATE(3460),
    [sym_keyval_expression] = STATE(1733),
    [sym__term] = STATE(1749),
    [sym_readline_expression] = STATE(1733),
    [sym_assignment_expression] = STATE(1733),
    [sym_binary_expression] = STATE(1733),
    [sym_equality_expression] = STATE(1733),
    [sym_relational_expression] = STATE(1733),
    [sym_unary_expression] = STATE(1733),
    [sym_preinc_expression] = STATE(1733),
    [sym_postinc_expression] = STATE(1733),
    [sym_conditional_expression] = STATE(1733),
    [sym_refgen_expression] = STATE(1733),
    [sym_anonymous_array_expression] = STATE(1733),
    [sym_anonymous_hash_expression] = STATE(1733),
    [sym_anonymous_subroutine_expression] = STATE(1733),
    [sym_anonymous_method_expression] = STATE(1733),
    [sym_do_expression] = STATE(1733),
    [sym_eval_expression] = STATE(1733),
    [sym_await_expression] = STATE(1733),
    [sym_variable_declaration] = STATE(1733),
    [sym_localization_expression] = STATE(1733),
    [sym_stub_expression] = STATE(1733),
    [sym_scalar_deref_expression] = STATE(1733),
    [sym_array_deref_expression] = STATE(1733),
    [sym_hash_deref_expression] = STATE(1733),
    [sym_amper_deref_expression] = STATE(1733),
    [sym_glob_deref_expression] = STATE(1733),
    [sym_require_expression] = STATE(1733),
    [sym_func0op_call_expression] = STATE(1733),
    [sym_func1op_call_expression] = STATE(1733),
    [sym_map_grep_expression] = STATE(1733),
    [sym_sort_expression] = STATE(1733),
    [sym_loopex_expression] = STATE(1733),
    [sym_goto_expression] = STATE(1733),
    [sym_return_expression] = STATE(1733),
    [sym_undef_expression] = STATE(1733),
    [sym__listop] = STATE(1733),
    [sym_function_call_expression] = STATE(1754),
    [sym_ambiguous_function_call_expression] = STATE(1754),
    [sym_function] = STATE(373),
    [sym_method_call_expression] = STATE(1754),
    [sym_scalar] = STATE(1733),
    [sym_array] = STATE(1733),
    [sym_hash] = STATE(1733),
    [sym_arraylen] = STATE(1733),
    [sym_glob] = STATE(1733),
    [sym__literal] = STATE(1733),
    [sym__apostrophe] = STATE(2813),
    [sym__quotation_mark] = STATE(2284),
    [sym__backtick] = STATE(2285),
    [sym__search_slash] = STATE(2211),
    [sym_string_literal] = STATE(1755),
    [sym_interpolated_string_literal] = STATE(1755),
    [sym_quoted_word_list] = STATE(1557),
    [sym_command_string] = STATE(1755),
    [sym_quoted_regexp] = STATE(1755),
    [sym_match_regexp] = STATE(1755),
    [sym_substitution_regexp] = STATE(1755),
    [sym_transliteration_expression] = STATE(1755),
    [sym_heredoc_token] = STATE(1733),
    [sym_command_heredoc_token] = STATE(1733),
    [sym_heredoc_content] = STATE(642),
    [sym_autoquoted_bareword] = STATE(1733),
    [sym_bareword] = STATE(1733),
    [sym_primitive] = STATE(1733),
    [sym_boolean] = STATE(1731),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3004),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(980),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(982),
    [anon_sym_method] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_state] = ACTIONS(980),
    [anon_sym_our] = ACTIONS(980),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1635),
    [anon_sym_SLASH_SLASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1643),
    [anon_sym_BSLASH] = ACTIONS(994),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_eval] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [anon_sym_field] = ACTIONS(980),
    [anon_sym_local] = ACTIONS(1002),
    [anon_sym_dynamically] = ACTIONS(1002),
    [anon_sym_require] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_grep] = ACTIONS(1006),
    [anon_sym_sort] = ACTIONS(1008),
    [anon_sym_goto] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_undef] = ACTIONS(1014),
    [anon_sym_PERCENT2] = ACTIONS(1645),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1016),
    [anon_sym_last] = ACTIONS(1018),
    [anon_sym_next] = ACTIONS(1018),
    [anon_sym_redo] = ACTIONS(1018),
    [anon_sym___FILE__] = ACTIONS(988),
    [anon_sym___LINE__] = ACTIONS(988),
    [anon_sym___PACKAGE__] = ACTIONS(988),
    [anon_sym___SUB__] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_fork] = ACTIONS(988),
    [anon_sym_getppid] = ACTIONS(988),
    [anon_sym_time] = ACTIONS(988),
    [anon_sym_times] = ACTIONS(988),
    [anon_sym_wait] = ACTIONS(988),
    [anon_sym_wantarray] = ACTIONS(988),
    [anon_sym_abs] = ACTIONS(1020),
    [anon_sym_alarm] = ACTIONS(1020),
    [anon_sym_chop] = ACTIONS(1020),
    [anon_sym_chdir] = ACTIONS(1020),
    [anon_sym_close] = ACTIONS(1020),
    [anon_sym_closedir] = ACTIONS(1020),
    [anon_sym_caller] = ACTIONS(1020),
    [anon_sym_chomp] = ACTIONS(1020),
    [anon_sym_chr] = ACTIONS(1020),
    [anon_sym_cos] = ACTIONS(1020),
    [anon_sym_chroot] = ACTIONS(1020),
    [anon_sym_defined] = ACTIONS(1020),
    [anon_sym_delete] = ACTIONS(1020),
    [anon_sym_dbmclose] = ACTIONS(1020),
    [anon_sym_exists] = ACTIONS(1020),
    [anon_sym_exit] = ACTIONS(1020),
    [anon_sym_eof] = ACTIONS(1020),
    [anon_sym_exp] = ACTIONS(1020),
    [anon_sym_each] = ACTIONS(1020),
    [anon_sym_fc] = ACTIONS(1020),
    [anon_sym_fileno] = ACTIONS(1020),
    [anon_sym_gmtime] = ACTIONS(1020),
    [anon_sym_getc] = ACTIONS(1020),
    [anon_sym_getpgrp] = ACTIONS(1020),
    [anon_sym_getprotobyname] = ACTIONS(1020),
    [anon_sym_getpwname] = ACTIONS(1020),
    [anon_sym_getpwuid] = ACTIONS(1020),
    [anon_sym_getpeername] = ACTIONS(1020),
    [anon_sym_getnetbyname] = ACTIONS(1020),
    [anon_sym_getsockname] = ACTIONS(1020),
    [anon_sym_getgrnam] = ACTIONS(1020),
    [anon_sym_getgrgid] = ACTIONS(1020),
    [anon_sym_hex] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_keys] = ACTIONS(1020),
    [anon_sym_lc] = ACTIONS(1020),
    [anon_sym_lcfirst] = ACTIONS(1020),
    [anon_sym_length] = ACTIONS(1020),
    [anon_sym_localtime] = ACTIONS(1020),
    [anon_sym_log] = ACTIONS(1020),
    [anon_sym_lock] = ACTIONS(1020),
    [anon_sym_lstat] = ACTIONS(1020),
    [anon_sym_oct] = ACTIONS(1020),
    [anon_sym_ord] = ACTIONS(1020),
    [anon_sym_prototype] = ACTIONS(1020),
    [anon_sym_pop] = ACTIONS(1020),
    [anon_sym_pos] = ACTIONS(1020),
    [anon_sym_quotemeta] = ACTIONS(1020),
    [anon_sym_reset] = ACTIONS(1020),
    [anon_sym_rand] = ACTIONS(1020),
    [anon_sym_rmdir] = ACTIONS(1020),
    [anon_sym_readdir] = ACTIONS(1020),
    [anon_sym_readline] = ACTIONS(1020),
    [anon_sym_readpipe] = ACTIONS(1020),
    [anon_sym_rewinddir] = ACTIONS(1020),
    [anon_sym_readlink] = ACTIONS(1020),
    [anon_sym_ref] = ACTIONS(1020),
    [anon_sym_scalar] = ACTIONS(1020),
    [anon_sym_shift] = ACTIONS(1020),
    [anon_sym_sin] = ACTIONS(1020),
    [anon_sym_sleep] = ACTIONS(1020),
    [anon_sym_sqrt] = ACTIONS(1020),
    [anon_sym_srand] = ACTIONS(1020),
    [anon_sym_stat] = ACTIONS(1020),
    [anon_sym_study] = ACTIONS(1020),
    [anon_sym_tell] = ACTIONS(1020),
    [anon_sym_telldir] = ACTIONS(1020),
    [anon_sym_tied] = ACTIONS(1020),
    [anon_sym_uc] = ACTIONS(1020),
    [anon_sym_ucfirst] = ACTIONS(1020),
    [anon_sym_untie] = ACTIONS(1020),
    [anon_sym_umask] = ACTIONS(1020),
    [anon_sym_values] = ACTIONS(1020),
    [anon_sym_write] = ACTIONS(1020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1022),
    [anon_sym_qq] = ACTIONS(1024),
    [anon_sym_qw] = ACTIONS(1026),
    [anon_sym_qx] = ACTIONS(1028),
    [anon_sym_qr] = ACTIONS(1030),
    [anon_sym_m] = ACTIONS(1032),
    [anon_sym_s] = ACTIONS(1034),
    [anon_sym_tr] = ACTIONS(1036),
    [anon_sym_y] = ACTIONS(1036),
    [aux_sym__bareword_token1] = ACTIONS(1038),
    [sym_number] = ACTIONS(1040),
    [anon_sym_true] = ACTIONS(1042),
    [anon_sym_false] = ACTIONS(1042),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(1044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1046),
    [sym__filetest] = ACTIONS(1048),
  },
  [643] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1301),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(643),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [644] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1302),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(644),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [645] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1434),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(645),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [646] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2194),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(646),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [647] = {
    [sym__PERLY_BRACE_OPEN] = STATE(216),
    [sym__subscripted] = STATE(1602),
    [sym_container_variable] = STATE(3448),
    [sym_array_element_expression] = STATE(1603),
    [sym_hash_element_expression] = STATE(1603),
    [sym_coderef_call_expression] = STATE(1603),
    [sym_anonymous_slice_expression] = STATE(1603),
    [sym_slice_container_variable] = STATE(3449),
    [sym_slice_expression] = STATE(1918),
    [sym_keyval_container_variable] = STATE(3450),
    [sym_keyval_expression] = STATE(1918),
    [sym__term] = STATE(2198),
    [sym_readline_expression] = STATE(1918),
    [sym_assignment_expression] = STATE(1918),
    [sym_binary_expression] = STATE(1918),
    [sym_equality_expression] = STATE(1918),
    [sym_relational_expression] = STATE(1918),
    [sym_unary_expression] = STATE(1918),
    [sym_preinc_expression] = STATE(1918),
    [sym_postinc_expression] = STATE(1918),
    [sym_conditional_expression] = STATE(1918),
    [sym_refgen_expression] = STATE(1918),
    [sym_anonymous_array_expression] = STATE(1918),
    [sym_anonymous_hash_expression] = STATE(1918),
    [sym_anonymous_subroutine_expression] = STATE(1918),
    [sym_anonymous_method_expression] = STATE(1918),
    [sym_do_expression] = STATE(1918),
    [sym_eval_expression] = STATE(1918),
    [sym_await_expression] = STATE(1918),
    [sym_variable_declaration] = STATE(1918),
    [sym_localization_expression] = STATE(1918),
    [sym_stub_expression] = STATE(1918),
    [sym_scalar_deref_expression] = STATE(1918),
    [sym_array_deref_expression] = STATE(1918),
    [sym_hash_deref_expression] = STATE(1918),
    [sym_amper_deref_expression] = STATE(1918),
    [sym_glob_deref_expression] = STATE(1918),
    [sym_require_expression] = STATE(1918),
    [sym_func0op_call_expression] = STATE(1918),
    [sym_func1op_call_expression] = STATE(1918),
    [sym_map_grep_expression] = STATE(1918),
    [sym_sort_expression] = STATE(1918),
    [sym_loopex_expression] = STATE(1918),
    [sym_goto_expression] = STATE(1918),
    [sym_return_expression] = STATE(1918),
    [sym_undef_expression] = STATE(1918),
    [sym__listop] = STATE(1918),
    [sym_function_call_expression] = STATE(1920),
    [sym_ambiguous_function_call_expression] = STATE(1920),
    [sym_function] = STATE(369),
    [sym_method_call_expression] = STATE(1920),
    [sym_scalar] = STATE(1918),
    [sym_array] = STATE(1918),
    [sym_hash] = STATE(1918),
    [sym_arraylen] = STATE(1918),
    [sym_glob] = STATE(1918),
    [sym__literal] = STATE(1918),
    [sym__apostrophe] = STATE(2879),
    [sym__quotation_mark] = STATE(2260),
    [sym__backtick] = STATE(2261),
    [sym__search_slash] = STATE(2224),
    [sym_string_literal] = STATE(1921),
    [sym_interpolated_string_literal] = STATE(1921),
    [sym_quoted_word_list] = STATE(1803),
    [sym_command_string] = STATE(1921),
    [sym_quoted_regexp] = STATE(1921),
    [sym_match_regexp] = STATE(1921),
    [sym_substitution_regexp] = STATE(1921),
    [sym_transliteration_expression] = STATE(1921),
    [sym_heredoc_token] = STATE(1918),
    [sym_command_heredoc_token] = STATE(1918),
    [sym_heredoc_content] = STATE(647),
    [sym_autoquoted_bareword] = STATE(1918),
    [sym_bareword] = STATE(1918),
    [sym_primitive] = STATE(1918),
    [sym_boolean] = STATE(1916),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2991),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_my] = ACTIONS(1129),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(830),
    [anon_sym_method] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_state] = ACTIONS(1129),
    [anon_sym_our] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_LT_LT] = ACTIONS(1603),
    [anon_sym_SLASH_SLASH] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1131),
    [anon_sym_DASH] = ACTIONS(1617),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1619),
    [anon_sym_BSLASH] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1135),
    [anon_sym_eval] = ACTIONS(1137),
    [anon_sym_await] = ACTIONS(1139),
    [anon_sym_field] = ACTIONS(1129),
    [anon_sym_local] = ACTIONS(1141),
    [anon_sym_dynamically] = ACTIONS(1141),
    [anon_sym_require] = ACTIONS(1143),
    [anon_sym_map] = ACTIONS(1145),
    [anon_sym_grep] = ACTIONS(1145),
    [anon_sym_sort] = ACTIONS(1147),
    [anon_sym_goto] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_undef] = ACTIONS(1153),
    [anon_sym_PERCENT2] = ACTIONS(864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(866),
    [anon_sym_last] = ACTIONS(1155),
    [anon_sym_next] = ACTIONS(1155),
    [anon_sym_redo] = ACTIONS(1155),
    [anon_sym___FILE__] = ACTIONS(836),
    [anon_sym___LINE__] = ACTIONS(836),
    [anon_sym___PACKAGE__] = ACTIONS(836),
    [anon_sym___SUB__] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_fork] = ACTIONS(836),
    [anon_sym_getppid] = ACTIONS(836),
    [anon_sym_time] = ACTIONS(836),
    [anon_sym_times] = ACTIONS(836),
    [anon_sym_wait] = ACTIONS(836),
    [anon_sym_wantarray] = ACTIONS(836),
    [anon_sym_abs] = ACTIONS(1157),
    [anon_sym_alarm] = ACTIONS(1157),
    [anon_sym_chop] = ACTIONS(1157),
    [anon_sym_chdir] = ACTIONS(1157),
    [anon_sym_close] = ACTIONS(1157),
    [anon_sym_closedir] = ACTIONS(1157),
    [anon_sym_caller] = ACTIONS(1157),
    [anon_sym_chomp] = ACTIONS(1157),
    [anon_sym_chr] = ACTIONS(1157),
    [anon_sym_cos] = ACTIONS(1157),
    [anon_sym_chroot] = ACTIONS(1157),
    [anon_sym_defined] = ACTIONS(1157),
    [anon_sym_delete] = ACTIONS(1157),
    [anon_sym_dbmclose] = ACTIONS(1157),
    [anon_sym_exists] = ACTIONS(1157),
    [anon_sym_exit] = ACTIONS(1157),
    [anon_sym_eof] = ACTIONS(1157),
    [anon_sym_exp] = ACTIONS(1157),
    [anon_sym_each] = ACTIONS(1157),
    [anon_sym_fc] = ACTIONS(1157),
    [anon_sym_fileno] = ACTIONS(1157),
    [anon_sym_gmtime] = ACTIONS(1157),
    [anon_sym_getc] = ACTIONS(1157),
    [anon_sym_getpgrp] = ACTIONS(1157),
    [anon_sym_getprotobyname] = ACTIONS(1157),
    [anon_sym_getpwname] = ACTIONS(1157),
    [anon_sym_getpwuid] = ACTIONS(1157),
    [anon_sym_getpeername] = ACTIONS(1157),
    [anon_sym_getnetbyname] = ACTIONS(1157),
    [anon_sym_getsockname] = ACTIONS(1157),
    [anon_sym_getgrnam] = ACTIONS(1157),
    [anon_sym_getgrgid] = ACTIONS(1157),
    [anon_sym_hex] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_keys] = ACTIONS(1157),
    [anon_sym_lc] = ACTIONS(1157),
    [anon_sym_lcfirst] = ACTIONS(1157),
    [anon_sym_length] = ACTIONS(1157),
    [anon_sym_localtime] = ACTIONS(1157),
    [anon_sym_log] = ACTIONS(1157),
    [anon_sym_lock] = ACTIONS(1157),
    [anon_sym_lstat] = ACTIONS(1157),
    [anon_sym_oct] = ACTIONS(1157),
    [anon_sym_ord] = ACTIONS(1157),
    [anon_sym_prototype] = ACTIONS(1157),
    [anon_sym_pop] = ACTIONS(1157),
    [anon_sym_pos] = ACTIONS(1157),
    [anon_sym_quotemeta] = ACTIONS(1157),
    [anon_sym_reset] = ACTIONS(1157),
    [anon_sym_rand] = ACTIONS(1157),
    [anon_sym_rmdir] = ACTIONS(1157),
    [anon_sym_readdir] = ACTIONS(1157),
    [anon_sym_readline] = ACTIONS(1157),
    [anon_sym_readpipe] = ACTIONS(1157),
    [anon_sym_rewinddir] = ACTIONS(1157),
    [anon_sym_readlink] = ACTIONS(1157),
    [anon_sym_ref] = ACTIONS(1157),
    [anon_sym_scalar] = ACTIONS(1157),
    [anon_sym_shift] = ACTIONS(1157),
    [anon_sym_sin] = ACTIONS(1157),
    [anon_sym_sleep] = ACTIONS(1157),
    [anon_sym_sqrt] = ACTIONS(1157),
    [anon_sym_srand] = ACTIONS(1157),
    [anon_sym_stat] = ACTIONS(1157),
    [anon_sym_study] = ACTIONS(1157),
    [anon_sym_tell] = ACTIONS(1157),
    [anon_sym_telldir] = ACTIONS(1157),
    [anon_sym_tied] = ACTIONS(1157),
    [anon_sym_uc] = ACTIONS(1157),
    [anon_sym_ucfirst] = ACTIONS(1157),
    [anon_sym_untie] = ACTIONS(1157),
    [anon_sym_umask] = ACTIONS(1157),
    [anon_sym_values] = ACTIONS(1157),
    [anon_sym_write] = ACTIONS(1157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(872),
    [anon_sym_qq] = ACTIONS(874),
    [anon_sym_qw] = ACTIONS(876),
    [anon_sym_qx] = ACTIONS(878),
    [anon_sym_qr] = ACTIONS(880),
    [anon_sym_m] = ACTIONS(882),
    [anon_sym_s] = ACTIONS(884),
    [anon_sym_tr] = ACTIONS(886),
    [anon_sym_y] = ACTIONS(886),
    [aux_sym__bareword_token1] = ACTIONS(888),
    [sym_number] = ACTIONS(890),
    [anon_sym_true] = ACTIONS(892),
    [anon_sym_false] = ACTIONS(892),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(896),
    [sym__filetest] = ACTIONS(1159),
  },
  [648] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1312),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(648),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [649] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1310),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(370),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(649),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(225),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(225),
    [anon_sym_our] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(227),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_BSLASH] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(231),
    [anon_sym_eval] = ACTIONS(233),
    [anon_sym_await] = ACTIONS(235),
    [anon_sym_field] = ACTIONS(225),
    [anon_sym_local] = ACTIONS(237),
    [anon_sym_dynamically] = ACTIONS(237),
    [anon_sym_require] = ACTIONS(239),
    [anon_sym_map] = ACTIONS(241),
    [anon_sym_grep] = ACTIONS(241),
    [anon_sym_sort] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym_return] = ACTIONS(247),
    [anon_sym_undef] = ACTIONS(249),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(251),
    [anon_sym_next] = ACTIONS(251),
    [anon_sym_redo] = ACTIONS(251),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(253),
    [anon_sym_alarm] = ACTIONS(253),
    [anon_sym_chop] = ACTIONS(253),
    [anon_sym_chdir] = ACTIONS(253),
    [anon_sym_close] = ACTIONS(253),
    [anon_sym_closedir] = ACTIONS(253),
    [anon_sym_caller] = ACTIONS(253),
    [anon_sym_chomp] = ACTIONS(253),
    [anon_sym_chr] = ACTIONS(253),
    [anon_sym_cos] = ACTIONS(253),
    [anon_sym_chroot] = ACTIONS(253),
    [anon_sym_defined] = ACTIONS(253),
    [anon_sym_delete] = ACTIONS(253),
    [anon_sym_dbmclose] = ACTIONS(253),
    [anon_sym_exists] = ACTIONS(253),
    [anon_sym_exit] = ACTIONS(253),
    [anon_sym_eof] = ACTIONS(253),
    [anon_sym_exp] = ACTIONS(253),
    [anon_sym_each] = ACTIONS(253),
    [anon_sym_fc] = ACTIONS(253),
    [anon_sym_fileno] = ACTIONS(253),
    [anon_sym_gmtime] = ACTIONS(253),
    [anon_sym_getc] = ACTIONS(253),
    [anon_sym_getpgrp] = ACTIONS(253),
    [anon_sym_getprotobyname] = ACTIONS(253),
    [anon_sym_getpwname] = ACTIONS(253),
    [anon_sym_getpwuid] = ACTIONS(253),
    [anon_sym_getpeername] = ACTIONS(253),
    [anon_sym_getnetbyname] = ACTIONS(253),
    [anon_sym_getsockname] = ACTIONS(253),
    [anon_sym_getgrnam] = ACTIONS(253),
    [anon_sym_getgrgid] = ACTIONS(253),
    [anon_sym_hex] = ACTIONS(253),
    [anon_sym_int] = ACTIONS(253),
    [anon_sym_keys] = ACTIONS(253),
    [anon_sym_lc] = ACTIONS(253),
    [anon_sym_lcfirst] = ACTIONS(253),
    [anon_sym_length] = ACTIONS(253),
    [anon_sym_localtime] = ACTIONS(253),
    [anon_sym_log] = ACTIONS(253),
    [anon_sym_lock] = ACTIONS(253),
    [anon_sym_lstat] = ACTIONS(253),
    [anon_sym_oct] = ACTIONS(253),
    [anon_sym_ord] = ACTIONS(253),
    [anon_sym_prototype] = ACTIONS(253),
    [anon_sym_pop] = ACTIONS(253),
    [anon_sym_pos] = ACTIONS(253),
    [anon_sym_quotemeta] = ACTIONS(253),
    [anon_sym_reset] = ACTIONS(253),
    [anon_sym_rand] = ACTIONS(253),
    [anon_sym_rmdir] = ACTIONS(253),
    [anon_sym_readdir] = ACTIONS(253),
    [anon_sym_readline] = ACTIONS(253),
    [anon_sym_readpipe] = ACTIONS(253),
    [anon_sym_rewinddir] = ACTIONS(253),
    [anon_sym_readlink] = ACTIONS(253),
    [anon_sym_ref] = ACTIONS(253),
    [anon_sym_scalar] = ACTIONS(253),
    [anon_sym_shift] = ACTIONS(253),
    [anon_sym_sin] = ACTIONS(253),
    [anon_sym_sleep] = ACTIONS(253),
    [anon_sym_sqrt] = ACTIONS(253),
    [anon_sym_srand] = ACTIONS(253),
    [anon_sym_stat] = ACTIONS(253),
    [anon_sym_study] = ACTIONS(253),
    [anon_sym_tell] = ACTIONS(253),
    [anon_sym_telldir] = ACTIONS(253),
    [anon_sym_tied] = ACTIONS(253),
    [anon_sym_uc] = ACTIONS(253),
    [anon_sym_ucfirst] = ACTIONS(253),
    [anon_sym_untie] = ACTIONS(253),
    [anon_sym_umask] = ACTIONS(253),
    [anon_sym_values] = ACTIONS(253),
    [anon_sym_write] = ACTIONS(253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(255),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(257),
  },
  [650] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1180),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(650),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [651] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1429),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(651),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [652] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1431),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(652),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [653] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1185),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(653),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [654] = {
    [sym__PERLY_BRACE_OPEN] = STATE(204),
    [sym__subscripted] = STATE(1281),
    [sym_container_variable] = STATE(3442),
    [sym_array_element_expression] = STATE(1282),
    [sym_hash_element_expression] = STATE(1282),
    [sym_coderef_call_expression] = STATE(1282),
    [sym_anonymous_slice_expression] = STATE(1282),
    [sym_slice_container_variable] = STATE(3443),
    [sym_slice_expression] = STATE(1504),
    [sym_keyval_container_variable] = STATE(3444),
    [sym_keyval_expression] = STATE(1504),
    [sym__term] = STATE(1428),
    [sym_readline_expression] = STATE(1504),
    [sym_assignment_expression] = STATE(1504),
    [sym_binary_expression] = STATE(1504),
    [sym_equality_expression] = STATE(1504),
    [sym_relational_expression] = STATE(1504),
    [sym_unary_expression] = STATE(1504),
    [sym_preinc_expression] = STATE(1504),
    [sym_postinc_expression] = STATE(1504),
    [sym_conditional_expression] = STATE(1504),
    [sym_refgen_expression] = STATE(1504),
    [sym_anonymous_array_expression] = STATE(1504),
    [sym_anonymous_hash_expression] = STATE(1504),
    [sym_anonymous_subroutine_expression] = STATE(1504),
    [sym_anonymous_method_expression] = STATE(1504),
    [sym_do_expression] = STATE(1504),
    [sym_eval_expression] = STATE(1504),
    [sym_await_expression] = STATE(1504),
    [sym_variable_declaration] = STATE(1504),
    [sym_localization_expression] = STATE(1504),
    [sym_stub_expression] = STATE(1504),
    [sym_scalar_deref_expression] = STATE(1504),
    [sym_array_deref_expression] = STATE(1504),
    [sym_hash_deref_expression] = STATE(1504),
    [sym_amper_deref_expression] = STATE(1504),
    [sym_glob_deref_expression] = STATE(1504),
    [sym_require_expression] = STATE(1504),
    [sym_func0op_call_expression] = STATE(1504),
    [sym_func1op_call_expression] = STATE(1504),
    [sym_map_grep_expression] = STATE(1504),
    [sym_sort_expression] = STATE(1504),
    [sym_loopex_expression] = STATE(1504),
    [sym_goto_expression] = STATE(1504),
    [sym_return_expression] = STATE(1504),
    [sym_undef_expression] = STATE(1504),
    [sym__listop] = STATE(1504),
    [sym_function_call_expression] = STATE(1509),
    [sym_ambiguous_function_call_expression] = STATE(1509),
    [sym_function] = STATE(374),
    [sym_method_call_expression] = STATE(1509),
    [sym_scalar] = STATE(1504),
    [sym_array] = STATE(1504),
    [sym_hash] = STATE(1504),
    [sym_arraylen] = STATE(1504),
    [sym_glob] = STATE(1504),
    [sym__literal] = STATE(1504),
    [sym__apostrophe] = STATE(2855),
    [sym__quotation_mark] = STATE(2248),
    [sym__backtick] = STATE(2249),
    [sym__search_slash] = STATE(2226),
    [sym_string_literal] = STATE(1511),
    [sym_interpolated_string_literal] = STATE(1511),
    [sym_quoted_word_list] = STATE(1378),
    [sym_command_string] = STATE(1511),
    [sym_quoted_regexp] = STATE(1511),
    [sym_match_regexp] = STATE(1511),
    [sym_substitution_regexp] = STATE(1511),
    [sym_transliteration_expression] = STATE(1511),
    [sym_heredoc_token] = STATE(1504),
    [sym_command_heredoc_token] = STATE(1504),
    [sym_heredoc_content] = STATE(654),
    [sym_autoquoted_bareword] = STATE(1504),
    [sym_bareword] = STATE(1504),
    [sym_primitive] = STATE(1504),
    [sym_boolean] = STATE(1494),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3013),
    [sym__identifier] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(270),
    [anon_sym_AT] = ACTIONS(272),
    [anon_sym_my] = ACTIONS(274),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(276),
    [anon_sym_method] = ACTIONS(278),
    [anon_sym_LPAREN] = ACTIONS(280),
    [anon_sym_continue] = ACTIONS(282),
    [anon_sym_state] = ACTIONS(274),
    [anon_sym_our] = ACTIONS(274),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_SLASH_SLASH] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(286),
    [anon_sym_DASH] = ACTIONS(1417),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(286),
    [anon_sym_BANG] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(288),
    [anon_sym_do] = ACTIONS(290),
    [anon_sym_eval] = ACTIONS(292),
    [anon_sym_await] = ACTIONS(294),
    [anon_sym_field] = ACTIONS(274),
    [anon_sym_local] = ACTIONS(296),
    [anon_sym_dynamically] = ACTIONS(296),
    [anon_sym_require] = ACTIONS(298),
    [anon_sym_map] = ACTIONS(300),
    [anon_sym_grep] = ACTIONS(300),
    [anon_sym_sort] = ACTIONS(302),
    [anon_sym_goto] = ACTIONS(304),
    [anon_sym_return] = ACTIONS(306),
    [anon_sym_undef] = ACTIONS(308),
    [anon_sym_PERCENT2] = ACTIONS(310),
    [anon_sym_DOLLAR_POUND] = ACTIONS(312),
    [anon_sym_last] = ACTIONS(314),
    [anon_sym_next] = ACTIONS(314),
    [anon_sym_redo] = ACTIONS(314),
    [anon_sym___FILE__] = ACTIONS(282),
    [anon_sym___LINE__] = ACTIONS(282),
    [anon_sym___PACKAGE__] = ACTIONS(282),
    [anon_sym___SUB__] = ACTIONS(282),
    [anon_sym_break] = ACTIONS(282),
    [anon_sym_fork] = ACTIONS(282),
    [anon_sym_getppid] = ACTIONS(282),
    [anon_sym_time] = ACTIONS(282),
    [anon_sym_times] = ACTIONS(282),
    [anon_sym_wait] = ACTIONS(282),
    [anon_sym_wantarray] = ACTIONS(282),
    [anon_sym_abs] = ACTIONS(316),
    [anon_sym_alarm] = ACTIONS(316),
    [anon_sym_chop] = ACTIONS(316),
    [anon_sym_chdir] = ACTIONS(316),
    [anon_sym_close] = ACTIONS(316),
    [anon_sym_closedir] = ACTIONS(316),
    [anon_sym_caller] = ACTIONS(316),
    [anon_sym_chomp] = ACTIONS(316),
    [anon_sym_chr] = ACTIONS(316),
    [anon_sym_cos] = ACTIONS(316),
    [anon_sym_chroot] = ACTIONS(316),
    [anon_sym_defined] = ACTIONS(316),
    [anon_sym_delete] = ACTIONS(316),
    [anon_sym_dbmclose] = ACTIONS(316),
    [anon_sym_exists] = ACTIONS(316),
    [anon_sym_exit] = ACTIONS(316),
    [anon_sym_eof] = ACTIONS(316),
    [anon_sym_exp] = ACTIONS(316),
    [anon_sym_each] = ACTIONS(316),
    [anon_sym_fc] = ACTIONS(316),
    [anon_sym_fileno] = ACTIONS(316),
    [anon_sym_gmtime] = ACTIONS(316),
    [anon_sym_getc] = ACTIONS(316),
    [anon_sym_getpgrp] = ACTIONS(316),
    [anon_sym_getprotobyname] = ACTIONS(316),
    [anon_sym_getpwname] = ACTIONS(316),
    [anon_sym_getpwuid] = ACTIONS(316),
    [anon_sym_getpeername] = ACTIONS(316),
    [anon_sym_getnetbyname] = ACTIONS(316),
    [anon_sym_getsockname] = ACTIONS(316),
    [anon_sym_getgrnam] = ACTIONS(316),
    [anon_sym_getgrgid] = ACTIONS(316),
    [anon_sym_hex] = ACTIONS(316),
    [anon_sym_int] = ACTIONS(316),
    [anon_sym_keys] = ACTIONS(316),
    [anon_sym_lc] = ACTIONS(316),
    [anon_sym_lcfirst] = ACTIONS(316),
    [anon_sym_length] = ACTIONS(316),
    [anon_sym_localtime] = ACTIONS(316),
    [anon_sym_log] = ACTIONS(316),
    [anon_sym_lock] = ACTIONS(316),
    [anon_sym_lstat] = ACTIONS(316),
    [anon_sym_oct] = ACTIONS(316),
    [anon_sym_ord] = ACTIONS(316),
    [anon_sym_prototype] = ACTIONS(316),
    [anon_sym_pop] = ACTIONS(316),
    [anon_sym_pos] = ACTIONS(316),
    [anon_sym_quotemeta] = ACTIONS(316),
    [anon_sym_reset] = ACTIONS(316),
    [anon_sym_rand] = ACTIONS(316),
    [anon_sym_rmdir] = ACTIONS(316),
    [anon_sym_readdir] = ACTIONS(316),
    [anon_sym_readline] = ACTIONS(316),
    [anon_sym_readpipe] = ACTIONS(316),
    [anon_sym_rewinddir] = ACTIONS(316),
    [anon_sym_readlink] = ACTIONS(316),
    [anon_sym_ref] = ACTIONS(316),
    [anon_sym_scalar] = ACTIONS(316),
    [anon_sym_shift] = ACTIONS(316),
    [anon_sym_sin] = ACTIONS(316),
    [anon_sym_sleep] = ACTIONS(316),
    [anon_sym_sqrt] = ACTIONS(316),
    [anon_sym_srand] = ACTIONS(316),
    [anon_sym_stat] = ACTIONS(316),
    [anon_sym_study] = ACTIONS(316),
    [anon_sym_tell] = ACTIONS(316),
    [anon_sym_telldir] = ACTIONS(316),
    [anon_sym_tied] = ACTIONS(316),
    [anon_sym_uc] = ACTIONS(316),
    [anon_sym_ucfirst] = ACTIONS(316),
    [anon_sym_untie] = ACTIONS(316),
    [anon_sym_umask] = ACTIONS(316),
    [anon_sym_values] = ACTIONS(316),
    [anon_sym_write] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(318),
    [anon_sym_qq] = ACTIONS(320),
    [anon_sym_qw] = ACTIONS(322),
    [anon_sym_qx] = ACTIONS(324),
    [anon_sym_qr] = ACTIONS(326),
    [anon_sym_m] = ACTIONS(328),
    [anon_sym_s] = ACTIONS(330),
    [anon_sym_tr] = ACTIONS(332),
    [anon_sym_y] = ACTIONS(332),
    [aux_sym__bareword_token1] = ACTIONS(334),
    [sym_number] = ACTIONS(336),
    [anon_sym_true] = ACTIONS(338),
    [anon_sym_false] = ACTIONS(338),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(342),
    [sym__filetest] = ACTIONS(344),
  },
  [655] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1196),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(655),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [656] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1197),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(656),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [657] = {
    [sym__PERLY_BRACE_OPEN] = STATE(219),
    [sym__subscripted] = STATE(1032),
    [sym_container_variable] = STATE(3406),
    [sym_array_element_expression] = STATE(1025),
    [sym_hash_element_expression] = STATE(1025),
    [sym_coderef_call_expression] = STATE(1025),
    [sym_anonymous_slice_expression] = STATE(1025),
    [sym_slice_container_variable] = STATE(3405),
    [sym_slice_expression] = STATE(1173),
    [sym_keyval_container_variable] = STATE(3415),
    [sym_keyval_expression] = STATE(1173),
    [sym__term] = STATE(1199),
    [sym_readline_expression] = STATE(1173),
    [sym_assignment_expression] = STATE(1173),
    [sym_binary_expression] = STATE(1173),
    [sym_equality_expression] = STATE(1173),
    [sym_relational_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1173),
    [sym_preinc_expression] = STATE(1173),
    [sym_postinc_expression] = STATE(1173),
    [sym_conditional_expression] = STATE(1173),
    [sym_refgen_expression] = STATE(1173),
    [sym_anonymous_array_expression] = STATE(1173),
    [sym_anonymous_hash_expression] = STATE(1173),
    [sym_anonymous_subroutine_expression] = STATE(1173),
    [sym_anonymous_method_expression] = STATE(1173),
    [sym_do_expression] = STATE(1173),
    [sym_eval_expression] = STATE(1173),
    [sym_await_expression] = STATE(1173),
    [sym_variable_declaration] = STATE(1173),
    [sym_localization_expression] = STATE(1173),
    [sym_stub_expression] = STATE(1173),
    [sym_scalar_deref_expression] = STATE(1173),
    [sym_array_deref_expression] = STATE(1173),
    [sym_hash_deref_expression] = STATE(1173),
    [sym_amper_deref_expression] = STATE(1173),
    [sym_glob_deref_expression] = STATE(1173),
    [sym_require_expression] = STATE(1173),
    [sym_func0op_call_expression] = STATE(1173),
    [sym_func1op_call_expression] = STATE(1173),
    [sym_map_grep_expression] = STATE(1173),
    [sym_sort_expression] = STATE(1173),
    [sym_loopex_expression] = STATE(1173),
    [sym_goto_expression] = STATE(1173),
    [sym_return_expression] = STATE(1173),
    [sym_undef_expression] = STATE(1173),
    [sym__listop] = STATE(1173),
    [sym_function_call_expression] = STATE(1099),
    [sym_ambiguous_function_call_expression] = STATE(1099),
    [sym_function] = STATE(375),
    [sym_method_call_expression] = STATE(1099),
    [sym_scalar] = STATE(1173),
    [sym_array] = STATE(1173),
    [sym_hash] = STATE(1173),
    [sym_arraylen] = STATE(1173),
    [sym_glob] = STATE(1173),
    [sym__literal] = STATE(1173),
    [sym__apostrophe] = STATE(2916),
    [sym__quotation_mark] = STATE(2294),
    [sym__backtick] = STATE(2296),
    [sym__search_slash] = STATE(2235),
    [sym_string_literal] = STATE(1115),
    [sym_interpolated_string_literal] = STATE(1115),
    [sym_quoted_word_list] = STATE(1068),
    [sym_command_string] = STATE(1115),
    [sym_quoted_regexp] = STATE(1115),
    [sym_match_regexp] = STATE(1115),
    [sym_substitution_regexp] = STATE(1115),
    [sym_transliteration_expression] = STATE(1115),
    [sym_heredoc_token] = STATE(1173),
    [sym_command_heredoc_token] = STATE(1173),
    [sym_heredoc_content] = STATE(657),
    [sym_autoquoted_bareword] = STATE(1173),
    [sym_bareword] = STATE(1173),
    [sym_primitive] = STATE(1173),
    [sym_boolean] = STATE(1223),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3005),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(153),
    [anon_sym_method] = ACTIONS(155),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT] = ACTIONS(51),
    [anon_sym_LT_LT] = ACTIONS(53),
    [anon_sym_SLASH_SLASH] = ACTIONS(55),
    [anon_sym_PLUS] = ACTIONS(57),
    [anon_sym_DASH] = ACTIONS(59),
    [anon_sym_STAR] = ACTIONS(61),
    [anon_sym_TILDE] = ACTIONS(57),
    [anon_sym_BANG] = ACTIONS(57),
    [anon_sym_PLUS_PLUS] = ACTIONS(63),
    [anon_sym_DASH_DASH] = ACTIONS(63),
    [anon_sym_BSLASH] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_eval] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(71),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(73),
    [anon_sym_dynamically] = ACTIONS(73),
    [anon_sym_require] = ACTIONS(75),
    [anon_sym_map] = ACTIONS(77),
    [anon_sym_grep] = ACTIONS(77),
    [anon_sym_sort] = ACTIONS(79),
    [anon_sym_goto] = ACTIONS(81),
    [anon_sym_return] = ACTIONS(83),
    [anon_sym_undef] = ACTIONS(85),
    [anon_sym_PERCENT2] = ACTIONS(87),
    [anon_sym_DOLLAR_POUND] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(143),
    [sym__filetest] = ACTIONS(145),
  },
  [658] = {
    [sym__PERLY_BRACE_OPEN] = STATE(210),
    [sym__subscripted] = STATE(1636),
    [sym_container_variable] = STATE(3453),
    [sym_array_element_expression] = STATE(1644),
    [sym_hash_element_expression] = STATE(1644),
    [sym_coderef_call_expression] = STATE(1644),
    [sym_anonymous_slice_expression] = STATE(1644),
    [sym_slice_container_variable] = STATE(3454),
    [sym_slice_expression] = STATE(2012),
    [sym_keyval_container_variable] = STATE(3455),
    [sym_keyval_expression] = STATE(2012),
    [sym__term] = STATE(2144),
    [sym_readline_expression] = STATE(2012),
    [sym_assignment_expression] = STATE(2012),
    [sym_binary_expression] = STATE(2012),
    [sym_equality_expression] = STATE(2012),
    [sym_relational_expression] = STATE(2012),
    [sym_unary_expression] = STATE(2012),
    [sym_preinc_expression] = STATE(2012),
    [sym_postinc_expression] = STATE(2012),
    [sym_conditional_expression] = STATE(2012),
    [sym_refgen_expression] = STATE(2012),
    [sym_anonymous_array_expression] = STATE(2012),
    [sym_anonymous_hash_expression] = STATE(2012),
    [sym_anonymous_subroutine_expression] = STATE(2012),
    [sym_anonymous_method_expression] = STATE(2012),
    [sym_do_expression] = STATE(2012),
    [sym_eval_expression] = STATE(2012),
    [sym_await_expression] = STATE(2012),
    [sym_variable_declaration] = STATE(2012),
    [sym_localization_expression] = STATE(2012),
    [sym_stub_expression] = STATE(2012),
    [sym_scalar_deref_expression] = STATE(2012),
    [sym_array_deref_expression] = STATE(2012),
    [sym_hash_deref_expression] = STATE(2012),
    [sym_amper_deref_expression] = STATE(2012),
    [sym_glob_deref_expression] = STATE(2012),
    [sym_require_expression] = STATE(2012),
    [sym_func0op_call_expression] = STATE(2012),
    [sym_func1op_call_expression] = STATE(2012),
    [sym_map_grep_expression] = STATE(2012),
    [sym_sort_expression] = STATE(2012),
    [sym_loopex_expression] = STATE(2012),
    [sym_goto_expression] = STATE(2012),
    [sym_return_expression] = STATE(2012),
    [sym_undef_expression] = STATE(2012),
    [sym__listop] = STATE(2012),
    [sym_function_call_expression] = STATE(2033),
    [sym_ambiguous_function_call_expression] = STATE(2033),
    [sym_function] = STATE(372),
    [sym_method_call_expression] = STATE(2033),
    [sym_scalar] = STATE(2012),
    [sym_array] = STATE(2012),
    [sym_hash] = STATE(2012),
    [sym_arraylen] = STATE(2012),
    [sym_glob] = STATE(2012),
    [sym__literal] = STATE(2012),
    [sym__apostrophe] = STATE(2956),
    [sym__quotation_mark] = STATE(2272),
    [sym__backtick] = STATE(2273),
    [sym__search_slash] = STATE(2233),
    [sym_string_literal] = STATE(2036),
    [sym_interpolated_string_literal] = STATE(2036),
    [sym_quoted_word_list] = STATE(1856),
    [sym_command_string] = STATE(2036),
    [sym_quoted_regexp] = STATE(2036),
    [sym_match_regexp] = STATE(2036),
    [sym_substitution_regexp] = STATE(2036),
    [sym_transliteration_expression] = STATE(2036),
    [sym_heredoc_token] = STATE(2012),
    [sym_command_heredoc_token] = STATE(2012),
    [sym_heredoc_content] = STATE(658),
    [sym_autoquoted_bareword] = STATE(2012),
    [sym_bareword] = STATE(2012),
    [sym_primitive] = STATE(2012),
    [sym_boolean] = STATE(1984),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(2999),
    [sym__identifier] = ACTIONS(966),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_DOLLAR] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_my] = ACTIONS(906),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(908),
    [anon_sym_method] = ACTIONS(910),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_state] = ACTIONS(906),
    [anon_sym_our] = ACTIONS(906),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_SLASH_SLASH] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1441),
    [anon_sym_BSLASH] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(922),
    [anon_sym_eval] = ACTIONS(924),
    [anon_sym_await] = ACTIONS(926),
    [anon_sym_field] = ACTIONS(906),
    [anon_sym_local] = ACTIONS(928),
    [anon_sym_dynamically] = ACTIONS(928),
    [anon_sym_require] = ACTIONS(930),
    [anon_sym_map] = ACTIONS(932),
    [anon_sym_grep] = ACTIONS(932),
    [anon_sym_sort] = ACTIONS(934),
    [anon_sym_goto] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(938),
    [anon_sym_undef] = ACTIONS(940),
    [anon_sym_PERCENT2] = ACTIONS(942),
    [anon_sym_DOLLAR_POUND] = ACTIONS(944),
    [anon_sym_last] = ACTIONS(946),
    [anon_sym_next] = ACTIONS(946),
    [anon_sym_redo] = ACTIONS(946),
    [anon_sym___FILE__] = ACTIONS(914),
    [anon_sym___LINE__] = ACTIONS(914),
    [anon_sym___PACKAGE__] = ACTIONS(914),
    [anon_sym___SUB__] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_fork] = ACTIONS(914),
    [anon_sym_getppid] = ACTIONS(914),
    [anon_sym_time] = ACTIONS(914),
    [anon_sym_times] = ACTIONS(914),
    [anon_sym_wait] = ACTIONS(914),
    [anon_sym_wantarray] = ACTIONS(914),
    [anon_sym_abs] = ACTIONS(948),
    [anon_sym_alarm] = ACTIONS(948),
    [anon_sym_chop] = ACTIONS(948),
    [anon_sym_chdir] = ACTIONS(948),
    [anon_sym_close] = ACTIONS(948),
    [anon_sym_closedir] = ACTIONS(948),
    [anon_sym_caller] = ACTIONS(948),
    [anon_sym_chomp] = ACTIONS(948),
    [anon_sym_chr] = ACTIONS(948),
    [anon_sym_cos] = ACTIONS(948),
    [anon_sym_chroot] = ACTIONS(948),
    [anon_sym_defined] = ACTIONS(948),
    [anon_sym_delete] = ACTIONS(948),
    [anon_sym_dbmclose] = ACTIONS(948),
    [anon_sym_exists] = ACTIONS(948),
    [anon_sym_exit] = ACTIONS(948),
    [anon_sym_eof] = ACTIONS(948),
    [anon_sym_exp] = ACTIONS(948),
    [anon_sym_each] = ACTIONS(948),
    [anon_sym_fc] = ACTIONS(948),
    [anon_sym_fileno] = ACTIONS(948),
    [anon_sym_gmtime] = ACTIONS(948),
    [anon_sym_getc] = ACTIONS(948),
    [anon_sym_getpgrp] = ACTIONS(948),
    [anon_sym_getprotobyname] = ACTIONS(948),
    [anon_sym_getpwname] = ACTIONS(948),
    [anon_sym_getpwuid] = ACTIONS(948),
    [anon_sym_getpeername] = ACTIONS(948),
    [anon_sym_getnetbyname] = ACTIONS(948),
    [anon_sym_getsockname] = ACTIONS(948),
    [anon_sym_getgrnam] = ACTIONS(948),
    [anon_sym_getgrgid] = ACTIONS(948),
    [anon_sym_hex] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_keys] = ACTIONS(948),
    [anon_sym_lc] = ACTIONS(948),
    [anon_sym_lcfirst] = ACTIONS(948),
    [anon_sym_length] = ACTIONS(948),
    [anon_sym_localtime] = ACTIONS(948),
    [anon_sym_log] = ACTIONS(948),
    [anon_sym_lock] = ACTIONS(948),
    [anon_sym_lstat] = ACTIONS(948),
    [anon_sym_oct] = ACTIONS(948),
    [anon_sym_ord] = ACTIONS(948),
    [anon_sym_prototype] = ACTIONS(948),
    [anon_sym_pop] = ACTIONS(948),
    [anon_sym_pos] = ACTIONS(948),
    [anon_sym_quotemeta] = ACTIONS(948),
    [anon_sym_reset] = ACTIONS(948),
    [anon_sym_rand] = ACTIONS(948),
    [anon_sym_rmdir] = ACTIONS(948),
    [anon_sym_readdir] = ACTIONS(948),
    [anon_sym_readline] = ACTIONS(948),
    [anon_sym_readpipe] = ACTIONS(948),
    [anon_sym_rewinddir] = ACTIONS(948),
    [anon_sym_readlink] = ACTIONS(948),
    [anon_sym_ref] = ACTIONS(948),
    [anon_sym_scalar] = ACTIONS(948),
    [anon_sym_shift] = ACTIONS(948),
    [anon_sym_sin] = ACTIONS(948),
    [anon_sym_sleep] = ACTIONS(948),
    [anon_sym_sqrt] = ACTIONS(948),
    [anon_sym_srand] = ACTIONS(948),
    [anon_sym_stat] = ACTIONS(948),
    [anon_sym_study] = ACTIONS(948),
    [anon_sym_tell] = ACTIONS(948),
    [anon_sym_telldir] = ACTIONS(948),
    [anon_sym_tied] = ACTIONS(948),
    [anon_sym_uc] = ACTIONS(948),
    [anon_sym_ucfirst] = ACTIONS(948),
    [anon_sym_untie] = ACTIONS(948),
    [anon_sym_umask] = ACTIONS(948),
    [anon_sym_values] = ACTIONS(948),
    [anon_sym_write] = ACTIONS(948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(950),
    [anon_sym_qq] = ACTIONS(952),
    [anon_sym_qw] = ACTIONS(954),
    [anon_sym_qx] = ACTIONS(956),
    [anon_sym_qr] = ACTIONS(958),
    [anon_sym_m] = ACTIONS(960),
    [anon_sym_s] = ACTIONS(962),
    [anon_sym_tr] = ACTIONS(964),
    [anon_sym_y] = ACTIONS(964),
    [aux_sym__bareword_token1] = ACTIONS(966),
    [sym_number] = ACTIONS(968),
    [anon_sym_true] = ACTIONS(970),
    [anon_sym_false] = ACTIONS(970),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__PERLY_HEREDOC] = ACTIONS(972),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(974),
    [sym__filetest] = ACTIONS(976),
  },
  [659] = {
    [sym_heredoc_content] = STATE(659),
    [sym__identifier] = ACTIONS(1736),
    [anon_sym_LBRACE] = ACTIONS(1736),
    [anon_sym_RBRACE] = ACTIONS(1736),
    [anon_sym_SEMI] = ACTIONS(1736),
    [anon_sym_DOLLAR] = ACTIONS(1736),
    [anon_sym_EQ] = ACTIONS(1736),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1736),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1736),
    [anon_sym_AT] = ACTIONS(1736),
    [anon_sym_COMMA] = ACTIONS(1736),
    [anon_sym_my] = ACTIONS(1736),
    [anon_sym_extended] = ACTIONS(1736),
    [anon_sym_async] = ACTIONS(1736),
    [anon_sym_sub] = ACTIONS(1736),
    [anon_sym_method] = ACTIONS(1736),
    [anon_sym_LPAREN] = ACTIONS(1736),
    [anon_sym_continue] = ACTIONS(1736),
    [anon_sym_state] = ACTIONS(1736),
    [anon_sym_our] = ACTIONS(1736),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1736),
    [anon_sym_and] = ACTIONS(1736),
    [anon_sym_or] = ACTIONS(1736),
    [anon_sym_xor] = ACTIONS(1736),
    [anon_sym_LBRACK] = ACTIONS(1736),
    [anon_sym_DASH_GT] = ACTIONS(1736),
    [anon_sym_PERCENT] = ACTIONS(1736),
    [anon_sym_LT] = ACTIONS(1736),
    [anon_sym_GT] = ACTIONS(1736),
    [anon_sym_LT_LT] = ACTIONS(1736),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1736),
    [anon_sym_PLUS_EQ] = ACTIONS(1736),
    [anon_sym_DASH_EQ] = ACTIONS(1736),
    [anon_sym_DOT_EQ] = ACTIONS(1736),
    [anon_sym_STAR_EQ] = ACTIONS(1736),
    [anon_sym_SLASH_EQ] = ACTIONS(1736),
    [anon_sym_PERCENT_EQ] = ACTIONS(1736),
    [anon_sym_x_EQ] = ACTIONS(1736),
    [anon_sym_AMP_EQ] = ACTIONS(1736),
    [anon_sym_PIPE_EQ] = ACTIONS(1736),
    [anon_sym_CARET_EQ] = ACTIONS(1736),
    [anon_sym_LT_LT_EQ] = ACTIONS(1736),
    [anon_sym_GT_GT_EQ] = ACTIONS(1736),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1736),
    [anon_sym_DOT_DOT] = ACTIONS(1736),
    [anon_sym_STAR_STAR] = ACTIONS(1736),
    [anon_sym_PIPE_PIPE] = ACTIONS(1736),
    [anon_sym_SLASH_SLASH] = ACTIONS(1736),
    [anon_sym_CARET_CARET] = ACTIONS(1736),
    [anon_sym_AMP_AMP] = ACTIONS(1736),
    [anon_sym_PIPE] = ACTIONS(1736),
    [anon_sym_CARET] = ACTIONS(1736),
    [anon_sym_AMP] = ACTIONS(1736),
    [anon_sym_GT_GT2] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1736),
    [anon_sym_DOT] = ACTIONS(1736),
    [anon_sym_STAR] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1736),
    [anon_sym_x] = ACTIONS(1736),
    [anon_sym_EQ_TILDE] = ACTIONS(1736),
    [anon_sym_BANG_TILDE] = ACTIONS(1736),
    [anon_sym_EQ_EQ] = ACTIONS(1736),
    [anon_sym_BANG_EQ] = ACTIONS(1736),
    [anon_sym_eq] = ACTIONS(1736),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1736),
    [anon_sym_equ] = ACTIONS(1736),
    [anon_sym_eqr] = ACTIONS(1736),
    [anon_sym_ne] = ACTIONS(1736),
    [anon_sym_LT_EQ_GT] = ACTIONS(1736),
    [anon_sym_cmp] = ACTIONS(1736),
    [anon_sym_TILDE_TILDE] = ACTIONS(1736),
    [anon_sym_LT_EQ] = ACTIONS(1736),
    [anon_sym_GT_EQ] = ACTIONS(1736),
    [anon_sym_lt] = ACTIONS(1736),
    [anon_sym_le] = ACTIONS(1736),
    [anon_sym_ge] = ACTIONS(1736),
    [anon_sym_gt] = ACTIONS(1736),
    [anon_sym_isa] = ACTIONS(1736),
    [anon_sym_TILDE] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1736),
    [anon_sym_PLUS_PLUS] = ACTIONS(1736),
    [anon_sym_DASH_DASH] = ACTIONS(1736),
    [anon_sym_QMARK] = ACTIONS(1736),
    [anon_sym_BSLASH] = ACTIONS(1738),
    [anon_sym_do] = ACTIONS(1736),
    [anon_sym_eval] = ACTIONS(1736),
    [anon_sym_await] = ACTIONS(1736),
    [anon_sym_field] = ACTIONS(1736),
    [anon_sym_local] = ACTIONS(1736),
    [anon_sym_dynamically] = ACTIONS(1736),
    [anon_sym_require] = ACTIONS(1736),
    [anon_sym_map] = ACTIONS(1736),
    [anon_sym_grep] = ACTIONS(1736),
    [anon_sym_sort] = ACTIONS(1736),
    [anon_sym_goto] = ACTIONS(1736),
    [anon_sym_return] = ACTIONS(1736),
    [anon_sym_undef] = ACTIONS(1736),
    [anon_sym_PERCENT2] = ACTIONS(1736),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1736),
    [anon_sym_EQ_GT] = ACTIONS(1736),
    [anon_sym_for] = ACTIONS(1736),
    [anon_sym_foreach] = ACTIONS(1736),
    [anon_sym_last] = ACTIONS(1736),
    [anon_sym_next] = ACTIONS(1736),
    [anon_sym_redo] = ACTIONS(1736),
    [anon_sym___FILE__] = ACTIONS(1736),
    [anon_sym___LINE__] = ACTIONS(1736),
    [anon_sym___PACKAGE__] = ACTIONS(1736),
    [anon_sym___SUB__] = ACTIONS(1736),
    [anon_sym_break] = ACTIONS(1736),
    [anon_sym_fork] = ACTIONS(1736),
    [anon_sym_getppid] = ACTIONS(1736),
    [anon_sym_time] = ACTIONS(1736),
    [anon_sym_times] = ACTIONS(1736),
    [anon_sym_wait] = ACTIONS(1736),
    [anon_sym_wantarray] = ACTIONS(1736),
    [anon_sym_abs] = ACTIONS(1736),
    [anon_sym_alarm] = ACTIONS(1736),
    [anon_sym_chop] = ACTIONS(1736),
    [anon_sym_chdir] = ACTIONS(1736),
    [anon_sym_close] = ACTIONS(1736),
    [anon_sym_closedir] = ACTIONS(1736),
    [anon_sym_caller] = ACTIONS(1736),
    [anon_sym_chomp] = ACTIONS(1736),
    [anon_sym_chr] = ACTIONS(1736),
    [anon_sym_cos] = ACTIONS(1736),
    [anon_sym_chroot] = ACTIONS(1736),
    [anon_sym_defined] = ACTIONS(1736),
    [anon_sym_delete] = ACTIONS(1736),
    [anon_sym_dbmclose] = ACTIONS(1736),
    [anon_sym_exists] = ACTIONS(1736),
    [anon_sym_exit] = ACTIONS(1736),
    [anon_sym_eof] = ACTIONS(1736),
    [anon_sym_exp] = ACTIONS(1736),
    [anon_sym_each] = ACTIONS(1736),
    [anon_sym_fc] = ACTIONS(1736),
    [anon_sym_fileno] = ACTIONS(1736),
    [anon_sym_gmtime] = ACTIONS(1736),
    [anon_sym_getc] = ACTIONS(1736),
    [anon_sym_getpgrp] = ACTIONS(1736),
    [anon_sym_getprotobyname] = ACTIONS(1736),
    [anon_sym_getpwname] = ACTIONS(1736),
    [anon_sym_getpwuid] = ACTIONS(1736),
    [anon_sym_getpeername] = ACTIONS(1736),
    [anon_sym_getnetbyname] = ACTIONS(1736),
    [anon_sym_getsockname] = ACTIONS(1736),
    [anon_sym_getgrnam] = ACTIONS(1736),
    [anon_sym_getgrgid] = ACTIONS(1736),
    [anon_sym_hex] = ACTIONS(1736),
    [anon_sym_int] = ACTIONS(1736),
    [anon_sym_keys] = ACTIONS(1736),
    [anon_sym_lc] = ACTIONS(1736),
    [anon_sym_lcfirst] = ACTIONS(1736),
    [anon_sym_length] = ACTIONS(1736),
    [anon_sym_localtime] = ACTIONS(1736),
    [anon_sym_log] = ACTIONS(1736),
    [anon_sym_lock] = ACTIONS(1736),
    [anon_sym_lstat] = ACTIONS(1736),
    [anon_sym_oct] = ACTIONS(1736),
    [anon_sym_ord] = ACTIONS(1736),
    [anon_sym_prototype] = ACTIONS(1736),
    [anon_sym_pop] = ACTIONS(1736),
    [anon_sym_pos] = ACTIONS(1736),
    [anon_sym_quotemeta] = ACTIONS(1736),
    [anon_sym_reset] = ACTIONS(1736),
    [anon_sym_rand] = ACTIONS(1736),
    [anon_sym_rmdir] = ACTIONS(1736),
    [anon_sym_readdir] = ACTIONS(1736),
    [anon_sym_readline] = ACTIONS(1736),
    [anon_sym_readpipe] = ACTIONS(1736),
    [anon_sym_rewinddir] = ACTIONS(1736),
    [anon_sym_readlink] = ACTIONS(1736),
    [anon_sym_ref] = ACTIONS(1736),
    [anon_sym_scalar] = ACTIONS(1736),
    [anon_sym_shift] = ACTIONS(1736),
    [anon_sym_sin] = ACTIONS(1736),
    [anon_sym_sleep] = ACTIONS(1736),
    [anon_sym_sqrt] = ACTIONS(1736),
    [anon_sym_srand] = ACTIONS(1736),
    [anon_sym_stat] = ACTIONS(1736),
    [anon_sym_study] = ACTIONS(1736),
    [anon_sym_tell] = ACTIONS(1736),
    [anon_sym_telldir] = ACTIONS(1736),
    [anon_sym_tied] = ACTIONS(1736),
    [anon_sym_uc] = ACTIONS(1736),
    [anon_sym_ucfirst] = ACTIONS(1736),
    [anon_sym_untie] = ACTIONS(1736),
    [anon_sym_umask] = ACTIONS(1736),
    [anon_sym_values] = ACTIONS(1736),
    [anon_sym_write] = ACTIONS(1736),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1736),
    [anon_sym___END__] = ACTIONS(1736),
    [anon_sym_EOT] = ACTIONS(1736),
    [anon_sym_q] = ACTIONS(1736),
    [anon_sym_qq] = ACTIONS(1736),
    [anon_sym_qw] = ACTIONS(1736),
    [anon_sym_qx] = ACTIONS(1736),
    [anon_sym_qr] = ACTIONS(1736),
    [anon_sym_m] = ACTIONS(1736),
    [anon_sym_s] = ACTIONS(1736),
    [anon_sym_tr] = ACTIONS(1736),
    [anon_sym_y] = ACTIONS(1736),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_unless] = ACTIONS(1736),
    [anon_sym_while] = ACTIONS(1736),
    [anon_sym_until] = ACTIONS(1736),
    [aux_sym__bareword_token1] = ACTIONS(1736),
    [sym_number] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1736),
    [anon_sym_false] = ACTIONS(1736),
    [sym__single_quote] = ACTIONS(1738),
    [sym__double_quote] = ACTIONS(1738),
    [sym__backtick_quote] = ACTIONS(1738),
    [sym__search_slash_quote] = ACTIONS(1738),
    [sym__no_search_slash_plz] = ACTIONS(1738),
    [sym__PERLY_SEMICOLON] = ACTIONS(1738),
    [sym__PERLY_HEREDOC] = ACTIONS(1738),
    [sym__ctrl_z_hack] = ACTIONS(1738),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1738),
    [sym__filetest] = ACTIONS(1738),
  },
  [660] = {
    [sym_heredoc_content] = STATE(660),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1753),
  },
  [661] = {
    [sym_heredoc_content] = STATE(661),
    [sym__identifier] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_RBRACE] = ACTIONS(1755),
    [anon_sym_SEMI] = ACTIONS(1755),
    [anon_sym_DOLLAR] = ACTIONS(1755),
    [anon_sym_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1755),
    [anon_sym_AT] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_my] = ACTIONS(1755),
    [anon_sym_extended] = ACTIONS(1755),
    [anon_sym_async] = ACTIONS(1755),
    [anon_sym_sub] = ACTIONS(1755),
    [anon_sym_method] = ACTIONS(1755),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_continue] = ACTIONS(1755),
    [anon_sym_state] = ACTIONS(1755),
    [anon_sym_our] = ACTIONS(1755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1755),
    [anon_sym_and] = ACTIONS(1755),
    [anon_sym_or] = ACTIONS(1755),
    [anon_sym_xor] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1757),
    [anon_sym_DASH_GT] = ACTIONS(1755),
    [anon_sym_PERCENT] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1755),
    [anon_sym_PLUS_EQ] = ACTIONS(1755),
    [anon_sym_DASH_EQ] = ACTIONS(1755),
    [anon_sym_DOT_EQ] = ACTIONS(1755),
    [anon_sym_STAR_EQ] = ACTIONS(1755),
    [anon_sym_SLASH_EQ] = ACTIONS(1755),
    [anon_sym_PERCENT_EQ] = ACTIONS(1755),
    [anon_sym_x_EQ] = ACTIONS(1755),
    [anon_sym_AMP_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_CARET_EQ] = ACTIONS(1755),
    [anon_sym_LT_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_GT_EQ] = ACTIONS(1755),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1755),
    [anon_sym_DOT_DOT] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH] = ACTIONS(1755),
    [anon_sym_CARET_CARET] = ACTIONS(1755),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_GT_GT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1755),
    [anon_sym_x] = ACTIONS(1755),
    [anon_sym_EQ_TILDE] = ACTIONS(1755),
    [anon_sym_BANG_TILDE] = ACTIONS(1755),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_eq] = ACTIONS(1755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1755),
    [anon_sym_equ] = ACTIONS(1755),
    [anon_sym_eqr] = ACTIONS(1755),
    [anon_sym_ne] = ACTIONS(1755),
    [anon_sym_LT_EQ_GT] = ACTIONS(1755),
    [anon_sym_cmp] = ACTIONS(1755),
    [anon_sym_TILDE_TILDE] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_lt] = ACTIONS(1755),
    [anon_sym_le] = ACTIONS(1755),
    [anon_sym_ge] = ACTIONS(1755),
    [anon_sym_gt] = ACTIONS(1755),
    [anon_sym_isa] = ACTIONS(1755),
    [anon_sym_TILDE] = ACTIONS(1755),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_PLUS_PLUS] = ACTIONS(1755),
    [anon_sym_DASH_DASH] = ACTIONS(1755),
    [anon_sym_QMARK] = ACTIONS(1755),
    [anon_sym_BSLASH] = ACTIONS(1759),
    [anon_sym_do] = ACTIONS(1755),
    [anon_sym_eval] = ACTIONS(1755),
    [anon_sym_await] = ACTIONS(1755),
    [anon_sym_field] = ACTIONS(1755),
    [anon_sym_local] = ACTIONS(1755),
    [anon_sym_dynamically] = ACTIONS(1755),
    [anon_sym_require] = ACTIONS(1755),
    [anon_sym_map] = ACTIONS(1755),
    [anon_sym_grep] = ACTIONS(1755),
    [anon_sym_sort] = ACTIONS(1755),
    [anon_sym_goto] = ACTIONS(1755),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_undef] = ACTIONS(1755),
    [anon_sym_PERCENT2] = ACTIONS(1755),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(1755),
    [anon_sym_for] = ACTIONS(1755),
    [anon_sym_foreach] = ACTIONS(1755),
    [anon_sym_last] = ACTIONS(1755),
    [anon_sym_next] = ACTIONS(1755),
    [anon_sym_redo] = ACTIONS(1755),
    [anon_sym___FILE__] = ACTIONS(1755),
    [anon_sym___LINE__] = ACTIONS(1755),
    [anon_sym___PACKAGE__] = ACTIONS(1755),
    [anon_sym___SUB__] = ACTIONS(1755),
    [anon_sym_break] = ACTIONS(1755),
    [anon_sym_fork] = ACTIONS(1755),
    [anon_sym_getppid] = ACTIONS(1755),
    [anon_sym_time] = ACTIONS(1755),
    [anon_sym_times] = ACTIONS(1755),
    [anon_sym_wait] = ACTIONS(1755),
    [anon_sym_wantarray] = ACTIONS(1755),
    [anon_sym_abs] = ACTIONS(1755),
    [anon_sym_alarm] = ACTIONS(1755),
    [anon_sym_chop] = ACTIONS(1755),
    [anon_sym_chdir] = ACTIONS(1755),
    [anon_sym_close] = ACTIONS(1755),
    [anon_sym_closedir] = ACTIONS(1755),
    [anon_sym_caller] = ACTIONS(1755),
    [anon_sym_chomp] = ACTIONS(1755),
    [anon_sym_chr] = ACTIONS(1755),
    [anon_sym_cos] = ACTIONS(1755),
    [anon_sym_chroot] = ACTIONS(1755),
    [anon_sym_defined] = ACTIONS(1755),
    [anon_sym_delete] = ACTIONS(1755),
    [anon_sym_dbmclose] = ACTIONS(1755),
    [anon_sym_exists] = ACTIONS(1755),
    [anon_sym_exit] = ACTIONS(1755),
    [anon_sym_eof] = ACTIONS(1755),
    [anon_sym_exp] = ACTIONS(1755),
    [anon_sym_each] = ACTIONS(1755),
    [anon_sym_fc] = ACTIONS(1755),
    [anon_sym_fileno] = ACTIONS(1755),
    [anon_sym_gmtime] = ACTIONS(1755),
    [anon_sym_getc] = ACTIONS(1755),
    [anon_sym_getpgrp] = ACTIONS(1755),
    [anon_sym_getprotobyname] = ACTIONS(1755),
    [anon_sym_getpwname] = ACTIONS(1755),
    [anon_sym_getpwuid] = ACTIONS(1755),
    [anon_sym_getpeername] = ACTIONS(1755),
    [anon_sym_getnetbyname] = ACTIONS(1755),
    [anon_sym_getsockname] = ACTIONS(1755),
    [anon_sym_getgrnam] = ACTIONS(1755),
    [anon_sym_getgrgid] = ACTIONS(1755),
    [anon_sym_hex] = ACTIONS(1755),
    [anon_sym_int] = ACTIONS(1755),
    [anon_sym_keys] = ACTIONS(1755),
    [anon_sym_lc] = ACTIONS(1755),
    [anon_sym_lcfirst] = ACTIONS(1755),
    [anon_sym_length] = ACTIONS(1755),
    [anon_sym_localtime] = ACTIONS(1755),
    [anon_sym_log] = ACTIONS(1755),
    [anon_sym_lock] = ACTIONS(1755),
    [anon_sym_lstat] = ACTIONS(1755),
    [anon_sym_oct] = ACTIONS(1755),
    [anon_sym_ord] = ACTIONS(1755),
    [anon_sym_prototype] = ACTIONS(1755),
    [anon_sym_pop] = ACTIONS(1755),
    [anon_sym_pos] = ACTIONS(1755),
    [anon_sym_quotemeta] = ACTIONS(1755),
    [anon_sym_reset] = ACTIONS(1755),
    [anon_sym_rand] = ACTIONS(1755),
    [anon_sym_rmdir] = ACTIONS(1755),
    [anon_sym_readdir] = ACTIONS(1755),
    [anon_sym_readline] = ACTIONS(1755),
    [anon_sym_readpipe] = ACTIONS(1755),
    [anon_sym_rewinddir] = ACTIONS(1755),
    [anon_sym_readlink] = ACTIONS(1755),
    [anon_sym_ref] = ACTIONS(1755),
    [anon_sym_scalar] = ACTIONS(1755),
    [anon_sym_shift] = ACTIONS(1755),
    [anon_sym_sin] = ACTIONS(1755),
    [anon_sym_sleep] = ACTIONS(1755),
    [anon_sym_sqrt] = ACTIONS(1755),
    [anon_sym_srand] = ACTIONS(1755),
    [anon_sym_stat] = ACTIONS(1755),
    [anon_sym_study] = ACTIONS(1755),
    [anon_sym_tell] = ACTIONS(1755),
    [anon_sym_telldir] = ACTIONS(1755),
    [anon_sym_tied] = ACTIONS(1755),
    [anon_sym_uc] = ACTIONS(1755),
    [anon_sym_ucfirst] = ACTIONS(1755),
    [anon_sym_untie] = ACTIONS(1755),
    [anon_sym_umask] = ACTIONS(1755),
    [anon_sym_values] = ACTIONS(1755),
    [anon_sym_write] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1755),
    [anon_sym___END__] = ACTIONS(1755),
    [anon_sym_EOT] = ACTIONS(1755),
    [anon_sym_q] = ACTIONS(1755),
    [anon_sym_qq] = ACTIONS(1755),
    [anon_sym_qw] = ACTIONS(1755),
    [anon_sym_qx] = ACTIONS(1755),
    [anon_sym_qr] = ACTIONS(1755),
    [anon_sym_m] = ACTIONS(1755),
    [anon_sym_s] = ACTIONS(1755),
    [anon_sym_tr] = ACTIONS(1755),
    [anon_sym_y] = ACTIONS(1755),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_unless] = ACTIONS(1755),
    [anon_sym_while] = ACTIONS(1755),
    [anon_sym_until] = ACTIONS(1755),
    [aux_sym__bareword_token1] = ACTIONS(1755),
    [sym_number] = ACTIONS(1755),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [sym__single_quote] = ACTIONS(1759),
    [sym__double_quote] = ACTIONS(1759),
    [sym__backtick_quote] = ACTIONS(1759),
    [sym__search_slash_quote] = ACTIONS(1759),
    [sym__no_search_slash_plz] = ACTIONS(1759),
    [sym__PERLY_SEMICOLON] = ACTIONS(1759),
    [sym__PERLY_HEREDOC] = ACTIONS(1759),
    [sym__ctrl_z_hack] = ACTIONS(1759),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1759),
    [sym__filetest] = ACTIONS(1759),
  },
  [662] = {
    [sym_heredoc_content] = STATE(662),
    [sym__identifier] = ACTIONS(1761),
    [anon_sym_LBRACE] = ACTIONS(1761),
    [anon_sym_RBRACE] = ACTIONS(1761),
    [anon_sym_SEMI] = ACTIONS(1761),
    [anon_sym_DOLLAR] = ACTIONS(1761),
    [anon_sym_EQ] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1761),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1761),
    [anon_sym_AT] = ACTIONS(1761),
    [anon_sym_COMMA] = ACTIONS(1761),
    [anon_sym_my] = ACTIONS(1761),
    [anon_sym_extended] = ACTIONS(1761),
    [anon_sym_async] = ACTIONS(1761),
    [anon_sym_sub] = ACTIONS(1761),
    [anon_sym_method] = ACTIONS(1761),
    [anon_sym_LPAREN] = ACTIONS(1761),
    [anon_sym_continue] = ACTIONS(1761),
    [anon_sym_state] = ACTIONS(1761),
    [anon_sym_our] = ACTIONS(1761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_and] = ACTIONS(1761),
    [anon_sym_or] = ACTIONS(1761),
    [anon_sym_xor] = ACTIONS(1761),
    [anon_sym_LBRACK] = ACTIONS(1761),
    [anon_sym_DASH_GT] = ACTIONS(1761),
    [anon_sym_PERCENT] = ACTIONS(1761),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_GT] = ACTIONS(1761),
    [anon_sym_LT_LT] = ACTIONS(1761),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1761),
    [anon_sym_PLUS_EQ] = ACTIONS(1761),
    [anon_sym_DASH_EQ] = ACTIONS(1761),
    [anon_sym_DOT_EQ] = ACTIONS(1761),
    [anon_sym_STAR_EQ] = ACTIONS(1761),
    [anon_sym_SLASH_EQ] = ACTIONS(1761),
    [anon_sym_PERCENT_EQ] = ACTIONS(1761),
    [anon_sym_x_EQ] = ACTIONS(1761),
    [anon_sym_AMP_EQ] = ACTIONS(1761),
    [anon_sym_PIPE_EQ] = ACTIONS(1761),
    [anon_sym_CARET_EQ] = ACTIONS(1761),
    [anon_sym_LT_LT_EQ] = ACTIONS(1761),
    [anon_sym_GT_GT_EQ] = ACTIONS(1761),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1761),
    [anon_sym_DOT_DOT] = ACTIONS(1761),
    [anon_sym_STAR_STAR] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE] = ACTIONS(1761),
    [anon_sym_SLASH_SLASH] = ACTIONS(1761),
    [anon_sym_CARET_CARET] = ACTIONS(1761),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_PIPE] = ACTIONS(1761),
    [anon_sym_CARET] = ACTIONS(1761),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT2] = ACTIONS(1761),
    [anon_sym_PLUS] = ACTIONS(1761),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_DOT] = ACTIONS(1761),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_x] = ACTIONS(1761),
    [anon_sym_EQ_TILDE] = ACTIONS(1761),
    [anon_sym_BANG_TILDE] = ACTIONS(1761),
    [anon_sym_EQ_EQ] = ACTIONS(1761),
    [anon_sym_BANG_EQ] = ACTIONS(1761),
    [anon_sym_eq] = ACTIONS(1761),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1761),
    [anon_sym_equ] = ACTIONS(1761),
    [anon_sym_eqr] = ACTIONS(1761),
    [anon_sym_ne] = ACTIONS(1761),
    [anon_sym_LT_EQ_GT] = ACTIONS(1761),
    [anon_sym_cmp] = ACTIONS(1761),
    [anon_sym_TILDE_TILDE] = ACTIONS(1761),
    [anon_sym_LT_EQ] = ACTIONS(1761),
    [anon_sym_GT_EQ] = ACTIONS(1761),
    [anon_sym_lt] = ACTIONS(1761),
    [anon_sym_le] = ACTIONS(1761),
    [anon_sym_ge] = ACTIONS(1761),
    [anon_sym_gt] = ACTIONS(1761),
    [anon_sym_isa] = ACTIONS(1761),
    [anon_sym_TILDE] = ACTIONS(1761),
    [anon_sym_BANG] = ACTIONS(1761),
    [anon_sym_PLUS_PLUS] = ACTIONS(1761),
    [anon_sym_DASH_DASH] = ACTIONS(1761),
    [anon_sym_QMARK] = ACTIONS(1761),
    [anon_sym_BSLASH] = ACTIONS(1763),
    [anon_sym_do] = ACTIONS(1761),
    [anon_sym_eval] = ACTIONS(1761),
    [anon_sym_await] = ACTIONS(1761),
    [anon_sym_field] = ACTIONS(1761),
    [anon_sym_local] = ACTIONS(1761),
    [anon_sym_dynamically] = ACTIONS(1761),
    [anon_sym_require] = ACTIONS(1761),
    [anon_sym_map] = ACTIONS(1761),
    [anon_sym_grep] = ACTIONS(1761),
    [anon_sym_sort] = ACTIONS(1761),
    [anon_sym_goto] = ACTIONS(1761),
    [anon_sym_return] = ACTIONS(1761),
    [anon_sym_undef] = ACTIONS(1761),
    [anon_sym_PERCENT2] = ACTIONS(1761),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1761),
    [anon_sym_EQ_GT] = ACTIONS(1761),
    [anon_sym_for] = ACTIONS(1761),
    [anon_sym_foreach] = ACTIONS(1761),
    [anon_sym_last] = ACTIONS(1761),
    [anon_sym_next] = ACTIONS(1761),
    [anon_sym_redo] = ACTIONS(1761),
    [anon_sym___FILE__] = ACTIONS(1761),
    [anon_sym___LINE__] = ACTIONS(1761),
    [anon_sym___PACKAGE__] = ACTIONS(1761),
    [anon_sym___SUB__] = ACTIONS(1761),
    [anon_sym_break] = ACTIONS(1761),
    [anon_sym_fork] = ACTIONS(1761),
    [anon_sym_getppid] = ACTIONS(1761),
    [anon_sym_time] = ACTIONS(1761),
    [anon_sym_times] = ACTIONS(1761),
    [anon_sym_wait] = ACTIONS(1761),
    [anon_sym_wantarray] = ACTIONS(1761),
    [anon_sym_abs] = ACTIONS(1761),
    [anon_sym_alarm] = ACTIONS(1761),
    [anon_sym_chop] = ACTIONS(1761),
    [anon_sym_chdir] = ACTIONS(1761),
    [anon_sym_close] = ACTIONS(1761),
    [anon_sym_closedir] = ACTIONS(1761),
    [anon_sym_caller] = ACTIONS(1761),
    [anon_sym_chomp] = ACTIONS(1761),
    [anon_sym_chr] = ACTIONS(1761),
    [anon_sym_cos] = ACTIONS(1761),
    [anon_sym_chroot] = ACTIONS(1761),
    [anon_sym_defined] = ACTIONS(1761),
    [anon_sym_delete] = ACTIONS(1761),
    [anon_sym_dbmclose] = ACTIONS(1761),
    [anon_sym_exists] = ACTIONS(1761),
    [anon_sym_exit] = ACTIONS(1761),
    [anon_sym_eof] = ACTIONS(1761),
    [anon_sym_exp] = ACTIONS(1761),
    [anon_sym_each] = ACTIONS(1761),
    [anon_sym_fc] = ACTIONS(1761),
    [anon_sym_fileno] = ACTIONS(1761),
    [anon_sym_gmtime] = ACTIONS(1761),
    [anon_sym_getc] = ACTIONS(1761),
    [anon_sym_getpgrp] = ACTIONS(1761),
    [anon_sym_getprotobyname] = ACTIONS(1761),
    [anon_sym_getpwname] = ACTIONS(1761),
    [anon_sym_getpwuid] = ACTIONS(1761),
    [anon_sym_getpeername] = ACTIONS(1761),
    [anon_sym_getnetbyname] = ACTIONS(1761),
    [anon_sym_getsockname] = ACTIONS(1761),
    [anon_sym_getgrnam] = ACTIONS(1761),
    [anon_sym_getgrgid] = ACTIONS(1761),
    [anon_sym_hex] = ACTIONS(1761),
    [anon_sym_int] = ACTIONS(1761),
    [anon_sym_keys] = ACTIONS(1761),
    [anon_sym_lc] = ACTIONS(1761),
    [anon_sym_lcfirst] = ACTIONS(1761),
    [anon_sym_length] = ACTIONS(1761),
    [anon_sym_localtime] = ACTIONS(1761),
    [anon_sym_log] = ACTIONS(1761),
    [anon_sym_lock] = ACTIONS(1761),
    [anon_sym_lstat] = ACTIONS(1761),
    [anon_sym_oct] = ACTIONS(1761),
    [anon_sym_ord] = ACTIONS(1761),
    [anon_sym_prototype] = ACTIONS(1761),
    [anon_sym_pop] = ACTIONS(1761),
    [anon_sym_pos] = ACTIONS(1761),
    [anon_sym_quotemeta] = ACTIONS(1761),
    [anon_sym_reset] = ACTIONS(1761),
    [anon_sym_rand] = ACTIONS(1761),
    [anon_sym_rmdir] = ACTIONS(1761),
    [anon_sym_readdir] = ACTIONS(1761),
    [anon_sym_readline] = ACTIONS(1761),
    [anon_sym_readpipe] = ACTIONS(1761),
    [anon_sym_rewinddir] = ACTIONS(1761),
    [anon_sym_readlink] = ACTIONS(1761),
    [anon_sym_ref] = ACTIONS(1761),
    [anon_sym_scalar] = ACTIONS(1761),
    [anon_sym_shift] = ACTIONS(1761),
    [anon_sym_sin] = ACTIONS(1761),
    [anon_sym_sleep] = ACTIONS(1761),
    [anon_sym_sqrt] = ACTIONS(1761),
    [anon_sym_srand] = ACTIONS(1761),
    [anon_sym_stat] = ACTIONS(1761),
    [anon_sym_study] = ACTIONS(1761),
    [anon_sym_tell] = ACTIONS(1761),
    [anon_sym_telldir] = ACTIONS(1761),
    [anon_sym_tied] = ACTIONS(1761),
    [anon_sym_uc] = ACTIONS(1761),
    [anon_sym_ucfirst] = ACTIONS(1761),
    [anon_sym_untie] = ACTIONS(1761),
    [anon_sym_umask] = ACTIONS(1761),
    [anon_sym_values] = ACTIONS(1761),
    [anon_sym_write] = ACTIONS(1761),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1761),
    [anon_sym___END__] = ACTIONS(1761),
    [anon_sym_EOT] = ACTIONS(1761),
    [anon_sym_q] = ACTIONS(1761),
    [anon_sym_qq] = ACTIONS(1761),
    [anon_sym_qw] = ACTIONS(1761),
    [anon_sym_qx] = ACTIONS(1761),
    [anon_sym_qr] = ACTIONS(1761),
    [anon_sym_m] = ACTIONS(1761),
    [anon_sym_s] = ACTIONS(1761),
    [anon_sym_tr] = ACTIONS(1761),
    [anon_sym_y] = ACTIONS(1761),
    [anon_sym_if] = ACTIONS(1761),
    [anon_sym_unless] = ACTIONS(1761),
    [anon_sym_while] = ACTIONS(1761),
    [anon_sym_until] = ACTIONS(1761),
    [aux_sym__bareword_token1] = ACTIONS(1761),
    [sym_number] = ACTIONS(1761),
    [anon_sym_true] = ACTIONS(1761),
    [anon_sym_false] = ACTIONS(1761),
    [sym__single_quote] = ACTIONS(1763),
    [sym__double_quote] = ACTIONS(1763),
    [sym__backtick_quote] = ACTIONS(1763),
    [sym__search_slash_quote] = ACTIONS(1763),
    [sym__no_search_slash_plz] = ACTIONS(1763),
    [sym__PERLY_SEMICOLON] = ACTIONS(1763),
    [sym__PERLY_HEREDOC] = ACTIONS(1763),
    [sym__ctrl_z_hack] = ACTIONS(1763),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1763),
    [sym__filetest] = ACTIONS(1763),
  },
  [663] = {
    [sym_heredoc_content] = STATE(663),
    [sym__identifier] = ACTIONS(1765),
    [anon_sym_LBRACE] = ACTIONS(1765),
    [anon_sym_RBRACE] = ACTIONS(1765),
    [anon_sym_SEMI] = ACTIONS(1765),
    [anon_sym_DOLLAR] = ACTIONS(1765),
    [anon_sym_EQ] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1765),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1765),
    [anon_sym_AT] = ACTIONS(1765),
    [anon_sym_COMMA] = ACTIONS(1765),
    [anon_sym_my] = ACTIONS(1765),
    [anon_sym_extended] = ACTIONS(1765),
    [anon_sym_async] = ACTIONS(1765),
    [anon_sym_sub] = ACTIONS(1765),
    [anon_sym_method] = ACTIONS(1765),
    [anon_sym_LPAREN] = ACTIONS(1765),
    [anon_sym_continue] = ACTIONS(1765),
    [anon_sym_state] = ACTIONS(1765),
    [anon_sym_our] = ACTIONS(1765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_and] = ACTIONS(1765),
    [anon_sym_or] = ACTIONS(1765),
    [anon_sym_xor] = ACTIONS(1765),
    [anon_sym_LBRACK] = ACTIONS(1765),
    [anon_sym_DASH_GT] = ACTIONS(1765),
    [anon_sym_PERCENT] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1765),
    [anon_sym_LT_LT] = ACTIONS(1765),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1765),
    [anon_sym_PLUS_EQ] = ACTIONS(1765),
    [anon_sym_DASH_EQ] = ACTIONS(1765),
    [anon_sym_DOT_EQ] = ACTIONS(1765),
    [anon_sym_STAR_EQ] = ACTIONS(1765),
    [anon_sym_SLASH_EQ] = ACTIONS(1765),
    [anon_sym_PERCENT_EQ] = ACTIONS(1765),
    [anon_sym_x_EQ] = ACTIONS(1765),
    [anon_sym_AMP_EQ] = ACTIONS(1765),
    [anon_sym_PIPE_EQ] = ACTIONS(1765),
    [anon_sym_CARET_EQ] = ACTIONS(1765),
    [anon_sym_LT_LT_EQ] = ACTIONS(1765),
    [anon_sym_GT_GT_EQ] = ACTIONS(1765),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1765),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_STAR_STAR] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1765),
    [anon_sym_SLASH_SLASH] = ACTIONS(1765),
    [anon_sym_CARET_CARET] = ACTIONS(1765),
    [anon_sym_AMP_AMP] = ACTIONS(1765),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_CARET] = ACTIONS(1765),
    [anon_sym_AMP] = ACTIONS(1765),
    [anon_sym_GT_GT2] = ACTIONS(1765),
    [anon_sym_PLUS] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_DOT] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1765),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_x] = ACTIONS(1765),
    [anon_sym_EQ_TILDE] = ACTIONS(1765),
    [anon_sym_BANG_TILDE] = ACTIONS(1765),
    [anon_sym_EQ_EQ] = ACTIONS(1765),
    [anon_sym_BANG_EQ] = ACTIONS(1765),
    [anon_sym_eq] = ACTIONS(1765),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1765),
    [anon_sym_equ] = ACTIONS(1765),
    [anon_sym_eqr] = ACTIONS(1765),
    [anon_sym_ne] = ACTIONS(1765),
    [anon_sym_LT_EQ_GT] = ACTIONS(1765),
    [anon_sym_cmp] = ACTIONS(1765),
    [anon_sym_TILDE_TILDE] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1765),
    [anon_sym_GT_EQ] = ACTIONS(1765),
    [anon_sym_lt] = ACTIONS(1765),
    [anon_sym_le] = ACTIONS(1765),
    [anon_sym_ge] = ACTIONS(1765),
    [anon_sym_gt] = ACTIONS(1765),
    [anon_sym_isa] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_PLUS_PLUS] = ACTIONS(1765),
    [anon_sym_DASH_DASH] = ACTIONS(1765),
    [anon_sym_QMARK] = ACTIONS(1765),
    [anon_sym_BSLASH] = ACTIONS(1767),
    [anon_sym_do] = ACTIONS(1765),
    [anon_sym_eval] = ACTIONS(1765),
    [anon_sym_await] = ACTIONS(1765),
    [anon_sym_field] = ACTIONS(1765),
    [anon_sym_local] = ACTIONS(1765),
    [anon_sym_dynamically] = ACTIONS(1765),
    [anon_sym_require] = ACTIONS(1765),
    [anon_sym_map] = ACTIONS(1765),
    [anon_sym_grep] = ACTIONS(1765),
    [anon_sym_sort] = ACTIONS(1765),
    [anon_sym_goto] = ACTIONS(1765),
    [anon_sym_return] = ACTIONS(1765),
    [anon_sym_undef] = ACTIONS(1765),
    [anon_sym_PERCENT2] = ACTIONS(1765),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1765),
    [anon_sym_EQ_GT] = ACTIONS(1765),
    [anon_sym_for] = ACTIONS(1765),
    [anon_sym_foreach] = ACTIONS(1765),
    [anon_sym_last] = ACTIONS(1765),
    [anon_sym_next] = ACTIONS(1765),
    [anon_sym_redo] = ACTIONS(1765),
    [anon_sym___FILE__] = ACTIONS(1765),
    [anon_sym___LINE__] = ACTIONS(1765),
    [anon_sym___PACKAGE__] = ACTIONS(1765),
    [anon_sym___SUB__] = ACTIONS(1765),
    [anon_sym_break] = ACTIONS(1765),
    [anon_sym_fork] = ACTIONS(1765),
    [anon_sym_getppid] = ACTIONS(1765),
    [anon_sym_time] = ACTIONS(1765),
    [anon_sym_times] = ACTIONS(1765),
    [anon_sym_wait] = ACTIONS(1765),
    [anon_sym_wantarray] = ACTIONS(1765),
    [anon_sym_abs] = ACTIONS(1765),
    [anon_sym_alarm] = ACTIONS(1765),
    [anon_sym_chop] = ACTIONS(1765),
    [anon_sym_chdir] = ACTIONS(1765),
    [anon_sym_close] = ACTIONS(1765),
    [anon_sym_closedir] = ACTIONS(1765),
    [anon_sym_caller] = ACTIONS(1765),
    [anon_sym_chomp] = ACTIONS(1765),
    [anon_sym_chr] = ACTIONS(1765),
    [anon_sym_cos] = ACTIONS(1765),
    [anon_sym_chroot] = ACTIONS(1765),
    [anon_sym_defined] = ACTIONS(1765),
    [anon_sym_delete] = ACTIONS(1765),
    [anon_sym_dbmclose] = ACTIONS(1765),
    [anon_sym_exists] = ACTIONS(1765),
    [anon_sym_exit] = ACTIONS(1765),
    [anon_sym_eof] = ACTIONS(1765),
    [anon_sym_exp] = ACTIONS(1765),
    [anon_sym_each] = ACTIONS(1765),
    [anon_sym_fc] = ACTIONS(1765),
    [anon_sym_fileno] = ACTIONS(1765),
    [anon_sym_gmtime] = ACTIONS(1765),
    [anon_sym_getc] = ACTIONS(1765),
    [anon_sym_getpgrp] = ACTIONS(1765),
    [anon_sym_getprotobyname] = ACTIONS(1765),
    [anon_sym_getpwname] = ACTIONS(1765),
    [anon_sym_getpwuid] = ACTIONS(1765),
    [anon_sym_getpeername] = ACTIONS(1765),
    [anon_sym_getnetbyname] = ACTIONS(1765),
    [anon_sym_getsockname] = ACTIONS(1765),
    [anon_sym_getgrnam] = ACTIONS(1765),
    [anon_sym_getgrgid] = ACTIONS(1765),
    [anon_sym_hex] = ACTIONS(1765),
    [anon_sym_int] = ACTIONS(1765),
    [anon_sym_keys] = ACTIONS(1765),
    [anon_sym_lc] = ACTIONS(1765),
    [anon_sym_lcfirst] = ACTIONS(1765),
    [anon_sym_length] = ACTIONS(1765),
    [anon_sym_localtime] = ACTIONS(1765),
    [anon_sym_log] = ACTIONS(1765),
    [anon_sym_lock] = ACTIONS(1765),
    [anon_sym_lstat] = ACTIONS(1765),
    [anon_sym_oct] = ACTIONS(1765),
    [anon_sym_ord] = ACTIONS(1765),
    [anon_sym_prototype] = ACTIONS(1765),
    [anon_sym_pop] = ACTIONS(1765),
    [anon_sym_pos] = ACTIONS(1765),
    [anon_sym_quotemeta] = ACTIONS(1765),
    [anon_sym_reset] = ACTIONS(1765),
    [anon_sym_rand] = ACTIONS(1765),
    [anon_sym_rmdir] = ACTIONS(1765),
    [anon_sym_readdir] = ACTIONS(1765),
    [anon_sym_readline] = ACTIONS(1765),
    [anon_sym_readpipe] = ACTIONS(1765),
    [anon_sym_rewinddir] = ACTIONS(1765),
    [anon_sym_readlink] = ACTIONS(1765),
    [anon_sym_ref] = ACTIONS(1765),
    [anon_sym_scalar] = ACTIONS(1765),
    [anon_sym_shift] = ACTIONS(1765),
    [anon_sym_sin] = ACTIONS(1765),
    [anon_sym_sleep] = ACTIONS(1765),
    [anon_sym_sqrt] = ACTIONS(1765),
    [anon_sym_srand] = ACTIONS(1765),
    [anon_sym_stat] = ACTIONS(1765),
    [anon_sym_study] = ACTIONS(1765),
    [anon_sym_tell] = ACTIONS(1765),
    [anon_sym_telldir] = ACTIONS(1765),
    [anon_sym_tied] = ACTIONS(1765),
    [anon_sym_uc] = ACTIONS(1765),
    [anon_sym_ucfirst] = ACTIONS(1765),
    [anon_sym_untie] = ACTIONS(1765),
    [anon_sym_umask] = ACTIONS(1765),
    [anon_sym_values] = ACTIONS(1765),
    [anon_sym_write] = ACTIONS(1765),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1765),
    [anon_sym___END__] = ACTIONS(1765),
    [anon_sym_EOT] = ACTIONS(1765),
    [anon_sym_q] = ACTIONS(1765),
    [anon_sym_qq] = ACTIONS(1765),
    [anon_sym_qw] = ACTIONS(1765),
    [anon_sym_qx] = ACTIONS(1765),
    [anon_sym_qr] = ACTIONS(1765),
    [anon_sym_m] = ACTIONS(1765),
    [anon_sym_s] = ACTIONS(1765),
    [anon_sym_tr] = ACTIONS(1765),
    [anon_sym_y] = ACTIONS(1765),
    [anon_sym_if] = ACTIONS(1765),
    [anon_sym_unless] = ACTIONS(1765),
    [anon_sym_while] = ACTIONS(1765),
    [anon_sym_until] = ACTIONS(1765),
    [aux_sym__bareword_token1] = ACTIONS(1765),
    [sym_number] = ACTIONS(1765),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym__single_quote] = ACTIONS(1767),
    [sym__double_quote] = ACTIONS(1767),
    [sym__backtick_quote] = ACTIONS(1767),
    [sym__search_slash_quote] = ACTIONS(1767),
    [sym__no_search_slash_plz] = ACTIONS(1767),
    [sym__PERLY_SEMICOLON] = ACTIONS(1767),
    [sym__PERLY_HEREDOC] = ACTIONS(1767),
    [sym__ctrl_z_hack] = ACTIONS(1767),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1767),
    [sym__filetest] = ACTIONS(1767),
  },
  [664] = {
    [sym_heredoc_content] = STATE(664),
    [sym__identifier] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1769),
    [anon_sym_RBRACE] = ACTIONS(1769),
    [anon_sym_SEMI] = ACTIONS(1769),
    [anon_sym_DOLLAR] = ACTIONS(1769),
    [anon_sym_EQ] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1769),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1769),
    [anon_sym_AT] = ACTIONS(1769),
    [anon_sym_COMMA] = ACTIONS(1769),
    [anon_sym_my] = ACTIONS(1769),
    [anon_sym_extended] = ACTIONS(1769),
    [anon_sym_async] = ACTIONS(1769),
    [anon_sym_sub] = ACTIONS(1769),
    [anon_sym_method] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1769),
    [anon_sym_continue] = ACTIONS(1769),
    [anon_sym_state] = ACTIONS(1769),
    [anon_sym_our] = ACTIONS(1769),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1769),
    [anon_sym_and] = ACTIONS(1769),
    [anon_sym_or] = ACTIONS(1769),
    [anon_sym_xor] = ACTIONS(1769),
    [anon_sym_LBRACK] = ACTIONS(1769),
    [anon_sym_DASH_GT] = ACTIONS(1769),
    [anon_sym_PERCENT] = ACTIONS(1769),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_GT] = ACTIONS(1769),
    [anon_sym_LT_LT] = ACTIONS(1769),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1769),
    [anon_sym_PLUS_EQ] = ACTIONS(1769),
    [anon_sym_DASH_EQ] = ACTIONS(1769),
    [anon_sym_DOT_EQ] = ACTIONS(1769),
    [anon_sym_STAR_EQ] = ACTIONS(1769),
    [anon_sym_SLASH_EQ] = ACTIONS(1769),
    [anon_sym_PERCENT_EQ] = ACTIONS(1769),
    [anon_sym_x_EQ] = ACTIONS(1769),
    [anon_sym_AMP_EQ] = ACTIONS(1769),
    [anon_sym_PIPE_EQ] = ACTIONS(1769),
    [anon_sym_CARET_EQ] = ACTIONS(1769),
    [anon_sym_LT_LT_EQ] = ACTIONS(1769),
    [anon_sym_GT_GT_EQ] = ACTIONS(1769),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1769),
    [anon_sym_DOT_DOT] = ACTIONS(1769),
    [anon_sym_STAR_STAR] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE] = ACTIONS(1769),
    [anon_sym_SLASH_SLASH] = ACTIONS(1769),
    [anon_sym_CARET_CARET] = ACTIONS(1769),
    [anon_sym_AMP_AMP] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1769),
    [anon_sym_CARET] = ACTIONS(1769),
    [anon_sym_AMP] = ACTIONS(1769),
    [anon_sym_GT_GT2] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_DOT] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1769),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_x] = ACTIONS(1769),
    [anon_sym_EQ_TILDE] = ACTIONS(1769),
    [anon_sym_BANG_TILDE] = ACTIONS(1769),
    [anon_sym_EQ_EQ] = ACTIONS(1769),
    [anon_sym_BANG_EQ] = ACTIONS(1769),
    [anon_sym_eq] = ACTIONS(1769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1769),
    [anon_sym_equ] = ACTIONS(1769),
    [anon_sym_eqr] = ACTIONS(1769),
    [anon_sym_ne] = ACTIONS(1769),
    [anon_sym_LT_EQ_GT] = ACTIONS(1769),
    [anon_sym_cmp] = ACTIONS(1769),
    [anon_sym_TILDE_TILDE] = ACTIONS(1769),
    [anon_sym_LT_EQ] = ACTIONS(1769),
    [anon_sym_GT_EQ] = ACTIONS(1769),
    [anon_sym_lt] = ACTIONS(1769),
    [anon_sym_le] = ACTIONS(1769),
    [anon_sym_ge] = ACTIONS(1769),
    [anon_sym_gt] = ACTIONS(1769),
    [anon_sym_isa] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_PLUS_PLUS] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1769),
    [anon_sym_QMARK] = ACTIONS(1769),
    [anon_sym_BSLASH] = ACTIONS(1771),
    [anon_sym_do] = ACTIONS(1769),
    [anon_sym_eval] = ACTIONS(1769),
    [anon_sym_await] = ACTIONS(1769),
    [anon_sym_field] = ACTIONS(1769),
    [anon_sym_local] = ACTIONS(1769),
    [anon_sym_dynamically] = ACTIONS(1769),
    [anon_sym_require] = ACTIONS(1769),
    [anon_sym_map] = ACTIONS(1769),
    [anon_sym_grep] = ACTIONS(1769),
    [anon_sym_sort] = ACTIONS(1769),
    [anon_sym_goto] = ACTIONS(1769),
    [anon_sym_return] = ACTIONS(1769),
    [anon_sym_undef] = ACTIONS(1769),
    [anon_sym_PERCENT2] = ACTIONS(1769),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1769),
    [anon_sym_EQ_GT] = ACTIONS(1769),
    [anon_sym_for] = ACTIONS(1769),
    [anon_sym_foreach] = ACTIONS(1769),
    [anon_sym_last] = ACTIONS(1769),
    [anon_sym_next] = ACTIONS(1769),
    [anon_sym_redo] = ACTIONS(1769),
    [anon_sym___FILE__] = ACTIONS(1769),
    [anon_sym___LINE__] = ACTIONS(1769),
    [anon_sym___PACKAGE__] = ACTIONS(1769),
    [anon_sym___SUB__] = ACTIONS(1769),
    [anon_sym_break] = ACTIONS(1769),
    [anon_sym_fork] = ACTIONS(1769),
    [anon_sym_getppid] = ACTIONS(1769),
    [anon_sym_time] = ACTIONS(1769),
    [anon_sym_times] = ACTIONS(1769),
    [anon_sym_wait] = ACTIONS(1769),
    [anon_sym_wantarray] = ACTIONS(1769),
    [anon_sym_abs] = ACTIONS(1769),
    [anon_sym_alarm] = ACTIONS(1769),
    [anon_sym_chop] = ACTIONS(1769),
    [anon_sym_chdir] = ACTIONS(1769),
    [anon_sym_close] = ACTIONS(1769),
    [anon_sym_closedir] = ACTIONS(1769),
    [anon_sym_caller] = ACTIONS(1769),
    [anon_sym_chomp] = ACTIONS(1769),
    [anon_sym_chr] = ACTIONS(1769),
    [anon_sym_cos] = ACTIONS(1769),
    [anon_sym_chroot] = ACTIONS(1769),
    [anon_sym_defined] = ACTIONS(1769),
    [anon_sym_delete] = ACTIONS(1769),
    [anon_sym_dbmclose] = ACTIONS(1769),
    [anon_sym_exists] = ACTIONS(1769),
    [anon_sym_exit] = ACTIONS(1769),
    [anon_sym_eof] = ACTIONS(1769),
    [anon_sym_exp] = ACTIONS(1769),
    [anon_sym_each] = ACTIONS(1769),
    [anon_sym_fc] = ACTIONS(1769),
    [anon_sym_fileno] = ACTIONS(1769),
    [anon_sym_gmtime] = ACTIONS(1769),
    [anon_sym_getc] = ACTIONS(1769),
    [anon_sym_getpgrp] = ACTIONS(1769),
    [anon_sym_getprotobyname] = ACTIONS(1769),
    [anon_sym_getpwname] = ACTIONS(1769),
    [anon_sym_getpwuid] = ACTIONS(1769),
    [anon_sym_getpeername] = ACTIONS(1769),
    [anon_sym_getnetbyname] = ACTIONS(1769),
    [anon_sym_getsockname] = ACTIONS(1769),
    [anon_sym_getgrnam] = ACTIONS(1769),
    [anon_sym_getgrgid] = ACTIONS(1769),
    [anon_sym_hex] = ACTIONS(1769),
    [anon_sym_int] = ACTIONS(1769),
    [anon_sym_keys] = ACTIONS(1769),
    [anon_sym_lc] = ACTIONS(1769),
    [anon_sym_lcfirst] = ACTIONS(1769),
    [anon_sym_length] = ACTIONS(1769),
    [anon_sym_localtime] = ACTIONS(1769),
    [anon_sym_log] = ACTIONS(1769),
    [anon_sym_lock] = ACTIONS(1769),
    [anon_sym_lstat] = ACTIONS(1769),
    [anon_sym_oct] = ACTIONS(1769),
    [anon_sym_ord] = ACTIONS(1769),
    [anon_sym_prototype] = ACTIONS(1769),
    [anon_sym_pop] = ACTIONS(1769),
    [anon_sym_pos] = ACTIONS(1769),
    [anon_sym_quotemeta] = ACTIONS(1769),
    [anon_sym_reset] = ACTIONS(1769),
    [anon_sym_rand] = ACTIONS(1769),
    [anon_sym_rmdir] = ACTIONS(1769),
    [anon_sym_readdir] = ACTIONS(1769),
    [anon_sym_readline] = ACTIONS(1769),
    [anon_sym_readpipe] = ACTIONS(1769),
    [anon_sym_rewinddir] = ACTIONS(1769),
    [anon_sym_readlink] = ACTIONS(1769),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_scalar] = ACTIONS(1769),
    [anon_sym_shift] = ACTIONS(1769),
    [anon_sym_sin] = ACTIONS(1769),
    [anon_sym_sleep] = ACTIONS(1769),
    [anon_sym_sqrt] = ACTIONS(1769),
    [anon_sym_srand] = ACTIONS(1769),
    [anon_sym_stat] = ACTIONS(1769),
    [anon_sym_study] = ACTIONS(1769),
    [anon_sym_tell] = ACTIONS(1769),
    [anon_sym_telldir] = ACTIONS(1769),
    [anon_sym_tied] = ACTIONS(1769),
    [anon_sym_uc] = ACTIONS(1769),
    [anon_sym_ucfirst] = ACTIONS(1769),
    [anon_sym_untie] = ACTIONS(1769),
    [anon_sym_umask] = ACTIONS(1769),
    [anon_sym_values] = ACTIONS(1769),
    [anon_sym_write] = ACTIONS(1769),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1769),
    [anon_sym___END__] = ACTIONS(1769),
    [anon_sym_EOT] = ACTIONS(1769),
    [anon_sym_q] = ACTIONS(1769),
    [anon_sym_qq] = ACTIONS(1769),
    [anon_sym_qw] = ACTIONS(1769),
    [anon_sym_qx] = ACTIONS(1769),
    [anon_sym_qr] = ACTIONS(1769),
    [anon_sym_m] = ACTIONS(1769),
    [anon_sym_s] = ACTIONS(1769),
    [anon_sym_tr] = ACTIONS(1769),
    [anon_sym_y] = ACTIONS(1769),
    [anon_sym_if] = ACTIONS(1769),
    [anon_sym_unless] = ACTIONS(1769),
    [anon_sym_while] = ACTIONS(1769),
    [anon_sym_until] = ACTIONS(1769),
    [aux_sym__bareword_token1] = ACTIONS(1769),
    [sym_number] = ACTIONS(1769),
    [anon_sym_true] = ACTIONS(1769),
    [anon_sym_false] = ACTIONS(1769),
    [sym__single_quote] = ACTIONS(1771),
    [sym__double_quote] = ACTIONS(1771),
    [sym__backtick_quote] = ACTIONS(1771),
    [sym__search_slash_quote] = ACTIONS(1771),
    [sym__no_search_slash_plz] = ACTIONS(1771),
    [sym__PERLY_SEMICOLON] = ACTIONS(1771),
    [sym__PERLY_HEREDOC] = ACTIONS(1771),
    [sym__ctrl_z_hack] = ACTIONS(1771),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1771),
    [sym__filetest] = ACTIONS(1771),
  },
  [665] = {
    [sym_heredoc_content] = STATE(665),
    [sym__identifier] = ACTIONS(1773),
    [anon_sym_LBRACE] = ACTIONS(1773),
    [anon_sym_RBRACE] = ACTIONS(1773),
    [anon_sym_SEMI] = ACTIONS(1773),
    [anon_sym_DOLLAR] = ACTIONS(1773),
    [anon_sym_EQ] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1773),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1773),
    [anon_sym_AT] = ACTIONS(1773),
    [anon_sym_COMMA] = ACTIONS(1773),
    [anon_sym_my] = ACTIONS(1773),
    [anon_sym_extended] = ACTIONS(1773),
    [anon_sym_async] = ACTIONS(1773),
    [anon_sym_sub] = ACTIONS(1773),
    [anon_sym_method] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(1773),
    [anon_sym_continue] = ACTIONS(1773),
    [anon_sym_state] = ACTIONS(1773),
    [anon_sym_our] = ACTIONS(1773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1773),
    [anon_sym_and] = ACTIONS(1773),
    [anon_sym_or] = ACTIONS(1773),
    [anon_sym_xor] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(1773),
    [anon_sym_DASH_GT] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [anon_sym_LT] = ACTIONS(1773),
    [anon_sym_GT] = ACTIONS(1773),
    [anon_sym_LT_LT] = ACTIONS(1773),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1773),
    [anon_sym_PLUS_EQ] = ACTIONS(1773),
    [anon_sym_DASH_EQ] = ACTIONS(1773),
    [anon_sym_DOT_EQ] = ACTIONS(1773),
    [anon_sym_STAR_EQ] = ACTIONS(1773),
    [anon_sym_SLASH_EQ] = ACTIONS(1773),
    [anon_sym_PERCENT_EQ] = ACTIONS(1773),
    [anon_sym_x_EQ] = ACTIONS(1773),
    [anon_sym_AMP_EQ] = ACTIONS(1773),
    [anon_sym_PIPE_EQ] = ACTIONS(1773),
    [anon_sym_CARET_EQ] = ACTIONS(1773),
    [anon_sym_LT_LT_EQ] = ACTIONS(1773),
    [anon_sym_GT_GT_EQ] = ACTIONS(1773),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1773),
    [anon_sym_DOT_DOT] = ACTIONS(1773),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE] = ACTIONS(1773),
    [anon_sym_SLASH_SLASH] = ACTIONS(1773),
    [anon_sym_CARET_CARET] = ACTIONS(1773),
    [anon_sym_AMP_AMP] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1773),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_GT_GT2] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_DOT] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_x] = ACTIONS(1773),
    [anon_sym_EQ_TILDE] = ACTIONS(1773),
    [anon_sym_BANG_TILDE] = ACTIONS(1773),
    [anon_sym_EQ_EQ] = ACTIONS(1773),
    [anon_sym_BANG_EQ] = ACTIONS(1773),
    [anon_sym_eq] = ACTIONS(1773),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1773),
    [anon_sym_equ] = ACTIONS(1773),
    [anon_sym_eqr] = ACTIONS(1773),
    [anon_sym_ne] = ACTIONS(1773),
    [anon_sym_LT_EQ_GT] = ACTIONS(1773),
    [anon_sym_cmp] = ACTIONS(1773),
    [anon_sym_TILDE_TILDE] = ACTIONS(1773),
    [anon_sym_LT_EQ] = ACTIONS(1773),
    [anon_sym_GT_EQ] = ACTIONS(1773),
    [anon_sym_lt] = ACTIONS(1773),
    [anon_sym_le] = ACTIONS(1773),
    [anon_sym_ge] = ACTIONS(1773),
    [anon_sym_gt] = ACTIONS(1773),
    [anon_sym_isa] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_QMARK] = ACTIONS(1773),
    [anon_sym_BSLASH] = ACTIONS(1775),
    [anon_sym_do] = ACTIONS(1773),
    [anon_sym_eval] = ACTIONS(1773),
    [anon_sym_await] = ACTIONS(1773),
    [anon_sym_field] = ACTIONS(1773),
    [anon_sym_local] = ACTIONS(1773),
    [anon_sym_dynamically] = ACTIONS(1773),
    [anon_sym_require] = ACTIONS(1773),
    [anon_sym_map] = ACTIONS(1773),
    [anon_sym_grep] = ACTIONS(1773),
    [anon_sym_sort] = ACTIONS(1773),
    [anon_sym_goto] = ACTIONS(1773),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_undef] = ACTIONS(1773),
    [anon_sym_PERCENT2] = ACTIONS(1773),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1773),
    [anon_sym_EQ_GT] = ACTIONS(1773),
    [anon_sym_for] = ACTIONS(1773),
    [anon_sym_foreach] = ACTIONS(1773),
    [anon_sym_last] = ACTIONS(1773),
    [anon_sym_next] = ACTIONS(1773),
    [anon_sym_redo] = ACTIONS(1773),
    [anon_sym___FILE__] = ACTIONS(1773),
    [anon_sym___LINE__] = ACTIONS(1773),
    [anon_sym___PACKAGE__] = ACTIONS(1773),
    [anon_sym___SUB__] = ACTIONS(1773),
    [anon_sym_break] = ACTIONS(1773),
    [anon_sym_fork] = ACTIONS(1773),
    [anon_sym_getppid] = ACTIONS(1773),
    [anon_sym_time] = ACTIONS(1773),
    [anon_sym_times] = ACTIONS(1773),
    [anon_sym_wait] = ACTIONS(1773),
    [anon_sym_wantarray] = ACTIONS(1773),
    [anon_sym_abs] = ACTIONS(1773),
    [anon_sym_alarm] = ACTIONS(1773),
    [anon_sym_chop] = ACTIONS(1773),
    [anon_sym_chdir] = ACTIONS(1773),
    [anon_sym_close] = ACTIONS(1773),
    [anon_sym_closedir] = ACTIONS(1773),
    [anon_sym_caller] = ACTIONS(1773),
    [anon_sym_chomp] = ACTIONS(1773),
    [anon_sym_chr] = ACTIONS(1773),
    [anon_sym_cos] = ACTIONS(1773),
    [anon_sym_chroot] = ACTIONS(1773),
    [anon_sym_defined] = ACTIONS(1773),
    [anon_sym_delete] = ACTIONS(1773),
    [anon_sym_dbmclose] = ACTIONS(1773),
    [anon_sym_exists] = ACTIONS(1773),
    [anon_sym_exit] = ACTIONS(1773),
    [anon_sym_eof] = ACTIONS(1773),
    [anon_sym_exp] = ACTIONS(1773),
    [anon_sym_each] = ACTIONS(1773),
    [anon_sym_fc] = ACTIONS(1773),
    [anon_sym_fileno] = ACTIONS(1773),
    [anon_sym_gmtime] = ACTIONS(1773),
    [anon_sym_getc] = ACTIONS(1773),
    [anon_sym_getpgrp] = ACTIONS(1773),
    [anon_sym_getprotobyname] = ACTIONS(1773),
    [anon_sym_getpwname] = ACTIONS(1773),
    [anon_sym_getpwuid] = ACTIONS(1773),
    [anon_sym_getpeername] = ACTIONS(1773),
    [anon_sym_getnetbyname] = ACTIONS(1773),
    [anon_sym_getsockname] = ACTIONS(1773),
    [anon_sym_getgrnam] = ACTIONS(1773),
    [anon_sym_getgrgid] = ACTIONS(1773),
    [anon_sym_hex] = ACTIONS(1773),
    [anon_sym_int] = ACTIONS(1773),
    [anon_sym_keys] = ACTIONS(1773),
    [anon_sym_lc] = ACTIONS(1773),
    [anon_sym_lcfirst] = ACTIONS(1773),
    [anon_sym_length] = ACTIONS(1773),
    [anon_sym_localtime] = ACTIONS(1773),
    [anon_sym_log] = ACTIONS(1773),
    [anon_sym_lock] = ACTIONS(1773),
    [anon_sym_lstat] = ACTIONS(1773),
    [anon_sym_oct] = ACTIONS(1773),
    [anon_sym_ord] = ACTIONS(1773),
    [anon_sym_prototype] = ACTIONS(1773),
    [anon_sym_pop] = ACTIONS(1773),
    [anon_sym_pos] = ACTIONS(1773),
    [anon_sym_quotemeta] = ACTIONS(1773),
    [anon_sym_reset] = ACTIONS(1773),
    [anon_sym_rand] = ACTIONS(1773),
    [anon_sym_rmdir] = ACTIONS(1773),
    [anon_sym_readdir] = ACTIONS(1773),
    [anon_sym_readline] = ACTIONS(1773),
    [anon_sym_readpipe] = ACTIONS(1773),
    [anon_sym_rewinddir] = ACTIONS(1773),
    [anon_sym_readlink] = ACTIONS(1773),
    [anon_sym_ref] = ACTIONS(1773),
    [anon_sym_scalar] = ACTIONS(1773),
    [anon_sym_shift] = ACTIONS(1773),
    [anon_sym_sin] = ACTIONS(1773),
    [anon_sym_sleep] = ACTIONS(1773),
    [anon_sym_sqrt] = ACTIONS(1773),
    [anon_sym_srand] = ACTIONS(1773),
    [anon_sym_stat] = ACTIONS(1773),
    [anon_sym_study] = ACTIONS(1773),
    [anon_sym_tell] = ACTIONS(1773),
    [anon_sym_telldir] = ACTIONS(1773),
    [anon_sym_tied] = ACTIONS(1773),
    [anon_sym_uc] = ACTIONS(1773),
    [anon_sym_ucfirst] = ACTIONS(1773),
    [anon_sym_untie] = ACTIONS(1773),
    [anon_sym_umask] = ACTIONS(1773),
    [anon_sym_values] = ACTIONS(1773),
    [anon_sym_write] = ACTIONS(1773),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1773),
    [anon_sym___END__] = ACTIONS(1773),
    [anon_sym_EOT] = ACTIONS(1773),
    [anon_sym_q] = ACTIONS(1773),
    [anon_sym_qq] = ACTIONS(1773),
    [anon_sym_qw] = ACTIONS(1773),
    [anon_sym_qx] = ACTIONS(1773),
    [anon_sym_qr] = ACTIONS(1773),
    [anon_sym_m] = ACTIONS(1773),
    [anon_sym_s] = ACTIONS(1773),
    [anon_sym_tr] = ACTIONS(1773),
    [anon_sym_y] = ACTIONS(1773),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_unless] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1773),
    [anon_sym_until] = ACTIONS(1773),
    [aux_sym__bareword_token1] = ACTIONS(1773),
    [sym_number] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(1773),
    [anon_sym_false] = ACTIONS(1773),
    [sym__single_quote] = ACTIONS(1775),
    [sym__double_quote] = ACTIONS(1775),
    [sym__backtick_quote] = ACTIONS(1775),
    [sym__search_slash_quote] = ACTIONS(1775),
    [sym__no_search_slash_plz] = ACTIONS(1775),
    [sym__PERLY_SEMICOLON] = ACTIONS(1775),
    [sym__PERLY_HEREDOC] = ACTIONS(1775),
    [sym__ctrl_z_hack] = ACTIONS(1775),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1775),
    [sym__filetest] = ACTIONS(1775),
  },
  [666] = {
    [sym_heredoc_content] = STATE(666),
    [sym__identifier] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(1777),
    [anon_sym_RBRACE] = ACTIONS(1777),
    [anon_sym_SEMI] = ACTIONS(1777),
    [anon_sym_DOLLAR] = ACTIONS(1777),
    [anon_sym_EQ] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1777),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1777),
    [anon_sym_AT] = ACTIONS(1777),
    [anon_sym_COMMA] = ACTIONS(1777),
    [anon_sym_my] = ACTIONS(1777),
    [anon_sym_extended] = ACTIONS(1777),
    [anon_sym_async] = ACTIONS(1777),
    [anon_sym_sub] = ACTIONS(1777),
    [anon_sym_method] = ACTIONS(1777),
    [anon_sym_LPAREN] = ACTIONS(1777),
    [anon_sym_continue] = ACTIONS(1777),
    [anon_sym_state] = ACTIONS(1777),
    [anon_sym_our] = ACTIONS(1777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1777),
    [anon_sym_and] = ACTIONS(1777),
    [anon_sym_or] = ACTIONS(1777),
    [anon_sym_xor] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [anon_sym_DASH_GT] = ACTIONS(1777),
    [anon_sym_PERCENT] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_LT_LT] = ACTIONS(1777),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1777),
    [anon_sym_PLUS_EQ] = ACTIONS(1777),
    [anon_sym_DASH_EQ] = ACTIONS(1777),
    [anon_sym_DOT_EQ] = ACTIONS(1777),
    [anon_sym_STAR_EQ] = ACTIONS(1777),
    [anon_sym_SLASH_EQ] = ACTIONS(1777),
    [anon_sym_PERCENT_EQ] = ACTIONS(1777),
    [anon_sym_x_EQ] = ACTIONS(1777),
    [anon_sym_AMP_EQ] = ACTIONS(1777),
    [anon_sym_PIPE_EQ] = ACTIONS(1777),
    [anon_sym_CARET_EQ] = ACTIONS(1777),
    [anon_sym_LT_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT_GT_EQ] = ACTIONS(1777),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1777),
    [anon_sym_DOT_DOT] = ACTIONS(1777),
    [anon_sym_STAR_STAR] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE] = ACTIONS(1777),
    [anon_sym_SLASH_SLASH] = ACTIONS(1777),
    [anon_sym_CARET_CARET] = ACTIONS(1777),
    [anon_sym_AMP_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_GT_GT2] = ACTIONS(1777),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_DOT] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1777),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_x] = ACTIONS(1777),
    [anon_sym_EQ_TILDE] = ACTIONS(1777),
    [anon_sym_BANG_TILDE] = ACTIONS(1777),
    [anon_sym_EQ_EQ] = ACTIONS(1777),
    [anon_sym_BANG_EQ] = ACTIONS(1777),
    [anon_sym_eq] = ACTIONS(1777),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1777),
    [anon_sym_equ] = ACTIONS(1777),
    [anon_sym_eqr] = ACTIONS(1777),
    [anon_sym_ne] = ACTIONS(1777),
    [anon_sym_LT_EQ_GT] = ACTIONS(1777),
    [anon_sym_cmp] = ACTIONS(1777),
    [anon_sym_TILDE_TILDE] = ACTIONS(1777),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT_EQ] = ACTIONS(1777),
    [anon_sym_lt] = ACTIONS(1777),
    [anon_sym_le] = ACTIONS(1777),
    [anon_sym_ge] = ACTIONS(1777),
    [anon_sym_gt] = ACTIONS(1777),
    [anon_sym_isa] = ACTIONS(1777),
    [anon_sym_TILDE] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1777),
    [anon_sym_PLUS_PLUS] = ACTIONS(1777),
    [anon_sym_DASH_DASH] = ACTIONS(1777),
    [anon_sym_QMARK] = ACTIONS(1777),
    [anon_sym_BSLASH] = ACTIONS(1779),
    [anon_sym_do] = ACTIONS(1777),
    [anon_sym_eval] = ACTIONS(1777),
    [anon_sym_await] = ACTIONS(1777),
    [anon_sym_field] = ACTIONS(1777),
    [anon_sym_local] = ACTIONS(1777),
    [anon_sym_dynamically] = ACTIONS(1777),
    [anon_sym_require] = ACTIONS(1777),
    [anon_sym_map] = ACTIONS(1777),
    [anon_sym_grep] = ACTIONS(1777),
    [anon_sym_sort] = ACTIONS(1777),
    [anon_sym_goto] = ACTIONS(1777),
    [anon_sym_return] = ACTIONS(1777),
    [anon_sym_undef] = ACTIONS(1777),
    [anon_sym_PERCENT2] = ACTIONS(1777),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1777),
    [anon_sym_EQ_GT] = ACTIONS(1777),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_foreach] = ACTIONS(1777),
    [anon_sym_last] = ACTIONS(1777),
    [anon_sym_next] = ACTIONS(1777),
    [anon_sym_redo] = ACTIONS(1777),
    [anon_sym___FILE__] = ACTIONS(1777),
    [anon_sym___LINE__] = ACTIONS(1777),
    [anon_sym___PACKAGE__] = ACTIONS(1777),
    [anon_sym___SUB__] = ACTIONS(1777),
    [anon_sym_break] = ACTIONS(1777),
    [anon_sym_fork] = ACTIONS(1777),
    [anon_sym_getppid] = ACTIONS(1777),
    [anon_sym_time] = ACTIONS(1777),
    [anon_sym_times] = ACTIONS(1777),
    [anon_sym_wait] = ACTIONS(1777),
    [anon_sym_wantarray] = ACTIONS(1777),
    [anon_sym_abs] = ACTIONS(1777),
    [anon_sym_alarm] = ACTIONS(1777),
    [anon_sym_chop] = ACTIONS(1777),
    [anon_sym_chdir] = ACTIONS(1777),
    [anon_sym_close] = ACTIONS(1777),
    [anon_sym_closedir] = ACTIONS(1777),
    [anon_sym_caller] = ACTIONS(1777),
    [anon_sym_chomp] = ACTIONS(1777),
    [anon_sym_chr] = ACTIONS(1777),
    [anon_sym_cos] = ACTIONS(1777),
    [anon_sym_chroot] = ACTIONS(1777),
    [anon_sym_defined] = ACTIONS(1777),
    [anon_sym_delete] = ACTIONS(1777),
    [anon_sym_dbmclose] = ACTIONS(1777),
    [anon_sym_exists] = ACTIONS(1777),
    [anon_sym_exit] = ACTIONS(1777),
    [anon_sym_eof] = ACTIONS(1777),
    [anon_sym_exp] = ACTIONS(1777),
    [anon_sym_each] = ACTIONS(1777),
    [anon_sym_fc] = ACTIONS(1777),
    [anon_sym_fileno] = ACTIONS(1777),
    [anon_sym_gmtime] = ACTIONS(1777),
    [anon_sym_getc] = ACTIONS(1777),
    [anon_sym_getpgrp] = ACTIONS(1777),
    [anon_sym_getprotobyname] = ACTIONS(1777),
    [anon_sym_getpwname] = ACTIONS(1777),
    [anon_sym_getpwuid] = ACTIONS(1777),
    [anon_sym_getpeername] = ACTIONS(1777),
    [anon_sym_getnetbyname] = ACTIONS(1777),
    [anon_sym_getsockname] = ACTIONS(1777),
    [anon_sym_getgrnam] = ACTIONS(1777),
    [anon_sym_getgrgid] = ACTIONS(1777),
    [anon_sym_hex] = ACTIONS(1777),
    [anon_sym_int] = ACTIONS(1777),
    [anon_sym_keys] = ACTIONS(1777),
    [anon_sym_lc] = ACTIONS(1777),
    [anon_sym_lcfirst] = ACTIONS(1777),
    [anon_sym_length] = ACTIONS(1777),
    [anon_sym_localtime] = ACTIONS(1777),
    [anon_sym_log] = ACTIONS(1777),
    [anon_sym_lock] = ACTIONS(1777),
    [anon_sym_lstat] = ACTIONS(1777),
    [anon_sym_oct] = ACTIONS(1777),
    [anon_sym_ord] = ACTIONS(1777),
    [anon_sym_prototype] = ACTIONS(1777),
    [anon_sym_pop] = ACTIONS(1777),
    [anon_sym_pos] = ACTIONS(1777),
    [anon_sym_quotemeta] = ACTIONS(1777),
    [anon_sym_reset] = ACTIONS(1777),
    [anon_sym_rand] = ACTIONS(1777),
    [anon_sym_rmdir] = ACTIONS(1777),
    [anon_sym_readdir] = ACTIONS(1777),
    [anon_sym_readline] = ACTIONS(1777),
    [anon_sym_readpipe] = ACTIONS(1777),
    [anon_sym_rewinddir] = ACTIONS(1777),
    [anon_sym_readlink] = ACTIONS(1777),
    [anon_sym_ref] = ACTIONS(1777),
    [anon_sym_scalar] = ACTIONS(1777),
    [anon_sym_shift] = ACTIONS(1777),
    [anon_sym_sin] = ACTIONS(1777),
    [anon_sym_sleep] = ACTIONS(1777),
    [anon_sym_sqrt] = ACTIONS(1777),
    [anon_sym_srand] = ACTIONS(1777),
    [anon_sym_stat] = ACTIONS(1777),
    [anon_sym_study] = ACTIONS(1777),
    [anon_sym_tell] = ACTIONS(1777),
    [anon_sym_telldir] = ACTIONS(1777),
    [anon_sym_tied] = ACTIONS(1777),
    [anon_sym_uc] = ACTIONS(1777),
    [anon_sym_ucfirst] = ACTIONS(1777),
    [anon_sym_untie] = ACTIONS(1777),
    [anon_sym_umask] = ACTIONS(1777),
    [anon_sym_values] = ACTIONS(1777),
    [anon_sym_write] = ACTIONS(1777),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1777),
    [anon_sym___END__] = ACTIONS(1777),
    [anon_sym_EOT] = ACTIONS(1777),
    [anon_sym_q] = ACTIONS(1777),
    [anon_sym_qq] = ACTIONS(1777),
    [anon_sym_qw] = ACTIONS(1777),
    [anon_sym_qx] = ACTIONS(1777),
    [anon_sym_qr] = ACTIONS(1777),
    [anon_sym_m] = ACTIONS(1777),
    [anon_sym_s] = ACTIONS(1777),
    [anon_sym_tr] = ACTIONS(1777),
    [anon_sym_y] = ACTIONS(1777),
    [anon_sym_if] = ACTIONS(1777),
    [anon_sym_unless] = ACTIONS(1777),
    [anon_sym_while] = ACTIONS(1777),
    [anon_sym_until] = ACTIONS(1777),
    [aux_sym__bareword_token1] = ACTIONS(1777),
    [sym_number] = ACTIONS(1777),
    [anon_sym_true] = ACTIONS(1777),
    [anon_sym_false] = ACTIONS(1777),
    [sym__single_quote] = ACTIONS(1779),
    [sym__double_quote] = ACTIONS(1779),
    [sym__backtick_quote] = ACTIONS(1779),
    [sym__search_slash_quote] = ACTIONS(1779),
    [sym__no_search_slash_plz] = ACTIONS(1779),
    [sym__PERLY_SEMICOLON] = ACTIONS(1779),
    [sym__PERLY_HEREDOC] = ACTIONS(1779),
    [sym__ctrl_z_hack] = ACTIONS(1779),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1779),
    [sym__filetest] = ACTIONS(1779),
  },
  [667] = {
    [sym_heredoc_content] = STATE(667),
    [sym__identifier] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1755),
    [anon_sym_RBRACE] = ACTIONS(1755),
    [anon_sym_SEMI] = ACTIONS(1755),
    [anon_sym_DOLLAR] = ACTIONS(1755),
    [anon_sym_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1755),
    [anon_sym_AT] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_my] = ACTIONS(1755),
    [anon_sym_extended] = ACTIONS(1755),
    [anon_sym_async] = ACTIONS(1755),
    [anon_sym_sub] = ACTIONS(1755),
    [anon_sym_method] = ACTIONS(1755),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_continue] = ACTIONS(1755),
    [anon_sym_state] = ACTIONS(1755),
    [anon_sym_our] = ACTIONS(1755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1755),
    [anon_sym_and] = ACTIONS(1755),
    [anon_sym_or] = ACTIONS(1755),
    [anon_sym_xor] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_DASH_GT] = ACTIONS(1755),
    [anon_sym_PERCENT] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1755),
    [anon_sym_PLUS_EQ] = ACTIONS(1755),
    [anon_sym_DASH_EQ] = ACTIONS(1755),
    [anon_sym_DOT_EQ] = ACTIONS(1755),
    [anon_sym_STAR_EQ] = ACTIONS(1755),
    [anon_sym_SLASH_EQ] = ACTIONS(1755),
    [anon_sym_PERCENT_EQ] = ACTIONS(1755),
    [anon_sym_x_EQ] = ACTIONS(1755),
    [anon_sym_AMP_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_CARET_EQ] = ACTIONS(1755),
    [anon_sym_LT_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_GT_EQ] = ACTIONS(1755),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1755),
    [anon_sym_DOT_DOT] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH] = ACTIONS(1755),
    [anon_sym_CARET_CARET] = ACTIONS(1755),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_GT_GT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1755),
    [anon_sym_x] = ACTIONS(1755),
    [anon_sym_EQ_TILDE] = ACTIONS(1755),
    [anon_sym_BANG_TILDE] = ACTIONS(1755),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_eq] = ACTIONS(1755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1755),
    [anon_sym_equ] = ACTIONS(1755),
    [anon_sym_eqr] = ACTIONS(1755),
    [anon_sym_ne] = ACTIONS(1755),
    [anon_sym_LT_EQ_GT] = ACTIONS(1755),
    [anon_sym_cmp] = ACTIONS(1755),
    [anon_sym_TILDE_TILDE] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_lt] = ACTIONS(1755),
    [anon_sym_le] = ACTIONS(1755),
    [anon_sym_ge] = ACTIONS(1755),
    [anon_sym_gt] = ACTIONS(1755),
    [anon_sym_isa] = ACTIONS(1755),
    [anon_sym_TILDE] = ACTIONS(1755),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_PLUS_PLUS] = ACTIONS(1755),
    [anon_sym_DASH_DASH] = ACTIONS(1755),
    [anon_sym_QMARK] = ACTIONS(1755),
    [anon_sym_BSLASH] = ACTIONS(1759),
    [anon_sym_do] = ACTIONS(1755),
    [anon_sym_eval] = ACTIONS(1755),
    [anon_sym_await] = ACTIONS(1755),
    [anon_sym_field] = ACTIONS(1755),
    [anon_sym_local] = ACTIONS(1755),
    [anon_sym_dynamically] = ACTIONS(1755),
    [anon_sym_require] = ACTIONS(1755),
    [anon_sym_map] = ACTIONS(1755),
    [anon_sym_grep] = ACTIONS(1755),
    [anon_sym_sort] = ACTIONS(1755),
    [anon_sym_goto] = ACTIONS(1755),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_undef] = ACTIONS(1755),
    [anon_sym_PERCENT2] = ACTIONS(1755),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(1755),
    [anon_sym_for] = ACTIONS(1755),
    [anon_sym_foreach] = ACTIONS(1755),
    [anon_sym_last] = ACTIONS(1755),
    [anon_sym_next] = ACTIONS(1755),
    [anon_sym_redo] = ACTIONS(1755),
    [anon_sym___FILE__] = ACTIONS(1755),
    [anon_sym___LINE__] = ACTIONS(1755),
    [anon_sym___PACKAGE__] = ACTIONS(1755),
    [anon_sym___SUB__] = ACTIONS(1755),
    [anon_sym_break] = ACTIONS(1755),
    [anon_sym_fork] = ACTIONS(1755),
    [anon_sym_getppid] = ACTIONS(1755),
    [anon_sym_time] = ACTIONS(1755),
    [anon_sym_times] = ACTIONS(1755),
    [anon_sym_wait] = ACTIONS(1755),
    [anon_sym_wantarray] = ACTIONS(1755),
    [anon_sym_abs] = ACTIONS(1755),
    [anon_sym_alarm] = ACTIONS(1755),
    [anon_sym_chop] = ACTIONS(1755),
    [anon_sym_chdir] = ACTIONS(1755),
    [anon_sym_close] = ACTIONS(1755),
    [anon_sym_closedir] = ACTIONS(1755),
    [anon_sym_caller] = ACTIONS(1755),
    [anon_sym_chomp] = ACTIONS(1755),
    [anon_sym_chr] = ACTIONS(1755),
    [anon_sym_cos] = ACTIONS(1755),
    [anon_sym_chroot] = ACTIONS(1755),
    [anon_sym_defined] = ACTIONS(1755),
    [anon_sym_delete] = ACTIONS(1755),
    [anon_sym_dbmclose] = ACTIONS(1755),
    [anon_sym_exists] = ACTIONS(1755),
    [anon_sym_exit] = ACTIONS(1755),
    [anon_sym_eof] = ACTIONS(1755),
    [anon_sym_exp] = ACTIONS(1755),
    [anon_sym_each] = ACTIONS(1755),
    [anon_sym_fc] = ACTIONS(1755),
    [anon_sym_fileno] = ACTIONS(1755),
    [anon_sym_gmtime] = ACTIONS(1755),
    [anon_sym_getc] = ACTIONS(1755),
    [anon_sym_getpgrp] = ACTIONS(1755),
    [anon_sym_getprotobyname] = ACTIONS(1755),
    [anon_sym_getpwname] = ACTIONS(1755),
    [anon_sym_getpwuid] = ACTIONS(1755),
    [anon_sym_getpeername] = ACTIONS(1755),
    [anon_sym_getnetbyname] = ACTIONS(1755),
    [anon_sym_getsockname] = ACTIONS(1755),
    [anon_sym_getgrnam] = ACTIONS(1755),
    [anon_sym_getgrgid] = ACTIONS(1755),
    [anon_sym_hex] = ACTIONS(1755),
    [anon_sym_int] = ACTIONS(1755),
    [anon_sym_keys] = ACTIONS(1755),
    [anon_sym_lc] = ACTIONS(1755),
    [anon_sym_lcfirst] = ACTIONS(1755),
    [anon_sym_length] = ACTIONS(1755),
    [anon_sym_localtime] = ACTIONS(1755),
    [anon_sym_log] = ACTIONS(1755),
    [anon_sym_lock] = ACTIONS(1755),
    [anon_sym_lstat] = ACTIONS(1755),
    [anon_sym_oct] = ACTIONS(1755),
    [anon_sym_ord] = ACTIONS(1755),
    [anon_sym_prototype] = ACTIONS(1755),
    [anon_sym_pop] = ACTIONS(1755),
    [anon_sym_pos] = ACTIONS(1755),
    [anon_sym_quotemeta] = ACTIONS(1755),
    [anon_sym_reset] = ACTIONS(1755),
    [anon_sym_rand] = ACTIONS(1755),
    [anon_sym_rmdir] = ACTIONS(1755),
    [anon_sym_readdir] = ACTIONS(1755),
    [anon_sym_readline] = ACTIONS(1755),
    [anon_sym_readpipe] = ACTIONS(1755),
    [anon_sym_rewinddir] = ACTIONS(1755),
    [anon_sym_readlink] = ACTIONS(1755),
    [anon_sym_ref] = ACTIONS(1755),
    [anon_sym_scalar] = ACTIONS(1755),
    [anon_sym_shift] = ACTIONS(1755),
    [anon_sym_sin] = ACTIONS(1755),
    [anon_sym_sleep] = ACTIONS(1755),
    [anon_sym_sqrt] = ACTIONS(1755),
    [anon_sym_srand] = ACTIONS(1755),
    [anon_sym_stat] = ACTIONS(1755),
    [anon_sym_study] = ACTIONS(1755),
    [anon_sym_tell] = ACTIONS(1755),
    [anon_sym_telldir] = ACTIONS(1755),
    [anon_sym_tied] = ACTIONS(1755),
    [anon_sym_uc] = ACTIONS(1755),
    [anon_sym_ucfirst] = ACTIONS(1755),
    [anon_sym_untie] = ACTIONS(1755),
    [anon_sym_umask] = ACTIONS(1755),
    [anon_sym_values] = ACTIONS(1755),
    [anon_sym_write] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1755),
    [anon_sym___END__] = ACTIONS(1755),
    [anon_sym_EOT] = ACTIONS(1755),
    [anon_sym_q] = ACTIONS(1755),
    [anon_sym_qq] = ACTIONS(1755),
    [anon_sym_qw] = ACTIONS(1755),
    [anon_sym_qx] = ACTIONS(1755),
    [anon_sym_qr] = ACTIONS(1755),
    [anon_sym_m] = ACTIONS(1755),
    [anon_sym_s] = ACTIONS(1755),
    [anon_sym_tr] = ACTIONS(1755),
    [anon_sym_y] = ACTIONS(1755),
    [anon_sym_if] = ACTIONS(1755),
    [anon_sym_unless] = ACTIONS(1755),
    [anon_sym_while] = ACTIONS(1755),
    [anon_sym_until] = ACTIONS(1755),
    [aux_sym__bareword_token1] = ACTIONS(1755),
    [sym_number] = ACTIONS(1755),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [sym__single_quote] = ACTIONS(1759),
    [sym__double_quote] = ACTIONS(1759),
    [sym__backtick_quote] = ACTIONS(1759),
    [sym__search_slash_quote] = ACTIONS(1759),
    [sym__no_search_slash_plz] = ACTIONS(1759),
    [sym__PERLY_SEMICOLON] = ACTIONS(1759),
    [sym__PERLY_HEREDOC] = ACTIONS(1759),
    [sym__ctrl_z_hack] = ACTIONS(1759),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1759),
    [sym__filetest] = ACTIONS(1759),
  },
  [668] = {
    [sym_heredoc_content] = STATE(668),
    [sym__identifier] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_RBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [anon_sym_DOLLAR] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1405),
    [anon_sym_AT] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [anon_sym_my] = ACTIONS(1405),
    [anon_sym_extended] = ACTIONS(1405),
    [anon_sym_async] = ACTIONS(1405),
    [anon_sym_sub] = ACTIONS(1405),
    [anon_sym_method] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_state] = ACTIONS(1405),
    [anon_sym_our] = ACTIONS(1405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1405),
    [anon_sym_and] = ACTIONS(1405),
    [anon_sym_or] = ACTIONS(1405),
    [anon_sym_xor] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_DASH_GT] = ACTIONS(1405),
    [anon_sym_PERCENT] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1405),
    [anon_sym_GT] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1405),
    [anon_sym_PLUS_EQ] = ACTIONS(1405),
    [anon_sym_DASH_EQ] = ACTIONS(1405),
    [anon_sym_DOT_EQ] = ACTIONS(1405),
    [anon_sym_STAR_EQ] = ACTIONS(1405),
    [anon_sym_SLASH_EQ] = ACTIONS(1405),
    [anon_sym_PERCENT_EQ] = ACTIONS(1405),
    [anon_sym_x_EQ] = ACTIONS(1405),
    [anon_sym_AMP_EQ] = ACTIONS(1405),
    [anon_sym_PIPE_EQ] = ACTIONS(1405),
    [anon_sym_CARET_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT_EQ] = ACTIONS(1405),
    [anon_sym_GT_GT_EQ] = ACTIONS(1405),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1405),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_STAR_STAR] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH] = ACTIONS(1405),
    [anon_sym_CARET_CARET] = ACTIONS(1405),
    [anon_sym_AMP_AMP] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_GT_GT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1405),
    [anon_sym_DOT] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1405),
    [anon_sym_x] = ACTIONS(1405),
    [anon_sym_EQ_TILDE] = ACTIONS(1405),
    [anon_sym_BANG_TILDE] = ACTIONS(1405),
    [anon_sym_EQ_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_eq] = ACTIONS(1405),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1405),
    [anon_sym_equ] = ACTIONS(1405),
    [anon_sym_eqr] = ACTIONS(1405),
    [anon_sym_ne] = ACTIONS(1405),
    [anon_sym_LT_EQ_GT] = ACTIONS(1405),
    [anon_sym_cmp] = ACTIONS(1405),
    [anon_sym_TILDE_TILDE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_lt] = ACTIONS(1405),
    [anon_sym_le] = ACTIONS(1405),
    [anon_sym_ge] = ACTIONS(1405),
    [anon_sym_gt] = ACTIONS(1405),
    [anon_sym_isa] = ACTIONS(1405),
    [anon_sym_TILDE] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1405),
    [anon_sym_DASH_DASH] = ACTIONS(1405),
    [anon_sym_QMARK] = ACTIONS(1405),
    [anon_sym_BSLASH] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_eval] = ACTIONS(1405),
    [anon_sym_await] = ACTIONS(1405),
    [anon_sym_field] = ACTIONS(1405),
    [anon_sym_local] = ACTIONS(1405),
    [anon_sym_dynamically] = ACTIONS(1405),
    [anon_sym_require] = ACTIONS(1405),
    [anon_sym_map] = ACTIONS(1405),
    [anon_sym_grep] = ACTIONS(1405),
    [anon_sym_sort] = ACTIONS(1405),
    [anon_sym_goto] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_undef] = ACTIONS(1405),
    [anon_sym_PERCENT2] = ACTIONS(1405),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1405),
    [anon_sym_EQ_GT] = ACTIONS(1405),
    [anon_sym_for] = ACTIONS(1405),
    [anon_sym_foreach] = ACTIONS(1405),
    [anon_sym_last] = ACTIONS(1405),
    [anon_sym_next] = ACTIONS(1405),
    [anon_sym_redo] = ACTIONS(1405),
    [anon_sym___FILE__] = ACTIONS(1405),
    [anon_sym___LINE__] = ACTIONS(1405),
    [anon_sym___PACKAGE__] = ACTIONS(1405),
    [anon_sym___SUB__] = ACTIONS(1405),
    [anon_sym_break] = ACTIONS(1405),
    [anon_sym_fork] = ACTIONS(1405),
    [anon_sym_getppid] = ACTIONS(1405),
    [anon_sym_time] = ACTIONS(1405),
    [anon_sym_times] = ACTIONS(1405),
    [anon_sym_wait] = ACTIONS(1405),
    [anon_sym_wantarray] = ACTIONS(1405),
    [anon_sym_abs] = ACTIONS(1405),
    [anon_sym_alarm] = ACTIONS(1405),
    [anon_sym_chop] = ACTIONS(1405),
    [anon_sym_chdir] = ACTIONS(1405),
    [anon_sym_close] = ACTIONS(1405),
    [anon_sym_closedir] = ACTIONS(1405),
    [anon_sym_caller] = ACTIONS(1405),
    [anon_sym_chomp] = ACTIONS(1405),
    [anon_sym_chr] = ACTIONS(1405),
    [anon_sym_cos] = ACTIONS(1405),
    [anon_sym_chroot] = ACTIONS(1405),
    [anon_sym_defined] = ACTIONS(1405),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_dbmclose] = ACTIONS(1405),
    [anon_sym_exists] = ACTIONS(1405),
    [anon_sym_exit] = ACTIONS(1405),
    [anon_sym_eof] = ACTIONS(1405),
    [anon_sym_exp] = ACTIONS(1405),
    [anon_sym_each] = ACTIONS(1405),
    [anon_sym_fc] = ACTIONS(1405),
    [anon_sym_fileno] = ACTIONS(1405),
    [anon_sym_gmtime] = ACTIONS(1405),
    [anon_sym_getc] = ACTIONS(1405),
    [anon_sym_getpgrp] = ACTIONS(1405),
    [anon_sym_getprotobyname] = ACTIONS(1405),
    [anon_sym_getpwname] = ACTIONS(1405),
    [anon_sym_getpwuid] = ACTIONS(1405),
    [anon_sym_getpeername] = ACTIONS(1405),
    [anon_sym_getnetbyname] = ACTIONS(1405),
    [anon_sym_getsockname] = ACTIONS(1405),
    [anon_sym_getgrnam] = ACTIONS(1405),
    [anon_sym_getgrgid] = ACTIONS(1405),
    [anon_sym_hex] = ACTIONS(1405),
    [anon_sym_int] = ACTIONS(1405),
    [anon_sym_keys] = ACTIONS(1405),
    [anon_sym_lc] = ACTIONS(1405),
    [anon_sym_lcfirst] = ACTIONS(1405),
    [anon_sym_length] = ACTIONS(1405),
    [anon_sym_localtime] = ACTIONS(1405),
    [anon_sym_log] = ACTIONS(1405),
    [anon_sym_lock] = ACTIONS(1405),
    [anon_sym_lstat] = ACTIONS(1405),
    [anon_sym_oct] = ACTIONS(1405),
    [anon_sym_ord] = ACTIONS(1405),
    [anon_sym_prototype] = ACTIONS(1405),
    [anon_sym_pop] = ACTIONS(1405),
    [anon_sym_pos] = ACTIONS(1405),
    [anon_sym_quotemeta] = ACTIONS(1405),
    [anon_sym_reset] = ACTIONS(1405),
    [anon_sym_rand] = ACTIONS(1405),
    [anon_sym_rmdir] = ACTIONS(1405),
    [anon_sym_readdir] = ACTIONS(1405),
    [anon_sym_readline] = ACTIONS(1405),
    [anon_sym_readpipe] = ACTIONS(1405),
    [anon_sym_rewinddir] = ACTIONS(1405),
    [anon_sym_readlink] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1405),
    [anon_sym_scalar] = ACTIONS(1405),
    [anon_sym_shift] = ACTIONS(1405),
    [anon_sym_sin] = ACTIONS(1405),
    [anon_sym_sleep] = ACTIONS(1405),
    [anon_sym_sqrt] = ACTIONS(1405),
    [anon_sym_srand] = ACTIONS(1405),
    [anon_sym_stat] = ACTIONS(1405),
    [anon_sym_study] = ACTIONS(1405),
    [anon_sym_tell] = ACTIONS(1405),
    [anon_sym_telldir] = ACTIONS(1405),
    [anon_sym_tied] = ACTIONS(1405),
    [anon_sym_uc] = ACTIONS(1405),
    [anon_sym_ucfirst] = ACTIONS(1405),
    [anon_sym_untie] = ACTIONS(1405),
    [anon_sym_umask] = ACTIONS(1405),
    [anon_sym_values] = ACTIONS(1405),
    [anon_sym_write] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1405),
    [anon_sym___END__] = ACTIONS(1405),
    [anon_sym_EOT] = ACTIONS(1405),
    [anon_sym_q] = ACTIONS(1405),
    [anon_sym_qq] = ACTIONS(1405),
    [anon_sym_qw] = ACTIONS(1405),
    [anon_sym_qx] = ACTIONS(1405),
    [anon_sym_qr] = ACTIONS(1405),
    [anon_sym_m] = ACTIONS(1405),
    [anon_sym_s] = ACTIONS(1405),
    [anon_sym_tr] = ACTIONS(1405),
    [anon_sym_y] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_unless] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1405),
    [anon_sym_until] = ACTIONS(1405),
    [aux_sym__bareword_token1] = ACTIONS(1405),
    [sym_number] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1405),
    [anon_sym_false] = ACTIONS(1405),
    [sym__single_quote] = ACTIONS(1403),
    [sym__double_quote] = ACTIONS(1403),
    [sym__backtick_quote] = ACTIONS(1403),
    [sym__search_slash_quote] = ACTIONS(1403),
    [sym__no_search_slash_plz] = ACTIONS(1403),
    [sym__PERLY_SEMICOLON] = ACTIONS(1403),
    [sym__PERLY_HEREDOC] = ACTIONS(1403),
    [sym__ctrl_z_hack] = ACTIONS(1403),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1403),
    [sym__filetest] = ACTIONS(1403),
  },
  [669] = {
    [sym_heredoc_content] = STATE(669),
    [sym__identifier] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1781),
    [anon_sym_RBRACE] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1781),
    [anon_sym_DOLLAR] = ACTIONS(1781),
    [anon_sym_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(1781),
    [anon_sym_COMMA] = ACTIONS(1781),
    [anon_sym_my] = ACTIONS(1781),
    [anon_sym_extended] = ACTIONS(1781),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_sub] = ACTIONS(1781),
    [anon_sym_method] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1781),
    [anon_sym_continue] = ACTIONS(1781),
    [anon_sym_state] = ACTIONS(1781),
    [anon_sym_our] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1781),
    [anon_sym_and] = ACTIONS(1781),
    [anon_sym_or] = ACTIONS(1781),
    [anon_sym_xor] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1781),
    [anon_sym_DASH_GT] = ACTIONS(1781),
    [anon_sym_PERCENT] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1781),
    [anon_sym_PLUS_EQ] = ACTIONS(1781),
    [anon_sym_DASH_EQ] = ACTIONS(1781),
    [anon_sym_DOT_EQ] = ACTIONS(1781),
    [anon_sym_STAR_EQ] = ACTIONS(1781),
    [anon_sym_SLASH_EQ] = ACTIONS(1781),
    [anon_sym_PERCENT_EQ] = ACTIONS(1781),
    [anon_sym_x_EQ] = ACTIONS(1781),
    [anon_sym_AMP_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_EQ] = ACTIONS(1781),
    [anon_sym_CARET_EQ] = ACTIONS(1781),
    [anon_sym_LT_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_GT_EQ] = ACTIONS(1781),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1781),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_STAR_STAR] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_CARET_CARET] = ACTIONS(1781),
    [anon_sym_AMP_AMP] = ACTIONS(1781),
    [anon_sym_PIPE] = ACTIONS(1781),
    [anon_sym_CARET] = ACTIONS(1781),
    [anon_sym_AMP] = ACTIONS(1781),
    [anon_sym_GT_GT2] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_x] = ACTIONS(1781),
    [anon_sym_EQ_TILDE] = ACTIONS(1781),
    [anon_sym_BANG_TILDE] = ACTIONS(1781),
    [anon_sym_EQ_EQ] = ACTIONS(1781),
    [anon_sym_BANG_EQ] = ACTIONS(1781),
    [anon_sym_eq] = ACTIONS(1781),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1781),
    [anon_sym_equ] = ACTIONS(1781),
    [anon_sym_eqr] = ACTIONS(1781),
    [anon_sym_ne] = ACTIONS(1781),
    [anon_sym_LT_EQ_GT] = ACTIONS(1781),
    [anon_sym_cmp] = ACTIONS(1781),
    [anon_sym_TILDE_TILDE] = ACTIONS(1781),
    [anon_sym_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_EQ] = ACTIONS(1781),
    [anon_sym_lt] = ACTIONS(1781),
    [anon_sym_le] = ACTIONS(1781),
    [anon_sym_ge] = ACTIONS(1781),
    [anon_sym_gt] = ACTIONS(1781),
    [anon_sym_isa] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_BANG] = ACTIONS(1781),
    [anon_sym_PLUS_PLUS] = ACTIONS(1781),
    [anon_sym_DASH_DASH] = ACTIONS(1781),
    [anon_sym_QMARK] = ACTIONS(1781),
    [anon_sym_BSLASH] = ACTIONS(1783),
    [anon_sym_do] = ACTIONS(1781),
    [anon_sym_eval] = ACTIONS(1781),
    [anon_sym_await] = ACTIONS(1781),
    [anon_sym_field] = ACTIONS(1781),
    [anon_sym_local] = ACTIONS(1781),
    [anon_sym_dynamically] = ACTIONS(1781),
    [anon_sym_require] = ACTIONS(1781),
    [anon_sym_map] = ACTIONS(1781),
    [anon_sym_grep] = ACTIONS(1781),
    [anon_sym_sort] = ACTIONS(1781),
    [anon_sym_goto] = ACTIONS(1781),
    [anon_sym_return] = ACTIONS(1781),
    [anon_sym_undef] = ACTIONS(1781),
    [anon_sym_PERCENT2] = ACTIONS(1781),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1781),
    [anon_sym_EQ_GT] = ACTIONS(1781),
    [anon_sym_for] = ACTIONS(1781),
    [anon_sym_foreach] = ACTIONS(1781),
    [anon_sym_last] = ACTIONS(1781),
    [anon_sym_next] = ACTIONS(1781),
    [anon_sym_redo] = ACTIONS(1781),
    [anon_sym___FILE__] = ACTIONS(1781),
    [anon_sym___LINE__] = ACTIONS(1781),
    [anon_sym___PACKAGE__] = ACTIONS(1781),
    [anon_sym___SUB__] = ACTIONS(1781),
    [anon_sym_break] = ACTIONS(1781),
    [anon_sym_fork] = ACTIONS(1781),
    [anon_sym_getppid] = ACTIONS(1781),
    [anon_sym_time] = ACTIONS(1781),
    [anon_sym_times] = ACTIONS(1781),
    [anon_sym_wait] = ACTIONS(1781),
    [anon_sym_wantarray] = ACTIONS(1781),
    [anon_sym_abs] = ACTIONS(1781),
    [anon_sym_alarm] = ACTIONS(1781),
    [anon_sym_chop] = ACTIONS(1781),
    [anon_sym_chdir] = ACTIONS(1781),
    [anon_sym_close] = ACTIONS(1781),
    [anon_sym_closedir] = ACTIONS(1781),
    [anon_sym_caller] = ACTIONS(1781),
    [anon_sym_chomp] = ACTIONS(1781),
    [anon_sym_chr] = ACTIONS(1781),
    [anon_sym_cos] = ACTIONS(1781),
    [anon_sym_chroot] = ACTIONS(1781),
    [anon_sym_defined] = ACTIONS(1781),
    [anon_sym_delete] = ACTIONS(1781),
    [anon_sym_dbmclose] = ACTIONS(1781),
    [anon_sym_exists] = ACTIONS(1781),
    [anon_sym_exit] = ACTIONS(1781),
    [anon_sym_eof] = ACTIONS(1781),
    [anon_sym_exp] = ACTIONS(1781),
    [anon_sym_each] = ACTIONS(1781),
    [anon_sym_fc] = ACTIONS(1781),
    [anon_sym_fileno] = ACTIONS(1781),
    [anon_sym_gmtime] = ACTIONS(1781),
    [anon_sym_getc] = ACTIONS(1781),
    [anon_sym_getpgrp] = ACTIONS(1781),
    [anon_sym_getprotobyname] = ACTIONS(1781),
    [anon_sym_getpwname] = ACTIONS(1781),
    [anon_sym_getpwuid] = ACTIONS(1781),
    [anon_sym_getpeername] = ACTIONS(1781),
    [anon_sym_getnetbyname] = ACTIONS(1781),
    [anon_sym_getsockname] = ACTIONS(1781),
    [anon_sym_getgrnam] = ACTIONS(1781),
    [anon_sym_getgrgid] = ACTIONS(1781),
    [anon_sym_hex] = ACTIONS(1781),
    [anon_sym_int] = ACTIONS(1781),
    [anon_sym_keys] = ACTIONS(1781),
    [anon_sym_lc] = ACTIONS(1781),
    [anon_sym_lcfirst] = ACTIONS(1781),
    [anon_sym_length] = ACTIONS(1781),
    [anon_sym_localtime] = ACTIONS(1781),
    [anon_sym_log] = ACTIONS(1781),
    [anon_sym_lock] = ACTIONS(1781),
    [anon_sym_lstat] = ACTIONS(1781),
    [anon_sym_oct] = ACTIONS(1781),
    [anon_sym_ord] = ACTIONS(1781),
    [anon_sym_prototype] = ACTIONS(1781),
    [anon_sym_pop] = ACTIONS(1781),
    [anon_sym_pos] = ACTIONS(1781),
    [anon_sym_quotemeta] = ACTIONS(1781),
    [anon_sym_reset] = ACTIONS(1781),
    [anon_sym_rand] = ACTIONS(1781),
    [anon_sym_rmdir] = ACTIONS(1781),
    [anon_sym_readdir] = ACTIONS(1781),
    [anon_sym_readline] = ACTIONS(1781),
    [anon_sym_readpipe] = ACTIONS(1781),
    [anon_sym_rewinddir] = ACTIONS(1781),
    [anon_sym_readlink] = ACTIONS(1781),
    [anon_sym_ref] = ACTIONS(1781),
    [anon_sym_scalar] = ACTIONS(1781),
    [anon_sym_shift] = ACTIONS(1781),
    [anon_sym_sin] = ACTIONS(1781),
    [anon_sym_sleep] = ACTIONS(1781),
    [anon_sym_sqrt] = ACTIONS(1781),
    [anon_sym_srand] = ACTIONS(1781),
    [anon_sym_stat] = ACTIONS(1781),
    [anon_sym_study] = ACTIONS(1781),
    [anon_sym_tell] = ACTIONS(1781),
    [anon_sym_telldir] = ACTIONS(1781),
    [anon_sym_tied] = ACTIONS(1781),
    [anon_sym_uc] = ACTIONS(1781),
    [anon_sym_ucfirst] = ACTIONS(1781),
    [anon_sym_untie] = ACTIONS(1781),
    [anon_sym_umask] = ACTIONS(1781),
    [anon_sym_values] = ACTIONS(1781),
    [anon_sym_write] = ACTIONS(1781),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1781),
    [anon_sym___END__] = ACTIONS(1781),
    [anon_sym_EOT] = ACTIONS(1781),
    [anon_sym_q] = ACTIONS(1781),
    [anon_sym_qq] = ACTIONS(1781),
    [anon_sym_qw] = ACTIONS(1781),
    [anon_sym_qx] = ACTIONS(1781),
    [anon_sym_qr] = ACTIONS(1781),
    [anon_sym_m] = ACTIONS(1781),
    [anon_sym_s] = ACTIONS(1781),
    [anon_sym_tr] = ACTIONS(1781),
    [anon_sym_y] = ACTIONS(1781),
    [anon_sym_if] = ACTIONS(1781),
    [anon_sym_unless] = ACTIONS(1781),
    [anon_sym_while] = ACTIONS(1781),
    [anon_sym_until] = ACTIONS(1781),
    [aux_sym__bareword_token1] = ACTIONS(1781),
    [sym_number] = ACTIONS(1781),
    [anon_sym_true] = ACTIONS(1781),
    [anon_sym_false] = ACTIONS(1781),
    [sym__single_quote] = ACTIONS(1783),
    [sym__double_quote] = ACTIONS(1783),
    [sym__backtick_quote] = ACTIONS(1783),
    [sym__search_slash_quote] = ACTIONS(1783),
    [sym__no_search_slash_plz] = ACTIONS(1783),
    [sym__PERLY_SEMICOLON] = ACTIONS(1783),
    [sym__PERLY_HEREDOC] = ACTIONS(1783),
    [sym__ctrl_z_hack] = ACTIONS(1783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1783),
    [sym__filetest] = ACTIONS(1783),
  },
  [670] = {
    [sym_heredoc_content] = STATE(670),
    [sym__identifier] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1785),
    [anon_sym_RBRACE] = ACTIONS(1787),
    [anon_sym_SEMI] = ACTIONS(1787),
    [anon_sym_DOLLAR] = ACTIONS(1785),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1787),
    [anon_sym_AT] = ACTIONS(1785),
    [anon_sym_COMMA] = ACTIONS(1787),
    [anon_sym_my] = ACTIONS(1785),
    [anon_sym_extended] = ACTIONS(1785),
    [anon_sym_async] = ACTIONS(1785),
    [anon_sym_sub] = ACTIONS(1785),
    [anon_sym_method] = ACTIONS(1785),
    [anon_sym_LPAREN] = ACTIONS(1785),
    [anon_sym_continue] = ACTIONS(1785),
    [anon_sym_state] = ACTIONS(1785),
    [anon_sym_our] = ACTIONS(1785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1787),
    [anon_sym_and] = ACTIONS(1787),
    [anon_sym_or] = ACTIONS(1787),
    [anon_sym_xor] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1785),
    [anon_sym_DASH_GT] = ACTIONS(1787),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1789),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1787),
    [anon_sym_PLUS_EQ] = ACTIONS(1787),
    [anon_sym_DASH_EQ] = ACTIONS(1787),
    [anon_sym_DOT_EQ] = ACTIONS(1787),
    [anon_sym_STAR_EQ] = ACTIONS(1787),
    [anon_sym_SLASH_EQ] = ACTIONS(1787),
    [anon_sym_PERCENT_EQ] = ACTIONS(1787),
    [anon_sym_x_EQ] = ACTIONS(1787),
    [anon_sym_AMP_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_EQ] = ACTIONS(1787),
    [anon_sym_CARET_EQ] = ACTIONS(1787),
    [anon_sym_LT_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_GT_EQ] = ACTIONS(1787),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1787),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1789),
    [anon_sym_CARET_CARET] = ACTIONS(1787),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1789),
    [anon_sym_DASH] = ACTIONS(1789),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1787),
    [anon_sym_BANG_TILDE] = ACTIONS(1787),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1787),
    [anon_sym_equ] = ACTIONS(1787),
    [anon_sym_eqr] = ACTIONS(1787),
    [anon_sym_ne] = ACTIONS(1787),
    [anon_sym_LT_EQ_GT] = ACTIONS(1787),
    [anon_sym_cmp] = ACTIONS(1787),
    [anon_sym_TILDE_TILDE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1787),
    [anon_sym_lt] = ACTIONS(1787),
    [anon_sym_le] = ACTIONS(1787),
    [anon_sym_ge] = ACTIONS(1787),
    [anon_sym_gt] = ACTIONS(1787),
    [anon_sym_isa] = ACTIONS(1787),
    [anon_sym_TILDE] = ACTIONS(1785),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_QMARK] = ACTIONS(1787),
    [anon_sym_BSLASH] = ACTIONS(1792),
    [anon_sym_do] = ACTIONS(1785),
    [anon_sym_eval] = ACTIONS(1785),
    [anon_sym_await] = ACTIONS(1785),
    [anon_sym_field] = ACTIONS(1785),
    [anon_sym_local] = ACTIONS(1785),
    [anon_sym_dynamically] = ACTIONS(1785),
    [anon_sym_require] = ACTIONS(1785),
    [anon_sym_map] = ACTIONS(1785),
    [anon_sym_grep] = ACTIONS(1785),
    [anon_sym_sort] = ACTIONS(1785),
    [anon_sym_goto] = ACTIONS(1785),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_undef] = ACTIONS(1785),
    [anon_sym_PERCENT2] = ACTIONS(1785),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1785),
    [anon_sym_EQ_GT] = ACTIONS(1787),
    [anon_sym_for] = ACTIONS(1787),
    [anon_sym_foreach] = ACTIONS(1787),
    [anon_sym_last] = ACTIONS(1785),
    [anon_sym_next] = ACTIONS(1785),
    [anon_sym_redo] = ACTIONS(1785),
    [anon_sym___FILE__] = ACTIONS(1785),
    [anon_sym___LINE__] = ACTIONS(1785),
    [anon_sym___PACKAGE__] = ACTIONS(1785),
    [anon_sym___SUB__] = ACTIONS(1785),
    [anon_sym_break] = ACTIONS(1785),
    [anon_sym_fork] = ACTIONS(1785),
    [anon_sym_getppid] = ACTIONS(1785),
    [anon_sym_time] = ACTIONS(1785),
    [anon_sym_times] = ACTIONS(1785),
    [anon_sym_wait] = ACTIONS(1785),
    [anon_sym_wantarray] = ACTIONS(1785),
    [anon_sym_abs] = ACTIONS(1785),
    [anon_sym_alarm] = ACTIONS(1785),
    [anon_sym_chop] = ACTIONS(1785),
    [anon_sym_chdir] = ACTIONS(1785),
    [anon_sym_close] = ACTIONS(1785),
    [anon_sym_closedir] = ACTIONS(1785),
    [anon_sym_caller] = ACTIONS(1785),
    [anon_sym_chomp] = ACTIONS(1785),
    [anon_sym_chr] = ACTIONS(1785),
    [anon_sym_cos] = ACTIONS(1785),
    [anon_sym_chroot] = ACTIONS(1785),
    [anon_sym_defined] = ACTIONS(1785),
    [anon_sym_delete] = ACTIONS(1785),
    [anon_sym_dbmclose] = ACTIONS(1785),
    [anon_sym_exists] = ACTIONS(1785),
    [anon_sym_exit] = ACTIONS(1785),
    [anon_sym_eof] = ACTIONS(1785),
    [anon_sym_exp] = ACTIONS(1785),
    [anon_sym_each] = ACTIONS(1785),
    [anon_sym_fc] = ACTIONS(1785),
    [anon_sym_fileno] = ACTIONS(1785),
    [anon_sym_gmtime] = ACTIONS(1785),
    [anon_sym_getc] = ACTIONS(1785),
    [anon_sym_getpgrp] = ACTIONS(1785),
    [anon_sym_getprotobyname] = ACTIONS(1785),
    [anon_sym_getpwname] = ACTIONS(1785),
    [anon_sym_getpwuid] = ACTIONS(1785),
    [anon_sym_getpeername] = ACTIONS(1785),
    [anon_sym_getnetbyname] = ACTIONS(1785),
    [anon_sym_getsockname] = ACTIONS(1785),
    [anon_sym_getgrnam] = ACTIONS(1785),
    [anon_sym_getgrgid] = ACTIONS(1785),
    [anon_sym_hex] = ACTIONS(1785),
    [anon_sym_int] = ACTIONS(1785),
    [anon_sym_keys] = ACTIONS(1785),
    [anon_sym_lc] = ACTIONS(1785),
    [anon_sym_lcfirst] = ACTIONS(1785),
    [anon_sym_length] = ACTIONS(1785),
    [anon_sym_localtime] = ACTIONS(1785),
    [anon_sym_log] = ACTIONS(1785),
    [anon_sym_lock] = ACTIONS(1785),
    [anon_sym_lstat] = ACTIONS(1785),
    [anon_sym_oct] = ACTIONS(1785),
    [anon_sym_ord] = ACTIONS(1785),
    [anon_sym_prototype] = ACTIONS(1785),
    [anon_sym_pop] = ACTIONS(1785),
    [anon_sym_pos] = ACTIONS(1785),
    [anon_sym_quotemeta] = ACTIONS(1785),
    [anon_sym_reset] = ACTIONS(1785),
    [anon_sym_rand] = ACTIONS(1785),
    [anon_sym_rmdir] = ACTIONS(1785),
    [anon_sym_readdir] = ACTIONS(1785),
    [anon_sym_readline] = ACTIONS(1785),
    [anon_sym_readpipe] = ACTIONS(1785),
    [anon_sym_rewinddir] = ACTIONS(1785),
    [anon_sym_readlink] = ACTIONS(1785),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_scalar] = ACTIONS(1785),
    [anon_sym_shift] = ACTIONS(1785),
    [anon_sym_sin] = ACTIONS(1785),
    [anon_sym_sleep] = ACTIONS(1785),
    [anon_sym_sqrt] = ACTIONS(1785),
    [anon_sym_srand] = ACTIONS(1785),
    [anon_sym_stat] = ACTIONS(1785),
    [anon_sym_study] = ACTIONS(1785),
    [anon_sym_tell] = ACTIONS(1785),
    [anon_sym_telldir] = ACTIONS(1785),
    [anon_sym_tied] = ACTIONS(1785),
    [anon_sym_uc] = ACTIONS(1785),
    [anon_sym_ucfirst] = ACTIONS(1785),
    [anon_sym_untie] = ACTIONS(1785),
    [anon_sym_umask] = ACTIONS(1785),
    [anon_sym_values] = ACTIONS(1785),
    [anon_sym_write] = ACTIONS(1785),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1787),
    [anon_sym___END__] = ACTIONS(1787),
    [anon_sym_EOT] = ACTIONS(1787),
    [anon_sym_q] = ACTIONS(1785),
    [anon_sym_qq] = ACTIONS(1785),
    [anon_sym_qw] = ACTIONS(1785),
    [anon_sym_qx] = ACTIONS(1785),
    [anon_sym_qr] = ACTIONS(1785),
    [anon_sym_m] = ACTIONS(1785),
    [anon_sym_s] = ACTIONS(1785),
    [anon_sym_tr] = ACTIONS(1785),
    [anon_sym_y] = ACTIONS(1785),
    [anon_sym_if] = ACTIONS(1787),
    [anon_sym_unless] = ACTIONS(1787),
    [anon_sym_while] = ACTIONS(1787),
    [anon_sym_until] = ACTIONS(1787),
    [aux_sym__bareword_token1] = ACTIONS(1785),
    [sym_number] = ACTIONS(1785),
    [anon_sym_true] = ACTIONS(1785),
    [anon_sym_false] = ACTIONS(1785),
    [sym__single_quote] = ACTIONS(1792),
    [sym__double_quote] = ACTIONS(1792),
    [sym__backtick_quote] = ACTIONS(1792),
    [sym__search_slash_quote] = ACTIONS(1792),
    [sym__no_search_slash_plz] = ACTIONS(1794),
    [sym__PERLY_SEMICOLON] = ACTIONS(1796),
    [sym__PERLY_HEREDOC] = ACTIONS(1792),
    [sym__ctrl_z_hack] = ACTIONS(1796),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1792),
    [sym__filetest] = ACTIONS(1792),
  },
  [671] = {
    [sym_heredoc_content] = STATE(671),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_RBRACE] = ACTIONS(1744),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
  },
  [672] = {
    [sym_heredoc_content] = STATE(672),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1798),
  },
  [673] = {
    [sym_heredoc_content] = STATE(673),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1800),
  },
  [674] = {
    [sym_heredoc_content] = STATE(674),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1802),
  },
  [675] = {
    [sym_heredoc_content] = STATE(675),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1804),
  },
  [676] = {
    [sym_heredoc_content] = STATE(676),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1806),
  },
  [677] = {
    [sym_heredoc_content] = STATE(677),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1808),
  },
  [678] = {
    [sym_heredoc_content] = STATE(678),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1810),
  },
  [679] = {
    [sym_heredoc_content] = STATE(679),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1812),
  },
  [680] = {
    [sym_heredoc_content] = STATE(680),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1814),
  },
  [681] = {
    [sym_heredoc_content] = STATE(681),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1816),
  },
  [682] = {
    [sym_heredoc_content] = STATE(682),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1818),
  },
  [683] = {
    [sym_heredoc_content] = STATE(683),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1820),
  },
  [684] = {
    [sym_heredoc_content] = STATE(684),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1822),
  },
  [685] = {
    [sym_heredoc_content] = STATE(685),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1824),
  },
  [686] = {
    [sym_heredoc_content] = STATE(686),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1826),
  },
  [687] = {
    [sym_heredoc_content] = STATE(687),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1828),
  },
  [688] = {
    [sym_heredoc_content] = STATE(688),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1830),
  },
  [689] = {
    [sym_heredoc_content] = STATE(689),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1832),
  },
  [690] = {
    [sym_heredoc_content] = STATE(690),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1753),
  },
  [691] = {
    [sym_heredoc_content] = STATE(691),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1832),
  },
  [692] = {
    [sym_heredoc_content] = STATE(692),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_RBRACE] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1742),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1742),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1742),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1742),
    [anon_sym_and] = ACTIONS(1742),
    [anon_sym_or] = ACTIONS(1742),
    [anon_sym_xor] = ACTIONS(1742),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1742),
    [anon_sym_PERCENT] = ACTIONS(1742),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_GT] = ACTIONS(1742),
    [anon_sym_LT_LT] = ACTIONS(1742),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1742),
    [anon_sym_PLUS_EQ] = ACTIONS(1742),
    [anon_sym_DASH_EQ] = ACTIONS(1742),
    [anon_sym_DOT_EQ] = ACTIONS(1742),
    [anon_sym_STAR_EQ] = ACTIONS(1742),
    [anon_sym_SLASH_EQ] = ACTIONS(1742),
    [anon_sym_PERCENT_EQ] = ACTIONS(1742),
    [anon_sym_x_EQ] = ACTIONS(1742),
    [anon_sym_AMP_EQ] = ACTIONS(1742),
    [anon_sym_PIPE_EQ] = ACTIONS(1742),
    [anon_sym_CARET_EQ] = ACTIONS(1742),
    [anon_sym_LT_LT_EQ] = ACTIONS(1742),
    [anon_sym_GT_GT_EQ] = ACTIONS(1742),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1742),
    [anon_sym_DOT_DOT] = ACTIONS(1742),
    [anon_sym_STAR_STAR] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE] = ACTIONS(1742),
    [anon_sym_SLASH_SLASH] = ACTIONS(1742),
    [anon_sym_CARET_CARET] = ACTIONS(1742),
    [anon_sym_AMP_AMP] = ACTIONS(1742),
    [anon_sym_PIPE] = ACTIONS(1742),
    [anon_sym_CARET] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_GT_GT2] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_DOT] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_SLASH] = ACTIONS(1742),
    [anon_sym_x] = ACTIONS(1742),
    [anon_sym_EQ_TILDE] = ACTIONS(1742),
    [anon_sym_BANG_TILDE] = ACTIONS(1742),
    [anon_sym_EQ_EQ] = ACTIONS(1742),
    [anon_sym_BANG_EQ] = ACTIONS(1742),
    [anon_sym_eq] = ACTIONS(1742),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1742),
    [anon_sym_equ] = ACTIONS(1742),
    [anon_sym_eqr] = ACTIONS(1742),
    [anon_sym_ne] = ACTIONS(1742),
    [anon_sym_LT_EQ_GT] = ACTIONS(1742),
    [anon_sym_cmp] = ACTIONS(1742),
    [anon_sym_TILDE_TILDE] = ACTIONS(1742),
    [anon_sym_LT_EQ] = ACTIONS(1742),
    [anon_sym_GT_EQ] = ACTIONS(1742),
    [anon_sym_lt] = ACTIONS(1742),
    [anon_sym_le] = ACTIONS(1742),
    [anon_sym_ge] = ACTIONS(1742),
    [anon_sym_gt] = ACTIONS(1742),
    [anon_sym_isa] = ACTIONS(1742),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1742),
    [anon_sym_QMARK] = ACTIONS(1742),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1742),
    [anon_sym_for] = ACTIONS(1742),
    [anon_sym_foreach] = ACTIONS(1742),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1742),
    [anon_sym___END__] = ACTIONS(1742),
    [anon_sym_EOT] = ACTIONS(1742),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1742),
    [anon_sym_unless] = ACTIONS(1742),
    [anon_sym_while] = ACTIONS(1742),
    [anon_sym_until] = ACTIONS(1742),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1834),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1834),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
  },
  [693] = {
    [sym_heredoc_content] = STATE(693),
    [sym__identifier] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1785),
    [anon_sym_RBRACE] = ACTIONS(1836),
    [anon_sym_SEMI] = ACTIONS(1836),
    [anon_sym_DOLLAR] = ACTIONS(1785),
    [anon_sym_EQ] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1836),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1836),
    [anon_sym_AT] = ACTIONS(1785),
    [anon_sym_COMMA] = ACTIONS(1836),
    [anon_sym_my] = ACTIONS(1785),
    [anon_sym_extended] = ACTIONS(1785),
    [anon_sym_async] = ACTIONS(1785),
    [anon_sym_sub] = ACTIONS(1785),
    [anon_sym_method] = ACTIONS(1785),
    [anon_sym_LPAREN] = ACTIONS(1785),
    [anon_sym_continue] = ACTIONS(1785),
    [anon_sym_state] = ACTIONS(1785),
    [anon_sym_our] = ACTIONS(1785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1836),
    [anon_sym_and] = ACTIONS(1836),
    [anon_sym_or] = ACTIONS(1836),
    [anon_sym_xor] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1785),
    [anon_sym_DASH_GT] = ACTIONS(1836),
    [anon_sym_PERCENT] = ACTIONS(1836),
    [anon_sym_LT] = ACTIONS(1836),
    [anon_sym_GT] = ACTIONS(1836),
    [anon_sym_LT_LT] = ACTIONS(1836),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1836),
    [anon_sym_PLUS_EQ] = ACTIONS(1836),
    [anon_sym_DASH_EQ] = ACTIONS(1836),
    [anon_sym_DOT_EQ] = ACTIONS(1836),
    [anon_sym_STAR_EQ] = ACTIONS(1836),
    [anon_sym_SLASH_EQ] = ACTIONS(1836),
    [anon_sym_PERCENT_EQ] = ACTIONS(1836),
    [anon_sym_x_EQ] = ACTIONS(1836),
    [anon_sym_AMP_EQ] = ACTIONS(1836),
    [anon_sym_PIPE_EQ] = ACTIONS(1836),
    [anon_sym_CARET_EQ] = ACTIONS(1836),
    [anon_sym_LT_LT_EQ] = ACTIONS(1836),
    [anon_sym_GT_GT_EQ] = ACTIONS(1836),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1836),
    [anon_sym_DOT_DOT] = ACTIONS(1836),
    [anon_sym_STAR_STAR] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE] = ACTIONS(1836),
    [anon_sym_SLASH_SLASH] = ACTIONS(1836),
    [anon_sym_CARET_CARET] = ACTIONS(1836),
    [anon_sym_AMP_AMP] = ACTIONS(1836),
    [anon_sym_PIPE] = ACTIONS(1836),
    [anon_sym_CARET] = ACTIONS(1836),
    [anon_sym_AMP] = ACTIONS(1836),
    [anon_sym_GT_GT2] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1836),
    [anon_sym_DASH] = ACTIONS(1836),
    [anon_sym_DOT] = ACTIONS(1836),
    [anon_sym_STAR] = ACTIONS(1836),
    [anon_sym_SLASH] = ACTIONS(1836),
    [anon_sym_x] = ACTIONS(1836),
    [anon_sym_EQ_TILDE] = ACTIONS(1836),
    [anon_sym_BANG_TILDE] = ACTIONS(1836),
    [anon_sym_EQ_EQ] = ACTIONS(1836),
    [anon_sym_BANG_EQ] = ACTIONS(1836),
    [anon_sym_eq] = ACTIONS(1836),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1836),
    [anon_sym_equ] = ACTIONS(1836),
    [anon_sym_eqr] = ACTIONS(1836),
    [anon_sym_ne] = ACTIONS(1836),
    [anon_sym_LT_EQ_GT] = ACTIONS(1836),
    [anon_sym_cmp] = ACTIONS(1836),
    [anon_sym_TILDE_TILDE] = ACTIONS(1836),
    [anon_sym_LT_EQ] = ACTIONS(1836),
    [anon_sym_GT_EQ] = ACTIONS(1836),
    [anon_sym_lt] = ACTIONS(1836),
    [anon_sym_le] = ACTIONS(1836),
    [anon_sym_ge] = ACTIONS(1836),
    [anon_sym_gt] = ACTIONS(1836),
    [anon_sym_isa] = ACTIONS(1836),
    [anon_sym_TILDE] = ACTIONS(1785),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_PLUS_PLUS] = ACTIONS(1836),
    [anon_sym_DASH_DASH] = ACTIONS(1836),
    [anon_sym_QMARK] = ACTIONS(1836),
    [anon_sym_BSLASH] = ACTIONS(1792),
    [anon_sym_do] = ACTIONS(1785),
    [anon_sym_eval] = ACTIONS(1785),
    [anon_sym_await] = ACTIONS(1785),
    [anon_sym_field] = ACTIONS(1785),
    [anon_sym_local] = ACTIONS(1785),
    [anon_sym_dynamically] = ACTIONS(1785),
    [anon_sym_require] = ACTIONS(1785),
    [anon_sym_map] = ACTIONS(1785),
    [anon_sym_grep] = ACTIONS(1785),
    [anon_sym_sort] = ACTIONS(1785),
    [anon_sym_goto] = ACTIONS(1785),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_undef] = ACTIONS(1785),
    [anon_sym_PERCENT2] = ACTIONS(1785),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1785),
    [anon_sym_EQ_GT] = ACTIONS(1836),
    [anon_sym_for] = ACTIONS(1836),
    [anon_sym_foreach] = ACTIONS(1836),
    [anon_sym_last] = ACTIONS(1785),
    [anon_sym_next] = ACTIONS(1785),
    [anon_sym_redo] = ACTIONS(1785),
    [anon_sym___FILE__] = ACTIONS(1785),
    [anon_sym___LINE__] = ACTIONS(1785),
    [anon_sym___PACKAGE__] = ACTIONS(1785),
    [anon_sym___SUB__] = ACTIONS(1785),
    [anon_sym_break] = ACTIONS(1785),
    [anon_sym_fork] = ACTIONS(1785),
    [anon_sym_getppid] = ACTIONS(1785),
    [anon_sym_time] = ACTIONS(1785),
    [anon_sym_times] = ACTIONS(1785),
    [anon_sym_wait] = ACTIONS(1785),
    [anon_sym_wantarray] = ACTIONS(1785),
    [anon_sym_abs] = ACTIONS(1785),
    [anon_sym_alarm] = ACTIONS(1785),
    [anon_sym_chop] = ACTIONS(1785),
    [anon_sym_chdir] = ACTIONS(1785),
    [anon_sym_close] = ACTIONS(1785),
    [anon_sym_closedir] = ACTIONS(1785),
    [anon_sym_caller] = ACTIONS(1785),
    [anon_sym_chomp] = ACTIONS(1785),
    [anon_sym_chr] = ACTIONS(1785),
    [anon_sym_cos] = ACTIONS(1785),
    [anon_sym_chroot] = ACTIONS(1785),
    [anon_sym_defined] = ACTIONS(1785),
    [anon_sym_delete] = ACTIONS(1785),
    [anon_sym_dbmclose] = ACTIONS(1785),
    [anon_sym_exists] = ACTIONS(1785),
    [anon_sym_exit] = ACTIONS(1785),
    [anon_sym_eof] = ACTIONS(1785),
    [anon_sym_exp] = ACTIONS(1785),
    [anon_sym_each] = ACTIONS(1785),
    [anon_sym_fc] = ACTIONS(1785),
    [anon_sym_fileno] = ACTIONS(1785),
    [anon_sym_gmtime] = ACTIONS(1785),
    [anon_sym_getc] = ACTIONS(1785),
    [anon_sym_getpgrp] = ACTIONS(1785),
    [anon_sym_getprotobyname] = ACTIONS(1785),
    [anon_sym_getpwname] = ACTIONS(1785),
    [anon_sym_getpwuid] = ACTIONS(1785),
    [anon_sym_getpeername] = ACTIONS(1785),
    [anon_sym_getnetbyname] = ACTIONS(1785),
    [anon_sym_getsockname] = ACTIONS(1785),
    [anon_sym_getgrnam] = ACTIONS(1785),
    [anon_sym_getgrgid] = ACTIONS(1785),
    [anon_sym_hex] = ACTIONS(1785),
    [anon_sym_int] = ACTIONS(1785),
    [anon_sym_keys] = ACTIONS(1785),
    [anon_sym_lc] = ACTIONS(1785),
    [anon_sym_lcfirst] = ACTIONS(1785),
    [anon_sym_length] = ACTIONS(1785),
    [anon_sym_localtime] = ACTIONS(1785),
    [anon_sym_log] = ACTIONS(1785),
    [anon_sym_lock] = ACTIONS(1785),
    [anon_sym_lstat] = ACTIONS(1785),
    [anon_sym_oct] = ACTIONS(1785),
    [anon_sym_ord] = ACTIONS(1785),
    [anon_sym_prototype] = ACTIONS(1785),
    [anon_sym_pop] = ACTIONS(1785),
    [anon_sym_pos] = ACTIONS(1785),
    [anon_sym_quotemeta] = ACTIONS(1785),
    [anon_sym_reset] = ACTIONS(1785),
    [anon_sym_rand] = ACTIONS(1785),
    [anon_sym_rmdir] = ACTIONS(1785),
    [anon_sym_readdir] = ACTIONS(1785),
    [anon_sym_readline] = ACTIONS(1785),
    [anon_sym_readpipe] = ACTIONS(1785),
    [anon_sym_rewinddir] = ACTIONS(1785),
    [anon_sym_readlink] = ACTIONS(1785),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_scalar] = ACTIONS(1785),
    [anon_sym_shift] = ACTIONS(1785),
    [anon_sym_sin] = ACTIONS(1785),
    [anon_sym_sleep] = ACTIONS(1785),
    [anon_sym_sqrt] = ACTIONS(1785),
    [anon_sym_srand] = ACTIONS(1785),
    [anon_sym_stat] = ACTIONS(1785),
    [anon_sym_study] = ACTIONS(1785),
    [anon_sym_tell] = ACTIONS(1785),
    [anon_sym_telldir] = ACTIONS(1785),
    [anon_sym_tied] = ACTIONS(1785),
    [anon_sym_uc] = ACTIONS(1785),
    [anon_sym_ucfirst] = ACTIONS(1785),
    [anon_sym_untie] = ACTIONS(1785),
    [anon_sym_umask] = ACTIONS(1785),
    [anon_sym_values] = ACTIONS(1785),
    [anon_sym_write] = ACTIONS(1785),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1836),
    [anon_sym___END__] = ACTIONS(1836),
    [anon_sym_EOT] = ACTIONS(1836),
    [anon_sym_q] = ACTIONS(1785),
    [anon_sym_qq] = ACTIONS(1785),
    [anon_sym_qw] = ACTIONS(1785),
    [anon_sym_qx] = ACTIONS(1785),
    [anon_sym_qr] = ACTIONS(1785),
    [anon_sym_m] = ACTIONS(1785),
    [anon_sym_s] = ACTIONS(1785),
    [anon_sym_tr] = ACTIONS(1785),
    [anon_sym_y] = ACTIONS(1785),
    [anon_sym_if] = ACTIONS(1836),
    [anon_sym_unless] = ACTIONS(1836),
    [anon_sym_while] = ACTIONS(1836),
    [anon_sym_until] = ACTIONS(1836),
    [aux_sym__bareword_token1] = ACTIONS(1785),
    [sym_number] = ACTIONS(1785),
    [anon_sym_true] = ACTIONS(1785),
    [anon_sym_false] = ACTIONS(1785),
    [sym__single_quote] = ACTIONS(1792),
    [sym__double_quote] = ACTIONS(1792),
    [sym__backtick_quote] = ACTIONS(1792),
    [sym__search_slash_quote] = ACTIONS(1792),
    [sym__PERLY_SEMICOLON] = ACTIONS(1838),
    [sym__PERLY_HEREDOC] = ACTIONS(1792),
    [sym__ctrl_z_hack] = ACTIONS(1838),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1792),
    [sym__filetest] = ACTIONS(1792),
  },
  [694] = {
    [sym_heredoc_content] = STATE(694),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_RBRACE] = ACTIONS(1840),
    [anon_sym_SEMI] = ACTIONS(1840),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1840),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1840),
    [anon_sym_and] = ACTIONS(1840),
    [anon_sym_or] = ACTIONS(1840),
    [anon_sym_xor] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1840),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1840),
    [anon_sym_PLUS_EQ] = ACTIONS(1840),
    [anon_sym_DASH_EQ] = ACTIONS(1840),
    [anon_sym_DOT_EQ] = ACTIONS(1840),
    [anon_sym_STAR_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_PERCENT_EQ] = ACTIONS(1840),
    [anon_sym_x_EQ] = ACTIONS(1840),
    [anon_sym_AMP_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_CARET_EQ] = ACTIONS(1840),
    [anon_sym_LT_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_GT_EQ] = ACTIONS(1840),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1840),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1840),
    [anon_sym_BANG_TILDE] = ACTIONS(1840),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1840),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1840),
    [anon_sym_equ] = ACTIONS(1840),
    [anon_sym_eqr] = ACTIONS(1840),
    [anon_sym_ne] = ACTIONS(1840),
    [anon_sym_LT_EQ_GT] = ACTIONS(1840),
    [anon_sym_cmp] = ACTIONS(1840),
    [anon_sym_TILDE_TILDE] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1840),
    [anon_sym_lt] = ACTIONS(1840),
    [anon_sym_le] = ACTIONS(1840),
    [anon_sym_ge] = ACTIONS(1840),
    [anon_sym_gt] = ACTIONS(1840),
    [anon_sym_isa] = ACTIONS(1840),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1840),
    [anon_sym_QMARK] = ACTIONS(1840),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1840),
    [anon_sym_for] = ACTIONS(1840),
    [anon_sym_foreach] = ACTIONS(1840),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1840),
    [anon_sym___END__] = ACTIONS(1840),
    [anon_sym_EOT] = ACTIONS(1840),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1840),
    [anon_sym_unless] = ACTIONS(1840),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_until] = ACTIONS(1840),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1842),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1842),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
  },
  [695] = {
    [sym_heredoc_content] = STATE(695),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_RBRACE] = ACTIONS(1744),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
  },
  [696] = {
    [sym_heredoc_content] = STATE(696),
    [sym__identifier] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_RBRACE] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1407),
    [anon_sym_AT] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1407),
    [anon_sym_my] = ACTIONS(1405),
    [anon_sym_extended] = ACTIONS(1405),
    [anon_sym_async] = ACTIONS(1405),
    [anon_sym_sub] = ACTIONS(1405),
    [anon_sym_method] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_state] = ACTIONS(1405),
    [anon_sym_our] = ACTIONS(1405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1407),
    [anon_sym_and] = ACTIONS(1407),
    [anon_sym_or] = ACTIONS(1407),
    [anon_sym_xor] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_DASH_GT] = ACTIONS(1407),
    [anon_sym_PERCENT] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [anon_sym_LT_LT] = ACTIONS(1407),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1407),
    [anon_sym_PLUS_EQ] = ACTIONS(1407),
    [anon_sym_DASH_EQ] = ACTIONS(1407),
    [anon_sym_DOT_EQ] = ACTIONS(1407),
    [anon_sym_STAR_EQ] = ACTIONS(1407),
    [anon_sym_SLASH_EQ] = ACTIONS(1407),
    [anon_sym_PERCENT_EQ] = ACTIONS(1407),
    [anon_sym_x_EQ] = ACTIONS(1407),
    [anon_sym_AMP_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_EQ] = ACTIONS(1407),
    [anon_sym_CARET_EQ] = ACTIONS(1407),
    [anon_sym_LT_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_GT_EQ] = ACTIONS(1407),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1407),
    [anon_sym_DOT_DOT] = ACTIONS(1407),
    [anon_sym_STAR_STAR] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH] = ACTIONS(1407),
    [anon_sym_CARET_CARET] = ACTIONS(1407),
    [anon_sym_AMP_AMP] = ACTIONS(1407),
    [anon_sym_PIPE] = ACTIONS(1407),
    [anon_sym_CARET] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(1407),
    [anon_sym_GT_GT2] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_DOT] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_x] = ACTIONS(1407),
    [anon_sym_EQ_TILDE] = ACTIONS(1407),
    [anon_sym_BANG_TILDE] = ACTIONS(1407),
    [anon_sym_EQ_EQ] = ACTIONS(1407),
    [anon_sym_BANG_EQ] = ACTIONS(1407),
    [anon_sym_eq] = ACTIONS(1407),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1407),
    [anon_sym_equ] = ACTIONS(1407),
    [anon_sym_eqr] = ACTIONS(1407),
    [anon_sym_ne] = ACTIONS(1407),
    [anon_sym_LT_EQ_GT] = ACTIONS(1407),
    [anon_sym_cmp] = ACTIONS(1407),
    [anon_sym_TILDE_TILDE] = ACTIONS(1407),
    [anon_sym_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1407),
    [anon_sym_lt] = ACTIONS(1407),
    [anon_sym_le] = ACTIONS(1407),
    [anon_sym_ge] = ACTIONS(1407),
    [anon_sym_gt] = ACTIONS(1407),
    [anon_sym_isa] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1407),
    [anon_sym_DASH_DASH] = ACTIONS(1407),
    [anon_sym_QMARK] = ACTIONS(1407),
    [anon_sym_BSLASH] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_eval] = ACTIONS(1405),
    [anon_sym_await] = ACTIONS(1405),
    [anon_sym_field] = ACTIONS(1405),
    [anon_sym_local] = ACTIONS(1405),
    [anon_sym_dynamically] = ACTIONS(1405),
    [anon_sym_require] = ACTIONS(1405),
    [anon_sym_map] = ACTIONS(1405),
    [anon_sym_grep] = ACTIONS(1405),
    [anon_sym_sort] = ACTIONS(1405),
    [anon_sym_goto] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_undef] = ACTIONS(1405),
    [anon_sym_PERCENT2] = ACTIONS(1405),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1405),
    [anon_sym_EQ_GT] = ACTIONS(1407),
    [anon_sym_for] = ACTIONS(1407),
    [anon_sym_foreach] = ACTIONS(1407),
    [anon_sym_last] = ACTIONS(1405),
    [anon_sym_next] = ACTIONS(1405),
    [anon_sym_redo] = ACTIONS(1405),
    [anon_sym___FILE__] = ACTIONS(1405),
    [anon_sym___LINE__] = ACTIONS(1405),
    [anon_sym___PACKAGE__] = ACTIONS(1405),
    [anon_sym___SUB__] = ACTIONS(1405),
    [anon_sym_break] = ACTIONS(1405),
    [anon_sym_fork] = ACTIONS(1405),
    [anon_sym_getppid] = ACTIONS(1405),
    [anon_sym_time] = ACTIONS(1405),
    [anon_sym_times] = ACTIONS(1405),
    [anon_sym_wait] = ACTIONS(1405),
    [anon_sym_wantarray] = ACTIONS(1405),
    [anon_sym_abs] = ACTIONS(1405),
    [anon_sym_alarm] = ACTIONS(1405),
    [anon_sym_chop] = ACTIONS(1405),
    [anon_sym_chdir] = ACTIONS(1405),
    [anon_sym_close] = ACTIONS(1405),
    [anon_sym_closedir] = ACTIONS(1405),
    [anon_sym_caller] = ACTIONS(1405),
    [anon_sym_chomp] = ACTIONS(1405),
    [anon_sym_chr] = ACTIONS(1405),
    [anon_sym_cos] = ACTIONS(1405),
    [anon_sym_chroot] = ACTIONS(1405),
    [anon_sym_defined] = ACTIONS(1405),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_dbmclose] = ACTIONS(1405),
    [anon_sym_exists] = ACTIONS(1405),
    [anon_sym_exit] = ACTIONS(1405),
    [anon_sym_eof] = ACTIONS(1405),
    [anon_sym_exp] = ACTIONS(1405),
    [anon_sym_each] = ACTIONS(1405),
    [anon_sym_fc] = ACTIONS(1405),
    [anon_sym_fileno] = ACTIONS(1405),
    [anon_sym_gmtime] = ACTIONS(1405),
    [anon_sym_getc] = ACTIONS(1405),
    [anon_sym_getpgrp] = ACTIONS(1405),
    [anon_sym_getprotobyname] = ACTIONS(1405),
    [anon_sym_getpwname] = ACTIONS(1405),
    [anon_sym_getpwuid] = ACTIONS(1405),
    [anon_sym_getpeername] = ACTIONS(1405),
    [anon_sym_getnetbyname] = ACTIONS(1405),
    [anon_sym_getsockname] = ACTIONS(1405),
    [anon_sym_getgrnam] = ACTIONS(1405),
    [anon_sym_getgrgid] = ACTIONS(1405),
    [anon_sym_hex] = ACTIONS(1405),
    [anon_sym_int] = ACTIONS(1405),
    [anon_sym_keys] = ACTIONS(1405),
    [anon_sym_lc] = ACTIONS(1405),
    [anon_sym_lcfirst] = ACTIONS(1405),
    [anon_sym_length] = ACTIONS(1405),
    [anon_sym_localtime] = ACTIONS(1405),
    [anon_sym_log] = ACTIONS(1405),
    [anon_sym_lock] = ACTIONS(1405),
    [anon_sym_lstat] = ACTIONS(1405),
    [anon_sym_oct] = ACTIONS(1405),
    [anon_sym_ord] = ACTIONS(1405),
    [anon_sym_prototype] = ACTIONS(1405),
    [anon_sym_pop] = ACTIONS(1405),
    [anon_sym_pos] = ACTIONS(1405),
    [anon_sym_quotemeta] = ACTIONS(1405),
    [anon_sym_reset] = ACTIONS(1405),
    [anon_sym_rand] = ACTIONS(1405),
    [anon_sym_rmdir] = ACTIONS(1405),
    [anon_sym_readdir] = ACTIONS(1405),
    [anon_sym_readline] = ACTIONS(1405),
    [anon_sym_readpipe] = ACTIONS(1405),
    [anon_sym_rewinddir] = ACTIONS(1405),
    [anon_sym_readlink] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1405),
    [anon_sym_scalar] = ACTIONS(1405),
    [anon_sym_shift] = ACTIONS(1405),
    [anon_sym_sin] = ACTIONS(1405),
    [anon_sym_sleep] = ACTIONS(1405),
    [anon_sym_sqrt] = ACTIONS(1405),
    [anon_sym_srand] = ACTIONS(1405),
    [anon_sym_stat] = ACTIONS(1405),
    [anon_sym_study] = ACTIONS(1405),
    [anon_sym_tell] = ACTIONS(1405),
    [anon_sym_telldir] = ACTIONS(1405),
    [anon_sym_tied] = ACTIONS(1405),
    [anon_sym_uc] = ACTIONS(1405),
    [anon_sym_ucfirst] = ACTIONS(1405),
    [anon_sym_untie] = ACTIONS(1405),
    [anon_sym_umask] = ACTIONS(1405),
    [anon_sym_values] = ACTIONS(1405),
    [anon_sym_write] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1407),
    [anon_sym___END__] = ACTIONS(1407),
    [anon_sym_EOT] = ACTIONS(1407),
    [anon_sym_q] = ACTIONS(1405),
    [anon_sym_qq] = ACTIONS(1405),
    [anon_sym_qw] = ACTIONS(1405),
    [anon_sym_qx] = ACTIONS(1405),
    [anon_sym_qr] = ACTIONS(1405),
    [anon_sym_m] = ACTIONS(1405),
    [anon_sym_s] = ACTIONS(1405),
    [anon_sym_tr] = ACTIONS(1405),
    [anon_sym_y] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_unless] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1407),
    [anon_sym_until] = ACTIONS(1407),
    [aux_sym__bareword_token1] = ACTIONS(1405),
    [sym_number] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1405),
    [anon_sym_false] = ACTIONS(1405),
    [sym__single_quote] = ACTIONS(1403),
    [sym__double_quote] = ACTIONS(1403),
    [sym__backtick_quote] = ACTIONS(1403),
    [sym__search_slash_quote] = ACTIONS(1403),
    [sym__PERLY_SEMICOLON] = ACTIONS(1409),
    [sym__PERLY_HEREDOC] = ACTIONS(1403),
    [sym__ctrl_z_hack] = ACTIONS(1409),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1403),
    [sym__filetest] = ACTIONS(1403),
  },
  [697] = {
    [sym_heredoc_content] = STATE(697),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1798),
  },
  [698] = {
    [sym_heredoc_content] = STATE(698),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1800),
  },
  [699] = {
    [sym_heredoc_content] = STATE(699),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1804),
  },
  [700] = {
    [sym_heredoc_content] = STATE(700),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1806),
  },
  [701] = {
    [sym_heredoc_content] = STATE(701),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1808),
  },
  [702] = {
    [sym_heredoc_content] = STATE(702),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1810),
  },
  [703] = {
    [sym_heredoc_content] = STATE(703),
    [sym__identifier] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1781),
    [anon_sym_RBRACE] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1781),
    [anon_sym_DOLLAR] = ACTIONS(1781),
    [anon_sym_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(1781),
    [anon_sym_COMMA] = ACTIONS(1781),
    [anon_sym_my] = ACTIONS(1781),
    [anon_sym_extended] = ACTIONS(1781),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_sub] = ACTIONS(1781),
    [anon_sym_method] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1781),
    [anon_sym_continue] = ACTIONS(1781),
    [anon_sym_state] = ACTIONS(1781),
    [anon_sym_our] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1781),
    [anon_sym_and] = ACTIONS(1781),
    [anon_sym_or] = ACTIONS(1781),
    [anon_sym_xor] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1781),
    [anon_sym_DASH_GT] = ACTIONS(1781),
    [anon_sym_PERCENT] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1781),
    [anon_sym_PLUS_EQ] = ACTIONS(1781),
    [anon_sym_DASH_EQ] = ACTIONS(1781),
    [anon_sym_DOT_EQ] = ACTIONS(1781),
    [anon_sym_STAR_EQ] = ACTIONS(1781),
    [anon_sym_SLASH_EQ] = ACTIONS(1781),
    [anon_sym_PERCENT_EQ] = ACTIONS(1781),
    [anon_sym_x_EQ] = ACTIONS(1781),
    [anon_sym_AMP_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_EQ] = ACTIONS(1781),
    [anon_sym_CARET_EQ] = ACTIONS(1781),
    [anon_sym_LT_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_GT_EQ] = ACTIONS(1781),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1781),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_STAR_STAR] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_CARET_CARET] = ACTIONS(1781),
    [anon_sym_AMP_AMP] = ACTIONS(1781),
    [anon_sym_PIPE] = ACTIONS(1781),
    [anon_sym_CARET] = ACTIONS(1781),
    [anon_sym_AMP] = ACTIONS(1781),
    [anon_sym_GT_GT2] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_x] = ACTIONS(1781),
    [anon_sym_EQ_TILDE] = ACTIONS(1781),
    [anon_sym_BANG_TILDE] = ACTIONS(1781),
    [anon_sym_EQ_EQ] = ACTIONS(1781),
    [anon_sym_BANG_EQ] = ACTIONS(1781),
    [anon_sym_eq] = ACTIONS(1781),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1781),
    [anon_sym_equ] = ACTIONS(1781),
    [anon_sym_eqr] = ACTIONS(1781),
    [anon_sym_ne] = ACTIONS(1781),
    [anon_sym_LT_EQ_GT] = ACTIONS(1781),
    [anon_sym_cmp] = ACTIONS(1781),
    [anon_sym_TILDE_TILDE] = ACTIONS(1781),
    [anon_sym_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_EQ] = ACTIONS(1781),
    [anon_sym_lt] = ACTIONS(1781),
    [anon_sym_le] = ACTIONS(1781),
    [anon_sym_ge] = ACTIONS(1781),
    [anon_sym_gt] = ACTIONS(1781),
    [anon_sym_isa] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_BANG] = ACTIONS(1781),
    [anon_sym_PLUS_PLUS] = ACTIONS(1781),
    [anon_sym_DASH_DASH] = ACTIONS(1781),
    [anon_sym_QMARK] = ACTIONS(1781),
    [anon_sym_BSLASH] = ACTIONS(1783),
    [anon_sym_do] = ACTIONS(1781),
    [anon_sym_eval] = ACTIONS(1781),
    [anon_sym_await] = ACTIONS(1781),
    [anon_sym_field] = ACTIONS(1781),
    [anon_sym_local] = ACTIONS(1781),
    [anon_sym_dynamically] = ACTIONS(1781),
    [anon_sym_require] = ACTIONS(1781),
    [anon_sym_map] = ACTIONS(1781),
    [anon_sym_grep] = ACTIONS(1781),
    [anon_sym_sort] = ACTIONS(1781),
    [anon_sym_goto] = ACTIONS(1781),
    [anon_sym_return] = ACTIONS(1781),
    [anon_sym_undef] = ACTIONS(1781),
    [anon_sym_PERCENT2] = ACTIONS(1781),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1781),
    [anon_sym_EQ_GT] = ACTIONS(1781),
    [anon_sym_for] = ACTIONS(1781),
    [anon_sym_foreach] = ACTIONS(1781),
    [anon_sym_last] = ACTIONS(1781),
    [anon_sym_next] = ACTIONS(1781),
    [anon_sym_redo] = ACTIONS(1781),
    [anon_sym___FILE__] = ACTIONS(1781),
    [anon_sym___LINE__] = ACTIONS(1781),
    [anon_sym___PACKAGE__] = ACTIONS(1781),
    [anon_sym___SUB__] = ACTIONS(1781),
    [anon_sym_break] = ACTIONS(1781),
    [anon_sym_fork] = ACTIONS(1781),
    [anon_sym_getppid] = ACTIONS(1781),
    [anon_sym_time] = ACTIONS(1781),
    [anon_sym_times] = ACTIONS(1781),
    [anon_sym_wait] = ACTIONS(1781),
    [anon_sym_wantarray] = ACTIONS(1781),
    [anon_sym_abs] = ACTIONS(1781),
    [anon_sym_alarm] = ACTIONS(1781),
    [anon_sym_chop] = ACTIONS(1781),
    [anon_sym_chdir] = ACTIONS(1781),
    [anon_sym_close] = ACTIONS(1781),
    [anon_sym_closedir] = ACTIONS(1781),
    [anon_sym_caller] = ACTIONS(1781),
    [anon_sym_chomp] = ACTIONS(1781),
    [anon_sym_chr] = ACTIONS(1781),
    [anon_sym_cos] = ACTIONS(1781),
    [anon_sym_chroot] = ACTIONS(1781),
    [anon_sym_defined] = ACTIONS(1781),
    [anon_sym_delete] = ACTIONS(1781),
    [anon_sym_dbmclose] = ACTIONS(1781),
    [anon_sym_exists] = ACTIONS(1781),
    [anon_sym_exit] = ACTIONS(1781),
    [anon_sym_eof] = ACTIONS(1781),
    [anon_sym_exp] = ACTIONS(1781),
    [anon_sym_each] = ACTIONS(1781),
    [anon_sym_fc] = ACTIONS(1781),
    [anon_sym_fileno] = ACTIONS(1781),
    [anon_sym_gmtime] = ACTIONS(1781),
    [anon_sym_getc] = ACTIONS(1781),
    [anon_sym_getpgrp] = ACTIONS(1781),
    [anon_sym_getprotobyname] = ACTIONS(1781),
    [anon_sym_getpwname] = ACTIONS(1781),
    [anon_sym_getpwuid] = ACTIONS(1781),
    [anon_sym_getpeername] = ACTIONS(1781),
    [anon_sym_getnetbyname] = ACTIONS(1781),
    [anon_sym_getsockname] = ACTIONS(1781),
    [anon_sym_getgrnam] = ACTIONS(1781),
    [anon_sym_getgrgid] = ACTIONS(1781),
    [anon_sym_hex] = ACTIONS(1781),
    [anon_sym_int] = ACTIONS(1781),
    [anon_sym_keys] = ACTIONS(1781),
    [anon_sym_lc] = ACTIONS(1781),
    [anon_sym_lcfirst] = ACTIONS(1781),
    [anon_sym_length] = ACTIONS(1781),
    [anon_sym_localtime] = ACTIONS(1781),
    [anon_sym_log] = ACTIONS(1781),
    [anon_sym_lock] = ACTIONS(1781),
    [anon_sym_lstat] = ACTIONS(1781),
    [anon_sym_oct] = ACTIONS(1781),
    [anon_sym_ord] = ACTIONS(1781),
    [anon_sym_prototype] = ACTIONS(1781),
    [anon_sym_pop] = ACTIONS(1781),
    [anon_sym_pos] = ACTIONS(1781),
    [anon_sym_quotemeta] = ACTIONS(1781),
    [anon_sym_reset] = ACTIONS(1781),
    [anon_sym_rand] = ACTIONS(1781),
    [anon_sym_rmdir] = ACTIONS(1781),
    [anon_sym_readdir] = ACTIONS(1781),
    [anon_sym_readline] = ACTIONS(1781),
    [anon_sym_readpipe] = ACTIONS(1781),
    [anon_sym_rewinddir] = ACTIONS(1781),
    [anon_sym_readlink] = ACTIONS(1781),
    [anon_sym_ref] = ACTIONS(1781),
    [anon_sym_scalar] = ACTIONS(1781),
    [anon_sym_shift] = ACTIONS(1781),
    [anon_sym_sin] = ACTIONS(1781),
    [anon_sym_sleep] = ACTIONS(1781),
    [anon_sym_sqrt] = ACTIONS(1781),
    [anon_sym_srand] = ACTIONS(1781),
    [anon_sym_stat] = ACTIONS(1781),
    [anon_sym_study] = ACTIONS(1781),
    [anon_sym_tell] = ACTIONS(1781),
    [anon_sym_telldir] = ACTIONS(1781),
    [anon_sym_tied] = ACTIONS(1781),
    [anon_sym_uc] = ACTIONS(1781),
    [anon_sym_ucfirst] = ACTIONS(1781),
    [anon_sym_untie] = ACTIONS(1781),
    [anon_sym_umask] = ACTIONS(1781),
    [anon_sym_values] = ACTIONS(1781),
    [anon_sym_write] = ACTIONS(1781),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1781),
    [anon_sym___END__] = ACTIONS(1781),
    [anon_sym_EOT] = ACTIONS(1781),
    [anon_sym_q] = ACTIONS(1781),
    [anon_sym_qq] = ACTIONS(1781),
    [anon_sym_qw] = ACTIONS(1781),
    [anon_sym_qx] = ACTIONS(1781),
    [anon_sym_qr] = ACTIONS(1781),
    [anon_sym_m] = ACTIONS(1781),
    [anon_sym_s] = ACTIONS(1781),
    [anon_sym_tr] = ACTIONS(1781),
    [anon_sym_y] = ACTIONS(1781),
    [anon_sym_if] = ACTIONS(1781),
    [anon_sym_unless] = ACTIONS(1781),
    [anon_sym_while] = ACTIONS(1781),
    [anon_sym_until] = ACTIONS(1781),
    [aux_sym__bareword_token1] = ACTIONS(1781),
    [sym_number] = ACTIONS(1781),
    [anon_sym_true] = ACTIONS(1781),
    [anon_sym_false] = ACTIONS(1781),
    [sym__single_quote] = ACTIONS(1783),
    [sym__double_quote] = ACTIONS(1783),
    [sym__backtick_quote] = ACTIONS(1783),
    [sym__search_slash_quote] = ACTIONS(1783),
    [sym__PERLY_SEMICOLON] = ACTIONS(1783),
    [sym__PERLY_HEREDOC] = ACTIONS(1783),
    [sym__ctrl_z_hack] = ACTIONS(1783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1783),
    [sym__filetest] = ACTIONS(1783),
  },
  [704] = {
    [sym_heredoc_content] = STATE(704),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1812),
  },
  [705] = {
    [sym_heredoc_content] = STATE(705),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1814),
  },
  [706] = {
    [sym_heredoc_content] = STATE(706),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1816),
  },
  [707] = {
    [sym_heredoc_content] = STATE(707),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1818),
  },
  [708] = {
    [sym_heredoc_content] = STATE(708),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1820),
  },
  [709] = {
    [sym_heredoc_content] = STATE(709),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1822),
  },
  [710] = {
    [sym_heredoc_content] = STATE(710),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1824),
  },
  [711] = {
    [sym_heredoc_content] = STATE(711),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1826),
  },
  [712] = {
    [sym_heredoc_content] = STATE(712),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1828),
  },
  [713] = {
    [sym_heredoc_content] = STATE(713),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1830),
  },
  [714] = {
    [sym_heredoc_content] = STATE(714),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_foreach] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_unless] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_until] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
    [sym__brace_end_zw] = ACTIONS(1802),
  },
  [715] = {
    [sym_heredoc_content] = STATE(715),
    [sym__identifier] = ACTIONS(1765),
    [anon_sym_LBRACE] = ACTIONS(1765),
    [anon_sym_SEMI] = ACTIONS(1765),
    [anon_sym_DOLLAR] = ACTIONS(1765),
    [anon_sym_EQ] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1765),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1765),
    [anon_sym_AT] = ACTIONS(1765),
    [anon_sym_COMMA] = ACTIONS(1765),
    [anon_sym_my] = ACTIONS(1765),
    [anon_sym_extended] = ACTIONS(1765),
    [anon_sym_async] = ACTIONS(1765),
    [anon_sym_sub] = ACTIONS(1765),
    [anon_sym_method] = ACTIONS(1765),
    [anon_sym_LPAREN] = ACTIONS(1765),
    [anon_sym_continue] = ACTIONS(1765),
    [anon_sym_state] = ACTIONS(1765),
    [anon_sym_our] = ACTIONS(1765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_and] = ACTIONS(1765),
    [anon_sym_or] = ACTIONS(1765),
    [anon_sym_xor] = ACTIONS(1765),
    [anon_sym_LBRACK] = ACTIONS(1765),
    [anon_sym_DASH_GT] = ACTIONS(1765),
    [anon_sym_PERCENT] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1765),
    [anon_sym_LT_LT] = ACTIONS(1765),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1765),
    [anon_sym_PLUS_EQ] = ACTIONS(1765),
    [anon_sym_DASH_EQ] = ACTIONS(1765),
    [anon_sym_DOT_EQ] = ACTIONS(1765),
    [anon_sym_STAR_EQ] = ACTIONS(1765),
    [anon_sym_SLASH_EQ] = ACTIONS(1765),
    [anon_sym_PERCENT_EQ] = ACTIONS(1765),
    [anon_sym_x_EQ] = ACTIONS(1765),
    [anon_sym_AMP_EQ] = ACTIONS(1765),
    [anon_sym_PIPE_EQ] = ACTIONS(1765),
    [anon_sym_CARET_EQ] = ACTIONS(1765),
    [anon_sym_LT_LT_EQ] = ACTIONS(1765),
    [anon_sym_GT_GT_EQ] = ACTIONS(1765),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1765),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_STAR_STAR] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1765),
    [anon_sym_SLASH_SLASH] = ACTIONS(1765),
    [anon_sym_CARET_CARET] = ACTIONS(1765),
    [anon_sym_AMP_AMP] = ACTIONS(1765),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_CARET] = ACTIONS(1765),
    [anon_sym_AMP] = ACTIONS(1765),
    [anon_sym_GT_GT2] = ACTIONS(1765),
    [anon_sym_PLUS] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_DOT] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1765),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_x] = ACTIONS(1765),
    [anon_sym_EQ_TILDE] = ACTIONS(1765),
    [anon_sym_BANG_TILDE] = ACTIONS(1765),
    [anon_sym_EQ_EQ] = ACTIONS(1765),
    [anon_sym_BANG_EQ] = ACTIONS(1765),
    [anon_sym_eq] = ACTIONS(1765),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1765),
    [anon_sym_equ] = ACTIONS(1765),
    [anon_sym_eqr] = ACTIONS(1765),
    [anon_sym_ne] = ACTIONS(1765),
    [anon_sym_LT_EQ_GT] = ACTIONS(1765),
    [anon_sym_cmp] = ACTIONS(1765),
    [anon_sym_TILDE_TILDE] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1765),
    [anon_sym_GT_EQ] = ACTIONS(1765),
    [anon_sym_lt] = ACTIONS(1765),
    [anon_sym_le] = ACTIONS(1765),
    [anon_sym_ge] = ACTIONS(1765),
    [anon_sym_gt] = ACTIONS(1765),
    [anon_sym_isa] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_PLUS_PLUS] = ACTIONS(1765),
    [anon_sym_DASH_DASH] = ACTIONS(1765),
    [anon_sym_QMARK] = ACTIONS(1765),
    [anon_sym_BSLASH] = ACTIONS(1767),
    [anon_sym_do] = ACTIONS(1765),
    [anon_sym_eval] = ACTIONS(1765),
    [anon_sym_await] = ACTIONS(1765),
    [anon_sym_field] = ACTIONS(1765),
    [anon_sym_local] = ACTIONS(1765),
    [anon_sym_dynamically] = ACTIONS(1765),
    [anon_sym_require] = ACTIONS(1765),
    [anon_sym_map] = ACTIONS(1765),
    [anon_sym_grep] = ACTIONS(1765),
    [anon_sym_sort] = ACTIONS(1765),
    [anon_sym_goto] = ACTIONS(1765),
    [anon_sym_return] = ACTIONS(1765),
    [anon_sym_undef] = ACTIONS(1765),
    [anon_sym_PERCENT2] = ACTIONS(1765),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1765),
    [anon_sym_EQ_GT] = ACTIONS(1765),
    [anon_sym_last] = ACTIONS(1765),
    [anon_sym_next] = ACTIONS(1765),
    [anon_sym_redo] = ACTIONS(1765),
    [anon_sym___FILE__] = ACTIONS(1765),
    [anon_sym___LINE__] = ACTIONS(1765),
    [anon_sym___PACKAGE__] = ACTIONS(1765),
    [anon_sym___SUB__] = ACTIONS(1765),
    [anon_sym_break] = ACTIONS(1765),
    [anon_sym_fork] = ACTIONS(1765),
    [anon_sym_getppid] = ACTIONS(1765),
    [anon_sym_time] = ACTIONS(1765),
    [anon_sym_times] = ACTIONS(1765),
    [anon_sym_wait] = ACTIONS(1765),
    [anon_sym_wantarray] = ACTIONS(1765),
    [anon_sym_abs] = ACTIONS(1765),
    [anon_sym_alarm] = ACTIONS(1765),
    [anon_sym_chop] = ACTIONS(1765),
    [anon_sym_chdir] = ACTIONS(1765),
    [anon_sym_close] = ACTIONS(1765),
    [anon_sym_closedir] = ACTIONS(1765),
    [anon_sym_caller] = ACTIONS(1765),
    [anon_sym_chomp] = ACTIONS(1765),
    [anon_sym_chr] = ACTIONS(1765),
    [anon_sym_cos] = ACTIONS(1765),
    [anon_sym_chroot] = ACTIONS(1765),
    [anon_sym_defined] = ACTIONS(1765),
    [anon_sym_delete] = ACTIONS(1765),
    [anon_sym_dbmclose] = ACTIONS(1765),
    [anon_sym_exists] = ACTIONS(1765),
    [anon_sym_exit] = ACTIONS(1765),
    [anon_sym_eof] = ACTIONS(1765),
    [anon_sym_exp] = ACTIONS(1765),
    [anon_sym_each] = ACTIONS(1765),
    [anon_sym_fc] = ACTIONS(1765),
    [anon_sym_fileno] = ACTIONS(1765),
    [anon_sym_gmtime] = ACTIONS(1765),
    [anon_sym_getc] = ACTIONS(1765),
    [anon_sym_getpgrp] = ACTIONS(1765),
    [anon_sym_getprotobyname] = ACTIONS(1765),
    [anon_sym_getpwname] = ACTIONS(1765),
    [anon_sym_getpwuid] = ACTIONS(1765),
    [anon_sym_getpeername] = ACTIONS(1765),
    [anon_sym_getnetbyname] = ACTIONS(1765),
    [anon_sym_getsockname] = ACTIONS(1765),
    [anon_sym_getgrnam] = ACTIONS(1765),
    [anon_sym_getgrgid] = ACTIONS(1765),
    [anon_sym_hex] = ACTIONS(1765),
    [anon_sym_int] = ACTIONS(1765),
    [anon_sym_keys] = ACTIONS(1765),
    [anon_sym_lc] = ACTIONS(1765),
    [anon_sym_lcfirst] = ACTIONS(1765),
    [anon_sym_length] = ACTIONS(1765),
    [anon_sym_localtime] = ACTIONS(1765),
    [anon_sym_log] = ACTIONS(1765),
    [anon_sym_lock] = ACTIONS(1765),
    [anon_sym_lstat] = ACTIONS(1765),
    [anon_sym_oct] = ACTIONS(1765),
    [anon_sym_ord] = ACTIONS(1765),
    [anon_sym_prototype] = ACTIONS(1765),
    [anon_sym_pop] = ACTIONS(1765),
    [anon_sym_pos] = ACTIONS(1765),
    [anon_sym_quotemeta] = ACTIONS(1765),
    [anon_sym_reset] = ACTIONS(1765),
    [anon_sym_rand] = ACTIONS(1765),
    [anon_sym_rmdir] = ACTIONS(1765),
    [anon_sym_readdir] = ACTIONS(1765),
    [anon_sym_readline] = ACTIONS(1765),
    [anon_sym_readpipe] = ACTIONS(1765),
    [anon_sym_rewinddir] = ACTIONS(1765),
    [anon_sym_readlink] = ACTIONS(1765),
    [anon_sym_ref] = ACTIONS(1765),
    [anon_sym_scalar] = ACTIONS(1765),
    [anon_sym_shift] = ACTIONS(1765),
    [anon_sym_sin] = ACTIONS(1765),
    [anon_sym_sleep] = ACTIONS(1765),
    [anon_sym_sqrt] = ACTIONS(1765),
    [anon_sym_srand] = ACTIONS(1765),
    [anon_sym_stat] = ACTIONS(1765),
    [anon_sym_study] = ACTIONS(1765),
    [anon_sym_tell] = ACTIONS(1765),
    [anon_sym_telldir] = ACTIONS(1765),
    [anon_sym_tied] = ACTIONS(1765),
    [anon_sym_uc] = ACTIONS(1765),
    [anon_sym_ucfirst] = ACTIONS(1765),
    [anon_sym_untie] = ACTIONS(1765),
    [anon_sym_umask] = ACTIONS(1765),
    [anon_sym_values] = ACTIONS(1765),
    [anon_sym_write] = ACTIONS(1765),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1765),
    [anon_sym___END__] = ACTIONS(1765),
    [anon_sym_EOT] = ACTIONS(1765),
    [anon_sym_q] = ACTIONS(1765),
    [anon_sym_qq] = ACTIONS(1765),
    [anon_sym_qw] = ACTIONS(1765),
    [anon_sym_qx] = ACTIONS(1765),
    [anon_sym_qr] = ACTIONS(1765),
    [anon_sym_m] = ACTIONS(1765),
    [anon_sym_s] = ACTIONS(1765),
    [anon_sym_tr] = ACTIONS(1765),
    [anon_sym_y] = ACTIONS(1765),
    [aux_sym__bareword_token1] = ACTIONS(1765),
    [sym_number] = ACTIONS(1765),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym__single_quote] = ACTIONS(1767),
    [sym__double_quote] = ACTIONS(1767),
    [sym__backtick_quote] = ACTIONS(1767),
    [sym__search_slash_quote] = ACTIONS(1767),
    [sym__no_search_slash_plz] = ACTIONS(1767),
    [sym__PERLY_SEMICOLON] = ACTIONS(1767),
    [sym__PERLY_HEREDOC] = ACTIONS(1767),
    [sym__ctrl_z_hack] = ACTIONS(1767),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1767),
    [sym__filetest] = ACTIONS(1767),
  },
  [716] = {
    [sym_heredoc_content] = STATE(716),
    [sym__identifier] = ACTIONS(1736),
    [anon_sym_LBRACE] = ACTIONS(1736),
    [anon_sym_SEMI] = ACTIONS(1736),
    [anon_sym_DOLLAR] = ACTIONS(1736),
    [anon_sym_EQ] = ACTIONS(1736),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1736),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1736),
    [anon_sym_AT] = ACTIONS(1736),
    [anon_sym_COMMA] = ACTIONS(1736),
    [anon_sym_my] = ACTIONS(1736),
    [anon_sym_extended] = ACTIONS(1736),
    [anon_sym_async] = ACTIONS(1736),
    [anon_sym_sub] = ACTIONS(1736),
    [anon_sym_method] = ACTIONS(1736),
    [anon_sym_LPAREN] = ACTIONS(1736),
    [anon_sym_continue] = ACTIONS(1736),
    [anon_sym_state] = ACTIONS(1736),
    [anon_sym_our] = ACTIONS(1736),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1736),
    [anon_sym_and] = ACTIONS(1736),
    [anon_sym_or] = ACTIONS(1736),
    [anon_sym_xor] = ACTIONS(1736),
    [anon_sym_LBRACK] = ACTIONS(1736),
    [anon_sym_DASH_GT] = ACTIONS(1736),
    [anon_sym_PERCENT] = ACTIONS(1736),
    [anon_sym_LT] = ACTIONS(1736),
    [anon_sym_GT] = ACTIONS(1736),
    [anon_sym_LT_LT] = ACTIONS(1736),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1736),
    [anon_sym_PLUS_EQ] = ACTIONS(1736),
    [anon_sym_DASH_EQ] = ACTIONS(1736),
    [anon_sym_DOT_EQ] = ACTIONS(1736),
    [anon_sym_STAR_EQ] = ACTIONS(1736),
    [anon_sym_SLASH_EQ] = ACTIONS(1736),
    [anon_sym_PERCENT_EQ] = ACTIONS(1736),
    [anon_sym_x_EQ] = ACTIONS(1736),
    [anon_sym_AMP_EQ] = ACTIONS(1736),
    [anon_sym_PIPE_EQ] = ACTIONS(1736),
    [anon_sym_CARET_EQ] = ACTIONS(1736),
    [anon_sym_LT_LT_EQ] = ACTIONS(1736),
    [anon_sym_GT_GT_EQ] = ACTIONS(1736),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1736),
    [anon_sym_DOT_DOT] = ACTIONS(1736),
    [anon_sym_STAR_STAR] = ACTIONS(1736),
    [anon_sym_PIPE_PIPE] = ACTIONS(1736),
    [anon_sym_SLASH_SLASH] = ACTIONS(1736),
    [anon_sym_CARET_CARET] = ACTIONS(1736),
    [anon_sym_AMP_AMP] = ACTIONS(1736),
    [anon_sym_PIPE] = ACTIONS(1736),
    [anon_sym_CARET] = ACTIONS(1736),
    [anon_sym_AMP] = ACTIONS(1736),
    [anon_sym_GT_GT2] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1736),
    [anon_sym_DOT] = ACTIONS(1736),
    [anon_sym_STAR] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1736),
    [anon_sym_x] = ACTIONS(1736),
    [anon_sym_EQ_TILDE] = ACTIONS(1736),
    [anon_sym_BANG_TILDE] = ACTIONS(1736),
    [anon_sym_EQ_EQ] = ACTIONS(1736),
    [anon_sym_BANG_EQ] = ACTIONS(1736),
    [anon_sym_eq] = ACTIONS(1736),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1736),
    [anon_sym_equ] = ACTIONS(1736),
    [anon_sym_eqr] = ACTIONS(1736),
    [anon_sym_ne] = ACTIONS(1736),
    [anon_sym_LT_EQ_GT] = ACTIONS(1736),
    [anon_sym_cmp] = ACTIONS(1736),
    [anon_sym_TILDE_TILDE] = ACTIONS(1736),
    [anon_sym_LT_EQ] = ACTIONS(1736),
    [anon_sym_GT_EQ] = ACTIONS(1736),
    [anon_sym_lt] = ACTIONS(1736),
    [anon_sym_le] = ACTIONS(1736),
    [anon_sym_ge] = ACTIONS(1736),
    [anon_sym_gt] = ACTIONS(1736),
    [anon_sym_isa] = ACTIONS(1736),
    [anon_sym_TILDE] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1736),
    [anon_sym_PLUS_PLUS] = ACTIONS(1736),
    [anon_sym_DASH_DASH] = ACTIONS(1736),
    [anon_sym_QMARK] = ACTIONS(1736),
    [anon_sym_BSLASH] = ACTIONS(1738),
    [anon_sym_do] = ACTIONS(1736),
    [anon_sym_eval] = ACTIONS(1736),
    [anon_sym_await] = ACTIONS(1736),
    [anon_sym_field] = ACTIONS(1736),
    [anon_sym_local] = ACTIONS(1736),
    [anon_sym_dynamically] = ACTIONS(1736),
    [anon_sym_require] = ACTIONS(1736),
    [anon_sym_map] = ACTIONS(1736),
    [anon_sym_grep] = ACTIONS(1736),
    [anon_sym_sort] = ACTIONS(1736),
    [anon_sym_goto] = ACTIONS(1736),
    [anon_sym_return] = ACTIONS(1736),
    [anon_sym_undef] = ACTIONS(1736),
    [anon_sym_PERCENT2] = ACTIONS(1736),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1736),
    [anon_sym_EQ_GT] = ACTIONS(1736),
    [anon_sym_last] = ACTIONS(1736),
    [anon_sym_next] = ACTIONS(1736),
    [anon_sym_redo] = ACTIONS(1736),
    [anon_sym___FILE__] = ACTIONS(1736),
    [anon_sym___LINE__] = ACTIONS(1736),
    [anon_sym___PACKAGE__] = ACTIONS(1736),
    [anon_sym___SUB__] = ACTIONS(1736),
    [anon_sym_break] = ACTIONS(1736),
    [anon_sym_fork] = ACTIONS(1736),
    [anon_sym_getppid] = ACTIONS(1736),
    [anon_sym_time] = ACTIONS(1736),
    [anon_sym_times] = ACTIONS(1736),
    [anon_sym_wait] = ACTIONS(1736),
    [anon_sym_wantarray] = ACTIONS(1736),
    [anon_sym_abs] = ACTIONS(1736),
    [anon_sym_alarm] = ACTIONS(1736),
    [anon_sym_chop] = ACTIONS(1736),
    [anon_sym_chdir] = ACTIONS(1736),
    [anon_sym_close] = ACTIONS(1736),
    [anon_sym_closedir] = ACTIONS(1736),
    [anon_sym_caller] = ACTIONS(1736),
    [anon_sym_chomp] = ACTIONS(1736),
    [anon_sym_chr] = ACTIONS(1736),
    [anon_sym_cos] = ACTIONS(1736),
    [anon_sym_chroot] = ACTIONS(1736),
    [anon_sym_defined] = ACTIONS(1736),
    [anon_sym_delete] = ACTIONS(1736),
    [anon_sym_dbmclose] = ACTIONS(1736),
    [anon_sym_exists] = ACTIONS(1736),
    [anon_sym_exit] = ACTIONS(1736),
    [anon_sym_eof] = ACTIONS(1736),
    [anon_sym_exp] = ACTIONS(1736),
    [anon_sym_each] = ACTIONS(1736),
    [anon_sym_fc] = ACTIONS(1736),
    [anon_sym_fileno] = ACTIONS(1736),
    [anon_sym_gmtime] = ACTIONS(1736),
    [anon_sym_getc] = ACTIONS(1736),
    [anon_sym_getpgrp] = ACTIONS(1736),
    [anon_sym_getprotobyname] = ACTIONS(1736),
    [anon_sym_getpwname] = ACTIONS(1736),
    [anon_sym_getpwuid] = ACTIONS(1736),
    [anon_sym_getpeername] = ACTIONS(1736),
    [anon_sym_getnetbyname] = ACTIONS(1736),
    [anon_sym_getsockname] = ACTIONS(1736),
    [anon_sym_getgrnam] = ACTIONS(1736),
    [anon_sym_getgrgid] = ACTIONS(1736),
    [anon_sym_hex] = ACTIONS(1736),
    [anon_sym_int] = ACTIONS(1736),
    [anon_sym_keys] = ACTIONS(1736),
    [anon_sym_lc] = ACTIONS(1736),
    [anon_sym_lcfirst] = ACTIONS(1736),
    [anon_sym_length] = ACTIONS(1736),
    [anon_sym_localtime] = ACTIONS(1736),
    [anon_sym_log] = ACTIONS(1736),
    [anon_sym_lock] = ACTIONS(1736),
    [anon_sym_lstat] = ACTIONS(1736),
    [anon_sym_oct] = ACTIONS(1736),
    [anon_sym_ord] = ACTIONS(1736),
    [anon_sym_prototype] = ACTIONS(1736),
    [anon_sym_pop] = ACTIONS(1736),
    [anon_sym_pos] = ACTIONS(1736),
    [anon_sym_quotemeta] = ACTIONS(1736),
    [anon_sym_reset] = ACTIONS(1736),
    [anon_sym_rand] = ACTIONS(1736),
    [anon_sym_rmdir] = ACTIONS(1736),
    [anon_sym_readdir] = ACTIONS(1736),
    [anon_sym_readline] = ACTIONS(1736),
    [anon_sym_readpipe] = ACTIONS(1736),
    [anon_sym_rewinddir] = ACTIONS(1736),
    [anon_sym_readlink] = ACTIONS(1736),
    [anon_sym_ref] = ACTIONS(1736),
    [anon_sym_scalar] = ACTIONS(1736),
    [anon_sym_shift] = ACTIONS(1736),
    [anon_sym_sin] = ACTIONS(1736),
    [anon_sym_sleep] = ACTIONS(1736),
    [anon_sym_sqrt] = ACTIONS(1736),
    [anon_sym_srand] = ACTIONS(1736),
    [anon_sym_stat] = ACTIONS(1736),
    [anon_sym_study] = ACTIONS(1736),
    [anon_sym_tell] = ACTIONS(1736),
    [anon_sym_telldir] = ACTIONS(1736),
    [anon_sym_tied] = ACTIONS(1736),
    [anon_sym_uc] = ACTIONS(1736),
    [anon_sym_ucfirst] = ACTIONS(1736),
    [anon_sym_untie] = ACTIONS(1736),
    [anon_sym_umask] = ACTIONS(1736),
    [anon_sym_values] = ACTIONS(1736),
    [anon_sym_write] = ACTIONS(1736),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1736),
    [anon_sym___END__] = ACTIONS(1736),
    [anon_sym_EOT] = ACTIONS(1736),
    [anon_sym_q] = ACTIONS(1736),
    [anon_sym_qq] = ACTIONS(1736),
    [anon_sym_qw] = ACTIONS(1736),
    [anon_sym_qx] = ACTIONS(1736),
    [anon_sym_qr] = ACTIONS(1736),
    [anon_sym_m] = ACTIONS(1736),
    [anon_sym_s] = ACTIONS(1736),
    [anon_sym_tr] = ACTIONS(1736),
    [anon_sym_y] = ACTIONS(1736),
    [aux_sym__bareword_token1] = ACTIONS(1736),
    [sym_number] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1736),
    [anon_sym_false] = ACTIONS(1736),
    [sym__single_quote] = ACTIONS(1738),
    [sym__double_quote] = ACTIONS(1738),
    [sym__backtick_quote] = ACTIONS(1738),
    [sym__search_slash_quote] = ACTIONS(1738),
    [sym__no_search_slash_plz] = ACTIONS(1738),
    [sym__PERLY_SEMICOLON] = ACTIONS(1738),
    [sym__PERLY_HEREDOC] = ACTIONS(1738),
    [sym__ctrl_z_hack] = ACTIONS(1738),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1738),
    [sym__filetest] = ACTIONS(1738),
  },
  [717] = {
    [sym_heredoc_content] = STATE(717),
    [sym__identifier] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(1777),
    [anon_sym_SEMI] = ACTIONS(1777),
    [anon_sym_DOLLAR] = ACTIONS(1777),
    [anon_sym_EQ] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1777),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1777),
    [anon_sym_AT] = ACTIONS(1777),
    [anon_sym_COMMA] = ACTIONS(1777),
    [anon_sym_my] = ACTIONS(1777),
    [anon_sym_extended] = ACTIONS(1777),
    [anon_sym_async] = ACTIONS(1777),
    [anon_sym_sub] = ACTIONS(1777),
    [anon_sym_method] = ACTIONS(1777),
    [anon_sym_LPAREN] = ACTIONS(1777),
    [anon_sym_continue] = ACTIONS(1777),
    [anon_sym_state] = ACTIONS(1777),
    [anon_sym_our] = ACTIONS(1777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1777),
    [anon_sym_and] = ACTIONS(1777),
    [anon_sym_or] = ACTIONS(1777),
    [anon_sym_xor] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [anon_sym_DASH_GT] = ACTIONS(1777),
    [anon_sym_PERCENT] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_LT_LT] = ACTIONS(1777),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1777),
    [anon_sym_PLUS_EQ] = ACTIONS(1777),
    [anon_sym_DASH_EQ] = ACTIONS(1777),
    [anon_sym_DOT_EQ] = ACTIONS(1777),
    [anon_sym_STAR_EQ] = ACTIONS(1777),
    [anon_sym_SLASH_EQ] = ACTIONS(1777),
    [anon_sym_PERCENT_EQ] = ACTIONS(1777),
    [anon_sym_x_EQ] = ACTIONS(1777),
    [anon_sym_AMP_EQ] = ACTIONS(1777),
    [anon_sym_PIPE_EQ] = ACTIONS(1777),
    [anon_sym_CARET_EQ] = ACTIONS(1777),
    [anon_sym_LT_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT_GT_EQ] = ACTIONS(1777),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1777),
    [anon_sym_DOT_DOT] = ACTIONS(1777),
    [anon_sym_STAR_STAR] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE] = ACTIONS(1777),
    [anon_sym_SLASH_SLASH] = ACTIONS(1777),
    [anon_sym_CARET_CARET] = ACTIONS(1777),
    [anon_sym_AMP_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_GT_GT2] = ACTIONS(1777),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_DOT] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1777),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_x] = ACTIONS(1777),
    [anon_sym_EQ_TILDE] = ACTIONS(1777),
    [anon_sym_BANG_TILDE] = ACTIONS(1777),
    [anon_sym_EQ_EQ] = ACTIONS(1777),
    [anon_sym_BANG_EQ] = ACTIONS(1777),
    [anon_sym_eq] = ACTIONS(1777),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1777),
    [anon_sym_equ] = ACTIONS(1777),
    [anon_sym_eqr] = ACTIONS(1777),
    [anon_sym_ne] = ACTIONS(1777),
    [anon_sym_LT_EQ_GT] = ACTIONS(1777),
    [anon_sym_cmp] = ACTIONS(1777),
    [anon_sym_TILDE_TILDE] = ACTIONS(1777),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT_EQ] = ACTIONS(1777),
    [anon_sym_lt] = ACTIONS(1777),
    [anon_sym_le] = ACTIONS(1777),
    [anon_sym_ge] = ACTIONS(1777),
    [anon_sym_gt] = ACTIONS(1777),
    [anon_sym_isa] = ACTIONS(1777),
    [anon_sym_TILDE] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1777),
    [anon_sym_PLUS_PLUS] = ACTIONS(1777),
    [anon_sym_DASH_DASH] = ACTIONS(1777),
    [anon_sym_QMARK] = ACTIONS(1777),
    [anon_sym_BSLASH] = ACTIONS(1779),
    [anon_sym_do] = ACTIONS(1777),
    [anon_sym_eval] = ACTIONS(1777),
    [anon_sym_await] = ACTIONS(1777),
    [anon_sym_field] = ACTIONS(1777),
    [anon_sym_local] = ACTIONS(1777),
    [anon_sym_dynamically] = ACTIONS(1777),
    [anon_sym_require] = ACTIONS(1777),
    [anon_sym_map] = ACTIONS(1777),
    [anon_sym_grep] = ACTIONS(1777),
    [anon_sym_sort] = ACTIONS(1777),
    [anon_sym_goto] = ACTIONS(1777),
    [anon_sym_return] = ACTIONS(1777),
    [anon_sym_undef] = ACTIONS(1777),
    [anon_sym_PERCENT2] = ACTIONS(1777),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1777),
    [anon_sym_EQ_GT] = ACTIONS(1777),
    [anon_sym_last] = ACTIONS(1777),
    [anon_sym_next] = ACTIONS(1777),
    [anon_sym_redo] = ACTIONS(1777),
    [anon_sym___FILE__] = ACTIONS(1777),
    [anon_sym___LINE__] = ACTIONS(1777),
    [anon_sym___PACKAGE__] = ACTIONS(1777),
    [anon_sym___SUB__] = ACTIONS(1777),
    [anon_sym_break] = ACTIONS(1777),
    [anon_sym_fork] = ACTIONS(1777),
    [anon_sym_getppid] = ACTIONS(1777),
    [anon_sym_time] = ACTIONS(1777),
    [anon_sym_times] = ACTIONS(1777),
    [anon_sym_wait] = ACTIONS(1777),
    [anon_sym_wantarray] = ACTIONS(1777),
    [anon_sym_abs] = ACTIONS(1777),
    [anon_sym_alarm] = ACTIONS(1777),
    [anon_sym_chop] = ACTIONS(1777),
    [anon_sym_chdir] = ACTIONS(1777),
    [anon_sym_close] = ACTIONS(1777),
    [anon_sym_closedir] = ACTIONS(1777),
    [anon_sym_caller] = ACTIONS(1777),
    [anon_sym_chomp] = ACTIONS(1777),
    [anon_sym_chr] = ACTIONS(1777),
    [anon_sym_cos] = ACTIONS(1777),
    [anon_sym_chroot] = ACTIONS(1777),
    [anon_sym_defined] = ACTIONS(1777),
    [anon_sym_delete] = ACTIONS(1777),
    [anon_sym_dbmclose] = ACTIONS(1777),
    [anon_sym_exists] = ACTIONS(1777),
    [anon_sym_exit] = ACTIONS(1777),
    [anon_sym_eof] = ACTIONS(1777),
    [anon_sym_exp] = ACTIONS(1777),
    [anon_sym_each] = ACTIONS(1777),
    [anon_sym_fc] = ACTIONS(1777),
    [anon_sym_fileno] = ACTIONS(1777),
    [anon_sym_gmtime] = ACTIONS(1777),
    [anon_sym_getc] = ACTIONS(1777),
    [anon_sym_getpgrp] = ACTIONS(1777),
    [anon_sym_getprotobyname] = ACTIONS(1777),
    [anon_sym_getpwname] = ACTIONS(1777),
    [anon_sym_getpwuid] = ACTIONS(1777),
    [anon_sym_getpeername] = ACTIONS(1777),
    [anon_sym_getnetbyname] = ACTIONS(1777),
    [anon_sym_getsockname] = ACTIONS(1777),
    [anon_sym_getgrnam] = ACTIONS(1777),
    [anon_sym_getgrgid] = ACTIONS(1777),
    [anon_sym_hex] = ACTIONS(1777),
    [anon_sym_int] = ACTIONS(1777),
    [anon_sym_keys] = ACTIONS(1777),
    [anon_sym_lc] = ACTIONS(1777),
    [anon_sym_lcfirst] = ACTIONS(1777),
    [anon_sym_length] = ACTIONS(1777),
    [anon_sym_localtime] = ACTIONS(1777),
    [anon_sym_log] = ACTIONS(1777),
    [anon_sym_lock] = ACTIONS(1777),
    [anon_sym_lstat] = ACTIONS(1777),
    [anon_sym_oct] = ACTIONS(1777),
    [anon_sym_ord] = ACTIONS(1777),
    [anon_sym_prototype] = ACTIONS(1777),
    [anon_sym_pop] = ACTIONS(1777),
    [anon_sym_pos] = ACTIONS(1777),
    [anon_sym_quotemeta] = ACTIONS(1777),
    [anon_sym_reset] = ACTIONS(1777),
    [anon_sym_rand] = ACTIONS(1777),
    [anon_sym_rmdir] = ACTIONS(1777),
    [anon_sym_readdir] = ACTIONS(1777),
    [anon_sym_readline] = ACTIONS(1777),
    [anon_sym_readpipe] = ACTIONS(1777),
    [anon_sym_rewinddir] = ACTIONS(1777),
    [anon_sym_readlink] = ACTIONS(1777),
    [anon_sym_ref] = ACTIONS(1777),
    [anon_sym_scalar] = ACTIONS(1777),
    [anon_sym_shift] = ACTIONS(1777),
    [anon_sym_sin] = ACTIONS(1777),
    [anon_sym_sleep] = ACTIONS(1777),
    [anon_sym_sqrt] = ACTIONS(1777),
    [anon_sym_srand] = ACTIONS(1777),
    [anon_sym_stat] = ACTIONS(1777),
    [anon_sym_study] = ACTIONS(1777),
    [anon_sym_tell] = ACTIONS(1777),
    [anon_sym_telldir] = ACTIONS(1777),
    [anon_sym_tied] = ACTIONS(1777),
    [anon_sym_uc] = ACTIONS(1777),
    [anon_sym_ucfirst] = ACTIONS(1777),
    [anon_sym_untie] = ACTIONS(1777),
    [anon_sym_umask] = ACTIONS(1777),
    [anon_sym_values] = ACTIONS(1777),
    [anon_sym_write] = ACTIONS(1777),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1777),
    [anon_sym___END__] = ACTIONS(1777),
    [anon_sym_EOT] = ACTIONS(1777),
    [anon_sym_q] = ACTIONS(1777),
    [anon_sym_qq] = ACTIONS(1777),
    [anon_sym_qw] = ACTIONS(1777),
    [anon_sym_qx] = ACTIONS(1777),
    [anon_sym_qr] = ACTIONS(1777),
    [anon_sym_m] = ACTIONS(1777),
    [anon_sym_s] = ACTIONS(1777),
    [anon_sym_tr] = ACTIONS(1777),
    [anon_sym_y] = ACTIONS(1777),
    [aux_sym__bareword_token1] = ACTIONS(1777),
    [sym_number] = ACTIONS(1777),
    [anon_sym_true] = ACTIONS(1777),
    [anon_sym_false] = ACTIONS(1777),
    [sym__single_quote] = ACTIONS(1779),
    [sym__double_quote] = ACTIONS(1779),
    [sym__backtick_quote] = ACTIONS(1779),
    [sym__search_slash_quote] = ACTIONS(1779),
    [sym__no_search_slash_plz] = ACTIONS(1779),
    [sym__PERLY_SEMICOLON] = ACTIONS(1779),
    [sym__PERLY_HEREDOC] = ACTIONS(1779),
    [sym__ctrl_z_hack] = ACTIONS(1779),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1779),
    [sym__filetest] = ACTIONS(1779),
  },
  [718] = {
    [sym_heredoc_content] = STATE(718),
    [sym__identifier] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [anon_sym_DOLLAR] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1405),
    [anon_sym_AT] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [anon_sym_my] = ACTIONS(1405),
    [anon_sym_extended] = ACTIONS(1405),
    [anon_sym_async] = ACTIONS(1405),
    [anon_sym_sub] = ACTIONS(1405),
    [anon_sym_method] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_state] = ACTIONS(1405),
    [anon_sym_our] = ACTIONS(1405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1405),
    [anon_sym_and] = ACTIONS(1405),
    [anon_sym_or] = ACTIONS(1405),
    [anon_sym_xor] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_DASH_GT] = ACTIONS(1405),
    [anon_sym_PERCENT] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1405),
    [anon_sym_GT] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1405),
    [anon_sym_PLUS_EQ] = ACTIONS(1405),
    [anon_sym_DASH_EQ] = ACTIONS(1405),
    [anon_sym_DOT_EQ] = ACTIONS(1405),
    [anon_sym_STAR_EQ] = ACTIONS(1405),
    [anon_sym_SLASH_EQ] = ACTIONS(1405),
    [anon_sym_PERCENT_EQ] = ACTIONS(1405),
    [anon_sym_x_EQ] = ACTIONS(1405),
    [anon_sym_AMP_EQ] = ACTIONS(1405),
    [anon_sym_PIPE_EQ] = ACTIONS(1405),
    [anon_sym_CARET_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT_EQ] = ACTIONS(1405),
    [anon_sym_GT_GT_EQ] = ACTIONS(1405),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1405),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_STAR_STAR] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH] = ACTIONS(1405),
    [anon_sym_CARET_CARET] = ACTIONS(1405),
    [anon_sym_AMP_AMP] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_GT_GT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1405),
    [anon_sym_DOT] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1405),
    [anon_sym_x] = ACTIONS(1405),
    [anon_sym_EQ_TILDE] = ACTIONS(1405),
    [anon_sym_BANG_TILDE] = ACTIONS(1405),
    [anon_sym_EQ_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_eq] = ACTIONS(1405),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1405),
    [anon_sym_equ] = ACTIONS(1405),
    [anon_sym_eqr] = ACTIONS(1405),
    [anon_sym_ne] = ACTIONS(1405),
    [anon_sym_LT_EQ_GT] = ACTIONS(1405),
    [anon_sym_cmp] = ACTIONS(1405),
    [anon_sym_TILDE_TILDE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_lt] = ACTIONS(1405),
    [anon_sym_le] = ACTIONS(1405),
    [anon_sym_ge] = ACTIONS(1405),
    [anon_sym_gt] = ACTIONS(1405),
    [anon_sym_isa] = ACTIONS(1405),
    [anon_sym_TILDE] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1405),
    [anon_sym_DASH_DASH] = ACTIONS(1405),
    [anon_sym_QMARK] = ACTIONS(1405),
    [anon_sym_BSLASH] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_eval] = ACTIONS(1405),
    [anon_sym_await] = ACTIONS(1405),
    [anon_sym_field] = ACTIONS(1405),
    [anon_sym_local] = ACTIONS(1405),
    [anon_sym_dynamically] = ACTIONS(1405),
    [anon_sym_require] = ACTIONS(1405),
    [anon_sym_map] = ACTIONS(1405),
    [anon_sym_grep] = ACTIONS(1405),
    [anon_sym_sort] = ACTIONS(1405),
    [anon_sym_goto] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_undef] = ACTIONS(1405),
    [anon_sym_PERCENT2] = ACTIONS(1405),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1405),
    [anon_sym_EQ_GT] = ACTIONS(1405),
    [anon_sym_last] = ACTIONS(1405),
    [anon_sym_next] = ACTIONS(1405),
    [anon_sym_redo] = ACTIONS(1405),
    [anon_sym___FILE__] = ACTIONS(1405),
    [anon_sym___LINE__] = ACTIONS(1405),
    [anon_sym___PACKAGE__] = ACTIONS(1405),
    [anon_sym___SUB__] = ACTIONS(1405),
    [anon_sym_break] = ACTIONS(1405),
    [anon_sym_fork] = ACTIONS(1405),
    [anon_sym_getppid] = ACTIONS(1405),
    [anon_sym_time] = ACTIONS(1405),
    [anon_sym_times] = ACTIONS(1405),
    [anon_sym_wait] = ACTIONS(1405),
    [anon_sym_wantarray] = ACTIONS(1405),
    [anon_sym_abs] = ACTIONS(1405),
    [anon_sym_alarm] = ACTIONS(1405),
    [anon_sym_chop] = ACTIONS(1405),
    [anon_sym_chdir] = ACTIONS(1405),
    [anon_sym_close] = ACTIONS(1405),
    [anon_sym_closedir] = ACTIONS(1405),
    [anon_sym_caller] = ACTIONS(1405),
    [anon_sym_chomp] = ACTIONS(1405),
    [anon_sym_chr] = ACTIONS(1405),
    [anon_sym_cos] = ACTIONS(1405),
    [anon_sym_chroot] = ACTIONS(1405),
    [anon_sym_defined] = ACTIONS(1405),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_dbmclose] = ACTIONS(1405),
    [anon_sym_exists] = ACTIONS(1405),
    [anon_sym_exit] = ACTIONS(1405),
    [anon_sym_eof] = ACTIONS(1405),
    [anon_sym_exp] = ACTIONS(1405),
    [anon_sym_each] = ACTIONS(1405),
    [anon_sym_fc] = ACTIONS(1405),
    [anon_sym_fileno] = ACTIONS(1405),
    [anon_sym_gmtime] = ACTIONS(1405),
    [anon_sym_getc] = ACTIONS(1405),
    [anon_sym_getpgrp] = ACTIONS(1405),
    [anon_sym_getprotobyname] = ACTIONS(1405),
    [anon_sym_getpwname] = ACTIONS(1405),
    [anon_sym_getpwuid] = ACTIONS(1405),
    [anon_sym_getpeername] = ACTIONS(1405),
    [anon_sym_getnetbyname] = ACTIONS(1405),
    [anon_sym_getsockname] = ACTIONS(1405),
    [anon_sym_getgrnam] = ACTIONS(1405),
    [anon_sym_getgrgid] = ACTIONS(1405),
    [anon_sym_hex] = ACTIONS(1405),
    [anon_sym_int] = ACTIONS(1405),
    [anon_sym_keys] = ACTIONS(1405),
    [anon_sym_lc] = ACTIONS(1405),
    [anon_sym_lcfirst] = ACTIONS(1405),
    [anon_sym_length] = ACTIONS(1405),
    [anon_sym_localtime] = ACTIONS(1405),
    [anon_sym_log] = ACTIONS(1405),
    [anon_sym_lock] = ACTIONS(1405),
    [anon_sym_lstat] = ACTIONS(1405),
    [anon_sym_oct] = ACTIONS(1405),
    [anon_sym_ord] = ACTIONS(1405),
    [anon_sym_prototype] = ACTIONS(1405),
    [anon_sym_pop] = ACTIONS(1405),
    [anon_sym_pos] = ACTIONS(1405),
    [anon_sym_quotemeta] = ACTIONS(1405),
    [anon_sym_reset] = ACTIONS(1405),
    [anon_sym_rand] = ACTIONS(1405),
    [anon_sym_rmdir] = ACTIONS(1405),
    [anon_sym_readdir] = ACTIONS(1405),
    [anon_sym_readline] = ACTIONS(1405),
    [anon_sym_readpipe] = ACTIONS(1405),
    [anon_sym_rewinddir] = ACTIONS(1405),
    [anon_sym_readlink] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1405),
    [anon_sym_scalar] = ACTIONS(1405),
    [anon_sym_shift] = ACTIONS(1405),
    [anon_sym_sin] = ACTIONS(1405),
    [anon_sym_sleep] = ACTIONS(1405),
    [anon_sym_sqrt] = ACTIONS(1405),
    [anon_sym_srand] = ACTIONS(1405),
    [anon_sym_stat] = ACTIONS(1405),
    [anon_sym_study] = ACTIONS(1405),
    [anon_sym_tell] = ACTIONS(1405),
    [anon_sym_telldir] = ACTIONS(1405),
    [anon_sym_tied] = ACTIONS(1405),
    [anon_sym_uc] = ACTIONS(1405),
    [anon_sym_ucfirst] = ACTIONS(1405),
    [anon_sym_untie] = ACTIONS(1405),
    [anon_sym_umask] = ACTIONS(1405),
    [anon_sym_values] = ACTIONS(1405),
    [anon_sym_write] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1405),
    [anon_sym___END__] = ACTIONS(1405),
    [anon_sym_EOT] = ACTIONS(1405),
    [anon_sym_q] = ACTIONS(1405),
    [anon_sym_qq] = ACTIONS(1405),
    [anon_sym_qw] = ACTIONS(1405),
    [anon_sym_qx] = ACTIONS(1405),
    [anon_sym_qr] = ACTIONS(1405),
    [anon_sym_m] = ACTIONS(1405),
    [anon_sym_s] = ACTIONS(1405),
    [anon_sym_tr] = ACTIONS(1405),
    [anon_sym_y] = ACTIONS(1405),
    [aux_sym__bareword_token1] = ACTIONS(1405),
    [sym_number] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1405),
    [anon_sym_false] = ACTIONS(1405),
    [sym__single_quote] = ACTIONS(1403),
    [sym__double_quote] = ACTIONS(1403),
    [sym__backtick_quote] = ACTIONS(1403),
    [sym__search_slash_quote] = ACTIONS(1403),
    [sym__no_search_slash_plz] = ACTIONS(1403),
    [sym__PERLY_SEMICOLON] = ACTIONS(1403),
    [sym__PERLY_HEREDOC] = ACTIONS(1403),
    [sym__ctrl_z_hack] = ACTIONS(1403),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1403),
    [sym__filetest] = ACTIONS(1403),
  },
  [719] = {
    [sym_heredoc_content] = STATE(719),
    [sym__identifier] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1781),
    [anon_sym_DOLLAR] = ACTIONS(1781),
    [anon_sym_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(1781),
    [anon_sym_COMMA] = ACTIONS(1781),
    [anon_sym_my] = ACTIONS(1781),
    [anon_sym_extended] = ACTIONS(1781),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_sub] = ACTIONS(1781),
    [anon_sym_method] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1781),
    [anon_sym_continue] = ACTIONS(1781),
    [anon_sym_state] = ACTIONS(1781),
    [anon_sym_our] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1781),
    [anon_sym_and] = ACTIONS(1781),
    [anon_sym_or] = ACTIONS(1781),
    [anon_sym_xor] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1781),
    [anon_sym_DASH_GT] = ACTIONS(1781),
    [anon_sym_PERCENT] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1781),
    [anon_sym_PLUS_EQ] = ACTIONS(1781),
    [anon_sym_DASH_EQ] = ACTIONS(1781),
    [anon_sym_DOT_EQ] = ACTIONS(1781),
    [anon_sym_STAR_EQ] = ACTIONS(1781),
    [anon_sym_SLASH_EQ] = ACTIONS(1781),
    [anon_sym_PERCENT_EQ] = ACTIONS(1781),
    [anon_sym_x_EQ] = ACTIONS(1781),
    [anon_sym_AMP_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_EQ] = ACTIONS(1781),
    [anon_sym_CARET_EQ] = ACTIONS(1781),
    [anon_sym_LT_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_GT_EQ] = ACTIONS(1781),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1781),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_STAR_STAR] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_CARET_CARET] = ACTIONS(1781),
    [anon_sym_AMP_AMP] = ACTIONS(1781),
    [anon_sym_PIPE] = ACTIONS(1781),
    [anon_sym_CARET] = ACTIONS(1781),
    [anon_sym_AMP] = ACTIONS(1781),
    [anon_sym_GT_GT2] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_x] = ACTIONS(1781),
    [anon_sym_EQ_TILDE] = ACTIONS(1781),
    [anon_sym_BANG_TILDE] = ACTIONS(1781),
    [anon_sym_EQ_EQ] = ACTIONS(1781),
    [anon_sym_BANG_EQ] = ACTIONS(1781),
    [anon_sym_eq] = ACTIONS(1781),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1781),
    [anon_sym_equ] = ACTIONS(1781),
    [anon_sym_eqr] = ACTIONS(1781),
    [anon_sym_ne] = ACTIONS(1781),
    [anon_sym_LT_EQ_GT] = ACTIONS(1781),
    [anon_sym_cmp] = ACTIONS(1781),
    [anon_sym_TILDE_TILDE] = ACTIONS(1781),
    [anon_sym_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_EQ] = ACTIONS(1781),
    [anon_sym_lt] = ACTIONS(1781),
    [anon_sym_le] = ACTIONS(1781),
    [anon_sym_ge] = ACTIONS(1781),
    [anon_sym_gt] = ACTIONS(1781),
    [anon_sym_isa] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_BANG] = ACTIONS(1781),
    [anon_sym_PLUS_PLUS] = ACTIONS(1781),
    [anon_sym_DASH_DASH] = ACTIONS(1781),
    [anon_sym_QMARK] = ACTIONS(1781),
    [anon_sym_BSLASH] = ACTIONS(1783),
    [anon_sym_do] = ACTIONS(1781),
    [anon_sym_eval] = ACTIONS(1781),
    [anon_sym_await] = ACTIONS(1781),
    [anon_sym_field] = ACTIONS(1781),
    [anon_sym_local] = ACTIONS(1781),
    [anon_sym_dynamically] = ACTIONS(1781),
    [anon_sym_require] = ACTIONS(1781),
    [anon_sym_map] = ACTIONS(1781),
    [anon_sym_grep] = ACTIONS(1781),
    [anon_sym_sort] = ACTIONS(1781),
    [anon_sym_goto] = ACTIONS(1781),
    [anon_sym_return] = ACTIONS(1781),
    [anon_sym_undef] = ACTIONS(1781),
    [anon_sym_PERCENT2] = ACTIONS(1781),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1781),
    [anon_sym_EQ_GT] = ACTIONS(1781),
    [anon_sym_last] = ACTIONS(1781),
    [anon_sym_next] = ACTIONS(1781),
    [anon_sym_redo] = ACTIONS(1781),
    [anon_sym___FILE__] = ACTIONS(1781),
    [anon_sym___LINE__] = ACTIONS(1781),
    [anon_sym___PACKAGE__] = ACTIONS(1781),
    [anon_sym___SUB__] = ACTIONS(1781),
    [anon_sym_break] = ACTIONS(1781),
    [anon_sym_fork] = ACTIONS(1781),
    [anon_sym_getppid] = ACTIONS(1781),
    [anon_sym_time] = ACTIONS(1781),
    [anon_sym_times] = ACTIONS(1781),
    [anon_sym_wait] = ACTIONS(1781),
    [anon_sym_wantarray] = ACTIONS(1781),
    [anon_sym_abs] = ACTIONS(1781),
    [anon_sym_alarm] = ACTIONS(1781),
    [anon_sym_chop] = ACTIONS(1781),
    [anon_sym_chdir] = ACTIONS(1781),
    [anon_sym_close] = ACTIONS(1781),
    [anon_sym_closedir] = ACTIONS(1781),
    [anon_sym_caller] = ACTIONS(1781),
    [anon_sym_chomp] = ACTIONS(1781),
    [anon_sym_chr] = ACTIONS(1781),
    [anon_sym_cos] = ACTIONS(1781),
    [anon_sym_chroot] = ACTIONS(1781),
    [anon_sym_defined] = ACTIONS(1781),
    [anon_sym_delete] = ACTIONS(1781),
    [anon_sym_dbmclose] = ACTIONS(1781),
    [anon_sym_exists] = ACTIONS(1781),
    [anon_sym_exit] = ACTIONS(1781),
    [anon_sym_eof] = ACTIONS(1781),
    [anon_sym_exp] = ACTIONS(1781),
    [anon_sym_each] = ACTIONS(1781),
    [anon_sym_fc] = ACTIONS(1781),
    [anon_sym_fileno] = ACTIONS(1781),
    [anon_sym_gmtime] = ACTIONS(1781),
    [anon_sym_getc] = ACTIONS(1781),
    [anon_sym_getpgrp] = ACTIONS(1781),
    [anon_sym_getprotobyname] = ACTIONS(1781),
    [anon_sym_getpwname] = ACTIONS(1781),
    [anon_sym_getpwuid] = ACTIONS(1781),
    [anon_sym_getpeername] = ACTIONS(1781),
    [anon_sym_getnetbyname] = ACTIONS(1781),
    [anon_sym_getsockname] = ACTIONS(1781),
    [anon_sym_getgrnam] = ACTIONS(1781),
    [anon_sym_getgrgid] = ACTIONS(1781),
    [anon_sym_hex] = ACTIONS(1781),
    [anon_sym_int] = ACTIONS(1781),
    [anon_sym_keys] = ACTIONS(1781),
    [anon_sym_lc] = ACTIONS(1781),
    [anon_sym_lcfirst] = ACTIONS(1781),
    [anon_sym_length] = ACTIONS(1781),
    [anon_sym_localtime] = ACTIONS(1781),
    [anon_sym_log] = ACTIONS(1781),
    [anon_sym_lock] = ACTIONS(1781),
    [anon_sym_lstat] = ACTIONS(1781),
    [anon_sym_oct] = ACTIONS(1781),
    [anon_sym_ord] = ACTIONS(1781),
    [anon_sym_prototype] = ACTIONS(1781),
    [anon_sym_pop] = ACTIONS(1781),
    [anon_sym_pos] = ACTIONS(1781),
    [anon_sym_quotemeta] = ACTIONS(1781),
    [anon_sym_reset] = ACTIONS(1781),
    [anon_sym_rand] = ACTIONS(1781),
    [anon_sym_rmdir] = ACTIONS(1781),
    [anon_sym_readdir] = ACTIONS(1781),
    [anon_sym_readline] = ACTIONS(1781),
    [anon_sym_readpipe] = ACTIONS(1781),
    [anon_sym_rewinddir] = ACTIONS(1781),
    [anon_sym_readlink] = ACTIONS(1781),
    [anon_sym_ref] = ACTIONS(1781),
    [anon_sym_scalar] = ACTIONS(1781),
    [anon_sym_shift] = ACTIONS(1781),
    [anon_sym_sin] = ACTIONS(1781),
    [anon_sym_sleep] = ACTIONS(1781),
    [anon_sym_sqrt] = ACTIONS(1781),
    [anon_sym_srand] = ACTIONS(1781),
    [anon_sym_stat] = ACTIONS(1781),
    [anon_sym_study] = ACTIONS(1781),
    [anon_sym_tell] = ACTIONS(1781),
    [anon_sym_telldir] = ACTIONS(1781),
    [anon_sym_tied] = ACTIONS(1781),
    [anon_sym_uc] = ACTIONS(1781),
    [anon_sym_ucfirst] = ACTIONS(1781),
    [anon_sym_untie] = ACTIONS(1781),
    [anon_sym_umask] = ACTIONS(1781),
    [anon_sym_values] = ACTIONS(1781),
    [anon_sym_write] = ACTIONS(1781),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1781),
    [anon_sym___END__] = ACTIONS(1781),
    [anon_sym_EOT] = ACTIONS(1781),
    [anon_sym_q] = ACTIONS(1781),
    [anon_sym_qq] = ACTIONS(1781),
    [anon_sym_qw] = ACTIONS(1781),
    [anon_sym_qx] = ACTIONS(1781),
    [anon_sym_qr] = ACTIONS(1781),
    [anon_sym_m] = ACTIONS(1781),
    [anon_sym_s] = ACTIONS(1781),
    [anon_sym_tr] = ACTIONS(1781),
    [anon_sym_y] = ACTIONS(1781),
    [aux_sym__bareword_token1] = ACTIONS(1781),
    [sym_number] = ACTIONS(1781),
    [anon_sym_true] = ACTIONS(1781),
    [anon_sym_false] = ACTIONS(1781),
    [sym__single_quote] = ACTIONS(1783),
    [sym__double_quote] = ACTIONS(1783),
    [sym__backtick_quote] = ACTIONS(1783),
    [sym__search_slash_quote] = ACTIONS(1783),
    [sym__no_search_slash_plz] = ACTIONS(1783),
    [sym__PERLY_SEMICOLON] = ACTIONS(1783),
    [sym__PERLY_HEREDOC] = ACTIONS(1783),
    [sym__ctrl_z_hack] = ACTIONS(1783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1783),
    [sym__filetest] = ACTIONS(1783),
  },
  [720] = {
    [sym_heredoc_content] = STATE(720),
    [sym__identifier] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1769),
    [anon_sym_SEMI] = ACTIONS(1769),
    [anon_sym_DOLLAR] = ACTIONS(1769),
    [anon_sym_EQ] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1769),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1769),
    [anon_sym_AT] = ACTIONS(1769),
    [anon_sym_COMMA] = ACTIONS(1769),
    [anon_sym_my] = ACTIONS(1769),
    [anon_sym_extended] = ACTIONS(1769),
    [anon_sym_async] = ACTIONS(1769),
    [anon_sym_sub] = ACTIONS(1769),
    [anon_sym_method] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1769),
    [anon_sym_continue] = ACTIONS(1769),
    [anon_sym_state] = ACTIONS(1769),
    [anon_sym_our] = ACTIONS(1769),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1769),
    [anon_sym_and] = ACTIONS(1769),
    [anon_sym_or] = ACTIONS(1769),
    [anon_sym_xor] = ACTIONS(1769),
    [anon_sym_LBRACK] = ACTIONS(1769),
    [anon_sym_DASH_GT] = ACTIONS(1769),
    [anon_sym_PERCENT] = ACTIONS(1769),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_GT] = ACTIONS(1769),
    [anon_sym_LT_LT] = ACTIONS(1769),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1769),
    [anon_sym_PLUS_EQ] = ACTIONS(1769),
    [anon_sym_DASH_EQ] = ACTIONS(1769),
    [anon_sym_DOT_EQ] = ACTIONS(1769),
    [anon_sym_STAR_EQ] = ACTIONS(1769),
    [anon_sym_SLASH_EQ] = ACTIONS(1769),
    [anon_sym_PERCENT_EQ] = ACTIONS(1769),
    [anon_sym_x_EQ] = ACTIONS(1769),
    [anon_sym_AMP_EQ] = ACTIONS(1769),
    [anon_sym_PIPE_EQ] = ACTIONS(1769),
    [anon_sym_CARET_EQ] = ACTIONS(1769),
    [anon_sym_LT_LT_EQ] = ACTIONS(1769),
    [anon_sym_GT_GT_EQ] = ACTIONS(1769),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1769),
    [anon_sym_DOT_DOT] = ACTIONS(1769),
    [anon_sym_STAR_STAR] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE] = ACTIONS(1769),
    [anon_sym_SLASH_SLASH] = ACTIONS(1769),
    [anon_sym_CARET_CARET] = ACTIONS(1769),
    [anon_sym_AMP_AMP] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1769),
    [anon_sym_CARET] = ACTIONS(1769),
    [anon_sym_AMP] = ACTIONS(1769),
    [anon_sym_GT_GT2] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_DOT] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1769),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_x] = ACTIONS(1769),
    [anon_sym_EQ_TILDE] = ACTIONS(1769),
    [anon_sym_BANG_TILDE] = ACTIONS(1769),
    [anon_sym_EQ_EQ] = ACTIONS(1769),
    [anon_sym_BANG_EQ] = ACTIONS(1769),
    [anon_sym_eq] = ACTIONS(1769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1769),
    [anon_sym_equ] = ACTIONS(1769),
    [anon_sym_eqr] = ACTIONS(1769),
    [anon_sym_ne] = ACTIONS(1769),
    [anon_sym_LT_EQ_GT] = ACTIONS(1769),
    [anon_sym_cmp] = ACTIONS(1769),
    [anon_sym_TILDE_TILDE] = ACTIONS(1769),
    [anon_sym_LT_EQ] = ACTIONS(1769),
    [anon_sym_GT_EQ] = ACTIONS(1769),
    [anon_sym_lt] = ACTIONS(1769),
    [anon_sym_le] = ACTIONS(1769),
    [anon_sym_ge] = ACTIONS(1769),
    [anon_sym_gt] = ACTIONS(1769),
    [anon_sym_isa] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_PLUS_PLUS] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1769),
    [anon_sym_QMARK] = ACTIONS(1769),
    [anon_sym_BSLASH] = ACTIONS(1771),
    [anon_sym_do] = ACTIONS(1769),
    [anon_sym_eval] = ACTIONS(1769),
    [anon_sym_await] = ACTIONS(1769),
    [anon_sym_field] = ACTIONS(1769),
    [anon_sym_local] = ACTIONS(1769),
    [anon_sym_dynamically] = ACTIONS(1769),
    [anon_sym_require] = ACTIONS(1769),
    [anon_sym_map] = ACTIONS(1769),
    [anon_sym_grep] = ACTIONS(1769),
    [anon_sym_sort] = ACTIONS(1769),
    [anon_sym_goto] = ACTIONS(1769),
    [anon_sym_return] = ACTIONS(1769),
    [anon_sym_undef] = ACTIONS(1769),
    [anon_sym_PERCENT2] = ACTIONS(1769),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1769),
    [anon_sym_EQ_GT] = ACTIONS(1769),
    [anon_sym_last] = ACTIONS(1769),
    [anon_sym_next] = ACTIONS(1769),
    [anon_sym_redo] = ACTIONS(1769),
    [anon_sym___FILE__] = ACTIONS(1769),
    [anon_sym___LINE__] = ACTIONS(1769),
    [anon_sym___PACKAGE__] = ACTIONS(1769),
    [anon_sym___SUB__] = ACTIONS(1769),
    [anon_sym_break] = ACTIONS(1769),
    [anon_sym_fork] = ACTIONS(1769),
    [anon_sym_getppid] = ACTIONS(1769),
    [anon_sym_time] = ACTIONS(1769),
    [anon_sym_times] = ACTIONS(1769),
    [anon_sym_wait] = ACTIONS(1769),
    [anon_sym_wantarray] = ACTIONS(1769),
    [anon_sym_abs] = ACTIONS(1769),
    [anon_sym_alarm] = ACTIONS(1769),
    [anon_sym_chop] = ACTIONS(1769),
    [anon_sym_chdir] = ACTIONS(1769),
    [anon_sym_close] = ACTIONS(1769),
    [anon_sym_closedir] = ACTIONS(1769),
    [anon_sym_caller] = ACTIONS(1769),
    [anon_sym_chomp] = ACTIONS(1769),
    [anon_sym_chr] = ACTIONS(1769),
    [anon_sym_cos] = ACTIONS(1769),
    [anon_sym_chroot] = ACTIONS(1769),
    [anon_sym_defined] = ACTIONS(1769),
    [anon_sym_delete] = ACTIONS(1769),
    [anon_sym_dbmclose] = ACTIONS(1769),
    [anon_sym_exists] = ACTIONS(1769),
    [anon_sym_exit] = ACTIONS(1769),
    [anon_sym_eof] = ACTIONS(1769),
    [anon_sym_exp] = ACTIONS(1769),
    [anon_sym_each] = ACTIONS(1769),
    [anon_sym_fc] = ACTIONS(1769),
    [anon_sym_fileno] = ACTIONS(1769),
    [anon_sym_gmtime] = ACTIONS(1769),
    [anon_sym_getc] = ACTIONS(1769),
    [anon_sym_getpgrp] = ACTIONS(1769),
    [anon_sym_getprotobyname] = ACTIONS(1769),
    [anon_sym_getpwname] = ACTIONS(1769),
    [anon_sym_getpwuid] = ACTIONS(1769),
    [anon_sym_getpeername] = ACTIONS(1769),
    [anon_sym_getnetbyname] = ACTIONS(1769),
    [anon_sym_getsockname] = ACTIONS(1769),
    [anon_sym_getgrnam] = ACTIONS(1769),
    [anon_sym_getgrgid] = ACTIONS(1769),
    [anon_sym_hex] = ACTIONS(1769),
    [anon_sym_int] = ACTIONS(1769),
    [anon_sym_keys] = ACTIONS(1769),
    [anon_sym_lc] = ACTIONS(1769),
    [anon_sym_lcfirst] = ACTIONS(1769),
    [anon_sym_length] = ACTIONS(1769),
    [anon_sym_localtime] = ACTIONS(1769),
    [anon_sym_log] = ACTIONS(1769),
    [anon_sym_lock] = ACTIONS(1769),
    [anon_sym_lstat] = ACTIONS(1769),
    [anon_sym_oct] = ACTIONS(1769),
    [anon_sym_ord] = ACTIONS(1769),
    [anon_sym_prototype] = ACTIONS(1769),
    [anon_sym_pop] = ACTIONS(1769),
    [anon_sym_pos] = ACTIONS(1769),
    [anon_sym_quotemeta] = ACTIONS(1769),
    [anon_sym_reset] = ACTIONS(1769),
    [anon_sym_rand] = ACTIONS(1769),
    [anon_sym_rmdir] = ACTIONS(1769),
    [anon_sym_readdir] = ACTIONS(1769),
    [anon_sym_readline] = ACTIONS(1769),
    [anon_sym_readpipe] = ACTIONS(1769),
    [anon_sym_rewinddir] = ACTIONS(1769),
    [anon_sym_readlink] = ACTIONS(1769),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_scalar] = ACTIONS(1769),
    [anon_sym_shift] = ACTIONS(1769),
    [anon_sym_sin] = ACTIONS(1769),
    [anon_sym_sleep] = ACTIONS(1769),
    [anon_sym_sqrt] = ACTIONS(1769),
    [anon_sym_srand] = ACTIONS(1769),
    [anon_sym_stat] = ACTIONS(1769),
    [anon_sym_study] = ACTIONS(1769),
    [anon_sym_tell] = ACTIONS(1769),
    [anon_sym_telldir] = ACTIONS(1769),
    [anon_sym_tied] = ACTIONS(1769),
    [anon_sym_uc] = ACTIONS(1769),
    [anon_sym_ucfirst] = ACTIONS(1769),
    [anon_sym_untie] = ACTIONS(1769),
    [anon_sym_umask] = ACTIONS(1769),
    [anon_sym_values] = ACTIONS(1769),
    [anon_sym_write] = ACTIONS(1769),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1769),
    [anon_sym___END__] = ACTIONS(1769),
    [anon_sym_EOT] = ACTIONS(1769),
    [anon_sym_q] = ACTIONS(1769),
    [anon_sym_qq] = ACTIONS(1769),
    [anon_sym_qw] = ACTIONS(1769),
    [anon_sym_qx] = ACTIONS(1769),
    [anon_sym_qr] = ACTIONS(1769),
    [anon_sym_m] = ACTIONS(1769),
    [anon_sym_s] = ACTIONS(1769),
    [anon_sym_tr] = ACTIONS(1769),
    [anon_sym_y] = ACTIONS(1769),
    [aux_sym__bareword_token1] = ACTIONS(1769),
    [sym_number] = ACTIONS(1769),
    [anon_sym_true] = ACTIONS(1769),
    [anon_sym_false] = ACTIONS(1769),
    [sym__single_quote] = ACTIONS(1771),
    [sym__double_quote] = ACTIONS(1771),
    [sym__backtick_quote] = ACTIONS(1771),
    [sym__search_slash_quote] = ACTIONS(1771),
    [sym__no_search_slash_plz] = ACTIONS(1771),
    [sym__PERLY_SEMICOLON] = ACTIONS(1771),
    [sym__PERLY_HEREDOC] = ACTIONS(1771),
    [sym__ctrl_z_hack] = ACTIONS(1771),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1771),
    [sym__filetest] = ACTIONS(1771),
  },
  [721] = {
    [sym_heredoc_content] = STATE(721),
    [sym__identifier] = ACTIONS(1761),
    [anon_sym_LBRACE] = ACTIONS(1761),
    [anon_sym_SEMI] = ACTIONS(1761),
    [anon_sym_DOLLAR] = ACTIONS(1761),
    [anon_sym_EQ] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1761),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1761),
    [anon_sym_AT] = ACTIONS(1761),
    [anon_sym_COMMA] = ACTIONS(1761),
    [anon_sym_my] = ACTIONS(1761),
    [anon_sym_extended] = ACTIONS(1761),
    [anon_sym_async] = ACTIONS(1761),
    [anon_sym_sub] = ACTIONS(1761),
    [anon_sym_method] = ACTIONS(1761),
    [anon_sym_LPAREN] = ACTIONS(1761),
    [anon_sym_continue] = ACTIONS(1761),
    [anon_sym_state] = ACTIONS(1761),
    [anon_sym_our] = ACTIONS(1761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_and] = ACTIONS(1761),
    [anon_sym_or] = ACTIONS(1761),
    [anon_sym_xor] = ACTIONS(1761),
    [anon_sym_LBRACK] = ACTIONS(1761),
    [anon_sym_DASH_GT] = ACTIONS(1761),
    [anon_sym_PERCENT] = ACTIONS(1761),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_GT] = ACTIONS(1761),
    [anon_sym_LT_LT] = ACTIONS(1761),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1761),
    [anon_sym_PLUS_EQ] = ACTIONS(1761),
    [anon_sym_DASH_EQ] = ACTIONS(1761),
    [anon_sym_DOT_EQ] = ACTIONS(1761),
    [anon_sym_STAR_EQ] = ACTIONS(1761),
    [anon_sym_SLASH_EQ] = ACTIONS(1761),
    [anon_sym_PERCENT_EQ] = ACTIONS(1761),
    [anon_sym_x_EQ] = ACTIONS(1761),
    [anon_sym_AMP_EQ] = ACTIONS(1761),
    [anon_sym_PIPE_EQ] = ACTIONS(1761),
    [anon_sym_CARET_EQ] = ACTIONS(1761),
    [anon_sym_LT_LT_EQ] = ACTIONS(1761),
    [anon_sym_GT_GT_EQ] = ACTIONS(1761),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1761),
    [anon_sym_DOT_DOT] = ACTIONS(1761),
    [anon_sym_STAR_STAR] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE] = ACTIONS(1761),
    [anon_sym_SLASH_SLASH] = ACTIONS(1761),
    [anon_sym_CARET_CARET] = ACTIONS(1761),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_PIPE] = ACTIONS(1761),
    [anon_sym_CARET] = ACTIONS(1761),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT2] = ACTIONS(1761),
    [anon_sym_PLUS] = ACTIONS(1761),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_DOT] = ACTIONS(1761),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_x] = ACTIONS(1761),
    [anon_sym_EQ_TILDE] = ACTIONS(1761),
    [anon_sym_BANG_TILDE] = ACTIONS(1761),
    [anon_sym_EQ_EQ] = ACTIONS(1761),
    [anon_sym_BANG_EQ] = ACTIONS(1761),
    [anon_sym_eq] = ACTIONS(1761),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1761),
    [anon_sym_equ] = ACTIONS(1761),
    [anon_sym_eqr] = ACTIONS(1761),
    [anon_sym_ne] = ACTIONS(1761),
    [anon_sym_LT_EQ_GT] = ACTIONS(1761),
    [anon_sym_cmp] = ACTIONS(1761),
    [anon_sym_TILDE_TILDE] = ACTIONS(1761),
    [anon_sym_LT_EQ] = ACTIONS(1761),
    [anon_sym_GT_EQ] = ACTIONS(1761),
    [anon_sym_lt] = ACTIONS(1761),
    [anon_sym_le] = ACTIONS(1761),
    [anon_sym_ge] = ACTIONS(1761),
    [anon_sym_gt] = ACTIONS(1761),
    [anon_sym_isa] = ACTIONS(1761),
    [anon_sym_TILDE] = ACTIONS(1761),
    [anon_sym_BANG] = ACTIONS(1761),
    [anon_sym_PLUS_PLUS] = ACTIONS(1761),
    [anon_sym_DASH_DASH] = ACTIONS(1761),
    [anon_sym_QMARK] = ACTIONS(1761),
    [anon_sym_BSLASH] = ACTIONS(1763),
    [anon_sym_do] = ACTIONS(1761),
    [anon_sym_eval] = ACTIONS(1761),
    [anon_sym_await] = ACTIONS(1761),
    [anon_sym_field] = ACTIONS(1761),
    [anon_sym_local] = ACTIONS(1761),
    [anon_sym_dynamically] = ACTIONS(1761),
    [anon_sym_require] = ACTIONS(1761),
    [anon_sym_map] = ACTIONS(1761),
    [anon_sym_grep] = ACTIONS(1761),
    [anon_sym_sort] = ACTIONS(1761),
    [anon_sym_goto] = ACTIONS(1761),
    [anon_sym_return] = ACTIONS(1761),
    [anon_sym_undef] = ACTIONS(1761),
    [anon_sym_PERCENT2] = ACTIONS(1761),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1761),
    [anon_sym_EQ_GT] = ACTIONS(1761),
    [anon_sym_last] = ACTIONS(1761),
    [anon_sym_next] = ACTIONS(1761),
    [anon_sym_redo] = ACTIONS(1761),
    [anon_sym___FILE__] = ACTIONS(1761),
    [anon_sym___LINE__] = ACTIONS(1761),
    [anon_sym___PACKAGE__] = ACTIONS(1761),
    [anon_sym___SUB__] = ACTIONS(1761),
    [anon_sym_break] = ACTIONS(1761),
    [anon_sym_fork] = ACTIONS(1761),
    [anon_sym_getppid] = ACTIONS(1761),
    [anon_sym_time] = ACTIONS(1761),
    [anon_sym_times] = ACTIONS(1761),
    [anon_sym_wait] = ACTIONS(1761),
    [anon_sym_wantarray] = ACTIONS(1761),
    [anon_sym_abs] = ACTIONS(1761),
    [anon_sym_alarm] = ACTIONS(1761),
    [anon_sym_chop] = ACTIONS(1761),
    [anon_sym_chdir] = ACTIONS(1761),
    [anon_sym_close] = ACTIONS(1761),
    [anon_sym_closedir] = ACTIONS(1761),
    [anon_sym_caller] = ACTIONS(1761),
    [anon_sym_chomp] = ACTIONS(1761),
    [anon_sym_chr] = ACTIONS(1761),
    [anon_sym_cos] = ACTIONS(1761),
    [anon_sym_chroot] = ACTIONS(1761),
    [anon_sym_defined] = ACTIONS(1761),
    [anon_sym_delete] = ACTIONS(1761),
    [anon_sym_dbmclose] = ACTIONS(1761),
    [anon_sym_exists] = ACTIONS(1761),
    [anon_sym_exit] = ACTIONS(1761),
    [anon_sym_eof] = ACTIONS(1761),
    [anon_sym_exp] = ACTIONS(1761),
    [anon_sym_each] = ACTIONS(1761),
    [anon_sym_fc] = ACTIONS(1761),
    [anon_sym_fileno] = ACTIONS(1761),
    [anon_sym_gmtime] = ACTIONS(1761),
    [anon_sym_getc] = ACTIONS(1761),
    [anon_sym_getpgrp] = ACTIONS(1761),
    [anon_sym_getprotobyname] = ACTIONS(1761),
    [anon_sym_getpwname] = ACTIONS(1761),
    [anon_sym_getpwuid] = ACTIONS(1761),
    [anon_sym_getpeername] = ACTIONS(1761),
    [anon_sym_getnetbyname] = ACTIONS(1761),
    [anon_sym_getsockname] = ACTIONS(1761),
    [anon_sym_getgrnam] = ACTIONS(1761),
    [anon_sym_getgrgid] = ACTIONS(1761),
    [anon_sym_hex] = ACTIONS(1761),
    [anon_sym_int] = ACTIONS(1761),
    [anon_sym_keys] = ACTIONS(1761),
    [anon_sym_lc] = ACTIONS(1761),
    [anon_sym_lcfirst] = ACTIONS(1761),
    [anon_sym_length] = ACTIONS(1761),
    [anon_sym_localtime] = ACTIONS(1761),
    [anon_sym_log] = ACTIONS(1761),
    [anon_sym_lock] = ACTIONS(1761),
    [anon_sym_lstat] = ACTIONS(1761),
    [anon_sym_oct] = ACTIONS(1761),
    [anon_sym_ord] = ACTIONS(1761),
    [anon_sym_prototype] = ACTIONS(1761),
    [anon_sym_pop] = ACTIONS(1761),
    [anon_sym_pos] = ACTIONS(1761),
    [anon_sym_quotemeta] = ACTIONS(1761),
    [anon_sym_reset] = ACTIONS(1761),
    [anon_sym_rand] = ACTIONS(1761),
    [anon_sym_rmdir] = ACTIONS(1761),
    [anon_sym_readdir] = ACTIONS(1761),
    [anon_sym_readline] = ACTIONS(1761),
    [anon_sym_readpipe] = ACTIONS(1761),
    [anon_sym_rewinddir] = ACTIONS(1761),
    [anon_sym_readlink] = ACTIONS(1761),
    [anon_sym_ref] = ACTIONS(1761),
    [anon_sym_scalar] = ACTIONS(1761),
    [anon_sym_shift] = ACTIONS(1761),
    [anon_sym_sin] = ACTIONS(1761),
    [anon_sym_sleep] = ACTIONS(1761),
    [anon_sym_sqrt] = ACTIONS(1761),
    [anon_sym_srand] = ACTIONS(1761),
    [anon_sym_stat] = ACTIONS(1761),
    [anon_sym_study] = ACTIONS(1761),
    [anon_sym_tell] = ACTIONS(1761),
    [anon_sym_telldir] = ACTIONS(1761),
    [anon_sym_tied] = ACTIONS(1761),
    [anon_sym_uc] = ACTIONS(1761),
    [anon_sym_ucfirst] = ACTIONS(1761),
    [anon_sym_untie] = ACTIONS(1761),
    [anon_sym_umask] = ACTIONS(1761),
    [anon_sym_values] = ACTIONS(1761),
    [anon_sym_write] = ACTIONS(1761),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1761),
    [anon_sym___END__] = ACTIONS(1761),
    [anon_sym_EOT] = ACTIONS(1761),
    [anon_sym_q] = ACTIONS(1761),
    [anon_sym_qq] = ACTIONS(1761),
    [anon_sym_qw] = ACTIONS(1761),
    [anon_sym_qx] = ACTIONS(1761),
    [anon_sym_qr] = ACTIONS(1761),
    [anon_sym_m] = ACTIONS(1761),
    [anon_sym_s] = ACTIONS(1761),
    [anon_sym_tr] = ACTIONS(1761),
    [anon_sym_y] = ACTIONS(1761),
    [aux_sym__bareword_token1] = ACTIONS(1761),
    [sym_number] = ACTIONS(1761),
    [anon_sym_true] = ACTIONS(1761),
    [anon_sym_false] = ACTIONS(1761),
    [sym__single_quote] = ACTIONS(1763),
    [sym__double_quote] = ACTIONS(1763),
    [sym__backtick_quote] = ACTIONS(1763),
    [sym__search_slash_quote] = ACTIONS(1763),
    [sym__no_search_slash_plz] = ACTIONS(1763),
    [sym__PERLY_SEMICOLON] = ACTIONS(1763),
    [sym__PERLY_HEREDOC] = ACTIONS(1763),
    [sym__ctrl_z_hack] = ACTIONS(1763),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1763),
    [sym__filetest] = ACTIONS(1763),
  },
  [722] = {
    [sym_heredoc_content] = STATE(722),
    [sym__identifier] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1755),
    [anon_sym_DOLLAR] = ACTIONS(1755),
    [anon_sym_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1755),
    [anon_sym_AT] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_my] = ACTIONS(1755),
    [anon_sym_extended] = ACTIONS(1755),
    [anon_sym_async] = ACTIONS(1755),
    [anon_sym_sub] = ACTIONS(1755),
    [anon_sym_method] = ACTIONS(1755),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_continue] = ACTIONS(1755),
    [anon_sym_state] = ACTIONS(1755),
    [anon_sym_our] = ACTIONS(1755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1755),
    [anon_sym_and] = ACTIONS(1755),
    [anon_sym_or] = ACTIONS(1755),
    [anon_sym_xor] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1757),
    [anon_sym_DASH_GT] = ACTIONS(1755),
    [anon_sym_PERCENT] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1755),
    [anon_sym_PLUS_EQ] = ACTIONS(1755),
    [anon_sym_DASH_EQ] = ACTIONS(1755),
    [anon_sym_DOT_EQ] = ACTIONS(1755),
    [anon_sym_STAR_EQ] = ACTIONS(1755),
    [anon_sym_SLASH_EQ] = ACTIONS(1755),
    [anon_sym_PERCENT_EQ] = ACTIONS(1755),
    [anon_sym_x_EQ] = ACTIONS(1755),
    [anon_sym_AMP_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_CARET_EQ] = ACTIONS(1755),
    [anon_sym_LT_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_GT_EQ] = ACTIONS(1755),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1755),
    [anon_sym_DOT_DOT] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH] = ACTIONS(1755),
    [anon_sym_CARET_CARET] = ACTIONS(1755),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_GT_GT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1755),
    [anon_sym_x] = ACTIONS(1755),
    [anon_sym_EQ_TILDE] = ACTIONS(1755),
    [anon_sym_BANG_TILDE] = ACTIONS(1755),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_eq] = ACTIONS(1755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1755),
    [anon_sym_equ] = ACTIONS(1755),
    [anon_sym_eqr] = ACTIONS(1755),
    [anon_sym_ne] = ACTIONS(1755),
    [anon_sym_LT_EQ_GT] = ACTIONS(1755),
    [anon_sym_cmp] = ACTIONS(1755),
    [anon_sym_TILDE_TILDE] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_lt] = ACTIONS(1755),
    [anon_sym_le] = ACTIONS(1755),
    [anon_sym_ge] = ACTIONS(1755),
    [anon_sym_gt] = ACTIONS(1755),
    [anon_sym_isa] = ACTIONS(1755),
    [anon_sym_TILDE] = ACTIONS(1755),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_PLUS_PLUS] = ACTIONS(1755),
    [anon_sym_DASH_DASH] = ACTIONS(1755),
    [anon_sym_QMARK] = ACTIONS(1755),
    [anon_sym_BSLASH] = ACTIONS(1759),
    [anon_sym_do] = ACTIONS(1755),
    [anon_sym_eval] = ACTIONS(1755),
    [anon_sym_await] = ACTIONS(1755),
    [anon_sym_field] = ACTIONS(1755),
    [anon_sym_local] = ACTIONS(1755),
    [anon_sym_dynamically] = ACTIONS(1755),
    [anon_sym_require] = ACTIONS(1755),
    [anon_sym_map] = ACTIONS(1755),
    [anon_sym_grep] = ACTIONS(1755),
    [anon_sym_sort] = ACTIONS(1755),
    [anon_sym_goto] = ACTIONS(1755),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_undef] = ACTIONS(1755),
    [anon_sym_PERCENT2] = ACTIONS(1755),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(1755),
    [anon_sym_last] = ACTIONS(1755),
    [anon_sym_next] = ACTIONS(1755),
    [anon_sym_redo] = ACTIONS(1755),
    [anon_sym___FILE__] = ACTIONS(1755),
    [anon_sym___LINE__] = ACTIONS(1755),
    [anon_sym___PACKAGE__] = ACTIONS(1755),
    [anon_sym___SUB__] = ACTIONS(1755),
    [anon_sym_break] = ACTIONS(1755),
    [anon_sym_fork] = ACTIONS(1755),
    [anon_sym_getppid] = ACTIONS(1755),
    [anon_sym_time] = ACTIONS(1755),
    [anon_sym_times] = ACTIONS(1755),
    [anon_sym_wait] = ACTIONS(1755),
    [anon_sym_wantarray] = ACTIONS(1755),
    [anon_sym_abs] = ACTIONS(1755),
    [anon_sym_alarm] = ACTIONS(1755),
    [anon_sym_chop] = ACTIONS(1755),
    [anon_sym_chdir] = ACTIONS(1755),
    [anon_sym_close] = ACTIONS(1755),
    [anon_sym_closedir] = ACTIONS(1755),
    [anon_sym_caller] = ACTIONS(1755),
    [anon_sym_chomp] = ACTIONS(1755),
    [anon_sym_chr] = ACTIONS(1755),
    [anon_sym_cos] = ACTIONS(1755),
    [anon_sym_chroot] = ACTIONS(1755),
    [anon_sym_defined] = ACTIONS(1755),
    [anon_sym_delete] = ACTIONS(1755),
    [anon_sym_dbmclose] = ACTIONS(1755),
    [anon_sym_exists] = ACTIONS(1755),
    [anon_sym_exit] = ACTIONS(1755),
    [anon_sym_eof] = ACTIONS(1755),
    [anon_sym_exp] = ACTIONS(1755),
    [anon_sym_each] = ACTIONS(1755),
    [anon_sym_fc] = ACTIONS(1755),
    [anon_sym_fileno] = ACTIONS(1755),
    [anon_sym_gmtime] = ACTIONS(1755),
    [anon_sym_getc] = ACTIONS(1755),
    [anon_sym_getpgrp] = ACTIONS(1755),
    [anon_sym_getprotobyname] = ACTIONS(1755),
    [anon_sym_getpwname] = ACTIONS(1755),
    [anon_sym_getpwuid] = ACTIONS(1755),
    [anon_sym_getpeername] = ACTIONS(1755),
    [anon_sym_getnetbyname] = ACTIONS(1755),
    [anon_sym_getsockname] = ACTIONS(1755),
    [anon_sym_getgrnam] = ACTIONS(1755),
    [anon_sym_getgrgid] = ACTIONS(1755),
    [anon_sym_hex] = ACTIONS(1755),
    [anon_sym_int] = ACTIONS(1755),
    [anon_sym_keys] = ACTIONS(1755),
    [anon_sym_lc] = ACTIONS(1755),
    [anon_sym_lcfirst] = ACTIONS(1755),
    [anon_sym_length] = ACTIONS(1755),
    [anon_sym_localtime] = ACTIONS(1755),
    [anon_sym_log] = ACTIONS(1755),
    [anon_sym_lock] = ACTIONS(1755),
    [anon_sym_lstat] = ACTIONS(1755),
    [anon_sym_oct] = ACTIONS(1755),
    [anon_sym_ord] = ACTIONS(1755),
    [anon_sym_prototype] = ACTIONS(1755),
    [anon_sym_pop] = ACTIONS(1755),
    [anon_sym_pos] = ACTIONS(1755),
    [anon_sym_quotemeta] = ACTIONS(1755),
    [anon_sym_reset] = ACTIONS(1755),
    [anon_sym_rand] = ACTIONS(1755),
    [anon_sym_rmdir] = ACTIONS(1755),
    [anon_sym_readdir] = ACTIONS(1755),
    [anon_sym_readline] = ACTIONS(1755),
    [anon_sym_readpipe] = ACTIONS(1755),
    [anon_sym_rewinddir] = ACTIONS(1755),
    [anon_sym_readlink] = ACTIONS(1755),
    [anon_sym_ref] = ACTIONS(1755),
    [anon_sym_scalar] = ACTIONS(1755),
    [anon_sym_shift] = ACTIONS(1755),
    [anon_sym_sin] = ACTIONS(1755),
    [anon_sym_sleep] = ACTIONS(1755),
    [anon_sym_sqrt] = ACTIONS(1755),
    [anon_sym_srand] = ACTIONS(1755),
    [anon_sym_stat] = ACTIONS(1755),
    [anon_sym_study] = ACTIONS(1755),
    [anon_sym_tell] = ACTIONS(1755),
    [anon_sym_telldir] = ACTIONS(1755),
    [anon_sym_tied] = ACTIONS(1755),
    [anon_sym_uc] = ACTIONS(1755),
    [anon_sym_ucfirst] = ACTIONS(1755),
    [anon_sym_untie] = ACTIONS(1755),
    [anon_sym_umask] = ACTIONS(1755),
    [anon_sym_values] = ACTIONS(1755),
    [anon_sym_write] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1755),
    [anon_sym___END__] = ACTIONS(1755),
    [anon_sym_EOT] = ACTIONS(1755),
    [anon_sym_q] = ACTIONS(1755),
    [anon_sym_qq] = ACTIONS(1755),
    [anon_sym_qw] = ACTIONS(1755),
    [anon_sym_qx] = ACTIONS(1755),
    [anon_sym_qr] = ACTIONS(1755),
    [anon_sym_m] = ACTIONS(1755),
    [anon_sym_s] = ACTIONS(1755),
    [anon_sym_tr] = ACTIONS(1755),
    [anon_sym_y] = ACTIONS(1755),
    [aux_sym__bareword_token1] = ACTIONS(1755),
    [sym_number] = ACTIONS(1755),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [sym__single_quote] = ACTIONS(1759),
    [sym__double_quote] = ACTIONS(1759),
    [sym__backtick_quote] = ACTIONS(1759),
    [sym__search_slash_quote] = ACTIONS(1759),
    [sym__no_search_slash_plz] = ACTIONS(1759),
    [sym__PERLY_SEMICOLON] = ACTIONS(1759),
    [sym__PERLY_HEREDOC] = ACTIONS(1759),
    [sym__ctrl_z_hack] = ACTIONS(1759),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1759),
    [sym__filetest] = ACTIONS(1759),
  },
  [723] = {
    [sym_heredoc_content] = STATE(723),
    [sym__identifier] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1785),
    [anon_sym_SEMI] = ACTIONS(1787),
    [anon_sym_DOLLAR] = ACTIONS(1785),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1787),
    [anon_sym_AT] = ACTIONS(1785),
    [anon_sym_COMMA] = ACTIONS(1787),
    [anon_sym_my] = ACTIONS(1785),
    [anon_sym_extended] = ACTIONS(1785),
    [anon_sym_async] = ACTIONS(1785),
    [anon_sym_sub] = ACTIONS(1785),
    [anon_sym_method] = ACTIONS(1785),
    [anon_sym_LPAREN] = ACTIONS(1785),
    [anon_sym_continue] = ACTIONS(1785),
    [anon_sym_state] = ACTIONS(1785),
    [anon_sym_our] = ACTIONS(1785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1787),
    [anon_sym_and] = ACTIONS(1787),
    [anon_sym_or] = ACTIONS(1787),
    [anon_sym_xor] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1785),
    [anon_sym_DASH_GT] = ACTIONS(1787),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1789),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1787),
    [anon_sym_PLUS_EQ] = ACTIONS(1787),
    [anon_sym_DASH_EQ] = ACTIONS(1787),
    [anon_sym_DOT_EQ] = ACTIONS(1787),
    [anon_sym_STAR_EQ] = ACTIONS(1787),
    [anon_sym_SLASH_EQ] = ACTIONS(1787),
    [anon_sym_PERCENT_EQ] = ACTIONS(1787),
    [anon_sym_x_EQ] = ACTIONS(1787),
    [anon_sym_AMP_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_EQ] = ACTIONS(1787),
    [anon_sym_CARET_EQ] = ACTIONS(1787),
    [anon_sym_LT_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_GT_EQ] = ACTIONS(1787),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1787),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1789),
    [anon_sym_CARET_CARET] = ACTIONS(1787),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1789),
    [anon_sym_DASH] = ACTIONS(1789),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1787),
    [anon_sym_BANG_TILDE] = ACTIONS(1787),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1787),
    [anon_sym_equ] = ACTIONS(1787),
    [anon_sym_eqr] = ACTIONS(1787),
    [anon_sym_ne] = ACTIONS(1787),
    [anon_sym_LT_EQ_GT] = ACTIONS(1787),
    [anon_sym_cmp] = ACTIONS(1787),
    [anon_sym_TILDE_TILDE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1787),
    [anon_sym_lt] = ACTIONS(1787),
    [anon_sym_le] = ACTIONS(1787),
    [anon_sym_ge] = ACTIONS(1787),
    [anon_sym_gt] = ACTIONS(1787),
    [anon_sym_isa] = ACTIONS(1787),
    [anon_sym_TILDE] = ACTIONS(1785),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_QMARK] = ACTIONS(1787),
    [anon_sym_BSLASH] = ACTIONS(1792),
    [anon_sym_do] = ACTIONS(1785),
    [anon_sym_eval] = ACTIONS(1785),
    [anon_sym_await] = ACTIONS(1785),
    [anon_sym_field] = ACTIONS(1785),
    [anon_sym_local] = ACTIONS(1785),
    [anon_sym_dynamically] = ACTIONS(1785),
    [anon_sym_require] = ACTIONS(1785),
    [anon_sym_map] = ACTIONS(1785),
    [anon_sym_grep] = ACTIONS(1785),
    [anon_sym_sort] = ACTIONS(1785),
    [anon_sym_goto] = ACTIONS(1785),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_undef] = ACTIONS(1785),
    [anon_sym_PERCENT2] = ACTIONS(1785),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1785),
    [anon_sym_EQ_GT] = ACTIONS(1787),
    [anon_sym_last] = ACTIONS(1785),
    [anon_sym_next] = ACTIONS(1785),
    [anon_sym_redo] = ACTIONS(1785),
    [anon_sym___FILE__] = ACTIONS(1785),
    [anon_sym___LINE__] = ACTIONS(1785),
    [anon_sym___PACKAGE__] = ACTIONS(1785),
    [anon_sym___SUB__] = ACTIONS(1785),
    [anon_sym_break] = ACTIONS(1785),
    [anon_sym_fork] = ACTIONS(1785),
    [anon_sym_getppid] = ACTIONS(1785),
    [anon_sym_time] = ACTIONS(1785),
    [anon_sym_times] = ACTIONS(1785),
    [anon_sym_wait] = ACTIONS(1785),
    [anon_sym_wantarray] = ACTIONS(1785),
    [anon_sym_abs] = ACTIONS(1785),
    [anon_sym_alarm] = ACTIONS(1785),
    [anon_sym_chop] = ACTIONS(1785),
    [anon_sym_chdir] = ACTIONS(1785),
    [anon_sym_close] = ACTIONS(1785),
    [anon_sym_closedir] = ACTIONS(1785),
    [anon_sym_caller] = ACTIONS(1785),
    [anon_sym_chomp] = ACTIONS(1785),
    [anon_sym_chr] = ACTIONS(1785),
    [anon_sym_cos] = ACTIONS(1785),
    [anon_sym_chroot] = ACTIONS(1785),
    [anon_sym_defined] = ACTIONS(1785),
    [anon_sym_delete] = ACTIONS(1785),
    [anon_sym_dbmclose] = ACTIONS(1785),
    [anon_sym_exists] = ACTIONS(1785),
    [anon_sym_exit] = ACTIONS(1785),
    [anon_sym_eof] = ACTIONS(1785),
    [anon_sym_exp] = ACTIONS(1785),
    [anon_sym_each] = ACTIONS(1785),
    [anon_sym_fc] = ACTIONS(1785),
    [anon_sym_fileno] = ACTIONS(1785),
    [anon_sym_gmtime] = ACTIONS(1785),
    [anon_sym_getc] = ACTIONS(1785),
    [anon_sym_getpgrp] = ACTIONS(1785),
    [anon_sym_getprotobyname] = ACTIONS(1785),
    [anon_sym_getpwname] = ACTIONS(1785),
    [anon_sym_getpwuid] = ACTIONS(1785),
    [anon_sym_getpeername] = ACTIONS(1785),
    [anon_sym_getnetbyname] = ACTIONS(1785),
    [anon_sym_getsockname] = ACTIONS(1785),
    [anon_sym_getgrnam] = ACTIONS(1785),
    [anon_sym_getgrgid] = ACTIONS(1785),
    [anon_sym_hex] = ACTIONS(1785),
    [anon_sym_int] = ACTIONS(1785),
    [anon_sym_keys] = ACTIONS(1785),
    [anon_sym_lc] = ACTIONS(1785),
    [anon_sym_lcfirst] = ACTIONS(1785),
    [anon_sym_length] = ACTIONS(1785),
    [anon_sym_localtime] = ACTIONS(1785),
    [anon_sym_log] = ACTIONS(1785),
    [anon_sym_lock] = ACTIONS(1785),
    [anon_sym_lstat] = ACTIONS(1785),
    [anon_sym_oct] = ACTIONS(1785),
    [anon_sym_ord] = ACTIONS(1785),
    [anon_sym_prototype] = ACTIONS(1785),
    [anon_sym_pop] = ACTIONS(1785),
    [anon_sym_pos] = ACTIONS(1785),
    [anon_sym_quotemeta] = ACTIONS(1785),
    [anon_sym_reset] = ACTIONS(1785),
    [anon_sym_rand] = ACTIONS(1785),
    [anon_sym_rmdir] = ACTIONS(1785),
    [anon_sym_readdir] = ACTIONS(1785),
    [anon_sym_readline] = ACTIONS(1785),
    [anon_sym_readpipe] = ACTIONS(1785),
    [anon_sym_rewinddir] = ACTIONS(1785),
    [anon_sym_readlink] = ACTIONS(1785),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_scalar] = ACTIONS(1785),
    [anon_sym_shift] = ACTIONS(1785),
    [anon_sym_sin] = ACTIONS(1785),
    [anon_sym_sleep] = ACTIONS(1785),
    [anon_sym_sqrt] = ACTIONS(1785),
    [anon_sym_srand] = ACTIONS(1785),
    [anon_sym_stat] = ACTIONS(1785),
    [anon_sym_study] = ACTIONS(1785),
    [anon_sym_tell] = ACTIONS(1785),
    [anon_sym_telldir] = ACTIONS(1785),
    [anon_sym_tied] = ACTIONS(1785),
    [anon_sym_uc] = ACTIONS(1785),
    [anon_sym_ucfirst] = ACTIONS(1785),
    [anon_sym_untie] = ACTIONS(1785),
    [anon_sym_umask] = ACTIONS(1785),
    [anon_sym_values] = ACTIONS(1785),
    [anon_sym_write] = ACTIONS(1785),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1787),
    [anon_sym___END__] = ACTIONS(1787),
    [anon_sym_EOT] = ACTIONS(1787),
    [anon_sym_q] = ACTIONS(1785),
    [anon_sym_qq] = ACTIONS(1785),
    [anon_sym_qw] = ACTIONS(1785),
    [anon_sym_qx] = ACTIONS(1785),
    [anon_sym_qr] = ACTIONS(1785),
    [anon_sym_m] = ACTIONS(1785),
    [anon_sym_s] = ACTIONS(1785),
    [anon_sym_tr] = ACTIONS(1785),
    [anon_sym_y] = ACTIONS(1785),
    [aux_sym__bareword_token1] = ACTIONS(1785),
    [sym_number] = ACTIONS(1785),
    [anon_sym_true] = ACTIONS(1785),
    [anon_sym_false] = ACTIONS(1785),
    [sym__single_quote] = ACTIONS(1792),
    [sym__double_quote] = ACTIONS(1792),
    [sym__backtick_quote] = ACTIONS(1792),
    [sym__search_slash_quote] = ACTIONS(1792),
    [sym__no_search_slash_plz] = ACTIONS(1794),
    [sym__PERLY_SEMICOLON] = ACTIONS(1796),
    [sym__PERLY_HEREDOC] = ACTIONS(1792),
    [sym__ctrl_z_hack] = ACTIONS(1796),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1792),
    [sym__filetest] = ACTIONS(1792),
  },
  [724] = {
    [sym_heredoc_content] = STATE(724),
    [sym__identifier] = ACTIONS(1773),
    [anon_sym_LBRACE] = ACTIONS(1773),
    [anon_sym_SEMI] = ACTIONS(1773),
    [anon_sym_DOLLAR] = ACTIONS(1773),
    [anon_sym_EQ] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1773),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1773),
    [anon_sym_AT] = ACTIONS(1773),
    [anon_sym_COMMA] = ACTIONS(1773),
    [anon_sym_my] = ACTIONS(1773),
    [anon_sym_extended] = ACTIONS(1773),
    [anon_sym_async] = ACTIONS(1773),
    [anon_sym_sub] = ACTIONS(1773),
    [anon_sym_method] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(1773),
    [anon_sym_continue] = ACTIONS(1773),
    [anon_sym_state] = ACTIONS(1773),
    [anon_sym_our] = ACTIONS(1773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1773),
    [anon_sym_and] = ACTIONS(1773),
    [anon_sym_or] = ACTIONS(1773),
    [anon_sym_xor] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(1773),
    [anon_sym_DASH_GT] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [anon_sym_LT] = ACTIONS(1773),
    [anon_sym_GT] = ACTIONS(1773),
    [anon_sym_LT_LT] = ACTIONS(1773),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1773),
    [anon_sym_PLUS_EQ] = ACTIONS(1773),
    [anon_sym_DASH_EQ] = ACTIONS(1773),
    [anon_sym_DOT_EQ] = ACTIONS(1773),
    [anon_sym_STAR_EQ] = ACTIONS(1773),
    [anon_sym_SLASH_EQ] = ACTIONS(1773),
    [anon_sym_PERCENT_EQ] = ACTIONS(1773),
    [anon_sym_x_EQ] = ACTIONS(1773),
    [anon_sym_AMP_EQ] = ACTIONS(1773),
    [anon_sym_PIPE_EQ] = ACTIONS(1773),
    [anon_sym_CARET_EQ] = ACTIONS(1773),
    [anon_sym_LT_LT_EQ] = ACTIONS(1773),
    [anon_sym_GT_GT_EQ] = ACTIONS(1773),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1773),
    [anon_sym_DOT_DOT] = ACTIONS(1773),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE] = ACTIONS(1773),
    [anon_sym_SLASH_SLASH] = ACTIONS(1773),
    [anon_sym_CARET_CARET] = ACTIONS(1773),
    [anon_sym_AMP_AMP] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1773),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_GT_GT2] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_DOT] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_x] = ACTIONS(1773),
    [anon_sym_EQ_TILDE] = ACTIONS(1773),
    [anon_sym_BANG_TILDE] = ACTIONS(1773),
    [anon_sym_EQ_EQ] = ACTIONS(1773),
    [anon_sym_BANG_EQ] = ACTIONS(1773),
    [anon_sym_eq] = ACTIONS(1773),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1773),
    [anon_sym_equ] = ACTIONS(1773),
    [anon_sym_eqr] = ACTIONS(1773),
    [anon_sym_ne] = ACTIONS(1773),
    [anon_sym_LT_EQ_GT] = ACTIONS(1773),
    [anon_sym_cmp] = ACTIONS(1773),
    [anon_sym_TILDE_TILDE] = ACTIONS(1773),
    [anon_sym_LT_EQ] = ACTIONS(1773),
    [anon_sym_GT_EQ] = ACTIONS(1773),
    [anon_sym_lt] = ACTIONS(1773),
    [anon_sym_le] = ACTIONS(1773),
    [anon_sym_ge] = ACTIONS(1773),
    [anon_sym_gt] = ACTIONS(1773),
    [anon_sym_isa] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_QMARK] = ACTIONS(1773),
    [anon_sym_BSLASH] = ACTIONS(1775),
    [anon_sym_do] = ACTIONS(1773),
    [anon_sym_eval] = ACTIONS(1773),
    [anon_sym_await] = ACTIONS(1773),
    [anon_sym_field] = ACTIONS(1773),
    [anon_sym_local] = ACTIONS(1773),
    [anon_sym_dynamically] = ACTIONS(1773),
    [anon_sym_require] = ACTIONS(1773),
    [anon_sym_map] = ACTIONS(1773),
    [anon_sym_grep] = ACTIONS(1773),
    [anon_sym_sort] = ACTIONS(1773),
    [anon_sym_goto] = ACTIONS(1773),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_undef] = ACTIONS(1773),
    [anon_sym_PERCENT2] = ACTIONS(1773),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1773),
    [anon_sym_EQ_GT] = ACTIONS(1773),
    [anon_sym_last] = ACTIONS(1773),
    [anon_sym_next] = ACTIONS(1773),
    [anon_sym_redo] = ACTIONS(1773),
    [anon_sym___FILE__] = ACTIONS(1773),
    [anon_sym___LINE__] = ACTIONS(1773),
    [anon_sym___PACKAGE__] = ACTIONS(1773),
    [anon_sym___SUB__] = ACTIONS(1773),
    [anon_sym_break] = ACTIONS(1773),
    [anon_sym_fork] = ACTIONS(1773),
    [anon_sym_getppid] = ACTIONS(1773),
    [anon_sym_time] = ACTIONS(1773),
    [anon_sym_times] = ACTIONS(1773),
    [anon_sym_wait] = ACTIONS(1773),
    [anon_sym_wantarray] = ACTIONS(1773),
    [anon_sym_abs] = ACTIONS(1773),
    [anon_sym_alarm] = ACTIONS(1773),
    [anon_sym_chop] = ACTIONS(1773),
    [anon_sym_chdir] = ACTIONS(1773),
    [anon_sym_close] = ACTIONS(1773),
    [anon_sym_closedir] = ACTIONS(1773),
    [anon_sym_caller] = ACTIONS(1773),
    [anon_sym_chomp] = ACTIONS(1773),
    [anon_sym_chr] = ACTIONS(1773),
    [anon_sym_cos] = ACTIONS(1773),
    [anon_sym_chroot] = ACTIONS(1773),
    [anon_sym_defined] = ACTIONS(1773),
    [anon_sym_delete] = ACTIONS(1773),
    [anon_sym_dbmclose] = ACTIONS(1773),
    [anon_sym_exists] = ACTIONS(1773),
    [anon_sym_exit] = ACTIONS(1773),
    [anon_sym_eof] = ACTIONS(1773),
    [anon_sym_exp] = ACTIONS(1773),
    [anon_sym_each] = ACTIONS(1773),
    [anon_sym_fc] = ACTIONS(1773),
    [anon_sym_fileno] = ACTIONS(1773),
    [anon_sym_gmtime] = ACTIONS(1773),
    [anon_sym_getc] = ACTIONS(1773),
    [anon_sym_getpgrp] = ACTIONS(1773),
    [anon_sym_getprotobyname] = ACTIONS(1773),
    [anon_sym_getpwname] = ACTIONS(1773),
    [anon_sym_getpwuid] = ACTIONS(1773),
    [anon_sym_getpeername] = ACTIONS(1773),
    [anon_sym_getnetbyname] = ACTIONS(1773),
    [anon_sym_getsockname] = ACTIONS(1773),
    [anon_sym_getgrnam] = ACTIONS(1773),
    [anon_sym_getgrgid] = ACTIONS(1773),
    [anon_sym_hex] = ACTIONS(1773),
    [anon_sym_int] = ACTIONS(1773),
    [anon_sym_keys] = ACTIONS(1773),
    [anon_sym_lc] = ACTIONS(1773),
    [anon_sym_lcfirst] = ACTIONS(1773),
    [anon_sym_length] = ACTIONS(1773),
    [anon_sym_localtime] = ACTIONS(1773),
    [anon_sym_log] = ACTIONS(1773),
    [anon_sym_lock] = ACTIONS(1773),
    [anon_sym_lstat] = ACTIONS(1773),
    [anon_sym_oct] = ACTIONS(1773),
    [anon_sym_ord] = ACTIONS(1773),
    [anon_sym_prototype] = ACTIONS(1773),
    [anon_sym_pop] = ACTIONS(1773),
    [anon_sym_pos] = ACTIONS(1773),
    [anon_sym_quotemeta] = ACTIONS(1773),
    [anon_sym_reset] = ACTIONS(1773),
    [anon_sym_rand] = ACTIONS(1773),
    [anon_sym_rmdir] = ACTIONS(1773),
    [anon_sym_readdir] = ACTIONS(1773),
    [anon_sym_readline] = ACTIONS(1773),
    [anon_sym_readpipe] = ACTIONS(1773),
    [anon_sym_rewinddir] = ACTIONS(1773),
    [anon_sym_readlink] = ACTIONS(1773),
    [anon_sym_ref] = ACTIONS(1773),
    [anon_sym_scalar] = ACTIONS(1773),
    [anon_sym_shift] = ACTIONS(1773),
    [anon_sym_sin] = ACTIONS(1773),
    [anon_sym_sleep] = ACTIONS(1773),
    [anon_sym_sqrt] = ACTIONS(1773),
    [anon_sym_srand] = ACTIONS(1773),
    [anon_sym_stat] = ACTIONS(1773),
    [anon_sym_study] = ACTIONS(1773),
    [anon_sym_tell] = ACTIONS(1773),
    [anon_sym_telldir] = ACTIONS(1773),
    [anon_sym_tied] = ACTIONS(1773),
    [anon_sym_uc] = ACTIONS(1773),
    [anon_sym_ucfirst] = ACTIONS(1773),
    [anon_sym_untie] = ACTIONS(1773),
    [anon_sym_umask] = ACTIONS(1773),
    [anon_sym_values] = ACTIONS(1773),
    [anon_sym_write] = ACTIONS(1773),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1773),
    [anon_sym___END__] = ACTIONS(1773),
    [anon_sym_EOT] = ACTIONS(1773),
    [anon_sym_q] = ACTIONS(1773),
    [anon_sym_qq] = ACTIONS(1773),
    [anon_sym_qw] = ACTIONS(1773),
    [anon_sym_qx] = ACTIONS(1773),
    [anon_sym_qr] = ACTIONS(1773),
    [anon_sym_m] = ACTIONS(1773),
    [anon_sym_s] = ACTIONS(1773),
    [anon_sym_tr] = ACTIONS(1773),
    [anon_sym_y] = ACTIONS(1773),
    [aux_sym__bareword_token1] = ACTIONS(1773),
    [sym_number] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(1773),
    [anon_sym_false] = ACTIONS(1773),
    [sym__single_quote] = ACTIONS(1775),
    [sym__double_quote] = ACTIONS(1775),
    [sym__backtick_quote] = ACTIONS(1775),
    [sym__search_slash_quote] = ACTIONS(1775),
    [sym__no_search_slash_plz] = ACTIONS(1775),
    [sym__PERLY_SEMICOLON] = ACTIONS(1775),
    [sym__PERLY_HEREDOC] = ACTIONS(1775),
    [sym__ctrl_z_hack] = ACTIONS(1775),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1775),
    [sym__filetest] = ACTIONS(1775),
  },
  [725] = {
    [sym_heredoc_content] = STATE(725),
    [sym__identifier] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1755),
    [anon_sym_SEMI] = ACTIONS(1755),
    [anon_sym_DOLLAR] = ACTIONS(1755),
    [anon_sym_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1755),
    [anon_sym_AT] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_my] = ACTIONS(1755),
    [anon_sym_extended] = ACTIONS(1755),
    [anon_sym_async] = ACTIONS(1755),
    [anon_sym_sub] = ACTIONS(1755),
    [anon_sym_method] = ACTIONS(1755),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_continue] = ACTIONS(1755),
    [anon_sym_state] = ACTIONS(1755),
    [anon_sym_our] = ACTIONS(1755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1755),
    [anon_sym_and] = ACTIONS(1755),
    [anon_sym_or] = ACTIONS(1755),
    [anon_sym_xor] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_DASH_GT] = ACTIONS(1755),
    [anon_sym_PERCENT] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1755),
    [anon_sym_PLUS_EQ] = ACTIONS(1755),
    [anon_sym_DASH_EQ] = ACTIONS(1755),
    [anon_sym_DOT_EQ] = ACTIONS(1755),
    [anon_sym_STAR_EQ] = ACTIONS(1755),
    [anon_sym_SLASH_EQ] = ACTIONS(1755),
    [anon_sym_PERCENT_EQ] = ACTIONS(1755),
    [anon_sym_x_EQ] = ACTIONS(1755),
    [anon_sym_AMP_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_CARET_EQ] = ACTIONS(1755),
    [anon_sym_LT_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_GT_EQ] = ACTIONS(1755),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1755),
    [anon_sym_DOT_DOT] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH] = ACTIONS(1755),
    [anon_sym_CARET_CARET] = ACTIONS(1755),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_GT_GT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1755),
    [anon_sym_x] = ACTIONS(1755),
    [anon_sym_EQ_TILDE] = ACTIONS(1755),
    [anon_sym_BANG_TILDE] = ACTIONS(1755),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_eq] = ACTIONS(1755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1755),
    [anon_sym_equ] = ACTIONS(1755),
    [anon_sym_eqr] = ACTIONS(1755),
    [anon_sym_ne] = ACTIONS(1755),
    [anon_sym_LT_EQ_GT] = ACTIONS(1755),
    [anon_sym_cmp] = ACTIONS(1755),
    [anon_sym_TILDE_TILDE] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_lt] = ACTIONS(1755),
    [anon_sym_le] = ACTIONS(1755),
    [anon_sym_ge] = ACTIONS(1755),
    [anon_sym_gt] = ACTIONS(1755),
    [anon_sym_isa] = ACTIONS(1755),
    [anon_sym_TILDE] = ACTIONS(1755),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_PLUS_PLUS] = ACTIONS(1755),
    [anon_sym_DASH_DASH] = ACTIONS(1755),
    [anon_sym_QMARK] = ACTIONS(1755),
    [anon_sym_BSLASH] = ACTIONS(1759),
    [anon_sym_do] = ACTIONS(1755),
    [anon_sym_eval] = ACTIONS(1755),
    [anon_sym_await] = ACTIONS(1755),
    [anon_sym_field] = ACTIONS(1755),
    [anon_sym_local] = ACTIONS(1755),
    [anon_sym_dynamically] = ACTIONS(1755),
    [anon_sym_require] = ACTIONS(1755),
    [anon_sym_map] = ACTIONS(1755),
    [anon_sym_grep] = ACTIONS(1755),
    [anon_sym_sort] = ACTIONS(1755),
    [anon_sym_goto] = ACTIONS(1755),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_undef] = ACTIONS(1755),
    [anon_sym_PERCENT2] = ACTIONS(1755),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(1755),
    [anon_sym_last] = ACTIONS(1755),
    [anon_sym_next] = ACTIONS(1755),
    [anon_sym_redo] = ACTIONS(1755),
    [anon_sym___FILE__] = ACTIONS(1755),
    [anon_sym___LINE__] = ACTIONS(1755),
    [anon_sym___PACKAGE__] = ACTIONS(1755),
    [anon_sym___SUB__] = ACTIONS(1755),
    [anon_sym_break] = ACTIONS(1755),
    [anon_sym_fork] = ACTIONS(1755),
    [anon_sym_getppid] = ACTIONS(1755),
    [anon_sym_time] = ACTIONS(1755),
    [anon_sym_times] = ACTIONS(1755),
    [anon_sym_wait] = ACTIONS(1755),
    [anon_sym_wantarray] = ACTIONS(1755),
    [anon_sym_abs] = ACTIONS(1755),
    [anon_sym_alarm] = ACTIONS(1755),
    [anon_sym_chop] = ACTIONS(1755),
    [anon_sym_chdir] = ACTIONS(1755),
    [anon_sym_close] = ACTIONS(1755),
    [anon_sym_closedir] = ACTIONS(1755),
    [anon_sym_caller] = ACTIONS(1755),
    [anon_sym_chomp] = ACTIONS(1755),
    [anon_sym_chr] = ACTIONS(1755),
    [anon_sym_cos] = ACTIONS(1755),
    [anon_sym_chroot] = ACTIONS(1755),
    [anon_sym_defined] = ACTIONS(1755),
    [anon_sym_delete] = ACTIONS(1755),
    [anon_sym_dbmclose] = ACTIONS(1755),
    [anon_sym_exists] = ACTIONS(1755),
    [anon_sym_exit] = ACTIONS(1755),
    [anon_sym_eof] = ACTIONS(1755),
    [anon_sym_exp] = ACTIONS(1755),
    [anon_sym_each] = ACTIONS(1755),
    [anon_sym_fc] = ACTIONS(1755),
    [anon_sym_fileno] = ACTIONS(1755),
    [anon_sym_gmtime] = ACTIONS(1755),
    [anon_sym_getc] = ACTIONS(1755),
    [anon_sym_getpgrp] = ACTIONS(1755),
    [anon_sym_getprotobyname] = ACTIONS(1755),
    [anon_sym_getpwname] = ACTIONS(1755),
    [anon_sym_getpwuid] = ACTIONS(1755),
    [anon_sym_getpeername] = ACTIONS(1755),
    [anon_sym_getnetbyname] = ACTIONS(1755),
    [anon_sym_getsockname] = ACTIONS(1755),
    [anon_sym_getgrnam] = ACTIONS(1755),
    [anon_sym_getgrgid] = ACTIONS(1755),
    [anon_sym_hex] = ACTIONS(1755),
    [anon_sym_int] = ACTIONS(1755),
    [anon_sym_keys] = ACTIONS(1755),
    [anon_sym_lc] = ACTIONS(1755),
    [anon_sym_lcfirst] = ACTIONS(1755),
    [anon_sym_length] = ACTIONS(1755),
    [anon_sym_localtime] = ACTIONS(1755),
    [anon_sym_log] = ACTIONS(1755),
    [anon_sym_lock] = ACTIONS(1755),
    [anon_sym_lstat] = ACTIONS(1755),
    [anon_sym_oct] = ACTIONS(1755),
    [anon_sym_ord] = ACTIONS(1755),
    [anon_sym_prototype] = ACTIONS(1755),
    [anon_sym_pop] = ACTIONS(1755),
    [anon_sym_pos] = ACTIONS(1755),
    [anon_sym_quotemeta] = ACTIONS(1755),
    [anon_sym_reset] = ACTIONS(1755),
    [anon_sym_rand] = ACTIONS(1755),
    [anon_sym_rmdir] = ACTIONS(1755),
    [anon_sym_readdir] = ACTIONS(1755),
    [anon_sym_readline] = ACTIONS(1755),
    [anon_sym_readpipe] = ACTIONS(1755),
    [anon_sym_rewinddir] = ACTIONS(1755),
    [anon_sym_readlink] = ACTIONS(1755),
    [anon_sym_ref] = ACTIONS(1755),
    [anon_sym_scalar] = ACTIONS(1755),
    [anon_sym_shift] = ACTIONS(1755),
    [anon_sym_sin] = ACTIONS(1755),
    [anon_sym_sleep] = ACTIONS(1755),
    [anon_sym_sqrt] = ACTIONS(1755),
    [anon_sym_srand] = ACTIONS(1755),
    [anon_sym_stat] = ACTIONS(1755),
    [anon_sym_study] = ACTIONS(1755),
    [anon_sym_tell] = ACTIONS(1755),
    [anon_sym_telldir] = ACTIONS(1755),
    [anon_sym_tied] = ACTIONS(1755),
    [anon_sym_uc] = ACTIONS(1755),
    [anon_sym_ucfirst] = ACTIONS(1755),
    [anon_sym_untie] = ACTIONS(1755),
    [anon_sym_umask] = ACTIONS(1755),
    [anon_sym_values] = ACTIONS(1755),
    [anon_sym_write] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1755),
    [anon_sym___END__] = ACTIONS(1755),
    [anon_sym_EOT] = ACTIONS(1755),
    [anon_sym_q] = ACTIONS(1755),
    [anon_sym_qq] = ACTIONS(1755),
    [anon_sym_qw] = ACTIONS(1755),
    [anon_sym_qx] = ACTIONS(1755),
    [anon_sym_qr] = ACTIONS(1755),
    [anon_sym_m] = ACTIONS(1755),
    [anon_sym_s] = ACTIONS(1755),
    [anon_sym_tr] = ACTIONS(1755),
    [anon_sym_y] = ACTIONS(1755),
    [aux_sym__bareword_token1] = ACTIONS(1755),
    [sym_number] = ACTIONS(1755),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [sym__single_quote] = ACTIONS(1759),
    [sym__double_quote] = ACTIONS(1759),
    [sym__backtick_quote] = ACTIONS(1759),
    [sym__search_slash_quote] = ACTIONS(1759),
    [sym__no_search_slash_plz] = ACTIONS(1759),
    [sym__PERLY_SEMICOLON] = ACTIONS(1759),
    [sym__PERLY_HEREDOC] = ACTIONS(1759),
    [sym__ctrl_z_hack] = ACTIONS(1759),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1759),
    [sym__filetest] = ACTIONS(1759),
  },
  [726] = {
    [sym_heredoc_content] = STATE(726),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1744),
    [anon_sym___END__] = ACTIONS(1744),
    [anon_sym_EOT] = ACTIONS(1744),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
  },
  [727] = {
    [sym_heredoc_content] = STATE(727),
    [sym__identifier] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1781),
    [anon_sym_DOLLAR] = ACTIONS(1781),
    [anon_sym_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(1781),
    [anon_sym_COMMA] = ACTIONS(1781),
    [anon_sym_my] = ACTIONS(1781),
    [anon_sym_extended] = ACTIONS(1781),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_sub] = ACTIONS(1781),
    [anon_sym_method] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1781),
    [anon_sym_continue] = ACTIONS(1781),
    [anon_sym_state] = ACTIONS(1781),
    [anon_sym_our] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1781),
    [anon_sym_and] = ACTIONS(1781),
    [anon_sym_or] = ACTIONS(1781),
    [anon_sym_xor] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1781),
    [anon_sym_DASH_GT] = ACTIONS(1781),
    [anon_sym_PERCENT] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1781),
    [anon_sym_PLUS_EQ] = ACTIONS(1781),
    [anon_sym_DASH_EQ] = ACTIONS(1781),
    [anon_sym_DOT_EQ] = ACTIONS(1781),
    [anon_sym_STAR_EQ] = ACTIONS(1781),
    [anon_sym_SLASH_EQ] = ACTIONS(1781),
    [anon_sym_PERCENT_EQ] = ACTIONS(1781),
    [anon_sym_x_EQ] = ACTIONS(1781),
    [anon_sym_AMP_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_EQ] = ACTIONS(1781),
    [anon_sym_CARET_EQ] = ACTIONS(1781),
    [anon_sym_LT_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_GT_EQ] = ACTIONS(1781),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1781),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_STAR_STAR] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_CARET_CARET] = ACTIONS(1781),
    [anon_sym_AMP_AMP] = ACTIONS(1781),
    [anon_sym_PIPE] = ACTIONS(1781),
    [anon_sym_CARET] = ACTIONS(1781),
    [anon_sym_AMP] = ACTIONS(1781),
    [anon_sym_GT_GT2] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_x] = ACTIONS(1781),
    [anon_sym_EQ_TILDE] = ACTIONS(1781),
    [anon_sym_BANG_TILDE] = ACTIONS(1781),
    [anon_sym_EQ_EQ] = ACTIONS(1781),
    [anon_sym_BANG_EQ] = ACTIONS(1781),
    [anon_sym_eq] = ACTIONS(1781),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1781),
    [anon_sym_equ] = ACTIONS(1781),
    [anon_sym_eqr] = ACTIONS(1781),
    [anon_sym_ne] = ACTIONS(1781),
    [anon_sym_LT_EQ_GT] = ACTIONS(1781),
    [anon_sym_cmp] = ACTIONS(1781),
    [anon_sym_TILDE_TILDE] = ACTIONS(1781),
    [anon_sym_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_EQ] = ACTIONS(1781),
    [anon_sym_lt] = ACTIONS(1781),
    [anon_sym_le] = ACTIONS(1781),
    [anon_sym_ge] = ACTIONS(1781),
    [anon_sym_gt] = ACTIONS(1781),
    [anon_sym_isa] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_BANG] = ACTIONS(1781),
    [anon_sym_PLUS_PLUS] = ACTIONS(1781),
    [anon_sym_DASH_DASH] = ACTIONS(1781),
    [anon_sym_QMARK] = ACTIONS(1781),
    [anon_sym_BSLASH] = ACTIONS(1783),
    [anon_sym_do] = ACTIONS(1781),
    [anon_sym_eval] = ACTIONS(1781),
    [anon_sym_await] = ACTIONS(1781),
    [anon_sym_field] = ACTIONS(1781),
    [anon_sym_local] = ACTIONS(1781),
    [anon_sym_dynamically] = ACTIONS(1781),
    [anon_sym_require] = ACTIONS(1781),
    [anon_sym_map] = ACTIONS(1781),
    [anon_sym_grep] = ACTIONS(1781),
    [anon_sym_sort] = ACTIONS(1781),
    [anon_sym_goto] = ACTIONS(1781),
    [anon_sym_return] = ACTIONS(1781),
    [anon_sym_undef] = ACTIONS(1781),
    [anon_sym_PERCENT2] = ACTIONS(1781),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1781),
    [anon_sym_EQ_GT] = ACTIONS(1781),
    [anon_sym_last] = ACTIONS(1781),
    [anon_sym_next] = ACTIONS(1781),
    [anon_sym_redo] = ACTIONS(1781),
    [anon_sym___FILE__] = ACTIONS(1781),
    [anon_sym___LINE__] = ACTIONS(1781),
    [anon_sym___PACKAGE__] = ACTIONS(1781),
    [anon_sym___SUB__] = ACTIONS(1781),
    [anon_sym_break] = ACTIONS(1781),
    [anon_sym_fork] = ACTIONS(1781),
    [anon_sym_getppid] = ACTIONS(1781),
    [anon_sym_time] = ACTIONS(1781),
    [anon_sym_times] = ACTIONS(1781),
    [anon_sym_wait] = ACTIONS(1781),
    [anon_sym_wantarray] = ACTIONS(1781),
    [anon_sym_abs] = ACTIONS(1781),
    [anon_sym_alarm] = ACTIONS(1781),
    [anon_sym_chop] = ACTIONS(1781),
    [anon_sym_chdir] = ACTIONS(1781),
    [anon_sym_close] = ACTIONS(1781),
    [anon_sym_closedir] = ACTIONS(1781),
    [anon_sym_caller] = ACTIONS(1781),
    [anon_sym_chomp] = ACTIONS(1781),
    [anon_sym_chr] = ACTIONS(1781),
    [anon_sym_cos] = ACTIONS(1781),
    [anon_sym_chroot] = ACTIONS(1781),
    [anon_sym_defined] = ACTIONS(1781),
    [anon_sym_delete] = ACTIONS(1781),
    [anon_sym_dbmclose] = ACTIONS(1781),
    [anon_sym_exists] = ACTIONS(1781),
    [anon_sym_exit] = ACTIONS(1781),
    [anon_sym_eof] = ACTIONS(1781),
    [anon_sym_exp] = ACTIONS(1781),
    [anon_sym_each] = ACTIONS(1781),
    [anon_sym_fc] = ACTIONS(1781),
    [anon_sym_fileno] = ACTIONS(1781),
    [anon_sym_gmtime] = ACTIONS(1781),
    [anon_sym_getc] = ACTIONS(1781),
    [anon_sym_getpgrp] = ACTIONS(1781),
    [anon_sym_getprotobyname] = ACTIONS(1781),
    [anon_sym_getpwname] = ACTIONS(1781),
    [anon_sym_getpwuid] = ACTIONS(1781),
    [anon_sym_getpeername] = ACTIONS(1781),
    [anon_sym_getnetbyname] = ACTIONS(1781),
    [anon_sym_getsockname] = ACTIONS(1781),
    [anon_sym_getgrnam] = ACTIONS(1781),
    [anon_sym_getgrgid] = ACTIONS(1781),
    [anon_sym_hex] = ACTIONS(1781),
    [anon_sym_int] = ACTIONS(1781),
    [anon_sym_keys] = ACTIONS(1781),
    [anon_sym_lc] = ACTIONS(1781),
    [anon_sym_lcfirst] = ACTIONS(1781),
    [anon_sym_length] = ACTIONS(1781),
    [anon_sym_localtime] = ACTIONS(1781),
    [anon_sym_log] = ACTIONS(1781),
    [anon_sym_lock] = ACTIONS(1781),
    [anon_sym_lstat] = ACTIONS(1781),
    [anon_sym_oct] = ACTIONS(1781),
    [anon_sym_ord] = ACTIONS(1781),
    [anon_sym_prototype] = ACTIONS(1781),
    [anon_sym_pop] = ACTIONS(1781),
    [anon_sym_pos] = ACTIONS(1781),
    [anon_sym_quotemeta] = ACTIONS(1781),
    [anon_sym_reset] = ACTIONS(1781),
    [anon_sym_rand] = ACTIONS(1781),
    [anon_sym_rmdir] = ACTIONS(1781),
    [anon_sym_readdir] = ACTIONS(1781),
    [anon_sym_readline] = ACTIONS(1781),
    [anon_sym_readpipe] = ACTIONS(1781),
    [anon_sym_rewinddir] = ACTIONS(1781),
    [anon_sym_readlink] = ACTIONS(1781),
    [anon_sym_ref] = ACTIONS(1781),
    [anon_sym_scalar] = ACTIONS(1781),
    [anon_sym_shift] = ACTIONS(1781),
    [anon_sym_sin] = ACTIONS(1781),
    [anon_sym_sleep] = ACTIONS(1781),
    [anon_sym_sqrt] = ACTIONS(1781),
    [anon_sym_srand] = ACTIONS(1781),
    [anon_sym_stat] = ACTIONS(1781),
    [anon_sym_study] = ACTIONS(1781),
    [anon_sym_tell] = ACTIONS(1781),
    [anon_sym_telldir] = ACTIONS(1781),
    [anon_sym_tied] = ACTIONS(1781),
    [anon_sym_uc] = ACTIONS(1781),
    [anon_sym_ucfirst] = ACTIONS(1781),
    [anon_sym_untie] = ACTIONS(1781),
    [anon_sym_umask] = ACTIONS(1781),
    [anon_sym_values] = ACTIONS(1781),
    [anon_sym_write] = ACTIONS(1781),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1781),
    [anon_sym___END__] = ACTIONS(1781),
    [anon_sym_EOT] = ACTIONS(1781),
    [anon_sym_q] = ACTIONS(1781),
    [anon_sym_qq] = ACTIONS(1781),
    [anon_sym_qw] = ACTIONS(1781),
    [anon_sym_qx] = ACTIONS(1781),
    [anon_sym_qr] = ACTIONS(1781),
    [anon_sym_m] = ACTIONS(1781),
    [anon_sym_s] = ACTIONS(1781),
    [anon_sym_tr] = ACTIONS(1781),
    [anon_sym_y] = ACTIONS(1781),
    [aux_sym__bareword_token1] = ACTIONS(1781),
    [sym_number] = ACTIONS(1781),
    [anon_sym_true] = ACTIONS(1781),
    [anon_sym_false] = ACTIONS(1781),
    [sym__single_quote] = ACTIONS(1783),
    [sym__double_quote] = ACTIONS(1783),
    [sym__backtick_quote] = ACTIONS(1783),
    [sym__search_slash_quote] = ACTIONS(1783),
    [sym__PERLY_SEMICOLON] = ACTIONS(1783),
    [sym__PERLY_HEREDOC] = ACTIONS(1783),
    [sym__ctrl_z_hack] = ACTIONS(1783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1783),
    [sym__filetest] = ACTIONS(1783),
  },
  [728] = {
    [sym_heredoc_content] = STATE(728),
    [sym__identifier] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1407),
    [anon_sym_AT] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1407),
    [anon_sym_my] = ACTIONS(1405),
    [anon_sym_extended] = ACTIONS(1405),
    [anon_sym_async] = ACTIONS(1405),
    [anon_sym_sub] = ACTIONS(1405),
    [anon_sym_method] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_state] = ACTIONS(1405),
    [anon_sym_our] = ACTIONS(1405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1407),
    [anon_sym_and] = ACTIONS(1407),
    [anon_sym_or] = ACTIONS(1407),
    [anon_sym_xor] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_DASH_GT] = ACTIONS(1407),
    [anon_sym_PERCENT] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [anon_sym_LT_LT] = ACTIONS(1407),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1407),
    [anon_sym_PLUS_EQ] = ACTIONS(1407),
    [anon_sym_DASH_EQ] = ACTIONS(1407),
    [anon_sym_DOT_EQ] = ACTIONS(1407),
    [anon_sym_STAR_EQ] = ACTIONS(1407),
    [anon_sym_SLASH_EQ] = ACTIONS(1407),
    [anon_sym_PERCENT_EQ] = ACTIONS(1407),
    [anon_sym_x_EQ] = ACTIONS(1407),
    [anon_sym_AMP_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_EQ] = ACTIONS(1407),
    [anon_sym_CARET_EQ] = ACTIONS(1407),
    [anon_sym_LT_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_GT_EQ] = ACTIONS(1407),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1407),
    [anon_sym_DOT_DOT] = ACTIONS(1407),
    [anon_sym_STAR_STAR] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH] = ACTIONS(1407),
    [anon_sym_CARET_CARET] = ACTIONS(1407),
    [anon_sym_AMP_AMP] = ACTIONS(1407),
    [anon_sym_PIPE] = ACTIONS(1407),
    [anon_sym_CARET] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(1407),
    [anon_sym_GT_GT2] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_DOT] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_x] = ACTIONS(1407),
    [anon_sym_EQ_TILDE] = ACTIONS(1407),
    [anon_sym_BANG_TILDE] = ACTIONS(1407),
    [anon_sym_EQ_EQ] = ACTIONS(1407),
    [anon_sym_BANG_EQ] = ACTIONS(1407),
    [anon_sym_eq] = ACTIONS(1407),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1407),
    [anon_sym_equ] = ACTIONS(1407),
    [anon_sym_eqr] = ACTIONS(1407),
    [anon_sym_ne] = ACTIONS(1407),
    [anon_sym_LT_EQ_GT] = ACTIONS(1407),
    [anon_sym_cmp] = ACTIONS(1407),
    [anon_sym_TILDE_TILDE] = ACTIONS(1407),
    [anon_sym_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1407),
    [anon_sym_lt] = ACTIONS(1407),
    [anon_sym_le] = ACTIONS(1407),
    [anon_sym_ge] = ACTIONS(1407),
    [anon_sym_gt] = ACTIONS(1407),
    [anon_sym_isa] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1407),
    [anon_sym_DASH_DASH] = ACTIONS(1407),
    [anon_sym_QMARK] = ACTIONS(1407),
    [anon_sym_BSLASH] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_eval] = ACTIONS(1405),
    [anon_sym_await] = ACTIONS(1405),
    [anon_sym_field] = ACTIONS(1405),
    [anon_sym_local] = ACTIONS(1405),
    [anon_sym_dynamically] = ACTIONS(1405),
    [anon_sym_require] = ACTIONS(1405),
    [anon_sym_map] = ACTIONS(1405),
    [anon_sym_grep] = ACTIONS(1405),
    [anon_sym_sort] = ACTIONS(1405),
    [anon_sym_goto] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_undef] = ACTIONS(1405),
    [anon_sym_PERCENT2] = ACTIONS(1405),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1405),
    [anon_sym_EQ_GT] = ACTIONS(1407),
    [anon_sym_last] = ACTIONS(1405),
    [anon_sym_next] = ACTIONS(1405),
    [anon_sym_redo] = ACTIONS(1405),
    [anon_sym___FILE__] = ACTIONS(1405),
    [anon_sym___LINE__] = ACTIONS(1405),
    [anon_sym___PACKAGE__] = ACTIONS(1405),
    [anon_sym___SUB__] = ACTIONS(1405),
    [anon_sym_break] = ACTIONS(1405),
    [anon_sym_fork] = ACTIONS(1405),
    [anon_sym_getppid] = ACTIONS(1405),
    [anon_sym_time] = ACTIONS(1405),
    [anon_sym_times] = ACTIONS(1405),
    [anon_sym_wait] = ACTIONS(1405),
    [anon_sym_wantarray] = ACTIONS(1405),
    [anon_sym_abs] = ACTIONS(1405),
    [anon_sym_alarm] = ACTIONS(1405),
    [anon_sym_chop] = ACTIONS(1405),
    [anon_sym_chdir] = ACTIONS(1405),
    [anon_sym_close] = ACTIONS(1405),
    [anon_sym_closedir] = ACTIONS(1405),
    [anon_sym_caller] = ACTIONS(1405),
    [anon_sym_chomp] = ACTIONS(1405),
    [anon_sym_chr] = ACTIONS(1405),
    [anon_sym_cos] = ACTIONS(1405),
    [anon_sym_chroot] = ACTIONS(1405),
    [anon_sym_defined] = ACTIONS(1405),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_dbmclose] = ACTIONS(1405),
    [anon_sym_exists] = ACTIONS(1405),
    [anon_sym_exit] = ACTIONS(1405),
    [anon_sym_eof] = ACTIONS(1405),
    [anon_sym_exp] = ACTIONS(1405),
    [anon_sym_each] = ACTIONS(1405),
    [anon_sym_fc] = ACTIONS(1405),
    [anon_sym_fileno] = ACTIONS(1405),
    [anon_sym_gmtime] = ACTIONS(1405),
    [anon_sym_getc] = ACTIONS(1405),
    [anon_sym_getpgrp] = ACTIONS(1405),
    [anon_sym_getprotobyname] = ACTIONS(1405),
    [anon_sym_getpwname] = ACTIONS(1405),
    [anon_sym_getpwuid] = ACTIONS(1405),
    [anon_sym_getpeername] = ACTIONS(1405),
    [anon_sym_getnetbyname] = ACTIONS(1405),
    [anon_sym_getsockname] = ACTIONS(1405),
    [anon_sym_getgrnam] = ACTIONS(1405),
    [anon_sym_getgrgid] = ACTIONS(1405),
    [anon_sym_hex] = ACTIONS(1405),
    [anon_sym_int] = ACTIONS(1405),
    [anon_sym_keys] = ACTIONS(1405),
    [anon_sym_lc] = ACTIONS(1405),
    [anon_sym_lcfirst] = ACTIONS(1405),
    [anon_sym_length] = ACTIONS(1405),
    [anon_sym_localtime] = ACTIONS(1405),
    [anon_sym_log] = ACTIONS(1405),
    [anon_sym_lock] = ACTIONS(1405),
    [anon_sym_lstat] = ACTIONS(1405),
    [anon_sym_oct] = ACTIONS(1405),
    [anon_sym_ord] = ACTIONS(1405),
    [anon_sym_prototype] = ACTIONS(1405),
    [anon_sym_pop] = ACTIONS(1405),
    [anon_sym_pos] = ACTIONS(1405),
    [anon_sym_quotemeta] = ACTIONS(1405),
    [anon_sym_reset] = ACTIONS(1405),
    [anon_sym_rand] = ACTIONS(1405),
    [anon_sym_rmdir] = ACTIONS(1405),
    [anon_sym_readdir] = ACTIONS(1405),
    [anon_sym_readline] = ACTIONS(1405),
    [anon_sym_readpipe] = ACTIONS(1405),
    [anon_sym_rewinddir] = ACTIONS(1405),
    [anon_sym_readlink] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1405),
    [anon_sym_scalar] = ACTIONS(1405),
    [anon_sym_shift] = ACTIONS(1405),
    [anon_sym_sin] = ACTIONS(1405),
    [anon_sym_sleep] = ACTIONS(1405),
    [anon_sym_sqrt] = ACTIONS(1405),
    [anon_sym_srand] = ACTIONS(1405),
    [anon_sym_stat] = ACTIONS(1405),
    [anon_sym_study] = ACTIONS(1405),
    [anon_sym_tell] = ACTIONS(1405),
    [anon_sym_telldir] = ACTIONS(1405),
    [anon_sym_tied] = ACTIONS(1405),
    [anon_sym_uc] = ACTIONS(1405),
    [anon_sym_ucfirst] = ACTIONS(1405),
    [anon_sym_untie] = ACTIONS(1405),
    [anon_sym_umask] = ACTIONS(1405),
    [anon_sym_values] = ACTIONS(1405),
    [anon_sym_write] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1407),
    [anon_sym___END__] = ACTIONS(1407),
    [anon_sym_EOT] = ACTIONS(1407),
    [anon_sym_q] = ACTIONS(1405),
    [anon_sym_qq] = ACTIONS(1405),
    [anon_sym_qw] = ACTIONS(1405),
    [anon_sym_qx] = ACTIONS(1405),
    [anon_sym_qr] = ACTIONS(1405),
    [anon_sym_m] = ACTIONS(1405),
    [anon_sym_s] = ACTIONS(1405),
    [anon_sym_tr] = ACTIONS(1405),
    [anon_sym_y] = ACTIONS(1405),
    [aux_sym__bareword_token1] = ACTIONS(1405),
    [sym_number] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1405),
    [anon_sym_false] = ACTIONS(1405),
    [sym__single_quote] = ACTIONS(1403),
    [sym__double_quote] = ACTIONS(1403),
    [sym__backtick_quote] = ACTIONS(1403),
    [sym__search_slash_quote] = ACTIONS(1403),
    [sym__PERLY_SEMICOLON] = ACTIONS(1409),
    [sym__PERLY_HEREDOC] = ACTIONS(1403),
    [sym__ctrl_z_hack] = ACTIONS(1409),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1403),
    [sym__filetest] = ACTIONS(1403),
  },
  [729] = {
    [sym_heredoc_content] = STATE(729),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1742),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1742),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1742),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1742),
    [anon_sym_and] = ACTIONS(1742),
    [anon_sym_or] = ACTIONS(1742),
    [anon_sym_xor] = ACTIONS(1742),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1742),
    [anon_sym_PERCENT] = ACTIONS(1742),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_GT] = ACTIONS(1742),
    [anon_sym_LT_LT] = ACTIONS(1742),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1742),
    [anon_sym_PLUS_EQ] = ACTIONS(1742),
    [anon_sym_DASH_EQ] = ACTIONS(1742),
    [anon_sym_DOT_EQ] = ACTIONS(1742),
    [anon_sym_STAR_EQ] = ACTIONS(1742),
    [anon_sym_SLASH_EQ] = ACTIONS(1742),
    [anon_sym_PERCENT_EQ] = ACTIONS(1742),
    [anon_sym_x_EQ] = ACTIONS(1742),
    [anon_sym_AMP_EQ] = ACTIONS(1742),
    [anon_sym_PIPE_EQ] = ACTIONS(1742),
    [anon_sym_CARET_EQ] = ACTIONS(1742),
    [anon_sym_LT_LT_EQ] = ACTIONS(1742),
    [anon_sym_GT_GT_EQ] = ACTIONS(1742),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1742),
    [anon_sym_DOT_DOT] = ACTIONS(1742),
    [anon_sym_STAR_STAR] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE] = ACTIONS(1742),
    [anon_sym_SLASH_SLASH] = ACTIONS(1742),
    [anon_sym_CARET_CARET] = ACTIONS(1742),
    [anon_sym_AMP_AMP] = ACTIONS(1742),
    [anon_sym_PIPE] = ACTIONS(1742),
    [anon_sym_CARET] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_GT_GT2] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_DOT] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_SLASH] = ACTIONS(1742),
    [anon_sym_x] = ACTIONS(1742),
    [anon_sym_EQ_TILDE] = ACTIONS(1742),
    [anon_sym_BANG_TILDE] = ACTIONS(1742),
    [anon_sym_EQ_EQ] = ACTIONS(1742),
    [anon_sym_BANG_EQ] = ACTIONS(1742),
    [anon_sym_eq] = ACTIONS(1742),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1742),
    [anon_sym_equ] = ACTIONS(1742),
    [anon_sym_eqr] = ACTIONS(1742),
    [anon_sym_ne] = ACTIONS(1742),
    [anon_sym_LT_EQ_GT] = ACTIONS(1742),
    [anon_sym_cmp] = ACTIONS(1742),
    [anon_sym_TILDE_TILDE] = ACTIONS(1742),
    [anon_sym_LT_EQ] = ACTIONS(1742),
    [anon_sym_GT_EQ] = ACTIONS(1742),
    [anon_sym_lt] = ACTIONS(1742),
    [anon_sym_le] = ACTIONS(1742),
    [anon_sym_ge] = ACTIONS(1742),
    [anon_sym_gt] = ACTIONS(1742),
    [anon_sym_isa] = ACTIONS(1742),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1742),
    [anon_sym_QMARK] = ACTIONS(1742),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1742),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1742),
    [anon_sym___END__] = ACTIONS(1742),
    [anon_sym_EOT] = ACTIONS(1742),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1834),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1834),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
  },
  [730] = {
    [sym_heredoc_content] = STATE(730),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1840),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1840),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1840),
    [anon_sym_and] = ACTIONS(1840),
    [anon_sym_or] = ACTIONS(1840),
    [anon_sym_xor] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1840),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1840),
    [anon_sym_PLUS_EQ] = ACTIONS(1840),
    [anon_sym_DASH_EQ] = ACTIONS(1840),
    [anon_sym_DOT_EQ] = ACTIONS(1840),
    [anon_sym_STAR_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_PERCENT_EQ] = ACTIONS(1840),
    [anon_sym_x_EQ] = ACTIONS(1840),
    [anon_sym_AMP_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_CARET_EQ] = ACTIONS(1840),
    [anon_sym_LT_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_GT_EQ] = ACTIONS(1840),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1840),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1840),
    [anon_sym_BANG_TILDE] = ACTIONS(1840),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1840),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1840),
    [anon_sym_equ] = ACTIONS(1840),
    [anon_sym_eqr] = ACTIONS(1840),
    [anon_sym_ne] = ACTIONS(1840),
    [anon_sym_LT_EQ_GT] = ACTIONS(1840),
    [anon_sym_cmp] = ACTIONS(1840),
    [anon_sym_TILDE_TILDE] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1840),
    [anon_sym_lt] = ACTIONS(1840),
    [anon_sym_le] = ACTIONS(1840),
    [anon_sym_ge] = ACTIONS(1840),
    [anon_sym_gt] = ACTIONS(1840),
    [anon_sym_isa] = ACTIONS(1840),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1840),
    [anon_sym_QMARK] = ACTIONS(1840),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1840),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1840),
    [anon_sym___END__] = ACTIONS(1840),
    [anon_sym_EOT] = ACTIONS(1840),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1842),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym__ctrl_z_hack] = ACTIONS(1842),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
  },
  [731] = {
    [sym_heredoc_content] = STATE(731),
    [sym__identifier] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1785),
    [anon_sym_SEMI] = ACTIONS(1836),
    [anon_sym_DOLLAR] = ACTIONS(1785),
    [anon_sym_EQ] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1836),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1836),
    [anon_sym_AT] = ACTIONS(1785),
    [anon_sym_COMMA] = ACTIONS(1836),
    [anon_sym_my] = ACTIONS(1785),
    [anon_sym_extended] = ACTIONS(1785),
    [anon_sym_async] = ACTIONS(1785),
    [anon_sym_sub] = ACTIONS(1785),
    [anon_sym_method] = ACTIONS(1785),
    [anon_sym_LPAREN] = ACTIONS(1785),
    [anon_sym_continue] = ACTIONS(1785),
    [anon_sym_state] = ACTIONS(1785),
    [anon_sym_our] = ACTIONS(1785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1836),
    [anon_sym_and] = ACTIONS(1836),
    [anon_sym_or] = ACTIONS(1836),
    [anon_sym_xor] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1785),
    [anon_sym_DASH_GT] = ACTIONS(1836),
    [anon_sym_PERCENT] = ACTIONS(1836),
    [anon_sym_LT] = ACTIONS(1836),
    [anon_sym_GT] = ACTIONS(1836),
    [anon_sym_LT_LT] = ACTIONS(1836),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1836),
    [anon_sym_PLUS_EQ] = ACTIONS(1836),
    [anon_sym_DASH_EQ] = ACTIONS(1836),
    [anon_sym_DOT_EQ] = ACTIONS(1836),
    [anon_sym_STAR_EQ] = ACTIONS(1836),
    [anon_sym_SLASH_EQ] = ACTIONS(1836),
    [anon_sym_PERCENT_EQ] = ACTIONS(1836),
    [anon_sym_x_EQ] = ACTIONS(1836),
    [anon_sym_AMP_EQ] = ACTIONS(1836),
    [anon_sym_PIPE_EQ] = ACTIONS(1836),
    [anon_sym_CARET_EQ] = ACTIONS(1836),
    [anon_sym_LT_LT_EQ] = ACTIONS(1836),
    [anon_sym_GT_GT_EQ] = ACTIONS(1836),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1836),
    [anon_sym_DOT_DOT] = ACTIONS(1836),
    [anon_sym_STAR_STAR] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE] = ACTIONS(1836),
    [anon_sym_SLASH_SLASH] = ACTIONS(1836),
    [anon_sym_CARET_CARET] = ACTIONS(1836),
    [anon_sym_AMP_AMP] = ACTIONS(1836),
    [anon_sym_PIPE] = ACTIONS(1836),
    [anon_sym_CARET] = ACTIONS(1836),
    [anon_sym_AMP] = ACTIONS(1836),
    [anon_sym_GT_GT2] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1836),
    [anon_sym_DASH] = ACTIONS(1836),
    [anon_sym_DOT] = ACTIONS(1836),
    [anon_sym_STAR] = ACTIONS(1836),
    [anon_sym_SLASH] = ACTIONS(1836),
    [anon_sym_x] = ACTIONS(1836),
    [anon_sym_EQ_TILDE] = ACTIONS(1836),
    [anon_sym_BANG_TILDE] = ACTIONS(1836),
    [anon_sym_EQ_EQ] = ACTIONS(1836),
    [anon_sym_BANG_EQ] = ACTIONS(1836),
    [anon_sym_eq] = ACTIONS(1836),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1836),
    [anon_sym_equ] = ACTIONS(1836),
    [anon_sym_eqr] = ACTIONS(1836),
    [anon_sym_ne] = ACTIONS(1836),
    [anon_sym_LT_EQ_GT] = ACTIONS(1836),
    [anon_sym_cmp] = ACTIONS(1836),
    [anon_sym_TILDE_TILDE] = ACTIONS(1836),
    [anon_sym_LT_EQ] = ACTIONS(1836),
    [anon_sym_GT_EQ] = ACTIONS(1836),
    [anon_sym_lt] = ACTIONS(1836),
    [anon_sym_le] = ACTIONS(1836),
    [anon_sym_ge] = ACTIONS(1836),
    [anon_sym_gt] = ACTIONS(1836),
    [anon_sym_isa] = ACTIONS(1836),
    [anon_sym_TILDE] = ACTIONS(1785),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_PLUS_PLUS] = ACTIONS(1836),
    [anon_sym_DASH_DASH] = ACTIONS(1836),
    [anon_sym_QMARK] = ACTIONS(1836),
    [anon_sym_BSLASH] = ACTIONS(1792),
    [anon_sym_do] = ACTIONS(1785),
    [anon_sym_eval] = ACTIONS(1785),
    [anon_sym_await] = ACTIONS(1785),
    [anon_sym_field] = ACTIONS(1785),
    [anon_sym_local] = ACTIONS(1785),
    [anon_sym_dynamically] = ACTIONS(1785),
    [anon_sym_require] = ACTIONS(1785),
    [anon_sym_map] = ACTIONS(1785),
    [anon_sym_grep] = ACTIONS(1785),
    [anon_sym_sort] = ACTIONS(1785),
    [anon_sym_goto] = ACTIONS(1785),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_undef] = ACTIONS(1785),
    [anon_sym_PERCENT2] = ACTIONS(1785),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1785),
    [anon_sym_EQ_GT] = ACTIONS(1836),
    [anon_sym_last] = ACTIONS(1785),
    [anon_sym_next] = ACTIONS(1785),
    [anon_sym_redo] = ACTIONS(1785),
    [anon_sym___FILE__] = ACTIONS(1785),
    [anon_sym___LINE__] = ACTIONS(1785),
    [anon_sym___PACKAGE__] = ACTIONS(1785),
    [anon_sym___SUB__] = ACTIONS(1785),
    [anon_sym_break] = ACTIONS(1785),
    [anon_sym_fork] = ACTIONS(1785),
    [anon_sym_getppid] = ACTIONS(1785),
    [anon_sym_time] = ACTIONS(1785),
    [anon_sym_times] = ACTIONS(1785),
    [anon_sym_wait] = ACTIONS(1785),
    [anon_sym_wantarray] = ACTIONS(1785),
    [anon_sym_abs] = ACTIONS(1785),
    [anon_sym_alarm] = ACTIONS(1785),
    [anon_sym_chop] = ACTIONS(1785),
    [anon_sym_chdir] = ACTIONS(1785),
    [anon_sym_close] = ACTIONS(1785),
    [anon_sym_closedir] = ACTIONS(1785),
    [anon_sym_caller] = ACTIONS(1785),
    [anon_sym_chomp] = ACTIONS(1785),
    [anon_sym_chr] = ACTIONS(1785),
    [anon_sym_cos] = ACTIONS(1785),
    [anon_sym_chroot] = ACTIONS(1785),
    [anon_sym_defined] = ACTIONS(1785),
    [anon_sym_delete] = ACTIONS(1785),
    [anon_sym_dbmclose] = ACTIONS(1785),
    [anon_sym_exists] = ACTIONS(1785),
    [anon_sym_exit] = ACTIONS(1785),
    [anon_sym_eof] = ACTIONS(1785),
    [anon_sym_exp] = ACTIONS(1785),
    [anon_sym_each] = ACTIONS(1785),
    [anon_sym_fc] = ACTIONS(1785),
    [anon_sym_fileno] = ACTIONS(1785),
    [anon_sym_gmtime] = ACTIONS(1785),
    [anon_sym_getc] = ACTIONS(1785),
    [anon_sym_getpgrp] = ACTIONS(1785),
    [anon_sym_getprotobyname] = ACTIONS(1785),
    [anon_sym_getpwname] = ACTIONS(1785),
    [anon_sym_getpwuid] = ACTIONS(1785),
    [anon_sym_getpeername] = ACTIONS(1785),
    [anon_sym_getnetbyname] = ACTIONS(1785),
    [anon_sym_getsockname] = ACTIONS(1785),
    [anon_sym_getgrnam] = ACTIONS(1785),
    [anon_sym_getgrgid] = ACTIONS(1785),
    [anon_sym_hex] = ACTIONS(1785),
    [anon_sym_int] = ACTIONS(1785),
    [anon_sym_keys] = ACTIONS(1785),
    [anon_sym_lc] = ACTIONS(1785),
    [anon_sym_lcfirst] = ACTIONS(1785),
    [anon_sym_length] = ACTIONS(1785),
    [anon_sym_localtime] = ACTIONS(1785),
    [anon_sym_log] = ACTIONS(1785),
    [anon_sym_lock] = ACTIONS(1785),
    [anon_sym_lstat] = ACTIONS(1785),
    [anon_sym_oct] = ACTIONS(1785),
    [anon_sym_ord] = ACTIONS(1785),
    [anon_sym_prototype] = ACTIONS(1785),
    [anon_sym_pop] = ACTIONS(1785),
    [anon_sym_pos] = ACTIONS(1785),
    [anon_sym_quotemeta] = ACTIONS(1785),
    [anon_sym_reset] = ACTIONS(1785),
    [anon_sym_rand] = ACTIONS(1785),
    [anon_sym_rmdir] = ACTIONS(1785),
    [anon_sym_readdir] = ACTIONS(1785),
    [anon_sym_readline] = ACTIONS(1785),
    [anon_sym_readpipe] = ACTIONS(1785),
    [anon_sym_rewinddir] = ACTIONS(1785),
    [anon_sym_readlink] = ACTIONS(1785),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_scalar] = ACTIONS(1785),
    [anon_sym_shift] = ACTIONS(1785),
    [anon_sym_sin] = ACTIONS(1785),
    [anon_sym_sleep] = ACTIONS(1785),
    [anon_sym_sqrt] = ACTIONS(1785),
    [anon_sym_srand] = ACTIONS(1785),
    [anon_sym_stat] = ACTIONS(1785),
    [anon_sym_study] = ACTIONS(1785),
    [anon_sym_tell] = ACTIONS(1785),
    [anon_sym_telldir] = ACTIONS(1785),
    [anon_sym_tied] = ACTIONS(1785),
    [anon_sym_uc] = ACTIONS(1785),
    [anon_sym_ucfirst] = ACTIONS(1785),
    [anon_sym_untie] = ACTIONS(1785),
    [anon_sym_umask] = ACTIONS(1785),
    [anon_sym_values] = ACTIONS(1785),
    [anon_sym_write] = ACTIONS(1785),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1836),
    [anon_sym___END__] = ACTIONS(1836),
    [anon_sym_EOT] = ACTIONS(1836),
    [anon_sym_q] = ACTIONS(1785),
    [anon_sym_qq] = ACTIONS(1785),
    [anon_sym_qw] = ACTIONS(1785),
    [anon_sym_qx] = ACTIONS(1785),
    [anon_sym_qr] = ACTIONS(1785),
    [anon_sym_m] = ACTIONS(1785),
    [anon_sym_s] = ACTIONS(1785),
    [anon_sym_tr] = ACTIONS(1785),
    [anon_sym_y] = ACTIONS(1785),
    [aux_sym__bareword_token1] = ACTIONS(1785),
    [sym_number] = ACTIONS(1785),
    [anon_sym_true] = ACTIONS(1785),
    [anon_sym_false] = ACTIONS(1785),
    [sym__single_quote] = ACTIONS(1792),
    [sym__double_quote] = ACTIONS(1792),
    [sym__backtick_quote] = ACTIONS(1792),
    [sym__search_slash_quote] = ACTIONS(1792),
    [sym__PERLY_SEMICOLON] = ACTIONS(1838),
    [sym__PERLY_HEREDOC] = ACTIONS(1792),
    [sym__ctrl_z_hack] = ACTIONS(1838),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1792),
    [sym__filetest] = ACTIONS(1792),
  },
  [732] = {
    [sym_heredoc_content] = STATE(732),
    [sym__identifier] = ACTIONS(1761),
    [anon_sym_LBRACE] = ACTIONS(1761),
    [anon_sym_RBRACE] = ACTIONS(1761),
    [anon_sym_SEMI] = ACTIONS(1761),
    [anon_sym_DOLLAR] = ACTIONS(1761),
    [anon_sym_EQ] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1761),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1761),
    [anon_sym_AT] = ACTIONS(1761),
    [anon_sym_COMMA] = ACTIONS(1761),
    [anon_sym_RPAREN] = ACTIONS(1761),
    [anon_sym_my] = ACTIONS(1761),
    [anon_sym_extended] = ACTIONS(1761),
    [anon_sym_async] = ACTIONS(1761),
    [anon_sym_sub] = ACTIONS(1761),
    [anon_sym_method] = ACTIONS(1761),
    [anon_sym_LPAREN] = ACTIONS(1761),
    [anon_sym_continue] = ACTIONS(1761),
    [anon_sym_state] = ACTIONS(1761),
    [anon_sym_our] = ACTIONS(1761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_and] = ACTIONS(1761),
    [anon_sym_or] = ACTIONS(1761),
    [anon_sym_xor] = ACTIONS(1761),
    [anon_sym_LBRACK] = ACTIONS(1761),
    [anon_sym_RBRACK] = ACTIONS(1761),
    [anon_sym_DASH_GT] = ACTIONS(1761),
    [anon_sym_PERCENT] = ACTIONS(1761),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_GT] = ACTIONS(1761),
    [anon_sym_LT_LT] = ACTIONS(1761),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1761),
    [anon_sym_PLUS_EQ] = ACTIONS(1761),
    [anon_sym_DASH_EQ] = ACTIONS(1761),
    [anon_sym_DOT_EQ] = ACTIONS(1761),
    [anon_sym_STAR_EQ] = ACTIONS(1761),
    [anon_sym_SLASH_EQ] = ACTIONS(1761),
    [anon_sym_PERCENT_EQ] = ACTIONS(1761),
    [anon_sym_x_EQ] = ACTIONS(1761),
    [anon_sym_AMP_EQ] = ACTIONS(1761),
    [anon_sym_PIPE_EQ] = ACTIONS(1761),
    [anon_sym_CARET_EQ] = ACTIONS(1761),
    [anon_sym_LT_LT_EQ] = ACTIONS(1761),
    [anon_sym_GT_GT_EQ] = ACTIONS(1761),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1761),
    [anon_sym_DOT_DOT] = ACTIONS(1761),
    [anon_sym_STAR_STAR] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE] = ACTIONS(1761),
    [anon_sym_SLASH_SLASH] = ACTIONS(1761),
    [anon_sym_CARET_CARET] = ACTIONS(1761),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_PIPE] = ACTIONS(1761),
    [anon_sym_CARET] = ACTIONS(1761),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT2] = ACTIONS(1761),
    [anon_sym_PLUS] = ACTIONS(1761),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_DOT] = ACTIONS(1761),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_x] = ACTIONS(1761),
    [anon_sym_EQ_TILDE] = ACTIONS(1761),
    [anon_sym_BANG_TILDE] = ACTIONS(1761),
    [anon_sym_EQ_EQ] = ACTIONS(1761),
    [anon_sym_BANG_EQ] = ACTIONS(1761),
    [anon_sym_eq] = ACTIONS(1761),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1761),
    [anon_sym_equ] = ACTIONS(1761),
    [anon_sym_eqr] = ACTIONS(1761),
    [anon_sym_ne] = ACTIONS(1761),
    [anon_sym_LT_EQ_GT] = ACTIONS(1761),
    [anon_sym_cmp] = ACTIONS(1761),
    [anon_sym_TILDE_TILDE] = ACTIONS(1761),
    [anon_sym_LT_EQ] = ACTIONS(1761),
    [anon_sym_GT_EQ] = ACTIONS(1761),
    [anon_sym_lt] = ACTIONS(1761),
    [anon_sym_le] = ACTIONS(1761),
    [anon_sym_ge] = ACTIONS(1761),
    [anon_sym_gt] = ACTIONS(1761),
    [anon_sym_isa] = ACTIONS(1761),
    [anon_sym_TILDE] = ACTIONS(1761),
    [anon_sym_BANG] = ACTIONS(1761),
    [anon_sym_PLUS_PLUS] = ACTIONS(1761),
    [anon_sym_DASH_DASH] = ACTIONS(1761),
    [anon_sym_QMARK] = ACTIONS(1761),
    [anon_sym_BSLASH] = ACTIONS(1763),
    [anon_sym_do] = ACTIONS(1761),
    [anon_sym_eval] = ACTIONS(1761),
    [anon_sym_await] = ACTIONS(1761),
    [anon_sym_field] = ACTIONS(1761),
    [anon_sym_local] = ACTIONS(1761),
    [anon_sym_dynamically] = ACTIONS(1761),
    [anon_sym_require] = ACTIONS(1761),
    [anon_sym_map] = ACTIONS(1761),
    [anon_sym_grep] = ACTIONS(1761),
    [anon_sym_sort] = ACTIONS(1761),
    [anon_sym_goto] = ACTIONS(1761),
    [anon_sym_return] = ACTIONS(1761),
    [anon_sym_undef] = ACTIONS(1761),
    [anon_sym_PERCENT2] = ACTIONS(1761),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1761),
    [anon_sym_EQ_GT] = ACTIONS(1761),
    [anon_sym_last] = ACTIONS(1761),
    [anon_sym_next] = ACTIONS(1761),
    [anon_sym_redo] = ACTIONS(1761),
    [anon_sym___FILE__] = ACTIONS(1761),
    [anon_sym___LINE__] = ACTIONS(1761),
    [anon_sym___PACKAGE__] = ACTIONS(1761),
    [anon_sym___SUB__] = ACTIONS(1761),
    [anon_sym_break] = ACTIONS(1761),
    [anon_sym_fork] = ACTIONS(1761),
    [anon_sym_getppid] = ACTIONS(1761),
    [anon_sym_time] = ACTIONS(1761),
    [anon_sym_times] = ACTIONS(1761),
    [anon_sym_wait] = ACTIONS(1761),
    [anon_sym_wantarray] = ACTIONS(1761),
    [anon_sym_abs] = ACTIONS(1761),
    [anon_sym_alarm] = ACTIONS(1761),
    [anon_sym_chop] = ACTIONS(1761),
    [anon_sym_chdir] = ACTIONS(1761),
    [anon_sym_close] = ACTIONS(1761),
    [anon_sym_closedir] = ACTIONS(1761),
    [anon_sym_caller] = ACTIONS(1761),
    [anon_sym_chomp] = ACTIONS(1761),
    [anon_sym_chr] = ACTIONS(1761),
    [anon_sym_cos] = ACTIONS(1761),
    [anon_sym_chroot] = ACTIONS(1761),
    [anon_sym_defined] = ACTIONS(1761),
    [anon_sym_delete] = ACTIONS(1761),
    [anon_sym_dbmclose] = ACTIONS(1761),
    [anon_sym_exists] = ACTIONS(1761),
    [anon_sym_exit] = ACTIONS(1761),
    [anon_sym_eof] = ACTIONS(1761),
    [anon_sym_exp] = ACTIONS(1761),
    [anon_sym_each] = ACTIONS(1761),
    [anon_sym_fc] = ACTIONS(1761),
    [anon_sym_fileno] = ACTIONS(1761),
    [anon_sym_gmtime] = ACTIONS(1761),
    [anon_sym_getc] = ACTIONS(1761),
    [anon_sym_getpgrp] = ACTIONS(1761),
    [anon_sym_getprotobyname] = ACTIONS(1761),
    [anon_sym_getpwname] = ACTIONS(1761),
    [anon_sym_getpwuid] = ACTIONS(1761),
    [anon_sym_getpeername] = ACTIONS(1761),
    [anon_sym_getnetbyname] = ACTIONS(1761),
    [anon_sym_getsockname] = ACTIONS(1761),
    [anon_sym_getgrnam] = ACTIONS(1761),
    [anon_sym_getgrgid] = ACTIONS(1761),
    [anon_sym_hex] = ACTIONS(1761),
    [anon_sym_int] = ACTIONS(1761),
    [anon_sym_keys] = ACTIONS(1761),
    [anon_sym_lc] = ACTIONS(1761),
    [anon_sym_lcfirst] = ACTIONS(1761),
    [anon_sym_length] = ACTIONS(1761),
    [anon_sym_localtime] = ACTIONS(1761),
    [anon_sym_log] = ACTIONS(1761),
    [anon_sym_lock] = ACTIONS(1761),
    [anon_sym_lstat] = ACTIONS(1761),
    [anon_sym_oct] = ACTIONS(1761),
    [anon_sym_ord] = ACTIONS(1761),
    [anon_sym_prototype] = ACTIONS(1761),
    [anon_sym_pop] = ACTIONS(1761),
    [anon_sym_pos] = ACTIONS(1761),
    [anon_sym_quotemeta] = ACTIONS(1761),
    [anon_sym_reset] = ACTIONS(1761),
    [anon_sym_rand] = ACTIONS(1761),
    [anon_sym_rmdir] = ACTIONS(1761),
    [anon_sym_readdir] = ACTIONS(1761),
    [anon_sym_readline] = ACTIONS(1761),
    [anon_sym_readpipe] = ACTIONS(1761),
    [anon_sym_rewinddir] = ACTIONS(1761),
    [anon_sym_readlink] = ACTIONS(1761),
    [anon_sym_ref] = ACTIONS(1761),
    [anon_sym_scalar] = ACTIONS(1761),
    [anon_sym_shift] = ACTIONS(1761),
    [anon_sym_sin] = ACTIONS(1761),
    [anon_sym_sleep] = ACTIONS(1761),
    [anon_sym_sqrt] = ACTIONS(1761),
    [anon_sym_srand] = ACTIONS(1761),
    [anon_sym_stat] = ACTIONS(1761),
    [anon_sym_study] = ACTIONS(1761),
    [anon_sym_tell] = ACTIONS(1761),
    [anon_sym_telldir] = ACTIONS(1761),
    [anon_sym_tied] = ACTIONS(1761),
    [anon_sym_uc] = ACTIONS(1761),
    [anon_sym_ucfirst] = ACTIONS(1761),
    [anon_sym_untie] = ACTIONS(1761),
    [anon_sym_umask] = ACTIONS(1761),
    [anon_sym_values] = ACTIONS(1761),
    [anon_sym_write] = ACTIONS(1761),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1761),
    [anon_sym_qq] = ACTIONS(1761),
    [anon_sym_qw] = ACTIONS(1761),
    [anon_sym_qx] = ACTIONS(1761),
    [anon_sym_qr] = ACTIONS(1761),
    [anon_sym_m] = ACTIONS(1761),
    [anon_sym_s] = ACTIONS(1761),
    [anon_sym_tr] = ACTIONS(1761),
    [anon_sym_y] = ACTIONS(1761),
    [aux_sym__bareword_token1] = ACTIONS(1761),
    [sym_number] = ACTIONS(1761),
    [anon_sym_true] = ACTIONS(1761),
    [anon_sym_false] = ACTIONS(1761),
    [sym__single_quote] = ACTIONS(1763),
    [sym__double_quote] = ACTIONS(1763),
    [sym__backtick_quote] = ACTIONS(1763),
    [sym__search_slash_quote] = ACTIONS(1763),
    [sym__no_search_slash_plz] = ACTIONS(1763),
    [sym__PERLY_HEREDOC] = ACTIONS(1763),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1763),
    [sym__filetest] = ACTIONS(1763),
  },
  [733] = {
    [sym_heredoc_content] = STATE(733),
    [sym__identifier] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1781),
    [anon_sym_RBRACE] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1781),
    [anon_sym_DOLLAR] = ACTIONS(1781),
    [anon_sym_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(1781),
    [anon_sym_COMMA] = ACTIONS(1781),
    [anon_sym_RPAREN] = ACTIONS(1781),
    [anon_sym_my] = ACTIONS(1781),
    [anon_sym_extended] = ACTIONS(1781),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_sub] = ACTIONS(1781),
    [anon_sym_method] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1781),
    [anon_sym_continue] = ACTIONS(1781),
    [anon_sym_state] = ACTIONS(1781),
    [anon_sym_our] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1781),
    [anon_sym_and] = ACTIONS(1781),
    [anon_sym_or] = ACTIONS(1781),
    [anon_sym_xor] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1781),
    [anon_sym_RBRACK] = ACTIONS(1781),
    [anon_sym_DASH_GT] = ACTIONS(1781),
    [anon_sym_PERCENT] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1781),
    [anon_sym_PLUS_EQ] = ACTIONS(1781),
    [anon_sym_DASH_EQ] = ACTIONS(1781),
    [anon_sym_DOT_EQ] = ACTIONS(1781),
    [anon_sym_STAR_EQ] = ACTIONS(1781),
    [anon_sym_SLASH_EQ] = ACTIONS(1781),
    [anon_sym_PERCENT_EQ] = ACTIONS(1781),
    [anon_sym_x_EQ] = ACTIONS(1781),
    [anon_sym_AMP_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_EQ] = ACTIONS(1781),
    [anon_sym_CARET_EQ] = ACTIONS(1781),
    [anon_sym_LT_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_GT_EQ] = ACTIONS(1781),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1781),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_STAR_STAR] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_CARET_CARET] = ACTIONS(1781),
    [anon_sym_AMP_AMP] = ACTIONS(1781),
    [anon_sym_PIPE] = ACTIONS(1781),
    [anon_sym_CARET] = ACTIONS(1781),
    [anon_sym_AMP] = ACTIONS(1781),
    [anon_sym_GT_GT2] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_x] = ACTIONS(1781),
    [anon_sym_EQ_TILDE] = ACTIONS(1781),
    [anon_sym_BANG_TILDE] = ACTIONS(1781),
    [anon_sym_EQ_EQ] = ACTIONS(1781),
    [anon_sym_BANG_EQ] = ACTIONS(1781),
    [anon_sym_eq] = ACTIONS(1781),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1781),
    [anon_sym_equ] = ACTIONS(1781),
    [anon_sym_eqr] = ACTIONS(1781),
    [anon_sym_ne] = ACTIONS(1781),
    [anon_sym_LT_EQ_GT] = ACTIONS(1781),
    [anon_sym_cmp] = ACTIONS(1781),
    [anon_sym_TILDE_TILDE] = ACTIONS(1781),
    [anon_sym_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_EQ] = ACTIONS(1781),
    [anon_sym_lt] = ACTIONS(1781),
    [anon_sym_le] = ACTIONS(1781),
    [anon_sym_ge] = ACTIONS(1781),
    [anon_sym_gt] = ACTIONS(1781),
    [anon_sym_isa] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_BANG] = ACTIONS(1781),
    [anon_sym_PLUS_PLUS] = ACTIONS(1781),
    [anon_sym_DASH_DASH] = ACTIONS(1781),
    [anon_sym_QMARK] = ACTIONS(1781),
    [anon_sym_BSLASH] = ACTIONS(1783),
    [anon_sym_do] = ACTIONS(1781),
    [anon_sym_eval] = ACTIONS(1781),
    [anon_sym_await] = ACTIONS(1781),
    [anon_sym_field] = ACTIONS(1781),
    [anon_sym_local] = ACTIONS(1781),
    [anon_sym_dynamically] = ACTIONS(1781),
    [anon_sym_require] = ACTIONS(1781),
    [anon_sym_map] = ACTIONS(1781),
    [anon_sym_grep] = ACTIONS(1781),
    [anon_sym_sort] = ACTIONS(1781),
    [anon_sym_goto] = ACTIONS(1781),
    [anon_sym_return] = ACTIONS(1781),
    [anon_sym_undef] = ACTIONS(1781),
    [anon_sym_PERCENT2] = ACTIONS(1781),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1781),
    [anon_sym_EQ_GT] = ACTIONS(1781),
    [anon_sym_last] = ACTIONS(1781),
    [anon_sym_next] = ACTIONS(1781),
    [anon_sym_redo] = ACTIONS(1781),
    [anon_sym___FILE__] = ACTIONS(1781),
    [anon_sym___LINE__] = ACTIONS(1781),
    [anon_sym___PACKAGE__] = ACTIONS(1781),
    [anon_sym___SUB__] = ACTIONS(1781),
    [anon_sym_break] = ACTIONS(1781),
    [anon_sym_fork] = ACTIONS(1781),
    [anon_sym_getppid] = ACTIONS(1781),
    [anon_sym_time] = ACTIONS(1781),
    [anon_sym_times] = ACTIONS(1781),
    [anon_sym_wait] = ACTIONS(1781),
    [anon_sym_wantarray] = ACTIONS(1781),
    [anon_sym_abs] = ACTIONS(1781),
    [anon_sym_alarm] = ACTIONS(1781),
    [anon_sym_chop] = ACTIONS(1781),
    [anon_sym_chdir] = ACTIONS(1781),
    [anon_sym_close] = ACTIONS(1781),
    [anon_sym_closedir] = ACTIONS(1781),
    [anon_sym_caller] = ACTIONS(1781),
    [anon_sym_chomp] = ACTIONS(1781),
    [anon_sym_chr] = ACTIONS(1781),
    [anon_sym_cos] = ACTIONS(1781),
    [anon_sym_chroot] = ACTIONS(1781),
    [anon_sym_defined] = ACTIONS(1781),
    [anon_sym_delete] = ACTIONS(1781),
    [anon_sym_dbmclose] = ACTIONS(1781),
    [anon_sym_exists] = ACTIONS(1781),
    [anon_sym_exit] = ACTIONS(1781),
    [anon_sym_eof] = ACTIONS(1781),
    [anon_sym_exp] = ACTIONS(1781),
    [anon_sym_each] = ACTIONS(1781),
    [anon_sym_fc] = ACTIONS(1781),
    [anon_sym_fileno] = ACTIONS(1781),
    [anon_sym_gmtime] = ACTIONS(1781),
    [anon_sym_getc] = ACTIONS(1781),
    [anon_sym_getpgrp] = ACTIONS(1781),
    [anon_sym_getprotobyname] = ACTIONS(1781),
    [anon_sym_getpwname] = ACTIONS(1781),
    [anon_sym_getpwuid] = ACTIONS(1781),
    [anon_sym_getpeername] = ACTIONS(1781),
    [anon_sym_getnetbyname] = ACTIONS(1781),
    [anon_sym_getsockname] = ACTIONS(1781),
    [anon_sym_getgrnam] = ACTIONS(1781),
    [anon_sym_getgrgid] = ACTIONS(1781),
    [anon_sym_hex] = ACTIONS(1781),
    [anon_sym_int] = ACTIONS(1781),
    [anon_sym_keys] = ACTIONS(1781),
    [anon_sym_lc] = ACTIONS(1781),
    [anon_sym_lcfirst] = ACTIONS(1781),
    [anon_sym_length] = ACTIONS(1781),
    [anon_sym_localtime] = ACTIONS(1781),
    [anon_sym_log] = ACTIONS(1781),
    [anon_sym_lock] = ACTIONS(1781),
    [anon_sym_lstat] = ACTIONS(1781),
    [anon_sym_oct] = ACTIONS(1781),
    [anon_sym_ord] = ACTIONS(1781),
    [anon_sym_prototype] = ACTIONS(1781),
    [anon_sym_pop] = ACTIONS(1781),
    [anon_sym_pos] = ACTIONS(1781),
    [anon_sym_quotemeta] = ACTIONS(1781),
    [anon_sym_reset] = ACTIONS(1781),
    [anon_sym_rand] = ACTIONS(1781),
    [anon_sym_rmdir] = ACTIONS(1781),
    [anon_sym_readdir] = ACTIONS(1781),
    [anon_sym_readline] = ACTIONS(1781),
    [anon_sym_readpipe] = ACTIONS(1781),
    [anon_sym_rewinddir] = ACTIONS(1781),
    [anon_sym_readlink] = ACTIONS(1781),
    [anon_sym_ref] = ACTIONS(1781),
    [anon_sym_scalar] = ACTIONS(1781),
    [anon_sym_shift] = ACTIONS(1781),
    [anon_sym_sin] = ACTIONS(1781),
    [anon_sym_sleep] = ACTIONS(1781),
    [anon_sym_sqrt] = ACTIONS(1781),
    [anon_sym_srand] = ACTIONS(1781),
    [anon_sym_stat] = ACTIONS(1781),
    [anon_sym_study] = ACTIONS(1781),
    [anon_sym_tell] = ACTIONS(1781),
    [anon_sym_telldir] = ACTIONS(1781),
    [anon_sym_tied] = ACTIONS(1781),
    [anon_sym_uc] = ACTIONS(1781),
    [anon_sym_ucfirst] = ACTIONS(1781),
    [anon_sym_untie] = ACTIONS(1781),
    [anon_sym_umask] = ACTIONS(1781),
    [anon_sym_values] = ACTIONS(1781),
    [anon_sym_write] = ACTIONS(1781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1781),
    [anon_sym_qq] = ACTIONS(1781),
    [anon_sym_qw] = ACTIONS(1781),
    [anon_sym_qx] = ACTIONS(1781),
    [anon_sym_qr] = ACTIONS(1781),
    [anon_sym_m] = ACTIONS(1781),
    [anon_sym_s] = ACTIONS(1781),
    [anon_sym_tr] = ACTIONS(1781),
    [anon_sym_y] = ACTIONS(1781),
    [aux_sym__bareword_token1] = ACTIONS(1781),
    [sym_number] = ACTIONS(1781),
    [anon_sym_true] = ACTIONS(1781),
    [anon_sym_false] = ACTIONS(1781),
    [sym__single_quote] = ACTIONS(1783),
    [sym__double_quote] = ACTIONS(1783),
    [sym__backtick_quote] = ACTIONS(1783),
    [sym__search_slash_quote] = ACTIONS(1783),
    [sym__no_search_slash_plz] = ACTIONS(1783),
    [sym__PERLY_HEREDOC] = ACTIONS(1783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1783),
    [sym__filetest] = ACTIONS(1783),
  },
  [734] = {
    [sym_heredoc_content] = STATE(734),
    [sym__identifier] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_RBRACE] = ACTIONS(1755),
    [anon_sym_SEMI] = ACTIONS(1755),
    [anon_sym_DOLLAR] = ACTIONS(1755),
    [anon_sym_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1755),
    [anon_sym_AT] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_RPAREN] = ACTIONS(1755),
    [anon_sym_my] = ACTIONS(1755),
    [anon_sym_extended] = ACTIONS(1755),
    [anon_sym_async] = ACTIONS(1755),
    [anon_sym_sub] = ACTIONS(1755),
    [anon_sym_method] = ACTIONS(1755),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_continue] = ACTIONS(1755),
    [anon_sym_state] = ACTIONS(1755),
    [anon_sym_our] = ACTIONS(1755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1755),
    [anon_sym_and] = ACTIONS(1755),
    [anon_sym_or] = ACTIONS(1755),
    [anon_sym_xor] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1757),
    [anon_sym_RBRACK] = ACTIONS(1755),
    [anon_sym_DASH_GT] = ACTIONS(1755),
    [anon_sym_PERCENT] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1755),
    [anon_sym_PLUS_EQ] = ACTIONS(1755),
    [anon_sym_DASH_EQ] = ACTIONS(1755),
    [anon_sym_DOT_EQ] = ACTIONS(1755),
    [anon_sym_STAR_EQ] = ACTIONS(1755),
    [anon_sym_SLASH_EQ] = ACTIONS(1755),
    [anon_sym_PERCENT_EQ] = ACTIONS(1755),
    [anon_sym_x_EQ] = ACTIONS(1755),
    [anon_sym_AMP_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_CARET_EQ] = ACTIONS(1755),
    [anon_sym_LT_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_GT_EQ] = ACTIONS(1755),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1755),
    [anon_sym_DOT_DOT] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH] = ACTIONS(1755),
    [anon_sym_CARET_CARET] = ACTIONS(1755),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_GT_GT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1755),
    [anon_sym_x] = ACTIONS(1755),
    [anon_sym_EQ_TILDE] = ACTIONS(1755),
    [anon_sym_BANG_TILDE] = ACTIONS(1755),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_eq] = ACTIONS(1755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1755),
    [anon_sym_equ] = ACTIONS(1755),
    [anon_sym_eqr] = ACTIONS(1755),
    [anon_sym_ne] = ACTIONS(1755),
    [anon_sym_LT_EQ_GT] = ACTIONS(1755),
    [anon_sym_cmp] = ACTIONS(1755),
    [anon_sym_TILDE_TILDE] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_lt] = ACTIONS(1755),
    [anon_sym_le] = ACTIONS(1755),
    [anon_sym_ge] = ACTIONS(1755),
    [anon_sym_gt] = ACTIONS(1755),
    [anon_sym_isa] = ACTIONS(1755),
    [anon_sym_TILDE] = ACTIONS(1755),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_PLUS_PLUS] = ACTIONS(1755),
    [anon_sym_DASH_DASH] = ACTIONS(1755),
    [anon_sym_QMARK] = ACTIONS(1755),
    [anon_sym_BSLASH] = ACTIONS(1759),
    [anon_sym_do] = ACTIONS(1755),
    [anon_sym_eval] = ACTIONS(1755),
    [anon_sym_await] = ACTIONS(1755),
    [anon_sym_field] = ACTIONS(1755),
    [anon_sym_local] = ACTIONS(1755),
    [anon_sym_dynamically] = ACTIONS(1755),
    [anon_sym_require] = ACTIONS(1755),
    [anon_sym_map] = ACTIONS(1755),
    [anon_sym_grep] = ACTIONS(1755),
    [anon_sym_sort] = ACTIONS(1755),
    [anon_sym_goto] = ACTIONS(1755),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_undef] = ACTIONS(1755),
    [anon_sym_PERCENT2] = ACTIONS(1755),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(1755),
    [anon_sym_last] = ACTIONS(1755),
    [anon_sym_next] = ACTIONS(1755),
    [anon_sym_redo] = ACTIONS(1755),
    [anon_sym___FILE__] = ACTIONS(1755),
    [anon_sym___LINE__] = ACTIONS(1755),
    [anon_sym___PACKAGE__] = ACTIONS(1755),
    [anon_sym___SUB__] = ACTIONS(1755),
    [anon_sym_break] = ACTIONS(1755),
    [anon_sym_fork] = ACTIONS(1755),
    [anon_sym_getppid] = ACTIONS(1755),
    [anon_sym_time] = ACTIONS(1755),
    [anon_sym_times] = ACTIONS(1755),
    [anon_sym_wait] = ACTIONS(1755),
    [anon_sym_wantarray] = ACTIONS(1755),
    [anon_sym_abs] = ACTIONS(1755),
    [anon_sym_alarm] = ACTIONS(1755),
    [anon_sym_chop] = ACTIONS(1755),
    [anon_sym_chdir] = ACTIONS(1755),
    [anon_sym_close] = ACTIONS(1755),
    [anon_sym_closedir] = ACTIONS(1755),
    [anon_sym_caller] = ACTIONS(1755),
    [anon_sym_chomp] = ACTIONS(1755),
    [anon_sym_chr] = ACTIONS(1755),
    [anon_sym_cos] = ACTIONS(1755),
    [anon_sym_chroot] = ACTIONS(1755),
    [anon_sym_defined] = ACTIONS(1755),
    [anon_sym_delete] = ACTIONS(1755),
    [anon_sym_dbmclose] = ACTIONS(1755),
    [anon_sym_exists] = ACTIONS(1755),
    [anon_sym_exit] = ACTIONS(1755),
    [anon_sym_eof] = ACTIONS(1755),
    [anon_sym_exp] = ACTIONS(1755),
    [anon_sym_each] = ACTIONS(1755),
    [anon_sym_fc] = ACTIONS(1755),
    [anon_sym_fileno] = ACTIONS(1755),
    [anon_sym_gmtime] = ACTIONS(1755),
    [anon_sym_getc] = ACTIONS(1755),
    [anon_sym_getpgrp] = ACTIONS(1755),
    [anon_sym_getprotobyname] = ACTIONS(1755),
    [anon_sym_getpwname] = ACTIONS(1755),
    [anon_sym_getpwuid] = ACTIONS(1755),
    [anon_sym_getpeername] = ACTIONS(1755),
    [anon_sym_getnetbyname] = ACTIONS(1755),
    [anon_sym_getsockname] = ACTIONS(1755),
    [anon_sym_getgrnam] = ACTIONS(1755),
    [anon_sym_getgrgid] = ACTIONS(1755),
    [anon_sym_hex] = ACTIONS(1755),
    [anon_sym_int] = ACTIONS(1755),
    [anon_sym_keys] = ACTIONS(1755),
    [anon_sym_lc] = ACTIONS(1755),
    [anon_sym_lcfirst] = ACTIONS(1755),
    [anon_sym_length] = ACTIONS(1755),
    [anon_sym_localtime] = ACTIONS(1755),
    [anon_sym_log] = ACTIONS(1755),
    [anon_sym_lock] = ACTIONS(1755),
    [anon_sym_lstat] = ACTIONS(1755),
    [anon_sym_oct] = ACTIONS(1755),
    [anon_sym_ord] = ACTIONS(1755),
    [anon_sym_prototype] = ACTIONS(1755),
    [anon_sym_pop] = ACTIONS(1755),
    [anon_sym_pos] = ACTIONS(1755),
    [anon_sym_quotemeta] = ACTIONS(1755),
    [anon_sym_reset] = ACTIONS(1755),
    [anon_sym_rand] = ACTIONS(1755),
    [anon_sym_rmdir] = ACTIONS(1755),
    [anon_sym_readdir] = ACTIONS(1755),
    [anon_sym_readline] = ACTIONS(1755),
    [anon_sym_readpipe] = ACTIONS(1755),
    [anon_sym_rewinddir] = ACTIONS(1755),
    [anon_sym_readlink] = ACTIONS(1755),
    [anon_sym_ref] = ACTIONS(1755),
    [anon_sym_scalar] = ACTIONS(1755),
    [anon_sym_shift] = ACTIONS(1755),
    [anon_sym_sin] = ACTIONS(1755),
    [anon_sym_sleep] = ACTIONS(1755),
    [anon_sym_sqrt] = ACTIONS(1755),
    [anon_sym_srand] = ACTIONS(1755),
    [anon_sym_stat] = ACTIONS(1755),
    [anon_sym_study] = ACTIONS(1755),
    [anon_sym_tell] = ACTIONS(1755),
    [anon_sym_telldir] = ACTIONS(1755),
    [anon_sym_tied] = ACTIONS(1755),
    [anon_sym_uc] = ACTIONS(1755),
    [anon_sym_ucfirst] = ACTIONS(1755),
    [anon_sym_untie] = ACTIONS(1755),
    [anon_sym_umask] = ACTIONS(1755),
    [anon_sym_values] = ACTIONS(1755),
    [anon_sym_write] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1755),
    [anon_sym_qq] = ACTIONS(1755),
    [anon_sym_qw] = ACTIONS(1755),
    [anon_sym_qx] = ACTIONS(1755),
    [anon_sym_qr] = ACTIONS(1755),
    [anon_sym_m] = ACTIONS(1755),
    [anon_sym_s] = ACTIONS(1755),
    [anon_sym_tr] = ACTIONS(1755),
    [anon_sym_y] = ACTIONS(1755),
    [aux_sym__bareword_token1] = ACTIONS(1755),
    [sym_number] = ACTIONS(1755),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [sym__single_quote] = ACTIONS(1759),
    [sym__double_quote] = ACTIONS(1759),
    [sym__backtick_quote] = ACTIONS(1759),
    [sym__search_slash_quote] = ACTIONS(1759),
    [sym__no_search_slash_plz] = ACTIONS(1759),
    [sym__PERLY_HEREDOC] = ACTIONS(1759),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1759),
    [sym__filetest] = ACTIONS(1759),
  },
  [735] = {
    [sym_heredoc_content] = STATE(735),
    [sym__identifier] = ACTIONS(1736),
    [anon_sym_LBRACE] = ACTIONS(1736),
    [anon_sym_RBRACE] = ACTIONS(1736),
    [anon_sym_SEMI] = ACTIONS(1736),
    [anon_sym_DOLLAR] = ACTIONS(1736),
    [anon_sym_EQ] = ACTIONS(1736),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1736),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1736),
    [anon_sym_AT] = ACTIONS(1736),
    [anon_sym_COMMA] = ACTIONS(1736),
    [anon_sym_RPAREN] = ACTIONS(1736),
    [anon_sym_my] = ACTIONS(1736),
    [anon_sym_extended] = ACTIONS(1736),
    [anon_sym_async] = ACTIONS(1736),
    [anon_sym_sub] = ACTIONS(1736),
    [anon_sym_method] = ACTIONS(1736),
    [anon_sym_LPAREN] = ACTIONS(1736),
    [anon_sym_continue] = ACTIONS(1736),
    [anon_sym_state] = ACTIONS(1736),
    [anon_sym_our] = ACTIONS(1736),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1736),
    [anon_sym_and] = ACTIONS(1736),
    [anon_sym_or] = ACTIONS(1736),
    [anon_sym_xor] = ACTIONS(1736),
    [anon_sym_LBRACK] = ACTIONS(1736),
    [anon_sym_RBRACK] = ACTIONS(1736),
    [anon_sym_DASH_GT] = ACTIONS(1736),
    [anon_sym_PERCENT] = ACTIONS(1736),
    [anon_sym_LT] = ACTIONS(1736),
    [anon_sym_GT] = ACTIONS(1736),
    [anon_sym_LT_LT] = ACTIONS(1736),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1736),
    [anon_sym_PLUS_EQ] = ACTIONS(1736),
    [anon_sym_DASH_EQ] = ACTIONS(1736),
    [anon_sym_DOT_EQ] = ACTIONS(1736),
    [anon_sym_STAR_EQ] = ACTIONS(1736),
    [anon_sym_SLASH_EQ] = ACTIONS(1736),
    [anon_sym_PERCENT_EQ] = ACTIONS(1736),
    [anon_sym_x_EQ] = ACTIONS(1736),
    [anon_sym_AMP_EQ] = ACTIONS(1736),
    [anon_sym_PIPE_EQ] = ACTIONS(1736),
    [anon_sym_CARET_EQ] = ACTIONS(1736),
    [anon_sym_LT_LT_EQ] = ACTIONS(1736),
    [anon_sym_GT_GT_EQ] = ACTIONS(1736),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1736),
    [anon_sym_DOT_DOT] = ACTIONS(1736),
    [anon_sym_STAR_STAR] = ACTIONS(1736),
    [anon_sym_PIPE_PIPE] = ACTIONS(1736),
    [anon_sym_SLASH_SLASH] = ACTIONS(1736),
    [anon_sym_CARET_CARET] = ACTIONS(1736),
    [anon_sym_AMP_AMP] = ACTIONS(1736),
    [anon_sym_PIPE] = ACTIONS(1736),
    [anon_sym_CARET] = ACTIONS(1736),
    [anon_sym_AMP] = ACTIONS(1736),
    [anon_sym_GT_GT2] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1736),
    [anon_sym_DOT] = ACTIONS(1736),
    [anon_sym_STAR] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1736),
    [anon_sym_x] = ACTIONS(1736),
    [anon_sym_EQ_TILDE] = ACTIONS(1736),
    [anon_sym_BANG_TILDE] = ACTIONS(1736),
    [anon_sym_EQ_EQ] = ACTIONS(1736),
    [anon_sym_BANG_EQ] = ACTIONS(1736),
    [anon_sym_eq] = ACTIONS(1736),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1736),
    [anon_sym_equ] = ACTIONS(1736),
    [anon_sym_eqr] = ACTIONS(1736),
    [anon_sym_ne] = ACTIONS(1736),
    [anon_sym_LT_EQ_GT] = ACTIONS(1736),
    [anon_sym_cmp] = ACTIONS(1736),
    [anon_sym_TILDE_TILDE] = ACTIONS(1736),
    [anon_sym_LT_EQ] = ACTIONS(1736),
    [anon_sym_GT_EQ] = ACTIONS(1736),
    [anon_sym_lt] = ACTIONS(1736),
    [anon_sym_le] = ACTIONS(1736),
    [anon_sym_ge] = ACTIONS(1736),
    [anon_sym_gt] = ACTIONS(1736),
    [anon_sym_isa] = ACTIONS(1736),
    [anon_sym_TILDE] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1736),
    [anon_sym_PLUS_PLUS] = ACTIONS(1736),
    [anon_sym_DASH_DASH] = ACTIONS(1736),
    [anon_sym_QMARK] = ACTIONS(1736),
    [anon_sym_BSLASH] = ACTIONS(1738),
    [anon_sym_do] = ACTIONS(1736),
    [anon_sym_eval] = ACTIONS(1736),
    [anon_sym_await] = ACTIONS(1736),
    [anon_sym_field] = ACTIONS(1736),
    [anon_sym_local] = ACTIONS(1736),
    [anon_sym_dynamically] = ACTIONS(1736),
    [anon_sym_require] = ACTIONS(1736),
    [anon_sym_map] = ACTIONS(1736),
    [anon_sym_grep] = ACTIONS(1736),
    [anon_sym_sort] = ACTIONS(1736),
    [anon_sym_goto] = ACTIONS(1736),
    [anon_sym_return] = ACTIONS(1736),
    [anon_sym_undef] = ACTIONS(1736),
    [anon_sym_PERCENT2] = ACTIONS(1736),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1736),
    [anon_sym_EQ_GT] = ACTIONS(1736),
    [anon_sym_last] = ACTIONS(1736),
    [anon_sym_next] = ACTIONS(1736),
    [anon_sym_redo] = ACTIONS(1736),
    [anon_sym___FILE__] = ACTIONS(1736),
    [anon_sym___LINE__] = ACTIONS(1736),
    [anon_sym___PACKAGE__] = ACTIONS(1736),
    [anon_sym___SUB__] = ACTIONS(1736),
    [anon_sym_break] = ACTIONS(1736),
    [anon_sym_fork] = ACTIONS(1736),
    [anon_sym_getppid] = ACTIONS(1736),
    [anon_sym_time] = ACTIONS(1736),
    [anon_sym_times] = ACTIONS(1736),
    [anon_sym_wait] = ACTIONS(1736),
    [anon_sym_wantarray] = ACTIONS(1736),
    [anon_sym_abs] = ACTIONS(1736),
    [anon_sym_alarm] = ACTIONS(1736),
    [anon_sym_chop] = ACTIONS(1736),
    [anon_sym_chdir] = ACTIONS(1736),
    [anon_sym_close] = ACTIONS(1736),
    [anon_sym_closedir] = ACTIONS(1736),
    [anon_sym_caller] = ACTIONS(1736),
    [anon_sym_chomp] = ACTIONS(1736),
    [anon_sym_chr] = ACTIONS(1736),
    [anon_sym_cos] = ACTIONS(1736),
    [anon_sym_chroot] = ACTIONS(1736),
    [anon_sym_defined] = ACTIONS(1736),
    [anon_sym_delete] = ACTIONS(1736),
    [anon_sym_dbmclose] = ACTIONS(1736),
    [anon_sym_exists] = ACTIONS(1736),
    [anon_sym_exit] = ACTIONS(1736),
    [anon_sym_eof] = ACTIONS(1736),
    [anon_sym_exp] = ACTIONS(1736),
    [anon_sym_each] = ACTIONS(1736),
    [anon_sym_fc] = ACTIONS(1736),
    [anon_sym_fileno] = ACTIONS(1736),
    [anon_sym_gmtime] = ACTIONS(1736),
    [anon_sym_getc] = ACTIONS(1736),
    [anon_sym_getpgrp] = ACTIONS(1736),
    [anon_sym_getprotobyname] = ACTIONS(1736),
    [anon_sym_getpwname] = ACTIONS(1736),
    [anon_sym_getpwuid] = ACTIONS(1736),
    [anon_sym_getpeername] = ACTIONS(1736),
    [anon_sym_getnetbyname] = ACTIONS(1736),
    [anon_sym_getsockname] = ACTIONS(1736),
    [anon_sym_getgrnam] = ACTIONS(1736),
    [anon_sym_getgrgid] = ACTIONS(1736),
    [anon_sym_hex] = ACTIONS(1736),
    [anon_sym_int] = ACTIONS(1736),
    [anon_sym_keys] = ACTIONS(1736),
    [anon_sym_lc] = ACTIONS(1736),
    [anon_sym_lcfirst] = ACTIONS(1736),
    [anon_sym_length] = ACTIONS(1736),
    [anon_sym_localtime] = ACTIONS(1736),
    [anon_sym_log] = ACTIONS(1736),
    [anon_sym_lock] = ACTIONS(1736),
    [anon_sym_lstat] = ACTIONS(1736),
    [anon_sym_oct] = ACTIONS(1736),
    [anon_sym_ord] = ACTIONS(1736),
    [anon_sym_prototype] = ACTIONS(1736),
    [anon_sym_pop] = ACTIONS(1736),
    [anon_sym_pos] = ACTIONS(1736),
    [anon_sym_quotemeta] = ACTIONS(1736),
    [anon_sym_reset] = ACTIONS(1736),
    [anon_sym_rand] = ACTIONS(1736),
    [anon_sym_rmdir] = ACTIONS(1736),
    [anon_sym_readdir] = ACTIONS(1736),
    [anon_sym_readline] = ACTIONS(1736),
    [anon_sym_readpipe] = ACTIONS(1736),
    [anon_sym_rewinddir] = ACTIONS(1736),
    [anon_sym_readlink] = ACTIONS(1736),
    [anon_sym_ref] = ACTIONS(1736),
    [anon_sym_scalar] = ACTIONS(1736),
    [anon_sym_shift] = ACTIONS(1736),
    [anon_sym_sin] = ACTIONS(1736),
    [anon_sym_sleep] = ACTIONS(1736),
    [anon_sym_sqrt] = ACTIONS(1736),
    [anon_sym_srand] = ACTIONS(1736),
    [anon_sym_stat] = ACTIONS(1736),
    [anon_sym_study] = ACTIONS(1736),
    [anon_sym_tell] = ACTIONS(1736),
    [anon_sym_telldir] = ACTIONS(1736),
    [anon_sym_tied] = ACTIONS(1736),
    [anon_sym_uc] = ACTIONS(1736),
    [anon_sym_ucfirst] = ACTIONS(1736),
    [anon_sym_untie] = ACTIONS(1736),
    [anon_sym_umask] = ACTIONS(1736),
    [anon_sym_values] = ACTIONS(1736),
    [anon_sym_write] = ACTIONS(1736),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1736),
    [anon_sym_qq] = ACTIONS(1736),
    [anon_sym_qw] = ACTIONS(1736),
    [anon_sym_qx] = ACTIONS(1736),
    [anon_sym_qr] = ACTIONS(1736),
    [anon_sym_m] = ACTIONS(1736),
    [anon_sym_s] = ACTIONS(1736),
    [anon_sym_tr] = ACTIONS(1736),
    [anon_sym_y] = ACTIONS(1736),
    [aux_sym__bareword_token1] = ACTIONS(1736),
    [sym_number] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1736),
    [anon_sym_false] = ACTIONS(1736),
    [sym__single_quote] = ACTIONS(1738),
    [sym__double_quote] = ACTIONS(1738),
    [sym__backtick_quote] = ACTIONS(1738),
    [sym__search_slash_quote] = ACTIONS(1738),
    [sym__no_search_slash_plz] = ACTIONS(1738),
    [sym__PERLY_HEREDOC] = ACTIONS(1738),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1738),
    [sym__filetest] = ACTIONS(1738),
  },
  [736] = {
    [sym_heredoc_content] = STATE(736),
    [sym__identifier] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1769),
    [anon_sym_RBRACE] = ACTIONS(1769),
    [anon_sym_SEMI] = ACTIONS(1769),
    [anon_sym_DOLLAR] = ACTIONS(1769),
    [anon_sym_EQ] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1769),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1769),
    [anon_sym_AT] = ACTIONS(1769),
    [anon_sym_COMMA] = ACTIONS(1769),
    [anon_sym_RPAREN] = ACTIONS(1769),
    [anon_sym_my] = ACTIONS(1769),
    [anon_sym_extended] = ACTIONS(1769),
    [anon_sym_async] = ACTIONS(1769),
    [anon_sym_sub] = ACTIONS(1769),
    [anon_sym_method] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1769),
    [anon_sym_continue] = ACTIONS(1769),
    [anon_sym_state] = ACTIONS(1769),
    [anon_sym_our] = ACTIONS(1769),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1769),
    [anon_sym_and] = ACTIONS(1769),
    [anon_sym_or] = ACTIONS(1769),
    [anon_sym_xor] = ACTIONS(1769),
    [anon_sym_LBRACK] = ACTIONS(1769),
    [anon_sym_RBRACK] = ACTIONS(1769),
    [anon_sym_DASH_GT] = ACTIONS(1769),
    [anon_sym_PERCENT] = ACTIONS(1769),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_GT] = ACTIONS(1769),
    [anon_sym_LT_LT] = ACTIONS(1769),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1769),
    [anon_sym_PLUS_EQ] = ACTIONS(1769),
    [anon_sym_DASH_EQ] = ACTIONS(1769),
    [anon_sym_DOT_EQ] = ACTIONS(1769),
    [anon_sym_STAR_EQ] = ACTIONS(1769),
    [anon_sym_SLASH_EQ] = ACTIONS(1769),
    [anon_sym_PERCENT_EQ] = ACTIONS(1769),
    [anon_sym_x_EQ] = ACTIONS(1769),
    [anon_sym_AMP_EQ] = ACTIONS(1769),
    [anon_sym_PIPE_EQ] = ACTIONS(1769),
    [anon_sym_CARET_EQ] = ACTIONS(1769),
    [anon_sym_LT_LT_EQ] = ACTIONS(1769),
    [anon_sym_GT_GT_EQ] = ACTIONS(1769),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1769),
    [anon_sym_DOT_DOT] = ACTIONS(1769),
    [anon_sym_STAR_STAR] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE] = ACTIONS(1769),
    [anon_sym_SLASH_SLASH] = ACTIONS(1769),
    [anon_sym_CARET_CARET] = ACTIONS(1769),
    [anon_sym_AMP_AMP] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1769),
    [anon_sym_CARET] = ACTIONS(1769),
    [anon_sym_AMP] = ACTIONS(1769),
    [anon_sym_GT_GT2] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_DOT] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1769),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_x] = ACTIONS(1769),
    [anon_sym_EQ_TILDE] = ACTIONS(1769),
    [anon_sym_BANG_TILDE] = ACTIONS(1769),
    [anon_sym_EQ_EQ] = ACTIONS(1769),
    [anon_sym_BANG_EQ] = ACTIONS(1769),
    [anon_sym_eq] = ACTIONS(1769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1769),
    [anon_sym_equ] = ACTIONS(1769),
    [anon_sym_eqr] = ACTIONS(1769),
    [anon_sym_ne] = ACTIONS(1769),
    [anon_sym_LT_EQ_GT] = ACTIONS(1769),
    [anon_sym_cmp] = ACTIONS(1769),
    [anon_sym_TILDE_TILDE] = ACTIONS(1769),
    [anon_sym_LT_EQ] = ACTIONS(1769),
    [anon_sym_GT_EQ] = ACTIONS(1769),
    [anon_sym_lt] = ACTIONS(1769),
    [anon_sym_le] = ACTIONS(1769),
    [anon_sym_ge] = ACTIONS(1769),
    [anon_sym_gt] = ACTIONS(1769),
    [anon_sym_isa] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_PLUS_PLUS] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1769),
    [anon_sym_QMARK] = ACTIONS(1769),
    [anon_sym_BSLASH] = ACTIONS(1771),
    [anon_sym_do] = ACTIONS(1769),
    [anon_sym_eval] = ACTIONS(1769),
    [anon_sym_await] = ACTIONS(1769),
    [anon_sym_field] = ACTIONS(1769),
    [anon_sym_local] = ACTIONS(1769),
    [anon_sym_dynamically] = ACTIONS(1769),
    [anon_sym_require] = ACTIONS(1769),
    [anon_sym_map] = ACTIONS(1769),
    [anon_sym_grep] = ACTIONS(1769),
    [anon_sym_sort] = ACTIONS(1769),
    [anon_sym_goto] = ACTIONS(1769),
    [anon_sym_return] = ACTIONS(1769),
    [anon_sym_undef] = ACTIONS(1769),
    [anon_sym_PERCENT2] = ACTIONS(1769),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1769),
    [anon_sym_EQ_GT] = ACTIONS(1769),
    [anon_sym_last] = ACTIONS(1769),
    [anon_sym_next] = ACTIONS(1769),
    [anon_sym_redo] = ACTIONS(1769),
    [anon_sym___FILE__] = ACTIONS(1769),
    [anon_sym___LINE__] = ACTIONS(1769),
    [anon_sym___PACKAGE__] = ACTIONS(1769),
    [anon_sym___SUB__] = ACTIONS(1769),
    [anon_sym_break] = ACTIONS(1769),
    [anon_sym_fork] = ACTIONS(1769),
    [anon_sym_getppid] = ACTIONS(1769),
    [anon_sym_time] = ACTIONS(1769),
    [anon_sym_times] = ACTIONS(1769),
    [anon_sym_wait] = ACTIONS(1769),
    [anon_sym_wantarray] = ACTIONS(1769),
    [anon_sym_abs] = ACTIONS(1769),
    [anon_sym_alarm] = ACTIONS(1769),
    [anon_sym_chop] = ACTIONS(1769),
    [anon_sym_chdir] = ACTIONS(1769),
    [anon_sym_close] = ACTIONS(1769),
    [anon_sym_closedir] = ACTIONS(1769),
    [anon_sym_caller] = ACTIONS(1769),
    [anon_sym_chomp] = ACTIONS(1769),
    [anon_sym_chr] = ACTIONS(1769),
    [anon_sym_cos] = ACTIONS(1769),
    [anon_sym_chroot] = ACTIONS(1769),
    [anon_sym_defined] = ACTIONS(1769),
    [anon_sym_delete] = ACTIONS(1769),
    [anon_sym_dbmclose] = ACTIONS(1769),
    [anon_sym_exists] = ACTIONS(1769),
    [anon_sym_exit] = ACTIONS(1769),
    [anon_sym_eof] = ACTIONS(1769),
    [anon_sym_exp] = ACTIONS(1769),
    [anon_sym_each] = ACTIONS(1769),
    [anon_sym_fc] = ACTIONS(1769),
    [anon_sym_fileno] = ACTIONS(1769),
    [anon_sym_gmtime] = ACTIONS(1769),
    [anon_sym_getc] = ACTIONS(1769),
    [anon_sym_getpgrp] = ACTIONS(1769),
    [anon_sym_getprotobyname] = ACTIONS(1769),
    [anon_sym_getpwname] = ACTIONS(1769),
    [anon_sym_getpwuid] = ACTIONS(1769),
    [anon_sym_getpeername] = ACTIONS(1769),
    [anon_sym_getnetbyname] = ACTIONS(1769),
    [anon_sym_getsockname] = ACTIONS(1769),
    [anon_sym_getgrnam] = ACTIONS(1769),
    [anon_sym_getgrgid] = ACTIONS(1769),
    [anon_sym_hex] = ACTIONS(1769),
    [anon_sym_int] = ACTIONS(1769),
    [anon_sym_keys] = ACTIONS(1769),
    [anon_sym_lc] = ACTIONS(1769),
    [anon_sym_lcfirst] = ACTIONS(1769),
    [anon_sym_length] = ACTIONS(1769),
    [anon_sym_localtime] = ACTIONS(1769),
    [anon_sym_log] = ACTIONS(1769),
    [anon_sym_lock] = ACTIONS(1769),
    [anon_sym_lstat] = ACTIONS(1769),
    [anon_sym_oct] = ACTIONS(1769),
    [anon_sym_ord] = ACTIONS(1769),
    [anon_sym_prototype] = ACTIONS(1769),
    [anon_sym_pop] = ACTIONS(1769),
    [anon_sym_pos] = ACTIONS(1769),
    [anon_sym_quotemeta] = ACTIONS(1769),
    [anon_sym_reset] = ACTIONS(1769),
    [anon_sym_rand] = ACTIONS(1769),
    [anon_sym_rmdir] = ACTIONS(1769),
    [anon_sym_readdir] = ACTIONS(1769),
    [anon_sym_readline] = ACTIONS(1769),
    [anon_sym_readpipe] = ACTIONS(1769),
    [anon_sym_rewinddir] = ACTIONS(1769),
    [anon_sym_readlink] = ACTIONS(1769),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_scalar] = ACTIONS(1769),
    [anon_sym_shift] = ACTIONS(1769),
    [anon_sym_sin] = ACTIONS(1769),
    [anon_sym_sleep] = ACTIONS(1769),
    [anon_sym_sqrt] = ACTIONS(1769),
    [anon_sym_srand] = ACTIONS(1769),
    [anon_sym_stat] = ACTIONS(1769),
    [anon_sym_study] = ACTIONS(1769),
    [anon_sym_tell] = ACTIONS(1769),
    [anon_sym_telldir] = ACTIONS(1769),
    [anon_sym_tied] = ACTIONS(1769),
    [anon_sym_uc] = ACTIONS(1769),
    [anon_sym_ucfirst] = ACTIONS(1769),
    [anon_sym_untie] = ACTIONS(1769),
    [anon_sym_umask] = ACTIONS(1769),
    [anon_sym_values] = ACTIONS(1769),
    [anon_sym_write] = ACTIONS(1769),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1769),
    [anon_sym_qq] = ACTIONS(1769),
    [anon_sym_qw] = ACTIONS(1769),
    [anon_sym_qx] = ACTIONS(1769),
    [anon_sym_qr] = ACTIONS(1769),
    [anon_sym_m] = ACTIONS(1769),
    [anon_sym_s] = ACTIONS(1769),
    [anon_sym_tr] = ACTIONS(1769),
    [anon_sym_y] = ACTIONS(1769),
    [aux_sym__bareword_token1] = ACTIONS(1769),
    [sym_number] = ACTIONS(1769),
    [anon_sym_true] = ACTIONS(1769),
    [anon_sym_false] = ACTIONS(1769),
    [sym__single_quote] = ACTIONS(1771),
    [sym__double_quote] = ACTIONS(1771),
    [sym__backtick_quote] = ACTIONS(1771),
    [sym__search_slash_quote] = ACTIONS(1771),
    [sym__no_search_slash_plz] = ACTIONS(1771),
    [sym__PERLY_HEREDOC] = ACTIONS(1771),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1771),
    [sym__filetest] = ACTIONS(1771),
  },
  [737] = {
    [sym_heredoc_content] = STATE(737),
    [sym__identifier] = ACTIONS(1765),
    [anon_sym_LBRACE] = ACTIONS(1765),
    [anon_sym_RBRACE] = ACTIONS(1765),
    [anon_sym_SEMI] = ACTIONS(1765),
    [anon_sym_DOLLAR] = ACTIONS(1765),
    [anon_sym_EQ] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1765),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1765),
    [anon_sym_AT] = ACTIONS(1765),
    [anon_sym_COMMA] = ACTIONS(1765),
    [anon_sym_RPAREN] = ACTIONS(1765),
    [anon_sym_my] = ACTIONS(1765),
    [anon_sym_extended] = ACTIONS(1765),
    [anon_sym_async] = ACTIONS(1765),
    [anon_sym_sub] = ACTIONS(1765),
    [anon_sym_method] = ACTIONS(1765),
    [anon_sym_LPAREN] = ACTIONS(1765),
    [anon_sym_continue] = ACTIONS(1765),
    [anon_sym_state] = ACTIONS(1765),
    [anon_sym_our] = ACTIONS(1765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_and] = ACTIONS(1765),
    [anon_sym_or] = ACTIONS(1765),
    [anon_sym_xor] = ACTIONS(1765),
    [anon_sym_LBRACK] = ACTIONS(1765),
    [anon_sym_RBRACK] = ACTIONS(1765),
    [anon_sym_DASH_GT] = ACTIONS(1765),
    [anon_sym_PERCENT] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1765),
    [anon_sym_LT_LT] = ACTIONS(1765),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1765),
    [anon_sym_PLUS_EQ] = ACTIONS(1765),
    [anon_sym_DASH_EQ] = ACTIONS(1765),
    [anon_sym_DOT_EQ] = ACTIONS(1765),
    [anon_sym_STAR_EQ] = ACTIONS(1765),
    [anon_sym_SLASH_EQ] = ACTIONS(1765),
    [anon_sym_PERCENT_EQ] = ACTIONS(1765),
    [anon_sym_x_EQ] = ACTIONS(1765),
    [anon_sym_AMP_EQ] = ACTIONS(1765),
    [anon_sym_PIPE_EQ] = ACTIONS(1765),
    [anon_sym_CARET_EQ] = ACTIONS(1765),
    [anon_sym_LT_LT_EQ] = ACTIONS(1765),
    [anon_sym_GT_GT_EQ] = ACTIONS(1765),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1765),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_STAR_STAR] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1765),
    [anon_sym_SLASH_SLASH] = ACTIONS(1765),
    [anon_sym_CARET_CARET] = ACTIONS(1765),
    [anon_sym_AMP_AMP] = ACTIONS(1765),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_CARET] = ACTIONS(1765),
    [anon_sym_AMP] = ACTIONS(1765),
    [anon_sym_GT_GT2] = ACTIONS(1765),
    [anon_sym_PLUS] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_DOT] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1765),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_x] = ACTIONS(1765),
    [anon_sym_EQ_TILDE] = ACTIONS(1765),
    [anon_sym_BANG_TILDE] = ACTIONS(1765),
    [anon_sym_EQ_EQ] = ACTIONS(1765),
    [anon_sym_BANG_EQ] = ACTIONS(1765),
    [anon_sym_eq] = ACTIONS(1765),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1765),
    [anon_sym_equ] = ACTIONS(1765),
    [anon_sym_eqr] = ACTIONS(1765),
    [anon_sym_ne] = ACTIONS(1765),
    [anon_sym_LT_EQ_GT] = ACTIONS(1765),
    [anon_sym_cmp] = ACTIONS(1765),
    [anon_sym_TILDE_TILDE] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1765),
    [anon_sym_GT_EQ] = ACTIONS(1765),
    [anon_sym_lt] = ACTIONS(1765),
    [anon_sym_le] = ACTIONS(1765),
    [anon_sym_ge] = ACTIONS(1765),
    [anon_sym_gt] = ACTIONS(1765),
    [anon_sym_isa] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_PLUS_PLUS] = ACTIONS(1765),
    [anon_sym_DASH_DASH] = ACTIONS(1765),
    [anon_sym_QMARK] = ACTIONS(1765),
    [anon_sym_BSLASH] = ACTIONS(1767),
    [anon_sym_do] = ACTIONS(1765),
    [anon_sym_eval] = ACTIONS(1765),
    [anon_sym_await] = ACTIONS(1765),
    [anon_sym_field] = ACTIONS(1765),
    [anon_sym_local] = ACTIONS(1765),
    [anon_sym_dynamically] = ACTIONS(1765),
    [anon_sym_require] = ACTIONS(1765),
    [anon_sym_map] = ACTIONS(1765),
    [anon_sym_grep] = ACTIONS(1765),
    [anon_sym_sort] = ACTIONS(1765),
    [anon_sym_goto] = ACTIONS(1765),
    [anon_sym_return] = ACTIONS(1765),
    [anon_sym_undef] = ACTIONS(1765),
    [anon_sym_PERCENT2] = ACTIONS(1765),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1765),
    [anon_sym_EQ_GT] = ACTIONS(1765),
    [anon_sym_last] = ACTIONS(1765),
    [anon_sym_next] = ACTIONS(1765),
    [anon_sym_redo] = ACTIONS(1765),
    [anon_sym___FILE__] = ACTIONS(1765),
    [anon_sym___LINE__] = ACTIONS(1765),
    [anon_sym___PACKAGE__] = ACTIONS(1765),
    [anon_sym___SUB__] = ACTIONS(1765),
    [anon_sym_break] = ACTIONS(1765),
    [anon_sym_fork] = ACTIONS(1765),
    [anon_sym_getppid] = ACTIONS(1765),
    [anon_sym_time] = ACTIONS(1765),
    [anon_sym_times] = ACTIONS(1765),
    [anon_sym_wait] = ACTIONS(1765),
    [anon_sym_wantarray] = ACTIONS(1765),
    [anon_sym_abs] = ACTIONS(1765),
    [anon_sym_alarm] = ACTIONS(1765),
    [anon_sym_chop] = ACTIONS(1765),
    [anon_sym_chdir] = ACTIONS(1765),
    [anon_sym_close] = ACTIONS(1765),
    [anon_sym_closedir] = ACTIONS(1765),
    [anon_sym_caller] = ACTIONS(1765),
    [anon_sym_chomp] = ACTIONS(1765),
    [anon_sym_chr] = ACTIONS(1765),
    [anon_sym_cos] = ACTIONS(1765),
    [anon_sym_chroot] = ACTIONS(1765),
    [anon_sym_defined] = ACTIONS(1765),
    [anon_sym_delete] = ACTIONS(1765),
    [anon_sym_dbmclose] = ACTIONS(1765),
    [anon_sym_exists] = ACTIONS(1765),
    [anon_sym_exit] = ACTIONS(1765),
    [anon_sym_eof] = ACTIONS(1765),
    [anon_sym_exp] = ACTIONS(1765),
    [anon_sym_each] = ACTIONS(1765),
    [anon_sym_fc] = ACTIONS(1765),
    [anon_sym_fileno] = ACTIONS(1765),
    [anon_sym_gmtime] = ACTIONS(1765),
    [anon_sym_getc] = ACTIONS(1765),
    [anon_sym_getpgrp] = ACTIONS(1765),
    [anon_sym_getprotobyname] = ACTIONS(1765),
    [anon_sym_getpwname] = ACTIONS(1765),
    [anon_sym_getpwuid] = ACTIONS(1765),
    [anon_sym_getpeername] = ACTIONS(1765),
    [anon_sym_getnetbyname] = ACTIONS(1765),
    [anon_sym_getsockname] = ACTIONS(1765),
    [anon_sym_getgrnam] = ACTIONS(1765),
    [anon_sym_getgrgid] = ACTIONS(1765),
    [anon_sym_hex] = ACTIONS(1765),
    [anon_sym_int] = ACTIONS(1765),
    [anon_sym_keys] = ACTIONS(1765),
    [anon_sym_lc] = ACTIONS(1765),
    [anon_sym_lcfirst] = ACTIONS(1765),
    [anon_sym_length] = ACTIONS(1765),
    [anon_sym_localtime] = ACTIONS(1765),
    [anon_sym_log] = ACTIONS(1765),
    [anon_sym_lock] = ACTIONS(1765),
    [anon_sym_lstat] = ACTIONS(1765),
    [anon_sym_oct] = ACTIONS(1765),
    [anon_sym_ord] = ACTIONS(1765),
    [anon_sym_prototype] = ACTIONS(1765),
    [anon_sym_pop] = ACTIONS(1765),
    [anon_sym_pos] = ACTIONS(1765),
    [anon_sym_quotemeta] = ACTIONS(1765),
    [anon_sym_reset] = ACTIONS(1765),
    [anon_sym_rand] = ACTIONS(1765),
    [anon_sym_rmdir] = ACTIONS(1765),
    [anon_sym_readdir] = ACTIONS(1765),
    [anon_sym_readline] = ACTIONS(1765),
    [anon_sym_readpipe] = ACTIONS(1765),
    [anon_sym_rewinddir] = ACTIONS(1765),
    [anon_sym_readlink] = ACTIONS(1765),
    [anon_sym_ref] = ACTIONS(1765),
    [anon_sym_scalar] = ACTIONS(1765),
    [anon_sym_shift] = ACTIONS(1765),
    [anon_sym_sin] = ACTIONS(1765),
    [anon_sym_sleep] = ACTIONS(1765),
    [anon_sym_sqrt] = ACTIONS(1765),
    [anon_sym_srand] = ACTIONS(1765),
    [anon_sym_stat] = ACTIONS(1765),
    [anon_sym_study] = ACTIONS(1765),
    [anon_sym_tell] = ACTIONS(1765),
    [anon_sym_telldir] = ACTIONS(1765),
    [anon_sym_tied] = ACTIONS(1765),
    [anon_sym_uc] = ACTIONS(1765),
    [anon_sym_ucfirst] = ACTIONS(1765),
    [anon_sym_untie] = ACTIONS(1765),
    [anon_sym_umask] = ACTIONS(1765),
    [anon_sym_values] = ACTIONS(1765),
    [anon_sym_write] = ACTIONS(1765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1765),
    [anon_sym_qq] = ACTIONS(1765),
    [anon_sym_qw] = ACTIONS(1765),
    [anon_sym_qx] = ACTIONS(1765),
    [anon_sym_qr] = ACTIONS(1765),
    [anon_sym_m] = ACTIONS(1765),
    [anon_sym_s] = ACTIONS(1765),
    [anon_sym_tr] = ACTIONS(1765),
    [anon_sym_y] = ACTIONS(1765),
    [aux_sym__bareword_token1] = ACTIONS(1765),
    [sym_number] = ACTIONS(1765),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym__single_quote] = ACTIONS(1767),
    [sym__double_quote] = ACTIONS(1767),
    [sym__backtick_quote] = ACTIONS(1767),
    [sym__search_slash_quote] = ACTIONS(1767),
    [sym__no_search_slash_plz] = ACTIONS(1767),
    [sym__PERLY_HEREDOC] = ACTIONS(1767),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1767),
    [sym__filetest] = ACTIONS(1767),
  },
  [738] = {
    [sym_heredoc_content] = STATE(738),
    [sym__identifier] = ACTIONS(1773),
    [anon_sym_LBRACE] = ACTIONS(1773),
    [anon_sym_RBRACE] = ACTIONS(1773),
    [anon_sym_SEMI] = ACTIONS(1773),
    [anon_sym_DOLLAR] = ACTIONS(1773),
    [anon_sym_EQ] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1773),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1773),
    [anon_sym_AT] = ACTIONS(1773),
    [anon_sym_COMMA] = ACTIONS(1773),
    [anon_sym_RPAREN] = ACTIONS(1773),
    [anon_sym_my] = ACTIONS(1773),
    [anon_sym_extended] = ACTIONS(1773),
    [anon_sym_async] = ACTIONS(1773),
    [anon_sym_sub] = ACTIONS(1773),
    [anon_sym_method] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(1773),
    [anon_sym_continue] = ACTIONS(1773),
    [anon_sym_state] = ACTIONS(1773),
    [anon_sym_our] = ACTIONS(1773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1773),
    [anon_sym_and] = ACTIONS(1773),
    [anon_sym_or] = ACTIONS(1773),
    [anon_sym_xor] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(1773),
    [anon_sym_RBRACK] = ACTIONS(1773),
    [anon_sym_DASH_GT] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [anon_sym_LT] = ACTIONS(1773),
    [anon_sym_GT] = ACTIONS(1773),
    [anon_sym_LT_LT] = ACTIONS(1773),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1773),
    [anon_sym_PLUS_EQ] = ACTIONS(1773),
    [anon_sym_DASH_EQ] = ACTIONS(1773),
    [anon_sym_DOT_EQ] = ACTIONS(1773),
    [anon_sym_STAR_EQ] = ACTIONS(1773),
    [anon_sym_SLASH_EQ] = ACTIONS(1773),
    [anon_sym_PERCENT_EQ] = ACTIONS(1773),
    [anon_sym_x_EQ] = ACTIONS(1773),
    [anon_sym_AMP_EQ] = ACTIONS(1773),
    [anon_sym_PIPE_EQ] = ACTIONS(1773),
    [anon_sym_CARET_EQ] = ACTIONS(1773),
    [anon_sym_LT_LT_EQ] = ACTIONS(1773),
    [anon_sym_GT_GT_EQ] = ACTIONS(1773),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1773),
    [anon_sym_DOT_DOT] = ACTIONS(1773),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE] = ACTIONS(1773),
    [anon_sym_SLASH_SLASH] = ACTIONS(1773),
    [anon_sym_CARET_CARET] = ACTIONS(1773),
    [anon_sym_AMP_AMP] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1773),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_GT_GT2] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_DOT] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_x] = ACTIONS(1773),
    [anon_sym_EQ_TILDE] = ACTIONS(1773),
    [anon_sym_BANG_TILDE] = ACTIONS(1773),
    [anon_sym_EQ_EQ] = ACTIONS(1773),
    [anon_sym_BANG_EQ] = ACTIONS(1773),
    [anon_sym_eq] = ACTIONS(1773),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1773),
    [anon_sym_equ] = ACTIONS(1773),
    [anon_sym_eqr] = ACTIONS(1773),
    [anon_sym_ne] = ACTIONS(1773),
    [anon_sym_LT_EQ_GT] = ACTIONS(1773),
    [anon_sym_cmp] = ACTIONS(1773),
    [anon_sym_TILDE_TILDE] = ACTIONS(1773),
    [anon_sym_LT_EQ] = ACTIONS(1773),
    [anon_sym_GT_EQ] = ACTIONS(1773),
    [anon_sym_lt] = ACTIONS(1773),
    [anon_sym_le] = ACTIONS(1773),
    [anon_sym_ge] = ACTIONS(1773),
    [anon_sym_gt] = ACTIONS(1773),
    [anon_sym_isa] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_QMARK] = ACTIONS(1773),
    [anon_sym_BSLASH] = ACTIONS(1775),
    [anon_sym_do] = ACTIONS(1773),
    [anon_sym_eval] = ACTIONS(1773),
    [anon_sym_await] = ACTIONS(1773),
    [anon_sym_field] = ACTIONS(1773),
    [anon_sym_local] = ACTIONS(1773),
    [anon_sym_dynamically] = ACTIONS(1773),
    [anon_sym_require] = ACTIONS(1773),
    [anon_sym_map] = ACTIONS(1773),
    [anon_sym_grep] = ACTIONS(1773),
    [anon_sym_sort] = ACTIONS(1773),
    [anon_sym_goto] = ACTIONS(1773),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_undef] = ACTIONS(1773),
    [anon_sym_PERCENT2] = ACTIONS(1773),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1773),
    [anon_sym_EQ_GT] = ACTIONS(1773),
    [anon_sym_last] = ACTIONS(1773),
    [anon_sym_next] = ACTIONS(1773),
    [anon_sym_redo] = ACTIONS(1773),
    [anon_sym___FILE__] = ACTIONS(1773),
    [anon_sym___LINE__] = ACTIONS(1773),
    [anon_sym___PACKAGE__] = ACTIONS(1773),
    [anon_sym___SUB__] = ACTIONS(1773),
    [anon_sym_break] = ACTIONS(1773),
    [anon_sym_fork] = ACTIONS(1773),
    [anon_sym_getppid] = ACTIONS(1773),
    [anon_sym_time] = ACTIONS(1773),
    [anon_sym_times] = ACTIONS(1773),
    [anon_sym_wait] = ACTIONS(1773),
    [anon_sym_wantarray] = ACTIONS(1773),
    [anon_sym_abs] = ACTIONS(1773),
    [anon_sym_alarm] = ACTIONS(1773),
    [anon_sym_chop] = ACTIONS(1773),
    [anon_sym_chdir] = ACTIONS(1773),
    [anon_sym_close] = ACTIONS(1773),
    [anon_sym_closedir] = ACTIONS(1773),
    [anon_sym_caller] = ACTIONS(1773),
    [anon_sym_chomp] = ACTIONS(1773),
    [anon_sym_chr] = ACTIONS(1773),
    [anon_sym_cos] = ACTIONS(1773),
    [anon_sym_chroot] = ACTIONS(1773),
    [anon_sym_defined] = ACTIONS(1773),
    [anon_sym_delete] = ACTIONS(1773),
    [anon_sym_dbmclose] = ACTIONS(1773),
    [anon_sym_exists] = ACTIONS(1773),
    [anon_sym_exit] = ACTIONS(1773),
    [anon_sym_eof] = ACTIONS(1773),
    [anon_sym_exp] = ACTIONS(1773),
    [anon_sym_each] = ACTIONS(1773),
    [anon_sym_fc] = ACTIONS(1773),
    [anon_sym_fileno] = ACTIONS(1773),
    [anon_sym_gmtime] = ACTIONS(1773),
    [anon_sym_getc] = ACTIONS(1773),
    [anon_sym_getpgrp] = ACTIONS(1773),
    [anon_sym_getprotobyname] = ACTIONS(1773),
    [anon_sym_getpwname] = ACTIONS(1773),
    [anon_sym_getpwuid] = ACTIONS(1773),
    [anon_sym_getpeername] = ACTIONS(1773),
    [anon_sym_getnetbyname] = ACTIONS(1773),
    [anon_sym_getsockname] = ACTIONS(1773),
    [anon_sym_getgrnam] = ACTIONS(1773),
    [anon_sym_getgrgid] = ACTIONS(1773),
    [anon_sym_hex] = ACTIONS(1773),
    [anon_sym_int] = ACTIONS(1773),
    [anon_sym_keys] = ACTIONS(1773),
    [anon_sym_lc] = ACTIONS(1773),
    [anon_sym_lcfirst] = ACTIONS(1773),
    [anon_sym_length] = ACTIONS(1773),
    [anon_sym_localtime] = ACTIONS(1773),
    [anon_sym_log] = ACTIONS(1773),
    [anon_sym_lock] = ACTIONS(1773),
    [anon_sym_lstat] = ACTIONS(1773),
    [anon_sym_oct] = ACTIONS(1773),
    [anon_sym_ord] = ACTIONS(1773),
    [anon_sym_prototype] = ACTIONS(1773),
    [anon_sym_pop] = ACTIONS(1773),
    [anon_sym_pos] = ACTIONS(1773),
    [anon_sym_quotemeta] = ACTIONS(1773),
    [anon_sym_reset] = ACTIONS(1773),
    [anon_sym_rand] = ACTIONS(1773),
    [anon_sym_rmdir] = ACTIONS(1773),
    [anon_sym_readdir] = ACTIONS(1773),
    [anon_sym_readline] = ACTIONS(1773),
    [anon_sym_readpipe] = ACTIONS(1773),
    [anon_sym_rewinddir] = ACTIONS(1773),
    [anon_sym_readlink] = ACTIONS(1773),
    [anon_sym_ref] = ACTIONS(1773),
    [anon_sym_scalar] = ACTIONS(1773),
    [anon_sym_shift] = ACTIONS(1773),
    [anon_sym_sin] = ACTIONS(1773),
    [anon_sym_sleep] = ACTIONS(1773),
    [anon_sym_sqrt] = ACTIONS(1773),
    [anon_sym_srand] = ACTIONS(1773),
    [anon_sym_stat] = ACTIONS(1773),
    [anon_sym_study] = ACTIONS(1773),
    [anon_sym_tell] = ACTIONS(1773),
    [anon_sym_telldir] = ACTIONS(1773),
    [anon_sym_tied] = ACTIONS(1773),
    [anon_sym_uc] = ACTIONS(1773),
    [anon_sym_ucfirst] = ACTIONS(1773),
    [anon_sym_untie] = ACTIONS(1773),
    [anon_sym_umask] = ACTIONS(1773),
    [anon_sym_values] = ACTIONS(1773),
    [anon_sym_write] = ACTIONS(1773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1773),
    [anon_sym_qq] = ACTIONS(1773),
    [anon_sym_qw] = ACTIONS(1773),
    [anon_sym_qx] = ACTIONS(1773),
    [anon_sym_qr] = ACTIONS(1773),
    [anon_sym_m] = ACTIONS(1773),
    [anon_sym_s] = ACTIONS(1773),
    [anon_sym_tr] = ACTIONS(1773),
    [anon_sym_y] = ACTIONS(1773),
    [aux_sym__bareword_token1] = ACTIONS(1773),
    [sym_number] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(1773),
    [anon_sym_false] = ACTIONS(1773),
    [sym__single_quote] = ACTIONS(1775),
    [sym__double_quote] = ACTIONS(1775),
    [sym__backtick_quote] = ACTIONS(1775),
    [sym__search_slash_quote] = ACTIONS(1775),
    [sym__no_search_slash_plz] = ACTIONS(1775),
    [sym__PERLY_HEREDOC] = ACTIONS(1775),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1775),
    [sym__filetest] = ACTIONS(1775),
  },
  [739] = {
    [sym_heredoc_content] = STATE(739),
    [sym__identifier] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_RBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [anon_sym_DOLLAR] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1405),
    [anon_sym_AT] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [anon_sym_RPAREN] = ACTIONS(1405),
    [anon_sym_my] = ACTIONS(1405),
    [anon_sym_extended] = ACTIONS(1405),
    [anon_sym_async] = ACTIONS(1405),
    [anon_sym_sub] = ACTIONS(1405),
    [anon_sym_method] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_state] = ACTIONS(1405),
    [anon_sym_our] = ACTIONS(1405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1405),
    [anon_sym_and] = ACTIONS(1405),
    [anon_sym_or] = ACTIONS(1405),
    [anon_sym_xor] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_RBRACK] = ACTIONS(1405),
    [anon_sym_DASH_GT] = ACTIONS(1405),
    [anon_sym_PERCENT] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1405),
    [anon_sym_GT] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1405),
    [anon_sym_PLUS_EQ] = ACTIONS(1405),
    [anon_sym_DASH_EQ] = ACTIONS(1405),
    [anon_sym_DOT_EQ] = ACTIONS(1405),
    [anon_sym_STAR_EQ] = ACTIONS(1405),
    [anon_sym_SLASH_EQ] = ACTIONS(1405),
    [anon_sym_PERCENT_EQ] = ACTIONS(1405),
    [anon_sym_x_EQ] = ACTIONS(1405),
    [anon_sym_AMP_EQ] = ACTIONS(1405),
    [anon_sym_PIPE_EQ] = ACTIONS(1405),
    [anon_sym_CARET_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT_EQ] = ACTIONS(1405),
    [anon_sym_GT_GT_EQ] = ACTIONS(1405),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1405),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_STAR_STAR] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH] = ACTIONS(1405),
    [anon_sym_CARET_CARET] = ACTIONS(1405),
    [anon_sym_AMP_AMP] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_GT_GT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1405),
    [anon_sym_DOT] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1405),
    [anon_sym_x] = ACTIONS(1405),
    [anon_sym_EQ_TILDE] = ACTIONS(1405),
    [anon_sym_BANG_TILDE] = ACTIONS(1405),
    [anon_sym_EQ_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_eq] = ACTIONS(1405),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1405),
    [anon_sym_equ] = ACTIONS(1405),
    [anon_sym_eqr] = ACTIONS(1405),
    [anon_sym_ne] = ACTIONS(1405),
    [anon_sym_LT_EQ_GT] = ACTIONS(1405),
    [anon_sym_cmp] = ACTIONS(1405),
    [anon_sym_TILDE_TILDE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_lt] = ACTIONS(1405),
    [anon_sym_le] = ACTIONS(1405),
    [anon_sym_ge] = ACTIONS(1405),
    [anon_sym_gt] = ACTIONS(1405),
    [anon_sym_isa] = ACTIONS(1405),
    [anon_sym_TILDE] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1405),
    [anon_sym_DASH_DASH] = ACTIONS(1405),
    [anon_sym_QMARK] = ACTIONS(1405),
    [anon_sym_BSLASH] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_eval] = ACTIONS(1405),
    [anon_sym_await] = ACTIONS(1405),
    [anon_sym_field] = ACTIONS(1405),
    [anon_sym_local] = ACTIONS(1405),
    [anon_sym_dynamically] = ACTIONS(1405),
    [anon_sym_require] = ACTIONS(1405),
    [anon_sym_map] = ACTIONS(1405),
    [anon_sym_grep] = ACTIONS(1405),
    [anon_sym_sort] = ACTIONS(1405),
    [anon_sym_goto] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_undef] = ACTIONS(1405),
    [anon_sym_PERCENT2] = ACTIONS(1405),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1405),
    [anon_sym_EQ_GT] = ACTIONS(1405),
    [anon_sym_last] = ACTIONS(1405),
    [anon_sym_next] = ACTIONS(1405),
    [anon_sym_redo] = ACTIONS(1405),
    [anon_sym___FILE__] = ACTIONS(1405),
    [anon_sym___LINE__] = ACTIONS(1405),
    [anon_sym___PACKAGE__] = ACTIONS(1405),
    [anon_sym___SUB__] = ACTIONS(1405),
    [anon_sym_break] = ACTIONS(1405),
    [anon_sym_fork] = ACTIONS(1405),
    [anon_sym_getppid] = ACTIONS(1405),
    [anon_sym_time] = ACTIONS(1405),
    [anon_sym_times] = ACTIONS(1405),
    [anon_sym_wait] = ACTIONS(1405),
    [anon_sym_wantarray] = ACTIONS(1405),
    [anon_sym_abs] = ACTIONS(1405),
    [anon_sym_alarm] = ACTIONS(1405),
    [anon_sym_chop] = ACTIONS(1405),
    [anon_sym_chdir] = ACTIONS(1405),
    [anon_sym_close] = ACTIONS(1405),
    [anon_sym_closedir] = ACTIONS(1405),
    [anon_sym_caller] = ACTIONS(1405),
    [anon_sym_chomp] = ACTIONS(1405),
    [anon_sym_chr] = ACTIONS(1405),
    [anon_sym_cos] = ACTIONS(1405),
    [anon_sym_chroot] = ACTIONS(1405),
    [anon_sym_defined] = ACTIONS(1405),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_dbmclose] = ACTIONS(1405),
    [anon_sym_exists] = ACTIONS(1405),
    [anon_sym_exit] = ACTIONS(1405),
    [anon_sym_eof] = ACTIONS(1405),
    [anon_sym_exp] = ACTIONS(1405),
    [anon_sym_each] = ACTIONS(1405),
    [anon_sym_fc] = ACTIONS(1405),
    [anon_sym_fileno] = ACTIONS(1405),
    [anon_sym_gmtime] = ACTIONS(1405),
    [anon_sym_getc] = ACTIONS(1405),
    [anon_sym_getpgrp] = ACTIONS(1405),
    [anon_sym_getprotobyname] = ACTIONS(1405),
    [anon_sym_getpwname] = ACTIONS(1405),
    [anon_sym_getpwuid] = ACTIONS(1405),
    [anon_sym_getpeername] = ACTIONS(1405),
    [anon_sym_getnetbyname] = ACTIONS(1405),
    [anon_sym_getsockname] = ACTIONS(1405),
    [anon_sym_getgrnam] = ACTIONS(1405),
    [anon_sym_getgrgid] = ACTIONS(1405),
    [anon_sym_hex] = ACTIONS(1405),
    [anon_sym_int] = ACTIONS(1405),
    [anon_sym_keys] = ACTIONS(1405),
    [anon_sym_lc] = ACTIONS(1405),
    [anon_sym_lcfirst] = ACTIONS(1405),
    [anon_sym_length] = ACTIONS(1405),
    [anon_sym_localtime] = ACTIONS(1405),
    [anon_sym_log] = ACTIONS(1405),
    [anon_sym_lock] = ACTIONS(1405),
    [anon_sym_lstat] = ACTIONS(1405),
    [anon_sym_oct] = ACTIONS(1405),
    [anon_sym_ord] = ACTIONS(1405),
    [anon_sym_prototype] = ACTIONS(1405),
    [anon_sym_pop] = ACTIONS(1405),
    [anon_sym_pos] = ACTIONS(1405),
    [anon_sym_quotemeta] = ACTIONS(1405),
    [anon_sym_reset] = ACTIONS(1405),
    [anon_sym_rand] = ACTIONS(1405),
    [anon_sym_rmdir] = ACTIONS(1405),
    [anon_sym_readdir] = ACTIONS(1405),
    [anon_sym_readline] = ACTIONS(1405),
    [anon_sym_readpipe] = ACTIONS(1405),
    [anon_sym_rewinddir] = ACTIONS(1405),
    [anon_sym_readlink] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1405),
    [anon_sym_scalar] = ACTIONS(1405),
    [anon_sym_shift] = ACTIONS(1405),
    [anon_sym_sin] = ACTIONS(1405),
    [anon_sym_sleep] = ACTIONS(1405),
    [anon_sym_sqrt] = ACTIONS(1405),
    [anon_sym_srand] = ACTIONS(1405),
    [anon_sym_stat] = ACTIONS(1405),
    [anon_sym_study] = ACTIONS(1405),
    [anon_sym_tell] = ACTIONS(1405),
    [anon_sym_telldir] = ACTIONS(1405),
    [anon_sym_tied] = ACTIONS(1405),
    [anon_sym_uc] = ACTIONS(1405),
    [anon_sym_ucfirst] = ACTIONS(1405),
    [anon_sym_untie] = ACTIONS(1405),
    [anon_sym_umask] = ACTIONS(1405),
    [anon_sym_values] = ACTIONS(1405),
    [anon_sym_write] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1405),
    [anon_sym_qq] = ACTIONS(1405),
    [anon_sym_qw] = ACTIONS(1405),
    [anon_sym_qx] = ACTIONS(1405),
    [anon_sym_qr] = ACTIONS(1405),
    [anon_sym_m] = ACTIONS(1405),
    [anon_sym_s] = ACTIONS(1405),
    [anon_sym_tr] = ACTIONS(1405),
    [anon_sym_y] = ACTIONS(1405),
    [aux_sym__bareword_token1] = ACTIONS(1405),
    [sym_number] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1405),
    [anon_sym_false] = ACTIONS(1405),
    [sym__single_quote] = ACTIONS(1403),
    [sym__double_quote] = ACTIONS(1403),
    [sym__backtick_quote] = ACTIONS(1403),
    [sym__search_slash_quote] = ACTIONS(1403),
    [sym__no_search_slash_plz] = ACTIONS(1403),
    [sym__PERLY_HEREDOC] = ACTIONS(1403),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1403),
    [sym__filetest] = ACTIONS(1403),
  },
  [740] = {
    [sym_heredoc_content] = STATE(740),
    [sym__identifier] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1785),
    [anon_sym_RBRACE] = ACTIONS(1787),
    [anon_sym_SEMI] = ACTIONS(1787),
    [anon_sym_DOLLAR] = ACTIONS(1785),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1787),
    [anon_sym_AT] = ACTIONS(1785),
    [anon_sym_COMMA] = ACTIONS(1787),
    [anon_sym_RPAREN] = ACTIONS(1787),
    [anon_sym_my] = ACTIONS(1785),
    [anon_sym_extended] = ACTIONS(1785),
    [anon_sym_async] = ACTIONS(1785),
    [anon_sym_sub] = ACTIONS(1785),
    [anon_sym_method] = ACTIONS(1785),
    [anon_sym_LPAREN] = ACTIONS(1785),
    [anon_sym_continue] = ACTIONS(1785),
    [anon_sym_state] = ACTIONS(1785),
    [anon_sym_our] = ACTIONS(1785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1787),
    [anon_sym_and] = ACTIONS(1787),
    [anon_sym_or] = ACTIONS(1787),
    [anon_sym_xor] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1785),
    [anon_sym_RBRACK] = ACTIONS(1787),
    [anon_sym_DASH_GT] = ACTIONS(1787),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1789),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1787),
    [anon_sym_PLUS_EQ] = ACTIONS(1787),
    [anon_sym_DASH_EQ] = ACTIONS(1787),
    [anon_sym_DOT_EQ] = ACTIONS(1787),
    [anon_sym_STAR_EQ] = ACTIONS(1787),
    [anon_sym_SLASH_EQ] = ACTIONS(1787),
    [anon_sym_PERCENT_EQ] = ACTIONS(1787),
    [anon_sym_x_EQ] = ACTIONS(1787),
    [anon_sym_AMP_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_EQ] = ACTIONS(1787),
    [anon_sym_CARET_EQ] = ACTIONS(1787),
    [anon_sym_LT_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_GT_EQ] = ACTIONS(1787),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1787),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1789),
    [anon_sym_CARET_CARET] = ACTIONS(1787),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1789),
    [anon_sym_DASH] = ACTIONS(1789),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1787),
    [anon_sym_BANG_TILDE] = ACTIONS(1787),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1787),
    [anon_sym_equ] = ACTIONS(1787),
    [anon_sym_eqr] = ACTIONS(1787),
    [anon_sym_ne] = ACTIONS(1787),
    [anon_sym_LT_EQ_GT] = ACTIONS(1787),
    [anon_sym_cmp] = ACTIONS(1787),
    [anon_sym_TILDE_TILDE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1787),
    [anon_sym_lt] = ACTIONS(1787),
    [anon_sym_le] = ACTIONS(1787),
    [anon_sym_ge] = ACTIONS(1787),
    [anon_sym_gt] = ACTIONS(1787),
    [anon_sym_isa] = ACTIONS(1787),
    [anon_sym_TILDE] = ACTIONS(1785),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_QMARK] = ACTIONS(1787),
    [anon_sym_BSLASH] = ACTIONS(1792),
    [anon_sym_do] = ACTIONS(1785),
    [anon_sym_eval] = ACTIONS(1785),
    [anon_sym_await] = ACTIONS(1785),
    [anon_sym_field] = ACTIONS(1785),
    [anon_sym_local] = ACTIONS(1785),
    [anon_sym_dynamically] = ACTIONS(1785),
    [anon_sym_require] = ACTIONS(1785),
    [anon_sym_map] = ACTIONS(1785),
    [anon_sym_grep] = ACTIONS(1785),
    [anon_sym_sort] = ACTIONS(1785),
    [anon_sym_goto] = ACTIONS(1785),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_undef] = ACTIONS(1785),
    [anon_sym_PERCENT2] = ACTIONS(1785),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1785),
    [anon_sym_EQ_GT] = ACTIONS(1787),
    [anon_sym_last] = ACTIONS(1785),
    [anon_sym_next] = ACTIONS(1785),
    [anon_sym_redo] = ACTIONS(1785),
    [anon_sym___FILE__] = ACTIONS(1785),
    [anon_sym___LINE__] = ACTIONS(1785),
    [anon_sym___PACKAGE__] = ACTIONS(1785),
    [anon_sym___SUB__] = ACTIONS(1785),
    [anon_sym_break] = ACTIONS(1785),
    [anon_sym_fork] = ACTIONS(1785),
    [anon_sym_getppid] = ACTIONS(1785),
    [anon_sym_time] = ACTIONS(1785),
    [anon_sym_times] = ACTIONS(1785),
    [anon_sym_wait] = ACTIONS(1785),
    [anon_sym_wantarray] = ACTIONS(1785),
    [anon_sym_abs] = ACTIONS(1785),
    [anon_sym_alarm] = ACTIONS(1785),
    [anon_sym_chop] = ACTIONS(1785),
    [anon_sym_chdir] = ACTIONS(1785),
    [anon_sym_close] = ACTIONS(1785),
    [anon_sym_closedir] = ACTIONS(1785),
    [anon_sym_caller] = ACTIONS(1785),
    [anon_sym_chomp] = ACTIONS(1785),
    [anon_sym_chr] = ACTIONS(1785),
    [anon_sym_cos] = ACTIONS(1785),
    [anon_sym_chroot] = ACTIONS(1785),
    [anon_sym_defined] = ACTIONS(1785),
    [anon_sym_delete] = ACTIONS(1785),
    [anon_sym_dbmclose] = ACTIONS(1785),
    [anon_sym_exists] = ACTIONS(1785),
    [anon_sym_exit] = ACTIONS(1785),
    [anon_sym_eof] = ACTIONS(1785),
    [anon_sym_exp] = ACTIONS(1785),
    [anon_sym_each] = ACTIONS(1785),
    [anon_sym_fc] = ACTIONS(1785),
    [anon_sym_fileno] = ACTIONS(1785),
    [anon_sym_gmtime] = ACTIONS(1785),
    [anon_sym_getc] = ACTIONS(1785),
    [anon_sym_getpgrp] = ACTIONS(1785),
    [anon_sym_getprotobyname] = ACTIONS(1785),
    [anon_sym_getpwname] = ACTIONS(1785),
    [anon_sym_getpwuid] = ACTIONS(1785),
    [anon_sym_getpeername] = ACTIONS(1785),
    [anon_sym_getnetbyname] = ACTIONS(1785),
    [anon_sym_getsockname] = ACTIONS(1785),
    [anon_sym_getgrnam] = ACTIONS(1785),
    [anon_sym_getgrgid] = ACTIONS(1785),
    [anon_sym_hex] = ACTIONS(1785),
    [anon_sym_int] = ACTIONS(1785),
    [anon_sym_keys] = ACTIONS(1785),
    [anon_sym_lc] = ACTIONS(1785),
    [anon_sym_lcfirst] = ACTIONS(1785),
    [anon_sym_length] = ACTIONS(1785),
    [anon_sym_localtime] = ACTIONS(1785),
    [anon_sym_log] = ACTIONS(1785),
    [anon_sym_lock] = ACTIONS(1785),
    [anon_sym_lstat] = ACTIONS(1785),
    [anon_sym_oct] = ACTIONS(1785),
    [anon_sym_ord] = ACTIONS(1785),
    [anon_sym_prototype] = ACTIONS(1785),
    [anon_sym_pop] = ACTIONS(1785),
    [anon_sym_pos] = ACTIONS(1785),
    [anon_sym_quotemeta] = ACTIONS(1785),
    [anon_sym_reset] = ACTIONS(1785),
    [anon_sym_rand] = ACTIONS(1785),
    [anon_sym_rmdir] = ACTIONS(1785),
    [anon_sym_readdir] = ACTIONS(1785),
    [anon_sym_readline] = ACTIONS(1785),
    [anon_sym_readpipe] = ACTIONS(1785),
    [anon_sym_rewinddir] = ACTIONS(1785),
    [anon_sym_readlink] = ACTIONS(1785),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_scalar] = ACTIONS(1785),
    [anon_sym_shift] = ACTIONS(1785),
    [anon_sym_sin] = ACTIONS(1785),
    [anon_sym_sleep] = ACTIONS(1785),
    [anon_sym_sqrt] = ACTIONS(1785),
    [anon_sym_srand] = ACTIONS(1785),
    [anon_sym_stat] = ACTIONS(1785),
    [anon_sym_study] = ACTIONS(1785),
    [anon_sym_tell] = ACTIONS(1785),
    [anon_sym_telldir] = ACTIONS(1785),
    [anon_sym_tied] = ACTIONS(1785),
    [anon_sym_uc] = ACTIONS(1785),
    [anon_sym_ucfirst] = ACTIONS(1785),
    [anon_sym_untie] = ACTIONS(1785),
    [anon_sym_umask] = ACTIONS(1785),
    [anon_sym_values] = ACTIONS(1785),
    [anon_sym_write] = ACTIONS(1785),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1785),
    [anon_sym_qq] = ACTIONS(1785),
    [anon_sym_qw] = ACTIONS(1785),
    [anon_sym_qx] = ACTIONS(1785),
    [anon_sym_qr] = ACTIONS(1785),
    [anon_sym_m] = ACTIONS(1785),
    [anon_sym_s] = ACTIONS(1785),
    [anon_sym_tr] = ACTIONS(1785),
    [anon_sym_y] = ACTIONS(1785),
    [aux_sym__bareword_token1] = ACTIONS(1785),
    [sym_number] = ACTIONS(1785),
    [anon_sym_true] = ACTIONS(1785),
    [anon_sym_false] = ACTIONS(1785),
    [sym__single_quote] = ACTIONS(1792),
    [sym__double_quote] = ACTIONS(1792),
    [sym__backtick_quote] = ACTIONS(1792),
    [sym__search_slash_quote] = ACTIONS(1792),
    [sym__no_search_slash_plz] = ACTIONS(1794),
    [sym__PERLY_HEREDOC] = ACTIONS(1792),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1792),
    [sym__filetest] = ACTIONS(1792),
  },
  [741] = {
    [sym_heredoc_content] = STATE(741),
    [sym__identifier] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1755),
    [anon_sym_RBRACE] = ACTIONS(1755),
    [anon_sym_SEMI] = ACTIONS(1755),
    [anon_sym_DOLLAR] = ACTIONS(1755),
    [anon_sym_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1755),
    [anon_sym_AT] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_RPAREN] = ACTIONS(1755),
    [anon_sym_my] = ACTIONS(1755),
    [anon_sym_extended] = ACTIONS(1755),
    [anon_sym_async] = ACTIONS(1755),
    [anon_sym_sub] = ACTIONS(1755),
    [anon_sym_method] = ACTIONS(1755),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_continue] = ACTIONS(1755),
    [anon_sym_state] = ACTIONS(1755),
    [anon_sym_our] = ACTIONS(1755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1755),
    [anon_sym_and] = ACTIONS(1755),
    [anon_sym_or] = ACTIONS(1755),
    [anon_sym_xor] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_RBRACK] = ACTIONS(1755),
    [anon_sym_DASH_GT] = ACTIONS(1755),
    [anon_sym_PERCENT] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1755),
    [anon_sym_PLUS_EQ] = ACTIONS(1755),
    [anon_sym_DASH_EQ] = ACTIONS(1755),
    [anon_sym_DOT_EQ] = ACTIONS(1755),
    [anon_sym_STAR_EQ] = ACTIONS(1755),
    [anon_sym_SLASH_EQ] = ACTIONS(1755),
    [anon_sym_PERCENT_EQ] = ACTIONS(1755),
    [anon_sym_x_EQ] = ACTIONS(1755),
    [anon_sym_AMP_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_CARET_EQ] = ACTIONS(1755),
    [anon_sym_LT_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_GT_EQ] = ACTIONS(1755),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1755),
    [anon_sym_DOT_DOT] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH] = ACTIONS(1755),
    [anon_sym_CARET_CARET] = ACTIONS(1755),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_GT_GT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1755),
    [anon_sym_x] = ACTIONS(1755),
    [anon_sym_EQ_TILDE] = ACTIONS(1755),
    [anon_sym_BANG_TILDE] = ACTIONS(1755),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_eq] = ACTIONS(1755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1755),
    [anon_sym_equ] = ACTIONS(1755),
    [anon_sym_eqr] = ACTIONS(1755),
    [anon_sym_ne] = ACTIONS(1755),
    [anon_sym_LT_EQ_GT] = ACTIONS(1755),
    [anon_sym_cmp] = ACTIONS(1755),
    [anon_sym_TILDE_TILDE] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_lt] = ACTIONS(1755),
    [anon_sym_le] = ACTIONS(1755),
    [anon_sym_ge] = ACTIONS(1755),
    [anon_sym_gt] = ACTIONS(1755),
    [anon_sym_isa] = ACTIONS(1755),
    [anon_sym_TILDE] = ACTIONS(1755),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_PLUS_PLUS] = ACTIONS(1755),
    [anon_sym_DASH_DASH] = ACTIONS(1755),
    [anon_sym_QMARK] = ACTIONS(1755),
    [anon_sym_BSLASH] = ACTIONS(1759),
    [anon_sym_do] = ACTIONS(1755),
    [anon_sym_eval] = ACTIONS(1755),
    [anon_sym_await] = ACTIONS(1755),
    [anon_sym_field] = ACTIONS(1755),
    [anon_sym_local] = ACTIONS(1755),
    [anon_sym_dynamically] = ACTIONS(1755),
    [anon_sym_require] = ACTIONS(1755),
    [anon_sym_map] = ACTIONS(1755),
    [anon_sym_grep] = ACTIONS(1755),
    [anon_sym_sort] = ACTIONS(1755),
    [anon_sym_goto] = ACTIONS(1755),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_undef] = ACTIONS(1755),
    [anon_sym_PERCENT2] = ACTIONS(1755),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(1755),
    [anon_sym_last] = ACTIONS(1755),
    [anon_sym_next] = ACTIONS(1755),
    [anon_sym_redo] = ACTIONS(1755),
    [anon_sym___FILE__] = ACTIONS(1755),
    [anon_sym___LINE__] = ACTIONS(1755),
    [anon_sym___PACKAGE__] = ACTIONS(1755),
    [anon_sym___SUB__] = ACTIONS(1755),
    [anon_sym_break] = ACTIONS(1755),
    [anon_sym_fork] = ACTIONS(1755),
    [anon_sym_getppid] = ACTIONS(1755),
    [anon_sym_time] = ACTIONS(1755),
    [anon_sym_times] = ACTIONS(1755),
    [anon_sym_wait] = ACTIONS(1755),
    [anon_sym_wantarray] = ACTIONS(1755),
    [anon_sym_abs] = ACTIONS(1755),
    [anon_sym_alarm] = ACTIONS(1755),
    [anon_sym_chop] = ACTIONS(1755),
    [anon_sym_chdir] = ACTIONS(1755),
    [anon_sym_close] = ACTIONS(1755),
    [anon_sym_closedir] = ACTIONS(1755),
    [anon_sym_caller] = ACTIONS(1755),
    [anon_sym_chomp] = ACTIONS(1755),
    [anon_sym_chr] = ACTIONS(1755),
    [anon_sym_cos] = ACTIONS(1755),
    [anon_sym_chroot] = ACTIONS(1755),
    [anon_sym_defined] = ACTIONS(1755),
    [anon_sym_delete] = ACTIONS(1755),
    [anon_sym_dbmclose] = ACTIONS(1755),
    [anon_sym_exists] = ACTIONS(1755),
    [anon_sym_exit] = ACTIONS(1755),
    [anon_sym_eof] = ACTIONS(1755),
    [anon_sym_exp] = ACTIONS(1755),
    [anon_sym_each] = ACTIONS(1755),
    [anon_sym_fc] = ACTIONS(1755),
    [anon_sym_fileno] = ACTIONS(1755),
    [anon_sym_gmtime] = ACTIONS(1755),
    [anon_sym_getc] = ACTIONS(1755),
    [anon_sym_getpgrp] = ACTIONS(1755),
    [anon_sym_getprotobyname] = ACTIONS(1755),
    [anon_sym_getpwname] = ACTIONS(1755),
    [anon_sym_getpwuid] = ACTIONS(1755),
    [anon_sym_getpeername] = ACTIONS(1755),
    [anon_sym_getnetbyname] = ACTIONS(1755),
    [anon_sym_getsockname] = ACTIONS(1755),
    [anon_sym_getgrnam] = ACTIONS(1755),
    [anon_sym_getgrgid] = ACTIONS(1755),
    [anon_sym_hex] = ACTIONS(1755),
    [anon_sym_int] = ACTIONS(1755),
    [anon_sym_keys] = ACTIONS(1755),
    [anon_sym_lc] = ACTIONS(1755),
    [anon_sym_lcfirst] = ACTIONS(1755),
    [anon_sym_length] = ACTIONS(1755),
    [anon_sym_localtime] = ACTIONS(1755),
    [anon_sym_log] = ACTIONS(1755),
    [anon_sym_lock] = ACTIONS(1755),
    [anon_sym_lstat] = ACTIONS(1755),
    [anon_sym_oct] = ACTIONS(1755),
    [anon_sym_ord] = ACTIONS(1755),
    [anon_sym_prototype] = ACTIONS(1755),
    [anon_sym_pop] = ACTIONS(1755),
    [anon_sym_pos] = ACTIONS(1755),
    [anon_sym_quotemeta] = ACTIONS(1755),
    [anon_sym_reset] = ACTIONS(1755),
    [anon_sym_rand] = ACTIONS(1755),
    [anon_sym_rmdir] = ACTIONS(1755),
    [anon_sym_readdir] = ACTIONS(1755),
    [anon_sym_readline] = ACTIONS(1755),
    [anon_sym_readpipe] = ACTIONS(1755),
    [anon_sym_rewinddir] = ACTIONS(1755),
    [anon_sym_readlink] = ACTIONS(1755),
    [anon_sym_ref] = ACTIONS(1755),
    [anon_sym_scalar] = ACTIONS(1755),
    [anon_sym_shift] = ACTIONS(1755),
    [anon_sym_sin] = ACTIONS(1755),
    [anon_sym_sleep] = ACTIONS(1755),
    [anon_sym_sqrt] = ACTIONS(1755),
    [anon_sym_srand] = ACTIONS(1755),
    [anon_sym_stat] = ACTIONS(1755),
    [anon_sym_study] = ACTIONS(1755),
    [anon_sym_tell] = ACTIONS(1755),
    [anon_sym_telldir] = ACTIONS(1755),
    [anon_sym_tied] = ACTIONS(1755),
    [anon_sym_uc] = ACTIONS(1755),
    [anon_sym_ucfirst] = ACTIONS(1755),
    [anon_sym_untie] = ACTIONS(1755),
    [anon_sym_umask] = ACTIONS(1755),
    [anon_sym_values] = ACTIONS(1755),
    [anon_sym_write] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1755),
    [anon_sym_qq] = ACTIONS(1755),
    [anon_sym_qw] = ACTIONS(1755),
    [anon_sym_qx] = ACTIONS(1755),
    [anon_sym_qr] = ACTIONS(1755),
    [anon_sym_m] = ACTIONS(1755),
    [anon_sym_s] = ACTIONS(1755),
    [anon_sym_tr] = ACTIONS(1755),
    [anon_sym_y] = ACTIONS(1755),
    [aux_sym__bareword_token1] = ACTIONS(1755),
    [sym_number] = ACTIONS(1755),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [sym__single_quote] = ACTIONS(1759),
    [sym__double_quote] = ACTIONS(1759),
    [sym__backtick_quote] = ACTIONS(1759),
    [sym__search_slash_quote] = ACTIONS(1759),
    [sym__no_search_slash_plz] = ACTIONS(1759),
    [sym__PERLY_HEREDOC] = ACTIONS(1759),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1759),
    [sym__filetest] = ACTIONS(1759),
  },
  [742] = {
    [sym_heredoc_content] = STATE(742),
    [sym__identifier] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(1777),
    [anon_sym_RBRACE] = ACTIONS(1777),
    [anon_sym_SEMI] = ACTIONS(1777),
    [anon_sym_DOLLAR] = ACTIONS(1777),
    [anon_sym_EQ] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1777),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1777),
    [anon_sym_AT] = ACTIONS(1777),
    [anon_sym_COMMA] = ACTIONS(1777),
    [anon_sym_RPAREN] = ACTIONS(1777),
    [anon_sym_my] = ACTIONS(1777),
    [anon_sym_extended] = ACTIONS(1777),
    [anon_sym_async] = ACTIONS(1777),
    [anon_sym_sub] = ACTIONS(1777),
    [anon_sym_method] = ACTIONS(1777),
    [anon_sym_LPAREN] = ACTIONS(1777),
    [anon_sym_continue] = ACTIONS(1777),
    [anon_sym_state] = ACTIONS(1777),
    [anon_sym_our] = ACTIONS(1777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1777),
    [anon_sym_and] = ACTIONS(1777),
    [anon_sym_or] = ACTIONS(1777),
    [anon_sym_xor] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [anon_sym_RBRACK] = ACTIONS(1777),
    [anon_sym_DASH_GT] = ACTIONS(1777),
    [anon_sym_PERCENT] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_LT_LT] = ACTIONS(1777),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1777),
    [anon_sym_PLUS_EQ] = ACTIONS(1777),
    [anon_sym_DASH_EQ] = ACTIONS(1777),
    [anon_sym_DOT_EQ] = ACTIONS(1777),
    [anon_sym_STAR_EQ] = ACTIONS(1777),
    [anon_sym_SLASH_EQ] = ACTIONS(1777),
    [anon_sym_PERCENT_EQ] = ACTIONS(1777),
    [anon_sym_x_EQ] = ACTIONS(1777),
    [anon_sym_AMP_EQ] = ACTIONS(1777),
    [anon_sym_PIPE_EQ] = ACTIONS(1777),
    [anon_sym_CARET_EQ] = ACTIONS(1777),
    [anon_sym_LT_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT_GT_EQ] = ACTIONS(1777),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1777),
    [anon_sym_DOT_DOT] = ACTIONS(1777),
    [anon_sym_STAR_STAR] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE] = ACTIONS(1777),
    [anon_sym_SLASH_SLASH] = ACTIONS(1777),
    [anon_sym_CARET_CARET] = ACTIONS(1777),
    [anon_sym_AMP_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_GT_GT2] = ACTIONS(1777),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_DOT] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1777),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_x] = ACTIONS(1777),
    [anon_sym_EQ_TILDE] = ACTIONS(1777),
    [anon_sym_BANG_TILDE] = ACTIONS(1777),
    [anon_sym_EQ_EQ] = ACTIONS(1777),
    [anon_sym_BANG_EQ] = ACTIONS(1777),
    [anon_sym_eq] = ACTIONS(1777),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1777),
    [anon_sym_equ] = ACTIONS(1777),
    [anon_sym_eqr] = ACTIONS(1777),
    [anon_sym_ne] = ACTIONS(1777),
    [anon_sym_LT_EQ_GT] = ACTIONS(1777),
    [anon_sym_cmp] = ACTIONS(1777),
    [anon_sym_TILDE_TILDE] = ACTIONS(1777),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT_EQ] = ACTIONS(1777),
    [anon_sym_lt] = ACTIONS(1777),
    [anon_sym_le] = ACTIONS(1777),
    [anon_sym_ge] = ACTIONS(1777),
    [anon_sym_gt] = ACTIONS(1777),
    [anon_sym_isa] = ACTIONS(1777),
    [anon_sym_TILDE] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1777),
    [anon_sym_PLUS_PLUS] = ACTIONS(1777),
    [anon_sym_DASH_DASH] = ACTIONS(1777),
    [anon_sym_QMARK] = ACTIONS(1777),
    [anon_sym_BSLASH] = ACTIONS(1779),
    [anon_sym_do] = ACTIONS(1777),
    [anon_sym_eval] = ACTIONS(1777),
    [anon_sym_await] = ACTIONS(1777),
    [anon_sym_field] = ACTIONS(1777),
    [anon_sym_local] = ACTIONS(1777),
    [anon_sym_dynamically] = ACTIONS(1777),
    [anon_sym_require] = ACTIONS(1777),
    [anon_sym_map] = ACTIONS(1777),
    [anon_sym_grep] = ACTIONS(1777),
    [anon_sym_sort] = ACTIONS(1777),
    [anon_sym_goto] = ACTIONS(1777),
    [anon_sym_return] = ACTIONS(1777),
    [anon_sym_undef] = ACTIONS(1777),
    [anon_sym_PERCENT2] = ACTIONS(1777),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1777),
    [anon_sym_EQ_GT] = ACTIONS(1777),
    [anon_sym_last] = ACTIONS(1777),
    [anon_sym_next] = ACTIONS(1777),
    [anon_sym_redo] = ACTIONS(1777),
    [anon_sym___FILE__] = ACTIONS(1777),
    [anon_sym___LINE__] = ACTIONS(1777),
    [anon_sym___PACKAGE__] = ACTIONS(1777),
    [anon_sym___SUB__] = ACTIONS(1777),
    [anon_sym_break] = ACTIONS(1777),
    [anon_sym_fork] = ACTIONS(1777),
    [anon_sym_getppid] = ACTIONS(1777),
    [anon_sym_time] = ACTIONS(1777),
    [anon_sym_times] = ACTIONS(1777),
    [anon_sym_wait] = ACTIONS(1777),
    [anon_sym_wantarray] = ACTIONS(1777),
    [anon_sym_abs] = ACTIONS(1777),
    [anon_sym_alarm] = ACTIONS(1777),
    [anon_sym_chop] = ACTIONS(1777),
    [anon_sym_chdir] = ACTIONS(1777),
    [anon_sym_close] = ACTIONS(1777),
    [anon_sym_closedir] = ACTIONS(1777),
    [anon_sym_caller] = ACTIONS(1777),
    [anon_sym_chomp] = ACTIONS(1777),
    [anon_sym_chr] = ACTIONS(1777),
    [anon_sym_cos] = ACTIONS(1777),
    [anon_sym_chroot] = ACTIONS(1777),
    [anon_sym_defined] = ACTIONS(1777),
    [anon_sym_delete] = ACTIONS(1777),
    [anon_sym_dbmclose] = ACTIONS(1777),
    [anon_sym_exists] = ACTIONS(1777),
    [anon_sym_exit] = ACTIONS(1777),
    [anon_sym_eof] = ACTIONS(1777),
    [anon_sym_exp] = ACTIONS(1777),
    [anon_sym_each] = ACTIONS(1777),
    [anon_sym_fc] = ACTIONS(1777),
    [anon_sym_fileno] = ACTIONS(1777),
    [anon_sym_gmtime] = ACTIONS(1777),
    [anon_sym_getc] = ACTIONS(1777),
    [anon_sym_getpgrp] = ACTIONS(1777),
    [anon_sym_getprotobyname] = ACTIONS(1777),
    [anon_sym_getpwname] = ACTIONS(1777),
    [anon_sym_getpwuid] = ACTIONS(1777),
    [anon_sym_getpeername] = ACTIONS(1777),
    [anon_sym_getnetbyname] = ACTIONS(1777),
    [anon_sym_getsockname] = ACTIONS(1777),
    [anon_sym_getgrnam] = ACTIONS(1777),
    [anon_sym_getgrgid] = ACTIONS(1777),
    [anon_sym_hex] = ACTIONS(1777),
    [anon_sym_int] = ACTIONS(1777),
    [anon_sym_keys] = ACTIONS(1777),
    [anon_sym_lc] = ACTIONS(1777),
    [anon_sym_lcfirst] = ACTIONS(1777),
    [anon_sym_length] = ACTIONS(1777),
    [anon_sym_localtime] = ACTIONS(1777),
    [anon_sym_log] = ACTIONS(1777),
    [anon_sym_lock] = ACTIONS(1777),
    [anon_sym_lstat] = ACTIONS(1777),
    [anon_sym_oct] = ACTIONS(1777),
    [anon_sym_ord] = ACTIONS(1777),
    [anon_sym_prototype] = ACTIONS(1777),
    [anon_sym_pop] = ACTIONS(1777),
    [anon_sym_pos] = ACTIONS(1777),
    [anon_sym_quotemeta] = ACTIONS(1777),
    [anon_sym_reset] = ACTIONS(1777),
    [anon_sym_rand] = ACTIONS(1777),
    [anon_sym_rmdir] = ACTIONS(1777),
    [anon_sym_readdir] = ACTIONS(1777),
    [anon_sym_readline] = ACTIONS(1777),
    [anon_sym_readpipe] = ACTIONS(1777),
    [anon_sym_rewinddir] = ACTIONS(1777),
    [anon_sym_readlink] = ACTIONS(1777),
    [anon_sym_ref] = ACTIONS(1777),
    [anon_sym_scalar] = ACTIONS(1777),
    [anon_sym_shift] = ACTIONS(1777),
    [anon_sym_sin] = ACTIONS(1777),
    [anon_sym_sleep] = ACTIONS(1777),
    [anon_sym_sqrt] = ACTIONS(1777),
    [anon_sym_srand] = ACTIONS(1777),
    [anon_sym_stat] = ACTIONS(1777),
    [anon_sym_study] = ACTIONS(1777),
    [anon_sym_tell] = ACTIONS(1777),
    [anon_sym_telldir] = ACTIONS(1777),
    [anon_sym_tied] = ACTIONS(1777),
    [anon_sym_uc] = ACTIONS(1777),
    [anon_sym_ucfirst] = ACTIONS(1777),
    [anon_sym_untie] = ACTIONS(1777),
    [anon_sym_umask] = ACTIONS(1777),
    [anon_sym_values] = ACTIONS(1777),
    [anon_sym_write] = ACTIONS(1777),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1777),
    [anon_sym_qq] = ACTIONS(1777),
    [anon_sym_qw] = ACTIONS(1777),
    [anon_sym_qx] = ACTIONS(1777),
    [anon_sym_qr] = ACTIONS(1777),
    [anon_sym_m] = ACTIONS(1777),
    [anon_sym_s] = ACTIONS(1777),
    [anon_sym_tr] = ACTIONS(1777),
    [anon_sym_y] = ACTIONS(1777),
    [aux_sym__bareword_token1] = ACTIONS(1777),
    [sym_number] = ACTIONS(1777),
    [anon_sym_true] = ACTIONS(1777),
    [anon_sym_false] = ACTIONS(1777),
    [sym__single_quote] = ACTIONS(1779),
    [sym__double_quote] = ACTIONS(1779),
    [sym__backtick_quote] = ACTIONS(1779),
    [sym__search_slash_quote] = ACTIONS(1779),
    [sym__no_search_slash_plz] = ACTIONS(1779),
    [sym__PERLY_HEREDOC] = ACTIONS(1779),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1779),
    [sym__filetest] = ACTIONS(1779),
  },
  [743] = {
    [sym_heredoc_content] = STATE(743),
    [sym__identifier] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_RBRACE] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1407),
    [anon_sym_AT] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1407),
    [anon_sym_RPAREN] = ACTIONS(1407),
    [anon_sym_my] = ACTIONS(1405),
    [anon_sym_extended] = ACTIONS(1405),
    [anon_sym_async] = ACTIONS(1405),
    [anon_sym_sub] = ACTIONS(1405),
    [anon_sym_method] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_state] = ACTIONS(1405),
    [anon_sym_our] = ACTIONS(1405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1407),
    [anon_sym_and] = ACTIONS(1407),
    [anon_sym_or] = ACTIONS(1407),
    [anon_sym_xor] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_RBRACK] = ACTIONS(1407),
    [anon_sym_DASH_GT] = ACTIONS(1407),
    [anon_sym_PERCENT] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [anon_sym_LT_LT] = ACTIONS(1407),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1407),
    [anon_sym_PLUS_EQ] = ACTIONS(1407),
    [anon_sym_DASH_EQ] = ACTIONS(1407),
    [anon_sym_DOT_EQ] = ACTIONS(1407),
    [anon_sym_STAR_EQ] = ACTIONS(1407),
    [anon_sym_SLASH_EQ] = ACTIONS(1407),
    [anon_sym_PERCENT_EQ] = ACTIONS(1407),
    [anon_sym_x_EQ] = ACTIONS(1407),
    [anon_sym_AMP_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_EQ] = ACTIONS(1407),
    [anon_sym_CARET_EQ] = ACTIONS(1407),
    [anon_sym_LT_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_GT_EQ] = ACTIONS(1407),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1407),
    [anon_sym_DOT_DOT] = ACTIONS(1407),
    [anon_sym_STAR_STAR] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH] = ACTIONS(1407),
    [anon_sym_CARET_CARET] = ACTIONS(1407),
    [anon_sym_AMP_AMP] = ACTIONS(1407),
    [anon_sym_PIPE] = ACTIONS(1407),
    [anon_sym_CARET] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(1407),
    [anon_sym_GT_GT2] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_DOT] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_x] = ACTIONS(1407),
    [anon_sym_EQ_TILDE] = ACTIONS(1407),
    [anon_sym_BANG_TILDE] = ACTIONS(1407),
    [anon_sym_EQ_EQ] = ACTIONS(1407),
    [anon_sym_BANG_EQ] = ACTIONS(1407),
    [anon_sym_eq] = ACTIONS(1407),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1407),
    [anon_sym_equ] = ACTIONS(1407),
    [anon_sym_eqr] = ACTIONS(1407),
    [anon_sym_ne] = ACTIONS(1407),
    [anon_sym_LT_EQ_GT] = ACTIONS(1407),
    [anon_sym_cmp] = ACTIONS(1407),
    [anon_sym_TILDE_TILDE] = ACTIONS(1407),
    [anon_sym_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1407),
    [anon_sym_lt] = ACTIONS(1407),
    [anon_sym_le] = ACTIONS(1407),
    [anon_sym_ge] = ACTIONS(1407),
    [anon_sym_gt] = ACTIONS(1407),
    [anon_sym_isa] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1407),
    [anon_sym_DASH_DASH] = ACTIONS(1407),
    [anon_sym_QMARK] = ACTIONS(1407),
    [anon_sym_BSLASH] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_eval] = ACTIONS(1405),
    [anon_sym_await] = ACTIONS(1405),
    [anon_sym_field] = ACTIONS(1405),
    [anon_sym_local] = ACTIONS(1405),
    [anon_sym_dynamically] = ACTIONS(1405),
    [anon_sym_require] = ACTIONS(1405),
    [anon_sym_map] = ACTIONS(1405),
    [anon_sym_grep] = ACTIONS(1405),
    [anon_sym_sort] = ACTIONS(1405),
    [anon_sym_goto] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_undef] = ACTIONS(1405),
    [anon_sym_PERCENT2] = ACTIONS(1405),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1405),
    [anon_sym_EQ_GT] = ACTIONS(1407),
    [anon_sym_last] = ACTIONS(1405),
    [anon_sym_next] = ACTIONS(1405),
    [anon_sym_redo] = ACTIONS(1405),
    [anon_sym___FILE__] = ACTIONS(1405),
    [anon_sym___LINE__] = ACTIONS(1405),
    [anon_sym___PACKAGE__] = ACTIONS(1405),
    [anon_sym___SUB__] = ACTIONS(1405),
    [anon_sym_break] = ACTIONS(1405),
    [anon_sym_fork] = ACTIONS(1405),
    [anon_sym_getppid] = ACTIONS(1405),
    [anon_sym_time] = ACTIONS(1405),
    [anon_sym_times] = ACTIONS(1405),
    [anon_sym_wait] = ACTIONS(1405),
    [anon_sym_wantarray] = ACTIONS(1405),
    [anon_sym_abs] = ACTIONS(1405),
    [anon_sym_alarm] = ACTIONS(1405),
    [anon_sym_chop] = ACTIONS(1405),
    [anon_sym_chdir] = ACTIONS(1405),
    [anon_sym_close] = ACTIONS(1405),
    [anon_sym_closedir] = ACTIONS(1405),
    [anon_sym_caller] = ACTIONS(1405),
    [anon_sym_chomp] = ACTIONS(1405),
    [anon_sym_chr] = ACTIONS(1405),
    [anon_sym_cos] = ACTIONS(1405),
    [anon_sym_chroot] = ACTIONS(1405),
    [anon_sym_defined] = ACTIONS(1405),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_dbmclose] = ACTIONS(1405),
    [anon_sym_exists] = ACTIONS(1405),
    [anon_sym_exit] = ACTIONS(1405),
    [anon_sym_eof] = ACTIONS(1405),
    [anon_sym_exp] = ACTIONS(1405),
    [anon_sym_each] = ACTIONS(1405),
    [anon_sym_fc] = ACTIONS(1405),
    [anon_sym_fileno] = ACTIONS(1405),
    [anon_sym_gmtime] = ACTIONS(1405),
    [anon_sym_getc] = ACTIONS(1405),
    [anon_sym_getpgrp] = ACTIONS(1405),
    [anon_sym_getprotobyname] = ACTIONS(1405),
    [anon_sym_getpwname] = ACTIONS(1405),
    [anon_sym_getpwuid] = ACTIONS(1405),
    [anon_sym_getpeername] = ACTIONS(1405),
    [anon_sym_getnetbyname] = ACTIONS(1405),
    [anon_sym_getsockname] = ACTIONS(1405),
    [anon_sym_getgrnam] = ACTIONS(1405),
    [anon_sym_getgrgid] = ACTIONS(1405),
    [anon_sym_hex] = ACTIONS(1405),
    [anon_sym_int] = ACTIONS(1405),
    [anon_sym_keys] = ACTIONS(1405),
    [anon_sym_lc] = ACTIONS(1405),
    [anon_sym_lcfirst] = ACTIONS(1405),
    [anon_sym_length] = ACTIONS(1405),
    [anon_sym_localtime] = ACTIONS(1405),
    [anon_sym_log] = ACTIONS(1405),
    [anon_sym_lock] = ACTIONS(1405),
    [anon_sym_lstat] = ACTIONS(1405),
    [anon_sym_oct] = ACTIONS(1405),
    [anon_sym_ord] = ACTIONS(1405),
    [anon_sym_prototype] = ACTIONS(1405),
    [anon_sym_pop] = ACTIONS(1405),
    [anon_sym_pos] = ACTIONS(1405),
    [anon_sym_quotemeta] = ACTIONS(1405),
    [anon_sym_reset] = ACTIONS(1405),
    [anon_sym_rand] = ACTIONS(1405),
    [anon_sym_rmdir] = ACTIONS(1405),
    [anon_sym_readdir] = ACTIONS(1405),
    [anon_sym_readline] = ACTIONS(1405),
    [anon_sym_readpipe] = ACTIONS(1405),
    [anon_sym_rewinddir] = ACTIONS(1405),
    [anon_sym_readlink] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1405),
    [anon_sym_scalar] = ACTIONS(1405),
    [anon_sym_shift] = ACTIONS(1405),
    [anon_sym_sin] = ACTIONS(1405),
    [anon_sym_sleep] = ACTIONS(1405),
    [anon_sym_sqrt] = ACTIONS(1405),
    [anon_sym_srand] = ACTIONS(1405),
    [anon_sym_stat] = ACTIONS(1405),
    [anon_sym_study] = ACTIONS(1405),
    [anon_sym_tell] = ACTIONS(1405),
    [anon_sym_telldir] = ACTIONS(1405),
    [anon_sym_tied] = ACTIONS(1405),
    [anon_sym_uc] = ACTIONS(1405),
    [anon_sym_ucfirst] = ACTIONS(1405),
    [anon_sym_untie] = ACTIONS(1405),
    [anon_sym_umask] = ACTIONS(1405),
    [anon_sym_values] = ACTIONS(1405),
    [anon_sym_write] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1405),
    [anon_sym_qq] = ACTIONS(1405),
    [anon_sym_qw] = ACTIONS(1405),
    [anon_sym_qx] = ACTIONS(1405),
    [anon_sym_qr] = ACTIONS(1405),
    [anon_sym_m] = ACTIONS(1405),
    [anon_sym_s] = ACTIONS(1405),
    [anon_sym_tr] = ACTIONS(1405),
    [anon_sym_y] = ACTIONS(1405),
    [aux_sym__bareword_token1] = ACTIONS(1405),
    [sym_number] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1405),
    [anon_sym_false] = ACTIONS(1405),
    [sym__single_quote] = ACTIONS(1403),
    [sym__double_quote] = ACTIONS(1403),
    [sym__backtick_quote] = ACTIONS(1403),
    [sym__search_slash_quote] = ACTIONS(1403),
    [sym__PERLY_HEREDOC] = ACTIONS(1403),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1403),
    [sym__filetest] = ACTIONS(1403),
  },
  [744] = {
    [sym_heredoc_content] = STATE(744),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_RBRACE] = ACTIONS(1744),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_RPAREN] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_and] = ACTIONS(1744),
    [anon_sym_or] = ACTIONS(1744),
    [anon_sym_xor] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_RBRACK] = ACTIONS(1744),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
  },
  [745] = {
    [sym_heredoc_content] = STATE(745),
    [sym__identifier] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1785),
    [anon_sym_RBRACE] = ACTIONS(1836),
    [anon_sym_SEMI] = ACTIONS(1836),
    [anon_sym_DOLLAR] = ACTIONS(1785),
    [anon_sym_EQ] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1836),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1836),
    [anon_sym_AT] = ACTIONS(1785),
    [anon_sym_COMMA] = ACTIONS(1836),
    [anon_sym_RPAREN] = ACTIONS(1836),
    [anon_sym_my] = ACTIONS(1785),
    [anon_sym_extended] = ACTIONS(1785),
    [anon_sym_async] = ACTIONS(1785),
    [anon_sym_sub] = ACTIONS(1785),
    [anon_sym_method] = ACTIONS(1785),
    [anon_sym_LPAREN] = ACTIONS(1785),
    [anon_sym_continue] = ACTIONS(1785),
    [anon_sym_state] = ACTIONS(1785),
    [anon_sym_our] = ACTIONS(1785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1836),
    [anon_sym_and] = ACTIONS(1836),
    [anon_sym_or] = ACTIONS(1836),
    [anon_sym_xor] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1785),
    [anon_sym_RBRACK] = ACTIONS(1836),
    [anon_sym_DASH_GT] = ACTIONS(1836),
    [anon_sym_PERCENT] = ACTIONS(1836),
    [anon_sym_LT] = ACTIONS(1836),
    [anon_sym_GT] = ACTIONS(1836),
    [anon_sym_LT_LT] = ACTIONS(1836),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1836),
    [anon_sym_PLUS_EQ] = ACTIONS(1836),
    [anon_sym_DASH_EQ] = ACTIONS(1836),
    [anon_sym_DOT_EQ] = ACTIONS(1836),
    [anon_sym_STAR_EQ] = ACTIONS(1836),
    [anon_sym_SLASH_EQ] = ACTIONS(1836),
    [anon_sym_PERCENT_EQ] = ACTIONS(1836),
    [anon_sym_x_EQ] = ACTIONS(1836),
    [anon_sym_AMP_EQ] = ACTIONS(1836),
    [anon_sym_PIPE_EQ] = ACTIONS(1836),
    [anon_sym_CARET_EQ] = ACTIONS(1836),
    [anon_sym_LT_LT_EQ] = ACTIONS(1836),
    [anon_sym_GT_GT_EQ] = ACTIONS(1836),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1836),
    [anon_sym_DOT_DOT] = ACTIONS(1836),
    [anon_sym_STAR_STAR] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE] = ACTIONS(1836),
    [anon_sym_SLASH_SLASH] = ACTIONS(1836),
    [anon_sym_CARET_CARET] = ACTIONS(1836),
    [anon_sym_AMP_AMP] = ACTIONS(1836),
    [anon_sym_PIPE] = ACTIONS(1836),
    [anon_sym_CARET] = ACTIONS(1836),
    [anon_sym_AMP] = ACTIONS(1836),
    [anon_sym_GT_GT2] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1836),
    [anon_sym_DASH] = ACTIONS(1836),
    [anon_sym_DOT] = ACTIONS(1836),
    [anon_sym_STAR] = ACTIONS(1836),
    [anon_sym_SLASH] = ACTIONS(1836),
    [anon_sym_x] = ACTIONS(1836),
    [anon_sym_EQ_TILDE] = ACTIONS(1836),
    [anon_sym_BANG_TILDE] = ACTIONS(1836),
    [anon_sym_EQ_EQ] = ACTIONS(1836),
    [anon_sym_BANG_EQ] = ACTIONS(1836),
    [anon_sym_eq] = ACTIONS(1836),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1836),
    [anon_sym_equ] = ACTIONS(1836),
    [anon_sym_eqr] = ACTIONS(1836),
    [anon_sym_ne] = ACTIONS(1836),
    [anon_sym_LT_EQ_GT] = ACTIONS(1836),
    [anon_sym_cmp] = ACTIONS(1836),
    [anon_sym_TILDE_TILDE] = ACTIONS(1836),
    [anon_sym_LT_EQ] = ACTIONS(1836),
    [anon_sym_GT_EQ] = ACTIONS(1836),
    [anon_sym_lt] = ACTIONS(1836),
    [anon_sym_le] = ACTIONS(1836),
    [anon_sym_ge] = ACTIONS(1836),
    [anon_sym_gt] = ACTIONS(1836),
    [anon_sym_isa] = ACTIONS(1836),
    [anon_sym_TILDE] = ACTIONS(1785),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_PLUS_PLUS] = ACTIONS(1836),
    [anon_sym_DASH_DASH] = ACTIONS(1836),
    [anon_sym_QMARK] = ACTIONS(1836),
    [anon_sym_BSLASH] = ACTIONS(1792),
    [anon_sym_do] = ACTIONS(1785),
    [anon_sym_eval] = ACTIONS(1785),
    [anon_sym_await] = ACTIONS(1785),
    [anon_sym_field] = ACTIONS(1785),
    [anon_sym_local] = ACTIONS(1785),
    [anon_sym_dynamically] = ACTIONS(1785),
    [anon_sym_require] = ACTIONS(1785),
    [anon_sym_map] = ACTIONS(1785),
    [anon_sym_grep] = ACTIONS(1785),
    [anon_sym_sort] = ACTIONS(1785),
    [anon_sym_goto] = ACTIONS(1785),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_undef] = ACTIONS(1785),
    [anon_sym_PERCENT2] = ACTIONS(1785),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1785),
    [anon_sym_EQ_GT] = ACTIONS(1836),
    [anon_sym_last] = ACTIONS(1785),
    [anon_sym_next] = ACTIONS(1785),
    [anon_sym_redo] = ACTIONS(1785),
    [anon_sym___FILE__] = ACTIONS(1785),
    [anon_sym___LINE__] = ACTIONS(1785),
    [anon_sym___PACKAGE__] = ACTIONS(1785),
    [anon_sym___SUB__] = ACTIONS(1785),
    [anon_sym_break] = ACTIONS(1785),
    [anon_sym_fork] = ACTIONS(1785),
    [anon_sym_getppid] = ACTIONS(1785),
    [anon_sym_time] = ACTIONS(1785),
    [anon_sym_times] = ACTIONS(1785),
    [anon_sym_wait] = ACTIONS(1785),
    [anon_sym_wantarray] = ACTIONS(1785),
    [anon_sym_abs] = ACTIONS(1785),
    [anon_sym_alarm] = ACTIONS(1785),
    [anon_sym_chop] = ACTIONS(1785),
    [anon_sym_chdir] = ACTIONS(1785),
    [anon_sym_close] = ACTIONS(1785),
    [anon_sym_closedir] = ACTIONS(1785),
    [anon_sym_caller] = ACTIONS(1785),
    [anon_sym_chomp] = ACTIONS(1785),
    [anon_sym_chr] = ACTIONS(1785),
    [anon_sym_cos] = ACTIONS(1785),
    [anon_sym_chroot] = ACTIONS(1785),
    [anon_sym_defined] = ACTIONS(1785),
    [anon_sym_delete] = ACTIONS(1785),
    [anon_sym_dbmclose] = ACTIONS(1785),
    [anon_sym_exists] = ACTIONS(1785),
    [anon_sym_exit] = ACTIONS(1785),
    [anon_sym_eof] = ACTIONS(1785),
    [anon_sym_exp] = ACTIONS(1785),
    [anon_sym_each] = ACTIONS(1785),
    [anon_sym_fc] = ACTIONS(1785),
    [anon_sym_fileno] = ACTIONS(1785),
    [anon_sym_gmtime] = ACTIONS(1785),
    [anon_sym_getc] = ACTIONS(1785),
    [anon_sym_getpgrp] = ACTIONS(1785),
    [anon_sym_getprotobyname] = ACTIONS(1785),
    [anon_sym_getpwname] = ACTIONS(1785),
    [anon_sym_getpwuid] = ACTIONS(1785),
    [anon_sym_getpeername] = ACTIONS(1785),
    [anon_sym_getnetbyname] = ACTIONS(1785),
    [anon_sym_getsockname] = ACTIONS(1785),
    [anon_sym_getgrnam] = ACTIONS(1785),
    [anon_sym_getgrgid] = ACTIONS(1785),
    [anon_sym_hex] = ACTIONS(1785),
    [anon_sym_int] = ACTIONS(1785),
    [anon_sym_keys] = ACTIONS(1785),
    [anon_sym_lc] = ACTIONS(1785),
    [anon_sym_lcfirst] = ACTIONS(1785),
    [anon_sym_length] = ACTIONS(1785),
    [anon_sym_localtime] = ACTIONS(1785),
    [anon_sym_log] = ACTIONS(1785),
    [anon_sym_lock] = ACTIONS(1785),
    [anon_sym_lstat] = ACTIONS(1785),
    [anon_sym_oct] = ACTIONS(1785),
    [anon_sym_ord] = ACTIONS(1785),
    [anon_sym_prototype] = ACTIONS(1785),
    [anon_sym_pop] = ACTIONS(1785),
    [anon_sym_pos] = ACTIONS(1785),
    [anon_sym_quotemeta] = ACTIONS(1785),
    [anon_sym_reset] = ACTIONS(1785),
    [anon_sym_rand] = ACTIONS(1785),
    [anon_sym_rmdir] = ACTIONS(1785),
    [anon_sym_readdir] = ACTIONS(1785),
    [anon_sym_readline] = ACTIONS(1785),
    [anon_sym_readpipe] = ACTIONS(1785),
    [anon_sym_rewinddir] = ACTIONS(1785),
    [anon_sym_readlink] = ACTIONS(1785),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_scalar] = ACTIONS(1785),
    [anon_sym_shift] = ACTIONS(1785),
    [anon_sym_sin] = ACTIONS(1785),
    [anon_sym_sleep] = ACTIONS(1785),
    [anon_sym_sqrt] = ACTIONS(1785),
    [anon_sym_srand] = ACTIONS(1785),
    [anon_sym_stat] = ACTIONS(1785),
    [anon_sym_study] = ACTIONS(1785),
    [anon_sym_tell] = ACTIONS(1785),
    [anon_sym_telldir] = ACTIONS(1785),
    [anon_sym_tied] = ACTIONS(1785),
    [anon_sym_uc] = ACTIONS(1785),
    [anon_sym_ucfirst] = ACTIONS(1785),
    [anon_sym_untie] = ACTIONS(1785),
    [anon_sym_umask] = ACTIONS(1785),
    [anon_sym_values] = ACTIONS(1785),
    [anon_sym_write] = ACTIONS(1785),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1785),
    [anon_sym_qq] = ACTIONS(1785),
    [anon_sym_qw] = ACTIONS(1785),
    [anon_sym_qx] = ACTIONS(1785),
    [anon_sym_qr] = ACTIONS(1785),
    [anon_sym_m] = ACTIONS(1785),
    [anon_sym_s] = ACTIONS(1785),
    [anon_sym_tr] = ACTIONS(1785),
    [anon_sym_y] = ACTIONS(1785),
    [aux_sym__bareword_token1] = ACTIONS(1785),
    [sym_number] = ACTIONS(1785),
    [anon_sym_true] = ACTIONS(1785),
    [anon_sym_false] = ACTIONS(1785),
    [sym__single_quote] = ACTIONS(1792),
    [sym__double_quote] = ACTIONS(1792),
    [sym__backtick_quote] = ACTIONS(1792),
    [sym__search_slash_quote] = ACTIONS(1792),
    [sym__PERLY_HEREDOC] = ACTIONS(1792),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1792),
    [sym__filetest] = ACTIONS(1792),
  },
  [746] = {
    [sym_heredoc_content] = STATE(746),
    [sym__identifier] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1781),
    [anon_sym_RBRACE] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1781),
    [anon_sym_DOLLAR] = ACTIONS(1781),
    [anon_sym_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(1781),
    [anon_sym_COMMA] = ACTIONS(1781),
    [anon_sym_RPAREN] = ACTIONS(1781),
    [anon_sym_my] = ACTIONS(1781),
    [anon_sym_extended] = ACTIONS(1781),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_sub] = ACTIONS(1781),
    [anon_sym_method] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1781),
    [anon_sym_continue] = ACTIONS(1781),
    [anon_sym_state] = ACTIONS(1781),
    [anon_sym_our] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1781),
    [anon_sym_and] = ACTIONS(1781),
    [anon_sym_or] = ACTIONS(1781),
    [anon_sym_xor] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1781),
    [anon_sym_RBRACK] = ACTIONS(1781),
    [anon_sym_DASH_GT] = ACTIONS(1781),
    [anon_sym_PERCENT] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1781),
    [anon_sym_PLUS_EQ] = ACTIONS(1781),
    [anon_sym_DASH_EQ] = ACTIONS(1781),
    [anon_sym_DOT_EQ] = ACTIONS(1781),
    [anon_sym_STAR_EQ] = ACTIONS(1781),
    [anon_sym_SLASH_EQ] = ACTIONS(1781),
    [anon_sym_PERCENT_EQ] = ACTIONS(1781),
    [anon_sym_x_EQ] = ACTIONS(1781),
    [anon_sym_AMP_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_EQ] = ACTIONS(1781),
    [anon_sym_CARET_EQ] = ACTIONS(1781),
    [anon_sym_LT_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_GT_EQ] = ACTIONS(1781),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1781),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_STAR_STAR] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_CARET_CARET] = ACTIONS(1781),
    [anon_sym_AMP_AMP] = ACTIONS(1781),
    [anon_sym_PIPE] = ACTIONS(1781),
    [anon_sym_CARET] = ACTIONS(1781),
    [anon_sym_AMP] = ACTIONS(1781),
    [anon_sym_GT_GT2] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_x] = ACTIONS(1781),
    [anon_sym_EQ_TILDE] = ACTIONS(1781),
    [anon_sym_BANG_TILDE] = ACTIONS(1781),
    [anon_sym_EQ_EQ] = ACTIONS(1781),
    [anon_sym_BANG_EQ] = ACTIONS(1781),
    [anon_sym_eq] = ACTIONS(1781),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1781),
    [anon_sym_equ] = ACTIONS(1781),
    [anon_sym_eqr] = ACTIONS(1781),
    [anon_sym_ne] = ACTIONS(1781),
    [anon_sym_LT_EQ_GT] = ACTIONS(1781),
    [anon_sym_cmp] = ACTIONS(1781),
    [anon_sym_TILDE_TILDE] = ACTIONS(1781),
    [anon_sym_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_EQ] = ACTIONS(1781),
    [anon_sym_lt] = ACTIONS(1781),
    [anon_sym_le] = ACTIONS(1781),
    [anon_sym_ge] = ACTIONS(1781),
    [anon_sym_gt] = ACTIONS(1781),
    [anon_sym_isa] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_BANG] = ACTIONS(1781),
    [anon_sym_PLUS_PLUS] = ACTIONS(1781),
    [anon_sym_DASH_DASH] = ACTIONS(1781),
    [anon_sym_QMARK] = ACTIONS(1781),
    [anon_sym_BSLASH] = ACTIONS(1783),
    [anon_sym_do] = ACTIONS(1781),
    [anon_sym_eval] = ACTIONS(1781),
    [anon_sym_await] = ACTIONS(1781),
    [anon_sym_field] = ACTIONS(1781),
    [anon_sym_local] = ACTIONS(1781),
    [anon_sym_dynamically] = ACTIONS(1781),
    [anon_sym_require] = ACTIONS(1781),
    [anon_sym_map] = ACTIONS(1781),
    [anon_sym_grep] = ACTIONS(1781),
    [anon_sym_sort] = ACTIONS(1781),
    [anon_sym_goto] = ACTIONS(1781),
    [anon_sym_return] = ACTIONS(1781),
    [anon_sym_undef] = ACTIONS(1781),
    [anon_sym_PERCENT2] = ACTIONS(1781),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1781),
    [anon_sym_EQ_GT] = ACTIONS(1781),
    [anon_sym_last] = ACTIONS(1781),
    [anon_sym_next] = ACTIONS(1781),
    [anon_sym_redo] = ACTIONS(1781),
    [anon_sym___FILE__] = ACTIONS(1781),
    [anon_sym___LINE__] = ACTIONS(1781),
    [anon_sym___PACKAGE__] = ACTIONS(1781),
    [anon_sym___SUB__] = ACTIONS(1781),
    [anon_sym_break] = ACTIONS(1781),
    [anon_sym_fork] = ACTIONS(1781),
    [anon_sym_getppid] = ACTIONS(1781),
    [anon_sym_time] = ACTIONS(1781),
    [anon_sym_times] = ACTIONS(1781),
    [anon_sym_wait] = ACTIONS(1781),
    [anon_sym_wantarray] = ACTIONS(1781),
    [anon_sym_abs] = ACTIONS(1781),
    [anon_sym_alarm] = ACTIONS(1781),
    [anon_sym_chop] = ACTIONS(1781),
    [anon_sym_chdir] = ACTIONS(1781),
    [anon_sym_close] = ACTIONS(1781),
    [anon_sym_closedir] = ACTIONS(1781),
    [anon_sym_caller] = ACTIONS(1781),
    [anon_sym_chomp] = ACTIONS(1781),
    [anon_sym_chr] = ACTIONS(1781),
    [anon_sym_cos] = ACTIONS(1781),
    [anon_sym_chroot] = ACTIONS(1781),
    [anon_sym_defined] = ACTIONS(1781),
    [anon_sym_delete] = ACTIONS(1781),
    [anon_sym_dbmclose] = ACTIONS(1781),
    [anon_sym_exists] = ACTIONS(1781),
    [anon_sym_exit] = ACTIONS(1781),
    [anon_sym_eof] = ACTIONS(1781),
    [anon_sym_exp] = ACTIONS(1781),
    [anon_sym_each] = ACTIONS(1781),
    [anon_sym_fc] = ACTIONS(1781),
    [anon_sym_fileno] = ACTIONS(1781),
    [anon_sym_gmtime] = ACTIONS(1781),
    [anon_sym_getc] = ACTIONS(1781),
    [anon_sym_getpgrp] = ACTIONS(1781),
    [anon_sym_getprotobyname] = ACTIONS(1781),
    [anon_sym_getpwname] = ACTIONS(1781),
    [anon_sym_getpwuid] = ACTIONS(1781),
    [anon_sym_getpeername] = ACTIONS(1781),
    [anon_sym_getnetbyname] = ACTIONS(1781),
    [anon_sym_getsockname] = ACTIONS(1781),
    [anon_sym_getgrnam] = ACTIONS(1781),
    [anon_sym_getgrgid] = ACTIONS(1781),
    [anon_sym_hex] = ACTIONS(1781),
    [anon_sym_int] = ACTIONS(1781),
    [anon_sym_keys] = ACTIONS(1781),
    [anon_sym_lc] = ACTIONS(1781),
    [anon_sym_lcfirst] = ACTIONS(1781),
    [anon_sym_length] = ACTIONS(1781),
    [anon_sym_localtime] = ACTIONS(1781),
    [anon_sym_log] = ACTIONS(1781),
    [anon_sym_lock] = ACTIONS(1781),
    [anon_sym_lstat] = ACTIONS(1781),
    [anon_sym_oct] = ACTIONS(1781),
    [anon_sym_ord] = ACTIONS(1781),
    [anon_sym_prototype] = ACTIONS(1781),
    [anon_sym_pop] = ACTIONS(1781),
    [anon_sym_pos] = ACTIONS(1781),
    [anon_sym_quotemeta] = ACTIONS(1781),
    [anon_sym_reset] = ACTIONS(1781),
    [anon_sym_rand] = ACTIONS(1781),
    [anon_sym_rmdir] = ACTIONS(1781),
    [anon_sym_readdir] = ACTIONS(1781),
    [anon_sym_readline] = ACTIONS(1781),
    [anon_sym_readpipe] = ACTIONS(1781),
    [anon_sym_rewinddir] = ACTIONS(1781),
    [anon_sym_readlink] = ACTIONS(1781),
    [anon_sym_ref] = ACTIONS(1781),
    [anon_sym_scalar] = ACTIONS(1781),
    [anon_sym_shift] = ACTIONS(1781),
    [anon_sym_sin] = ACTIONS(1781),
    [anon_sym_sleep] = ACTIONS(1781),
    [anon_sym_sqrt] = ACTIONS(1781),
    [anon_sym_srand] = ACTIONS(1781),
    [anon_sym_stat] = ACTIONS(1781),
    [anon_sym_study] = ACTIONS(1781),
    [anon_sym_tell] = ACTIONS(1781),
    [anon_sym_telldir] = ACTIONS(1781),
    [anon_sym_tied] = ACTIONS(1781),
    [anon_sym_uc] = ACTIONS(1781),
    [anon_sym_ucfirst] = ACTIONS(1781),
    [anon_sym_untie] = ACTIONS(1781),
    [anon_sym_umask] = ACTIONS(1781),
    [anon_sym_values] = ACTIONS(1781),
    [anon_sym_write] = ACTIONS(1781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1781),
    [anon_sym_qq] = ACTIONS(1781),
    [anon_sym_qw] = ACTIONS(1781),
    [anon_sym_qx] = ACTIONS(1781),
    [anon_sym_qr] = ACTIONS(1781),
    [anon_sym_m] = ACTIONS(1781),
    [anon_sym_s] = ACTIONS(1781),
    [anon_sym_tr] = ACTIONS(1781),
    [anon_sym_y] = ACTIONS(1781),
    [aux_sym__bareword_token1] = ACTIONS(1781),
    [sym_number] = ACTIONS(1781),
    [anon_sym_true] = ACTIONS(1781),
    [anon_sym_false] = ACTIONS(1781),
    [sym__single_quote] = ACTIONS(1783),
    [sym__double_quote] = ACTIONS(1783),
    [sym__backtick_quote] = ACTIONS(1783),
    [sym__search_slash_quote] = ACTIONS(1783),
    [sym__PERLY_HEREDOC] = ACTIONS(1783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1783),
    [sym__filetest] = ACTIONS(1783),
  },
  [747] = {
    [sym_heredoc_content] = STATE(747),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_RBRACE] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1742),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1742),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1742),
    [anon_sym_RPAREN] = ACTIONS(1742),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1742),
    [anon_sym_and] = ACTIONS(1742),
    [anon_sym_or] = ACTIONS(1742),
    [anon_sym_xor] = ACTIONS(1742),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_RBRACK] = ACTIONS(1742),
    [anon_sym_DASH_GT] = ACTIONS(1742),
    [anon_sym_PERCENT] = ACTIONS(1742),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_GT] = ACTIONS(1742),
    [anon_sym_LT_LT] = ACTIONS(1742),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1742),
    [anon_sym_PLUS_EQ] = ACTIONS(1742),
    [anon_sym_DASH_EQ] = ACTIONS(1742),
    [anon_sym_DOT_EQ] = ACTIONS(1742),
    [anon_sym_STAR_EQ] = ACTIONS(1742),
    [anon_sym_SLASH_EQ] = ACTIONS(1742),
    [anon_sym_PERCENT_EQ] = ACTIONS(1742),
    [anon_sym_x_EQ] = ACTIONS(1742),
    [anon_sym_AMP_EQ] = ACTIONS(1742),
    [anon_sym_PIPE_EQ] = ACTIONS(1742),
    [anon_sym_CARET_EQ] = ACTIONS(1742),
    [anon_sym_LT_LT_EQ] = ACTIONS(1742),
    [anon_sym_GT_GT_EQ] = ACTIONS(1742),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1742),
    [anon_sym_DOT_DOT] = ACTIONS(1742),
    [anon_sym_STAR_STAR] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE] = ACTIONS(1742),
    [anon_sym_SLASH_SLASH] = ACTIONS(1742),
    [anon_sym_CARET_CARET] = ACTIONS(1742),
    [anon_sym_AMP_AMP] = ACTIONS(1742),
    [anon_sym_PIPE] = ACTIONS(1742),
    [anon_sym_CARET] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_GT_GT2] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_DOT] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_SLASH] = ACTIONS(1742),
    [anon_sym_x] = ACTIONS(1742),
    [anon_sym_EQ_TILDE] = ACTIONS(1742),
    [anon_sym_BANG_TILDE] = ACTIONS(1742),
    [anon_sym_EQ_EQ] = ACTIONS(1742),
    [anon_sym_BANG_EQ] = ACTIONS(1742),
    [anon_sym_eq] = ACTIONS(1742),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1742),
    [anon_sym_equ] = ACTIONS(1742),
    [anon_sym_eqr] = ACTIONS(1742),
    [anon_sym_ne] = ACTIONS(1742),
    [anon_sym_LT_EQ_GT] = ACTIONS(1742),
    [anon_sym_cmp] = ACTIONS(1742),
    [anon_sym_TILDE_TILDE] = ACTIONS(1742),
    [anon_sym_LT_EQ] = ACTIONS(1742),
    [anon_sym_GT_EQ] = ACTIONS(1742),
    [anon_sym_lt] = ACTIONS(1742),
    [anon_sym_le] = ACTIONS(1742),
    [anon_sym_ge] = ACTIONS(1742),
    [anon_sym_gt] = ACTIONS(1742),
    [anon_sym_isa] = ACTIONS(1742),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1742),
    [anon_sym_QMARK] = ACTIONS(1742),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1742),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
  },
  [748] = {
    [sym_heredoc_content] = STATE(748),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_RBRACE] = ACTIONS(1840),
    [anon_sym_SEMI] = ACTIONS(1840),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1840),
    [anon_sym_RPAREN] = ACTIONS(1840),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1840),
    [anon_sym_and] = ACTIONS(1840),
    [anon_sym_or] = ACTIONS(1840),
    [anon_sym_xor] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_RBRACK] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1840),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1840),
    [anon_sym_PLUS_EQ] = ACTIONS(1840),
    [anon_sym_DASH_EQ] = ACTIONS(1840),
    [anon_sym_DOT_EQ] = ACTIONS(1840),
    [anon_sym_STAR_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_PERCENT_EQ] = ACTIONS(1840),
    [anon_sym_x_EQ] = ACTIONS(1840),
    [anon_sym_AMP_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_CARET_EQ] = ACTIONS(1840),
    [anon_sym_LT_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_GT_EQ] = ACTIONS(1840),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1840),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1840),
    [anon_sym_BANG_TILDE] = ACTIONS(1840),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1840),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1840),
    [anon_sym_equ] = ACTIONS(1840),
    [anon_sym_eqr] = ACTIONS(1840),
    [anon_sym_ne] = ACTIONS(1840),
    [anon_sym_LT_EQ_GT] = ACTIONS(1840),
    [anon_sym_cmp] = ACTIONS(1840),
    [anon_sym_TILDE_TILDE] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1840),
    [anon_sym_lt] = ACTIONS(1840),
    [anon_sym_le] = ACTIONS(1840),
    [anon_sym_ge] = ACTIONS(1840),
    [anon_sym_gt] = ACTIONS(1840),
    [anon_sym_isa] = ACTIONS(1840),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1840),
    [anon_sym_QMARK] = ACTIONS(1840),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1840),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
  },
  [749] = {
    [sym_heredoc_content] = STATE(749),
    [sym__identifier] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1781),
    [anon_sym_RBRACE] = ACTIONS(1781),
    [anon_sym_COLON] = ACTIONS(1781),
    [anon_sym_DOLLAR] = ACTIONS(1781),
    [anon_sym_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(1781),
    [anon_sym_COMMA] = ACTIONS(1781),
    [anon_sym_RPAREN] = ACTIONS(1781),
    [anon_sym_my] = ACTIONS(1781),
    [anon_sym_extended] = ACTIONS(1781),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_sub] = ACTIONS(1781),
    [anon_sym_method] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1781),
    [anon_sym_continue] = ACTIONS(1781),
    [anon_sym_state] = ACTIONS(1781),
    [anon_sym_our] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1781),
    [anon_sym_DASH_GT] = ACTIONS(1781),
    [anon_sym_PERCENT] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1781),
    [anon_sym_PLUS_EQ] = ACTIONS(1781),
    [anon_sym_DASH_EQ] = ACTIONS(1781),
    [anon_sym_DOT_EQ] = ACTIONS(1781),
    [anon_sym_STAR_EQ] = ACTIONS(1781),
    [anon_sym_SLASH_EQ] = ACTIONS(1781),
    [anon_sym_PERCENT_EQ] = ACTIONS(1781),
    [anon_sym_x_EQ] = ACTIONS(1781),
    [anon_sym_AMP_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_EQ] = ACTIONS(1781),
    [anon_sym_CARET_EQ] = ACTIONS(1781),
    [anon_sym_LT_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_GT_EQ] = ACTIONS(1781),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1781),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_STAR_STAR] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_CARET_CARET] = ACTIONS(1781),
    [anon_sym_AMP_AMP] = ACTIONS(1781),
    [anon_sym_PIPE] = ACTIONS(1781),
    [anon_sym_CARET] = ACTIONS(1781),
    [anon_sym_AMP] = ACTIONS(1781),
    [anon_sym_GT_GT2] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_x] = ACTIONS(1781),
    [anon_sym_EQ_TILDE] = ACTIONS(1781),
    [anon_sym_BANG_TILDE] = ACTIONS(1781),
    [anon_sym_EQ_EQ] = ACTIONS(1781),
    [anon_sym_BANG_EQ] = ACTIONS(1781),
    [anon_sym_eq] = ACTIONS(1781),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1781),
    [anon_sym_equ] = ACTIONS(1781),
    [anon_sym_eqr] = ACTIONS(1781),
    [anon_sym_ne] = ACTIONS(1781),
    [anon_sym_LT_EQ_GT] = ACTIONS(1781),
    [anon_sym_cmp] = ACTIONS(1781),
    [anon_sym_TILDE_TILDE] = ACTIONS(1781),
    [anon_sym_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_EQ] = ACTIONS(1781),
    [anon_sym_lt] = ACTIONS(1781),
    [anon_sym_le] = ACTIONS(1781),
    [anon_sym_ge] = ACTIONS(1781),
    [anon_sym_gt] = ACTIONS(1781),
    [anon_sym_isa] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_BANG] = ACTIONS(1781),
    [anon_sym_PLUS_PLUS] = ACTIONS(1781),
    [anon_sym_DASH_DASH] = ACTIONS(1781),
    [anon_sym_QMARK] = ACTIONS(1781),
    [anon_sym_BSLASH] = ACTIONS(1783),
    [anon_sym_do] = ACTIONS(1781),
    [anon_sym_eval] = ACTIONS(1781),
    [anon_sym_await] = ACTIONS(1781),
    [anon_sym_field] = ACTIONS(1781),
    [anon_sym_local] = ACTIONS(1781),
    [anon_sym_dynamically] = ACTIONS(1781),
    [anon_sym_require] = ACTIONS(1781),
    [anon_sym_map] = ACTIONS(1781),
    [anon_sym_grep] = ACTIONS(1781),
    [anon_sym_sort] = ACTIONS(1781),
    [anon_sym_goto] = ACTIONS(1781),
    [anon_sym_return] = ACTIONS(1781),
    [anon_sym_undef] = ACTIONS(1781),
    [anon_sym_PERCENT2] = ACTIONS(1781),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1781),
    [anon_sym_EQ_GT] = ACTIONS(1781),
    [anon_sym_last] = ACTIONS(1781),
    [anon_sym_next] = ACTIONS(1781),
    [anon_sym_redo] = ACTIONS(1781),
    [anon_sym___FILE__] = ACTIONS(1781),
    [anon_sym___LINE__] = ACTIONS(1781),
    [anon_sym___PACKAGE__] = ACTIONS(1781),
    [anon_sym___SUB__] = ACTIONS(1781),
    [anon_sym_break] = ACTIONS(1781),
    [anon_sym_fork] = ACTIONS(1781),
    [anon_sym_getppid] = ACTIONS(1781),
    [anon_sym_time] = ACTIONS(1781),
    [anon_sym_times] = ACTIONS(1781),
    [anon_sym_wait] = ACTIONS(1781),
    [anon_sym_wantarray] = ACTIONS(1781),
    [anon_sym_abs] = ACTIONS(1781),
    [anon_sym_alarm] = ACTIONS(1781),
    [anon_sym_chop] = ACTIONS(1781),
    [anon_sym_chdir] = ACTIONS(1781),
    [anon_sym_close] = ACTIONS(1781),
    [anon_sym_closedir] = ACTIONS(1781),
    [anon_sym_caller] = ACTIONS(1781),
    [anon_sym_chomp] = ACTIONS(1781),
    [anon_sym_chr] = ACTIONS(1781),
    [anon_sym_cos] = ACTIONS(1781),
    [anon_sym_chroot] = ACTIONS(1781),
    [anon_sym_defined] = ACTIONS(1781),
    [anon_sym_delete] = ACTIONS(1781),
    [anon_sym_dbmclose] = ACTIONS(1781),
    [anon_sym_exists] = ACTIONS(1781),
    [anon_sym_exit] = ACTIONS(1781),
    [anon_sym_eof] = ACTIONS(1781),
    [anon_sym_exp] = ACTIONS(1781),
    [anon_sym_each] = ACTIONS(1781),
    [anon_sym_fc] = ACTIONS(1781),
    [anon_sym_fileno] = ACTIONS(1781),
    [anon_sym_gmtime] = ACTIONS(1781),
    [anon_sym_getc] = ACTIONS(1781),
    [anon_sym_getpgrp] = ACTIONS(1781),
    [anon_sym_getprotobyname] = ACTIONS(1781),
    [anon_sym_getpwname] = ACTIONS(1781),
    [anon_sym_getpwuid] = ACTIONS(1781),
    [anon_sym_getpeername] = ACTIONS(1781),
    [anon_sym_getnetbyname] = ACTIONS(1781),
    [anon_sym_getsockname] = ACTIONS(1781),
    [anon_sym_getgrnam] = ACTIONS(1781),
    [anon_sym_getgrgid] = ACTIONS(1781),
    [anon_sym_hex] = ACTIONS(1781),
    [anon_sym_int] = ACTIONS(1781),
    [anon_sym_keys] = ACTIONS(1781),
    [anon_sym_lc] = ACTIONS(1781),
    [anon_sym_lcfirst] = ACTIONS(1781),
    [anon_sym_length] = ACTIONS(1781),
    [anon_sym_localtime] = ACTIONS(1781),
    [anon_sym_log] = ACTIONS(1781),
    [anon_sym_lock] = ACTIONS(1781),
    [anon_sym_lstat] = ACTIONS(1781),
    [anon_sym_oct] = ACTIONS(1781),
    [anon_sym_ord] = ACTIONS(1781),
    [anon_sym_prototype] = ACTIONS(1781),
    [anon_sym_pop] = ACTIONS(1781),
    [anon_sym_pos] = ACTIONS(1781),
    [anon_sym_quotemeta] = ACTIONS(1781),
    [anon_sym_reset] = ACTIONS(1781),
    [anon_sym_rand] = ACTIONS(1781),
    [anon_sym_rmdir] = ACTIONS(1781),
    [anon_sym_readdir] = ACTIONS(1781),
    [anon_sym_readline] = ACTIONS(1781),
    [anon_sym_readpipe] = ACTIONS(1781),
    [anon_sym_rewinddir] = ACTIONS(1781),
    [anon_sym_readlink] = ACTIONS(1781),
    [anon_sym_ref] = ACTIONS(1781),
    [anon_sym_scalar] = ACTIONS(1781),
    [anon_sym_shift] = ACTIONS(1781),
    [anon_sym_sin] = ACTIONS(1781),
    [anon_sym_sleep] = ACTIONS(1781),
    [anon_sym_sqrt] = ACTIONS(1781),
    [anon_sym_srand] = ACTIONS(1781),
    [anon_sym_stat] = ACTIONS(1781),
    [anon_sym_study] = ACTIONS(1781),
    [anon_sym_tell] = ACTIONS(1781),
    [anon_sym_telldir] = ACTIONS(1781),
    [anon_sym_tied] = ACTIONS(1781),
    [anon_sym_uc] = ACTIONS(1781),
    [anon_sym_ucfirst] = ACTIONS(1781),
    [anon_sym_untie] = ACTIONS(1781),
    [anon_sym_umask] = ACTIONS(1781),
    [anon_sym_values] = ACTIONS(1781),
    [anon_sym_write] = ACTIONS(1781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1781),
    [anon_sym_qq] = ACTIONS(1781),
    [anon_sym_qw] = ACTIONS(1781),
    [anon_sym_qx] = ACTIONS(1781),
    [anon_sym_qr] = ACTIONS(1781),
    [anon_sym_m] = ACTIONS(1781),
    [anon_sym_s] = ACTIONS(1781),
    [anon_sym_tr] = ACTIONS(1781),
    [anon_sym_y] = ACTIONS(1781),
    [aux_sym__bareword_token1] = ACTIONS(1781),
    [sym_number] = ACTIONS(1781),
    [anon_sym_true] = ACTIONS(1781),
    [anon_sym_false] = ACTIONS(1781),
    [sym__single_quote] = ACTIONS(1783),
    [sym__double_quote] = ACTIONS(1783),
    [sym__backtick_quote] = ACTIONS(1783),
    [sym__search_slash_quote] = ACTIONS(1783),
    [sym__no_search_slash_plz] = ACTIONS(1783),
    [sym__PERLY_HEREDOC] = ACTIONS(1783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1783),
    [sym__filetest] = ACTIONS(1783),
  },
  [750] = {
    [sym_heredoc_content] = STATE(750),
    [sym__identifier] = ACTIONS(1773),
    [anon_sym_LBRACE] = ACTIONS(1773),
    [anon_sym_RBRACE] = ACTIONS(1773),
    [anon_sym_COLON] = ACTIONS(1773),
    [anon_sym_DOLLAR] = ACTIONS(1773),
    [anon_sym_EQ] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1773),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1773),
    [anon_sym_AT] = ACTIONS(1773),
    [anon_sym_COMMA] = ACTIONS(1773),
    [anon_sym_RPAREN] = ACTIONS(1773),
    [anon_sym_my] = ACTIONS(1773),
    [anon_sym_extended] = ACTIONS(1773),
    [anon_sym_async] = ACTIONS(1773),
    [anon_sym_sub] = ACTIONS(1773),
    [anon_sym_method] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(1773),
    [anon_sym_continue] = ACTIONS(1773),
    [anon_sym_state] = ACTIONS(1773),
    [anon_sym_our] = ACTIONS(1773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(1773),
    [anon_sym_DASH_GT] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [anon_sym_LT] = ACTIONS(1773),
    [anon_sym_GT] = ACTIONS(1773),
    [anon_sym_LT_LT] = ACTIONS(1773),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1773),
    [anon_sym_PLUS_EQ] = ACTIONS(1773),
    [anon_sym_DASH_EQ] = ACTIONS(1773),
    [anon_sym_DOT_EQ] = ACTIONS(1773),
    [anon_sym_STAR_EQ] = ACTIONS(1773),
    [anon_sym_SLASH_EQ] = ACTIONS(1773),
    [anon_sym_PERCENT_EQ] = ACTIONS(1773),
    [anon_sym_x_EQ] = ACTIONS(1773),
    [anon_sym_AMP_EQ] = ACTIONS(1773),
    [anon_sym_PIPE_EQ] = ACTIONS(1773),
    [anon_sym_CARET_EQ] = ACTIONS(1773),
    [anon_sym_LT_LT_EQ] = ACTIONS(1773),
    [anon_sym_GT_GT_EQ] = ACTIONS(1773),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1773),
    [anon_sym_DOT_DOT] = ACTIONS(1773),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE] = ACTIONS(1773),
    [anon_sym_SLASH_SLASH] = ACTIONS(1773),
    [anon_sym_CARET_CARET] = ACTIONS(1773),
    [anon_sym_AMP_AMP] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1773),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_GT_GT2] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_DOT] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_x] = ACTIONS(1773),
    [anon_sym_EQ_TILDE] = ACTIONS(1773),
    [anon_sym_BANG_TILDE] = ACTIONS(1773),
    [anon_sym_EQ_EQ] = ACTIONS(1773),
    [anon_sym_BANG_EQ] = ACTIONS(1773),
    [anon_sym_eq] = ACTIONS(1773),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1773),
    [anon_sym_equ] = ACTIONS(1773),
    [anon_sym_eqr] = ACTIONS(1773),
    [anon_sym_ne] = ACTIONS(1773),
    [anon_sym_LT_EQ_GT] = ACTIONS(1773),
    [anon_sym_cmp] = ACTIONS(1773),
    [anon_sym_TILDE_TILDE] = ACTIONS(1773),
    [anon_sym_LT_EQ] = ACTIONS(1773),
    [anon_sym_GT_EQ] = ACTIONS(1773),
    [anon_sym_lt] = ACTIONS(1773),
    [anon_sym_le] = ACTIONS(1773),
    [anon_sym_ge] = ACTIONS(1773),
    [anon_sym_gt] = ACTIONS(1773),
    [anon_sym_isa] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_QMARK] = ACTIONS(1773),
    [anon_sym_BSLASH] = ACTIONS(1775),
    [anon_sym_do] = ACTIONS(1773),
    [anon_sym_eval] = ACTIONS(1773),
    [anon_sym_await] = ACTIONS(1773),
    [anon_sym_field] = ACTIONS(1773),
    [anon_sym_local] = ACTIONS(1773),
    [anon_sym_dynamically] = ACTIONS(1773),
    [anon_sym_require] = ACTIONS(1773),
    [anon_sym_map] = ACTIONS(1773),
    [anon_sym_grep] = ACTIONS(1773),
    [anon_sym_sort] = ACTIONS(1773),
    [anon_sym_goto] = ACTIONS(1773),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_undef] = ACTIONS(1773),
    [anon_sym_PERCENT2] = ACTIONS(1773),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1773),
    [anon_sym_EQ_GT] = ACTIONS(1773),
    [anon_sym_last] = ACTIONS(1773),
    [anon_sym_next] = ACTIONS(1773),
    [anon_sym_redo] = ACTIONS(1773),
    [anon_sym___FILE__] = ACTIONS(1773),
    [anon_sym___LINE__] = ACTIONS(1773),
    [anon_sym___PACKAGE__] = ACTIONS(1773),
    [anon_sym___SUB__] = ACTIONS(1773),
    [anon_sym_break] = ACTIONS(1773),
    [anon_sym_fork] = ACTIONS(1773),
    [anon_sym_getppid] = ACTIONS(1773),
    [anon_sym_time] = ACTIONS(1773),
    [anon_sym_times] = ACTIONS(1773),
    [anon_sym_wait] = ACTIONS(1773),
    [anon_sym_wantarray] = ACTIONS(1773),
    [anon_sym_abs] = ACTIONS(1773),
    [anon_sym_alarm] = ACTIONS(1773),
    [anon_sym_chop] = ACTIONS(1773),
    [anon_sym_chdir] = ACTIONS(1773),
    [anon_sym_close] = ACTIONS(1773),
    [anon_sym_closedir] = ACTIONS(1773),
    [anon_sym_caller] = ACTIONS(1773),
    [anon_sym_chomp] = ACTIONS(1773),
    [anon_sym_chr] = ACTIONS(1773),
    [anon_sym_cos] = ACTIONS(1773),
    [anon_sym_chroot] = ACTIONS(1773),
    [anon_sym_defined] = ACTIONS(1773),
    [anon_sym_delete] = ACTIONS(1773),
    [anon_sym_dbmclose] = ACTIONS(1773),
    [anon_sym_exists] = ACTIONS(1773),
    [anon_sym_exit] = ACTIONS(1773),
    [anon_sym_eof] = ACTIONS(1773),
    [anon_sym_exp] = ACTIONS(1773),
    [anon_sym_each] = ACTIONS(1773),
    [anon_sym_fc] = ACTIONS(1773),
    [anon_sym_fileno] = ACTIONS(1773),
    [anon_sym_gmtime] = ACTIONS(1773),
    [anon_sym_getc] = ACTIONS(1773),
    [anon_sym_getpgrp] = ACTIONS(1773),
    [anon_sym_getprotobyname] = ACTIONS(1773),
    [anon_sym_getpwname] = ACTIONS(1773),
    [anon_sym_getpwuid] = ACTIONS(1773),
    [anon_sym_getpeername] = ACTIONS(1773),
    [anon_sym_getnetbyname] = ACTIONS(1773),
    [anon_sym_getsockname] = ACTIONS(1773),
    [anon_sym_getgrnam] = ACTIONS(1773),
    [anon_sym_getgrgid] = ACTIONS(1773),
    [anon_sym_hex] = ACTIONS(1773),
    [anon_sym_int] = ACTIONS(1773),
    [anon_sym_keys] = ACTIONS(1773),
    [anon_sym_lc] = ACTIONS(1773),
    [anon_sym_lcfirst] = ACTIONS(1773),
    [anon_sym_length] = ACTIONS(1773),
    [anon_sym_localtime] = ACTIONS(1773),
    [anon_sym_log] = ACTIONS(1773),
    [anon_sym_lock] = ACTIONS(1773),
    [anon_sym_lstat] = ACTIONS(1773),
    [anon_sym_oct] = ACTIONS(1773),
    [anon_sym_ord] = ACTIONS(1773),
    [anon_sym_prototype] = ACTIONS(1773),
    [anon_sym_pop] = ACTIONS(1773),
    [anon_sym_pos] = ACTIONS(1773),
    [anon_sym_quotemeta] = ACTIONS(1773),
    [anon_sym_reset] = ACTIONS(1773),
    [anon_sym_rand] = ACTIONS(1773),
    [anon_sym_rmdir] = ACTIONS(1773),
    [anon_sym_readdir] = ACTIONS(1773),
    [anon_sym_readline] = ACTIONS(1773),
    [anon_sym_readpipe] = ACTIONS(1773),
    [anon_sym_rewinddir] = ACTIONS(1773),
    [anon_sym_readlink] = ACTIONS(1773),
    [anon_sym_ref] = ACTIONS(1773),
    [anon_sym_scalar] = ACTIONS(1773),
    [anon_sym_shift] = ACTIONS(1773),
    [anon_sym_sin] = ACTIONS(1773),
    [anon_sym_sleep] = ACTIONS(1773),
    [anon_sym_sqrt] = ACTIONS(1773),
    [anon_sym_srand] = ACTIONS(1773),
    [anon_sym_stat] = ACTIONS(1773),
    [anon_sym_study] = ACTIONS(1773),
    [anon_sym_tell] = ACTIONS(1773),
    [anon_sym_telldir] = ACTIONS(1773),
    [anon_sym_tied] = ACTIONS(1773),
    [anon_sym_uc] = ACTIONS(1773),
    [anon_sym_ucfirst] = ACTIONS(1773),
    [anon_sym_untie] = ACTIONS(1773),
    [anon_sym_umask] = ACTIONS(1773),
    [anon_sym_values] = ACTIONS(1773),
    [anon_sym_write] = ACTIONS(1773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1773),
    [anon_sym_qq] = ACTIONS(1773),
    [anon_sym_qw] = ACTIONS(1773),
    [anon_sym_qx] = ACTIONS(1773),
    [anon_sym_qr] = ACTIONS(1773),
    [anon_sym_m] = ACTIONS(1773),
    [anon_sym_s] = ACTIONS(1773),
    [anon_sym_tr] = ACTIONS(1773),
    [anon_sym_y] = ACTIONS(1773),
    [aux_sym__bareword_token1] = ACTIONS(1773),
    [sym_number] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(1773),
    [anon_sym_false] = ACTIONS(1773),
    [sym__single_quote] = ACTIONS(1775),
    [sym__double_quote] = ACTIONS(1775),
    [sym__backtick_quote] = ACTIONS(1775),
    [sym__search_slash_quote] = ACTIONS(1775),
    [sym__no_search_slash_plz] = ACTIONS(1775),
    [sym__PERLY_HEREDOC] = ACTIONS(1775),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1775),
    [sym__filetest] = ACTIONS(1775),
  },
  [751] = {
    [sym_heredoc_content] = STATE(751),
    [sym__identifier] = ACTIONS(1736),
    [anon_sym_LBRACE] = ACTIONS(1736),
    [anon_sym_RBRACE] = ACTIONS(1736),
    [anon_sym_COLON] = ACTIONS(1736),
    [anon_sym_DOLLAR] = ACTIONS(1736),
    [anon_sym_EQ] = ACTIONS(1736),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1736),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1736),
    [anon_sym_AT] = ACTIONS(1736),
    [anon_sym_COMMA] = ACTIONS(1736),
    [anon_sym_RPAREN] = ACTIONS(1736),
    [anon_sym_my] = ACTIONS(1736),
    [anon_sym_extended] = ACTIONS(1736),
    [anon_sym_async] = ACTIONS(1736),
    [anon_sym_sub] = ACTIONS(1736),
    [anon_sym_method] = ACTIONS(1736),
    [anon_sym_LPAREN] = ACTIONS(1736),
    [anon_sym_continue] = ACTIONS(1736),
    [anon_sym_state] = ACTIONS(1736),
    [anon_sym_our] = ACTIONS(1736),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1736),
    [anon_sym_LBRACK] = ACTIONS(1736),
    [anon_sym_DASH_GT] = ACTIONS(1736),
    [anon_sym_PERCENT] = ACTIONS(1736),
    [anon_sym_LT] = ACTIONS(1736),
    [anon_sym_GT] = ACTIONS(1736),
    [anon_sym_LT_LT] = ACTIONS(1736),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1736),
    [anon_sym_PLUS_EQ] = ACTIONS(1736),
    [anon_sym_DASH_EQ] = ACTIONS(1736),
    [anon_sym_DOT_EQ] = ACTIONS(1736),
    [anon_sym_STAR_EQ] = ACTIONS(1736),
    [anon_sym_SLASH_EQ] = ACTIONS(1736),
    [anon_sym_PERCENT_EQ] = ACTIONS(1736),
    [anon_sym_x_EQ] = ACTIONS(1736),
    [anon_sym_AMP_EQ] = ACTIONS(1736),
    [anon_sym_PIPE_EQ] = ACTIONS(1736),
    [anon_sym_CARET_EQ] = ACTIONS(1736),
    [anon_sym_LT_LT_EQ] = ACTIONS(1736),
    [anon_sym_GT_GT_EQ] = ACTIONS(1736),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1736),
    [anon_sym_DOT_DOT] = ACTIONS(1736),
    [anon_sym_STAR_STAR] = ACTIONS(1736),
    [anon_sym_PIPE_PIPE] = ACTIONS(1736),
    [anon_sym_SLASH_SLASH] = ACTIONS(1736),
    [anon_sym_CARET_CARET] = ACTIONS(1736),
    [anon_sym_AMP_AMP] = ACTIONS(1736),
    [anon_sym_PIPE] = ACTIONS(1736),
    [anon_sym_CARET] = ACTIONS(1736),
    [anon_sym_AMP] = ACTIONS(1736),
    [anon_sym_GT_GT2] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1736),
    [anon_sym_DOT] = ACTIONS(1736),
    [anon_sym_STAR] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1736),
    [anon_sym_x] = ACTIONS(1736),
    [anon_sym_EQ_TILDE] = ACTIONS(1736),
    [anon_sym_BANG_TILDE] = ACTIONS(1736),
    [anon_sym_EQ_EQ] = ACTIONS(1736),
    [anon_sym_BANG_EQ] = ACTIONS(1736),
    [anon_sym_eq] = ACTIONS(1736),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1736),
    [anon_sym_equ] = ACTIONS(1736),
    [anon_sym_eqr] = ACTIONS(1736),
    [anon_sym_ne] = ACTIONS(1736),
    [anon_sym_LT_EQ_GT] = ACTIONS(1736),
    [anon_sym_cmp] = ACTIONS(1736),
    [anon_sym_TILDE_TILDE] = ACTIONS(1736),
    [anon_sym_LT_EQ] = ACTIONS(1736),
    [anon_sym_GT_EQ] = ACTIONS(1736),
    [anon_sym_lt] = ACTIONS(1736),
    [anon_sym_le] = ACTIONS(1736),
    [anon_sym_ge] = ACTIONS(1736),
    [anon_sym_gt] = ACTIONS(1736),
    [anon_sym_isa] = ACTIONS(1736),
    [anon_sym_TILDE] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1736),
    [anon_sym_PLUS_PLUS] = ACTIONS(1736),
    [anon_sym_DASH_DASH] = ACTIONS(1736),
    [anon_sym_QMARK] = ACTIONS(1736),
    [anon_sym_BSLASH] = ACTIONS(1738),
    [anon_sym_do] = ACTIONS(1736),
    [anon_sym_eval] = ACTIONS(1736),
    [anon_sym_await] = ACTIONS(1736),
    [anon_sym_field] = ACTIONS(1736),
    [anon_sym_local] = ACTIONS(1736),
    [anon_sym_dynamically] = ACTIONS(1736),
    [anon_sym_require] = ACTIONS(1736),
    [anon_sym_map] = ACTIONS(1736),
    [anon_sym_grep] = ACTIONS(1736),
    [anon_sym_sort] = ACTIONS(1736),
    [anon_sym_goto] = ACTIONS(1736),
    [anon_sym_return] = ACTIONS(1736),
    [anon_sym_undef] = ACTIONS(1736),
    [anon_sym_PERCENT2] = ACTIONS(1736),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1736),
    [anon_sym_EQ_GT] = ACTIONS(1736),
    [anon_sym_last] = ACTIONS(1736),
    [anon_sym_next] = ACTIONS(1736),
    [anon_sym_redo] = ACTIONS(1736),
    [anon_sym___FILE__] = ACTIONS(1736),
    [anon_sym___LINE__] = ACTIONS(1736),
    [anon_sym___PACKAGE__] = ACTIONS(1736),
    [anon_sym___SUB__] = ACTIONS(1736),
    [anon_sym_break] = ACTIONS(1736),
    [anon_sym_fork] = ACTIONS(1736),
    [anon_sym_getppid] = ACTIONS(1736),
    [anon_sym_time] = ACTIONS(1736),
    [anon_sym_times] = ACTIONS(1736),
    [anon_sym_wait] = ACTIONS(1736),
    [anon_sym_wantarray] = ACTIONS(1736),
    [anon_sym_abs] = ACTIONS(1736),
    [anon_sym_alarm] = ACTIONS(1736),
    [anon_sym_chop] = ACTIONS(1736),
    [anon_sym_chdir] = ACTIONS(1736),
    [anon_sym_close] = ACTIONS(1736),
    [anon_sym_closedir] = ACTIONS(1736),
    [anon_sym_caller] = ACTIONS(1736),
    [anon_sym_chomp] = ACTIONS(1736),
    [anon_sym_chr] = ACTIONS(1736),
    [anon_sym_cos] = ACTIONS(1736),
    [anon_sym_chroot] = ACTIONS(1736),
    [anon_sym_defined] = ACTIONS(1736),
    [anon_sym_delete] = ACTIONS(1736),
    [anon_sym_dbmclose] = ACTIONS(1736),
    [anon_sym_exists] = ACTIONS(1736),
    [anon_sym_exit] = ACTIONS(1736),
    [anon_sym_eof] = ACTIONS(1736),
    [anon_sym_exp] = ACTIONS(1736),
    [anon_sym_each] = ACTIONS(1736),
    [anon_sym_fc] = ACTIONS(1736),
    [anon_sym_fileno] = ACTIONS(1736),
    [anon_sym_gmtime] = ACTIONS(1736),
    [anon_sym_getc] = ACTIONS(1736),
    [anon_sym_getpgrp] = ACTIONS(1736),
    [anon_sym_getprotobyname] = ACTIONS(1736),
    [anon_sym_getpwname] = ACTIONS(1736),
    [anon_sym_getpwuid] = ACTIONS(1736),
    [anon_sym_getpeername] = ACTIONS(1736),
    [anon_sym_getnetbyname] = ACTIONS(1736),
    [anon_sym_getsockname] = ACTIONS(1736),
    [anon_sym_getgrnam] = ACTIONS(1736),
    [anon_sym_getgrgid] = ACTIONS(1736),
    [anon_sym_hex] = ACTIONS(1736),
    [anon_sym_int] = ACTIONS(1736),
    [anon_sym_keys] = ACTIONS(1736),
    [anon_sym_lc] = ACTIONS(1736),
    [anon_sym_lcfirst] = ACTIONS(1736),
    [anon_sym_length] = ACTIONS(1736),
    [anon_sym_localtime] = ACTIONS(1736),
    [anon_sym_log] = ACTIONS(1736),
    [anon_sym_lock] = ACTIONS(1736),
    [anon_sym_lstat] = ACTIONS(1736),
    [anon_sym_oct] = ACTIONS(1736),
    [anon_sym_ord] = ACTIONS(1736),
    [anon_sym_prototype] = ACTIONS(1736),
    [anon_sym_pop] = ACTIONS(1736),
    [anon_sym_pos] = ACTIONS(1736),
    [anon_sym_quotemeta] = ACTIONS(1736),
    [anon_sym_reset] = ACTIONS(1736),
    [anon_sym_rand] = ACTIONS(1736),
    [anon_sym_rmdir] = ACTIONS(1736),
    [anon_sym_readdir] = ACTIONS(1736),
    [anon_sym_readline] = ACTIONS(1736),
    [anon_sym_readpipe] = ACTIONS(1736),
    [anon_sym_rewinddir] = ACTIONS(1736),
    [anon_sym_readlink] = ACTIONS(1736),
    [anon_sym_ref] = ACTIONS(1736),
    [anon_sym_scalar] = ACTIONS(1736),
    [anon_sym_shift] = ACTIONS(1736),
    [anon_sym_sin] = ACTIONS(1736),
    [anon_sym_sleep] = ACTIONS(1736),
    [anon_sym_sqrt] = ACTIONS(1736),
    [anon_sym_srand] = ACTIONS(1736),
    [anon_sym_stat] = ACTIONS(1736),
    [anon_sym_study] = ACTIONS(1736),
    [anon_sym_tell] = ACTIONS(1736),
    [anon_sym_telldir] = ACTIONS(1736),
    [anon_sym_tied] = ACTIONS(1736),
    [anon_sym_uc] = ACTIONS(1736),
    [anon_sym_ucfirst] = ACTIONS(1736),
    [anon_sym_untie] = ACTIONS(1736),
    [anon_sym_umask] = ACTIONS(1736),
    [anon_sym_values] = ACTIONS(1736),
    [anon_sym_write] = ACTIONS(1736),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1736),
    [anon_sym_qq] = ACTIONS(1736),
    [anon_sym_qw] = ACTIONS(1736),
    [anon_sym_qx] = ACTIONS(1736),
    [anon_sym_qr] = ACTIONS(1736),
    [anon_sym_m] = ACTIONS(1736),
    [anon_sym_s] = ACTIONS(1736),
    [anon_sym_tr] = ACTIONS(1736),
    [anon_sym_y] = ACTIONS(1736),
    [aux_sym__bareword_token1] = ACTIONS(1736),
    [sym_number] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1736),
    [anon_sym_false] = ACTIONS(1736),
    [sym__single_quote] = ACTIONS(1738),
    [sym__double_quote] = ACTIONS(1738),
    [sym__backtick_quote] = ACTIONS(1738),
    [sym__search_slash_quote] = ACTIONS(1738),
    [sym__no_search_slash_plz] = ACTIONS(1738),
    [sym__PERLY_HEREDOC] = ACTIONS(1738),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1738),
    [sym__filetest] = ACTIONS(1738),
  },
  [752] = {
    [sym_heredoc_content] = STATE(752),
    [sym__identifier] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1755),
    [anon_sym_RBRACE] = ACTIONS(1755),
    [anon_sym_COLON] = ACTIONS(1755),
    [anon_sym_DOLLAR] = ACTIONS(1755),
    [anon_sym_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1755),
    [anon_sym_AT] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_RPAREN] = ACTIONS(1755),
    [anon_sym_my] = ACTIONS(1755),
    [anon_sym_extended] = ACTIONS(1755),
    [anon_sym_async] = ACTIONS(1755),
    [anon_sym_sub] = ACTIONS(1755),
    [anon_sym_method] = ACTIONS(1755),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_continue] = ACTIONS(1755),
    [anon_sym_state] = ACTIONS(1755),
    [anon_sym_our] = ACTIONS(1755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_DASH_GT] = ACTIONS(1755),
    [anon_sym_PERCENT] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1755),
    [anon_sym_PLUS_EQ] = ACTIONS(1755),
    [anon_sym_DASH_EQ] = ACTIONS(1755),
    [anon_sym_DOT_EQ] = ACTIONS(1755),
    [anon_sym_STAR_EQ] = ACTIONS(1755),
    [anon_sym_SLASH_EQ] = ACTIONS(1755),
    [anon_sym_PERCENT_EQ] = ACTIONS(1755),
    [anon_sym_x_EQ] = ACTIONS(1755),
    [anon_sym_AMP_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_CARET_EQ] = ACTIONS(1755),
    [anon_sym_LT_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_GT_EQ] = ACTIONS(1755),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1755),
    [anon_sym_DOT_DOT] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH] = ACTIONS(1755),
    [anon_sym_CARET_CARET] = ACTIONS(1755),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_GT_GT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1755),
    [anon_sym_x] = ACTIONS(1755),
    [anon_sym_EQ_TILDE] = ACTIONS(1755),
    [anon_sym_BANG_TILDE] = ACTIONS(1755),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_eq] = ACTIONS(1755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1755),
    [anon_sym_equ] = ACTIONS(1755),
    [anon_sym_eqr] = ACTIONS(1755),
    [anon_sym_ne] = ACTIONS(1755),
    [anon_sym_LT_EQ_GT] = ACTIONS(1755),
    [anon_sym_cmp] = ACTIONS(1755),
    [anon_sym_TILDE_TILDE] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_lt] = ACTIONS(1755),
    [anon_sym_le] = ACTIONS(1755),
    [anon_sym_ge] = ACTIONS(1755),
    [anon_sym_gt] = ACTIONS(1755),
    [anon_sym_isa] = ACTIONS(1755),
    [anon_sym_TILDE] = ACTIONS(1755),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_PLUS_PLUS] = ACTIONS(1755),
    [anon_sym_DASH_DASH] = ACTIONS(1755),
    [anon_sym_QMARK] = ACTIONS(1755),
    [anon_sym_BSLASH] = ACTIONS(1759),
    [anon_sym_do] = ACTIONS(1755),
    [anon_sym_eval] = ACTIONS(1755),
    [anon_sym_await] = ACTIONS(1755),
    [anon_sym_field] = ACTIONS(1755),
    [anon_sym_local] = ACTIONS(1755),
    [anon_sym_dynamically] = ACTIONS(1755),
    [anon_sym_require] = ACTIONS(1755),
    [anon_sym_map] = ACTIONS(1755),
    [anon_sym_grep] = ACTIONS(1755),
    [anon_sym_sort] = ACTIONS(1755),
    [anon_sym_goto] = ACTIONS(1755),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_undef] = ACTIONS(1755),
    [anon_sym_PERCENT2] = ACTIONS(1755),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(1755),
    [anon_sym_last] = ACTIONS(1755),
    [anon_sym_next] = ACTIONS(1755),
    [anon_sym_redo] = ACTIONS(1755),
    [anon_sym___FILE__] = ACTIONS(1755),
    [anon_sym___LINE__] = ACTIONS(1755),
    [anon_sym___PACKAGE__] = ACTIONS(1755),
    [anon_sym___SUB__] = ACTIONS(1755),
    [anon_sym_break] = ACTIONS(1755),
    [anon_sym_fork] = ACTIONS(1755),
    [anon_sym_getppid] = ACTIONS(1755),
    [anon_sym_time] = ACTIONS(1755),
    [anon_sym_times] = ACTIONS(1755),
    [anon_sym_wait] = ACTIONS(1755),
    [anon_sym_wantarray] = ACTIONS(1755),
    [anon_sym_abs] = ACTIONS(1755),
    [anon_sym_alarm] = ACTIONS(1755),
    [anon_sym_chop] = ACTIONS(1755),
    [anon_sym_chdir] = ACTIONS(1755),
    [anon_sym_close] = ACTIONS(1755),
    [anon_sym_closedir] = ACTIONS(1755),
    [anon_sym_caller] = ACTIONS(1755),
    [anon_sym_chomp] = ACTIONS(1755),
    [anon_sym_chr] = ACTIONS(1755),
    [anon_sym_cos] = ACTIONS(1755),
    [anon_sym_chroot] = ACTIONS(1755),
    [anon_sym_defined] = ACTIONS(1755),
    [anon_sym_delete] = ACTIONS(1755),
    [anon_sym_dbmclose] = ACTIONS(1755),
    [anon_sym_exists] = ACTIONS(1755),
    [anon_sym_exit] = ACTIONS(1755),
    [anon_sym_eof] = ACTIONS(1755),
    [anon_sym_exp] = ACTIONS(1755),
    [anon_sym_each] = ACTIONS(1755),
    [anon_sym_fc] = ACTIONS(1755),
    [anon_sym_fileno] = ACTIONS(1755),
    [anon_sym_gmtime] = ACTIONS(1755),
    [anon_sym_getc] = ACTIONS(1755),
    [anon_sym_getpgrp] = ACTIONS(1755),
    [anon_sym_getprotobyname] = ACTIONS(1755),
    [anon_sym_getpwname] = ACTIONS(1755),
    [anon_sym_getpwuid] = ACTIONS(1755),
    [anon_sym_getpeername] = ACTIONS(1755),
    [anon_sym_getnetbyname] = ACTIONS(1755),
    [anon_sym_getsockname] = ACTIONS(1755),
    [anon_sym_getgrnam] = ACTIONS(1755),
    [anon_sym_getgrgid] = ACTIONS(1755),
    [anon_sym_hex] = ACTIONS(1755),
    [anon_sym_int] = ACTIONS(1755),
    [anon_sym_keys] = ACTIONS(1755),
    [anon_sym_lc] = ACTIONS(1755),
    [anon_sym_lcfirst] = ACTIONS(1755),
    [anon_sym_length] = ACTIONS(1755),
    [anon_sym_localtime] = ACTIONS(1755),
    [anon_sym_log] = ACTIONS(1755),
    [anon_sym_lock] = ACTIONS(1755),
    [anon_sym_lstat] = ACTIONS(1755),
    [anon_sym_oct] = ACTIONS(1755),
    [anon_sym_ord] = ACTIONS(1755),
    [anon_sym_prototype] = ACTIONS(1755),
    [anon_sym_pop] = ACTIONS(1755),
    [anon_sym_pos] = ACTIONS(1755),
    [anon_sym_quotemeta] = ACTIONS(1755),
    [anon_sym_reset] = ACTIONS(1755),
    [anon_sym_rand] = ACTIONS(1755),
    [anon_sym_rmdir] = ACTIONS(1755),
    [anon_sym_readdir] = ACTIONS(1755),
    [anon_sym_readline] = ACTIONS(1755),
    [anon_sym_readpipe] = ACTIONS(1755),
    [anon_sym_rewinddir] = ACTIONS(1755),
    [anon_sym_readlink] = ACTIONS(1755),
    [anon_sym_ref] = ACTIONS(1755),
    [anon_sym_scalar] = ACTIONS(1755),
    [anon_sym_shift] = ACTIONS(1755),
    [anon_sym_sin] = ACTIONS(1755),
    [anon_sym_sleep] = ACTIONS(1755),
    [anon_sym_sqrt] = ACTIONS(1755),
    [anon_sym_srand] = ACTIONS(1755),
    [anon_sym_stat] = ACTIONS(1755),
    [anon_sym_study] = ACTIONS(1755),
    [anon_sym_tell] = ACTIONS(1755),
    [anon_sym_telldir] = ACTIONS(1755),
    [anon_sym_tied] = ACTIONS(1755),
    [anon_sym_uc] = ACTIONS(1755),
    [anon_sym_ucfirst] = ACTIONS(1755),
    [anon_sym_untie] = ACTIONS(1755),
    [anon_sym_umask] = ACTIONS(1755),
    [anon_sym_values] = ACTIONS(1755),
    [anon_sym_write] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1755),
    [anon_sym_qq] = ACTIONS(1755),
    [anon_sym_qw] = ACTIONS(1755),
    [anon_sym_qx] = ACTIONS(1755),
    [anon_sym_qr] = ACTIONS(1755),
    [anon_sym_m] = ACTIONS(1755),
    [anon_sym_s] = ACTIONS(1755),
    [anon_sym_tr] = ACTIONS(1755),
    [anon_sym_y] = ACTIONS(1755),
    [aux_sym__bareword_token1] = ACTIONS(1755),
    [sym_number] = ACTIONS(1755),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [sym__single_quote] = ACTIONS(1759),
    [sym__double_quote] = ACTIONS(1759),
    [sym__backtick_quote] = ACTIONS(1759),
    [sym__search_slash_quote] = ACTIONS(1759),
    [sym__no_search_slash_plz] = ACTIONS(1759),
    [sym__PERLY_HEREDOC] = ACTIONS(1759),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1759),
    [sym__filetest] = ACTIONS(1759),
  },
  [753] = {
    [sym_heredoc_content] = STATE(753),
    [sym__identifier] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_RBRACE] = ACTIONS(1755),
    [anon_sym_COLON] = ACTIONS(1755),
    [anon_sym_DOLLAR] = ACTIONS(1755),
    [anon_sym_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1755),
    [anon_sym_AT] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_RPAREN] = ACTIONS(1755),
    [anon_sym_my] = ACTIONS(1755),
    [anon_sym_extended] = ACTIONS(1755),
    [anon_sym_async] = ACTIONS(1755),
    [anon_sym_sub] = ACTIONS(1755),
    [anon_sym_method] = ACTIONS(1755),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_continue] = ACTIONS(1755),
    [anon_sym_state] = ACTIONS(1755),
    [anon_sym_our] = ACTIONS(1755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1757),
    [anon_sym_DASH_GT] = ACTIONS(1755),
    [anon_sym_PERCENT] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1755),
    [anon_sym_PLUS_EQ] = ACTIONS(1755),
    [anon_sym_DASH_EQ] = ACTIONS(1755),
    [anon_sym_DOT_EQ] = ACTIONS(1755),
    [anon_sym_STAR_EQ] = ACTIONS(1755),
    [anon_sym_SLASH_EQ] = ACTIONS(1755),
    [anon_sym_PERCENT_EQ] = ACTIONS(1755),
    [anon_sym_x_EQ] = ACTIONS(1755),
    [anon_sym_AMP_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_CARET_EQ] = ACTIONS(1755),
    [anon_sym_LT_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_GT_EQ] = ACTIONS(1755),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1755),
    [anon_sym_DOT_DOT] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH] = ACTIONS(1755),
    [anon_sym_CARET_CARET] = ACTIONS(1755),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_GT_GT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1755),
    [anon_sym_x] = ACTIONS(1755),
    [anon_sym_EQ_TILDE] = ACTIONS(1755),
    [anon_sym_BANG_TILDE] = ACTIONS(1755),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_eq] = ACTIONS(1755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1755),
    [anon_sym_equ] = ACTIONS(1755),
    [anon_sym_eqr] = ACTIONS(1755),
    [anon_sym_ne] = ACTIONS(1755),
    [anon_sym_LT_EQ_GT] = ACTIONS(1755),
    [anon_sym_cmp] = ACTIONS(1755),
    [anon_sym_TILDE_TILDE] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_lt] = ACTIONS(1755),
    [anon_sym_le] = ACTIONS(1755),
    [anon_sym_ge] = ACTIONS(1755),
    [anon_sym_gt] = ACTIONS(1755),
    [anon_sym_isa] = ACTIONS(1755),
    [anon_sym_TILDE] = ACTIONS(1755),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_PLUS_PLUS] = ACTIONS(1755),
    [anon_sym_DASH_DASH] = ACTIONS(1755),
    [anon_sym_QMARK] = ACTIONS(1755),
    [anon_sym_BSLASH] = ACTIONS(1759),
    [anon_sym_do] = ACTIONS(1755),
    [anon_sym_eval] = ACTIONS(1755),
    [anon_sym_await] = ACTIONS(1755),
    [anon_sym_field] = ACTIONS(1755),
    [anon_sym_local] = ACTIONS(1755),
    [anon_sym_dynamically] = ACTIONS(1755),
    [anon_sym_require] = ACTIONS(1755),
    [anon_sym_map] = ACTIONS(1755),
    [anon_sym_grep] = ACTIONS(1755),
    [anon_sym_sort] = ACTIONS(1755),
    [anon_sym_goto] = ACTIONS(1755),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_undef] = ACTIONS(1755),
    [anon_sym_PERCENT2] = ACTIONS(1755),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(1755),
    [anon_sym_last] = ACTIONS(1755),
    [anon_sym_next] = ACTIONS(1755),
    [anon_sym_redo] = ACTIONS(1755),
    [anon_sym___FILE__] = ACTIONS(1755),
    [anon_sym___LINE__] = ACTIONS(1755),
    [anon_sym___PACKAGE__] = ACTIONS(1755),
    [anon_sym___SUB__] = ACTIONS(1755),
    [anon_sym_break] = ACTIONS(1755),
    [anon_sym_fork] = ACTIONS(1755),
    [anon_sym_getppid] = ACTIONS(1755),
    [anon_sym_time] = ACTIONS(1755),
    [anon_sym_times] = ACTIONS(1755),
    [anon_sym_wait] = ACTIONS(1755),
    [anon_sym_wantarray] = ACTIONS(1755),
    [anon_sym_abs] = ACTIONS(1755),
    [anon_sym_alarm] = ACTIONS(1755),
    [anon_sym_chop] = ACTIONS(1755),
    [anon_sym_chdir] = ACTIONS(1755),
    [anon_sym_close] = ACTIONS(1755),
    [anon_sym_closedir] = ACTIONS(1755),
    [anon_sym_caller] = ACTIONS(1755),
    [anon_sym_chomp] = ACTIONS(1755),
    [anon_sym_chr] = ACTIONS(1755),
    [anon_sym_cos] = ACTIONS(1755),
    [anon_sym_chroot] = ACTIONS(1755),
    [anon_sym_defined] = ACTIONS(1755),
    [anon_sym_delete] = ACTIONS(1755),
    [anon_sym_dbmclose] = ACTIONS(1755),
    [anon_sym_exists] = ACTIONS(1755),
    [anon_sym_exit] = ACTIONS(1755),
    [anon_sym_eof] = ACTIONS(1755),
    [anon_sym_exp] = ACTIONS(1755),
    [anon_sym_each] = ACTIONS(1755),
    [anon_sym_fc] = ACTIONS(1755),
    [anon_sym_fileno] = ACTIONS(1755),
    [anon_sym_gmtime] = ACTIONS(1755),
    [anon_sym_getc] = ACTIONS(1755),
    [anon_sym_getpgrp] = ACTIONS(1755),
    [anon_sym_getprotobyname] = ACTIONS(1755),
    [anon_sym_getpwname] = ACTIONS(1755),
    [anon_sym_getpwuid] = ACTIONS(1755),
    [anon_sym_getpeername] = ACTIONS(1755),
    [anon_sym_getnetbyname] = ACTIONS(1755),
    [anon_sym_getsockname] = ACTIONS(1755),
    [anon_sym_getgrnam] = ACTIONS(1755),
    [anon_sym_getgrgid] = ACTIONS(1755),
    [anon_sym_hex] = ACTIONS(1755),
    [anon_sym_int] = ACTIONS(1755),
    [anon_sym_keys] = ACTIONS(1755),
    [anon_sym_lc] = ACTIONS(1755),
    [anon_sym_lcfirst] = ACTIONS(1755),
    [anon_sym_length] = ACTIONS(1755),
    [anon_sym_localtime] = ACTIONS(1755),
    [anon_sym_log] = ACTIONS(1755),
    [anon_sym_lock] = ACTIONS(1755),
    [anon_sym_lstat] = ACTIONS(1755),
    [anon_sym_oct] = ACTIONS(1755),
    [anon_sym_ord] = ACTIONS(1755),
    [anon_sym_prototype] = ACTIONS(1755),
    [anon_sym_pop] = ACTIONS(1755),
    [anon_sym_pos] = ACTIONS(1755),
    [anon_sym_quotemeta] = ACTIONS(1755),
    [anon_sym_reset] = ACTIONS(1755),
    [anon_sym_rand] = ACTIONS(1755),
    [anon_sym_rmdir] = ACTIONS(1755),
    [anon_sym_readdir] = ACTIONS(1755),
    [anon_sym_readline] = ACTIONS(1755),
    [anon_sym_readpipe] = ACTIONS(1755),
    [anon_sym_rewinddir] = ACTIONS(1755),
    [anon_sym_readlink] = ACTIONS(1755),
    [anon_sym_ref] = ACTIONS(1755),
    [anon_sym_scalar] = ACTIONS(1755),
    [anon_sym_shift] = ACTIONS(1755),
    [anon_sym_sin] = ACTIONS(1755),
    [anon_sym_sleep] = ACTIONS(1755),
    [anon_sym_sqrt] = ACTIONS(1755),
    [anon_sym_srand] = ACTIONS(1755),
    [anon_sym_stat] = ACTIONS(1755),
    [anon_sym_study] = ACTIONS(1755),
    [anon_sym_tell] = ACTIONS(1755),
    [anon_sym_telldir] = ACTIONS(1755),
    [anon_sym_tied] = ACTIONS(1755),
    [anon_sym_uc] = ACTIONS(1755),
    [anon_sym_ucfirst] = ACTIONS(1755),
    [anon_sym_untie] = ACTIONS(1755),
    [anon_sym_umask] = ACTIONS(1755),
    [anon_sym_values] = ACTIONS(1755),
    [anon_sym_write] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1755),
    [anon_sym_qq] = ACTIONS(1755),
    [anon_sym_qw] = ACTIONS(1755),
    [anon_sym_qx] = ACTIONS(1755),
    [anon_sym_qr] = ACTIONS(1755),
    [anon_sym_m] = ACTIONS(1755),
    [anon_sym_s] = ACTIONS(1755),
    [anon_sym_tr] = ACTIONS(1755),
    [anon_sym_y] = ACTIONS(1755),
    [aux_sym__bareword_token1] = ACTIONS(1755),
    [sym_number] = ACTIONS(1755),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [sym__single_quote] = ACTIONS(1759),
    [sym__double_quote] = ACTIONS(1759),
    [sym__backtick_quote] = ACTIONS(1759),
    [sym__search_slash_quote] = ACTIONS(1759),
    [sym__no_search_slash_plz] = ACTIONS(1759),
    [sym__PERLY_HEREDOC] = ACTIONS(1759),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1759),
    [sym__filetest] = ACTIONS(1759),
  },
  [754] = {
    [sym_heredoc_content] = STATE(754),
    [sym__identifier] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_RBRACE] = ACTIONS(1405),
    [anon_sym_COLON] = ACTIONS(1405),
    [anon_sym_DOLLAR] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1405),
    [anon_sym_AT] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [anon_sym_RPAREN] = ACTIONS(1405),
    [anon_sym_my] = ACTIONS(1405),
    [anon_sym_extended] = ACTIONS(1405),
    [anon_sym_async] = ACTIONS(1405),
    [anon_sym_sub] = ACTIONS(1405),
    [anon_sym_method] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_state] = ACTIONS(1405),
    [anon_sym_our] = ACTIONS(1405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_DASH_GT] = ACTIONS(1405),
    [anon_sym_PERCENT] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1405),
    [anon_sym_GT] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1405),
    [anon_sym_PLUS_EQ] = ACTIONS(1405),
    [anon_sym_DASH_EQ] = ACTIONS(1405),
    [anon_sym_DOT_EQ] = ACTIONS(1405),
    [anon_sym_STAR_EQ] = ACTIONS(1405),
    [anon_sym_SLASH_EQ] = ACTIONS(1405),
    [anon_sym_PERCENT_EQ] = ACTIONS(1405),
    [anon_sym_x_EQ] = ACTIONS(1405),
    [anon_sym_AMP_EQ] = ACTIONS(1405),
    [anon_sym_PIPE_EQ] = ACTIONS(1405),
    [anon_sym_CARET_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT_EQ] = ACTIONS(1405),
    [anon_sym_GT_GT_EQ] = ACTIONS(1405),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1405),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_STAR_STAR] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH] = ACTIONS(1405),
    [anon_sym_CARET_CARET] = ACTIONS(1405),
    [anon_sym_AMP_AMP] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_GT_GT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1405),
    [anon_sym_DOT] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1405),
    [anon_sym_x] = ACTIONS(1405),
    [anon_sym_EQ_TILDE] = ACTIONS(1405),
    [anon_sym_BANG_TILDE] = ACTIONS(1405),
    [anon_sym_EQ_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_eq] = ACTIONS(1405),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1405),
    [anon_sym_equ] = ACTIONS(1405),
    [anon_sym_eqr] = ACTIONS(1405),
    [anon_sym_ne] = ACTIONS(1405),
    [anon_sym_LT_EQ_GT] = ACTIONS(1405),
    [anon_sym_cmp] = ACTIONS(1405),
    [anon_sym_TILDE_TILDE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_lt] = ACTIONS(1405),
    [anon_sym_le] = ACTIONS(1405),
    [anon_sym_ge] = ACTIONS(1405),
    [anon_sym_gt] = ACTIONS(1405),
    [anon_sym_isa] = ACTIONS(1405),
    [anon_sym_TILDE] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1405),
    [anon_sym_DASH_DASH] = ACTIONS(1405),
    [anon_sym_QMARK] = ACTIONS(1405),
    [anon_sym_BSLASH] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_eval] = ACTIONS(1405),
    [anon_sym_await] = ACTIONS(1405),
    [anon_sym_field] = ACTIONS(1405),
    [anon_sym_local] = ACTIONS(1405),
    [anon_sym_dynamically] = ACTIONS(1405),
    [anon_sym_require] = ACTIONS(1405),
    [anon_sym_map] = ACTIONS(1405),
    [anon_sym_grep] = ACTIONS(1405),
    [anon_sym_sort] = ACTIONS(1405),
    [anon_sym_goto] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_undef] = ACTIONS(1405),
    [anon_sym_PERCENT2] = ACTIONS(1405),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1405),
    [anon_sym_EQ_GT] = ACTIONS(1405),
    [anon_sym_last] = ACTIONS(1405),
    [anon_sym_next] = ACTIONS(1405),
    [anon_sym_redo] = ACTIONS(1405),
    [anon_sym___FILE__] = ACTIONS(1405),
    [anon_sym___LINE__] = ACTIONS(1405),
    [anon_sym___PACKAGE__] = ACTIONS(1405),
    [anon_sym___SUB__] = ACTIONS(1405),
    [anon_sym_break] = ACTIONS(1405),
    [anon_sym_fork] = ACTIONS(1405),
    [anon_sym_getppid] = ACTIONS(1405),
    [anon_sym_time] = ACTIONS(1405),
    [anon_sym_times] = ACTIONS(1405),
    [anon_sym_wait] = ACTIONS(1405),
    [anon_sym_wantarray] = ACTIONS(1405),
    [anon_sym_abs] = ACTIONS(1405),
    [anon_sym_alarm] = ACTIONS(1405),
    [anon_sym_chop] = ACTIONS(1405),
    [anon_sym_chdir] = ACTIONS(1405),
    [anon_sym_close] = ACTIONS(1405),
    [anon_sym_closedir] = ACTIONS(1405),
    [anon_sym_caller] = ACTIONS(1405),
    [anon_sym_chomp] = ACTIONS(1405),
    [anon_sym_chr] = ACTIONS(1405),
    [anon_sym_cos] = ACTIONS(1405),
    [anon_sym_chroot] = ACTIONS(1405),
    [anon_sym_defined] = ACTIONS(1405),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_dbmclose] = ACTIONS(1405),
    [anon_sym_exists] = ACTIONS(1405),
    [anon_sym_exit] = ACTIONS(1405),
    [anon_sym_eof] = ACTIONS(1405),
    [anon_sym_exp] = ACTIONS(1405),
    [anon_sym_each] = ACTIONS(1405),
    [anon_sym_fc] = ACTIONS(1405),
    [anon_sym_fileno] = ACTIONS(1405),
    [anon_sym_gmtime] = ACTIONS(1405),
    [anon_sym_getc] = ACTIONS(1405),
    [anon_sym_getpgrp] = ACTIONS(1405),
    [anon_sym_getprotobyname] = ACTIONS(1405),
    [anon_sym_getpwname] = ACTIONS(1405),
    [anon_sym_getpwuid] = ACTIONS(1405),
    [anon_sym_getpeername] = ACTIONS(1405),
    [anon_sym_getnetbyname] = ACTIONS(1405),
    [anon_sym_getsockname] = ACTIONS(1405),
    [anon_sym_getgrnam] = ACTIONS(1405),
    [anon_sym_getgrgid] = ACTIONS(1405),
    [anon_sym_hex] = ACTIONS(1405),
    [anon_sym_int] = ACTIONS(1405),
    [anon_sym_keys] = ACTIONS(1405),
    [anon_sym_lc] = ACTIONS(1405),
    [anon_sym_lcfirst] = ACTIONS(1405),
    [anon_sym_length] = ACTIONS(1405),
    [anon_sym_localtime] = ACTIONS(1405),
    [anon_sym_log] = ACTIONS(1405),
    [anon_sym_lock] = ACTIONS(1405),
    [anon_sym_lstat] = ACTIONS(1405),
    [anon_sym_oct] = ACTIONS(1405),
    [anon_sym_ord] = ACTIONS(1405),
    [anon_sym_prototype] = ACTIONS(1405),
    [anon_sym_pop] = ACTIONS(1405),
    [anon_sym_pos] = ACTIONS(1405),
    [anon_sym_quotemeta] = ACTIONS(1405),
    [anon_sym_reset] = ACTIONS(1405),
    [anon_sym_rand] = ACTIONS(1405),
    [anon_sym_rmdir] = ACTIONS(1405),
    [anon_sym_readdir] = ACTIONS(1405),
    [anon_sym_readline] = ACTIONS(1405),
    [anon_sym_readpipe] = ACTIONS(1405),
    [anon_sym_rewinddir] = ACTIONS(1405),
    [anon_sym_readlink] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1405),
    [anon_sym_scalar] = ACTIONS(1405),
    [anon_sym_shift] = ACTIONS(1405),
    [anon_sym_sin] = ACTIONS(1405),
    [anon_sym_sleep] = ACTIONS(1405),
    [anon_sym_sqrt] = ACTIONS(1405),
    [anon_sym_srand] = ACTIONS(1405),
    [anon_sym_stat] = ACTIONS(1405),
    [anon_sym_study] = ACTIONS(1405),
    [anon_sym_tell] = ACTIONS(1405),
    [anon_sym_telldir] = ACTIONS(1405),
    [anon_sym_tied] = ACTIONS(1405),
    [anon_sym_uc] = ACTIONS(1405),
    [anon_sym_ucfirst] = ACTIONS(1405),
    [anon_sym_untie] = ACTIONS(1405),
    [anon_sym_umask] = ACTIONS(1405),
    [anon_sym_values] = ACTIONS(1405),
    [anon_sym_write] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1405),
    [anon_sym_qq] = ACTIONS(1405),
    [anon_sym_qw] = ACTIONS(1405),
    [anon_sym_qx] = ACTIONS(1405),
    [anon_sym_qr] = ACTIONS(1405),
    [anon_sym_m] = ACTIONS(1405),
    [anon_sym_s] = ACTIONS(1405),
    [anon_sym_tr] = ACTIONS(1405),
    [anon_sym_y] = ACTIONS(1405),
    [aux_sym__bareword_token1] = ACTIONS(1405),
    [sym_number] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1405),
    [anon_sym_false] = ACTIONS(1405),
    [sym__single_quote] = ACTIONS(1403),
    [sym__double_quote] = ACTIONS(1403),
    [sym__backtick_quote] = ACTIONS(1403),
    [sym__search_slash_quote] = ACTIONS(1403),
    [sym__no_search_slash_plz] = ACTIONS(1403),
    [sym__PERLY_HEREDOC] = ACTIONS(1403),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1403),
    [sym__filetest] = ACTIONS(1403),
  },
  [755] = {
    [sym_heredoc_content] = STATE(755),
    [sym__identifier] = ACTIONS(1765),
    [anon_sym_LBRACE] = ACTIONS(1765),
    [anon_sym_RBRACE] = ACTIONS(1765),
    [anon_sym_COLON] = ACTIONS(1765),
    [anon_sym_DOLLAR] = ACTIONS(1765),
    [anon_sym_EQ] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1765),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1765),
    [anon_sym_AT] = ACTIONS(1765),
    [anon_sym_COMMA] = ACTIONS(1765),
    [anon_sym_RPAREN] = ACTIONS(1765),
    [anon_sym_my] = ACTIONS(1765),
    [anon_sym_extended] = ACTIONS(1765),
    [anon_sym_async] = ACTIONS(1765),
    [anon_sym_sub] = ACTIONS(1765),
    [anon_sym_method] = ACTIONS(1765),
    [anon_sym_LPAREN] = ACTIONS(1765),
    [anon_sym_continue] = ACTIONS(1765),
    [anon_sym_state] = ACTIONS(1765),
    [anon_sym_our] = ACTIONS(1765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LBRACK] = ACTIONS(1765),
    [anon_sym_DASH_GT] = ACTIONS(1765),
    [anon_sym_PERCENT] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1765),
    [anon_sym_LT_LT] = ACTIONS(1765),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1765),
    [anon_sym_PLUS_EQ] = ACTIONS(1765),
    [anon_sym_DASH_EQ] = ACTIONS(1765),
    [anon_sym_DOT_EQ] = ACTIONS(1765),
    [anon_sym_STAR_EQ] = ACTIONS(1765),
    [anon_sym_SLASH_EQ] = ACTIONS(1765),
    [anon_sym_PERCENT_EQ] = ACTIONS(1765),
    [anon_sym_x_EQ] = ACTIONS(1765),
    [anon_sym_AMP_EQ] = ACTIONS(1765),
    [anon_sym_PIPE_EQ] = ACTIONS(1765),
    [anon_sym_CARET_EQ] = ACTIONS(1765),
    [anon_sym_LT_LT_EQ] = ACTIONS(1765),
    [anon_sym_GT_GT_EQ] = ACTIONS(1765),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1765),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_STAR_STAR] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1765),
    [anon_sym_SLASH_SLASH] = ACTIONS(1765),
    [anon_sym_CARET_CARET] = ACTIONS(1765),
    [anon_sym_AMP_AMP] = ACTIONS(1765),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_CARET] = ACTIONS(1765),
    [anon_sym_AMP] = ACTIONS(1765),
    [anon_sym_GT_GT2] = ACTIONS(1765),
    [anon_sym_PLUS] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_DOT] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1765),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_x] = ACTIONS(1765),
    [anon_sym_EQ_TILDE] = ACTIONS(1765),
    [anon_sym_BANG_TILDE] = ACTIONS(1765),
    [anon_sym_EQ_EQ] = ACTIONS(1765),
    [anon_sym_BANG_EQ] = ACTIONS(1765),
    [anon_sym_eq] = ACTIONS(1765),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1765),
    [anon_sym_equ] = ACTIONS(1765),
    [anon_sym_eqr] = ACTIONS(1765),
    [anon_sym_ne] = ACTIONS(1765),
    [anon_sym_LT_EQ_GT] = ACTIONS(1765),
    [anon_sym_cmp] = ACTIONS(1765),
    [anon_sym_TILDE_TILDE] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1765),
    [anon_sym_GT_EQ] = ACTIONS(1765),
    [anon_sym_lt] = ACTIONS(1765),
    [anon_sym_le] = ACTIONS(1765),
    [anon_sym_ge] = ACTIONS(1765),
    [anon_sym_gt] = ACTIONS(1765),
    [anon_sym_isa] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_PLUS_PLUS] = ACTIONS(1765),
    [anon_sym_DASH_DASH] = ACTIONS(1765),
    [anon_sym_QMARK] = ACTIONS(1765),
    [anon_sym_BSLASH] = ACTIONS(1767),
    [anon_sym_do] = ACTIONS(1765),
    [anon_sym_eval] = ACTIONS(1765),
    [anon_sym_await] = ACTIONS(1765),
    [anon_sym_field] = ACTIONS(1765),
    [anon_sym_local] = ACTIONS(1765),
    [anon_sym_dynamically] = ACTIONS(1765),
    [anon_sym_require] = ACTIONS(1765),
    [anon_sym_map] = ACTIONS(1765),
    [anon_sym_grep] = ACTIONS(1765),
    [anon_sym_sort] = ACTIONS(1765),
    [anon_sym_goto] = ACTIONS(1765),
    [anon_sym_return] = ACTIONS(1765),
    [anon_sym_undef] = ACTIONS(1765),
    [anon_sym_PERCENT2] = ACTIONS(1765),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1765),
    [anon_sym_EQ_GT] = ACTIONS(1765),
    [anon_sym_last] = ACTIONS(1765),
    [anon_sym_next] = ACTIONS(1765),
    [anon_sym_redo] = ACTIONS(1765),
    [anon_sym___FILE__] = ACTIONS(1765),
    [anon_sym___LINE__] = ACTIONS(1765),
    [anon_sym___PACKAGE__] = ACTIONS(1765),
    [anon_sym___SUB__] = ACTIONS(1765),
    [anon_sym_break] = ACTIONS(1765),
    [anon_sym_fork] = ACTIONS(1765),
    [anon_sym_getppid] = ACTIONS(1765),
    [anon_sym_time] = ACTIONS(1765),
    [anon_sym_times] = ACTIONS(1765),
    [anon_sym_wait] = ACTIONS(1765),
    [anon_sym_wantarray] = ACTIONS(1765),
    [anon_sym_abs] = ACTIONS(1765),
    [anon_sym_alarm] = ACTIONS(1765),
    [anon_sym_chop] = ACTIONS(1765),
    [anon_sym_chdir] = ACTIONS(1765),
    [anon_sym_close] = ACTIONS(1765),
    [anon_sym_closedir] = ACTIONS(1765),
    [anon_sym_caller] = ACTIONS(1765),
    [anon_sym_chomp] = ACTIONS(1765),
    [anon_sym_chr] = ACTIONS(1765),
    [anon_sym_cos] = ACTIONS(1765),
    [anon_sym_chroot] = ACTIONS(1765),
    [anon_sym_defined] = ACTIONS(1765),
    [anon_sym_delete] = ACTIONS(1765),
    [anon_sym_dbmclose] = ACTIONS(1765),
    [anon_sym_exists] = ACTIONS(1765),
    [anon_sym_exit] = ACTIONS(1765),
    [anon_sym_eof] = ACTIONS(1765),
    [anon_sym_exp] = ACTIONS(1765),
    [anon_sym_each] = ACTIONS(1765),
    [anon_sym_fc] = ACTIONS(1765),
    [anon_sym_fileno] = ACTIONS(1765),
    [anon_sym_gmtime] = ACTIONS(1765),
    [anon_sym_getc] = ACTIONS(1765),
    [anon_sym_getpgrp] = ACTIONS(1765),
    [anon_sym_getprotobyname] = ACTIONS(1765),
    [anon_sym_getpwname] = ACTIONS(1765),
    [anon_sym_getpwuid] = ACTIONS(1765),
    [anon_sym_getpeername] = ACTIONS(1765),
    [anon_sym_getnetbyname] = ACTIONS(1765),
    [anon_sym_getsockname] = ACTIONS(1765),
    [anon_sym_getgrnam] = ACTIONS(1765),
    [anon_sym_getgrgid] = ACTIONS(1765),
    [anon_sym_hex] = ACTIONS(1765),
    [anon_sym_int] = ACTIONS(1765),
    [anon_sym_keys] = ACTIONS(1765),
    [anon_sym_lc] = ACTIONS(1765),
    [anon_sym_lcfirst] = ACTIONS(1765),
    [anon_sym_length] = ACTIONS(1765),
    [anon_sym_localtime] = ACTIONS(1765),
    [anon_sym_log] = ACTIONS(1765),
    [anon_sym_lock] = ACTIONS(1765),
    [anon_sym_lstat] = ACTIONS(1765),
    [anon_sym_oct] = ACTIONS(1765),
    [anon_sym_ord] = ACTIONS(1765),
    [anon_sym_prototype] = ACTIONS(1765),
    [anon_sym_pop] = ACTIONS(1765),
    [anon_sym_pos] = ACTIONS(1765),
    [anon_sym_quotemeta] = ACTIONS(1765),
    [anon_sym_reset] = ACTIONS(1765),
    [anon_sym_rand] = ACTIONS(1765),
    [anon_sym_rmdir] = ACTIONS(1765),
    [anon_sym_readdir] = ACTIONS(1765),
    [anon_sym_readline] = ACTIONS(1765),
    [anon_sym_readpipe] = ACTIONS(1765),
    [anon_sym_rewinddir] = ACTIONS(1765),
    [anon_sym_readlink] = ACTIONS(1765),
    [anon_sym_ref] = ACTIONS(1765),
    [anon_sym_scalar] = ACTIONS(1765),
    [anon_sym_shift] = ACTIONS(1765),
    [anon_sym_sin] = ACTIONS(1765),
    [anon_sym_sleep] = ACTIONS(1765),
    [anon_sym_sqrt] = ACTIONS(1765),
    [anon_sym_srand] = ACTIONS(1765),
    [anon_sym_stat] = ACTIONS(1765),
    [anon_sym_study] = ACTIONS(1765),
    [anon_sym_tell] = ACTIONS(1765),
    [anon_sym_telldir] = ACTIONS(1765),
    [anon_sym_tied] = ACTIONS(1765),
    [anon_sym_uc] = ACTIONS(1765),
    [anon_sym_ucfirst] = ACTIONS(1765),
    [anon_sym_untie] = ACTIONS(1765),
    [anon_sym_umask] = ACTIONS(1765),
    [anon_sym_values] = ACTIONS(1765),
    [anon_sym_write] = ACTIONS(1765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1765),
    [anon_sym_qq] = ACTIONS(1765),
    [anon_sym_qw] = ACTIONS(1765),
    [anon_sym_qx] = ACTIONS(1765),
    [anon_sym_qr] = ACTIONS(1765),
    [anon_sym_m] = ACTIONS(1765),
    [anon_sym_s] = ACTIONS(1765),
    [anon_sym_tr] = ACTIONS(1765),
    [anon_sym_y] = ACTIONS(1765),
    [aux_sym__bareword_token1] = ACTIONS(1765),
    [sym_number] = ACTIONS(1765),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym__single_quote] = ACTIONS(1767),
    [sym__double_quote] = ACTIONS(1767),
    [sym__backtick_quote] = ACTIONS(1767),
    [sym__search_slash_quote] = ACTIONS(1767),
    [sym__no_search_slash_plz] = ACTIONS(1767),
    [sym__PERLY_HEREDOC] = ACTIONS(1767),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1767),
    [sym__filetest] = ACTIONS(1767),
  },
  [756] = {
    [sym_heredoc_content] = STATE(756),
    [sym__identifier] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1785),
    [anon_sym_RBRACE] = ACTIONS(1787),
    [anon_sym_COLON] = ACTIONS(1787),
    [anon_sym_DOLLAR] = ACTIONS(1785),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1787),
    [anon_sym_AT] = ACTIONS(1785),
    [anon_sym_COMMA] = ACTIONS(1787),
    [anon_sym_RPAREN] = ACTIONS(1787),
    [anon_sym_my] = ACTIONS(1785),
    [anon_sym_extended] = ACTIONS(1785),
    [anon_sym_async] = ACTIONS(1785),
    [anon_sym_sub] = ACTIONS(1785),
    [anon_sym_method] = ACTIONS(1785),
    [anon_sym_LPAREN] = ACTIONS(1785),
    [anon_sym_continue] = ACTIONS(1785),
    [anon_sym_state] = ACTIONS(1785),
    [anon_sym_our] = ACTIONS(1785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1785),
    [anon_sym_DASH_GT] = ACTIONS(1787),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1789),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1787),
    [anon_sym_PLUS_EQ] = ACTIONS(1787),
    [anon_sym_DASH_EQ] = ACTIONS(1787),
    [anon_sym_DOT_EQ] = ACTIONS(1787),
    [anon_sym_STAR_EQ] = ACTIONS(1787),
    [anon_sym_SLASH_EQ] = ACTIONS(1787),
    [anon_sym_PERCENT_EQ] = ACTIONS(1787),
    [anon_sym_x_EQ] = ACTIONS(1787),
    [anon_sym_AMP_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_EQ] = ACTIONS(1787),
    [anon_sym_CARET_EQ] = ACTIONS(1787),
    [anon_sym_LT_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_GT_EQ] = ACTIONS(1787),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1787),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1789),
    [anon_sym_CARET_CARET] = ACTIONS(1787),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1789),
    [anon_sym_DASH] = ACTIONS(1789),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1787),
    [anon_sym_BANG_TILDE] = ACTIONS(1787),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1787),
    [anon_sym_equ] = ACTIONS(1787),
    [anon_sym_eqr] = ACTIONS(1787),
    [anon_sym_ne] = ACTIONS(1787),
    [anon_sym_LT_EQ_GT] = ACTIONS(1787),
    [anon_sym_cmp] = ACTIONS(1787),
    [anon_sym_TILDE_TILDE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1787),
    [anon_sym_lt] = ACTIONS(1787),
    [anon_sym_le] = ACTIONS(1787),
    [anon_sym_ge] = ACTIONS(1787),
    [anon_sym_gt] = ACTIONS(1787),
    [anon_sym_isa] = ACTIONS(1787),
    [anon_sym_TILDE] = ACTIONS(1785),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_QMARK] = ACTIONS(1787),
    [anon_sym_BSLASH] = ACTIONS(1792),
    [anon_sym_do] = ACTIONS(1785),
    [anon_sym_eval] = ACTIONS(1785),
    [anon_sym_await] = ACTIONS(1785),
    [anon_sym_field] = ACTIONS(1785),
    [anon_sym_local] = ACTIONS(1785),
    [anon_sym_dynamically] = ACTIONS(1785),
    [anon_sym_require] = ACTIONS(1785),
    [anon_sym_map] = ACTIONS(1785),
    [anon_sym_grep] = ACTIONS(1785),
    [anon_sym_sort] = ACTIONS(1785),
    [anon_sym_goto] = ACTIONS(1785),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_undef] = ACTIONS(1785),
    [anon_sym_PERCENT2] = ACTIONS(1785),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1785),
    [anon_sym_EQ_GT] = ACTIONS(1787),
    [anon_sym_last] = ACTIONS(1785),
    [anon_sym_next] = ACTIONS(1785),
    [anon_sym_redo] = ACTIONS(1785),
    [anon_sym___FILE__] = ACTIONS(1785),
    [anon_sym___LINE__] = ACTIONS(1785),
    [anon_sym___PACKAGE__] = ACTIONS(1785),
    [anon_sym___SUB__] = ACTIONS(1785),
    [anon_sym_break] = ACTIONS(1785),
    [anon_sym_fork] = ACTIONS(1785),
    [anon_sym_getppid] = ACTIONS(1785),
    [anon_sym_time] = ACTIONS(1785),
    [anon_sym_times] = ACTIONS(1785),
    [anon_sym_wait] = ACTIONS(1785),
    [anon_sym_wantarray] = ACTIONS(1785),
    [anon_sym_abs] = ACTIONS(1785),
    [anon_sym_alarm] = ACTIONS(1785),
    [anon_sym_chop] = ACTIONS(1785),
    [anon_sym_chdir] = ACTIONS(1785),
    [anon_sym_close] = ACTIONS(1785),
    [anon_sym_closedir] = ACTIONS(1785),
    [anon_sym_caller] = ACTIONS(1785),
    [anon_sym_chomp] = ACTIONS(1785),
    [anon_sym_chr] = ACTIONS(1785),
    [anon_sym_cos] = ACTIONS(1785),
    [anon_sym_chroot] = ACTIONS(1785),
    [anon_sym_defined] = ACTIONS(1785),
    [anon_sym_delete] = ACTIONS(1785),
    [anon_sym_dbmclose] = ACTIONS(1785),
    [anon_sym_exists] = ACTIONS(1785),
    [anon_sym_exit] = ACTIONS(1785),
    [anon_sym_eof] = ACTIONS(1785),
    [anon_sym_exp] = ACTIONS(1785),
    [anon_sym_each] = ACTIONS(1785),
    [anon_sym_fc] = ACTIONS(1785),
    [anon_sym_fileno] = ACTIONS(1785),
    [anon_sym_gmtime] = ACTIONS(1785),
    [anon_sym_getc] = ACTIONS(1785),
    [anon_sym_getpgrp] = ACTIONS(1785),
    [anon_sym_getprotobyname] = ACTIONS(1785),
    [anon_sym_getpwname] = ACTIONS(1785),
    [anon_sym_getpwuid] = ACTIONS(1785),
    [anon_sym_getpeername] = ACTIONS(1785),
    [anon_sym_getnetbyname] = ACTIONS(1785),
    [anon_sym_getsockname] = ACTIONS(1785),
    [anon_sym_getgrnam] = ACTIONS(1785),
    [anon_sym_getgrgid] = ACTIONS(1785),
    [anon_sym_hex] = ACTIONS(1785),
    [anon_sym_int] = ACTIONS(1785),
    [anon_sym_keys] = ACTIONS(1785),
    [anon_sym_lc] = ACTIONS(1785),
    [anon_sym_lcfirst] = ACTIONS(1785),
    [anon_sym_length] = ACTIONS(1785),
    [anon_sym_localtime] = ACTIONS(1785),
    [anon_sym_log] = ACTIONS(1785),
    [anon_sym_lock] = ACTIONS(1785),
    [anon_sym_lstat] = ACTIONS(1785),
    [anon_sym_oct] = ACTIONS(1785),
    [anon_sym_ord] = ACTIONS(1785),
    [anon_sym_prototype] = ACTIONS(1785),
    [anon_sym_pop] = ACTIONS(1785),
    [anon_sym_pos] = ACTIONS(1785),
    [anon_sym_quotemeta] = ACTIONS(1785),
    [anon_sym_reset] = ACTIONS(1785),
    [anon_sym_rand] = ACTIONS(1785),
    [anon_sym_rmdir] = ACTIONS(1785),
    [anon_sym_readdir] = ACTIONS(1785),
    [anon_sym_readline] = ACTIONS(1785),
    [anon_sym_readpipe] = ACTIONS(1785),
    [anon_sym_rewinddir] = ACTIONS(1785),
    [anon_sym_readlink] = ACTIONS(1785),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_scalar] = ACTIONS(1785),
    [anon_sym_shift] = ACTIONS(1785),
    [anon_sym_sin] = ACTIONS(1785),
    [anon_sym_sleep] = ACTIONS(1785),
    [anon_sym_sqrt] = ACTIONS(1785),
    [anon_sym_srand] = ACTIONS(1785),
    [anon_sym_stat] = ACTIONS(1785),
    [anon_sym_study] = ACTIONS(1785),
    [anon_sym_tell] = ACTIONS(1785),
    [anon_sym_telldir] = ACTIONS(1785),
    [anon_sym_tied] = ACTIONS(1785),
    [anon_sym_uc] = ACTIONS(1785),
    [anon_sym_ucfirst] = ACTIONS(1785),
    [anon_sym_untie] = ACTIONS(1785),
    [anon_sym_umask] = ACTIONS(1785),
    [anon_sym_values] = ACTIONS(1785),
    [anon_sym_write] = ACTIONS(1785),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1785),
    [anon_sym_qq] = ACTIONS(1785),
    [anon_sym_qw] = ACTIONS(1785),
    [anon_sym_qx] = ACTIONS(1785),
    [anon_sym_qr] = ACTIONS(1785),
    [anon_sym_m] = ACTIONS(1785),
    [anon_sym_s] = ACTIONS(1785),
    [anon_sym_tr] = ACTIONS(1785),
    [anon_sym_y] = ACTIONS(1785),
    [aux_sym__bareword_token1] = ACTIONS(1785),
    [sym_number] = ACTIONS(1785),
    [anon_sym_true] = ACTIONS(1785),
    [anon_sym_false] = ACTIONS(1785),
    [sym__single_quote] = ACTIONS(1792),
    [sym__double_quote] = ACTIONS(1792),
    [sym__backtick_quote] = ACTIONS(1792),
    [sym__search_slash_quote] = ACTIONS(1792),
    [sym__no_search_slash_plz] = ACTIONS(1794),
    [sym__PERLY_HEREDOC] = ACTIONS(1792),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1792),
    [sym__filetest] = ACTIONS(1792),
  },
  [757] = {
    [sym_heredoc_content] = STATE(757),
    [sym__identifier] = ACTIONS(1761),
    [anon_sym_LBRACE] = ACTIONS(1761),
    [anon_sym_RBRACE] = ACTIONS(1761),
    [anon_sym_COLON] = ACTIONS(1761),
    [anon_sym_DOLLAR] = ACTIONS(1761),
    [anon_sym_EQ] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1761),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1761),
    [anon_sym_AT] = ACTIONS(1761),
    [anon_sym_COMMA] = ACTIONS(1761),
    [anon_sym_RPAREN] = ACTIONS(1761),
    [anon_sym_my] = ACTIONS(1761),
    [anon_sym_extended] = ACTIONS(1761),
    [anon_sym_async] = ACTIONS(1761),
    [anon_sym_sub] = ACTIONS(1761),
    [anon_sym_method] = ACTIONS(1761),
    [anon_sym_LPAREN] = ACTIONS(1761),
    [anon_sym_continue] = ACTIONS(1761),
    [anon_sym_state] = ACTIONS(1761),
    [anon_sym_our] = ACTIONS(1761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LBRACK] = ACTIONS(1761),
    [anon_sym_DASH_GT] = ACTIONS(1761),
    [anon_sym_PERCENT] = ACTIONS(1761),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_GT] = ACTIONS(1761),
    [anon_sym_LT_LT] = ACTIONS(1761),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1761),
    [anon_sym_PLUS_EQ] = ACTIONS(1761),
    [anon_sym_DASH_EQ] = ACTIONS(1761),
    [anon_sym_DOT_EQ] = ACTIONS(1761),
    [anon_sym_STAR_EQ] = ACTIONS(1761),
    [anon_sym_SLASH_EQ] = ACTIONS(1761),
    [anon_sym_PERCENT_EQ] = ACTIONS(1761),
    [anon_sym_x_EQ] = ACTIONS(1761),
    [anon_sym_AMP_EQ] = ACTIONS(1761),
    [anon_sym_PIPE_EQ] = ACTIONS(1761),
    [anon_sym_CARET_EQ] = ACTIONS(1761),
    [anon_sym_LT_LT_EQ] = ACTIONS(1761),
    [anon_sym_GT_GT_EQ] = ACTIONS(1761),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1761),
    [anon_sym_DOT_DOT] = ACTIONS(1761),
    [anon_sym_STAR_STAR] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE] = ACTIONS(1761),
    [anon_sym_SLASH_SLASH] = ACTIONS(1761),
    [anon_sym_CARET_CARET] = ACTIONS(1761),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_PIPE] = ACTIONS(1761),
    [anon_sym_CARET] = ACTIONS(1761),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT2] = ACTIONS(1761),
    [anon_sym_PLUS] = ACTIONS(1761),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_DOT] = ACTIONS(1761),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_x] = ACTIONS(1761),
    [anon_sym_EQ_TILDE] = ACTIONS(1761),
    [anon_sym_BANG_TILDE] = ACTIONS(1761),
    [anon_sym_EQ_EQ] = ACTIONS(1761),
    [anon_sym_BANG_EQ] = ACTIONS(1761),
    [anon_sym_eq] = ACTIONS(1761),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1761),
    [anon_sym_equ] = ACTIONS(1761),
    [anon_sym_eqr] = ACTIONS(1761),
    [anon_sym_ne] = ACTIONS(1761),
    [anon_sym_LT_EQ_GT] = ACTIONS(1761),
    [anon_sym_cmp] = ACTIONS(1761),
    [anon_sym_TILDE_TILDE] = ACTIONS(1761),
    [anon_sym_LT_EQ] = ACTIONS(1761),
    [anon_sym_GT_EQ] = ACTIONS(1761),
    [anon_sym_lt] = ACTIONS(1761),
    [anon_sym_le] = ACTIONS(1761),
    [anon_sym_ge] = ACTIONS(1761),
    [anon_sym_gt] = ACTIONS(1761),
    [anon_sym_isa] = ACTIONS(1761),
    [anon_sym_TILDE] = ACTIONS(1761),
    [anon_sym_BANG] = ACTIONS(1761),
    [anon_sym_PLUS_PLUS] = ACTIONS(1761),
    [anon_sym_DASH_DASH] = ACTIONS(1761),
    [anon_sym_QMARK] = ACTIONS(1761),
    [anon_sym_BSLASH] = ACTIONS(1763),
    [anon_sym_do] = ACTIONS(1761),
    [anon_sym_eval] = ACTIONS(1761),
    [anon_sym_await] = ACTIONS(1761),
    [anon_sym_field] = ACTIONS(1761),
    [anon_sym_local] = ACTIONS(1761),
    [anon_sym_dynamically] = ACTIONS(1761),
    [anon_sym_require] = ACTIONS(1761),
    [anon_sym_map] = ACTIONS(1761),
    [anon_sym_grep] = ACTIONS(1761),
    [anon_sym_sort] = ACTIONS(1761),
    [anon_sym_goto] = ACTIONS(1761),
    [anon_sym_return] = ACTIONS(1761),
    [anon_sym_undef] = ACTIONS(1761),
    [anon_sym_PERCENT2] = ACTIONS(1761),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1761),
    [anon_sym_EQ_GT] = ACTIONS(1761),
    [anon_sym_last] = ACTIONS(1761),
    [anon_sym_next] = ACTIONS(1761),
    [anon_sym_redo] = ACTIONS(1761),
    [anon_sym___FILE__] = ACTIONS(1761),
    [anon_sym___LINE__] = ACTIONS(1761),
    [anon_sym___PACKAGE__] = ACTIONS(1761),
    [anon_sym___SUB__] = ACTIONS(1761),
    [anon_sym_break] = ACTIONS(1761),
    [anon_sym_fork] = ACTIONS(1761),
    [anon_sym_getppid] = ACTIONS(1761),
    [anon_sym_time] = ACTIONS(1761),
    [anon_sym_times] = ACTIONS(1761),
    [anon_sym_wait] = ACTIONS(1761),
    [anon_sym_wantarray] = ACTIONS(1761),
    [anon_sym_abs] = ACTIONS(1761),
    [anon_sym_alarm] = ACTIONS(1761),
    [anon_sym_chop] = ACTIONS(1761),
    [anon_sym_chdir] = ACTIONS(1761),
    [anon_sym_close] = ACTIONS(1761),
    [anon_sym_closedir] = ACTIONS(1761),
    [anon_sym_caller] = ACTIONS(1761),
    [anon_sym_chomp] = ACTIONS(1761),
    [anon_sym_chr] = ACTIONS(1761),
    [anon_sym_cos] = ACTIONS(1761),
    [anon_sym_chroot] = ACTIONS(1761),
    [anon_sym_defined] = ACTIONS(1761),
    [anon_sym_delete] = ACTIONS(1761),
    [anon_sym_dbmclose] = ACTIONS(1761),
    [anon_sym_exists] = ACTIONS(1761),
    [anon_sym_exit] = ACTIONS(1761),
    [anon_sym_eof] = ACTIONS(1761),
    [anon_sym_exp] = ACTIONS(1761),
    [anon_sym_each] = ACTIONS(1761),
    [anon_sym_fc] = ACTIONS(1761),
    [anon_sym_fileno] = ACTIONS(1761),
    [anon_sym_gmtime] = ACTIONS(1761),
    [anon_sym_getc] = ACTIONS(1761),
    [anon_sym_getpgrp] = ACTIONS(1761),
    [anon_sym_getprotobyname] = ACTIONS(1761),
    [anon_sym_getpwname] = ACTIONS(1761),
    [anon_sym_getpwuid] = ACTIONS(1761),
    [anon_sym_getpeername] = ACTIONS(1761),
    [anon_sym_getnetbyname] = ACTIONS(1761),
    [anon_sym_getsockname] = ACTIONS(1761),
    [anon_sym_getgrnam] = ACTIONS(1761),
    [anon_sym_getgrgid] = ACTIONS(1761),
    [anon_sym_hex] = ACTIONS(1761),
    [anon_sym_int] = ACTIONS(1761),
    [anon_sym_keys] = ACTIONS(1761),
    [anon_sym_lc] = ACTIONS(1761),
    [anon_sym_lcfirst] = ACTIONS(1761),
    [anon_sym_length] = ACTIONS(1761),
    [anon_sym_localtime] = ACTIONS(1761),
    [anon_sym_log] = ACTIONS(1761),
    [anon_sym_lock] = ACTIONS(1761),
    [anon_sym_lstat] = ACTIONS(1761),
    [anon_sym_oct] = ACTIONS(1761),
    [anon_sym_ord] = ACTIONS(1761),
    [anon_sym_prototype] = ACTIONS(1761),
    [anon_sym_pop] = ACTIONS(1761),
    [anon_sym_pos] = ACTIONS(1761),
    [anon_sym_quotemeta] = ACTIONS(1761),
    [anon_sym_reset] = ACTIONS(1761),
    [anon_sym_rand] = ACTIONS(1761),
    [anon_sym_rmdir] = ACTIONS(1761),
    [anon_sym_readdir] = ACTIONS(1761),
    [anon_sym_readline] = ACTIONS(1761),
    [anon_sym_readpipe] = ACTIONS(1761),
    [anon_sym_rewinddir] = ACTIONS(1761),
    [anon_sym_readlink] = ACTIONS(1761),
    [anon_sym_ref] = ACTIONS(1761),
    [anon_sym_scalar] = ACTIONS(1761),
    [anon_sym_shift] = ACTIONS(1761),
    [anon_sym_sin] = ACTIONS(1761),
    [anon_sym_sleep] = ACTIONS(1761),
    [anon_sym_sqrt] = ACTIONS(1761),
    [anon_sym_srand] = ACTIONS(1761),
    [anon_sym_stat] = ACTIONS(1761),
    [anon_sym_study] = ACTIONS(1761),
    [anon_sym_tell] = ACTIONS(1761),
    [anon_sym_telldir] = ACTIONS(1761),
    [anon_sym_tied] = ACTIONS(1761),
    [anon_sym_uc] = ACTIONS(1761),
    [anon_sym_ucfirst] = ACTIONS(1761),
    [anon_sym_untie] = ACTIONS(1761),
    [anon_sym_umask] = ACTIONS(1761),
    [anon_sym_values] = ACTIONS(1761),
    [anon_sym_write] = ACTIONS(1761),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1761),
    [anon_sym_qq] = ACTIONS(1761),
    [anon_sym_qw] = ACTIONS(1761),
    [anon_sym_qx] = ACTIONS(1761),
    [anon_sym_qr] = ACTIONS(1761),
    [anon_sym_m] = ACTIONS(1761),
    [anon_sym_s] = ACTIONS(1761),
    [anon_sym_tr] = ACTIONS(1761),
    [anon_sym_y] = ACTIONS(1761),
    [aux_sym__bareword_token1] = ACTIONS(1761),
    [sym_number] = ACTIONS(1761),
    [anon_sym_true] = ACTIONS(1761),
    [anon_sym_false] = ACTIONS(1761),
    [sym__single_quote] = ACTIONS(1763),
    [sym__double_quote] = ACTIONS(1763),
    [sym__backtick_quote] = ACTIONS(1763),
    [sym__search_slash_quote] = ACTIONS(1763),
    [sym__no_search_slash_plz] = ACTIONS(1763),
    [sym__PERLY_HEREDOC] = ACTIONS(1763),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1763),
    [sym__filetest] = ACTIONS(1763),
  },
  [758] = {
    [sym_heredoc_content] = STATE(758),
    [sym__identifier] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1769),
    [anon_sym_RBRACE] = ACTIONS(1769),
    [anon_sym_COLON] = ACTIONS(1769),
    [anon_sym_DOLLAR] = ACTIONS(1769),
    [anon_sym_EQ] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1769),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1769),
    [anon_sym_AT] = ACTIONS(1769),
    [anon_sym_COMMA] = ACTIONS(1769),
    [anon_sym_RPAREN] = ACTIONS(1769),
    [anon_sym_my] = ACTIONS(1769),
    [anon_sym_extended] = ACTIONS(1769),
    [anon_sym_async] = ACTIONS(1769),
    [anon_sym_sub] = ACTIONS(1769),
    [anon_sym_method] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1769),
    [anon_sym_continue] = ACTIONS(1769),
    [anon_sym_state] = ACTIONS(1769),
    [anon_sym_our] = ACTIONS(1769),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1769),
    [anon_sym_LBRACK] = ACTIONS(1769),
    [anon_sym_DASH_GT] = ACTIONS(1769),
    [anon_sym_PERCENT] = ACTIONS(1769),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_GT] = ACTIONS(1769),
    [anon_sym_LT_LT] = ACTIONS(1769),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1769),
    [anon_sym_PLUS_EQ] = ACTIONS(1769),
    [anon_sym_DASH_EQ] = ACTIONS(1769),
    [anon_sym_DOT_EQ] = ACTIONS(1769),
    [anon_sym_STAR_EQ] = ACTIONS(1769),
    [anon_sym_SLASH_EQ] = ACTIONS(1769),
    [anon_sym_PERCENT_EQ] = ACTIONS(1769),
    [anon_sym_x_EQ] = ACTIONS(1769),
    [anon_sym_AMP_EQ] = ACTIONS(1769),
    [anon_sym_PIPE_EQ] = ACTIONS(1769),
    [anon_sym_CARET_EQ] = ACTIONS(1769),
    [anon_sym_LT_LT_EQ] = ACTIONS(1769),
    [anon_sym_GT_GT_EQ] = ACTIONS(1769),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1769),
    [anon_sym_DOT_DOT] = ACTIONS(1769),
    [anon_sym_STAR_STAR] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE] = ACTIONS(1769),
    [anon_sym_SLASH_SLASH] = ACTIONS(1769),
    [anon_sym_CARET_CARET] = ACTIONS(1769),
    [anon_sym_AMP_AMP] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1769),
    [anon_sym_CARET] = ACTIONS(1769),
    [anon_sym_AMP] = ACTIONS(1769),
    [anon_sym_GT_GT2] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_DOT] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1769),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_x] = ACTIONS(1769),
    [anon_sym_EQ_TILDE] = ACTIONS(1769),
    [anon_sym_BANG_TILDE] = ACTIONS(1769),
    [anon_sym_EQ_EQ] = ACTIONS(1769),
    [anon_sym_BANG_EQ] = ACTIONS(1769),
    [anon_sym_eq] = ACTIONS(1769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1769),
    [anon_sym_equ] = ACTIONS(1769),
    [anon_sym_eqr] = ACTIONS(1769),
    [anon_sym_ne] = ACTIONS(1769),
    [anon_sym_LT_EQ_GT] = ACTIONS(1769),
    [anon_sym_cmp] = ACTIONS(1769),
    [anon_sym_TILDE_TILDE] = ACTIONS(1769),
    [anon_sym_LT_EQ] = ACTIONS(1769),
    [anon_sym_GT_EQ] = ACTIONS(1769),
    [anon_sym_lt] = ACTIONS(1769),
    [anon_sym_le] = ACTIONS(1769),
    [anon_sym_ge] = ACTIONS(1769),
    [anon_sym_gt] = ACTIONS(1769),
    [anon_sym_isa] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_PLUS_PLUS] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1769),
    [anon_sym_QMARK] = ACTIONS(1769),
    [anon_sym_BSLASH] = ACTIONS(1771),
    [anon_sym_do] = ACTIONS(1769),
    [anon_sym_eval] = ACTIONS(1769),
    [anon_sym_await] = ACTIONS(1769),
    [anon_sym_field] = ACTIONS(1769),
    [anon_sym_local] = ACTIONS(1769),
    [anon_sym_dynamically] = ACTIONS(1769),
    [anon_sym_require] = ACTIONS(1769),
    [anon_sym_map] = ACTIONS(1769),
    [anon_sym_grep] = ACTIONS(1769),
    [anon_sym_sort] = ACTIONS(1769),
    [anon_sym_goto] = ACTIONS(1769),
    [anon_sym_return] = ACTIONS(1769),
    [anon_sym_undef] = ACTIONS(1769),
    [anon_sym_PERCENT2] = ACTIONS(1769),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1769),
    [anon_sym_EQ_GT] = ACTIONS(1769),
    [anon_sym_last] = ACTIONS(1769),
    [anon_sym_next] = ACTIONS(1769),
    [anon_sym_redo] = ACTIONS(1769),
    [anon_sym___FILE__] = ACTIONS(1769),
    [anon_sym___LINE__] = ACTIONS(1769),
    [anon_sym___PACKAGE__] = ACTIONS(1769),
    [anon_sym___SUB__] = ACTIONS(1769),
    [anon_sym_break] = ACTIONS(1769),
    [anon_sym_fork] = ACTIONS(1769),
    [anon_sym_getppid] = ACTIONS(1769),
    [anon_sym_time] = ACTIONS(1769),
    [anon_sym_times] = ACTIONS(1769),
    [anon_sym_wait] = ACTIONS(1769),
    [anon_sym_wantarray] = ACTIONS(1769),
    [anon_sym_abs] = ACTIONS(1769),
    [anon_sym_alarm] = ACTIONS(1769),
    [anon_sym_chop] = ACTIONS(1769),
    [anon_sym_chdir] = ACTIONS(1769),
    [anon_sym_close] = ACTIONS(1769),
    [anon_sym_closedir] = ACTIONS(1769),
    [anon_sym_caller] = ACTIONS(1769),
    [anon_sym_chomp] = ACTIONS(1769),
    [anon_sym_chr] = ACTIONS(1769),
    [anon_sym_cos] = ACTIONS(1769),
    [anon_sym_chroot] = ACTIONS(1769),
    [anon_sym_defined] = ACTIONS(1769),
    [anon_sym_delete] = ACTIONS(1769),
    [anon_sym_dbmclose] = ACTIONS(1769),
    [anon_sym_exists] = ACTIONS(1769),
    [anon_sym_exit] = ACTIONS(1769),
    [anon_sym_eof] = ACTIONS(1769),
    [anon_sym_exp] = ACTIONS(1769),
    [anon_sym_each] = ACTIONS(1769),
    [anon_sym_fc] = ACTIONS(1769),
    [anon_sym_fileno] = ACTIONS(1769),
    [anon_sym_gmtime] = ACTIONS(1769),
    [anon_sym_getc] = ACTIONS(1769),
    [anon_sym_getpgrp] = ACTIONS(1769),
    [anon_sym_getprotobyname] = ACTIONS(1769),
    [anon_sym_getpwname] = ACTIONS(1769),
    [anon_sym_getpwuid] = ACTIONS(1769),
    [anon_sym_getpeername] = ACTIONS(1769),
    [anon_sym_getnetbyname] = ACTIONS(1769),
    [anon_sym_getsockname] = ACTIONS(1769),
    [anon_sym_getgrnam] = ACTIONS(1769),
    [anon_sym_getgrgid] = ACTIONS(1769),
    [anon_sym_hex] = ACTIONS(1769),
    [anon_sym_int] = ACTIONS(1769),
    [anon_sym_keys] = ACTIONS(1769),
    [anon_sym_lc] = ACTIONS(1769),
    [anon_sym_lcfirst] = ACTIONS(1769),
    [anon_sym_length] = ACTIONS(1769),
    [anon_sym_localtime] = ACTIONS(1769),
    [anon_sym_log] = ACTIONS(1769),
    [anon_sym_lock] = ACTIONS(1769),
    [anon_sym_lstat] = ACTIONS(1769),
    [anon_sym_oct] = ACTIONS(1769),
    [anon_sym_ord] = ACTIONS(1769),
    [anon_sym_prototype] = ACTIONS(1769),
    [anon_sym_pop] = ACTIONS(1769),
    [anon_sym_pos] = ACTIONS(1769),
    [anon_sym_quotemeta] = ACTIONS(1769),
    [anon_sym_reset] = ACTIONS(1769),
    [anon_sym_rand] = ACTIONS(1769),
    [anon_sym_rmdir] = ACTIONS(1769),
    [anon_sym_readdir] = ACTIONS(1769),
    [anon_sym_readline] = ACTIONS(1769),
    [anon_sym_readpipe] = ACTIONS(1769),
    [anon_sym_rewinddir] = ACTIONS(1769),
    [anon_sym_readlink] = ACTIONS(1769),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_scalar] = ACTIONS(1769),
    [anon_sym_shift] = ACTIONS(1769),
    [anon_sym_sin] = ACTIONS(1769),
    [anon_sym_sleep] = ACTIONS(1769),
    [anon_sym_sqrt] = ACTIONS(1769),
    [anon_sym_srand] = ACTIONS(1769),
    [anon_sym_stat] = ACTIONS(1769),
    [anon_sym_study] = ACTIONS(1769),
    [anon_sym_tell] = ACTIONS(1769),
    [anon_sym_telldir] = ACTIONS(1769),
    [anon_sym_tied] = ACTIONS(1769),
    [anon_sym_uc] = ACTIONS(1769),
    [anon_sym_ucfirst] = ACTIONS(1769),
    [anon_sym_untie] = ACTIONS(1769),
    [anon_sym_umask] = ACTIONS(1769),
    [anon_sym_values] = ACTIONS(1769),
    [anon_sym_write] = ACTIONS(1769),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1769),
    [anon_sym_qq] = ACTIONS(1769),
    [anon_sym_qw] = ACTIONS(1769),
    [anon_sym_qx] = ACTIONS(1769),
    [anon_sym_qr] = ACTIONS(1769),
    [anon_sym_m] = ACTIONS(1769),
    [anon_sym_s] = ACTIONS(1769),
    [anon_sym_tr] = ACTIONS(1769),
    [anon_sym_y] = ACTIONS(1769),
    [aux_sym__bareword_token1] = ACTIONS(1769),
    [sym_number] = ACTIONS(1769),
    [anon_sym_true] = ACTIONS(1769),
    [anon_sym_false] = ACTIONS(1769),
    [sym__single_quote] = ACTIONS(1771),
    [sym__double_quote] = ACTIONS(1771),
    [sym__backtick_quote] = ACTIONS(1771),
    [sym__search_slash_quote] = ACTIONS(1771),
    [sym__no_search_slash_plz] = ACTIONS(1771),
    [sym__PERLY_HEREDOC] = ACTIONS(1771),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1771),
    [sym__filetest] = ACTIONS(1771),
  },
  [759] = {
    [sym_heredoc_content] = STATE(759),
    [sym__identifier] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(1777),
    [anon_sym_RBRACE] = ACTIONS(1777),
    [anon_sym_COLON] = ACTIONS(1777),
    [anon_sym_DOLLAR] = ACTIONS(1777),
    [anon_sym_EQ] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1777),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1777),
    [anon_sym_AT] = ACTIONS(1777),
    [anon_sym_COMMA] = ACTIONS(1777),
    [anon_sym_RPAREN] = ACTIONS(1777),
    [anon_sym_my] = ACTIONS(1777),
    [anon_sym_extended] = ACTIONS(1777),
    [anon_sym_async] = ACTIONS(1777),
    [anon_sym_sub] = ACTIONS(1777),
    [anon_sym_method] = ACTIONS(1777),
    [anon_sym_LPAREN] = ACTIONS(1777),
    [anon_sym_continue] = ACTIONS(1777),
    [anon_sym_state] = ACTIONS(1777),
    [anon_sym_our] = ACTIONS(1777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [anon_sym_DASH_GT] = ACTIONS(1777),
    [anon_sym_PERCENT] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_LT_LT] = ACTIONS(1777),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1777),
    [anon_sym_PLUS_EQ] = ACTIONS(1777),
    [anon_sym_DASH_EQ] = ACTIONS(1777),
    [anon_sym_DOT_EQ] = ACTIONS(1777),
    [anon_sym_STAR_EQ] = ACTIONS(1777),
    [anon_sym_SLASH_EQ] = ACTIONS(1777),
    [anon_sym_PERCENT_EQ] = ACTIONS(1777),
    [anon_sym_x_EQ] = ACTIONS(1777),
    [anon_sym_AMP_EQ] = ACTIONS(1777),
    [anon_sym_PIPE_EQ] = ACTIONS(1777),
    [anon_sym_CARET_EQ] = ACTIONS(1777),
    [anon_sym_LT_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT_GT_EQ] = ACTIONS(1777),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1777),
    [anon_sym_DOT_DOT] = ACTIONS(1777),
    [anon_sym_STAR_STAR] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE] = ACTIONS(1777),
    [anon_sym_SLASH_SLASH] = ACTIONS(1777),
    [anon_sym_CARET_CARET] = ACTIONS(1777),
    [anon_sym_AMP_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_GT_GT2] = ACTIONS(1777),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_DOT] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1777),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_x] = ACTIONS(1777),
    [anon_sym_EQ_TILDE] = ACTIONS(1777),
    [anon_sym_BANG_TILDE] = ACTIONS(1777),
    [anon_sym_EQ_EQ] = ACTIONS(1777),
    [anon_sym_BANG_EQ] = ACTIONS(1777),
    [anon_sym_eq] = ACTIONS(1777),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1777),
    [anon_sym_equ] = ACTIONS(1777),
    [anon_sym_eqr] = ACTIONS(1777),
    [anon_sym_ne] = ACTIONS(1777),
    [anon_sym_LT_EQ_GT] = ACTIONS(1777),
    [anon_sym_cmp] = ACTIONS(1777),
    [anon_sym_TILDE_TILDE] = ACTIONS(1777),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT_EQ] = ACTIONS(1777),
    [anon_sym_lt] = ACTIONS(1777),
    [anon_sym_le] = ACTIONS(1777),
    [anon_sym_ge] = ACTIONS(1777),
    [anon_sym_gt] = ACTIONS(1777),
    [anon_sym_isa] = ACTIONS(1777),
    [anon_sym_TILDE] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1777),
    [anon_sym_PLUS_PLUS] = ACTIONS(1777),
    [anon_sym_DASH_DASH] = ACTIONS(1777),
    [anon_sym_QMARK] = ACTIONS(1777),
    [anon_sym_BSLASH] = ACTIONS(1779),
    [anon_sym_do] = ACTIONS(1777),
    [anon_sym_eval] = ACTIONS(1777),
    [anon_sym_await] = ACTIONS(1777),
    [anon_sym_field] = ACTIONS(1777),
    [anon_sym_local] = ACTIONS(1777),
    [anon_sym_dynamically] = ACTIONS(1777),
    [anon_sym_require] = ACTIONS(1777),
    [anon_sym_map] = ACTIONS(1777),
    [anon_sym_grep] = ACTIONS(1777),
    [anon_sym_sort] = ACTIONS(1777),
    [anon_sym_goto] = ACTIONS(1777),
    [anon_sym_return] = ACTIONS(1777),
    [anon_sym_undef] = ACTIONS(1777),
    [anon_sym_PERCENT2] = ACTIONS(1777),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1777),
    [anon_sym_EQ_GT] = ACTIONS(1777),
    [anon_sym_last] = ACTIONS(1777),
    [anon_sym_next] = ACTIONS(1777),
    [anon_sym_redo] = ACTIONS(1777),
    [anon_sym___FILE__] = ACTIONS(1777),
    [anon_sym___LINE__] = ACTIONS(1777),
    [anon_sym___PACKAGE__] = ACTIONS(1777),
    [anon_sym___SUB__] = ACTIONS(1777),
    [anon_sym_break] = ACTIONS(1777),
    [anon_sym_fork] = ACTIONS(1777),
    [anon_sym_getppid] = ACTIONS(1777),
    [anon_sym_time] = ACTIONS(1777),
    [anon_sym_times] = ACTIONS(1777),
    [anon_sym_wait] = ACTIONS(1777),
    [anon_sym_wantarray] = ACTIONS(1777),
    [anon_sym_abs] = ACTIONS(1777),
    [anon_sym_alarm] = ACTIONS(1777),
    [anon_sym_chop] = ACTIONS(1777),
    [anon_sym_chdir] = ACTIONS(1777),
    [anon_sym_close] = ACTIONS(1777),
    [anon_sym_closedir] = ACTIONS(1777),
    [anon_sym_caller] = ACTIONS(1777),
    [anon_sym_chomp] = ACTIONS(1777),
    [anon_sym_chr] = ACTIONS(1777),
    [anon_sym_cos] = ACTIONS(1777),
    [anon_sym_chroot] = ACTIONS(1777),
    [anon_sym_defined] = ACTIONS(1777),
    [anon_sym_delete] = ACTIONS(1777),
    [anon_sym_dbmclose] = ACTIONS(1777),
    [anon_sym_exists] = ACTIONS(1777),
    [anon_sym_exit] = ACTIONS(1777),
    [anon_sym_eof] = ACTIONS(1777),
    [anon_sym_exp] = ACTIONS(1777),
    [anon_sym_each] = ACTIONS(1777),
    [anon_sym_fc] = ACTIONS(1777),
    [anon_sym_fileno] = ACTIONS(1777),
    [anon_sym_gmtime] = ACTIONS(1777),
    [anon_sym_getc] = ACTIONS(1777),
    [anon_sym_getpgrp] = ACTIONS(1777),
    [anon_sym_getprotobyname] = ACTIONS(1777),
    [anon_sym_getpwname] = ACTIONS(1777),
    [anon_sym_getpwuid] = ACTIONS(1777),
    [anon_sym_getpeername] = ACTIONS(1777),
    [anon_sym_getnetbyname] = ACTIONS(1777),
    [anon_sym_getsockname] = ACTIONS(1777),
    [anon_sym_getgrnam] = ACTIONS(1777),
    [anon_sym_getgrgid] = ACTIONS(1777),
    [anon_sym_hex] = ACTIONS(1777),
    [anon_sym_int] = ACTIONS(1777),
    [anon_sym_keys] = ACTIONS(1777),
    [anon_sym_lc] = ACTIONS(1777),
    [anon_sym_lcfirst] = ACTIONS(1777),
    [anon_sym_length] = ACTIONS(1777),
    [anon_sym_localtime] = ACTIONS(1777),
    [anon_sym_log] = ACTIONS(1777),
    [anon_sym_lock] = ACTIONS(1777),
    [anon_sym_lstat] = ACTIONS(1777),
    [anon_sym_oct] = ACTIONS(1777),
    [anon_sym_ord] = ACTIONS(1777),
    [anon_sym_prototype] = ACTIONS(1777),
    [anon_sym_pop] = ACTIONS(1777),
    [anon_sym_pos] = ACTIONS(1777),
    [anon_sym_quotemeta] = ACTIONS(1777),
    [anon_sym_reset] = ACTIONS(1777),
    [anon_sym_rand] = ACTIONS(1777),
    [anon_sym_rmdir] = ACTIONS(1777),
    [anon_sym_readdir] = ACTIONS(1777),
    [anon_sym_readline] = ACTIONS(1777),
    [anon_sym_readpipe] = ACTIONS(1777),
    [anon_sym_rewinddir] = ACTIONS(1777),
    [anon_sym_readlink] = ACTIONS(1777),
    [anon_sym_ref] = ACTIONS(1777),
    [anon_sym_scalar] = ACTIONS(1777),
    [anon_sym_shift] = ACTIONS(1777),
    [anon_sym_sin] = ACTIONS(1777),
    [anon_sym_sleep] = ACTIONS(1777),
    [anon_sym_sqrt] = ACTIONS(1777),
    [anon_sym_srand] = ACTIONS(1777),
    [anon_sym_stat] = ACTIONS(1777),
    [anon_sym_study] = ACTIONS(1777),
    [anon_sym_tell] = ACTIONS(1777),
    [anon_sym_telldir] = ACTIONS(1777),
    [anon_sym_tied] = ACTIONS(1777),
    [anon_sym_uc] = ACTIONS(1777),
    [anon_sym_ucfirst] = ACTIONS(1777),
    [anon_sym_untie] = ACTIONS(1777),
    [anon_sym_umask] = ACTIONS(1777),
    [anon_sym_values] = ACTIONS(1777),
    [anon_sym_write] = ACTIONS(1777),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1777),
    [anon_sym_qq] = ACTIONS(1777),
    [anon_sym_qw] = ACTIONS(1777),
    [anon_sym_qx] = ACTIONS(1777),
    [anon_sym_qr] = ACTIONS(1777),
    [anon_sym_m] = ACTIONS(1777),
    [anon_sym_s] = ACTIONS(1777),
    [anon_sym_tr] = ACTIONS(1777),
    [anon_sym_y] = ACTIONS(1777),
    [aux_sym__bareword_token1] = ACTIONS(1777),
    [sym_number] = ACTIONS(1777),
    [anon_sym_true] = ACTIONS(1777),
    [anon_sym_false] = ACTIONS(1777),
    [sym__single_quote] = ACTIONS(1779),
    [sym__double_quote] = ACTIONS(1779),
    [sym__backtick_quote] = ACTIONS(1779),
    [sym__search_slash_quote] = ACTIONS(1779),
    [sym__no_search_slash_plz] = ACTIONS(1779),
    [sym__PERLY_HEREDOC] = ACTIONS(1779),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1779),
    [sym__filetest] = ACTIONS(1779),
  },
  [760] = {
    [sym_heredoc_content] = STATE(760),
    [sym__identifier] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1755),
    [anon_sym_SEMI] = ACTIONS(1755),
    [anon_sym_DOLLAR] = ACTIONS(1755),
    [anon_sym_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1755),
    [anon_sym_AT] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_my] = ACTIONS(1755),
    [anon_sym_extended] = ACTIONS(1755),
    [anon_sym_async] = ACTIONS(1755),
    [anon_sym_sub] = ACTIONS(1755),
    [anon_sym_method] = ACTIONS(1755),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_continue] = ACTIONS(1755),
    [anon_sym_state] = ACTIONS(1755),
    [anon_sym_our] = ACTIONS(1755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_DASH_GT] = ACTIONS(1755),
    [anon_sym_PERCENT] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1755),
    [anon_sym_PLUS_EQ] = ACTIONS(1755),
    [anon_sym_DASH_EQ] = ACTIONS(1755),
    [anon_sym_DOT_EQ] = ACTIONS(1755),
    [anon_sym_STAR_EQ] = ACTIONS(1755),
    [anon_sym_SLASH_EQ] = ACTIONS(1755),
    [anon_sym_PERCENT_EQ] = ACTIONS(1755),
    [anon_sym_x_EQ] = ACTIONS(1755),
    [anon_sym_AMP_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_CARET_EQ] = ACTIONS(1755),
    [anon_sym_LT_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_GT_EQ] = ACTIONS(1755),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1755),
    [anon_sym_DOT_DOT] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH] = ACTIONS(1755),
    [anon_sym_CARET_CARET] = ACTIONS(1755),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_GT_GT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1755),
    [anon_sym_x] = ACTIONS(1755),
    [anon_sym_EQ_TILDE] = ACTIONS(1755),
    [anon_sym_BANG_TILDE] = ACTIONS(1755),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_eq] = ACTIONS(1755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1755),
    [anon_sym_equ] = ACTIONS(1755),
    [anon_sym_eqr] = ACTIONS(1755),
    [anon_sym_ne] = ACTIONS(1755),
    [anon_sym_LT_EQ_GT] = ACTIONS(1755),
    [anon_sym_cmp] = ACTIONS(1755),
    [anon_sym_TILDE_TILDE] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_lt] = ACTIONS(1755),
    [anon_sym_le] = ACTIONS(1755),
    [anon_sym_ge] = ACTIONS(1755),
    [anon_sym_gt] = ACTIONS(1755),
    [anon_sym_isa] = ACTIONS(1755),
    [anon_sym_TILDE] = ACTIONS(1755),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_PLUS_PLUS] = ACTIONS(1755),
    [anon_sym_DASH_DASH] = ACTIONS(1755),
    [anon_sym_QMARK] = ACTIONS(1755),
    [anon_sym_BSLASH] = ACTIONS(1759),
    [anon_sym_do] = ACTIONS(1755),
    [anon_sym_eval] = ACTIONS(1755),
    [anon_sym_await] = ACTIONS(1755),
    [anon_sym_field] = ACTIONS(1755),
    [anon_sym_local] = ACTIONS(1755),
    [anon_sym_dynamically] = ACTIONS(1755),
    [anon_sym_require] = ACTIONS(1755),
    [anon_sym_map] = ACTIONS(1755),
    [anon_sym_grep] = ACTIONS(1755),
    [anon_sym_sort] = ACTIONS(1755),
    [anon_sym_goto] = ACTIONS(1755),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_undef] = ACTIONS(1755),
    [anon_sym_PERCENT2] = ACTIONS(1755),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(1755),
    [anon_sym_last] = ACTIONS(1755),
    [anon_sym_next] = ACTIONS(1755),
    [anon_sym_redo] = ACTIONS(1755),
    [anon_sym___FILE__] = ACTIONS(1755),
    [anon_sym___LINE__] = ACTIONS(1755),
    [anon_sym___PACKAGE__] = ACTIONS(1755),
    [anon_sym___SUB__] = ACTIONS(1755),
    [anon_sym_break] = ACTIONS(1755),
    [anon_sym_fork] = ACTIONS(1755),
    [anon_sym_getppid] = ACTIONS(1755),
    [anon_sym_time] = ACTIONS(1755),
    [anon_sym_times] = ACTIONS(1755),
    [anon_sym_wait] = ACTIONS(1755),
    [anon_sym_wantarray] = ACTIONS(1755),
    [anon_sym_abs] = ACTIONS(1755),
    [anon_sym_alarm] = ACTIONS(1755),
    [anon_sym_chop] = ACTIONS(1755),
    [anon_sym_chdir] = ACTIONS(1755),
    [anon_sym_close] = ACTIONS(1755),
    [anon_sym_closedir] = ACTIONS(1755),
    [anon_sym_caller] = ACTIONS(1755),
    [anon_sym_chomp] = ACTIONS(1755),
    [anon_sym_chr] = ACTIONS(1755),
    [anon_sym_cos] = ACTIONS(1755),
    [anon_sym_chroot] = ACTIONS(1755),
    [anon_sym_defined] = ACTIONS(1755),
    [anon_sym_delete] = ACTIONS(1755),
    [anon_sym_dbmclose] = ACTIONS(1755),
    [anon_sym_exists] = ACTIONS(1755),
    [anon_sym_exit] = ACTIONS(1755),
    [anon_sym_eof] = ACTIONS(1755),
    [anon_sym_exp] = ACTIONS(1755),
    [anon_sym_each] = ACTIONS(1755),
    [anon_sym_fc] = ACTIONS(1755),
    [anon_sym_fileno] = ACTIONS(1755),
    [anon_sym_gmtime] = ACTIONS(1755),
    [anon_sym_getc] = ACTIONS(1755),
    [anon_sym_getpgrp] = ACTIONS(1755),
    [anon_sym_getprotobyname] = ACTIONS(1755),
    [anon_sym_getpwname] = ACTIONS(1755),
    [anon_sym_getpwuid] = ACTIONS(1755),
    [anon_sym_getpeername] = ACTIONS(1755),
    [anon_sym_getnetbyname] = ACTIONS(1755),
    [anon_sym_getsockname] = ACTIONS(1755),
    [anon_sym_getgrnam] = ACTIONS(1755),
    [anon_sym_getgrgid] = ACTIONS(1755),
    [anon_sym_hex] = ACTIONS(1755),
    [anon_sym_int] = ACTIONS(1755),
    [anon_sym_keys] = ACTIONS(1755),
    [anon_sym_lc] = ACTIONS(1755),
    [anon_sym_lcfirst] = ACTIONS(1755),
    [anon_sym_length] = ACTIONS(1755),
    [anon_sym_localtime] = ACTIONS(1755),
    [anon_sym_log] = ACTIONS(1755),
    [anon_sym_lock] = ACTIONS(1755),
    [anon_sym_lstat] = ACTIONS(1755),
    [anon_sym_oct] = ACTIONS(1755),
    [anon_sym_ord] = ACTIONS(1755),
    [anon_sym_prototype] = ACTIONS(1755),
    [anon_sym_pop] = ACTIONS(1755),
    [anon_sym_pos] = ACTIONS(1755),
    [anon_sym_quotemeta] = ACTIONS(1755),
    [anon_sym_reset] = ACTIONS(1755),
    [anon_sym_rand] = ACTIONS(1755),
    [anon_sym_rmdir] = ACTIONS(1755),
    [anon_sym_readdir] = ACTIONS(1755),
    [anon_sym_readline] = ACTIONS(1755),
    [anon_sym_readpipe] = ACTIONS(1755),
    [anon_sym_rewinddir] = ACTIONS(1755),
    [anon_sym_readlink] = ACTIONS(1755),
    [anon_sym_ref] = ACTIONS(1755),
    [anon_sym_scalar] = ACTIONS(1755),
    [anon_sym_shift] = ACTIONS(1755),
    [anon_sym_sin] = ACTIONS(1755),
    [anon_sym_sleep] = ACTIONS(1755),
    [anon_sym_sqrt] = ACTIONS(1755),
    [anon_sym_srand] = ACTIONS(1755),
    [anon_sym_stat] = ACTIONS(1755),
    [anon_sym_study] = ACTIONS(1755),
    [anon_sym_tell] = ACTIONS(1755),
    [anon_sym_telldir] = ACTIONS(1755),
    [anon_sym_tied] = ACTIONS(1755),
    [anon_sym_uc] = ACTIONS(1755),
    [anon_sym_ucfirst] = ACTIONS(1755),
    [anon_sym_untie] = ACTIONS(1755),
    [anon_sym_umask] = ACTIONS(1755),
    [anon_sym_values] = ACTIONS(1755),
    [anon_sym_write] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1755),
    [anon_sym_qq] = ACTIONS(1755),
    [anon_sym_qw] = ACTIONS(1755),
    [anon_sym_qx] = ACTIONS(1755),
    [anon_sym_qr] = ACTIONS(1755),
    [anon_sym_m] = ACTIONS(1755),
    [anon_sym_s] = ACTIONS(1755),
    [anon_sym_tr] = ACTIONS(1755),
    [anon_sym_y] = ACTIONS(1755),
    [aux_sym__bareword_token1] = ACTIONS(1755),
    [sym_number] = ACTIONS(1755),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [sym__single_quote] = ACTIONS(1759),
    [sym__double_quote] = ACTIONS(1759),
    [sym__backtick_quote] = ACTIONS(1759),
    [sym__search_slash_quote] = ACTIONS(1759),
    [sym__no_search_slash_plz] = ACTIONS(1759),
    [sym__PERLY_SEMICOLON] = ACTIONS(1759),
    [sym__PERLY_HEREDOC] = ACTIONS(1759),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1759),
    [sym__filetest] = ACTIONS(1759),
  },
  [761] = {
    [sym_heredoc_content] = STATE(761),
    [sym__identifier] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_RBRACE] = ACTIONS(1407),
    [anon_sym_COLON] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1407),
    [anon_sym_AT] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1407),
    [anon_sym_RPAREN] = ACTIONS(1407),
    [anon_sym_my] = ACTIONS(1405),
    [anon_sym_extended] = ACTIONS(1405),
    [anon_sym_async] = ACTIONS(1405),
    [anon_sym_sub] = ACTIONS(1405),
    [anon_sym_method] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_state] = ACTIONS(1405),
    [anon_sym_our] = ACTIONS(1405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_DASH_GT] = ACTIONS(1407),
    [anon_sym_PERCENT] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [anon_sym_LT_LT] = ACTIONS(1407),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1407),
    [anon_sym_PLUS_EQ] = ACTIONS(1407),
    [anon_sym_DASH_EQ] = ACTIONS(1407),
    [anon_sym_DOT_EQ] = ACTIONS(1407),
    [anon_sym_STAR_EQ] = ACTIONS(1407),
    [anon_sym_SLASH_EQ] = ACTIONS(1407),
    [anon_sym_PERCENT_EQ] = ACTIONS(1407),
    [anon_sym_x_EQ] = ACTIONS(1407),
    [anon_sym_AMP_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_EQ] = ACTIONS(1407),
    [anon_sym_CARET_EQ] = ACTIONS(1407),
    [anon_sym_LT_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_GT_EQ] = ACTIONS(1407),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1407),
    [anon_sym_DOT_DOT] = ACTIONS(1407),
    [anon_sym_STAR_STAR] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH] = ACTIONS(1407),
    [anon_sym_CARET_CARET] = ACTIONS(1407),
    [anon_sym_AMP_AMP] = ACTIONS(1407),
    [anon_sym_PIPE] = ACTIONS(1407),
    [anon_sym_CARET] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(1407),
    [anon_sym_GT_GT2] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_DOT] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_x] = ACTIONS(1407),
    [anon_sym_EQ_TILDE] = ACTIONS(1407),
    [anon_sym_BANG_TILDE] = ACTIONS(1407),
    [anon_sym_EQ_EQ] = ACTIONS(1407),
    [anon_sym_BANG_EQ] = ACTIONS(1407),
    [anon_sym_eq] = ACTIONS(1407),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1407),
    [anon_sym_equ] = ACTIONS(1407),
    [anon_sym_eqr] = ACTIONS(1407),
    [anon_sym_ne] = ACTIONS(1407),
    [anon_sym_LT_EQ_GT] = ACTIONS(1407),
    [anon_sym_cmp] = ACTIONS(1407),
    [anon_sym_TILDE_TILDE] = ACTIONS(1407),
    [anon_sym_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1407),
    [anon_sym_lt] = ACTIONS(1407),
    [anon_sym_le] = ACTIONS(1407),
    [anon_sym_ge] = ACTIONS(1407),
    [anon_sym_gt] = ACTIONS(1407),
    [anon_sym_isa] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1407),
    [anon_sym_DASH_DASH] = ACTIONS(1407),
    [anon_sym_QMARK] = ACTIONS(1407),
    [anon_sym_BSLASH] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_eval] = ACTIONS(1405),
    [anon_sym_await] = ACTIONS(1405),
    [anon_sym_field] = ACTIONS(1405),
    [anon_sym_local] = ACTIONS(1405),
    [anon_sym_dynamically] = ACTIONS(1405),
    [anon_sym_require] = ACTIONS(1405),
    [anon_sym_map] = ACTIONS(1405),
    [anon_sym_grep] = ACTIONS(1405),
    [anon_sym_sort] = ACTIONS(1405),
    [anon_sym_goto] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_undef] = ACTIONS(1405),
    [anon_sym_PERCENT2] = ACTIONS(1405),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1405),
    [anon_sym_EQ_GT] = ACTIONS(1407),
    [anon_sym_last] = ACTIONS(1405),
    [anon_sym_next] = ACTIONS(1405),
    [anon_sym_redo] = ACTIONS(1405),
    [anon_sym___FILE__] = ACTIONS(1405),
    [anon_sym___LINE__] = ACTIONS(1405),
    [anon_sym___PACKAGE__] = ACTIONS(1405),
    [anon_sym___SUB__] = ACTIONS(1405),
    [anon_sym_break] = ACTIONS(1405),
    [anon_sym_fork] = ACTIONS(1405),
    [anon_sym_getppid] = ACTIONS(1405),
    [anon_sym_time] = ACTIONS(1405),
    [anon_sym_times] = ACTIONS(1405),
    [anon_sym_wait] = ACTIONS(1405),
    [anon_sym_wantarray] = ACTIONS(1405),
    [anon_sym_abs] = ACTIONS(1405),
    [anon_sym_alarm] = ACTIONS(1405),
    [anon_sym_chop] = ACTIONS(1405),
    [anon_sym_chdir] = ACTIONS(1405),
    [anon_sym_close] = ACTIONS(1405),
    [anon_sym_closedir] = ACTIONS(1405),
    [anon_sym_caller] = ACTIONS(1405),
    [anon_sym_chomp] = ACTIONS(1405),
    [anon_sym_chr] = ACTIONS(1405),
    [anon_sym_cos] = ACTIONS(1405),
    [anon_sym_chroot] = ACTIONS(1405),
    [anon_sym_defined] = ACTIONS(1405),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_dbmclose] = ACTIONS(1405),
    [anon_sym_exists] = ACTIONS(1405),
    [anon_sym_exit] = ACTIONS(1405),
    [anon_sym_eof] = ACTIONS(1405),
    [anon_sym_exp] = ACTIONS(1405),
    [anon_sym_each] = ACTIONS(1405),
    [anon_sym_fc] = ACTIONS(1405),
    [anon_sym_fileno] = ACTIONS(1405),
    [anon_sym_gmtime] = ACTIONS(1405),
    [anon_sym_getc] = ACTIONS(1405),
    [anon_sym_getpgrp] = ACTIONS(1405),
    [anon_sym_getprotobyname] = ACTIONS(1405),
    [anon_sym_getpwname] = ACTIONS(1405),
    [anon_sym_getpwuid] = ACTIONS(1405),
    [anon_sym_getpeername] = ACTIONS(1405),
    [anon_sym_getnetbyname] = ACTIONS(1405),
    [anon_sym_getsockname] = ACTIONS(1405),
    [anon_sym_getgrnam] = ACTIONS(1405),
    [anon_sym_getgrgid] = ACTIONS(1405),
    [anon_sym_hex] = ACTIONS(1405),
    [anon_sym_int] = ACTIONS(1405),
    [anon_sym_keys] = ACTIONS(1405),
    [anon_sym_lc] = ACTIONS(1405),
    [anon_sym_lcfirst] = ACTIONS(1405),
    [anon_sym_length] = ACTIONS(1405),
    [anon_sym_localtime] = ACTIONS(1405),
    [anon_sym_log] = ACTIONS(1405),
    [anon_sym_lock] = ACTIONS(1405),
    [anon_sym_lstat] = ACTIONS(1405),
    [anon_sym_oct] = ACTIONS(1405),
    [anon_sym_ord] = ACTIONS(1405),
    [anon_sym_prototype] = ACTIONS(1405),
    [anon_sym_pop] = ACTIONS(1405),
    [anon_sym_pos] = ACTIONS(1405),
    [anon_sym_quotemeta] = ACTIONS(1405),
    [anon_sym_reset] = ACTIONS(1405),
    [anon_sym_rand] = ACTIONS(1405),
    [anon_sym_rmdir] = ACTIONS(1405),
    [anon_sym_readdir] = ACTIONS(1405),
    [anon_sym_readline] = ACTIONS(1405),
    [anon_sym_readpipe] = ACTIONS(1405),
    [anon_sym_rewinddir] = ACTIONS(1405),
    [anon_sym_readlink] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1405),
    [anon_sym_scalar] = ACTIONS(1405),
    [anon_sym_shift] = ACTIONS(1405),
    [anon_sym_sin] = ACTIONS(1405),
    [anon_sym_sleep] = ACTIONS(1405),
    [anon_sym_sqrt] = ACTIONS(1405),
    [anon_sym_srand] = ACTIONS(1405),
    [anon_sym_stat] = ACTIONS(1405),
    [anon_sym_study] = ACTIONS(1405),
    [anon_sym_tell] = ACTIONS(1405),
    [anon_sym_telldir] = ACTIONS(1405),
    [anon_sym_tied] = ACTIONS(1405),
    [anon_sym_uc] = ACTIONS(1405),
    [anon_sym_ucfirst] = ACTIONS(1405),
    [anon_sym_untie] = ACTIONS(1405),
    [anon_sym_umask] = ACTIONS(1405),
    [anon_sym_values] = ACTIONS(1405),
    [anon_sym_write] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1405),
    [anon_sym_qq] = ACTIONS(1405),
    [anon_sym_qw] = ACTIONS(1405),
    [anon_sym_qx] = ACTIONS(1405),
    [anon_sym_qr] = ACTIONS(1405),
    [anon_sym_m] = ACTIONS(1405),
    [anon_sym_s] = ACTIONS(1405),
    [anon_sym_tr] = ACTIONS(1405),
    [anon_sym_y] = ACTIONS(1405),
    [aux_sym__bareword_token1] = ACTIONS(1405),
    [sym_number] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1405),
    [anon_sym_false] = ACTIONS(1405),
    [sym__single_quote] = ACTIONS(1403),
    [sym__double_quote] = ACTIONS(1403),
    [sym__backtick_quote] = ACTIONS(1403),
    [sym__search_slash_quote] = ACTIONS(1403),
    [sym__PERLY_HEREDOC] = ACTIONS(1403),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1403),
    [sym__filetest] = ACTIONS(1403),
  },
  [762] = {
    [sym_heredoc_content] = STATE(762),
    [sym__identifier] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1785),
    [anon_sym_COLON] = ACTIONS(1787),
    [anon_sym_DOLLAR] = ACTIONS(1789),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1787),
    [anon_sym_AT] = ACTIONS(1789),
    [anon_sym_COMMA] = ACTIONS(1787),
    [anon_sym_RPAREN] = ACTIONS(1787),
    [anon_sym_my] = ACTIONS(1785),
    [anon_sym_extended] = ACTIONS(1785),
    [anon_sym_async] = ACTIONS(1785),
    [anon_sym_sub] = ACTIONS(1785),
    [anon_sym_method] = ACTIONS(1785),
    [anon_sym_LPAREN] = ACTIONS(1785),
    [anon_sym_continue] = ACTIONS(1785),
    [anon_sym_state] = ACTIONS(1785),
    [anon_sym_our] = ACTIONS(1785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1785),
    [anon_sym_DASH_GT] = ACTIONS(1787),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1789),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1787),
    [anon_sym_PLUS_EQ] = ACTIONS(1787),
    [anon_sym_DASH_EQ] = ACTIONS(1787),
    [anon_sym_DOT_EQ] = ACTIONS(1787),
    [anon_sym_STAR_EQ] = ACTIONS(1787),
    [anon_sym_SLASH_EQ] = ACTIONS(1787),
    [anon_sym_PERCENT_EQ] = ACTIONS(1787),
    [anon_sym_x_EQ] = ACTIONS(1787),
    [anon_sym_AMP_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_EQ] = ACTIONS(1787),
    [anon_sym_CARET_EQ] = ACTIONS(1787),
    [anon_sym_LT_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_GT_EQ] = ACTIONS(1787),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1787),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1789),
    [anon_sym_CARET_CARET] = ACTIONS(1787),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1789),
    [anon_sym_DASH] = ACTIONS(1789),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1787),
    [anon_sym_BANG_TILDE] = ACTIONS(1787),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1787),
    [anon_sym_equ] = ACTIONS(1787),
    [anon_sym_eqr] = ACTIONS(1787),
    [anon_sym_ne] = ACTIONS(1787),
    [anon_sym_LT_EQ_GT] = ACTIONS(1787),
    [anon_sym_cmp] = ACTIONS(1787),
    [anon_sym_TILDE_TILDE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1787),
    [anon_sym_lt] = ACTIONS(1787),
    [anon_sym_le] = ACTIONS(1787),
    [anon_sym_ge] = ACTIONS(1787),
    [anon_sym_gt] = ACTIONS(1787),
    [anon_sym_isa] = ACTIONS(1787),
    [anon_sym_TILDE] = ACTIONS(1785),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_QMARK] = ACTIONS(1787),
    [anon_sym_BSLASH] = ACTIONS(1792),
    [anon_sym_do] = ACTIONS(1785),
    [anon_sym_eval] = ACTIONS(1785),
    [anon_sym_await] = ACTIONS(1785),
    [anon_sym_field] = ACTIONS(1785),
    [anon_sym_local] = ACTIONS(1785),
    [anon_sym_dynamically] = ACTIONS(1785),
    [anon_sym_require] = ACTIONS(1785),
    [anon_sym_map] = ACTIONS(1785),
    [anon_sym_grep] = ACTIONS(1785),
    [anon_sym_sort] = ACTIONS(1785),
    [anon_sym_goto] = ACTIONS(1785),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_undef] = ACTIONS(1785),
    [anon_sym_PERCENT2] = ACTIONS(1789),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1785),
    [anon_sym_EQ_GT] = ACTIONS(1787),
    [anon_sym_last] = ACTIONS(1785),
    [anon_sym_next] = ACTIONS(1785),
    [anon_sym_redo] = ACTIONS(1785),
    [anon_sym___FILE__] = ACTIONS(1785),
    [anon_sym___LINE__] = ACTIONS(1785),
    [anon_sym___PACKAGE__] = ACTIONS(1785),
    [anon_sym___SUB__] = ACTIONS(1785),
    [anon_sym_break] = ACTIONS(1785),
    [anon_sym_fork] = ACTIONS(1785),
    [anon_sym_getppid] = ACTIONS(1785),
    [anon_sym_time] = ACTIONS(1785),
    [anon_sym_times] = ACTIONS(1785),
    [anon_sym_wait] = ACTIONS(1785),
    [anon_sym_wantarray] = ACTIONS(1785),
    [anon_sym_abs] = ACTIONS(1785),
    [anon_sym_alarm] = ACTIONS(1785),
    [anon_sym_chop] = ACTIONS(1785),
    [anon_sym_chdir] = ACTIONS(1785),
    [anon_sym_close] = ACTIONS(1785),
    [anon_sym_closedir] = ACTIONS(1785),
    [anon_sym_caller] = ACTIONS(1785),
    [anon_sym_chomp] = ACTIONS(1785),
    [anon_sym_chr] = ACTIONS(1785),
    [anon_sym_cos] = ACTIONS(1785),
    [anon_sym_chroot] = ACTIONS(1785),
    [anon_sym_defined] = ACTIONS(1785),
    [anon_sym_delete] = ACTIONS(1785),
    [anon_sym_dbmclose] = ACTIONS(1785),
    [anon_sym_exists] = ACTIONS(1785),
    [anon_sym_exit] = ACTIONS(1785),
    [anon_sym_eof] = ACTIONS(1785),
    [anon_sym_exp] = ACTIONS(1785),
    [anon_sym_each] = ACTIONS(1785),
    [anon_sym_fc] = ACTIONS(1785),
    [anon_sym_fileno] = ACTIONS(1785),
    [anon_sym_gmtime] = ACTIONS(1785),
    [anon_sym_getc] = ACTIONS(1785),
    [anon_sym_getpgrp] = ACTIONS(1785),
    [anon_sym_getprotobyname] = ACTIONS(1785),
    [anon_sym_getpwname] = ACTIONS(1785),
    [anon_sym_getpwuid] = ACTIONS(1785),
    [anon_sym_getpeername] = ACTIONS(1785),
    [anon_sym_getnetbyname] = ACTIONS(1785),
    [anon_sym_getsockname] = ACTIONS(1785),
    [anon_sym_getgrnam] = ACTIONS(1785),
    [anon_sym_getgrgid] = ACTIONS(1785),
    [anon_sym_hex] = ACTIONS(1785),
    [anon_sym_int] = ACTIONS(1785),
    [anon_sym_keys] = ACTIONS(1785),
    [anon_sym_lc] = ACTIONS(1785),
    [anon_sym_lcfirst] = ACTIONS(1785),
    [anon_sym_length] = ACTIONS(1785),
    [anon_sym_localtime] = ACTIONS(1785),
    [anon_sym_log] = ACTIONS(1785),
    [anon_sym_lock] = ACTIONS(1785),
    [anon_sym_lstat] = ACTIONS(1785),
    [anon_sym_oct] = ACTIONS(1785),
    [anon_sym_ord] = ACTIONS(1785),
    [anon_sym_prototype] = ACTIONS(1785),
    [anon_sym_pop] = ACTIONS(1785),
    [anon_sym_pos] = ACTIONS(1785),
    [anon_sym_quotemeta] = ACTIONS(1785),
    [anon_sym_reset] = ACTIONS(1785),
    [anon_sym_rand] = ACTIONS(1785),
    [anon_sym_rmdir] = ACTIONS(1785),
    [anon_sym_readdir] = ACTIONS(1785),
    [anon_sym_readline] = ACTIONS(1785),
    [anon_sym_readpipe] = ACTIONS(1785),
    [anon_sym_rewinddir] = ACTIONS(1785),
    [anon_sym_readlink] = ACTIONS(1785),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_scalar] = ACTIONS(1785),
    [anon_sym_shift] = ACTIONS(1785),
    [anon_sym_sin] = ACTIONS(1785),
    [anon_sym_sleep] = ACTIONS(1785),
    [anon_sym_sqrt] = ACTIONS(1785),
    [anon_sym_srand] = ACTIONS(1785),
    [anon_sym_stat] = ACTIONS(1785),
    [anon_sym_study] = ACTIONS(1785),
    [anon_sym_tell] = ACTIONS(1785),
    [anon_sym_telldir] = ACTIONS(1785),
    [anon_sym_tied] = ACTIONS(1785),
    [anon_sym_uc] = ACTIONS(1785),
    [anon_sym_ucfirst] = ACTIONS(1785),
    [anon_sym_untie] = ACTIONS(1785),
    [anon_sym_umask] = ACTIONS(1785),
    [anon_sym_values] = ACTIONS(1785),
    [anon_sym_write] = ACTIONS(1785),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1785),
    [anon_sym_qq] = ACTIONS(1785),
    [anon_sym_qw] = ACTIONS(1785),
    [anon_sym_qx] = ACTIONS(1785),
    [anon_sym_qr] = ACTIONS(1785),
    [anon_sym_m] = ACTIONS(1785),
    [anon_sym_s] = ACTIONS(1785),
    [anon_sym_tr] = ACTIONS(1785),
    [anon_sym_y] = ACTIONS(1785),
    [aux_sym__bareword_token1] = ACTIONS(1785),
    [sym_number] = ACTIONS(1785),
    [anon_sym_true] = ACTIONS(1785),
    [anon_sym_false] = ACTIONS(1785),
    [sym__single_quote] = ACTIONS(1792),
    [sym__double_quote] = ACTIONS(1792),
    [sym__backtick_quote] = ACTIONS(1792),
    [sym__search_slash_quote] = ACTIONS(1792),
    [sym__no_search_slash_plz] = ACTIONS(1794),
    [sym__PERLY_HEREDOC] = ACTIONS(1792),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1792),
    [sym__filetest] = ACTIONS(1792),
  },
  [763] = {
    [sym_heredoc_content] = STATE(763),
    [sym__identifier] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1755),
    [anon_sym_DOLLAR] = ACTIONS(1755),
    [anon_sym_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1755),
    [anon_sym_AT] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_my] = ACTIONS(1755),
    [anon_sym_extended] = ACTIONS(1755),
    [anon_sym_async] = ACTIONS(1755),
    [anon_sym_sub] = ACTIONS(1755),
    [anon_sym_method] = ACTIONS(1755),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_continue] = ACTIONS(1755),
    [anon_sym_state] = ACTIONS(1755),
    [anon_sym_our] = ACTIONS(1755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1757),
    [anon_sym_DASH_GT] = ACTIONS(1755),
    [anon_sym_PERCENT] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1755),
    [anon_sym_PLUS_EQ] = ACTIONS(1755),
    [anon_sym_DASH_EQ] = ACTIONS(1755),
    [anon_sym_DOT_EQ] = ACTIONS(1755),
    [anon_sym_STAR_EQ] = ACTIONS(1755),
    [anon_sym_SLASH_EQ] = ACTIONS(1755),
    [anon_sym_PERCENT_EQ] = ACTIONS(1755),
    [anon_sym_x_EQ] = ACTIONS(1755),
    [anon_sym_AMP_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_CARET_EQ] = ACTIONS(1755),
    [anon_sym_LT_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_GT_EQ] = ACTIONS(1755),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1755),
    [anon_sym_DOT_DOT] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH] = ACTIONS(1755),
    [anon_sym_CARET_CARET] = ACTIONS(1755),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_GT_GT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1755),
    [anon_sym_x] = ACTIONS(1755),
    [anon_sym_EQ_TILDE] = ACTIONS(1755),
    [anon_sym_BANG_TILDE] = ACTIONS(1755),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_eq] = ACTIONS(1755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1755),
    [anon_sym_equ] = ACTIONS(1755),
    [anon_sym_eqr] = ACTIONS(1755),
    [anon_sym_ne] = ACTIONS(1755),
    [anon_sym_LT_EQ_GT] = ACTIONS(1755),
    [anon_sym_cmp] = ACTIONS(1755),
    [anon_sym_TILDE_TILDE] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_lt] = ACTIONS(1755),
    [anon_sym_le] = ACTIONS(1755),
    [anon_sym_ge] = ACTIONS(1755),
    [anon_sym_gt] = ACTIONS(1755),
    [anon_sym_isa] = ACTIONS(1755),
    [anon_sym_TILDE] = ACTIONS(1755),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_PLUS_PLUS] = ACTIONS(1755),
    [anon_sym_DASH_DASH] = ACTIONS(1755),
    [anon_sym_QMARK] = ACTIONS(1755),
    [anon_sym_BSLASH] = ACTIONS(1759),
    [anon_sym_do] = ACTIONS(1755),
    [anon_sym_eval] = ACTIONS(1755),
    [anon_sym_await] = ACTIONS(1755),
    [anon_sym_field] = ACTIONS(1755),
    [anon_sym_local] = ACTIONS(1755),
    [anon_sym_dynamically] = ACTIONS(1755),
    [anon_sym_require] = ACTIONS(1755),
    [anon_sym_map] = ACTIONS(1755),
    [anon_sym_grep] = ACTIONS(1755),
    [anon_sym_sort] = ACTIONS(1755),
    [anon_sym_goto] = ACTIONS(1755),
    [anon_sym_return] = ACTIONS(1755),
    [anon_sym_undef] = ACTIONS(1755),
    [anon_sym_PERCENT2] = ACTIONS(1755),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1755),
    [anon_sym_EQ_GT] = ACTIONS(1755),
    [anon_sym_last] = ACTIONS(1755),
    [anon_sym_next] = ACTIONS(1755),
    [anon_sym_redo] = ACTIONS(1755),
    [anon_sym___FILE__] = ACTIONS(1755),
    [anon_sym___LINE__] = ACTIONS(1755),
    [anon_sym___PACKAGE__] = ACTIONS(1755),
    [anon_sym___SUB__] = ACTIONS(1755),
    [anon_sym_break] = ACTIONS(1755),
    [anon_sym_fork] = ACTIONS(1755),
    [anon_sym_getppid] = ACTIONS(1755),
    [anon_sym_time] = ACTIONS(1755),
    [anon_sym_times] = ACTIONS(1755),
    [anon_sym_wait] = ACTIONS(1755),
    [anon_sym_wantarray] = ACTIONS(1755),
    [anon_sym_abs] = ACTIONS(1755),
    [anon_sym_alarm] = ACTIONS(1755),
    [anon_sym_chop] = ACTIONS(1755),
    [anon_sym_chdir] = ACTIONS(1755),
    [anon_sym_close] = ACTIONS(1755),
    [anon_sym_closedir] = ACTIONS(1755),
    [anon_sym_caller] = ACTIONS(1755),
    [anon_sym_chomp] = ACTIONS(1755),
    [anon_sym_chr] = ACTIONS(1755),
    [anon_sym_cos] = ACTIONS(1755),
    [anon_sym_chroot] = ACTIONS(1755),
    [anon_sym_defined] = ACTIONS(1755),
    [anon_sym_delete] = ACTIONS(1755),
    [anon_sym_dbmclose] = ACTIONS(1755),
    [anon_sym_exists] = ACTIONS(1755),
    [anon_sym_exit] = ACTIONS(1755),
    [anon_sym_eof] = ACTIONS(1755),
    [anon_sym_exp] = ACTIONS(1755),
    [anon_sym_each] = ACTIONS(1755),
    [anon_sym_fc] = ACTIONS(1755),
    [anon_sym_fileno] = ACTIONS(1755),
    [anon_sym_gmtime] = ACTIONS(1755),
    [anon_sym_getc] = ACTIONS(1755),
    [anon_sym_getpgrp] = ACTIONS(1755),
    [anon_sym_getprotobyname] = ACTIONS(1755),
    [anon_sym_getpwname] = ACTIONS(1755),
    [anon_sym_getpwuid] = ACTIONS(1755),
    [anon_sym_getpeername] = ACTIONS(1755),
    [anon_sym_getnetbyname] = ACTIONS(1755),
    [anon_sym_getsockname] = ACTIONS(1755),
    [anon_sym_getgrnam] = ACTIONS(1755),
    [anon_sym_getgrgid] = ACTIONS(1755),
    [anon_sym_hex] = ACTIONS(1755),
    [anon_sym_int] = ACTIONS(1755),
    [anon_sym_keys] = ACTIONS(1755),
    [anon_sym_lc] = ACTIONS(1755),
    [anon_sym_lcfirst] = ACTIONS(1755),
    [anon_sym_length] = ACTIONS(1755),
    [anon_sym_localtime] = ACTIONS(1755),
    [anon_sym_log] = ACTIONS(1755),
    [anon_sym_lock] = ACTIONS(1755),
    [anon_sym_lstat] = ACTIONS(1755),
    [anon_sym_oct] = ACTIONS(1755),
    [anon_sym_ord] = ACTIONS(1755),
    [anon_sym_prototype] = ACTIONS(1755),
    [anon_sym_pop] = ACTIONS(1755),
    [anon_sym_pos] = ACTIONS(1755),
    [anon_sym_quotemeta] = ACTIONS(1755),
    [anon_sym_reset] = ACTIONS(1755),
    [anon_sym_rand] = ACTIONS(1755),
    [anon_sym_rmdir] = ACTIONS(1755),
    [anon_sym_readdir] = ACTIONS(1755),
    [anon_sym_readline] = ACTIONS(1755),
    [anon_sym_readpipe] = ACTIONS(1755),
    [anon_sym_rewinddir] = ACTIONS(1755),
    [anon_sym_readlink] = ACTIONS(1755),
    [anon_sym_ref] = ACTIONS(1755),
    [anon_sym_scalar] = ACTIONS(1755),
    [anon_sym_shift] = ACTIONS(1755),
    [anon_sym_sin] = ACTIONS(1755),
    [anon_sym_sleep] = ACTIONS(1755),
    [anon_sym_sqrt] = ACTIONS(1755),
    [anon_sym_srand] = ACTIONS(1755),
    [anon_sym_stat] = ACTIONS(1755),
    [anon_sym_study] = ACTIONS(1755),
    [anon_sym_tell] = ACTIONS(1755),
    [anon_sym_telldir] = ACTIONS(1755),
    [anon_sym_tied] = ACTIONS(1755),
    [anon_sym_uc] = ACTIONS(1755),
    [anon_sym_ucfirst] = ACTIONS(1755),
    [anon_sym_untie] = ACTIONS(1755),
    [anon_sym_umask] = ACTIONS(1755),
    [anon_sym_values] = ACTIONS(1755),
    [anon_sym_write] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1755),
    [anon_sym_qq] = ACTIONS(1755),
    [anon_sym_qw] = ACTIONS(1755),
    [anon_sym_qx] = ACTIONS(1755),
    [anon_sym_qr] = ACTIONS(1755),
    [anon_sym_m] = ACTIONS(1755),
    [anon_sym_s] = ACTIONS(1755),
    [anon_sym_tr] = ACTIONS(1755),
    [anon_sym_y] = ACTIONS(1755),
    [aux_sym__bareword_token1] = ACTIONS(1755),
    [sym_number] = ACTIONS(1755),
    [anon_sym_true] = ACTIONS(1755),
    [anon_sym_false] = ACTIONS(1755),
    [sym__single_quote] = ACTIONS(1759),
    [sym__double_quote] = ACTIONS(1759),
    [sym__backtick_quote] = ACTIONS(1759),
    [sym__search_slash_quote] = ACTIONS(1759),
    [sym__no_search_slash_plz] = ACTIONS(1759),
    [sym__PERLY_SEMICOLON] = ACTIONS(1759),
    [sym__PERLY_HEREDOC] = ACTIONS(1759),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1759),
    [sym__filetest] = ACTIONS(1759),
  },
  [764] = {
    [sym_heredoc_content] = STATE(764),
    [sym__identifier] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1785),
    [anon_sym_RBRACE] = ACTIONS(1836),
    [anon_sym_COLON] = ACTIONS(1836),
    [anon_sym_DOLLAR] = ACTIONS(1785),
    [anon_sym_EQ] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1836),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1836),
    [anon_sym_AT] = ACTIONS(1785),
    [anon_sym_COMMA] = ACTIONS(1836),
    [anon_sym_RPAREN] = ACTIONS(1836),
    [anon_sym_my] = ACTIONS(1785),
    [anon_sym_extended] = ACTIONS(1785),
    [anon_sym_async] = ACTIONS(1785),
    [anon_sym_sub] = ACTIONS(1785),
    [anon_sym_method] = ACTIONS(1785),
    [anon_sym_LPAREN] = ACTIONS(1785),
    [anon_sym_continue] = ACTIONS(1785),
    [anon_sym_state] = ACTIONS(1785),
    [anon_sym_our] = ACTIONS(1785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1785),
    [anon_sym_DASH_GT] = ACTIONS(1836),
    [anon_sym_PERCENT] = ACTIONS(1836),
    [anon_sym_LT] = ACTIONS(1836),
    [anon_sym_GT] = ACTIONS(1836),
    [anon_sym_LT_LT] = ACTIONS(1836),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1836),
    [anon_sym_PLUS_EQ] = ACTIONS(1836),
    [anon_sym_DASH_EQ] = ACTIONS(1836),
    [anon_sym_DOT_EQ] = ACTIONS(1836),
    [anon_sym_STAR_EQ] = ACTIONS(1836),
    [anon_sym_SLASH_EQ] = ACTIONS(1836),
    [anon_sym_PERCENT_EQ] = ACTIONS(1836),
    [anon_sym_x_EQ] = ACTIONS(1836),
    [anon_sym_AMP_EQ] = ACTIONS(1836),
    [anon_sym_PIPE_EQ] = ACTIONS(1836),
    [anon_sym_CARET_EQ] = ACTIONS(1836),
    [anon_sym_LT_LT_EQ] = ACTIONS(1836),
    [anon_sym_GT_GT_EQ] = ACTIONS(1836),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1836),
    [anon_sym_DOT_DOT] = ACTIONS(1836),
    [anon_sym_STAR_STAR] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE] = ACTIONS(1836),
    [anon_sym_SLASH_SLASH] = ACTIONS(1836),
    [anon_sym_CARET_CARET] = ACTIONS(1836),
    [anon_sym_AMP_AMP] = ACTIONS(1836),
    [anon_sym_PIPE] = ACTIONS(1836),
    [anon_sym_CARET] = ACTIONS(1836),
    [anon_sym_AMP] = ACTIONS(1836),
    [anon_sym_GT_GT2] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1836),
    [anon_sym_DASH] = ACTIONS(1836),
    [anon_sym_DOT] = ACTIONS(1836),
    [anon_sym_STAR] = ACTIONS(1836),
    [anon_sym_SLASH] = ACTIONS(1836),
    [anon_sym_x] = ACTIONS(1836),
    [anon_sym_EQ_TILDE] = ACTIONS(1836),
    [anon_sym_BANG_TILDE] = ACTIONS(1836),
    [anon_sym_EQ_EQ] = ACTIONS(1836),
    [anon_sym_BANG_EQ] = ACTIONS(1836),
    [anon_sym_eq] = ACTIONS(1836),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1836),
    [anon_sym_equ] = ACTIONS(1836),
    [anon_sym_eqr] = ACTIONS(1836),
    [anon_sym_ne] = ACTIONS(1836),
    [anon_sym_LT_EQ_GT] = ACTIONS(1836),
    [anon_sym_cmp] = ACTIONS(1836),
    [anon_sym_TILDE_TILDE] = ACTIONS(1836),
    [anon_sym_LT_EQ] = ACTIONS(1836),
    [anon_sym_GT_EQ] = ACTIONS(1836),
    [anon_sym_lt] = ACTIONS(1836),
    [anon_sym_le] = ACTIONS(1836),
    [anon_sym_ge] = ACTIONS(1836),
    [anon_sym_gt] = ACTIONS(1836),
    [anon_sym_isa] = ACTIONS(1836),
    [anon_sym_TILDE] = ACTIONS(1785),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_PLUS_PLUS] = ACTIONS(1836),
    [anon_sym_DASH_DASH] = ACTIONS(1836),
    [anon_sym_QMARK] = ACTIONS(1836),
    [anon_sym_BSLASH] = ACTIONS(1792),
    [anon_sym_do] = ACTIONS(1785),
    [anon_sym_eval] = ACTIONS(1785),
    [anon_sym_await] = ACTIONS(1785),
    [anon_sym_field] = ACTIONS(1785),
    [anon_sym_local] = ACTIONS(1785),
    [anon_sym_dynamically] = ACTIONS(1785),
    [anon_sym_require] = ACTIONS(1785),
    [anon_sym_map] = ACTIONS(1785),
    [anon_sym_grep] = ACTIONS(1785),
    [anon_sym_sort] = ACTIONS(1785),
    [anon_sym_goto] = ACTIONS(1785),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_undef] = ACTIONS(1785),
    [anon_sym_PERCENT2] = ACTIONS(1785),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1785),
    [anon_sym_EQ_GT] = ACTIONS(1836),
    [anon_sym_last] = ACTIONS(1785),
    [anon_sym_next] = ACTIONS(1785),
    [anon_sym_redo] = ACTIONS(1785),
    [anon_sym___FILE__] = ACTIONS(1785),
    [anon_sym___LINE__] = ACTIONS(1785),
    [anon_sym___PACKAGE__] = ACTIONS(1785),
    [anon_sym___SUB__] = ACTIONS(1785),
    [anon_sym_break] = ACTIONS(1785),
    [anon_sym_fork] = ACTIONS(1785),
    [anon_sym_getppid] = ACTIONS(1785),
    [anon_sym_time] = ACTIONS(1785),
    [anon_sym_times] = ACTIONS(1785),
    [anon_sym_wait] = ACTIONS(1785),
    [anon_sym_wantarray] = ACTIONS(1785),
    [anon_sym_abs] = ACTIONS(1785),
    [anon_sym_alarm] = ACTIONS(1785),
    [anon_sym_chop] = ACTIONS(1785),
    [anon_sym_chdir] = ACTIONS(1785),
    [anon_sym_close] = ACTIONS(1785),
    [anon_sym_closedir] = ACTIONS(1785),
    [anon_sym_caller] = ACTIONS(1785),
    [anon_sym_chomp] = ACTIONS(1785),
    [anon_sym_chr] = ACTIONS(1785),
    [anon_sym_cos] = ACTIONS(1785),
    [anon_sym_chroot] = ACTIONS(1785),
    [anon_sym_defined] = ACTIONS(1785),
    [anon_sym_delete] = ACTIONS(1785),
    [anon_sym_dbmclose] = ACTIONS(1785),
    [anon_sym_exists] = ACTIONS(1785),
    [anon_sym_exit] = ACTIONS(1785),
    [anon_sym_eof] = ACTIONS(1785),
    [anon_sym_exp] = ACTIONS(1785),
    [anon_sym_each] = ACTIONS(1785),
    [anon_sym_fc] = ACTIONS(1785),
    [anon_sym_fileno] = ACTIONS(1785),
    [anon_sym_gmtime] = ACTIONS(1785),
    [anon_sym_getc] = ACTIONS(1785),
    [anon_sym_getpgrp] = ACTIONS(1785),
    [anon_sym_getprotobyname] = ACTIONS(1785),
    [anon_sym_getpwname] = ACTIONS(1785),
    [anon_sym_getpwuid] = ACTIONS(1785),
    [anon_sym_getpeername] = ACTIONS(1785),
    [anon_sym_getnetbyname] = ACTIONS(1785),
    [anon_sym_getsockname] = ACTIONS(1785),
    [anon_sym_getgrnam] = ACTIONS(1785),
    [anon_sym_getgrgid] = ACTIONS(1785),
    [anon_sym_hex] = ACTIONS(1785),
    [anon_sym_int] = ACTIONS(1785),
    [anon_sym_keys] = ACTIONS(1785),
    [anon_sym_lc] = ACTIONS(1785),
    [anon_sym_lcfirst] = ACTIONS(1785),
    [anon_sym_length] = ACTIONS(1785),
    [anon_sym_localtime] = ACTIONS(1785),
    [anon_sym_log] = ACTIONS(1785),
    [anon_sym_lock] = ACTIONS(1785),
    [anon_sym_lstat] = ACTIONS(1785),
    [anon_sym_oct] = ACTIONS(1785),
    [anon_sym_ord] = ACTIONS(1785),
    [anon_sym_prototype] = ACTIONS(1785),
    [anon_sym_pop] = ACTIONS(1785),
    [anon_sym_pos] = ACTIONS(1785),
    [anon_sym_quotemeta] = ACTIONS(1785),
    [anon_sym_reset] = ACTIONS(1785),
    [anon_sym_rand] = ACTIONS(1785),
    [anon_sym_rmdir] = ACTIONS(1785),
    [anon_sym_readdir] = ACTIONS(1785),
    [anon_sym_readline] = ACTIONS(1785),
    [anon_sym_readpipe] = ACTIONS(1785),
    [anon_sym_rewinddir] = ACTIONS(1785),
    [anon_sym_readlink] = ACTIONS(1785),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_scalar] = ACTIONS(1785),
    [anon_sym_shift] = ACTIONS(1785),
    [anon_sym_sin] = ACTIONS(1785),
    [anon_sym_sleep] = ACTIONS(1785),
    [anon_sym_sqrt] = ACTIONS(1785),
    [anon_sym_srand] = ACTIONS(1785),
    [anon_sym_stat] = ACTIONS(1785),
    [anon_sym_study] = ACTIONS(1785),
    [anon_sym_tell] = ACTIONS(1785),
    [anon_sym_telldir] = ACTIONS(1785),
    [anon_sym_tied] = ACTIONS(1785),
    [anon_sym_uc] = ACTIONS(1785),
    [anon_sym_ucfirst] = ACTIONS(1785),
    [anon_sym_untie] = ACTIONS(1785),
    [anon_sym_umask] = ACTIONS(1785),
    [anon_sym_values] = ACTIONS(1785),
    [anon_sym_write] = ACTIONS(1785),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1785),
    [anon_sym_qq] = ACTIONS(1785),
    [anon_sym_qw] = ACTIONS(1785),
    [anon_sym_qx] = ACTIONS(1785),
    [anon_sym_qr] = ACTIONS(1785),
    [anon_sym_m] = ACTIONS(1785),
    [anon_sym_s] = ACTIONS(1785),
    [anon_sym_tr] = ACTIONS(1785),
    [anon_sym_y] = ACTIONS(1785),
    [aux_sym__bareword_token1] = ACTIONS(1785),
    [sym_number] = ACTIONS(1785),
    [anon_sym_true] = ACTIONS(1785),
    [anon_sym_false] = ACTIONS(1785),
    [sym__single_quote] = ACTIONS(1792),
    [sym__double_quote] = ACTIONS(1792),
    [sym__backtick_quote] = ACTIONS(1792),
    [sym__search_slash_quote] = ACTIONS(1792),
    [sym__PERLY_HEREDOC] = ACTIONS(1792),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1792),
    [sym__filetest] = ACTIONS(1792),
  },
  [765] = {
    [sym_heredoc_content] = STATE(765),
    [sym__identifier] = ACTIONS(1761),
    [anon_sym_LBRACE] = ACTIONS(1761),
    [anon_sym_SEMI] = ACTIONS(1761),
    [anon_sym_DOLLAR] = ACTIONS(1761),
    [anon_sym_EQ] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1761),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1761),
    [anon_sym_AT] = ACTIONS(1761),
    [anon_sym_COMMA] = ACTIONS(1761),
    [anon_sym_my] = ACTIONS(1761),
    [anon_sym_extended] = ACTIONS(1761),
    [anon_sym_async] = ACTIONS(1761),
    [anon_sym_sub] = ACTIONS(1761),
    [anon_sym_method] = ACTIONS(1761),
    [anon_sym_LPAREN] = ACTIONS(1761),
    [anon_sym_continue] = ACTIONS(1761),
    [anon_sym_state] = ACTIONS(1761),
    [anon_sym_our] = ACTIONS(1761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1761),
    [anon_sym_LBRACK] = ACTIONS(1761),
    [anon_sym_DASH_GT] = ACTIONS(1761),
    [anon_sym_PERCENT] = ACTIONS(1761),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_GT] = ACTIONS(1761),
    [anon_sym_LT_LT] = ACTIONS(1761),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1761),
    [anon_sym_PLUS_EQ] = ACTIONS(1761),
    [anon_sym_DASH_EQ] = ACTIONS(1761),
    [anon_sym_DOT_EQ] = ACTIONS(1761),
    [anon_sym_STAR_EQ] = ACTIONS(1761),
    [anon_sym_SLASH_EQ] = ACTIONS(1761),
    [anon_sym_PERCENT_EQ] = ACTIONS(1761),
    [anon_sym_x_EQ] = ACTIONS(1761),
    [anon_sym_AMP_EQ] = ACTIONS(1761),
    [anon_sym_PIPE_EQ] = ACTIONS(1761),
    [anon_sym_CARET_EQ] = ACTIONS(1761),
    [anon_sym_LT_LT_EQ] = ACTIONS(1761),
    [anon_sym_GT_GT_EQ] = ACTIONS(1761),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1761),
    [anon_sym_DOT_DOT] = ACTIONS(1761),
    [anon_sym_STAR_STAR] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE] = ACTIONS(1761),
    [anon_sym_SLASH_SLASH] = ACTIONS(1761),
    [anon_sym_CARET_CARET] = ACTIONS(1761),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_PIPE] = ACTIONS(1761),
    [anon_sym_CARET] = ACTIONS(1761),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT2] = ACTIONS(1761),
    [anon_sym_PLUS] = ACTIONS(1761),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_DOT] = ACTIONS(1761),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_x] = ACTIONS(1761),
    [anon_sym_EQ_TILDE] = ACTIONS(1761),
    [anon_sym_BANG_TILDE] = ACTIONS(1761),
    [anon_sym_EQ_EQ] = ACTIONS(1761),
    [anon_sym_BANG_EQ] = ACTIONS(1761),
    [anon_sym_eq] = ACTIONS(1761),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1761),
    [anon_sym_equ] = ACTIONS(1761),
    [anon_sym_eqr] = ACTIONS(1761),
    [anon_sym_ne] = ACTIONS(1761),
    [anon_sym_LT_EQ_GT] = ACTIONS(1761),
    [anon_sym_cmp] = ACTIONS(1761),
    [anon_sym_TILDE_TILDE] = ACTIONS(1761),
    [anon_sym_LT_EQ] = ACTIONS(1761),
    [anon_sym_GT_EQ] = ACTIONS(1761),
    [anon_sym_lt] = ACTIONS(1761),
    [anon_sym_le] = ACTIONS(1761),
    [anon_sym_ge] = ACTIONS(1761),
    [anon_sym_gt] = ACTIONS(1761),
    [anon_sym_isa] = ACTIONS(1761),
    [anon_sym_TILDE] = ACTIONS(1761),
    [anon_sym_BANG] = ACTIONS(1761),
    [anon_sym_PLUS_PLUS] = ACTIONS(1761),
    [anon_sym_DASH_DASH] = ACTIONS(1761),
    [anon_sym_QMARK] = ACTIONS(1761),
    [anon_sym_BSLASH] = ACTIONS(1763),
    [anon_sym_do] = ACTIONS(1761),
    [anon_sym_eval] = ACTIONS(1761),
    [anon_sym_await] = ACTIONS(1761),
    [anon_sym_field] = ACTIONS(1761),
    [anon_sym_local] = ACTIONS(1761),
    [anon_sym_dynamically] = ACTIONS(1761),
    [anon_sym_require] = ACTIONS(1761),
    [anon_sym_map] = ACTIONS(1761),
    [anon_sym_grep] = ACTIONS(1761),
    [anon_sym_sort] = ACTIONS(1761),
    [anon_sym_goto] = ACTIONS(1761),
    [anon_sym_return] = ACTIONS(1761),
    [anon_sym_undef] = ACTIONS(1761),
    [anon_sym_PERCENT2] = ACTIONS(1761),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1761),
    [anon_sym_EQ_GT] = ACTIONS(1761),
    [anon_sym_last] = ACTIONS(1761),
    [anon_sym_next] = ACTIONS(1761),
    [anon_sym_redo] = ACTIONS(1761),
    [anon_sym___FILE__] = ACTIONS(1761),
    [anon_sym___LINE__] = ACTIONS(1761),
    [anon_sym___PACKAGE__] = ACTIONS(1761),
    [anon_sym___SUB__] = ACTIONS(1761),
    [anon_sym_break] = ACTIONS(1761),
    [anon_sym_fork] = ACTIONS(1761),
    [anon_sym_getppid] = ACTIONS(1761),
    [anon_sym_time] = ACTIONS(1761),
    [anon_sym_times] = ACTIONS(1761),
    [anon_sym_wait] = ACTIONS(1761),
    [anon_sym_wantarray] = ACTIONS(1761),
    [anon_sym_abs] = ACTIONS(1761),
    [anon_sym_alarm] = ACTIONS(1761),
    [anon_sym_chop] = ACTIONS(1761),
    [anon_sym_chdir] = ACTIONS(1761),
    [anon_sym_close] = ACTIONS(1761),
    [anon_sym_closedir] = ACTIONS(1761),
    [anon_sym_caller] = ACTIONS(1761),
    [anon_sym_chomp] = ACTIONS(1761),
    [anon_sym_chr] = ACTIONS(1761),
    [anon_sym_cos] = ACTIONS(1761),
    [anon_sym_chroot] = ACTIONS(1761),
    [anon_sym_defined] = ACTIONS(1761),
    [anon_sym_delete] = ACTIONS(1761),
    [anon_sym_dbmclose] = ACTIONS(1761),
    [anon_sym_exists] = ACTIONS(1761),
    [anon_sym_exit] = ACTIONS(1761),
    [anon_sym_eof] = ACTIONS(1761),
    [anon_sym_exp] = ACTIONS(1761),
    [anon_sym_each] = ACTIONS(1761),
    [anon_sym_fc] = ACTIONS(1761),
    [anon_sym_fileno] = ACTIONS(1761),
    [anon_sym_gmtime] = ACTIONS(1761),
    [anon_sym_getc] = ACTIONS(1761),
    [anon_sym_getpgrp] = ACTIONS(1761),
    [anon_sym_getprotobyname] = ACTIONS(1761),
    [anon_sym_getpwname] = ACTIONS(1761),
    [anon_sym_getpwuid] = ACTIONS(1761),
    [anon_sym_getpeername] = ACTIONS(1761),
    [anon_sym_getnetbyname] = ACTIONS(1761),
    [anon_sym_getsockname] = ACTIONS(1761),
    [anon_sym_getgrnam] = ACTIONS(1761),
    [anon_sym_getgrgid] = ACTIONS(1761),
    [anon_sym_hex] = ACTIONS(1761),
    [anon_sym_int] = ACTIONS(1761),
    [anon_sym_keys] = ACTIONS(1761),
    [anon_sym_lc] = ACTIONS(1761),
    [anon_sym_lcfirst] = ACTIONS(1761),
    [anon_sym_length] = ACTIONS(1761),
    [anon_sym_localtime] = ACTIONS(1761),
    [anon_sym_log] = ACTIONS(1761),
    [anon_sym_lock] = ACTIONS(1761),
    [anon_sym_lstat] = ACTIONS(1761),
    [anon_sym_oct] = ACTIONS(1761),
    [anon_sym_ord] = ACTIONS(1761),
    [anon_sym_prototype] = ACTIONS(1761),
    [anon_sym_pop] = ACTIONS(1761),
    [anon_sym_pos] = ACTIONS(1761),
    [anon_sym_quotemeta] = ACTIONS(1761),
    [anon_sym_reset] = ACTIONS(1761),
    [anon_sym_rand] = ACTIONS(1761),
    [anon_sym_rmdir] = ACTIONS(1761),
    [anon_sym_readdir] = ACTIONS(1761),
    [anon_sym_readline] = ACTIONS(1761),
    [anon_sym_readpipe] = ACTIONS(1761),
    [anon_sym_rewinddir] = ACTIONS(1761),
    [anon_sym_readlink] = ACTIONS(1761),
    [anon_sym_ref] = ACTIONS(1761),
    [anon_sym_scalar] = ACTIONS(1761),
    [anon_sym_shift] = ACTIONS(1761),
    [anon_sym_sin] = ACTIONS(1761),
    [anon_sym_sleep] = ACTIONS(1761),
    [anon_sym_sqrt] = ACTIONS(1761),
    [anon_sym_srand] = ACTIONS(1761),
    [anon_sym_stat] = ACTIONS(1761),
    [anon_sym_study] = ACTIONS(1761),
    [anon_sym_tell] = ACTIONS(1761),
    [anon_sym_telldir] = ACTIONS(1761),
    [anon_sym_tied] = ACTIONS(1761),
    [anon_sym_uc] = ACTIONS(1761),
    [anon_sym_ucfirst] = ACTIONS(1761),
    [anon_sym_untie] = ACTIONS(1761),
    [anon_sym_umask] = ACTIONS(1761),
    [anon_sym_values] = ACTIONS(1761),
    [anon_sym_write] = ACTIONS(1761),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1761),
    [anon_sym_qq] = ACTIONS(1761),
    [anon_sym_qw] = ACTIONS(1761),
    [anon_sym_qx] = ACTIONS(1761),
    [anon_sym_qr] = ACTIONS(1761),
    [anon_sym_m] = ACTIONS(1761),
    [anon_sym_s] = ACTIONS(1761),
    [anon_sym_tr] = ACTIONS(1761),
    [anon_sym_y] = ACTIONS(1761),
    [aux_sym__bareword_token1] = ACTIONS(1761),
    [sym_number] = ACTIONS(1761),
    [anon_sym_true] = ACTIONS(1761),
    [anon_sym_false] = ACTIONS(1761),
    [sym__single_quote] = ACTIONS(1763),
    [sym__double_quote] = ACTIONS(1763),
    [sym__backtick_quote] = ACTIONS(1763),
    [sym__search_slash_quote] = ACTIONS(1763),
    [sym__no_search_slash_plz] = ACTIONS(1763),
    [sym__PERLY_SEMICOLON] = ACTIONS(1763),
    [sym__PERLY_HEREDOC] = ACTIONS(1763),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1763),
    [sym__filetest] = ACTIONS(1763),
  },
  [766] = {
    [sym_heredoc_content] = STATE(766),
    [sym__identifier] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1781),
    [anon_sym_RBRACE] = ACTIONS(1781),
    [anon_sym_COLON] = ACTIONS(1781),
    [anon_sym_DOLLAR] = ACTIONS(1781),
    [anon_sym_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(1781),
    [anon_sym_COMMA] = ACTIONS(1781),
    [anon_sym_RPAREN] = ACTIONS(1781),
    [anon_sym_my] = ACTIONS(1781),
    [anon_sym_extended] = ACTIONS(1781),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_sub] = ACTIONS(1781),
    [anon_sym_method] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1781),
    [anon_sym_continue] = ACTIONS(1781),
    [anon_sym_state] = ACTIONS(1781),
    [anon_sym_our] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1781),
    [anon_sym_DASH_GT] = ACTIONS(1781),
    [anon_sym_PERCENT] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1781),
    [anon_sym_PLUS_EQ] = ACTIONS(1781),
    [anon_sym_DASH_EQ] = ACTIONS(1781),
    [anon_sym_DOT_EQ] = ACTIONS(1781),
    [anon_sym_STAR_EQ] = ACTIONS(1781),
    [anon_sym_SLASH_EQ] = ACTIONS(1781),
    [anon_sym_PERCENT_EQ] = ACTIONS(1781),
    [anon_sym_x_EQ] = ACTIONS(1781),
    [anon_sym_AMP_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_EQ] = ACTIONS(1781),
    [anon_sym_CARET_EQ] = ACTIONS(1781),
    [anon_sym_LT_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_GT_EQ] = ACTIONS(1781),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1781),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_STAR_STAR] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_CARET_CARET] = ACTIONS(1781),
    [anon_sym_AMP_AMP] = ACTIONS(1781),
    [anon_sym_PIPE] = ACTIONS(1781),
    [anon_sym_CARET] = ACTIONS(1781),
    [anon_sym_AMP] = ACTIONS(1781),
    [anon_sym_GT_GT2] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_x] = ACTIONS(1781),
    [anon_sym_EQ_TILDE] = ACTIONS(1781),
    [anon_sym_BANG_TILDE] = ACTIONS(1781),
    [anon_sym_EQ_EQ] = ACTIONS(1781),
    [anon_sym_BANG_EQ] = ACTIONS(1781),
    [anon_sym_eq] = ACTIONS(1781),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1781),
    [anon_sym_equ] = ACTIONS(1781),
    [anon_sym_eqr] = ACTIONS(1781),
    [anon_sym_ne] = ACTIONS(1781),
    [anon_sym_LT_EQ_GT] = ACTIONS(1781),
    [anon_sym_cmp] = ACTIONS(1781),
    [anon_sym_TILDE_TILDE] = ACTIONS(1781),
    [anon_sym_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_EQ] = ACTIONS(1781),
    [anon_sym_lt] = ACTIONS(1781),
    [anon_sym_le] = ACTIONS(1781),
    [anon_sym_ge] = ACTIONS(1781),
    [anon_sym_gt] = ACTIONS(1781),
    [anon_sym_isa] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_BANG] = ACTIONS(1781),
    [anon_sym_PLUS_PLUS] = ACTIONS(1781),
    [anon_sym_DASH_DASH] = ACTIONS(1781),
    [anon_sym_QMARK] = ACTIONS(1781),
    [anon_sym_BSLASH] = ACTIONS(1783),
    [anon_sym_do] = ACTIONS(1781),
    [anon_sym_eval] = ACTIONS(1781),
    [anon_sym_await] = ACTIONS(1781),
    [anon_sym_field] = ACTIONS(1781),
    [anon_sym_local] = ACTIONS(1781),
    [anon_sym_dynamically] = ACTIONS(1781),
    [anon_sym_require] = ACTIONS(1781),
    [anon_sym_map] = ACTIONS(1781),
    [anon_sym_grep] = ACTIONS(1781),
    [anon_sym_sort] = ACTIONS(1781),
    [anon_sym_goto] = ACTIONS(1781),
    [anon_sym_return] = ACTIONS(1781),
    [anon_sym_undef] = ACTIONS(1781),
    [anon_sym_PERCENT2] = ACTIONS(1781),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1781),
    [anon_sym_EQ_GT] = ACTIONS(1781),
    [anon_sym_last] = ACTIONS(1781),
    [anon_sym_next] = ACTIONS(1781),
    [anon_sym_redo] = ACTIONS(1781),
    [anon_sym___FILE__] = ACTIONS(1781),
    [anon_sym___LINE__] = ACTIONS(1781),
    [anon_sym___PACKAGE__] = ACTIONS(1781),
    [anon_sym___SUB__] = ACTIONS(1781),
    [anon_sym_break] = ACTIONS(1781),
    [anon_sym_fork] = ACTIONS(1781),
    [anon_sym_getppid] = ACTIONS(1781),
    [anon_sym_time] = ACTIONS(1781),
    [anon_sym_times] = ACTIONS(1781),
    [anon_sym_wait] = ACTIONS(1781),
    [anon_sym_wantarray] = ACTIONS(1781),
    [anon_sym_abs] = ACTIONS(1781),
    [anon_sym_alarm] = ACTIONS(1781),
    [anon_sym_chop] = ACTIONS(1781),
    [anon_sym_chdir] = ACTIONS(1781),
    [anon_sym_close] = ACTIONS(1781),
    [anon_sym_closedir] = ACTIONS(1781),
    [anon_sym_caller] = ACTIONS(1781),
    [anon_sym_chomp] = ACTIONS(1781),
    [anon_sym_chr] = ACTIONS(1781),
    [anon_sym_cos] = ACTIONS(1781),
    [anon_sym_chroot] = ACTIONS(1781),
    [anon_sym_defined] = ACTIONS(1781),
    [anon_sym_delete] = ACTIONS(1781),
    [anon_sym_dbmclose] = ACTIONS(1781),
    [anon_sym_exists] = ACTIONS(1781),
    [anon_sym_exit] = ACTIONS(1781),
    [anon_sym_eof] = ACTIONS(1781),
    [anon_sym_exp] = ACTIONS(1781),
    [anon_sym_each] = ACTIONS(1781),
    [anon_sym_fc] = ACTIONS(1781),
    [anon_sym_fileno] = ACTIONS(1781),
    [anon_sym_gmtime] = ACTIONS(1781),
    [anon_sym_getc] = ACTIONS(1781),
    [anon_sym_getpgrp] = ACTIONS(1781),
    [anon_sym_getprotobyname] = ACTIONS(1781),
    [anon_sym_getpwname] = ACTIONS(1781),
    [anon_sym_getpwuid] = ACTIONS(1781),
    [anon_sym_getpeername] = ACTIONS(1781),
    [anon_sym_getnetbyname] = ACTIONS(1781),
    [anon_sym_getsockname] = ACTIONS(1781),
    [anon_sym_getgrnam] = ACTIONS(1781),
    [anon_sym_getgrgid] = ACTIONS(1781),
    [anon_sym_hex] = ACTIONS(1781),
    [anon_sym_int] = ACTIONS(1781),
    [anon_sym_keys] = ACTIONS(1781),
    [anon_sym_lc] = ACTIONS(1781),
    [anon_sym_lcfirst] = ACTIONS(1781),
    [anon_sym_length] = ACTIONS(1781),
    [anon_sym_localtime] = ACTIONS(1781),
    [anon_sym_log] = ACTIONS(1781),
    [anon_sym_lock] = ACTIONS(1781),
    [anon_sym_lstat] = ACTIONS(1781),
    [anon_sym_oct] = ACTIONS(1781),
    [anon_sym_ord] = ACTIONS(1781),
    [anon_sym_prototype] = ACTIONS(1781),
    [anon_sym_pop] = ACTIONS(1781),
    [anon_sym_pos] = ACTIONS(1781),
    [anon_sym_quotemeta] = ACTIONS(1781),
    [anon_sym_reset] = ACTIONS(1781),
    [anon_sym_rand] = ACTIONS(1781),
    [anon_sym_rmdir] = ACTIONS(1781),
    [anon_sym_readdir] = ACTIONS(1781),
    [anon_sym_readline] = ACTIONS(1781),
    [anon_sym_readpipe] = ACTIONS(1781),
    [anon_sym_rewinddir] = ACTIONS(1781),
    [anon_sym_readlink] = ACTIONS(1781),
    [anon_sym_ref] = ACTIONS(1781),
    [anon_sym_scalar] = ACTIONS(1781),
    [anon_sym_shift] = ACTIONS(1781),
    [anon_sym_sin] = ACTIONS(1781),
    [anon_sym_sleep] = ACTIONS(1781),
    [anon_sym_sqrt] = ACTIONS(1781),
    [anon_sym_srand] = ACTIONS(1781),
    [anon_sym_stat] = ACTIONS(1781),
    [anon_sym_study] = ACTIONS(1781),
    [anon_sym_tell] = ACTIONS(1781),
    [anon_sym_telldir] = ACTIONS(1781),
    [anon_sym_tied] = ACTIONS(1781),
    [anon_sym_uc] = ACTIONS(1781),
    [anon_sym_ucfirst] = ACTIONS(1781),
    [anon_sym_untie] = ACTIONS(1781),
    [anon_sym_umask] = ACTIONS(1781),
    [anon_sym_values] = ACTIONS(1781),
    [anon_sym_write] = ACTIONS(1781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1781),
    [anon_sym_qq] = ACTIONS(1781),
    [anon_sym_qw] = ACTIONS(1781),
    [anon_sym_qx] = ACTIONS(1781),
    [anon_sym_qr] = ACTIONS(1781),
    [anon_sym_m] = ACTIONS(1781),
    [anon_sym_s] = ACTIONS(1781),
    [anon_sym_tr] = ACTIONS(1781),
    [anon_sym_y] = ACTIONS(1781),
    [aux_sym__bareword_token1] = ACTIONS(1781),
    [sym_number] = ACTIONS(1781),
    [anon_sym_true] = ACTIONS(1781),
    [anon_sym_false] = ACTIONS(1781),
    [sym__single_quote] = ACTIONS(1783),
    [sym__double_quote] = ACTIONS(1783),
    [sym__backtick_quote] = ACTIONS(1783),
    [sym__search_slash_quote] = ACTIONS(1783),
    [sym__PERLY_HEREDOC] = ACTIONS(1783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1783),
    [sym__filetest] = ACTIONS(1783),
  },
  [767] = {
    [sym_heredoc_content] = STATE(767),
    [sym__identifier] = ACTIONS(1736),
    [anon_sym_LBRACE] = ACTIONS(1736),
    [anon_sym_SEMI] = ACTIONS(1736),
    [anon_sym_DOLLAR] = ACTIONS(1736),
    [anon_sym_EQ] = ACTIONS(1736),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1736),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1736),
    [anon_sym_AT] = ACTIONS(1736),
    [anon_sym_COMMA] = ACTIONS(1736),
    [anon_sym_my] = ACTIONS(1736),
    [anon_sym_extended] = ACTIONS(1736),
    [anon_sym_async] = ACTIONS(1736),
    [anon_sym_sub] = ACTIONS(1736),
    [anon_sym_method] = ACTIONS(1736),
    [anon_sym_LPAREN] = ACTIONS(1736),
    [anon_sym_continue] = ACTIONS(1736),
    [anon_sym_state] = ACTIONS(1736),
    [anon_sym_our] = ACTIONS(1736),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1736),
    [anon_sym_LBRACK] = ACTIONS(1736),
    [anon_sym_DASH_GT] = ACTIONS(1736),
    [anon_sym_PERCENT] = ACTIONS(1736),
    [anon_sym_LT] = ACTIONS(1736),
    [anon_sym_GT] = ACTIONS(1736),
    [anon_sym_LT_LT] = ACTIONS(1736),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1736),
    [anon_sym_PLUS_EQ] = ACTIONS(1736),
    [anon_sym_DASH_EQ] = ACTIONS(1736),
    [anon_sym_DOT_EQ] = ACTIONS(1736),
    [anon_sym_STAR_EQ] = ACTIONS(1736),
    [anon_sym_SLASH_EQ] = ACTIONS(1736),
    [anon_sym_PERCENT_EQ] = ACTIONS(1736),
    [anon_sym_x_EQ] = ACTIONS(1736),
    [anon_sym_AMP_EQ] = ACTIONS(1736),
    [anon_sym_PIPE_EQ] = ACTIONS(1736),
    [anon_sym_CARET_EQ] = ACTIONS(1736),
    [anon_sym_LT_LT_EQ] = ACTIONS(1736),
    [anon_sym_GT_GT_EQ] = ACTIONS(1736),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1736),
    [anon_sym_DOT_DOT] = ACTIONS(1736),
    [anon_sym_STAR_STAR] = ACTIONS(1736),
    [anon_sym_PIPE_PIPE] = ACTIONS(1736),
    [anon_sym_SLASH_SLASH] = ACTIONS(1736),
    [anon_sym_CARET_CARET] = ACTIONS(1736),
    [anon_sym_AMP_AMP] = ACTIONS(1736),
    [anon_sym_PIPE] = ACTIONS(1736),
    [anon_sym_CARET] = ACTIONS(1736),
    [anon_sym_AMP] = ACTIONS(1736),
    [anon_sym_GT_GT2] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1736),
    [anon_sym_DOT] = ACTIONS(1736),
    [anon_sym_STAR] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1736),
    [anon_sym_x] = ACTIONS(1736),
    [anon_sym_EQ_TILDE] = ACTIONS(1736),
    [anon_sym_BANG_TILDE] = ACTIONS(1736),
    [anon_sym_EQ_EQ] = ACTIONS(1736),
    [anon_sym_BANG_EQ] = ACTIONS(1736),
    [anon_sym_eq] = ACTIONS(1736),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1736),
    [anon_sym_equ] = ACTIONS(1736),
    [anon_sym_eqr] = ACTIONS(1736),
    [anon_sym_ne] = ACTIONS(1736),
    [anon_sym_LT_EQ_GT] = ACTIONS(1736),
    [anon_sym_cmp] = ACTIONS(1736),
    [anon_sym_TILDE_TILDE] = ACTIONS(1736),
    [anon_sym_LT_EQ] = ACTIONS(1736),
    [anon_sym_GT_EQ] = ACTIONS(1736),
    [anon_sym_lt] = ACTIONS(1736),
    [anon_sym_le] = ACTIONS(1736),
    [anon_sym_ge] = ACTIONS(1736),
    [anon_sym_gt] = ACTIONS(1736),
    [anon_sym_isa] = ACTIONS(1736),
    [anon_sym_TILDE] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(1736),
    [anon_sym_PLUS_PLUS] = ACTIONS(1736),
    [anon_sym_DASH_DASH] = ACTIONS(1736),
    [anon_sym_QMARK] = ACTIONS(1736),
    [anon_sym_BSLASH] = ACTIONS(1738),
    [anon_sym_do] = ACTIONS(1736),
    [anon_sym_eval] = ACTIONS(1736),
    [anon_sym_await] = ACTIONS(1736),
    [anon_sym_field] = ACTIONS(1736),
    [anon_sym_local] = ACTIONS(1736),
    [anon_sym_dynamically] = ACTIONS(1736),
    [anon_sym_require] = ACTIONS(1736),
    [anon_sym_map] = ACTIONS(1736),
    [anon_sym_grep] = ACTIONS(1736),
    [anon_sym_sort] = ACTIONS(1736),
    [anon_sym_goto] = ACTIONS(1736),
    [anon_sym_return] = ACTIONS(1736),
    [anon_sym_undef] = ACTIONS(1736),
    [anon_sym_PERCENT2] = ACTIONS(1736),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1736),
    [anon_sym_EQ_GT] = ACTIONS(1736),
    [anon_sym_last] = ACTIONS(1736),
    [anon_sym_next] = ACTIONS(1736),
    [anon_sym_redo] = ACTIONS(1736),
    [anon_sym___FILE__] = ACTIONS(1736),
    [anon_sym___LINE__] = ACTIONS(1736),
    [anon_sym___PACKAGE__] = ACTIONS(1736),
    [anon_sym___SUB__] = ACTIONS(1736),
    [anon_sym_break] = ACTIONS(1736),
    [anon_sym_fork] = ACTIONS(1736),
    [anon_sym_getppid] = ACTIONS(1736),
    [anon_sym_time] = ACTIONS(1736),
    [anon_sym_times] = ACTIONS(1736),
    [anon_sym_wait] = ACTIONS(1736),
    [anon_sym_wantarray] = ACTIONS(1736),
    [anon_sym_abs] = ACTIONS(1736),
    [anon_sym_alarm] = ACTIONS(1736),
    [anon_sym_chop] = ACTIONS(1736),
    [anon_sym_chdir] = ACTIONS(1736),
    [anon_sym_close] = ACTIONS(1736),
    [anon_sym_closedir] = ACTIONS(1736),
    [anon_sym_caller] = ACTIONS(1736),
    [anon_sym_chomp] = ACTIONS(1736),
    [anon_sym_chr] = ACTIONS(1736),
    [anon_sym_cos] = ACTIONS(1736),
    [anon_sym_chroot] = ACTIONS(1736),
    [anon_sym_defined] = ACTIONS(1736),
    [anon_sym_delete] = ACTIONS(1736),
    [anon_sym_dbmclose] = ACTIONS(1736),
    [anon_sym_exists] = ACTIONS(1736),
    [anon_sym_exit] = ACTIONS(1736),
    [anon_sym_eof] = ACTIONS(1736),
    [anon_sym_exp] = ACTIONS(1736),
    [anon_sym_each] = ACTIONS(1736),
    [anon_sym_fc] = ACTIONS(1736),
    [anon_sym_fileno] = ACTIONS(1736),
    [anon_sym_gmtime] = ACTIONS(1736),
    [anon_sym_getc] = ACTIONS(1736),
    [anon_sym_getpgrp] = ACTIONS(1736),
    [anon_sym_getprotobyname] = ACTIONS(1736),
    [anon_sym_getpwname] = ACTIONS(1736),
    [anon_sym_getpwuid] = ACTIONS(1736),
    [anon_sym_getpeername] = ACTIONS(1736),
    [anon_sym_getnetbyname] = ACTIONS(1736),
    [anon_sym_getsockname] = ACTIONS(1736),
    [anon_sym_getgrnam] = ACTIONS(1736),
    [anon_sym_getgrgid] = ACTIONS(1736),
    [anon_sym_hex] = ACTIONS(1736),
    [anon_sym_int] = ACTIONS(1736),
    [anon_sym_keys] = ACTIONS(1736),
    [anon_sym_lc] = ACTIONS(1736),
    [anon_sym_lcfirst] = ACTIONS(1736),
    [anon_sym_length] = ACTIONS(1736),
    [anon_sym_localtime] = ACTIONS(1736),
    [anon_sym_log] = ACTIONS(1736),
    [anon_sym_lock] = ACTIONS(1736),
    [anon_sym_lstat] = ACTIONS(1736),
    [anon_sym_oct] = ACTIONS(1736),
    [anon_sym_ord] = ACTIONS(1736),
    [anon_sym_prototype] = ACTIONS(1736),
    [anon_sym_pop] = ACTIONS(1736),
    [anon_sym_pos] = ACTIONS(1736),
    [anon_sym_quotemeta] = ACTIONS(1736),
    [anon_sym_reset] = ACTIONS(1736),
    [anon_sym_rand] = ACTIONS(1736),
    [anon_sym_rmdir] = ACTIONS(1736),
    [anon_sym_readdir] = ACTIONS(1736),
    [anon_sym_readline] = ACTIONS(1736),
    [anon_sym_readpipe] = ACTIONS(1736),
    [anon_sym_rewinddir] = ACTIONS(1736),
    [anon_sym_readlink] = ACTIONS(1736),
    [anon_sym_ref] = ACTIONS(1736),
    [anon_sym_scalar] = ACTIONS(1736),
    [anon_sym_shift] = ACTIONS(1736),
    [anon_sym_sin] = ACTIONS(1736),
    [anon_sym_sleep] = ACTIONS(1736),
    [anon_sym_sqrt] = ACTIONS(1736),
    [anon_sym_srand] = ACTIONS(1736),
    [anon_sym_stat] = ACTIONS(1736),
    [anon_sym_study] = ACTIONS(1736),
    [anon_sym_tell] = ACTIONS(1736),
    [anon_sym_telldir] = ACTIONS(1736),
    [anon_sym_tied] = ACTIONS(1736),
    [anon_sym_uc] = ACTIONS(1736),
    [anon_sym_ucfirst] = ACTIONS(1736),
    [anon_sym_untie] = ACTIONS(1736),
    [anon_sym_umask] = ACTIONS(1736),
    [anon_sym_values] = ACTIONS(1736),
    [anon_sym_write] = ACTIONS(1736),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1736),
    [anon_sym_qq] = ACTIONS(1736),
    [anon_sym_qw] = ACTIONS(1736),
    [anon_sym_qx] = ACTIONS(1736),
    [anon_sym_qr] = ACTIONS(1736),
    [anon_sym_m] = ACTIONS(1736),
    [anon_sym_s] = ACTIONS(1736),
    [anon_sym_tr] = ACTIONS(1736),
    [anon_sym_y] = ACTIONS(1736),
    [aux_sym__bareword_token1] = ACTIONS(1736),
    [sym_number] = ACTIONS(1736),
    [anon_sym_true] = ACTIONS(1736),
    [anon_sym_false] = ACTIONS(1736),
    [sym__single_quote] = ACTIONS(1738),
    [sym__double_quote] = ACTIONS(1738),
    [sym__backtick_quote] = ACTIONS(1738),
    [sym__search_slash_quote] = ACTIONS(1738),
    [sym__no_search_slash_plz] = ACTIONS(1738),
    [sym__PERLY_SEMICOLON] = ACTIONS(1738),
    [sym__PERLY_HEREDOC] = ACTIONS(1738),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1738),
    [sym__filetest] = ACTIONS(1738),
  },
  [768] = {
    [sym_heredoc_content] = STATE(768),
    [sym__identifier] = ACTIONS(1765),
    [anon_sym_LBRACE] = ACTIONS(1765),
    [anon_sym_SEMI] = ACTIONS(1765),
    [anon_sym_DOLLAR] = ACTIONS(1765),
    [anon_sym_EQ] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1765),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1765),
    [anon_sym_AT] = ACTIONS(1765),
    [anon_sym_COMMA] = ACTIONS(1765),
    [anon_sym_my] = ACTIONS(1765),
    [anon_sym_extended] = ACTIONS(1765),
    [anon_sym_async] = ACTIONS(1765),
    [anon_sym_sub] = ACTIONS(1765),
    [anon_sym_method] = ACTIONS(1765),
    [anon_sym_LPAREN] = ACTIONS(1765),
    [anon_sym_continue] = ACTIONS(1765),
    [anon_sym_state] = ACTIONS(1765),
    [anon_sym_our] = ACTIONS(1765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1765),
    [anon_sym_LBRACK] = ACTIONS(1765),
    [anon_sym_DASH_GT] = ACTIONS(1765),
    [anon_sym_PERCENT] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1765),
    [anon_sym_LT_LT] = ACTIONS(1765),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1765),
    [anon_sym_PLUS_EQ] = ACTIONS(1765),
    [anon_sym_DASH_EQ] = ACTIONS(1765),
    [anon_sym_DOT_EQ] = ACTIONS(1765),
    [anon_sym_STAR_EQ] = ACTIONS(1765),
    [anon_sym_SLASH_EQ] = ACTIONS(1765),
    [anon_sym_PERCENT_EQ] = ACTIONS(1765),
    [anon_sym_x_EQ] = ACTIONS(1765),
    [anon_sym_AMP_EQ] = ACTIONS(1765),
    [anon_sym_PIPE_EQ] = ACTIONS(1765),
    [anon_sym_CARET_EQ] = ACTIONS(1765),
    [anon_sym_LT_LT_EQ] = ACTIONS(1765),
    [anon_sym_GT_GT_EQ] = ACTIONS(1765),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1765),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_STAR_STAR] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1765),
    [anon_sym_SLASH_SLASH] = ACTIONS(1765),
    [anon_sym_CARET_CARET] = ACTIONS(1765),
    [anon_sym_AMP_AMP] = ACTIONS(1765),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_CARET] = ACTIONS(1765),
    [anon_sym_AMP] = ACTIONS(1765),
    [anon_sym_GT_GT2] = ACTIONS(1765),
    [anon_sym_PLUS] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_DOT] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1765),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_x] = ACTIONS(1765),
    [anon_sym_EQ_TILDE] = ACTIONS(1765),
    [anon_sym_BANG_TILDE] = ACTIONS(1765),
    [anon_sym_EQ_EQ] = ACTIONS(1765),
    [anon_sym_BANG_EQ] = ACTIONS(1765),
    [anon_sym_eq] = ACTIONS(1765),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1765),
    [anon_sym_equ] = ACTIONS(1765),
    [anon_sym_eqr] = ACTIONS(1765),
    [anon_sym_ne] = ACTIONS(1765),
    [anon_sym_LT_EQ_GT] = ACTIONS(1765),
    [anon_sym_cmp] = ACTIONS(1765),
    [anon_sym_TILDE_TILDE] = ACTIONS(1765),
    [anon_sym_LT_EQ] = ACTIONS(1765),
    [anon_sym_GT_EQ] = ACTIONS(1765),
    [anon_sym_lt] = ACTIONS(1765),
    [anon_sym_le] = ACTIONS(1765),
    [anon_sym_ge] = ACTIONS(1765),
    [anon_sym_gt] = ACTIONS(1765),
    [anon_sym_isa] = ACTIONS(1765),
    [anon_sym_TILDE] = ACTIONS(1765),
    [anon_sym_BANG] = ACTIONS(1765),
    [anon_sym_PLUS_PLUS] = ACTIONS(1765),
    [anon_sym_DASH_DASH] = ACTIONS(1765),
    [anon_sym_QMARK] = ACTIONS(1765),
    [anon_sym_BSLASH] = ACTIONS(1767),
    [anon_sym_do] = ACTIONS(1765),
    [anon_sym_eval] = ACTIONS(1765),
    [anon_sym_await] = ACTIONS(1765),
    [anon_sym_field] = ACTIONS(1765),
    [anon_sym_local] = ACTIONS(1765),
    [anon_sym_dynamically] = ACTIONS(1765),
    [anon_sym_require] = ACTIONS(1765),
    [anon_sym_map] = ACTIONS(1765),
    [anon_sym_grep] = ACTIONS(1765),
    [anon_sym_sort] = ACTIONS(1765),
    [anon_sym_goto] = ACTIONS(1765),
    [anon_sym_return] = ACTIONS(1765),
    [anon_sym_undef] = ACTIONS(1765),
    [anon_sym_PERCENT2] = ACTIONS(1765),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1765),
    [anon_sym_EQ_GT] = ACTIONS(1765),
    [anon_sym_last] = ACTIONS(1765),
    [anon_sym_next] = ACTIONS(1765),
    [anon_sym_redo] = ACTIONS(1765),
    [anon_sym___FILE__] = ACTIONS(1765),
    [anon_sym___LINE__] = ACTIONS(1765),
    [anon_sym___PACKAGE__] = ACTIONS(1765),
    [anon_sym___SUB__] = ACTIONS(1765),
    [anon_sym_break] = ACTIONS(1765),
    [anon_sym_fork] = ACTIONS(1765),
    [anon_sym_getppid] = ACTIONS(1765),
    [anon_sym_time] = ACTIONS(1765),
    [anon_sym_times] = ACTIONS(1765),
    [anon_sym_wait] = ACTIONS(1765),
    [anon_sym_wantarray] = ACTIONS(1765),
    [anon_sym_abs] = ACTIONS(1765),
    [anon_sym_alarm] = ACTIONS(1765),
    [anon_sym_chop] = ACTIONS(1765),
    [anon_sym_chdir] = ACTIONS(1765),
    [anon_sym_close] = ACTIONS(1765),
    [anon_sym_closedir] = ACTIONS(1765),
    [anon_sym_caller] = ACTIONS(1765),
    [anon_sym_chomp] = ACTIONS(1765),
    [anon_sym_chr] = ACTIONS(1765),
    [anon_sym_cos] = ACTIONS(1765),
    [anon_sym_chroot] = ACTIONS(1765),
    [anon_sym_defined] = ACTIONS(1765),
    [anon_sym_delete] = ACTIONS(1765),
    [anon_sym_dbmclose] = ACTIONS(1765),
    [anon_sym_exists] = ACTIONS(1765),
    [anon_sym_exit] = ACTIONS(1765),
    [anon_sym_eof] = ACTIONS(1765),
    [anon_sym_exp] = ACTIONS(1765),
    [anon_sym_each] = ACTIONS(1765),
    [anon_sym_fc] = ACTIONS(1765),
    [anon_sym_fileno] = ACTIONS(1765),
    [anon_sym_gmtime] = ACTIONS(1765),
    [anon_sym_getc] = ACTIONS(1765),
    [anon_sym_getpgrp] = ACTIONS(1765),
    [anon_sym_getprotobyname] = ACTIONS(1765),
    [anon_sym_getpwname] = ACTIONS(1765),
    [anon_sym_getpwuid] = ACTIONS(1765),
    [anon_sym_getpeername] = ACTIONS(1765),
    [anon_sym_getnetbyname] = ACTIONS(1765),
    [anon_sym_getsockname] = ACTIONS(1765),
    [anon_sym_getgrnam] = ACTIONS(1765),
    [anon_sym_getgrgid] = ACTIONS(1765),
    [anon_sym_hex] = ACTIONS(1765),
    [anon_sym_int] = ACTIONS(1765),
    [anon_sym_keys] = ACTIONS(1765),
    [anon_sym_lc] = ACTIONS(1765),
    [anon_sym_lcfirst] = ACTIONS(1765),
    [anon_sym_length] = ACTIONS(1765),
    [anon_sym_localtime] = ACTIONS(1765),
    [anon_sym_log] = ACTIONS(1765),
    [anon_sym_lock] = ACTIONS(1765),
    [anon_sym_lstat] = ACTIONS(1765),
    [anon_sym_oct] = ACTIONS(1765),
    [anon_sym_ord] = ACTIONS(1765),
    [anon_sym_prototype] = ACTIONS(1765),
    [anon_sym_pop] = ACTIONS(1765),
    [anon_sym_pos] = ACTIONS(1765),
    [anon_sym_quotemeta] = ACTIONS(1765),
    [anon_sym_reset] = ACTIONS(1765),
    [anon_sym_rand] = ACTIONS(1765),
    [anon_sym_rmdir] = ACTIONS(1765),
    [anon_sym_readdir] = ACTIONS(1765),
    [anon_sym_readline] = ACTIONS(1765),
    [anon_sym_readpipe] = ACTIONS(1765),
    [anon_sym_rewinddir] = ACTIONS(1765),
    [anon_sym_readlink] = ACTIONS(1765),
    [anon_sym_ref] = ACTIONS(1765),
    [anon_sym_scalar] = ACTIONS(1765),
    [anon_sym_shift] = ACTIONS(1765),
    [anon_sym_sin] = ACTIONS(1765),
    [anon_sym_sleep] = ACTIONS(1765),
    [anon_sym_sqrt] = ACTIONS(1765),
    [anon_sym_srand] = ACTIONS(1765),
    [anon_sym_stat] = ACTIONS(1765),
    [anon_sym_study] = ACTIONS(1765),
    [anon_sym_tell] = ACTIONS(1765),
    [anon_sym_telldir] = ACTIONS(1765),
    [anon_sym_tied] = ACTIONS(1765),
    [anon_sym_uc] = ACTIONS(1765),
    [anon_sym_ucfirst] = ACTIONS(1765),
    [anon_sym_untie] = ACTIONS(1765),
    [anon_sym_umask] = ACTIONS(1765),
    [anon_sym_values] = ACTIONS(1765),
    [anon_sym_write] = ACTIONS(1765),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1765),
    [anon_sym_qq] = ACTIONS(1765),
    [anon_sym_qw] = ACTIONS(1765),
    [anon_sym_qx] = ACTIONS(1765),
    [anon_sym_qr] = ACTIONS(1765),
    [anon_sym_m] = ACTIONS(1765),
    [anon_sym_s] = ACTIONS(1765),
    [anon_sym_tr] = ACTIONS(1765),
    [anon_sym_y] = ACTIONS(1765),
    [aux_sym__bareword_token1] = ACTIONS(1765),
    [sym_number] = ACTIONS(1765),
    [anon_sym_true] = ACTIONS(1765),
    [anon_sym_false] = ACTIONS(1765),
    [sym__single_quote] = ACTIONS(1767),
    [sym__double_quote] = ACTIONS(1767),
    [sym__backtick_quote] = ACTIONS(1767),
    [sym__search_slash_quote] = ACTIONS(1767),
    [sym__no_search_slash_plz] = ACTIONS(1767),
    [sym__PERLY_SEMICOLON] = ACTIONS(1767),
    [sym__PERLY_HEREDOC] = ACTIONS(1767),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1767),
    [sym__filetest] = ACTIONS(1767),
  },
  [769] = {
    [sym_heredoc_content] = STATE(769),
    [sym__identifier] = ACTIONS(1773),
    [anon_sym_LBRACE] = ACTIONS(1773),
    [anon_sym_SEMI] = ACTIONS(1773),
    [anon_sym_DOLLAR] = ACTIONS(1773),
    [anon_sym_EQ] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1773),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1773),
    [anon_sym_AT] = ACTIONS(1773),
    [anon_sym_COMMA] = ACTIONS(1773),
    [anon_sym_my] = ACTIONS(1773),
    [anon_sym_extended] = ACTIONS(1773),
    [anon_sym_async] = ACTIONS(1773),
    [anon_sym_sub] = ACTIONS(1773),
    [anon_sym_method] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(1773),
    [anon_sym_continue] = ACTIONS(1773),
    [anon_sym_state] = ACTIONS(1773),
    [anon_sym_our] = ACTIONS(1773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1773),
    [anon_sym_LBRACK] = ACTIONS(1773),
    [anon_sym_DASH_GT] = ACTIONS(1773),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [anon_sym_LT] = ACTIONS(1773),
    [anon_sym_GT] = ACTIONS(1773),
    [anon_sym_LT_LT] = ACTIONS(1773),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1773),
    [anon_sym_PLUS_EQ] = ACTIONS(1773),
    [anon_sym_DASH_EQ] = ACTIONS(1773),
    [anon_sym_DOT_EQ] = ACTIONS(1773),
    [anon_sym_STAR_EQ] = ACTIONS(1773),
    [anon_sym_SLASH_EQ] = ACTIONS(1773),
    [anon_sym_PERCENT_EQ] = ACTIONS(1773),
    [anon_sym_x_EQ] = ACTIONS(1773),
    [anon_sym_AMP_EQ] = ACTIONS(1773),
    [anon_sym_PIPE_EQ] = ACTIONS(1773),
    [anon_sym_CARET_EQ] = ACTIONS(1773),
    [anon_sym_LT_LT_EQ] = ACTIONS(1773),
    [anon_sym_GT_GT_EQ] = ACTIONS(1773),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1773),
    [anon_sym_DOT_DOT] = ACTIONS(1773),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE] = ACTIONS(1773),
    [anon_sym_SLASH_SLASH] = ACTIONS(1773),
    [anon_sym_CARET_CARET] = ACTIONS(1773),
    [anon_sym_AMP_AMP] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1773),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_GT_GT2] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_DOT] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_x] = ACTIONS(1773),
    [anon_sym_EQ_TILDE] = ACTIONS(1773),
    [anon_sym_BANG_TILDE] = ACTIONS(1773),
    [anon_sym_EQ_EQ] = ACTIONS(1773),
    [anon_sym_BANG_EQ] = ACTIONS(1773),
    [anon_sym_eq] = ACTIONS(1773),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1773),
    [anon_sym_equ] = ACTIONS(1773),
    [anon_sym_eqr] = ACTIONS(1773),
    [anon_sym_ne] = ACTIONS(1773),
    [anon_sym_LT_EQ_GT] = ACTIONS(1773),
    [anon_sym_cmp] = ACTIONS(1773),
    [anon_sym_TILDE_TILDE] = ACTIONS(1773),
    [anon_sym_LT_EQ] = ACTIONS(1773),
    [anon_sym_GT_EQ] = ACTIONS(1773),
    [anon_sym_lt] = ACTIONS(1773),
    [anon_sym_le] = ACTIONS(1773),
    [anon_sym_ge] = ACTIONS(1773),
    [anon_sym_gt] = ACTIONS(1773),
    [anon_sym_isa] = ACTIONS(1773),
    [anon_sym_TILDE] = ACTIONS(1773),
    [anon_sym_BANG] = ACTIONS(1773),
    [anon_sym_PLUS_PLUS] = ACTIONS(1773),
    [anon_sym_DASH_DASH] = ACTIONS(1773),
    [anon_sym_QMARK] = ACTIONS(1773),
    [anon_sym_BSLASH] = ACTIONS(1775),
    [anon_sym_do] = ACTIONS(1773),
    [anon_sym_eval] = ACTIONS(1773),
    [anon_sym_await] = ACTIONS(1773),
    [anon_sym_field] = ACTIONS(1773),
    [anon_sym_local] = ACTIONS(1773),
    [anon_sym_dynamically] = ACTIONS(1773),
    [anon_sym_require] = ACTIONS(1773),
    [anon_sym_map] = ACTIONS(1773),
    [anon_sym_grep] = ACTIONS(1773),
    [anon_sym_sort] = ACTIONS(1773),
    [anon_sym_goto] = ACTIONS(1773),
    [anon_sym_return] = ACTIONS(1773),
    [anon_sym_undef] = ACTIONS(1773),
    [anon_sym_PERCENT2] = ACTIONS(1773),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1773),
    [anon_sym_EQ_GT] = ACTIONS(1773),
    [anon_sym_last] = ACTIONS(1773),
    [anon_sym_next] = ACTIONS(1773),
    [anon_sym_redo] = ACTIONS(1773),
    [anon_sym___FILE__] = ACTIONS(1773),
    [anon_sym___LINE__] = ACTIONS(1773),
    [anon_sym___PACKAGE__] = ACTIONS(1773),
    [anon_sym___SUB__] = ACTIONS(1773),
    [anon_sym_break] = ACTIONS(1773),
    [anon_sym_fork] = ACTIONS(1773),
    [anon_sym_getppid] = ACTIONS(1773),
    [anon_sym_time] = ACTIONS(1773),
    [anon_sym_times] = ACTIONS(1773),
    [anon_sym_wait] = ACTIONS(1773),
    [anon_sym_wantarray] = ACTIONS(1773),
    [anon_sym_abs] = ACTIONS(1773),
    [anon_sym_alarm] = ACTIONS(1773),
    [anon_sym_chop] = ACTIONS(1773),
    [anon_sym_chdir] = ACTIONS(1773),
    [anon_sym_close] = ACTIONS(1773),
    [anon_sym_closedir] = ACTIONS(1773),
    [anon_sym_caller] = ACTIONS(1773),
    [anon_sym_chomp] = ACTIONS(1773),
    [anon_sym_chr] = ACTIONS(1773),
    [anon_sym_cos] = ACTIONS(1773),
    [anon_sym_chroot] = ACTIONS(1773),
    [anon_sym_defined] = ACTIONS(1773),
    [anon_sym_delete] = ACTIONS(1773),
    [anon_sym_dbmclose] = ACTIONS(1773),
    [anon_sym_exists] = ACTIONS(1773),
    [anon_sym_exit] = ACTIONS(1773),
    [anon_sym_eof] = ACTIONS(1773),
    [anon_sym_exp] = ACTIONS(1773),
    [anon_sym_each] = ACTIONS(1773),
    [anon_sym_fc] = ACTIONS(1773),
    [anon_sym_fileno] = ACTIONS(1773),
    [anon_sym_gmtime] = ACTIONS(1773),
    [anon_sym_getc] = ACTIONS(1773),
    [anon_sym_getpgrp] = ACTIONS(1773),
    [anon_sym_getprotobyname] = ACTIONS(1773),
    [anon_sym_getpwname] = ACTIONS(1773),
    [anon_sym_getpwuid] = ACTIONS(1773),
    [anon_sym_getpeername] = ACTIONS(1773),
    [anon_sym_getnetbyname] = ACTIONS(1773),
    [anon_sym_getsockname] = ACTIONS(1773),
    [anon_sym_getgrnam] = ACTIONS(1773),
    [anon_sym_getgrgid] = ACTIONS(1773),
    [anon_sym_hex] = ACTIONS(1773),
    [anon_sym_int] = ACTIONS(1773),
    [anon_sym_keys] = ACTIONS(1773),
    [anon_sym_lc] = ACTIONS(1773),
    [anon_sym_lcfirst] = ACTIONS(1773),
    [anon_sym_length] = ACTIONS(1773),
    [anon_sym_localtime] = ACTIONS(1773),
    [anon_sym_log] = ACTIONS(1773),
    [anon_sym_lock] = ACTIONS(1773),
    [anon_sym_lstat] = ACTIONS(1773),
    [anon_sym_oct] = ACTIONS(1773),
    [anon_sym_ord] = ACTIONS(1773),
    [anon_sym_prototype] = ACTIONS(1773),
    [anon_sym_pop] = ACTIONS(1773),
    [anon_sym_pos] = ACTIONS(1773),
    [anon_sym_quotemeta] = ACTIONS(1773),
    [anon_sym_reset] = ACTIONS(1773),
    [anon_sym_rand] = ACTIONS(1773),
    [anon_sym_rmdir] = ACTIONS(1773),
    [anon_sym_readdir] = ACTIONS(1773),
    [anon_sym_readline] = ACTIONS(1773),
    [anon_sym_readpipe] = ACTIONS(1773),
    [anon_sym_rewinddir] = ACTIONS(1773),
    [anon_sym_readlink] = ACTIONS(1773),
    [anon_sym_ref] = ACTIONS(1773),
    [anon_sym_scalar] = ACTIONS(1773),
    [anon_sym_shift] = ACTIONS(1773),
    [anon_sym_sin] = ACTIONS(1773),
    [anon_sym_sleep] = ACTIONS(1773),
    [anon_sym_sqrt] = ACTIONS(1773),
    [anon_sym_srand] = ACTIONS(1773),
    [anon_sym_stat] = ACTIONS(1773),
    [anon_sym_study] = ACTIONS(1773),
    [anon_sym_tell] = ACTIONS(1773),
    [anon_sym_telldir] = ACTIONS(1773),
    [anon_sym_tied] = ACTIONS(1773),
    [anon_sym_uc] = ACTIONS(1773),
    [anon_sym_ucfirst] = ACTIONS(1773),
    [anon_sym_untie] = ACTIONS(1773),
    [anon_sym_umask] = ACTIONS(1773),
    [anon_sym_values] = ACTIONS(1773),
    [anon_sym_write] = ACTIONS(1773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1773),
    [anon_sym_qq] = ACTIONS(1773),
    [anon_sym_qw] = ACTIONS(1773),
    [anon_sym_qx] = ACTIONS(1773),
    [anon_sym_qr] = ACTIONS(1773),
    [anon_sym_m] = ACTIONS(1773),
    [anon_sym_s] = ACTIONS(1773),
    [anon_sym_tr] = ACTIONS(1773),
    [anon_sym_y] = ACTIONS(1773),
    [aux_sym__bareword_token1] = ACTIONS(1773),
    [sym_number] = ACTIONS(1773),
    [anon_sym_true] = ACTIONS(1773),
    [anon_sym_false] = ACTIONS(1773),
    [sym__single_quote] = ACTIONS(1775),
    [sym__double_quote] = ACTIONS(1775),
    [sym__backtick_quote] = ACTIONS(1775),
    [sym__search_slash_quote] = ACTIONS(1775),
    [sym__no_search_slash_plz] = ACTIONS(1775),
    [sym__PERLY_SEMICOLON] = ACTIONS(1775),
    [sym__PERLY_HEREDOC] = ACTIONS(1775),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1775),
    [sym__filetest] = ACTIONS(1775),
  },
  [770] = {
    [sym_heredoc_content] = STATE(770),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_RBRACE] = ACTIONS(1742),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1742),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1742),
    [anon_sym_RPAREN] = ACTIONS(1742),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1742),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1742),
    [anon_sym_PERCENT] = ACTIONS(1742),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_GT] = ACTIONS(1742),
    [anon_sym_LT_LT] = ACTIONS(1742),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1742),
    [anon_sym_PLUS_EQ] = ACTIONS(1742),
    [anon_sym_DASH_EQ] = ACTIONS(1742),
    [anon_sym_DOT_EQ] = ACTIONS(1742),
    [anon_sym_STAR_EQ] = ACTIONS(1742),
    [anon_sym_SLASH_EQ] = ACTIONS(1742),
    [anon_sym_PERCENT_EQ] = ACTIONS(1742),
    [anon_sym_x_EQ] = ACTIONS(1742),
    [anon_sym_AMP_EQ] = ACTIONS(1742),
    [anon_sym_PIPE_EQ] = ACTIONS(1742),
    [anon_sym_CARET_EQ] = ACTIONS(1742),
    [anon_sym_LT_LT_EQ] = ACTIONS(1742),
    [anon_sym_GT_GT_EQ] = ACTIONS(1742),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1742),
    [anon_sym_DOT_DOT] = ACTIONS(1742),
    [anon_sym_STAR_STAR] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE] = ACTIONS(1742),
    [anon_sym_SLASH_SLASH] = ACTIONS(1742),
    [anon_sym_CARET_CARET] = ACTIONS(1742),
    [anon_sym_AMP_AMP] = ACTIONS(1742),
    [anon_sym_PIPE] = ACTIONS(1742),
    [anon_sym_CARET] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_GT_GT2] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_DOT] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_SLASH] = ACTIONS(1742),
    [anon_sym_x] = ACTIONS(1742),
    [anon_sym_EQ_TILDE] = ACTIONS(1742),
    [anon_sym_BANG_TILDE] = ACTIONS(1742),
    [anon_sym_EQ_EQ] = ACTIONS(1742),
    [anon_sym_BANG_EQ] = ACTIONS(1742),
    [anon_sym_eq] = ACTIONS(1742),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1742),
    [anon_sym_equ] = ACTIONS(1742),
    [anon_sym_eqr] = ACTIONS(1742),
    [anon_sym_ne] = ACTIONS(1742),
    [anon_sym_LT_EQ_GT] = ACTIONS(1742),
    [anon_sym_cmp] = ACTIONS(1742),
    [anon_sym_TILDE_TILDE] = ACTIONS(1742),
    [anon_sym_LT_EQ] = ACTIONS(1742),
    [anon_sym_GT_EQ] = ACTIONS(1742),
    [anon_sym_lt] = ACTIONS(1742),
    [anon_sym_le] = ACTIONS(1742),
    [anon_sym_ge] = ACTIONS(1742),
    [anon_sym_gt] = ACTIONS(1742),
    [anon_sym_isa] = ACTIONS(1742),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1742),
    [anon_sym_QMARK] = ACTIONS(1742),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1742),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
  },
  [771] = {
    [sym_heredoc_content] = STATE(771),
    [sym__identifier] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(1777),
    [anon_sym_SEMI] = ACTIONS(1777),
    [anon_sym_DOLLAR] = ACTIONS(1777),
    [anon_sym_EQ] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1777),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1777),
    [anon_sym_AT] = ACTIONS(1777),
    [anon_sym_COMMA] = ACTIONS(1777),
    [anon_sym_my] = ACTIONS(1777),
    [anon_sym_extended] = ACTIONS(1777),
    [anon_sym_async] = ACTIONS(1777),
    [anon_sym_sub] = ACTIONS(1777),
    [anon_sym_method] = ACTIONS(1777),
    [anon_sym_LPAREN] = ACTIONS(1777),
    [anon_sym_continue] = ACTIONS(1777),
    [anon_sym_state] = ACTIONS(1777),
    [anon_sym_our] = ACTIONS(1777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [anon_sym_DASH_GT] = ACTIONS(1777),
    [anon_sym_PERCENT] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_LT_LT] = ACTIONS(1777),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1777),
    [anon_sym_PLUS_EQ] = ACTIONS(1777),
    [anon_sym_DASH_EQ] = ACTIONS(1777),
    [anon_sym_DOT_EQ] = ACTIONS(1777),
    [anon_sym_STAR_EQ] = ACTIONS(1777),
    [anon_sym_SLASH_EQ] = ACTIONS(1777),
    [anon_sym_PERCENT_EQ] = ACTIONS(1777),
    [anon_sym_x_EQ] = ACTIONS(1777),
    [anon_sym_AMP_EQ] = ACTIONS(1777),
    [anon_sym_PIPE_EQ] = ACTIONS(1777),
    [anon_sym_CARET_EQ] = ACTIONS(1777),
    [anon_sym_LT_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT_GT_EQ] = ACTIONS(1777),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1777),
    [anon_sym_DOT_DOT] = ACTIONS(1777),
    [anon_sym_STAR_STAR] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE] = ACTIONS(1777),
    [anon_sym_SLASH_SLASH] = ACTIONS(1777),
    [anon_sym_CARET_CARET] = ACTIONS(1777),
    [anon_sym_AMP_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_GT_GT2] = ACTIONS(1777),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_DOT] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1777),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_x] = ACTIONS(1777),
    [anon_sym_EQ_TILDE] = ACTIONS(1777),
    [anon_sym_BANG_TILDE] = ACTIONS(1777),
    [anon_sym_EQ_EQ] = ACTIONS(1777),
    [anon_sym_BANG_EQ] = ACTIONS(1777),
    [anon_sym_eq] = ACTIONS(1777),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1777),
    [anon_sym_equ] = ACTIONS(1777),
    [anon_sym_eqr] = ACTIONS(1777),
    [anon_sym_ne] = ACTIONS(1777),
    [anon_sym_LT_EQ_GT] = ACTIONS(1777),
    [anon_sym_cmp] = ACTIONS(1777),
    [anon_sym_TILDE_TILDE] = ACTIONS(1777),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT_EQ] = ACTIONS(1777),
    [anon_sym_lt] = ACTIONS(1777),
    [anon_sym_le] = ACTIONS(1777),
    [anon_sym_ge] = ACTIONS(1777),
    [anon_sym_gt] = ACTIONS(1777),
    [anon_sym_isa] = ACTIONS(1777),
    [anon_sym_TILDE] = ACTIONS(1777),
    [anon_sym_BANG] = ACTIONS(1777),
    [anon_sym_PLUS_PLUS] = ACTIONS(1777),
    [anon_sym_DASH_DASH] = ACTIONS(1777),
    [anon_sym_QMARK] = ACTIONS(1777),
    [anon_sym_BSLASH] = ACTIONS(1779),
    [anon_sym_do] = ACTIONS(1777),
    [anon_sym_eval] = ACTIONS(1777),
    [anon_sym_await] = ACTIONS(1777),
    [anon_sym_field] = ACTIONS(1777),
    [anon_sym_local] = ACTIONS(1777),
    [anon_sym_dynamically] = ACTIONS(1777),
    [anon_sym_require] = ACTIONS(1777),
    [anon_sym_map] = ACTIONS(1777),
    [anon_sym_grep] = ACTIONS(1777),
    [anon_sym_sort] = ACTIONS(1777),
    [anon_sym_goto] = ACTIONS(1777),
    [anon_sym_return] = ACTIONS(1777),
    [anon_sym_undef] = ACTIONS(1777),
    [anon_sym_PERCENT2] = ACTIONS(1777),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1777),
    [anon_sym_EQ_GT] = ACTIONS(1777),
    [anon_sym_last] = ACTIONS(1777),
    [anon_sym_next] = ACTIONS(1777),
    [anon_sym_redo] = ACTIONS(1777),
    [anon_sym___FILE__] = ACTIONS(1777),
    [anon_sym___LINE__] = ACTIONS(1777),
    [anon_sym___PACKAGE__] = ACTIONS(1777),
    [anon_sym___SUB__] = ACTIONS(1777),
    [anon_sym_break] = ACTIONS(1777),
    [anon_sym_fork] = ACTIONS(1777),
    [anon_sym_getppid] = ACTIONS(1777),
    [anon_sym_time] = ACTIONS(1777),
    [anon_sym_times] = ACTIONS(1777),
    [anon_sym_wait] = ACTIONS(1777),
    [anon_sym_wantarray] = ACTIONS(1777),
    [anon_sym_abs] = ACTIONS(1777),
    [anon_sym_alarm] = ACTIONS(1777),
    [anon_sym_chop] = ACTIONS(1777),
    [anon_sym_chdir] = ACTIONS(1777),
    [anon_sym_close] = ACTIONS(1777),
    [anon_sym_closedir] = ACTIONS(1777),
    [anon_sym_caller] = ACTIONS(1777),
    [anon_sym_chomp] = ACTIONS(1777),
    [anon_sym_chr] = ACTIONS(1777),
    [anon_sym_cos] = ACTIONS(1777),
    [anon_sym_chroot] = ACTIONS(1777),
    [anon_sym_defined] = ACTIONS(1777),
    [anon_sym_delete] = ACTIONS(1777),
    [anon_sym_dbmclose] = ACTIONS(1777),
    [anon_sym_exists] = ACTIONS(1777),
    [anon_sym_exit] = ACTIONS(1777),
    [anon_sym_eof] = ACTIONS(1777),
    [anon_sym_exp] = ACTIONS(1777),
    [anon_sym_each] = ACTIONS(1777),
    [anon_sym_fc] = ACTIONS(1777),
    [anon_sym_fileno] = ACTIONS(1777),
    [anon_sym_gmtime] = ACTIONS(1777),
    [anon_sym_getc] = ACTIONS(1777),
    [anon_sym_getpgrp] = ACTIONS(1777),
    [anon_sym_getprotobyname] = ACTIONS(1777),
    [anon_sym_getpwname] = ACTIONS(1777),
    [anon_sym_getpwuid] = ACTIONS(1777),
    [anon_sym_getpeername] = ACTIONS(1777),
    [anon_sym_getnetbyname] = ACTIONS(1777),
    [anon_sym_getsockname] = ACTIONS(1777),
    [anon_sym_getgrnam] = ACTIONS(1777),
    [anon_sym_getgrgid] = ACTIONS(1777),
    [anon_sym_hex] = ACTIONS(1777),
    [anon_sym_int] = ACTIONS(1777),
    [anon_sym_keys] = ACTIONS(1777),
    [anon_sym_lc] = ACTIONS(1777),
    [anon_sym_lcfirst] = ACTIONS(1777),
    [anon_sym_length] = ACTIONS(1777),
    [anon_sym_localtime] = ACTIONS(1777),
    [anon_sym_log] = ACTIONS(1777),
    [anon_sym_lock] = ACTIONS(1777),
    [anon_sym_lstat] = ACTIONS(1777),
    [anon_sym_oct] = ACTIONS(1777),
    [anon_sym_ord] = ACTIONS(1777),
    [anon_sym_prototype] = ACTIONS(1777),
    [anon_sym_pop] = ACTIONS(1777),
    [anon_sym_pos] = ACTIONS(1777),
    [anon_sym_quotemeta] = ACTIONS(1777),
    [anon_sym_reset] = ACTIONS(1777),
    [anon_sym_rand] = ACTIONS(1777),
    [anon_sym_rmdir] = ACTIONS(1777),
    [anon_sym_readdir] = ACTIONS(1777),
    [anon_sym_readline] = ACTIONS(1777),
    [anon_sym_readpipe] = ACTIONS(1777),
    [anon_sym_rewinddir] = ACTIONS(1777),
    [anon_sym_readlink] = ACTIONS(1777),
    [anon_sym_ref] = ACTIONS(1777),
    [anon_sym_scalar] = ACTIONS(1777),
    [anon_sym_shift] = ACTIONS(1777),
    [anon_sym_sin] = ACTIONS(1777),
    [anon_sym_sleep] = ACTIONS(1777),
    [anon_sym_sqrt] = ACTIONS(1777),
    [anon_sym_srand] = ACTIONS(1777),
    [anon_sym_stat] = ACTIONS(1777),
    [anon_sym_study] = ACTIONS(1777),
    [anon_sym_tell] = ACTIONS(1777),
    [anon_sym_telldir] = ACTIONS(1777),
    [anon_sym_tied] = ACTIONS(1777),
    [anon_sym_uc] = ACTIONS(1777),
    [anon_sym_ucfirst] = ACTIONS(1777),
    [anon_sym_untie] = ACTIONS(1777),
    [anon_sym_umask] = ACTIONS(1777),
    [anon_sym_values] = ACTIONS(1777),
    [anon_sym_write] = ACTIONS(1777),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1777),
    [anon_sym_qq] = ACTIONS(1777),
    [anon_sym_qw] = ACTIONS(1777),
    [anon_sym_qx] = ACTIONS(1777),
    [anon_sym_qr] = ACTIONS(1777),
    [anon_sym_m] = ACTIONS(1777),
    [anon_sym_s] = ACTIONS(1777),
    [anon_sym_tr] = ACTIONS(1777),
    [anon_sym_y] = ACTIONS(1777),
    [aux_sym__bareword_token1] = ACTIONS(1777),
    [sym_number] = ACTIONS(1777),
    [anon_sym_true] = ACTIONS(1777),
    [anon_sym_false] = ACTIONS(1777),
    [sym__single_quote] = ACTIONS(1779),
    [sym__double_quote] = ACTIONS(1779),
    [sym__backtick_quote] = ACTIONS(1779),
    [sym__search_slash_quote] = ACTIONS(1779),
    [sym__no_search_slash_plz] = ACTIONS(1779),
    [sym__PERLY_SEMICOLON] = ACTIONS(1779),
    [sym__PERLY_HEREDOC] = ACTIONS(1779),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1779),
    [sym__filetest] = ACTIONS(1779),
  },
  [772] = {
    [sym_heredoc_content] = STATE(772),
    [sym__identifier] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1769),
    [anon_sym_SEMI] = ACTIONS(1769),
    [anon_sym_DOLLAR] = ACTIONS(1769),
    [anon_sym_EQ] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1769),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1769),
    [anon_sym_AT] = ACTIONS(1769),
    [anon_sym_COMMA] = ACTIONS(1769),
    [anon_sym_my] = ACTIONS(1769),
    [anon_sym_extended] = ACTIONS(1769),
    [anon_sym_async] = ACTIONS(1769),
    [anon_sym_sub] = ACTIONS(1769),
    [anon_sym_method] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1769),
    [anon_sym_continue] = ACTIONS(1769),
    [anon_sym_state] = ACTIONS(1769),
    [anon_sym_our] = ACTIONS(1769),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1769),
    [anon_sym_LBRACK] = ACTIONS(1769),
    [anon_sym_DASH_GT] = ACTIONS(1769),
    [anon_sym_PERCENT] = ACTIONS(1769),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_GT] = ACTIONS(1769),
    [anon_sym_LT_LT] = ACTIONS(1769),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1769),
    [anon_sym_PLUS_EQ] = ACTIONS(1769),
    [anon_sym_DASH_EQ] = ACTIONS(1769),
    [anon_sym_DOT_EQ] = ACTIONS(1769),
    [anon_sym_STAR_EQ] = ACTIONS(1769),
    [anon_sym_SLASH_EQ] = ACTIONS(1769),
    [anon_sym_PERCENT_EQ] = ACTIONS(1769),
    [anon_sym_x_EQ] = ACTIONS(1769),
    [anon_sym_AMP_EQ] = ACTIONS(1769),
    [anon_sym_PIPE_EQ] = ACTIONS(1769),
    [anon_sym_CARET_EQ] = ACTIONS(1769),
    [anon_sym_LT_LT_EQ] = ACTIONS(1769),
    [anon_sym_GT_GT_EQ] = ACTIONS(1769),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1769),
    [anon_sym_DOT_DOT] = ACTIONS(1769),
    [anon_sym_STAR_STAR] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE] = ACTIONS(1769),
    [anon_sym_SLASH_SLASH] = ACTIONS(1769),
    [anon_sym_CARET_CARET] = ACTIONS(1769),
    [anon_sym_AMP_AMP] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1769),
    [anon_sym_CARET] = ACTIONS(1769),
    [anon_sym_AMP] = ACTIONS(1769),
    [anon_sym_GT_GT2] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_DOT] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1769),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_x] = ACTIONS(1769),
    [anon_sym_EQ_TILDE] = ACTIONS(1769),
    [anon_sym_BANG_TILDE] = ACTIONS(1769),
    [anon_sym_EQ_EQ] = ACTIONS(1769),
    [anon_sym_BANG_EQ] = ACTIONS(1769),
    [anon_sym_eq] = ACTIONS(1769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1769),
    [anon_sym_equ] = ACTIONS(1769),
    [anon_sym_eqr] = ACTIONS(1769),
    [anon_sym_ne] = ACTIONS(1769),
    [anon_sym_LT_EQ_GT] = ACTIONS(1769),
    [anon_sym_cmp] = ACTIONS(1769),
    [anon_sym_TILDE_TILDE] = ACTIONS(1769),
    [anon_sym_LT_EQ] = ACTIONS(1769),
    [anon_sym_GT_EQ] = ACTIONS(1769),
    [anon_sym_lt] = ACTIONS(1769),
    [anon_sym_le] = ACTIONS(1769),
    [anon_sym_ge] = ACTIONS(1769),
    [anon_sym_gt] = ACTIONS(1769),
    [anon_sym_isa] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_PLUS_PLUS] = ACTIONS(1769),
    [anon_sym_DASH_DASH] = ACTIONS(1769),
    [anon_sym_QMARK] = ACTIONS(1769),
    [anon_sym_BSLASH] = ACTIONS(1771),
    [anon_sym_do] = ACTIONS(1769),
    [anon_sym_eval] = ACTIONS(1769),
    [anon_sym_await] = ACTIONS(1769),
    [anon_sym_field] = ACTIONS(1769),
    [anon_sym_local] = ACTIONS(1769),
    [anon_sym_dynamically] = ACTIONS(1769),
    [anon_sym_require] = ACTIONS(1769),
    [anon_sym_map] = ACTIONS(1769),
    [anon_sym_grep] = ACTIONS(1769),
    [anon_sym_sort] = ACTIONS(1769),
    [anon_sym_goto] = ACTIONS(1769),
    [anon_sym_return] = ACTIONS(1769),
    [anon_sym_undef] = ACTIONS(1769),
    [anon_sym_PERCENT2] = ACTIONS(1769),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1769),
    [anon_sym_EQ_GT] = ACTIONS(1769),
    [anon_sym_last] = ACTIONS(1769),
    [anon_sym_next] = ACTIONS(1769),
    [anon_sym_redo] = ACTIONS(1769),
    [anon_sym___FILE__] = ACTIONS(1769),
    [anon_sym___LINE__] = ACTIONS(1769),
    [anon_sym___PACKAGE__] = ACTIONS(1769),
    [anon_sym___SUB__] = ACTIONS(1769),
    [anon_sym_break] = ACTIONS(1769),
    [anon_sym_fork] = ACTIONS(1769),
    [anon_sym_getppid] = ACTIONS(1769),
    [anon_sym_time] = ACTIONS(1769),
    [anon_sym_times] = ACTIONS(1769),
    [anon_sym_wait] = ACTIONS(1769),
    [anon_sym_wantarray] = ACTIONS(1769),
    [anon_sym_abs] = ACTIONS(1769),
    [anon_sym_alarm] = ACTIONS(1769),
    [anon_sym_chop] = ACTIONS(1769),
    [anon_sym_chdir] = ACTIONS(1769),
    [anon_sym_close] = ACTIONS(1769),
    [anon_sym_closedir] = ACTIONS(1769),
    [anon_sym_caller] = ACTIONS(1769),
    [anon_sym_chomp] = ACTIONS(1769),
    [anon_sym_chr] = ACTIONS(1769),
    [anon_sym_cos] = ACTIONS(1769),
    [anon_sym_chroot] = ACTIONS(1769),
    [anon_sym_defined] = ACTIONS(1769),
    [anon_sym_delete] = ACTIONS(1769),
    [anon_sym_dbmclose] = ACTIONS(1769),
    [anon_sym_exists] = ACTIONS(1769),
    [anon_sym_exit] = ACTIONS(1769),
    [anon_sym_eof] = ACTIONS(1769),
    [anon_sym_exp] = ACTIONS(1769),
    [anon_sym_each] = ACTIONS(1769),
    [anon_sym_fc] = ACTIONS(1769),
    [anon_sym_fileno] = ACTIONS(1769),
    [anon_sym_gmtime] = ACTIONS(1769),
    [anon_sym_getc] = ACTIONS(1769),
    [anon_sym_getpgrp] = ACTIONS(1769),
    [anon_sym_getprotobyname] = ACTIONS(1769),
    [anon_sym_getpwname] = ACTIONS(1769),
    [anon_sym_getpwuid] = ACTIONS(1769),
    [anon_sym_getpeername] = ACTIONS(1769),
    [anon_sym_getnetbyname] = ACTIONS(1769),
    [anon_sym_getsockname] = ACTIONS(1769),
    [anon_sym_getgrnam] = ACTIONS(1769),
    [anon_sym_getgrgid] = ACTIONS(1769),
    [anon_sym_hex] = ACTIONS(1769),
    [anon_sym_int] = ACTIONS(1769),
    [anon_sym_keys] = ACTIONS(1769),
    [anon_sym_lc] = ACTIONS(1769),
    [anon_sym_lcfirst] = ACTIONS(1769),
    [anon_sym_length] = ACTIONS(1769),
    [anon_sym_localtime] = ACTIONS(1769),
    [anon_sym_log] = ACTIONS(1769),
    [anon_sym_lock] = ACTIONS(1769),
    [anon_sym_lstat] = ACTIONS(1769),
    [anon_sym_oct] = ACTIONS(1769),
    [anon_sym_ord] = ACTIONS(1769),
    [anon_sym_prototype] = ACTIONS(1769),
    [anon_sym_pop] = ACTIONS(1769),
    [anon_sym_pos] = ACTIONS(1769),
    [anon_sym_quotemeta] = ACTIONS(1769),
    [anon_sym_reset] = ACTIONS(1769),
    [anon_sym_rand] = ACTIONS(1769),
    [anon_sym_rmdir] = ACTIONS(1769),
    [anon_sym_readdir] = ACTIONS(1769),
    [anon_sym_readline] = ACTIONS(1769),
    [anon_sym_readpipe] = ACTIONS(1769),
    [anon_sym_rewinddir] = ACTIONS(1769),
    [anon_sym_readlink] = ACTIONS(1769),
    [anon_sym_ref] = ACTIONS(1769),
    [anon_sym_scalar] = ACTIONS(1769),
    [anon_sym_shift] = ACTIONS(1769),
    [anon_sym_sin] = ACTIONS(1769),
    [anon_sym_sleep] = ACTIONS(1769),
    [anon_sym_sqrt] = ACTIONS(1769),
    [anon_sym_srand] = ACTIONS(1769),
    [anon_sym_stat] = ACTIONS(1769),
    [anon_sym_study] = ACTIONS(1769),
    [anon_sym_tell] = ACTIONS(1769),
    [anon_sym_telldir] = ACTIONS(1769),
    [anon_sym_tied] = ACTIONS(1769),
    [anon_sym_uc] = ACTIONS(1769),
    [anon_sym_ucfirst] = ACTIONS(1769),
    [anon_sym_untie] = ACTIONS(1769),
    [anon_sym_umask] = ACTIONS(1769),
    [anon_sym_values] = ACTIONS(1769),
    [anon_sym_write] = ACTIONS(1769),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1769),
    [anon_sym_qq] = ACTIONS(1769),
    [anon_sym_qw] = ACTIONS(1769),
    [anon_sym_qx] = ACTIONS(1769),
    [anon_sym_qr] = ACTIONS(1769),
    [anon_sym_m] = ACTIONS(1769),
    [anon_sym_s] = ACTIONS(1769),
    [anon_sym_tr] = ACTIONS(1769),
    [anon_sym_y] = ACTIONS(1769),
    [aux_sym__bareword_token1] = ACTIONS(1769),
    [sym_number] = ACTIONS(1769),
    [anon_sym_true] = ACTIONS(1769),
    [anon_sym_false] = ACTIONS(1769),
    [sym__single_quote] = ACTIONS(1771),
    [sym__double_quote] = ACTIONS(1771),
    [sym__backtick_quote] = ACTIONS(1771),
    [sym__search_slash_quote] = ACTIONS(1771),
    [sym__no_search_slash_plz] = ACTIONS(1771),
    [sym__PERLY_SEMICOLON] = ACTIONS(1771),
    [sym__PERLY_HEREDOC] = ACTIONS(1771),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1771),
    [sym__filetest] = ACTIONS(1771),
  },
  [773] = {
    [sym_heredoc_content] = STATE(773),
    [sym__identifier] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1785),
    [anon_sym_SEMI] = ACTIONS(1787),
    [anon_sym_DOLLAR] = ACTIONS(1785),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1787),
    [anon_sym_AT] = ACTIONS(1785),
    [anon_sym_COMMA] = ACTIONS(1787),
    [anon_sym_my] = ACTIONS(1785),
    [anon_sym_extended] = ACTIONS(1785),
    [anon_sym_async] = ACTIONS(1785),
    [anon_sym_sub] = ACTIONS(1785),
    [anon_sym_method] = ACTIONS(1785),
    [anon_sym_LPAREN] = ACTIONS(1785),
    [anon_sym_continue] = ACTIONS(1785),
    [anon_sym_state] = ACTIONS(1785),
    [anon_sym_our] = ACTIONS(1785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1787),
    [anon_sym_LBRACK] = ACTIONS(1785),
    [anon_sym_DASH_GT] = ACTIONS(1787),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1789),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1789),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1787),
    [anon_sym_PLUS_EQ] = ACTIONS(1787),
    [anon_sym_DASH_EQ] = ACTIONS(1787),
    [anon_sym_DOT_EQ] = ACTIONS(1787),
    [anon_sym_STAR_EQ] = ACTIONS(1787),
    [anon_sym_SLASH_EQ] = ACTIONS(1787),
    [anon_sym_PERCENT_EQ] = ACTIONS(1787),
    [anon_sym_x_EQ] = ACTIONS(1787),
    [anon_sym_AMP_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_EQ] = ACTIONS(1787),
    [anon_sym_CARET_EQ] = ACTIONS(1787),
    [anon_sym_LT_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_GT_EQ] = ACTIONS(1787),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1787),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1789),
    [anon_sym_CARET_CARET] = ACTIONS(1787),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1789),
    [anon_sym_DASH] = ACTIONS(1789),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1789),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1787),
    [anon_sym_BANG_TILDE] = ACTIONS(1787),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1787),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1787),
    [anon_sym_equ] = ACTIONS(1787),
    [anon_sym_eqr] = ACTIONS(1787),
    [anon_sym_ne] = ACTIONS(1787),
    [anon_sym_LT_EQ_GT] = ACTIONS(1787),
    [anon_sym_cmp] = ACTIONS(1787),
    [anon_sym_TILDE_TILDE] = ACTIONS(1787),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1787),
    [anon_sym_lt] = ACTIONS(1787),
    [anon_sym_le] = ACTIONS(1787),
    [anon_sym_ge] = ACTIONS(1787),
    [anon_sym_gt] = ACTIONS(1787),
    [anon_sym_isa] = ACTIONS(1787),
    [anon_sym_TILDE] = ACTIONS(1785),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_PLUS_PLUS] = ACTIONS(1789),
    [anon_sym_DASH_DASH] = ACTIONS(1789),
    [anon_sym_QMARK] = ACTIONS(1787),
    [anon_sym_BSLASH] = ACTIONS(1792),
    [anon_sym_do] = ACTIONS(1785),
    [anon_sym_eval] = ACTIONS(1785),
    [anon_sym_await] = ACTIONS(1785),
    [anon_sym_field] = ACTIONS(1785),
    [anon_sym_local] = ACTIONS(1785),
    [anon_sym_dynamically] = ACTIONS(1785),
    [anon_sym_require] = ACTIONS(1785),
    [anon_sym_map] = ACTIONS(1785),
    [anon_sym_grep] = ACTIONS(1785),
    [anon_sym_sort] = ACTIONS(1785),
    [anon_sym_goto] = ACTIONS(1785),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_undef] = ACTIONS(1785),
    [anon_sym_PERCENT2] = ACTIONS(1785),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1785),
    [anon_sym_EQ_GT] = ACTIONS(1787),
    [anon_sym_last] = ACTIONS(1785),
    [anon_sym_next] = ACTIONS(1785),
    [anon_sym_redo] = ACTIONS(1785),
    [anon_sym___FILE__] = ACTIONS(1785),
    [anon_sym___LINE__] = ACTIONS(1785),
    [anon_sym___PACKAGE__] = ACTIONS(1785),
    [anon_sym___SUB__] = ACTIONS(1785),
    [anon_sym_break] = ACTIONS(1785),
    [anon_sym_fork] = ACTIONS(1785),
    [anon_sym_getppid] = ACTIONS(1785),
    [anon_sym_time] = ACTIONS(1785),
    [anon_sym_times] = ACTIONS(1785),
    [anon_sym_wait] = ACTIONS(1785),
    [anon_sym_wantarray] = ACTIONS(1785),
    [anon_sym_abs] = ACTIONS(1785),
    [anon_sym_alarm] = ACTIONS(1785),
    [anon_sym_chop] = ACTIONS(1785),
    [anon_sym_chdir] = ACTIONS(1785),
    [anon_sym_close] = ACTIONS(1785),
    [anon_sym_closedir] = ACTIONS(1785),
    [anon_sym_caller] = ACTIONS(1785),
    [anon_sym_chomp] = ACTIONS(1785),
    [anon_sym_chr] = ACTIONS(1785),
    [anon_sym_cos] = ACTIONS(1785),
    [anon_sym_chroot] = ACTIONS(1785),
    [anon_sym_defined] = ACTIONS(1785),
    [anon_sym_delete] = ACTIONS(1785),
    [anon_sym_dbmclose] = ACTIONS(1785),
    [anon_sym_exists] = ACTIONS(1785),
    [anon_sym_exit] = ACTIONS(1785),
    [anon_sym_eof] = ACTIONS(1785),
    [anon_sym_exp] = ACTIONS(1785),
    [anon_sym_each] = ACTIONS(1785),
    [anon_sym_fc] = ACTIONS(1785),
    [anon_sym_fileno] = ACTIONS(1785),
    [anon_sym_gmtime] = ACTIONS(1785),
    [anon_sym_getc] = ACTIONS(1785),
    [anon_sym_getpgrp] = ACTIONS(1785),
    [anon_sym_getprotobyname] = ACTIONS(1785),
    [anon_sym_getpwname] = ACTIONS(1785),
    [anon_sym_getpwuid] = ACTIONS(1785),
    [anon_sym_getpeername] = ACTIONS(1785),
    [anon_sym_getnetbyname] = ACTIONS(1785),
    [anon_sym_getsockname] = ACTIONS(1785),
    [anon_sym_getgrnam] = ACTIONS(1785),
    [anon_sym_getgrgid] = ACTIONS(1785),
    [anon_sym_hex] = ACTIONS(1785),
    [anon_sym_int] = ACTIONS(1785),
    [anon_sym_keys] = ACTIONS(1785),
    [anon_sym_lc] = ACTIONS(1785),
    [anon_sym_lcfirst] = ACTIONS(1785),
    [anon_sym_length] = ACTIONS(1785),
    [anon_sym_localtime] = ACTIONS(1785),
    [anon_sym_log] = ACTIONS(1785),
    [anon_sym_lock] = ACTIONS(1785),
    [anon_sym_lstat] = ACTIONS(1785),
    [anon_sym_oct] = ACTIONS(1785),
    [anon_sym_ord] = ACTIONS(1785),
    [anon_sym_prototype] = ACTIONS(1785),
    [anon_sym_pop] = ACTIONS(1785),
    [anon_sym_pos] = ACTIONS(1785),
    [anon_sym_quotemeta] = ACTIONS(1785),
    [anon_sym_reset] = ACTIONS(1785),
    [anon_sym_rand] = ACTIONS(1785),
    [anon_sym_rmdir] = ACTIONS(1785),
    [anon_sym_readdir] = ACTIONS(1785),
    [anon_sym_readline] = ACTIONS(1785),
    [anon_sym_readpipe] = ACTIONS(1785),
    [anon_sym_rewinddir] = ACTIONS(1785),
    [anon_sym_readlink] = ACTIONS(1785),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_scalar] = ACTIONS(1785),
    [anon_sym_shift] = ACTIONS(1785),
    [anon_sym_sin] = ACTIONS(1785),
    [anon_sym_sleep] = ACTIONS(1785),
    [anon_sym_sqrt] = ACTIONS(1785),
    [anon_sym_srand] = ACTIONS(1785),
    [anon_sym_stat] = ACTIONS(1785),
    [anon_sym_study] = ACTIONS(1785),
    [anon_sym_tell] = ACTIONS(1785),
    [anon_sym_telldir] = ACTIONS(1785),
    [anon_sym_tied] = ACTIONS(1785),
    [anon_sym_uc] = ACTIONS(1785),
    [anon_sym_ucfirst] = ACTIONS(1785),
    [anon_sym_untie] = ACTIONS(1785),
    [anon_sym_umask] = ACTIONS(1785),
    [anon_sym_values] = ACTIONS(1785),
    [anon_sym_write] = ACTIONS(1785),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1785),
    [anon_sym_qq] = ACTIONS(1785),
    [anon_sym_qw] = ACTIONS(1785),
    [anon_sym_qx] = ACTIONS(1785),
    [anon_sym_qr] = ACTIONS(1785),
    [anon_sym_m] = ACTIONS(1785),
    [anon_sym_s] = ACTIONS(1785),
    [anon_sym_tr] = ACTIONS(1785),
    [anon_sym_y] = ACTIONS(1785),
    [aux_sym__bareword_token1] = ACTIONS(1785),
    [sym_number] = ACTIONS(1785),
    [anon_sym_true] = ACTIONS(1785),
    [anon_sym_false] = ACTIONS(1785),
    [sym__single_quote] = ACTIONS(1792),
    [sym__double_quote] = ACTIONS(1792),
    [sym__backtick_quote] = ACTIONS(1792),
    [sym__search_slash_quote] = ACTIONS(1792),
    [sym__no_search_slash_plz] = ACTIONS(1794),
    [sym__PERLY_SEMICOLON] = ACTIONS(1796),
    [sym__PERLY_HEREDOC] = ACTIONS(1792),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1792),
    [sym__filetest] = ACTIONS(1792),
  },
  [774] = {
    [sym_heredoc_content] = STATE(774),
    [sym__identifier] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [anon_sym_DOLLAR] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1405),
    [anon_sym_AT] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [anon_sym_my] = ACTIONS(1405),
    [anon_sym_extended] = ACTIONS(1405),
    [anon_sym_async] = ACTIONS(1405),
    [anon_sym_sub] = ACTIONS(1405),
    [anon_sym_method] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_state] = ACTIONS(1405),
    [anon_sym_our] = ACTIONS(1405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_DASH_GT] = ACTIONS(1405),
    [anon_sym_PERCENT] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1405),
    [anon_sym_GT] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1405),
    [anon_sym_PLUS_EQ] = ACTIONS(1405),
    [anon_sym_DASH_EQ] = ACTIONS(1405),
    [anon_sym_DOT_EQ] = ACTIONS(1405),
    [anon_sym_STAR_EQ] = ACTIONS(1405),
    [anon_sym_SLASH_EQ] = ACTIONS(1405),
    [anon_sym_PERCENT_EQ] = ACTIONS(1405),
    [anon_sym_x_EQ] = ACTIONS(1405),
    [anon_sym_AMP_EQ] = ACTIONS(1405),
    [anon_sym_PIPE_EQ] = ACTIONS(1405),
    [anon_sym_CARET_EQ] = ACTIONS(1405),
    [anon_sym_LT_LT_EQ] = ACTIONS(1405),
    [anon_sym_GT_GT_EQ] = ACTIONS(1405),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1405),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_STAR_STAR] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH] = ACTIONS(1405),
    [anon_sym_CARET_CARET] = ACTIONS(1405),
    [anon_sym_AMP_AMP] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_GT_GT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1405),
    [anon_sym_DOT] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1405),
    [anon_sym_x] = ACTIONS(1405),
    [anon_sym_EQ_TILDE] = ACTIONS(1405),
    [anon_sym_BANG_TILDE] = ACTIONS(1405),
    [anon_sym_EQ_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_eq] = ACTIONS(1405),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1405),
    [anon_sym_equ] = ACTIONS(1405),
    [anon_sym_eqr] = ACTIONS(1405),
    [anon_sym_ne] = ACTIONS(1405),
    [anon_sym_LT_EQ_GT] = ACTIONS(1405),
    [anon_sym_cmp] = ACTIONS(1405),
    [anon_sym_TILDE_TILDE] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_lt] = ACTIONS(1405),
    [anon_sym_le] = ACTIONS(1405),
    [anon_sym_ge] = ACTIONS(1405),
    [anon_sym_gt] = ACTIONS(1405),
    [anon_sym_isa] = ACTIONS(1405),
    [anon_sym_TILDE] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1405),
    [anon_sym_DASH_DASH] = ACTIONS(1405),
    [anon_sym_QMARK] = ACTIONS(1405),
    [anon_sym_BSLASH] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_eval] = ACTIONS(1405),
    [anon_sym_await] = ACTIONS(1405),
    [anon_sym_field] = ACTIONS(1405),
    [anon_sym_local] = ACTIONS(1405),
    [anon_sym_dynamically] = ACTIONS(1405),
    [anon_sym_require] = ACTIONS(1405),
    [anon_sym_map] = ACTIONS(1405),
    [anon_sym_grep] = ACTIONS(1405),
    [anon_sym_sort] = ACTIONS(1405),
    [anon_sym_goto] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_undef] = ACTIONS(1405),
    [anon_sym_PERCENT2] = ACTIONS(1405),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1405),
    [anon_sym_EQ_GT] = ACTIONS(1405),
    [anon_sym_last] = ACTIONS(1405),
    [anon_sym_next] = ACTIONS(1405),
    [anon_sym_redo] = ACTIONS(1405),
    [anon_sym___FILE__] = ACTIONS(1405),
    [anon_sym___LINE__] = ACTIONS(1405),
    [anon_sym___PACKAGE__] = ACTIONS(1405),
    [anon_sym___SUB__] = ACTIONS(1405),
    [anon_sym_break] = ACTIONS(1405),
    [anon_sym_fork] = ACTIONS(1405),
    [anon_sym_getppid] = ACTIONS(1405),
    [anon_sym_time] = ACTIONS(1405),
    [anon_sym_times] = ACTIONS(1405),
    [anon_sym_wait] = ACTIONS(1405),
    [anon_sym_wantarray] = ACTIONS(1405),
    [anon_sym_abs] = ACTIONS(1405),
    [anon_sym_alarm] = ACTIONS(1405),
    [anon_sym_chop] = ACTIONS(1405),
    [anon_sym_chdir] = ACTIONS(1405),
    [anon_sym_close] = ACTIONS(1405),
    [anon_sym_closedir] = ACTIONS(1405),
    [anon_sym_caller] = ACTIONS(1405),
    [anon_sym_chomp] = ACTIONS(1405),
    [anon_sym_chr] = ACTIONS(1405),
    [anon_sym_cos] = ACTIONS(1405),
    [anon_sym_chroot] = ACTIONS(1405),
    [anon_sym_defined] = ACTIONS(1405),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_dbmclose] = ACTIONS(1405),
    [anon_sym_exists] = ACTIONS(1405),
    [anon_sym_exit] = ACTIONS(1405),
    [anon_sym_eof] = ACTIONS(1405),
    [anon_sym_exp] = ACTIONS(1405),
    [anon_sym_each] = ACTIONS(1405),
    [anon_sym_fc] = ACTIONS(1405),
    [anon_sym_fileno] = ACTIONS(1405),
    [anon_sym_gmtime] = ACTIONS(1405),
    [anon_sym_getc] = ACTIONS(1405),
    [anon_sym_getpgrp] = ACTIONS(1405),
    [anon_sym_getprotobyname] = ACTIONS(1405),
    [anon_sym_getpwname] = ACTIONS(1405),
    [anon_sym_getpwuid] = ACTIONS(1405),
    [anon_sym_getpeername] = ACTIONS(1405),
    [anon_sym_getnetbyname] = ACTIONS(1405),
    [anon_sym_getsockname] = ACTIONS(1405),
    [anon_sym_getgrnam] = ACTIONS(1405),
    [anon_sym_getgrgid] = ACTIONS(1405),
    [anon_sym_hex] = ACTIONS(1405),
    [anon_sym_int] = ACTIONS(1405),
    [anon_sym_keys] = ACTIONS(1405),
    [anon_sym_lc] = ACTIONS(1405),
    [anon_sym_lcfirst] = ACTIONS(1405),
    [anon_sym_length] = ACTIONS(1405),
    [anon_sym_localtime] = ACTIONS(1405),
    [anon_sym_log] = ACTIONS(1405),
    [anon_sym_lock] = ACTIONS(1405),
    [anon_sym_lstat] = ACTIONS(1405),
    [anon_sym_oct] = ACTIONS(1405),
    [anon_sym_ord] = ACTIONS(1405),
    [anon_sym_prototype] = ACTIONS(1405),
    [anon_sym_pop] = ACTIONS(1405),
    [anon_sym_pos] = ACTIONS(1405),
    [anon_sym_quotemeta] = ACTIONS(1405),
    [anon_sym_reset] = ACTIONS(1405),
    [anon_sym_rand] = ACTIONS(1405),
    [anon_sym_rmdir] = ACTIONS(1405),
    [anon_sym_readdir] = ACTIONS(1405),
    [anon_sym_readline] = ACTIONS(1405),
    [anon_sym_readpipe] = ACTIONS(1405),
    [anon_sym_rewinddir] = ACTIONS(1405),
    [anon_sym_readlink] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1405),
    [anon_sym_scalar] = ACTIONS(1405),
    [anon_sym_shift] = ACTIONS(1405),
    [anon_sym_sin] = ACTIONS(1405),
    [anon_sym_sleep] = ACTIONS(1405),
    [anon_sym_sqrt] = ACTIONS(1405),
    [anon_sym_srand] = ACTIONS(1405),
    [anon_sym_stat] = ACTIONS(1405),
    [anon_sym_study] = ACTIONS(1405),
    [anon_sym_tell] = ACTIONS(1405),
    [anon_sym_telldir] = ACTIONS(1405),
    [anon_sym_tied] = ACTIONS(1405),
    [anon_sym_uc] = ACTIONS(1405),
    [anon_sym_ucfirst] = ACTIONS(1405),
    [anon_sym_untie] = ACTIONS(1405),
    [anon_sym_umask] = ACTIONS(1405),
    [anon_sym_values] = ACTIONS(1405),
    [anon_sym_write] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1405),
    [anon_sym_qq] = ACTIONS(1405),
    [anon_sym_qw] = ACTIONS(1405),
    [anon_sym_qx] = ACTIONS(1405),
    [anon_sym_qr] = ACTIONS(1405),
    [anon_sym_m] = ACTIONS(1405),
    [anon_sym_s] = ACTIONS(1405),
    [anon_sym_tr] = ACTIONS(1405),
    [anon_sym_y] = ACTIONS(1405),
    [aux_sym__bareword_token1] = ACTIONS(1405),
    [sym_number] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1405),
    [anon_sym_false] = ACTIONS(1405),
    [sym__single_quote] = ACTIONS(1403),
    [sym__double_quote] = ACTIONS(1403),
    [sym__backtick_quote] = ACTIONS(1403),
    [sym__search_slash_quote] = ACTIONS(1403),
    [sym__no_search_slash_plz] = ACTIONS(1403),
    [sym__PERLY_SEMICOLON] = ACTIONS(1403),
    [sym__PERLY_HEREDOC] = ACTIONS(1403),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1403),
    [sym__filetest] = ACTIONS(1403),
  },
  [775] = {
    [sym_heredoc_content] = STATE(775),
    [sym__identifier] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1781),
    [anon_sym_DOLLAR] = ACTIONS(1781),
    [anon_sym_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(1781),
    [anon_sym_COMMA] = ACTIONS(1781),
    [anon_sym_my] = ACTIONS(1781),
    [anon_sym_extended] = ACTIONS(1781),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_sub] = ACTIONS(1781),
    [anon_sym_method] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1781),
    [anon_sym_continue] = ACTIONS(1781),
    [anon_sym_state] = ACTIONS(1781),
    [anon_sym_our] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1781),
    [anon_sym_DASH_GT] = ACTIONS(1781),
    [anon_sym_PERCENT] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1781),
    [anon_sym_PLUS_EQ] = ACTIONS(1781),
    [anon_sym_DASH_EQ] = ACTIONS(1781),
    [anon_sym_DOT_EQ] = ACTIONS(1781),
    [anon_sym_STAR_EQ] = ACTIONS(1781),
    [anon_sym_SLASH_EQ] = ACTIONS(1781),
    [anon_sym_PERCENT_EQ] = ACTIONS(1781),
    [anon_sym_x_EQ] = ACTIONS(1781),
    [anon_sym_AMP_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_EQ] = ACTIONS(1781),
    [anon_sym_CARET_EQ] = ACTIONS(1781),
    [anon_sym_LT_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_GT_EQ] = ACTIONS(1781),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1781),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_STAR_STAR] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_CARET_CARET] = ACTIONS(1781),
    [anon_sym_AMP_AMP] = ACTIONS(1781),
    [anon_sym_PIPE] = ACTIONS(1781),
    [anon_sym_CARET] = ACTIONS(1781),
    [anon_sym_AMP] = ACTIONS(1781),
    [anon_sym_GT_GT2] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_x] = ACTIONS(1781),
    [anon_sym_EQ_TILDE] = ACTIONS(1781),
    [anon_sym_BANG_TILDE] = ACTIONS(1781),
    [anon_sym_EQ_EQ] = ACTIONS(1781),
    [anon_sym_BANG_EQ] = ACTIONS(1781),
    [anon_sym_eq] = ACTIONS(1781),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1781),
    [anon_sym_equ] = ACTIONS(1781),
    [anon_sym_eqr] = ACTIONS(1781),
    [anon_sym_ne] = ACTIONS(1781),
    [anon_sym_LT_EQ_GT] = ACTIONS(1781),
    [anon_sym_cmp] = ACTIONS(1781),
    [anon_sym_TILDE_TILDE] = ACTIONS(1781),
    [anon_sym_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_EQ] = ACTIONS(1781),
    [anon_sym_lt] = ACTIONS(1781),
    [anon_sym_le] = ACTIONS(1781),
    [anon_sym_ge] = ACTIONS(1781),
    [anon_sym_gt] = ACTIONS(1781),
    [anon_sym_isa] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_BANG] = ACTIONS(1781),
    [anon_sym_PLUS_PLUS] = ACTIONS(1781),
    [anon_sym_DASH_DASH] = ACTIONS(1781),
    [anon_sym_QMARK] = ACTIONS(1781),
    [anon_sym_BSLASH] = ACTIONS(1783),
    [anon_sym_do] = ACTIONS(1781),
    [anon_sym_eval] = ACTIONS(1781),
    [anon_sym_await] = ACTIONS(1781),
    [anon_sym_field] = ACTIONS(1781),
    [anon_sym_local] = ACTIONS(1781),
    [anon_sym_dynamically] = ACTIONS(1781),
    [anon_sym_require] = ACTIONS(1781),
    [anon_sym_map] = ACTIONS(1781),
    [anon_sym_grep] = ACTIONS(1781),
    [anon_sym_sort] = ACTIONS(1781),
    [anon_sym_goto] = ACTIONS(1781),
    [anon_sym_return] = ACTIONS(1781),
    [anon_sym_undef] = ACTIONS(1781),
    [anon_sym_PERCENT2] = ACTIONS(1781),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1781),
    [anon_sym_EQ_GT] = ACTIONS(1781),
    [anon_sym_last] = ACTIONS(1781),
    [anon_sym_next] = ACTIONS(1781),
    [anon_sym_redo] = ACTIONS(1781),
    [anon_sym___FILE__] = ACTIONS(1781),
    [anon_sym___LINE__] = ACTIONS(1781),
    [anon_sym___PACKAGE__] = ACTIONS(1781),
    [anon_sym___SUB__] = ACTIONS(1781),
    [anon_sym_break] = ACTIONS(1781),
    [anon_sym_fork] = ACTIONS(1781),
    [anon_sym_getppid] = ACTIONS(1781),
    [anon_sym_time] = ACTIONS(1781),
    [anon_sym_times] = ACTIONS(1781),
    [anon_sym_wait] = ACTIONS(1781),
    [anon_sym_wantarray] = ACTIONS(1781),
    [anon_sym_abs] = ACTIONS(1781),
    [anon_sym_alarm] = ACTIONS(1781),
    [anon_sym_chop] = ACTIONS(1781),
    [anon_sym_chdir] = ACTIONS(1781),
    [anon_sym_close] = ACTIONS(1781),
    [anon_sym_closedir] = ACTIONS(1781),
    [anon_sym_caller] = ACTIONS(1781),
    [anon_sym_chomp] = ACTIONS(1781),
    [anon_sym_chr] = ACTIONS(1781),
    [anon_sym_cos] = ACTIONS(1781),
    [anon_sym_chroot] = ACTIONS(1781),
    [anon_sym_defined] = ACTIONS(1781),
    [anon_sym_delete] = ACTIONS(1781),
    [anon_sym_dbmclose] = ACTIONS(1781),
    [anon_sym_exists] = ACTIONS(1781),
    [anon_sym_exit] = ACTIONS(1781),
    [anon_sym_eof] = ACTIONS(1781),
    [anon_sym_exp] = ACTIONS(1781),
    [anon_sym_each] = ACTIONS(1781),
    [anon_sym_fc] = ACTIONS(1781),
    [anon_sym_fileno] = ACTIONS(1781),
    [anon_sym_gmtime] = ACTIONS(1781),
    [anon_sym_getc] = ACTIONS(1781),
    [anon_sym_getpgrp] = ACTIONS(1781),
    [anon_sym_getprotobyname] = ACTIONS(1781),
    [anon_sym_getpwname] = ACTIONS(1781),
    [anon_sym_getpwuid] = ACTIONS(1781),
    [anon_sym_getpeername] = ACTIONS(1781),
    [anon_sym_getnetbyname] = ACTIONS(1781),
    [anon_sym_getsockname] = ACTIONS(1781),
    [anon_sym_getgrnam] = ACTIONS(1781),
    [anon_sym_getgrgid] = ACTIONS(1781),
    [anon_sym_hex] = ACTIONS(1781),
    [anon_sym_int] = ACTIONS(1781),
    [anon_sym_keys] = ACTIONS(1781),
    [anon_sym_lc] = ACTIONS(1781),
    [anon_sym_lcfirst] = ACTIONS(1781),
    [anon_sym_length] = ACTIONS(1781),
    [anon_sym_localtime] = ACTIONS(1781),
    [anon_sym_log] = ACTIONS(1781),
    [anon_sym_lock] = ACTIONS(1781),
    [anon_sym_lstat] = ACTIONS(1781),
    [anon_sym_oct] = ACTIONS(1781),
    [anon_sym_ord] = ACTIONS(1781),
    [anon_sym_prototype] = ACTIONS(1781),
    [anon_sym_pop] = ACTIONS(1781),
    [anon_sym_pos] = ACTIONS(1781),
    [anon_sym_quotemeta] = ACTIONS(1781),
    [anon_sym_reset] = ACTIONS(1781),
    [anon_sym_rand] = ACTIONS(1781),
    [anon_sym_rmdir] = ACTIONS(1781),
    [anon_sym_readdir] = ACTIONS(1781),
    [anon_sym_readline] = ACTIONS(1781),
    [anon_sym_readpipe] = ACTIONS(1781),
    [anon_sym_rewinddir] = ACTIONS(1781),
    [anon_sym_readlink] = ACTIONS(1781),
    [anon_sym_ref] = ACTIONS(1781),
    [anon_sym_scalar] = ACTIONS(1781),
    [anon_sym_shift] = ACTIONS(1781),
    [anon_sym_sin] = ACTIONS(1781),
    [anon_sym_sleep] = ACTIONS(1781),
    [anon_sym_sqrt] = ACTIONS(1781),
    [anon_sym_srand] = ACTIONS(1781),
    [anon_sym_stat] = ACTIONS(1781),
    [anon_sym_study] = ACTIONS(1781),
    [anon_sym_tell] = ACTIONS(1781),
    [anon_sym_telldir] = ACTIONS(1781),
    [anon_sym_tied] = ACTIONS(1781),
    [anon_sym_uc] = ACTIONS(1781),
    [anon_sym_ucfirst] = ACTIONS(1781),
    [anon_sym_untie] = ACTIONS(1781),
    [anon_sym_umask] = ACTIONS(1781),
    [anon_sym_values] = ACTIONS(1781),
    [anon_sym_write] = ACTIONS(1781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1781),
    [anon_sym_qq] = ACTIONS(1781),
    [anon_sym_qw] = ACTIONS(1781),
    [anon_sym_qx] = ACTIONS(1781),
    [anon_sym_qr] = ACTIONS(1781),
    [anon_sym_m] = ACTIONS(1781),
    [anon_sym_s] = ACTIONS(1781),
    [anon_sym_tr] = ACTIONS(1781),
    [anon_sym_y] = ACTIONS(1781),
    [aux_sym__bareword_token1] = ACTIONS(1781),
    [sym_number] = ACTIONS(1781),
    [anon_sym_true] = ACTIONS(1781),
    [anon_sym_false] = ACTIONS(1781),
    [sym__single_quote] = ACTIONS(1783),
    [sym__double_quote] = ACTIONS(1783),
    [sym__backtick_quote] = ACTIONS(1783),
    [sym__search_slash_quote] = ACTIONS(1783),
    [sym__no_search_slash_plz] = ACTIONS(1783),
    [sym__PERLY_SEMICOLON] = ACTIONS(1783),
    [sym__PERLY_HEREDOC] = ACTIONS(1783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1783),
    [sym__filetest] = ACTIONS(1783),
  },
  [776] = {
    [sym_heredoc_content] = STATE(776),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_RBRACE] = ACTIONS(1744),
    [anon_sym_COLON] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_RPAREN] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
  },
  [777] = {
    [sym_heredoc_content] = STATE(777),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_RBRACE] = ACTIONS(1840),
    [anon_sym_COLON] = ACTIONS(1840),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1840),
    [anon_sym_RPAREN] = ACTIONS(1840),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1840),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1840),
    [anon_sym_PLUS_EQ] = ACTIONS(1840),
    [anon_sym_DASH_EQ] = ACTIONS(1840),
    [anon_sym_DOT_EQ] = ACTIONS(1840),
    [anon_sym_STAR_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_PERCENT_EQ] = ACTIONS(1840),
    [anon_sym_x_EQ] = ACTIONS(1840),
    [anon_sym_AMP_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_CARET_EQ] = ACTIONS(1840),
    [anon_sym_LT_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_GT_EQ] = ACTIONS(1840),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1840),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1840),
    [anon_sym_BANG_TILDE] = ACTIONS(1840),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1840),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1840),
    [anon_sym_equ] = ACTIONS(1840),
    [anon_sym_eqr] = ACTIONS(1840),
    [anon_sym_ne] = ACTIONS(1840),
    [anon_sym_LT_EQ_GT] = ACTIONS(1840),
    [anon_sym_cmp] = ACTIONS(1840),
    [anon_sym_TILDE_TILDE] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1840),
    [anon_sym_lt] = ACTIONS(1840),
    [anon_sym_le] = ACTIONS(1840),
    [anon_sym_ge] = ACTIONS(1840),
    [anon_sym_gt] = ACTIONS(1840),
    [anon_sym_isa] = ACTIONS(1840),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1840),
    [anon_sym_QMARK] = ACTIONS(1840),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1840),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
  },
  [778] = {
    [sym_heredoc_content] = STATE(778),
    [sym__identifier] = ACTIONS(1844),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym_SEMI] = ACTIONS(1844),
    [anon_sym_DOLLAR] = ACTIONS(1844),
    [anon_sym_EQ] = ACTIONS(1846),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1846),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1846),
    [anon_sym_AT] = ACTIONS(1844),
    [anon_sym_COMMA] = ACTIONS(1846),
    [anon_sym_my] = ACTIONS(1844),
    [anon_sym_extended] = ACTIONS(1844),
    [anon_sym_async] = ACTIONS(1844),
    [anon_sym_sub] = ACTIONS(1844),
    [anon_sym_method] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1844),
    [anon_sym_continue] = ACTIONS(1844),
    [anon_sym_state] = ACTIONS(1844),
    [anon_sym_our] = ACTIONS(1844),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1846),
    [anon_sym_LBRACK] = ACTIONS(1844),
    [anon_sym_DASH_GT] = ACTIONS(1846),
    [anon_sym_PERCENT] = ACTIONS(1846),
    [anon_sym_LT] = ACTIONS(1844),
    [anon_sym_GT] = ACTIONS(1846),
    [anon_sym_LT_LT] = ACTIONS(1844),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1846),
    [anon_sym_PLUS_EQ] = ACTIONS(1846),
    [anon_sym_DASH_EQ] = ACTIONS(1846),
    [anon_sym_DOT_EQ] = ACTIONS(1846),
    [anon_sym_STAR_EQ] = ACTIONS(1846),
    [anon_sym_SLASH_EQ] = ACTIONS(1846),
    [anon_sym_PERCENT_EQ] = ACTIONS(1846),
    [anon_sym_x_EQ] = ACTIONS(1846),
    [anon_sym_AMP_EQ] = ACTIONS(1846),
    [anon_sym_PIPE_EQ] = ACTIONS(1846),
    [anon_sym_CARET_EQ] = ACTIONS(1846),
    [anon_sym_LT_LT_EQ] = ACTIONS(1846),
    [anon_sym_GT_GT_EQ] = ACTIONS(1846),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1846),
    [anon_sym_DOT_DOT] = ACTIONS(1846),
    [anon_sym_STAR_STAR] = ACTIONS(1846),
    [anon_sym_PIPE_PIPE] = ACTIONS(1846),
    [anon_sym_SLASH_SLASH] = ACTIONS(1844),
    [anon_sym_CARET_CARET] = ACTIONS(1846),
    [anon_sym_AMP_AMP] = ACTIONS(1846),
    [anon_sym_PIPE] = ACTIONS(1846),
    [anon_sym_CARET] = ACTIONS(1846),
    [anon_sym_AMP] = ACTIONS(1846),
    [anon_sym_GT_GT2] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1844),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_DOT] = ACTIONS(1846),
    [anon_sym_STAR] = ACTIONS(1844),
    [anon_sym_SLASH] = ACTIONS(1846),
    [anon_sym_x] = ACTIONS(1846),
    [anon_sym_EQ_TILDE] = ACTIONS(1846),
    [anon_sym_BANG_TILDE] = ACTIONS(1846),
    [anon_sym_EQ_EQ] = ACTIONS(1846),
    [anon_sym_BANG_EQ] = ACTIONS(1846),
    [anon_sym_eq] = ACTIONS(1846),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1846),
    [anon_sym_equ] = ACTIONS(1846),
    [anon_sym_eqr] = ACTIONS(1846),
    [anon_sym_ne] = ACTIONS(1846),
    [anon_sym_LT_EQ_GT] = ACTIONS(1846),
    [anon_sym_cmp] = ACTIONS(1846),
    [anon_sym_TILDE_TILDE] = ACTIONS(1846),
    [anon_sym_LT_EQ] = ACTIONS(1846),
    [anon_sym_GT_EQ] = ACTIONS(1846),
    [anon_sym_lt] = ACTIONS(1846),
    [anon_sym_le] = ACTIONS(1846),
    [anon_sym_ge] = ACTIONS(1846),
    [anon_sym_gt] = ACTIONS(1846),
    [anon_sym_isa] = ACTIONS(1846),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1844),
    [anon_sym_DASH_DASH] = ACTIONS(1844),
    [anon_sym_QMARK] = ACTIONS(1846),
    [anon_sym_BSLASH] = ACTIONS(1848),
    [anon_sym_do] = ACTIONS(1844),
    [anon_sym_eval] = ACTIONS(1844),
    [anon_sym_await] = ACTIONS(1844),
    [anon_sym_field] = ACTIONS(1844),
    [anon_sym_local] = ACTIONS(1844),
    [anon_sym_dynamically] = ACTIONS(1844),
    [anon_sym_require] = ACTIONS(1844),
    [anon_sym_map] = ACTIONS(1844),
    [anon_sym_grep] = ACTIONS(1844),
    [anon_sym_sort] = ACTIONS(1844),
    [anon_sym_goto] = ACTIONS(1844),
    [anon_sym_return] = ACTIONS(1844),
    [anon_sym_undef] = ACTIONS(1844),
    [anon_sym_PERCENT2] = ACTIONS(1844),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1844),
    [anon_sym_EQ_GT] = ACTIONS(1846),
    [anon_sym_last] = ACTIONS(1844),
    [anon_sym_next] = ACTIONS(1844),
    [anon_sym_redo] = ACTIONS(1844),
    [anon_sym___FILE__] = ACTIONS(1844),
    [anon_sym___LINE__] = ACTIONS(1844),
    [anon_sym___PACKAGE__] = ACTIONS(1844),
    [anon_sym___SUB__] = ACTIONS(1844),
    [anon_sym_break] = ACTIONS(1844),
    [anon_sym_fork] = ACTIONS(1844),
    [anon_sym_getppid] = ACTIONS(1844),
    [anon_sym_time] = ACTIONS(1844),
    [anon_sym_times] = ACTIONS(1844),
    [anon_sym_wait] = ACTIONS(1844),
    [anon_sym_wantarray] = ACTIONS(1844),
    [anon_sym_abs] = ACTIONS(1844),
    [anon_sym_alarm] = ACTIONS(1844),
    [anon_sym_chop] = ACTIONS(1844),
    [anon_sym_chdir] = ACTIONS(1844),
    [anon_sym_close] = ACTIONS(1844),
    [anon_sym_closedir] = ACTIONS(1844),
    [anon_sym_caller] = ACTIONS(1844),
    [anon_sym_chomp] = ACTIONS(1844),
    [anon_sym_chr] = ACTIONS(1844),
    [anon_sym_cos] = ACTIONS(1844),
    [anon_sym_chroot] = ACTIONS(1844),
    [anon_sym_defined] = ACTIONS(1844),
    [anon_sym_delete] = ACTIONS(1844),
    [anon_sym_dbmclose] = ACTIONS(1844),
    [anon_sym_exists] = ACTIONS(1844),
    [anon_sym_exit] = ACTIONS(1844),
    [anon_sym_eof] = ACTIONS(1844),
    [anon_sym_exp] = ACTIONS(1844),
    [anon_sym_each] = ACTIONS(1844),
    [anon_sym_fc] = ACTIONS(1844),
    [anon_sym_fileno] = ACTIONS(1844),
    [anon_sym_gmtime] = ACTIONS(1844),
    [anon_sym_getc] = ACTIONS(1844),
    [anon_sym_getpgrp] = ACTIONS(1844),
    [anon_sym_getprotobyname] = ACTIONS(1844),
    [anon_sym_getpwname] = ACTIONS(1844),
    [anon_sym_getpwuid] = ACTIONS(1844),
    [anon_sym_getpeername] = ACTIONS(1844),
    [anon_sym_getnetbyname] = ACTIONS(1844),
    [anon_sym_getsockname] = ACTIONS(1844),
    [anon_sym_getgrnam] = ACTIONS(1844),
    [anon_sym_getgrgid] = ACTIONS(1844),
    [anon_sym_hex] = ACTIONS(1844),
    [anon_sym_int] = ACTIONS(1844),
    [anon_sym_keys] = ACTIONS(1844),
    [anon_sym_lc] = ACTIONS(1844),
    [anon_sym_lcfirst] = ACTIONS(1844),
    [anon_sym_length] = ACTIONS(1844),
    [anon_sym_localtime] = ACTIONS(1844),
    [anon_sym_log] = ACTIONS(1844),
    [anon_sym_lock] = ACTIONS(1844),
    [anon_sym_lstat] = ACTIONS(1844),
    [anon_sym_oct] = ACTIONS(1844),
    [anon_sym_ord] = ACTIONS(1844),
    [anon_sym_prototype] = ACTIONS(1844),
    [anon_sym_pop] = ACTIONS(1844),
    [anon_sym_pos] = ACTIONS(1844),
    [anon_sym_quotemeta] = ACTIONS(1844),
    [anon_sym_reset] = ACTIONS(1844),
    [anon_sym_rand] = ACTIONS(1844),
    [anon_sym_rmdir] = ACTIONS(1844),
    [anon_sym_readdir] = ACTIONS(1844),
    [anon_sym_readline] = ACTIONS(1844),
    [anon_sym_readpipe] = ACTIONS(1844),
    [anon_sym_rewinddir] = ACTIONS(1844),
    [anon_sym_readlink] = ACTIONS(1844),
    [anon_sym_ref] = ACTIONS(1844),
    [anon_sym_scalar] = ACTIONS(1844),
    [anon_sym_shift] = ACTIONS(1844),
    [anon_sym_sin] = ACTIONS(1844),
    [anon_sym_sleep] = ACTIONS(1844),
    [anon_sym_sqrt] = ACTIONS(1844),
    [anon_sym_srand] = ACTIONS(1844),
    [anon_sym_stat] = ACTIONS(1844),
    [anon_sym_study] = ACTIONS(1844),
    [anon_sym_tell] = ACTIONS(1844),
    [anon_sym_telldir] = ACTIONS(1844),
    [anon_sym_tied] = ACTIONS(1844),
    [anon_sym_uc] = ACTIONS(1844),
    [anon_sym_ucfirst] = ACTIONS(1844),
    [anon_sym_untie] = ACTIONS(1844),
    [anon_sym_umask] = ACTIONS(1844),
    [anon_sym_values] = ACTIONS(1844),
    [anon_sym_write] = ACTIONS(1844),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1844),
    [anon_sym_qq] = ACTIONS(1844),
    [anon_sym_qw] = ACTIONS(1844),
    [anon_sym_qx] = ACTIONS(1844),
    [anon_sym_qr] = ACTIONS(1844),
    [anon_sym_m] = ACTIONS(1844),
    [anon_sym_s] = ACTIONS(1844),
    [anon_sym_tr] = ACTIONS(1844),
    [anon_sym_y] = ACTIONS(1844),
    [aux_sym__bareword_token1] = ACTIONS(1844),
    [sym_number] = ACTIONS(1844),
    [anon_sym_true] = ACTIONS(1844),
    [anon_sym_false] = ACTIONS(1844),
    [sym__single_quote] = ACTIONS(1848),
    [sym__double_quote] = ACTIONS(1848),
    [sym__backtick_quote] = ACTIONS(1848),
    [sym__search_slash_quote] = ACTIONS(1848),
    [sym__PERLY_SEMICOLON] = ACTIONS(1848),
    [sym__PERLY_HEREDOC] = ACTIONS(1848),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1848),
    [sym__filetest] = ACTIONS(1848),
  },
  [779] = {
    [sym_heredoc_content] = STATE(779),
    [sym__identifier] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1785),
    [anon_sym_COLON] = ACTIONS(1836),
    [anon_sym_DOLLAR] = ACTIONS(1836),
    [anon_sym_EQ] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1836),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1836),
    [anon_sym_AT] = ACTIONS(1836),
    [anon_sym_COMMA] = ACTIONS(1836),
    [anon_sym_RPAREN] = ACTIONS(1836),
    [anon_sym_my] = ACTIONS(1785),
    [anon_sym_extended] = ACTIONS(1785),
    [anon_sym_async] = ACTIONS(1785),
    [anon_sym_sub] = ACTIONS(1785),
    [anon_sym_method] = ACTIONS(1785),
    [anon_sym_LPAREN] = ACTIONS(1785),
    [anon_sym_continue] = ACTIONS(1785),
    [anon_sym_state] = ACTIONS(1785),
    [anon_sym_our] = ACTIONS(1785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1785),
    [anon_sym_DASH_GT] = ACTIONS(1836),
    [anon_sym_PERCENT] = ACTIONS(1836),
    [anon_sym_LT] = ACTIONS(1836),
    [anon_sym_GT] = ACTIONS(1836),
    [anon_sym_LT_LT] = ACTIONS(1836),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1836),
    [anon_sym_PLUS_EQ] = ACTIONS(1836),
    [anon_sym_DASH_EQ] = ACTIONS(1836),
    [anon_sym_DOT_EQ] = ACTIONS(1836),
    [anon_sym_STAR_EQ] = ACTIONS(1836),
    [anon_sym_SLASH_EQ] = ACTIONS(1836),
    [anon_sym_PERCENT_EQ] = ACTIONS(1836),
    [anon_sym_x_EQ] = ACTIONS(1836),
    [anon_sym_AMP_EQ] = ACTIONS(1836),
    [anon_sym_PIPE_EQ] = ACTIONS(1836),
    [anon_sym_CARET_EQ] = ACTIONS(1836),
    [anon_sym_LT_LT_EQ] = ACTIONS(1836),
    [anon_sym_GT_GT_EQ] = ACTIONS(1836),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1836),
    [anon_sym_DOT_DOT] = ACTIONS(1836),
    [anon_sym_STAR_STAR] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE] = ACTIONS(1836),
    [anon_sym_SLASH_SLASH] = ACTIONS(1836),
    [anon_sym_CARET_CARET] = ACTIONS(1836),
    [anon_sym_AMP_AMP] = ACTIONS(1836),
    [anon_sym_PIPE] = ACTIONS(1836),
    [anon_sym_CARET] = ACTIONS(1836),
    [anon_sym_AMP] = ACTIONS(1836),
    [anon_sym_GT_GT2] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1836),
    [anon_sym_DASH] = ACTIONS(1836),
    [anon_sym_DOT] = ACTIONS(1836),
    [anon_sym_STAR] = ACTIONS(1836),
    [anon_sym_SLASH] = ACTIONS(1836),
    [anon_sym_x] = ACTIONS(1836),
    [anon_sym_EQ_TILDE] = ACTIONS(1836),
    [anon_sym_BANG_TILDE] = ACTIONS(1836),
    [anon_sym_EQ_EQ] = ACTIONS(1836),
    [anon_sym_BANG_EQ] = ACTIONS(1836),
    [anon_sym_eq] = ACTIONS(1836),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1836),
    [anon_sym_equ] = ACTIONS(1836),
    [anon_sym_eqr] = ACTIONS(1836),
    [anon_sym_ne] = ACTIONS(1836),
    [anon_sym_LT_EQ_GT] = ACTIONS(1836),
    [anon_sym_cmp] = ACTIONS(1836),
    [anon_sym_TILDE_TILDE] = ACTIONS(1836),
    [anon_sym_LT_EQ] = ACTIONS(1836),
    [anon_sym_GT_EQ] = ACTIONS(1836),
    [anon_sym_lt] = ACTIONS(1836),
    [anon_sym_le] = ACTIONS(1836),
    [anon_sym_ge] = ACTIONS(1836),
    [anon_sym_gt] = ACTIONS(1836),
    [anon_sym_isa] = ACTIONS(1836),
    [anon_sym_TILDE] = ACTIONS(1785),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_PLUS_PLUS] = ACTIONS(1836),
    [anon_sym_DASH_DASH] = ACTIONS(1836),
    [anon_sym_QMARK] = ACTIONS(1836),
    [anon_sym_BSLASH] = ACTIONS(1792),
    [anon_sym_do] = ACTIONS(1785),
    [anon_sym_eval] = ACTIONS(1785),
    [anon_sym_await] = ACTIONS(1785),
    [anon_sym_field] = ACTIONS(1785),
    [anon_sym_local] = ACTIONS(1785),
    [anon_sym_dynamically] = ACTIONS(1785),
    [anon_sym_require] = ACTIONS(1785),
    [anon_sym_map] = ACTIONS(1785),
    [anon_sym_grep] = ACTIONS(1785),
    [anon_sym_sort] = ACTIONS(1785),
    [anon_sym_goto] = ACTIONS(1785),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_undef] = ACTIONS(1785),
    [anon_sym_PERCENT2] = ACTIONS(1836),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1785),
    [anon_sym_EQ_GT] = ACTIONS(1836),
    [anon_sym_last] = ACTIONS(1785),
    [anon_sym_next] = ACTIONS(1785),
    [anon_sym_redo] = ACTIONS(1785),
    [anon_sym___FILE__] = ACTIONS(1785),
    [anon_sym___LINE__] = ACTIONS(1785),
    [anon_sym___PACKAGE__] = ACTIONS(1785),
    [anon_sym___SUB__] = ACTIONS(1785),
    [anon_sym_break] = ACTIONS(1785),
    [anon_sym_fork] = ACTIONS(1785),
    [anon_sym_getppid] = ACTIONS(1785),
    [anon_sym_time] = ACTIONS(1785),
    [anon_sym_times] = ACTIONS(1785),
    [anon_sym_wait] = ACTIONS(1785),
    [anon_sym_wantarray] = ACTIONS(1785),
    [anon_sym_abs] = ACTIONS(1785),
    [anon_sym_alarm] = ACTIONS(1785),
    [anon_sym_chop] = ACTIONS(1785),
    [anon_sym_chdir] = ACTIONS(1785),
    [anon_sym_close] = ACTIONS(1785),
    [anon_sym_closedir] = ACTIONS(1785),
    [anon_sym_caller] = ACTIONS(1785),
    [anon_sym_chomp] = ACTIONS(1785),
    [anon_sym_chr] = ACTIONS(1785),
    [anon_sym_cos] = ACTIONS(1785),
    [anon_sym_chroot] = ACTIONS(1785),
    [anon_sym_defined] = ACTIONS(1785),
    [anon_sym_delete] = ACTIONS(1785),
    [anon_sym_dbmclose] = ACTIONS(1785),
    [anon_sym_exists] = ACTIONS(1785),
    [anon_sym_exit] = ACTIONS(1785),
    [anon_sym_eof] = ACTIONS(1785),
    [anon_sym_exp] = ACTIONS(1785),
    [anon_sym_each] = ACTIONS(1785),
    [anon_sym_fc] = ACTIONS(1785),
    [anon_sym_fileno] = ACTIONS(1785),
    [anon_sym_gmtime] = ACTIONS(1785),
    [anon_sym_getc] = ACTIONS(1785),
    [anon_sym_getpgrp] = ACTIONS(1785),
    [anon_sym_getprotobyname] = ACTIONS(1785),
    [anon_sym_getpwname] = ACTIONS(1785),
    [anon_sym_getpwuid] = ACTIONS(1785),
    [anon_sym_getpeername] = ACTIONS(1785),
    [anon_sym_getnetbyname] = ACTIONS(1785),
    [anon_sym_getsockname] = ACTIONS(1785),
    [anon_sym_getgrnam] = ACTIONS(1785),
    [anon_sym_getgrgid] = ACTIONS(1785),
    [anon_sym_hex] = ACTIONS(1785),
    [anon_sym_int] = ACTIONS(1785),
    [anon_sym_keys] = ACTIONS(1785),
    [anon_sym_lc] = ACTIONS(1785),
    [anon_sym_lcfirst] = ACTIONS(1785),
    [anon_sym_length] = ACTIONS(1785),
    [anon_sym_localtime] = ACTIONS(1785),
    [anon_sym_log] = ACTIONS(1785),
    [anon_sym_lock] = ACTIONS(1785),
    [anon_sym_lstat] = ACTIONS(1785),
    [anon_sym_oct] = ACTIONS(1785),
    [anon_sym_ord] = ACTIONS(1785),
    [anon_sym_prototype] = ACTIONS(1785),
    [anon_sym_pop] = ACTIONS(1785),
    [anon_sym_pos] = ACTIONS(1785),
    [anon_sym_quotemeta] = ACTIONS(1785),
    [anon_sym_reset] = ACTIONS(1785),
    [anon_sym_rand] = ACTIONS(1785),
    [anon_sym_rmdir] = ACTIONS(1785),
    [anon_sym_readdir] = ACTIONS(1785),
    [anon_sym_readline] = ACTIONS(1785),
    [anon_sym_readpipe] = ACTIONS(1785),
    [anon_sym_rewinddir] = ACTIONS(1785),
    [anon_sym_readlink] = ACTIONS(1785),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_scalar] = ACTIONS(1785),
    [anon_sym_shift] = ACTIONS(1785),
    [anon_sym_sin] = ACTIONS(1785),
    [anon_sym_sleep] = ACTIONS(1785),
    [anon_sym_sqrt] = ACTIONS(1785),
    [anon_sym_srand] = ACTIONS(1785),
    [anon_sym_stat] = ACTIONS(1785),
    [anon_sym_study] = ACTIONS(1785),
    [anon_sym_tell] = ACTIONS(1785),
    [anon_sym_telldir] = ACTIONS(1785),
    [anon_sym_tied] = ACTIONS(1785),
    [anon_sym_uc] = ACTIONS(1785),
    [anon_sym_ucfirst] = ACTIONS(1785),
    [anon_sym_untie] = ACTIONS(1785),
    [anon_sym_umask] = ACTIONS(1785),
    [anon_sym_values] = ACTIONS(1785),
    [anon_sym_write] = ACTIONS(1785),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1785),
    [anon_sym_qq] = ACTIONS(1785),
    [anon_sym_qw] = ACTIONS(1785),
    [anon_sym_qx] = ACTIONS(1785),
    [anon_sym_qr] = ACTIONS(1785),
    [anon_sym_m] = ACTIONS(1785),
    [anon_sym_s] = ACTIONS(1785),
    [anon_sym_tr] = ACTIONS(1785),
    [anon_sym_y] = ACTIONS(1785),
    [aux_sym__bareword_token1] = ACTIONS(1785),
    [sym_number] = ACTIONS(1785),
    [anon_sym_true] = ACTIONS(1785),
    [anon_sym_false] = ACTIONS(1785),
    [sym__single_quote] = ACTIONS(1792),
    [sym__double_quote] = ACTIONS(1792),
    [sym__backtick_quote] = ACTIONS(1792),
    [sym__search_slash_quote] = ACTIONS(1792),
    [sym__PERLY_HEREDOC] = ACTIONS(1792),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1792),
    [sym__filetest] = ACTIONS(1792),
  },
  [780] = {
    [sym_heredoc_content] = STATE(780),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1840),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1840),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1840),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1840),
    [anon_sym_PLUS_EQ] = ACTIONS(1840),
    [anon_sym_DASH_EQ] = ACTIONS(1840),
    [anon_sym_DOT_EQ] = ACTIONS(1840),
    [anon_sym_STAR_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_PERCENT_EQ] = ACTIONS(1840),
    [anon_sym_x_EQ] = ACTIONS(1840),
    [anon_sym_AMP_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_CARET_EQ] = ACTIONS(1840),
    [anon_sym_LT_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_GT_EQ] = ACTIONS(1840),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1840),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1840),
    [anon_sym_BANG_TILDE] = ACTIONS(1840),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1840),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1840),
    [anon_sym_equ] = ACTIONS(1840),
    [anon_sym_eqr] = ACTIONS(1840),
    [anon_sym_ne] = ACTIONS(1840),
    [anon_sym_LT_EQ_GT] = ACTIONS(1840),
    [anon_sym_cmp] = ACTIONS(1840),
    [anon_sym_TILDE_TILDE] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1840),
    [anon_sym_lt] = ACTIONS(1840),
    [anon_sym_le] = ACTIONS(1840),
    [anon_sym_ge] = ACTIONS(1840),
    [anon_sym_gt] = ACTIONS(1840),
    [anon_sym_isa] = ACTIONS(1840),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1840),
    [anon_sym_QMARK] = ACTIONS(1840),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1840),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1842),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
  },
  [781] = {
    [sym_heredoc_content] = STATE(781),
    [sym__identifier] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_COLON] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1407),
    [anon_sym_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1407),
    [anon_sym_AT] = ACTIONS(1407),
    [anon_sym_COMMA] = ACTIONS(1407),
    [anon_sym_RPAREN] = ACTIONS(1407),
    [anon_sym_my] = ACTIONS(1405),
    [anon_sym_extended] = ACTIONS(1405),
    [anon_sym_async] = ACTIONS(1405),
    [anon_sym_sub] = ACTIONS(1405),
    [anon_sym_method] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_state] = ACTIONS(1405),
    [anon_sym_our] = ACTIONS(1405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_DASH_GT] = ACTIONS(1407),
    [anon_sym_PERCENT] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [anon_sym_LT_LT] = ACTIONS(1407),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1407),
    [anon_sym_PLUS_EQ] = ACTIONS(1407),
    [anon_sym_DASH_EQ] = ACTIONS(1407),
    [anon_sym_DOT_EQ] = ACTIONS(1407),
    [anon_sym_STAR_EQ] = ACTIONS(1407),
    [anon_sym_SLASH_EQ] = ACTIONS(1407),
    [anon_sym_PERCENT_EQ] = ACTIONS(1407),
    [anon_sym_x_EQ] = ACTIONS(1407),
    [anon_sym_AMP_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_EQ] = ACTIONS(1407),
    [anon_sym_CARET_EQ] = ACTIONS(1407),
    [anon_sym_LT_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_GT_EQ] = ACTIONS(1407),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1407),
    [anon_sym_DOT_DOT] = ACTIONS(1407),
    [anon_sym_STAR_STAR] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH] = ACTIONS(1407),
    [anon_sym_CARET_CARET] = ACTIONS(1407),
    [anon_sym_AMP_AMP] = ACTIONS(1407),
    [anon_sym_PIPE] = ACTIONS(1407),
    [anon_sym_CARET] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(1407),
    [anon_sym_GT_GT2] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_DOT] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_x] = ACTIONS(1407),
    [anon_sym_EQ_TILDE] = ACTIONS(1407),
    [anon_sym_BANG_TILDE] = ACTIONS(1407),
    [anon_sym_EQ_EQ] = ACTIONS(1407),
    [anon_sym_BANG_EQ] = ACTIONS(1407),
    [anon_sym_eq] = ACTIONS(1407),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1407),
    [anon_sym_equ] = ACTIONS(1407),
    [anon_sym_eqr] = ACTIONS(1407),
    [anon_sym_ne] = ACTIONS(1407),
    [anon_sym_LT_EQ_GT] = ACTIONS(1407),
    [anon_sym_cmp] = ACTIONS(1407),
    [anon_sym_TILDE_TILDE] = ACTIONS(1407),
    [anon_sym_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1407),
    [anon_sym_lt] = ACTIONS(1407),
    [anon_sym_le] = ACTIONS(1407),
    [anon_sym_ge] = ACTIONS(1407),
    [anon_sym_gt] = ACTIONS(1407),
    [anon_sym_isa] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1407),
    [anon_sym_DASH_DASH] = ACTIONS(1407),
    [anon_sym_QMARK] = ACTIONS(1407),
    [anon_sym_BSLASH] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_eval] = ACTIONS(1405),
    [anon_sym_await] = ACTIONS(1405),
    [anon_sym_field] = ACTIONS(1405),
    [anon_sym_local] = ACTIONS(1405),
    [anon_sym_dynamically] = ACTIONS(1405),
    [anon_sym_require] = ACTIONS(1405),
    [anon_sym_map] = ACTIONS(1405),
    [anon_sym_grep] = ACTIONS(1405),
    [anon_sym_sort] = ACTIONS(1405),
    [anon_sym_goto] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_undef] = ACTIONS(1405),
    [anon_sym_PERCENT2] = ACTIONS(1407),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1405),
    [anon_sym_EQ_GT] = ACTIONS(1407),
    [anon_sym_last] = ACTIONS(1405),
    [anon_sym_next] = ACTIONS(1405),
    [anon_sym_redo] = ACTIONS(1405),
    [anon_sym___FILE__] = ACTIONS(1405),
    [anon_sym___LINE__] = ACTIONS(1405),
    [anon_sym___PACKAGE__] = ACTIONS(1405),
    [anon_sym___SUB__] = ACTIONS(1405),
    [anon_sym_break] = ACTIONS(1405),
    [anon_sym_fork] = ACTIONS(1405),
    [anon_sym_getppid] = ACTIONS(1405),
    [anon_sym_time] = ACTIONS(1405),
    [anon_sym_times] = ACTIONS(1405),
    [anon_sym_wait] = ACTIONS(1405),
    [anon_sym_wantarray] = ACTIONS(1405),
    [anon_sym_abs] = ACTIONS(1405),
    [anon_sym_alarm] = ACTIONS(1405),
    [anon_sym_chop] = ACTIONS(1405),
    [anon_sym_chdir] = ACTIONS(1405),
    [anon_sym_close] = ACTIONS(1405),
    [anon_sym_closedir] = ACTIONS(1405),
    [anon_sym_caller] = ACTIONS(1405),
    [anon_sym_chomp] = ACTIONS(1405),
    [anon_sym_chr] = ACTIONS(1405),
    [anon_sym_cos] = ACTIONS(1405),
    [anon_sym_chroot] = ACTIONS(1405),
    [anon_sym_defined] = ACTIONS(1405),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_dbmclose] = ACTIONS(1405),
    [anon_sym_exists] = ACTIONS(1405),
    [anon_sym_exit] = ACTIONS(1405),
    [anon_sym_eof] = ACTIONS(1405),
    [anon_sym_exp] = ACTIONS(1405),
    [anon_sym_each] = ACTIONS(1405),
    [anon_sym_fc] = ACTIONS(1405),
    [anon_sym_fileno] = ACTIONS(1405),
    [anon_sym_gmtime] = ACTIONS(1405),
    [anon_sym_getc] = ACTIONS(1405),
    [anon_sym_getpgrp] = ACTIONS(1405),
    [anon_sym_getprotobyname] = ACTIONS(1405),
    [anon_sym_getpwname] = ACTIONS(1405),
    [anon_sym_getpwuid] = ACTIONS(1405),
    [anon_sym_getpeername] = ACTIONS(1405),
    [anon_sym_getnetbyname] = ACTIONS(1405),
    [anon_sym_getsockname] = ACTIONS(1405),
    [anon_sym_getgrnam] = ACTIONS(1405),
    [anon_sym_getgrgid] = ACTIONS(1405),
    [anon_sym_hex] = ACTIONS(1405),
    [anon_sym_int] = ACTIONS(1405),
    [anon_sym_keys] = ACTIONS(1405),
    [anon_sym_lc] = ACTIONS(1405),
    [anon_sym_lcfirst] = ACTIONS(1405),
    [anon_sym_length] = ACTIONS(1405),
    [anon_sym_localtime] = ACTIONS(1405),
    [anon_sym_log] = ACTIONS(1405),
    [anon_sym_lock] = ACTIONS(1405),
    [anon_sym_lstat] = ACTIONS(1405),
    [anon_sym_oct] = ACTIONS(1405),
    [anon_sym_ord] = ACTIONS(1405),
    [anon_sym_prototype] = ACTIONS(1405),
    [anon_sym_pop] = ACTIONS(1405),
    [anon_sym_pos] = ACTIONS(1405),
    [anon_sym_quotemeta] = ACTIONS(1405),
    [anon_sym_reset] = ACTIONS(1405),
    [anon_sym_rand] = ACTIONS(1405),
    [anon_sym_rmdir] = ACTIONS(1405),
    [anon_sym_readdir] = ACTIONS(1405),
    [anon_sym_readline] = ACTIONS(1405),
    [anon_sym_readpipe] = ACTIONS(1405),
    [anon_sym_rewinddir] = ACTIONS(1405),
    [anon_sym_readlink] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1405),
    [anon_sym_scalar] = ACTIONS(1405),
    [anon_sym_shift] = ACTIONS(1405),
    [anon_sym_sin] = ACTIONS(1405),
    [anon_sym_sleep] = ACTIONS(1405),
    [anon_sym_sqrt] = ACTIONS(1405),
    [anon_sym_srand] = ACTIONS(1405),
    [anon_sym_stat] = ACTIONS(1405),
    [anon_sym_study] = ACTIONS(1405),
    [anon_sym_tell] = ACTIONS(1405),
    [anon_sym_telldir] = ACTIONS(1405),
    [anon_sym_tied] = ACTIONS(1405),
    [anon_sym_uc] = ACTIONS(1405),
    [anon_sym_ucfirst] = ACTIONS(1405),
    [anon_sym_untie] = ACTIONS(1405),
    [anon_sym_umask] = ACTIONS(1405),
    [anon_sym_values] = ACTIONS(1405),
    [anon_sym_write] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1405),
    [anon_sym_qq] = ACTIONS(1405),
    [anon_sym_qw] = ACTIONS(1405),
    [anon_sym_qx] = ACTIONS(1405),
    [anon_sym_qr] = ACTIONS(1405),
    [anon_sym_m] = ACTIONS(1405),
    [anon_sym_s] = ACTIONS(1405),
    [anon_sym_tr] = ACTIONS(1405),
    [anon_sym_y] = ACTIONS(1405),
    [aux_sym__bareword_token1] = ACTIONS(1405),
    [sym_number] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1405),
    [anon_sym_false] = ACTIONS(1405),
    [sym__single_quote] = ACTIONS(1403),
    [sym__double_quote] = ACTIONS(1403),
    [sym__backtick_quote] = ACTIONS(1403),
    [sym__search_slash_quote] = ACTIONS(1403),
    [sym__PERLY_HEREDOC] = ACTIONS(1403),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1403),
    [sym__filetest] = ACTIONS(1403),
  },
  [782] = {
    [sym_heredoc_content] = STATE(782),
    [sym__identifier] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1785),
    [anon_sym_SEMI] = ACTIONS(1836),
    [anon_sym_DOLLAR] = ACTIONS(1785),
    [anon_sym_EQ] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1836),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1836),
    [anon_sym_AT] = ACTIONS(1785),
    [anon_sym_COMMA] = ACTIONS(1836),
    [anon_sym_my] = ACTIONS(1785),
    [anon_sym_extended] = ACTIONS(1785),
    [anon_sym_async] = ACTIONS(1785),
    [anon_sym_sub] = ACTIONS(1785),
    [anon_sym_method] = ACTIONS(1785),
    [anon_sym_LPAREN] = ACTIONS(1785),
    [anon_sym_continue] = ACTIONS(1785),
    [anon_sym_state] = ACTIONS(1785),
    [anon_sym_our] = ACTIONS(1785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1785),
    [anon_sym_DASH_GT] = ACTIONS(1836),
    [anon_sym_PERCENT] = ACTIONS(1836),
    [anon_sym_LT] = ACTIONS(1836),
    [anon_sym_GT] = ACTIONS(1836),
    [anon_sym_LT_LT] = ACTIONS(1836),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1836),
    [anon_sym_PLUS_EQ] = ACTIONS(1836),
    [anon_sym_DASH_EQ] = ACTIONS(1836),
    [anon_sym_DOT_EQ] = ACTIONS(1836),
    [anon_sym_STAR_EQ] = ACTIONS(1836),
    [anon_sym_SLASH_EQ] = ACTIONS(1836),
    [anon_sym_PERCENT_EQ] = ACTIONS(1836),
    [anon_sym_x_EQ] = ACTIONS(1836),
    [anon_sym_AMP_EQ] = ACTIONS(1836),
    [anon_sym_PIPE_EQ] = ACTIONS(1836),
    [anon_sym_CARET_EQ] = ACTIONS(1836),
    [anon_sym_LT_LT_EQ] = ACTIONS(1836),
    [anon_sym_GT_GT_EQ] = ACTIONS(1836),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1836),
    [anon_sym_DOT_DOT] = ACTIONS(1836),
    [anon_sym_STAR_STAR] = ACTIONS(1836),
    [anon_sym_PIPE_PIPE] = ACTIONS(1836),
    [anon_sym_SLASH_SLASH] = ACTIONS(1836),
    [anon_sym_CARET_CARET] = ACTIONS(1836),
    [anon_sym_AMP_AMP] = ACTIONS(1836),
    [anon_sym_PIPE] = ACTIONS(1836),
    [anon_sym_CARET] = ACTIONS(1836),
    [anon_sym_AMP] = ACTIONS(1836),
    [anon_sym_GT_GT2] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1836),
    [anon_sym_DASH] = ACTIONS(1836),
    [anon_sym_DOT] = ACTIONS(1836),
    [anon_sym_STAR] = ACTIONS(1836),
    [anon_sym_SLASH] = ACTIONS(1836),
    [anon_sym_x] = ACTIONS(1836),
    [anon_sym_EQ_TILDE] = ACTIONS(1836),
    [anon_sym_BANG_TILDE] = ACTIONS(1836),
    [anon_sym_EQ_EQ] = ACTIONS(1836),
    [anon_sym_BANG_EQ] = ACTIONS(1836),
    [anon_sym_eq] = ACTIONS(1836),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1836),
    [anon_sym_equ] = ACTIONS(1836),
    [anon_sym_eqr] = ACTIONS(1836),
    [anon_sym_ne] = ACTIONS(1836),
    [anon_sym_LT_EQ_GT] = ACTIONS(1836),
    [anon_sym_cmp] = ACTIONS(1836),
    [anon_sym_TILDE_TILDE] = ACTIONS(1836),
    [anon_sym_LT_EQ] = ACTIONS(1836),
    [anon_sym_GT_EQ] = ACTIONS(1836),
    [anon_sym_lt] = ACTIONS(1836),
    [anon_sym_le] = ACTIONS(1836),
    [anon_sym_ge] = ACTIONS(1836),
    [anon_sym_gt] = ACTIONS(1836),
    [anon_sym_isa] = ACTIONS(1836),
    [anon_sym_TILDE] = ACTIONS(1785),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_PLUS_PLUS] = ACTIONS(1836),
    [anon_sym_DASH_DASH] = ACTIONS(1836),
    [anon_sym_QMARK] = ACTIONS(1836),
    [anon_sym_BSLASH] = ACTIONS(1792),
    [anon_sym_do] = ACTIONS(1785),
    [anon_sym_eval] = ACTIONS(1785),
    [anon_sym_await] = ACTIONS(1785),
    [anon_sym_field] = ACTIONS(1785),
    [anon_sym_local] = ACTIONS(1785),
    [anon_sym_dynamically] = ACTIONS(1785),
    [anon_sym_require] = ACTIONS(1785),
    [anon_sym_map] = ACTIONS(1785),
    [anon_sym_grep] = ACTIONS(1785),
    [anon_sym_sort] = ACTIONS(1785),
    [anon_sym_goto] = ACTIONS(1785),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_undef] = ACTIONS(1785),
    [anon_sym_PERCENT2] = ACTIONS(1785),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1785),
    [anon_sym_EQ_GT] = ACTIONS(1836),
    [anon_sym_last] = ACTIONS(1785),
    [anon_sym_next] = ACTIONS(1785),
    [anon_sym_redo] = ACTIONS(1785),
    [anon_sym___FILE__] = ACTIONS(1785),
    [anon_sym___LINE__] = ACTIONS(1785),
    [anon_sym___PACKAGE__] = ACTIONS(1785),
    [anon_sym___SUB__] = ACTIONS(1785),
    [anon_sym_break] = ACTIONS(1785),
    [anon_sym_fork] = ACTIONS(1785),
    [anon_sym_getppid] = ACTIONS(1785),
    [anon_sym_time] = ACTIONS(1785),
    [anon_sym_times] = ACTIONS(1785),
    [anon_sym_wait] = ACTIONS(1785),
    [anon_sym_wantarray] = ACTIONS(1785),
    [anon_sym_abs] = ACTIONS(1785),
    [anon_sym_alarm] = ACTIONS(1785),
    [anon_sym_chop] = ACTIONS(1785),
    [anon_sym_chdir] = ACTIONS(1785),
    [anon_sym_close] = ACTIONS(1785),
    [anon_sym_closedir] = ACTIONS(1785),
    [anon_sym_caller] = ACTIONS(1785),
    [anon_sym_chomp] = ACTIONS(1785),
    [anon_sym_chr] = ACTIONS(1785),
    [anon_sym_cos] = ACTIONS(1785),
    [anon_sym_chroot] = ACTIONS(1785),
    [anon_sym_defined] = ACTIONS(1785),
    [anon_sym_delete] = ACTIONS(1785),
    [anon_sym_dbmclose] = ACTIONS(1785),
    [anon_sym_exists] = ACTIONS(1785),
    [anon_sym_exit] = ACTIONS(1785),
    [anon_sym_eof] = ACTIONS(1785),
    [anon_sym_exp] = ACTIONS(1785),
    [anon_sym_each] = ACTIONS(1785),
    [anon_sym_fc] = ACTIONS(1785),
    [anon_sym_fileno] = ACTIONS(1785),
    [anon_sym_gmtime] = ACTIONS(1785),
    [anon_sym_getc] = ACTIONS(1785),
    [anon_sym_getpgrp] = ACTIONS(1785),
    [anon_sym_getprotobyname] = ACTIONS(1785),
    [anon_sym_getpwname] = ACTIONS(1785),
    [anon_sym_getpwuid] = ACTIONS(1785),
    [anon_sym_getpeername] = ACTIONS(1785),
    [anon_sym_getnetbyname] = ACTIONS(1785),
    [anon_sym_getsockname] = ACTIONS(1785),
    [anon_sym_getgrnam] = ACTIONS(1785),
    [anon_sym_getgrgid] = ACTIONS(1785),
    [anon_sym_hex] = ACTIONS(1785),
    [anon_sym_int] = ACTIONS(1785),
    [anon_sym_keys] = ACTIONS(1785),
    [anon_sym_lc] = ACTIONS(1785),
    [anon_sym_lcfirst] = ACTIONS(1785),
    [anon_sym_length] = ACTIONS(1785),
    [anon_sym_localtime] = ACTIONS(1785),
    [anon_sym_log] = ACTIONS(1785),
    [anon_sym_lock] = ACTIONS(1785),
    [anon_sym_lstat] = ACTIONS(1785),
    [anon_sym_oct] = ACTIONS(1785),
    [anon_sym_ord] = ACTIONS(1785),
    [anon_sym_prototype] = ACTIONS(1785),
    [anon_sym_pop] = ACTIONS(1785),
    [anon_sym_pos] = ACTIONS(1785),
    [anon_sym_quotemeta] = ACTIONS(1785),
    [anon_sym_reset] = ACTIONS(1785),
    [anon_sym_rand] = ACTIONS(1785),
    [anon_sym_rmdir] = ACTIONS(1785),
    [anon_sym_readdir] = ACTIONS(1785),
    [anon_sym_readline] = ACTIONS(1785),
    [anon_sym_readpipe] = ACTIONS(1785),
    [anon_sym_rewinddir] = ACTIONS(1785),
    [anon_sym_readlink] = ACTIONS(1785),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_scalar] = ACTIONS(1785),
    [anon_sym_shift] = ACTIONS(1785),
    [anon_sym_sin] = ACTIONS(1785),
    [anon_sym_sleep] = ACTIONS(1785),
    [anon_sym_sqrt] = ACTIONS(1785),
    [anon_sym_srand] = ACTIONS(1785),
    [anon_sym_stat] = ACTIONS(1785),
    [anon_sym_study] = ACTIONS(1785),
    [anon_sym_tell] = ACTIONS(1785),
    [anon_sym_telldir] = ACTIONS(1785),
    [anon_sym_tied] = ACTIONS(1785),
    [anon_sym_uc] = ACTIONS(1785),
    [anon_sym_ucfirst] = ACTIONS(1785),
    [anon_sym_untie] = ACTIONS(1785),
    [anon_sym_umask] = ACTIONS(1785),
    [anon_sym_values] = ACTIONS(1785),
    [anon_sym_write] = ACTIONS(1785),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1785),
    [anon_sym_qq] = ACTIONS(1785),
    [anon_sym_qw] = ACTIONS(1785),
    [anon_sym_qx] = ACTIONS(1785),
    [anon_sym_qr] = ACTIONS(1785),
    [anon_sym_m] = ACTIONS(1785),
    [anon_sym_s] = ACTIONS(1785),
    [anon_sym_tr] = ACTIONS(1785),
    [anon_sym_y] = ACTIONS(1785),
    [aux_sym__bareword_token1] = ACTIONS(1785),
    [sym_number] = ACTIONS(1785),
    [anon_sym_true] = ACTIONS(1785),
    [anon_sym_false] = ACTIONS(1785),
    [sym__single_quote] = ACTIONS(1792),
    [sym__double_quote] = ACTIONS(1792),
    [sym__backtick_quote] = ACTIONS(1792),
    [sym__search_slash_quote] = ACTIONS(1792),
    [sym__PERLY_SEMICOLON] = ACTIONS(1838),
    [sym__PERLY_HEREDOC] = ACTIONS(1792),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1792),
    [sym__filetest] = ACTIONS(1792),
  },
  [783] = {
    [sym_heredoc_content] = STATE(783),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1742),
    [anon_sym_DOLLAR] = ACTIONS(1742),
    [anon_sym_EQ] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1742),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(1742),
    [anon_sym_COMMA] = ACTIONS(1742),
    [anon_sym_RPAREN] = ACTIONS(1742),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1742),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1742),
    [anon_sym_PERCENT] = ACTIONS(1742),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_GT] = ACTIONS(1742),
    [anon_sym_LT_LT] = ACTIONS(1742),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1742),
    [anon_sym_PLUS_EQ] = ACTIONS(1742),
    [anon_sym_DASH_EQ] = ACTIONS(1742),
    [anon_sym_DOT_EQ] = ACTIONS(1742),
    [anon_sym_STAR_EQ] = ACTIONS(1742),
    [anon_sym_SLASH_EQ] = ACTIONS(1742),
    [anon_sym_PERCENT_EQ] = ACTIONS(1742),
    [anon_sym_x_EQ] = ACTIONS(1742),
    [anon_sym_AMP_EQ] = ACTIONS(1742),
    [anon_sym_PIPE_EQ] = ACTIONS(1742),
    [anon_sym_CARET_EQ] = ACTIONS(1742),
    [anon_sym_LT_LT_EQ] = ACTIONS(1742),
    [anon_sym_GT_GT_EQ] = ACTIONS(1742),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1742),
    [anon_sym_DOT_DOT] = ACTIONS(1742),
    [anon_sym_STAR_STAR] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE] = ACTIONS(1742),
    [anon_sym_SLASH_SLASH] = ACTIONS(1742),
    [anon_sym_CARET_CARET] = ACTIONS(1742),
    [anon_sym_AMP_AMP] = ACTIONS(1742),
    [anon_sym_PIPE] = ACTIONS(1742),
    [anon_sym_CARET] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_GT_GT2] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_DOT] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_SLASH] = ACTIONS(1742),
    [anon_sym_x] = ACTIONS(1742),
    [anon_sym_EQ_TILDE] = ACTIONS(1742),
    [anon_sym_BANG_TILDE] = ACTIONS(1742),
    [anon_sym_EQ_EQ] = ACTIONS(1742),
    [anon_sym_BANG_EQ] = ACTIONS(1742),
    [anon_sym_eq] = ACTIONS(1742),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1742),
    [anon_sym_equ] = ACTIONS(1742),
    [anon_sym_eqr] = ACTIONS(1742),
    [anon_sym_ne] = ACTIONS(1742),
    [anon_sym_LT_EQ_GT] = ACTIONS(1742),
    [anon_sym_cmp] = ACTIONS(1742),
    [anon_sym_TILDE_TILDE] = ACTIONS(1742),
    [anon_sym_LT_EQ] = ACTIONS(1742),
    [anon_sym_GT_EQ] = ACTIONS(1742),
    [anon_sym_lt] = ACTIONS(1742),
    [anon_sym_le] = ACTIONS(1742),
    [anon_sym_ge] = ACTIONS(1742),
    [anon_sym_gt] = ACTIONS(1742),
    [anon_sym_isa] = ACTIONS(1742),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1742),
    [anon_sym_QMARK] = ACTIONS(1742),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1742),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1742),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
  },
  [784] = {
    [sym_heredoc_content] = STATE(784),
    [sym__identifier] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1407),
    [anon_sym_DOLLAR] = ACTIONS(1405),
    [anon_sym_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1407),
    [anon_sym_AT] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1407),
    [anon_sym_my] = ACTIONS(1405),
    [anon_sym_extended] = ACTIONS(1405),
    [anon_sym_async] = ACTIONS(1405),
    [anon_sym_sub] = ACTIONS(1405),
    [anon_sym_method] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_state] = ACTIONS(1405),
    [anon_sym_our] = ACTIONS(1405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_DASH_GT] = ACTIONS(1407),
    [anon_sym_PERCENT] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [anon_sym_LT_LT] = ACTIONS(1407),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1407),
    [anon_sym_PLUS_EQ] = ACTIONS(1407),
    [anon_sym_DASH_EQ] = ACTIONS(1407),
    [anon_sym_DOT_EQ] = ACTIONS(1407),
    [anon_sym_STAR_EQ] = ACTIONS(1407),
    [anon_sym_SLASH_EQ] = ACTIONS(1407),
    [anon_sym_PERCENT_EQ] = ACTIONS(1407),
    [anon_sym_x_EQ] = ACTIONS(1407),
    [anon_sym_AMP_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_EQ] = ACTIONS(1407),
    [anon_sym_CARET_EQ] = ACTIONS(1407),
    [anon_sym_LT_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_GT_EQ] = ACTIONS(1407),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1407),
    [anon_sym_DOT_DOT] = ACTIONS(1407),
    [anon_sym_STAR_STAR] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH] = ACTIONS(1407),
    [anon_sym_CARET_CARET] = ACTIONS(1407),
    [anon_sym_AMP_AMP] = ACTIONS(1407),
    [anon_sym_PIPE] = ACTIONS(1407),
    [anon_sym_CARET] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(1407),
    [anon_sym_GT_GT2] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_DOT] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_x] = ACTIONS(1407),
    [anon_sym_EQ_TILDE] = ACTIONS(1407),
    [anon_sym_BANG_TILDE] = ACTIONS(1407),
    [anon_sym_EQ_EQ] = ACTIONS(1407),
    [anon_sym_BANG_EQ] = ACTIONS(1407),
    [anon_sym_eq] = ACTIONS(1407),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1407),
    [anon_sym_equ] = ACTIONS(1407),
    [anon_sym_eqr] = ACTIONS(1407),
    [anon_sym_ne] = ACTIONS(1407),
    [anon_sym_LT_EQ_GT] = ACTIONS(1407),
    [anon_sym_cmp] = ACTIONS(1407),
    [anon_sym_TILDE_TILDE] = ACTIONS(1407),
    [anon_sym_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1407),
    [anon_sym_lt] = ACTIONS(1407),
    [anon_sym_le] = ACTIONS(1407),
    [anon_sym_ge] = ACTIONS(1407),
    [anon_sym_gt] = ACTIONS(1407),
    [anon_sym_isa] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1407),
    [anon_sym_DASH_DASH] = ACTIONS(1407),
    [anon_sym_QMARK] = ACTIONS(1407),
    [anon_sym_BSLASH] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_eval] = ACTIONS(1405),
    [anon_sym_await] = ACTIONS(1405),
    [anon_sym_field] = ACTIONS(1405),
    [anon_sym_local] = ACTIONS(1405),
    [anon_sym_dynamically] = ACTIONS(1405),
    [anon_sym_require] = ACTIONS(1405),
    [anon_sym_map] = ACTIONS(1405),
    [anon_sym_grep] = ACTIONS(1405),
    [anon_sym_sort] = ACTIONS(1405),
    [anon_sym_goto] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_undef] = ACTIONS(1405),
    [anon_sym_PERCENT2] = ACTIONS(1405),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1405),
    [anon_sym_EQ_GT] = ACTIONS(1407),
    [anon_sym_last] = ACTIONS(1405),
    [anon_sym_next] = ACTIONS(1405),
    [anon_sym_redo] = ACTIONS(1405),
    [anon_sym___FILE__] = ACTIONS(1405),
    [anon_sym___LINE__] = ACTIONS(1405),
    [anon_sym___PACKAGE__] = ACTIONS(1405),
    [anon_sym___SUB__] = ACTIONS(1405),
    [anon_sym_break] = ACTIONS(1405),
    [anon_sym_fork] = ACTIONS(1405),
    [anon_sym_getppid] = ACTIONS(1405),
    [anon_sym_time] = ACTIONS(1405),
    [anon_sym_times] = ACTIONS(1405),
    [anon_sym_wait] = ACTIONS(1405),
    [anon_sym_wantarray] = ACTIONS(1405),
    [anon_sym_abs] = ACTIONS(1405),
    [anon_sym_alarm] = ACTIONS(1405),
    [anon_sym_chop] = ACTIONS(1405),
    [anon_sym_chdir] = ACTIONS(1405),
    [anon_sym_close] = ACTIONS(1405),
    [anon_sym_closedir] = ACTIONS(1405),
    [anon_sym_caller] = ACTIONS(1405),
    [anon_sym_chomp] = ACTIONS(1405),
    [anon_sym_chr] = ACTIONS(1405),
    [anon_sym_cos] = ACTIONS(1405),
    [anon_sym_chroot] = ACTIONS(1405),
    [anon_sym_defined] = ACTIONS(1405),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_dbmclose] = ACTIONS(1405),
    [anon_sym_exists] = ACTIONS(1405),
    [anon_sym_exit] = ACTIONS(1405),
    [anon_sym_eof] = ACTIONS(1405),
    [anon_sym_exp] = ACTIONS(1405),
    [anon_sym_each] = ACTIONS(1405),
    [anon_sym_fc] = ACTIONS(1405),
    [anon_sym_fileno] = ACTIONS(1405),
    [anon_sym_gmtime] = ACTIONS(1405),
    [anon_sym_getc] = ACTIONS(1405),
    [anon_sym_getpgrp] = ACTIONS(1405),
    [anon_sym_getprotobyname] = ACTIONS(1405),
    [anon_sym_getpwname] = ACTIONS(1405),
    [anon_sym_getpwuid] = ACTIONS(1405),
    [anon_sym_getpeername] = ACTIONS(1405),
    [anon_sym_getnetbyname] = ACTIONS(1405),
    [anon_sym_getsockname] = ACTIONS(1405),
    [anon_sym_getgrnam] = ACTIONS(1405),
    [anon_sym_getgrgid] = ACTIONS(1405),
    [anon_sym_hex] = ACTIONS(1405),
    [anon_sym_int] = ACTIONS(1405),
    [anon_sym_keys] = ACTIONS(1405),
    [anon_sym_lc] = ACTIONS(1405),
    [anon_sym_lcfirst] = ACTIONS(1405),
    [anon_sym_length] = ACTIONS(1405),
    [anon_sym_localtime] = ACTIONS(1405),
    [anon_sym_log] = ACTIONS(1405),
    [anon_sym_lock] = ACTIONS(1405),
    [anon_sym_lstat] = ACTIONS(1405),
    [anon_sym_oct] = ACTIONS(1405),
    [anon_sym_ord] = ACTIONS(1405),
    [anon_sym_prototype] = ACTIONS(1405),
    [anon_sym_pop] = ACTIONS(1405),
    [anon_sym_pos] = ACTIONS(1405),
    [anon_sym_quotemeta] = ACTIONS(1405),
    [anon_sym_reset] = ACTIONS(1405),
    [anon_sym_rand] = ACTIONS(1405),
    [anon_sym_rmdir] = ACTIONS(1405),
    [anon_sym_readdir] = ACTIONS(1405),
    [anon_sym_readline] = ACTIONS(1405),
    [anon_sym_readpipe] = ACTIONS(1405),
    [anon_sym_rewinddir] = ACTIONS(1405),
    [anon_sym_readlink] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1405),
    [anon_sym_scalar] = ACTIONS(1405),
    [anon_sym_shift] = ACTIONS(1405),
    [anon_sym_sin] = ACTIONS(1405),
    [anon_sym_sleep] = ACTIONS(1405),
    [anon_sym_sqrt] = ACTIONS(1405),
    [anon_sym_srand] = ACTIONS(1405),
    [anon_sym_stat] = ACTIONS(1405),
    [anon_sym_study] = ACTIONS(1405),
    [anon_sym_tell] = ACTIONS(1405),
    [anon_sym_telldir] = ACTIONS(1405),
    [anon_sym_tied] = ACTIONS(1405),
    [anon_sym_uc] = ACTIONS(1405),
    [anon_sym_ucfirst] = ACTIONS(1405),
    [anon_sym_untie] = ACTIONS(1405),
    [anon_sym_umask] = ACTIONS(1405),
    [anon_sym_values] = ACTIONS(1405),
    [anon_sym_write] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1405),
    [anon_sym_qq] = ACTIONS(1405),
    [anon_sym_qw] = ACTIONS(1405),
    [anon_sym_qx] = ACTIONS(1405),
    [anon_sym_qr] = ACTIONS(1405),
    [anon_sym_m] = ACTIONS(1405),
    [anon_sym_s] = ACTIONS(1405),
    [anon_sym_tr] = ACTIONS(1405),
    [anon_sym_y] = ACTIONS(1405),
    [aux_sym__bareword_token1] = ACTIONS(1405),
    [sym_number] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1405),
    [anon_sym_false] = ACTIONS(1405),
    [sym__single_quote] = ACTIONS(1403),
    [sym__double_quote] = ACTIONS(1403),
    [sym__backtick_quote] = ACTIONS(1403),
    [sym__search_slash_quote] = ACTIONS(1403),
    [sym__PERLY_SEMICOLON] = ACTIONS(1409),
    [sym__PERLY_HEREDOC] = ACTIONS(1403),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1403),
    [sym__filetest] = ACTIONS(1403),
  },
  [785] = {
    [sym_heredoc_content] = STATE(785),
    [sym__identifier] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1781),
    [anon_sym_DOLLAR] = ACTIONS(1781),
    [anon_sym_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(1781),
    [anon_sym_COMMA] = ACTIONS(1781),
    [anon_sym_my] = ACTIONS(1781),
    [anon_sym_extended] = ACTIONS(1781),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_sub] = ACTIONS(1781),
    [anon_sym_method] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1781),
    [anon_sym_continue] = ACTIONS(1781),
    [anon_sym_state] = ACTIONS(1781),
    [anon_sym_our] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1781),
    [anon_sym_DASH_GT] = ACTIONS(1781),
    [anon_sym_PERCENT] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1781),
    [anon_sym_PLUS_EQ] = ACTIONS(1781),
    [anon_sym_DASH_EQ] = ACTIONS(1781),
    [anon_sym_DOT_EQ] = ACTIONS(1781),
    [anon_sym_STAR_EQ] = ACTIONS(1781),
    [anon_sym_SLASH_EQ] = ACTIONS(1781),
    [anon_sym_PERCENT_EQ] = ACTIONS(1781),
    [anon_sym_x_EQ] = ACTIONS(1781),
    [anon_sym_AMP_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_EQ] = ACTIONS(1781),
    [anon_sym_CARET_EQ] = ACTIONS(1781),
    [anon_sym_LT_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_GT_EQ] = ACTIONS(1781),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1781),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_STAR_STAR] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_CARET_CARET] = ACTIONS(1781),
    [anon_sym_AMP_AMP] = ACTIONS(1781),
    [anon_sym_PIPE] = ACTIONS(1781),
    [anon_sym_CARET] = ACTIONS(1781),
    [anon_sym_AMP] = ACTIONS(1781),
    [anon_sym_GT_GT2] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_x] = ACTIONS(1781),
    [anon_sym_EQ_TILDE] = ACTIONS(1781),
    [anon_sym_BANG_TILDE] = ACTIONS(1781),
    [anon_sym_EQ_EQ] = ACTIONS(1781),
    [anon_sym_BANG_EQ] = ACTIONS(1781),
    [anon_sym_eq] = ACTIONS(1781),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1781),
    [anon_sym_equ] = ACTIONS(1781),
    [anon_sym_eqr] = ACTIONS(1781),
    [anon_sym_ne] = ACTIONS(1781),
    [anon_sym_LT_EQ_GT] = ACTIONS(1781),
    [anon_sym_cmp] = ACTIONS(1781),
    [anon_sym_TILDE_TILDE] = ACTIONS(1781),
    [anon_sym_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_EQ] = ACTIONS(1781),
    [anon_sym_lt] = ACTIONS(1781),
    [anon_sym_le] = ACTIONS(1781),
    [anon_sym_ge] = ACTIONS(1781),
    [anon_sym_gt] = ACTIONS(1781),
    [anon_sym_isa] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_BANG] = ACTIONS(1781),
    [anon_sym_PLUS_PLUS] = ACTIONS(1781),
    [anon_sym_DASH_DASH] = ACTIONS(1781),
    [anon_sym_QMARK] = ACTIONS(1781),
    [anon_sym_BSLASH] = ACTIONS(1783),
    [anon_sym_do] = ACTIONS(1781),
    [anon_sym_eval] = ACTIONS(1781),
    [anon_sym_await] = ACTIONS(1781),
    [anon_sym_field] = ACTIONS(1781),
    [anon_sym_local] = ACTIONS(1781),
    [anon_sym_dynamically] = ACTIONS(1781),
    [anon_sym_require] = ACTIONS(1781),
    [anon_sym_map] = ACTIONS(1781),
    [anon_sym_grep] = ACTIONS(1781),
    [anon_sym_sort] = ACTIONS(1781),
    [anon_sym_goto] = ACTIONS(1781),
    [anon_sym_return] = ACTIONS(1781),
    [anon_sym_undef] = ACTIONS(1781),
    [anon_sym_PERCENT2] = ACTIONS(1781),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1781),
    [anon_sym_EQ_GT] = ACTIONS(1781),
    [anon_sym_last] = ACTIONS(1781),
    [anon_sym_next] = ACTIONS(1781),
    [anon_sym_redo] = ACTIONS(1781),
    [anon_sym___FILE__] = ACTIONS(1781),
    [anon_sym___LINE__] = ACTIONS(1781),
    [anon_sym___PACKAGE__] = ACTIONS(1781),
    [anon_sym___SUB__] = ACTIONS(1781),
    [anon_sym_break] = ACTIONS(1781),
    [anon_sym_fork] = ACTIONS(1781),
    [anon_sym_getppid] = ACTIONS(1781),
    [anon_sym_time] = ACTIONS(1781),
    [anon_sym_times] = ACTIONS(1781),
    [anon_sym_wait] = ACTIONS(1781),
    [anon_sym_wantarray] = ACTIONS(1781),
    [anon_sym_abs] = ACTIONS(1781),
    [anon_sym_alarm] = ACTIONS(1781),
    [anon_sym_chop] = ACTIONS(1781),
    [anon_sym_chdir] = ACTIONS(1781),
    [anon_sym_close] = ACTIONS(1781),
    [anon_sym_closedir] = ACTIONS(1781),
    [anon_sym_caller] = ACTIONS(1781),
    [anon_sym_chomp] = ACTIONS(1781),
    [anon_sym_chr] = ACTIONS(1781),
    [anon_sym_cos] = ACTIONS(1781),
    [anon_sym_chroot] = ACTIONS(1781),
    [anon_sym_defined] = ACTIONS(1781),
    [anon_sym_delete] = ACTIONS(1781),
    [anon_sym_dbmclose] = ACTIONS(1781),
    [anon_sym_exists] = ACTIONS(1781),
    [anon_sym_exit] = ACTIONS(1781),
    [anon_sym_eof] = ACTIONS(1781),
    [anon_sym_exp] = ACTIONS(1781),
    [anon_sym_each] = ACTIONS(1781),
    [anon_sym_fc] = ACTIONS(1781),
    [anon_sym_fileno] = ACTIONS(1781),
    [anon_sym_gmtime] = ACTIONS(1781),
    [anon_sym_getc] = ACTIONS(1781),
    [anon_sym_getpgrp] = ACTIONS(1781),
    [anon_sym_getprotobyname] = ACTIONS(1781),
    [anon_sym_getpwname] = ACTIONS(1781),
    [anon_sym_getpwuid] = ACTIONS(1781),
    [anon_sym_getpeername] = ACTIONS(1781),
    [anon_sym_getnetbyname] = ACTIONS(1781),
    [anon_sym_getsockname] = ACTIONS(1781),
    [anon_sym_getgrnam] = ACTIONS(1781),
    [anon_sym_getgrgid] = ACTIONS(1781),
    [anon_sym_hex] = ACTIONS(1781),
    [anon_sym_int] = ACTIONS(1781),
    [anon_sym_keys] = ACTIONS(1781),
    [anon_sym_lc] = ACTIONS(1781),
    [anon_sym_lcfirst] = ACTIONS(1781),
    [anon_sym_length] = ACTIONS(1781),
    [anon_sym_localtime] = ACTIONS(1781),
    [anon_sym_log] = ACTIONS(1781),
    [anon_sym_lock] = ACTIONS(1781),
    [anon_sym_lstat] = ACTIONS(1781),
    [anon_sym_oct] = ACTIONS(1781),
    [anon_sym_ord] = ACTIONS(1781),
    [anon_sym_prototype] = ACTIONS(1781),
    [anon_sym_pop] = ACTIONS(1781),
    [anon_sym_pos] = ACTIONS(1781),
    [anon_sym_quotemeta] = ACTIONS(1781),
    [anon_sym_reset] = ACTIONS(1781),
    [anon_sym_rand] = ACTIONS(1781),
    [anon_sym_rmdir] = ACTIONS(1781),
    [anon_sym_readdir] = ACTIONS(1781),
    [anon_sym_readline] = ACTIONS(1781),
    [anon_sym_readpipe] = ACTIONS(1781),
    [anon_sym_rewinddir] = ACTIONS(1781),
    [anon_sym_readlink] = ACTIONS(1781),
    [anon_sym_ref] = ACTIONS(1781),
    [anon_sym_scalar] = ACTIONS(1781),
    [anon_sym_shift] = ACTIONS(1781),
    [anon_sym_sin] = ACTIONS(1781),
    [anon_sym_sleep] = ACTIONS(1781),
    [anon_sym_sqrt] = ACTIONS(1781),
    [anon_sym_srand] = ACTIONS(1781),
    [anon_sym_stat] = ACTIONS(1781),
    [anon_sym_study] = ACTIONS(1781),
    [anon_sym_tell] = ACTIONS(1781),
    [anon_sym_telldir] = ACTIONS(1781),
    [anon_sym_tied] = ACTIONS(1781),
    [anon_sym_uc] = ACTIONS(1781),
    [anon_sym_ucfirst] = ACTIONS(1781),
    [anon_sym_untie] = ACTIONS(1781),
    [anon_sym_umask] = ACTIONS(1781),
    [anon_sym_values] = ACTIONS(1781),
    [anon_sym_write] = ACTIONS(1781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1781),
    [anon_sym_qq] = ACTIONS(1781),
    [anon_sym_qw] = ACTIONS(1781),
    [anon_sym_qx] = ACTIONS(1781),
    [anon_sym_qr] = ACTIONS(1781),
    [anon_sym_m] = ACTIONS(1781),
    [anon_sym_s] = ACTIONS(1781),
    [anon_sym_tr] = ACTIONS(1781),
    [anon_sym_y] = ACTIONS(1781),
    [aux_sym__bareword_token1] = ACTIONS(1781),
    [sym_number] = ACTIONS(1781),
    [anon_sym_true] = ACTIONS(1781),
    [anon_sym_false] = ACTIONS(1781),
    [sym__single_quote] = ACTIONS(1783),
    [sym__double_quote] = ACTIONS(1783),
    [sym__backtick_quote] = ACTIONS(1783),
    [sym__search_slash_quote] = ACTIONS(1783),
    [sym__PERLY_SEMICOLON] = ACTIONS(1783),
    [sym__PERLY_HEREDOC] = ACTIONS(1783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1783),
    [sym__filetest] = ACTIONS(1783),
  },
  [786] = {
    [sym_heredoc_content] = STATE(786),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1840),
    [anon_sym_DOLLAR] = ACTIONS(1840),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_AT] = ACTIONS(1840),
    [anon_sym_COMMA] = ACTIONS(1840),
    [anon_sym_RPAREN] = ACTIONS(1840),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1840),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1840),
    [anon_sym_PLUS_EQ] = ACTIONS(1840),
    [anon_sym_DASH_EQ] = ACTIONS(1840),
    [anon_sym_DOT_EQ] = ACTIONS(1840),
    [anon_sym_STAR_EQ] = ACTIONS(1840),
    [anon_sym_SLASH_EQ] = ACTIONS(1840),
    [anon_sym_PERCENT_EQ] = ACTIONS(1840),
    [anon_sym_x_EQ] = ACTIONS(1840),
    [anon_sym_AMP_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_CARET_EQ] = ACTIONS(1840),
    [anon_sym_LT_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_GT_EQ] = ACTIONS(1840),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1840),
    [anon_sym_DOT_DOT] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(1840),
    [anon_sym_CARET_CARET] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_GT2] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_x] = ACTIONS(1840),
    [anon_sym_EQ_TILDE] = ACTIONS(1840),
    [anon_sym_BANG_TILDE] = ACTIONS(1840),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1840),
    [anon_sym_eq] = ACTIONS(1840),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1840),
    [anon_sym_equ] = ACTIONS(1840),
    [anon_sym_eqr] = ACTIONS(1840),
    [anon_sym_ne] = ACTIONS(1840),
    [anon_sym_LT_EQ_GT] = ACTIONS(1840),
    [anon_sym_cmp] = ACTIONS(1840),
    [anon_sym_TILDE_TILDE] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1840),
    [anon_sym_lt] = ACTIONS(1840),
    [anon_sym_le] = ACTIONS(1840),
    [anon_sym_ge] = ACTIONS(1840),
    [anon_sym_gt] = ACTIONS(1840),
    [anon_sym_isa] = ACTIONS(1840),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1840),
    [anon_sym_QMARK] = ACTIONS(1840),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1840),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1840),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
  },
  [787] = {
    [sym_heredoc_content] = STATE(787),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1742),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1742),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1742),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1742),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1742),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1742),
    [anon_sym_PERCENT] = ACTIONS(1742),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_GT] = ACTIONS(1742),
    [anon_sym_LT_LT] = ACTIONS(1742),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1742),
    [anon_sym_PLUS_EQ] = ACTIONS(1742),
    [anon_sym_DASH_EQ] = ACTIONS(1742),
    [anon_sym_DOT_EQ] = ACTIONS(1742),
    [anon_sym_STAR_EQ] = ACTIONS(1742),
    [anon_sym_SLASH_EQ] = ACTIONS(1742),
    [anon_sym_PERCENT_EQ] = ACTIONS(1742),
    [anon_sym_x_EQ] = ACTIONS(1742),
    [anon_sym_AMP_EQ] = ACTIONS(1742),
    [anon_sym_PIPE_EQ] = ACTIONS(1742),
    [anon_sym_CARET_EQ] = ACTIONS(1742),
    [anon_sym_LT_LT_EQ] = ACTIONS(1742),
    [anon_sym_GT_GT_EQ] = ACTIONS(1742),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1742),
    [anon_sym_DOT_DOT] = ACTIONS(1742),
    [anon_sym_STAR_STAR] = ACTIONS(1742),
    [anon_sym_PIPE_PIPE] = ACTIONS(1742),
    [anon_sym_SLASH_SLASH] = ACTIONS(1742),
    [anon_sym_CARET_CARET] = ACTIONS(1742),
    [anon_sym_AMP_AMP] = ACTIONS(1742),
    [anon_sym_PIPE] = ACTIONS(1742),
    [anon_sym_CARET] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_GT_GT2] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_DOT] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_SLASH] = ACTIONS(1742),
    [anon_sym_x] = ACTIONS(1742),
    [anon_sym_EQ_TILDE] = ACTIONS(1742),
    [anon_sym_BANG_TILDE] = ACTIONS(1742),
    [anon_sym_EQ_EQ] = ACTIONS(1742),
    [anon_sym_BANG_EQ] = ACTIONS(1742),
    [anon_sym_eq] = ACTIONS(1742),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1742),
    [anon_sym_equ] = ACTIONS(1742),
    [anon_sym_eqr] = ACTIONS(1742),
    [anon_sym_ne] = ACTIONS(1742),
    [anon_sym_LT_EQ_GT] = ACTIONS(1742),
    [anon_sym_cmp] = ACTIONS(1742),
    [anon_sym_TILDE_TILDE] = ACTIONS(1742),
    [anon_sym_LT_EQ] = ACTIONS(1742),
    [anon_sym_GT_EQ] = ACTIONS(1742),
    [anon_sym_lt] = ACTIONS(1742),
    [anon_sym_le] = ACTIONS(1742),
    [anon_sym_ge] = ACTIONS(1742),
    [anon_sym_gt] = ACTIONS(1742),
    [anon_sym_isa] = ACTIONS(1742),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1742),
    [anon_sym_DASH_DASH] = ACTIONS(1742),
    [anon_sym_QMARK] = ACTIONS(1742),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1742),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1834),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
  },
  [788] = {
    [sym_heredoc_content] = STATE(788),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_COLON] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1746),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1746),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_RPAREN] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1746),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
  },
  [789] = {
    [sym_heredoc_content] = STATE(789),
    [sym__identifier] = ACTIONS(1740),
    [anon_sym_LBRACE] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym_DOLLAR] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_AT] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym_my] = ACTIONS(1740),
    [anon_sym_extended] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_sub] = ACTIONS(1740),
    [anon_sym_method] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_state] = ACTIONS(1740),
    [anon_sym_our] = ACTIONS(1740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym_DASH_GT] = ACTIONS(1744),
    [anon_sym_PERCENT] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1744),
    [anon_sym_PLUS_EQ] = ACTIONS(1744),
    [anon_sym_DASH_EQ] = ACTIONS(1744),
    [anon_sym_DOT_EQ] = ACTIONS(1744),
    [anon_sym_STAR_EQ] = ACTIONS(1744),
    [anon_sym_SLASH_EQ] = ACTIONS(1744),
    [anon_sym_PERCENT_EQ] = ACTIONS(1744),
    [anon_sym_x_EQ] = ACTIONS(1744),
    [anon_sym_AMP_EQ] = ACTIONS(1744),
    [anon_sym_PIPE_EQ] = ACTIONS(1744),
    [anon_sym_CARET_EQ] = ACTIONS(1744),
    [anon_sym_LT_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_GT_EQ] = ACTIONS(1744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1744),
    [anon_sym_DOT_DOT] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_PIPE_PIPE] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(1746),
    [anon_sym_CARET_CARET] = ACTIONS(1744),
    [anon_sym_AMP_AMP] = ACTIONS(1744),
    [anon_sym_PIPE] = ACTIONS(1744),
    [anon_sym_CARET] = ACTIONS(1744),
    [anon_sym_AMP] = ACTIONS(1744),
    [anon_sym_GT_GT2] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym_x] = ACTIONS(1744),
    [anon_sym_EQ_TILDE] = ACTIONS(1744),
    [anon_sym_BANG_TILDE] = ACTIONS(1744),
    [anon_sym_EQ_EQ] = ACTIONS(1744),
    [anon_sym_BANG_EQ] = ACTIONS(1744),
    [anon_sym_eq] = ACTIONS(1744),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1744),
    [anon_sym_equ] = ACTIONS(1744),
    [anon_sym_eqr] = ACTIONS(1744),
    [anon_sym_ne] = ACTIONS(1744),
    [anon_sym_LT_EQ_GT] = ACTIONS(1744),
    [anon_sym_cmp] = ACTIONS(1744),
    [anon_sym_TILDE_TILDE] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_lt] = ACTIONS(1744),
    [anon_sym_le] = ACTIONS(1744),
    [anon_sym_ge] = ACTIONS(1744),
    [anon_sym_gt] = ACTIONS(1744),
    [anon_sym_isa] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(1740),
    [anon_sym_BANG] = ACTIONS(1740),
    [anon_sym_PLUS_PLUS] = ACTIONS(1746),
    [anon_sym_DASH_DASH] = ACTIONS(1746),
    [anon_sym_QMARK] = ACTIONS(1744),
    [anon_sym_BSLASH] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1740),
    [anon_sym_eval] = ACTIONS(1740),
    [anon_sym_await] = ACTIONS(1740),
    [anon_sym_field] = ACTIONS(1740),
    [anon_sym_local] = ACTIONS(1740),
    [anon_sym_dynamically] = ACTIONS(1740),
    [anon_sym_require] = ACTIONS(1740),
    [anon_sym_map] = ACTIONS(1740),
    [anon_sym_grep] = ACTIONS(1740),
    [anon_sym_sort] = ACTIONS(1740),
    [anon_sym_goto] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_undef] = ACTIONS(1740),
    [anon_sym_PERCENT2] = ACTIONS(1740),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1740),
    [anon_sym_EQ_GT] = ACTIONS(1744),
    [anon_sym_last] = ACTIONS(1740),
    [anon_sym_next] = ACTIONS(1740),
    [anon_sym_redo] = ACTIONS(1740),
    [anon_sym___FILE__] = ACTIONS(1740),
    [anon_sym___LINE__] = ACTIONS(1740),
    [anon_sym___PACKAGE__] = ACTIONS(1740),
    [anon_sym___SUB__] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_fork] = ACTIONS(1740),
    [anon_sym_getppid] = ACTIONS(1740),
    [anon_sym_time] = ACTIONS(1740),
    [anon_sym_times] = ACTIONS(1740),
    [anon_sym_wait] = ACTIONS(1740),
    [anon_sym_wantarray] = ACTIONS(1740),
    [anon_sym_abs] = ACTIONS(1740),
    [anon_sym_alarm] = ACTIONS(1740),
    [anon_sym_chop] = ACTIONS(1740),
    [anon_sym_chdir] = ACTIONS(1740),
    [anon_sym_close] = ACTIONS(1740),
    [anon_sym_closedir] = ACTIONS(1740),
    [anon_sym_caller] = ACTIONS(1740),
    [anon_sym_chomp] = ACTIONS(1740),
    [anon_sym_chr] = ACTIONS(1740),
    [anon_sym_cos] = ACTIONS(1740),
    [anon_sym_chroot] = ACTIONS(1740),
    [anon_sym_defined] = ACTIONS(1740),
    [anon_sym_delete] = ACTIONS(1740),
    [anon_sym_dbmclose] = ACTIONS(1740),
    [anon_sym_exists] = ACTIONS(1740),
    [anon_sym_exit] = ACTIONS(1740),
    [anon_sym_eof] = ACTIONS(1740),
    [anon_sym_exp] = ACTIONS(1740),
    [anon_sym_each] = ACTIONS(1740),
    [anon_sym_fc] = ACTIONS(1740),
    [anon_sym_fileno] = ACTIONS(1740),
    [anon_sym_gmtime] = ACTIONS(1740),
    [anon_sym_getc] = ACTIONS(1740),
    [anon_sym_getpgrp] = ACTIONS(1740),
    [anon_sym_getprotobyname] = ACTIONS(1740),
    [anon_sym_getpwname] = ACTIONS(1740),
    [anon_sym_getpwuid] = ACTIONS(1740),
    [anon_sym_getpeername] = ACTIONS(1740),
    [anon_sym_getnetbyname] = ACTIONS(1740),
    [anon_sym_getsockname] = ACTIONS(1740),
    [anon_sym_getgrnam] = ACTIONS(1740),
    [anon_sym_getgrgid] = ACTIONS(1740),
    [anon_sym_hex] = ACTIONS(1740),
    [anon_sym_int] = ACTIONS(1740),
    [anon_sym_keys] = ACTIONS(1740),
    [anon_sym_lc] = ACTIONS(1740),
    [anon_sym_lcfirst] = ACTIONS(1740),
    [anon_sym_length] = ACTIONS(1740),
    [anon_sym_localtime] = ACTIONS(1740),
    [anon_sym_log] = ACTIONS(1740),
    [anon_sym_lock] = ACTIONS(1740),
    [anon_sym_lstat] = ACTIONS(1740),
    [anon_sym_oct] = ACTIONS(1740),
    [anon_sym_ord] = ACTIONS(1740),
    [anon_sym_prototype] = ACTIONS(1740),
    [anon_sym_pop] = ACTIONS(1740),
    [anon_sym_pos] = ACTIONS(1740),
    [anon_sym_quotemeta] = ACTIONS(1740),
    [anon_sym_reset] = ACTIONS(1740),
    [anon_sym_rand] = ACTIONS(1740),
    [anon_sym_rmdir] = ACTIONS(1740),
    [anon_sym_readdir] = ACTIONS(1740),
    [anon_sym_readline] = ACTIONS(1740),
    [anon_sym_readpipe] = ACTIONS(1740),
    [anon_sym_rewinddir] = ACTIONS(1740),
    [anon_sym_readlink] = ACTIONS(1740),
    [anon_sym_ref] = ACTIONS(1740),
    [anon_sym_scalar] = ACTIONS(1740),
    [anon_sym_shift] = ACTIONS(1740),
    [anon_sym_sin] = ACTIONS(1740),
    [anon_sym_sleep] = ACTIONS(1740),
    [anon_sym_sqrt] = ACTIONS(1740),
    [anon_sym_srand] = ACTIONS(1740),
    [anon_sym_stat] = ACTIONS(1740),
    [anon_sym_study] = ACTIONS(1740),
    [anon_sym_tell] = ACTIONS(1740),
    [anon_sym_telldir] = ACTIONS(1740),
    [anon_sym_tied] = ACTIONS(1740),
    [anon_sym_uc] = ACTIONS(1740),
    [anon_sym_ucfirst] = ACTIONS(1740),
    [anon_sym_untie] = ACTIONS(1740),
    [anon_sym_umask] = ACTIONS(1740),
    [anon_sym_values] = ACTIONS(1740),
    [anon_sym_write] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1740),
    [anon_sym_qq] = ACTIONS(1740),
    [anon_sym_qw] = ACTIONS(1740),
    [anon_sym_qx] = ACTIONS(1740),
    [anon_sym_qr] = ACTIONS(1740),
    [anon_sym_m] = ACTIONS(1740),
    [anon_sym_s] = ACTIONS(1740),
    [anon_sym_tr] = ACTIONS(1740),
    [anon_sym_y] = ACTIONS(1740),
    [aux_sym__bareword_token1] = ACTIONS(1740),
    [sym_number] = ACTIONS(1740),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [sym__single_quote] = ACTIONS(1749),
    [sym__double_quote] = ACTIONS(1749),
    [sym__backtick_quote] = ACTIONS(1749),
    [sym__search_slash_quote] = ACTIONS(1749),
    [sym__PERLY_SEMICOLON] = ACTIONS(1751),
    [sym__PERLY_HEREDOC] = ACTIONS(1749),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1749),
    [sym__filetest] = ACTIONS(1749),
  },
  [790] = {
    [sym__else] = STATE(873),
    [sym_else] = STATE(874),
    [sym_elsif] = STATE(874),
    [sym_heredoc_content] = STATE(790),
    [ts_builtin_sym_end] = ACTIONS(1850),
    [sym__identifier] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1852),
    [anon_sym_SEMI] = ACTIONS(1852),
    [anon_sym_package] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1852),
    [anon_sym_role] = ACTIONS(1852),
    [anon_sym_BUILD] = ACTIONS(1852),
    [anon_sym_ADJUST] = ACTIONS(1852),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_AT] = ACTIONS(1852),
    [anon_sym_my] = ACTIONS(1852),
    [anon_sym_extended] = ACTIONS(1852),
    [anon_sym_async] = ACTIONS(1852),
    [anon_sym_sub] = ACTIONS(1852),
    [anon_sym_method] = ACTIONS(1852),
    [anon_sym_LPAREN] = ACTIONS(1852),
    [anon_sym_continue] = ACTIONS(1852),
    [anon_sym_state] = ACTIONS(1852),
    [anon_sym_our] = ACTIONS(1852),
    [anon_sym_try] = ACTIONS(1852),
    [anon_sym_defer] = ACTIONS(1852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1852),
    [anon_sym_else] = ACTIONS(1854),
    [anon_sym_elsif] = ACTIONS(1856),
    [anon_sym_LBRACK] = ACTIONS(1852),
    [anon_sym_LT] = ACTIONS(1852),
    [anon_sym_LT_LT] = ACTIONS(1852),
    [anon_sym_SLASH_SLASH] = ACTIONS(1852),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1852),
    [anon_sym_STAR] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_PLUS_PLUS] = ACTIONS(1852),
    [anon_sym_DASH_DASH] = ACTIONS(1852),
    [anon_sym_BSLASH] = ACTIONS(1850),
    [anon_sym_do] = ACTIONS(1852),
    [anon_sym_eval] = ACTIONS(1852),
    [anon_sym_await] = ACTIONS(1852),
    [anon_sym_field] = ACTIONS(1852),
    [anon_sym_local] = ACTIONS(1852),
    [anon_sym_dynamically] = ACTIONS(1852),
    [anon_sym_require] = ACTIONS(1852),
    [anon_sym_map] = ACTIONS(1852),
    [anon_sym_grep] = ACTIONS(1852),
    [anon_sym_sort] = ACTIONS(1852),
    [anon_sym_goto] = ACTIONS(1852),
    [anon_sym_return] = ACTIONS(1852),
    [anon_sym_undef] = ACTIONS(1852),
    [anon_sym_PERCENT2] = ACTIONS(1852),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1852),
    [anon_sym_use] = ACTIONS(1852),
    [anon_sym_no] = ACTIONS(1852),
    [anon_sym_for] = ACTIONS(1852),
    [anon_sym_foreach] = ACTIONS(1852),
    [anon_sym_last] = ACTIONS(1852),
    [anon_sym_next] = ACTIONS(1852),
    [anon_sym_redo] = ACTIONS(1852),
    [anon_sym_BEGIN] = ACTIONS(1852),
    [anon_sym_INIT] = ACTIONS(1852),
    [anon_sym_CHECK] = ACTIONS(1852),
    [anon_sym_UNITCHECK] = ACTIONS(1852),
    [anon_sym_END] = ACTIONS(1852),
    [anon_sym___FILE__] = ACTIONS(1852),
    [anon_sym___LINE__] = ACTIONS(1852),
    [anon_sym___PACKAGE__] = ACTIONS(1852),
    [anon_sym___SUB__] = ACTIONS(1852),
    [anon_sym_break] = ACTIONS(1852),
    [anon_sym_fork] = ACTIONS(1852),
    [anon_sym_getppid] = ACTIONS(1852),
    [anon_sym_time] = ACTIONS(1852),
    [anon_sym_times] = ACTIONS(1852),
    [anon_sym_wait] = ACTIONS(1852),
    [anon_sym_wantarray] = ACTIONS(1852),
    [anon_sym_abs] = ACTIONS(1852),
    [anon_sym_alarm] = ACTIONS(1852),
    [anon_sym_chop] = ACTIONS(1852),
    [anon_sym_chdir] = ACTIONS(1852),
    [anon_sym_close] = ACTIONS(1852),
    [anon_sym_closedir] = ACTIONS(1852),
    [anon_sym_caller] = ACTIONS(1852),
    [anon_sym_chomp] = ACTIONS(1852),
    [anon_sym_chr] = ACTIONS(1852),
    [anon_sym_cos] = ACTIONS(1852),
    [anon_sym_chroot] = ACTIONS(1852),
    [anon_sym_defined] = ACTIONS(1852),
    [anon_sym_delete] = ACTIONS(1852),
    [anon_sym_dbmclose] = ACTIONS(1852),
    [anon_sym_exists] = ACTIONS(1852),
    [anon_sym_exit] = ACTIONS(1852),
    [anon_sym_eof] = ACTIONS(1852),
    [anon_sym_exp] = ACTIONS(1852),
    [anon_sym_each] = ACTIONS(1852),
    [anon_sym_fc] = ACTIONS(1852),
    [anon_sym_fileno] = ACTIONS(1852),
    [anon_sym_gmtime] = ACTIONS(1852),
    [anon_sym_getc] = ACTIONS(1852),
    [anon_sym_getpgrp] = ACTIONS(1852),
    [anon_sym_getprotobyname] = ACTIONS(1852),
    [anon_sym_getpwname] = ACTIONS(1852),
    [anon_sym_getpwuid] = ACTIONS(1852),
    [anon_sym_getpeername] = ACTIONS(1852),
    [anon_sym_getnetbyname] = ACTIONS(1852),
    [anon_sym_getsockname] = ACTIONS(1852),
    [anon_sym_getgrnam] = ACTIONS(1852),
    [anon_sym_getgrgid] = ACTIONS(1852),
    [anon_sym_hex] = ACTIONS(1852),
    [anon_sym_int] = ACTIONS(1852),
    [anon_sym_keys] = ACTIONS(1852),
    [anon_sym_lc] = ACTIONS(1852),
    [anon_sym_lcfirst] = ACTIONS(1852),
    [anon_sym_length] = ACTIONS(1852),
    [anon_sym_localtime] = ACTIONS(1852),
    [anon_sym_log] = ACTIONS(1852),
    [anon_sym_lock] = ACTIONS(1852),
    [anon_sym_lstat] = ACTIONS(1852),
    [anon_sym_oct] = ACTIONS(1852),
    [anon_sym_ord] = ACTIONS(1852),
    [anon_sym_prototype] = ACTIONS(1852),
    [anon_sym_pop] = ACTIONS(1852),
    [anon_sym_pos] = ACTIONS(1852),
    [anon_sym_quotemeta] = ACTIONS(1852),
    [anon_sym_reset] = ACTIONS(1852),
    [anon_sym_rand] = ACTIONS(1852),
    [anon_sym_rmdir] = ACTIONS(1852),
    [anon_sym_readdir] = ACTIONS(1852),
    [anon_sym_readline] = ACTIONS(1852),
    [anon_sym_readpipe] = ACTIONS(1852),
    [anon_sym_rewinddir] = ACTIONS(1852),
    [anon_sym_readlink] = ACTIONS(1852),
    [anon_sym_ref] = ACTIONS(1852),
    [anon_sym_scalar] = ACTIONS(1852),
    [anon_sym_shift] = ACTIONS(1852),
    [anon_sym_sin] = ACTIONS(1852),
    [anon_sym_sleep] = ACTIONS(1852),
    [anon_sym_sqrt] = ACTIONS(1852),
    [anon_sym_srand] = ACTIONS(1852),
    [anon_sym_stat] = ACTIONS(1852),
    [anon_sym_study] = ACTIONS(1852),
    [anon_sym_tell] = ACTIONS(1852),
    [anon_sym_telldir] = ACTIONS(1852),
    [anon_sym_tied] = ACTIONS(1852),
    [anon_sym_uc] = ACTIONS(1852),
    [anon_sym_ucfirst] = ACTIONS(1852),
    [anon_sym_untie] = ACTIONS(1852),
    [anon_sym_umask] = ACTIONS(1852),
    [anon_sym_values] = ACTIONS(1852),
    [anon_sym_write] = ACTIONS(1852),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1852),
    [anon_sym___END__] = ACTIONS(1852),
    [anon_sym_EOT] = ACTIONS(1852),
    [anon_sym_q] = ACTIONS(1852),
    [anon_sym_qq] = ACTIONS(1852),
    [anon_sym_qw] = ACTIONS(1852),
    [anon_sym_qx] = ACTIONS(1852),
    [anon_sym_qr] = ACTIONS(1852),
    [anon_sym_m] = ACTIONS(1852),
    [anon_sym_s] = ACTIONS(1852),
    [anon_sym_tr] = ACTIONS(1852),
    [anon_sym_y] = ACTIONS(1852),
    [anon_sym_if] = ACTIONS(1852),
    [anon_sym_unless] = ACTIONS(1852),
    [anon_sym_while] = ACTIONS(1852),
    [anon_sym_until] = ACTIONS(1852),
    [aux_sym__bareword_token1] = ACTIONS(1852),
    [sym_number] = ACTIONS(1852),
    [anon_sym_true] = ACTIONS(1852),
    [anon_sym_false] = ACTIONS(1852),
    [sym__single_quote] = ACTIONS(1850),
    [sym__double_quote] = ACTIONS(1850),
    [sym__backtick_quote] = ACTIONS(1850),
    [sym__search_slash_quote] = ACTIONS(1850),
    [sym__PERLY_HEREDOC] = ACTIONS(1850),
    [sym__ctrl_z_hack] = ACTIONS(1850),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1850),
    [sym__filetest] = ACTIONS(1850),
  },
  [791] = {
    [sym__else] = STATE(821),
    [sym_else] = STATE(874),
    [sym_elsif] = STATE(874),
    [sym_heredoc_content] = STATE(791),
    [ts_builtin_sym_end] = ACTIONS(1858),
    [sym__identifier] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1860),
    [anon_sym_package] = ACTIONS(1860),
    [anon_sym_class] = ACTIONS(1860),
    [anon_sym_role] = ACTIONS(1860),
    [anon_sym_BUILD] = ACTIONS(1860),
    [anon_sym_ADJUST] = ACTIONS(1860),
    [anon_sym_DOLLAR] = ACTIONS(1860),
    [anon_sym_AT] = ACTIONS(1860),
    [anon_sym_my] = ACTIONS(1860),
    [anon_sym_extended] = ACTIONS(1860),
    [anon_sym_async] = ACTIONS(1860),
    [anon_sym_sub] = ACTIONS(1860),
    [anon_sym_method] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1860),
    [anon_sym_continue] = ACTIONS(1860),
    [anon_sym_state] = ACTIONS(1860),
    [anon_sym_our] = ACTIONS(1860),
    [anon_sym_try] = ACTIONS(1860),
    [anon_sym_defer] = ACTIONS(1860),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1860),
    [anon_sym_else] = ACTIONS(1854),
    [anon_sym_elsif] = ACTIONS(1856),
    [anon_sym_LBRACK] = ACTIONS(1860),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_SLASH_SLASH] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_TILDE] = ACTIONS(1860),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_BSLASH] = ACTIONS(1858),
    [anon_sym_do] = ACTIONS(1860),
    [anon_sym_eval] = ACTIONS(1860),
    [anon_sym_await] = ACTIONS(1860),
    [anon_sym_field] = ACTIONS(1860),
    [anon_sym_local] = ACTIONS(1860),
    [anon_sym_dynamically] = ACTIONS(1860),
    [anon_sym_require] = ACTIONS(1860),
    [anon_sym_map] = ACTIONS(1860),
    [anon_sym_grep] = ACTIONS(1860),
    [anon_sym_sort] = ACTIONS(1860),
    [anon_sym_goto] = ACTIONS(1860),
    [anon_sym_return] = ACTIONS(1860),
    [anon_sym_undef] = ACTIONS(1860),
    [anon_sym_PERCENT2] = ACTIONS(1860),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1860),
    [anon_sym_use] = ACTIONS(1860),
    [anon_sym_no] = ACTIONS(1860),
    [anon_sym_for] = ACTIONS(1860),
    [anon_sym_foreach] = ACTIONS(1860),
    [anon_sym_last] = ACTIONS(1860),
    [anon_sym_next] = ACTIONS(1860),
    [anon_sym_redo] = ACTIONS(1860),
    [anon_sym_BEGIN] = ACTIONS(1860),
    [anon_sym_INIT] = ACTIONS(1860),
    [anon_sym_CHECK] = ACTIONS(1860),
    [anon_sym_UNITCHECK] = ACTIONS(1860),
    [anon_sym_END] = ACTIONS(1860),
    [anon_sym___FILE__] = ACTIONS(1860),
    [anon_sym___LINE__] = ACTIONS(1860),
    [anon_sym___PACKAGE__] = ACTIONS(1860),
    [anon_sym___SUB__] = ACTIONS(1860),
    [anon_sym_break] = ACTIONS(1860),
    [anon_sym_fork] = ACTIONS(1860),
    [anon_sym_getppid] = ACTIONS(1860),
    [anon_sym_time] = ACTIONS(1860),
    [anon_sym_times] = ACTIONS(1860),
    [anon_sym_wait] = ACTIONS(1860),
    [anon_sym_wantarray] = ACTIONS(1860),
    [anon_sym_abs] = ACTIONS(1860),
    [anon_sym_alarm] = ACTIONS(1860),
    [anon_sym_chop] = ACTIONS(1860),
    [anon_sym_chdir] = ACTIONS(1860),
    [anon_sym_close] = ACTIONS(1860),
    [anon_sym_closedir] = ACTIONS(1860),
    [anon_sym_caller] = ACTIONS(1860),
    [anon_sym_chomp] = ACTIONS(1860),
    [anon_sym_chr] = ACTIONS(1860),
    [anon_sym_cos] = ACTIONS(1860),
    [anon_sym_chroot] = ACTIONS(1860),
    [anon_sym_defined] = ACTIONS(1860),
    [anon_sym_delete] = ACTIONS(1860),
    [anon_sym_dbmclose] = ACTIONS(1860),
    [anon_sym_exists] = ACTIONS(1860),
    [anon_sym_exit] = ACTIONS(1860),
    [anon_sym_eof] = ACTIONS(1860),
    [anon_sym_exp] = ACTIONS(1860),
    [anon_sym_each] = ACTIONS(1860),
    [anon_sym_fc] = ACTIONS(1860),
    [anon_sym_fileno] = ACTIONS(1860),
    [anon_sym_gmtime] = ACTIONS(1860),
    [anon_sym_getc] = ACTIONS(1860),
    [anon_sym_getpgrp] = ACTIONS(1860),
    [anon_sym_getprotobyname] = ACTIONS(1860),
    [anon_sym_getpwname] = ACTIONS(1860),
    [anon_sym_getpwuid] = ACTIONS(1860),
    [anon_sym_getpeername] = ACTIONS(1860),
    [anon_sym_getnetbyname] = ACTIONS(1860),
    [anon_sym_getsockname] = ACTIONS(1860),
    [anon_sym_getgrnam] = ACTIONS(1860),
    [anon_sym_getgrgid] = ACTIONS(1860),
    [anon_sym_hex] = ACTIONS(1860),
    [anon_sym_int] = ACTIONS(1860),
    [anon_sym_keys] = ACTIONS(1860),
    [anon_sym_lc] = ACTIONS(1860),
    [anon_sym_lcfirst] = ACTIONS(1860),
    [anon_sym_length] = ACTIONS(1860),
    [anon_sym_localtime] = ACTIONS(1860),
    [anon_sym_log] = ACTIONS(1860),
    [anon_sym_lock] = ACTIONS(1860),
    [anon_sym_lstat] = ACTIONS(1860),
    [anon_sym_oct] = ACTIONS(1860),
    [anon_sym_ord] = ACTIONS(1860),
    [anon_sym_prototype] = ACTIONS(1860),
    [anon_sym_pop] = ACTIONS(1860),
    [anon_sym_pos] = ACTIONS(1860),
    [anon_sym_quotemeta] = ACTIONS(1860),
    [anon_sym_reset] = ACTIONS(1860),
    [anon_sym_rand] = ACTIONS(1860),
    [anon_sym_rmdir] = ACTIONS(1860),
    [anon_sym_readdir] = ACTIONS(1860),
    [anon_sym_readline] = ACTIONS(1860),
    [anon_sym_readpipe] = ACTIONS(1860),
    [anon_sym_rewinddir] = ACTIONS(1860),
    [anon_sym_readlink] = ACTIONS(1860),
    [anon_sym_ref] = ACTIONS(1860),
    [anon_sym_scalar] = ACTIONS(1860),
    [anon_sym_shift] = ACTIONS(1860),
    [anon_sym_sin] = ACTIONS(1860),
    [anon_sym_sleep] = ACTIONS(1860),
    [anon_sym_sqrt] = ACTIONS(1860),
    [anon_sym_srand] = ACTIONS(1860),
    [anon_sym_stat] = ACTIONS(1860),
    [anon_sym_study] = ACTIONS(1860),
    [anon_sym_tell] = ACTIONS(1860),
    [anon_sym_telldir] = ACTIONS(1860),
    [anon_sym_tied] = ACTIONS(1860),
    [anon_sym_uc] = ACTIONS(1860),
    [anon_sym_ucfirst] = ACTIONS(1860),
    [anon_sym_untie] = ACTIONS(1860),
    [anon_sym_umask] = ACTIONS(1860),
    [anon_sym_values] = ACTIONS(1860),
    [anon_sym_write] = ACTIONS(1860),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1860),
    [anon_sym___END__] = ACTIONS(1860),
    [anon_sym_EOT] = ACTIONS(1860),
    [anon_sym_q] = ACTIONS(1860),
    [anon_sym_qq] = ACTIONS(1860),
    [anon_sym_qw] = ACTIONS(1860),
    [anon_sym_qx] = ACTIONS(1860),
    [anon_sym_qr] = ACTIONS(1860),
    [anon_sym_m] = ACTIONS(1860),
    [anon_sym_s] = ACTIONS(1860),
    [anon_sym_tr] = ACTIONS(1860),
    [anon_sym_y] = ACTIONS(1860),
    [anon_sym_if] = ACTIONS(1860),
    [anon_sym_unless] = ACTIONS(1860),
    [anon_sym_while] = ACTIONS(1860),
    [anon_sym_until] = ACTIONS(1860),
    [aux_sym__bareword_token1] = ACTIONS(1860),
    [sym_number] = ACTIONS(1860),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym__single_quote] = ACTIONS(1858),
    [sym__double_quote] = ACTIONS(1858),
    [sym__backtick_quote] = ACTIONS(1858),
    [sym__search_slash_quote] = ACTIONS(1858),
    [sym__PERLY_HEREDOC] = ACTIONS(1858),
    [sym__ctrl_z_hack] = ACTIONS(1858),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1858),
    [sym__filetest] = ACTIONS(1858),
  },
  [792] = {
    [sym_heredoc_content] = STATE(792),
    [ts_builtin_sym_end] = ACTIONS(1403),
    [sym__identifier] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [anon_sym_package] = ACTIONS(1405),
    [anon_sym_class] = ACTIONS(1405),
    [anon_sym_role] = ACTIONS(1405),
    [anon_sym_BUILD] = ACTIONS(1405),
    [anon_sym_ADJUST] = ACTIONS(1405),
    [anon_sym_DOLLAR] = ACTIONS(1405),
    [anon_sym_AT] = ACTIONS(1405),
    [anon_sym_my] = ACTIONS(1405),
    [anon_sym_extended] = ACTIONS(1405),
    [anon_sym_async] = ACTIONS(1405),
    [anon_sym_sub] = ACTIONS(1405),
    [anon_sym_method] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_state] = ACTIONS(1405),
    [anon_sym_our] = ACTIONS(1405),
    [anon_sym_try] = ACTIONS(1405),
    [anon_sym_defer] = ACTIONS(1405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1405),
    [anon_sym_else] = ACTIONS(1405),
    [anon_sym_elsif] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_TILDE] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1405),
    [anon_sym_DASH_DASH] = ACTIONS(1405),
    [anon_sym_BSLASH] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_eval] = ACTIONS(1405),
    [anon_sym_await] = ACTIONS(1405),
    [anon_sym_field] = ACTIONS(1405),
    [anon_sym_local] = ACTIONS(1405),
    [anon_sym_dynamically] = ACTIONS(1405),
    [anon_sym_require] = ACTIONS(1405),
    [anon_sym_map] = ACTIONS(1405),
    [anon_sym_grep] = ACTIONS(1405),
    [anon_sym_sort] = ACTIONS(1405),
    [anon_sym_goto] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_undef] = ACTIONS(1405),
    [anon_sym_PERCENT2] = ACTIONS(1405),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1405),
    [anon_sym_use] = ACTIONS(1405),
    [anon_sym_no] = ACTIONS(1405),
    [anon_sym_for] = ACTIONS(1405),
    [anon_sym_foreach] = ACTIONS(1405),
    [anon_sym_last] = ACTIONS(1405),
    [anon_sym_next] = ACTIONS(1405),
    [anon_sym_redo] = ACTIONS(1405),
    [anon_sym_BEGIN] = ACTIONS(1405),
    [anon_sym_INIT] = ACTIONS(1405),
    [anon_sym_CHECK] = ACTIONS(1405),
    [anon_sym_UNITCHECK] = ACTIONS(1405),
    [anon_sym_END] = ACTIONS(1405),
    [anon_sym___FILE__] = ACTIONS(1405),
    [anon_sym___LINE__] = ACTIONS(1405),
    [anon_sym___PACKAGE__] = ACTIONS(1405),
    [anon_sym___SUB__] = ACTIONS(1405),
    [anon_sym_break] = ACTIONS(1405),
    [anon_sym_fork] = ACTIONS(1405),
    [anon_sym_getppid] = ACTIONS(1405),
    [anon_sym_time] = ACTIONS(1405),
    [anon_sym_times] = ACTIONS(1405),
    [anon_sym_wait] = ACTIONS(1405),
    [anon_sym_wantarray] = ACTIONS(1405),
    [anon_sym_abs] = ACTIONS(1405),
    [anon_sym_alarm] = ACTIONS(1405),
    [anon_sym_chop] = ACTIONS(1405),
    [anon_sym_chdir] = ACTIONS(1405),
    [anon_sym_close] = ACTIONS(1405),
    [anon_sym_closedir] = ACTIONS(1405),
    [anon_sym_caller] = ACTIONS(1405),
    [anon_sym_chomp] = ACTIONS(1405),
    [anon_sym_chr] = ACTIONS(1405),
    [anon_sym_cos] = ACTIONS(1405),
    [anon_sym_chroot] = ACTIONS(1405),
    [anon_sym_defined] = ACTIONS(1405),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_dbmclose] = ACTIONS(1405),
    [anon_sym_exists] = ACTIONS(1405),
    [anon_sym_exit] = ACTIONS(1405),
    [anon_sym_eof] = ACTIONS(1405),
    [anon_sym_exp] = ACTIONS(1405),
    [anon_sym_each] = ACTIONS(1405),
    [anon_sym_fc] = ACTIONS(1405),
    [anon_sym_fileno] = ACTIONS(1405),
    [anon_sym_gmtime] = ACTIONS(1405),
    [anon_sym_getc] = ACTIONS(1405),
    [anon_sym_getpgrp] = ACTIONS(1405),
    [anon_sym_getprotobyname] = ACTIONS(1405),
    [anon_sym_getpwname] = ACTIONS(1405),
    [anon_sym_getpwuid] = ACTIONS(1405),
    [anon_sym_getpeername] = ACTIONS(1405),
    [anon_sym_getnetbyname] = ACTIONS(1405),
    [anon_sym_getsockname] = ACTIONS(1405),
    [anon_sym_getgrnam] = ACTIONS(1405),
    [anon_sym_getgrgid] = ACTIONS(1405),
    [anon_sym_hex] = ACTIONS(1405),
    [anon_sym_int] = ACTIONS(1405),
    [anon_sym_keys] = ACTIONS(1405),
    [anon_sym_lc] = ACTIONS(1405),
    [anon_sym_lcfirst] = ACTIONS(1405),
    [anon_sym_length] = ACTIONS(1405),
    [anon_sym_localtime] = ACTIONS(1405),
    [anon_sym_log] = ACTIONS(1405),
    [anon_sym_lock] = ACTIONS(1405),
    [anon_sym_lstat] = ACTIONS(1405),
    [anon_sym_oct] = ACTIONS(1405),
    [anon_sym_ord] = ACTIONS(1405),
    [anon_sym_prototype] = ACTIONS(1405),
    [anon_sym_pop] = ACTIONS(1405),
    [anon_sym_pos] = ACTIONS(1405),
    [anon_sym_quotemeta] = ACTIONS(1405),
    [anon_sym_reset] = ACTIONS(1405),
    [anon_sym_rand] = ACTIONS(1405),
    [anon_sym_rmdir] = ACTIONS(1405),
    [anon_sym_readdir] = ACTIONS(1405),
    [anon_sym_readline] = ACTIONS(1405),
    [anon_sym_readpipe] = ACTIONS(1405),
    [anon_sym_rewinddir] = ACTIONS(1405),
    [anon_sym_readlink] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1405),
    [anon_sym_scalar] = ACTIONS(1405),
    [anon_sym_shift] = ACTIONS(1405),
    [anon_sym_sin] = ACTIONS(1405),
    [anon_sym_sleep] = ACTIONS(1405),
    [anon_sym_sqrt] = ACTIONS(1405),
    [anon_sym_srand] = ACTIONS(1405),
    [anon_sym_stat] = ACTIONS(1405),
    [anon_sym_study] = ACTIONS(1405),
    [anon_sym_tell] = ACTIONS(1405),
    [anon_sym_telldir] = ACTIONS(1405),
    [anon_sym_tied] = ACTIONS(1405),
    [anon_sym_uc] = ACTIONS(1405),
    [anon_sym_ucfirst] = ACTIONS(1405),
    [anon_sym_untie] = ACTIONS(1405),
    [anon_sym_umask] = ACTIONS(1405),
    [anon_sym_values] = ACTIONS(1405),
    [anon_sym_write] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1405),
    [anon_sym___END__] = ACTIONS(1405),
    [anon_sym_EOT] = ACTIONS(1405),
    [anon_sym_q] = ACTIONS(1405),
    [anon_sym_qq] = ACTIONS(1405),
    [anon_sym_qw] = ACTIONS(1405),
    [anon_sym_qx] = ACTIONS(1405),
    [anon_sym_qr] = ACTIONS(1405),
    [anon_sym_m] = ACTIONS(1405),
    [anon_sym_s] = ACTIONS(1405),
    [anon_sym_tr] = ACTIONS(1405),
    [anon_sym_y] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_unless] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1405),
    [anon_sym_until] = ACTIONS(1405),
    [aux_sym__bareword_token1] = ACTIONS(1405),
    [sym_number] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1405),
    [anon_sym_false] = ACTIONS(1405),
    [sym__single_quote] = ACTIONS(1403),
    [sym__double_quote] = ACTIONS(1403),
    [sym__backtick_quote] = ACTIONS(1403),
    [sym__search_slash_quote] = ACTIONS(1403),
    [sym__PERLY_HEREDOC] = ACTIONS(1403),
    [sym__ctrl_z_hack] = ACTIONS(1403),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1403),
    [sym__filetest] = ACTIONS(1403),
  },
  [793] = {
    [sym_heredoc_content] = STATE(793),
    [ts_builtin_sym_end] = ACTIONS(1862),
    [sym__identifier] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(1864),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_package] = ACTIONS(1864),
    [anon_sym_class] = ACTIONS(1864),
    [anon_sym_role] = ACTIONS(1864),
    [anon_sym_BUILD] = ACTIONS(1864),
    [anon_sym_ADJUST] = ACTIONS(1864),
    [anon_sym_DOLLAR] = ACTIONS(1864),
    [anon_sym_AT] = ACTIONS(1864),
    [anon_sym_my] = ACTIONS(1864),
    [anon_sym_extended] = ACTIONS(1864),
    [anon_sym_async] = ACTIONS(1864),
    [anon_sym_sub] = ACTIONS(1864),
    [anon_sym_method] = ACTIONS(1864),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_continue] = ACTIONS(1864),
    [anon_sym_state] = ACTIONS(1864),
    [anon_sym_our] = ACTIONS(1864),
    [anon_sym_try] = ACTIONS(1864),
    [anon_sym_catch] = ACTIONS(1866),
    [anon_sym_finally] = ACTIONS(1868),
    [anon_sym_defer] = ACTIONS(1864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1864),
    [anon_sym_LT_LT] = ACTIONS(1864),
    [anon_sym_SLASH_SLASH] = ACTIONS(1864),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_DASH] = ACTIONS(1864),
    [anon_sym_STAR] = ACTIONS(1864),
    [anon_sym_TILDE] = ACTIONS(1864),
    [anon_sym_BANG] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [anon_sym_BSLASH] = ACTIONS(1862),
    [anon_sym_do] = ACTIONS(1864),
    [anon_sym_eval] = ACTIONS(1864),
    [anon_sym_await] = ACTIONS(1864),
    [anon_sym_field] = ACTIONS(1864),
    [anon_sym_local] = ACTIONS(1864),
    [anon_sym_dynamically] = ACTIONS(1864),
    [anon_sym_require] = ACTIONS(1864),
    [anon_sym_map] = ACTIONS(1864),
    [anon_sym_grep] = ACTIONS(1864),
    [anon_sym_sort] = ACTIONS(1864),
    [anon_sym_goto] = ACTIONS(1864),
    [anon_sym_return] = ACTIONS(1864),
    [anon_sym_undef] = ACTIONS(1864),
    [anon_sym_PERCENT2] = ACTIONS(1864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1864),
    [anon_sym_use] = ACTIONS(1864),
    [anon_sym_no] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(1864),
    [anon_sym_foreach] = ACTIONS(1864),
    [anon_sym_last] = ACTIONS(1864),
    [anon_sym_next] = ACTIONS(1864),
    [anon_sym_redo] = ACTIONS(1864),
    [anon_sym_BEGIN] = ACTIONS(1864),
    [anon_sym_INIT] = ACTIONS(1864),
    [anon_sym_CHECK] = ACTIONS(1864),
    [anon_sym_UNITCHECK] = ACTIONS(1864),
    [anon_sym_END] = ACTIONS(1864),
    [anon_sym___FILE__] = ACTIONS(1864),
    [anon_sym___LINE__] = ACTIONS(1864),
    [anon_sym___PACKAGE__] = ACTIONS(1864),
    [anon_sym___SUB__] = ACTIONS(1864),
    [anon_sym_break] = ACTIONS(1864),
    [anon_sym_fork] = ACTIONS(1864),
    [anon_sym_getppid] = ACTIONS(1864),
    [anon_sym_time] = ACTIONS(1864),
    [anon_sym_times] = ACTIONS(1864),
    [anon_sym_wait] = ACTIONS(1864),
    [anon_sym_wantarray] = ACTIONS(1864),
    [anon_sym_abs] = ACTIONS(1864),
    [anon_sym_alarm] = ACTIONS(1864),
    [anon_sym_chop] = ACTIONS(1864),
    [anon_sym_chdir] = ACTIONS(1864),
    [anon_sym_close] = ACTIONS(1864),
    [anon_sym_closedir] = ACTIONS(1864),
    [anon_sym_caller] = ACTIONS(1864),
    [anon_sym_chomp] = ACTIONS(1864),
    [anon_sym_chr] = ACTIONS(1864),
    [anon_sym_cos] = ACTIONS(1864),
    [anon_sym_chroot] = ACTIONS(1864),
    [anon_sym_defined] = ACTIONS(1864),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_dbmclose] = ACTIONS(1864),
    [anon_sym_exists] = ACTIONS(1864),
    [anon_sym_exit] = ACTIONS(1864),
    [anon_sym_eof] = ACTIONS(1864),
    [anon_sym_exp] = ACTIONS(1864),
    [anon_sym_each] = ACTIONS(1864),
    [anon_sym_fc] = ACTIONS(1864),
    [anon_sym_fileno] = ACTIONS(1864),
    [anon_sym_gmtime] = ACTIONS(1864),
    [anon_sym_getc] = ACTIONS(1864),
    [anon_sym_getpgrp] = ACTIONS(1864),
    [anon_sym_getprotobyname] = ACTIONS(1864),
    [anon_sym_getpwname] = ACTIONS(1864),
    [anon_sym_getpwuid] = ACTIONS(1864),
    [anon_sym_getpeername] = ACTIONS(1864),
    [anon_sym_getnetbyname] = ACTIONS(1864),
    [anon_sym_getsockname] = ACTIONS(1864),
    [anon_sym_getgrnam] = ACTIONS(1864),
    [anon_sym_getgrgid] = ACTIONS(1864),
    [anon_sym_hex] = ACTIONS(1864),
    [anon_sym_int] = ACTIONS(1864),
    [anon_sym_keys] = ACTIONS(1864),
    [anon_sym_lc] = ACTIONS(1864),
    [anon_sym_lcfirst] = ACTIONS(1864),
    [anon_sym_length] = ACTIONS(1864),
    [anon_sym_localtime] = ACTIONS(1864),
    [anon_sym_log] = ACTIONS(1864),
    [anon_sym_lock] = ACTIONS(1864),
    [anon_sym_lstat] = ACTIONS(1864),
    [anon_sym_oct] = ACTIONS(1864),
    [anon_sym_ord] = ACTIONS(1864),
    [anon_sym_prototype] = ACTIONS(1864),
    [anon_sym_pop] = ACTIONS(1864),
    [anon_sym_pos] = ACTIONS(1864),
    [anon_sym_quotemeta] = ACTIONS(1864),
    [anon_sym_reset] = ACTIONS(1864),
    [anon_sym_rand] = ACTIONS(1864),
    [anon_sym_rmdir] = ACTIONS(1864),
    [anon_sym_readdir] = ACTIONS(1864),
    [anon_sym_readline] = ACTIONS(1864),
    [anon_sym_readpipe] = ACTIONS(1864),
    [anon_sym_rewinddir] = ACTIONS(1864),
    [anon_sym_readlink] = ACTIONS(1864),
    [anon_sym_ref] = ACTIONS(1864),
    [anon_sym_scalar] = ACTIONS(1864),
    [anon_sym_shift] = ACTIONS(1864),
    [anon_sym_sin] = ACTIONS(1864),
    [anon_sym_sleep] = ACTIONS(1864),
    [anon_sym_sqrt] = ACTIONS(1864),
    [anon_sym_srand] = ACTIONS(1864),
    [anon_sym_stat] = ACTIONS(1864),
    [anon_sym_study] = ACTIONS(1864),
    [anon_sym_tell] = ACTIONS(1864),
    [anon_sym_telldir] = ACTIONS(1864),
    [anon_sym_tied] = ACTIONS(1864),
    [anon_sym_uc] = ACTIONS(1864),
    [anon_sym_ucfirst] = ACTIONS(1864),
    [anon_sym_untie] = ACTIONS(1864),
    [anon_sym_umask] = ACTIONS(1864),
    [anon_sym_values] = ACTIONS(1864),
    [anon_sym_write] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1864),
    [anon_sym___END__] = ACTIONS(1864),
    [anon_sym_EOT] = ACTIONS(1864),
    [anon_sym_q] = ACTIONS(1864),
    [anon_sym_qq] = ACTIONS(1864),
    [anon_sym_qw] = ACTIONS(1864),
    [anon_sym_qx] = ACTIONS(1864),
    [anon_sym_qr] = ACTIONS(1864),
    [anon_sym_m] = ACTIONS(1864),
    [anon_sym_s] = ACTIONS(1864),
    [anon_sym_tr] = ACTIONS(1864),
    [anon_sym_y] = ACTIONS(1864),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_unless] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1864),
    [anon_sym_until] = ACTIONS(1864),
    [aux_sym__bareword_token1] = ACTIONS(1864),
    [sym_number] = ACTIONS(1864),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym__single_quote] = ACTIONS(1862),
    [sym__double_quote] = ACTIONS(1862),
    [sym__backtick_quote] = ACTIONS(1862),
    [sym__search_slash_quote] = ACTIONS(1862),
    [sym__PERLY_HEREDOC] = ACTIONS(1862),
    [sym__ctrl_z_hack] = ACTIONS(1862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1862),
    [sym__filetest] = ACTIONS(1862),
  },
  [794] = {
    [sym_heredoc_content] = STATE(794),
    [ts_builtin_sym_end] = ACTIONS(1403),
    [sym__identifier] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [anon_sym_package] = ACTIONS(1405),
    [anon_sym_class] = ACTIONS(1405),
    [anon_sym_role] = ACTIONS(1405),
    [anon_sym_BUILD] = ACTIONS(1405),
    [anon_sym_ADJUST] = ACTIONS(1405),
    [anon_sym_DOLLAR] = ACTIONS(1405),
    [anon_sym_AT] = ACTIONS(1405),
    [anon_sym_my] = ACTIONS(1405),
    [anon_sym_extended] = ACTIONS(1405),
    [anon_sym_async] = ACTIONS(1405),
    [anon_sym_sub] = ACTIONS(1405),
    [anon_sym_method] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_state] = ACTIONS(1405),
    [anon_sym_our] = ACTIONS(1405),
    [anon_sym_try] = ACTIONS(1405),
    [anon_sym_catch] = ACTIONS(1405),
    [anon_sym_finally] = ACTIONS(1405),
    [anon_sym_defer] = ACTIONS(1405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_TILDE] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1405),
    [anon_sym_DASH_DASH] = ACTIONS(1405),
    [anon_sym_BSLASH] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_eval] = ACTIONS(1405),
    [anon_sym_await] = ACTIONS(1405),
    [anon_sym_field] = ACTIONS(1405),
    [anon_sym_local] = ACTIONS(1405),
    [anon_sym_dynamically] = ACTIONS(1405),
    [anon_sym_require] = ACTIONS(1405),
    [anon_sym_map] = ACTIONS(1405),
    [anon_sym_grep] = ACTIONS(1405),
    [anon_sym_sort] = ACTIONS(1405),
    [anon_sym_goto] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_undef] = ACTIONS(1405),
    [anon_sym_PERCENT2] = ACTIONS(1405),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1405),
    [anon_sym_use] = ACTIONS(1405),
    [anon_sym_no] = ACTIONS(1405),
    [anon_sym_for] = ACTIONS(1405),
    [anon_sym_foreach] = ACTIONS(1405),
    [anon_sym_last] = ACTIONS(1405),
    [anon_sym_next] = ACTIONS(1405),
    [anon_sym_redo] = ACTIONS(1405),
    [anon_sym_BEGIN] = ACTIONS(1405),
    [anon_sym_INIT] = ACTIONS(1405),
    [anon_sym_CHECK] = ACTIONS(1405),
    [anon_sym_UNITCHECK] = ACTIONS(1405),
    [anon_sym_END] = ACTIONS(1405),
    [anon_sym___FILE__] = ACTIONS(1405),
    [anon_sym___LINE__] = ACTIONS(1405),
    [anon_sym___PACKAGE__] = ACTIONS(1405),
    [anon_sym___SUB__] = ACTIONS(1405),
    [anon_sym_break] = ACTIONS(1405),
    [anon_sym_fork] = ACTIONS(1405),
    [anon_sym_getppid] = ACTIONS(1405),
    [anon_sym_time] = ACTIONS(1405),
    [anon_sym_times] = ACTIONS(1405),
    [anon_sym_wait] = ACTIONS(1405),
    [anon_sym_wantarray] = ACTIONS(1405),
    [anon_sym_abs] = ACTIONS(1405),
    [anon_sym_alarm] = ACTIONS(1405),
    [anon_sym_chop] = ACTIONS(1405),
    [anon_sym_chdir] = ACTIONS(1405),
    [anon_sym_close] = ACTIONS(1405),
    [anon_sym_closedir] = ACTIONS(1405),
    [anon_sym_caller] = ACTIONS(1405),
    [anon_sym_chomp] = ACTIONS(1405),
    [anon_sym_chr] = ACTIONS(1405),
    [anon_sym_cos] = ACTIONS(1405),
    [anon_sym_chroot] = ACTIONS(1405),
    [anon_sym_defined] = ACTIONS(1405),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_dbmclose] = ACTIONS(1405),
    [anon_sym_exists] = ACTIONS(1405),
    [anon_sym_exit] = ACTIONS(1405),
    [anon_sym_eof] = ACTIONS(1405),
    [anon_sym_exp] = ACTIONS(1405),
    [anon_sym_each] = ACTIONS(1405),
    [anon_sym_fc] = ACTIONS(1405),
    [anon_sym_fileno] = ACTIONS(1405),
    [anon_sym_gmtime] = ACTIONS(1405),
    [anon_sym_getc] = ACTIONS(1405),
    [anon_sym_getpgrp] = ACTIONS(1405),
    [anon_sym_getprotobyname] = ACTIONS(1405),
    [anon_sym_getpwname] = ACTIONS(1405),
    [anon_sym_getpwuid] = ACTIONS(1405),
    [anon_sym_getpeername] = ACTIONS(1405),
    [anon_sym_getnetbyname] = ACTIONS(1405),
    [anon_sym_getsockname] = ACTIONS(1405),
    [anon_sym_getgrnam] = ACTIONS(1405),
    [anon_sym_getgrgid] = ACTIONS(1405),
    [anon_sym_hex] = ACTIONS(1405),
    [anon_sym_int] = ACTIONS(1405),
    [anon_sym_keys] = ACTIONS(1405),
    [anon_sym_lc] = ACTIONS(1405),
    [anon_sym_lcfirst] = ACTIONS(1405),
    [anon_sym_length] = ACTIONS(1405),
    [anon_sym_localtime] = ACTIONS(1405),
    [anon_sym_log] = ACTIONS(1405),
    [anon_sym_lock] = ACTIONS(1405),
    [anon_sym_lstat] = ACTIONS(1405),
    [anon_sym_oct] = ACTIONS(1405),
    [anon_sym_ord] = ACTIONS(1405),
    [anon_sym_prototype] = ACTIONS(1405),
    [anon_sym_pop] = ACTIONS(1405),
    [anon_sym_pos] = ACTIONS(1405),
    [anon_sym_quotemeta] = ACTIONS(1405),
    [anon_sym_reset] = ACTIONS(1405),
    [anon_sym_rand] = ACTIONS(1405),
    [anon_sym_rmdir] = ACTIONS(1405),
    [anon_sym_readdir] = ACTIONS(1405),
    [anon_sym_readline] = ACTIONS(1405),
    [anon_sym_readpipe] = ACTIONS(1405),
    [anon_sym_rewinddir] = ACTIONS(1405),
    [anon_sym_readlink] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1405),
    [anon_sym_scalar] = ACTIONS(1405),
    [anon_sym_shift] = ACTIONS(1405),
    [anon_sym_sin] = ACTIONS(1405),
    [anon_sym_sleep] = ACTIONS(1405),
    [anon_sym_sqrt] = ACTIONS(1405),
    [anon_sym_srand] = ACTIONS(1405),
    [anon_sym_stat] = ACTIONS(1405),
    [anon_sym_study] = ACTIONS(1405),
    [anon_sym_tell] = ACTIONS(1405),
    [anon_sym_telldir] = ACTIONS(1405),
    [anon_sym_tied] = ACTIONS(1405),
    [anon_sym_uc] = ACTIONS(1405),
    [anon_sym_ucfirst] = ACTIONS(1405),
    [anon_sym_untie] = ACTIONS(1405),
    [anon_sym_umask] = ACTIONS(1405),
    [anon_sym_values] = ACTIONS(1405),
    [anon_sym_write] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1405),
    [anon_sym___END__] = ACTIONS(1405),
    [anon_sym_EOT] = ACTIONS(1405),
    [anon_sym_q] = ACTIONS(1405),
    [anon_sym_qq] = ACTIONS(1405),
    [anon_sym_qw] = ACTIONS(1405),
    [anon_sym_qx] = ACTIONS(1405),
    [anon_sym_qr] = ACTIONS(1405),
    [anon_sym_m] = ACTIONS(1405),
    [anon_sym_s] = ACTIONS(1405),
    [anon_sym_tr] = ACTIONS(1405),
    [anon_sym_y] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_unless] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1405),
    [anon_sym_until] = ACTIONS(1405),
    [aux_sym__bareword_token1] = ACTIONS(1405),
    [sym_number] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1405),
    [anon_sym_false] = ACTIONS(1405),
    [sym__single_quote] = ACTIONS(1403),
    [sym__double_quote] = ACTIONS(1403),
    [sym__backtick_quote] = ACTIONS(1403),
    [sym__search_slash_quote] = ACTIONS(1403),
    [sym__PERLY_HEREDOC] = ACTIONS(1403),
    [sym__ctrl_z_hack] = ACTIONS(1403),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1403),
    [sym__filetest] = ACTIONS(1403),
  },
  [795] = {
    [sym_heredoc_content] = STATE(795),
    [ts_builtin_sym_end] = ACTIONS(1783),
    [sym__identifier] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1781),
    [anon_sym_package] = ACTIONS(1781),
    [anon_sym_class] = ACTIONS(1781),
    [anon_sym_role] = ACTIONS(1781),
    [anon_sym_BUILD] = ACTIONS(1781),
    [anon_sym_ADJUST] = ACTIONS(1781),
    [anon_sym_DOLLAR] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(1781),
    [anon_sym_my] = ACTIONS(1781),
    [anon_sym_extended] = ACTIONS(1781),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_sub] = ACTIONS(1781),
    [anon_sym_method] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1781),
    [anon_sym_continue] = ACTIONS(1781),
    [anon_sym_state] = ACTIONS(1781),
    [anon_sym_our] = ACTIONS(1781),
    [anon_sym_try] = ACTIONS(1781),
    [anon_sym_defer] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1781),
    [anon_sym_else] = ACTIONS(1781),
    [anon_sym_elsif] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_BANG] = ACTIONS(1781),
    [anon_sym_PLUS_PLUS] = ACTIONS(1781),
    [anon_sym_DASH_DASH] = ACTIONS(1781),
    [anon_sym_BSLASH] = ACTIONS(1783),
    [anon_sym_do] = ACTIONS(1781),
    [anon_sym_eval] = ACTIONS(1781),
    [anon_sym_await] = ACTIONS(1781),
    [anon_sym_field] = ACTIONS(1781),
    [anon_sym_local] = ACTIONS(1781),
    [anon_sym_dynamically] = ACTIONS(1781),
    [anon_sym_require] = ACTIONS(1781),
    [anon_sym_map] = ACTIONS(1781),
    [anon_sym_grep] = ACTIONS(1781),
    [anon_sym_sort] = ACTIONS(1781),
    [anon_sym_goto] = ACTIONS(1781),
    [anon_sym_return] = ACTIONS(1781),
    [anon_sym_undef] = ACTIONS(1781),
    [anon_sym_PERCENT2] = ACTIONS(1781),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1781),
    [anon_sym_use] = ACTIONS(1781),
    [anon_sym_no] = ACTIONS(1781),
    [anon_sym_for] = ACTIONS(1781),
    [anon_sym_foreach] = ACTIONS(1781),
    [anon_sym_last] = ACTIONS(1781),
    [anon_sym_next] = ACTIONS(1781),
    [anon_sym_redo] = ACTIONS(1781),
    [anon_sym_BEGIN] = ACTIONS(1781),
    [anon_sym_INIT] = ACTIONS(1781),
    [anon_sym_CHECK] = ACTIONS(1781),
    [anon_sym_UNITCHECK] = ACTIONS(1781),
    [anon_sym_END] = ACTIONS(1781),
    [anon_sym___FILE__] = ACTIONS(1781),
    [anon_sym___LINE__] = ACTIONS(1781),
    [anon_sym___PACKAGE__] = ACTIONS(1781),
    [anon_sym___SUB__] = ACTIONS(1781),
    [anon_sym_break] = ACTIONS(1781),
    [anon_sym_fork] = ACTIONS(1781),
    [anon_sym_getppid] = ACTIONS(1781),
    [anon_sym_time] = ACTIONS(1781),
    [anon_sym_times] = ACTIONS(1781),
    [anon_sym_wait] = ACTIONS(1781),
    [anon_sym_wantarray] = ACTIONS(1781),
    [anon_sym_abs] = ACTIONS(1781),
    [anon_sym_alarm] = ACTIONS(1781),
    [anon_sym_chop] = ACTIONS(1781),
    [anon_sym_chdir] = ACTIONS(1781),
    [anon_sym_close] = ACTIONS(1781),
    [anon_sym_closedir] = ACTIONS(1781),
    [anon_sym_caller] = ACTIONS(1781),
    [anon_sym_chomp] = ACTIONS(1781),
    [anon_sym_chr] = ACTIONS(1781),
    [anon_sym_cos] = ACTIONS(1781),
    [anon_sym_chroot] = ACTIONS(1781),
    [anon_sym_defined] = ACTIONS(1781),
    [anon_sym_delete] = ACTIONS(1781),
    [anon_sym_dbmclose] = ACTIONS(1781),
    [anon_sym_exists] = ACTIONS(1781),
    [anon_sym_exit] = ACTIONS(1781),
    [anon_sym_eof] = ACTIONS(1781),
    [anon_sym_exp] = ACTIONS(1781),
    [anon_sym_each] = ACTIONS(1781),
    [anon_sym_fc] = ACTIONS(1781),
    [anon_sym_fileno] = ACTIONS(1781),
    [anon_sym_gmtime] = ACTIONS(1781),
    [anon_sym_getc] = ACTIONS(1781),
    [anon_sym_getpgrp] = ACTIONS(1781),
    [anon_sym_getprotobyname] = ACTIONS(1781),
    [anon_sym_getpwname] = ACTIONS(1781),
    [anon_sym_getpwuid] = ACTIONS(1781),
    [anon_sym_getpeername] = ACTIONS(1781),
    [anon_sym_getnetbyname] = ACTIONS(1781),
    [anon_sym_getsockname] = ACTIONS(1781),
    [anon_sym_getgrnam] = ACTIONS(1781),
    [anon_sym_getgrgid] = ACTIONS(1781),
    [anon_sym_hex] = ACTIONS(1781),
    [anon_sym_int] = ACTIONS(1781),
    [anon_sym_keys] = ACTIONS(1781),
    [anon_sym_lc] = ACTIONS(1781),
    [anon_sym_lcfirst] = ACTIONS(1781),
    [anon_sym_length] = ACTIONS(1781),
    [anon_sym_localtime] = ACTIONS(1781),
    [anon_sym_log] = ACTIONS(1781),
    [anon_sym_lock] = ACTIONS(1781),
    [anon_sym_lstat] = ACTIONS(1781),
    [anon_sym_oct] = ACTIONS(1781),
    [anon_sym_ord] = ACTIONS(1781),
    [anon_sym_prototype] = ACTIONS(1781),
    [anon_sym_pop] = ACTIONS(1781),
    [anon_sym_pos] = ACTIONS(1781),
    [anon_sym_quotemeta] = ACTIONS(1781),
    [anon_sym_reset] = ACTIONS(1781),
    [anon_sym_rand] = ACTIONS(1781),
    [anon_sym_rmdir] = ACTIONS(1781),
    [anon_sym_readdir] = ACTIONS(1781),
    [anon_sym_readline] = ACTIONS(1781),
    [anon_sym_readpipe] = ACTIONS(1781),
    [anon_sym_rewinddir] = ACTIONS(1781),
    [anon_sym_readlink] = ACTIONS(1781),
    [anon_sym_ref] = ACTIONS(1781),
    [anon_sym_scalar] = ACTIONS(1781),
    [anon_sym_shift] = ACTIONS(1781),
    [anon_sym_sin] = ACTIONS(1781),
    [anon_sym_sleep] = ACTIONS(1781),
    [anon_sym_sqrt] = ACTIONS(1781),
    [anon_sym_srand] = ACTIONS(1781),
    [anon_sym_stat] = ACTIONS(1781),
    [anon_sym_study] = ACTIONS(1781),
    [anon_sym_tell] = ACTIONS(1781),
    [anon_sym_telldir] = ACTIONS(1781),
    [anon_sym_tied] = ACTIONS(1781),
    [anon_sym_uc] = ACTIONS(1781),
    [anon_sym_ucfirst] = ACTIONS(1781),
    [anon_sym_untie] = ACTIONS(1781),
    [anon_sym_umask] = ACTIONS(1781),
    [anon_sym_values] = ACTIONS(1781),
    [anon_sym_write] = ACTIONS(1781),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1781),
    [anon_sym___END__] = ACTIONS(1781),
    [anon_sym_EOT] = ACTIONS(1781),
    [anon_sym_q] = ACTIONS(1781),
    [anon_sym_qq] = ACTIONS(1781),
    [anon_sym_qw] = ACTIONS(1781),
    [anon_sym_qx] = ACTIONS(1781),
    [anon_sym_qr] = ACTIONS(1781),
    [anon_sym_m] = ACTIONS(1781),
    [anon_sym_s] = ACTIONS(1781),
    [anon_sym_tr] = ACTIONS(1781),
    [anon_sym_y] = ACTIONS(1781),
    [anon_sym_if] = ACTIONS(1781),
    [anon_sym_unless] = ACTIONS(1781),
    [anon_sym_while] = ACTIONS(1781),
    [anon_sym_until] = ACTIONS(1781),
    [aux_sym__bareword_token1] = ACTIONS(1781),
    [sym_number] = ACTIONS(1781),
    [anon_sym_true] = ACTIONS(1781),
    [anon_sym_false] = ACTIONS(1781),
    [sym__single_quote] = ACTIONS(1783),
    [sym__double_quote] = ACTIONS(1783),
    [sym__backtick_quote] = ACTIONS(1783),
    [sym__search_slash_quote] = ACTIONS(1783),
    [sym__PERLY_HEREDOC] = ACTIONS(1783),
    [sym__ctrl_z_hack] = ACTIONS(1783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1783),
    [sym__filetest] = ACTIONS(1783),
  },
  [796] = {
    [sym_heredoc_content] = STATE(796),
    [ts_builtin_sym_end] = ACTIONS(1783),
    [sym__identifier] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1781),
    [anon_sym_package] = ACTIONS(1781),
    [anon_sym_class] = ACTIONS(1781),
    [anon_sym_role] = ACTIONS(1781),
    [anon_sym_BUILD] = ACTIONS(1781),
    [anon_sym_ADJUST] = ACTIONS(1781),
    [anon_sym_DOLLAR] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(1781),
    [anon_sym_my] = ACTIONS(1781),
    [anon_sym_extended] = ACTIONS(1781),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_sub] = ACTIONS(1781),
    [anon_sym_method] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1781),
    [anon_sym_continue] = ACTIONS(1781),
    [anon_sym_state] = ACTIONS(1781),
    [anon_sym_our] = ACTIONS(1781),
    [anon_sym_try] = ACTIONS(1781),
    [anon_sym_catch] = ACTIONS(1781),
    [anon_sym_finally] = ACTIONS(1781),
    [anon_sym_defer] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_BANG] = ACTIONS(1781),
    [anon_sym_PLUS_PLUS] = ACTIONS(1781),
    [anon_sym_DASH_DASH] = ACTIONS(1781),
    [anon_sym_BSLASH] = ACTIONS(1783),
    [anon_sym_do] = ACTIONS(1781),
    [anon_sym_eval] = ACTIONS(1781),
    [anon_sym_await] = ACTIONS(1781),
    [anon_sym_field] = ACTIONS(1781),
    [anon_sym_local] = ACTIONS(1781),
    [anon_sym_dynamically] = ACTIONS(1781),
    [anon_sym_require] = ACTIONS(1781),
    [anon_sym_map] = ACTIONS(1781),
    [anon_sym_grep] = ACTIONS(1781),
    [anon_sym_sort] = ACTIONS(1781),
    [anon_sym_goto] = ACTIONS(1781),
    [anon_sym_return] = ACTIONS(1781),
    [anon_sym_undef] = ACTIONS(1781),
    [anon_sym_PERCENT2] = ACTIONS(1781),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1781),
    [anon_sym_use] = ACTIONS(1781),
    [anon_sym_no] = ACTIONS(1781),
    [anon_sym_for] = ACTIONS(1781),
    [anon_sym_foreach] = ACTIONS(1781),
    [anon_sym_last] = ACTIONS(1781),
    [anon_sym_next] = ACTIONS(1781),
    [anon_sym_redo] = ACTIONS(1781),
    [anon_sym_BEGIN] = ACTIONS(1781),
    [anon_sym_INIT] = ACTIONS(1781),
    [anon_sym_CHECK] = ACTIONS(1781),
    [anon_sym_UNITCHECK] = ACTIONS(1781),
    [anon_sym_END] = ACTIONS(1781),
    [anon_sym___FILE__] = ACTIONS(1781),
    [anon_sym___LINE__] = ACTIONS(1781),
    [anon_sym___PACKAGE__] = ACTIONS(1781),
    [anon_sym___SUB__] = ACTIONS(1781),
    [anon_sym_break] = ACTIONS(1781),
    [anon_sym_fork] = ACTIONS(1781),
    [anon_sym_getppid] = ACTIONS(1781),
    [anon_sym_time] = ACTIONS(1781),
    [anon_sym_times] = ACTIONS(1781),
    [anon_sym_wait] = ACTIONS(1781),
    [anon_sym_wantarray] = ACTIONS(1781),
    [anon_sym_abs] = ACTIONS(1781),
    [anon_sym_alarm] = ACTIONS(1781),
    [anon_sym_chop] = ACTIONS(1781),
    [anon_sym_chdir] = ACTIONS(1781),
    [anon_sym_close] = ACTIONS(1781),
    [anon_sym_closedir] = ACTIONS(1781),
    [anon_sym_caller] = ACTIONS(1781),
    [anon_sym_chomp] = ACTIONS(1781),
    [anon_sym_chr] = ACTIONS(1781),
    [anon_sym_cos] = ACTIONS(1781),
    [anon_sym_chroot] = ACTIONS(1781),
    [anon_sym_defined] = ACTIONS(1781),
    [anon_sym_delete] = ACTIONS(1781),
    [anon_sym_dbmclose] = ACTIONS(1781),
    [anon_sym_exists] = ACTIONS(1781),
    [anon_sym_exit] = ACTIONS(1781),
    [anon_sym_eof] = ACTIONS(1781),
    [anon_sym_exp] = ACTIONS(1781),
    [anon_sym_each] = ACTIONS(1781),
    [anon_sym_fc] = ACTIONS(1781),
    [anon_sym_fileno] = ACTIONS(1781),
    [anon_sym_gmtime] = ACTIONS(1781),
    [anon_sym_getc] = ACTIONS(1781),
    [anon_sym_getpgrp] = ACTIONS(1781),
    [anon_sym_getprotobyname] = ACTIONS(1781),
    [anon_sym_getpwname] = ACTIONS(1781),
    [anon_sym_getpwuid] = ACTIONS(1781),
    [anon_sym_getpeername] = ACTIONS(1781),
    [anon_sym_getnetbyname] = ACTIONS(1781),
    [anon_sym_getsockname] = ACTIONS(1781),
    [anon_sym_getgrnam] = ACTIONS(1781),
    [anon_sym_getgrgid] = ACTIONS(1781),
    [anon_sym_hex] = ACTIONS(1781),
    [anon_sym_int] = ACTIONS(1781),
    [anon_sym_keys] = ACTIONS(1781),
    [anon_sym_lc] = ACTIONS(1781),
    [anon_sym_lcfirst] = ACTIONS(1781),
    [anon_sym_length] = ACTIONS(1781),
    [anon_sym_localtime] = ACTIONS(1781),
    [anon_sym_log] = ACTIONS(1781),
    [anon_sym_lock] = ACTIONS(1781),
    [anon_sym_lstat] = ACTIONS(1781),
    [anon_sym_oct] = ACTIONS(1781),
    [anon_sym_ord] = ACTIONS(1781),
    [anon_sym_prototype] = ACTIONS(1781),
    [anon_sym_pop] = ACTIONS(1781),
    [anon_sym_pos] = ACTIONS(1781),
    [anon_sym_quotemeta] = ACTIONS(1781),
    [anon_sym_reset] = ACTIONS(1781),
    [anon_sym_rand] = ACTIONS(1781),
    [anon_sym_rmdir] = ACTIONS(1781),
    [anon_sym_readdir] = ACTIONS(1781),
    [anon_sym_readline] = ACTIONS(1781),
    [anon_sym_readpipe] = ACTIONS(1781),
    [anon_sym_rewinddir] = ACTIONS(1781),
    [anon_sym_readlink] = ACTIONS(1781),
    [anon_sym_ref] = ACTIONS(1781),
    [anon_sym_scalar] = ACTIONS(1781),
    [anon_sym_shift] = ACTIONS(1781),
    [anon_sym_sin] = ACTIONS(1781),
    [anon_sym_sleep] = ACTIONS(1781),
    [anon_sym_sqrt] = ACTIONS(1781),
    [anon_sym_srand] = ACTIONS(1781),
    [anon_sym_stat] = ACTIONS(1781),
    [anon_sym_study] = ACTIONS(1781),
    [anon_sym_tell] = ACTIONS(1781),
    [anon_sym_telldir] = ACTIONS(1781),
    [anon_sym_tied] = ACTIONS(1781),
    [anon_sym_uc] = ACTIONS(1781),
    [anon_sym_ucfirst] = ACTIONS(1781),
    [anon_sym_untie] = ACTIONS(1781),
    [anon_sym_umask] = ACTIONS(1781),
    [anon_sym_values] = ACTIONS(1781),
    [anon_sym_write] = ACTIONS(1781),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1781),
    [anon_sym___END__] = ACTIONS(1781),
    [anon_sym_EOT] = ACTIONS(1781),
    [anon_sym_q] = ACTIONS(1781),
    [anon_sym_qq] = ACTIONS(1781),
    [anon_sym_qw] = ACTIONS(1781),
    [anon_sym_qx] = ACTIONS(1781),
    [anon_sym_qr] = ACTIONS(1781),
    [anon_sym_m] = ACTIONS(1781),
    [anon_sym_s] = ACTIONS(1781),
    [anon_sym_tr] = ACTIONS(1781),
    [anon_sym_y] = ACTIONS(1781),
    [anon_sym_if] = ACTIONS(1781),
    [anon_sym_unless] = ACTIONS(1781),
    [anon_sym_while] = ACTIONS(1781),
    [anon_sym_until] = ACTIONS(1781),
    [aux_sym__bareword_token1] = ACTIONS(1781),
    [sym_number] = ACTIONS(1781),
    [anon_sym_true] = ACTIONS(1781),
    [anon_sym_false] = ACTIONS(1781),
    [sym__single_quote] = ACTIONS(1783),
    [sym__double_quote] = ACTIONS(1783),
    [sym__backtick_quote] = ACTIONS(1783),
    [sym__search_slash_quote] = ACTIONS(1783),
    [sym__PERLY_HEREDOC] = ACTIONS(1783),
    [sym__ctrl_z_hack] = ACTIONS(1783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1783),
    [sym__filetest] = ACTIONS(1783),
  },
  [797] = {
    [sym_heredoc_content] = STATE(797),
    [ts_builtin_sym_end] = ACTIONS(1783),
    [sym__identifier] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1781),
    [anon_sym_package] = ACTIONS(1781),
    [anon_sym_class] = ACTIONS(1781),
    [anon_sym_role] = ACTIONS(1781),
    [anon_sym_BUILD] = ACTIONS(1781),
    [anon_sym_ADJUST] = ACTIONS(1781),
    [anon_sym_DOLLAR] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(1781),
    [anon_sym_my] = ACTIONS(1781),
    [anon_sym_extended] = ACTIONS(1781),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_sub] = ACTIONS(1781),
    [anon_sym_method] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1781),
    [anon_sym_continue] = ACTIONS(1781),
    [anon_sym_state] = ACTIONS(1781),
    [anon_sym_our] = ACTIONS(1781),
    [anon_sym_try] = ACTIONS(1781),
    [anon_sym_finally] = ACTIONS(1781),
    [anon_sym_defer] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_BANG] = ACTIONS(1781),
    [anon_sym_PLUS_PLUS] = ACTIONS(1781),
    [anon_sym_DASH_DASH] = ACTIONS(1781),
    [anon_sym_BSLASH] = ACTIONS(1783),
    [anon_sym_do] = ACTIONS(1781),
    [anon_sym_eval] = ACTIONS(1781),
    [anon_sym_await] = ACTIONS(1781),
    [anon_sym_field] = ACTIONS(1781),
    [anon_sym_local] = ACTIONS(1781),
    [anon_sym_dynamically] = ACTIONS(1781),
    [anon_sym_require] = ACTIONS(1781),
    [anon_sym_map] = ACTIONS(1781),
    [anon_sym_grep] = ACTIONS(1781),
    [anon_sym_sort] = ACTIONS(1781),
    [anon_sym_goto] = ACTIONS(1781),
    [anon_sym_return] = ACTIONS(1781),
    [anon_sym_undef] = ACTIONS(1781),
    [anon_sym_PERCENT2] = ACTIONS(1781),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1781),
    [anon_sym_use] = ACTIONS(1781),
    [anon_sym_no] = ACTIONS(1781),
    [anon_sym_for] = ACTIONS(1781),
    [anon_sym_foreach] = ACTIONS(1781),
    [anon_sym_last] = ACTIONS(1781),
    [anon_sym_next] = ACTIONS(1781),
    [anon_sym_redo] = ACTIONS(1781),
    [anon_sym_BEGIN] = ACTIONS(1781),
    [anon_sym_INIT] = ACTIONS(1781),
    [anon_sym_CHECK] = ACTIONS(1781),
    [anon_sym_UNITCHECK] = ACTIONS(1781),
    [anon_sym_END] = ACTIONS(1781),
    [anon_sym___FILE__] = ACTIONS(1781),
    [anon_sym___LINE__] = ACTIONS(1781),
    [anon_sym___PACKAGE__] = ACTIONS(1781),
    [anon_sym___SUB__] = ACTIONS(1781),
    [anon_sym_break] = ACTIONS(1781),
    [anon_sym_fork] = ACTIONS(1781),
    [anon_sym_getppid] = ACTIONS(1781),
    [anon_sym_time] = ACTIONS(1781),
    [anon_sym_times] = ACTIONS(1781),
    [anon_sym_wait] = ACTIONS(1781),
    [anon_sym_wantarray] = ACTIONS(1781),
    [anon_sym_abs] = ACTIONS(1781),
    [anon_sym_alarm] = ACTIONS(1781),
    [anon_sym_chop] = ACTIONS(1781),
    [anon_sym_chdir] = ACTIONS(1781),
    [anon_sym_close] = ACTIONS(1781),
    [anon_sym_closedir] = ACTIONS(1781),
    [anon_sym_caller] = ACTIONS(1781),
    [anon_sym_chomp] = ACTIONS(1781),
    [anon_sym_chr] = ACTIONS(1781),
    [anon_sym_cos] = ACTIONS(1781),
    [anon_sym_chroot] = ACTIONS(1781),
    [anon_sym_defined] = ACTIONS(1781),
    [anon_sym_delete] = ACTIONS(1781),
    [anon_sym_dbmclose] = ACTIONS(1781),
    [anon_sym_exists] = ACTIONS(1781),
    [anon_sym_exit] = ACTIONS(1781),
    [anon_sym_eof] = ACTIONS(1781),
    [anon_sym_exp] = ACTIONS(1781),
    [anon_sym_each] = ACTIONS(1781),
    [anon_sym_fc] = ACTIONS(1781),
    [anon_sym_fileno] = ACTIONS(1781),
    [anon_sym_gmtime] = ACTIONS(1781),
    [anon_sym_getc] = ACTIONS(1781),
    [anon_sym_getpgrp] = ACTIONS(1781),
    [anon_sym_getprotobyname] = ACTIONS(1781),
    [anon_sym_getpwname] = ACTIONS(1781),
    [anon_sym_getpwuid] = ACTIONS(1781),
    [anon_sym_getpeername] = ACTIONS(1781),
    [anon_sym_getnetbyname] = ACTIONS(1781),
    [anon_sym_getsockname] = ACTIONS(1781),
    [anon_sym_getgrnam] = ACTIONS(1781),
    [anon_sym_getgrgid] = ACTIONS(1781),
    [anon_sym_hex] = ACTIONS(1781),
    [anon_sym_int] = ACTIONS(1781),
    [anon_sym_keys] = ACTIONS(1781),
    [anon_sym_lc] = ACTIONS(1781),
    [anon_sym_lcfirst] = ACTIONS(1781),
    [anon_sym_length] = ACTIONS(1781),
    [anon_sym_localtime] = ACTIONS(1781),
    [anon_sym_log] = ACTIONS(1781),
    [anon_sym_lock] = ACTIONS(1781),
    [anon_sym_lstat] = ACTIONS(1781),
    [anon_sym_oct] = ACTIONS(1781),
    [anon_sym_ord] = ACTIONS(1781),
    [anon_sym_prototype] = ACTIONS(1781),
    [anon_sym_pop] = ACTIONS(1781),
    [anon_sym_pos] = ACTIONS(1781),
    [anon_sym_quotemeta] = ACTIONS(1781),
    [anon_sym_reset] = ACTIONS(1781),
    [anon_sym_rand] = ACTIONS(1781),
    [anon_sym_rmdir] = ACTIONS(1781),
    [anon_sym_readdir] = ACTIONS(1781),
    [anon_sym_readline] = ACTIONS(1781),
    [anon_sym_readpipe] = ACTIONS(1781),
    [anon_sym_rewinddir] = ACTIONS(1781),
    [anon_sym_readlink] = ACTIONS(1781),
    [anon_sym_ref] = ACTIONS(1781),
    [anon_sym_scalar] = ACTIONS(1781),
    [anon_sym_shift] = ACTIONS(1781),
    [anon_sym_sin] = ACTIONS(1781),
    [anon_sym_sleep] = ACTIONS(1781),
    [anon_sym_sqrt] = ACTIONS(1781),
    [anon_sym_srand] = ACTIONS(1781),
    [anon_sym_stat] = ACTIONS(1781),
    [anon_sym_study] = ACTIONS(1781),
    [anon_sym_tell] = ACTIONS(1781),
    [anon_sym_telldir] = ACTIONS(1781),
    [anon_sym_tied] = ACTIONS(1781),
    [anon_sym_uc] = ACTIONS(1781),
    [anon_sym_ucfirst] = ACTIONS(1781),
    [anon_sym_untie] = ACTIONS(1781),
    [anon_sym_umask] = ACTIONS(1781),
    [anon_sym_values] = ACTIONS(1781),
    [anon_sym_write] = ACTIONS(1781),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1781),
    [anon_sym___END__] = ACTIONS(1781),
    [anon_sym_EOT] = ACTIONS(1781),
    [anon_sym_q] = ACTIONS(1781),
    [anon_sym_qq] = ACTIONS(1781),
    [anon_sym_qw] = ACTIONS(1781),
    [anon_sym_qx] = ACTIONS(1781),
    [anon_sym_qr] = ACTIONS(1781),
    [anon_sym_m] = ACTIONS(1781),
    [anon_sym_s] = ACTIONS(1781),
    [anon_sym_tr] = ACTIONS(1781),
    [anon_sym_y] = ACTIONS(1781),
    [anon_sym_if] = ACTIONS(1781),
    [anon_sym_unless] = ACTIONS(1781),
    [anon_sym_while] = ACTIONS(1781),
    [anon_sym_until] = ACTIONS(1781),
    [aux_sym__bareword_token1] = ACTIONS(1781),
    [sym_number] = ACTIONS(1781),
    [anon_sym_true] = ACTIONS(1781),
    [anon_sym_false] = ACTIONS(1781),
    [sym__single_quote] = ACTIONS(1783),
    [sym__double_quote] = ACTIONS(1783),
    [sym__backtick_quote] = ACTIONS(1783),
    [sym__search_slash_quote] = ACTIONS(1783),
    [sym__PERLY_HEREDOC] = ACTIONS(1783),
    [sym__ctrl_z_hack] = ACTIONS(1783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1783),
    [sym__filetest] = ACTIONS(1783),
  },
  [798] = {
    [sym_heredoc_content] = STATE(798),
    [ts_builtin_sym_end] = ACTIONS(1403),
    [sym__identifier] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [anon_sym_package] = ACTIONS(1405),
    [anon_sym_class] = ACTIONS(1405),
    [anon_sym_role] = ACTIONS(1405),
    [anon_sym_BUILD] = ACTIONS(1405),
    [anon_sym_ADJUST] = ACTIONS(1405),
    [anon_sym_DOLLAR] = ACTIONS(1405),
    [anon_sym_AT] = ACTIONS(1405),
    [anon_sym_my] = ACTIONS(1405),
    [anon_sym_extended] = ACTIONS(1405),
    [anon_sym_async] = ACTIONS(1405),
    [anon_sym_sub] = ACTIONS(1405),
    [anon_sym_method] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_state] = ACTIONS(1405),
    [anon_sym_our] = ACTIONS(1405),
    [anon_sym_try] = ACTIONS(1405),
    [anon_sym_finally] = ACTIONS(1405),
    [anon_sym_defer] = ACTIONS(1405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_TILDE] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1405),
    [anon_sym_DASH_DASH] = ACTIONS(1405),
    [anon_sym_BSLASH] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_eval] = ACTIONS(1405),
    [anon_sym_await] = ACTIONS(1405),
    [anon_sym_field] = ACTIONS(1405),
    [anon_sym_local] = ACTIONS(1405),
    [anon_sym_dynamically] = ACTIONS(1405),
    [anon_sym_require] = ACTIONS(1405),
    [anon_sym_map] = ACTIONS(1405),
    [anon_sym_grep] = ACTIONS(1405),
    [anon_sym_sort] = ACTIONS(1405),
    [anon_sym_goto] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_undef] = ACTIONS(1405),
    [anon_sym_PERCENT2] = ACTIONS(1405),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1405),
    [anon_sym_use] = ACTIONS(1405),
    [anon_sym_no] = ACTIONS(1405),
    [anon_sym_for] = ACTIONS(1405),
    [anon_sym_foreach] = ACTIONS(1405),
    [anon_sym_last] = ACTIONS(1405),
    [anon_sym_next] = ACTIONS(1405),
    [anon_sym_redo] = ACTIONS(1405),
    [anon_sym_BEGIN] = ACTIONS(1405),
    [anon_sym_INIT] = ACTIONS(1405),
    [anon_sym_CHECK] = ACTIONS(1405),
    [anon_sym_UNITCHECK] = ACTIONS(1405),
    [anon_sym_END] = ACTIONS(1405),
    [anon_sym___FILE__] = ACTIONS(1405),
    [anon_sym___LINE__] = ACTIONS(1405),
    [anon_sym___PACKAGE__] = ACTIONS(1405),
    [anon_sym___SUB__] = ACTIONS(1405),
    [anon_sym_break] = ACTIONS(1405),
    [anon_sym_fork] = ACTIONS(1405),
    [anon_sym_getppid] = ACTIONS(1405),
    [anon_sym_time] = ACTIONS(1405),
    [anon_sym_times] = ACTIONS(1405),
    [anon_sym_wait] = ACTIONS(1405),
    [anon_sym_wantarray] = ACTIONS(1405),
    [anon_sym_abs] = ACTIONS(1405),
    [anon_sym_alarm] = ACTIONS(1405),
    [anon_sym_chop] = ACTIONS(1405),
    [anon_sym_chdir] = ACTIONS(1405),
    [anon_sym_close] = ACTIONS(1405),
    [anon_sym_closedir] = ACTIONS(1405),
    [anon_sym_caller] = ACTIONS(1405),
    [anon_sym_chomp] = ACTIONS(1405),
    [anon_sym_chr] = ACTIONS(1405),
    [anon_sym_cos] = ACTIONS(1405),
    [anon_sym_chroot] = ACTIONS(1405),
    [anon_sym_defined] = ACTIONS(1405),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_dbmclose] = ACTIONS(1405),
    [anon_sym_exists] = ACTIONS(1405),
    [anon_sym_exit] = ACTIONS(1405),
    [anon_sym_eof] = ACTIONS(1405),
    [anon_sym_exp] = ACTIONS(1405),
    [anon_sym_each] = ACTIONS(1405),
    [anon_sym_fc] = ACTIONS(1405),
    [anon_sym_fileno] = ACTIONS(1405),
    [anon_sym_gmtime] = ACTIONS(1405),
    [anon_sym_getc] = ACTIONS(1405),
    [anon_sym_getpgrp] = ACTIONS(1405),
    [anon_sym_getprotobyname] = ACTIONS(1405),
    [anon_sym_getpwname] = ACTIONS(1405),
    [anon_sym_getpwuid] = ACTIONS(1405),
    [anon_sym_getpeername] = ACTIONS(1405),
    [anon_sym_getnetbyname] = ACTIONS(1405),
    [anon_sym_getsockname] = ACTIONS(1405),
    [anon_sym_getgrnam] = ACTIONS(1405),
    [anon_sym_getgrgid] = ACTIONS(1405),
    [anon_sym_hex] = ACTIONS(1405),
    [anon_sym_int] = ACTIONS(1405),
    [anon_sym_keys] = ACTIONS(1405),
    [anon_sym_lc] = ACTIONS(1405),
    [anon_sym_lcfirst] = ACTIONS(1405),
    [anon_sym_length] = ACTIONS(1405),
    [anon_sym_localtime] = ACTIONS(1405),
    [anon_sym_log] = ACTIONS(1405),
    [anon_sym_lock] = ACTIONS(1405),
    [anon_sym_lstat] = ACTIONS(1405),
    [anon_sym_oct] = ACTIONS(1405),
    [anon_sym_ord] = ACTIONS(1405),
    [anon_sym_prototype] = ACTIONS(1405),
    [anon_sym_pop] = ACTIONS(1405),
    [anon_sym_pos] = ACTIONS(1405),
    [anon_sym_quotemeta] = ACTIONS(1405),
    [anon_sym_reset] = ACTIONS(1405),
    [anon_sym_rand] = ACTIONS(1405),
    [anon_sym_rmdir] = ACTIONS(1405),
    [anon_sym_readdir] = ACTIONS(1405),
    [anon_sym_readline] = ACTIONS(1405),
    [anon_sym_readpipe] = ACTIONS(1405),
    [anon_sym_rewinddir] = ACTIONS(1405),
    [anon_sym_readlink] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1405),
    [anon_sym_scalar] = ACTIONS(1405),
    [anon_sym_shift] = ACTIONS(1405),
    [anon_sym_sin] = ACTIONS(1405),
    [anon_sym_sleep] = ACTIONS(1405),
    [anon_sym_sqrt] = ACTIONS(1405),
    [anon_sym_srand] = ACTIONS(1405),
    [anon_sym_stat] = ACTIONS(1405),
    [anon_sym_study] = ACTIONS(1405),
    [anon_sym_tell] = ACTIONS(1405),
    [anon_sym_telldir] = ACTIONS(1405),
    [anon_sym_tied] = ACTIONS(1405),
    [anon_sym_uc] = ACTIONS(1405),
    [anon_sym_ucfirst] = ACTIONS(1405),
    [anon_sym_untie] = ACTIONS(1405),
    [anon_sym_umask] = ACTIONS(1405),
    [anon_sym_values] = ACTIONS(1405),
    [anon_sym_write] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1405),
    [anon_sym___END__] = ACTIONS(1405),
    [anon_sym_EOT] = ACTIONS(1405),
    [anon_sym_q] = ACTIONS(1405),
    [anon_sym_qq] = ACTIONS(1405),
    [anon_sym_qw] = ACTIONS(1405),
    [anon_sym_qx] = ACTIONS(1405),
    [anon_sym_qr] = ACTIONS(1405),
    [anon_sym_m] = ACTIONS(1405),
    [anon_sym_s] = ACTIONS(1405),
    [anon_sym_tr] = ACTIONS(1405),
    [anon_sym_y] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_unless] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1405),
    [anon_sym_until] = ACTIONS(1405),
    [aux_sym__bareword_token1] = ACTIONS(1405),
    [sym_number] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1405),
    [anon_sym_false] = ACTIONS(1405),
    [sym__single_quote] = ACTIONS(1403),
    [sym__double_quote] = ACTIONS(1403),
    [sym__backtick_quote] = ACTIONS(1403),
    [sym__search_slash_quote] = ACTIONS(1403),
    [sym__PERLY_HEREDOC] = ACTIONS(1403),
    [sym__ctrl_z_hack] = ACTIONS(1403),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1403),
    [sym__filetest] = ACTIONS(1403),
  },
  [799] = {
    [sym__else] = STATE(979),
    [sym_else] = STATE(945),
    [sym_elsif] = STATE(945),
    [sym_heredoc_content] = STATE(799),
    [sym__identifier] = ACTIONS(1860),
    [anon_sym_LBRACE] = ACTIONS(1860),
    [anon_sym_RBRACE] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1860),
    [anon_sym_package] = ACTIONS(1860),
    [anon_sym_class] = ACTIONS(1860),
    [anon_sym_role] = ACTIONS(1860),
    [anon_sym_BUILD] = ACTIONS(1860),
    [anon_sym_ADJUST] = ACTIONS(1860),
    [anon_sym_DOLLAR] = ACTIONS(1860),
    [anon_sym_AT] = ACTIONS(1860),
    [anon_sym_my] = ACTIONS(1860),
    [anon_sym_extended] = ACTIONS(1860),
    [anon_sym_async] = ACTIONS(1860),
    [anon_sym_sub] = ACTIONS(1860),
    [anon_sym_method] = ACTIONS(1860),
    [anon_sym_LPAREN] = ACTIONS(1860),
    [anon_sym_continue] = ACTIONS(1860),
    [anon_sym_state] = ACTIONS(1860),
    [anon_sym_our] = ACTIONS(1860),
    [anon_sym_try] = ACTIONS(1860),
    [anon_sym_defer] = ACTIONS(1860),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1860),
    [anon_sym_else] = ACTIONS(1870),
    [anon_sym_elsif] = ACTIONS(1872),
    [anon_sym_LBRACK] = ACTIONS(1860),
    [anon_sym_LT] = ACTIONS(1860),
    [anon_sym_LT_LT] = ACTIONS(1860),
    [anon_sym_SLASH_SLASH] = ACTIONS(1860),
    [anon_sym_PLUS] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1860),
    [anon_sym_STAR] = ACTIONS(1860),
    [anon_sym_TILDE] = ACTIONS(1860),
    [anon_sym_BANG] = ACTIONS(1860),
    [anon_sym_PLUS_PLUS] = ACTIONS(1860),
    [anon_sym_DASH_DASH] = ACTIONS(1860),
    [anon_sym_BSLASH] = ACTIONS(1858),
    [anon_sym_do] = ACTIONS(1860),
    [anon_sym_eval] = ACTIONS(1860),
    [anon_sym_await] = ACTIONS(1860),
    [anon_sym_field] = ACTIONS(1860),
    [anon_sym_local] = ACTIONS(1860),
    [anon_sym_dynamically] = ACTIONS(1860),
    [anon_sym_require] = ACTIONS(1860),
    [anon_sym_map] = ACTIONS(1860),
    [anon_sym_grep] = ACTIONS(1860),
    [anon_sym_sort] = ACTIONS(1860),
    [anon_sym_goto] = ACTIONS(1860),
    [anon_sym_return] = ACTIONS(1860),
    [anon_sym_undef] = ACTIONS(1860),
    [anon_sym_PERCENT2] = ACTIONS(1860),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1860),
    [anon_sym_use] = ACTIONS(1860),
    [anon_sym_no] = ACTIONS(1860),
    [anon_sym_for] = ACTIONS(1860),
    [anon_sym_foreach] = ACTIONS(1860),
    [anon_sym_last] = ACTIONS(1860),
    [anon_sym_next] = ACTIONS(1860),
    [anon_sym_redo] = ACTIONS(1860),
    [anon_sym_BEGIN] = ACTIONS(1860),
    [anon_sym_INIT] = ACTIONS(1860),
    [anon_sym_CHECK] = ACTIONS(1860),
    [anon_sym_UNITCHECK] = ACTIONS(1860),
    [anon_sym_END] = ACTIONS(1860),
    [anon_sym___FILE__] = ACTIONS(1860),
    [anon_sym___LINE__] = ACTIONS(1860),
    [anon_sym___PACKAGE__] = ACTIONS(1860),
    [anon_sym___SUB__] = ACTIONS(1860),
    [anon_sym_break] = ACTIONS(1860),
    [anon_sym_fork] = ACTIONS(1860),
    [anon_sym_getppid] = ACTIONS(1860),
    [anon_sym_time] = ACTIONS(1860),
    [anon_sym_times] = ACTIONS(1860),
    [anon_sym_wait] = ACTIONS(1860),
    [anon_sym_wantarray] = ACTIONS(1860),
    [anon_sym_abs] = ACTIONS(1860),
    [anon_sym_alarm] = ACTIONS(1860),
    [anon_sym_chop] = ACTIONS(1860),
    [anon_sym_chdir] = ACTIONS(1860),
    [anon_sym_close] = ACTIONS(1860),
    [anon_sym_closedir] = ACTIONS(1860),
    [anon_sym_caller] = ACTIONS(1860),
    [anon_sym_chomp] = ACTIONS(1860),
    [anon_sym_chr] = ACTIONS(1860),
    [anon_sym_cos] = ACTIONS(1860),
    [anon_sym_chroot] = ACTIONS(1860),
    [anon_sym_defined] = ACTIONS(1860),
    [anon_sym_delete] = ACTIONS(1860),
    [anon_sym_dbmclose] = ACTIONS(1860),
    [anon_sym_exists] = ACTIONS(1860),
    [anon_sym_exit] = ACTIONS(1860),
    [anon_sym_eof] = ACTIONS(1860),
    [anon_sym_exp] = ACTIONS(1860),
    [anon_sym_each] = ACTIONS(1860),
    [anon_sym_fc] = ACTIONS(1860),
    [anon_sym_fileno] = ACTIONS(1860),
    [anon_sym_gmtime] = ACTIONS(1860),
    [anon_sym_getc] = ACTIONS(1860),
    [anon_sym_getpgrp] = ACTIONS(1860),
    [anon_sym_getprotobyname] = ACTIONS(1860),
    [anon_sym_getpwname] = ACTIONS(1860),
    [anon_sym_getpwuid] = ACTIONS(1860),
    [anon_sym_getpeername] = ACTIONS(1860),
    [anon_sym_getnetbyname] = ACTIONS(1860),
    [anon_sym_getsockname] = ACTIONS(1860),
    [anon_sym_getgrnam] = ACTIONS(1860),
    [anon_sym_getgrgid] = ACTIONS(1860),
    [anon_sym_hex] = ACTIONS(1860),
    [anon_sym_int] = ACTIONS(1860),
    [anon_sym_keys] = ACTIONS(1860),
    [anon_sym_lc] = ACTIONS(1860),
    [anon_sym_lcfirst] = ACTIONS(1860),
    [anon_sym_length] = ACTIONS(1860),
    [anon_sym_localtime] = ACTIONS(1860),
    [anon_sym_log] = ACTIONS(1860),
    [anon_sym_lock] = ACTIONS(1860),
    [anon_sym_lstat] = ACTIONS(1860),
    [anon_sym_oct] = ACTIONS(1860),
    [anon_sym_ord] = ACTIONS(1860),
    [anon_sym_prototype] = ACTIONS(1860),
    [anon_sym_pop] = ACTIONS(1860),
    [anon_sym_pos] = ACTIONS(1860),
    [anon_sym_quotemeta] = ACTIONS(1860),
    [anon_sym_reset] = ACTIONS(1860),
    [anon_sym_rand] = ACTIONS(1860),
    [anon_sym_rmdir] = ACTIONS(1860),
    [anon_sym_readdir] = ACTIONS(1860),
    [anon_sym_readline] = ACTIONS(1860),
    [anon_sym_readpipe] = ACTIONS(1860),
    [anon_sym_rewinddir] = ACTIONS(1860),
    [anon_sym_readlink] = ACTIONS(1860),
    [anon_sym_ref] = ACTIONS(1860),
    [anon_sym_scalar] = ACTIONS(1860),
    [anon_sym_shift] = ACTIONS(1860),
    [anon_sym_sin] = ACTIONS(1860),
    [anon_sym_sleep] = ACTIONS(1860),
    [anon_sym_sqrt] = ACTIONS(1860),
    [anon_sym_srand] = ACTIONS(1860),
    [anon_sym_stat] = ACTIONS(1860),
    [anon_sym_study] = ACTIONS(1860),
    [anon_sym_tell] = ACTIONS(1860),
    [anon_sym_telldir] = ACTIONS(1860),
    [anon_sym_tied] = ACTIONS(1860),
    [anon_sym_uc] = ACTIONS(1860),
    [anon_sym_ucfirst] = ACTIONS(1860),
    [anon_sym_untie] = ACTIONS(1860),
    [anon_sym_umask] = ACTIONS(1860),
    [anon_sym_values] = ACTIONS(1860),
    [anon_sym_write] = ACTIONS(1860),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1860),
    [anon_sym_qq] = ACTIONS(1860),
    [anon_sym_qw] = ACTIONS(1860),
    [anon_sym_qx] = ACTIONS(1860),
    [anon_sym_qr] = ACTIONS(1860),
    [anon_sym_m] = ACTIONS(1860),
    [anon_sym_s] = ACTIONS(1860),
    [anon_sym_tr] = ACTIONS(1860),
    [anon_sym_y] = ACTIONS(1860),
    [anon_sym_if] = ACTIONS(1860),
    [anon_sym_unless] = ACTIONS(1860),
    [anon_sym_while] = ACTIONS(1860),
    [anon_sym_until] = ACTIONS(1860),
    [aux_sym__bareword_token1] = ACTIONS(1860),
    [sym_number] = ACTIONS(1860),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [sym__single_quote] = ACTIONS(1858),
    [sym__double_quote] = ACTIONS(1858),
    [sym__backtick_quote] = ACTIONS(1858),
    [sym__search_slash_quote] = ACTIONS(1858),
    [sym__PERLY_HEREDOC] = ACTIONS(1858),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1858),
    [sym__filetest] = ACTIONS(1858),
  },
  [800] = {
    [sym_heredoc_content] = STATE(800),
    [ts_builtin_sym_end] = ACTIONS(1874),
    [sym__identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_SEMI] = ACTIONS(1876),
    [anon_sym_package] = ACTIONS(1876),
    [anon_sym_class] = ACTIONS(1876),
    [anon_sym_role] = ACTIONS(1876),
    [anon_sym_BUILD] = ACTIONS(1876),
    [anon_sym_ADJUST] = ACTIONS(1876),
    [anon_sym_DOLLAR] = ACTIONS(1876),
    [anon_sym_AT] = ACTIONS(1876),
    [anon_sym_my] = ACTIONS(1876),
    [anon_sym_extended] = ACTIONS(1876),
    [anon_sym_async] = ACTIONS(1876),
    [anon_sym_sub] = ACTIONS(1876),
    [anon_sym_method] = ACTIONS(1876),
    [anon_sym_LPAREN] = ACTIONS(1876),
    [anon_sym_continue] = ACTIONS(1876),
    [anon_sym_state] = ACTIONS(1876),
    [anon_sym_our] = ACTIONS(1876),
    [anon_sym_try] = ACTIONS(1876),
    [anon_sym_finally] = ACTIONS(1878),
    [anon_sym_defer] = ACTIONS(1876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1876),
    [anon_sym_LBRACK] = ACTIONS(1876),
    [anon_sym_LT] = ACTIONS(1876),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_BSLASH] = ACTIONS(1874),
    [anon_sym_do] = ACTIONS(1876),
    [anon_sym_eval] = ACTIONS(1876),
    [anon_sym_await] = ACTIONS(1876),
    [anon_sym_field] = ACTIONS(1876),
    [anon_sym_local] = ACTIONS(1876),
    [anon_sym_dynamically] = ACTIONS(1876),
    [anon_sym_require] = ACTIONS(1876),
    [anon_sym_map] = ACTIONS(1876),
    [anon_sym_grep] = ACTIONS(1876),
    [anon_sym_sort] = ACTIONS(1876),
    [anon_sym_goto] = ACTIONS(1876),
    [anon_sym_return] = ACTIONS(1876),
    [anon_sym_undef] = ACTIONS(1876),
    [anon_sym_PERCENT2] = ACTIONS(1876),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1876),
    [anon_sym_use] = ACTIONS(1876),
    [anon_sym_no] = ACTIONS(1876),
    [anon_sym_for] = ACTIONS(1876),
    [anon_sym_foreach] = ACTIONS(1876),
    [anon_sym_last] = ACTIONS(1876),
    [anon_sym_next] = ACTIONS(1876),
    [anon_sym_redo] = ACTIONS(1876),
    [anon_sym_BEGIN] = ACTIONS(1876),
    [anon_sym_INIT] = ACTIONS(1876),
    [anon_sym_CHECK] = ACTIONS(1876),
    [anon_sym_UNITCHECK] = ACTIONS(1876),
    [anon_sym_END] = ACTIONS(1876),
    [anon_sym___FILE__] = ACTIONS(1876),
    [anon_sym___LINE__] = ACTIONS(1876),
    [anon_sym___PACKAGE__] = ACTIONS(1876),
    [anon_sym___SUB__] = ACTIONS(1876),
    [anon_sym_break] = ACTIONS(1876),
    [anon_sym_fork] = ACTIONS(1876),
    [anon_sym_getppid] = ACTIONS(1876),
    [anon_sym_time] = ACTIONS(1876),
    [anon_sym_times] = ACTIONS(1876),
    [anon_sym_wait] = ACTIONS(1876),
    [anon_sym_wantarray] = ACTIONS(1876),
    [anon_sym_abs] = ACTIONS(1876),
    [anon_sym_alarm] = ACTIONS(1876),
    [anon_sym_chop] = ACTIONS(1876),
    [anon_sym_chdir] = ACTIONS(1876),
    [anon_sym_close] = ACTIONS(1876),
    [anon_sym_closedir] = ACTIONS(1876),
    [anon_sym_caller] = ACTIONS(1876),
    [anon_sym_chomp] = ACTIONS(1876),
    [anon_sym_chr] = ACTIONS(1876),
    [anon_sym_cos] = ACTIONS(1876),
    [anon_sym_chroot] = ACTIONS(1876),
    [anon_sym_defined] = ACTIONS(1876),
    [anon_sym_delete] = ACTIONS(1876),
    [anon_sym_dbmclose] = ACTIONS(1876),
    [anon_sym_exists] = ACTIONS(1876),
    [anon_sym_exit] = ACTIONS(1876),
    [anon_sym_eof] = ACTIONS(1876),
    [anon_sym_exp] = ACTIONS(1876),
    [anon_sym_each] = ACTIONS(1876),
    [anon_sym_fc] = ACTIONS(1876),
    [anon_sym_fileno] = ACTIONS(1876),
    [anon_sym_gmtime] = ACTIONS(1876),
    [anon_sym_getc] = ACTIONS(1876),
    [anon_sym_getpgrp] = ACTIONS(1876),
    [anon_sym_getprotobyname] = ACTIONS(1876),
    [anon_sym_getpwname] = ACTIONS(1876),
    [anon_sym_getpwuid] = ACTIONS(1876),
    [anon_sym_getpeername] = ACTIONS(1876),
    [anon_sym_getnetbyname] = ACTIONS(1876),
    [anon_sym_getsockname] = ACTIONS(1876),
    [anon_sym_getgrnam] = ACTIONS(1876),
    [anon_sym_getgrgid] = ACTIONS(1876),
    [anon_sym_hex] = ACTIONS(1876),
    [anon_sym_int] = ACTIONS(1876),
    [anon_sym_keys] = ACTIONS(1876),
    [anon_sym_lc] = ACTIONS(1876),
    [anon_sym_lcfirst] = ACTIONS(1876),
    [anon_sym_length] = ACTIONS(1876),
    [anon_sym_localtime] = ACTIONS(1876),
    [anon_sym_log] = ACTIONS(1876),
    [anon_sym_lock] = ACTIONS(1876),
    [anon_sym_lstat] = ACTIONS(1876),
    [anon_sym_oct] = ACTIONS(1876),
    [anon_sym_ord] = ACTIONS(1876),
    [anon_sym_prototype] = ACTIONS(1876),
    [anon_sym_pop] = ACTIONS(1876),
    [anon_sym_pos] = ACTIONS(1876),
    [anon_sym_quotemeta] = ACTIONS(1876),
    [anon_sym_reset] = ACTIONS(1876),
    [anon_sym_rand] = ACTIONS(1876),
    [anon_sym_rmdir] = ACTIONS(1876),
    [anon_sym_readdir] = ACTIONS(1876),
    [anon_sym_readline] = ACTIONS(1876),
    [anon_sym_readpipe] = ACTIONS(1876),
    [anon_sym_rewinddir] = ACTIONS(1876),
    [anon_sym_readlink] = ACTIONS(1876),
    [anon_sym_ref] = ACTIONS(1876),
    [anon_sym_scalar] = ACTIONS(1876),
    [anon_sym_shift] = ACTIONS(1876),
    [anon_sym_sin] = ACTIONS(1876),
    [anon_sym_sleep] = ACTIONS(1876),
    [anon_sym_sqrt] = ACTIONS(1876),
    [anon_sym_srand] = ACTIONS(1876),
    [anon_sym_stat] = ACTIONS(1876),
    [anon_sym_study] = ACTIONS(1876),
    [anon_sym_tell] = ACTIONS(1876),
    [anon_sym_telldir] = ACTIONS(1876),
    [anon_sym_tied] = ACTIONS(1876),
    [anon_sym_uc] = ACTIONS(1876),
    [anon_sym_ucfirst] = ACTIONS(1876),
    [anon_sym_untie] = ACTIONS(1876),
    [anon_sym_umask] = ACTIONS(1876),
    [anon_sym_values] = ACTIONS(1876),
    [anon_sym_write] = ACTIONS(1876),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1876),
    [anon_sym___END__] = ACTIONS(1876),
    [anon_sym_EOT] = ACTIONS(1876),
    [anon_sym_q] = ACTIONS(1876),
    [anon_sym_qq] = ACTIONS(1876),
    [anon_sym_qw] = ACTIONS(1876),
    [anon_sym_qx] = ACTIONS(1876),
    [anon_sym_qr] = ACTIONS(1876),
    [anon_sym_m] = ACTIONS(1876),
    [anon_sym_s] = ACTIONS(1876),
    [anon_sym_tr] = ACTIONS(1876),
    [anon_sym_y] = ACTIONS(1876),
    [anon_sym_if] = ACTIONS(1876),
    [anon_sym_unless] = ACTIONS(1876),
    [anon_sym_while] = ACTIONS(1876),
    [anon_sym_until] = ACTIONS(1876),
    [aux_sym__bareword_token1] = ACTIONS(1876),
    [sym_number] = ACTIONS(1876),
    [anon_sym_true] = ACTIONS(1876),
    [anon_sym_false] = ACTIONS(1876),
    [sym__single_quote] = ACTIONS(1874),
    [sym__double_quote] = ACTIONS(1874),
    [sym__backtick_quote] = ACTIONS(1874),
    [sym__search_slash_quote] = ACTIONS(1874),
    [sym__PERLY_HEREDOC] = ACTIONS(1874),
    [sym__ctrl_z_hack] = ACTIONS(1874),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1874),
    [sym__filetest] = ACTIONS(1874),
  },
  [801] = {
    [sym__else] = STATE(944),
    [sym_else] = STATE(945),
    [sym_elsif] = STATE(945),
    [sym_heredoc_content] = STATE(801),
    [sym__identifier] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1852),
    [anon_sym_RBRACE] = ACTIONS(1852),
    [anon_sym_SEMI] = ACTIONS(1852),
    [anon_sym_package] = ACTIONS(1852),
    [anon_sym_class] = ACTIONS(1852),
    [anon_sym_role] = ACTIONS(1852),
    [anon_sym_BUILD] = ACTIONS(1852),
    [anon_sym_ADJUST] = ACTIONS(1852),
    [anon_sym_DOLLAR] = ACTIONS(1852),
    [anon_sym_AT] = ACTIONS(1852),
    [anon_sym_my] = ACTIONS(1852),
    [anon_sym_extended] = ACTIONS(1852),
    [anon_sym_async] = ACTIONS(1852),
    [anon_sym_sub] = ACTIONS(1852),
    [anon_sym_method] = ACTIONS(1852),
    [anon_sym_LPAREN] = ACTIONS(1852),
    [anon_sym_continue] = ACTIONS(1852),
    [anon_sym_state] = ACTIONS(1852),
    [anon_sym_our] = ACTIONS(1852),
    [anon_sym_try] = ACTIONS(1852),
    [anon_sym_defer] = ACTIONS(1852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1852),
    [anon_sym_else] = ACTIONS(1870),
    [anon_sym_elsif] = ACTIONS(1872),
    [anon_sym_LBRACK] = ACTIONS(1852),
    [anon_sym_LT] = ACTIONS(1852),
    [anon_sym_LT_LT] = ACTIONS(1852),
    [anon_sym_SLASH_SLASH] = ACTIONS(1852),
    [anon_sym_PLUS] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1852),
    [anon_sym_STAR] = ACTIONS(1852),
    [anon_sym_TILDE] = ACTIONS(1852),
    [anon_sym_BANG] = ACTIONS(1852),
    [anon_sym_PLUS_PLUS] = ACTIONS(1852),
    [anon_sym_DASH_DASH] = ACTIONS(1852),
    [anon_sym_BSLASH] = ACTIONS(1850),
    [anon_sym_do] = ACTIONS(1852),
    [anon_sym_eval] = ACTIONS(1852),
    [anon_sym_await] = ACTIONS(1852),
    [anon_sym_field] = ACTIONS(1852),
    [anon_sym_local] = ACTIONS(1852),
    [anon_sym_dynamically] = ACTIONS(1852),
    [anon_sym_require] = ACTIONS(1852),
    [anon_sym_map] = ACTIONS(1852),
    [anon_sym_grep] = ACTIONS(1852),
    [anon_sym_sort] = ACTIONS(1852),
    [anon_sym_goto] = ACTIONS(1852),
    [anon_sym_return] = ACTIONS(1852),
    [anon_sym_undef] = ACTIONS(1852),
    [anon_sym_PERCENT2] = ACTIONS(1852),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1852),
    [anon_sym_use] = ACTIONS(1852),
    [anon_sym_no] = ACTIONS(1852),
    [anon_sym_for] = ACTIONS(1852),
    [anon_sym_foreach] = ACTIONS(1852),
    [anon_sym_last] = ACTIONS(1852),
    [anon_sym_next] = ACTIONS(1852),
    [anon_sym_redo] = ACTIONS(1852),
    [anon_sym_BEGIN] = ACTIONS(1852),
    [anon_sym_INIT] = ACTIONS(1852),
    [anon_sym_CHECK] = ACTIONS(1852),
    [anon_sym_UNITCHECK] = ACTIONS(1852),
    [anon_sym_END] = ACTIONS(1852),
    [anon_sym___FILE__] = ACTIONS(1852),
    [anon_sym___LINE__] = ACTIONS(1852),
    [anon_sym___PACKAGE__] = ACTIONS(1852),
    [anon_sym___SUB__] = ACTIONS(1852),
    [anon_sym_break] = ACTIONS(1852),
    [anon_sym_fork] = ACTIONS(1852),
    [anon_sym_getppid] = ACTIONS(1852),
    [anon_sym_time] = ACTIONS(1852),
    [anon_sym_times] = ACTIONS(1852),
    [anon_sym_wait] = ACTIONS(1852),
    [anon_sym_wantarray] = ACTIONS(1852),
    [anon_sym_abs] = ACTIONS(1852),
    [anon_sym_alarm] = ACTIONS(1852),
    [anon_sym_chop] = ACTIONS(1852),
    [anon_sym_chdir] = ACTIONS(1852),
    [anon_sym_close] = ACTIONS(1852),
    [anon_sym_closedir] = ACTIONS(1852),
    [anon_sym_caller] = ACTIONS(1852),
    [anon_sym_chomp] = ACTIONS(1852),
    [anon_sym_chr] = ACTIONS(1852),
    [anon_sym_cos] = ACTIONS(1852),
    [anon_sym_chroot] = ACTIONS(1852),
    [anon_sym_defined] = ACTIONS(1852),
    [anon_sym_delete] = ACTIONS(1852),
    [anon_sym_dbmclose] = ACTIONS(1852),
    [anon_sym_exists] = ACTIONS(1852),
    [anon_sym_exit] = ACTIONS(1852),
    [anon_sym_eof] = ACTIONS(1852),
    [anon_sym_exp] = ACTIONS(1852),
    [anon_sym_each] = ACTIONS(1852),
    [anon_sym_fc] = ACTIONS(1852),
    [anon_sym_fileno] = ACTIONS(1852),
    [anon_sym_gmtime] = ACTIONS(1852),
    [anon_sym_getc] = ACTIONS(1852),
    [anon_sym_getpgrp] = ACTIONS(1852),
    [anon_sym_getprotobyname] = ACTIONS(1852),
    [anon_sym_getpwname] = ACTIONS(1852),
    [anon_sym_getpwuid] = ACTIONS(1852),
    [anon_sym_getpeername] = ACTIONS(1852),
    [anon_sym_getnetbyname] = ACTIONS(1852),
    [anon_sym_getsockname] = ACTIONS(1852),
    [anon_sym_getgrnam] = ACTIONS(1852),
    [anon_sym_getgrgid] = ACTIONS(1852),
    [anon_sym_hex] = ACTIONS(1852),
    [anon_sym_int] = ACTIONS(1852),
    [anon_sym_keys] = ACTIONS(1852),
    [anon_sym_lc] = ACTIONS(1852),
    [anon_sym_lcfirst] = ACTIONS(1852),
    [anon_sym_length] = ACTIONS(1852),
    [anon_sym_localtime] = ACTIONS(1852),
    [anon_sym_log] = ACTIONS(1852),
    [anon_sym_lock] = ACTIONS(1852),
    [anon_sym_lstat] = ACTIONS(1852),
    [anon_sym_oct] = ACTIONS(1852),
    [anon_sym_ord] = ACTIONS(1852),
    [anon_sym_prototype] = ACTIONS(1852),
    [anon_sym_pop] = ACTIONS(1852),
    [anon_sym_pos] = ACTIONS(1852),
    [anon_sym_quotemeta] = ACTIONS(1852),
    [anon_sym_reset] = ACTIONS(1852),
    [anon_sym_rand] = ACTIONS(1852),
    [anon_sym_rmdir] = ACTIONS(1852),
    [anon_sym_readdir] = ACTIONS(1852),
    [anon_sym_readline] = ACTIONS(1852),
    [anon_sym_readpipe] = ACTIONS(1852),
    [anon_sym_rewinddir] = ACTIONS(1852),
    [anon_sym_readlink] = ACTIONS(1852),
    [anon_sym_ref] = ACTIONS(1852),
    [anon_sym_scalar] = ACTIONS(1852),
    [anon_sym_shift] = ACTIONS(1852),
    [anon_sym_sin] = ACTIONS(1852),
    [anon_sym_sleep] = ACTIONS(1852),
    [anon_sym_sqrt] = ACTIONS(1852),
    [anon_sym_srand] = ACTIONS(1852),
    [anon_sym_stat] = ACTIONS(1852),
    [anon_sym_study] = ACTIONS(1852),
    [anon_sym_tell] = ACTIONS(1852),
    [anon_sym_telldir] = ACTIONS(1852),
    [anon_sym_tied] = ACTIONS(1852),
    [anon_sym_uc] = ACTIONS(1852),
    [anon_sym_ucfirst] = ACTIONS(1852),
    [anon_sym_untie] = ACTIONS(1852),
    [anon_sym_umask] = ACTIONS(1852),
    [anon_sym_values] = ACTIONS(1852),
    [anon_sym_write] = ACTIONS(1852),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1852),
    [anon_sym_qq] = ACTIONS(1852),
    [anon_sym_qw] = ACTIONS(1852),
    [anon_sym_qx] = ACTIONS(1852),
    [anon_sym_qr] = ACTIONS(1852),
    [anon_sym_m] = ACTIONS(1852),
    [anon_sym_s] = ACTIONS(1852),
    [anon_sym_tr] = ACTIONS(1852),
    [anon_sym_y] = ACTIONS(1852),
    [anon_sym_if] = ACTIONS(1852),
    [anon_sym_unless] = ACTIONS(1852),
    [anon_sym_while] = ACTIONS(1852),
    [anon_sym_until] = ACTIONS(1852),
    [aux_sym__bareword_token1] = ACTIONS(1852),
    [sym_number] = ACTIONS(1852),
    [anon_sym_true] = ACTIONS(1852),
    [anon_sym_false] = ACTIONS(1852),
    [sym__single_quote] = ACTIONS(1850),
    [sym__double_quote] = ACTIONS(1850),
    [sym__backtick_quote] = ACTIONS(1850),
    [sym__search_slash_quote] = ACTIONS(1850),
    [sym__PERLY_HEREDOC] = ACTIONS(1850),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1850),
    [sym__filetest] = ACTIONS(1850),
  },
  [802] = {
    [sym_heredoc_content] = STATE(802),
    [ts_builtin_sym_end] = ACTIONS(1880),
    [sym__identifier] = ACTIONS(1882),
    [anon_sym_LBRACE] = ACTIONS(1882),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_package] = ACTIONS(1882),
    [anon_sym_class] = ACTIONS(1882),
    [anon_sym_role] = ACTIONS(1882),
    [anon_sym_BUILD] = ACTIONS(1882),
    [anon_sym_ADJUST] = ACTIONS(1882),
    [anon_sym_DOLLAR] = ACTIONS(1882),
    [anon_sym_AT] = ACTIONS(1882),
    [anon_sym_my] = ACTIONS(1882),
    [anon_sym_extended] = ACTIONS(1882),
    [anon_sym_async] = ACTIONS(1882),
    [anon_sym_sub] = ACTIONS(1882),
    [anon_sym_method] = ACTIONS(1882),
    [anon_sym_LPAREN] = ACTIONS(1882),
    [anon_sym_continue] = ACTIONS(1882),
    [anon_sym_state] = ACTIONS(1882),
    [anon_sym_our] = ACTIONS(1882),
    [anon_sym_try] = ACTIONS(1882),
    [anon_sym_finally] = ACTIONS(1884),
    [anon_sym_defer] = ACTIONS(1882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1882),
    [anon_sym_LT] = ACTIONS(1882),
    [anon_sym_LT_LT] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1882),
    [anon_sym_DASH] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(1882),
    [anon_sym_TILDE] = ACTIONS(1882),
    [anon_sym_BANG] = ACTIONS(1882),
    [anon_sym_PLUS_PLUS] = ACTIONS(1882),
    [anon_sym_DASH_DASH] = ACTIONS(1882),
    [anon_sym_BSLASH] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_eval] = ACTIONS(1882),
    [anon_sym_await] = ACTIONS(1882),
    [anon_sym_field] = ACTIONS(1882),
    [anon_sym_local] = ACTIONS(1882),
    [anon_sym_dynamically] = ACTIONS(1882),
    [anon_sym_require] = ACTIONS(1882),
    [anon_sym_map] = ACTIONS(1882),
    [anon_sym_grep] = ACTIONS(1882),
    [anon_sym_sort] = ACTIONS(1882),
    [anon_sym_goto] = ACTIONS(1882),
    [anon_sym_return] = ACTIONS(1882),
    [anon_sym_undef] = ACTIONS(1882),
    [anon_sym_PERCENT2] = ACTIONS(1882),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1882),
    [anon_sym_use] = ACTIONS(1882),
    [anon_sym_no] = ACTIONS(1882),
    [anon_sym_for] = ACTIONS(1882),
    [anon_sym_foreach] = ACTIONS(1882),
    [anon_sym_last] = ACTIONS(1882),
    [anon_sym_next] = ACTIONS(1882),
    [anon_sym_redo] = ACTIONS(1882),
    [anon_sym_BEGIN] = ACTIONS(1882),
    [anon_sym_INIT] = ACTIONS(1882),
    [anon_sym_CHECK] = ACTIONS(1882),
    [anon_sym_UNITCHECK] = ACTIONS(1882),
    [anon_sym_END] = ACTIONS(1882),
    [anon_sym___FILE__] = ACTIONS(1882),
    [anon_sym___LINE__] = ACTIONS(1882),
    [anon_sym___PACKAGE__] = ACTIONS(1882),
    [anon_sym___SUB__] = ACTIONS(1882),
    [anon_sym_break] = ACTIONS(1882),
    [anon_sym_fork] = ACTIONS(1882),
    [anon_sym_getppid] = ACTIONS(1882),
    [anon_sym_time] = ACTIONS(1882),
    [anon_sym_times] = ACTIONS(1882),
    [anon_sym_wait] = ACTIONS(1882),
    [anon_sym_wantarray] = ACTIONS(1882),
    [anon_sym_abs] = ACTIONS(1882),
    [anon_sym_alarm] = ACTIONS(1882),
    [anon_sym_chop] = ACTIONS(1882),
    [anon_sym_chdir] = ACTIONS(1882),
    [anon_sym_close] = ACTIONS(1882),
    [anon_sym_closedir] = ACTIONS(1882),
    [anon_sym_caller] = ACTIONS(1882),
    [anon_sym_chomp] = ACTIONS(1882),
    [anon_sym_chr] = ACTIONS(1882),
    [anon_sym_cos] = ACTIONS(1882),
    [anon_sym_chroot] = ACTIONS(1882),
    [anon_sym_defined] = ACTIONS(1882),
    [anon_sym_delete] = ACTIONS(1882),
    [anon_sym_dbmclose] = ACTIONS(1882),
    [anon_sym_exists] = ACTIONS(1882),
    [anon_sym_exit] = ACTIONS(1882),
    [anon_sym_eof] = ACTIONS(1882),
    [anon_sym_exp] = ACTIONS(1882),
    [anon_sym_each] = ACTIONS(1882),
    [anon_sym_fc] = ACTIONS(1882),
    [anon_sym_fileno] = ACTIONS(1882),
    [anon_sym_gmtime] = ACTIONS(1882),
    [anon_sym_getc] = ACTIONS(1882),
    [anon_sym_getpgrp] = ACTIONS(1882),
    [anon_sym_getprotobyname] = ACTIONS(1882),
    [anon_sym_getpwname] = ACTIONS(1882),
    [anon_sym_getpwuid] = ACTIONS(1882),
    [anon_sym_getpeername] = ACTIONS(1882),
    [anon_sym_getnetbyname] = ACTIONS(1882),
    [anon_sym_getsockname] = ACTIONS(1882),
    [anon_sym_getgrnam] = ACTIONS(1882),
    [anon_sym_getgrgid] = ACTIONS(1882),
    [anon_sym_hex] = ACTIONS(1882),
    [anon_sym_int] = ACTIONS(1882),
    [anon_sym_keys] = ACTIONS(1882),
    [anon_sym_lc] = ACTIONS(1882),
    [anon_sym_lcfirst] = ACTIONS(1882),
    [anon_sym_length] = ACTIONS(1882),
    [anon_sym_localtime] = ACTIONS(1882),
    [anon_sym_log] = ACTIONS(1882),
    [anon_sym_lock] = ACTIONS(1882),
    [anon_sym_lstat] = ACTIONS(1882),
    [anon_sym_oct] = ACTIONS(1882),
    [anon_sym_ord] = ACTIONS(1882),
    [anon_sym_prototype] = ACTIONS(1882),
    [anon_sym_pop] = ACTIONS(1882),
    [anon_sym_pos] = ACTIONS(1882),
    [anon_sym_quotemeta] = ACTIONS(1882),
    [anon_sym_reset] = ACTIONS(1882),
    [anon_sym_rand] = ACTIONS(1882),
    [anon_sym_rmdir] = ACTIONS(1882),
    [anon_sym_readdir] = ACTIONS(1882),
    [anon_sym_readline] = ACTIONS(1882),
    [anon_sym_readpipe] = ACTIONS(1882),
    [anon_sym_rewinddir] = ACTIONS(1882),
    [anon_sym_readlink] = ACTIONS(1882),
    [anon_sym_ref] = ACTIONS(1882),
    [anon_sym_scalar] = ACTIONS(1882),
    [anon_sym_shift] = ACTIONS(1882),
    [anon_sym_sin] = ACTIONS(1882),
    [anon_sym_sleep] = ACTIONS(1882),
    [anon_sym_sqrt] = ACTIONS(1882),
    [anon_sym_srand] = ACTIONS(1882),
    [anon_sym_stat] = ACTIONS(1882),
    [anon_sym_study] = ACTIONS(1882),
    [anon_sym_tell] = ACTIONS(1882),
    [anon_sym_telldir] = ACTIONS(1882),
    [anon_sym_tied] = ACTIONS(1882),
    [anon_sym_uc] = ACTIONS(1882),
    [anon_sym_ucfirst] = ACTIONS(1882),
    [anon_sym_untie] = ACTIONS(1882),
    [anon_sym_umask] = ACTIONS(1882),
    [anon_sym_values] = ACTIONS(1882),
    [anon_sym_write] = ACTIONS(1882),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1882),
    [anon_sym___END__] = ACTIONS(1882),
    [anon_sym_EOT] = ACTIONS(1882),
    [anon_sym_q] = ACTIONS(1882),
    [anon_sym_qq] = ACTIONS(1882),
    [anon_sym_qw] = ACTIONS(1882),
    [anon_sym_qx] = ACTIONS(1882),
    [anon_sym_qr] = ACTIONS(1882),
    [anon_sym_m] = ACTIONS(1882),
    [anon_sym_s] = ACTIONS(1882),
    [anon_sym_tr] = ACTIONS(1882),
    [anon_sym_y] = ACTIONS(1882),
    [anon_sym_if] = ACTIONS(1882),
    [anon_sym_unless] = ACTIONS(1882),
    [anon_sym_while] = ACTIONS(1882),
    [anon_sym_until] = ACTIONS(1882),
    [aux_sym__bareword_token1] = ACTIONS(1882),
    [sym_number] = ACTIONS(1882),
    [anon_sym_true] = ACTIONS(1882),
    [anon_sym_false] = ACTIONS(1882),
    [sym__single_quote] = ACTIONS(1880),
    [sym__double_quote] = ACTIONS(1880),
    [sym__backtick_quote] = ACTIONS(1880),
    [sym__search_slash_quote] = ACTIONS(1880),
    [sym__PERLY_HEREDOC] = ACTIONS(1880),
    [sym__ctrl_z_hack] = ACTIONS(1880),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1880),
    [sym__filetest] = ACTIONS(1880),
  },
  [803] = {
    [sym_heredoc_content] = STATE(803),
    [ts_builtin_sym_end] = ACTIONS(1886),
    [sym__identifier] = ACTIONS(1888),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_SEMI] = ACTIONS(1888),
    [anon_sym_package] = ACTIONS(1888),
    [anon_sym_class] = ACTIONS(1888),
    [anon_sym_role] = ACTIONS(1888),
    [anon_sym_BUILD] = ACTIONS(1888),
    [anon_sym_ADJUST] = ACTIONS(1888),
    [anon_sym_DOLLAR] = ACTIONS(1888),
    [anon_sym_AT] = ACTIONS(1888),
    [anon_sym_my] = ACTIONS(1888),
    [anon_sym_extended] = ACTIONS(1888),
    [anon_sym_async] = ACTIONS(1888),
    [anon_sym_sub] = ACTIONS(1888),
    [anon_sym_method] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1888),
    [anon_sym_continue] = ACTIONS(1888),
    [anon_sym_state] = ACTIONS(1888),
    [anon_sym_our] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1888),
    [anon_sym_defer] = ACTIONS(1888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1888),
    [anon_sym_LT] = ACTIONS(1888),
    [anon_sym_LT_LT] = ACTIONS(1888),
    [anon_sym_SLASH_SLASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(1888),
    [anon_sym_TILDE] = ACTIONS(1888),
    [anon_sym_BANG] = ACTIONS(1888),
    [anon_sym_PLUS_PLUS] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(1888),
    [anon_sym_BSLASH] = ACTIONS(1886),
    [anon_sym_do] = ACTIONS(1888),
    [anon_sym_eval] = ACTIONS(1888),
    [anon_sym_await] = ACTIONS(1888),
    [anon_sym_field] = ACTIONS(1888),
    [anon_sym_local] = ACTIONS(1888),
    [anon_sym_dynamically] = ACTIONS(1888),
    [anon_sym_require] = ACTIONS(1888),
    [anon_sym_map] = ACTIONS(1888),
    [anon_sym_grep] = ACTIONS(1888),
    [anon_sym_sort] = ACTIONS(1888),
    [anon_sym_goto] = ACTIONS(1888),
    [anon_sym_return] = ACTIONS(1888),
    [anon_sym_undef] = ACTIONS(1888),
    [anon_sym_PERCENT2] = ACTIONS(1888),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1888),
    [anon_sym_use] = ACTIONS(1888),
    [anon_sym_no] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_foreach] = ACTIONS(1888),
    [anon_sym_last] = ACTIONS(1888),
    [anon_sym_next] = ACTIONS(1888),
    [anon_sym_redo] = ACTIONS(1888),
    [anon_sym_BEGIN] = ACTIONS(1888),
    [anon_sym_INIT] = ACTIONS(1888),
    [anon_sym_CHECK] = ACTIONS(1888),
    [anon_sym_UNITCHECK] = ACTIONS(1888),
    [anon_sym_END] = ACTIONS(1888),
    [anon_sym___FILE__] = ACTIONS(1888),
    [anon_sym___LINE__] = ACTIONS(1888),
    [anon_sym___PACKAGE__] = ACTIONS(1888),
    [anon_sym___SUB__] = ACTIONS(1888),
    [anon_sym_break] = ACTIONS(1888),
    [anon_sym_fork] = ACTIONS(1888),
    [anon_sym_getppid] = ACTIONS(1888),
    [anon_sym_time] = ACTIONS(1888),
    [anon_sym_times] = ACTIONS(1888),
    [anon_sym_wait] = ACTIONS(1888),
    [anon_sym_wantarray] = ACTIONS(1888),
    [anon_sym_abs] = ACTIONS(1888),
    [anon_sym_alarm] = ACTIONS(1888),
    [anon_sym_chop] = ACTIONS(1888),
    [anon_sym_chdir] = ACTIONS(1888),
    [anon_sym_close] = ACTIONS(1888),
    [anon_sym_closedir] = ACTIONS(1888),
    [anon_sym_caller] = ACTIONS(1888),
    [anon_sym_chomp] = ACTIONS(1888),
    [anon_sym_chr] = ACTIONS(1888),
    [anon_sym_cos] = ACTIONS(1888),
    [anon_sym_chroot] = ACTIONS(1888),
    [anon_sym_defined] = ACTIONS(1888),
    [anon_sym_delete] = ACTIONS(1888),
    [anon_sym_dbmclose] = ACTIONS(1888),
    [anon_sym_exists] = ACTIONS(1888),
    [anon_sym_exit] = ACTIONS(1888),
    [anon_sym_eof] = ACTIONS(1888),
    [anon_sym_exp] = ACTIONS(1888),
    [anon_sym_each] = ACTIONS(1888),
    [anon_sym_fc] = ACTIONS(1888),
    [anon_sym_fileno] = ACTIONS(1888),
    [anon_sym_gmtime] = ACTIONS(1888),
    [anon_sym_getc] = ACTIONS(1888),
    [anon_sym_getpgrp] = ACTIONS(1888),
    [anon_sym_getprotobyname] = ACTIONS(1888),
    [anon_sym_getpwname] = ACTIONS(1888),
    [anon_sym_getpwuid] = ACTIONS(1888),
    [anon_sym_getpeername] = ACTIONS(1888),
    [anon_sym_getnetbyname] = ACTIONS(1888),
    [anon_sym_getsockname] = ACTIONS(1888),
    [anon_sym_getgrnam] = ACTIONS(1888),
    [anon_sym_getgrgid] = ACTIONS(1888),
    [anon_sym_hex] = ACTIONS(1888),
    [anon_sym_int] = ACTIONS(1888),
    [anon_sym_keys] = ACTIONS(1888),
    [anon_sym_lc] = ACTIONS(1888),
    [anon_sym_lcfirst] = ACTIONS(1888),
    [anon_sym_length] = ACTIONS(1888),
    [anon_sym_localtime] = ACTIONS(1888),
    [anon_sym_log] = ACTIONS(1888),
    [anon_sym_lock] = ACTIONS(1888),
    [anon_sym_lstat] = ACTIONS(1888),
    [anon_sym_oct] = ACTIONS(1888),
    [anon_sym_ord] = ACTIONS(1888),
    [anon_sym_prototype] = ACTIONS(1888),
    [anon_sym_pop] = ACTIONS(1888),
    [anon_sym_pos] = ACTIONS(1888),
    [anon_sym_quotemeta] = ACTIONS(1888),
    [anon_sym_reset] = ACTIONS(1888),
    [anon_sym_rand] = ACTIONS(1888),
    [anon_sym_rmdir] = ACTIONS(1888),
    [anon_sym_readdir] = ACTIONS(1888),
    [anon_sym_readline] = ACTIONS(1888),
    [anon_sym_readpipe] = ACTIONS(1888),
    [anon_sym_rewinddir] = ACTIONS(1888),
    [anon_sym_readlink] = ACTIONS(1888),
    [anon_sym_ref] = ACTIONS(1888),
    [anon_sym_scalar] = ACTIONS(1888),
    [anon_sym_shift] = ACTIONS(1888),
    [anon_sym_sin] = ACTIONS(1888),
    [anon_sym_sleep] = ACTIONS(1888),
    [anon_sym_sqrt] = ACTIONS(1888),
    [anon_sym_srand] = ACTIONS(1888),
    [anon_sym_stat] = ACTIONS(1888),
    [anon_sym_study] = ACTIONS(1888),
    [anon_sym_tell] = ACTIONS(1888),
    [anon_sym_telldir] = ACTIONS(1888),
    [anon_sym_tied] = ACTIONS(1888),
    [anon_sym_uc] = ACTIONS(1888),
    [anon_sym_ucfirst] = ACTIONS(1888),
    [anon_sym_untie] = ACTIONS(1888),
    [anon_sym_umask] = ACTIONS(1888),
    [anon_sym_values] = ACTIONS(1888),
    [anon_sym_write] = ACTIONS(1888),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1888),
    [anon_sym___END__] = ACTIONS(1888),
    [anon_sym_EOT] = ACTIONS(1888),
    [anon_sym_q] = ACTIONS(1888),
    [anon_sym_qq] = ACTIONS(1888),
    [anon_sym_qw] = ACTIONS(1888),
    [anon_sym_qx] = ACTIONS(1888),
    [anon_sym_qr] = ACTIONS(1888),
    [anon_sym_m] = ACTIONS(1888),
    [anon_sym_s] = ACTIONS(1888),
    [anon_sym_tr] = ACTIONS(1888),
    [anon_sym_y] = ACTIONS(1888),
    [anon_sym_if] = ACTIONS(1888),
    [anon_sym_unless] = ACTIONS(1888),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_until] = ACTIONS(1888),
    [aux_sym__bareword_token1] = ACTIONS(1888),
    [sym_number] = ACTIONS(1888),
    [anon_sym_true] = ACTIONS(1888),
    [anon_sym_false] = ACTIONS(1888),
    [sym__single_quote] = ACTIONS(1886),
    [sym__double_quote] = ACTIONS(1886),
    [sym__backtick_quote] = ACTIONS(1886),
    [sym__search_slash_quote] = ACTIONS(1886),
    [sym__PERLY_HEREDOC] = ACTIONS(1886),
    [sym__ctrl_z_hack] = ACTIONS(1886),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1886),
    [sym__filetest] = ACTIONS(1886),
  },
  [804] = {
    [sym_heredoc_content] = STATE(804),
    [ts_builtin_sym_end] = ACTIONS(1890),
    [sym__identifier] = ACTIONS(1892),
    [anon_sym_LBRACE] = ACTIONS(1892),
    [anon_sym_SEMI] = ACTIONS(1892),
    [anon_sym_package] = ACTIONS(1892),
    [anon_sym_class] = ACTIONS(1892),
    [anon_sym_role] = ACTIONS(1892),
    [anon_sym_BUILD] = ACTIONS(1892),
    [anon_sym_ADJUST] = ACTIONS(1892),
    [anon_sym_DOLLAR] = ACTIONS(1892),
    [anon_sym_AT] = ACTIONS(1892),
    [anon_sym_my] = ACTIONS(1892),
    [anon_sym_extended] = ACTIONS(1892),
    [anon_sym_async] = ACTIONS(1892),
    [anon_sym_sub] = ACTIONS(1892),
    [anon_sym_method] = ACTIONS(1892),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_continue] = ACTIONS(1892),
    [anon_sym_state] = ACTIONS(1892),
    [anon_sym_our] = ACTIONS(1892),
    [anon_sym_try] = ACTIONS(1892),
    [anon_sym_defer] = ACTIONS(1892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_LT] = ACTIONS(1892),
    [anon_sym_LT_LT] = ACTIONS(1892),
    [anon_sym_SLASH_SLASH] = ACTIONS(1892),
    [anon_sym_PLUS] = ACTIONS(1892),
    [anon_sym_DASH] = ACTIONS(1892),
    [anon_sym_STAR] = ACTIONS(1892),
    [anon_sym_TILDE] = ACTIONS(1892),
    [anon_sym_BANG] = ACTIONS(1892),
    [anon_sym_PLUS_PLUS] = ACTIONS(1892),
    [anon_sym_DASH_DASH] = ACTIONS(1892),
    [anon_sym_BSLASH] = ACTIONS(1890),
    [anon_sym_do] = ACTIONS(1892),
    [anon_sym_eval] = ACTIONS(1892),
    [anon_sym_await] = ACTIONS(1892),
    [anon_sym_field] = ACTIONS(1892),
    [anon_sym_local] = ACTIONS(1892),
    [anon_sym_dynamically] = ACTIONS(1892),
    [anon_sym_require] = ACTIONS(1892),
    [anon_sym_map] = ACTIONS(1892),
    [anon_sym_grep] = ACTIONS(1892),
    [anon_sym_sort] = ACTIONS(1892),
    [anon_sym_goto] = ACTIONS(1892),
    [anon_sym_return] = ACTIONS(1892),
    [anon_sym_undef] = ACTIONS(1892),
    [anon_sym_PERCENT2] = ACTIONS(1892),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1892),
    [anon_sym_use] = ACTIONS(1892),
    [anon_sym_no] = ACTIONS(1892),
    [anon_sym_for] = ACTIONS(1892),
    [anon_sym_foreach] = ACTIONS(1892),
    [anon_sym_last] = ACTIONS(1892),
    [anon_sym_next] = ACTIONS(1892),
    [anon_sym_redo] = ACTIONS(1892),
    [anon_sym_BEGIN] = ACTIONS(1892),
    [anon_sym_INIT] = ACTIONS(1892),
    [anon_sym_CHECK] = ACTIONS(1892),
    [anon_sym_UNITCHECK] = ACTIONS(1892),
    [anon_sym_END] = ACTIONS(1892),
    [anon_sym___FILE__] = ACTIONS(1892),
    [anon_sym___LINE__] = ACTIONS(1892),
    [anon_sym___PACKAGE__] = ACTIONS(1892),
    [anon_sym___SUB__] = ACTIONS(1892),
    [anon_sym_break] = ACTIONS(1892),
    [anon_sym_fork] = ACTIONS(1892),
    [anon_sym_getppid] = ACTIONS(1892),
    [anon_sym_time] = ACTIONS(1892),
    [anon_sym_times] = ACTIONS(1892),
    [anon_sym_wait] = ACTIONS(1892),
    [anon_sym_wantarray] = ACTIONS(1892),
    [anon_sym_abs] = ACTIONS(1892),
    [anon_sym_alarm] = ACTIONS(1892),
    [anon_sym_chop] = ACTIONS(1892),
    [anon_sym_chdir] = ACTIONS(1892),
    [anon_sym_close] = ACTIONS(1892),
    [anon_sym_closedir] = ACTIONS(1892),
    [anon_sym_caller] = ACTIONS(1892),
    [anon_sym_chomp] = ACTIONS(1892),
    [anon_sym_chr] = ACTIONS(1892),
    [anon_sym_cos] = ACTIONS(1892),
    [anon_sym_chroot] = ACTIONS(1892),
    [anon_sym_defined] = ACTIONS(1892),
    [anon_sym_delete] = ACTIONS(1892),
    [anon_sym_dbmclose] = ACTIONS(1892),
    [anon_sym_exists] = ACTIONS(1892),
    [anon_sym_exit] = ACTIONS(1892),
    [anon_sym_eof] = ACTIONS(1892),
    [anon_sym_exp] = ACTIONS(1892),
    [anon_sym_each] = ACTIONS(1892),
    [anon_sym_fc] = ACTIONS(1892),
    [anon_sym_fileno] = ACTIONS(1892),
    [anon_sym_gmtime] = ACTIONS(1892),
    [anon_sym_getc] = ACTIONS(1892),
    [anon_sym_getpgrp] = ACTIONS(1892),
    [anon_sym_getprotobyname] = ACTIONS(1892),
    [anon_sym_getpwname] = ACTIONS(1892),
    [anon_sym_getpwuid] = ACTIONS(1892),
    [anon_sym_getpeername] = ACTIONS(1892),
    [anon_sym_getnetbyname] = ACTIONS(1892),
    [anon_sym_getsockname] = ACTIONS(1892),
    [anon_sym_getgrnam] = ACTIONS(1892),
    [anon_sym_getgrgid] = ACTIONS(1892),
    [anon_sym_hex] = ACTIONS(1892),
    [anon_sym_int] = ACTIONS(1892),
    [anon_sym_keys] = ACTIONS(1892),
    [anon_sym_lc] = ACTIONS(1892),
    [anon_sym_lcfirst] = ACTIONS(1892),
    [anon_sym_length] = ACTIONS(1892),
    [anon_sym_localtime] = ACTIONS(1892),
    [anon_sym_log] = ACTIONS(1892),
    [anon_sym_lock] = ACTIONS(1892),
    [anon_sym_lstat] = ACTIONS(1892),
    [anon_sym_oct] = ACTIONS(1892),
    [anon_sym_ord] = ACTIONS(1892),
    [anon_sym_prototype] = ACTIONS(1892),
    [anon_sym_pop] = ACTIONS(1892),
    [anon_sym_pos] = ACTIONS(1892),
    [anon_sym_quotemeta] = ACTIONS(1892),
    [anon_sym_reset] = ACTIONS(1892),
    [anon_sym_rand] = ACTIONS(1892),
    [anon_sym_rmdir] = ACTIONS(1892),
    [anon_sym_readdir] = ACTIONS(1892),
    [anon_sym_readline] = ACTIONS(1892),
    [anon_sym_readpipe] = ACTIONS(1892),
    [anon_sym_rewinddir] = ACTIONS(1892),
    [anon_sym_readlink] = ACTIONS(1892),
    [anon_sym_ref] = ACTIONS(1892),
    [anon_sym_scalar] = ACTIONS(1892),
    [anon_sym_shift] = ACTIONS(1892),
    [anon_sym_sin] = ACTIONS(1892),
    [anon_sym_sleep] = ACTIONS(1892),
    [anon_sym_sqrt] = ACTIONS(1892),
    [anon_sym_srand] = ACTIONS(1892),
    [anon_sym_stat] = ACTIONS(1892),
    [anon_sym_study] = ACTIONS(1892),
    [anon_sym_tell] = ACTIONS(1892),
    [anon_sym_telldir] = ACTIONS(1892),
    [anon_sym_tied] = ACTIONS(1892),
    [anon_sym_uc] = ACTIONS(1892),
    [anon_sym_ucfirst] = ACTIONS(1892),
    [anon_sym_untie] = ACTIONS(1892),
    [anon_sym_umask] = ACTIONS(1892),
    [anon_sym_values] = ACTIONS(1892),
    [anon_sym_write] = ACTIONS(1892),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1892),
    [anon_sym___END__] = ACTIONS(1892),
    [anon_sym_EOT] = ACTIONS(1892),
    [anon_sym_q] = ACTIONS(1892),
    [anon_sym_qq] = ACTIONS(1892),
    [anon_sym_qw] = ACTIONS(1892),
    [anon_sym_qx] = ACTIONS(1892),
    [anon_sym_qr] = ACTIONS(1892),
    [anon_sym_m] = ACTIONS(1892),
    [anon_sym_s] = ACTIONS(1892),
    [anon_sym_tr] = ACTIONS(1892),
    [anon_sym_y] = ACTIONS(1892),
    [anon_sym_if] = ACTIONS(1892),
    [anon_sym_unless] = ACTIONS(1892),
    [anon_sym_while] = ACTIONS(1892),
    [anon_sym_until] = ACTIONS(1892),
    [aux_sym__bareword_token1] = ACTIONS(1892),
    [sym_number] = ACTIONS(1892),
    [anon_sym_true] = ACTIONS(1892),
    [anon_sym_false] = ACTIONS(1892),
    [sym__single_quote] = ACTIONS(1890),
    [sym__double_quote] = ACTIONS(1890),
    [sym__backtick_quote] = ACTIONS(1890),
    [sym__search_slash_quote] = ACTIONS(1890),
    [sym__PERLY_HEREDOC] = ACTIONS(1890),
    [sym__ctrl_z_hack] = ACTIONS(1890),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1890),
    [sym__filetest] = ACTIONS(1890),
  },
  [805] = {
    [sym_heredoc_content] = STATE(805),
    [ts_builtin_sym_end] = ACTIONS(1894),
    [sym__identifier] = ACTIONS(1896),
    [anon_sym_LBRACE] = ACTIONS(1896),
    [anon_sym_SEMI] = ACTIONS(1896),
    [anon_sym_package] = ACTIONS(1896),
    [anon_sym_class] = ACTIONS(1896),
    [anon_sym_role] = ACTIONS(1896),
    [anon_sym_BUILD] = ACTIONS(1896),
    [anon_sym_ADJUST] = ACTIONS(1896),
    [anon_sym_DOLLAR] = ACTIONS(1896),
    [anon_sym_AT] = ACTIONS(1896),
    [anon_sym_my] = ACTIONS(1896),
    [anon_sym_extended] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(1896),
    [anon_sym_sub] = ACTIONS(1896),
    [anon_sym_method] = ACTIONS(1896),
    [anon_sym_LPAREN] = ACTIONS(1896),
    [anon_sym_continue] = ACTIONS(1896),
    [anon_sym_state] = ACTIONS(1896),
    [anon_sym_our] = ACTIONS(1896),
    [anon_sym_try] = ACTIONS(1896),
    [anon_sym_defer] = ACTIONS(1896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1896),
    [anon_sym_LBRACK] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1896),
    [anon_sym_LT_LT] = ACTIONS(1896),
    [anon_sym_SLASH_SLASH] = ACTIONS(1896),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_STAR] = ACTIONS(1896),
    [anon_sym_TILDE] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1896),
    [anon_sym_PLUS_PLUS] = ACTIONS(1896),
    [anon_sym_DASH_DASH] = ACTIONS(1896),
    [anon_sym_BSLASH] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_eval] = ACTIONS(1896),
    [anon_sym_await] = ACTIONS(1896),
    [anon_sym_field] = ACTIONS(1896),
    [anon_sym_local] = ACTIONS(1896),
    [anon_sym_dynamically] = ACTIONS(1896),
    [anon_sym_require] = ACTIONS(1896),
    [anon_sym_map] = ACTIONS(1896),
    [anon_sym_grep] = ACTIONS(1896),
    [anon_sym_sort] = ACTIONS(1896),
    [anon_sym_goto] = ACTIONS(1896),
    [anon_sym_return] = ACTIONS(1896),
    [anon_sym_undef] = ACTIONS(1896),
    [anon_sym_PERCENT2] = ACTIONS(1896),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1896),
    [anon_sym_use] = ACTIONS(1896),
    [anon_sym_no] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1896),
    [anon_sym_foreach] = ACTIONS(1896),
    [anon_sym_last] = ACTIONS(1896),
    [anon_sym_next] = ACTIONS(1896),
    [anon_sym_redo] = ACTIONS(1896),
    [anon_sym_BEGIN] = ACTIONS(1896),
    [anon_sym_INIT] = ACTIONS(1896),
    [anon_sym_CHECK] = ACTIONS(1896),
    [anon_sym_UNITCHECK] = ACTIONS(1896),
    [anon_sym_END] = ACTIONS(1896),
    [anon_sym___FILE__] = ACTIONS(1896),
    [anon_sym___LINE__] = ACTIONS(1896),
    [anon_sym___PACKAGE__] = ACTIONS(1896),
    [anon_sym___SUB__] = ACTIONS(1896),
    [anon_sym_break] = ACTIONS(1896),
    [anon_sym_fork] = ACTIONS(1896),
    [anon_sym_getppid] = ACTIONS(1896),
    [anon_sym_time] = ACTIONS(1896),
    [anon_sym_times] = ACTIONS(1896),
    [anon_sym_wait] = ACTIONS(1896),
    [anon_sym_wantarray] = ACTIONS(1896),
    [anon_sym_abs] = ACTIONS(1896),
    [anon_sym_alarm] = ACTIONS(1896),
    [anon_sym_chop] = ACTIONS(1896),
    [anon_sym_chdir] = ACTIONS(1896),
    [anon_sym_close] = ACTIONS(1896),
    [anon_sym_closedir] = ACTIONS(1896),
    [anon_sym_caller] = ACTIONS(1896),
    [anon_sym_chomp] = ACTIONS(1896),
    [anon_sym_chr] = ACTIONS(1896),
    [anon_sym_cos] = ACTIONS(1896),
    [anon_sym_chroot] = ACTIONS(1896),
    [anon_sym_defined] = ACTIONS(1896),
    [anon_sym_delete] = ACTIONS(1896),
    [anon_sym_dbmclose] = ACTIONS(1896),
    [anon_sym_exists] = ACTIONS(1896),
    [anon_sym_exit] = ACTIONS(1896),
    [anon_sym_eof] = ACTIONS(1896),
    [anon_sym_exp] = ACTIONS(1896),
    [anon_sym_each] = ACTIONS(1896),
    [anon_sym_fc] = ACTIONS(1896),
    [anon_sym_fileno] = ACTIONS(1896),
    [anon_sym_gmtime] = ACTIONS(1896),
    [anon_sym_getc] = ACTIONS(1896),
    [anon_sym_getpgrp] = ACTIONS(1896),
    [anon_sym_getprotobyname] = ACTIONS(1896),
    [anon_sym_getpwname] = ACTIONS(1896),
    [anon_sym_getpwuid] = ACTIONS(1896),
    [anon_sym_getpeername] = ACTIONS(1896),
    [anon_sym_getnetbyname] = ACTIONS(1896),
    [anon_sym_getsockname] = ACTIONS(1896),
    [anon_sym_getgrnam] = ACTIONS(1896),
    [anon_sym_getgrgid] = ACTIONS(1896),
    [anon_sym_hex] = ACTIONS(1896),
    [anon_sym_int] = ACTIONS(1896),
    [anon_sym_keys] = ACTIONS(1896),
    [anon_sym_lc] = ACTIONS(1896),
    [anon_sym_lcfirst] = ACTIONS(1896),
    [anon_sym_length] = ACTIONS(1896),
    [anon_sym_localtime] = ACTIONS(1896),
    [anon_sym_log] = ACTIONS(1896),
    [anon_sym_lock] = ACTIONS(1896),
    [anon_sym_lstat] = ACTIONS(1896),
    [anon_sym_oct] = ACTIONS(1896),
    [anon_sym_ord] = ACTIONS(1896),
    [anon_sym_prototype] = ACTIONS(1896),
    [anon_sym_pop] = ACTIONS(1896),
    [anon_sym_pos] = ACTIONS(1896),
    [anon_sym_quotemeta] = ACTIONS(1896),
    [anon_sym_reset] = ACTIONS(1896),
    [anon_sym_rand] = ACTIONS(1896),
    [anon_sym_rmdir] = ACTIONS(1896),
    [anon_sym_readdir] = ACTIONS(1896),
    [anon_sym_readline] = ACTIONS(1896),
    [anon_sym_readpipe] = ACTIONS(1896),
    [anon_sym_rewinddir] = ACTIONS(1896),
    [anon_sym_readlink] = ACTIONS(1896),
    [anon_sym_ref] = ACTIONS(1896),
    [anon_sym_scalar] = ACTIONS(1896),
    [anon_sym_shift] = ACTIONS(1896),
    [anon_sym_sin] = ACTIONS(1896),
    [anon_sym_sleep] = ACTIONS(1896),
    [anon_sym_sqrt] = ACTIONS(1896),
    [anon_sym_srand] = ACTIONS(1896),
    [anon_sym_stat] = ACTIONS(1896),
    [anon_sym_study] = ACTIONS(1896),
    [anon_sym_tell] = ACTIONS(1896),
    [anon_sym_telldir] = ACTIONS(1896),
    [anon_sym_tied] = ACTIONS(1896),
    [anon_sym_uc] = ACTIONS(1896),
    [anon_sym_ucfirst] = ACTIONS(1896),
    [anon_sym_untie] = ACTIONS(1896),
    [anon_sym_umask] = ACTIONS(1896),
    [anon_sym_values] = ACTIONS(1896),
    [anon_sym_write] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1896),
    [anon_sym___END__] = ACTIONS(1896),
    [anon_sym_EOT] = ACTIONS(1896),
    [anon_sym_q] = ACTIONS(1896),
    [anon_sym_qq] = ACTIONS(1896),
    [anon_sym_qw] = ACTIONS(1896),
    [anon_sym_qx] = ACTIONS(1896),
    [anon_sym_qr] = ACTIONS(1896),
    [anon_sym_m] = ACTIONS(1896),
    [anon_sym_s] = ACTIONS(1896),
    [anon_sym_tr] = ACTIONS(1896),
    [anon_sym_y] = ACTIONS(1896),
    [anon_sym_if] = ACTIONS(1896),
    [anon_sym_unless] = ACTIONS(1896),
    [anon_sym_while] = ACTIONS(1896),
    [anon_sym_until] = ACTIONS(1896),
    [aux_sym__bareword_token1] = ACTIONS(1896),
    [sym_number] = ACTIONS(1896),
    [anon_sym_true] = ACTIONS(1896),
    [anon_sym_false] = ACTIONS(1896),
    [sym__single_quote] = ACTIONS(1894),
    [sym__double_quote] = ACTIONS(1894),
    [sym__backtick_quote] = ACTIONS(1894),
    [sym__search_slash_quote] = ACTIONS(1894),
    [sym__PERLY_HEREDOC] = ACTIONS(1894),
    [sym__ctrl_z_hack] = ACTIONS(1894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1894),
    [sym__filetest] = ACTIONS(1894),
  },
  [806] = {
    [sym_heredoc_content] = STATE(806),
    [ts_builtin_sym_end] = ACTIONS(1898),
    [sym__identifier] = ACTIONS(1900),
    [anon_sym_LBRACE] = ACTIONS(1900),
    [anon_sym_SEMI] = ACTIONS(1900),
    [anon_sym_package] = ACTIONS(1900),
    [anon_sym_class] = ACTIONS(1900),
    [anon_sym_role] = ACTIONS(1900),
    [anon_sym_BUILD] = ACTIONS(1900),
    [anon_sym_ADJUST] = ACTIONS(1900),
    [anon_sym_DOLLAR] = ACTIONS(1900),
    [anon_sym_AT] = ACTIONS(1900),
    [anon_sym_my] = ACTIONS(1900),
    [anon_sym_extended] = ACTIONS(1900),
    [anon_sym_async] = ACTIONS(1900),
    [anon_sym_sub] = ACTIONS(1900),
    [anon_sym_method] = ACTIONS(1900),
    [anon_sym_LPAREN] = ACTIONS(1900),
    [anon_sym_continue] = ACTIONS(1900),
    [anon_sym_state] = ACTIONS(1900),
    [anon_sym_our] = ACTIONS(1900),
    [anon_sym_try] = ACTIONS(1900),
    [anon_sym_defer] = ACTIONS(1900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1900),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1900),
    [anon_sym_LT_LT] = ACTIONS(1900),
    [anon_sym_SLASH_SLASH] = ACTIONS(1900),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_STAR] = ACTIONS(1900),
    [anon_sym_TILDE] = ACTIONS(1900),
    [anon_sym_BANG] = ACTIONS(1900),
    [anon_sym_PLUS_PLUS] = ACTIONS(1900),
    [anon_sym_DASH_DASH] = ACTIONS(1900),
    [anon_sym_BSLASH] = ACTIONS(1898),
    [anon_sym_do] = ACTIONS(1900),
    [anon_sym_eval] = ACTIONS(1900),
    [anon_sym_await] = ACTIONS(1900),
    [anon_sym_field] = ACTIONS(1900),
    [anon_sym_local] = ACTIONS(1900),
    [anon_sym_dynamically] = ACTIONS(1900),
    [anon_sym_require] = ACTIONS(1900),
    [anon_sym_map] = ACTIONS(1900),
    [anon_sym_grep] = ACTIONS(1900),
    [anon_sym_sort] = ACTIONS(1900),
    [anon_sym_goto] = ACTIONS(1900),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_undef] = ACTIONS(1900),
    [anon_sym_PERCENT2] = ACTIONS(1900),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1900),
    [anon_sym_use] = ACTIONS(1900),
    [anon_sym_no] = ACTIONS(1900),
    [anon_sym_for] = ACTIONS(1900),
    [anon_sym_foreach] = ACTIONS(1900),
    [anon_sym_last] = ACTIONS(1900),
    [anon_sym_next] = ACTIONS(1900),
    [anon_sym_redo] = ACTIONS(1900),
    [anon_sym_BEGIN] = ACTIONS(1900),
    [anon_sym_INIT] = ACTIONS(1900),
    [anon_sym_CHECK] = ACTIONS(1900),
    [anon_sym_UNITCHECK] = ACTIONS(1900),
    [anon_sym_END] = ACTIONS(1900),
    [anon_sym___FILE__] = ACTIONS(1900),
    [anon_sym___LINE__] = ACTIONS(1900),
    [anon_sym___PACKAGE__] = ACTIONS(1900),
    [anon_sym___SUB__] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1900),
    [anon_sym_fork] = ACTIONS(1900),
    [anon_sym_getppid] = ACTIONS(1900),
    [anon_sym_time] = ACTIONS(1900),
    [anon_sym_times] = ACTIONS(1900),
    [anon_sym_wait] = ACTIONS(1900),
    [anon_sym_wantarray] = ACTIONS(1900),
    [anon_sym_abs] = ACTIONS(1900),
    [anon_sym_alarm] = ACTIONS(1900),
    [anon_sym_chop] = ACTIONS(1900),
    [anon_sym_chdir] = ACTIONS(1900),
    [anon_sym_close] = ACTIONS(1900),
    [anon_sym_closedir] = ACTIONS(1900),
    [anon_sym_caller] = ACTIONS(1900),
    [anon_sym_chomp] = ACTIONS(1900),
    [anon_sym_chr] = ACTIONS(1900),
    [anon_sym_cos] = ACTIONS(1900),
    [anon_sym_chroot] = ACTIONS(1900),
    [anon_sym_defined] = ACTIONS(1900),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_dbmclose] = ACTIONS(1900),
    [anon_sym_exists] = ACTIONS(1900),
    [anon_sym_exit] = ACTIONS(1900),
    [anon_sym_eof] = ACTIONS(1900),
    [anon_sym_exp] = ACTIONS(1900),
    [anon_sym_each] = ACTIONS(1900),
    [anon_sym_fc] = ACTIONS(1900),
    [anon_sym_fileno] = ACTIONS(1900),
    [anon_sym_gmtime] = ACTIONS(1900),
    [anon_sym_getc] = ACTIONS(1900),
    [anon_sym_getpgrp] = ACTIONS(1900),
    [anon_sym_getprotobyname] = ACTIONS(1900),
    [anon_sym_getpwname] = ACTIONS(1900),
    [anon_sym_getpwuid] = ACTIONS(1900),
    [anon_sym_getpeername] = ACTIONS(1900),
    [anon_sym_getnetbyname] = ACTIONS(1900),
    [anon_sym_getsockname] = ACTIONS(1900),
    [anon_sym_getgrnam] = ACTIONS(1900),
    [anon_sym_getgrgid] = ACTIONS(1900),
    [anon_sym_hex] = ACTIONS(1900),
    [anon_sym_int] = ACTIONS(1900),
    [anon_sym_keys] = ACTIONS(1900),
    [anon_sym_lc] = ACTIONS(1900),
    [anon_sym_lcfirst] = ACTIONS(1900),
    [anon_sym_length] = ACTIONS(1900),
    [anon_sym_localtime] = ACTIONS(1900),
    [anon_sym_log] = ACTIONS(1900),
    [anon_sym_lock] = ACTIONS(1900),
    [anon_sym_lstat] = ACTIONS(1900),
    [anon_sym_oct] = ACTIONS(1900),
    [anon_sym_ord] = ACTIONS(1900),
    [anon_sym_prototype] = ACTIONS(1900),
    [anon_sym_pop] = ACTIONS(1900),
    [anon_sym_pos] = ACTIONS(1900),
    [anon_sym_quotemeta] = ACTIONS(1900),
    [anon_sym_reset] = ACTIONS(1900),
    [anon_sym_rand] = ACTIONS(1900),
    [anon_sym_rmdir] = ACTIONS(1900),
    [anon_sym_readdir] = ACTIONS(1900),
    [anon_sym_readline] = ACTIONS(1900),
    [anon_sym_readpipe] = ACTIONS(1900),
    [anon_sym_rewinddir] = ACTIONS(1900),
    [anon_sym_readlink] = ACTIONS(1900),
    [anon_sym_ref] = ACTIONS(1900),
    [anon_sym_scalar] = ACTIONS(1900),
    [anon_sym_shift] = ACTIONS(1900),
    [anon_sym_sin] = ACTIONS(1900),
    [anon_sym_sleep] = ACTIONS(1900),
    [anon_sym_sqrt] = ACTIONS(1900),
    [anon_sym_srand] = ACTIONS(1900),
    [anon_sym_stat] = ACTIONS(1900),
    [anon_sym_study] = ACTIONS(1900),
    [anon_sym_tell] = ACTIONS(1900),
    [anon_sym_telldir] = ACTIONS(1900),
    [anon_sym_tied] = ACTIONS(1900),
    [anon_sym_uc] = ACTIONS(1900),
    [anon_sym_ucfirst] = ACTIONS(1900),
    [anon_sym_untie] = ACTIONS(1900),
    [anon_sym_umask] = ACTIONS(1900),
    [anon_sym_values] = ACTIONS(1900),
    [anon_sym_write] = ACTIONS(1900),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1900),
    [anon_sym___END__] = ACTIONS(1900),
    [anon_sym_EOT] = ACTIONS(1900),
    [anon_sym_q] = ACTIONS(1900),
    [anon_sym_qq] = ACTIONS(1900),
    [anon_sym_qw] = ACTIONS(1900),
    [anon_sym_qx] = ACTIONS(1900),
    [anon_sym_qr] = ACTIONS(1900),
    [anon_sym_m] = ACTIONS(1900),
    [anon_sym_s] = ACTIONS(1900),
    [anon_sym_tr] = ACTIONS(1900),
    [anon_sym_y] = ACTIONS(1900),
    [anon_sym_if] = ACTIONS(1900),
    [anon_sym_unless] = ACTIONS(1900),
    [anon_sym_while] = ACTIONS(1900),
    [anon_sym_until] = ACTIONS(1900),
    [aux_sym__bareword_token1] = ACTIONS(1900),
    [sym_number] = ACTIONS(1900),
    [anon_sym_true] = ACTIONS(1900),
    [anon_sym_false] = ACTIONS(1900),
    [sym__single_quote] = ACTIONS(1898),
    [sym__double_quote] = ACTIONS(1898),
    [sym__backtick_quote] = ACTIONS(1898),
    [sym__search_slash_quote] = ACTIONS(1898),
    [sym__PERLY_HEREDOC] = ACTIONS(1898),
    [sym__ctrl_z_hack] = ACTIONS(1898),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1898),
    [sym__filetest] = ACTIONS(1898),
  },
  [807] = {
    [sym_heredoc_content] = STATE(807),
    [ts_builtin_sym_end] = ACTIONS(1902),
    [sym__identifier] = ACTIONS(1904),
    [anon_sym_LBRACE] = ACTIONS(1904),
    [anon_sym_SEMI] = ACTIONS(1904),
    [anon_sym_package] = ACTIONS(1904),
    [anon_sym_class] = ACTIONS(1904),
    [anon_sym_role] = ACTIONS(1904),
    [anon_sym_BUILD] = ACTIONS(1904),
    [anon_sym_ADJUST] = ACTIONS(1904),
    [anon_sym_DOLLAR] = ACTIONS(1904),
    [anon_sym_AT] = ACTIONS(1904),
    [anon_sym_my] = ACTIONS(1904),
    [anon_sym_extended] = ACTIONS(1904),
    [anon_sym_async] = ACTIONS(1904),
    [anon_sym_sub] = ACTIONS(1904),
    [anon_sym_method] = ACTIONS(1904),
    [anon_sym_LPAREN] = ACTIONS(1904),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_state] = ACTIONS(1904),
    [anon_sym_our] = ACTIONS(1904),
    [anon_sym_try] = ACTIONS(1904),
    [anon_sym_defer] = ACTIONS(1904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [anon_sym_LT] = ACTIONS(1904),
    [anon_sym_LT_LT] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(1904),
    [anon_sym_PLUS] = ACTIONS(1904),
    [anon_sym_DASH] = ACTIONS(1904),
    [anon_sym_STAR] = ACTIONS(1904),
    [anon_sym_TILDE] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_BSLASH] = ACTIONS(1902),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_eval] = ACTIONS(1904),
    [anon_sym_await] = ACTIONS(1904),
    [anon_sym_field] = ACTIONS(1904),
    [anon_sym_local] = ACTIONS(1904),
    [anon_sym_dynamically] = ACTIONS(1904),
    [anon_sym_require] = ACTIONS(1904),
    [anon_sym_map] = ACTIONS(1904),
    [anon_sym_grep] = ACTIONS(1904),
    [anon_sym_sort] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1904),
    [anon_sym_return] = ACTIONS(1904),
    [anon_sym_undef] = ACTIONS(1904),
    [anon_sym_PERCENT2] = ACTIONS(1904),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1904),
    [anon_sym_use] = ACTIONS(1904),
    [anon_sym_no] = ACTIONS(1904),
    [anon_sym_for] = ACTIONS(1904),
    [anon_sym_foreach] = ACTIONS(1904),
    [anon_sym_last] = ACTIONS(1904),
    [anon_sym_next] = ACTIONS(1904),
    [anon_sym_redo] = ACTIONS(1904),
    [anon_sym_BEGIN] = ACTIONS(1904),
    [anon_sym_INIT] = ACTIONS(1904),
    [anon_sym_CHECK] = ACTIONS(1904),
    [anon_sym_UNITCHECK] = ACTIONS(1904),
    [anon_sym_END] = ACTIONS(1904),
    [anon_sym___FILE__] = ACTIONS(1904),
    [anon_sym___LINE__] = ACTIONS(1904),
    [anon_sym___PACKAGE__] = ACTIONS(1904),
    [anon_sym___SUB__] = ACTIONS(1904),
    [anon_sym_break] = ACTIONS(1904),
    [anon_sym_fork] = ACTIONS(1904),
    [anon_sym_getppid] = ACTIONS(1904),
    [anon_sym_time] = ACTIONS(1904),
    [anon_sym_times] = ACTIONS(1904),
    [anon_sym_wait] = ACTIONS(1904),
    [anon_sym_wantarray] = ACTIONS(1904),
    [anon_sym_abs] = ACTIONS(1904),
    [anon_sym_alarm] = ACTIONS(1904),
    [anon_sym_chop] = ACTIONS(1904),
    [anon_sym_chdir] = ACTIONS(1904),
    [anon_sym_close] = ACTIONS(1904),
    [anon_sym_closedir] = ACTIONS(1904),
    [anon_sym_caller] = ACTIONS(1904),
    [anon_sym_chomp] = ACTIONS(1904),
    [anon_sym_chr] = ACTIONS(1904),
    [anon_sym_cos] = ACTIONS(1904),
    [anon_sym_chroot] = ACTIONS(1904),
    [anon_sym_defined] = ACTIONS(1904),
    [anon_sym_delete] = ACTIONS(1904),
    [anon_sym_dbmclose] = ACTIONS(1904),
    [anon_sym_exists] = ACTIONS(1904),
    [anon_sym_exit] = ACTIONS(1904),
    [anon_sym_eof] = ACTIONS(1904),
    [anon_sym_exp] = ACTIONS(1904),
    [anon_sym_each] = ACTIONS(1904),
    [anon_sym_fc] = ACTIONS(1904),
    [anon_sym_fileno] = ACTIONS(1904),
    [anon_sym_gmtime] = ACTIONS(1904),
    [anon_sym_getc] = ACTIONS(1904),
    [anon_sym_getpgrp] = ACTIONS(1904),
    [anon_sym_getprotobyname] = ACTIONS(1904),
    [anon_sym_getpwname] = ACTIONS(1904),
    [anon_sym_getpwuid] = ACTIONS(1904),
    [anon_sym_getpeername] = ACTIONS(1904),
    [anon_sym_getnetbyname] = ACTIONS(1904),
    [anon_sym_getsockname] = ACTIONS(1904),
    [anon_sym_getgrnam] = ACTIONS(1904),
    [anon_sym_getgrgid] = ACTIONS(1904),
    [anon_sym_hex] = ACTIONS(1904),
    [anon_sym_int] = ACTIONS(1904),
    [anon_sym_keys] = ACTIONS(1904),
    [anon_sym_lc] = ACTIONS(1904),
    [anon_sym_lcfirst] = ACTIONS(1904),
    [anon_sym_length] = ACTIONS(1904),
    [anon_sym_localtime] = ACTIONS(1904),
    [anon_sym_log] = ACTIONS(1904),
    [anon_sym_lock] = ACTIONS(1904),
    [anon_sym_lstat] = ACTIONS(1904),
    [anon_sym_oct] = ACTIONS(1904),
    [anon_sym_ord] = ACTIONS(1904),
    [anon_sym_prototype] = ACTIONS(1904),
    [anon_sym_pop] = ACTIONS(1904),
    [anon_sym_pos] = ACTIONS(1904),
    [anon_sym_quotemeta] = ACTIONS(1904),
    [anon_sym_reset] = ACTIONS(1904),
    [anon_sym_rand] = ACTIONS(1904),
    [anon_sym_rmdir] = ACTIONS(1904),
    [anon_sym_readdir] = ACTIONS(1904),
    [anon_sym_readline] = ACTIONS(1904),
    [anon_sym_readpipe] = ACTIONS(1904),
    [anon_sym_rewinddir] = ACTIONS(1904),
    [anon_sym_readlink] = ACTIONS(1904),
    [anon_sym_ref] = ACTIONS(1904),
    [anon_sym_scalar] = ACTIONS(1904),
    [anon_sym_shift] = ACTIONS(1904),
    [anon_sym_sin] = ACTIONS(1904),
    [anon_sym_sleep] = ACTIONS(1904),
    [anon_sym_sqrt] = ACTIONS(1904),
    [anon_sym_srand] = ACTIONS(1904),
    [anon_sym_stat] = ACTIONS(1904),
    [anon_sym_study] = ACTIONS(1904),
    [anon_sym_tell] = ACTIONS(1904),
    [anon_sym_telldir] = ACTIONS(1904),
    [anon_sym_tied] = ACTIONS(1904),
    [anon_sym_uc] = ACTIONS(1904),
    [anon_sym_ucfirst] = ACTIONS(1904),
    [anon_sym_untie] = ACTIONS(1904),
    [anon_sym_umask] = ACTIONS(1904),
    [anon_sym_values] = ACTIONS(1904),
    [anon_sym_write] = ACTIONS(1904),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1904),
    [anon_sym___END__] = ACTIONS(1904),
    [anon_sym_EOT] = ACTIONS(1904),
    [anon_sym_q] = ACTIONS(1904),
    [anon_sym_qq] = ACTIONS(1904),
    [anon_sym_qw] = ACTIONS(1904),
    [anon_sym_qx] = ACTIONS(1904),
    [anon_sym_qr] = ACTIONS(1904),
    [anon_sym_m] = ACTIONS(1904),
    [anon_sym_s] = ACTIONS(1904),
    [anon_sym_tr] = ACTIONS(1904),
    [anon_sym_y] = ACTIONS(1904),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_unless] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1904),
    [anon_sym_until] = ACTIONS(1904),
    [aux_sym__bareword_token1] = ACTIONS(1904),
    [sym_number] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1904),
    [anon_sym_false] = ACTIONS(1904),
    [sym__single_quote] = ACTIONS(1902),
    [sym__double_quote] = ACTIONS(1902),
    [sym__backtick_quote] = ACTIONS(1902),
    [sym__search_slash_quote] = ACTIONS(1902),
    [sym__PERLY_HEREDOC] = ACTIONS(1902),
    [sym__ctrl_z_hack] = ACTIONS(1902),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1902),
    [sym__filetest] = ACTIONS(1902),
  },
  [808] = {
    [sym_heredoc_content] = STATE(808),
    [ts_builtin_sym_end] = ACTIONS(1906),
    [sym__identifier] = ACTIONS(1908),
    [anon_sym_LBRACE] = ACTIONS(1908),
    [anon_sym_SEMI] = ACTIONS(1908),
    [anon_sym_package] = ACTIONS(1908),
    [anon_sym_class] = ACTIONS(1908),
    [anon_sym_role] = ACTIONS(1908),
    [anon_sym_BUILD] = ACTIONS(1908),
    [anon_sym_ADJUST] = ACTIONS(1908),
    [anon_sym_DOLLAR] = ACTIONS(1908),
    [anon_sym_AT] = ACTIONS(1908),
    [anon_sym_my] = ACTIONS(1908),
    [anon_sym_extended] = ACTIONS(1908),
    [anon_sym_async] = ACTIONS(1908),
    [anon_sym_sub] = ACTIONS(1908),
    [anon_sym_method] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(1908),
    [anon_sym_continue] = ACTIONS(1908),
    [anon_sym_state] = ACTIONS(1908),
    [anon_sym_our] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1908),
    [anon_sym_defer] = ACTIONS(1908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1908),
    [anon_sym_LBRACK] = ACTIONS(1908),
    [anon_sym_LT] = ACTIONS(1908),
    [anon_sym_LT_LT] = ACTIONS(1908),
    [anon_sym_SLASH_SLASH] = ACTIONS(1908),
    [anon_sym_PLUS] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1908),
    [anon_sym_STAR] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_PLUS_PLUS] = ACTIONS(1908),
    [anon_sym_DASH_DASH] = ACTIONS(1908),
    [anon_sym_BSLASH] = ACTIONS(1906),
    [anon_sym_do] = ACTIONS(1908),
    [anon_sym_eval] = ACTIONS(1908),
    [anon_sym_await] = ACTIONS(1908),
    [anon_sym_field] = ACTIONS(1908),
    [anon_sym_local] = ACTIONS(1908),
    [anon_sym_dynamically] = ACTIONS(1908),
    [anon_sym_require] = ACTIONS(1908),
    [anon_sym_map] = ACTIONS(1908),
    [anon_sym_grep] = ACTIONS(1908),
    [anon_sym_sort] = ACTIONS(1908),
    [anon_sym_goto] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(1908),
    [anon_sym_undef] = ACTIONS(1908),
    [anon_sym_PERCENT2] = ACTIONS(1908),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1908),
    [anon_sym_use] = ACTIONS(1908),
    [anon_sym_no] = ACTIONS(1908),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_foreach] = ACTIONS(1908),
    [anon_sym_last] = ACTIONS(1908),
    [anon_sym_next] = ACTIONS(1908),
    [anon_sym_redo] = ACTIONS(1908),
    [anon_sym_BEGIN] = ACTIONS(1908),
    [anon_sym_INIT] = ACTIONS(1908),
    [anon_sym_CHECK] = ACTIONS(1908),
    [anon_sym_UNITCHECK] = ACTIONS(1908),
    [anon_sym_END] = ACTIONS(1908),
    [anon_sym___FILE__] = ACTIONS(1908),
    [anon_sym___LINE__] = ACTIONS(1908),
    [anon_sym___PACKAGE__] = ACTIONS(1908),
    [anon_sym___SUB__] = ACTIONS(1908),
    [anon_sym_break] = ACTIONS(1908),
    [anon_sym_fork] = ACTIONS(1908),
    [anon_sym_getppid] = ACTIONS(1908),
    [anon_sym_time] = ACTIONS(1908),
    [anon_sym_times] = ACTIONS(1908),
    [anon_sym_wait] = ACTIONS(1908),
    [anon_sym_wantarray] = ACTIONS(1908),
    [anon_sym_abs] = ACTIONS(1908),
    [anon_sym_alarm] = ACTIONS(1908),
    [anon_sym_chop] = ACTIONS(1908),
    [anon_sym_chdir] = ACTIONS(1908),
    [anon_sym_close] = ACTIONS(1908),
    [anon_sym_closedir] = ACTIONS(1908),
    [anon_sym_caller] = ACTIONS(1908),
    [anon_sym_chomp] = ACTIONS(1908),
    [anon_sym_chr] = ACTIONS(1908),
    [anon_sym_cos] = ACTIONS(1908),
    [anon_sym_chroot] = ACTIONS(1908),
    [anon_sym_defined] = ACTIONS(1908),
    [anon_sym_delete] = ACTIONS(1908),
    [anon_sym_dbmclose] = ACTIONS(1908),
    [anon_sym_exists] = ACTIONS(1908),
    [anon_sym_exit] = ACTIONS(1908),
    [anon_sym_eof] = ACTIONS(1908),
    [anon_sym_exp] = ACTIONS(1908),
    [anon_sym_each] = ACTIONS(1908),
    [anon_sym_fc] = ACTIONS(1908),
    [anon_sym_fileno] = ACTIONS(1908),
    [anon_sym_gmtime] = ACTIONS(1908),
    [anon_sym_getc] = ACTIONS(1908),
    [anon_sym_getpgrp] = ACTIONS(1908),
    [anon_sym_getprotobyname] = ACTIONS(1908),
    [anon_sym_getpwname] = ACTIONS(1908),
    [anon_sym_getpwuid] = ACTIONS(1908),
    [anon_sym_getpeername] = ACTIONS(1908),
    [anon_sym_getnetbyname] = ACTIONS(1908),
    [anon_sym_getsockname] = ACTIONS(1908),
    [anon_sym_getgrnam] = ACTIONS(1908),
    [anon_sym_getgrgid] = ACTIONS(1908),
    [anon_sym_hex] = ACTIONS(1908),
    [anon_sym_int] = ACTIONS(1908),
    [anon_sym_keys] = ACTIONS(1908),
    [anon_sym_lc] = ACTIONS(1908),
    [anon_sym_lcfirst] = ACTIONS(1908),
    [anon_sym_length] = ACTIONS(1908),
    [anon_sym_localtime] = ACTIONS(1908),
    [anon_sym_log] = ACTIONS(1908),
    [anon_sym_lock] = ACTIONS(1908),
    [anon_sym_lstat] = ACTIONS(1908),
    [anon_sym_oct] = ACTIONS(1908),
    [anon_sym_ord] = ACTIONS(1908),
    [anon_sym_prototype] = ACTIONS(1908),
    [anon_sym_pop] = ACTIONS(1908),
    [anon_sym_pos] = ACTIONS(1908),
    [anon_sym_quotemeta] = ACTIONS(1908),
    [anon_sym_reset] = ACTIONS(1908),
    [anon_sym_rand] = ACTIONS(1908),
    [anon_sym_rmdir] = ACTIONS(1908),
    [anon_sym_readdir] = ACTIONS(1908),
    [anon_sym_readline] = ACTIONS(1908),
    [anon_sym_readpipe] = ACTIONS(1908),
    [anon_sym_rewinddir] = ACTIONS(1908),
    [anon_sym_readlink] = ACTIONS(1908),
    [anon_sym_ref] = ACTIONS(1908),
    [anon_sym_scalar] = ACTIONS(1908),
    [anon_sym_shift] = ACTIONS(1908),
    [anon_sym_sin] = ACTIONS(1908),
    [anon_sym_sleep] = ACTIONS(1908),
    [anon_sym_sqrt] = ACTIONS(1908),
    [anon_sym_srand] = ACTIONS(1908),
    [anon_sym_stat] = ACTIONS(1908),
    [anon_sym_study] = ACTIONS(1908),
    [anon_sym_tell] = ACTIONS(1908),
    [anon_sym_telldir] = ACTIONS(1908),
    [anon_sym_tied] = ACTIONS(1908),
    [anon_sym_uc] = ACTIONS(1908),
    [anon_sym_ucfirst] = ACTIONS(1908),
    [anon_sym_untie] = ACTIONS(1908),
    [anon_sym_umask] = ACTIONS(1908),
    [anon_sym_values] = ACTIONS(1908),
    [anon_sym_write] = ACTIONS(1908),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1908),
    [anon_sym___END__] = ACTIONS(1908),
    [anon_sym_EOT] = ACTIONS(1908),
    [anon_sym_q] = ACTIONS(1908),
    [anon_sym_qq] = ACTIONS(1908),
    [anon_sym_qw] = ACTIONS(1908),
    [anon_sym_qx] = ACTIONS(1908),
    [anon_sym_qr] = ACTIONS(1908),
    [anon_sym_m] = ACTIONS(1908),
    [anon_sym_s] = ACTIONS(1908),
    [anon_sym_tr] = ACTIONS(1908),
    [anon_sym_y] = ACTIONS(1908),
    [anon_sym_if] = ACTIONS(1908),
    [anon_sym_unless] = ACTIONS(1908),
    [anon_sym_while] = ACTIONS(1908),
    [anon_sym_until] = ACTIONS(1908),
    [aux_sym__bareword_token1] = ACTIONS(1908),
    [sym_number] = ACTIONS(1908),
    [anon_sym_true] = ACTIONS(1908),
    [anon_sym_false] = ACTIONS(1908),
    [sym__single_quote] = ACTIONS(1906),
    [sym__double_quote] = ACTIONS(1906),
    [sym__backtick_quote] = ACTIONS(1906),
    [sym__search_slash_quote] = ACTIONS(1906),
    [sym__PERLY_HEREDOC] = ACTIONS(1906),
    [sym__ctrl_z_hack] = ACTIONS(1906),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1906),
    [sym__filetest] = ACTIONS(1906),
  },
  [809] = {
    [sym_heredoc_content] = STATE(809),
    [ts_builtin_sym_end] = ACTIONS(1910),
    [sym__identifier] = ACTIONS(1912),
    [anon_sym_LBRACE] = ACTIONS(1912),
    [anon_sym_SEMI] = ACTIONS(1912),
    [anon_sym_package] = ACTIONS(1912),
    [anon_sym_class] = ACTIONS(1912),
    [anon_sym_role] = ACTIONS(1912),
    [anon_sym_BUILD] = ACTIONS(1912),
    [anon_sym_ADJUST] = ACTIONS(1912),
    [anon_sym_DOLLAR] = ACTIONS(1912),
    [anon_sym_AT] = ACTIONS(1912),
    [anon_sym_my] = ACTIONS(1912),
    [anon_sym_extended] = ACTIONS(1912),
    [anon_sym_async] = ACTIONS(1912),
    [anon_sym_sub] = ACTIONS(1912),
    [anon_sym_method] = ACTIONS(1912),
    [anon_sym_LPAREN] = ACTIONS(1912),
    [anon_sym_continue] = ACTIONS(1912),
    [anon_sym_state] = ACTIONS(1912),
    [anon_sym_our] = ACTIONS(1912),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_defer] = ACTIONS(1912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1912),
    [anon_sym_LT] = ACTIONS(1912),
    [anon_sym_LT_LT] = ACTIONS(1912),
    [anon_sym_SLASH_SLASH] = ACTIONS(1912),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1912),
    [anon_sym_TILDE] = ACTIONS(1912),
    [anon_sym_BANG] = ACTIONS(1912),
    [anon_sym_PLUS_PLUS] = ACTIONS(1912),
    [anon_sym_DASH_DASH] = ACTIONS(1912),
    [anon_sym_BSLASH] = ACTIONS(1910),
    [anon_sym_do] = ACTIONS(1912),
    [anon_sym_eval] = ACTIONS(1912),
    [anon_sym_await] = ACTIONS(1912),
    [anon_sym_field] = ACTIONS(1912),
    [anon_sym_local] = ACTIONS(1912),
    [anon_sym_dynamically] = ACTIONS(1912),
    [anon_sym_require] = ACTIONS(1912),
    [anon_sym_map] = ACTIONS(1912),
    [anon_sym_grep] = ACTIONS(1912),
    [anon_sym_sort] = ACTIONS(1912),
    [anon_sym_goto] = ACTIONS(1912),
    [anon_sym_return] = ACTIONS(1912),
    [anon_sym_undef] = ACTIONS(1912),
    [anon_sym_PERCENT2] = ACTIONS(1912),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1912),
    [anon_sym_use] = ACTIONS(1912),
    [anon_sym_no] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1912),
    [anon_sym_foreach] = ACTIONS(1912),
    [anon_sym_last] = ACTIONS(1912),
    [anon_sym_next] = ACTIONS(1912),
    [anon_sym_redo] = ACTIONS(1912),
    [anon_sym_BEGIN] = ACTIONS(1912),
    [anon_sym_INIT] = ACTIONS(1912),
    [anon_sym_CHECK] = ACTIONS(1912),
    [anon_sym_UNITCHECK] = ACTIONS(1912),
    [anon_sym_END] = ACTIONS(1912),
    [anon_sym___FILE__] = ACTIONS(1912),
    [anon_sym___LINE__] = ACTIONS(1912),
    [anon_sym___PACKAGE__] = ACTIONS(1912),
    [anon_sym___SUB__] = ACTIONS(1912),
    [anon_sym_break] = ACTIONS(1912),
    [anon_sym_fork] = ACTIONS(1912),
    [anon_sym_getppid] = ACTIONS(1912),
    [anon_sym_time] = ACTIONS(1912),
    [anon_sym_times] = ACTIONS(1912),
    [anon_sym_wait] = ACTIONS(1912),
    [anon_sym_wantarray] = ACTIONS(1912),
    [anon_sym_abs] = ACTIONS(1912),
    [anon_sym_alarm] = ACTIONS(1912),
    [anon_sym_chop] = ACTIONS(1912),
    [anon_sym_chdir] = ACTIONS(1912),
    [anon_sym_close] = ACTIONS(1912),
    [anon_sym_closedir] = ACTIONS(1912),
    [anon_sym_caller] = ACTIONS(1912),
    [anon_sym_chomp] = ACTIONS(1912),
    [anon_sym_chr] = ACTIONS(1912),
    [anon_sym_cos] = ACTIONS(1912),
    [anon_sym_chroot] = ACTIONS(1912),
    [anon_sym_defined] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(1912),
    [anon_sym_dbmclose] = ACTIONS(1912),
    [anon_sym_exists] = ACTIONS(1912),
    [anon_sym_exit] = ACTIONS(1912),
    [anon_sym_eof] = ACTIONS(1912),
    [anon_sym_exp] = ACTIONS(1912),
    [anon_sym_each] = ACTIONS(1912),
    [anon_sym_fc] = ACTIONS(1912),
    [anon_sym_fileno] = ACTIONS(1912),
    [anon_sym_gmtime] = ACTIONS(1912),
    [anon_sym_getc] = ACTIONS(1912),
    [anon_sym_getpgrp] = ACTIONS(1912),
    [anon_sym_getprotobyname] = ACTIONS(1912),
    [anon_sym_getpwname] = ACTIONS(1912),
    [anon_sym_getpwuid] = ACTIONS(1912),
    [anon_sym_getpeername] = ACTIONS(1912),
    [anon_sym_getnetbyname] = ACTIONS(1912),
    [anon_sym_getsockname] = ACTIONS(1912),
    [anon_sym_getgrnam] = ACTIONS(1912),
    [anon_sym_getgrgid] = ACTIONS(1912),
    [anon_sym_hex] = ACTIONS(1912),
    [anon_sym_int] = ACTIONS(1912),
    [anon_sym_keys] = ACTIONS(1912),
    [anon_sym_lc] = ACTIONS(1912),
    [anon_sym_lcfirst] = ACTIONS(1912),
    [anon_sym_length] = ACTIONS(1912),
    [anon_sym_localtime] = ACTIONS(1912),
    [anon_sym_log] = ACTIONS(1912),
    [anon_sym_lock] = ACTIONS(1912),
    [anon_sym_lstat] = ACTIONS(1912),
    [anon_sym_oct] = ACTIONS(1912),
    [anon_sym_ord] = ACTIONS(1912),
    [anon_sym_prototype] = ACTIONS(1912),
    [anon_sym_pop] = ACTIONS(1912),
    [anon_sym_pos] = ACTIONS(1912),
    [anon_sym_quotemeta] = ACTIONS(1912),
    [anon_sym_reset] = ACTIONS(1912),
    [anon_sym_rand] = ACTIONS(1912),
    [anon_sym_rmdir] = ACTIONS(1912),
    [anon_sym_readdir] = ACTIONS(1912),
    [anon_sym_readline] = ACTIONS(1912),
    [anon_sym_readpipe] = ACTIONS(1912),
    [anon_sym_rewinddir] = ACTIONS(1912),
    [anon_sym_readlink] = ACTIONS(1912),
    [anon_sym_ref] = ACTIONS(1912),
    [anon_sym_scalar] = ACTIONS(1912),
    [anon_sym_shift] = ACTIONS(1912),
    [anon_sym_sin] = ACTIONS(1912),
    [anon_sym_sleep] = ACTIONS(1912),
    [anon_sym_sqrt] = ACTIONS(1912),
    [anon_sym_srand] = ACTIONS(1912),
    [anon_sym_stat] = ACTIONS(1912),
    [anon_sym_study] = ACTIONS(1912),
    [anon_sym_tell] = ACTIONS(1912),
    [anon_sym_telldir] = ACTIONS(1912),
    [anon_sym_tied] = ACTIONS(1912),
    [anon_sym_uc] = ACTIONS(1912),
    [anon_sym_ucfirst] = ACTIONS(1912),
    [anon_sym_untie] = ACTIONS(1912),
    [anon_sym_umask] = ACTIONS(1912),
    [anon_sym_values] = ACTIONS(1912),
    [anon_sym_write] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1912),
    [anon_sym___END__] = ACTIONS(1912),
    [anon_sym_EOT] = ACTIONS(1912),
    [anon_sym_q] = ACTIONS(1912),
    [anon_sym_qq] = ACTIONS(1912),
    [anon_sym_qw] = ACTIONS(1912),
    [anon_sym_qx] = ACTIONS(1912),
    [anon_sym_qr] = ACTIONS(1912),
    [anon_sym_m] = ACTIONS(1912),
    [anon_sym_s] = ACTIONS(1912),
    [anon_sym_tr] = ACTIONS(1912),
    [anon_sym_y] = ACTIONS(1912),
    [anon_sym_if] = ACTIONS(1912),
    [anon_sym_unless] = ACTIONS(1912),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_until] = ACTIONS(1912),
    [aux_sym__bareword_token1] = ACTIONS(1912),
    [sym_number] = ACTIONS(1912),
    [anon_sym_true] = ACTIONS(1912),
    [anon_sym_false] = ACTIONS(1912),
    [sym__single_quote] = ACTIONS(1910),
    [sym__double_quote] = ACTIONS(1910),
    [sym__backtick_quote] = ACTIONS(1910),
    [sym__search_slash_quote] = ACTIONS(1910),
    [sym__PERLY_HEREDOC] = ACTIONS(1910),
    [sym__ctrl_z_hack] = ACTIONS(1910),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1910),
    [sym__filetest] = ACTIONS(1910),
  },
  [810] = {
    [sym_heredoc_content] = STATE(810),
    [ts_builtin_sym_end] = ACTIONS(1914),
    [sym__identifier] = ACTIONS(1916),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [anon_sym_SEMI] = ACTIONS(1916),
    [anon_sym_package] = ACTIONS(1916),
    [anon_sym_class] = ACTIONS(1916),
    [anon_sym_role] = ACTIONS(1916),
    [anon_sym_BUILD] = ACTIONS(1916),
    [anon_sym_ADJUST] = ACTIONS(1916),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [anon_sym_AT] = ACTIONS(1916),
    [anon_sym_my] = ACTIONS(1916),
    [anon_sym_extended] = ACTIONS(1916),
    [anon_sym_async] = ACTIONS(1916),
    [anon_sym_sub] = ACTIONS(1916),
    [anon_sym_method] = ACTIONS(1916),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_continue] = ACTIONS(1916),
    [anon_sym_state] = ACTIONS(1916),
    [anon_sym_our] = ACTIONS(1916),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_defer] = ACTIONS(1916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1916),
    [anon_sym_LT] = ACTIONS(1916),
    [anon_sym_LT_LT] = ACTIONS(1916),
    [anon_sym_SLASH_SLASH] = ACTIONS(1916),
    [anon_sym_PLUS] = ACTIONS(1916),
    [anon_sym_DASH] = ACTIONS(1916),
    [anon_sym_STAR] = ACTIONS(1916),
    [anon_sym_TILDE] = ACTIONS(1916),
    [anon_sym_BANG] = ACTIONS(1916),
    [anon_sym_PLUS_PLUS] = ACTIONS(1916),
    [anon_sym_DASH_DASH] = ACTIONS(1916),
    [anon_sym_BSLASH] = ACTIONS(1914),
    [anon_sym_do] = ACTIONS(1916),
    [anon_sym_eval] = ACTIONS(1916),
    [anon_sym_await] = ACTIONS(1916),
    [anon_sym_field] = ACTIONS(1916),
    [anon_sym_local] = ACTIONS(1916),
    [anon_sym_dynamically] = ACTIONS(1916),
    [anon_sym_require] = ACTIONS(1916),
    [anon_sym_map] = ACTIONS(1916),
    [anon_sym_grep] = ACTIONS(1916),
    [anon_sym_sort] = ACTIONS(1916),
    [anon_sym_goto] = ACTIONS(1916),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_undef] = ACTIONS(1916),
    [anon_sym_PERCENT2] = ACTIONS(1916),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1916),
    [anon_sym_use] = ACTIONS(1916),
    [anon_sym_no] = ACTIONS(1916),
    [anon_sym_for] = ACTIONS(1916),
    [anon_sym_foreach] = ACTIONS(1916),
    [anon_sym_last] = ACTIONS(1916),
    [anon_sym_next] = ACTIONS(1916),
    [anon_sym_redo] = ACTIONS(1916),
    [anon_sym_BEGIN] = ACTIONS(1916),
    [anon_sym_INIT] = ACTIONS(1916),
    [anon_sym_CHECK] = ACTIONS(1916),
    [anon_sym_UNITCHECK] = ACTIONS(1916),
    [anon_sym_END] = ACTIONS(1916),
    [anon_sym___FILE__] = ACTIONS(1916),
    [anon_sym___LINE__] = ACTIONS(1916),
    [anon_sym___PACKAGE__] = ACTIONS(1916),
    [anon_sym___SUB__] = ACTIONS(1916),
    [anon_sym_break] = ACTIONS(1916),
    [anon_sym_fork] = ACTIONS(1916),
    [anon_sym_getppid] = ACTIONS(1916),
    [anon_sym_time] = ACTIONS(1916),
    [anon_sym_times] = ACTIONS(1916),
    [anon_sym_wait] = ACTIONS(1916),
    [anon_sym_wantarray] = ACTIONS(1916),
    [anon_sym_abs] = ACTIONS(1916),
    [anon_sym_alarm] = ACTIONS(1916),
    [anon_sym_chop] = ACTIONS(1916),
    [anon_sym_chdir] = ACTIONS(1916),
    [anon_sym_close] = ACTIONS(1916),
    [anon_sym_closedir] = ACTIONS(1916),
    [anon_sym_caller] = ACTIONS(1916),
    [anon_sym_chomp] = ACTIONS(1916),
    [anon_sym_chr] = ACTIONS(1916),
    [anon_sym_cos] = ACTIONS(1916),
    [anon_sym_chroot] = ACTIONS(1916),
    [anon_sym_defined] = ACTIONS(1916),
    [anon_sym_delete] = ACTIONS(1916),
    [anon_sym_dbmclose] = ACTIONS(1916),
    [anon_sym_exists] = ACTIONS(1916),
    [anon_sym_exit] = ACTIONS(1916),
    [anon_sym_eof] = ACTIONS(1916),
    [anon_sym_exp] = ACTIONS(1916),
    [anon_sym_each] = ACTIONS(1916),
    [anon_sym_fc] = ACTIONS(1916),
    [anon_sym_fileno] = ACTIONS(1916),
    [anon_sym_gmtime] = ACTIONS(1916),
    [anon_sym_getc] = ACTIONS(1916),
    [anon_sym_getpgrp] = ACTIONS(1916),
    [anon_sym_getprotobyname] = ACTIONS(1916),
    [anon_sym_getpwname] = ACTIONS(1916),
    [anon_sym_getpwuid] = ACTIONS(1916),
    [anon_sym_getpeername] = ACTIONS(1916),
    [anon_sym_getnetbyname] = ACTIONS(1916),
    [anon_sym_getsockname] = ACTIONS(1916),
    [anon_sym_getgrnam] = ACTIONS(1916),
    [anon_sym_getgrgid] = ACTIONS(1916),
    [anon_sym_hex] = ACTIONS(1916),
    [anon_sym_int] = ACTIONS(1916),
    [anon_sym_keys] = ACTIONS(1916),
    [anon_sym_lc] = ACTIONS(1916),
    [anon_sym_lcfirst] = ACTIONS(1916),
    [anon_sym_length] = ACTIONS(1916),
    [anon_sym_localtime] = ACTIONS(1916),
    [anon_sym_log] = ACTIONS(1916),
    [anon_sym_lock] = ACTIONS(1916),
    [anon_sym_lstat] = ACTIONS(1916),
    [anon_sym_oct] = ACTIONS(1916),
    [anon_sym_ord] = ACTIONS(1916),
    [anon_sym_prototype] = ACTIONS(1916),
    [anon_sym_pop] = ACTIONS(1916),
    [anon_sym_pos] = ACTIONS(1916),
    [anon_sym_quotemeta] = ACTIONS(1916),
    [anon_sym_reset] = ACTIONS(1916),
    [anon_sym_rand] = ACTIONS(1916),
    [anon_sym_rmdir] = ACTIONS(1916),
    [anon_sym_readdir] = ACTIONS(1916),
    [anon_sym_readline] = ACTIONS(1916),
    [anon_sym_readpipe] = ACTIONS(1916),
    [anon_sym_rewinddir] = ACTIONS(1916),
    [anon_sym_readlink] = ACTIONS(1916),
    [anon_sym_ref] = ACTIONS(1916),
    [anon_sym_scalar] = ACTIONS(1916),
    [anon_sym_shift] = ACTIONS(1916),
    [anon_sym_sin] = ACTIONS(1916),
    [anon_sym_sleep] = ACTIONS(1916),
    [anon_sym_sqrt] = ACTIONS(1916),
    [anon_sym_srand] = ACTIONS(1916),
    [anon_sym_stat] = ACTIONS(1916),
    [anon_sym_study] = ACTIONS(1916),
    [anon_sym_tell] = ACTIONS(1916),
    [anon_sym_telldir] = ACTIONS(1916),
    [anon_sym_tied] = ACTIONS(1916),
    [anon_sym_uc] = ACTIONS(1916),
    [anon_sym_ucfirst] = ACTIONS(1916),
    [anon_sym_untie] = ACTIONS(1916),
    [anon_sym_umask] = ACTIONS(1916),
    [anon_sym_values] = ACTIONS(1916),
    [anon_sym_write] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1916),
    [anon_sym___END__] = ACTIONS(1916),
    [anon_sym_EOT] = ACTIONS(1916),
    [anon_sym_q] = ACTIONS(1916),
    [anon_sym_qq] = ACTIONS(1916),
    [anon_sym_qw] = ACTIONS(1916),
    [anon_sym_qx] = ACTIONS(1916),
    [anon_sym_qr] = ACTIONS(1916),
    [anon_sym_m] = ACTIONS(1916),
    [anon_sym_s] = ACTIONS(1916),
    [anon_sym_tr] = ACTIONS(1916),
    [anon_sym_y] = ACTIONS(1916),
    [anon_sym_if] = ACTIONS(1916),
    [anon_sym_unless] = ACTIONS(1916),
    [anon_sym_while] = ACTIONS(1916),
    [anon_sym_until] = ACTIONS(1916),
    [aux_sym__bareword_token1] = ACTIONS(1916),
    [sym_number] = ACTIONS(1916),
    [anon_sym_true] = ACTIONS(1916),
    [anon_sym_false] = ACTIONS(1916),
    [sym__single_quote] = ACTIONS(1914),
    [sym__double_quote] = ACTIONS(1914),
    [sym__backtick_quote] = ACTIONS(1914),
    [sym__search_slash_quote] = ACTIONS(1914),
    [sym__PERLY_HEREDOC] = ACTIONS(1914),
    [sym__ctrl_z_hack] = ACTIONS(1914),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1914),
    [sym__filetest] = ACTIONS(1914),
  },
  [811] = {
    [sym_heredoc_content] = STATE(811),
    [ts_builtin_sym_end] = ACTIONS(1918),
    [sym__identifier] = ACTIONS(1920),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(1920),
    [anon_sym_package] = ACTIONS(1920),
    [anon_sym_class] = ACTIONS(1920),
    [anon_sym_role] = ACTIONS(1920),
    [anon_sym_BUILD] = ACTIONS(1920),
    [anon_sym_ADJUST] = ACTIONS(1920),
    [anon_sym_DOLLAR] = ACTIONS(1920),
    [anon_sym_AT] = ACTIONS(1920),
    [anon_sym_my] = ACTIONS(1920),
    [anon_sym_extended] = ACTIONS(1920),
    [anon_sym_async] = ACTIONS(1920),
    [anon_sym_sub] = ACTIONS(1920),
    [anon_sym_method] = ACTIONS(1920),
    [anon_sym_LPAREN] = ACTIONS(1920),
    [anon_sym_continue] = ACTIONS(1920),
    [anon_sym_state] = ACTIONS(1920),
    [anon_sym_our] = ACTIONS(1920),
    [anon_sym_try] = ACTIONS(1920),
    [anon_sym_defer] = ACTIONS(1920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_LT] = ACTIONS(1920),
    [anon_sym_LT_LT] = ACTIONS(1920),
    [anon_sym_SLASH_SLASH] = ACTIONS(1920),
    [anon_sym_PLUS] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_BSLASH] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1920),
    [anon_sym_eval] = ACTIONS(1920),
    [anon_sym_await] = ACTIONS(1920),
    [anon_sym_field] = ACTIONS(1920),
    [anon_sym_local] = ACTIONS(1920),
    [anon_sym_dynamically] = ACTIONS(1920),
    [anon_sym_require] = ACTIONS(1920),
    [anon_sym_map] = ACTIONS(1920),
    [anon_sym_grep] = ACTIONS(1920),
    [anon_sym_sort] = ACTIONS(1920),
    [anon_sym_goto] = ACTIONS(1920),
    [anon_sym_return] = ACTIONS(1920),
    [anon_sym_undef] = ACTIONS(1920),
    [anon_sym_PERCENT2] = ACTIONS(1920),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1920),
    [anon_sym_use] = ACTIONS(1920),
    [anon_sym_no] = ACTIONS(1920),
    [anon_sym_for] = ACTIONS(1920),
    [anon_sym_foreach] = ACTIONS(1920),
    [anon_sym_last] = ACTIONS(1920),
    [anon_sym_next] = ACTIONS(1920),
    [anon_sym_redo] = ACTIONS(1920),
    [anon_sym_BEGIN] = ACTIONS(1920),
    [anon_sym_INIT] = ACTIONS(1920),
    [anon_sym_CHECK] = ACTIONS(1920),
    [anon_sym_UNITCHECK] = ACTIONS(1920),
    [anon_sym_END] = ACTIONS(1920),
    [anon_sym___FILE__] = ACTIONS(1920),
    [anon_sym___LINE__] = ACTIONS(1920),
    [anon_sym___PACKAGE__] = ACTIONS(1920),
    [anon_sym___SUB__] = ACTIONS(1920),
    [anon_sym_break] = ACTIONS(1920),
    [anon_sym_fork] = ACTIONS(1920),
    [anon_sym_getppid] = ACTIONS(1920),
    [anon_sym_time] = ACTIONS(1920),
    [anon_sym_times] = ACTIONS(1920),
    [anon_sym_wait] = ACTIONS(1920),
    [anon_sym_wantarray] = ACTIONS(1920),
    [anon_sym_abs] = ACTIONS(1920),
    [anon_sym_alarm] = ACTIONS(1920),
    [anon_sym_chop] = ACTIONS(1920),
    [anon_sym_chdir] = ACTIONS(1920),
    [anon_sym_close] = ACTIONS(1920),
    [anon_sym_closedir] = ACTIONS(1920),
    [anon_sym_caller] = ACTIONS(1920),
    [anon_sym_chomp] = ACTIONS(1920),
    [anon_sym_chr] = ACTIONS(1920),
    [anon_sym_cos] = ACTIONS(1920),
    [anon_sym_chroot] = ACTIONS(1920),
    [anon_sym_defined] = ACTIONS(1920),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_dbmclose] = ACTIONS(1920),
    [anon_sym_exists] = ACTIONS(1920),
    [anon_sym_exit] = ACTIONS(1920),
    [anon_sym_eof] = ACTIONS(1920),
    [anon_sym_exp] = ACTIONS(1920),
    [anon_sym_each] = ACTIONS(1920),
    [anon_sym_fc] = ACTIONS(1920),
    [anon_sym_fileno] = ACTIONS(1920),
    [anon_sym_gmtime] = ACTIONS(1920),
    [anon_sym_getc] = ACTIONS(1920),
    [anon_sym_getpgrp] = ACTIONS(1920),
    [anon_sym_getprotobyname] = ACTIONS(1920),
    [anon_sym_getpwname] = ACTIONS(1920),
    [anon_sym_getpwuid] = ACTIONS(1920),
    [anon_sym_getpeername] = ACTIONS(1920),
    [anon_sym_getnetbyname] = ACTIONS(1920),
    [anon_sym_getsockname] = ACTIONS(1920),
    [anon_sym_getgrnam] = ACTIONS(1920),
    [anon_sym_getgrgid] = ACTIONS(1920),
    [anon_sym_hex] = ACTIONS(1920),
    [anon_sym_int] = ACTIONS(1920),
    [anon_sym_keys] = ACTIONS(1920),
    [anon_sym_lc] = ACTIONS(1920),
    [anon_sym_lcfirst] = ACTIONS(1920),
    [anon_sym_length] = ACTIONS(1920),
    [anon_sym_localtime] = ACTIONS(1920),
    [anon_sym_log] = ACTIONS(1920),
    [anon_sym_lock] = ACTIONS(1920),
    [anon_sym_lstat] = ACTIONS(1920),
    [anon_sym_oct] = ACTIONS(1920),
    [anon_sym_ord] = ACTIONS(1920),
    [anon_sym_prototype] = ACTIONS(1920),
    [anon_sym_pop] = ACTIONS(1920),
    [anon_sym_pos] = ACTIONS(1920),
    [anon_sym_quotemeta] = ACTIONS(1920),
    [anon_sym_reset] = ACTIONS(1920),
    [anon_sym_rand] = ACTIONS(1920),
    [anon_sym_rmdir] = ACTIONS(1920),
    [anon_sym_readdir] = ACTIONS(1920),
    [anon_sym_readline] = ACTIONS(1920),
    [anon_sym_readpipe] = ACTIONS(1920),
    [anon_sym_rewinddir] = ACTIONS(1920),
    [anon_sym_readlink] = ACTIONS(1920),
    [anon_sym_ref] = ACTIONS(1920),
    [anon_sym_scalar] = ACTIONS(1920),
    [anon_sym_shift] = ACTIONS(1920),
    [anon_sym_sin] = ACTIONS(1920),
    [anon_sym_sleep] = ACTIONS(1920),
    [anon_sym_sqrt] = ACTIONS(1920),
    [anon_sym_srand] = ACTIONS(1920),
    [anon_sym_stat] = ACTIONS(1920),
    [anon_sym_study] = ACTIONS(1920),
    [anon_sym_tell] = ACTIONS(1920),
    [anon_sym_telldir] = ACTIONS(1920),
    [anon_sym_tied] = ACTIONS(1920),
    [anon_sym_uc] = ACTIONS(1920),
    [anon_sym_ucfirst] = ACTIONS(1920),
    [anon_sym_untie] = ACTIONS(1920),
    [anon_sym_umask] = ACTIONS(1920),
    [anon_sym_values] = ACTIONS(1920),
    [anon_sym_write] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1920),
    [anon_sym___END__] = ACTIONS(1920),
    [anon_sym_EOT] = ACTIONS(1920),
    [anon_sym_q] = ACTIONS(1920),
    [anon_sym_qq] = ACTIONS(1920),
    [anon_sym_qw] = ACTIONS(1920),
    [anon_sym_qx] = ACTIONS(1920),
    [anon_sym_qr] = ACTIONS(1920),
    [anon_sym_m] = ACTIONS(1920),
    [anon_sym_s] = ACTIONS(1920),
    [anon_sym_tr] = ACTIONS(1920),
    [anon_sym_y] = ACTIONS(1920),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_unless] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1920),
    [anon_sym_until] = ACTIONS(1920),
    [aux_sym__bareword_token1] = ACTIONS(1920),
    [sym_number] = ACTIONS(1920),
    [anon_sym_true] = ACTIONS(1920),
    [anon_sym_false] = ACTIONS(1920),
    [sym__single_quote] = ACTIONS(1918),
    [sym__double_quote] = ACTIONS(1918),
    [sym__backtick_quote] = ACTIONS(1918),
    [sym__search_slash_quote] = ACTIONS(1918),
    [sym__PERLY_HEREDOC] = ACTIONS(1918),
    [sym__ctrl_z_hack] = ACTIONS(1918),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1918),
    [sym__filetest] = ACTIONS(1918),
  },
  [812] = {
    [sym_heredoc_content] = STATE(812),
    [ts_builtin_sym_end] = ACTIONS(1922),
    [sym__identifier] = ACTIONS(1924),
    [anon_sym_LBRACE] = ACTIONS(1924),
    [anon_sym_SEMI] = ACTIONS(1924),
    [anon_sym_package] = ACTIONS(1924),
    [anon_sym_class] = ACTIONS(1924),
    [anon_sym_role] = ACTIONS(1924),
    [anon_sym_BUILD] = ACTIONS(1924),
    [anon_sym_ADJUST] = ACTIONS(1924),
    [anon_sym_DOLLAR] = ACTIONS(1924),
    [anon_sym_AT] = ACTIONS(1924),
    [anon_sym_my] = ACTIONS(1924),
    [anon_sym_extended] = ACTIONS(1924),
    [anon_sym_async] = ACTIONS(1924),
    [anon_sym_sub] = ACTIONS(1924),
    [anon_sym_method] = ACTIONS(1924),
    [anon_sym_LPAREN] = ACTIONS(1924),
    [anon_sym_continue] = ACTIONS(1924),
    [anon_sym_state] = ACTIONS(1924),
    [anon_sym_our] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1924),
    [anon_sym_defer] = ACTIONS(1924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(1924),
    [anon_sym_LT] = ACTIONS(1924),
    [anon_sym_LT_LT] = ACTIONS(1924),
    [anon_sym_SLASH_SLASH] = ACTIONS(1924),
    [anon_sym_PLUS] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1924),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_PLUS_PLUS] = ACTIONS(1924),
    [anon_sym_DASH_DASH] = ACTIONS(1924),
    [anon_sym_BSLASH] = ACTIONS(1922),
    [anon_sym_do] = ACTIONS(1924),
    [anon_sym_eval] = ACTIONS(1924),
    [anon_sym_await] = ACTIONS(1924),
    [anon_sym_field] = ACTIONS(1924),
    [anon_sym_local] = ACTIONS(1924),
    [anon_sym_dynamically] = ACTIONS(1924),
    [anon_sym_require] = ACTIONS(1924),
    [anon_sym_map] = ACTIONS(1924),
    [anon_sym_grep] = ACTIONS(1924),
    [anon_sym_sort] = ACTIONS(1924),
    [anon_sym_goto] = ACTIONS(1924),
    [anon_sym_return] = ACTIONS(1924),
    [anon_sym_undef] = ACTIONS(1924),
    [anon_sym_PERCENT2] = ACTIONS(1924),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1924),
    [anon_sym_use] = ACTIONS(1924),
    [anon_sym_no] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_foreach] = ACTIONS(1924),
    [anon_sym_last] = ACTIONS(1924),
    [anon_sym_next] = ACTIONS(1924),
    [anon_sym_redo] = ACTIONS(1924),
    [anon_sym_BEGIN] = ACTIONS(1924),
    [anon_sym_INIT] = ACTIONS(1924),
    [anon_sym_CHECK] = ACTIONS(1924),
    [anon_sym_UNITCHECK] = ACTIONS(1924),
    [anon_sym_END] = ACTIONS(1924),
    [anon_sym___FILE__] = ACTIONS(1924),
    [anon_sym___LINE__] = ACTIONS(1924),
    [anon_sym___PACKAGE__] = ACTIONS(1924),
    [anon_sym___SUB__] = ACTIONS(1924),
    [anon_sym_break] = ACTIONS(1924),
    [anon_sym_fork] = ACTIONS(1924),
    [anon_sym_getppid] = ACTIONS(1924),
    [anon_sym_time] = ACTIONS(1924),
    [anon_sym_times] = ACTIONS(1924),
    [anon_sym_wait] = ACTIONS(1924),
    [anon_sym_wantarray] = ACTIONS(1924),
    [anon_sym_abs] = ACTIONS(1924),
    [anon_sym_alarm] = ACTIONS(1924),
    [anon_sym_chop] = ACTIONS(1924),
    [anon_sym_chdir] = ACTIONS(1924),
    [anon_sym_close] = ACTIONS(1924),
    [anon_sym_closedir] = ACTIONS(1924),
    [anon_sym_caller] = ACTIONS(1924),
    [anon_sym_chomp] = ACTIONS(1924),
    [anon_sym_chr] = ACTIONS(1924),
    [anon_sym_cos] = ACTIONS(1924),
    [anon_sym_chroot] = ACTIONS(1924),
    [anon_sym_defined] = ACTIONS(1924),
    [anon_sym_delete] = ACTIONS(1924),
    [anon_sym_dbmclose] = ACTIONS(1924),
    [anon_sym_exists] = ACTIONS(1924),
    [anon_sym_exit] = ACTIONS(1924),
    [anon_sym_eof] = ACTIONS(1924),
    [anon_sym_exp] = ACTIONS(1924),
    [anon_sym_each] = ACTIONS(1924),
    [anon_sym_fc] = ACTIONS(1924),
    [anon_sym_fileno] = ACTIONS(1924),
    [anon_sym_gmtime] = ACTIONS(1924),
    [anon_sym_getc] = ACTIONS(1924),
    [anon_sym_getpgrp] = ACTIONS(1924),
    [anon_sym_getprotobyname] = ACTIONS(1924),
    [anon_sym_getpwname] = ACTIONS(1924),
    [anon_sym_getpwuid] = ACTIONS(1924),
    [anon_sym_getpeername] = ACTIONS(1924),
    [anon_sym_getnetbyname] = ACTIONS(1924),
    [anon_sym_getsockname] = ACTIONS(1924),
    [anon_sym_getgrnam] = ACTIONS(1924),
    [anon_sym_getgrgid] = ACTIONS(1924),
    [anon_sym_hex] = ACTIONS(1924),
    [anon_sym_int] = ACTIONS(1924),
    [anon_sym_keys] = ACTIONS(1924),
    [anon_sym_lc] = ACTIONS(1924),
    [anon_sym_lcfirst] = ACTIONS(1924),
    [anon_sym_length] = ACTIONS(1924),
    [anon_sym_localtime] = ACTIONS(1924),
    [anon_sym_log] = ACTIONS(1924),
    [anon_sym_lock] = ACTIONS(1924),
    [anon_sym_lstat] = ACTIONS(1924),
    [anon_sym_oct] = ACTIONS(1924),
    [anon_sym_ord] = ACTIONS(1924),
    [anon_sym_prototype] = ACTIONS(1924),
    [anon_sym_pop] = ACTIONS(1924),
    [anon_sym_pos] = ACTIONS(1924),
    [anon_sym_quotemeta] = ACTIONS(1924),
    [anon_sym_reset] = ACTIONS(1924),
    [anon_sym_rand] = ACTIONS(1924),
    [anon_sym_rmdir] = ACTIONS(1924),
    [anon_sym_readdir] = ACTIONS(1924),
    [anon_sym_readline] = ACTIONS(1924),
    [anon_sym_readpipe] = ACTIONS(1924),
    [anon_sym_rewinddir] = ACTIONS(1924),
    [anon_sym_readlink] = ACTIONS(1924),
    [anon_sym_ref] = ACTIONS(1924),
    [anon_sym_scalar] = ACTIONS(1924),
    [anon_sym_shift] = ACTIONS(1924),
    [anon_sym_sin] = ACTIONS(1924),
    [anon_sym_sleep] = ACTIONS(1924),
    [anon_sym_sqrt] = ACTIONS(1924),
    [anon_sym_srand] = ACTIONS(1924),
    [anon_sym_stat] = ACTIONS(1924),
    [anon_sym_study] = ACTIONS(1924),
    [anon_sym_tell] = ACTIONS(1924),
    [anon_sym_telldir] = ACTIONS(1924),
    [anon_sym_tied] = ACTIONS(1924),
    [anon_sym_uc] = ACTIONS(1924),
    [anon_sym_ucfirst] = ACTIONS(1924),
    [anon_sym_untie] = ACTIONS(1924),
    [anon_sym_umask] = ACTIONS(1924),
    [anon_sym_values] = ACTIONS(1924),
    [anon_sym_write] = ACTIONS(1924),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1924),
    [anon_sym___END__] = ACTIONS(1924),
    [anon_sym_EOT] = ACTIONS(1924),
    [anon_sym_q] = ACTIONS(1924),
    [anon_sym_qq] = ACTIONS(1924),
    [anon_sym_qw] = ACTIONS(1924),
    [anon_sym_qx] = ACTIONS(1924),
    [anon_sym_qr] = ACTIONS(1924),
    [anon_sym_m] = ACTIONS(1924),
    [anon_sym_s] = ACTIONS(1924),
    [anon_sym_tr] = ACTIONS(1924),
    [anon_sym_y] = ACTIONS(1924),
    [anon_sym_if] = ACTIONS(1924),
    [anon_sym_unless] = ACTIONS(1924),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_until] = ACTIONS(1924),
    [aux_sym__bareword_token1] = ACTIONS(1924),
    [sym_number] = ACTIONS(1924),
    [anon_sym_true] = ACTIONS(1924),
    [anon_sym_false] = ACTIONS(1924),
    [sym__single_quote] = ACTIONS(1922),
    [sym__double_quote] = ACTIONS(1922),
    [sym__backtick_quote] = ACTIONS(1922),
    [sym__search_slash_quote] = ACTIONS(1922),
    [sym__PERLY_HEREDOC] = ACTIONS(1922),
    [sym__ctrl_z_hack] = ACTIONS(1922),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1922),
    [sym__filetest] = ACTIONS(1922),
  },
  [813] = {
    [sym_heredoc_content] = STATE(813),
    [ts_builtin_sym_end] = ACTIONS(1926),
    [sym__identifier] = ACTIONS(1928),
    [anon_sym_LBRACE] = ACTIONS(1928),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym_package] = ACTIONS(1928),
    [anon_sym_class] = ACTIONS(1928),
    [anon_sym_role] = ACTIONS(1928),
    [anon_sym_BUILD] = ACTIONS(1928),
    [anon_sym_ADJUST] = ACTIONS(1928),
    [anon_sym_DOLLAR] = ACTIONS(1928),
    [anon_sym_AT] = ACTIONS(1928),
    [anon_sym_my] = ACTIONS(1928),
    [anon_sym_extended] = ACTIONS(1928),
    [anon_sym_async] = ACTIONS(1928),
    [anon_sym_sub] = ACTIONS(1928),
    [anon_sym_method] = ACTIONS(1928),
    [anon_sym_LPAREN] = ACTIONS(1928),
    [anon_sym_continue] = ACTIONS(1928),
    [anon_sym_state] = ACTIONS(1928),
    [anon_sym_our] = ACTIONS(1928),
    [anon_sym_try] = ACTIONS(1928),
    [anon_sym_defer] = ACTIONS(1928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_LT] = ACTIONS(1928),
    [anon_sym_LT_LT] = ACTIONS(1928),
    [anon_sym_SLASH_SLASH] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1928),
    [anon_sym_STAR] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_BSLASH] = ACTIONS(1926),
    [anon_sym_do] = ACTIONS(1928),
    [anon_sym_eval] = ACTIONS(1928),
    [anon_sym_await] = ACTIONS(1928),
    [anon_sym_field] = ACTIONS(1928),
    [anon_sym_local] = ACTIONS(1928),
    [anon_sym_dynamically] = ACTIONS(1928),
    [anon_sym_require] = ACTIONS(1928),
    [anon_sym_map] = ACTIONS(1928),
    [anon_sym_grep] = ACTIONS(1928),
    [anon_sym_sort] = ACTIONS(1928),
    [anon_sym_goto] = ACTIONS(1928),
    [anon_sym_return] = ACTIONS(1928),
    [anon_sym_undef] = ACTIONS(1928),
    [anon_sym_PERCENT2] = ACTIONS(1928),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1928),
    [anon_sym_use] = ACTIONS(1928),
    [anon_sym_no] = ACTIONS(1928),
    [anon_sym_for] = ACTIONS(1928),
    [anon_sym_foreach] = ACTIONS(1928),
    [anon_sym_last] = ACTIONS(1928),
    [anon_sym_next] = ACTIONS(1928),
    [anon_sym_redo] = ACTIONS(1928),
    [anon_sym_BEGIN] = ACTIONS(1928),
    [anon_sym_INIT] = ACTIONS(1928),
    [anon_sym_CHECK] = ACTIONS(1928),
    [anon_sym_UNITCHECK] = ACTIONS(1928),
    [anon_sym_END] = ACTIONS(1928),
    [anon_sym___FILE__] = ACTIONS(1928),
    [anon_sym___LINE__] = ACTIONS(1928),
    [anon_sym___PACKAGE__] = ACTIONS(1928),
    [anon_sym___SUB__] = ACTIONS(1928),
    [anon_sym_break] = ACTIONS(1928),
    [anon_sym_fork] = ACTIONS(1928),
    [anon_sym_getppid] = ACTIONS(1928),
    [anon_sym_time] = ACTIONS(1928),
    [anon_sym_times] = ACTIONS(1928),
    [anon_sym_wait] = ACTIONS(1928),
    [anon_sym_wantarray] = ACTIONS(1928),
    [anon_sym_abs] = ACTIONS(1928),
    [anon_sym_alarm] = ACTIONS(1928),
    [anon_sym_chop] = ACTIONS(1928),
    [anon_sym_chdir] = ACTIONS(1928),
    [anon_sym_close] = ACTIONS(1928),
    [anon_sym_closedir] = ACTIONS(1928),
    [anon_sym_caller] = ACTIONS(1928),
    [anon_sym_chomp] = ACTIONS(1928),
    [anon_sym_chr] = ACTIONS(1928),
    [anon_sym_cos] = ACTIONS(1928),
    [anon_sym_chroot] = ACTIONS(1928),
    [anon_sym_defined] = ACTIONS(1928),
    [anon_sym_delete] = ACTIONS(1928),
    [anon_sym_dbmclose] = ACTIONS(1928),
    [anon_sym_exists] = ACTIONS(1928),
    [anon_sym_exit] = ACTIONS(1928),
    [anon_sym_eof] = ACTIONS(1928),
    [anon_sym_exp] = ACTIONS(1928),
    [anon_sym_each] = ACTIONS(1928),
    [anon_sym_fc] = ACTIONS(1928),
    [anon_sym_fileno] = ACTIONS(1928),
    [anon_sym_gmtime] = ACTIONS(1928),
    [anon_sym_getc] = ACTIONS(1928),
    [anon_sym_getpgrp] = ACTIONS(1928),
    [anon_sym_getprotobyname] = ACTIONS(1928),
    [anon_sym_getpwname] = ACTIONS(1928),
    [anon_sym_getpwuid] = ACTIONS(1928),
    [anon_sym_getpeername] = ACTIONS(1928),
    [anon_sym_getnetbyname] = ACTIONS(1928),
    [anon_sym_getsockname] = ACTIONS(1928),
    [anon_sym_getgrnam] = ACTIONS(1928),
    [anon_sym_getgrgid] = ACTIONS(1928),
    [anon_sym_hex] = ACTIONS(1928),
    [anon_sym_int] = ACTIONS(1928),
    [anon_sym_keys] = ACTIONS(1928),
    [anon_sym_lc] = ACTIONS(1928),
    [anon_sym_lcfirst] = ACTIONS(1928),
    [anon_sym_length] = ACTIONS(1928),
    [anon_sym_localtime] = ACTIONS(1928),
    [anon_sym_log] = ACTIONS(1928),
    [anon_sym_lock] = ACTIONS(1928),
    [anon_sym_lstat] = ACTIONS(1928),
    [anon_sym_oct] = ACTIONS(1928),
    [anon_sym_ord] = ACTIONS(1928),
    [anon_sym_prototype] = ACTIONS(1928),
    [anon_sym_pop] = ACTIONS(1928),
    [anon_sym_pos] = ACTIONS(1928),
    [anon_sym_quotemeta] = ACTIONS(1928),
    [anon_sym_reset] = ACTIONS(1928),
    [anon_sym_rand] = ACTIONS(1928),
    [anon_sym_rmdir] = ACTIONS(1928),
    [anon_sym_readdir] = ACTIONS(1928),
    [anon_sym_readline] = ACTIONS(1928),
    [anon_sym_readpipe] = ACTIONS(1928),
    [anon_sym_rewinddir] = ACTIONS(1928),
    [anon_sym_readlink] = ACTIONS(1928),
    [anon_sym_ref] = ACTIONS(1928),
    [anon_sym_scalar] = ACTIONS(1928),
    [anon_sym_shift] = ACTIONS(1928),
    [anon_sym_sin] = ACTIONS(1928),
    [anon_sym_sleep] = ACTIONS(1928),
    [anon_sym_sqrt] = ACTIONS(1928),
    [anon_sym_srand] = ACTIONS(1928),
    [anon_sym_stat] = ACTIONS(1928),
    [anon_sym_study] = ACTIONS(1928),
    [anon_sym_tell] = ACTIONS(1928),
    [anon_sym_telldir] = ACTIONS(1928),
    [anon_sym_tied] = ACTIONS(1928),
    [anon_sym_uc] = ACTIONS(1928),
    [anon_sym_ucfirst] = ACTIONS(1928),
    [anon_sym_untie] = ACTIONS(1928),
    [anon_sym_umask] = ACTIONS(1928),
    [anon_sym_values] = ACTIONS(1928),
    [anon_sym_write] = ACTIONS(1928),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1928),
    [anon_sym___END__] = ACTIONS(1928),
    [anon_sym_EOT] = ACTIONS(1928),
    [anon_sym_q] = ACTIONS(1928),
    [anon_sym_qq] = ACTIONS(1928),
    [anon_sym_qw] = ACTIONS(1928),
    [anon_sym_qx] = ACTIONS(1928),
    [anon_sym_qr] = ACTIONS(1928),
    [anon_sym_m] = ACTIONS(1928),
    [anon_sym_s] = ACTIONS(1928),
    [anon_sym_tr] = ACTIONS(1928),
    [anon_sym_y] = ACTIONS(1928),
    [anon_sym_if] = ACTIONS(1928),
    [anon_sym_unless] = ACTIONS(1928),
    [anon_sym_while] = ACTIONS(1928),
    [anon_sym_until] = ACTIONS(1928),
    [aux_sym__bareword_token1] = ACTIONS(1928),
    [sym_number] = ACTIONS(1928),
    [anon_sym_true] = ACTIONS(1928),
    [anon_sym_false] = ACTIONS(1928),
    [sym__single_quote] = ACTIONS(1926),
    [sym__double_quote] = ACTIONS(1926),
    [sym__backtick_quote] = ACTIONS(1926),
    [sym__search_slash_quote] = ACTIONS(1926),
    [sym__PERLY_HEREDOC] = ACTIONS(1926),
    [sym__ctrl_z_hack] = ACTIONS(1926),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1926),
    [sym__filetest] = ACTIONS(1926),
  },
  [814] = {
    [sym_heredoc_content] = STATE(814),
    [ts_builtin_sym_end] = ACTIONS(1930),
    [sym__identifier] = ACTIONS(1932),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_SEMI] = ACTIONS(1932),
    [anon_sym_package] = ACTIONS(1932),
    [anon_sym_class] = ACTIONS(1932),
    [anon_sym_role] = ACTIONS(1932),
    [anon_sym_BUILD] = ACTIONS(1932),
    [anon_sym_ADJUST] = ACTIONS(1932),
    [anon_sym_DOLLAR] = ACTIONS(1932),
    [anon_sym_AT] = ACTIONS(1932),
    [anon_sym_my] = ACTIONS(1932),
    [anon_sym_extended] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(1932),
    [anon_sym_sub] = ACTIONS(1932),
    [anon_sym_method] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1932),
    [anon_sym_continue] = ACTIONS(1932),
    [anon_sym_state] = ACTIONS(1932),
    [anon_sym_our] = ACTIONS(1932),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_defer] = ACTIONS(1932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1932),
    [anon_sym_LBRACK] = ACTIONS(1932),
    [anon_sym_LT] = ACTIONS(1932),
    [anon_sym_LT_LT] = ACTIONS(1932),
    [anon_sym_SLASH_SLASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_PLUS_PLUS] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(1932),
    [anon_sym_BSLASH] = ACTIONS(1930),
    [anon_sym_do] = ACTIONS(1932),
    [anon_sym_eval] = ACTIONS(1932),
    [anon_sym_await] = ACTIONS(1932),
    [anon_sym_field] = ACTIONS(1932),
    [anon_sym_local] = ACTIONS(1932),
    [anon_sym_dynamically] = ACTIONS(1932),
    [anon_sym_require] = ACTIONS(1932),
    [anon_sym_map] = ACTIONS(1932),
    [anon_sym_grep] = ACTIONS(1932),
    [anon_sym_sort] = ACTIONS(1932),
    [anon_sym_goto] = ACTIONS(1932),
    [anon_sym_return] = ACTIONS(1932),
    [anon_sym_undef] = ACTIONS(1932),
    [anon_sym_PERCENT2] = ACTIONS(1932),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1932),
    [anon_sym_use] = ACTIONS(1932),
    [anon_sym_no] = ACTIONS(1932),
    [anon_sym_for] = ACTIONS(1932),
    [anon_sym_foreach] = ACTIONS(1932),
    [anon_sym_last] = ACTIONS(1932),
    [anon_sym_next] = ACTIONS(1932),
    [anon_sym_redo] = ACTIONS(1932),
    [anon_sym_BEGIN] = ACTIONS(1932),
    [anon_sym_INIT] = ACTIONS(1932),
    [anon_sym_CHECK] = ACTIONS(1932),
    [anon_sym_UNITCHECK] = ACTIONS(1932),
    [anon_sym_END] = ACTIONS(1932),
    [anon_sym___FILE__] = ACTIONS(1932),
    [anon_sym___LINE__] = ACTIONS(1932),
    [anon_sym___PACKAGE__] = ACTIONS(1932),
    [anon_sym___SUB__] = ACTIONS(1932),
    [anon_sym_break] = ACTIONS(1932),
    [anon_sym_fork] = ACTIONS(1932),
    [anon_sym_getppid] = ACTIONS(1932),
    [anon_sym_time] = ACTIONS(1932),
    [anon_sym_times] = ACTIONS(1932),
    [anon_sym_wait] = ACTIONS(1932),
    [anon_sym_wantarray] = ACTIONS(1932),
    [anon_sym_abs] = ACTIONS(1932),
    [anon_sym_alarm] = ACTIONS(1932),
    [anon_sym_chop] = ACTIONS(1932),
    [anon_sym_chdir] = ACTIONS(1932),
    [anon_sym_close] = ACTIONS(1932),
    [anon_sym_closedir] = ACTIONS(1932),
    [anon_sym_caller] = ACTIONS(1932),
    [anon_sym_chomp] = ACTIONS(1932),
    [anon_sym_chr] = ACTIONS(1932),
    [anon_sym_cos] = ACTIONS(1932),
    [anon_sym_chroot] = ACTIONS(1932),
    [anon_sym_defined] = ACTIONS(1932),
    [anon_sym_delete] = ACTIONS(1932),
    [anon_sym_dbmclose] = ACTIONS(1932),
    [anon_sym_exists] = ACTIONS(1932),
    [anon_sym_exit] = ACTIONS(1932),
    [anon_sym_eof] = ACTIONS(1932),
    [anon_sym_exp] = ACTIONS(1932),
    [anon_sym_each] = ACTIONS(1932),
    [anon_sym_fc] = ACTIONS(1932),
    [anon_sym_fileno] = ACTIONS(1932),
    [anon_sym_gmtime] = ACTIONS(1932),
    [anon_sym_getc] = ACTIONS(1932),
    [anon_sym_getpgrp] = ACTIONS(1932),
    [anon_sym_getprotobyname] = ACTIONS(1932),
    [anon_sym_getpwname] = ACTIONS(1932),
    [anon_sym_getpwuid] = ACTIONS(1932),
    [anon_sym_getpeername] = ACTIONS(1932),
    [anon_sym_getnetbyname] = ACTIONS(1932),
    [anon_sym_getsockname] = ACTIONS(1932),
    [anon_sym_getgrnam] = ACTIONS(1932),
    [anon_sym_getgrgid] = ACTIONS(1932),
    [anon_sym_hex] = ACTIONS(1932),
    [anon_sym_int] = ACTIONS(1932),
    [anon_sym_keys] = ACTIONS(1932),
    [anon_sym_lc] = ACTIONS(1932),
    [anon_sym_lcfirst] = ACTIONS(1932),
    [anon_sym_length] = ACTIONS(1932),
    [anon_sym_localtime] = ACTIONS(1932),
    [anon_sym_log] = ACTIONS(1932),
    [anon_sym_lock] = ACTIONS(1932),
    [anon_sym_lstat] = ACTIONS(1932),
    [anon_sym_oct] = ACTIONS(1932),
    [anon_sym_ord] = ACTIONS(1932),
    [anon_sym_prototype] = ACTIONS(1932),
    [anon_sym_pop] = ACTIONS(1932),
    [anon_sym_pos] = ACTIONS(1932),
    [anon_sym_quotemeta] = ACTIONS(1932),
    [anon_sym_reset] = ACTIONS(1932),
    [anon_sym_rand] = ACTIONS(1932),
    [anon_sym_rmdir] = ACTIONS(1932),
    [anon_sym_readdir] = ACTIONS(1932),
    [anon_sym_readline] = ACTIONS(1932),
    [anon_sym_readpipe] = ACTIONS(1932),
    [anon_sym_rewinddir] = ACTIONS(1932),
    [anon_sym_readlink] = ACTIONS(1932),
    [anon_sym_ref] = ACTIONS(1932),
    [anon_sym_scalar] = ACTIONS(1932),
    [anon_sym_shift] = ACTIONS(1932),
    [anon_sym_sin] = ACTIONS(1932),
    [anon_sym_sleep] = ACTIONS(1932),
    [anon_sym_sqrt] = ACTIONS(1932),
    [anon_sym_srand] = ACTIONS(1932),
    [anon_sym_stat] = ACTIONS(1932),
    [anon_sym_study] = ACTIONS(1932),
    [anon_sym_tell] = ACTIONS(1932),
    [anon_sym_telldir] = ACTIONS(1932),
    [anon_sym_tied] = ACTIONS(1932),
    [anon_sym_uc] = ACTIONS(1932),
    [anon_sym_ucfirst] = ACTIONS(1932),
    [anon_sym_untie] = ACTIONS(1932),
    [anon_sym_umask] = ACTIONS(1932),
    [anon_sym_values] = ACTIONS(1932),
    [anon_sym_write] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1932),
    [anon_sym___END__] = ACTIONS(1932),
    [anon_sym_EOT] = ACTIONS(1932),
    [anon_sym_q] = ACTIONS(1932),
    [anon_sym_qq] = ACTIONS(1932),
    [anon_sym_qw] = ACTIONS(1932),
    [anon_sym_qx] = ACTIONS(1932),
    [anon_sym_qr] = ACTIONS(1932),
    [anon_sym_m] = ACTIONS(1932),
    [anon_sym_s] = ACTIONS(1932),
    [anon_sym_tr] = ACTIONS(1932),
    [anon_sym_y] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(1932),
    [anon_sym_unless] = ACTIONS(1932),
    [anon_sym_while] = ACTIONS(1932),
    [anon_sym_until] = ACTIONS(1932),
    [aux_sym__bareword_token1] = ACTIONS(1932),
    [sym_number] = ACTIONS(1932),
    [anon_sym_true] = ACTIONS(1932),
    [anon_sym_false] = ACTIONS(1932),
    [sym__single_quote] = ACTIONS(1930),
    [sym__double_quote] = ACTIONS(1930),
    [sym__backtick_quote] = ACTIONS(1930),
    [sym__search_slash_quote] = ACTIONS(1930),
    [sym__PERLY_HEREDOC] = ACTIONS(1930),
    [sym__ctrl_z_hack] = ACTIONS(1930),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1930),
    [sym__filetest] = ACTIONS(1930),
  },
  [815] = {
    [sym_heredoc_content] = STATE(815),
    [ts_builtin_sym_end] = ACTIONS(1934),
    [sym__identifier] = ACTIONS(1936),
    [anon_sym_LBRACE] = ACTIONS(1936),
    [anon_sym_SEMI] = ACTIONS(1936),
    [anon_sym_package] = ACTIONS(1936),
    [anon_sym_class] = ACTIONS(1936),
    [anon_sym_role] = ACTIONS(1936),
    [anon_sym_BUILD] = ACTIONS(1936),
    [anon_sym_ADJUST] = ACTIONS(1936),
    [anon_sym_DOLLAR] = ACTIONS(1936),
    [anon_sym_AT] = ACTIONS(1936),
    [anon_sym_my] = ACTIONS(1936),
    [anon_sym_extended] = ACTIONS(1936),
    [anon_sym_async] = ACTIONS(1936),
    [anon_sym_sub] = ACTIONS(1936),
    [anon_sym_method] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1936),
    [anon_sym_continue] = ACTIONS(1936),
    [anon_sym_state] = ACTIONS(1936),
    [anon_sym_our] = ACTIONS(1936),
    [anon_sym_try] = ACTIONS(1936),
    [anon_sym_defer] = ACTIONS(1936),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1936),
    [anon_sym_LT_LT] = ACTIONS(1936),
    [anon_sym_SLASH_SLASH] = ACTIONS(1936),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_STAR] = ACTIONS(1936),
    [anon_sym_TILDE] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1936),
    [anon_sym_PLUS_PLUS] = ACTIONS(1936),
    [anon_sym_DASH_DASH] = ACTIONS(1936),
    [anon_sym_BSLASH] = ACTIONS(1934),
    [anon_sym_do] = ACTIONS(1936),
    [anon_sym_eval] = ACTIONS(1936),
    [anon_sym_await] = ACTIONS(1936),
    [anon_sym_field] = ACTIONS(1936),
    [anon_sym_local] = ACTIONS(1936),
    [anon_sym_dynamically] = ACTIONS(1936),
    [anon_sym_require] = ACTIONS(1936),
    [anon_sym_map] = ACTIONS(1936),
    [anon_sym_grep] = ACTIONS(1936),
    [anon_sym_sort] = ACTIONS(1936),
    [anon_sym_goto] = ACTIONS(1936),
    [anon_sym_return] = ACTIONS(1936),
    [anon_sym_undef] = ACTIONS(1936),
    [anon_sym_PERCENT2] = ACTIONS(1936),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1936),
    [anon_sym_use] = ACTIONS(1936),
    [anon_sym_no] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1936),
    [anon_sym_foreach] = ACTIONS(1936),
    [anon_sym_last] = ACTIONS(1936),
    [anon_sym_next] = ACTIONS(1936),
    [anon_sym_redo] = ACTIONS(1936),
    [anon_sym_BEGIN] = ACTIONS(1936),
    [anon_sym_INIT] = ACTIONS(1936),
    [anon_sym_CHECK] = ACTIONS(1936),
    [anon_sym_UNITCHECK] = ACTIONS(1936),
    [anon_sym_END] = ACTIONS(1936),
    [anon_sym___FILE__] = ACTIONS(1936),
    [anon_sym___LINE__] = ACTIONS(1936),
    [anon_sym___PACKAGE__] = ACTIONS(1936),
    [anon_sym___SUB__] = ACTIONS(1936),
    [anon_sym_break] = ACTIONS(1936),
    [anon_sym_fork] = ACTIONS(1936),
    [anon_sym_getppid] = ACTIONS(1936),
    [anon_sym_time] = ACTIONS(1936),
    [anon_sym_times] = ACTIONS(1936),
    [anon_sym_wait] = ACTIONS(1936),
    [anon_sym_wantarray] = ACTIONS(1936),
    [anon_sym_abs] = ACTIONS(1936),
    [anon_sym_alarm] = ACTIONS(1936),
    [anon_sym_chop] = ACTIONS(1936),
    [anon_sym_chdir] = ACTIONS(1936),
    [anon_sym_close] = ACTIONS(1936),
    [anon_sym_closedir] = ACTIONS(1936),
    [anon_sym_caller] = ACTIONS(1936),
    [anon_sym_chomp] = ACTIONS(1936),
    [anon_sym_chr] = ACTIONS(1936),
    [anon_sym_cos] = ACTIONS(1936),
    [anon_sym_chroot] = ACTIONS(1936),
    [anon_sym_defined] = ACTIONS(1936),
    [anon_sym_delete] = ACTIONS(1936),
    [anon_sym_dbmclose] = ACTIONS(1936),
    [anon_sym_exists] = ACTIONS(1936),
    [anon_sym_exit] = ACTIONS(1936),
    [anon_sym_eof] = ACTIONS(1936),
    [anon_sym_exp] = ACTIONS(1936),
    [anon_sym_each] = ACTIONS(1936),
    [anon_sym_fc] = ACTIONS(1936),
    [anon_sym_fileno] = ACTIONS(1936),
    [anon_sym_gmtime] = ACTIONS(1936),
    [anon_sym_getc] = ACTIONS(1936),
    [anon_sym_getpgrp] = ACTIONS(1936),
    [anon_sym_getprotobyname] = ACTIONS(1936),
    [anon_sym_getpwname] = ACTIONS(1936),
    [anon_sym_getpwuid] = ACTIONS(1936),
    [anon_sym_getpeername] = ACTIONS(1936),
    [anon_sym_getnetbyname] = ACTIONS(1936),
    [anon_sym_getsockname] = ACTIONS(1936),
    [anon_sym_getgrnam] = ACTIONS(1936),
    [anon_sym_getgrgid] = ACTIONS(1936),
    [anon_sym_hex] = ACTIONS(1936),
    [anon_sym_int] = ACTIONS(1936),
    [anon_sym_keys] = ACTIONS(1936),
    [anon_sym_lc] = ACTIONS(1936),
    [anon_sym_lcfirst] = ACTIONS(1936),
    [anon_sym_length] = ACTIONS(1936),
    [anon_sym_localtime] = ACTIONS(1936),
    [anon_sym_log] = ACTIONS(1936),
    [anon_sym_lock] = ACTIONS(1936),
    [anon_sym_lstat] = ACTIONS(1936),
    [anon_sym_oct] = ACTIONS(1936),
    [anon_sym_ord] = ACTIONS(1936),
    [anon_sym_prototype] = ACTIONS(1936),
    [anon_sym_pop] = ACTIONS(1936),
    [anon_sym_pos] = ACTIONS(1936),
    [anon_sym_quotemeta] = ACTIONS(1936),
    [anon_sym_reset] = ACTIONS(1936),
    [anon_sym_rand] = ACTIONS(1936),
    [anon_sym_rmdir] = ACTIONS(1936),
    [anon_sym_readdir] = ACTIONS(1936),
    [anon_sym_readline] = ACTIONS(1936),
    [anon_sym_readpipe] = ACTIONS(1936),
    [anon_sym_rewinddir] = ACTIONS(1936),
    [anon_sym_readlink] = ACTIONS(1936),
    [anon_sym_ref] = ACTIONS(1936),
    [anon_sym_scalar] = ACTIONS(1936),
    [anon_sym_shift] = ACTIONS(1936),
    [anon_sym_sin] = ACTIONS(1936),
    [anon_sym_sleep] = ACTIONS(1936),
    [anon_sym_sqrt] = ACTIONS(1936),
    [anon_sym_srand] = ACTIONS(1936),
    [anon_sym_stat] = ACTIONS(1936),
    [anon_sym_study] = ACTIONS(1936),
    [anon_sym_tell] = ACTIONS(1936),
    [anon_sym_telldir] = ACTIONS(1936),
    [anon_sym_tied] = ACTIONS(1936),
    [anon_sym_uc] = ACTIONS(1936),
    [anon_sym_ucfirst] = ACTIONS(1936),
    [anon_sym_untie] = ACTIONS(1936),
    [anon_sym_umask] = ACTIONS(1936),
    [anon_sym_values] = ACTIONS(1936),
    [anon_sym_write] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1936),
    [anon_sym___END__] = ACTIONS(1936),
    [anon_sym_EOT] = ACTIONS(1936),
    [anon_sym_q] = ACTIONS(1936),
    [anon_sym_qq] = ACTIONS(1936),
    [anon_sym_qw] = ACTIONS(1936),
    [anon_sym_qx] = ACTIONS(1936),
    [anon_sym_qr] = ACTIONS(1936),
    [anon_sym_m] = ACTIONS(1936),
    [anon_sym_s] = ACTIONS(1936),
    [anon_sym_tr] = ACTIONS(1936),
    [anon_sym_y] = ACTIONS(1936),
    [anon_sym_if] = ACTIONS(1936),
    [anon_sym_unless] = ACTIONS(1936),
    [anon_sym_while] = ACTIONS(1936),
    [anon_sym_until] = ACTIONS(1936),
    [aux_sym__bareword_token1] = ACTIONS(1936),
    [sym_number] = ACTIONS(1936),
    [anon_sym_true] = ACTIONS(1936),
    [anon_sym_false] = ACTIONS(1936),
    [sym__single_quote] = ACTIONS(1934),
    [sym__double_quote] = ACTIONS(1934),
    [sym__backtick_quote] = ACTIONS(1934),
    [sym__search_slash_quote] = ACTIONS(1934),
    [sym__PERLY_HEREDOC] = ACTIONS(1934),
    [sym__ctrl_z_hack] = ACTIONS(1934),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1934),
    [sym__filetest] = ACTIONS(1934),
  },
  [816] = {
    [sym_heredoc_content] = STATE(816),
    [ts_builtin_sym_end] = ACTIONS(1938),
    [sym__identifier] = ACTIONS(1940),
    [anon_sym_LBRACE] = ACTIONS(1940),
    [anon_sym_SEMI] = ACTIONS(1940),
    [anon_sym_package] = ACTIONS(1940),
    [anon_sym_class] = ACTIONS(1940),
    [anon_sym_role] = ACTIONS(1940),
    [anon_sym_BUILD] = ACTIONS(1940),
    [anon_sym_ADJUST] = ACTIONS(1940),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_AT] = ACTIONS(1940),
    [anon_sym_my] = ACTIONS(1940),
    [anon_sym_extended] = ACTIONS(1940),
    [anon_sym_async] = ACTIONS(1940),
    [anon_sym_sub] = ACTIONS(1940),
    [anon_sym_method] = ACTIONS(1940),
    [anon_sym_LPAREN] = ACTIONS(1940),
    [anon_sym_continue] = ACTIONS(1940),
    [anon_sym_state] = ACTIONS(1940),
    [anon_sym_our] = ACTIONS(1940),
    [anon_sym_try] = ACTIONS(1940),
    [anon_sym_defer] = ACTIONS(1940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1940),
    [anon_sym_LBRACK] = ACTIONS(1940),
    [anon_sym_LT] = ACTIONS(1940),
    [anon_sym_LT_LT] = ACTIONS(1940),
    [anon_sym_SLASH_SLASH] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_STAR] = ACTIONS(1940),
    [anon_sym_TILDE] = ACTIONS(1940),
    [anon_sym_BANG] = ACTIONS(1940),
    [anon_sym_PLUS_PLUS] = ACTIONS(1940),
    [anon_sym_DASH_DASH] = ACTIONS(1940),
    [anon_sym_BSLASH] = ACTIONS(1938),
    [anon_sym_do] = ACTIONS(1940),
    [anon_sym_eval] = ACTIONS(1940),
    [anon_sym_await] = ACTIONS(1940),
    [anon_sym_field] = ACTIONS(1940),
    [anon_sym_local] = ACTIONS(1940),
    [anon_sym_dynamically] = ACTIONS(1940),
    [anon_sym_require] = ACTIONS(1940),
    [anon_sym_map] = ACTIONS(1940),
    [anon_sym_grep] = ACTIONS(1940),
    [anon_sym_sort] = ACTIONS(1940),
    [anon_sym_goto] = ACTIONS(1940),
    [anon_sym_return] = ACTIONS(1940),
    [anon_sym_undef] = ACTIONS(1940),
    [anon_sym_PERCENT2] = ACTIONS(1940),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1940),
    [anon_sym_use] = ACTIONS(1940),
    [anon_sym_no] = ACTIONS(1940),
    [anon_sym_for] = ACTIONS(1940),
    [anon_sym_foreach] = ACTIONS(1940),
    [anon_sym_last] = ACTIONS(1940),
    [anon_sym_next] = ACTIONS(1940),
    [anon_sym_redo] = ACTIONS(1940),
    [anon_sym_BEGIN] = ACTIONS(1940),
    [anon_sym_INIT] = ACTIONS(1940),
    [anon_sym_CHECK] = ACTIONS(1940),
    [anon_sym_UNITCHECK] = ACTIONS(1940),
    [anon_sym_END] = ACTIONS(1940),
    [anon_sym___FILE__] = ACTIONS(1940),
    [anon_sym___LINE__] = ACTIONS(1940),
    [anon_sym___PACKAGE__] = ACTIONS(1940),
    [anon_sym___SUB__] = ACTIONS(1940),
    [anon_sym_break] = ACTIONS(1940),
    [anon_sym_fork] = ACTIONS(1940),
    [anon_sym_getppid] = ACTIONS(1940),
    [anon_sym_time] = ACTIONS(1940),
    [anon_sym_times] = ACTIONS(1940),
    [anon_sym_wait] = ACTIONS(1940),
    [anon_sym_wantarray] = ACTIONS(1940),
    [anon_sym_abs] = ACTIONS(1940),
    [anon_sym_alarm] = ACTIONS(1940),
    [anon_sym_chop] = ACTIONS(1940),
    [anon_sym_chdir] = ACTIONS(1940),
    [anon_sym_close] = ACTIONS(1940),
    [anon_sym_closedir] = ACTIONS(1940),
    [anon_sym_caller] = ACTIONS(1940),
    [anon_sym_chomp] = ACTIONS(1940),
    [anon_sym_chr] = ACTIONS(1940),
    [anon_sym_cos] = ACTIONS(1940),
    [anon_sym_chroot] = ACTIONS(1940),
    [anon_sym_defined] = ACTIONS(1940),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_dbmclose] = ACTIONS(1940),
    [anon_sym_exists] = ACTIONS(1940),
    [anon_sym_exit] = ACTIONS(1940),
    [anon_sym_eof] = ACTIONS(1940),
    [anon_sym_exp] = ACTIONS(1940),
    [anon_sym_each] = ACTIONS(1940),
    [anon_sym_fc] = ACTIONS(1940),
    [anon_sym_fileno] = ACTIONS(1940),
    [anon_sym_gmtime] = ACTIONS(1940),
    [anon_sym_getc] = ACTIONS(1940),
    [anon_sym_getpgrp] = ACTIONS(1940),
    [anon_sym_getprotobyname] = ACTIONS(1940),
    [anon_sym_getpwname] = ACTIONS(1940),
    [anon_sym_getpwuid] = ACTIONS(1940),
    [anon_sym_getpeername] = ACTIONS(1940),
    [anon_sym_getnetbyname] = ACTIONS(1940),
    [anon_sym_getsockname] = ACTIONS(1940),
    [anon_sym_getgrnam] = ACTIONS(1940),
    [anon_sym_getgrgid] = ACTIONS(1940),
    [anon_sym_hex] = ACTIONS(1940),
    [anon_sym_int] = ACTIONS(1940),
    [anon_sym_keys] = ACTIONS(1940),
    [anon_sym_lc] = ACTIONS(1940),
    [anon_sym_lcfirst] = ACTIONS(1940),
    [anon_sym_length] = ACTIONS(1940),
    [anon_sym_localtime] = ACTIONS(1940),
    [anon_sym_log] = ACTIONS(1940),
    [anon_sym_lock] = ACTIONS(1940),
    [anon_sym_lstat] = ACTIONS(1940),
    [anon_sym_oct] = ACTIONS(1940),
    [anon_sym_ord] = ACTIONS(1940),
    [anon_sym_prototype] = ACTIONS(1940),
    [anon_sym_pop] = ACTIONS(1940),
    [anon_sym_pos] = ACTIONS(1940),
    [anon_sym_quotemeta] = ACTIONS(1940),
    [anon_sym_reset] = ACTIONS(1940),
    [anon_sym_rand] = ACTIONS(1940),
    [anon_sym_rmdir] = ACTIONS(1940),
    [anon_sym_readdir] = ACTIONS(1940),
    [anon_sym_readline] = ACTIONS(1940),
    [anon_sym_readpipe] = ACTIONS(1940),
    [anon_sym_rewinddir] = ACTIONS(1940),
    [anon_sym_readlink] = ACTIONS(1940),
    [anon_sym_ref] = ACTIONS(1940),
    [anon_sym_scalar] = ACTIONS(1940),
    [anon_sym_shift] = ACTIONS(1940),
    [anon_sym_sin] = ACTIONS(1940),
    [anon_sym_sleep] = ACTIONS(1940),
    [anon_sym_sqrt] = ACTIONS(1940),
    [anon_sym_srand] = ACTIONS(1940),
    [anon_sym_stat] = ACTIONS(1940),
    [anon_sym_study] = ACTIONS(1940),
    [anon_sym_tell] = ACTIONS(1940),
    [anon_sym_telldir] = ACTIONS(1940),
    [anon_sym_tied] = ACTIONS(1940),
    [anon_sym_uc] = ACTIONS(1940),
    [anon_sym_ucfirst] = ACTIONS(1940),
    [anon_sym_untie] = ACTIONS(1940),
    [anon_sym_umask] = ACTIONS(1940),
    [anon_sym_values] = ACTIONS(1940),
    [anon_sym_write] = ACTIONS(1940),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1940),
    [anon_sym___END__] = ACTIONS(1940),
    [anon_sym_EOT] = ACTIONS(1940),
    [anon_sym_q] = ACTIONS(1940),
    [anon_sym_qq] = ACTIONS(1940),
    [anon_sym_qw] = ACTIONS(1940),
    [anon_sym_qx] = ACTIONS(1940),
    [anon_sym_qr] = ACTIONS(1940),
    [anon_sym_m] = ACTIONS(1940),
    [anon_sym_s] = ACTIONS(1940),
    [anon_sym_tr] = ACTIONS(1940),
    [anon_sym_y] = ACTIONS(1940),
    [anon_sym_if] = ACTIONS(1940),
    [anon_sym_unless] = ACTIONS(1940),
    [anon_sym_while] = ACTIONS(1940),
    [anon_sym_until] = ACTIONS(1940),
    [aux_sym__bareword_token1] = ACTIONS(1940),
    [sym_number] = ACTIONS(1940),
    [anon_sym_true] = ACTIONS(1940),
    [anon_sym_false] = ACTIONS(1940),
    [sym__single_quote] = ACTIONS(1938),
    [sym__double_quote] = ACTIONS(1938),
    [sym__backtick_quote] = ACTIONS(1938),
    [sym__search_slash_quote] = ACTIONS(1938),
    [sym__PERLY_HEREDOC] = ACTIONS(1938),
    [sym__ctrl_z_hack] = ACTIONS(1938),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1938),
    [sym__filetest] = ACTIONS(1938),
  },
  [817] = {
    [sym_heredoc_content] = STATE(817),
    [ts_builtin_sym_end] = ACTIONS(1942),
    [sym__identifier] = ACTIONS(1944),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_SEMI] = ACTIONS(1944),
    [anon_sym_package] = ACTIONS(1944),
    [anon_sym_class] = ACTIONS(1944),
    [anon_sym_role] = ACTIONS(1944),
    [anon_sym_BUILD] = ACTIONS(1944),
    [anon_sym_ADJUST] = ACTIONS(1944),
    [anon_sym_DOLLAR] = ACTIONS(1944),
    [anon_sym_AT] = ACTIONS(1944),
    [anon_sym_my] = ACTIONS(1944),
    [anon_sym_extended] = ACTIONS(1944),
    [anon_sym_async] = ACTIONS(1944),
    [anon_sym_sub] = ACTIONS(1944),
    [anon_sym_method] = ACTIONS(1944),
    [anon_sym_LPAREN] = ACTIONS(1944),
    [anon_sym_continue] = ACTIONS(1944),
    [anon_sym_state] = ACTIONS(1944),
    [anon_sym_our] = ACTIONS(1944),
    [anon_sym_try] = ACTIONS(1944),
    [anon_sym_defer] = ACTIONS(1944),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1944),
    [anon_sym_LBRACK] = ACTIONS(1944),
    [anon_sym_LT] = ACTIONS(1944),
    [anon_sym_LT_LT] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1944),
    [anon_sym_DASH] = ACTIONS(1944),
    [anon_sym_STAR] = ACTIONS(1944),
    [anon_sym_TILDE] = ACTIONS(1944),
    [anon_sym_BANG] = ACTIONS(1944),
    [anon_sym_PLUS_PLUS] = ACTIONS(1944),
    [anon_sym_DASH_DASH] = ACTIONS(1944),
    [anon_sym_BSLASH] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_eval] = ACTIONS(1944),
    [anon_sym_await] = ACTIONS(1944),
    [anon_sym_field] = ACTIONS(1944),
    [anon_sym_local] = ACTIONS(1944),
    [anon_sym_dynamically] = ACTIONS(1944),
    [anon_sym_require] = ACTIONS(1944),
    [anon_sym_map] = ACTIONS(1944),
    [anon_sym_grep] = ACTIONS(1944),
    [anon_sym_sort] = ACTIONS(1944),
    [anon_sym_goto] = ACTIONS(1944),
    [anon_sym_return] = ACTIONS(1944),
    [anon_sym_undef] = ACTIONS(1944),
    [anon_sym_PERCENT2] = ACTIONS(1944),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1944),
    [anon_sym_use] = ACTIONS(1944),
    [anon_sym_no] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_foreach] = ACTIONS(1944),
    [anon_sym_last] = ACTIONS(1944),
    [anon_sym_next] = ACTIONS(1944),
    [anon_sym_redo] = ACTIONS(1944),
    [anon_sym_BEGIN] = ACTIONS(1944),
    [anon_sym_INIT] = ACTIONS(1944),
    [anon_sym_CHECK] = ACTIONS(1944),
    [anon_sym_UNITCHECK] = ACTIONS(1944),
    [anon_sym_END] = ACTIONS(1944),
    [anon_sym___FILE__] = ACTIONS(1944),
    [anon_sym___LINE__] = ACTIONS(1944),
    [anon_sym___PACKAGE__] = ACTIONS(1944),
    [anon_sym___SUB__] = ACTIONS(1944),
    [anon_sym_break] = ACTIONS(1944),
    [anon_sym_fork] = ACTIONS(1944),
    [anon_sym_getppid] = ACTIONS(1944),
    [anon_sym_time] = ACTIONS(1944),
    [anon_sym_times] = ACTIONS(1944),
    [anon_sym_wait] = ACTIONS(1944),
    [anon_sym_wantarray] = ACTIONS(1944),
    [anon_sym_abs] = ACTIONS(1944),
    [anon_sym_alarm] = ACTIONS(1944),
    [anon_sym_chop] = ACTIONS(1944),
    [anon_sym_chdir] = ACTIONS(1944),
    [anon_sym_close] = ACTIONS(1944),
    [anon_sym_closedir] = ACTIONS(1944),
    [anon_sym_caller] = ACTIONS(1944),
    [anon_sym_chomp] = ACTIONS(1944),
    [anon_sym_chr] = ACTIONS(1944),
    [anon_sym_cos] = ACTIONS(1944),
    [anon_sym_chroot] = ACTIONS(1944),
    [anon_sym_defined] = ACTIONS(1944),
    [anon_sym_delete] = ACTIONS(1944),
    [anon_sym_dbmclose] = ACTIONS(1944),
    [anon_sym_exists] = ACTIONS(1944),
    [anon_sym_exit] = ACTIONS(1944),
    [anon_sym_eof] = ACTIONS(1944),
    [anon_sym_exp] = ACTIONS(1944),
    [anon_sym_each] = ACTIONS(1944),
    [anon_sym_fc] = ACTIONS(1944),
    [anon_sym_fileno] = ACTIONS(1944),
    [anon_sym_gmtime] = ACTIONS(1944),
    [anon_sym_getc] = ACTIONS(1944),
    [anon_sym_getpgrp] = ACTIONS(1944),
    [anon_sym_getprotobyname] = ACTIONS(1944),
    [anon_sym_getpwname] = ACTIONS(1944),
    [anon_sym_getpwuid] = ACTIONS(1944),
    [anon_sym_getpeername] = ACTIONS(1944),
    [anon_sym_getnetbyname] = ACTIONS(1944),
    [anon_sym_getsockname] = ACTIONS(1944),
    [anon_sym_getgrnam] = ACTIONS(1944),
    [anon_sym_getgrgid] = ACTIONS(1944),
    [anon_sym_hex] = ACTIONS(1944),
    [anon_sym_int] = ACTIONS(1944),
    [anon_sym_keys] = ACTIONS(1944),
    [anon_sym_lc] = ACTIONS(1944),
    [anon_sym_lcfirst] = ACTIONS(1944),
    [anon_sym_length] = ACTIONS(1944),
    [anon_sym_localtime] = ACTIONS(1944),
    [anon_sym_log] = ACTIONS(1944),
    [anon_sym_lock] = ACTIONS(1944),
    [anon_sym_lstat] = ACTIONS(1944),
    [anon_sym_oct] = ACTIONS(1944),
    [anon_sym_ord] = ACTIONS(1944),
    [anon_sym_prototype] = ACTIONS(1944),
    [anon_sym_pop] = ACTIONS(1944),
    [anon_sym_pos] = ACTIONS(1944),
    [anon_sym_quotemeta] = ACTIONS(1944),
    [anon_sym_reset] = ACTIONS(1944),
    [anon_sym_rand] = ACTIONS(1944),
    [anon_sym_rmdir] = ACTIONS(1944),
    [anon_sym_readdir] = ACTIONS(1944),
    [anon_sym_readline] = ACTIONS(1944),
    [anon_sym_readpipe] = ACTIONS(1944),
    [anon_sym_rewinddir] = ACTIONS(1944),
    [anon_sym_readlink] = ACTIONS(1944),
    [anon_sym_ref] = ACTIONS(1944),
    [anon_sym_scalar] = ACTIONS(1944),
    [anon_sym_shift] = ACTIONS(1944),
    [anon_sym_sin] = ACTIONS(1944),
    [anon_sym_sleep] = ACTIONS(1944),
    [anon_sym_sqrt] = ACTIONS(1944),
    [anon_sym_srand] = ACTIONS(1944),
    [anon_sym_stat] = ACTIONS(1944),
    [anon_sym_study] = ACTIONS(1944),
    [anon_sym_tell] = ACTIONS(1944),
    [anon_sym_telldir] = ACTIONS(1944),
    [anon_sym_tied] = ACTIONS(1944),
    [anon_sym_uc] = ACTIONS(1944),
    [anon_sym_ucfirst] = ACTIONS(1944),
    [anon_sym_untie] = ACTIONS(1944),
    [anon_sym_umask] = ACTIONS(1944),
    [anon_sym_values] = ACTIONS(1944),
    [anon_sym_write] = ACTIONS(1944),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1944),
    [anon_sym___END__] = ACTIONS(1944),
    [anon_sym_EOT] = ACTIONS(1944),
    [anon_sym_q] = ACTIONS(1944),
    [anon_sym_qq] = ACTIONS(1944),
    [anon_sym_qw] = ACTIONS(1944),
    [anon_sym_qx] = ACTIONS(1944),
    [anon_sym_qr] = ACTIONS(1944),
    [anon_sym_m] = ACTIONS(1944),
    [anon_sym_s] = ACTIONS(1944),
    [anon_sym_tr] = ACTIONS(1944),
    [anon_sym_y] = ACTIONS(1944),
    [anon_sym_if] = ACTIONS(1944),
    [anon_sym_unless] = ACTIONS(1944),
    [anon_sym_while] = ACTIONS(1944),
    [anon_sym_until] = ACTIONS(1944),
    [aux_sym__bareword_token1] = ACTIONS(1944),
    [sym_number] = ACTIONS(1944),
    [anon_sym_true] = ACTIONS(1944),
    [anon_sym_false] = ACTIONS(1944),
    [sym__single_quote] = ACTIONS(1942),
    [sym__double_quote] = ACTIONS(1942),
    [sym__backtick_quote] = ACTIONS(1942),
    [sym__search_slash_quote] = ACTIONS(1942),
    [sym__PERLY_HEREDOC] = ACTIONS(1942),
    [sym__ctrl_z_hack] = ACTIONS(1942),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1942),
    [sym__filetest] = ACTIONS(1942),
  },
  [818] = {
    [sym_heredoc_content] = STATE(818),
    [ts_builtin_sym_end] = ACTIONS(1946),
    [sym__identifier] = ACTIONS(1948),
    [anon_sym_LBRACE] = ACTIONS(1948),
    [anon_sym_SEMI] = ACTIONS(1948),
    [anon_sym_package] = ACTIONS(1948),
    [anon_sym_class] = ACTIONS(1948),
    [anon_sym_role] = ACTIONS(1948),
    [anon_sym_BUILD] = ACTIONS(1948),
    [anon_sym_ADJUST] = ACTIONS(1948),
    [anon_sym_DOLLAR] = ACTIONS(1948),
    [anon_sym_AT] = ACTIONS(1948),
    [anon_sym_my] = ACTIONS(1948),
    [anon_sym_extended] = ACTIONS(1948),
    [anon_sym_async] = ACTIONS(1948),
    [anon_sym_sub] = ACTIONS(1948),
    [anon_sym_method] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1948),
    [anon_sym_continue] = ACTIONS(1948),
    [anon_sym_state] = ACTIONS(1948),
    [anon_sym_our] = ACTIONS(1948),
    [anon_sym_try] = ACTIONS(1948),
    [anon_sym_defer] = ACTIONS(1948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1948),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LT] = ACTIONS(1948),
    [anon_sym_LT_LT] = ACTIONS(1948),
    [anon_sym_SLASH_SLASH] = ACTIONS(1948),
    [anon_sym_PLUS] = ACTIONS(1948),
    [anon_sym_DASH] = ACTIONS(1948),
    [anon_sym_STAR] = ACTIONS(1948),
    [anon_sym_TILDE] = ACTIONS(1948),
    [anon_sym_BANG] = ACTIONS(1948),
    [anon_sym_PLUS_PLUS] = ACTIONS(1948),
    [anon_sym_DASH_DASH] = ACTIONS(1948),
    [anon_sym_BSLASH] = ACTIONS(1946),
    [anon_sym_do] = ACTIONS(1948),
    [anon_sym_eval] = ACTIONS(1948),
    [anon_sym_await] = ACTIONS(1948),
    [anon_sym_field] = ACTIONS(1948),
    [anon_sym_local] = ACTIONS(1948),
    [anon_sym_dynamically] = ACTIONS(1948),
    [anon_sym_require] = ACTIONS(1948),
    [anon_sym_map] = ACTIONS(1948),
    [anon_sym_grep] = ACTIONS(1948),
    [anon_sym_sort] = ACTIONS(1948),
    [anon_sym_goto] = ACTIONS(1948),
    [anon_sym_return] = ACTIONS(1948),
    [anon_sym_undef] = ACTIONS(1948),
    [anon_sym_PERCENT2] = ACTIONS(1948),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1948),
    [anon_sym_use] = ACTIONS(1948),
    [anon_sym_no] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(1948),
    [anon_sym_foreach] = ACTIONS(1948),
    [anon_sym_last] = ACTIONS(1948),
    [anon_sym_next] = ACTIONS(1948),
    [anon_sym_redo] = ACTIONS(1948),
    [anon_sym_BEGIN] = ACTIONS(1948),
    [anon_sym_INIT] = ACTIONS(1948),
    [anon_sym_CHECK] = ACTIONS(1948),
    [anon_sym_UNITCHECK] = ACTIONS(1948),
    [anon_sym_END] = ACTIONS(1948),
    [anon_sym___FILE__] = ACTIONS(1948),
    [anon_sym___LINE__] = ACTIONS(1948),
    [anon_sym___PACKAGE__] = ACTIONS(1948),
    [anon_sym___SUB__] = ACTIONS(1948),
    [anon_sym_break] = ACTIONS(1948),
    [anon_sym_fork] = ACTIONS(1948),
    [anon_sym_getppid] = ACTIONS(1948),
    [anon_sym_time] = ACTIONS(1948),
    [anon_sym_times] = ACTIONS(1948),
    [anon_sym_wait] = ACTIONS(1948),
    [anon_sym_wantarray] = ACTIONS(1948),
    [anon_sym_abs] = ACTIONS(1948),
    [anon_sym_alarm] = ACTIONS(1948),
    [anon_sym_chop] = ACTIONS(1948),
    [anon_sym_chdir] = ACTIONS(1948),
    [anon_sym_close] = ACTIONS(1948),
    [anon_sym_closedir] = ACTIONS(1948),
    [anon_sym_caller] = ACTIONS(1948),
    [anon_sym_chomp] = ACTIONS(1948),
    [anon_sym_chr] = ACTIONS(1948),
    [anon_sym_cos] = ACTIONS(1948),
    [anon_sym_chroot] = ACTIONS(1948),
    [anon_sym_defined] = ACTIONS(1948),
    [anon_sym_delete] = ACTIONS(1948),
    [anon_sym_dbmclose] = ACTIONS(1948),
    [anon_sym_exists] = ACTIONS(1948),
    [anon_sym_exit] = ACTIONS(1948),
    [anon_sym_eof] = ACTIONS(1948),
    [anon_sym_exp] = ACTIONS(1948),
    [anon_sym_each] = ACTIONS(1948),
    [anon_sym_fc] = ACTIONS(1948),
    [anon_sym_fileno] = ACTIONS(1948),
    [anon_sym_gmtime] = ACTIONS(1948),
    [anon_sym_getc] = ACTIONS(1948),
    [anon_sym_getpgrp] = ACTIONS(1948),
    [anon_sym_getprotobyname] = ACTIONS(1948),
    [anon_sym_getpwname] = ACTIONS(1948),
    [anon_sym_getpwuid] = ACTIONS(1948),
    [anon_sym_getpeername] = ACTIONS(1948),
    [anon_sym_getnetbyname] = ACTIONS(1948),
    [anon_sym_getsockname] = ACTIONS(1948),
    [anon_sym_getgrnam] = ACTIONS(1948),
    [anon_sym_getgrgid] = ACTIONS(1948),
    [anon_sym_hex] = ACTIONS(1948),
    [anon_sym_int] = ACTIONS(1948),
    [anon_sym_keys] = ACTIONS(1948),
    [anon_sym_lc] = ACTIONS(1948),
    [anon_sym_lcfirst] = ACTIONS(1948),
    [anon_sym_length] = ACTIONS(1948),
    [anon_sym_localtime] = ACTIONS(1948),
    [anon_sym_log] = ACTIONS(1948),
    [anon_sym_lock] = ACTIONS(1948),
    [anon_sym_lstat] = ACTIONS(1948),
    [anon_sym_oct] = ACTIONS(1948),
    [anon_sym_ord] = ACTIONS(1948),
    [anon_sym_prototype] = ACTIONS(1948),
    [anon_sym_pop] = ACTIONS(1948),
    [anon_sym_pos] = ACTIONS(1948),
    [anon_sym_quotemeta] = ACTIONS(1948),
    [anon_sym_reset] = ACTIONS(1948),
    [anon_sym_rand] = ACTIONS(1948),
    [anon_sym_rmdir] = ACTIONS(1948),
    [anon_sym_readdir] = ACTIONS(1948),
    [anon_sym_readline] = ACTIONS(1948),
    [anon_sym_readpipe] = ACTIONS(1948),
    [anon_sym_rewinddir] = ACTIONS(1948),
    [anon_sym_readlink] = ACTIONS(1948),
    [anon_sym_ref] = ACTIONS(1948),
    [anon_sym_scalar] = ACTIONS(1948),
    [anon_sym_shift] = ACTIONS(1948),
    [anon_sym_sin] = ACTIONS(1948),
    [anon_sym_sleep] = ACTIONS(1948),
    [anon_sym_sqrt] = ACTIONS(1948),
    [anon_sym_srand] = ACTIONS(1948),
    [anon_sym_stat] = ACTIONS(1948),
    [anon_sym_study] = ACTIONS(1948),
    [anon_sym_tell] = ACTIONS(1948),
    [anon_sym_telldir] = ACTIONS(1948),
    [anon_sym_tied] = ACTIONS(1948),
    [anon_sym_uc] = ACTIONS(1948),
    [anon_sym_ucfirst] = ACTIONS(1948),
    [anon_sym_untie] = ACTIONS(1948),
    [anon_sym_umask] = ACTIONS(1948),
    [anon_sym_values] = ACTIONS(1948),
    [anon_sym_write] = ACTIONS(1948),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1948),
    [anon_sym___END__] = ACTIONS(1948),
    [anon_sym_EOT] = ACTIONS(1948),
    [anon_sym_q] = ACTIONS(1948),
    [anon_sym_qq] = ACTIONS(1948),
    [anon_sym_qw] = ACTIONS(1948),
    [anon_sym_qx] = ACTIONS(1948),
    [anon_sym_qr] = ACTIONS(1948),
    [anon_sym_m] = ACTIONS(1948),
    [anon_sym_s] = ACTIONS(1948),
    [anon_sym_tr] = ACTIONS(1948),
    [anon_sym_y] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(1948),
    [anon_sym_unless] = ACTIONS(1948),
    [anon_sym_while] = ACTIONS(1948),
    [anon_sym_until] = ACTIONS(1948),
    [aux_sym__bareword_token1] = ACTIONS(1948),
    [sym_number] = ACTIONS(1948),
    [anon_sym_true] = ACTIONS(1948),
    [anon_sym_false] = ACTIONS(1948),
    [sym__single_quote] = ACTIONS(1946),
    [sym__double_quote] = ACTIONS(1946),
    [sym__backtick_quote] = ACTIONS(1946),
    [sym__search_slash_quote] = ACTIONS(1946),
    [sym__PERLY_HEREDOC] = ACTIONS(1946),
    [sym__ctrl_z_hack] = ACTIONS(1946),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1946),
    [sym__filetest] = ACTIONS(1946),
  },
  [819] = {
    [sym_heredoc_content] = STATE(819),
    [ts_builtin_sym_end] = ACTIONS(1950),
    [sym__identifier] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(1952),
    [anon_sym_package] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_role] = ACTIONS(1952),
    [anon_sym_BUILD] = ACTIONS(1952),
    [anon_sym_ADJUST] = ACTIONS(1952),
    [anon_sym_DOLLAR] = ACTIONS(1952),
    [anon_sym_AT] = ACTIONS(1952),
    [anon_sym_my] = ACTIONS(1952),
    [anon_sym_extended] = ACTIONS(1952),
    [anon_sym_async] = ACTIONS(1952),
    [anon_sym_sub] = ACTIONS(1952),
    [anon_sym_method] = ACTIONS(1952),
    [anon_sym_LPAREN] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_state] = ACTIONS(1952),
    [anon_sym_our] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_defer] = ACTIONS(1952),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_LT] = ACTIONS(1952),
    [anon_sym_LT_LT] = ACTIONS(1952),
    [anon_sym_SLASH_SLASH] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1952),
    [anon_sym_TILDE] = ACTIONS(1952),
    [anon_sym_BANG] = ACTIONS(1952),
    [anon_sym_PLUS_PLUS] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1952),
    [anon_sym_BSLASH] = ACTIONS(1950),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_eval] = ACTIONS(1952),
    [anon_sym_await] = ACTIONS(1952),
    [anon_sym_field] = ACTIONS(1952),
    [anon_sym_local] = ACTIONS(1952),
    [anon_sym_dynamically] = ACTIONS(1952),
    [anon_sym_require] = ACTIONS(1952),
    [anon_sym_map] = ACTIONS(1952),
    [anon_sym_grep] = ACTIONS(1952),
    [anon_sym_sort] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_undef] = ACTIONS(1952),
    [anon_sym_PERCENT2] = ACTIONS(1952),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1952),
    [anon_sym_use] = ACTIONS(1952),
    [anon_sym_no] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_foreach] = ACTIONS(1952),
    [anon_sym_last] = ACTIONS(1952),
    [anon_sym_next] = ACTIONS(1952),
    [anon_sym_redo] = ACTIONS(1952),
    [anon_sym_BEGIN] = ACTIONS(1952),
    [anon_sym_INIT] = ACTIONS(1952),
    [anon_sym_CHECK] = ACTIONS(1952),
    [anon_sym_UNITCHECK] = ACTIONS(1952),
    [anon_sym_END] = ACTIONS(1952),
    [anon_sym___FILE__] = ACTIONS(1952),
    [anon_sym___LINE__] = ACTIONS(1952),
    [anon_sym___PACKAGE__] = ACTIONS(1952),
    [anon_sym___SUB__] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_fork] = ACTIONS(1952),
    [anon_sym_getppid] = ACTIONS(1952),
    [anon_sym_time] = ACTIONS(1952),
    [anon_sym_times] = ACTIONS(1952),
    [anon_sym_wait] = ACTIONS(1952),
    [anon_sym_wantarray] = ACTIONS(1952),
    [anon_sym_abs] = ACTIONS(1952),
    [anon_sym_alarm] = ACTIONS(1952),
    [anon_sym_chop] = ACTIONS(1952),
    [anon_sym_chdir] = ACTIONS(1952),
    [anon_sym_close] = ACTIONS(1952),
    [anon_sym_closedir] = ACTIONS(1952),
    [anon_sym_caller] = ACTIONS(1952),
    [anon_sym_chomp] = ACTIONS(1952),
    [anon_sym_chr] = ACTIONS(1952),
    [anon_sym_cos] = ACTIONS(1952),
    [anon_sym_chroot] = ACTIONS(1952),
    [anon_sym_defined] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_dbmclose] = ACTIONS(1952),
    [anon_sym_exists] = ACTIONS(1952),
    [anon_sym_exit] = ACTIONS(1952),
    [anon_sym_eof] = ACTIONS(1952),
    [anon_sym_exp] = ACTIONS(1952),
    [anon_sym_each] = ACTIONS(1952),
    [anon_sym_fc] = ACTIONS(1952),
    [anon_sym_fileno] = ACTIONS(1952),
    [anon_sym_gmtime] = ACTIONS(1952),
    [anon_sym_getc] = ACTIONS(1952),
    [anon_sym_getpgrp] = ACTIONS(1952),
    [anon_sym_getprotobyname] = ACTIONS(1952),
    [anon_sym_getpwname] = ACTIONS(1952),
    [anon_sym_getpwuid] = ACTIONS(1952),
    [anon_sym_getpeername] = ACTIONS(1952),
    [anon_sym_getnetbyname] = ACTIONS(1952),
    [anon_sym_getsockname] = ACTIONS(1952),
    [anon_sym_getgrnam] = ACTIONS(1952),
    [anon_sym_getgrgid] = ACTIONS(1952),
    [anon_sym_hex] = ACTIONS(1952),
    [anon_sym_int] = ACTIONS(1952),
    [anon_sym_keys] = ACTIONS(1952),
    [anon_sym_lc] = ACTIONS(1952),
    [anon_sym_lcfirst] = ACTIONS(1952),
    [anon_sym_length] = ACTIONS(1952),
    [anon_sym_localtime] = ACTIONS(1952),
    [anon_sym_log] = ACTIONS(1952),
    [anon_sym_lock] = ACTIONS(1952),
    [anon_sym_lstat] = ACTIONS(1952),
    [anon_sym_oct] = ACTIONS(1952),
    [anon_sym_ord] = ACTIONS(1952),
    [anon_sym_prototype] = ACTIONS(1952),
    [anon_sym_pop] = ACTIONS(1952),
    [anon_sym_pos] = ACTIONS(1952),
    [anon_sym_quotemeta] = ACTIONS(1952),
    [anon_sym_reset] = ACTIONS(1952),
    [anon_sym_rand] = ACTIONS(1952),
    [anon_sym_rmdir] = ACTIONS(1952),
    [anon_sym_readdir] = ACTIONS(1952),
    [anon_sym_readline] = ACTIONS(1952),
    [anon_sym_readpipe] = ACTIONS(1952),
    [anon_sym_rewinddir] = ACTIONS(1952),
    [anon_sym_readlink] = ACTIONS(1952),
    [anon_sym_ref] = ACTIONS(1952),
    [anon_sym_scalar] = ACTIONS(1952),
    [anon_sym_shift] = ACTIONS(1952),
    [anon_sym_sin] = ACTIONS(1952),
    [anon_sym_sleep] = ACTIONS(1952),
    [anon_sym_sqrt] = ACTIONS(1952),
    [anon_sym_srand] = ACTIONS(1952),
    [anon_sym_stat] = ACTIONS(1952),
    [anon_sym_study] = ACTIONS(1952),
    [anon_sym_tell] = ACTIONS(1952),
    [anon_sym_telldir] = ACTIONS(1952),
    [anon_sym_tied] = ACTIONS(1952),
    [anon_sym_uc] = ACTIONS(1952),
    [anon_sym_ucfirst] = ACTIONS(1952),
    [anon_sym_untie] = ACTIONS(1952),
    [anon_sym_umask] = ACTIONS(1952),
    [anon_sym_values] = ACTIONS(1952),
    [anon_sym_write] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1952),
    [anon_sym___END__] = ACTIONS(1952),
    [anon_sym_EOT] = ACTIONS(1952),
    [anon_sym_q] = ACTIONS(1952),
    [anon_sym_qq] = ACTIONS(1952),
    [anon_sym_qw] = ACTIONS(1952),
    [anon_sym_qx] = ACTIONS(1952),
    [anon_sym_qr] = ACTIONS(1952),
    [anon_sym_m] = ACTIONS(1952),
    [anon_sym_s] = ACTIONS(1952),
    [anon_sym_tr] = ACTIONS(1952),
    [anon_sym_y] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_unless] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_until] = ACTIONS(1952),
    [aux_sym__bareword_token1] = ACTIONS(1952),
    [sym_number] = ACTIONS(1952),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym__single_quote] = ACTIONS(1950),
    [sym__double_quote] = ACTIONS(1950),
    [sym__backtick_quote] = ACTIONS(1950),
    [sym__search_slash_quote] = ACTIONS(1950),
    [sym__PERLY_HEREDOC] = ACTIONS(1950),
    [sym__ctrl_z_hack] = ACTIONS(1950),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1950),
    [sym__filetest] = ACTIONS(1950),
  },
  [820] = {
    [sym_heredoc_content] = STATE(820),
    [ts_builtin_sym_end] = ACTIONS(1954),
    [sym__identifier] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_package] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_role] = ACTIONS(1956),
    [anon_sym_BUILD] = ACTIONS(1956),
    [anon_sym_ADJUST] = ACTIONS(1956),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(1956),
    [anon_sym_my] = ACTIONS(1956),
    [anon_sym_extended] = ACTIONS(1956),
    [anon_sym_async] = ACTIONS(1956),
    [anon_sym_sub] = ACTIONS(1956),
    [anon_sym_method] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1956),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_state] = ACTIONS(1956),
    [anon_sym_our] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(1956),
    [anon_sym_defer] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_LT] = ACTIONS(1956),
    [anon_sym_LT_LT] = ACTIONS(1956),
    [anon_sym_SLASH_SLASH] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1956),
    [anon_sym_TILDE] = ACTIONS(1956),
    [anon_sym_BANG] = ACTIONS(1956),
    [anon_sym_PLUS_PLUS] = ACTIONS(1956),
    [anon_sym_DASH_DASH] = ACTIONS(1956),
    [anon_sym_BSLASH] = ACTIONS(1954),
    [anon_sym_do] = ACTIONS(1956),
    [anon_sym_eval] = ACTIONS(1956),
    [anon_sym_await] = ACTIONS(1956),
    [anon_sym_field] = ACTIONS(1956),
    [anon_sym_local] = ACTIONS(1956),
    [anon_sym_dynamically] = ACTIONS(1956),
    [anon_sym_require] = ACTIONS(1956),
    [anon_sym_map] = ACTIONS(1956),
    [anon_sym_grep] = ACTIONS(1956),
    [anon_sym_sort] = ACTIONS(1956),
    [anon_sym_goto] = ACTIONS(1956),
    [anon_sym_return] = ACTIONS(1956),
    [anon_sym_undef] = ACTIONS(1956),
    [anon_sym_PERCENT2] = ACTIONS(1956),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1956),
    [anon_sym_use] = ACTIONS(1956),
    [anon_sym_no] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(1956),
    [anon_sym_foreach] = ACTIONS(1956),
    [anon_sym_last] = ACTIONS(1956),
    [anon_sym_next] = ACTIONS(1956),
    [anon_sym_redo] = ACTIONS(1956),
    [anon_sym_BEGIN] = ACTIONS(1956),
    [anon_sym_INIT] = ACTIONS(1956),
    [anon_sym_CHECK] = ACTIONS(1956),
    [anon_sym_UNITCHECK] = ACTIONS(1956),
    [anon_sym_END] = ACTIONS(1956),
    [anon_sym___FILE__] = ACTIONS(1956),
    [anon_sym___LINE__] = ACTIONS(1956),
    [anon_sym___PACKAGE__] = ACTIONS(1956),
    [anon_sym___SUB__] = ACTIONS(1956),
    [anon_sym_break] = ACTIONS(1956),
    [anon_sym_fork] = ACTIONS(1956),
    [anon_sym_getppid] = ACTIONS(1956),
    [anon_sym_time] = ACTIONS(1956),
    [anon_sym_times] = ACTIONS(1956),
    [anon_sym_wait] = ACTIONS(1956),
    [anon_sym_wantarray] = ACTIONS(1956),
    [anon_sym_abs] = ACTIONS(1956),
    [anon_sym_alarm] = ACTIONS(1956),
    [anon_sym_chop] = ACTIONS(1956),
    [anon_sym_chdir] = ACTIONS(1956),
    [anon_sym_close] = ACTIONS(1956),
    [anon_sym_closedir] = ACTIONS(1956),
    [anon_sym_caller] = ACTIONS(1956),
    [anon_sym_chomp] = ACTIONS(1956),
    [anon_sym_chr] = ACTIONS(1956),
    [anon_sym_cos] = ACTIONS(1956),
    [anon_sym_chroot] = ACTIONS(1956),
    [anon_sym_defined] = ACTIONS(1956),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_dbmclose] = ACTIONS(1956),
    [anon_sym_exists] = ACTIONS(1956),
    [anon_sym_exit] = ACTIONS(1956),
    [anon_sym_eof] = ACTIONS(1956),
    [anon_sym_exp] = ACTIONS(1956),
    [anon_sym_each] = ACTIONS(1956),
    [anon_sym_fc] = ACTIONS(1956),
    [anon_sym_fileno] = ACTIONS(1956),
    [anon_sym_gmtime] = ACTIONS(1956),
    [anon_sym_getc] = ACTIONS(1956),
    [anon_sym_getpgrp] = ACTIONS(1956),
    [anon_sym_getprotobyname] = ACTIONS(1956),
    [anon_sym_getpwname] = ACTIONS(1956),
    [anon_sym_getpwuid] = ACTIONS(1956),
    [anon_sym_getpeername] = ACTIONS(1956),
    [anon_sym_getnetbyname] = ACTIONS(1956),
    [anon_sym_getsockname] = ACTIONS(1956),
    [anon_sym_getgrnam] = ACTIONS(1956),
    [anon_sym_getgrgid] = ACTIONS(1956),
    [anon_sym_hex] = ACTIONS(1956),
    [anon_sym_int] = ACTIONS(1956),
    [anon_sym_keys] = ACTIONS(1956),
    [anon_sym_lc] = ACTIONS(1956),
    [anon_sym_lcfirst] = ACTIONS(1956),
    [anon_sym_length] = ACTIONS(1956),
    [anon_sym_localtime] = ACTIONS(1956),
    [anon_sym_log] = ACTIONS(1956),
    [anon_sym_lock] = ACTIONS(1956),
    [anon_sym_lstat] = ACTIONS(1956),
    [anon_sym_oct] = ACTIONS(1956),
    [anon_sym_ord] = ACTIONS(1956),
    [anon_sym_prototype] = ACTIONS(1956),
    [anon_sym_pop] = ACTIONS(1956),
    [anon_sym_pos] = ACTIONS(1956),
    [anon_sym_quotemeta] = ACTIONS(1956),
    [anon_sym_reset] = ACTIONS(1956),
    [anon_sym_rand] = ACTIONS(1956),
    [anon_sym_rmdir] = ACTIONS(1956),
    [anon_sym_readdir] = ACTIONS(1956),
    [anon_sym_readline] = ACTIONS(1956),
    [anon_sym_readpipe] = ACTIONS(1956),
    [anon_sym_rewinddir] = ACTIONS(1956),
    [anon_sym_readlink] = ACTIONS(1956),
    [anon_sym_ref] = ACTIONS(1956),
    [anon_sym_scalar] = ACTIONS(1956),
    [anon_sym_shift] = ACTIONS(1956),
    [anon_sym_sin] = ACTIONS(1956),
    [anon_sym_sleep] = ACTIONS(1956),
    [anon_sym_sqrt] = ACTIONS(1956),
    [anon_sym_srand] = ACTIONS(1956),
    [anon_sym_stat] = ACTIONS(1956),
    [anon_sym_study] = ACTIONS(1956),
    [anon_sym_tell] = ACTIONS(1956),
    [anon_sym_telldir] = ACTIONS(1956),
    [anon_sym_tied] = ACTIONS(1956),
    [anon_sym_uc] = ACTIONS(1956),
    [anon_sym_ucfirst] = ACTIONS(1956),
    [anon_sym_untie] = ACTIONS(1956),
    [anon_sym_umask] = ACTIONS(1956),
    [anon_sym_values] = ACTIONS(1956),
    [anon_sym_write] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1956),
    [anon_sym___END__] = ACTIONS(1956),
    [anon_sym_EOT] = ACTIONS(1956),
    [anon_sym_q] = ACTIONS(1956),
    [anon_sym_qq] = ACTIONS(1956),
    [anon_sym_qw] = ACTIONS(1956),
    [anon_sym_qx] = ACTIONS(1956),
    [anon_sym_qr] = ACTIONS(1956),
    [anon_sym_m] = ACTIONS(1956),
    [anon_sym_s] = ACTIONS(1956),
    [anon_sym_tr] = ACTIONS(1956),
    [anon_sym_y] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1956),
    [anon_sym_unless] = ACTIONS(1956),
    [anon_sym_while] = ACTIONS(1956),
    [anon_sym_until] = ACTIONS(1956),
    [aux_sym__bareword_token1] = ACTIONS(1956),
    [sym_number] = ACTIONS(1956),
    [anon_sym_true] = ACTIONS(1956),
    [anon_sym_false] = ACTIONS(1956),
    [sym__single_quote] = ACTIONS(1954),
    [sym__double_quote] = ACTIONS(1954),
    [sym__backtick_quote] = ACTIONS(1954),
    [sym__search_slash_quote] = ACTIONS(1954),
    [sym__PERLY_HEREDOC] = ACTIONS(1954),
    [sym__ctrl_z_hack] = ACTIONS(1954),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1954),
    [sym__filetest] = ACTIONS(1954),
  },
  [821] = {
    [sym_heredoc_content] = STATE(821),
    [ts_builtin_sym_end] = ACTIONS(1958),
    [sym__identifier] = ACTIONS(1960),
    [anon_sym_LBRACE] = ACTIONS(1960),
    [anon_sym_SEMI] = ACTIONS(1960),
    [anon_sym_package] = ACTIONS(1960),
    [anon_sym_class] = ACTIONS(1960),
    [anon_sym_role] = ACTIONS(1960),
    [anon_sym_BUILD] = ACTIONS(1960),
    [anon_sym_ADJUST] = ACTIONS(1960),
    [anon_sym_DOLLAR] = ACTIONS(1960),
    [anon_sym_AT] = ACTIONS(1960),
    [anon_sym_my] = ACTIONS(1960),
    [anon_sym_extended] = ACTIONS(1960),
    [anon_sym_async] = ACTIONS(1960),
    [anon_sym_sub] = ACTIONS(1960),
    [anon_sym_method] = ACTIONS(1960),
    [anon_sym_LPAREN] = ACTIONS(1960),
    [anon_sym_continue] = ACTIONS(1960),
    [anon_sym_state] = ACTIONS(1960),
    [anon_sym_our] = ACTIONS(1960),
    [anon_sym_try] = ACTIONS(1960),
    [anon_sym_defer] = ACTIONS(1960),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1960),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_LT] = ACTIONS(1960),
    [anon_sym_LT_LT] = ACTIONS(1960),
    [anon_sym_SLASH_SLASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1960),
    [anon_sym_TILDE] = ACTIONS(1960),
    [anon_sym_BANG] = ACTIONS(1960),
    [anon_sym_PLUS_PLUS] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(1960),
    [anon_sym_BSLASH] = ACTIONS(1958),
    [anon_sym_do] = ACTIONS(1960),
    [anon_sym_eval] = ACTIONS(1960),
    [anon_sym_await] = ACTIONS(1960),
    [anon_sym_field] = ACTIONS(1960),
    [anon_sym_local] = ACTIONS(1960),
    [anon_sym_dynamically] = ACTIONS(1960),
    [anon_sym_require] = ACTIONS(1960),
    [anon_sym_map] = ACTIONS(1960),
    [anon_sym_grep] = ACTIONS(1960),
    [anon_sym_sort] = ACTIONS(1960),
    [anon_sym_goto] = ACTIONS(1960),
    [anon_sym_return] = ACTIONS(1960),
    [anon_sym_undef] = ACTIONS(1960),
    [anon_sym_PERCENT2] = ACTIONS(1960),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1960),
    [anon_sym_use] = ACTIONS(1960),
    [anon_sym_no] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(1960),
    [anon_sym_foreach] = ACTIONS(1960),
    [anon_sym_last] = ACTIONS(1960),
    [anon_sym_next] = ACTIONS(1960),
    [anon_sym_redo] = ACTIONS(1960),
    [anon_sym_BEGIN] = ACTIONS(1960),
    [anon_sym_INIT] = ACTIONS(1960),
    [anon_sym_CHECK] = ACTIONS(1960),
    [anon_sym_UNITCHECK] = ACTIONS(1960),
    [anon_sym_END] = ACTIONS(1960),
    [anon_sym___FILE__] = ACTIONS(1960),
    [anon_sym___LINE__] = ACTIONS(1960),
    [anon_sym___PACKAGE__] = ACTIONS(1960),
    [anon_sym___SUB__] = ACTIONS(1960),
    [anon_sym_break] = ACTIONS(1960),
    [anon_sym_fork] = ACTIONS(1960),
    [anon_sym_getppid] = ACTIONS(1960),
    [anon_sym_time] = ACTIONS(1960),
    [anon_sym_times] = ACTIONS(1960),
    [anon_sym_wait] = ACTIONS(1960),
    [anon_sym_wantarray] = ACTIONS(1960),
    [anon_sym_abs] = ACTIONS(1960),
    [anon_sym_alarm] = ACTIONS(1960),
    [anon_sym_chop] = ACTIONS(1960),
    [anon_sym_chdir] = ACTIONS(1960),
    [anon_sym_close] = ACTIONS(1960),
    [anon_sym_closedir] = ACTIONS(1960),
    [anon_sym_caller] = ACTIONS(1960),
    [anon_sym_chomp] = ACTIONS(1960),
    [anon_sym_chr] = ACTIONS(1960),
    [anon_sym_cos] = ACTIONS(1960),
    [anon_sym_chroot] = ACTIONS(1960),
    [anon_sym_defined] = ACTIONS(1960),
    [anon_sym_delete] = ACTIONS(1960),
    [anon_sym_dbmclose] = ACTIONS(1960),
    [anon_sym_exists] = ACTIONS(1960),
    [anon_sym_exit] = ACTIONS(1960),
    [anon_sym_eof] = ACTIONS(1960),
    [anon_sym_exp] = ACTIONS(1960),
    [anon_sym_each] = ACTIONS(1960),
    [anon_sym_fc] = ACTIONS(1960),
    [anon_sym_fileno] = ACTIONS(1960),
    [anon_sym_gmtime] = ACTIONS(1960),
    [anon_sym_getc] = ACTIONS(1960),
    [anon_sym_getpgrp] = ACTIONS(1960),
    [anon_sym_getprotobyname] = ACTIONS(1960),
    [anon_sym_getpwname] = ACTIONS(1960),
    [anon_sym_getpwuid] = ACTIONS(1960),
    [anon_sym_getpeername] = ACTIONS(1960),
    [anon_sym_getnetbyname] = ACTIONS(1960),
    [anon_sym_getsockname] = ACTIONS(1960),
    [anon_sym_getgrnam] = ACTIONS(1960),
    [anon_sym_getgrgid] = ACTIONS(1960),
    [anon_sym_hex] = ACTIONS(1960),
    [anon_sym_int] = ACTIONS(1960),
    [anon_sym_keys] = ACTIONS(1960),
    [anon_sym_lc] = ACTIONS(1960),
    [anon_sym_lcfirst] = ACTIONS(1960),
    [anon_sym_length] = ACTIONS(1960),
    [anon_sym_localtime] = ACTIONS(1960),
    [anon_sym_log] = ACTIONS(1960),
    [anon_sym_lock] = ACTIONS(1960),
    [anon_sym_lstat] = ACTIONS(1960),
    [anon_sym_oct] = ACTIONS(1960),
    [anon_sym_ord] = ACTIONS(1960),
    [anon_sym_prototype] = ACTIONS(1960),
    [anon_sym_pop] = ACTIONS(1960),
    [anon_sym_pos] = ACTIONS(1960),
    [anon_sym_quotemeta] = ACTIONS(1960),
    [anon_sym_reset] = ACTIONS(1960),
    [anon_sym_rand] = ACTIONS(1960),
    [anon_sym_rmdir] = ACTIONS(1960),
    [anon_sym_readdir] = ACTIONS(1960),
    [anon_sym_readline] = ACTIONS(1960),
    [anon_sym_readpipe] = ACTIONS(1960),
    [anon_sym_rewinddir] = ACTIONS(1960),
    [anon_sym_readlink] = ACTIONS(1960),
    [anon_sym_ref] = ACTIONS(1960),
    [anon_sym_scalar] = ACTIONS(1960),
    [anon_sym_shift] = ACTIONS(1960),
    [anon_sym_sin] = ACTIONS(1960),
    [anon_sym_sleep] = ACTIONS(1960),
    [anon_sym_sqrt] = ACTIONS(1960),
    [anon_sym_srand] = ACTIONS(1960),
    [anon_sym_stat] = ACTIONS(1960),
    [anon_sym_study] = ACTIONS(1960),
    [anon_sym_tell] = ACTIONS(1960),
    [anon_sym_telldir] = ACTIONS(1960),
    [anon_sym_tied] = ACTIONS(1960),
    [anon_sym_uc] = ACTIONS(1960),
    [anon_sym_ucfirst] = ACTIONS(1960),
    [anon_sym_untie] = ACTIONS(1960),
    [anon_sym_umask] = ACTIONS(1960),
    [anon_sym_values] = ACTIONS(1960),
    [anon_sym_write] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1960),
    [anon_sym___END__] = ACTIONS(1960),
    [anon_sym_EOT] = ACTIONS(1960),
    [anon_sym_q] = ACTIONS(1960),
    [anon_sym_qq] = ACTIONS(1960),
    [anon_sym_qw] = ACTIONS(1960),
    [anon_sym_qx] = ACTIONS(1960),
    [anon_sym_qr] = ACTIONS(1960),
    [anon_sym_m] = ACTIONS(1960),
    [anon_sym_s] = ACTIONS(1960),
    [anon_sym_tr] = ACTIONS(1960),
    [anon_sym_y] = ACTIONS(1960),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_unless] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1960),
    [anon_sym_until] = ACTIONS(1960),
    [aux_sym__bareword_token1] = ACTIONS(1960),
    [sym_number] = ACTIONS(1960),
    [anon_sym_true] = ACTIONS(1960),
    [anon_sym_false] = ACTIONS(1960),
    [sym__single_quote] = ACTIONS(1958),
    [sym__double_quote] = ACTIONS(1958),
    [sym__backtick_quote] = ACTIONS(1958),
    [sym__search_slash_quote] = ACTIONS(1958),
    [sym__PERLY_HEREDOC] = ACTIONS(1958),
    [sym__ctrl_z_hack] = ACTIONS(1958),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1958),
    [sym__filetest] = ACTIONS(1958),
  },
  [822] = {
    [sym_heredoc_content] = STATE(822),
    [ts_builtin_sym_end] = ACTIONS(1962),
    [sym__identifier] = ACTIONS(1964),
    [anon_sym_LBRACE] = ACTIONS(1964),
    [anon_sym_SEMI] = ACTIONS(1964),
    [anon_sym_package] = ACTIONS(1964),
    [anon_sym_class] = ACTIONS(1964),
    [anon_sym_role] = ACTIONS(1964),
    [anon_sym_BUILD] = ACTIONS(1964),
    [anon_sym_ADJUST] = ACTIONS(1964),
    [anon_sym_DOLLAR] = ACTIONS(1964),
    [anon_sym_AT] = ACTIONS(1964),
    [anon_sym_my] = ACTIONS(1964),
    [anon_sym_extended] = ACTIONS(1964),
    [anon_sym_async] = ACTIONS(1964),
    [anon_sym_sub] = ACTIONS(1964),
    [anon_sym_method] = ACTIONS(1964),
    [anon_sym_LPAREN] = ACTIONS(1964),
    [anon_sym_continue] = ACTIONS(1964),
    [anon_sym_state] = ACTIONS(1964),
    [anon_sym_our] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1964),
    [anon_sym_defer] = ACTIONS(1964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1964),
    [anon_sym_LBRACK] = ACTIONS(1964),
    [anon_sym_LT] = ACTIONS(1964),
    [anon_sym_LT_LT] = ACTIONS(1964),
    [anon_sym_SLASH_SLASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(1964),
    [anon_sym_TILDE] = ACTIONS(1964),
    [anon_sym_BANG] = ACTIONS(1964),
    [anon_sym_PLUS_PLUS] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(1964),
    [anon_sym_BSLASH] = ACTIONS(1962),
    [anon_sym_do] = ACTIONS(1964),
    [anon_sym_eval] = ACTIONS(1964),
    [anon_sym_await] = ACTIONS(1964),
    [anon_sym_field] = ACTIONS(1964),
    [anon_sym_local] = ACTIONS(1964),
    [anon_sym_dynamically] = ACTIONS(1964),
    [anon_sym_require] = ACTIONS(1964),
    [anon_sym_map] = ACTIONS(1964),
    [anon_sym_grep] = ACTIONS(1964),
    [anon_sym_sort] = ACTIONS(1964),
    [anon_sym_goto] = ACTIONS(1964),
    [anon_sym_return] = ACTIONS(1964),
    [anon_sym_undef] = ACTIONS(1964),
    [anon_sym_PERCENT2] = ACTIONS(1964),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1964),
    [anon_sym_use] = ACTIONS(1964),
    [anon_sym_no] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_foreach] = ACTIONS(1964),
    [anon_sym_last] = ACTIONS(1964),
    [anon_sym_next] = ACTIONS(1964),
    [anon_sym_redo] = ACTIONS(1964),
    [anon_sym_BEGIN] = ACTIONS(1964),
    [anon_sym_INIT] = ACTIONS(1964),
    [anon_sym_CHECK] = ACTIONS(1964),
    [anon_sym_UNITCHECK] = ACTIONS(1964),
    [anon_sym_END] = ACTIONS(1964),
    [anon_sym___FILE__] = ACTIONS(1964),
    [anon_sym___LINE__] = ACTIONS(1964),
    [anon_sym___PACKAGE__] = ACTIONS(1964),
    [anon_sym___SUB__] = ACTIONS(1964),
    [anon_sym_break] = ACTIONS(1964),
    [anon_sym_fork] = ACTIONS(1964),
    [anon_sym_getppid] = ACTIONS(1964),
    [anon_sym_time] = ACTIONS(1964),
    [anon_sym_times] = ACTIONS(1964),
    [anon_sym_wait] = ACTIONS(1964),
    [anon_sym_wantarray] = ACTIONS(1964),
    [anon_sym_abs] = ACTIONS(1964),
    [anon_sym_alarm] = ACTIONS(1964),
    [anon_sym_chop] = ACTIONS(1964),
    [anon_sym_chdir] = ACTIONS(1964),
    [anon_sym_close] = ACTIONS(1964),
    [anon_sym_closedir] = ACTIONS(1964),
    [anon_sym_caller] = ACTIONS(1964),
    [anon_sym_chomp] = ACTIONS(1964),
    [anon_sym_chr] = ACTIONS(1964),
    [anon_sym_cos] = ACTIONS(1964),
    [anon_sym_chroot] = ACTIONS(1964),
    [anon_sym_defined] = ACTIONS(1964),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_dbmclose] = ACTIONS(1964),
    [anon_sym_exists] = ACTIONS(1964),
    [anon_sym_exit] = ACTIONS(1964),
    [anon_sym_eof] = ACTIONS(1964),
    [anon_sym_exp] = ACTIONS(1964),
    [anon_sym_each] = ACTIONS(1964),
    [anon_sym_fc] = ACTIONS(1964),
    [anon_sym_fileno] = ACTIONS(1964),
    [anon_sym_gmtime] = ACTIONS(1964),
    [anon_sym_getc] = ACTIONS(1964),
    [anon_sym_getpgrp] = ACTIONS(1964),
    [anon_sym_getprotobyname] = ACTIONS(1964),
    [anon_sym_getpwname] = ACTIONS(1964),
    [anon_sym_getpwuid] = ACTIONS(1964),
    [anon_sym_getpeername] = ACTIONS(1964),
    [anon_sym_getnetbyname] = ACTIONS(1964),
    [anon_sym_getsockname] = ACTIONS(1964),
    [anon_sym_getgrnam] = ACTIONS(1964),
    [anon_sym_getgrgid] = ACTIONS(1964),
    [anon_sym_hex] = ACTIONS(1964),
    [anon_sym_int] = ACTIONS(1964),
    [anon_sym_keys] = ACTIONS(1964),
    [anon_sym_lc] = ACTIONS(1964),
    [anon_sym_lcfirst] = ACTIONS(1964),
    [anon_sym_length] = ACTIONS(1964),
    [anon_sym_localtime] = ACTIONS(1964),
    [anon_sym_log] = ACTIONS(1964),
    [anon_sym_lock] = ACTIONS(1964),
    [anon_sym_lstat] = ACTIONS(1964),
    [anon_sym_oct] = ACTIONS(1964),
    [anon_sym_ord] = ACTIONS(1964),
    [anon_sym_prototype] = ACTIONS(1964),
    [anon_sym_pop] = ACTIONS(1964),
    [anon_sym_pos] = ACTIONS(1964),
    [anon_sym_quotemeta] = ACTIONS(1964),
    [anon_sym_reset] = ACTIONS(1964),
    [anon_sym_rand] = ACTIONS(1964),
    [anon_sym_rmdir] = ACTIONS(1964),
    [anon_sym_readdir] = ACTIONS(1964),
    [anon_sym_readline] = ACTIONS(1964),
    [anon_sym_readpipe] = ACTIONS(1964),
    [anon_sym_rewinddir] = ACTIONS(1964),
    [anon_sym_readlink] = ACTIONS(1964),
    [anon_sym_ref] = ACTIONS(1964),
    [anon_sym_scalar] = ACTIONS(1964),
    [anon_sym_shift] = ACTIONS(1964),
    [anon_sym_sin] = ACTIONS(1964),
    [anon_sym_sleep] = ACTIONS(1964),
    [anon_sym_sqrt] = ACTIONS(1964),
    [anon_sym_srand] = ACTIONS(1964),
    [anon_sym_stat] = ACTIONS(1964),
    [anon_sym_study] = ACTIONS(1964),
    [anon_sym_tell] = ACTIONS(1964),
    [anon_sym_telldir] = ACTIONS(1964),
    [anon_sym_tied] = ACTIONS(1964),
    [anon_sym_uc] = ACTIONS(1964),
    [anon_sym_ucfirst] = ACTIONS(1964),
    [anon_sym_untie] = ACTIONS(1964),
    [anon_sym_umask] = ACTIONS(1964),
    [anon_sym_values] = ACTIONS(1964),
    [anon_sym_write] = ACTIONS(1964),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1964),
    [anon_sym___END__] = ACTIONS(1964),
    [anon_sym_EOT] = ACTIONS(1964),
    [anon_sym_q] = ACTIONS(1964),
    [anon_sym_qq] = ACTIONS(1964),
    [anon_sym_qw] = ACTIONS(1964),
    [anon_sym_qx] = ACTIONS(1964),
    [anon_sym_qr] = ACTIONS(1964),
    [anon_sym_m] = ACTIONS(1964),
    [anon_sym_s] = ACTIONS(1964),
    [anon_sym_tr] = ACTIONS(1964),
    [anon_sym_y] = ACTIONS(1964),
    [anon_sym_if] = ACTIONS(1964),
    [anon_sym_unless] = ACTIONS(1964),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_until] = ACTIONS(1964),
    [aux_sym__bareword_token1] = ACTIONS(1964),
    [sym_number] = ACTIONS(1964),
    [anon_sym_true] = ACTIONS(1964),
    [anon_sym_false] = ACTIONS(1964),
    [sym__single_quote] = ACTIONS(1962),
    [sym__double_quote] = ACTIONS(1962),
    [sym__backtick_quote] = ACTIONS(1962),
    [sym__search_slash_quote] = ACTIONS(1962),
    [sym__PERLY_HEREDOC] = ACTIONS(1962),
    [sym__ctrl_z_hack] = ACTIONS(1962),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1962),
    [sym__filetest] = ACTIONS(1962),
  },
  [823] = {
    [sym_heredoc_content] = STATE(823),
    [ts_builtin_sym_end] = ACTIONS(1966),
    [sym__identifier] = ACTIONS(1968),
    [anon_sym_LBRACE] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(1968),
    [anon_sym_package] = ACTIONS(1968),
    [anon_sym_class] = ACTIONS(1968),
    [anon_sym_role] = ACTIONS(1968),
    [anon_sym_BUILD] = ACTIONS(1968),
    [anon_sym_ADJUST] = ACTIONS(1968),
    [anon_sym_DOLLAR] = ACTIONS(1968),
    [anon_sym_AT] = ACTIONS(1968),
    [anon_sym_my] = ACTIONS(1968),
    [anon_sym_extended] = ACTIONS(1968),
    [anon_sym_async] = ACTIONS(1968),
    [anon_sym_sub] = ACTIONS(1968),
    [anon_sym_method] = ACTIONS(1968),
    [anon_sym_LPAREN] = ACTIONS(1968),
    [anon_sym_continue] = ACTIONS(1968),
    [anon_sym_state] = ACTIONS(1968),
    [anon_sym_our] = ACTIONS(1968),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_defer] = ACTIONS(1968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_LT] = ACTIONS(1968),
    [anon_sym_LT_LT] = ACTIONS(1968),
    [anon_sym_SLASH_SLASH] = ACTIONS(1968),
    [anon_sym_PLUS] = ACTIONS(1968),
    [anon_sym_DASH] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1968),
    [anon_sym_TILDE] = ACTIONS(1968),
    [anon_sym_BANG] = ACTIONS(1968),
    [anon_sym_PLUS_PLUS] = ACTIONS(1968),
    [anon_sym_DASH_DASH] = ACTIONS(1968),
    [anon_sym_BSLASH] = ACTIONS(1966),
    [anon_sym_do] = ACTIONS(1968),
    [anon_sym_eval] = ACTIONS(1968),
    [anon_sym_await] = ACTIONS(1968),
    [anon_sym_field] = ACTIONS(1968),
    [anon_sym_local] = ACTIONS(1968),
    [anon_sym_dynamically] = ACTIONS(1968),
    [anon_sym_require] = ACTIONS(1968),
    [anon_sym_map] = ACTIONS(1968),
    [anon_sym_grep] = ACTIONS(1968),
    [anon_sym_sort] = ACTIONS(1968),
    [anon_sym_goto] = ACTIONS(1968),
    [anon_sym_return] = ACTIONS(1968),
    [anon_sym_undef] = ACTIONS(1968),
    [anon_sym_PERCENT2] = ACTIONS(1968),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1968),
    [anon_sym_use] = ACTIONS(1968),
    [anon_sym_no] = ACTIONS(1968),
    [anon_sym_for] = ACTIONS(1968),
    [anon_sym_foreach] = ACTIONS(1968),
    [anon_sym_last] = ACTIONS(1968),
    [anon_sym_next] = ACTIONS(1968),
    [anon_sym_redo] = ACTIONS(1968),
    [anon_sym_BEGIN] = ACTIONS(1968),
    [anon_sym_INIT] = ACTIONS(1968),
    [anon_sym_CHECK] = ACTIONS(1968),
    [anon_sym_UNITCHECK] = ACTIONS(1968),
    [anon_sym_END] = ACTIONS(1968),
    [anon_sym___FILE__] = ACTIONS(1968),
    [anon_sym___LINE__] = ACTIONS(1968),
    [anon_sym___PACKAGE__] = ACTIONS(1968),
    [anon_sym___SUB__] = ACTIONS(1968),
    [anon_sym_break] = ACTIONS(1968),
    [anon_sym_fork] = ACTIONS(1968),
    [anon_sym_getppid] = ACTIONS(1968),
    [anon_sym_time] = ACTIONS(1968),
    [anon_sym_times] = ACTIONS(1968),
    [anon_sym_wait] = ACTIONS(1968),
    [anon_sym_wantarray] = ACTIONS(1968),
    [anon_sym_abs] = ACTIONS(1968),
    [anon_sym_alarm] = ACTIONS(1968),
    [anon_sym_chop] = ACTIONS(1968),
    [anon_sym_chdir] = ACTIONS(1968),
    [anon_sym_close] = ACTIONS(1968),
    [anon_sym_closedir] = ACTIONS(1968),
    [anon_sym_caller] = ACTIONS(1968),
    [anon_sym_chomp] = ACTIONS(1968),
    [anon_sym_chr] = ACTIONS(1968),
    [anon_sym_cos] = ACTIONS(1968),
    [anon_sym_chroot] = ACTIONS(1968),
    [anon_sym_defined] = ACTIONS(1968),
    [anon_sym_delete] = ACTIONS(1968),
    [anon_sym_dbmclose] = ACTIONS(1968),
    [anon_sym_exists] = ACTIONS(1968),
    [anon_sym_exit] = ACTIONS(1968),
    [anon_sym_eof] = ACTIONS(1968),
    [anon_sym_exp] = ACTIONS(1968),
    [anon_sym_each] = ACTIONS(1968),
    [anon_sym_fc] = ACTIONS(1968),
    [anon_sym_fileno] = ACTIONS(1968),
    [anon_sym_gmtime] = ACTIONS(1968),
    [anon_sym_getc] = ACTIONS(1968),
    [anon_sym_getpgrp] = ACTIONS(1968),
    [anon_sym_getprotobyname] = ACTIONS(1968),
    [anon_sym_getpwname] = ACTIONS(1968),
    [anon_sym_getpwuid] = ACTIONS(1968),
    [anon_sym_getpeername] = ACTIONS(1968),
    [anon_sym_getnetbyname] = ACTIONS(1968),
    [anon_sym_getsockname] = ACTIONS(1968),
    [anon_sym_getgrnam] = ACTIONS(1968),
    [anon_sym_getgrgid] = ACTIONS(1968),
    [anon_sym_hex] = ACTIONS(1968),
    [anon_sym_int] = ACTIONS(1968),
    [anon_sym_keys] = ACTIONS(1968),
    [anon_sym_lc] = ACTIONS(1968),
    [anon_sym_lcfirst] = ACTIONS(1968),
    [anon_sym_length] = ACTIONS(1968),
    [anon_sym_localtime] = ACTIONS(1968),
    [anon_sym_log] = ACTIONS(1968),
    [anon_sym_lock] = ACTIONS(1968),
    [anon_sym_lstat] = ACTIONS(1968),
    [anon_sym_oct] = ACTIONS(1968),
    [anon_sym_ord] = ACTIONS(1968),
    [anon_sym_prototype] = ACTIONS(1968),
    [anon_sym_pop] = ACTIONS(1968),
    [anon_sym_pos] = ACTIONS(1968),
    [anon_sym_quotemeta] = ACTIONS(1968),
    [anon_sym_reset] = ACTIONS(1968),
    [anon_sym_rand] = ACTIONS(1968),
    [anon_sym_rmdir] = ACTIONS(1968),
    [anon_sym_readdir] = ACTIONS(1968),
    [anon_sym_readline] = ACTIONS(1968),
    [anon_sym_readpipe] = ACTIONS(1968),
    [anon_sym_rewinddir] = ACTIONS(1968),
    [anon_sym_readlink] = ACTIONS(1968),
    [anon_sym_ref] = ACTIONS(1968),
    [anon_sym_scalar] = ACTIONS(1968),
    [anon_sym_shift] = ACTIONS(1968),
    [anon_sym_sin] = ACTIONS(1968),
    [anon_sym_sleep] = ACTIONS(1968),
    [anon_sym_sqrt] = ACTIONS(1968),
    [anon_sym_srand] = ACTIONS(1968),
    [anon_sym_stat] = ACTIONS(1968),
    [anon_sym_study] = ACTIONS(1968),
    [anon_sym_tell] = ACTIONS(1968),
    [anon_sym_telldir] = ACTIONS(1968),
    [anon_sym_tied] = ACTIONS(1968),
    [anon_sym_uc] = ACTIONS(1968),
    [anon_sym_ucfirst] = ACTIONS(1968),
    [anon_sym_untie] = ACTIONS(1968),
    [anon_sym_umask] = ACTIONS(1968),
    [anon_sym_values] = ACTIONS(1968),
    [anon_sym_write] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1968),
    [anon_sym___END__] = ACTIONS(1968),
    [anon_sym_EOT] = ACTIONS(1968),
    [anon_sym_q] = ACTIONS(1968),
    [anon_sym_qq] = ACTIONS(1968),
    [anon_sym_qw] = ACTIONS(1968),
    [anon_sym_qx] = ACTIONS(1968),
    [anon_sym_qr] = ACTIONS(1968),
    [anon_sym_m] = ACTIONS(1968),
    [anon_sym_s] = ACTIONS(1968),
    [anon_sym_tr] = ACTIONS(1968),
    [anon_sym_y] = ACTIONS(1968),
    [anon_sym_if] = ACTIONS(1968),
    [anon_sym_unless] = ACTIONS(1968),
    [anon_sym_while] = ACTIONS(1968),
    [anon_sym_until] = ACTIONS(1968),
    [aux_sym__bareword_token1] = ACTIONS(1968),
    [sym_number] = ACTIONS(1968),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym__single_quote] = ACTIONS(1966),
    [sym__double_quote] = ACTIONS(1966),
    [sym__backtick_quote] = ACTIONS(1966),
    [sym__search_slash_quote] = ACTIONS(1966),
    [sym__PERLY_HEREDOC] = ACTIONS(1966),
    [sym__ctrl_z_hack] = ACTIONS(1966),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1966),
    [sym__filetest] = ACTIONS(1966),
  },
  [824] = {
    [sym_heredoc_content] = STATE(824),
    [ts_builtin_sym_end] = ACTIONS(1970),
    [sym__identifier] = ACTIONS(1972),
    [anon_sym_LBRACE] = ACTIONS(1972),
    [anon_sym_SEMI] = ACTIONS(1972),
    [anon_sym_package] = ACTIONS(1972),
    [anon_sym_class] = ACTIONS(1972),
    [anon_sym_role] = ACTIONS(1972),
    [anon_sym_BUILD] = ACTIONS(1972),
    [anon_sym_ADJUST] = ACTIONS(1972),
    [anon_sym_DOLLAR] = ACTIONS(1972),
    [anon_sym_AT] = ACTIONS(1972),
    [anon_sym_my] = ACTIONS(1972),
    [anon_sym_extended] = ACTIONS(1972),
    [anon_sym_async] = ACTIONS(1972),
    [anon_sym_sub] = ACTIONS(1972),
    [anon_sym_method] = ACTIONS(1972),
    [anon_sym_LPAREN] = ACTIONS(1972),
    [anon_sym_continue] = ACTIONS(1972),
    [anon_sym_state] = ACTIONS(1972),
    [anon_sym_our] = ACTIONS(1972),
    [anon_sym_try] = ACTIONS(1972),
    [anon_sym_defer] = ACTIONS(1972),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_LT] = ACTIONS(1972),
    [anon_sym_LT_LT] = ACTIONS(1972),
    [anon_sym_SLASH_SLASH] = ACTIONS(1972),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_STAR] = ACTIONS(1972),
    [anon_sym_TILDE] = ACTIONS(1972),
    [anon_sym_BANG] = ACTIONS(1972),
    [anon_sym_PLUS_PLUS] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1972),
    [anon_sym_BSLASH] = ACTIONS(1970),
    [anon_sym_do] = ACTIONS(1972),
    [anon_sym_eval] = ACTIONS(1972),
    [anon_sym_await] = ACTIONS(1972),
    [anon_sym_field] = ACTIONS(1972),
    [anon_sym_local] = ACTIONS(1972),
    [anon_sym_dynamically] = ACTIONS(1972),
    [anon_sym_require] = ACTIONS(1972),
    [anon_sym_map] = ACTIONS(1972),
    [anon_sym_grep] = ACTIONS(1972),
    [anon_sym_sort] = ACTIONS(1972),
    [anon_sym_goto] = ACTIONS(1972),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_undef] = ACTIONS(1972),
    [anon_sym_PERCENT2] = ACTIONS(1972),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1972),
    [anon_sym_use] = ACTIONS(1972),
    [anon_sym_no] = ACTIONS(1972),
    [anon_sym_for] = ACTIONS(1972),
    [anon_sym_foreach] = ACTIONS(1972),
    [anon_sym_last] = ACTIONS(1972),
    [anon_sym_next] = ACTIONS(1972),
    [anon_sym_redo] = ACTIONS(1972),
    [anon_sym_BEGIN] = ACTIONS(1972),
    [anon_sym_INIT] = ACTIONS(1972),
    [anon_sym_CHECK] = ACTIONS(1972),
    [anon_sym_UNITCHECK] = ACTIONS(1972),
    [anon_sym_END] = ACTIONS(1972),
    [anon_sym___FILE__] = ACTIONS(1972),
    [anon_sym___LINE__] = ACTIONS(1972),
    [anon_sym___PACKAGE__] = ACTIONS(1972),
    [anon_sym___SUB__] = ACTIONS(1972),
    [anon_sym_break] = ACTIONS(1972),
    [anon_sym_fork] = ACTIONS(1972),
    [anon_sym_getppid] = ACTIONS(1972),
    [anon_sym_time] = ACTIONS(1972),
    [anon_sym_times] = ACTIONS(1972),
    [anon_sym_wait] = ACTIONS(1972),
    [anon_sym_wantarray] = ACTIONS(1972),
    [anon_sym_abs] = ACTIONS(1972),
    [anon_sym_alarm] = ACTIONS(1972),
    [anon_sym_chop] = ACTIONS(1972),
    [anon_sym_chdir] = ACTIONS(1972),
    [anon_sym_close] = ACTIONS(1972),
    [anon_sym_closedir] = ACTIONS(1972),
    [anon_sym_caller] = ACTIONS(1972),
    [anon_sym_chomp] = ACTIONS(1972),
    [anon_sym_chr] = ACTIONS(1972),
    [anon_sym_cos] = ACTIONS(1972),
    [anon_sym_chroot] = ACTIONS(1972),
    [anon_sym_defined] = ACTIONS(1972),
    [anon_sym_delete] = ACTIONS(1972),
    [anon_sym_dbmclose] = ACTIONS(1972),
    [anon_sym_exists] = ACTIONS(1972),
    [anon_sym_exit] = ACTIONS(1972),
    [anon_sym_eof] = ACTIONS(1972),
    [anon_sym_exp] = ACTIONS(1972),
    [anon_sym_each] = ACTIONS(1972),
    [anon_sym_fc] = ACTIONS(1972),
    [anon_sym_fileno] = ACTIONS(1972),
    [anon_sym_gmtime] = ACTIONS(1972),
    [anon_sym_getc] = ACTIONS(1972),
    [anon_sym_getpgrp] = ACTIONS(1972),
    [anon_sym_getprotobyname] = ACTIONS(1972),
    [anon_sym_getpwname] = ACTIONS(1972),
    [anon_sym_getpwuid] = ACTIONS(1972),
    [anon_sym_getpeername] = ACTIONS(1972),
    [anon_sym_getnetbyname] = ACTIONS(1972),
    [anon_sym_getsockname] = ACTIONS(1972),
    [anon_sym_getgrnam] = ACTIONS(1972),
    [anon_sym_getgrgid] = ACTIONS(1972),
    [anon_sym_hex] = ACTIONS(1972),
    [anon_sym_int] = ACTIONS(1972),
    [anon_sym_keys] = ACTIONS(1972),
    [anon_sym_lc] = ACTIONS(1972),
    [anon_sym_lcfirst] = ACTIONS(1972),
    [anon_sym_length] = ACTIONS(1972),
    [anon_sym_localtime] = ACTIONS(1972),
    [anon_sym_log] = ACTIONS(1972),
    [anon_sym_lock] = ACTIONS(1972),
    [anon_sym_lstat] = ACTIONS(1972),
    [anon_sym_oct] = ACTIONS(1972),
    [anon_sym_ord] = ACTIONS(1972),
    [anon_sym_prototype] = ACTIONS(1972),
    [anon_sym_pop] = ACTIONS(1972),
    [anon_sym_pos] = ACTIONS(1972),
    [anon_sym_quotemeta] = ACTIONS(1972),
    [anon_sym_reset] = ACTIONS(1972),
    [anon_sym_rand] = ACTIONS(1972),
    [anon_sym_rmdir] = ACTIONS(1972),
    [anon_sym_readdir] = ACTIONS(1972),
    [anon_sym_readline] = ACTIONS(1972),
    [anon_sym_readpipe] = ACTIONS(1972),
    [anon_sym_rewinddir] = ACTIONS(1972),
    [anon_sym_readlink] = ACTIONS(1972),
    [anon_sym_ref] = ACTIONS(1972),
    [anon_sym_scalar] = ACTIONS(1972),
    [anon_sym_shift] = ACTIONS(1972),
    [anon_sym_sin] = ACTIONS(1972),
    [anon_sym_sleep] = ACTIONS(1972),
    [anon_sym_sqrt] = ACTIONS(1972),
    [anon_sym_srand] = ACTIONS(1972),
    [anon_sym_stat] = ACTIONS(1972),
    [anon_sym_study] = ACTIONS(1972),
    [anon_sym_tell] = ACTIONS(1972),
    [anon_sym_telldir] = ACTIONS(1972),
    [anon_sym_tied] = ACTIONS(1972),
    [anon_sym_uc] = ACTIONS(1972),
    [anon_sym_ucfirst] = ACTIONS(1972),
    [anon_sym_untie] = ACTIONS(1972),
    [anon_sym_umask] = ACTIONS(1972),
    [anon_sym_values] = ACTIONS(1972),
    [anon_sym_write] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1972),
    [anon_sym___END__] = ACTIONS(1972),
    [anon_sym_EOT] = ACTIONS(1972),
    [anon_sym_q] = ACTIONS(1972),
    [anon_sym_qq] = ACTIONS(1972),
    [anon_sym_qw] = ACTIONS(1972),
    [anon_sym_qx] = ACTIONS(1972),
    [anon_sym_qr] = ACTIONS(1972),
    [anon_sym_m] = ACTIONS(1972),
    [anon_sym_s] = ACTIONS(1972),
    [anon_sym_tr] = ACTIONS(1972),
    [anon_sym_y] = ACTIONS(1972),
    [anon_sym_if] = ACTIONS(1972),
    [anon_sym_unless] = ACTIONS(1972),
    [anon_sym_while] = ACTIONS(1972),
    [anon_sym_until] = ACTIONS(1972),
    [aux_sym__bareword_token1] = ACTIONS(1972),
    [sym_number] = ACTIONS(1972),
    [anon_sym_true] = ACTIONS(1972),
    [anon_sym_false] = ACTIONS(1972),
    [sym__single_quote] = ACTIONS(1970),
    [sym__double_quote] = ACTIONS(1970),
    [sym__backtick_quote] = ACTIONS(1970),
    [sym__search_slash_quote] = ACTIONS(1970),
    [sym__PERLY_HEREDOC] = ACTIONS(1970),
    [sym__ctrl_z_hack] = ACTIONS(1970),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1970),
    [sym__filetest] = ACTIONS(1970),
  },
  [825] = {
    [sym_heredoc_content] = STATE(825),
    [ts_builtin_sym_end] = ACTIONS(1974),
    [sym__identifier] = ACTIONS(1976),
    [anon_sym_LBRACE] = ACTIONS(1976),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym_package] = ACTIONS(1976),
    [anon_sym_class] = ACTIONS(1976),
    [anon_sym_role] = ACTIONS(1976),
    [anon_sym_BUILD] = ACTIONS(1976),
    [anon_sym_ADJUST] = ACTIONS(1976),
    [anon_sym_DOLLAR] = ACTIONS(1976),
    [anon_sym_AT] = ACTIONS(1976),
    [anon_sym_my] = ACTIONS(1976),
    [anon_sym_extended] = ACTIONS(1976),
    [anon_sym_async] = ACTIONS(1976),
    [anon_sym_sub] = ACTIONS(1976),
    [anon_sym_method] = ACTIONS(1976),
    [anon_sym_LPAREN] = ACTIONS(1976),
    [anon_sym_continue] = ACTIONS(1976),
    [anon_sym_state] = ACTIONS(1976),
    [anon_sym_our] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1976),
    [anon_sym_defer] = ACTIONS(1976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1976),
    [anon_sym_LBRACK] = ACTIONS(1976),
    [anon_sym_LT] = ACTIONS(1976),
    [anon_sym_LT_LT] = ACTIONS(1976),
    [anon_sym_SLASH_SLASH] = ACTIONS(1976),
    [anon_sym_PLUS] = ACTIONS(1976),
    [anon_sym_DASH] = ACTIONS(1976),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1976),
    [anon_sym_PLUS_PLUS] = ACTIONS(1976),
    [anon_sym_DASH_DASH] = ACTIONS(1976),
    [anon_sym_BSLASH] = ACTIONS(1974),
    [anon_sym_do] = ACTIONS(1976),
    [anon_sym_eval] = ACTIONS(1976),
    [anon_sym_await] = ACTIONS(1976),
    [anon_sym_field] = ACTIONS(1976),
    [anon_sym_local] = ACTIONS(1976),
    [anon_sym_dynamically] = ACTIONS(1976),
    [anon_sym_require] = ACTIONS(1976),
    [anon_sym_map] = ACTIONS(1976),
    [anon_sym_grep] = ACTIONS(1976),
    [anon_sym_sort] = ACTIONS(1976),
    [anon_sym_goto] = ACTIONS(1976),
    [anon_sym_return] = ACTIONS(1976),
    [anon_sym_undef] = ACTIONS(1976),
    [anon_sym_PERCENT2] = ACTIONS(1976),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1976),
    [anon_sym_use] = ACTIONS(1976),
    [anon_sym_no] = ACTIONS(1976),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_foreach] = ACTIONS(1976),
    [anon_sym_last] = ACTIONS(1976),
    [anon_sym_next] = ACTIONS(1976),
    [anon_sym_redo] = ACTIONS(1976),
    [anon_sym_BEGIN] = ACTIONS(1976),
    [anon_sym_INIT] = ACTIONS(1976),
    [anon_sym_CHECK] = ACTIONS(1976),
    [anon_sym_UNITCHECK] = ACTIONS(1976),
    [anon_sym_END] = ACTIONS(1976),
    [anon_sym___FILE__] = ACTIONS(1976),
    [anon_sym___LINE__] = ACTIONS(1976),
    [anon_sym___PACKAGE__] = ACTIONS(1976),
    [anon_sym___SUB__] = ACTIONS(1976),
    [anon_sym_break] = ACTIONS(1976),
    [anon_sym_fork] = ACTIONS(1976),
    [anon_sym_getppid] = ACTIONS(1976),
    [anon_sym_time] = ACTIONS(1976),
    [anon_sym_times] = ACTIONS(1976),
    [anon_sym_wait] = ACTIONS(1976),
    [anon_sym_wantarray] = ACTIONS(1976),
    [anon_sym_abs] = ACTIONS(1976),
    [anon_sym_alarm] = ACTIONS(1976),
    [anon_sym_chop] = ACTIONS(1976),
    [anon_sym_chdir] = ACTIONS(1976),
    [anon_sym_close] = ACTIONS(1976),
    [anon_sym_closedir] = ACTIONS(1976),
    [anon_sym_caller] = ACTIONS(1976),
    [anon_sym_chomp] = ACTIONS(1976),
    [anon_sym_chr] = ACTIONS(1976),
    [anon_sym_cos] = ACTIONS(1976),
    [anon_sym_chroot] = ACTIONS(1976),
    [anon_sym_defined] = ACTIONS(1976),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_dbmclose] = ACTIONS(1976),
    [anon_sym_exists] = ACTIONS(1976),
    [anon_sym_exit] = ACTIONS(1976),
    [anon_sym_eof] = ACTIONS(1976),
    [anon_sym_exp] = ACTIONS(1976),
    [anon_sym_each] = ACTIONS(1976),
    [anon_sym_fc] = ACTIONS(1976),
    [anon_sym_fileno] = ACTIONS(1976),
    [anon_sym_gmtime] = ACTIONS(1976),
    [anon_sym_getc] = ACTIONS(1976),
    [anon_sym_getpgrp] = ACTIONS(1976),
    [anon_sym_getprotobyname] = ACTIONS(1976),
    [anon_sym_getpwname] = ACTIONS(1976),
    [anon_sym_getpwuid] = ACTIONS(1976),
    [anon_sym_getpeername] = ACTIONS(1976),
    [anon_sym_getnetbyname] = ACTIONS(1976),
    [anon_sym_getsockname] = ACTIONS(1976),
    [anon_sym_getgrnam] = ACTIONS(1976),
    [anon_sym_getgrgid] = ACTIONS(1976),
    [anon_sym_hex] = ACTIONS(1976),
    [anon_sym_int] = ACTIONS(1976),
    [anon_sym_keys] = ACTIONS(1976),
    [anon_sym_lc] = ACTIONS(1976),
    [anon_sym_lcfirst] = ACTIONS(1976),
    [anon_sym_length] = ACTIONS(1976),
    [anon_sym_localtime] = ACTIONS(1976),
    [anon_sym_log] = ACTIONS(1976),
    [anon_sym_lock] = ACTIONS(1976),
    [anon_sym_lstat] = ACTIONS(1976),
    [anon_sym_oct] = ACTIONS(1976),
    [anon_sym_ord] = ACTIONS(1976),
    [anon_sym_prototype] = ACTIONS(1976),
    [anon_sym_pop] = ACTIONS(1976),
    [anon_sym_pos] = ACTIONS(1976),
    [anon_sym_quotemeta] = ACTIONS(1976),
    [anon_sym_reset] = ACTIONS(1976),
    [anon_sym_rand] = ACTIONS(1976),
    [anon_sym_rmdir] = ACTIONS(1976),
    [anon_sym_readdir] = ACTIONS(1976),
    [anon_sym_readline] = ACTIONS(1976),
    [anon_sym_readpipe] = ACTIONS(1976),
    [anon_sym_rewinddir] = ACTIONS(1976),
    [anon_sym_readlink] = ACTIONS(1976),
    [anon_sym_ref] = ACTIONS(1976),
    [anon_sym_scalar] = ACTIONS(1976),
    [anon_sym_shift] = ACTIONS(1976),
    [anon_sym_sin] = ACTIONS(1976),
    [anon_sym_sleep] = ACTIONS(1976),
    [anon_sym_sqrt] = ACTIONS(1976),
    [anon_sym_srand] = ACTIONS(1976),
    [anon_sym_stat] = ACTIONS(1976),
    [anon_sym_study] = ACTIONS(1976),
    [anon_sym_tell] = ACTIONS(1976),
    [anon_sym_telldir] = ACTIONS(1976),
    [anon_sym_tied] = ACTIONS(1976),
    [anon_sym_uc] = ACTIONS(1976),
    [anon_sym_ucfirst] = ACTIONS(1976),
    [anon_sym_untie] = ACTIONS(1976),
    [anon_sym_umask] = ACTIONS(1976),
    [anon_sym_values] = ACTIONS(1976),
    [anon_sym_write] = ACTIONS(1976),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1976),
    [anon_sym___END__] = ACTIONS(1976),
    [anon_sym_EOT] = ACTIONS(1976),
    [anon_sym_q] = ACTIONS(1976),
    [anon_sym_qq] = ACTIONS(1976),
    [anon_sym_qw] = ACTIONS(1976),
    [anon_sym_qx] = ACTIONS(1976),
    [anon_sym_qr] = ACTIONS(1976),
    [anon_sym_m] = ACTIONS(1976),
    [anon_sym_s] = ACTIONS(1976),
    [anon_sym_tr] = ACTIONS(1976),
    [anon_sym_y] = ACTIONS(1976),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_unless] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1976),
    [anon_sym_until] = ACTIONS(1976),
    [aux_sym__bareword_token1] = ACTIONS(1976),
    [sym_number] = ACTIONS(1976),
    [anon_sym_true] = ACTIONS(1976),
    [anon_sym_false] = ACTIONS(1976),
    [sym__single_quote] = ACTIONS(1974),
    [sym__double_quote] = ACTIONS(1974),
    [sym__backtick_quote] = ACTIONS(1974),
    [sym__search_slash_quote] = ACTIONS(1974),
    [sym__PERLY_HEREDOC] = ACTIONS(1974),
    [sym__ctrl_z_hack] = ACTIONS(1974),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1974),
    [sym__filetest] = ACTIONS(1974),
  },
  [826] = {
    [sym_heredoc_content] = STATE(826),
    [ts_builtin_sym_end] = ACTIONS(1978),
    [sym__identifier] = ACTIONS(1980),
    [anon_sym_LBRACE] = ACTIONS(1980),
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym_package] = ACTIONS(1980),
    [anon_sym_class] = ACTIONS(1980),
    [anon_sym_role] = ACTIONS(1980),
    [anon_sym_BUILD] = ACTIONS(1980),
    [anon_sym_ADJUST] = ACTIONS(1980),
    [anon_sym_DOLLAR] = ACTIONS(1980),
    [anon_sym_AT] = ACTIONS(1980),
    [anon_sym_my] = ACTIONS(1980),
    [anon_sym_extended] = ACTIONS(1980),
    [anon_sym_async] = ACTIONS(1980),
    [anon_sym_sub] = ACTIONS(1980),
    [anon_sym_method] = ACTIONS(1980),
    [anon_sym_LPAREN] = ACTIONS(1980),
    [anon_sym_continue] = ACTIONS(1980),
    [anon_sym_state] = ACTIONS(1980),
    [anon_sym_our] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1980),
    [anon_sym_defer] = ACTIONS(1980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1980),
    [anon_sym_LBRACK] = ACTIONS(1980),
    [anon_sym_LT] = ACTIONS(1980),
    [anon_sym_LT_LT] = ACTIONS(1980),
    [anon_sym_SLASH_SLASH] = ACTIONS(1980),
    [anon_sym_PLUS] = ACTIONS(1980),
    [anon_sym_DASH] = ACTIONS(1980),
    [anon_sym_STAR] = ACTIONS(1980),
    [anon_sym_TILDE] = ACTIONS(1980),
    [anon_sym_BANG] = ACTIONS(1980),
    [anon_sym_PLUS_PLUS] = ACTIONS(1980),
    [anon_sym_DASH_DASH] = ACTIONS(1980),
    [anon_sym_BSLASH] = ACTIONS(1978),
    [anon_sym_do] = ACTIONS(1980),
    [anon_sym_eval] = ACTIONS(1980),
    [anon_sym_await] = ACTIONS(1980),
    [anon_sym_field] = ACTIONS(1980),
    [anon_sym_local] = ACTIONS(1980),
    [anon_sym_dynamically] = ACTIONS(1980),
    [anon_sym_require] = ACTIONS(1980),
    [anon_sym_map] = ACTIONS(1980),
    [anon_sym_grep] = ACTIONS(1980),
    [anon_sym_sort] = ACTIONS(1980),
    [anon_sym_goto] = ACTIONS(1980),
    [anon_sym_return] = ACTIONS(1980),
    [anon_sym_undef] = ACTIONS(1980),
    [anon_sym_PERCENT2] = ACTIONS(1980),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1980),
    [anon_sym_use] = ACTIONS(1980),
    [anon_sym_no] = ACTIONS(1980),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_foreach] = ACTIONS(1980),
    [anon_sym_last] = ACTIONS(1980),
    [anon_sym_next] = ACTIONS(1980),
    [anon_sym_redo] = ACTIONS(1980),
    [anon_sym_BEGIN] = ACTIONS(1980),
    [anon_sym_INIT] = ACTIONS(1980),
    [anon_sym_CHECK] = ACTIONS(1980),
    [anon_sym_UNITCHECK] = ACTIONS(1980),
    [anon_sym_END] = ACTIONS(1980),
    [anon_sym___FILE__] = ACTIONS(1980),
    [anon_sym___LINE__] = ACTIONS(1980),
    [anon_sym___PACKAGE__] = ACTIONS(1980),
    [anon_sym___SUB__] = ACTIONS(1980),
    [anon_sym_break] = ACTIONS(1980),
    [anon_sym_fork] = ACTIONS(1980),
    [anon_sym_getppid] = ACTIONS(1980),
    [anon_sym_time] = ACTIONS(1980),
    [anon_sym_times] = ACTIONS(1980),
    [anon_sym_wait] = ACTIONS(1980),
    [anon_sym_wantarray] = ACTIONS(1980),
    [anon_sym_abs] = ACTIONS(1980),
    [anon_sym_alarm] = ACTIONS(1980),
    [anon_sym_chop] = ACTIONS(1980),
    [anon_sym_chdir] = ACTIONS(1980),
    [anon_sym_close] = ACTIONS(1980),
    [anon_sym_closedir] = ACTIONS(1980),
    [anon_sym_caller] = ACTIONS(1980),
    [anon_sym_chomp] = ACTIONS(1980),
    [anon_sym_chr] = ACTIONS(1980),
    [anon_sym_cos] = ACTIONS(1980),
    [anon_sym_chroot] = ACTIONS(1980),
    [anon_sym_defined] = ACTIONS(1980),
    [anon_sym_delete] = ACTIONS(1980),
    [anon_sym_dbmclose] = ACTIONS(1980),
    [anon_sym_exists] = ACTIONS(1980),
    [anon_sym_exit] = ACTIONS(1980),
    [anon_sym_eof] = ACTIONS(1980),
    [anon_sym_exp] = ACTIONS(1980),
    [anon_sym_each] = ACTIONS(1980),
    [anon_sym_fc] = ACTIONS(1980),
    [anon_sym_fileno] = ACTIONS(1980),
    [anon_sym_gmtime] = ACTIONS(1980),
    [anon_sym_getc] = ACTIONS(1980),
    [anon_sym_getpgrp] = ACTIONS(1980),
    [anon_sym_getprotobyname] = ACTIONS(1980),
    [anon_sym_getpwname] = ACTIONS(1980),
    [anon_sym_getpwuid] = ACTIONS(1980),
    [anon_sym_getpeername] = ACTIONS(1980),
    [anon_sym_getnetbyname] = ACTIONS(1980),
    [anon_sym_getsockname] = ACTIONS(1980),
    [anon_sym_getgrnam] = ACTIONS(1980),
    [anon_sym_getgrgid] = ACTIONS(1980),
    [anon_sym_hex] = ACTIONS(1980),
    [anon_sym_int] = ACTIONS(1980),
    [anon_sym_keys] = ACTIONS(1980),
    [anon_sym_lc] = ACTIONS(1980),
    [anon_sym_lcfirst] = ACTIONS(1980),
    [anon_sym_length] = ACTIONS(1980),
    [anon_sym_localtime] = ACTIONS(1980),
    [anon_sym_log] = ACTIONS(1980),
    [anon_sym_lock] = ACTIONS(1980),
    [anon_sym_lstat] = ACTIONS(1980),
    [anon_sym_oct] = ACTIONS(1980),
    [anon_sym_ord] = ACTIONS(1980),
    [anon_sym_prototype] = ACTIONS(1980),
    [anon_sym_pop] = ACTIONS(1980),
    [anon_sym_pos] = ACTIONS(1980),
    [anon_sym_quotemeta] = ACTIONS(1980),
    [anon_sym_reset] = ACTIONS(1980),
    [anon_sym_rand] = ACTIONS(1980),
    [anon_sym_rmdir] = ACTIONS(1980),
    [anon_sym_readdir] = ACTIONS(1980),
    [anon_sym_readline] = ACTIONS(1980),
    [anon_sym_readpipe] = ACTIONS(1980),
    [anon_sym_rewinddir] = ACTIONS(1980),
    [anon_sym_readlink] = ACTIONS(1980),
    [anon_sym_ref] = ACTIONS(1980),
    [anon_sym_scalar] = ACTIONS(1980),
    [anon_sym_shift] = ACTIONS(1980),
    [anon_sym_sin] = ACTIONS(1980),
    [anon_sym_sleep] = ACTIONS(1980),
    [anon_sym_sqrt] = ACTIONS(1980),
    [anon_sym_srand] = ACTIONS(1980),
    [anon_sym_stat] = ACTIONS(1980),
    [anon_sym_study] = ACTIONS(1980),
    [anon_sym_tell] = ACTIONS(1980),
    [anon_sym_telldir] = ACTIONS(1980),
    [anon_sym_tied] = ACTIONS(1980),
    [anon_sym_uc] = ACTIONS(1980),
    [anon_sym_ucfirst] = ACTIONS(1980),
    [anon_sym_untie] = ACTIONS(1980),
    [anon_sym_umask] = ACTIONS(1980),
    [anon_sym_values] = ACTIONS(1980),
    [anon_sym_write] = ACTIONS(1980),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1980),
    [anon_sym___END__] = ACTIONS(1980),
    [anon_sym_EOT] = ACTIONS(1980),
    [anon_sym_q] = ACTIONS(1980),
    [anon_sym_qq] = ACTIONS(1980),
    [anon_sym_qw] = ACTIONS(1980),
    [anon_sym_qx] = ACTIONS(1980),
    [anon_sym_qr] = ACTIONS(1980),
    [anon_sym_m] = ACTIONS(1980),
    [anon_sym_s] = ACTIONS(1980),
    [anon_sym_tr] = ACTIONS(1980),
    [anon_sym_y] = ACTIONS(1980),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_unless] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1980),
    [anon_sym_until] = ACTIONS(1980),
    [aux_sym__bareword_token1] = ACTIONS(1980),
    [sym_number] = ACTIONS(1980),
    [anon_sym_true] = ACTIONS(1980),
    [anon_sym_false] = ACTIONS(1980),
    [sym__single_quote] = ACTIONS(1978),
    [sym__double_quote] = ACTIONS(1978),
    [sym__backtick_quote] = ACTIONS(1978),
    [sym__search_slash_quote] = ACTIONS(1978),
    [sym__PERLY_HEREDOC] = ACTIONS(1978),
    [sym__ctrl_z_hack] = ACTIONS(1978),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1978),
    [sym__filetest] = ACTIONS(1978),
  },
  [827] = {
    [sym_heredoc_content] = STATE(827),
    [ts_builtin_sym_end] = ACTIONS(1982),
    [sym__identifier] = ACTIONS(1984),
    [anon_sym_LBRACE] = ACTIONS(1984),
    [anon_sym_SEMI] = ACTIONS(1984),
    [anon_sym_package] = ACTIONS(1984),
    [anon_sym_class] = ACTIONS(1984),
    [anon_sym_role] = ACTIONS(1984),
    [anon_sym_BUILD] = ACTIONS(1984),
    [anon_sym_ADJUST] = ACTIONS(1984),
    [anon_sym_DOLLAR] = ACTIONS(1984),
    [anon_sym_AT] = ACTIONS(1984),
    [anon_sym_my] = ACTIONS(1984),
    [anon_sym_extended] = ACTIONS(1984),
    [anon_sym_async] = ACTIONS(1984),
    [anon_sym_sub] = ACTIONS(1984),
    [anon_sym_method] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(1984),
    [anon_sym_continue] = ACTIONS(1984),
    [anon_sym_state] = ACTIONS(1984),
    [anon_sym_our] = ACTIONS(1984),
    [anon_sym_try] = ACTIONS(1984),
    [anon_sym_defer] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1984),
    [anon_sym_LBRACK] = ACTIONS(1984),
    [anon_sym_LT] = ACTIONS(1984),
    [anon_sym_LT_LT] = ACTIONS(1984),
    [anon_sym_SLASH_SLASH] = ACTIONS(1984),
    [anon_sym_PLUS] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1984),
    [anon_sym_STAR] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_PLUS_PLUS] = ACTIONS(1984),
    [anon_sym_DASH_DASH] = ACTIONS(1984),
    [anon_sym_BSLASH] = ACTIONS(1982),
    [anon_sym_do] = ACTIONS(1984),
    [anon_sym_eval] = ACTIONS(1984),
    [anon_sym_await] = ACTIONS(1984),
    [anon_sym_field] = ACTIONS(1984),
    [anon_sym_local] = ACTIONS(1984),
    [anon_sym_dynamically] = ACTIONS(1984),
    [anon_sym_require] = ACTIONS(1984),
    [anon_sym_map] = ACTIONS(1984),
    [anon_sym_grep] = ACTIONS(1984),
    [anon_sym_sort] = ACTIONS(1984),
    [anon_sym_goto] = ACTIONS(1984),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_undef] = ACTIONS(1984),
    [anon_sym_PERCENT2] = ACTIONS(1984),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1984),
    [anon_sym_use] = ACTIONS(1984),
    [anon_sym_no] = ACTIONS(1984),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_foreach] = ACTIONS(1984),
    [anon_sym_last] = ACTIONS(1984),
    [anon_sym_next] = ACTIONS(1984),
    [anon_sym_redo] = ACTIONS(1984),
    [anon_sym_BEGIN] = ACTIONS(1984),
    [anon_sym_INIT] = ACTIONS(1984),
    [anon_sym_CHECK] = ACTIONS(1984),
    [anon_sym_UNITCHECK] = ACTIONS(1984),
    [anon_sym_END] = ACTIONS(1984),
    [anon_sym___FILE__] = ACTIONS(1984),
    [anon_sym___LINE__] = ACTIONS(1984),
    [anon_sym___PACKAGE__] = ACTIONS(1984),
    [anon_sym___SUB__] = ACTIONS(1984),
    [anon_sym_break] = ACTIONS(1984),
    [anon_sym_fork] = ACTIONS(1984),
    [anon_sym_getppid] = ACTIONS(1984),
    [anon_sym_time] = ACTIONS(1984),
    [anon_sym_times] = ACTIONS(1984),
    [anon_sym_wait] = ACTIONS(1984),
    [anon_sym_wantarray] = ACTIONS(1984),
    [anon_sym_abs] = ACTIONS(1984),
    [anon_sym_alarm] = ACTIONS(1984),
    [anon_sym_chop] = ACTIONS(1984),
    [anon_sym_chdir] = ACTIONS(1984),
    [anon_sym_close] = ACTIONS(1984),
    [anon_sym_closedir] = ACTIONS(1984),
    [anon_sym_caller] = ACTIONS(1984),
    [anon_sym_chomp] = ACTIONS(1984),
    [anon_sym_chr] = ACTIONS(1984),
    [anon_sym_cos] = ACTIONS(1984),
    [anon_sym_chroot] = ACTIONS(1984),
    [anon_sym_defined] = ACTIONS(1984),
    [anon_sym_delete] = ACTIONS(1984),
    [anon_sym_dbmclose] = ACTIONS(1984),
    [anon_sym_exists] = ACTIONS(1984),
    [anon_sym_exit] = ACTIONS(1984),
    [anon_sym_eof] = ACTIONS(1984),
    [anon_sym_exp] = ACTIONS(1984),
    [anon_sym_each] = ACTIONS(1984),
    [anon_sym_fc] = ACTIONS(1984),
    [anon_sym_fileno] = ACTIONS(1984),
    [anon_sym_gmtime] = ACTIONS(1984),
    [anon_sym_getc] = ACTIONS(1984),
    [anon_sym_getpgrp] = ACTIONS(1984),
    [anon_sym_getprotobyname] = ACTIONS(1984),
    [anon_sym_getpwname] = ACTIONS(1984),
    [anon_sym_getpwuid] = ACTIONS(1984),
    [anon_sym_getpeername] = ACTIONS(1984),
    [anon_sym_getnetbyname] = ACTIONS(1984),
    [anon_sym_getsockname] = ACTIONS(1984),
    [anon_sym_getgrnam] = ACTIONS(1984),
    [anon_sym_getgrgid] = ACTIONS(1984),
    [anon_sym_hex] = ACTIONS(1984),
    [anon_sym_int] = ACTIONS(1984),
    [anon_sym_keys] = ACTIONS(1984),
    [anon_sym_lc] = ACTIONS(1984),
    [anon_sym_lcfirst] = ACTIONS(1984),
    [anon_sym_length] = ACTIONS(1984),
    [anon_sym_localtime] = ACTIONS(1984),
    [anon_sym_log] = ACTIONS(1984),
    [anon_sym_lock] = ACTIONS(1984),
    [anon_sym_lstat] = ACTIONS(1984),
    [anon_sym_oct] = ACTIONS(1984),
    [anon_sym_ord] = ACTIONS(1984),
    [anon_sym_prototype] = ACTIONS(1984),
    [anon_sym_pop] = ACTIONS(1984),
    [anon_sym_pos] = ACTIONS(1984),
    [anon_sym_quotemeta] = ACTIONS(1984),
    [anon_sym_reset] = ACTIONS(1984),
    [anon_sym_rand] = ACTIONS(1984),
    [anon_sym_rmdir] = ACTIONS(1984),
    [anon_sym_readdir] = ACTIONS(1984),
    [anon_sym_readline] = ACTIONS(1984),
    [anon_sym_readpipe] = ACTIONS(1984),
    [anon_sym_rewinddir] = ACTIONS(1984),
    [anon_sym_readlink] = ACTIONS(1984),
    [anon_sym_ref] = ACTIONS(1984),
    [anon_sym_scalar] = ACTIONS(1984),
    [anon_sym_shift] = ACTIONS(1984),
    [anon_sym_sin] = ACTIONS(1984),
    [anon_sym_sleep] = ACTIONS(1984),
    [anon_sym_sqrt] = ACTIONS(1984),
    [anon_sym_srand] = ACTIONS(1984),
    [anon_sym_stat] = ACTIONS(1984),
    [anon_sym_study] = ACTIONS(1984),
    [anon_sym_tell] = ACTIONS(1984),
    [anon_sym_telldir] = ACTIONS(1984),
    [anon_sym_tied] = ACTIONS(1984),
    [anon_sym_uc] = ACTIONS(1984),
    [anon_sym_ucfirst] = ACTIONS(1984),
    [anon_sym_untie] = ACTIONS(1984),
    [anon_sym_umask] = ACTIONS(1984),
    [anon_sym_values] = ACTIONS(1984),
    [anon_sym_write] = ACTIONS(1984),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1984),
    [anon_sym___END__] = ACTIONS(1984),
    [anon_sym_EOT] = ACTIONS(1984),
    [anon_sym_q] = ACTIONS(1984),
    [anon_sym_qq] = ACTIONS(1984),
    [anon_sym_qw] = ACTIONS(1984),
    [anon_sym_qx] = ACTIONS(1984),
    [anon_sym_qr] = ACTIONS(1984),
    [anon_sym_m] = ACTIONS(1984),
    [anon_sym_s] = ACTIONS(1984),
    [anon_sym_tr] = ACTIONS(1984),
    [anon_sym_y] = ACTIONS(1984),
    [anon_sym_if] = ACTIONS(1984),
    [anon_sym_unless] = ACTIONS(1984),
    [anon_sym_while] = ACTIONS(1984),
    [anon_sym_until] = ACTIONS(1984),
    [aux_sym__bareword_token1] = ACTIONS(1984),
    [sym_number] = ACTIONS(1984),
    [anon_sym_true] = ACTIONS(1984),
    [anon_sym_false] = ACTIONS(1984),
    [sym__single_quote] = ACTIONS(1982),
    [sym__double_quote] = ACTIONS(1982),
    [sym__backtick_quote] = ACTIONS(1982),
    [sym__search_slash_quote] = ACTIONS(1982),
    [sym__PERLY_HEREDOC] = ACTIONS(1982),
    [sym__ctrl_z_hack] = ACTIONS(1982),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1982),
    [sym__filetest] = ACTIONS(1982),
  },
  [828] = {
    [sym_heredoc_content] = STATE(828),
    [ts_builtin_sym_end] = ACTIONS(1986),
    [sym__identifier] = ACTIONS(1988),
    [anon_sym_LBRACE] = ACTIONS(1988),
    [anon_sym_SEMI] = ACTIONS(1988),
    [anon_sym_package] = ACTIONS(1988),
    [anon_sym_class] = ACTIONS(1988),
    [anon_sym_role] = ACTIONS(1988),
    [anon_sym_BUILD] = ACTIONS(1988),
    [anon_sym_ADJUST] = ACTIONS(1988),
    [anon_sym_DOLLAR] = ACTIONS(1988),
    [anon_sym_AT] = ACTIONS(1988),
    [anon_sym_my] = ACTIONS(1988),
    [anon_sym_extended] = ACTIONS(1988),
    [anon_sym_async] = ACTIONS(1988),
    [anon_sym_sub] = ACTIONS(1988),
    [anon_sym_method] = ACTIONS(1988),
    [anon_sym_LPAREN] = ACTIONS(1988),
    [anon_sym_continue] = ACTIONS(1988),
    [anon_sym_state] = ACTIONS(1988),
    [anon_sym_our] = ACTIONS(1988),
    [anon_sym_try] = ACTIONS(1988),
    [anon_sym_defer] = ACTIONS(1988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_LT] = ACTIONS(1988),
    [anon_sym_LT_LT] = ACTIONS(1988),
    [anon_sym_SLASH_SLASH] = ACTIONS(1988),
    [anon_sym_PLUS] = ACTIONS(1988),
    [anon_sym_DASH] = ACTIONS(1988),
    [anon_sym_STAR] = ACTIONS(1988),
    [anon_sym_TILDE] = ACTIONS(1988),
    [anon_sym_BANG] = ACTIONS(1988),
    [anon_sym_PLUS_PLUS] = ACTIONS(1988),
    [anon_sym_DASH_DASH] = ACTIONS(1988),
    [anon_sym_BSLASH] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(1988),
    [anon_sym_eval] = ACTIONS(1988),
    [anon_sym_await] = ACTIONS(1988),
    [anon_sym_field] = ACTIONS(1988),
    [anon_sym_local] = ACTIONS(1988),
    [anon_sym_dynamically] = ACTIONS(1988),
    [anon_sym_require] = ACTIONS(1988),
    [anon_sym_map] = ACTIONS(1988),
    [anon_sym_grep] = ACTIONS(1988),
    [anon_sym_sort] = ACTIONS(1988),
    [anon_sym_goto] = ACTIONS(1988),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_undef] = ACTIONS(1988),
    [anon_sym_PERCENT2] = ACTIONS(1988),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1988),
    [anon_sym_use] = ACTIONS(1988),
    [anon_sym_no] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1988),
    [anon_sym_foreach] = ACTIONS(1988),
    [anon_sym_last] = ACTIONS(1988),
    [anon_sym_next] = ACTIONS(1988),
    [anon_sym_redo] = ACTIONS(1988),
    [anon_sym_BEGIN] = ACTIONS(1988),
    [anon_sym_INIT] = ACTIONS(1988),
    [anon_sym_CHECK] = ACTIONS(1988),
    [anon_sym_UNITCHECK] = ACTIONS(1988),
    [anon_sym_END] = ACTIONS(1988),
    [anon_sym___FILE__] = ACTIONS(1988),
    [anon_sym___LINE__] = ACTIONS(1988),
    [anon_sym___PACKAGE__] = ACTIONS(1988),
    [anon_sym___SUB__] = ACTIONS(1988),
    [anon_sym_break] = ACTIONS(1988),
    [anon_sym_fork] = ACTIONS(1988),
    [anon_sym_getppid] = ACTIONS(1988),
    [anon_sym_time] = ACTIONS(1988),
    [anon_sym_times] = ACTIONS(1988),
    [anon_sym_wait] = ACTIONS(1988),
    [anon_sym_wantarray] = ACTIONS(1988),
    [anon_sym_abs] = ACTIONS(1988),
    [anon_sym_alarm] = ACTIONS(1988),
    [anon_sym_chop] = ACTIONS(1988),
    [anon_sym_chdir] = ACTIONS(1988),
    [anon_sym_close] = ACTIONS(1988),
    [anon_sym_closedir] = ACTIONS(1988),
    [anon_sym_caller] = ACTIONS(1988),
    [anon_sym_chomp] = ACTIONS(1988),
    [anon_sym_chr] = ACTIONS(1988),
    [anon_sym_cos] = ACTIONS(1988),
    [anon_sym_chroot] = ACTIONS(1988),
    [anon_sym_defined] = ACTIONS(1988),
    [anon_sym_delete] = ACTIONS(1988),
    [anon_sym_dbmclose] = ACTIONS(1988),
    [anon_sym_exists] = ACTIONS(1988),
    [anon_sym_exit] = ACTIONS(1988),
    [anon_sym_eof] = ACTIONS(1988),
    [anon_sym_exp] = ACTIONS(1988),
    [anon_sym_each] = ACTIONS(1988),
    [anon_sym_fc] = ACTIONS(1988),
    [anon_sym_fileno] = ACTIONS(1988),
    [anon_sym_gmtime] = ACTIONS(1988),
    [anon_sym_getc] = ACTIONS(1988),
    [anon_sym_getpgrp] = ACTIONS(1988),
    [anon_sym_getprotobyname] = ACTIONS(1988),
    [anon_sym_getpwname] = ACTIONS(1988),
    [anon_sym_getpwuid] = ACTIONS(1988),
    [anon_sym_getpeername] = ACTIONS(1988),
    [anon_sym_getnetbyname] = ACTIONS(1988),
    [anon_sym_getsockname] = ACTIONS(1988),
    [anon_sym_getgrnam] = ACTIONS(1988),
    [anon_sym_getgrgid] = ACTIONS(1988),
    [anon_sym_hex] = ACTIONS(1988),
    [anon_sym_int] = ACTIONS(1988),
    [anon_sym_keys] = ACTIONS(1988),
    [anon_sym_lc] = ACTIONS(1988),
    [anon_sym_lcfirst] = ACTIONS(1988),
    [anon_sym_length] = ACTIONS(1988),
    [anon_sym_localtime] = ACTIONS(1988),
    [anon_sym_log] = ACTIONS(1988),
    [anon_sym_lock] = ACTIONS(1988),
    [anon_sym_lstat] = ACTIONS(1988),
    [anon_sym_oct] = ACTIONS(1988),
    [anon_sym_ord] = ACTIONS(1988),
    [anon_sym_prototype] = ACTIONS(1988),
    [anon_sym_pop] = ACTIONS(1988),
    [anon_sym_pos] = ACTIONS(1988),
    [anon_sym_quotemeta] = ACTIONS(1988),
    [anon_sym_reset] = ACTIONS(1988),
    [anon_sym_rand] = ACTIONS(1988),
    [anon_sym_rmdir] = ACTIONS(1988),
    [anon_sym_readdir] = ACTIONS(1988),
    [anon_sym_readline] = ACTIONS(1988),
    [anon_sym_readpipe] = ACTIONS(1988),
    [anon_sym_rewinddir] = ACTIONS(1988),
    [anon_sym_readlink] = ACTIONS(1988),
    [anon_sym_ref] = ACTIONS(1988),
    [anon_sym_scalar] = ACTIONS(1988),
    [anon_sym_shift] = ACTIONS(1988),
    [anon_sym_sin] = ACTIONS(1988),
    [anon_sym_sleep] = ACTIONS(1988),
    [anon_sym_sqrt] = ACTIONS(1988),
    [anon_sym_srand] = ACTIONS(1988),
    [anon_sym_stat] = ACTIONS(1988),
    [anon_sym_study] = ACTIONS(1988),
    [anon_sym_tell] = ACTIONS(1988),
    [anon_sym_telldir] = ACTIONS(1988),
    [anon_sym_tied] = ACTIONS(1988),
    [anon_sym_uc] = ACTIONS(1988),
    [anon_sym_ucfirst] = ACTIONS(1988),
    [anon_sym_untie] = ACTIONS(1988),
    [anon_sym_umask] = ACTIONS(1988),
    [anon_sym_values] = ACTIONS(1988),
    [anon_sym_write] = ACTIONS(1988),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1988),
    [anon_sym___END__] = ACTIONS(1988),
    [anon_sym_EOT] = ACTIONS(1988),
    [anon_sym_q] = ACTIONS(1988),
    [anon_sym_qq] = ACTIONS(1988),
    [anon_sym_qw] = ACTIONS(1988),
    [anon_sym_qx] = ACTIONS(1988),
    [anon_sym_qr] = ACTIONS(1988),
    [anon_sym_m] = ACTIONS(1988),
    [anon_sym_s] = ACTIONS(1988),
    [anon_sym_tr] = ACTIONS(1988),
    [anon_sym_y] = ACTIONS(1988),
    [anon_sym_if] = ACTIONS(1988),
    [anon_sym_unless] = ACTIONS(1988),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_until] = ACTIONS(1988),
    [aux_sym__bareword_token1] = ACTIONS(1988),
    [sym_number] = ACTIONS(1988),
    [anon_sym_true] = ACTIONS(1988),
    [anon_sym_false] = ACTIONS(1988),
    [sym__single_quote] = ACTIONS(1986),
    [sym__double_quote] = ACTIONS(1986),
    [sym__backtick_quote] = ACTIONS(1986),
    [sym__search_slash_quote] = ACTIONS(1986),
    [sym__PERLY_HEREDOC] = ACTIONS(1986),
    [sym__ctrl_z_hack] = ACTIONS(1986),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1986),
    [sym__filetest] = ACTIONS(1986),
  },
  [829] = {
    [sym_heredoc_content] = STATE(829),
    [ts_builtin_sym_end] = ACTIONS(1990),
    [sym__identifier] = ACTIONS(1992),
    [anon_sym_LBRACE] = ACTIONS(1992),
    [anon_sym_SEMI] = ACTIONS(1992),
    [anon_sym_package] = ACTIONS(1992),
    [anon_sym_class] = ACTIONS(1992),
    [anon_sym_role] = ACTIONS(1992),
    [anon_sym_BUILD] = ACTIONS(1992),
    [anon_sym_ADJUST] = ACTIONS(1992),
    [anon_sym_DOLLAR] = ACTIONS(1992),
    [anon_sym_AT] = ACTIONS(1992),
    [anon_sym_my] = ACTIONS(1992),
    [anon_sym_extended] = ACTIONS(1992),
    [anon_sym_async] = ACTIONS(1992),
    [anon_sym_sub] = ACTIONS(1992),
    [anon_sym_method] = ACTIONS(1992),
    [anon_sym_LPAREN] = ACTIONS(1992),
    [anon_sym_continue] = ACTIONS(1992),
    [anon_sym_state] = ACTIONS(1992),
    [anon_sym_our] = ACTIONS(1992),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_defer] = ACTIONS(1992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1992),
    [anon_sym_LBRACK] = ACTIONS(1992),
    [anon_sym_LT] = ACTIONS(1992),
    [anon_sym_LT_LT] = ACTIONS(1992),
    [anon_sym_SLASH_SLASH] = ACTIONS(1992),
    [anon_sym_PLUS] = ACTIONS(1992),
    [anon_sym_DASH] = ACTIONS(1992),
    [anon_sym_STAR] = ACTIONS(1992),
    [anon_sym_TILDE] = ACTIONS(1992),
    [anon_sym_BANG] = ACTIONS(1992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1992),
    [anon_sym_DASH_DASH] = ACTIONS(1992),
    [anon_sym_BSLASH] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1992),
    [anon_sym_eval] = ACTIONS(1992),
    [anon_sym_await] = ACTIONS(1992),
    [anon_sym_field] = ACTIONS(1992),
    [anon_sym_local] = ACTIONS(1992),
    [anon_sym_dynamically] = ACTIONS(1992),
    [anon_sym_require] = ACTIONS(1992),
    [anon_sym_map] = ACTIONS(1992),
    [anon_sym_grep] = ACTIONS(1992),
    [anon_sym_sort] = ACTIONS(1992),
    [anon_sym_goto] = ACTIONS(1992),
    [anon_sym_return] = ACTIONS(1992),
    [anon_sym_undef] = ACTIONS(1992),
    [anon_sym_PERCENT2] = ACTIONS(1992),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1992),
    [anon_sym_use] = ACTIONS(1992),
    [anon_sym_no] = ACTIONS(1992),
    [anon_sym_for] = ACTIONS(1992),
    [anon_sym_foreach] = ACTIONS(1992),
    [anon_sym_last] = ACTIONS(1992),
    [anon_sym_next] = ACTIONS(1992),
    [anon_sym_redo] = ACTIONS(1992),
    [anon_sym_BEGIN] = ACTIONS(1992),
    [anon_sym_INIT] = ACTIONS(1992),
    [anon_sym_CHECK] = ACTIONS(1992),
    [anon_sym_UNITCHECK] = ACTIONS(1992),
    [anon_sym_END] = ACTIONS(1992),
    [anon_sym___FILE__] = ACTIONS(1992),
    [anon_sym___LINE__] = ACTIONS(1992),
    [anon_sym___PACKAGE__] = ACTIONS(1992),
    [anon_sym___SUB__] = ACTIONS(1992),
    [anon_sym_break] = ACTIONS(1992),
    [anon_sym_fork] = ACTIONS(1992),
    [anon_sym_getppid] = ACTIONS(1992),
    [anon_sym_time] = ACTIONS(1992),
    [anon_sym_times] = ACTIONS(1992),
    [anon_sym_wait] = ACTIONS(1992),
    [anon_sym_wantarray] = ACTIONS(1992),
    [anon_sym_abs] = ACTIONS(1992),
    [anon_sym_alarm] = ACTIONS(1992),
    [anon_sym_chop] = ACTIONS(1992),
    [anon_sym_chdir] = ACTIONS(1992),
    [anon_sym_close] = ACTIONS(1992),
    [anon_sym_closedir] = ACTIONS(1992),
    [anon_sym_caller] = ACTIONS(1992),
    [anon_sym_chomp] = ACTIONS(1992),
    [anon_sym_chr] = ACTIONS(1992),
    [anon_sym_cos] = ACTIONS(1992),
    [anon_sym_chroot] = ACTIONS(1992),
    [anon_sym_defined] = ACTIONS(1992),
    [anon_sym_delete] = ACTIONS(1992),
    [anon_sym_dbmclose] = ACTIONS(1992),
    [anon_sym_exists] = ACTIONS(1992),
    [anon_sym_exit] = ACTIONS(1992),
    [anon_sym_eof] = ACTIONS(1992),
    [anon_sym_exp] = ACTIONS(1992),
    [anon_sym_each] = ACTIONS(1992),
    [anon_sym_fc] = ACTIONS(1992),
    [anon_sym_fileno] = ACTIONS(1992),
    [anon_sym_gmtime] = ACTIONS(1992),
    [anon_sym_getc] = ACTIONS(1992),
    [anon_sym_getpgrp] = ACTIONS(1992),
    [anon_sym_getprotobyname] = ACTIONS(1992),
    [anon_sym_getpwname] = ACTIONS(1992),
    [anon_sym_getpwuid] = ACTIONS(1992),
    [anon_sym_getpeername] = ACTIONS(1992),
    [anon_sym_getnetbyname] = ACTIONS(1992),
    [anon_sym_getsockname] = ACTIONS(1992),
    [anon_sym_getgrnam] = ACTIONS(1992),
    [anon_sym_getgrgid] = ACTIONS(1992),
    [anon_sym_hex] = ACTIONS(1992),
    [anon_sym_int] = ACTIONS(1992),
    [anon_sym_keys] = ACTIONS(1992),
    [anon_sym_lc] = ACTIONS(1992),
    [anon_sym_lcfirst] = ACTIONS(1992),
    [anon_sym_length] = ACTIONS(1992),
    [anon_sym_localtime] = ACTIONS(1992),
    [anon_sym_log] = ACTIONS(1992),
    [anon_sym_lock] = ACTIONS(1992),
    [anon_sym_lstat] = ACTIONS(1992),
    [anon_sym_oct] = ACTIONS(1992),
    [anon_sym_ord] = ACTIONS(1992),
    [anon_sym_prototype] = ACTIONS(1992),
    [anon_sym_pop] = ACTIONS(1992),
    [anon_sym_pos] = ACTIONS(1992),
    [anon_sym_quotemeta] = ACTIONS(1992),
    [anon_sym_reset] = ACTIONS(1992),
    [anon_sym_rand] = ACTIONS(1992),
    [anon_sym_rmdir] = ACTIONS(1992),
    [anon_sym_readdir] = ACTIONS(1992),
    [anon_sym_readline] = ACTIONS(1992),
    [anon_sym_readpipe] = ACTIONS(1992),
    [anon_sym_rewinddir] = ACTIONS(1992),
    [anon_sym_readlink] = ACTIONS(1992),
    [anon_sym_ref] = ACTIONS(1992),
    [anon_sym_scalar] = ACTIONS(1992),
    [anon_sym_shift] = ACTIONS(1992),
    [anon_sym_sin] = ACTIONS(1992),
    [anon_sym_sleep] = ACTIONS(1992),
    [anon_sym_sqrt] = ACTIONS(1992),
    [anon_sym_srand] = ACTIONS(1992),
    [anon_sym_stat] = ACTIONS(1992),
    [anon_sym_study] = ACTIONS(1992),
    [anon_sym_tell] = ACTIONS(1992),
    [anon_sym_telldir] = ACTIONS(1992),
    [anon_sym_tied] = ACTIONS(1992),
    [anon_sym_uc] = ACTIONS(1992),
    [anon_sym_ucfirst] = ACTIONS(1992),
    [anon_sym_untie] = ACTIONS(1992),
    [anon_sym_umask] = ACTIONS(1992),
    [anon_sym_values] = ACTIONS(1992),
    [anon_sym_write] = ACTIONS(1992),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1992),
    [anon_sym___END__] = ACTIONS(1992),
    [anon_sym_EOT] = ACTIONS(1992),
    [anon_sym_q] = ACTIONS(1992),
    [anon_sym_qq] = ACTIONS(1992),
    [anon_sym_qw] = ACTIONS(1992),
    [anon_sym_qx] = ACTIONS(1992),
    [anon_sym_qr] = ACTIONS(1992),
    [anon_sym_m] = ACTIONS(1992),
    [anon_sym_s] = ACTIONS(1992),
    [anon_sym_tr] = ACTIONS(1992),
    [anon_sym_y] = ACTIONS(1992),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_unless] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1992),
    [anon_sym_until] = ACTIONS(1992),
    [aux_sym__bareword_token1] = ACTIONS(1992),
    [sym_number] = ACTIONS(1992),
    [anon_sym_true] = ACTIONS(1992),
    [anon_sym_false] = ACTIONS(1992),
    [sym__single_quote] = ACTIONS(1990),
    [sym__double_quote] = ACTIONS(1990),
    [sym__backtick_quote] = ACTIONS(1990),
    [sym__search_slash_quote] = ACTIONS(1990),
    [sym__PERLY_HEREDOC] = ACTIONS(1990),
    [sym__ctrl_z_hack] = ACTIONS(1990),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1990),
    [sym__filetest] = ACTIONS(1990),
  },
  [830] = {
    [sym_heredoc_content] = STATE(830),
    [ts_builtin_sym_end] = ACTIONS(1994),
    [sym__identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(1996),
    [anon_sym_SEMI] = ACTIONS(1996),
    [anon_sym_package] = ACTIONS(1996),
    [anon_sym_class] = ACTIONS(1996),
    [anon_sym_role] = ACTIONS(1996),
    [anon_sym_BUILD] = ACTIONS(1996),
    [anon_sym_ADJUST] = ACTIONS(1996),
    [anon_sym_DOLLAR] = ACTIONS(1996),
    [anon_sym_AT] = ACTIONS(1996),
    [anon_sym_my] = ACTIONS(1996),
    [anon_sym_extended] = ACTIONS(1996),
    [anon_sym_async] = ACTIONS(1996),
    [anon_sym_sub] = ACTIONS(1996),
    [anon_sym_method] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [anon_sym_continue] = ACTIONS(1996),
    [anon_sym_state] = ACTIONS(1996),
    [anon_sym_our] = ACTIONS(1996),
    [anon_sym_try] = ACTIONS(1996),
    [anon_sym_defer] = ACTIONS(1996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LBRACK] = ACTIONS(1996),
    [anon_sym_LT] = ACTIONS(1996),
    [anon_sym_LT_LT] = ACTIONS(1996),
    [anon_sym_SLASH_SLASH] = ACTIONS(1996),
    [anon_sym_PLUS] = ACTIONS(1996),
    [anon_sym_DASH] = ACTIONS(1996),
    [anon_sym_STAR] = ACTIONS(1996),
    [anon_sym_TILDE] = ACTIONS(1996),
    [anon_sym_BANG] = ACTIONS(1996),
    [anon_sym_PLUS_PLUS] = ACTIONS(1996),
    [anon_sym_DASH_DASH] = ACTIONS(1996),
    [anon_sym_BSLASH] = ACTIONS(1994),
    [anon_sym_do] = ACTIONS(1996),
    [anon_sym_eval] = ACTIONS(1996),
    [anon_sym_await] = ACTIONS(1996),
    [anon_sym_field] = ACTIONS(1996),
    [anon_sym_local] = ACTIONS(1996),
    [anon_sym_dynamically] = ACTIONS(1996),
    [anon_sym_require] = ACTIONS(1996),
    [anon_sym_map] = ACTIONS(1996),
    [anon_sym_grep] = ACTIONS(1996),
    [anon_sym_sort] = ACTIONS(1996),
    [anon_sym_goto] = ACTIONS(1996),
    [anon_sym_return] = ACTIONS(1996),
    [anon_sym_undef] = ACTIONS(1996),
    [anon_sym_PERCENT2] = ACTIONS(1996),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1996),
    [anon_sym_use] = ACTIONS(1996),
    [anon_sym_no] = ACTIONS(1996),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_foreach] = ACTIONS(1996),
    [anon_sym_last] = ACTIONS(1996),
    [anon_sym_next] = ACTIONS(1996),
    [anon_sym_redo] = ACTIONS(1996),
    [anon_sym_BEGIN] = ACTIONS(1996),
    [anon_sym_INIT] = ACTIONS(1996),
    [anon_sym_CHECK] = ACTIONS(1996),
    [anon_sym_UNITCHECK] = ACTIONS(1996),
    [anon_sym_END] = ACTIONS(1996),
    [anon_sym___FILE__] = ACTIONS(1996),
    [anon_sym___LINE__] = ACTIONS(1996),
    [anon_sym___PACKAGE__] = ACTIONS(1996),
    [anon_sym___SUB__] = ACTIONS(1996),
    [anon_sym_break] = ACTIONS(1996),
    [anon_sym_fork] = ACTIONS(1996),
    [anon_sym_getppid] = ACTIONS(1996),
    [anon_sym_time] = ACTIONS(1996),
    [anon_sym_times] = ACTIONS(1996),
    [anon_sym_wait] = ACTIONS(1996),
    [anon_sym_wantarray] = ACTIONS(1996),
    [anon_sym_abs] = ACTIONS(1996),
    [anon_sym_alarm] = ACTIONS(1996),
    [anon_sym_chop] = ACTIONS(1996),
    [anon_sym_chdir] = ACTIONS(1996),
    [anon_sym_close] = ACTIONS(1996),
    [anon_sym_closedir] = ACTIONS(1996),
    [anon_sym_caller] = ACTIONS(1996),
    [anon_sym_chomp] = ACTIONS(1996),
    [anon_sym_chr] = ACTIONS(1996),
    [anon_sym_cos] = ACTIONS(1996),
    [anon_sym_chroot] = ACTIONS(1996),
    [anon_sym_defined] = ACTIONS(1996),
    [anon_sym_delete] = ACTIONS(1996),
    [anon_sym_dbmclose] = ACTIONS(1996),
    [anon_sym_exists] = ACTIONS(1996),
    [anon_sym_exit] = ACTIONS(1996),
    [anon_sym_eof] = ACTIONS(1996),
    [anon_sym_exp] = ACTIONS(1996),
    [anon_sym_each] = ACTIONS(1996),
    [anon_sym_fc] = ACTIONS(1996),
    [anon_sym_fileno] = ACTIONS(1996),
    [anon_sym_gmtime] = ACTIONS(1996),
    [anon_sym_getc] = ACTIONS(1996),
    [anon_sym_getpgrp] = ACTIONS(1996),
    [anon_sym_getprotobyname] = ACTIONS(1996),
    [anon_sym_getpwname] = ACTIONS(1996),
    [anon_sym_getpwuid] = ACTIONS(1996),
    [anon_sym_getpeername] = ACTIONS(1996),
    [anon_sym_getnetbyname] = ACTIONS(1996),
    [anon_sym_getsockname] = ACTIONS(1996),
    [anon_sym_getgrnam] = ACTIONS(1996),
    [anon_sym_getgrgid] = ACTIONS(1996),
    [anon_sym_hex] = ACTIONS(1996),
    [anon_sym_int] = ACTIONS(1996),
    [anon_sym_keys] = ACTIONS(1996),
    [anon_sym_lc] = ACTIONS(1996),
    [anon_sym_lcfirst] = ACTIONS(1996),
    [anon_sym_length] = ACTIONS(1996),
    [anon_sym_localtime] = ACTIONS(1996),
    [anon_sym_log] = ACTIONS(1996),
    [anon_sym_lock] = ACTIONS(1996),
    [anon_sym_lstat] = ACTIONS(1996),
    [anon_sym_oct] = ACTIONS(1996),
    [anon_sym_ord] = ACTIONS(1996),
    [anon_sym_prototype] = ACTIONS(1996),
    [anon_sym_pop] = ACTIONS(1996),
    [anon_sym_pos] = ACTIONS(1996),
    [anon_sym_quotemeta] = ACTIONS(1996),
    [anon_sym_reset] = ACTIONS(1996),
    [anon_sym_rand] = ACTIONS(1996),
    [anon_sym_rmdir] = ACTIONS(1996),
    [anon_sym_readdir] = ACTIONS(1996),
    [anon_sym_readline] = ACTIONS(1996),
    [anon_sym_readpipe] = ACTIONS(1996),
    [anon_sym_rewinddir] = ACTIONS(1996),
    [anon_sym_readlink] = ACTIONS(1996),
    [anon_sym_ref] = ACTIONS(1996),
    [anon_sym_scalar] = ACTIONS(1996),
    [anon_sym_shift] = ACTIONS(1996),
    [anon_sym_sin] = ACTIONS(1996),
    [anon_sym_sleep] = ACTIONS(1996),
    [anon_sym_sqrt] = ACTIONS(1996),
    [anon_sym_srand] = ACTIONS(1996),
    [anon_sym_stat] = ACTIONS(1996),
    [anon_sym_study] = ACTIONS(1996),
    [anon_sym_tell] = ACTIONS(1996),
    [anon_sym_telldir] = ACTIONS(1996),
    [anon_sym_tied] = ACTIONS(1996),
    [anon_sym_uc] = ACTIONS(1996),
    [anon_sym_ucfirst] = ACTIONS(1996),
    [anon_sym_untie] = ACTIONS(1996),
    [anon_sym_umask] = ACTIONS(1996),
    [anon_sym_values] = ACTIONS(1996),
    [anon_sym_write] = ACTIONS(1996),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1996),
    [anon_sym___END__] = ACTIONS(1996),
    [anon_sym_EOT] = ACTIONS(1996),
    [anon_sym_q] = ACTIONS(1996),
    [anon_sym_qq] = ACTIONS(1996),
    [anon_sym_qw] = ACTIONS(1996),
    [anon_sym_qx] = ACTIONS(1996),
    [anon_sym_qr] = ACTIONS(1996),
    [anon_sym_m] = ACTIONS(1996),
    [anon_sym_s] = ACTIONS(1996),
    [anon_sym_tr] = ACTIONS(1996),
    [anon_sym_y] = ACTIONS(1996),
    [anon_sym_if] = ACTIONS(1996),
    [anon_sym_unless] = ACTIONS(1996),
    [anon_sym_while] = ACTIONS(1996),
    [anon_sym_until] = ACTIONS(1996),
    [aux_sym__bareword_token1] = ACTIONS(1996),
    [sym_number] = ACTIONS(1996),
    [anon_sym_true] = ACTIONS(1996),
    [anon_sym_false] = ACTIONS(1996),
    [sym__single_quote] = ACTIONS(1994),
    [sym__double_quote] = ACTIONS(1994),
    [sym__backtick_quote] = ACTIONS(1994),
    [sym__search_slash_quote] = ACTIONS(1994),
    [sym__PERLY_HEREDOC] = ACTIONS(1994),
    [sym__ctrl_z_hack] = ACTIONS(1994),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1994),
    [sym__filetest] = ACTIONS(1994),
  },
  [831] = {
    [sym_heredoc_content] = STATE(831),
    [ts_builtin_sym_end] = ACTIONS(1998),
    [sym__identifier] = ACTIONS(2000),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_package] = ACTIONS(2000),
    [anon_sym_class] = ACTIONS(2000),
    [anon_sym_role] = ACTIONS(2000),
    [anon_sym_BUILD] = ACTIONS(2000),
    [anon_sym_ADJUST] = ACTIONS(2000),
    [anon_sym_DOLLAR] = ACTIONS(2000),
    [anon_sym_AT] = ACTIONS(2000),
    [anon_sym_my] = ACTIONS(2000),
    [anon_sym_extended] = ACTIONS(2000),
    [anon_sym_async] = ACTIONS(2000),
    [anon_sym_sub] = ACTIONS(2000),
    [anon_sym_method] = ACTIONS(2000),
    [anon_sym_LPAREN] = ACTIONS(2000),
    [anon_sym_continue] = ACTIONS(2000),
    [anon_sym_state] = ACTIONS(2000),
    [anon_sym_our] = ACTIONS(2000),
    [anon_sym_try] = ACTIONS(2000),
    [anon_sym_defer] = ACTIONS(2000),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2000),
    [anon_sym_LBRACK] = ACTIONS(2000),
    [anon_sym_LT] = ACTIONS(2000),
    [anon_sym_LT_LT] = ACTIONS(2000),
    [anon_sym_SLASH_SLASH] = ACTIONS(2000),
    [anon_sym_PLUS] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(2000),
    [anon_sym_STAR] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_PLUS_PLUS] = ACTIONS(2000),
    [anon_sym_DASH_DASH] = ACTIONS(2000),
    [anon_sym_BSLASH] = ACTIONS(1998),
    [anon_sym_do] = ACTIONS(2000),
    [anon_sym_eval] = ACTIONS(2000),
    [anon_sym_await] = ACTIONS(2000),
    [anon_sym_field] = ACTIONS(2000),
    [anon_sym_local] = ACTIONS(2000),
    [anon_sym_dynamically] = ACTIONS(2000),
    [anon_sym_require] = ACTIONS(2000),
    [anon_sym_map] = ACTIONS(2000),
    [anon_sym_grep] = ACTIONS(2000),
    [anon_sym_sort] = ACTIONS(2000),
    [anon_sym_goto] = ACTIONS(2000),
    [anon_sym_return] = ACTIONS(2000),
    [anon_sym_undef] = ACTIONS(2000),
    [anon_sym_PERCENT2] = ACTIONS(2000),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2000),
    [anon_sym_use] = ACTIONS(2000),
    [anon_sym_no] = ACTIONS(2000),
    [anon_sym_for] = ACTIONS(2000),
    [anon_sym_foreach] = ACTIONS(2000),
    [anon_sym_last] = ACTIONS(2000),
    [anon_sym_next] = ACTIONS(2000),
    [anon_sym_redo] = ACTIONS(2000),
    [anon_sym_BEGIN] = ACTIONS(2000),
    [anon_sym_INIT] = ACTIONS(2000),
    [anon_sym_CHECK] = ACTIONS(2000),
    [anon_sym_UNITCHECK] = ACTIONS(2000),
    [anon_sym_END] = ACTIONS(2000),
    [anon_sym___FILE__] = ACTIONS(2000),
    [anon_sym___LINE__] = ACTIONS(2000),
    [anon_sym___PACKAGE__] = ACTIONS(2000),
    [anon_sym___SUB__] = ACTIONS(2000),
    [anon_sym_break] = ACTIONS(2000),
    [anon_sym_fork] = ACTIONS(2000),
    [anon_sym_getppid] = ACTIONS(2000),
    [anon_sym_time] = ACTIONS(2000),
    [anon_sym_times] = ACTIONS(2000),
    [anon_sym_wait] = ACTIONS(2000),
    [anon_sym_wantarray] = ACTIONS(2000),
    [anon_sym_abs] = ACTIONS(2000),
    [anon_sym_alarm] = ACTIONS(2000),
    [anon_sym_chop] = ACTIONS(2000),
    [anon_sym_chdir] = ACTIONS(2000),
    [anon_sym_close] = ACTIONS(2000),
    [anon_sym_closedir] = ACTIONS(2000),
    [anon_sym_caller] = ACTIONS(2000),
    [anon_sym_chomp] = ACTIONS(2000),
    [anon_sym_chr] = ACTIONS(2000),
    [anon_sym_cos] = ACTIONS(2000),
    [anon_sym_chroot] = ACTIONS(2000),
    [anon_sym_defined] = ACTIONS(2000),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_dbmclose] = ACTIONS(2000),
    [anon_sym_exists] = ACTIONS(2000),
    [anon_sym_exit] = ACTIONS(2000),
    [anon_sym_eof] = ACTIONS(2000),
    [anon_sym_exp] = ACTIONS(2000),
    [anon_sym_each] = ACTIONS(2000),
    [anon_sym_fc] = ACTIONS(2000),
    [anon_sym_fileno] = ACTIONS(2000),
    [anon_sym_gmtime] = ACTIONS(2000),
    [anon_sym_getc] = ACTIONS(2000),
    [anon_sym_getpgrp] = ACTIONS(2000),
    [anon_sym_getprotobyname] = ACTIONS(2000),
    [anon_sym_getpwname] = ACTIONS(2000),
    [anon_sym_getpwuid] = ACTIONS(2000),
    [anon_sym_getpeername] = ACTIONS(2000),
    [anon_sym_getnetbyname] = ACTIONS(2000),
    [anon_sym_getsockname] = ACTIONS(2000),
    [anon_sym_getgrnam] = ACTIONS(2000),
    [anon_sym_getgrgid] = ACTIONS(2000),
    [anon_sym_hex] = ACTIONS(2000),
    [anon_sym_int] = ACTIONS(2000),
    [anon_sym_keys] = ACTIONS(2000),
    [anon_sym_lc] = ACTIONS(2000),
    [anon_sym_lcfirst] = ACTIONS(2000),
    [anon_sym_length] = ACTIONS(2000),
    [anon_sym_localtime] = ACTIONS(2000),
    [anon_sym_log] = ACTIONS(2000),
    [anon_sym_lock] = ACTIONS(2000),
    [anon_sym_lstat] = ACTIONS(2000),
    [anon_sym_oct] = ACTIONS(2000),
    [anon_sym_ord] = ACTIONS(2000),
    [anon_sym_prototype] = ACTIONS(2000),
    [anon_sym_pop] = ACTIONS(2000),
    [anon_sym_pos] = ACTIONS(2000),
    [anon_sym_quotemeta] = ACTIONS(2000),
    [anon_sym_reset] = ACTIONS(2000),
    [anon_sym_rand] = ACTIONS(2000),
    [anon_sym_rmdir] = ACTIONS(2000),
    [anon_sym_readdir] = ACTIONS(2000),
    [anon_sym_readline] = ACTIONS(2000),
    [anon_sym_readpipe] = ACTIONS(2000),
    [anon_sym_rewinddir] = ACTIONS(2000),
    [anon_sym_readlink] = ACTIONS(2000),
    [anon_sym_ref] = ACTIONS(2000),
    [anon_sym_scalar] = ACTIONS(2000),
    [anon_sym_shift] = ACTIONS(2000),
    [anon_sym_sin] = ACTIONS(2000),
    [anon_sym_sleep] = ACTIONS(2000),
    [anon_sym_sqrt] = ACTIONS(2000),
    [anon_sym_srand] = ACTIONS(2000),
    [anon_sym_stat] = ACTIONS(2000),
    [anon_sym_study] = ACTIONS(2000),
    [anon_sym_tell] = ACTIONS(2000),
    [anon_sym_telldir] = ACTIONS(2000),
    [anon_sym_tied] = ACTIONS(2000),
    [anon_sym_uc] = ACTIONS(2000),
    [anon_sym_ucfirst] = ACTIONS(2000),
    [anon_sym_untie] = ACTIONS(2000),
    [anon_sym_umask] = ACTIONS(2000),
    [anon_sym_values] = ACTIONS(2000),
    [anon_sym_write] = ACTIONS(2000),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2000),
    [anon_sym___END__] = ACTIONS(2000),
    [anon_sym_EOT] = ACTIONS(2000),
    [anon_sym_q] = ACTIONS(2000),
    [anon_sym_qq] = ACTIONS(2000),
    [anon_sym_qw] = ACTIONS(2000),
    [anon_sym_qx] = ACTIONS(2000),
    [anon_sym_qr] = ACTIONS(2000),
    [anon_sym_m] = ACTIONS(2000),
    [anon_sym_s] = ACTIONS(2000),
    [anon_sym_tr] = ACTIONS(2000),
    [anon_sym_y] = ACTIONS(2000),
    [anon_sym_if] = ACTIONS(2000),
    [anon_sym_unless] = ACTIONS(2000),
    [anon_sym_while] = ACTIONS(2000),
    [anon_sym_until] = ACTIONS(2000),
    [aux_sym__bareword_token1] = ACTIONS(2000),
    [sym_number] = ACTIONS(2000),
    [anon_sym_true] = ACTIONS(2000),
    [anon_sym_false] = ACTIONS(2000),
    [sym__single_quote] = ACTIONS(1998),
    [sym__double_quote] = ACTIONS(1998),
    [sym__backtick_quote] = ACTIONS(1998),
    [sym__search_slash_quote] = ACTIONS(1998),
    [sym__PERLY_HEREDOC] = ACTIONS(1998),
    [sym__ctrl_z_hack] = ACTIONS(1998),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1998),
    [sym__filetest] = ACTIONS(1998),
  },
  [832] = {
    [sym_heredoc_content] = STATE(832),
    [ts_builtin_sym_end] = ACTIONS(2002),
    [sym__identifier] = ACTIONS(2004),
    [anon_sym_LBRACE] = ACTIONS(2004),
    [anon_sym_SEMI] = ACTIONS(2004),
    [anon_sym_package] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2004),
    [anon_sym_role] = ACTIONS(2004),
    [anon_sym_BUILD] = ACTIONS(2004),
    [anon_sym_ADJUST] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2004),
    [anon_sym_AT] = ACTIONS(2004),
    [anon_sym_my] = ACTIONS(2004),
    [anon_sym_extended] = ACTIONS(2004),
    [anon_sym_async] = ACTIONS(2004),
    [anon_sym_sub] = ACTIONS(2004),
    [anon_sym_method] = ACTIONS(2004),
    [anon_sym_LPAREN] = ACTIONS(2004),
    [anon_sym_continue] = ACTIONS(2004),
    [anon_sym_state] = ACTIONS(2004),
    [anon_sym_our] = ACTIONS(2004),
    [anon_sym_try] = ACTIONS(2004),
    [anon_sym_defer] = ACTIONS(2004),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(2004),
    [anon_sym_LT] = ACTIONS(2004),
    [anon_sym_LT_LT] = ACTIONS(2004),
    [anon_sym_SLASH_SLASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_PLUS_PLUS] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2004),
    [anon_sym_BSLASH] = ACTIONS(2002),
    [anon_sym_do] = ACTIONS(2004),
    [anon_sym_eval] = ACTIONS(2004),
    [anon_sym_await] = ACTIONS(2004),
    [anon_sym_field] = ACTIONS(2004),
    [anon_sym_local] = ACTIONS(2004),
    [anon_sym_dynamically] = ACTIONS(2004),
    [anon_sym_require] = ACTIONS(2004),
    [anon_sym_map] = ACTIONS(2004),
    [anon_sym_grep] = ACTIONS(2004),
    [anon_sym_sort] = ACTIONS(2004),
    [anon_sym_goto] = ACTIONS(2004),
    [anon_sym_return] = ACTIONS(2004),
    [anon_sym_undef] = ACTIONS(2004),
    [anon_sym_PERCENT2] = ACTIONS(2004),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2004),
    [anon_sym_use] = ACTIONS(2004),
    [anon_sym_no] = ACTIONS(2004),
    [anon_sym_for] = ACTIONS(2004),
    [anon_sym_foreach] = ACTIONS(2004),
    [anon_sym_last] = ACTIONS(2004),
    [anon_sym_next] = ACTIONS(2004),
    [anon_sym_redo] = ACTIONS(2004),
    [anon_sym_BEGIN] = ACTIONS(2004),
    [anon_sym_INIT] = ACTIONS(2004),
    [anon_sym_CHECK] = ACTIONS(2004),
    [anon_sym_UNITCHECK] = ACTIONS(2004),
    [anon_sym_END] = ACTIONS(2004),
    [anon_sym___FILE__] = ACTIONS(2004),
    [anon_sym___LINE__] = ACTIONS(2004),
    [anon_sym___PACKAGE__] = ACTIONS(2004),
    [anon_sym___SUB__] = ACTIONS(2004),
    [anon_sym_break] = ACTIONS(2004),
    [anon_sym_fork] = ACTIONS(2004),
    [anon_sym_getppid] = ACTIONS(2004),
    [anon_sym_time] = ACTIONS(2004),
    [anon_sym_times] = ACTIONS(2004),
    [anon_sym_wait] = ACTIONS(2004),
    [anon_sym_wantarray] = ACTIONS(2004),
    [anon_sym_abs] = ACTIONS(2004),
    [anon_sym_alarm] = ACTIONS(2004),
    [anon_sym_chop] = ACTIONS(2004),
    [anon_sym_chdir] = ACTIONS(2004),
    [anon_sym_close] = ACTIONS(2004),
    [anon_sym_closedir] = ACTIONS(2004),
    [anon_sym_caller] = ACTIONS(2004),
    [anon_sym_chomp] = ACTIONS(2004),
    [anon_sym_chr] = ACTIONS(2004),
    [anon_sym_cos] = ACTIONS(2004),
    [anon_sym_chroot] = ACTIONS(2004),
    [anon_sym_defined] = ACTIONS(2004),
    [anon_sym_delete] = ACTIONS(2004),
    [anon_sym_dbmclose] = ACTIONS(2004),
    [anon_sym_exists] = ACTIONS(2004),
    [anon_sym_exit] = ACTIONS(2004),
    [anon_sym_eof] = ACTIONS(2004),
    [anon_sym_exp] = ACTIONS(2004),
    [anon_sym_each] = ACTIONS(2004),
    [anon_sym_fc] = ACTIONS(2004),
    [anon_sym_fileno] = ACTIONS(2004),
    [anon_sym_gmtime] = ACTIONS(2004),
    [anon_sym_getc] = ACTIONS(2004),
    [anon_sym_getpgrp] = ACTIONS(2004),
    [anon_sym_getprotobyname] = ACTIONS(2004),
    [anon_sym_getpwname] = ACTIONS(2004),
    [anon_sym_getpwuid] = ACTIONS(2004),
    [anon_sym_getpeername] = ACTIONS(2004),
    [anon_sym_getnetbyname] = ACTIONS(2004),
    [anon_sym_getsockname] = ACTIONS(2004),
    [anon_sym_getgrnam] = ACTIONS(2004),
    [anon_sym_getgrgid] = ACTIONS(2004),
    [anon_sym_hex] = ACTIONS(2004),
    [anon_sym_int] = ACTIONS(2004),
    [anon_sym_keys] = ACTIONS(2004),
    [anon_sym_lc] = ACTIONS(2004),
    [anon_sym_lcfirst] = ACTIONS(2004),
    [anon_sym_length] = ACTIONS(2004),
    [anon_sym_localtime] = ACTIONS(2004),
    [anon_sym_log] = ACTIONS(2004),
    [anon_sym_lock] = ACTIONS(2004),
    [anon_sym_lstat] = ACTIONS(2004),
    [anon_sym_oct] = ACTIONS(2004),
    [anon_sym_ord] = ACTIONS(2004),
    [anon_sym_prototype] = ACTIONS(2004),
    [anon_sym_pop] = ACTIONS(2004),
    [anon_sym_pos] = ACTIONS(2004),
    [anon_sym_quotemeta] = ACTIONS(2004),
    [anon_sym_reset] = ACTIONS(2004),
    [anon_sym_rand] = ACTIONS(2004),
    [anon_sym_rmdir] = ACTIONS(2004),
    [anon_sym_readdir] = ACTIONS(2004),
    [anon_sym_readline] = ACTIONS(2004),
    [anon_sym_readpipe] = ACTIONS(2004),
    [anon_sym_rewinddir] = ACTIONS(2004),
    [anon_sym_readlink] = ACTIONS(2004),
    [anon_sym_ref] = ACTIONS(2004),
    [anon_sym_scalar] = ACTIONS(2004),
    [anon_sym_shift] = ACTIONS(2004),
    [anon_sym_sin] = ACTIONS(2004),
    [anon_sym_sleep] = ACTIONS(2004),
    [anon_sym_sqrt] = ACTIONS(2004),
    [anon_sym_srand] = ACTIONS(2004),
    [anon_sym_stat] = ACTIONS(2004),
    [anon_sym_study] = ACTIONS(2004),
    [anon_sym_tell] = ACTIONS(2004),
    [anon_sym_telldir] = ACTIONS(2004),
    [anon_sym_tied] = ACTIONS(2004),
    [anon_sym_uc] = ACTIONS(2004),
    [anon_sym_ucfirst] = ACTIONS(2004),
    [anon_sym_untie] = ACTIONS(2004),
    [anon_sym_umask] = ACTIONS(2004),
    [anon_sym_values] = ACTIONS(2004),
    [anon_sym_write] = ACTIONS(2004),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2004),
    [anon_sym___END__] = ACTIONS(2004),
    [anon_sym_EOT] = ACTIONS(2004),
    [anon_sym_q] = ACTIONS(2004),
    [anon_sym_qq] = ACTIONS(2004),
    [anon_sym_qw] = ACTIONS(2004),
    [anon_sym_qx] = ACTIONS(2004),
    [anon_sym_qr] = ACTIONS(2004),
    [anon_sym_m] = ACTIONS(2004),
    [anon_sym_s] = ACTIONS(2004),
    [anon_sym_tr] = ACTIONS(2004),
    [anon_sym_y] = ACTIONS(2004),
    [anon_sym_if] = ACTIONS(2004),
    [anon_sym_unless] = ACTIONS(2004),
    [anon_sym_while] = ACTIONS(2004),
    [anon_sym_until] = ACTIONS(2004),
    [aux_sym__bareword_token1] = ACTIONS(2004),
    [sym_number] = ACTIONS(2004),
    [anon_sym_true] = ACTIONS(2004),
    [anon_sym_false] = ACTIONS(2004),
    [sym__single_quote] = ACTIONS(2002),
    [sym__double_quote] = ACTIONS(2002),
    [sym__backtick_quote] = ACTIONS(2002),
    [sym__search_slash_quote] = ACTIONS(2002),
    [sym__PERLY_HEREDOC] = ACTIONS(2002),
    [sym__ctrl_z_hack] = ACTIONS(2002),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2002),
    [sym__filetest] = ACTIONS(2002),
  },
  [833] = {
    [sym_heredoc_content] = STATE(833),
    [ts_builtin_sym_end] = ACTIONS(2006),
    [sym__identifier] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(2008),
    [anon_sym_SEMI] = ACTIONS(2008),
    [anon_sym_package] = ACTIONS(2008),
    [anon_sym_class] = ACTIONS(2008),
    [anon_sym_role] = ACTIONS(2008),
    [anon_sym_BUILD] = ACTIONS(2008),
    [anon_sym_ADJUST] = ACTIONS(2008),
    [anon_sym_DOLLAR] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(2008),
    [anon_sym_my] = ACTIONS(2008),
    [anon_sym_extended] = ACTIONS(2008),
    [anon_sym_async] = ACTIONS(2008),
    [anon_sym_sub] = ACTIONS(2008),
    [anon_sym_method] = ACTIONS(2008),
    [anon_sym_LPAREN] = ACTIONS(2008),
    [anon_sym_continue] = ACTIONS(2008),
    [anon_sym_state] = ACTIONS(2008),
    [anon_sym_our] = ACTIONS(2008),
    [anon_sym_try] = ACTIONS(2008),
    [anon_sym_defer] = ACTIONS(2008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2008),
    [anon_sym_LT] = ACTIONS(2008),
    [anon_sym_LT_LT] = ACTIONS(2008),
    [anon_sym_SLASH_SLASH] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_STAR] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2008),
    [anon_sym_BANG] = ACTIONS(2008),
    [anon_sym_PLUS_PLUS] = ACTIONS(2008),
    [anon_sym_DASH_DASH] = ACTIONS(2008),
    [anon_sym_BSLASH] = ACTIONS(2006),
    [anon_sym_do] = ACTIONS(2008),
    [anon_sym_eval] = ACTIONS(2008),
    [anon_sym_await] = ACTIONS(2008),
    [anon_sym_field] = ACTIONS(2008),
    [anon_sym_local] = ACTIONS(2008),
    [anon_sym_dynamically] = ACTIONS(2008),
    [anon_sym_require] = ACTIONS(2008),
    [anon_sym_map] = ACTIONS(2008),
    [anon_sym_grep] = ACTIONS(2008),
    [anon_sym_sort] = ACTIONS(2008),
    [anon_sym_goto] = ACTIONS(2008),
    [anon_sym_return] = ACTIONS(2008),
    [anon_sym_undef] = ACTIONS(2008),
    [anon_sym_PERCENT2] = ACTIONS(2008),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2008),
    [anon_sym_use] = ACTIONS(2008),
    [anon_sym_no] = ACTIONS(2008),
    [anon_sym_for] = ACTIONS(2008),
    [anon_sym_foreach] = ACTIONS(2008),
    [anon_sym_last] = ACTIONS(2008),
    [anon_sym_next] = ACTIONS(2008),
    [anon_sym_redo] = ACTIONS(2008),
    [anon_sym_BEGIN] = ACTIONS(2008),
    [anon_sym_INIT] = ACTIONS(2008),
    [anon_sym_CHECK] = ACTIONS(2008),
    [anon_sym_UNITCHECK] = ACTIONS(2008),
    [anon_sym_END] = ACTIONS(2008),
    [anon_sym___FILE__] = ACTIONS(2008),
    [anon_sym___LINE__] = ACTIONS(2008),
    [anon_sym___PACKAGE__] = ACTIONS(2008),
    [anon_sym___SUB__] = ACTIONS(2008),
    [anon_sym_break] = ACTIONS(2008),
    [anon_sym_fork] = ACTIONS(2008),
    [anon_sym_getppid] = ACTIONS(2008),
    [anon_sym_time] = ACTIONS(2008),
    [anon_sym_times] = ACTIONS(2008),
    [anon_sym_wait] = ACTIONS(2008),
    [anon_sym_wantarray] = ACTIONS(2008),
    [anon_sym_abs] = ACTIONS(2008),
    [anon_sym_alarm] = ACTIONS(2008),
    [anon_sym_chop] = ACTIONS(2008),
    [anon_sym_chdir] = ACTIONS(2008),
    [anon_sym_close] = ACTIONS(2008),
    [anon_sym_closedir] = ACTIONS(2008),
    [anon_sym_caller] = ACTIONS(2008),
    [anon_sym_chomp] = ACTIONS(2008),
    [anon_sym_chr] = ACTIONS(2008),
    [anon_sym_cos] = ACTIONS(2008),
    [anon_sym_chroot] = ACTIONS(2008),
    [anon_sym_defined] = ACTIONS(2008),
    [anon_sym_delete] = ACTIONS(2008),
    [anon_sym_dbmclose] = ACTIONS(2008),
    [anon_sym_exists] = ACTIONS(2008),
    [anon_sym_exit] = ACTIONS(2008),
    [anon_sym_eof] = ACTIONS(2008),
    [anon_sym_exp] = ACTIONS(2008),
    [anon_sym_each] = ACTIONS(2008),
    [anon_sym_fc] = ACTIONS(2008),
    [anon_sym_fileno] = ACTIONS(2008),
    [anon_sym_gmtime] = ACTIONS(2008),
    [anon_sym_getc] = ACTIONS(2008),
    [anon_sym_getpgrp] = ACTIONS(2008),
    [anon_sym_getprotobyname] = ACTIONS(2008),
    [anon_sym_getpwname] = ACTIONS(2008),
    [anon_sym_getpwuid] = ACTIONS(2008),
    [anon_sym_getpeername] = ACTIONS(2008),
    [anon_sym_getnetbyname] = ACTIONS(2008),
    [anon_sym_getsockname] = ACTIONS(2008),
    [anon_sym_getgrnam] = ACTIONS(2008),
    [anon_sym_getgrgid] = ACTIONS(2008),
    [anon_sym_hex] = ACTIONS(2008),
    [anon_sym_int] = ACTIONS(2008),
    [anon_sym_keys] = ACTIONS(2008),
    [anon_sym_lc] = ACTIONS(2008),
    [anon_sym_lcfirst] = ACTIONS(2008),
    [anon_sym_length] = ACTIONS(2008),
    [anon_sym_localtime] = ACTIONS(2008),
    [anon_sym_log] = ACTIONS(2008),
    [anon_sym_lock] = ACTIONS(2008),
    [anon_sym_lstat] = ACTIONS(2008),
    [anon_sym_oct] = ACTIONS(2008),
    [anon_sym_ord] = ACTIONS(2008),
    [anon_sym_prototype] = ACTIONS(2008),
    [anon_sym_pop] = ACTIONS(2008),
    [anon_sym_pos] = ACTIONS(2008),
    [anon_sym_quotemeta] = ACTIONS(2008),
    [anon_sym_reset] = ACTIONS(2008),
    [anon_sym_rand] = ACTIONS(2008),
    [anon_sym_rmdir] = ACTIONS(2008),
    [anon_sym_readdir] = ACTIONS(2008),
    [anon_sym_readline] = ACTIONS(2008),
    [anon_sym_readpipe] = ACTIONS(2008),
    [anon_sym_rewinddir] = ACTIONS(2008),
    [anon_sym_readlink] = ACTIONS(2008),
    [anon_sym_ref] = ACTIONS(2008),
    [anon_sym_scalar] = ACTIONS(2008),
    [anon_sym_shift] = ACTIONS(2008),
    [anon_sym_sin] = ACTIONS(2008),
    [anon_sym_sleep] = ACTIONS(2008),
    [anon_sym_sqrt] = ACTIONS(2008),
    [anon_sym_srand] = ACTIONS(2008),
    [anon_sym_stat] = ACTIONS(2008),
    [anon_sym_study] = ACTIONS(2008),
    [anon_sym_tell] = ACTIONS(2008),
    [anon_sym_telldir] = ACTIONS(2008),
    [anon_sym_tied] = ACTIONS(2008),
    [anon_sym_uc] = ACTIONS(2008),
    [anon_sym_ucfirst] = ACTIONS(2008),
    [anon_sym_untie] = ACTIONS(2008),
    [anon_sym_umask] = ACTIONS(2008),
    [anon_sym_values] = ACTIONS(2008),
    [anon_sym_write] = ACTIONS(2008),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2008),
    [anon_sym___END__] = ACTIONS(2008),
    [anon_sym_EOT] = ACTIONS(2008),
    [anon_sym_q] = ACTIONS(2008),
    [anon_sym_qq] = ACTIONS(2008),
    [anon_sym_qw] = ACTIONS(2008),
    [anon_sym_qx] = ACTIONS(2008),
    [anon_sym_qr] = ACTIONS(2008),
    [anon_sym_m] = ACTIONS(2008),
    [anon_sym_s] = ACTIONS(2008),
    [anon_sym_tr] = ACTIONS(2008),
    [anon_sym_y] = ACTIONS(2008),
    [anon_sym_if] = ACTIONS(2008),
    [anon_sym_unless] = ACTIONS(2008),
    [anon_sym_while] = ACTIONS(2008),
    [anon_sym_until] = ACTIONS(2008),
    [aux_sym__bareword_token1] = ACTIONS(2008),
    [sym_number] = ACTIONS(2008),
    [anon_sym_true] = ACTIONS(2008),
    [anon_sym_false] = ACTIONS(2008),
    [sym__single_quote] = ACTIONS(2006),
    [sym__double_quote] = ACTIONS(2006),
    [sym__backtick_quote] = ACTIONS(2006),
    [sym__search_slash_quote] = ACTIONS(2006),
    [sym__PERLY_HEREDOC] = ACTIONS(2006),
    [sym__ctrl_z_hack] = ACTIONS(2006),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2006),
    [sym__filetest] = ACTIONS(2006),
  },
  [834] = {
    [sym_heredoc_content] = STATE(834),
    [ts_builtin_sym_end] = ACTIONS(2010),
    [sym__identifier] = ACTIONS(2012),
    [anon_sym_LBRACE] = ACTIONS(2012),
    [anon_sym_SEMI] = ACTIONS(2012),
    [anon_sym_package] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2012),
    [anon_sym_role] = ACTIONS(2012),
    [anon_sym_BUILD] = ACTIONS(2012),
    [anon_sym_ADJUST] = ACTIONS(2012),
    [anon_sym_DOLLAR] = ACTIONS(2012),
    [anon_sym_AT] = ACTIONS(2012),
    [anon_sym_my] = ACTIONS(2012),
    [anon_sym_extended] = ACTIONS(2012),
    [anon_sym_async] = ACTIONS(2012),
    [anon_sym_sub] = ACTIONS(2012),
    [anon_sym_method] = ACTIONS(2012),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_continue] = ACTIONS(2012),
    [anon_sym_state] = ACTIONS(2012),
    [anon_sym_our] = ACTIONS(2012),
    [anon_sym_try] = ACTIONS(2012),
    [anon_sym_defer] = ACTIONS(2012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2012),
    [anon_sym_LBRACK] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(2012),
    [anon_sym_LT_LT] = ACTIONS(2012),
    [anon_sym_SLASH_SLASH] = ACTIONS(2012),
    [anon_sym_PLUS] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2012),
    [anon_sym_STAR] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(2012),
    [anon_sym_DASH_DASH] = ACTIONS(2012),
    [anon_sym_BSLASH] = ACTIONS(2010),
    [anon_sym_do] = ACTIONS(2012),
    [anon_sym_eval] = ACTIONS(2012),
    [anon_sym_await] = ACTIONS(2012),
    [anon_sym_field] = ACTIONS(2012),
    [anon_sym_local] = ACTIONS(2012),
    [anon_sym_dynamically] = ACTIONS(2012),
    [anon_sym_require] = ACTIONS(2012),
    [anon_sym_map] = ACTIONS(2012),
    [anon_sym_grep] = ACTIONS(2012),
    [anon_sym_sort] = ACTIONS(2012),
    [anon_sym_goto] = ACTIONS(2012),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_undef] = ACTIONS(2012),
    [anon_sym_PERCENT2] = ACTIONS(2012),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2012),
    [anon_sym_use] = ACTIONS(2012),
    [anon_sym_no] = ACTIONS(2012),
    [anon_sym_for] = ACTIONS(2012),
    [anon_sym_foreach] = ACTIONS(2012),
    [anon_sym_last] = ACTIONS(2012),
    [anon_sym_next] = ACTIONS(2012),
    [anon_sym_redo] = ACTIONS(2012),
    [anon_sym_BEGIN] = ACTIONS(2012),
    [anon_sym_INIT] = ACTIONS(2012),
    [anon_sym_CHECK] = ACTIONS(2012),
    [anon_sym_UNITCHECK] = ACTIONS(2012),
    [anon_sym_END] = ACTIONS(2012),
    [anon_sym___FILE__] = ACTIONS(2012),
    [anon_sym___LINE__] = ACTIONS(2012),
    [anon_sym___PACKAGE__] = ACTIONS(2012),
    [anon_sym___SUB__] = ACTIONS(2012),
    [anon_sym_break] = ACTIONS(2012),
    [anon_sym_fork] = ACTIONS(2012),
    [anon_sym_getppid] = ACTIONS(2012),
    [anon_sym_time] = ACTIONS(2012),
    [anon_sym_times] = ACTIONS(2012),
    [anon_sym_wait] = ACTIONS(2012),
    [anon_sym_wantarray] = ACTIONS(2012),
    [anon_sym_abs] = ACTIONS(2012),
    [anon_sym_alarm] = ACTIONS(2012),
    [anon_sym_chop] = ACTIONS(2012),
    [anon_sym_chdir] = ACTIONS(2012),
    [anon_sym_close] = ACTIONS(2012),
    [anon_sym_closedir] = ACTIONS(2012),
    [anon_sym_caller] = ACTIONS(2012),
    [anon_sym_chomp] = ACTIONS(2012),
    [anon_sym_chr] = ACTIONS(2012),
    [anon_sym_cos] = ACTIONS(2012),
    [anon_sym_chroot] = ACTIONS(2012),
    [anon_sym_defined] = ACTIONS(2012),
    [anon_sym_delete] = ACTIONS(2012),
    [anon_sym_dbmclose] = ACTIONS(2012),
    [anon_sym_exists] = ACTIONS(2012),
    [anon_sym_exit] = ACTIONS(2012),
    [anon_sym_eof] = ACTIONS(2012),
    [anon_sym_exp] = ACTIONS(2012),
    [anon_sym_each] = ACTIONS(2012),
    [anon_sym_fc] = ACTIONS(2012),
    [anon_sym_fileno] = ACTIONS(2012),
    [anon_sym_gmtime] = ACTIONS(2012),
    [anon_sym_getc] = ACTIONS(2012),
    [anon_sym_getpgrp] = ACTIONS(2012),
    [anon_sym_getprotobyname] = ACTIONS(2012),
    [anon_sym_getpwname] = ACTIONS(2012),
    [anon_sym_getpwuid] = ACTIONS(2012),
    [anon_sym_getpeername] = ACTIONS(2012),
    [anon_sym_getnetbyname] = ACTIONS(2012),
    [anon_sym_getsockname] = ACTIONS(2012),
    [anon_sym_getgrnam] = ACTIONS(2012),
    [anon_sym_getgrgid] = ACTIONS(2012),
    [anon_sym_hex] = ACTIONS(2012),
    [anon_sym_int] = ACTIONS(2012),
    [anon_sym_keys] = ACTIONS(2012),
    [anon_sym_lc] = ACTIONS(2012),
    [anon_sym_lcfirst] = ACTIONS(2012),
    [anon_sym_length] = ACTIONS(2012),
    [anon_sym_localtime] = ACTIONS(2012),
    [anon_sym_log] = ACTIONS(2012),
    [anon_sym_lock] = ACTIONS(2012),
    [anon_sym_lstat] = ACTIONS(2012),
    [anon_sym_oct] = ACTIONS(2012),
    [anon_sym_ord] = ACTIONS(2012),
    [anon_sym_prototype] = ACTIONS(2012),
    [anon_sym_pop] = ACTIONS(2012),
    [anon_sym_pos] = ACTIONS(2012),
    [anon_sym_quotemeta] = ACTIONS(2012),
    [anon_sym_reset] = ACTIONS(2012),
    [anon_sym_rand] = ACTIONS(2012),
    [anon_sym_rmdir] = ACTIONS(2012),
    [anon_sym_readdir] = ACTIONS(2012),
    [anon_sym_readline] = ACTIONS(2012),
    [anon_sym_readpipe] = ACTIONS(2012),
    [anon_sym_rewinddir] = ACTIONS(2012),
    [anon_sym_readlink] = ACTIONS(2012),
    [anon_sym_ref] = ACTIONS(2012),
    [anon_sym_scalar] = ACTIONS(2012),
    [anon_sym_shift] = ACTIONS(2012),
    [anon_sym_sin] = ACTIONS(2012),
    [anon_sym_sleep] = ACTIONS(2012),
    [anon_sym_sqrt] = ACTIONS(2012),
    [anon_sym_srand] = ACTIONS(2012),
    [anon_sym_stat] = ACTIONS(2012),
    [anon_sym_study] = ACTIONS(2012),
    [anon_sym_tell] = ACTIONS(2012),
    [anon_sym_telldir] = ACTIONS(2012),
    [anon_sym_tied] = ACTIONS(2012),
    [anon_sym_uc] = ACTIONS(2012),
    [anon_sym_ucfirst] = ACTIONS(2012),
    [anon_sym_untie] = ACTIONS(2012),
    [anon_sym_umask] = ACTIONS(2012),
    [anon_sym_values] = ACTIONS(2012),
    [anon_sym_write] = ACTIONS(2012),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2012),
    [anon_sym___END__] = ACTIONS(2012),
    [anon_sym_EOT] = ACTIONS(2012),
    [anon_sym_q] = ACTIONS(2012),
    [anon_sym_qq] = ACTIONS(2012),
    [anon_sym_qw] = ACTIONS(2012),
    [anon_sym_qx] = ACTIONS(2012),
    [anon_sym_qr] = ACTIONS(2012),
    [anon_sym_m] = ACTIONS(2012),
    [anon_sym_s] = ACTIONS(2012),
    [anon_sym_tr] = ACTIONS(2012),
    [anon_sym_y] = ACTIONS(2012),
    [anon_sym_if] = ACTIONS(2012),
    [anon_sym_unless] = ACTIONS(2012),
    [anon_sym_while] = ACTIONS(2012),
    [anon_sym_until] = ACTIONS(2012),
    [aux_sym__bareword_token1] = ACTIONS(2012),
    [sym_number] = ACTIONS(2012),
    [anon_sym_true] = ACTIONS(2012),
    [anon_sym_false] = ACTIONS(2012),
    [sym__single_quote] = ACTIONS(2010),
    [sym__double_quote] = ACTIONS(2010),
    [sym__backtick_quote] = ACTIONS(2010),
    [sym__search_slash_quote] = ACTIONS(2010),
    [sym__PERLY_HEREDOC] = ACTIONS(2010),
    [sym__ctrl_z_hack] = ACTIONS(2010),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2010),
    [sym__filetest] = ACTIONS(2010),
  },
  [835] = {
    [sym_heredoc_content] = STATE(835),
    [ts_builtin_sym_end] = ACTIONS(2014),
    [sym__identifier] = ACTIONS(2016),
    [anon_sym_LBRACE] = ACTIONS(2016),
    [anon_sym_SEMI] = ACTIONS(2016),
    [anon_sym_package] = ACTIONS(2016),
    [anon_sym_class] = ACTIONS(2016),
    [anon_sym_role] = ACTIONS(2016),
    [anon_sym_BUILD] = ACTIONS(2016),
    [anon_sym_ADJUST] = ACTIONS(2016),
    [anon_sym_DOLLAR] = ACTIONS(2016),
    [anon_sym_AT] = ACTIONS(2016),
    [anon_sym_my] = ACTIONS(2016),
    [anon_sym_extended] = ACTIONS(2016),
    [anon_sym_async] = ACTIONS(2016),
    [anon_sym_sub] = ACTIONS(2016),
    [anon_sym_method] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(2016),
    [anon_sym_continue] = ACTIONS(2016),
    [anon_sym_state] = ACTIONS(2016),
    [anon_sym_our] = ACTIONS(2016),
    [anon_sym_try] = ACTIONS(2016),
    [anon_sym_defer] = ACTIONS(2016),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(2016),
    [anon_sym_LT] = ACTIONS(2016),
    [anon_sym_LT_LT] = ACTIONS(2016),
    [anon_sym_SLASH_SLASH] = ACTIONS(2016),
    [anon_sym_PLUS] = ACTIONS(2016),
    [anon_sym_DASH] = ACTIONS(2016),
    [anon_sym_STAR] = ACTIONS(2016),
    [anon_sym_TILDE] = ACTIONS(2016),
    [anon_sym_BANG] = ACTIONS(2016),
    [anon_sym_PLUS_PLUS] = ACTIONS(2016),
    [anon_sym_DASH_DASH] = ACTIONS(2016),
    [anon_sym_BSLASH] = ACTIONS(2014),
    [anon_sym_do] = ACTIONS(2016),
    [anon_sym_eval] = ACTIONS(2016),
    [anon_sym_await] = ACTIONS(2016),
    [anon_sym_field] = ACTIONS(2016),
    [anon_sym_local] = ACTIONS(2016),
    [anon_sym_dynamically] = ACTIONS(2016),
    [anon_sym_require] = ACTIONS(2016),
    [anon_sym_map] = ACTIONS(2016),
    [anon_sym_grep] = ACTIONS(2016),
    [anon_sym_sort] = ACTIONS(2016),
    [anon_sym_goto] = ACTIONS(2016),
    [anon_sym_return] = ACTIONS(2016),
    [anon_sym_undef] = ACTIONS(2016),
    [anon_sym_PERCENT2] = ACTIONS(2016),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2016),
    [anon_sym_use] = ACTIONS(2016),
    [anon_sym_no] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2016),
    [anon_sym_foreach] = ACTIONS(2016),
    [anon_sym_last] = ACTIONS(2016),
    [anon_sym_next] = ACTIONS(2016),
    [anon_sym_redo] = ACTIONS(2016),
    [anon_sym_BEGIN] = ACTIONS(2016),
    [anon_sym_INIT] = ACTIONS(2016),
    [anon_sym_CHECK] = ACTIONS(2016),
    [anon_sym_UNITCHECK] = ACTIONS(2016),
    [anon_sym_END] = ACTIONS(2016),
    [anon_sym___FILE__] = ACTIONS(2016),
    [anon_sym___LINE__] = ACTIONS(2016),
    [anon_sym___PACKAGE__] = ACTIONS(2016),
    [anon_sym___SUB__] = ACTIONS(2016),
    [anon_sym_break] = ACTIONS(2016),
    [anon_sym_fork] = ACTIONS(2016),
    [anon_sym_getppid] = ACTIONS(2016),
    [anon_sym_time] = ACTIONS(2016),
    [anon_sym_times] = ACTIONS(2016),
    [anon_sym_wait] = ACTIONS(2016),
    [anon_sym_wantarray] = ACTIONS(2016),
    [anon_sym_abs] = ACTIONS(2016),
    [anon_sym_alarm] = ACTIONS(2016),
    [anon_sym_chop] = ACTIONS(2016),
    [anon_sym_chdir] = ACTIONS(2016),
    [anon_sym_close] = ACTIONS(2016),
    [anon_sym_closedir] = ACTIONS(2016),
    [anon_sym_caller] = ACTIONS(2016),
    [anon_sym_chomp] = ACTIONS(2016),
    [anon_sym_chr] = ACTIONS(2016),
    [anon_sym_cos] = ACTIONS(2016),
    [anon_sym_chroot] = ACTIONS(2016),
    [anon_sym_defined] = ACTIONS(2016),
    [anon_sym_delete] = ACTIONS(2016),
    [anon_sym_dbmclose] = ACTIONS(2016),
    [anon_sym_exists] = ACTIONS(2016),
    [anon_sym_exit] = ACTIONS(2016),
    [anon_sym_eof] = ACTIONS(2016),
    [anon_sym_exp] = ACTIONS(2016),
    [anon_sym_each] = ACTIONS(2016),
    [anon_sym_fc] = ACTIONS(2016),
    [anon_sym_fileno] = ACTIONS(2016),
    [anon_sym_gmtime] = ACTIONS(2016),
    [anon_sym_getc] = ACTIONS(2016),
    [anon_sym_getpgrp] = ACTIONS(2016),
    [anon_sym_getprotobyname] = ACTIONS(2016),
    [anon_sym_getpwname] = ACTIONS(2016),
    [anon_sym_getpwuid] = ACTIONS(2016),
    [anon_sym_getpeername] = ACTIONS(2016),
    [anon_sym_getnetbyname] = ACTIONS(2016),
    [anon_sym_getsockname] = ACTIONS(2016),
    [anon_sym_getgrnam] = ACTIONS(2016),
    [anon_sym_getgrgid] = ACTIONS(2016),
    [anon_sym_hex] = ACTIONS(2016),
    [anon_sym_int] = ACTIONS(2016),
    [anon_sym_keys] = ACTIONS(2016),
    [anon_sym_lc] = ACTIONS(2016),
    [anon_sym_lcfirst] = ACTIONS(2016),
    [anon_sym_length] = ACTIONS(2016),
    [anon_sym_localtime] = ACTIONS(2016),
    [anon_sym_log] = ACTIONS(2016),
    [anon_sym_lock] = ACTIONS(2016),
    [anon_sym_lstat] = ACTIONS(2016),
    [anon_sym_oct] = ACTIONS(2016),
    [anon_sym_ord] = ACTIONS(2016),
    [anon_sym_prototype] = ACTIONS(2016),
    [anon_sym_pop] = ACTIONS(2016),
    [anon_sym_pos] = ACTIONS(2016),
    [anon_sym_quotemeta] = ACTIONS(2016),
    [anon_sym_reset] = ACTIONS(2016),
    [anon_sym_rand] = ACTIONS(2016),
    [anon_sym_rmdir] = ACTIONS(2016),
    [anon_sym_readdir] = ACTIONS(2016),
    [anon_sym_readline] = ACTIONS(2016),
    [anon_sym_readpipe] = ACTIONS(2016),
    [anon_sym_rewinddir] = ACTIONS(2016),
    [anon_sym_readlink] = ACTIONS(2016),
    [anon_sym_ref] = ACTIONS(2016),
    [anon_sym_scalar] = ACTIONS(2016),
    [anon_sym_shift] = ACTIONS(2016),
    [anon_sym_sin] = ACTIONS(2016),
    [anon_sym_sleep] = ACTIONS(2016),
    [anon_sym_sqrt] = ACTIONS(2016),
    [anon_sym_srand] = ACTIONS(2016),
    [anon_sym_stat] = ACTIONS(2016),
    [anon_sym_study] = ACTIONS(2016),
    [anon_sym_tell] = ACTIONS(2016),
    [anon_sym_telldir] = ACTIONS(2016),
    [anon_sym_tied] = ACTIONS(2016),
    [anon_sym_uc] = ACTIONS(2016),
    [anon_sym_ucfirst] = ACTIONS(2016),
    [anon_sym_untie] = ACTIONS(2016),
    [anon_sym_umask] = ACTIONS(2016),
    [anon_sym_values] = ACTIONS(2016),
    [anon_sym_write] = ACTIONS(2016),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2016),
    [anon_sym___END__] = ACTIONS(2016),
    [anon_sym_EOT] = ACTIONS(2016),
    [anon_sym_q] = ACTIONS(2016),
    [anon_sym_qq] = ACTIONS(2016),
    [anon_sym_qw] = ACTIONS(2016),
    [anon_sym_qx] = ACTIONS(2016),
    [anon_sym_qr] = ACTIONS(2016),
    [anon_sym_m] = ACTIONS(2016),
    [anon_sym_s] = ACTIONS(2016),
    [anon_sym_tr] = ACTIONS(2016),
    [anon_sym_y] = ACTIONS(2016),
    [anon_sym_if] = ACTIONS(2016),
    [anon_sym_unless] = ACTIONS(2016),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_until] = ACTIONS(2016),
    [aux_sym__bareword_token1] = ACTIONS(2016),
    [sym_number] = ACTIONS(2016),
    [anon_sym_true] = ACTIONS(2016),
    [anon_sym_false] = ACTIONS(2016),
    [sym__single_quote] = ACTIONS(2014),
    [sym__double_quote] = ACTIONS(2014),
    [sym__backtick_quote] = ACTIONS(2014),
    [sym__search_slash_quote] = ACTIONS(2014),
    [sym__PERLY_HEREDOC] = ACTIONS(2014),
    [sym__ctrl_z_hack] = ACTIONS(2014),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2014),
    [sym__filetest] = ACTIONS(2014),
  },
  [836] = {
    [sym_heredoc_content] = STATE(836),
    [ts_builtin_sym_end] = ACTIONS(2018),
    [sym__identifier] = ACTIONS(2020),
    [anon_sym_LBRACE] = ACTIONS(2020),
    [anon_sym_SEMI] = ACTIONS(2020),
    [anon_sym_package] = ACTIONS(2020),
    [anon_sym_class] = ACTIONS(2020),
    [anon_sym_role] = ACTIONS(2020),
    [anon_sym_BUILD] = ACTIONS(2020),
    [anon_sym_ADJUST] = ACTIONS(2020),
    [anon_sym_DOLLAR] = ACTIONS(2020),
    [anon_sym_AT] = ACTIONS(2020),
    [anon_sym_my] = ACTIONS(2020),
    [anon_sym_extended] = ACTIONS(2020),
    [anon_sym_async] = ACTIONS(2020),
    [anon_sym_sub] = ACTIONS(2020),
    [anon_sym_method] = ACTIONS(2020),
    [anon_sym_LPAREN] = ACTIONS(2020),
    [anon_sym_continue] = ACTIONS(2020),
    [anon_sym_state] = ACTIONS(2020),
    [anon_sym_our] = ACTIONS(2020),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_defer] = ACTIONS(2020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2020),
    [anon_sym_LBRACK] = ACTIONS(2020),
    [anon_sym_LT] = ACTIONS(2020),
    [anon_sym_LT_LT] = ACTIONS(2020),
    [anon_sym_SLASH_SLASH] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2020),
    [anon_sym_DASH] = ACTIONS(2020),
    [anon_sym_STAR] = ACTIONS(2020),
    [anon_sym_TILDE] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_BSLASH] = ACTIONS(2018),
    [anon_sym_do] = ACTIONS(2020),
    [anon_sym_eval] = ACTIONS(2020),
    [anon_sym_await] = ACTIONS(2020),
    [anon_sym_field] = ACTIONS(2020),
    [anon_sym_local] = ACTIONS(2020),
    [anon_sym_dynamically] = ACTIONS(2020),
    [anon_sym_require] = ACTIONS(2020),
    [anon_sym_map] = ACTIONS(2020),
    [anon_sym_grep] = ACTIONS(2020),
    [anon_sym_sort] = ACTIONS(2020),
    [anon_sym_goto] = ACTIONS(2020),
    [anon_sym_return] = ACTIONS(2020),
    [anon_sym_undef] = ACTIONS(2020),
    [anon_sym_PERCENT2] = ACTIONS(2020),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2020),
    [anon_sym_use] = ACTIONS(2020),
    [anon_sym_no] = ACTIONS(2020),
    [anon_sym_for] = ACTIONS(2020),
    [anon_sym_foreach] = ACTIONS(2020),
    [anon_sym_last] = ACTIONS(2020),
    [anon_sym_next] = ACTIONS(2020),
    [anon_sym_redo] = ACTIONS(2020),
    [anon_sym_BEGIN] = ACTIONS(2020),
    [anon_sym_INIT] = ACTIONS(2020),
    [anon_sym_CHECK] = ACTIONS(2020),
    [anon_sym_UNITCHECK] = ACTIONS(2020),
    [anon_sym_END] = ACTIONS(2020),
    [anon_sym___FILE__] = ACTIONS(2020),
    [anon_sym___LINE__] = ACTIONS(2020),
    [anon_sym___PACKAGE__] = ACTIONS(2020),
    [anon_sym___SUB__] = ACTIONS(2020),
    [anon_sym_break] = ACTIONS(2020),
    [anon_sym_fork] = ACTIONS(2020),
    [anon_sym_getppid] = ACTIONS(2020),
    [anon_sym_time] = ACTIONS(2020),
    [anon_sym_times] = ACTIONS(2020),
    [anon_sym_wait] = ACTIONS(2020),
    [anon_sym_wantarray] = ACTIONS(2020),
    [anon_sym_abs] = ACTIONS(2020),
    [anon_sym_alarm] = ACTIONS(2020),
    [anon_sym_chop] = ACTIONS(2020),
    [anon_sym_chdir] = ACTIONS(2020),
    [anon_sym_close] = ACTIONS(2020),
    [anon_sym_closedir] = ACTIONS(2020),
    [anon_sym_caller] = ACTIONS(2020),
    [anon_sym_chomp] = ACTIONS(2020),
    [anon_sym_chr] = ACTIONS(2020),
    [anon_sym_cos] = ACTIONS(2020),
    [anon_sym_chroot] = ACTIONS(2020),
    [anon_sym_defined] = ACTIONS(2020),
    [anon_sym_delete] = ACTIONS(2020),
    [anon_sym_dbmclose] = ACTIONS(2020),
    [anon_sym_exists] = ACTIONS(2020),
    [anon_sym_exit] = ACTIONS(2020),
    [anon_sym_eof] = ACTIONS(2020),
    [anon_sym_exp] = ACTIONS(2020),
    [anon_sym_each] = ACTIONS(2020),
    [anon_sym_fc] = ACTIONS(2020),
    [anon_sym_fileno] = ACTIONS(2020),
    [anon_sym_gmtime] = ACTIONS(2020),
    [anon_sym_getc] = ACTIONS(2020),
    [anon_sym_getpgrp] = ACTIONS(2020),
    [anon_sym_getprotobyname] = ACTIONS(2020),
    [anon_sym_getpwname] = ACTIONS(2020),
    [anon_sym_getpwuid] = ACTIONS(2020),
    [anon_sym_getpeername] = ACTIONS(2020),
    [anon_sym_getnetbyname] = ACTIONS(2020),
    [anon_sym_getsockname] = ACTIONS(2020),
    [anon_sym_getgrnam] = ACTIONS(2020),
    [anon_sym_getgrgid] = ACTIONS(2020),
    [anon_sym_hex] = ACTIONS(2020),
    [anon_sym_int] = ACTIONS(2020),
    [anon_sym_keys] = ACTIONS(2020),
    [anon_sym_lc] = ACTIONS(2020),
    [anon_sym_lcfirst] = ACTIONS(2020),
    [anon_sym_length] = ACTIONS(2020),
    [anon_sym_localtime] = ACTIONS(2020),
    [anon_sym_log] = ACTIONS(2020),
    [anon_sym_lock] = ACTIONS(2020),
    [anon_sym_lstat] = ACTIONS(2020),
    [anon_sym_oct] = ACTIONS(2020),
    [anon_sym_ord] = ACTIONS(2020),
    [anon_sym_prototype] = ACTIONS(2020),
    [anon_sym_pop] = ACTIONS(2020),
    [anon_sym_pos] = ACTIONS(2020),
    [anon_sym_quotemeta] = ACTIONS(2020),
    [anon_sym_reset] = ACTIONS(2020),
    [anon_sym_rand] = ACTIONS(2020),
    [anon_sym_rmdir] = ACTIONS(2020),
    [anon_sym_readdir] = ACTIONS(2020),
    [anon_sym_readline] = ACTIONS(2020),
    [anon_sym_readpipe] = ACTIONS(2020),
    [anon_sym_rewinddir] = ACTIONS(2020),
    [anon_sym_readlink] = ACTIONS(2020),
    [anon_sym_ref] = ACTIONS(2020),
    [anon_sym_scalar] = ACTIONS(2020),
    [anon_sym_shift] = ACTIONS(2020),
    [anon_sym_sin] = ACTIONS(2020),
    [anon_sym_sleep] = ACTIONS(2020),
    [anon_sym_sqrt] = ACTIONS(2020),
    [anon_sym_srand] = ACTIONS(2020),
    [anon_sym_stat] = ACTIONS(2020),
    [anon_sym_study] = ACTIONS(2020),
    [anon_sym_tell] = ACTIONS(2020),
    [anon_sym_telldir] = ACTIONS(2020),
    [anon_sym_tied] = ACTIONS(2020),
    [anon_sym_uc] = ACTIONS(2020),
    [anon_sym_ucfirst] = ACTIONS(2020),
    [anon_sym_untie] = ACTIONS(2020),
    [anon_sym_umask] = ACTIONS(2020),
    [anon_sym_values] = ACTIONS(2020),
    [anon_sym_write] = ACTIONS(2020),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2020),
    [anon_sym___END__] = ACTIONS(2020),
    [anon_sym_EOT] = ACTIONS(2020),
    [anon_sym_q] = ACTIONS(2020),
    [anon_sym_qq] = ACTIONS(2020),
    [anon_sym_qw] = ACTIONS(2020),
    [anon_sym_qx] = ACTIONS(2020),
    [anon_sym_qr] = ACTIONS(2020),
    [anon_sym_m] = ACTIONS(2020),
    [anon_sym_s] = ACTIONS(2020),
    [anon_sym_tr] = ACTIONS(2020),
    [anon_sym_y] = ACTIONS(2020),
    [anon_sym_if] = ACTIONS(2020),
    [anon_sym_unless] = ACTIONS(2020),
    [anon_sym_while] = ACTIONS(2020),
    [anon_sym_until] = ACTIONS(2020),
    [aux_sym__bareword_token1] = ACTIONS(2020),
    [sym_number] = ACTIONS(2020),
    [anon_sym_true] = ACTIONS(2020),
    [anon_sym_false] = ACTIONS(2020),
    [sym__single_quote] = ACTIONS(2018),
    [sym__double_quote] = ACTIONS(2018),
    [sym__backtick_quote] = ACTIONS(2018),
    [sym__search_slash_quote] = ACTIONS(2018),
    [sym__PERLY_HEREDOC] = ACTIONS(2018),
    [sym__ctrl_z_hack] = ACTIONS(2018),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2018),
    [sym__filetest] = ACTIONS(2018),
  },
  [837] = {
    [sym_heredoc_content] = STATE(837),
    [ts_builtin_sym_end] = ACTIONS(2022),
    [sym__identifier] = ACTIONS(2024),
    [anon_sym_LBRACE] = ACTIONS(2024),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_package] = ACTIONS(2024),
    [anon_sym_class] = ACTIONS(2024),
    [anon_sym_role] = ACTIONS(2024),
    [anon_sym_BUILD] = ACTIONS(2024),
    [anon_sym_ADJUST] = ACTIONS(2024),
    [anon_sym_DOLLAR] = ACTIONS(2024),
    [anon_sym_AT] = ACTIONS(2024),
    [anon_sym_my] = ACTIONS(2024),
    [anon_sym_extended] = ACTIONS(2024),
    [anon_sym_async] = ACTIONS(2024),
    [anon_sym_sub] = ACTIONS(2024),
    [anon_sym_method] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(2024),
    [anon_sym_continue] = ACTIONS(2024),
    [anon_sym_state] = ACTIONS(2024),
    [anon_sym_our] = ACTIONS(2024),
    [anon_sym_try] = ACTIONS(2024),
    [anon_sym_defer] = ACTIONS(2024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2024),
    [anon_sym_LBRACK] = ACTIONS(2024),
    [anon_sym_LT] = ACTIONS(2024),
    [anon_sym_LT_LT] = ACTIONS(2024),
    [anon_sym_SLASH_SLASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2024),
    [anon_sym_TILDE] = ACTIONS(2024),
    [anon_sym_BANG] = ACTIONS(2024),
    [anon_sym_PLUS_PLUS] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2024),
    [anon_sym_BSLASH] = ACTIONS(2022),
    [anon_sym_do] = ACTIONS(2024),
    [anon_sym_eval] = ACTIONS(2024),
    [anon_sym_await] = ACTIONS(2024),
    [anon_sym_field] = ACTIONS(2024),
    [anon_sym_local] = ACTIONS(2024),
    [anon_sym_dynamically] = ACTIONS(2024),
    [anon_sym_require] = ACTIONS(2024),
    [anon_sym_map] = ACTIONS(2024),
    [anon_sym_grep] = ACTIONS(2024),
    [anon_sym_sort] = ACTIONS(2024),
    [anon_sym_goto] = ACTIONS(2024),
    [anon_sym_return] = ACTIONS(2024),
    [anon_sym_undef] = ACTIONS(2024),
    [anon_sym_PERCENT2] = ACTIONS(2024),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2024),
    [anon_sym_use] = ACTIONS(2024),
    [anon_sym_no] = ACTIONS(2024),
    [anon_sym_for] = ACTIONS(2024),
    [anon_sym_foreach] = ACTIONS(2024),
    [anon_sym_last] = ACTIONS(2024),
    [anon_sym_next] = ACTIONS(2024),
    [anon_sym_redo] = ACTIONS(2024),
    [anon_sym_BEGIN] = ACTIONS(2024),
    [anon_sym_INIT] = ACTIONS(2024),
    [anon_sym_CHECK] = ACTIONS(2024),
    [anon_sym_UNITCHECK] = ACTIONS(2024),
    [anon_sym_END] = ACTIONS(2024),
    [anon_sym___FILE__] = ACTIONS(2024),
    [anon_sym___LINE__] = ACTIONS(2024),
    [anon_sym___PACKAGE__] = ACTIONS(2024),
    [anon_sym___SUB__] = ACTIONS(2024),
    [anon_sym_break] = ACTIONS(2024),
    [anon_sym_fork] = ACTIONS(2024),
    [anon_sym_getppid] = ACTIONS(2024),
    [anon_sym_time] = ACTIONS(2024),
    [anon_sym_times] = ACTIONS(2024),
    [anon_sym_wait] = ACTIONS(2024),
    [anon_sym_wantarray] = ACTIONS(2024),
    [anon_sym_abs] = ACTIONS(2024),
    [anon_sym_alarm] = ACTIONS(2024),
    [anon_sym_chop] = ACTIONS(2024),
    [anon_sym_chdir] = ACTIONS(2024),
    [anon_sym_close] = ACTIONS(2024),
    [anon_sym_closedir] = ACTIONS(2024),
    [anon_sym_caller] = ACTIONS(2024),
    [anon_sym_chomp] = ACTIONS(2024),
    [anon_sym_chr] = ACTIONS(2024),
    [anon_sym_cos] = ACTIONS(2024),
    [anon_sym_chroot] = ACTIONS(2024),
    [anon_sym_defined] = ACTIONS(2024),
    [anon_sym_delete] = ACTIONS(2024),
    [anon_sym_dbmclose] = ACTIONS(2024),
    [anon_sym_exists] = ACTIONS(2024),
    [anon_sym_exit] = ACTIONS(2024),
    [anon_sym_eof] = ACTIONS(2024),
    [anon_sym_exp] = ACTIONS(2024),
    [anon_sym_each] = ACTIONS(2024),
    [anon_sym_fc] = ACTIONS(2024),
    [anon_sym_fileno] = ACTIONS(2024),
    [anon_sym_gmtime] = ACTIONS(2024),
    [anon_sym_getc] = ACTIONS(2024),
    [anon_sym_getpgrp] = ACTIONS(2024),
    [anon_sym_getprotobyname] = ACTIONS(2024),
    [anon_sym_getpwname] = ACTIONS(2024),
    [anon_sym_getpwuid] = ACTIONS(2024),
    [anon_sym_getpeername] = ACTIONS(2024),
    [anon_sym_getnetbyname] = ACTIONS(2024),
    [anon_sym_getsockname] = ACTIONS(2024),
    [anon_sym_getgrnam] = ACTIONS(2024),
    [anon_sym_getgrgid] = ACTIONS(2024),
    [anon_sym_hex] = ACTIONS(2024),
    [anon_sym_int] = ACTIONS(2024),
    [anon_sym_keys] = ACTIONS(2024),
    [anon_sym_lc] = ACTIONS(2024),
    [anon_sym_lcfirst] = ACTIONS(2024),
    [anon_sym_length] = ACTIONS(2024),
    [anon_sym_localtime] = ACTIONS(2024),
    [anon_sym_log] = ACTIONS(2024),
    [anon_sym_lock] = ACTIONS(2024),
    [anon_sym_lstat] = ACTIONS(2024),
    [anon_sym_oct] = ACTIONS(2024),
    [anon_sym_ord] = ACTIONS(2024),
    [anon_sym_prototype] = ACTIONS(2024),
    [anon_sym_pop] = ACTIONS(2024),
    [anon_sym_pos] = ACTIONS(2024),
    [anon_sym_quotemeta] = ACTIONS(2024),
    [anon_sym_reset] = ACTIONS(2024),
    [anon_sym_rand] = ACTIONS(2024),
    [anon_sym_rmdir] = ACTIONS(2024),
    [anon_sym_readdir] = ACTIONS(2024),
    [anon_sym_readline] = ACTIONS(2024),
    [anon_sym_readpipe] = ACTIONS(2024),
    [anon_sym_rewinddir] = ACTIONS(2024),
    [anon_sym_readlink] = ACTIONS(2024),
    [anon_sym_ref] = ACTIONS(2024),
    [anon_sym_scalar] = ACTIONS(2024),
    [anon_sym_shift] = ACTIONS(2024),
    [anon_sym_sin] = ACTIONS(2024),
    [anon_sym_sleep] = ACTIONS(2024),
    [anon_sym_sqrt] = ACTIONS(2024),
    [anon_sym_srand] = ACTIONS(2024),
    [anon_sym_stat] = ACTIONS(2024),
    [anon_sym_study] = ACTIONS(2024),
    [anon_sym_tell] = ACTIONS(2024),
    [anon_sym_telldir] = ACTIONS(2024),
    [anon_sym_tied] = ACTIONS(2024),
    [anon_sym_uc] = ACTIONS(2024),
    [anon_sym_ucfirst] = ACTIONS(2024),
    [anon_sym_untie] = ACTIONS(2024),
    [anon_sym_umask] = ACTIONS(2024),
    [anon_sym_values] = ACTIONS(2024),
    [anon_sym_write] = ACTIONS(2024),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2024),
    [anon_sym___END__] = ACTIONS(2024),
    [anon_sym_EOT] = ACTIONS(2024),
    [anon_sym_q] = ACTIONS(2024),
    [anon_sym_qq] = ACTIONS(2024),
    [anon_sym_qw] = ACTIONS(2024),
    [anon_sym_qx] = ACTIONS(2024),
    [anon_sym_qr] = ACTIONS(2024),
    [anon_sym_m] = ACTIONS(2024),
    [anon_sym_s] = ACTIONS(2024),
    [anon_sym_tr] = ACTIONS(2024),
    [anon_sym_y] = ACTIONS(2024),
    [anon_sym_if] = ACTIONS(2024),
    [anon_sym_unless] = ACTIONS(2024),
    [anon_sym_while] = ACTIONS(2024),
    [anon_sym_until] = ACTIONS(2024),
    [aux_sym__bareword_token1] = ACTIONS(2024),
    [sym_number] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2024),
    [anon_sym_false] = ACTIONS(2024),
    [sym__single_quote] = ACTIONS(2022),
    [sym__double_quote] = ACTIONS(2022),
    [sym__backtick_quote] = ACTIONS(2022),
    [sym__search_slash_quote] = ACTIONS(2022),
    [sym__PERLY_HEREDOC] = ACTIONS(2022),
    [sym__ctrl_z_hack] = ACTIONS(2022),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2022),
    [sym__filetest] = ACTIONS(2022),
  },
  [838] = {
    [sym_heredoc_content] = STATE(838),
    [ts_builtin_sym_end] = ACTIONS(2026),
    [sym__identifier] = ACTIONS(2028),
    [anon_sym_LBRACE] = ACTIONS(2028),
    [anon_sym_SEMI] = ACTIONS(2028),
    [anon_sym_package] = ACTIONS(2028),
    [anon_sym_class] = ACTIONS(2028),
    [anon_sym_role] = ACTIONS(2028),
    [anon_sym_BUILD] = ACTIONS(2028),
    [anon_sym_ADJUST] = ACTIONS(2028),
    [anon_sym_DOLLAR] = ACTIONS(2028),
    [anon_sym_AT] = ACTIONS(2028),
    [anon_sym_my] = ACTIONS(2028),
    [anon_sym_extended] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2028),
    [anon_sym_sub] = ACTIONS(2028),
    [anon_sym_method] = ACTIONS(2028),
    [anon_sym_LPAREN] = ACTIONS(2028),
    [anon_sym_continue] = ACTIONS(2028),
    [anon_sym_state] = ACTIONS(2028),
    [anon_sym_our] = ACTIONS(2028),
    [anon_sym_try] = ACTIONS(2028),
    [anon_sym_defer] = ACTIONS(2028),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2028),
    [anon_sym_LT] = ACTIONS(2028),
    [anon_sym_LT_LT] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2028),
    [anon_sym_DASH] = ACTIONS(2028),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_BANG] = ACTIONS(2028),
    [anon_sym_PLUS_PLUS] = ACTIONS(2028),
    [anon_sym_DASH_DASH] = ACTIONS(2028),
    [anon_sym_BSLASH] = ACTIONS(2026),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_eval] = ACTIONS(2028),
    [anon_sym_await] = ACTIONS(2028),
    [anon_sym_field] = ACTIONS(2028),
    [anon_sym_local] = ACTIONS(2028),
    [anon_sym_dynamically] = ACTIONS(2028),
    [anon_sym_require] = ACTIONS(2028),
    [anon_sym_map] = ACTIONS(2028),
    [anon_sym_grep] = ACTIONS(2028),
    [anon_sym_sort] = ACTIONS(2028),
    [anon_sym_goto] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2028),
    [anon_sym_undef] = ACTIONS(2028),
    [anon_sym_PERCENT2] = ACTIONS(2028),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2028),
    [anon_sym_use] = ACTIONS(2028),
    [anon_sym_no] = ACTIONS(2028),
    [anon_sym_for] = ACTIONS(2028),
    [anon_sym_foreach] = ACTIONS(2028),
    [anon_sym_last] = ACTIONS(2028),
    [anon_sym_next] = ACTIONS(2028),
    [anon_sym_redo] = ACTIONS(2028),
    [anon_sym_BEGIN] = ACTIONS(2028),
    [anon_sym_INIT] = ACTIONS(2028),
    [anon_sym_CHECK] = ACTIONS(2028),
    [anon_sym_UNITCHECK] = ACTIONS(2028),
    [anon_sym_END] = ACTIONS(2028),
    [anon_sym___FILE__] = ACTIONS(2028),
    [anon_sym___LINE__] = ACTIONS(2028),
    [anon_sym___PACKAGE__] = ACTIONS(2028),
    [anon_sym___SUB__] = ACTIONS(2028),
    [anon_sym_break] = ACTIONS(2028),
    [anon_sym_fork] = ACTIONS(2028),
    [anon_sym_getppid] = ACTIONS(2028),
    [anon_sym_time] = ACTIONS(2028),
    [anon_sym_times] = ACTIONS(2028),
    [anon_sym_wait] = ACTIONS(2028),
    [anon_sym_wantarray] = ACTIONS(2028),
    [anon_sym_abs] = ACTIONS(2028),
    [anon_sym_alarm] = ACTIONS(2028),
    [anon_sym_chop] = ACTIONS(2028),
    [anon_sym_chdir] = ACTIONS(2028),
    [anon_sym_close] = ACTIONS(2028),
    [anon_sym_closedir] = ACTIONS(2028),
    [anon_sym_caller] = ACTIONS(2028),
    [anon_sym_chomp] = ACTIONS(2028),
    [anon_sym_chr] = ACTIONS(2028),
    [anon_sym_cos] = ACTIONS(2028),
    [anon_sym_chroot] = ACTIONS(2028),
    [anon_sym_defined] = ACTIONS(2028),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_dbmclose] = ACTIONS(2028),
    [anon_sym_exists] = ACTIONS(2028),
    [anon_sym_exit] = ACTIONS(2028),
    [anon_sym_eof] = ACTIONS(2028),
    [anon_sym_exp] = ACTIONS(2028),
    [anon_sym_each] = ACTIONS(2028),
    [anon_sym_fc] = ACTIONS(2028),
    [anon_sym_fileno] = ACTIONS(2028),
    [anon_sym_gmtime] = ACTIONS(2028),
    [anon_sym_getc] = ACTIONS(2028),
    [anon_sym_getpgrp] = ACTIONS(2028),
    [anon_sym_getprotobyname] = ACTIONS(2028),
    [anon_sym_getpwname] = ACTIONS(2028),
    [anon_sym_getpwuid] = ACTIONS(2028),
    [anon_sym_getpeername] = ACTIONS(2028),
    [anon_sym_getnetbyname] = ACTIONS(2028),
    [anon_sym_getsockname] = ACTIONS(2028),
    [anon_sym_getgrnam] = ACTIONS(2028),
    [anon_sym_getgrgid] = ACTIONS(2028),
    [anon_sym_hex] = ACTIONS(2028),
    [anon_sym_int] = ACTIONS(2028),
    [anon_sym_keys] = ACTIONS(2028),
    [anon_sym_lc] = ACTIONS(2028),
    [anon_sym_lcfirst] = ACTIONS(2028),
    [anon_sym_length] = ACTIONS(2028),
    [anon_sym_localtime] = ACTIONS(2028),
    [anon_sym_log] = ACTIONS(2028),
    [anon_sym_lock] = ACTIONS(2028),
    [anon_sym_lstat] = ACTIONS(2028),
    [anon_sym_oct] = ACTIONS(2028),
    [anon_sym_ord] = ACTIONS(2028),
    [anon_sym_prototype] = ACTIONS(2028),
    [anon_sym_pop] = ACTIONS(2028),
    [anon_sym_pos] = ACTIONS(2028),
    [anon_sym_quotemeta] = ACTIONS(2028),
    [anon_sym_reset] = ACTIONS(2028),
    [anon_sym_rand] = ACTIONS(2028),
    [anon_sym_rmdir] = ACTIONS(2028),
    [anon_sym_readdir] = ACTIONS(2028),
    [anon_sym_readline] = ACTIONS(2028),
    [anon_sym_readpipe] = ACTIONS(2028),
    [anon_sym_rewinddir] = ACTIONS(2028),
    [anon_sym_readlink] = ACTIONS(2028),
    [anon_sym_ref] = ACTIONS(2028),
    [anon_sym_scalar] = ACTIONS(2028),
    [anon_sym_shift] = ACTIONS(2028),
    [anon_sym_sin] = ACTIONS(2028),
    [anon_sym_sleep] = ACTIONS(2028),
    [anon_sym_sqrt] = ACTIONS(2028),
    [anon_sym_srand] = ACTIONS(2028),
    [anon_sym_stat] = ACTIONS(2028),
    [anon_sym_study] = ACTIONS(2028),
    [anon_sym_tell] = ACTIONS(2028),
    [anon_sym_telldir] = ACTIONS(2028),
    [anon_sym_tied] = ACTIONS(2028),
    [anon_sym_uc] = ACTIONS(2028),
    [anon_sym_ucfirst] = ACTIONS(2028),
    [anon_sym_untie] = ACTIONS(2028),
    [anon_sym_umask] = ACTIONS(2028),
    [anon_sym_values] = ACTIONS(2028),
    [anon_sym_write] = ACTIONS(2028),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2028),
    [anon_sym___END__] = ACTIONS(2028),
    [anon_sym_EOT] = ACTIONS(2028),
    [anon_sym_q] = ACTIONS(2028),
    [anon_sym_qq] = ACTIONS(2028),
    [anon_sym_qw] = ACTIONS(2028),
    [anon_sym_qx] = ACTIONS(2028),
    [anon_sym_qr] = ACTIONS(2028),
    [anon_sym_m] = ACTIONS(2028),
    [anon_sym_s] = ACTIONS(2028),
    [anon_sym_tr] = ACTIONS(2028),
    [anon_sym_y] = ACTIONS(2028),
    [anon_sym_if] = ACTIONS(2028),
    [anon_sym_unless] = ACTIONS(2028),
    [anon_sym_while] = ACTIONS(2028),
    [anon_sym_until] = ACTIONS(2028),
    [aux_sym__bareword_token1] = ACTIONS(2028),
    [sym_number] = ACTIONS(2028),
    [anon_sym_true] = ACTIONS(2028),
    [anon_sym_false] = ACTIONS(2028),
    [sym__single_quote] = ACTIONS(2026),
    [sym__double_quote] = ACTIONS(2026),
    [sym__backtick_quote] = ACTIONS(2026),
    [sym__search_slash_quote] = ACTIONS(2026),
    [sym__PERLY_HEREDOC] = ACTIONS(2026),
    [sym__ctrl_z_hack] = ACTIONS(2026),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2026),
    [sym__filetest] = ACTIONS(2026),
  },
  [839] = {
    [sym_heredoc_content] = STATE(839),
    [ts_builtin_sym_end] = ACTIONS(2030),
    [sym__identifier] = ACTIONS(2032),
    [anon_sym_LBRACE] = ACTIONS(2032),
    [anon_sym_SEMI] = ACTIONS(2032),
    [anon_sym_package] = ACTIONS(2032),
    [anon_sym_class] = ACTIONS(2032),
    [anon_sym_role] = ACTIONS(2032),
    [anon_sym_BUILD] = ACTIONS(2032),
    [anon_sym_ADJUST] = ACTIONS(2032),
    [anon_sym_DOLLAR] = ACTIONS(2032),
    [anon_sym_AT] = ACTIONS(2032),
    [anon_sym_my] = ACTIONS(2032),
    [anon_sym_extended] = ACTIONS(2032),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_sub] = ACTIONS(2032),
    [anon_sym_method] = ACTIONS(2032),
    [anon_sym_LPAREN] = ACTIONS(2032),
    [anon_sym_continue] = ACTIONS(2032),
    [anon_sym_state] = ACTIONS(2032),
    [anon_sym_our] = ACTIONS(2032),
    [anon_sym_try] = ACTIONS(2032),
    [anon_sym_defer] = ACTIONS(2032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2032),
    [anon_sym_LBRACK] = ACTIONS(2032),
    [anon_sym_LT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_SLASH_SLASH] = ACTIONS(2032),
    [anon_sym_PLUS] = ACTIONS(2032),
    [anon_sym_DASH] = ACTIONS(2032),
    [anon_sym_STAR] = ACTIONS(2032),
    [anon_sym_TILDE] = ACTIONS(2032),
    [anon_sym_BANG] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_BSLASH] = ACTIONS(2030),
    [anon_sym_do] = ACTIONS(2032),
    [anon_sym_eval] = ACTIONS(2032),
    [anon_sym_await] = ACTIONS(2032),
    [anon_sym_field] = ACTIONS(2032),
    [anon_sym_local] = ACTIONS(2032),
    [anon_sym_dynamically] = ACTIONS(2032),
    [anon_sym_require] = ACTIONS(2032),
    [anon_sym_map] = ACTIONS(2032),
    [anon_sym_grep] = ACTIONS(2032),
    [anon_sym_sort] = ACTIONS(2032),
    [anon_sym_goto] = ACTIONS(2032),
    [anon_sym_return] = ACTIONS(2032),
    [anon_sym_undef] = ACTIONS(2032),
    [anon_sym_PERCENT2] = ACTIONS(2032),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2032),
    [anon_sym_use] = ACTIONS(2032),
    [anon_sym_no] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_foreach] = ACTIONS(2032),
    [anon_sym_last] = ACTIONS(2032),
    [anon_sym_next] = ACTIONS(2032),
    [anon_sym_redo] = ACTIONS(2032),
    [anon_sym_BEGIN] = ACTIONS(2032),
    [anon_sym_INIT] = ACTIONS(2032),
    [anon_sym_CHECK] = ACTIONS(2032),
    [anon_sym_UNITCHECK] = ACTIONS(2032),
    [anon_sym_END] = ACTIONS(2032),
    [anon_sym___FILE__] = ACTIONS(2032),
    [anon_sym___LINE__] = ACTIONS(2032),
    [anon_sym___PACKAGE__] = ACTIONS(2032),
    [anon_sym___SUB__] = ACTIONS(2032),
    [anon_sym_break] = ACTIONS(2032),
    [anon_sym_fork] = ACTIONS(2032),
    [anon_sym_getppid] = ACTIONS(2032),
    [anon_sym_time] = ACTIONS(2032),
    [anon_sym_times] = ACTIONS(2032),
    [anon_sym_wait] = ACTIONS(2032),
    [anon_sym_wantarray] = ACTIONS(2032),
    [anon_sym_abs] = ACTIONS(2032),
    [anon_sym_alarm] = ACTIONS(2032),
    [anon_sym_chop] = ACTIONS(2032),
    [anon_sym_chdir] = ACTIONS(2032),
    [anon_sym_close] = ACTIONS(2032),
    [anon_sym_closedir] = ACTIONS(2032),
    [anon_sym_caller] = ACTIONS(2032),
    [anon_sym_chomp] = ACTIONS(2032),
    [anon_sym_chr] = ACTIONS(2032),
    [anon_sym_cos] = ACTIONS(2032),
    [anon_sym_chroot] = ACTIONS(2032),
    [anon_sym_defined] = ACTIONS(2032),
    [anon_sym_delete] = ACTIONS(2032),
    [anon_sym_dbmclose] = ACTIONS(2032),
    [anon_sym_exists] = ACTIONS(2032),
    [anon_sym_exit] = ACTIONS(2032),
    [anon_sym_eof] = ACTIONS(2032),
    [anon_sym_exp] = ACTIONS(2032),
    [anon_sym_each] = ACTIONS(2032),
    [anon_sym_fc] = ACTIONS(2032),
    [anon_sym_fileno] = ACTIONS(2032),
    [anon_sym_gmtime] = ACTIONS(2032),
    [anon_sym_getc] = ACTIONS(2032),
    [anon_sym_getpgrp] = ACTIONS(2032),
    [anon_sym_getprotobyname] = ACTIONS(2032),
    [anon_sym_getpwname] = ACTIONS(2032),
    [anon_sym_getpwuid] = ACTIONS(2032),
    [anon_sym_getpeername] = ACTIONS(2032),
    [anon_sym_getnetbyname] = ACTIONS(2032),
    [anon_sym_getsockname] = ACTIONS(2032),
    [anon_sym_getgrnam] = ACTIONS(2032),
    [anon_sym_getgrgid] = ACTIONS(2032),
    [anon_sym_hex] = ACTIONS(2032),
    [anon_sym_int] = ACTIONS(2032),
    [anon_sym_keys] = ACTIONS(2032),
    [anon_sym_lc] = ACTIONS(2032),
    [anon_sym_lcfirst] = ACTIONS(2032),
    [anon_sym_length] = ACTIONS(2032),
    [anon_sym_localtime] = ACTIONS(2032),
    [anon_sym_log] = ACTIONS(2032),
    [anon_sym_lock] = ACTIONS(2032),
    [anon_sym_lstat] = ACTIONS(2032),
    [anon_sym_oct] = ACTIONS(2032),
    [anon_sym_ord] = ACTIONS(2032),
    [anon_sym_prototype] = ACTIONS(2032),
    [anon_sym_pop] = ACTIONS(2032),
    [anon_sym_pos] = ACTIONS(2032),
    [anon_sym_quotemeta] = ACTIONS(2032),
    [anon_sym_reset] = ACTIONS(2032),
    [anon_sym_rand] = ACTIONS(2032),
    [anon_sym_rmdir] = ACTIONS(2032),
    [anon_sym_readdir] = ACTIONS(2032),
    [anon_sym_readline] = ACTIONS(2032),
    [anon_sym_readpipe] = ACTIONS(2032),
    [anon_sym_rewinddir] = ACTIONS(2032),
    [anon_sym_readlink] = ACTIONS(2032),
    [anon_sym_ref] = ACTIONS(2032),
    [anon_sym_scalar] = ACTIONS(2032),
    [anon_sym_shift] = ACTIONS(2032),
    [anon_sym_sin] = ACTIONS(2032),
    [anon_sym_sleep] = ACTIONS(2032),
    [anon_sym_sqrt] = ACTIONS(2032),
    [anon_sym_srand] = ACTIONS(2032),
    [anon_sym_stat] = ACTIONS(2032),
    [anon_sym_study] = ACTIONS(2032),
    [anon_sym_tell] = ACTIONS(2032),
    [anon_sym_telldir] = ACTIONS(2032),
    [anon_sym_tied] = ACTIONS(2032),
    [anon_sym_uc] = ACTIONS(2032),
    [anon_sym_ucfirst] = ACTIONS(2032),
    [anon_sym_untie] = ACTIONS(2032),
    [anon_sym_umask] = ACTIONS(2032),
    [anon_sym_values] = ACTIONS(2032),
    [anon_sym_write] = ACTIONS(2032),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2032),
    [anon_sym___END__] = ACTIONS(2032),
    [anon_sym_EOT] = ACTIONS(2032),
    [anon_sym_q] = ACTIONS(2032),
    [anon_sym_qq] = ACTIONS(2032),
    [anon_sym_qw] = ACTIONS(2032),
    [anon_sym_qx] = ACTIONS(2032),
    [anon_sym_qr] = ACTIONS(2032),
    [anon_sym_m] = ACTIONS(2032),
    [anon_sym_s] = ACTIONS(2032),
    [anon_sym_tr] = ACTIONS(2032),
    [anon_sym_y] = ACTIONS(2032),
    [anon_sym_if] = ACTIONS(2032),
    [anon_sym_unless] = ACTIONS(2032),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_until] = ACTIONS(2032),
    [aux_sym__bareword_token1] = ACTIONS(2032),
    [sym_number] = ACTIONS(2032),
    [anon_sym_true] = ACTIONS(2032),
    [anon_sym_false] = ACTIONS(2032),
    [sym__single_quote] = ACTIONS(2030),
    [sym__double_quote] = ACTIONS(2030),
    [sym__backtick_quote] = ACTIONS(2030),
    [sym__search_slash_quote] = ACTIONS(2030),
    [sym__PERLY_HEREDOC] = ACTIONS(2030),
    [sym__ctrl_z_hack] = ACTIONS(2030),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2030),
    [sym__filetest] = ACTIONS(2030),
  },
  [840] = {
    [sym_heredoc_content] = STATE(840),
    [ts_builtin_sym_end] = ACTIONS(2034),
    [sym__identifier] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym_SEMI] = ACTIONS(2036),
    [anon_sym_package] = ACTIONS(2036),
    [anon_sym_class] = ACTIONS(2036),
    [anon_sym_role] = ACTIONS(2036),
    [anon_sym_BUILD] = ACTIONS(2036),
    [anon_sym_ADJUST] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2036),
    [anon_sym_AT] = ACTIONS(2036),
    [anon_sym_my] = ACTIONS(2036),
    [anon_sym_extended] = ACTIONS(2036),
    [anon_sym_async] = ACTIONS(2036),
    [anon_sym_sub] = ACTIONS(2036),
    [anon_sym_method] = ACTIONS(2036),
    [anon_sym_LPAREN] = ACTIONS(2036),
    [anon_sym_continue] = ACTIONS(2036),
    [anon_sym_state] = ACTIONS(2036),
    [anon_sym_our] = ACTIONS(2036),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_defer] = ACTIONS(2036),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_LBRACK] = ACTIONS(2036),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_LT_LT] = ACTIONS(2036),
    [anon_sym_SLASH_SLASH] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(2036),
    [anon_sym_TILDE] = ACTIONS(2036),
    [anon_sym_BANG] = ACTIONS(2036),
    [anon_sym_PLUS_PLUS] = ACTIONS(2036),
    [anon_sym_DASH_DASH] = ACTIONS(2036),
    [anon_sym_BSLASH] = ACTIONS(2034),
    [anon_sym_do] = ACTIONS(2036),
    [anon_sym_eval] = ACTIONS(2036),
    [anon_sym_await] = ACTIONS(2036),
    [anon_sym_field] = ACTIONS(2036),
    [anon_sym_local] = ACTIONS(2036),
    [anon_sym_dynamically] = ACTIONS(2036),
    [anon_sym_require] = ACTIONS(2036),
    [anon_sym_map] = ACTIONS(2036),
    [anon_sym_grep] = ACTIONS(2036),
    [anon_sym_sort] = ACTIONS(2036),
    [anon_sym_goto] = ACTIONS(2036),
    [anon_sym_return] = ACTIONS(2036),
    [anon_sym_undef] = ACTIONS(2036),
    [anon_sym_PERCENT2] = ACTIONS(2036),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2036),
    [anon_sym_no] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2036),
    [anon_sym_foreach] = ACTIONS(2036),
    [anon_sym_last] = ACTIONS(2036),
    [anon_sym_next] = ACTIONS(2036),
    [anon_sym_redo] = ACTIONS(2036),
    [anon_sym_BEGIN] = ACTIONS(2036),
    [anon_sym_INIT] = ACTIONS(2036),
    [anon_sym_CHECK] = ACTIONS(2036),
    [anon_sym_UNITCHECK] = ACTIONS(2036),
    [anon_sym_END] = ACTIONS(2036),
    [anon_sym___FILE__] = ACTIONS(2036),
    [anon_sym___LINE__] = ACTIONS(2036),
    [anon_sym___PACKAGE__] = ACTIONS(2036),
    [anon_sym___SUB__] = ACTIONS(2036),
    [anon_sym_break] = ACTIONS(2036),
    [anon_sym_fork] = ACTIONS(2036),
    [anon_sym_getppid] = ACTIONS(2036),
    [anon_sym_time] = ACTIONS(2036),
    [anon_sym_times] = ACTIONS(2036),
    [anon_sym_wait] = ACTIONS(2036),
    [anon_sym_wantarray] = ACTIONS(2036),
    [anon_sym_abs] = ACTIONS(2036),
    [anon_sym_alarm] = ACTIONS(2036),
    [anon_sym_chop] = ACTIONS(2036),
    [anon_sym_chdir] = ACTIONS(2036),
    [anon_sym_close] = ACTIONS(2036),
    [anon_sym_closedir] = ACTIONS(2036),
    [anon_sym_caller] = ACTIONS(2036),
    [anon_sym_chomp] = ACTIONS(2036),
    [anon_sym_chr] = ACTIONS(2036),
    [anon_sym_cos] = ACTIONS(2036),
    [anon_sym_chroot] = ACTIONS(2036),
    [anon_sym_defined] = ACTIONS(2036),
    [anon_sym_delete] = ACTIONS(2036),
    [anon_sym_dbmclose] = ACTIONS(2036),
    [anon_sym_exists] = ACTIONS(2036),
    [anon_sym_exit] = ACTIONS(2036),
    [anon_sym_eof] = ACTIONS(2036),
    [anon_sym_exp] = ACTIONS(2036),
    [anon_sym_each] = ACTIONS(2036),
    [anon_sym_fc] = ACTIONS(2036),
    [anon_sym_fileno] = ACTIONS(2036),
    [anon_sym_gmtime] = ACTIONS(2036),
    [anon_sym_getc] = ACTIONS(2036),
    [anon_sym_getpgrp] = ACTIONS(2036),
    [anon_sym_getprotobyname] = ACTIONS(2036),
    [anon_sym_getpwname] = ACTIONS(2036),
    [anon_sym_getpwuid] = ACTIONS(2036),
    [anon_sym_getpeername] = ACTIONS(2036),
    [anon_sym_getnetbyname] = ACTIONS(2036),
    [anon_sym_getsockname] = ACTIONS(2036),
    [anon_sym_getgrnam] = ACTIONS(2036),
    [anon_sym_getgrgid] = ACTIONS(2036),
    [anon_sym_hex] = ACTIONS(2036),
    [anon_sym_int] = ACTIONS(2036),
    [anon_sym_keys] = ACTIONS(2036),
    [anon_sym_lc] = ACTIONS(2036),
    [anon_sym_lcfirst] = ACTIONS(2036),
    [anon_sym_length] = ACTIONS(2036),
    [anon_sym_localtime] = ACTIONS(2036),
    [anon_sym_log] = ACTIONS(2036),
    [anon_sym_lock] = ACTIONS(2036),
    [anon_sym_lstat] = ACTIONS(2036),
    [anon_sym_oct] = ACTIONS(2036),
    [anon_sym_ord] = ACTIONS(2036),
    [anon_sym_prototype] = ACTIONS(2036),
    [anon_sym_pop] = ACTIONS(2036),
    [anon_sym_pos] = ACTIONS(2036),
    [anon_sym_quotemeta] = ACTIONS(2036),
    [anon_sym_reset] = ACTIONS(2036),
    [anon_sym_rand] = ACTIONS(2036),
    [anon_sym_rmdir] = ACTIONS(2036),
    [anon_sym_readdir] = ACTIONS(2036),
    [anon_sym_readline] = ACTIONS(2036),
    [anon_sym_readpipe] = ACTIONS(2036),
    [anon_sym_rewinddir] = ACTIONS(2036),
    [anon_sym_readlink] = ACTIONS(2036),
    [anon_sym_ref] = ACTIONS(2036),
    [anon_sym_scalar] = ACTIONS(2036),
    [anon_sym_shift] = ACTIONS(2036),
    [anon_sym_sin] = ACTIONS(2036),
    [anon_sym_sleep] = ACTIONS(2036),
    [anon_sym_sqrt] = ACTIONS(2036),
    [anon_sym_srand] = ACTIONS(2036),
    [anon_sym_stat] = ACTIONS(2036),
    [anon_sym_study] = ACTIONS(2036),
    [anon_sym_tell] = ACTIONS(2036),
    [anon_sym_telldir] = ACTIONS(2036),
    [anon_sym_tied] = ACTIONS(2036),
    [anon_sym_uc] = ACTIONS(2036),
    [anon_sym_ucfirst] = ACTIONS(2036),
    [anon_sym_untie] = ACTIONS(2036),
    [anon_sym_umask] = ACTIONS(2036),
    [anon_sym_values] = ACTIONS(2036),
    [anon_sym_write] = ACTIONS(2036),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2036),
    [anon_sym___END__] = ACTIONS(2036),
    [anon_sym_EOT] = ACTIONS(2036),
    [anon_sym_q] = ACTIONS(2036),
    [anon_sym_qq] = ACTIONS(2036),
    [anon_sym_qw] = ACTIONS(2036),
    [anon_sym_qx] = ACTIONS(2036),
    [anon_sym_qr] = ACTIONS(2036),
    [anon_sym_m] = ACTIONS(2036),
    [anon_sym_s] = ACTIONS(2036),
    [anon_sym_tr] = ACTIONS(2036),
    [anon_sym_y] = ACTIONS(2036),
    [anon_sym_if] = ACTIONS(2036),
    [anon_sym_unless] = ACTIONS(2036),
    [anon_sym_while] = ACTIONS(2036),
    [anon_sym_until] = ACTIONS(2036),
    [aux_sym__bareword_token1] = ACTIONS(2036),
    [sym_number] = ACTIONS(2036),
    [anon_sym_true] = ACTIONS(2036),
    [anon_sym_false] = ACTIONS(2036),
    [sym__single_quote] = ACTIONS(2034),
    [sym__double_quote] = ACTIONS(2034),
    [sym__backtick_quote] = ACTIONS(2034),
    [sym__search_slash_quote] = ACTIONS(2034),
    [sym__PERLY_HEREDOC] = ACTIONS(2034),
    [sym__ctrl_z_hack] = ACTIONS(2034),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2034),
    [sym__filetest] = ACTIONS(2034),
  },
  [841] = {
    [sym_heredoc_content] = STATE(841),
    [ts_builtin_sym_end] = ACTIONS(2038),
    [sym__identifier] = ACTIONS(2040),
    [anon_sym_LBRACE] = ACTIONS(2040),
    [anon_sym_SEMI] = ACTIONS(2040),
    [anon_sym_package] = ACTIONS(2040),
    [anon_sym_class] = ACTIONS(2040),
    [anon_sym_role] = ACTIONS(2040),
    [anon_sym_BUILD] = ACTIONS(2040),
    [anon_sym_ADJUST] = ACTIONS(2040),
    [anon_sym_DOLLAR] = ACTIONS(2040),
    [anon_sym_AT] = ACTIONS(2040),
    [anon_sym_my] = ACTIONS(2040),
    [anon_sym_extended] = ACTIONS(2040),
    [anon_sym_async] = ACTIONS(2040),
    [anon_sym_sub] = ACTIONS(2040),
    [anon_sym_method] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2040),
    [anon_sym_continue] = ACTIONS(2040),
    [anon_sym_state] = ACTIONS(2040),
    [anon_sym_our] = ACTIONS(2040),
    [anon_sym_try] = ACTIONS(2040),
    [anon_sym_defer] = ACTIONS(2040),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2040),
    [anon_sym_LBRACK] = ACTIONS(2040),
    [anon_sym_LT] = ACTIONS(2040),
    [anon_sym_LT_LT] = ACTIONS(2040),
    [anon_sym_SLASH_SLASH] = ACTIONS(2040),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2040),
    [anon_sym_STAR] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [anon_sym_BSLASH] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2040),
    [anon_sym_eval] = ACTIONS(2040),
    [anon_sym_await] = ACTIONS(2040),
    [anon_sym_field] = ACTIONS(2040),
    [anon_sym_local] = ACTIONS(2040),
    [anon_sym_dynamically] = ACTIONS(2040),
    [anon_sym_require] = ACTIONS(2040),
    [anon_sym_map] = ACTIONS(2040),
    [anon_sym_grep] = ACTIONS(2040),
    [anon_sym_sort] = ACTIONS(2040),
    [anon_sym_goto] = ACTIONS(2040),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_undef] = ACTIONS(2040),
    [anon_sym_PERCENT2] = ACTIONS(2040),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2040),
    [anon_sym_use] = ACTIONS(2040),
    [anon_sym_no] = ACTIONS(2040),
    [anon_sym_for] = ACTIONS(2040),
    [anon_sym_foreach] = ACTIONS(2040),
    [anon_sym_last] = ACTIONS(2040),
    [anon_sym_next] = ACTIONS(2040),
    [anon_sym_redo] = ACTIONS(2040),
    [anon_sym_BEGIN] = ACTIONS(2040),
    [anon_sym_INIT] = ACTIONS(2040),
    [anon_sym_CHECK] = ACTIONS(2040),
    [anon_sym_UNITCHECK] = ACTIONS(2040),
    [anon_sym_END] = ACTIONS(2040),
    [anon_sym___FILE__] = ACTIONS(2040),
    [anon_sym___LINE__] = ACTIONS(2040),
    [anon_sym___PACKAGE__] = ACTIONS(2040),
    [anon_sym___SUB__] = ACTIONS(2040),
    [anon_sym_break] = ACTIONS(2040),
    [anon_sym_fork] = ACTIONS(2040),
    [anon_sym_getppid] = ACTIONS(2040),
    [anon_sym_time] = ACTIONS(2040),
    [anon_sym_times] = ACTIONS(2040),
    [anon_sym_wait] = ACTIONS(2040),
    [anon_sym_wantarray] = ACTIONS(2040),
    [anon_sym_abs] = ACTIONS(2040),
    [anon_sym_alarm] = ACTIONS(2040),
    [anon_sym_chop] = ACTIONS(2040),
    [anon_sym_chdir] = ACTIONS(2040),
    [anon_sym_close] = ACTIONS(2040),
    [anon_sym_closedir] = ACTIONS(2040),
    [anon_sym_caller] = ACTIONS(2040),
    [anon_sym_chomp] = ACTIONS(2040),
    [anon_sym_chr] = ACTIONS(2040),
    [anon_sym_cos] = ACTIONS(2040),
    [anon_sym_chroot] = ACTIONS(2040),
    [anon_sym_defined] = ACTIONS(2040),
    [anon_sym_delete] = ACTIONS(2040),
    [anon_sym_dbmclose] = ACTIONS(2040),
    [anon_sym_exists] = ACTIONS(2040),
    [anon_sym_exit] = ACTIONS(2040),
    [anon_sym_eof] = ACTIONS(2040),
    [anon_sym_exp] = ACTIONS(2040),
    [anon_sym_each] = ACTIONS(2040),
    [anon_sym_fc] = ACTIONS(2040),
    [anon_sym_fileno] = ACTIONS(2040),
    [anon_sym_gmtime] = ACTIONS(2040),
    [anon_sym_getc] = ACTIONS(2040),
    [anon_sym_getpgrp] = ACTIONS(2040),
    [anon_sym_getprotobyname] = ACTIONS(2040),
    [anon_sym_getpwname] = ACTIONS(2040),
    [anon_sym_getpwuid] = ACTIONS(2040),
    [anon_sym_getpeername] = ACTIONS(2040),
    [anon_sym_getnetbyname] = ACTIONS(2040),
    [anon_sym_getsockname] = ACTIONS(2040),
    [anon_sym_getgrnam] = ACTIONS(2040),
    [anon_sym_getgrgid] = ACTIONS(2040),
    [anon_sym_hex] = ACTIONS(2040),
    [anon_sym_int] = ACTIONS(2040),
    [anon_sym_keys] = ACTIONS(2040),
    [anon_sym_lc] = ACTIONS(2040),
    [anon_sym_lcfirst] = ACTIONS(2040),
    [anon_sym_length] = ACTIONS(2040),
    [anon_sym_localtime] = ACTIONS(2040),
    [anon_sym_log] = ACTIONS(2040),
    [anon_sym_lock] = ACTIONS(2040),
    [anon_sym_lstat] = ACTIONS(2040),
    [anon_sym_oct] = ACTIONS(2040),
    [anon_sym_ord] = ACTIONS(2040),
    [anon_sym_prototype] = ACTIONS(2040),
    [anon_sym_pop] = ACTIONS(2040),
    [anon_sym_pos] = ACTIONS(2040),
    [anon_sym_quotemeta] = ACTIONS(2040),
    [anon_sym_reset] = ACTIONS(2040),
    [anon_sym_rand] = ACTIONS(2040),
    [anon_sym_rmdir] = ACTIONS(2040),
    [anon_sym_readdir] = ACTIONS(2040),
    [anon_sym_readline] = ACTIONS(2040),
    [anon_sym_readpipe] = ACTIONS(2040),
    [anon_sym_rewinddir] = ACTIONS(2040),
    [anon_sym_readlink] = ACTIONS(2040),
    [anon_sym_ref] = ACTIONS(2040),
    [anon_sym_scalar] = ACTIONS(2040),
    [anon_sym_shift] = ACTIONS(2040),
    [anon_sym_sin] = ACTIONS(2040),
    [anon_sym_sleep] = ACTIONS(2040),
    [anon_sym_sqrt] = ACTIONS(2040),
    [anon_sym_srand] = ACTIONS(2040),
    [anon_sym_stat] = ACTIONS(2040),
    [anon_sym_study] = ACTIONS(2040),
    [anon_sym_tell] = ACTIONS(2040),
    [anon_sym_telldir] = ACTIONS(2040),
    [anon_sym_tied] = ACTIONS(2040),
    [anon_sym_uc] = ACTIONS(2040),
    [anon_sym_ucfirst] = ACTIONS(2040),
    [anon_sym_untie] = ACTIONS(2040),
    [anon_sym_umask] = ACTIONS(2040),
    [anon_sym_values] = ACTIONS(2040),
    [anon_sym_write] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2040),
    [anon_sym___END__] = ACTIONS(2040),
    [anon_sym_EOT] = ACTIONS(2040),
    [anon_sym_q] = ACTIONS(2040),
    [anon_sym_qq] = ACTIONS(2040),
    [anon_sym_qw] = ACTIONS(2040),
    [anon_sym_qx] = ACTIONS(2040),
    [anon_sym_qr] = ACTIONS(2040),
    [anon_sym_m] = ACTIONS(2040),
    [anon_sym_s] = ACTIONS(2040),
    [anon_sym_tr] = ACTIONS(2040),
    [anon_sym_y] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(2040),
    [anon_sym_unless] = ACTIONS(2040),
    [anon_sym_while] = ACTIONS(2040),
    [anon_sym_until] = ACTIONS(2040),
    [aux_sym__bareword_token1] = ACTIONS(2040),
    [sym_number] = ACTIONS(2040),
    [anon_sym_true] = ACTIONS(2040),
    [anon_sym_false] = ACTIONS(2040),
    [sym__single_quote] = ACTIONS(2038),
    [sym__double_quote] = ACTIONS(2038),
    [sym__backtick_quote] = ACTIONS(2038),
    [sym__search_slash_quote] = ACTIONS(2038),
    [sym__PERLY_HEREDOC] = ACTIONS(2038),
    [sym__ctrl_z_hack] = ACTIONS(2038),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2038),
    [sym__filetest] = ACTIONS(2038),
  },
  [842] = {
    [sym_heredoc_content] = STATE(842),
    [ts_builtin_sym_end] = ACTIONS(2042),
    [sym__identifier] = ACTIONS(2044),
    [anon_sym_LBRACE] = ACTIONS(2044),
    [anon_sym_SEMI] = ACTIONS(2044),
    [anon_sym_package] = ACTIONS(2044),
    [anon_sym_class] = ACTIONS(2044),
    [anon_sym_role] = ACTIONS(2044),
    [anon_sym_BUILD] = ACTIONS(2044),
    [anon_sym_ADJUST] = ACTIONS(2044),
    [anon_sym_DOLLAR] = ACTIONS(2044),
    [anon_sym_AT] = ACTIONS(2044),
    [anon_sym_my] = ACTIONS(2044),
    [anon_sym_extended] = ACTIONS(2044),
    [anon_sym_async] = ACTIONS(2044),
    [anon_sym_sub] = ACTIONS(2044),
    [anon_sym_method] = ACTIONS(2044),
    [anon_sym_LPAREN] = ACTIONS(2044),
    [anon_sym_continue] = ACTIONS(2044),
    [anon_sym_state] = ACTIONS(2044),
    [anon_sym_our] = ACTIONS(2044),
    [anon_sym_try] = ACTIONS(2044),
    [anon_sym_defer] = ACTIONS(2044),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2044),
    [anon_sym_LBRACK] = ACTIONS(2044),
    [anon_sym_LT] = ACTIONS(2044),
    [anon_sym_LT_LT] = ACTIONS(2044),
    [anon_sym_SLASH_SLASH] = ACTIONS(2044),
    [anon_sym_PLUS] = ACTIONS(2044),
    [anon_sym_DASH] = ACTIONS(2044),
    [anon_sym_STAR] = ACTIONS(2044),
    [anon_sym_TILDE] = ACTIONS(2044),
    [anon_sym_BANG] = ACTIONS(2044),
    [anon_sym_PLUS_PLUS] = ACTIONS(2044),
    [anon_sym_DASH_DASH] = ACTIONS(2044),
    [anon_sym_BSLASH] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(2044),
    [anon_sym_eval] = ACTIONS(2044),
    [anon_sym_await] = ACTIONS(2044),
    [anon_sym_field] = ACTIONS(2044),
    [anon_sym_local] = ACTIONS(2044),
    [anon_sym_dynamically] = ACTIONS(2044),
    [anon_sym_require] = ACTIONS(2044),
    [anon_sym_map] = ACTIONS(2044),
    [anon_sym_grep] = ACTIONS(2044),
    [anon_sym_sort] = ACTIONS(2044),
    [anon_sym_goto] = ACTIONS(2044),
    [anon_sym_return] = ACTIONS(2044),
    [anon_sym_undef] = ACTIONS(2044),
    [anon_sym_PERCENT2] = ACTIONS(2044),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2044),
    [anon_sym_use] = ACTIONS(2044),
    [anon_sym_no] = ACTIONS(2044),
    [anon_sym_for] = ACTIONS(2044),
    [anon_sym_foreach] = ACTIONS(2044),
    [anon_sym_last] = ACTIONS(2044),
    [anon_sym_next] = ACTIONS(2044),
    [anon_sym_redo] = ACTIONS(2044),
    [anon_sym_BEGIN] = ACTIONS(2044),
    [anon_sym_INIT] = ACTIONS(2044),
    [anon_sym_CHECK] = ACTIONS(2044),
    [anon_sym_UNITCHECK] = ACTIONS(2044),
    [anon_sym_END] = ACTIONS(2044),
    [anon_sym___FILE__] = ACTIONS(2044),
    [anon_sym___LINE__] = ACTIONS(2044),
    [anon_sym___PACKAGE__] = ACTIONS(2044),
    [anon_sym___SUB__] = ACTIONS(2044),
    [anon_sym_break] = ACTIONS(2044),
    [anon_sym_fork] = ACTIONS(2044),
    [anon_sym_getppid] = ACTIONS(2044),
    [anon_sym_time] = ACTIONS(2044),
    [anon_sym_times] = ACTIONS(2044),
    [anon_sym_wait] = ACTIONS(2044),
    [anon_sym_wantarray] = ACTIONS(2044),
    [anon_sym_abs] = ACTIONS(2044),
    [anon_sym_alarm] = ACTIONS(2044),
    [anon_sym_chop] = ACTIONS(2044),
    [anon_sym_chdir] = ACTIONS(2044),
    [anon_sym_close] = ACTIONS(2044),
    [anon_sym_closedir] = ACTIONS(2044),
    [anon_sym_caller] = ACTIONS(2044),
    [anon_sym_chomp] = ACTIONS(2044),
    [anon_sym_chr] = ACTIONS(2044),
    [anon_sym_cos] = ACTIONS(2044),
    [anon_sym_chroot] = ACTIONS(2044),
    [anon_sym_defined] = ACTIONS(2044),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_dbmclose] = ACTIONS(2044),
    [anon_sym_exists] = ACTIONS(2044),
    [anon_sym_exit] = ACTIONS(2044),
    [anon_sym_eof] = ACTIONS(2044),
    [anon_sym_exp] = ACTIONS(2044),
    [anon_sym_each] = ACTIONS(2044),
    [anon_sym_fc] = ACTIONS(2044),
    [anon_sym_fileno] = ACTIONS(2044),
    [anon_sym_gmtime] = ACTIONS(2044),
    [anon_sym_getc] = ACTIONS(2044),
    [anon_sym_getpgrp] = ACTIONS(2044),
    [anon_sym_getprotobyname] = ACTIONS(2044),
    [anon_sym_getpwname] = ACTIONS(2044),
    [anon_sym_getpwuid] = ACTIONS(2044),
    [anon_sym_getpeername] = ACTIONS(2044),
    [anon_sym_getnetbyname] = ACTIONS(2044),
    [anon_sym_getsockname] = ACTIONS(2044),
    [anon_sym_getgrnam] = ACTIONS(2044),
    [anon_sym_getgrgid] = ACTIONS(2044),
    [anon_sym_hex] = ACTIONS(2044),
    [anon_sym_int] = ACTIONS(2044),
    [anon_sym_keys] = ACTIONS(2044),
    [anon_sym_lc] = ACTIONS(2044),
    [anon_sym_lcfirst] = ACTIONS(2044),
    [anon_sym_length] = ACTIONS(2044),
    [anon_sym_localtime] = ACTIONS(2044),
    [anon_sym_log] = ACTIONS(2044),
    [anon_sym_lock] = ACTIONS(2044),
    [anon_sym_lstat] = ACTIONS(2044),
    [anon_sym_oct] = ACTIONS(2044),
    [anon_sym_ord] = ACTIONS(2044),
    [anon_sym_prototype] = ACTIONS(2044),
    [anon_sym_pop] = ACTIONS(2044),
    [anon_sym_pos] = ACTIONS(2044),
    [anon_sym_quotemeta] = ACTIONS(2044),
    [anon_sym_reset] = ACTIONS(2044),
    [anon_sym_rand] = ACTIONS(2044),
    [anon_sym_rmdir] = ACTIONS(2044),
    [anon_sym_readdir] = ACTIONS(2044),
    [anon_sym_readline] = ACTIONS(2044),
    [anon_sym_readpipe] = ACTIONS(2044),
    [anon_sym_rewinddir] = ACTIONS(2044),
    [anon_sym_readlink] = ACTIONS(2044),
    [anon_sym_ref] = ACTIONS(2044),
    [anon_sym_scalar] = ACTIONS(2044),
    [anon_sym_shift] = ACTIONS(2044),
    [anon_sym_sin] = ACTIONS(2044),
    [anon_sym_sleep] = ACTIONS(2044),
    [anon_sym_sqrt] = ACTIONS(2044),
    [anon_sym_srand] = ACTIONS(2044),
    [anon_sym_stat] = ACTIONS(2044),
    [anon_sym_study] = ACTIONS(2044),
    [anon_sym_tell] = ACTIONS(2044),
    [anon_sym_telldir] = ACTIONS(2044),
    [anon_sym_tied] = ACTIONS(2044),
    [anon_sym_uc] = ACTIONS(2044),
    [anon_sym_ucfirst] = ACTIONS(2044),
    [anon_sym_untie] = ACTIONS(2044),
    [anon_sym_umask] = ACTIONS(2044),
    [anon_sym_values] = ACTIONS(2044),
    [anon_sym_write] = ACTIONS(2044),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2044),
    [anon_sym___END__] = ACTIONS(2044),
    [anon_sym_EOT] = ACTIONS(2044),
    [anon_sym_q] = ACTIONS(2044),
    [anon_sym_qq] = ACTIONS(2044),
    [anon_sym_qw] = ACTIONS(2044),
    [anon_sym_qx] = ACTIONS(2044),
    [anon_sym_qr] = ACTIONS(2044),
    [anon_sym_m] = ACTIONS(2044),
    [anon_sym_s] = ACTIONS(2044),
    [anon_sym_tr] = ACTIONS(2044),
    [anon_sym_y] = ACTIONS(2044),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_unless] = ACTIONS(2044),
    [anon_sym_while] = ACTIONS(2044),
    [anon_sym_until] = ACTIONS(2044),
    [aux_sym__bareword_token1] = ACTIONS(2044),
    [sym_number] = ACTIONS(2044),
    [anon_sym_true] = ACTIONS(2044),
    [anon_sym_false] = ACTIONS(2044),
    [sym__single_quote] = ACTIONS(2042),
    [sym__double_quote] = ACTIONS(2042),
    [sym__backtick_quote] = ACTIONS(2042),
    [sym__search_slash_quote] = ACTIONS(2042),
    [sym__PERLY_HEREDOC] = ACTIONS(2042),
    [sym__ctrl_z_hack] = ACTIONS(2042),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2042),
    [sym__filetest] = ACTIONS(2042),
  },
  [843] = {
    [sym_heredoc_content] = STATE(843),
    [ts_builtin_sym_end] = ACTIONS(2046),
    [sym__identifier] = ACTIONS(2048),
    [anon_sym_LBRACE] = ACTIONS(2048),
    [anon_sym_SEMI] = ACTIONS(2048),
    [anon_sym_package] = ACTIONS(2048),
    [anon_sym_class] = ACTIONS(2048),
    [anon_sym_role] = ACTIONS(2048),
    [anon_sym_BUILD] = ACTIONS(2048),
    [anon_sym_ADJUST] = ACTIONS(2048),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_AT] = ACTIONS(2048),
    [anon_sym_my] = ACTIONS(2048),
    [anon_sym_extended] = ACTIONS(2048),
    [anon_sym_async] = ACTIONS(2048),
    [anon_sym_sub] = ACTIONS(2048),
    [anon_sym_method] = ACTIONS(2048),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_continue] = ACTIONS(2048),
    [anon_sym_state] = ACTIONS(2048),
    [anon_sym_our] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2048),
    [anon_sym_defer] = ACTIONS(2048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2048),
    [anon_sym_LBRACK] = ACTIONS(2048),
    [anon_sym_LT] = ACTIONS(2048),
    [anon_sym_LT_LT] = ACTIONS(2048),
    [anon_sym_SLASH_SLASH] = ACTIONS(2048),
    [anon_sym_PLUS] = ACTIONS(2048),
    [anon_sym_DASH] = ACTIONS(2048),
    [anon_sym_STAR] = ACTIONS(2048),
    [anon_sym_TILDE] = ACTIONS(2048),
    [anon_sym_BANG] = ACTIONS(2048),
    [anon_sym_PLUS_PLUS] = ACTIONS(2048),
    [anon_sym_DASH_DASH] = ACTIONS(2048),
    [anon_sym_BSLASH] = ACTIONS(2046),
    [anon_sym_do] = ACTIONS(2048),
    [anon_sym_eval] = ACTIONS(2048),
    [anon_sym_await] = ACTIONS(2048),
    [anon_sym_field] = ACTIONS(2048),
    [anon_sym_local] = ACTIONS(2048),
    [anon_sym_dynamically] = ACTIONS(2048),
    [anon_sym_require] = ACTIONS(2048),
    [anon_sym_map] = ACTIONS(2048),
    [anon_sym_grep] = ACTIONS(2048),
    [anon_sym_sort] = ACTIONS(2048),
    [anon_sym_goto] = ACTIONS(2048),
    [anon_sym_return] = ACTIONS(2048),
    [anon_sym_undef] = ACTIONS(2048),
    [anon_sym_PERCENT2] = ACTIONS(2048),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2048),
    [anon_sym_use] = ACTIONS(2048),
    [anon_sym_no] = ACTIONS(2048),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_foreach] = ACTIONS(2048),
    [anon_sym_last] = ACTIONS(2048),
    [anon_sym_next] = ACTIONS(2048),
    [anon_sym_redo] = ACTIONS(2048),
    [anon_sym_BEGIN] = ACTIONS(2048),
    [anon_sym_INIT] = ACTIONS(2048),
    [anon_sym_CHECK] = ACTIONS(2048),
    [anon_sym_UNITCHECK] = ACTIONS(2048),
    [anon_sym_END] = ACTIONS(2048),
    [anon_sym___FILE__] = ACTIONS(2048),
    [anon_sym___LINE__] = ACTIONS(2048),
    [anon_sym___PACKAGE__] = ACTIONS(2048),
    [anon_sym___SUB__] = ACTIONS(2048),
    [anon_sym_break] = ACTIONS(2048),
    [anon_sym_fork] = ACTIONS(2048),
    [anon_sym_getppid] = ACTIONS(2048),
    [anon_sym_time] = ACTIONS(2048),
    [anon_sym_times] = ACTIONS(2048),
    [anon_sym_wait] = ACTIONS(2048),
    [anon_sym_wantarray] = ACTIONS(2048),
    [anon_sym_abs] = ACTIONS(2048),
    [anon_sym_alarm] = ACTIONS(2048),
    [anon_sym_chop] = ACTIONS(2048),
    [anon_sym_chdir] = ACTIONS(2048),
    [anon_sym_close] = ACTIONS(2048),
    [anon_sym_closedir] = ACTIONS(2048),
    [anon_sym_caller] = ACTIONS(2048),
    [anon_sym_chomp] = ACTIONS(2048),
    [anon_sym_chr] = ACTIONS(2048),
    [anon_sym_cos] = ACTIONS(2048),
    [anon_sym_chroot] = ACTIONS(2048),
    [anon_sym_defined] = ACTIONS(2048),
    [anon_sym_delete] = ACTIONS(2048),
    [anon_sym_dbmclose] = ACTIONS(2048),
    [anon_sym_exists] = ACTIONS(2048),
    [anon_sym_exit] = ACTIONS(2048),
    [anon_sym_eof] = ACTIONS(2048),
    [anon_sym_exp] = ACTIONS(2048),
    [anon_sym_each] = ACTIONS(2048),
    [anon_sym_fc] = ACTIONS(2048),
    [anon_sym_fileno] = ACTIONS(2048),
    [anon_sym_gmtime] = ACTIONS(2048),
    [anon_sym_getc] = ACTIONS(2048),
    [anon_sym_getpgrp] = ACTIONS(2048),
    [anon_sym_getprotobyname] = ACTIONS(2048),
    [anon_sym_getpwname] = ACTIONS(2048),
    [anon_sym_getpwuid] = ACTIONS(2048),
    [anon_sym_getpeername] = ACTIONS(2048),
    [anon_sym_getnetbyname] = ACTIONS(2048),
    [anon_sym_getsockname] = ACTIONS(2048),
    [anon_sym_getgrnam] = ACTIONS(2048),
    [anon_sym_getgrgid] = ACTIONS(2048),
    [anon_sym_hex] = ACTIONS(2048),
    [anon_sym_int] = ACTIONS(2048),
    [anon_sym_keys] = ACTIONS(2048),
    [anon_sym_lc] = ACTIONS(2048),
    [anon_sym_lcfirst] = ACTIONS(2048),
    [anon_sym_length] = ACTIONS(2048),
    [anon_sym_localtime] = ACTIONS(2048),
    [anon_sym_log] = ACTIONS(2048),
    [anon_sym_lock] = ACTIONS(2048),
    [anon_sym_lstat] = ACTIONS(2048),
    [anon_sym_oct] = ACTIONS(2048),
    [anon_sym_ord] = ACTIONS(2048),
    [anon_sym_prototype] = ACTIONS(2048),
    [anon_sym_pop] = ACTIONS(2048),
    [anon_sym_pos] = ACTIONS(2048),
    [anon_sym_quotemeta] = ACTIONS(2048),
    [anon_sym_reset] = ACTIONS(2048),
    [anon_sym_rand] = ACTIONS(2048),
    [anon_sym_rmdir] = ACTIONS(2048),
    [anon_sym_readdir] = ACTIONS(2048),
    [anon_sym_readline] = ACTIONS(2048),
    [anon_sym_readpipe] = ACTIONS(2048),
    [anon_sym_rewinddir] = ACTIONS(2048),
    [anon_sym_readlink] = ACTIONS(2048),
    [anon_sym_ref] = ACTIONS(2048),
    [anon_sym_scalar] = ACTIONS(2048),
    [anon_sym_shift] = ACTIONS(2048),
    [anon_sym_sin] = ACTIONS(2048),
    [anon_sym_sleep] = ACTIONS(2048),
    [anon_sym_sqrt] = ACTIONS(2048),
    [anon_sym_srand] = ACTIONS(2048),
    [anon_sym_stat] = ACTIONS(2048),
    [anon_sym_study] = ACTIONS(2048),
    [anon_sym_tell] = ACTIONS(2048),
    [anon_sym_telldir] = ACTIONS(2048),
    [anon_sym_tied] = ACTIONS(2048),
    [anon_sym_uc] = ACTIONS(2048),
    [anon_sym_ucfirst] = ACTIONS(2048),
    [anon_sym_untie] = ACTIONS(2048),
    [anon_sym_umask] = ACTIONS(2048),
    [anon_sym_values] = ACTIONS(2048),
    [anon_sym_write] = ACTIONS(2048),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2048),
    [anon_sym___END__] = ACTIONS(2048),
    [anon_sym_EOT] = ACTIONS(2048),
    [anon_sym_q] = ACTIONS(2048),
    [anon_sym_qq] = ACTIONS(2048),
    [anon_sym_qw] = ACTIONS(2048),
    [anon_sym_qx] = ACTIONS(2048),
    [anon_sym_qr] = ACTIONS(2048),
    [anon_sym_m] = ACTIONS(2048),
    [anon_sym_s] = ACTIONS(2048),
    [anon_sym_tr] = ACTIONS(2048),
    [anon_sym_y] = ACTIONS(2048),
    [anon_sym_if] = ACTIONS(2048),
    [anon_sym_unless] = ACTIONS(2048),
    [anon_sym_while] = ACTIONS(2048),
    [anon_sym_until] = ACTIONS(2048),
    [aux_sym__bareword_token1] = ACTIONS(2048),
    [sym_number] = ACTIONS(2048),
    [anon_sym_true] = ACTIONS(2048),
    [anon_sym_false] = ACTIONS(2048),
    [sym__single_quote] = ACTIONS(2046),
    [sym__double_quote] = ACTIONS(2046),
    [sym__backtick_quote] = ACTIONS(2046),
    [sym__search_slash_quote] = ACTIONS(2046),
    [sym__PERLY_HEREDOC] = ACTIONS(2046),
    [sym__ctrl_z_hack] = ACTIONS(2046),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2046),
    [sym__filetest] = ACTIONS(2046),
  },
  [844] = {
    [sym_heredoc_content] = STATE(844),
    [ts_builtin_sym_end] = ACTIONS(2050),
    [sym__identifier] = ACTIONS(2052),
    [anon_sym_LBRACE] = ACTIONS(2052),
    [anon_sym_SEMI] = ACTIONS(2052),
    [anon_sym_package] = ACTIONS(2052),
    [anon_sym_class] = ACTIONS(2052),
    [anon_sym_role] = ACTIONS(2052),
    [anon_sym_BUILD] = ACTIONS(2052),
    [anon_sym_ADJUST] = ACTIONS(2052),
    [anon_sym_DOLLAR] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2052),
    [anon_sym_my] = ACTIONS(2052),
    [anon_sym_extended] = ACTIONS(2052),
    [anon_sym_async] = ACTIONS(2052),
    [anon_sym_sub] = ACTIONS(2052),
    [anon_sym_method] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [anon_sym_continue] = ACTIONS(2052),
    [anon_sym_state] = ACTIONS(2052),
    [anon_sym_our] = ACTIONS(2052),
    [anon_sym_try] = ACTIONS(2052),
    [anon_sym_defer] = ACTIONS(2052),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2052),
    [anon_sym_LBRACK] = ACTIONS(2052),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_LT_LT] = ACTIONS(2052),
    [anon_sym_SLASH_SLASH] = ACTIONS(2052),
    [anon_sym_PLUS] = ACTIONS(2052),
    [anon_sym_DASH] = ACTIONS(2052),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_TILDE] = ACTIONS(2052),
    [anon_sym_BANG] = ACTIONS(2052),
    [anon_sym_PLUS_PLUS] = ACTIONS(2052),
    [anon_sym_DASH_DASH] = ACTIONS(2052),
    [anon_sym_BSLASH] = ACTIONS(2050),
    [anon_sym_do] = ACTIONS(2052),
    [anon_sym_eval] = ACTIONS(2052),
    [anon_sym_await] = ACTIONS(2052),
    [anon_sym_field] = ACTIONS(2052),
    [anon_sym_local] = ACTIONS(2052),
    [anon_sym_dynamically] = ACTIONS(2052),
    [anon_sym_require] = ACTIONS(2052),
    [anon_sym_map] = ACTIONS(2052),
    [anon_sym_grep] = ACTIONS(2052),
    [anon_sym_sort] = ACTIONS(2052),
    [anon_sym_goto] = ACTIONS(2052),
    [anon_sym_return] = ACTIONS(2052),
    [anon_sym_undef] = ACTIONS(2052),
    [anon_sym_PERCENT2] = ACTIONS(2052),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2052),
    [anon_sym_use] = ACTIONS(2052),
    [anon_sym_no] = ACTIONS(2052),
    [anon_sym_for] = ACTIONS(2052),
    [anon_sym_foreach] = ACTIONS(2052),
    [anon_sym_last] = ACTIONS(2052),
    [anon_sym_next] = ACTIONS(2052),
    [anon_sym_redo] = ACTIONS(2052),
    [anon_sym_BEGIN] = ACTIONS(2052),
    [anon_sym_INIT] = ACTIONS(2052),
    [anon_sym_CHECK] = ACTIONS(2052),
    [anon_sym_UNITCHECK] = ACTIONS(2052),
    [anon_sym_END] = ACTIONS(2052),
    [anon_sym___FILE__] = ACTIONS(2052),
    [anon_sym___LINE__] = ACTIONS(2052),
    [anon_sym___PACKAGE__] = ACTIONS(2052),
    [anon_sym___SUB__] = ACTIONS(2052),
    [anon_sym_break] = ACTIONS(2052),
    [anon_sym_fork] = ACTIONS(2052),
    [anon_sym_getppid] = ACTIONS(2052),
    [anon_sym_time] = ACTIONS(2052),
    [anon_sym_times] = ACTIONS(2052),
    [anon_sym_wait] = ACTIONS(2052),
    [anon_sym_wantarray] = ACTIONS(2052),
    [anon_sym_abs] = ACTIONS(2052),
    [anon_sym_alarm] = ACTIONS(2052),
    [anon_sym_chop] = ACTIONS(2052),
    [anon_sym_chdir] = ACTIONS(2052),
    [anon_sym_close] = ACTIONS(2052),
    [anon_sym_closedir] = ACTIONS(2052),
    [anon_sym_caller] = ACTIONS(2052),
    [anon_sym_chomp] = ACTIONS(2052),
    [anon_sym_chr] = ACTIONS(2052),
    [anon_sym_cos] = ACTIONS(2052),
    [anon_sym_chroot] = ACTIONS(2052),
    [anon_sym_defined] = ACTIONS(2052),
    [anon_sym_delete] = ACTIONS(2052),
    [anon_sym_dbmclose] = ACTIONS(2052),
    [anon_sym_exists] = ACTIONS(2052),
    [anon_sym_exit] = ACTIONS(2052),
    [anon_sym_eof] = ACTIONS(2052),
    [anon_sym_exp] = ACTIONS(2052),
    [anon_sym_each] = ACTIONS(2052),
    [anon_sym_fc] = ACTIONS(2052),
    [anon_sym_fileno] = ACTIONS(2052),
    [anon_sym_gmtime] = ACTIONS(2052),
    [anon_sym_getc] = ACTIONS(2052),
    [anon_sym_getpgrp] = ACTIONS(2052),
    [anon_sym_getprotobyname] = ACTIONS(2052),
    [anon_sym_getpwname] = ACTIONS(2052),
    [anon_sym_getpwuid] = ACTIONS(2052),
    [anon_sym_getpeername] = ACTIONS(2052),
    [anon_sym_getnetbyname] = ACTIONS(2052),
    [anon_sym_getsockname] = ACTIONS(2052),
    [anon_sym_getgrnam] = ACTIONS(2052),
    [anon_sym_getgrgid] = ACTIONS(2052),
    [anon_sym_hex] = ACTIONS(2052),
    [anon_sym_int] = ACTIONS(2052),
    [anon_sym_keys] = ACTIONS(2052),
    [anon_sym_lc] = ACTIONS(2052),
    [anon_sym_lcfirst] = ACTIONS(2052),
    [anon_sym_length] = ACTIONS(2052),
    [anon_sym_localtime] = ACTIONS(2052),
    [anon_sym_log] = ACTIONS(2052),
    [anon_sym_lock] = ACTIONS(2052),
    [anon_sym_lstat] = ACTIONS(2052),
    [anon_sym_oct] = ACTIONS(2052),
    [anon_sym_ord] = ACTIONS(2052),
    [anon_sym_prototype] = ACTIONS(2052),
    [anon_sym_pop] = ACTIONS(2052),
    [anon_sym_pos] = ACTIONS(2052),
    [anon_sym_quotemeta] = ACTIONS(2052),
    [anon_sym_reset] = ACTIONS(2052),
    [anon_sym_rand] = ACTIONS(2052),
    [anon_sym_rmdir] = ACTIONS(2052),
    [anon_sym_readdir] = ACTIONS(2052),
    [anon_sym_readline] = ACTIONS(2052),
    [anon_sym_readpipe] = ACTIONS(2052),
    [anon_sym_rewinddir] = ACTIONS(2052),
    [anon_sym_readlink] = ACTIONS(2052),
    [anon_sym_ref] = ACTIONS(2052),
    [anon_sym_scalar] = ACTIONS(2052),
    [anon_sym_shift] = ACTIONS(2052),
    [anon_sym_sin] = ACTIONS(2052),
    [anon_sym_sleep] = ACTIONS(2052),
    [anon_sym_sqrt] = ACTIONS(2052),
    [anon_sym_srand] = ACTIONS(2052),
    [anon_sym_stat] = ACTIONS(2052),
    [anon_sym_study] = ACTIONS(2052),
    [anon_sym_tell] = ACTIONS(2052),
    [anon_sym_telldir] = ACTIONS(2052),
    [anon_sym_tied] = ACTIONS(2052),
    [anon_sym_uc] = ACTIONS(2052),
    [anon_sym_ucfirst] = ACTIONS(2052),
    [anon_sym_untie] = ACTIONS(2052),
    [anon_sym_umask] = ACTIONS(2052),
    [anon_sym_values] = ACTIONS(2052),
    [anon_sym_write] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2052),
    [anon_sym___END__] = ACTIONS(2052),
    [anon_sym_EOT] = ACTIONS(2052),
    [anon_sym_q] = ACTIONS(2052),
    [anon_sym_qq] = ACTIONS(2052),
    [anon_sym_qw] = ACTIONS(2052),
    [anon_sym_qx] = ACTIONS(2052),
    [anon_sym_qr] = ACTIONS(2052),
    [anon_sym_m] = ACTIONS(2052),
    [anon_sym_s] = ACTIONS(2052),
    [anon_sym_tr] = ACTIONS(2052),
    [anon_sym_y] = ACTIONS(2052),
    [anon_sym_if] = ACTIONS(2052),
    [anon_sym_unless] = ACTIONS(2052),
    [anon_sym_while] = ACTIONS(2052),
    [anon_sym_until] = ACTIONS(2052),
    [aux_sym__bareword_token1] = ACTIONS(2052),
    [sym_number] = ACTIONS(2052),
    [anon_sym_true] = ACTIONS(2052),
    [anon_sym_false] = ACTIONS(2052),
    [sym__single_quote] = ACTIONS(2050),
    [sym__double_quote] = ACTIONS(2050),
    [sym__backtick_quote] = ACTIONS(2050),
    [sym__search_slash_quote] = ACTIONS(2050),
    [sym__PERLY_HEREDOC] = ACTIONS(2050),
    [sym__ctrl_z_hack] = ACTIONS(2050),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2050),
    [sym__filetest] = ACTIONS(2050),
  },
  [845] = {
    [sym_heredoc_content] = STATE(845),
    [ts_builtin_sym_end] = ACTIONS(2054),
    [sym__identifier] = ACTIONS(2056),
    [anon_sym_LBRACE] = ACTIONS(2056),
    [anon_sym_SEMI] = ACTIONS(2056),
    [anon_sym_package] = ACTIONS(2056),
    [anon_sym_class] = ACTIONS(2056),
    [anon_sym_role] = ACTIONS(2056),
    [anon_sym_BUILD] = ACTIONS(2056),
    [anon_sym_ADJUST] = ACTIONS(2056),
    [anon_sym_DOLLAR] = ACTIONS(2056),
    [anon_sym_AT] = ACTIONS(2056),
    [anon_sym_my] = ACTIONS(2056),
    [anon_sym_extended] = ACTIONS(2056),
    [anon_sym_async] = ACTIONS(2056),
    [anon_sym_sub] = ACTIONS(2056),
    [anon_sym_method] = ACTIONS(2056),
    [anon_sym_LPAREN] = ACTIONS(2056),
    [anon_sym_continue] = ACTIONS(2056),
    [anon_sym_state] = ACTIONS(2056),
    [anon_sym_our] = ACTIONS(2056),
    [anon_sym_try] = ACTIONS(2056),
    [anon_sym_defer] = ACTIONS(2056),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2056),
    [anon_sym_LBRACK] = ACTIONS(2056),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_LT_LT] = ACTIONS(2056),
    [anon_sym_SLASH_SLASH] = ACTIONS(2056),
    [anon_sym_PLUS] = ACTIONS(2056),
    [anon_sym_DASH] = ACTIONS(2056),
    [anon_sym_STAR] = ACTIONS(2056),
    [anon_sym_TILDE] = ACTIONS(2056),
    [anon_sym_BANG] = ACTIONS(2056),
    [anon_sym_PLUS_PLUS] = ACTIONS(2056),
    [anon_sym_DASH_DASH] = ACTIONS(2056),
    [anon_sym_BSLASH] = ACTIONS(2054),
    [anon_sym_do] = ACTIONS(2056),
    [anon_sym_eval] = ACTIONS(2056),
    [anon_sym_await] = ACTIONS(2056),
    [anon_sym_field] = ACTIONS(2056),
    [anon_sym_local] = ACTIONS(2056),
    [anon_sym_dynamically] = ACTIONS(2056),
    [anon_sym_require] = ACTIONS(2056),
    [anon_sym_map] = ACTIONS(2056),
    [anon_sym_grep] = ACTIONS(2056),
    [anon_sym_sort] = ACTIONS(2056),
    [anon_sym_goto] = ACTIONS(2056),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_undef] = ACTIONS(2056),
    [anon_sym_PERCENT2] = ACTIONS(2056),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2056),
    [anon_sym_use] = ACTIONS(2056),
    [anon_sym_no] = ACTIONS(2056),
    [anon_sym_for] = ACTIONS(2056),
    [anon_sym_foreach] = ACTIONS(2056),
    [anon_sym_last] = ACTIONS(2056),
    [anon_sym_next] = ACTIONS(2056),
    [anon_sym_redo] = ACTIONS(2056),
    [anon_sym_BEGIN] = ACTIONS(2056),
    [anon_sym_INIT] = ACTIONS(2056),
    [anon_sym_CHECK] = ACTIONS(2056),
    [anon_sym_UNITCHECK] = ACTIONS(2056),
    [anon_sym_END] = ACTIONS(2056),
    [anon_sym___FILE__] = ACTIONS(2056),
    [anon_sym___LINE__] = ACTIONS(2056),
    [anon_sym___PACKAGE__] = ACTIONS(2056),
    [anon_sym___SUB__] = ACTIONS(2056),
    [anon_sym_break] = ACTIONS(2056),
    [anon_sym_fork] = ACTIONS(2056),
    [anon_sym_getppid] = ACTIONS(2056),
    [anon_sym_time] = ACTIONS(2056),
    [anon_sym_times] = ACTIONS(2056),
    [anon_sym_wait] = ACTIONS(2056),
    [anon_sym_wantarray] = ACTIONS(2056),
    [anon_sym_abs] = ACTIONS(2056),
    [anon_sym_alarm] = ACTIONS(2056),
    [anon_sym_chop] = ACTIONS(2056),
    [anon_sym_chdir] = ACTIONS(2056),
    [anon_sym_close] = ACTIONS(2056),
    [anon_sym_closedir] = ACTIONS(2056),
    [anon_sym_caller] = ACTIONS(2056),
    [anon_sym_chomp] = ACTIONS(2056),
    [anon_sym_chr] = ACTIONS(2056),
    [anon_sym_cos] = ACTIONS(2056),
    [anon_sym_chroot] = ACTIONS(2056),
    [anon_sym_defined] = ACTIONS(2056),
    [anon_sym_delete] = ACTIONS(2056),
    [anon_sym_dbmclose] = ACTIONS(2056),
    [anon_sym_exists] = ACTIONS(2056),
    [anon_sym_exit] = ACTIONS(2056),
    [anon_sym_eof] = ACTIONS(2056),
    [anon_sym_exp] = ACTIONS(2056),
    [anon_sym_each] = ACTIONS(2056),
    [anon_sym_fc] = ACTIONS(2056),
    [anon_sym_fileno] = ACTIONS(2056),
    [anon_sym_gmtime] = ACTIONS(2056),
    [anon_sym_getc] = ACTIONS(2056),
    [anon_sym_getpgrp] = ACTIONS(2056),
    [anon_sym_getprotobyname] = ACTIONS(2056),
    [anon_sym_getpwname] = ACTIONS(2056),
    [anon_sym_getpwuid] = ACTIONS(2056),
    [anon_sym_getpeername] = ACTIONS(2056),
    [anon_sym_getnetbyname] = ACTIONS(2056),
    [anon_sym_getsockname] = ACTIONS(2056),
    [anon_sym_getgrnam] = ACTIONS(2056),
    [anon_sym_getgrgid] = ACTIONS(2056),
    [anon_sym_hex] = ACTIONS(2056),
    [anon_sym_int] = ACTIONS(2056),
    [anon_sym_keys] = ACTIONS(2056),
    [anon_sym_lc] = ACTIONS(2056),
    [anon_sym_lcfirst] = ACTIONS(2056),
    [anon_sym_length] = ACTIONS(2056),
    [anon_sym_localtime] = ACTIONS(2056),
    [anon_sym_log] = ACTIONS(2056),
    [anon_sym_lock] = ACTIONS(2056),
    [anon_sym_lstat] = ACTIONS(2056),
    [anon_sym_oct] = ACTIONS(2056),
    [anon_sym_ord] = ACTIONS(2056),
    [anon_sym_prototype] = ACTIONS(2056),
    [anon_sym_pop] = ACTIONS(2056),
    [anon_sym_pos] = ACTIONS(2056),
    [anon_sym_quotemeta] = ACTIONS(2056),
    [anon_sym_reset] = ACTIONS(2056),
    [anon_sym_rand] = ACTIONS(2056),
    [anon_sym_rmdir] = ACTIONS(2056),
    [anon_sym_readdir] = ACTIONS(2056),
    [anon_sym_readline] = ACTIONS(2056),
    [anon_sym_readpipe] = ACTIONS(2056),
    [anon_sym_rewinddir] = ACTIONS(2056),
    [anon_sym_readlink] = ACTIONS(2056),
    [anon_sym_ref] = ACTIONS(2056),
    [anon_sym_scalar] = ACTIONS(2056),
    [anon_sym_shift] = ACTIONS(2056),
    [anon_sym_sin] = ACTIONS(2056),
    [anon_sym_sleep] = ACTIONS(2056),
    [anon_sym_sqrt] = ACTIONS(2056),
    [anon_sym_srand] = ACTIONS(2056),
    [anon_sym_stat] = ACTIONS(2056),
    [anon_sym_study] = ACTIONS(2056),
    [anon_sym_tell] = ACTIONS(2056),
    [anon_sym_telldir] = ACTIONS(2056),
    [anon_sym_tied] = ACTIONS(2056),
    [anon_sym_uc] = ACTIONS(2056),
    [anon_sym_ucfirst] = ACTIONS(2056),
    [anon_sym_untie] = ACTIONS(2056),
    [anon_sym_umask] = ACTIONS(2056),
    [anon_sym_values] = ACTIONS(2056),
    [anon_sym_write] = ACTIONS(2056),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2056),
    [anon_sym___END__] = ACTIONS(2056),
    [anon_sym_EOT] = ACTIONS(2056),
    [anon_sym_q] = ACTIONS(2056),
    [anon_sym_qq] = ACTIONS(2056),
    [anon_sym_qw] = ACTIONS(2056),
    [anon_sym_qx] = ACTIONS(2056),
    [anon_sym_qr] = ACTIONS(2056),
    [anon_sym_m] = ACTIONS(2056),
    [anon_sym_s] = ACTIONS(2056),
    [anon_sym_tr] = ACTIONS(2056),
    [anon_sym_y] = ACTIONS(2056),
    [anon_sym_if] = ACTIONS(2056),
    [anon_sym_unless] = ACTIONS(2056),
    [anon_sym_while] = ACTIONS(2056),
    [anon_sym_until] = ACTIONS(2056),
    [aux_sym__bareword_token1] = ACTIONS(2056),
    [sym_number] = ACTIONS(2056),
    [anon_sym_true] = ACTIONS(2056),
    [anon_sym_false] = ACTIONS(2056),
    [sym__single_quote] = ACTIONS(2054),
    [sym__double_quote] = ACTIONS(2054),
    [sym__backtick_quote] = ACTIONS(2054),
    [sym__search_slash_quote] = ACTIONS(2054),
    [sym__PERLY_HEREDOC] = ACTIONS(2054),
    [sym__ctrl_z_hack] = ACTIONS(2054),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2054),
    [sym__filetest] = ACTIONS(2054),
  },
  [846] = {
    [sym_heredoc_content] = STATE(846),
    [ts_builtin_sym_end] = ACTIONS(2058),
    [sym__identifier] = ACTIONS(2060),
    [anon_sym_LBRACE] = ACTIONS(2060),
    [anon_sym_SEMI] = ACTIONS(2060),
    [anon_sym_package] = ACTIONS(2060),
    [anon_sym_class] = ACTIONS(2060),
    [anon_sym_role] = ACTIONS(2060),
    [anon_sym_BUILD] = ACTIONS(2060),
    [anon_sym_ADJUST] = ACTIONS(2060),
    [anon_sym_DOLLAR] = ACTIONS(2060),
    [anon_sym_AT] = ACTIONS(2060),
    [anon_sym_my] = ACTIONS(2060),
    [anon_sym_extended] = ACTIONS(2060),
    [anon_sym_async] = ACTIONS(2060),
    [anon_sym_sub] = ACTIONS(2060),
    [anon_sym_method] = ACTIONS(2060),
    [anon_sym_LPAREN] = ACTIONS(2060),
    [anon_sym_continue] = ACTIONS(2060),
    [anon_sym_state] = ACTIONS(2060),
    [anon_sym_our] = ACTIONS(2060),
    [anon_sym_try] = ACTIONS(2060),
    [anon_sym_defer] = ACTIONS(2060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2060),
    [anon_sym_LBRACK] = ACTIONS(2060),
    [anon_sym_LT] = ACTIONS(2060),
    [anon_sym_LT_LT] = ACTIONS(2060),
    [anon_sym_SLASH_SLASH] = ACTIONS(2060),
    [anon_sym_PLUS] = ACTIONS(2060),
    [anon_sym_DASH] = ACTIONS(2060),
    [anon_sym_STAR] = ACTIONS(2060),
    [anon_sym_TILDE] = ACTIONS(2060),
    [anon_sym_BANG] = ACTIONS(2060),
    [anon_sym_PLUS_PLUS] = ACTIONS(2060),
    [anon_sym_DASH_DASH] = ACTIONS(2060),
    [anon_sym_BSLASH] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(2060),
    [anon_sym_eval] = ACTIONS(2060),
    [anon_sym_await] = ACTIONS(2060),
    [anon_sym_field] = ACTIONS(2060),
    [anon_sym_local] = ACTIONS(2060),
    [anon_sym_dynamically] = ACTIONS(2060),
    [anon_sym_require] = ACTIONS(2060),
    [anon_sym_map] = ACTIONS(2060),
    [anon_sym_grep] = ACTIONS(2060),
    [anon_sym_sort] = ACTIONS(2060),
    [anon_sym_goto] = ACTIONS(2060),
    [anon_sym_return] = ACTIONS(2060),
    [anon_sym_undef] = ACTIONS(2060),
    [anon_sym_PERCENT2] = ACTIONS(2060),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2060),
    [anon_sym_use] = ACTIONS(2060),
    [anon_sym_no] = ACTIONS(2060),
    [anon_sym_for] = ACTIONS(2060),
    [anon_sym_foreach] = ACTIONS(2060),
    [anon_sym_last] = ACTIONS(2060),
    [anon_sym_next] = ACTIONS(2060),
    [anon_sym_redo] = ACTIONS(2060),
    [anon_sym_BEGIN] = ACTIONS(2060),
    [anon_sym_INIT] = ACTIONS(2060),
    [anon_sym_CHECK] = ACTIONS(2060),
    [anon_sym_UNITCHECK] = ACTIONS(2060),
    [anon_sym_END] = ACTIONS(2060),
    [anon_sym___FILE__] = ACTIONS(2060),
    [anon_sym___LINE__] = ACTIONS(2060),
    [anon_sym___PACKAGE__] = ACTIONS(2060),
    [anon_sym___SUB__] = ACTIONS(2060),
    [anon_sym_break] = ACTIONS(2060),
    [anon_sym_fork] = ACTIONS(2060),
    [anon_sym_getppid] = ACTIONS(2060),
    [anon_sym_time] = ACTIONS(2060),
    [anon_sym_times] = ACTIONS(2060),
    [anon_sym_wait] = ACTIONS(2060),
    [anon_sym_wantarray] = ACTIONS(2060),
    [anon_sym_abs] = ACTIONS(2060),
    [anon_sym_alarm] = ACTIONS(2060),
    [anon_sym_chop] = ACTIONS(2060),
    [anon_sym_chdir] = ACTIONS(2060),
    [anon_sym_close] = ACTIONS(2060),
    [anon_sym_closedir] = ACTIONS(2060),
    [anon_sym_caller] = ACTIONS(2060),
    [anon_sym_chomp] = ACTIONS(2060),
    [anon_sym_chr] = ACTIONS(2060),
    [anon_sym_cos] = ACTIONS(2060),
    [anon_sym_chroot] = ACTIONS(2060),
    [anon_sym_defined] = ACTIONS(2060),
    [anon_sym_delete] = ACTIONS(2060),
    [anon_sym_dbmclose] = ACTIONS(2060),
    [anon_sym_exists] = ACTIONS(2060),
    [anon_sym_exit] = ACTIONS(2060),
    [anon_sym_eof] = ACTIONS(2060),
    [anon_sym_exp] = ACTIONS(2060),
    [anon_sym_each] = ACTIONS(2060),
    [anon_sym_fc] = ACTIONS(2060),
    [anon_sym_fileno] = ACTIONS(2060),
    [anon_sym_gmtime] = ACTIONS(2060),
    [anon_sym_getc] = ACTIONS(2060),
    [anon_sym_getpgrp] = ACTIONS(2060),
    [anon_sym_getprotobyname] = ACTIONS(2060),
    [anon_sym_getpwname] = ACTIONS(2060),
    [anon_sym_getpwuid] = ACTIONS(2060),
    [anon_sym_getpeername] = ACTIONS(2060),
    [anon_sym_getnetbyname] = ACTIONS(2060),
    [anon_sym_getsockname] = ACTIONS(2060),
    [anon_sym_getgrnam] = ACTIONS(2060),
    [anon_sym_getgrgid] = ACTIONS(2060),
    [anon_sym_hex] = ACTIONS(2060),
    [anon_sym_int] = ACTIONS(2060),
    [anon_sym_keys] = ACTIONS(2060),
    [anon_sym_lc] = ACTIONS(2060),
    [anon_sym_lcfirst] = ACTIONS(2060),
    [anon_sym_length] = ACTIONS(2060),
    [anon_sym_localtime] = ACTIONS(2060),
    [anon_sym_log] = ACTIONS(2060),
    [anon_sym_lock] = ACTIONS(2060),
    [anon_sym_lstat] = ACTIONS(2060),
    [anon_sym_oct] = ACTIONS(2060),
    [anon_sym_ord] = ACTIONS(2060),
    [anon_sym_prototype] = ACTIONS(2060),
    [anon_sym_pop] = ACTIONS(2060),
    [anon_sym_pos] = ACTIONS(2060),
    [anon_sym_quotemeta] = ACTIONS(2060),
    [anon_sym_reset] = ACTIONS(2060),
    [anon_sym_rand] = ACTIONS(2060),
    [anon_sym_rmdir] = ACTIONS(2060),
    [anon_sym_readdir] = ACTIONS(2060),
    [anon_sym_readline] = ACTIONS(2060),
    [anon_sym_readpipe] = ACTIONS(2060),
    [anon_sym_rewinddir] = ACTIONS(2060),
    [anon_sym_readlink] = ACTIONS(2060),
    [anon_sym_ref] = ACTIONS(2060),
    [anon_sym_scalar] = ACTIONS(2060),
    [anon_sym_shift] = ACTIONS(2060),
    [anon_sym_sin] = ACTIONS(2060),
    [anon_sym_sleep] = ACTIONS(2060),
    [anon_sym_sqrt] = ACTIONS(2060),
    [anon_sym_srand] = ACTIONS(2060),
    [anon_sym_stat] = ACTIONS(2060),
    [anon_sym_study] = ACTIONS(2060),
    [anon_sym_tell] = ACTIONS(2060),
    [anon_sym_telldir] = ACTIONS(2060),
    [anon_sym_tied] = ACTIONS(2060),
    [anon_sym_uc] = ACTIONS(2060),
    [anon_sym_ucfirst] = ACTIONS(2060),
    [anon_sym_untie] = ACTIONS(2060),
    [anon_sym_umask] = ACTIONS(2060),
    [anon_sym_values] = ACTIONS(2060),
    [anon_sym_write] = ACTIONS(2060),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2060),
    [anon_sym___END__] = ACTIONS(2060),
    [anon_sym_EOT] = ACTIONS(2060),
    [anon_sym_q] = ACTIONS(2060),
    [anon_sym_qq] = ACTIONS(2060),
    [anon_sym_qw] = ACTIONS(2060),
    [anon_sym_qx] = ACTIONS(2060),
    [anon_sym_qr] = ACTIONS(2060),
    [anon_sym_m] = ACTIONS(2060),
    [anon_sym_s] = ACTIONS(2060),
    [anon_sym_tr] = ACTIONS(2060),
    [anon_sym_y] = ACTIONS(2060),
    [anon_sym_if] = ACTIONS(2060),
    [anon_sym_unless] = ACTIONS(2060),
    [anon_sym_while] = ACTIONS(2060),
    [anon_sym_until] = ACTIONS(2060),
    [aux_sym__bareword_token1] = ACTIONS(2060),
    [sym_number] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym__single_quote] = ACTIONS(2058),
    [sym__double_quote] = ACTIONS(2058),
    [sym__backtick_quote] = ACTIONS(2058),
    [sym__search_slash_quote] = ACTIONS(2058),
    [sym__PERLY_HEREDOC] = ACTIONS(2058),
    [sym__ctrl_z_hack] = ACTIONS(2058),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2058),
    [sym__filetest] = ACTIONS(2058),
  },
  [847] = {
    [sym_heredoc_content] = STATE(847),
    [ts_builtin_sym_end] = ACTIONS(2062),
    [sym__identifier] = ACTIONS(2064),
    [anon_sym_LBRACE] = ACTIONS(2064),
    [anon_sym_SEMI] = ACTIONS(2064),
    [anon_sym_package] = ACTIONS(2064),
    [anon_sym_class] = ACTIONS(2064),
    [anon_sym_role] = ACTIONS(2064),
    [anon_sym_BUILD] = ACTIONS(2064),
    [anon_sym_ADJUST] = ACTIONS(2064),
    [anon_sym_DOLLAR] = ACTIONS(2064),
    [anon_sym_AT] = ACTIONS(2064),
    [anon_sym_my] = ACTIONS(2064),
    [anon_sym_extended] = ACTIONS(2064),
    [anon_sym_async] = ACTIONS(2064),
    [anon_sym_sub] = ACTIONS(2064),
    [anon_sym_method] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_continue] = ACTIONS(2064),
    [anon_sym_state] = ACTIONS(2064),
    [anon_sym_our] = ACTIONS(2064),
    [anon_sym_try] = ACTIONS(2064),
    [anon_sym_defer] = ACTIONS(2064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_LBRACK] = ACTIONS(2064),
    [anon_sym_LT] = ACTIONS(2064),
    [anon_sym_LT_LT] = ACTIONS(2064),
    [anon_sym_SLASH_SLASH] = ACTIONS(2064),
    [anon_sym_PLUS] = ACTIONS(2064),
    [anon_sym_DASH] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(2064),
    [anon_sym_TILDE] = ACTIONS(2064),
    [anon_sym_BANG] = ACTIONS(2064),
    [anon_sym_PLUS_PLUS] = ACTIONS(2064),
    [anon_sym_DASH_DASH] = ACTIONS(2064),
    [anon_sym_BSLASH] = ACTIONS(2062),
    [anon_sym_do] = ACTIONS(2064),
    [anon_sym_eval] = ACTIONS(2064),
    [anon_sym_await] = ACTIONS(2064),
    [anon_sym_field] = ACTIONS(2064),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_dynamically] = ACTIONS(2064),
    [anon_sym_require] = ACTIONS(2064),
    [anon_sym_map] = ACTIONS(2064),
    [anon_sym_grep] = ACTIONS(2064),
    [anon_sym_sort] = ACTIONS(2064),
    [anon_sym_goto] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(2064),
    [anon_sym_undef] = ACTIONS(2064),
    [anon_sym_PERCENT2] = ACTIONS(2064),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2064),
    [anon_sym_use] = ACTIONS(2064),
    [anon_sym_no] = ACTIONS(2064),
    [anon_sym_for] = ACTIONS(2064),
    [anon_sym_foreach] = ACTIONS(2064),
    [anon_sym_last] = ACTIONS(2064),
    [anon_sym_next] = ACTIONS(2064),
    [anon_sym_redo] = ACTIONS(2064),
    [anon_sym_BEGIN] = ACTIONS(2064),
    [anon_sym_INIT] = ACTIONS(2064),
    [anon_sym_CHECK] = ACTIONS(2064),
    [anon_sym_UNITCHECK] = ACTIONS(2064),
    [anon_sym_END] = ACTIONS(2064),
    [anon_sym___FILE__] = ACTIONS(2064),
    [anon_sym___LINE__] = ACTIONS(2064),
    [anon_sym___PACKAGE__] = ACTIONS(2064),
    [anon_sym___SUB__] = ACTIONS(2064),
    [anon_sym_break] = ACTIONS(2064),
    [anon_sym_fork] = ACTIONS(2064),
    [anon_sym_getppid] = ACTIONS(2064),
    [anon_sym_time] = ACTIONS(2064),
    [anon_sym_times] = ACTIONS(2064),
    [anon_sym_wait] = ACTIONS(2064),
    [anon_sym_wantarray] = ACTIONS(2064),
    [anon_sym_abs] = ACTIONS(2064),
    [anon_sym_alarm] = ACTIONS(2064),
    [anon_sym_chop] = ACTIONS(2064),
    [anon_sym_chdir] = ACTIONS(2064),
    [anon_sym_close] = ACTIONS(2064),
    [anon_sym_closedir] = ACTIONS(2064),
    [anon_sym_caller] = ACTIONS(2064),
    [anon_sym_chomp] = ACTIONS(2064),
    [anon_sym_chr] = ACTIONS(2064),
    [anon_sym_cos] = ACTIONS(2064),
    [anon_sym_chroot] = ACTIONS(2064),
    [anon_sym_defined] = ACTIONS(2064),
    [anon_sym_delete] = ACTIONS(2064),
    [anon_sym_dbmclose] = ACTIONS(2064),
    [anon_sym_exists] = ACTIONS(2064),
    [anon_sym_exit] = ACTIONS(2064),
    [anon_sym_eof] = ACTIONS(2064),
    [anon_sym_exp] = ACTIONS(2064),
    [anon_sym_each] = ACTIONS(2064),
    [anon_sym_fc] = ACTIONS(2064),
    [anon_sym_fileno] = ACTIONS(2064),
    [anon_sym_gmtime] = ACTIONS(2064),
    [anon_sym_getc] = ACTIONS(2064),
    [anon_sym_getpgrp] = ACTIONS(2064),
    [anon_sym_getprotobyname] = ACTIONS(2064),
    [anon_sym_getpwname] = ACTIONS(2064),
    [anon_sym_getpwuid] = ACTIONS(2064),
    [anon_sym_getpeername] = ACTIONS(2064),
    [anon_sym_getnetbyname] = ACTIONS(2064),
    [anon_sym_getsockname] = ACTIONS(2064),
    [anon_sym_getgrnam] = ACTIONS(2064),
    [anon_sym_getgrgid] = ACTIONS(2064),
    [anon_sym_hex] = ACTIONS(2064),
    [anon_sym_int] = ACTIONS(2064),
    [anon_sym_keys] = ACTIONS(2064),
    [anon_sym_lc] = ACTIONS(2064),
    [anon_sym_lcfirst] = ACTIONS(2064),
    [anon_sym_length] = ACTIONS(2064),
    [anon_sym_localtime] = ACTIONS(2064),
    [anon_sym_log] = ACTIONS(2064),
    [anon_sym_lock] = ACTIONS(2064),
    [anon_sym_lstat] = ACTIONS(2064),
    [anon_sym_oct] = ACTIONS(2064),
    [anon_sym_ord] = ACTIONS(2064),
    [anon_sym_prototype] = ACTIONS(2064),
    [anon_sym_pop] = ACTIONS(2064),
    [anon_sym_pos] = ACTIONS(2064),
    [anon_sym_quotemeta] = ACTIONS(2064),
    [anon_sym_reset] = ACTIONS(2064),
    [anon_sym_rand] = ACTIONS(2064),
    [anon_sym_rmdir] = ACTIONS(2064),
    [anon_sym_readdir] = ACTIONS(2064),
    [anon_sym_readline] = ACTIONS(2064),
    [anon_sym_readpipe] = ACTIONS(2064),
    [anon_sym_rewinddir] = ACTIONS(2064),
    [anon_sym_readlink] = ACTIONS(2064),
    [anon_sym_ref] = ACTIONS(2064),
    [anon_sym_scalar] = ACTIONS(2064),
    [anon_sym_shift] = ACTIONS(2064),
    [anon_sym_sin] = ACTIONS(2064),
    [anon_sym_sleep] = ACTIONS(2064),
    [anon_sym_sqrt] = ACTIONS(2064),
    [anon_sym_srand] = ACTIONS(2064),
    [anon_sym_stat] = ACTIONS(2064),
    [anon_sym_study] = ACTIONS(2064),
    [anon_sym_tell] = ACTIONS(2064),
    [anon_sym_telldir] = ACTIONS(2064),
    [anon_sym_tied] = ACTIONS(2064),
    [anon_sym_uc] = ACTIONS(2064),
    [anon_sym_ucfirst] = ACTIONS(2064),
    [anon_sym_untie] = ACTIONS(2064),
    [anon_sym_umask] = ACTIONS(2064),
    [anon_sym_values] = ACTIONS(2064),
    [anon_sym_write] = ACTIONS(2064),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2064),
    [anon_sym___END__] = ACTIONS(2064),
    [anon_sym_EOT] = ACTIONS(2064),
    [anon_sym_q] = ACTIONS(2064),
    [anon_sym_qq] = ACTIONS(2064),
    [anon_sym_qw] = ACTIONS(2064),
    [anon_sym_qx] = ACTIONS(2064),
    [anon_sym_qr] = ACTIONS(2064),
    [anon_sym_m] = ACTIONS(2064),
    [anon_sym_s] = ACTIONS(2064),
    [anon_sym_tr] = ACTIONS(2064),
    [anon_sym_y] = ACTIONS(2064),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_unless] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2064),
    [anon_sym_until] = ACTIONS(2064),
    [aux_sym__bareword_token1] = ACTIONS(2064),
    [sym_number] = ACTIONS(2064),
    [anon_sym_true] = ACTIONS(2064),
    [anon_sym_false] = ACTIONS(2064),
    [sym__single_quote] = ACTIONS(2062),
    [sym__double_quote] = ACTIONS(2062),
    [sym__backtick_quote] = ACTIONS(2062),
    [sym__search_slash_quote] = ACTIONS(2062),
    [sym__PERLY_HEREDOC] = ACTIONS(2062),
    [sym__ctrl_z_hack] = ACTIONS(2062),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2062),
    [sym__filetest] = ACTIONS(2062),
  },
  [848] = {
    [sym_heredoc_content] = STATE(848),
    [ts_builtin_sym_end] = ACTIONS(1403),
    [sym__identifier] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [anon_sym_package] = ACTIONS(1405),
    [anon_sym_class] = ACTIONS(1405),
    [anon_sym_role] = ACTIONS(1405),
    [anon_sym_BUILD] = ACTIONS(1405),
    [anon_sym_ADJUST] = ACTIONS(1405),
    [anon_sym_DOLLAR] = ACTIONS(1405),
    [anon_sym_AT] = ACTIONS(1405),
    [anon_sym_my] = ACTIONS(1405),
    [anon_sym_extended] = ACTIONS(1405),
    [anon_sym_async] = ACTIONS(1405),
    [anon_sym_sub] = ACTIONS(1405),
    [anon_sym_method] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_state] = ACTIONS(1405),
    [anon_sym_our] = ACTIONS(1405),
    [anon_sym_try] = ACTIONS(1405),
    [anon_sym_defer] = ACTIONS(1405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_TILDE] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1405),
    [anon_sym_DASH_DASH] = ACTIONS(1405),
    [anon_sym_BSLASH] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_eval] = ACTIONS(1405),
    [anon_sym_await] = ACTIONS(1405),
    [anon_sym_field] = ACTIONS(1405),
    [anon_sym_local] = ACTIONS(1405),
    [anon_sym_dynamically] = ACTIONS(1405),
    [anon_sym_require] = ACTIONS(1405),
    [anon_sym_map] = ACTIONS(1405),
    [anon_sym_grep] = ACTIONS(1405),
    [anon_sym_sort] = ACTIONS(1405),
    [anon_sym_goto] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_undef] = ACTIONS(1405),
    [anon_sym_PERCENT2] = ACTIONS(1405),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1405),
    [anon_sym_use] = ACTIONS(1405),
    [anon_sym_no] = ACTIONS(1405),
    [anon_sym_for] = ACTIONS(1405),
    [anon_sym_foreach] = ACTIONS(1405),
    [anon_sym_last] = ACTIONS(1405),
    [anon_sym_next] = ACTIONS(1405),
    [anon_sym_redo] = ACTIONS(1405),
    [anon_sym_BEGIN] = ACTIONS(1405),
    [anon_sym_INIT] = ACTIONS(1405),
    [anon_sym_CHECK] = ACTIONS(1405),
    [anon_sym_UNITCHECK] = ACTIONS(1405),
    [anon_sym_END] = ACTIONS(1405),
    [anon_sym___FILE__] = ACTIONS(1405),
    [anon_sym___LINE__] = ACTIONS(1405),
    [anon_sym___PACKAGE__] = ACTIONS(1405),
    [anon_sym___SUB__] = ACTIONS(1405),
    [anon_sym_break] = ACTIONS(1405),
    [anon_sym_fork] = ACTIONS(1405),
    [anon_sym_getppid] = ACTIONS(1405),
    [anon_sym_time] = ACTIONS(1405),
    [anon_sym_times] = ACTIONS(1405),
    [anon_sym_wait] = ACTIONS(1405),
    [anon_sym_wantarray] = ACTIONS(1405),
    [anon_sym_abs] = ACTIONS(1405),
    [anon_sym_alarm] = ACTIONS(1405),
    [anon_sym_chop] = ACTIONS(1405),
    [anon_sym_chdir] = ACTIONS(1405),
    [anon_sym_close] = ACTIONS(1405),
    [anon_sym_closedir] = ACTIONS(1405),
    [anon_sym_caller] = ACTIONS(1405),
    [anon_sym_chomp] = ACTIONS(1405),
    [anon_sym_chr] = ACTIONS(1405),
    [anon_sym_cos] = ACTIONS(1405),
    [anon_sym_chroot] = ACTIONS(1405),
    [anon_sym_defined] = ACTIONS(1405),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_dbmclose] = ACTIONS(1405),
    [anon_sym_exists] = ACTIONS(1405),
    [anon_sym_exit] = ACTIONS(1405),
    [anon_sym_eof] = ACTIONS(1405),
    [anon_sym_exp] = ACTIONS(1405),
    [anon_sym_each] = ACTIONS(1405),
    [anon_sym_fc] = ACTIONS(1405),
    [anon_sym_fileno] = ACTIONS(1405),
    [anon_sym_gmtime] = ACTIONS(1405),
    [anon_sym_getc] = ACTIONS(1405),
    [anon_sym_getpgrp] = ACTIONS(1405),
    [anon_sym_getprotobyname] = ACTIONS(1405),
    [anon_sym_getpwname] = ACTIONS(1405),
    [anon_sym_getpwuid] = ACTIONS(1405),
    [anon_sym_getpeername] = ACTIONS(1405),
    [anon_sym_getnetbyname] = ACTIONS(1405),
    [anon_sym_getsockname] = ACTIONS(1405),
    [anon_sym_getgrnam] = ACTIONS(1405),
    [anon_sym_getgrgid] = ACTIONS(1405),
    [anon_sym_hex] = ACTIONS(1405),
    [anon_sym_int] = ACTIONS(1405),
    [anon_sym_keys] = ACTIONS(1405),
    [anon_sym_lc] = ACTIONS(1405),
    [anon_sym_lcfirst] = ACTIONS(1405),
    [anon_sym_length] = ACTIONS(1405),
    [anon_sym_localtime] = ACTIONS(1405),
    [anon_sym_log] = ACTIONS(1405),
    [anon_sym_lock] = ACTIONS(1405),
    [anon_sym_lstat] = ACTIONS(1405),
    [anon_sym_oct] = ACTIONS(1405),
    [anon_sym_ord] = ACTIONS(1405),
    [anon_sym_prototype] = ACTIONS(1405),
    [anon_sym_pop] = ACTIONS(1405),
    [anon_sym_pos] = ACTIONS(1405),
    [anon_sym_quotemeta] = ACTIONS(1405),
    [anon_sym_reset] = ACTIONS(1405),
    [anon_sym_rand] = ACTIONS(1405),
    [anon_sym_rmdir] = ACTIONS(1405),
    [anon_sym_readdir] = ACTIONS(1405),
    [anon_sym_readline] = ACTIONS(1405),
    [anon_sym_readpipe] = ACTIONS(1405),
    [anon_sym_rewinddir] = ACTIONS(1405),
    [anon_sym_readlink] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1405),
    [anon_sym_scalar] = ACTIONS(1405),
    [anon_sym_shift] = ACTIONS(1405),
    [anon_sym_sin] = ACTIONS(1405),
    [anon_sym_sleep] = ACTIONS(1405),
    [anon_sym_sqrt] = ACTIONS(1405),
    [anon_sym_srand] = ACTIONS(1405),
    [anon_sym_stat] = ACTIONS(1405),
    [anon_sym_study] = ACTIONS(1405),
    [anon_sym_tell] = ACTIONS(1405),
    [anon_sym_telldir] = ACTIONS(1405),
    [anon_sym_tied] = ACTIONS(1405),
    [anon_sym_uc] = ACTIONS(1405),
    [anon_sym_ucfirst] = ACTIONS(1405),
    [anon_sym_untie] = ACTIONS(1405),
    [anon_sym_umask] = ACTIONS(1405),
    [anon_sym_values] = ACTIONS(1405),
    [anon_sym_write] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1405),
    [anon_sym___END__] = ACTIONS(1405),
    [anon_sym_EOT] = ACTIONS(1405),
    [anon_sym_q] = ACTIONS(1405),
    [anon_sym_qq] = ACTIONS(1405),
    [anon_sym_qw] = ACTIONS(1405),
    [anon_sym_qx] = ACTIONS(1405),
    [anon_sym_qr] = ACTIONS(1405),
    [anon_sym_m] = ACTIONS(1405),
    [anon_sym_s] = ACTIONS(1405),
    [anon_sym_tr] = ACTIONS(1405),
    [anon_sym_y] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_unless] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1405),
    [anon_sym_until] = ACTIONS(1405),
    [aux_sym__bareword_token1] = ACTIONS(1405),
    [sym_number] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1405),
    [anon_sym_false] = ACTIONS(1405),
    [sym__single_quote] = ACTIONS(1403),
    [sym__double_quote] = ACTIONS(1403),
    [sym__backtick_quote] = ACTIONS(1403),
    [sym__search_slash_quote] = ACTIONS(1403),
    [sym__PERLY_HEREDOC] = ACTIONS(1403),
    [sym__ctrl_z_hack] = ACTIONS(1403),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1403),
    [sym__filetest] = ACTIONS(1403),
  },
  [849] = {
    [sym_heredoc_content] = STATE(849),
    [ts_builtin_sym_end] = ACTIONS(2066),
    [sym__identifier] = ACTIONS(2068),
    [anon_sym_LBRACE] = ACTIONS(2068),
    [anon_sym_SEMI] = ACTIONS(2068),
    [anon_sym_package] = ACTIONS(2068),
    [anon_sym_class] = ACTIONS(2068),
    [anon_sym_role] = ACTIONS(2068),
    [anon_sym_BUILD] = ACTIONS(2068),
    [anon_sym_ADJUST] = ACTIONS(2068),
    [anon_sym_DOLLAR] = ACTIONS(2068),
    [anon_sym_AT] = ACTIONS(2068),
    [anon_sym_my] = ACTIONS(2068),
    [anon_sym_extended] = ACTIONS(2068),
    [anon_sym_async] = ACTIONS(2068),
    [anon_sym_sub] = ACTIONS(2068),
    [anon_sym_method] = ACTIONS(2068),
    [anon_sym_LPAREN] = ACTIONS(2068),
    [anon_sym_continue] = ACTIONS(2068),
    [anon_sym_state] = ACTIONS(2068),
    [anon_sym_our] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2068),
    [anon_sym_defer] = ACTIONS(2068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2068),
    [anon_sym_LBRACK] = ACTIONS(2068),
    [anon_sym_LT] = ACTIONS(2068),
    [anon_sym_LT_LT] = ACTIONS(2068),
    [anon_sym_SLASH_SLASH] = ACTIONS(2068),
    [anon_sym_PLUS] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_PLUS_PLUS] = ACTIONS(2068),
    [anon_sym_DASH_DASH] = ACTIONS(2068),
    [anon_sym_BSLASH] = ACTIONS(2066),
    [anon_sym_do] = ACTIONS(2068),
    [anon_sym_eval] = ACTIONS(2068),
    [anon_sym_await] = ACTIONS(2068),
    [anon_sym_field] = ACTIONS(2068),
    [anon_sym_local] = ACTIONS(2068),
    [anon_sym_dynamically] = ACTIONS(2068),
    [anon_sym_require] = ACTIONS(2068),
    [anon_sym_map] = ACTIONS(2068),
    [anon_sym_grep] = ACTIONS(2068),
    [anon_sym_sort] = ACTIONS(2068),
    [anon_sym_goto] = ACTIONS(2068),
    [anon_sym_return] = ACTIONS(2068),
    [anon_sym_undef] = ACTIONS(2068),
    [anon_sym_PERCENT2] = ACTIONS(2068),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2068),
    [anon_sym_use] = ACTIONS(2068),
    [anon_sym_no] = ACTIONS(2068),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_foreach] = ACTIONS(2068),
    [anon_sym_last] = ACTIONS(2068),
    [anon_sym_next] = ACTIONS(2068),
    [anon_sym_redo] = ACTIONS(2068),
    [anon_sym_BEGIN] = ACTIONS(2068),
    [anon_sym_INIT] = ACTIONS(2068),
    [anon_sym_CHECK] = ACTIONS(2068),
    [anon_sym_UNITCHECK] = ACTIONS(2068),
    [anon_sym_END] = ACTIONS(2068),
    [anon_sym___FILE__] = ACTIONS(2068),
    [anon_sym___LINE__] = ACTIONS(2068),
    [anon_sym___PACKAGE__] = ACTIONS(2068),
    [anon_sym___SUB__] = ACTIONS(2068),
    [anon_sym_break] = ACTIONS(2068),
    [anon_sym_fork] = ACTIONS(2068),
    [anon_sym_getppid] = ACTIONS(2068),
    [anon_sym_time] = ACTIONS(2068),
    [anon_sym_times] = ACTIONS(2068),
    [anon_sym_wait] = ACTIONS(2068),
    [anon_sym_wantarray] = ACTIONS(2068),
    [anon_sym_abs] = ACTIONS(2068),
    [anon_sym_alarm] = ACTIONS(2068),
    [anon_sym_chop] = ACTIONS(2068),
    [anon_sym_chdir] = ACTIONS(2068),
    [anon_sym_close] = ACTIONS(2068),
    [anon_sym_closedir] = ACTIONS(2068),
    [anon_sym_caller] = ACTIONS(2068),
    [anon_sym_chomp] = ACTIONS(2068),
    [anon_sym_chr] = ACTIONS(2068),
    [anon_sym_cos] = ACTIONS(2068),
    [anon_sym_chroot] = ACTIONS(2068),
    [anon_sym_defined] = ACTIONS(2068),
    [anon_sym_delete] = ACTIONS(2068),
    [anon_sym_dbmclose] = ACTIONS(2068),
    [anon_sym_exists] = ACTIONS(2068),
    [anon_sym_exit] = ACTIONS(2068),
    [anon_sym_eof] = ACTIONS(2068),
    [anon_sym_exp] = ACTIONS(2068),
    [anon_sym_each] = ACTIONS(2068),
    [anon_sym_fc] = ACTIONS(2068),
    [anon_sym_fileno] = ACTIONS(2068),
    [anon_sym_gmtime] = ACTIONS(2068),
    [anon_sym_getc] = ACTIONS(2068),
    [anon_sym_getpgrp] = ACTIONS(2068),
    [anon_sym_getprotobyname] = ACTIONS(2068),
    [anon_sym_getpwname] = ACTIONS(2068),
    [anon_sym_getpwuid] = ACTIONS(2068),
    [anon_sym_getpeername] = ACTIONS(2068),
    [anon_sym_getnetbyname] = ACTIONS(2068),
    [anon_sym_getsockname] = ACTIONS(2068),
    [anon_sym_getgrnam] = ACTIONS(2068),
    [anon_sym_getgrgid] = ACTIONS(2068),
    [anon_sym_hex] = ACTIONS(2068),
    [anon_sym_int] = ACTIONS(2068),
    [anon_sym_keys] = ACTIONS(2068),
    [anon_sym_lc] = ACTIONS(2068),
    [anon_sym_lcfirst] = ACTIONS(2068),
    [anon_sym_length] = ACTIONS(2068),
    [anon_sym_localtime] = ACTIONS(2068),
    [anon_sym_log] = ACTIONS(2068),
    [anon_sym_lock] = ACTIONS(2068),
    [anon_sym_lstat] = ACTIONS(2068),
    [anon_sym_oct] = ACTIONS(2068),
    [anon_sym_ord] = ACTIONS(2068),
    [anon_sym_prototype] = ACTIONS(2068),
    [anon_sym_pop] = ACTIONS(2068),
    [anon_sym_pos] = ACTIONS(2068),
    [anon_sym_quotemeta] = ACTIONS(2068),
    [anon_sym_reset] = ACTIONS(2068),
    [anon_sym_rand] = ACTIONS(2068),
    [anon_sym_rmdir] = ACTIONS(2068),
    [anon_sym_readdir] = ACTIONS(2068),
    [anon_sym_readline] = ACTIONS(2068),
    [anon_sym_readpipe] = ACTIONS(2068),
    [anon_sym_rewinddir] = ACTIONS(2068),
    [anon_sym_readlink] = ACTIONS(2068),
    [anon_sym_ref] = ACTIONS(2068),
    [anon_sym_scalar] = ACTIONS(2068),
    [anon_sym_shift] = ACTIONS(2068),
    [anon_sym_sin] = ACTIONS(2068),
    [anon_sym_sleep] = ACTIONS(2068),
    [anon_sym_sqrt] = ACTIONS(2068),
    [anon_sym_srand] = ACTIONS(2068),
    [anon_sym_stat] = ACTIONS(2068),
    [anon_sym_study] = ACTIONS(2068),
    [anon_sym_tell] = ACTIONS(2068),
    [anon_sym_telldir] = ACTIONS(2068),
    [anon_sym_tied] = ACTIONS(2068),
    [anon_sym_uc] = ACTIONS(2068),
    [anon_sym_ucfirst] = ACTIONS(2068),
    [anon_sym_untie] = ACTIONS(2068),
    [anon_sym_umask] = ACTIONS(2068),
    [anon_sym_values] = ACTIONS(2068),
    [anon_sym_write] = ACTIONS(2068),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2068),
    [anon_sym___END__] = ACTIONS(2068),
    [anon_sym_EOT] = ACTIONS(2068),
    [anon_sym_q] = ACTIONS(2068),
    [anon_sym_qq] = ACTIONS(2068),
    [anon_sym_qw] = ACTIONS(2068),
    [anon_sym_qx] = ACTIONS(2068),
    [anon_sym_qr] = ACTIONS(2068),
    [anon_sym_m] = ACTIONS(2068),
    [anon_sym_s] = ACTIONS(2068),
    [anon_sym_tr] = ACTIONS(2068),
    [anon_sym_y] = ACTIONS(2068),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_unless] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2068),
    [anon_sym_until] = ACTIONS(2068),
    [aux_sym__bareword_token1] = ACTIONS(2068),
    [sym_number] = ACTIONS(2068),
    [anon_sym_true] = ACTIONS(2068),
    [anon_sym_false] = ACTIONS(2068),
    [sym__single_quote] = ACTIONS(2066),
    [sym__double_quote] = ACTIONS(2066),
    [sym__backtick_quote] = ACTIONS(2066),
    [sym__search_slash_quote] = ACTIONS(2066),
    [sym__PERLY_HEREDOC] = ACTIONS(2066),
    [sym__ctrl_z_hack] = ACTIONS(2066),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2066),
    [sym__filetest] = ACTIONS(2066),
  },
  [850] = {
    [sym_heredoc_content] = STATE(850),
    [ts_builtin_sym_end] = ACTIONS(2070),
    [sym__identifier] = ACTIONS(2072),
    [anon_sym_LBRACE] = ACTIONS(2072),
    [anon_sym_SEMI] = ACTIONS(2072),
    [anon_sym_package] = ACTIONS(2072),
    [anon_sym_class] = ACTIONS(2072),
    [anon_sym_role] = ACTIONS(2072),
    [anon_sym_BUILD] = ACTIONS(2072),
    [anon_sym_ADJUST] = ACTIONS(2072),
    [anon_sym_DOLLAR] = ACTIONS(2072),
    [anon_sym_AT] = ACTIONS(2072),
    [anon_sym_my] = ACTIONS(2072),
    [anon_sym_extended] = ACTIONS(2072),
    [anon_sym_async] = ACTIONS(2072),
    [anon_sym_sub] = ACTIONS(2072),
    [anon_sym_method] = ACTIONS(2072),
    [anon_sym_LPAREN] = ACTIONS(2072),
    [anon_sym_continue] = ACTIONS(2072),
    [anon_sym_state] = ACTIONS(2072),
    [anon_sym_our] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2072),
    [anon_sym_defer] = ACTIONS(2072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [anon_sym_LT] = ACTIONS(2072),
    [anon_sym_LT_LT] = ACTIONS(2072),
    [anon_sym_SLASH_SLASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2072),
    [anon_sym_TILDE] = ACTIONS(2072),
    [anon_sym_BANG] = ACTIONS(2072),
    [anon_sym_PLUS_PLUS] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2072),
    [anon_sym_BSLASH] = ACTIONS(2070),
    [anon_sym_do] = ACTIONS(2072),
    [anon_sym_eval] = ACTIONS(2072),
    [anon_sym_await] = ACTIONS(2072),
    [anon_sym_field] = ACTIONS(2072),
    [anon_sym_local] = ACTIONS(2072),
    [anon_sym_dynamically] = ACTIONS(2072),
    [anon_sym_require] = ACTIONS(2072),
    [anon_sym_map] = ACTIONS(2072),
    [anon_sym_grep] = ACTIONS(2072),
    [anon_sym_sort] = ACTIONS(2072),
    [anon_sym_goto] = ACTIONS(2072),
    [anon_sym_return] = ACTIONS(2072),
    [anon_sym_undef] = ACTIONS(2072),
    [anon_sym_PERCENT2] = ACTIONS(2072),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2072),
    [anon_sym_use] = ACTIONS(2072),
    [anon_sym_no] = ACTIONS(2072),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_foreach] = ACTIONS(2072),
    [anon_sym_last] = ACTIONS(2072),
    [anon_sym_next] = ACTIONS(2072),
    [anon_sym_redo] = ACTIONS(2072),
    [anon_sym_BEGIN] = ACTIONS(2072),
    [anon_sym_INIT] = ACTIONS(2072),
    [anon_sym_CHECK] = ACTIONS(2072),
    [anon_sym_UNITCHECK] = ACTIONS(2072),
    [anon_sym_END] = ACTIONS(2072),
    [anon_sym___FILE__] = ACTIONS(2072),
    [anon_sym___LINE__] = ACTIONS(2072),
    [anon_sym___PACKAGE__] = ACTIONS(2072),
    [anon_sym___SUB__] = ACTIONS(2072),
    [anon_sym_break] = ACTIONS(2072),
    [anon_sym_fork] = ACTIONS(2072),
    [anon_sym_getppid] = ACTIONS(2072),
    [anon_sym_time] = ACTIONS(2072),
    [anon_sym_times] = ACTIONS(2072),
    [anon_sym_wait] = ACTIONS(2072),
    [anon_sym_wantarray] = ACTIONS(2072),
    [anon_sym_abs] = ACTIONS(2072),
    [anon_sym_alarm] = ACTIONS(2072),
    [anon_sym_chop] = ACTIONS(2072),
    [anon_sym_chdir] = ACTIONS(2072),
    [anon_sym_close] = ACTIONS(2072),
    [anon_sym_closedir] = ACTIONS(2072),
    [anon_sym_caller] = ACTIONS(2072),
    [anon_sym_chomp] = ACTIONS(2072),
    [anon_sym_chr] = ACTIONS(2072),
    [anon_sym_cos] = ACTIONS(2072),
    [anon_sym_chroot] = ACTIONS(2072),
    [anon_sym_defined] = ACTIONS(2072),
    [anon_sym_delete] = ACTIONS(2072),
    [anon_sym_dbmclose] = ACTIONS(2072),
    [anon_sym_exists] = ACTIONS(2072),
    [anon_sym_exit] = ACTIONS(2072),
    [anon_sym_eof] = ACTIONS(2072),
    [anon_sym_exp] = ACTIONS(2072),
    [anon_sym_each] = ACTIONS(2072),
    [anon_sym_fc] = ACTIONS(2072),
    [anon_sym_fileno] = ACTIONS(2072),
    [anon_sym_gmtime] = ACTIONS(2072),
    [anon_sym_getc] = ACTIONS(2072),
    [anon_sym_getpgrp] = ACTIONS(2072),
    [anon_sym_getprotobyname] = ACTIONS(2072),
    [anon_sym_getpwname] = ACTIONS(2072),
    [anon_sym_getpwuid] = ACTIONS(2072),
    [anon_sym_getpeername] = ACTIONS(2072),
    [anon_sym_getnetbyname] = ACTIONS(2072),
    [anon_sym_getsockname] = ACTIONS(2072),
    [anon_sym_getgrnam] = ACTIONS(2072),
    [anon_sym_getgrgid] = ACTIONS(2072),
    [anon_sym_hex] = ACTIONS(2072),
    [anon_sym_int] = ACTIONS(2072),
    [anon_sym_keys] = ACTIONS(2072),
    [anon_sym_lc] = ACTIONS(2072),
    [anon_sym_lcfirst] = ACTIONS(2072),
    [anon_sym_length] = ACTIONS(2072),
    [anon_sym_localtime] = ACTIONS(2072),
    [anon_sym_log] = ACTIONS(2072),
    [anon_sym_lock] = ACTIONS(2072),
    [anon_sym_lstat] = ACTIONS(2072),
    [anon_sym_oct] = ACTIONS(2072),
    [anon_sym_ord] = ACTIONS(2072),
    [anon_sym_prototype] = ACTIONS(2072),
    [anon_sym_pop] = ACTIONS(2072),
    [anon_sym_pos] = ACTIONS(2072),
    [anon_sym_quotemeta] = ACTIONS(2072),
    [anon_sym_reset] = ACTIONS(2072),
    [anon_sym_rand] = ACTIONS(2072),
    [anon_sym_rmdir] = ACTIONS(2072),
    [anon_sym_readdir] = ACTIONS(2072),
    [anon_sym_readline] = ACTIONS(2072),
    [anon_sym_readpipe] = ACTIONS(2072),
    [anon_sym_rewinddir] = ACTIONS(2072),
    [anon_sym_readlink] = ACTIONS(2072),
    [anon_sym_ref] = ACTIONS(2072),
    [anon_sym_scalar] = ACTIONS(2072),
    [anon_sym_shift] = ACTIONS(2072),
    [anon_sym_sin] = ACTIONS(2072),
    [anon_sym_sleep] = ACTIONS(2072),
    [anon_sym_sqrt] = ACTIONS(2072),
    [anon_sym_srand] = ACTIONS(2072),
    [anon_sym_stat] = ACTIONS(2072),
    [anon_sym_study] = ACTIONS(2072),
    [anon_sym_tell] = ACTIONS(2072),
    [anon_sym_telldir] = ACTIONS(2072),
    [anon_sym_tied] = ACTIONS(2072),
    [anon_sym_uc] = ACTIONS(2072),
    [anon_sym_ucfirst] = ACTIONS(2072),
    [anon_sym_untie] = ACTIONS(2072),
    [anon_sym_umask] = ACTIONS(2072),
    [anon_sym_values] = ACTIONS(2072),
    [anon_sym_write] = ACTIONS(2072),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2072),
    [anon_sym___END__] = ACTIONS(2072),
    [anon_sym_EOT] = ACTIONS(2072),
    [anon_sym_q] = ACTIONS(2072),
    [anon_sym_qq] = ACTIONS(2072),
    [anon_sym_qw] = ACTIONS(2072),
    [anon_sym_qx] = ACTIONS(2072),
    [anon_sym_qr] = ACTIONS(2072),
    [anon_sym_m] = ACTIONS(2072),
    [anon_sym_s] = ACTIONS(2072),
    [anon_sym_tr] = ACTIONS(2072),
    [anon_sym_y] = ACTIONS(2072),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_unless] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2072),
    [anon_sym_until] = ACTIONS(2072),
    [aux_sym__bareword_token1] = ACTIONS(2072),
    [sym_number] = ACTIONS(2072),
    [anon_sym_true] = ACTIONS(2072),
    [anon_sym_false] = ACTIONS(2072),
    [sym__single_quote] = ACTIONS(2070),
    [sym__double_quote] = ACTIONS(2070),
    [sym__backtick_quote] = ACTIONS(2070),
    [sym__search_slash_quote] = ACTIONS(2070),
    [sym__PERLY_HEREDOC] = ACTIONS(2070),
    [sym__ctrl_z_hack] = ACTIONS(2070),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2070),
    [sym__filetest] = ACTIONS(2070),
  },
  [851] = {
    [sym_heredoc_content] = STATE(851),
    [ts_builtin_sym_end] = ACTIONS(2074),
    [sym__identifier] = ACTIONS(2076),
    [anon_sym_LBRACE] = ACTIONS(2076),
    [anon_sym_SEMI] = ACTIONS(2076),
    [anon_sym_package] = ACTIONS(2076),
    [anon_sym_class] = ACTIONS(2076),
    [anon_sym_role] = ACTIONS(2076),
    [anon_sym_BUILD] = ACTIONS(2076),
    [anon_sym_ADJUST] = ACTIONS(2076),
    [anon_sym_DOLLAR] = ACTIONS(2076),
    [anon_sym_AT] = ACTIONS(2076),
    [anon_sym_my] = ACTIONS(2076),
    [anon_sym_extended] = ACTIONS(2076),
    [anon_sym_async] = ACTIONS(2076),
    [anon_sym_sub] = ACTIONS(2076),
    [anon_sym_method] = ACTIONS(2076),
    [anon_sym_LPAREN] = ACTIONS(2076),
    [anon_sym_continue] = ACTIONS(2076),
    [anon_sym_state] = ACTIONS(2076),
    [anon_sym_our] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2076),
    [anon_sym_defer] = ACTIONS(2076),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2076),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [anon_sym_LT] = ACTIONS(2076),
    [anon_sym_LT_LT] = ACTIONS(2076),
    [anon_sym_SLASH_SLASH] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_DASH] = ACTIONS(2076),
    [anon_sym_STAR] = ACTIONS(2076),
    [anon_sym_TILDE] = ACTIONS(2076),
    [anon_sym_BANG] = ACTIONS(2076),
    [anon_sym_PLUS_PLUS] = ACTIONS(2076),
    [anon_sym_DASH_DASH] = ACTIONS(2076),
    [anon_sym_BSLASH] = ACTIONS(2074),
    [anon_sym_do] = ACTIONS(2076),
    [anon_sym_eval] = ACTIONS(2076),
    [anon_sym_await] = ACTIONS(2076),
    [anon_sym_field] = ACTIONS(2076),
    [anon_sym_local] = ACTIONS(2076),
    [anon_sym_dynamically] = ACTIONS(2076),
    [anon_sym_require] = ACTIONS(2076),
    [anon_sym_map] = ACTIONS(2076),
    [anon_sym_grep] = ACTIONS(2076),
    [anon_sym_sort] = ACTIONS(2076),
    [anon_sym_goto] = ACTIONS(2076),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_undef] = ACTIONS(2076),
    [anon_sym_PERCENT2] = ACTIONS(2076),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2076),
    [anon_sym_use] = ACTIONS(2076),
    [anon_sym_no] = ACTIONS(2076),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_foreach] = ACTIONS(2076),
    [anon_sym_last] = ACTIONS(2076),
    [anon_sym_next] = ACTIONS(2076),
    [anon_sym_redo] = ACTIONS(2076),
    [anon_sym_BEGIN] = ACTIONS(2076),
    [anon_sym_INIT] = ACTIONS(2076),
    [anon_sym_CHECK] = ACTIONS(2076),
    [anon_sym_UNITCHECK] = ACTIONS(2076),
    [anon_sym_END] = ACTIONS(2076),
    [anon_sym___FILE__] = ACTIONS(2076),
    [anon_sym___LINE__] = ACTIONS(2076),
    [anon_sym___PACKAGE__] = ACTIONS(2076),
    [anon_sym___SUB__] = ACTIONS(2076),
    [anon_sym_break] = ACTIONS(2076),
    [anon_sym_fork] = ACTIONS(2076),
    [anon_sym_getppid] = ACTIONS(2076),
    [anon_sym_time] = ACTIONS(2076),
    [anon_sym_times] = ACTIONS(2076),
    [anon_sym_wait] = ACTIONS(2076),
    [anon_sym_wantarray] = ACTIONS(2076),
    [anon_sym_abs] = ACTIONS(2076),
    [anon_sym_alarm] = ACTIONS(2076),
    [anon_sym_chop] = ACTIONS(2076),
    [anon_sym_chdir] = ACTIONS(2076),
    [anon_sym_close] = ACTIONS(2076),
    [anon_sym_closedir] = ACTIONS(2076),
    [anon_sym_caller] = ACTIONS(2076),
    [anon_sym_chomp] = ACTIONS(2076),
    [anon_sym_chr] = ACTIONS(2076),
    [anon_sym_cos] = ACTIONS(2076),
    [anon_sym_chroot] = ACTIONS(2076),
    [anon_sym_defined] = ACTIONS(2076),
    [anon_sym_delete] = ACTIONS(2076),
    [anon_sym_dbmclose] = ACTIONS(2076),
    [anon_sym_exists] = ACTIONS(2076),
    [anon_sym_exit] = ACTIONS(2076),
    [anon_sym_eof] = ACTIONS(2076),
    [anon_sym_exp] = ACTIONS(2076),
    [anon_sym_each] = ACTIONS(2076),
    [anon_sym_fc] = ACTIONS(2076),
    [anon_sym_fileno] = ACTIONS(2076),
    [anon_sym_gmtime] = ACTIONS(2076),
    [anon_sym_getc] = ACTIONS(2076),
    [anon_sym_getpgrp] = ACTIONS(2076),
    [anon_sym_getprotobyname] = ACTIONS(2076),
    [anon_sym_getpwname] = ACTIONS(2076),
    [anon_sym_getpwuid] = ACTIONS(2076),
    [anon_sym_getpeername] = ACTIONS(2076),
    [anon_sym_getnetbyname] = ACTIONS(2076),
    [anon_sym_getsockname] = ACTIONS(2076),
    [anon_sym_getgrnam] = ACTIONS(2076),
    [anon_sym_getgrgid] = ACTIONS(2076),
    [anon_sym_hex] = ACTIONS(2076),
    [anon_sym_int] = ACTIONS(2076),
    [anon_sym_keys] = ACTIONS(2076),
    [anon_sym_lc] = ACTIONS(2076),
    [anon_sym_lcfirst] = ACTIONS(2076),
    [anon_sym_length] = ACTIONS(2076),
    [anon_sym_localtime] = ACTIONS(2076),
    [anon_sym_log] = ACTIONS(2076),
    [anon_sym_lock] = ACTIONS(2076),
    [anon_sym_lstat] = ACTIONS(2076),
    [anon_sym_oct] = ACTIONS(2076),
    [anon_sym_ord] = ACTIONS(2076),
    [anon_sym_prototype] = ACTIONS(2076),
    [anon_sym_pop] = ACTIONS(2076),
    [anon_sym_pos] = ACTIONS(2076),
    [anon_sym_quotemeta] = ACTIONS(2076),
    [anon_sym_reset] = ACTIONS(2076),
    [anon_sym_rand] = ACTIONS(2076),
    [anon_sym_rmdir] = ACTIONS(2076),
    [anon_sym_readdir] = ACTIONS(2076),
    [anon_sym_readline] = ACTIONS(2076),
    [anon_sym_readpipe] = ACTIONS(2076),
    [anon_sym_rewinddir] = ACTIONS(2076),
    [anon_sym_readlink] = ACTIONS(2076),
    [anon_sym_ref] = ACTIONS(2076),
    [anon_sym_scalar] = ACTIONS(2076),
    [anon_sym_shift] = ACTIONS(2076),
    [anon_sym_sin] = ACTIONS(2076),
    [anon_sym_sleep] = ACTIONS(2076),
    [anon_sym_sqrt] = ACTIONS(2076),
    [anon_sym_srand] = ACTIONS(2076),
    [anon_sym_stat] = ACTIONS(2076),
    [anon_sym_study] = ACTIONS(2076),
    [anon_sym_tell] = ACTIONS(2076),
    [anon_sym_telldir] = ACTIONS(2076),
    [anon_sym_tied] = ACTIONS(2076),
    [anon_sym_uc] = ACTIONS(2076),
    [anon_sym_ucfirst] = ACTIONS(2076),
    [anon_sym_untie] = ACTIONS(2076),
    [anon_sym_umask] = ACTIONS(2076),
    [anon_sym_values] = ACTIONS(2076),
    [anon_sym_write] = ACTIONS(2076),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2076),
    [anon_sym___END__] = ACTIONS(2076),
    [anon_sym_EOT] = ACTIONS(2076),
    [anon_sym_q] = ACTIONS(2076),
    [anon_sym_qq] = ACTIONS(2076),
    [anon_sym_qw] = ACTIONS(2076),
    [anon_sym_qx] = ACTIONS(2076),
    [anon_sym_qr] = ACTIONS(2076),
    [anon_sym_m] = ACTIONS(2076),
    [anon_sym_s] = ACTIONS(2076),
    [anon_sym_tr] = ACTIONS(2076),
    [anon_sym_y] = ACTIONS(2076),
    [anon_sym_if] = ACTIONS(2076),
    [anon_sym_unless] = ACTIONS(2076),
    [anon_sym_while] = ACTIONS(2076),
    [anon_sym_until] = ACTIONS(2076),
    [aux_sym__bareword_token1] = ACTIONS(2076),
    [sym_number] = ACTIONS(2076),
    [anon_sym_true] = ACTIONS(2076),
    [anon_sym_false] = ACTIONS(2076),
    [sym__single_quote] = ACTIONS(2074),
    [sym__double_quote] = ACTIONS(2074),
    [sym__backtick_quote] = ACTIONS(2074),
    [sym__search_slash_quote] = ACTIONS(2074),
    [sym__PERLY_HEREDOC] = ACTIONS(2074),
    [sym__ctrl_z_hack] = ACTIONS(2074),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2074),
    [sym__filetest] = ACTIONS(2074),
  },
  [852] = {
    [sym_heredoc_content] = STATE(852),
    [ts_builtin_sym_end] = ACTIONS(2078),
    [sym__identifier] = ACTIONS(2080),
    [anon_sym_LBRACE] = ACTIONS(2080),
    [anon_sym_SEMI] = ACTIONS(2080),
    [anon_sym_package] = ACTIONS(2080),
    [anon_sym_class] = ACTIONS(2080),
    [anon_sym_role] = ACTIONS(2080),
    [anon_sym_BUILD] = ACTIONS(2080),
    [anon_sym_ADJUST] = ACTIONS(2080),
    [anon_sym_DOLLAR] = ACTIONS(2080),
    [anon_sym_AT] = ACTIONS(2080),
    [anon_sym_my] = ACTIONS(2080),
    [anon_sym_extended] = ACTIONS(2080),
    [anon_sym_async] = ACTIONS(2080),
    [anon_sym_sub] = ACTIONS(2080),
    [anon_sym_method] = ACTIONS(2080),
    [anon_sym_LPAREN] = ACTIONS(2080),
    [anon_sym_continue] = ACTIONS(2080),
    [anon_sym_state] = ACTIONS(2080),
    [anon_sym_our] = ACTIONS(2080),
    [anon_sym_try] = ACTIONS(2080),
    [anon_sym_defer] = ACTIONS(2080),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2080),
    [anon_sym_LT] = ACTIONS(2080),
    [anon_sym_LT_LT] = ACTIONS(2080),
    [anon_sym_SLASH_SLASH] = ACTIONS(2080),
    [anon_sym_PLUS] = ACTIONS(2080),
    [anon_sym_DASH] = ACTIONS(2080),
    [anon_sym_STAR] = ACTIONS(2080),
    [anon_sym_TILDE] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2080),
    [anon_sym_PLUS_PLUS] = ACTIONS(2080),
    [anon_sym_DASH_DASH] = ACTIONS(2080),
    [anon_sym_BSLASH] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(2080),
    [anon_sym_eval] = ACTIONS(2080),
    [anon_sym_await] = ACTIONS(2080),
    [anon_sym_field] = ACTIONS(2080),
    [anon_sym_local] = ACTIONS(2080),
    [anon_sym_dynamically] = ACTIONS(2080),
    [anon_sym_require] = ACTIONS(2080),
    [anon_sym_map] = ACTIONS(2080),
    [anon_sym_grep] = ACTIONS(2080),
    [anon_sym_sort] = ACTIONS(2080),
    [anon_sym_goto] = ACTIONS(2080),
    [anon_sym_return] = ACTIONS(2080),
    [anon_sym_undef] = ACTIONS(2080),
    [anon_sym_PERCENT2] = ACTIONS(2080),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2080),
    [anon_sym_use] = ACTIONS(2080),
    [anon_sym_no] = ACTIONS(2080),
    [anon_sym_for] = ACTIONS(2080),
    [anon_sym_foreach] = ACTIONS(2080),
    [anon_sym_last] = ACTIONS(2080),
    [anon_sym_next] = ACTIONS(2080),
    [anon_sym_redo] = ACTIONS(2080),
    [anon_sym_BEGIN] = ACTIONS(2080),
    [anon_sym_INIT] = ACTIONS(2080),
    [anon_sym_CHECK] = ACTIONS(2080),
    [anon_sym_UNITCHECK] = ACTIONS(2080),
    [anon_sym_END] = ACTIONS(2080),
    [anon_sym___FILE__] = ACTIONS(2080),
    [anon_sym___LINE__] = ACTIONS(2080),
    [anon_sym___PACKAGE__] = ACTIONS(2080),
    [anon_sym___SUB__] = ACTIONS(2080),
    [anon_sym_break] = ACTIONS(2080),
    [anon_sym_fork] = ACTIONS(2080),
    [anon_sym_getppid] = ACTIONS(2080),
    [anon_sym_time] = ACTIONS(2080),
    [anon_sym_times] = ACTIONS(2080),
    [anon_sym_wait] = ACTIONS(2080),
    [anon_sym_wantarray] = ACTIONS(2080),
    [anon_sym_abs] = ACTIONS(2080),
    [anon_sym_alarm] = ACTIONS(2080),
    [anon_sym_chop] = ACTIONS(2080),
    [anon_sym_chdir] = ACTIONS(2080),
    [anon_sym_close] = ACTIONS(2080),
    [anon_sym_closedir] = ACTIONS(2080),
    [anon_sym_caller] = ACTIONS(2080),
    [anon_sym_chomp] = ACTIONS(2080),
    [anon_sym_chr] = ACTIONS(2080),
    [anon_sym_cos] = ACTIONS(2080),
    [anon_sym_chroot] = ACTIONS(2080),
    [anon_sym_defined] = ACTIONS(2080),
    [anon_sym_delete] = ACTIONS(2080),
    [anon_sym_dbmclose] = ACTIONS(2080),
    [anon_sym_exists] = ACTIONS(2080),
    [anon_sym_exit] = ACTIONS(2080),
    [anon_sym_eof] = ACTIONS(2080),
    [anon_sym_exp] = ACTIONS(2080),
    [anon_sym_each] = ACTIONS(2080),
    [anon_sym_fc] = ACTIONS(2080),
    [anon_sym_fileno] = ACTIONS(2080),
    [anon_sym_gmtime] = ACTIONS(2080),
    [anon_sym_getc] = ACTIONS(2080),
    [anon_sym_getpgrp] = ACTIONS(2080),
    [anon_sym_getprotobyname] = ACTIONS(2080),
    [anon_sym_getpwname] = ACTIONS(2080),
    [anon_sym_getpwuid] = ACTIONS(2080),
    [anon_sym_getpeername] = ACTIONS(2080),
    [anon_sym_getnetbyname] = ACTIONS(2080),
    [anon_sym_getsockname] = ACTIONS(2080),
    [anon_sym_getgrnam] = ACTIONS(2080),
    [anon_sym_getgrgid] = ACTIONS(2080),
    [anon_sym_hex] = ACTIONS(2080),
    [anon_sym_int] = ACTIONS(2080),
    [anon_sym_keys] = ACTIONS(2080),
    [anon_sym_lc] = ACTIONS(2080),
    [anon_sym_lcfirst] = ACTIONS(2080),
    [anon_sym_length] = ACTIONS(2080),
    [anon_sym_localtime] = ACTIONS(2080),
    [anon_sym_log] = ACTIONS(2080),
    [anon_sym_lock] = ACTIONS(2080),
    [anon_sym_lstat] = ACTIONS(2080),
    [anon_sym_oct] = ACTIONS(2080),
    [anon_sym_ord] = ACTIONS(2080),
    [anon_sym_prototype] = ACTIONS(2080),
    [anon_sym_pop] = ACTIONS(2080),
    [anon_sym_pos] = ACTIONS(2080),
    [anon_sym_quotemeta] = ACTIONS(2080),
    [anon_sym_reset] = ACTIONS(2080),
    [anon_sym_rand] = ACTIONS(2080),
    [anon_sym_rmdir] = ACTIONS(2080),
    [anon_sym_readdir] = ACTIONS(2080),
    [anon_sym_readline] = ACTIONS(2080),
    [anon_sym_readpipe] = ACTIONS(2080),
    [anon_sym_rewinddir] = ACTIONS(2080),
    [anon_sym_readlink] = ACTIONS(2080),
    [anon_sym_ref] = ACTIONS(2080),
    [anon_sym_scalar] = ACTIONS(2080),
    [anon_sym_shift] = ACTIONS(2080),
    [anon_sym_sin] = ACTIONS(2080),
    [anon_sym_sleep] = ACTIONS(2080),
    [anon_sym_sqrt] = ACTIONS(2080),
    [anon_sym_srand] = ACTIONS(2080),
    [anon_sym_stat] = ACTIONS(2080),
    [anon_sym_study] = ACTIONS(2080),
    [anon_sym_tell] = ACTIONS(2080),
    [anon_sym_telldir] = ACTIONS(2080),
    [anon_sym_tied] = ACTIONS(2080),
    [anon_sym_uc] = ACTIONS(2080),
    [anon_sym_ucfirst] = ACTIONS(2080),
    [anon_sym_untie] = ACTIONS(2080),
    [anon_sym_umask] = ACTIONS(2080),
    [anon_sym_values] = ACTIONS(2080),
    [anon_sym_write] = ACTIONS(2080),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2080),
    [anon_sym___END__] = ACTIONS(2080),
    [anon_sym_EOT] = ACTIONS(2080),
    [anon_sym_q] = ACTIONS(2080),
    [anon_sym_qq] = ACTIONS(2080),
    [anon_sym_qw] = ACTIONS(2080),
    [anon_sym_qx] = ACTIONS(2080),
    [anon_sym_qr] = ACTIONS(2080),
    [anon_sym_m] = ACTIONS(2080),
    [anon_sym_s] = ACTIONS(2080),
    [anon_sym_tr] = ACTIONS(2080),
    [anon_sym_y] = ACTIONS(2080),
    [anon_sym_if] = ACTIONS(2080),
    [anon_sym_unless] = ACTIONS(2080),
    [anon_sym_while] = ACTIONS(2080),
    [anon_sym_until] = ACTIONS(2080),
    [aux_sym__bareword_token1] = ACTIONS(2080),
    [sym_number] = ACTIONS(2080),
    [anon_sym_true] = ACTIONS(2080),
    [anon_sym_false] = ACTIONS(2080),
    [sym__single_quote] = ACTIONS(2078),
    [sym__double_quote] = ACTIONS(2078),
    [sym__backtick_quote] = ACTIONS(2078),
    [sym__search_slash_quote] = ACTIONS(2078),
    [sym__PERLY_HEREDOC] = ACTIONS(2078),
    [sym__ctrl_z_hack] = ACTIONS(2078),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2078),
    [sym__filetest] = ACTIONS(2078),
  },
  [853] = {
    [sym_heredoc_content] = STATE(853),
    [ts_builtin_sym_end] = ACTIONS(2082),
    [sym__identifier] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2084),
    [anon_sym_SEMI] = ACTIONS(2084),
    [anon_sym_package] = ACTIONS(2084),
    [anon_sym_class] = ACTIONS(2084),
    [anon_sym_role] = ACTIONS(2084),
    [anon_sym_BUILD] = ACTIONS(2084),
    [anon_sym_ADJUST] = ACTIONS(2084),
    [anon_sym_DOLLAR] = ACTIONS(2084),
    [anon_sym_AT] = ACTIONS(2084),
    [anon_sym_my] = ACTIONS(2084),
    [anon_sym_extended] = ACTIONS(2084),
    [anon_sym_async] = ACTIONS(2084),
    [anon_sym_sub] = ACTIONS(2084),
    [anon_sym_method] = ACTIONS(2084),
    [anon_sym_LPAREN] = ACTIONS(2084),
    [anon_sym_continue] = ACTIONS(2084),
    [anon_sym_state] = ACTIONS(2084),
    [anon_sym_our] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2084),
    [anon_sym_defer] = ACTIONS(2084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2084),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_LT] = ACTIONS(2084),
    [anon_sym_LT_LT] = ACTIONS(2084),
    [anon_sym_SLASH_SLASH] = ACTIONS(2084),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_STAR] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_PLUS_PLUS] = ACTIONS(2084),
    [anon_sym_DASH_DASH] = ACTIONS(2084),
    [anon_sym_BSLASH] = ACTIONS(2082),
    [anon_sym_do] = ACTIONS(2084),
    [anon_sym_eval] = ACTIONS(2084),
    [anon_sym_await] = ACTIONS(2084),
    [anon_sym_field] = ACTIONS(2084),
    [anon_sym_local] = ACTIONS(2084),
    [anon_sym_dynamically] = ACTIONS(2084),
    [anon_sym_require] = ACTIONS(2084),
    [anon_sym_map] = ACTIONS(2084),
    [anon_sym_grep] = ACTIONS(2084),
    [anon_sym_sort] = ACTIONS(2084),
    [anon_sym_goto] = ACTIONS(2084),
    [anon_sym_return] = ACTIONS(2084),
    [anon_sym_undef] = ACTIONS(2084),
    [anon_sym_PERCENT2] = ACTIONS(2084),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2084),
    [anon_sym_use] = ACTIONS(2084),
    [anon_sym_no] = ACTIONS(2084),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_foreach] = ACTIONS(2084),
    [anon_sym_last] = ACTIONS(2084),
    [anon_sym_next] = ACTIONS(2084),
    [anon_sym_redo] = ACTIONS(2084),
    [anon_sym_BEGIN] = ACTIONS(2084),
    [anon_sym_INIT] = ACTIONS(2084),
    [anon_sym_CHECK] = ACTIONS(2084),
    [anon_sym_UNITCHECK] = ACTIONS(2084),
    [anon_sym_END] = ACTIONS(2084),
    [anon_sym___FILE__] = ACTIONS(2084),
    [anon_sym___LINE__] = ACTIONS(2084),
    [anon_sym___PACKAGE__] = ACTIONS(2084),
    [anon_sym___SUB__] = ACTIONS(2084),
    [anon_sym_break] = ACTIONS(2084),
    [anon_sym_fork] = ACTIONS(2084),
    [anon_sym_getppid] = ACTIONS(2084),
    [anon_sym_time] = ACTIONS(2084),
    [anon_sym_times] = ACTIONS(2084),
    [anon_sym_wait] = ACTIONS(2084),
    [anon_sym_wantarray] = ACTIONS(2084),
    [anon_sym_abs] = ACTIONS(2084),
    [anon_sym_alarm] = ACTIONS(2084),
    [anon_sym_chop] = ACTIONS(2084),
    [anon_sym_chdir] = ACTIONS(2084),
    [anon_sym_close] = ACTIONS(2084),
    [anon_sym_closedir] = ACTIONS(2084),
    [anon_sym_caller] = ACTIONS(2084),
    [anon_sym_chomp] = ACTIONS(2084),
    [anon_sym_chr] = ACTIONS(2084),
    [anon_sym_cos] = ACTIONS(2084),
    [anon_sym_chroot] = ACTIONS(2084),
    [anon_sym_defined] = ACTIONS(2084),
    [anon_sym_delete] = ACTIONS(2084),
    [anon_sym_dbmclose] = ACTIONS(2084),
    [anon_sym_exists] = ACTIONS(2084),
    [anon_sym_exit] = ACTIONS(2084),
    [anon_sym_eof] = ACTIONS(2084),
    [anon_sym_exp] = ACTIONS(2084),
    [anon_sym_each] = ACTIONS(2084),
    [anon_sym_fc] = ACTIONS(2084),
    [anon_sym_fileno] = ACTIONS(2084),
    [anon_sym_gmtime] = ACTIONS(2084),
    [anon_sym_getc] = ACTIONS(2084),
    [anon_sym_getpgrp] = ACTIONS(2084),
    [anon_sym_getprotobyname] = ACTIONS(2084),
    [anon_sym_getpwname] = ACTIONS(2084),
    [anon_sym_getpwuid] = ACTIONS(2084),
    [anon_sym_getpeername] = ACTIONS(2084),
    [anon_sym_getnetbyname] = ACTIONS(2084),
    [anon_sym_getsockname] = ACTIONS(2084),
    [anon_sym_getgrnam] = ACTIONS(2084),
    [anon_sym_getgrgid] = ACTIONS(2084),
    [anon_sym_hex] = ACTIONS(2084),
    [anon_sym_int] = ACTIONS(2084),
    [anon_sym_keys] = ACTIONS(2084),
    [anon_sym_lc] = ACTIONS(2084),
    [anon_sym_lcfirst] = ACTIONS(2084),
    [anon_sym_length] = ACTIONS(2084),
    [anon_sym_localtime] = ACTIONS(2084),
    [anon_sym_log] = ACTIONS(2084),
    [anon_sym_lock] = ACTIONS(2084),
    [anon_sym_lstat] = ACTIONS(2084),
    [anon_sym_oct] = ACTIONS(2084),
    [anon_sym_ord] = ACTIONS(2084),
    [anon_sym_prototype] = ACTIONS(2084),
    [anon_sym_pop] = ACTIONS(2084),
    [anon_sym_pos] = ACTIONS(2084),
    [anon_sym_quotemeta] = ACTIONS(2084),
    [anon_sym_reset] = ACTIONS(2084),
    [anon_sym_rand] = ACTIONS(2084),
    [anon_sym_rmdir] = ACTIONS(2084),
    [anon_sym_readdir] = ACTIONS(2084),
    [anon_sym_readline] = ACTIONS(2084),
    [anon_sym_readpipe] = ACTIONS(2084),
    [anon_sym_rewinddir] = ACTIONS(2084),
    [anon_sym_readlink] = ACTIONS(2084),
    [anon_sym_ref] = ACTIONS(2084),
    [anon_sym_scalar] = ACTIONS(2084),
    [anon_sym_shift] = ACTIONS(2084),
    [anon_sym_sin] = ACTIONS(2084),
    [anon_sym_sleep] = ACTIONS(2084),
    [anon_sym_sqrt] = ACTIONS(2084),
    [anon_sym_srand] = ACTIONS(2084),
    [anon_sym_stat] = ACTIONS(2084),
    [anon_sym_study] = ACTIONS(2084),
    [anon_sym_tell] = ACTIONS(2084),
    [anon_sym_telldir] = ACTIONS(2084),
    [anon_sym_tied] = ACTIONS(2084),
    [anon_sym_uc] = ACTIONS(2084),
    [anon_sym_ucfirst] = ACTIONS(2084),
    [anon_sym_untie] = ACTIONS(2084),
    [anon_sym_umask] = ACTIONS(2084),
    [anon_sym_values] = ACTIONS(2084),
    [anon_sym_write] = ACTIONS(2084),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2084),
    [anon_sym___END__] = ACTIONS(2084),
    [anon_sym_EOT] = ACTIONS(2084),
    [anon_sym_q] = ACTIONS(2084),
    [anon_sym_qq] = ACTIONS(2084),
    [anon_sym_qw] = ACTIONS(2084),
    [anon_sym_qx] = ACTIONS(2084),
    [anon_sym_qr] = ACTIONS(2084),
    [anon_sym_m] = ACTIONS(2084),
    [anon_sym_s] = ACTIONS(2084),
    [anon_sym_tr] = ACTIONS(2084),
    [anon_sym_y] = ACTIONS(2084),
    [anon_sym_if] = ACTIONS(2084),
    [anon_sym_unless] = ACTIONS(2084),
    [anon_sym_while] = ACTIONS(2084),
    [anon_sym_until] = ACTIONS(2084),
    [aux_sym__bareword_token1] = ACTIONS(2084),
    [sym_number] = ACTIONS(2084),
    [anon_sym_true] = ACTIONS(2084),
    [anon_sym_false] = ACTIONS(2084),
    [sym__single_quote] = ACTIONS(2082),
    [sym__double_quote] = ACTIONS(2082),
    [sym__backtick_quote] = ACTIONS(2082),
    [sym__search_slash_quote] = ACTIONS(2082),
    [sym__PERLY_HEREDOC] = ACTIONS(2082),
    [sym__ctrl_z_hack] = ACTIONS(2082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2082),
    [sym__filetest] = ACTIONS(2082),
  },
  [854] = {
    [sym_heredoc_content] = STATE(854),
    [ts_builtin_sym_end] = ACTIONS(2086),
    [sym__identifier] = ACTIONS(2088),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym_SEMI] = ACTIONS(2088),
    [anon_sym_package] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_role] = ACTIONS(2088),
    [anon_sym_BUILD] = ACTIONS(2088),
    [anon_sym_ADJUST] = ACTIONS(2088),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [anon_sym_AT] = ACTIONS(2088),
    [anon_sym_my] = ACTIONS(2088),
    [anon_sym_extended] = ACTIONS(2088),
    [anon_sym_async] = ACTIONS(2088),
    [anon_sym_sub] = ACTIONS(2088),
    [anon_sym_method] = ACTIONS(2088),
    [anon_sym_LPAREN] = ACTIONS(2088),
    [anon_sym_continue] = ACTIONS(2088),
    [anon_sym_state] = ACTIONS(2088),
    [anon_sym_our] = ACTIONS(2088),
    [anon_sym_try] = ACTIONS(2088),
    [anon_sym_defer] = ACTIONS(2088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2088),
    [anon_sym_LBRACK] = ACTIONS(2088),
    [anon_sym_LT] = ACTIONS(2088),
    [anon_sym_LT_LT] = ACTIONS(2088),
    [anon_sym_SLASH_SLASH] = ACTIONS(2088),
    [anon_sym_PLUS] = ACTIONS(2088),
    [anon_sym_DASH] = ACTIONS(2088),
    [anon_sym_STAR] = ACTIONS(2088),
    [anon_sym_TILDE] = ACTIONS(2088),
    [anon_sym_BANG] = ACTIONS(2088),
    [anon_sym_PLUS_PLUS] = ACTIONS(2088),
    [anon_sym_DASH_DASH] = ACTIONS(2088),
    [anon_sym_BSLASH] = ACTIONS(2086),
    [anon_sym_do] = ACTIONS(2088),
    [anon_sym_eval] = ACTIONS(2088),
    [anon_sym_await] = ACTIONS(2088),
    [anon_sym_field] = ACTIONS(2088),
    [anon_sym_local] = ACTIONS(2088),
    [anon_sym_dynamically] = ACTIONS(2088),
    [anon_sym_require] = ACTIONS(2088),
    [anon_sym_map] = ACTIONS(2088),
    [anon_sym_grep] = ACTIONS(2088),
    [anon_sym_sort] = ACTIONS(2088),
    [anon_sym_goto] = ACTIONS(2088),
    [anon_sym_return] = ACTIONS(2088),
    [anon_sym_undef] = ACTIONS(2088),
    [anon_sym_PERCENT2] = ACTIONS(2088),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2088),
    [anon_sym_use] = ACTIONS(2088),
    [anon_sym_no] = ACTIONS(2088),
    [anon_sym_for] = ACTIONS(2088),
    [anon_sym_foreach] = ACTIONS(2088),
    [anon_sym_last] = ACTIONS(2088),
    [anon_sym_next] = ACTIONS(2088),
    [anon_sym_redo] = ACTIONS(2088),
    [anon_sym_BEGIN] = ACTIONS(2088),
    [anon_sym_INIT] = ACTIONS(2088),
    [anon_sym_CHECK] = ACTIONS(2088),
    [anon_sym_UNITCHECK] = ACTIONS(2088),
    [anon_sym_END] = ACTIONS(2088),
    [anon_sym___FILE__] = ACTIONS(2088),
    [anon_sym___LINE__] = ACTIONS(2088),
    [anon_sym___PACKAGE__] = ACTIONS(2088),
    [anon_sym___SUB__] = ACTIONS(2088),
    [anon_sym_break] = ACTIONS(2088),
    [anon_sym_fork] = ACTIONS(2088),
    [anon_sym_getppid] = ACTIONS(2088),
    [anon_sym_time] = ACTIONS(2088),
    [anon_sym_times] = ACTIONS(2088),
    [anon_sym_wait] = ACTIONS(2088),
    [anon_sym_wantarray] = ACTIONS(2088),
    [anon_sym_abs] = ACTIONS(2088),
    [anon_sym_alarm] = ACTIONS(2088),
    [anon_sym_chop] = ACTIONS(2088),
    [anon_sym_chdir] = ACTIONS(2088),
    [anon_sym_close] = ACTIONS(2088),
    [anon_sym_closedir] = ACTIONS(2088),
    [anon_sym_caller] = ACTIONS(2088),
    [anon_sym_chomp] = ACTIONS(2088),
    [anon_sym_chr] = ACTIONS(2088),
    [anon_sym_cos] = ACTIONS(2088),
    [anon_sym_chroot] = ACTIONS(2088),
    [anon_sym_defined] = ACTIONS(2088),
    [anon_sym_delete] = ACTIONS(2088),
    [anon_sym_dbmclose] = ACTIONS(2088),
    [anon_sym_exists] = ACTIONS(2088),
    [anon_sym_exit] = ACTIONS(2088),
    [anon_sym_eof] = ACTIONS(2088),
    [anon_sym_exp] = ACTIONS(2088),
    [anon_sym_each] = ACTIONS(2088),
    [anon_sym_fc] = ACTIONS(2088),
    [anon_sym_fileno] = ACTIONS(2088),
    [anon_sym_gmtime] = ACTIONS(2088),
    [anon_sym_getc] = ACTIONS(2088),
    [anon_sym_getpgrp] = ACTIONS(2088),
    [anon_sym_getprotobyname] = ACTIONS(2088),
    [anon_sym_getpwname] = ACTIONS(2088),
    [anon_sym_getpwuid] = ACTIONS(2088),
    [anon_sym_getpeername] = ACTIONS(2088),
    [anon_sym_getnetbyname] = ACTIONS(2088),
    [anon_sym_getsockname] = ACTIONS(2088),
    [anon_sym_getgrnam] = ACTIONS(2088),
    [anon_sym_getgrgid] = ACTIONS(2088),
    [anon_sym_hex] = ACTIONS(2088),
    [anon_sym_int] = ACTIONS(2088),
    [anon_sym_keys] = ACTIONS(2088),
    [anon_sym_lc] = ACTIONS(2088),
    [anon_sym_lcfirst] = ACTIONS(2088),
    [anon_sym_length] = ACTIONS(2088),
    [anon_sym_localtime] = ACTIONS(2088),
    [anon_sym_log] = ACTIONS(2088),
    [anon_sym_lock] = ACTIONS(2088),
    [anon_sym_lstat] = ACTIONS(2088),
    [anon_sym_oct] = ACTIONS(2088),
    [anon_sym_ord] = ACTIONS(2088),
    [anon_sym_prototype] = ACTIONS(2088),
    [anon_sym_pop] = ACTIONS(2088),
    [anon_sym_pos] = ACTIONS(2088),
    [anon_sym_quotemeta] = ACTIONS(2088),
    [anon_sym_reset] = ACTIONS(2088),
    [anon_sym_rand] = ACTIONS(2088),
    [anon_sym_rmdir] = ACTIONS(2088),
    [anon_sym_readdir] = ACTIONS(2088),
    [anon_sym_readline] = ACTIONS(2088),
    [anon_sym_readpipe] = ACTIONS(2088),
    [anon_sym_rewinddir] = ACTIONS(2088),
    [anon_sym_readlink] = ACTIONS(2088),
    [anon_sym_ref] = ACTIONS(2088),
    [anon_sym_scalar] = ACTIONS(2088),
    [anon_sym_shift] = ACTIONS(2088),
    [anon_sym_sin] = ACTIONS(2088),
    [anon_sym_sleep] = ACTIONS(2088),
    [anon_sym_sqrt] = ACTIONS(2088),
    [anon_sym_srand] = ACTIONS(2088),
    [anon_sym_stat] = ACTIONS(2088),
    [anon_sym_study] = ACTIONS(2088),
    [anon_sym_tell] = ACTIONS(2088),
    [anon_sym_telldir] = ACTIONS(2088),
    [anon_sym_tied] = ACTIONS(2088),
    [anon_sym_uc] = ACTIONS(2088),
    [anon_sym_ucfirst] = ACTIONS(2088),
    [anon_sym_untie] = ACTIONS(2088),
    [anon_sym_umask] = ACTIONS(2088),
    [anon_sym_values] = ACTIONS(2088),
    [anon_sym_write] = ACTIONS(2088),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2088),
    [anon_sym___END__] = ACTIONS(2088),
    [anon_sym_EOT] = ACTIONS(2088),
    [anon_sym_q] = ACTIONS(2088),
    [anon_sym_qq] = ACTIONS(2088),
    [anon_sym_qw] = ACTIONS(2088),
    [anon_sym_qx] = ACTIONS(2088),
    [anon_sym_qr] = ACTIONS(2088),
    [anon_sym_m] = ACTIONS(2088),
    [anon_sym_s] = ACTIONS(2088),
    [anon_sym_tr] = ACTIONS(2088),
    [anon_sym_y] = ACTIONS(2088),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_unless] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2088),
    [anon_sym_until] = ACTIONS(2088),
    [aux_sym__bareword_token1] = ACTIONS(2088),
    [sym_number] = ACTIONS(2088),
    [anon_sym_true] = ACTIONS(2088),
    [anon_sym_false] = ACTIONS(2088),
    [sym__single_quote] = ACTIONS(2086),
    [sym__double_quote] = ACTIONS(2086),
    [sym__backtick_quote] = ACTIONS(2086),
    [sym__search_slash_quote] = ACTIONS(2086),
    [sym__PERLY_HEREDOC] = ACTIONS(2086),
    [sym__ctrl_z_hack] = ACTIONS(2086),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2086),
    [sym__filetest] = ACTIONS(2086),
  },
  [855] = {
    [sym_heredoc_content] = STATE(855),
    [ts_builtin_sym_end] = ACTIONS(2090),
    [sym__identifier] = ACTIONS(2092),
    [anon_sym_LBRACE] = ACTIONS(2092),
    [anon_sym_SEMI] = ACTIONS(2092),
    [anon_sym_package] = ACTIONS(2092),
    [anon_sym_class] = ACTIONS(2092),
    [anon_sym_role] = ACTIONS(2092),
    [anon_sym_BUILD] = ACTIONS(2092),
    [anon_sym_ADJUST] = ACTIONS(2092),
    [anon_sym_DOLLAR] = ACTIONS(2092),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_my] = ACTIONS(2092),
    [anon_sym_extended] = ACTIONS(2092),
    [anon_sym_async] = ACTIONS(2092),
    [anon_sym_sub] = ACTIONS(2092),
    [anon_sym_method] = ACTIONS(2092),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_continue] = ACTIONS(2092),
    [anon_sym_state] = ACTIONS(2092),
    [anon_sym_our] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2092),
    [anon_sym_defer] = ACTIONS(2092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_PLUS_PLUS] = ACTIONS(2092),
    [anon_sym_DASH_DASH] = ACTIONS(2092),
    [anon_sym_BSLASH] = ACTIONS(2090),
    [anon_sym_do] = ACTIONS(2092),
    [anon_sym_eval] = ACTIONS(2092),
    [anon_sym_await] = ACTIONS(2092),
    [anon_sym_field] = ACTIONS(2092),
    [anon_sym_local] = ACTIONS(2092),
    [anon_sym_dynamically] = ACTIONS(2092),
    [anon_sym_require] = ACTIONS(2092),
    [anon_sym_map] = ACTIONS(2092),
    [anon_sym_grep] = ACTIONS(2092),
    [anon_sym_sort] = ACTIONS(2092),
    [anon_sym_goto] = ACTIONS(2092),
    [anon_sym_return] = ACTIONS(2092),
    [anon_sym_undef] = ACTIONS(2092),
    [anon_sym_PERCENT2] = ACTIONS(2092),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2092),
    [anon_sym_use] = ACTIONS(2092),
    [anon_sym_no] = ACTIONS(2092),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_foreach] = ACTIONS(2092),
    [anon_sym_last] = ACTIONS(2092),
    [anon_sym_next] = ACTIONS(2092),
    [anon_sym_redo] = ACTIONS(2092),
    [anon_sym_BEGIN] = ACTIONS(2092),
    [anon_sym_INIT] = ACTIONS(2092),
    [anon_sym_CHECK] = ACTIONS(2092),
    [anon_sym_UNITCHECK] = ACTIONS(2092),
    [anon_sym_END] = ACTIONS(2092),
    [anon_sym___FILE__] = ACTIONS(2092),
    [anon_sym___LINE__] = ACTIONS(2092),
    [anon_sym___PACKAGE__] = ACTIONS(2092),
    [anon_sym___SUB__] = ACTIONS(2092),
    [anon_sym_break] = ACTIONS(2092),
    [anon_sym_fork] = ACTIONS(2092),
    [anon_sym_getppid] = ACTIONS(2092),
    [anon_sym_time] = ACTIONS(2092),
    [anon_sym_times] = ACTIONS(2092),
    [anon_sym_wait] = ACTIONS(2092),
    [anon_sym_wantarray] = ACTIONS(2092),
    [anon_sym_abs] = ACTIONS(2092),
    [anon_sym_alarm] = ACTIONS(2092),
    [anon_sym_chop] = ACTIONS(2092),
    [anon_sym_chdir] = ACTIONS(2092),
    [anon_sym_close] = ACTIONS(2092),
    [anon_sym_closedir] = ACTIONS(2092),
    [anon_sym_caller] = ACTIONS(2092),
    [anon_sym_chomp] = ACTIONS(2092),
    [anon_sym_chr] = ACTIONS(2092),
    [anon_sym_cos] = ACTIONS(2092),
    [anon_sym_chroot] = ACTIONS(2092),
    [anon_sym_defined] = ACTIONS(2092),
    [anon_sym_delete] = ACTIONS(2092),
    [anon_sym_dbmclose] = ACTIONS(2092),
    [anon_sym_exists] = ACTIONS(2092),
    [anon_sym_exit] = ACTIONS(2092),
    [anon_sym_eof] = ACTIONS(2092),
    [anon_sym_exp] = ACTIONS(2092),
    [anon_sym_each] = ACTIONS(2092),
    [anon_sym_fc] = ACTIONS(2092),
    [anon_sym_fileno] = ACTIONS(2092),
    [anon_sym_gmtime] = ACTIONS(2092),
    [anon_sym_getc] = ACTIONS(2092),
    [anon_sym_getpgrp] = ACTIONS(2092),
    [anon_sym_getprotobyname] = ACTIONS(2092),
    [anon_sym_getpwname] = ACTIONS(2092),
    [anon_sym_getpwuid] = ACTIONS(2092),
    [anon_sym_getpeername] = ACTIONS(2092),
    [anon_sym_getnetbyname] = ACTIONS(2092),
    [anon_sym_getsockname] = ACTIONS(2092),
    [anon_sym_getgrnam] = ACTIONS(2092),
    [anon_sym_getgrgid] = ACTIONS(2092),
    [anon_sym_hex] = ACTIONS(2092),
    [anon_sym_int] = ACTIONS(2092),
    [anon_sym_keys] = ACTIONS(2092),
    [anon_sym_lc] = ACTIONS(2092),
    [anon_sym_lcfirst] = ACTIONS(2092),
    [anon_sym_length] = ACTIONS(2092),
    [anon_sym_localtime] = ACTIONS(2092),
    [anon_sym_log] = ACTIONS(2092),
    [anon_sym_lock] = ACTIONS(2092),
    [anon_sym_lstat] = ACTIONS(2092),
    [anon_sym_oct] = ACTIONS(2092),
    [anon_sym_ord] = ACTIONS(2092),
    [anon_sym_prototype] = ACTIONS(2092),
    [anon_sym_pop] = ACTIONS(2092),
    [anon_sym_pos] = ACTIONS(2092),
    [anon_sym_quotemeta] = ACTIONS(2092),
    [anon_sym_reset] = ACTIONS(2092),
    [anon_sym_rand] = ACTIONS(2092),
    [anon_sym_rmdir] = ACTIONS(2092),
    [anon_sym_readdir] = ACTIONS(2092),
    [anon_sym_readline] = ACTIONS(2092),
    [anon_sym_readpipe] = ACTIONS(2092),
    [anon_sym_rewinddir] = ACTIONS(2092),
    [anon_sym_readlink] = ACTIONS(2092),
    [anon_sym_ref] = ACTIONS(2092),
    [anon_sym_scalar] = ACTIONS(2092),
    [anon_sym_shift] = ACTIONS(2092),
    [anon_sym_sin] = ACTIONS(2092),
    [anon_sym_sleep] = ACTIONS(2092),
    [anon_sym_sqrt] = ACTIONS(2092),
    [anon_sym_srand] = ACTIONS(2092),
    [anon_sym_stat] = ACTIONS(2092),
    [anon_sym_study] = ACTIONS(2092),
    [anon_sym_tell] = ACTIONS(2092),
    [anon_sym_telldir] = ACTIONS(2092),
    [anon_sym_tied] = ACTIONS(2092),
    [anon_sym_uc] = ACTIONS(2092),
    [anon_sym_ucfirst] = ACTIONS(2092),
    [anon_sym_untie] = ACTIONS(2092),
    [anon_sym_umask] = ACTIONS(2092),
    [anon_sym_values] = ACTIONS(2092),
    [anon_sym_write] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2092),
    [anon_sym___END__] = ACTIONS(2092),
    [anon_sym_EOT] = ACTIONS(2092),
    [anon_sym_q] = ACTIONS(2092),
    [anon_sym_qq] = ACTIONS(2092),
    [anon_sym_qw] = ACTIONS(2092),
    [anon_sym_qx] = ACTIONS(2092),
    [anon_sym_qr] = ACTIONS(2092),
    [anon_sym_m] = ACTIONS(2092),
    [anon_sym_s] = ACTIONS(2092),
    [anon_sym_tr] = ACTIONS(2092),
    [anon_sym_y] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_unless] = ACTIONS(2092),
    [anon_sym_while] = ACTIONS(2092),
    [anon_sym_until] = ACTIONS(2092),
    [aux_sym__bareword_token1] = ACTIONS(2092),
    [sym_number] = ACTIONS(2092),
    [anon_sym_true] = ACTIONS(2092),
    [anon_sym_false] = ACTIONS(2092),
    [sym__single_quote] = ACTIONS(2090),
    [sym__double_quote] = ACTIONS(2090),
    [sym__backtick_quote] = ACTIONS(2090),
    [sym__search_slash_quote] = ACTIONS(2090),
    [sym__PERLY_HEREDOC] = ACTIONS(2090),
    [sym__ctrl_z_hack] = ACTIONS(2090),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2090),
    [sym__filetest] = ACTIONS(2090),
  },
  [856] = {
    [sym_heredoc_content] = STATE(856),
    [ts_builtin_sym_end] = ACTIONS(2094),
    [sym__identifier] = ACTIONS(2096),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_SEMI] = ACTIONS(2096),
    [anon_sym_package] = ACTIONS(2096),
    [anon_sym_class] = ACTIONS(2096),
    [anon_sym_role] = ACTIONS(2096),
    [anon_sym_BUILD] = ACTIONS(2096),
    [anon_sym_ADJUST] = ACTIONS(2096),
    [anon_sym_DOLLAR] = ACTIONS(2096),
    [anon_sym_AT] = ACTIONS(2096),
    [anon_sym_my] = ACTIONS(2096),
    [anon_sym_extended] = ACTIONS(2096),
    [anon_sym_async] = ACTIONS(2096),
    [anon_sym_sub] = ACTIONS(2096),
    [anon_sym_method] = ACTIONS(2096),
    [anon_sym_LPAREN] = ACTIONS(2096),
    [anon_sym_continue] = ACTIONS(2096),
    [anon_sym_state] = ACTIONS(2096),
    [anon_sym_our] = ACTIONS(2096),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_defer] = ACTIONS(2096),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_LBRACK] = ACTIONS(2096),
    [anon_sym_LT] = ACTIONS(2096),
    [anon_sym_LT_LT] = ACTIONS(2096),
    [anon_sym_SLASH_SLASH] = ACTIONS(2096),
    [anon_sym_PLUS] = ACTIONS(2096),
    [anon_sym_DASH] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(2096),
    [anon_sym_TILDE] = ACTIONS(2096),
    [anon_sym_BANG] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_BSLASH] = ACTIONS(2094),
    [anon_sym_do] = ACTIONS(2096),
    [anon_sym_eval] = ACTIONS(2096),
    [anon_sym_await] = ACTIONS(2096),
    [anon_sym_field] = ACTIONS(2096),
    [anon_sym_local] = ACTIONS(2096),
    [anon_sym_dynamically] = ACTIONS(2096),
    [anon_sym_require] = ACTIONS(2096),
    [anon_sym_map] = ACTIONS(2096),
    [anon_sym_grep] = ACTIONS(2096),
    [anon_sym_sort] = ACTIONS(2096),
    [anon_sym_goto] = ACTIONS(2096),
    [anon_sym_return] = ACTIONS(2096),
    [anon_sym_undef] = ACTIONS(2096),
    [anon_sym_PERCENT2] = ACTIONS(2096),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2096),
    [anon_sym_use] = ACTIONS(2096),
    [anon_sym_no] = ACTIONS(2096),
    [anon_sym_for] = ACTIONS(2096),
    [anon_sym_foreach] = ACTIONS(2096),
    [anon_sym_last] = ACTIONS(2096),
    [anon_sym_next] = ACTIONS(2096),
    [anon_sym_redo] = ACTIONS(2096),
    [anon_sym_BEGIN] = ACTIONS(2096),
    [anon_sym_INIT] = ACTIONS(2096),
    [anon_sym_CHECK] = ACTIONS(2096),
    [anon_sym_UNITCHECK] = ACTIONS(2096),
    [anon_sym_END] = ACTIONS(2096),
    [anon_sym___FILE__] = ACTIONS(2096),
    [anon_sym___LINE__] = ACTIONS(2096),
    [anon_sym___PACKAGE__] = ACTIONS(2096),
    [anon_sym___SUB__] = ACTIONS(2096),
    [anon_sym_break] = ACTIONS(2096),
    [anon_sym_fork] = ACTIONS(2096),
    [anon_sym_getppid] = ACTIONS(2096),
    [anon_sym_time] = ACTIONS(2096),
    [anon_sym_times] = ACTIONS(2096),
    [anon_sym_wait] = ACTIONS(2096),
    [anon_sym_wantarray] = ACTIONS(2096),
    [anon_sym_abs] = ACTIONS(2096),
    [anon_sym_alarm] = ACTIONS(2096),
    [anon_sym_chop] = ACTIONS(2096),
    [anon_sym_chdir] = ACTIONS(2096),
    [anon_sym_close] = ACTIONS(2096),
    [anon_sym_closedir] = ACTIONS(2096),
    [anon_sym_caller] = ACTIONS(2096),
    [anon_sym_chomp] = ACTIONS(2096),
    [anon_sym_chr] = ACTIONS(2096),
    [anon_sym_cos] = ACTIONS(2096),
    [anon_sym_chroot] = ACTIONS(2096),
    [anon_sym_defined] = ACTIONS(2096),
    [anon_sym_delete] = ACTIONS(2096),
    [anon_sym_dbmclose] = ACTIONS(2096),
    [anon_sym_exists] = ACTIONS(2096),
    [anon_sym_exit] = ACTIONS(2096),
    [anon_sym_eof] = ACTIONS(2096),
    [anon_sym_exp] = ACTIONS(2096),
    [anon_sym_each] = ACTIONS(2096),
    [anon_sym_fc] = ACTIONS(2096),
    [anon_sym_fileno] = ACTIONS(2096),
    [anon_sym_gmtime] = ACTIONS(2096),
    [anon_sym_getc] = ACTIONS(2096),
    [anon_sym_getpgrp] = ACTIONS(2096),
    [anon_sym_getprotobyname] = ACTIONS(2096),
    [anon_sym_getpwname] = ACTIONS(2096),
    [anon_sym_getpwuid] = ACTIONS(2096),
    [anon_sym_getpeername] = ACTIONS(2096),
    [anon_sym_getnetbyname] = ACTIONS(2096),
    [anon_sym_getsockname] = ACTIONS(2096),
    [anon_sym_getgrnam] = ACTIONS(2096),
    [anon_sym_getgrgid] = ACTIONS(2096),
    [anon_sym_hex] = ACTIONS(2096),
    [anon_sym_int] = ACTIONS(2096),
    [anon_sym_keys] = ACTIONS(2096),
    [anon_sym_lc] = ACTIONS(2096),
    [anon_sym_lcfirst] = ACTIONS(2096),
    [anon_sym_length] = ACTIONS(2096),
    [anon_sym_localtime] = ACTIONS(2096),
    [anon_sym_log] = ACTIONS(2096),
    [anon_sym_lock] = ACTIONS(2096),
    [anon_sym_lstat] = ACTIONS(2096),
    [anon_sym_oct] = ACTIONS(2096),
    [anon_sym_ord] = ACTIONS(2096),
    [anon_sym_prototype] = ACTIONS(2096),
    [anon_sym_pop] = ACTIONS(2096),
    [anon_sym_pos] = ACTIONS(2096),
    [anon_sym_quotemeta] = ACTIONS(2096),
    [anon_sym_reset] = ACTIONS(2096),
    [anon_sym_rand] = ACTIONS(2096),
    [anon_sym_rmdir] = ACTIONS(2096),
    [anon_sym_readdir] = ACTIONS(2096),
    [anon_sym_readline] = ACTIONS(2096),
    [anon_sym_readpipe] = ACTIONS(2096),
    [anon_sym_rewinddir] = ACTIONS(2096),
    [anon_sym_readlink] = ACTIONS(2096),
    [anon_sym_ref] = ACTIONS(2096),
    [anon_sym_scalar] = ACTIONS(2096),
    [anon_sym_shift] = ACTIONS(2096),
    [anon_sym_sin] = ACTIONS(2096),
    [anon_sym_sleep] = ACTIONS(2096),
    [anon_sym_sqrt] = ACTIONS(2096),
    [anon_sym_srand] = ACTIONS(2096),
    [anon_sym_stat] = ACTIONS(2096),
    [anon_sym_study] = ACTIONS(2096),
    [anon_sym_tell] = ACTIONS(2096),
    [anon_sym_telldir] = ACTIONS(2096),
    [anon_sym_tied] = ACTIONS(2096),
    [anon_sym_uc] = ACTIONS(2096),
    [anon_sym_ucfirst] = ACTIONS(2096),
    [anon_sym_untie] = ACTIONS(2096),
    [anon_sym_umask] = ACTIONS(2096),
    [anon_sym_values] = ACTIONS(2096),
    [anon_sym_write] = ACTIONS(2096),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2096),
    [anon_sym___END__] = ACTIONS(2096),
    [anon_sym_EOT] = ACTIONS(2096),
    [anon_sym_q] = ACTIONS(2096),
    [anon_sym_qq] = ACTIONS(2096),
    [anon_sym_qw] = ACTIONS(2096),
    [anon_sym_qx] = ACTIONS(2096),
    [anon_sym_qr] = ACTIONS(2096),
    [anon_sym_m] = ACTIONS(2096),
    [anon_sym_s] = ACTIONS(2096),
    [anon_sym_tr] = ACTIONS(2096),
    [anon_sym_y] = ACTIONS(2096),
    [anon_sym_if] = ACTIONS(2096),
    [anon_sym_unless] = ACTIONS(2096),
    [anon_sym_while] = ACTIONS(2096),
    [anon_sym_until] = ACTIONS(2096),
    [aux_sym__bareword_token1] = ACTIONS(2096),
    [sym_number] = ACTIONS(2096),
    [anon_sym_true] = ACTIONS(2096),
    [anon_sym_false] = ACTIONS(2096),
    [sym__single_quote] = ACTIONS(2094),
    [sym__double_quote] = ACTIONS(2094),
    [sym__backtick_quote] = ACTIONS(2094),
    [sym__search_slash_quote] = ACTIONS(2094),
    [sym__PERLY_HEREDOC] = ACTIONS(2094),
    [sym__ctrl_z_hack] = ACTIONS(2094),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2094),
    [sym__filetest] = ACTIONS(2094),
  },
  [857] = {
    [sym_heredoc_content] = STATE(857),
    [ts_builtin_sym_end] = ACTIONS(2098),
    [sym__identifier] = ACTIONS(2100),
    [anon_sym_LBRACE] = ACTIONS(2100),
    [anon_sym_SEMI] = ACTIONS(2100),
    [anon_sym_package] = ACTIONS(2100),
    [anon_sym_class] = ACTIONS(2100),
    [anon_sym_role] = ACTIONS(2100),
    [anon_sym_BUILD] = ACTIONS(2100),
    [anon_sym_ADJUST] = ACTIONS(2100),
    [anon_sym_DOLLAR] = ACTIONS(2100),
    [anon_sym_AT] = ACTIONS(2100),
    [anon_sym_my] = ACTIONS(2100),
    [anon_sym_extended] = ACTIONS(2100),
    [anon_sym_async] = ACTIONS(2100),
    [anon_sym_sub] = ACTIONS(2100),
    [anon_sym_method] = ACTIONS(2100),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_continue] = ACTIONS(2100),
    [anon_sym_state] = ACTIONS(2100),
    [anon_sym_our] = ACTIONS(2100),
    [anon_sym_try] = ACTIONS(2100),
    [anon_sym_defer] = ACTIONS(2100),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2100),
    [anon_sym_LBRACK] = ACTIONS(2100),
    [anon_sym_LT] = ACTIONS(2100),
    [anon_sym_LT_LT] = ACTIONS(2100),
    [anon_sym_SLASH_SLASH] = ACTIONS(2100),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_DASH] = ACTIONS(2100),
    [anon_sym_STAR] = ACTIONS(2100),
    [anon_sym_TILDE] = ACTIONS(2100),
    [anon_sym_BANG] = ACTIONS(2100),
    [anon_sym_PLUS_PLUS] = ACTIONS(2100),
    [anon_sym_DASH_DASH] = ACTIONS(2100),
    [anon_sym_BSLASH] = ACTIONS(2098),
    [anon_sym_do] = ACTIONS(2100),
    [anon_sym_eval] = ACTIONS(2100),
    [anon_sym_await] = ACTIONS(2100),
    [anon_sym_field] = ACTIONS(2100),
    [anon_sym_local] = ACTIONS(2100),
    [anon_sym_dynamically] = ACTIONS(2100),
    [anon_sym_require] = ACTIONS(2100),
    [anon_sym_map] = ACTIONS(2100),
    [anon_sym_grep] = ACTIONS(2100),
    [anon_sym_sort] = ACTIONS(2100),
    [anon_sym_goto] = ACTIONS(2100),
    [anon_sym_return] = ACTIONS(2100),
    [anon_sym_undef] = ACTIONS(2100),
    [anon_sym_PERCENT2] = ACTIONS(2100),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2100),
    [anon_sym_use] = ACTIONS(2100),
    [anon_sym_no] = ACTIONS(2100),
    [anon_sym_for] = ACTIONS(2100),
    [anon_sym_foreach] = ACTIONS(2100),
    [anon_sym_last] = ACTIONS(2100),
    [anon_sym_next] = ACTIONS(2100),
    [anon_sym_redo] = ACTIONS(2100),
    [anon_sym_BEGIN] = ACTIONS(2100),
    [anon_sym_INIT] = ACTIONS(2100),
    [anon_sym_CHECK] = ACTIONS(2100),
    [anon_sym_UNITCHECK] = ACTIONS(2100),
    [anon_sym_END] = ACTIONS(2100),
    [anon_sym___FILE__] = ACTIONS(2100),
    [anon_sym___LINE__] = ACTIONS(2100),
    [anon_sym___PACKAGE__] = ACTIONS(2100),
    [anon_sym___SUB__] = ACTIONS(2100),
    [anon_sym_break] = ACTIONS(2100),
    [anon_sym_fork] = ACTIONS(2100),
    [anon_sym_getppid] = ACTIONS(2100),
    [anon_sym_time] = ACTIONS(2100),
    [anon_sym_times] = ACTIONS(2100),
    [anon_sym_wait] = ACTIONS(2100),
    [anon_sym_wantarray] = ACTIONS(2100),
    [anon_sym_abs] = ACTIONS(2100),
    [anon_sym_alarm] = ACTIONS(2100),
    [anon_sym_chop] = ACTIONS(2100),
    [anon_sym_chdir] = ACTIONS(2100),
    [anon_sym_close] = ACTIONS(2100),
    [anon_sym_closedir] = ACTIONS(2100),
    [anon_sym_caller] = ACTIONS(2100),
    [anon_sym_chomp] = ACTIONS(2100),
    [anon_sym_chr] = ACTIONS(2100),
    [anon_sym_cos] = ACTIONS(2100),
    [anon_sym_chroot] = ACTIONS(2100),
    [anon_sym_defined] = ACTIONS(2100),
    [anon_sym_delete] = ACTIONS(2100),
    [anon_sym_dbmclose] = ACTIONS(2100),
    [anon_sym_exists] = ACTIONS(2100),
    [anon_sym_exit] = ACTIONS(2100),
    [anon_sym_eof] = ACTIONS(2100),
    [anon_sym_exp] = ACTIONS(2100),
    [anon_sym_each] = ACTIONS(2100),
    [anon_sym_fc] = ACTIONS(2100),
    [anon_sym_fileno] = ACTIONS(2100),
    [anon_sym_gmtime] = ACTIONS(2100),
    [anon_sym_getc] = ACTIONS(2100),
    [anon_sym_getpgrp] = ACTIONS(2100),
    [anon_sym_getprotobyname] = ACTIONS(2100),
    [anon_sym_getpwname] = ACTIONS(2100),
    [anon_sym_getpwuid] = ACTIONS(2100),
    [anon_sym_getpeername] = ACTIONS(2100),
    [anon_sym_getnetbyname] = ACTIONS(2100),
    [anon_sym_getsockname] = ACTIONS(2100),
    [anon_sym_getgrnam] = ACTIONS(2100),
    [anon_sym_getgrgid] = ACTIONS(2100),
    [anon_sym_hex] = ACTIONS(2100),
    [anon_sym_int] = ACTIONS(2100),
    [anon_sym_keys] = ACTIONS(2100),
    [anon_sym_lc] = ACTIONS(2100),
    [anon_sym_lcfirst] = ACTIONS(2100),
    [anon_sym_length] = ACTIONS(2100),
    [anon_sym_localtime] = ACTIONS(2100),
    [anon_sym_log] = ACTIONS(2100),
    [anon_sym_lock] = ACTIONS(2100),
    [anon_sym_lstat] = ACTIONS(2100),
    [anon_sym_oct] = ACTIONS(2100),
    [anon_sym_ord] = ACTIONS(2100),
    [anon_sym_prototype] = ACTIONS(2100),
    [anon_sym_pop] = ACTIONS(2100),
    [anon_sym_pos] = ACTIONS(2100),
    [anon_sym_quotemeta] = ACTIONS(2100),
    [anon_sym_reset] = ACTIONS(2100),
    [anon_sym_rand] = ACTIONS(2100),
    [anon_sym_rmdir] = ACTIONS(2100),
    [anon_sym_readdir] = ACTIONS(2100),
    [anon_sym_readline] = ACTIONS(2100),
    [anon_sym_readpipe] = ACTIONS(2100),
    [anon_sym_rewinddir] = ACTIONS(2100),
    [anon_sym_readlink] = ACTIONS(2100),
    [anon_sym_ref] = ACTIONS(2100),
    [anon_sym_scalar] = ACTIONS(2100),
    [anon_sym_shift] = ACTIONS(2100),
    [anon_sym_sin] = ACTIONS(2100),
    [anon_sym_sleep] = ACTIONS(2100),
    [anon_sym_sqrt] = ACTIONS(2100),
    [anon_sym_srand] = ACTIONS(2100),
    [anon_sym_stat] = ACTIONS(2100),
    [anon_sym_study] = ACTIONS(2100),
    [anon_sym_tell] = ACTIONS(2100),
    [anon_sym_telldir] = ACTIONS(2100),
    [anon_sym_tied] = ACTIONS(2100),
    [anon_sym_uc] = ACTIONS(2100),
    [anon_sym_ucfirst] = ACTIONS(2100),
    [anon_sym_untie] = ACTIONS(2100),
    [anon_sym_umask] = ACTIONS(2100),
    [anon_sym_values] = ACTIONS(2100),
    [anon_sym_write] = ACTIONS(2100),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2100),
    [anon_sym___END__] = ACTIONS(2100),
    [anon_sym_EOT] = ACTIONS(2100),
    [anon_sym_q] = ACTIONS(2100),
    [anon_sym_qq] = ACTIONS(2100),
    [anon_sym_qw] = ACTIONS(2100),
    [anon_sym_qx] = ACTIONS(2100),
    [anon_sym_qr] = ACTIONS(2100),
    [anon_sym_m] = ACTIONS(2100),
    [anon_sym_s] = ACTIONS(2100),
    [anon_sym_tr] = ACTIONS(2100),
    [anon_sym_y] = ACTIONS(2100),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_unless] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2100),
    [anon_sym_until] = ACTIONS(2100),
    [aux_sym__bareword_token1] = ACTIONS(2100),
    [sym_number] = ACTIONS(2100),
    [anon_sym_true] = ACTIONS(2100),
    [anon_sym_false] = ACTIONS(2100),
    [sym__single_quote] = ACTIONS(2098),
    [sym__double_quote] = ACTIONS(2098),
    [sym__backtick_quote] = ACTIONS(2098),
    [sym__search_slash_quote] = ACTIONS(2098),
    [sym__PERLY_HEREDOC] = ACTIONS(2098),
    [sym__ctrl_z_hack] = ACTIONS(2098),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2098),
    [sym__filetest] = ACTIONS(2098),
  },
  [858] = {
    [sym_heredoc_content] = STATE(858),
    [ts_builtin_sym_end] = ACTIONS(2102),
    [sym__identifier] = ACTIONS(2104),
    [anon_sym_LBRACE] = ACTIONS(2104),
    [anon_sym_SEMI] = ACTIONS(2104),
    [anon_sym_package] = ACTIONS(2104),
    [anon_sym_class] = ACTIONS(2104),
    [anon_sym_role] = ACTIONS(2104),
    [anon_sym_BUILD] = ACTIONS(2104),
    [anon_sym_ADJUST] = ACTIONS(2104),
    [anon_sym_DOLLAR] = ACTIONS(2104),
    [anon_sym_AT] = ACTIONS(2104),
    [anon_sym_my] = ACTIONS(2104),
    [anon_sym_extended] = ACTIONS(2104),
    [anon_sym_async] = ACTIONS(2104),
    [anon_sym_sub] = ACTIONS(2104),
    [anon_sym_method] = ACTIONS(2104),
    [anon_sym_LPAREN] = ACTIONS(2104),
    [anon_sym_continue] = ACTIONS(2104),
    [anon_sym_state] = ACTIONS(2104),
    [anon_sym_our] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2104),
    [anon_sym_defer] = ACTIONS(2104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2104),
    [anon_sym_LBRACK] = ACTIONS(2104),
    [anon_sym_LT] = ACTIONS(2104),
    [anon_sym_LT_LT] = ACTIONS(2104),
    [anon_sym_SLASH_SLASH] = ACTIONS(2104),
    [anon_sym_PLUS] = ACTIONS(2104),
    [anon_sym_DASH] = ACTIONS(2104),
    [anon_sym_STAR] = ACTIONS(2104),
    [anon_sym_TILDE] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2104),
    [anon_sym_PLUS_PLUS] = ACTIONS(2104),
    [anon_sym_DASH_DASH] = ACTIONS(2104),
    [anon_sym_BSLASH] = ACTIONS(2102),
    [anon_sym_do] = ACTIONS(2104),
    [anon_sym_eval] = ACTIONS(2104),
    [anon_sym_await] = ACTIONS(2104),
    [anon_sym_field] = ACTIONS(2104),
    [anon_sym_local] = ACTIONS(2104),
    [anon_sym_dynamically] = ACTIONS(2104),
    [anon_sym_require] = ACTIONS(2104),
    [anon_sym_map] = ACTIONS(2104),
    [anon_sym_grep] = ACTIONS(2104),
    [anon_sym_sort] = ACTIONS(2104),
    [anon_sym_goto] = ACTIONS(2104),
    [anon_sym_return] = ACTIONS(2104),
    [anon_sym_undef] = ACTIONS(2104),
    [anon_sym_PERCENT2] = ACTIONS(2104),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2104),
    [anon_sym_use] = ACTIONS(2104),
    [anon_sym_no] = ACTIONS(2104),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_foreach] = ACTIONS(2104),
    [anon_sym_last] = ACTIONS(2104),
    [anon_sym_next] = ACTIONS(2104),
    [anon_sym_redo] = ACTIONS(2104),
    [anon_sym_BEGIN] = ACTIONS(2104),
    [anon_sym_INIT] = ACTIONS(2104),
    [anon_sym_CHECK] = ACTIONS(2104),
    [anon_sym_UNITCHECK] = ACTIONS(2104),
    [anon_sym_END] = ACTIONS(2104),
    [anon_sym___FILE__] = ACTIONS(2104),
    [anon_sym___LINE__] = ACTIONS(2104),
    [anon_sym___PACKAGE__] = ACTIONS(2104),
    [anon_sym___SUB__] = ACTIONS(2104),
    [anon_sym_break] = ACTIONS(2104),
    [anon_sym_fork] = ACTIONS(2104),
    [anon_sym_getppid] = ACTIONS(2104),
    [anon_sym_time] = ACTIONS(2104),
    [anon_sym_times] = ACTIONS(2104),
    [anon_sym_wait] = ACTIONS(2104),
    [anon_sym_wantarray] = ACTIONS(2104),
    [anon_sym_abs] = ACTIONS(2104),
    [anon_sym_alarm] = ACTIONS(2104),
    [anon_sym_chop] = ACTIONS(2104),
    [anon_sym_chdir] = ACTIONS(2104),
    [anon_sym_close] = ACTIONS(2104),
    [anon_sym_closedir] = ACTIONS(2104),
    [anon_sym_caller] = ACTIONS(2104),
    [anon_sym_chomp] = ACTIONS(2104),
    [anon_sym_chr] = ACTIONS(2104),
    [anon_sym_cos] = ACTIONS(2104),
    [anon_sym_chroot] = ACTIONS(2104),
    [anon_sym_defined] = ACTIONS(2104),
    [anon_sym_delete] = ACTIONS(2104),
    [anon_sym_dbmclose] = ACTIONS(2104),
    [anon_sym_exists] = ACTIONS(2104),
    [anon_sym_exit] = ACTIONS(2104),
    [anon_sym_eof] = ACTIONS(2104),
    [anon_sym_exp] = ACTIONS(2104),
    [anon_sym_each] = ACTIONS(2104),
    [anon_sym_fc] = ACTIONS(2104),
    [anon_sym_fileno] = ACTIONS(2104),
    [anon_sym_gmtime] = ACTIONS(2104),
    [anon_sym_getc] = ACTIONS(2104),
    [anon_sym_getpgrp] = ACTIONS(2104),
    [anon_sym_getprotobyname] = ACTIONS(2104),
    [anon_sym_getpwname] = ACTIONS(2104),
    [anon_sym_getpwuid] = ACTIONS(2104),
    [anon_sym_getpeername] = ACTIONS(2104),
    [anon_sym_getnetbyname] = ACTIONS(2104),
    [anon_sym_getsockname] = ACTIONS(2104),
    [anon_sym_getgrnam] = ACTIONS(2104),
    [anon_sym_getgrgid] = ACTIONS(2104),
    [anon_sym_hex] = ACTIONS(2104),
    [anon_sym_int] = ACTIONS(2104),
    [anon_sym_keys] = ACTIONS(2104),
    [anon_sym_lc] = ACTIONS(2104),
    [anon_sym_lcfirst] = ACTIONS(2104),
    [anon_sym_length] = ACTIONS(2104),
    [anon_sym_localtime] = ACTIONS(2104),
    [anon_sym_log] = ACTIONS(2104),
    [anon_sym_lock] = ACTIONS(2104),
    [anon_sym_lstat] = ACTIONS(2104),
    [anon_sym_oct] = ACTIONS(2104),
    [anon_sym_ord] = ACTIONS(2104),
    [anon_sym_prototype] = ACTIONS(2104),
    [anon_sym_pop] = ACTIONS(2104),
    [anon_sym_pos] = ACTIONS(2104),
    [anon_sym_quotemeta] = ACTIONS(2104),
    [anon_sym_reset] = ACTIONS(2104),
    [anon_sym_rand] = ACTIONS(2104),
    [anon_sym_rmdir] = ACTIONS(2104),
    [anon_sym_readdir] = ACTIONS(2104),
    [anon_sym_readline] = ACTIONS(2104),
    [anon_sym_readpipe] = ACTIONS(2104),
    [anon_sym_rewinddir] = ACTIONS(2104),
    [anon_sym_readlink] = ACTIONS(2104),
    [anon_sym_ref] = ACTIONS(2104),
    [anon_sym_scalar] = ACTIONS(2104),
    [anon_sym_shift] = ACTIONS(2104),
    [anon_sym_sin] = ACTIONS(2104),
    [anon_sym_sleep] = ACTIONS(2104),
    [anon_sym_sqrt] = ACTIONS(2104),
    [anon_sym_srand] = ACTIONS(2104),
    [anon_sym_stat] = ACTIONS(2104),
    [anon_sym_study] = ACTIONS(2104),
    [anon_sym_tell] = ACTIONS(2104),
    [anon_sym_telldir] = ACTIONS(2104),
    [anon_sym_tied] = ACTIONS(2104),
    [anon_sym_uc] = ACTIONS(2104),
    [anon_sym_ucfirst] = ACTIONS(2104),
    [anon_sym_untie] = ACTIONS(2104),
    [anon_sym_umask] = ACTIONS(2104),
    [anon_sym_values] = ACTIONS(2104),
    [anon_sym_write] = ACTIONS(2104),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2104),
    [anon_sym___END__] = ACTIONS(2104),
    [anon_sym_EOT] = ACTIONS(2104),
    [anon_sym_q] = ACTIONS(2104),
    [anon_sym_qq] = ACTIONS(2104),
    [anon_sym_qw] = ACTIONS(2104),
    [anon_sym_qx] = ACTIONS(2104),
    [anon_sym_qr] = ACTIONS(2104),
    [anon_sym_m] = ACTIONS(2104),
    [anon_sym_s] = ACTIONS(2104),
    [anon_sym_tr] = ACTIONS(2104),
    [anon_sym_y] = ACTIONS(2104),
    [anon_sym_if] = ACTIONS(2104),
    [anon_sym_unless] = ACTIONS(2104),
    [anon_sym_while] = ACTIONS(2104),
    [anon_sym_until] = ACTIONS(2104),
    [aux_sym__bareword_token1] = ACTIONS(2104),
    [sym_number] = ACTIONS(2104),
    [anon_sym_true] = ACTIONS(2104),
    [anon_sym_false] = ACTIONS(2104),
    [sym__single_quote] = ACTIONS(2102),
    [sym__double_quote] = ACTIONS(2102),
    [sym__backtick_quote] = ACTIONS(2102),
    [sym__search_slash_quote] = ACTIONS(2102),
    [sym__PERLY_HEREDOC] = ACTIONS(2102),
    [sym__ctrl_z_hack] = ACTIONS(2102),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2102),
    [sym__filetest] = ACTIONS(2102),
  },
  [859] = {
    [sym_heredoc_content] = STATE(859),
    [ts_builtin_sym_end] = ACTIONS(2106),
    [sym__identifier] = ACTIONS(2108),
    [anon_sym_LBRACE] = ACTIONS(2108),
    [anon_sym_SEMI] = ACTIONS(2108),
    [anon_sym_package] = ACTIONS(2108),
    [anon_sym_class] = ACTIONS(2108),
    [anon_sym_role] = ACTIONS(2108),
    [anon_sym_BUILD] = ACTIONS(2108),
    [anon_sym_ADJUST] = ACTIONS(2108),
    [anon_sym_DOLLAR] = ACTIONS(2108),
    [anon_sym_AT] = ACTIONS(2108),
    [anon_sym_my] = ACTIONS(2108),
    [anon_sym_extended] = ACTIONS(2108),
    [anon_sym_async] = ACTIONS(2108),
    [anon_sym_sub] = ACTIONS(2108),
    [anon_sym_method] = ACTIONS(2108),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [anon_sym_continue] = ACTIONS(2108),
    [anon_sym_state] = ACTIONS(2108),
    [anon_sym_our] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2108),
    [anon_sym_defer] = ACTIONS(2108),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2108),
    [anon_sym_LBRACK] = ACTIONS(2108),
    [anon_sym_LT] = ACTIONS(2108),
    [anon_sym_LT_LT] = ACTIONS(2108),
    [anon_sym_SLASH_SLASH] = ACTIONS(2108),
    [anon_sym_PLUS] = ACTIONS(2108),
    [anon_sym_DASH] = ACTIONS(2108),
    [anon_sym_STAR] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_PLUS_PLUS] = ACTIONS(2108),
    [anon_sym_DASH_DASH] = ACTIONS(2108),
    [anon_sym_BSLASH] = ACTIONS(2106),
    [anon_sym_do] = ACTIONS(2108),
    [anon_sym_eval] = ACTIONS(2108),
    [anon_sym_await] = ACTIONS(2108),
    [anon_sym_field] = ACTIONS(2108),
    [anon_sym_local] = ACTIONS(2108),
    [anon_sym_dynamically] = ACTIONS(2108),
    [anon_sym_require] = ACTIONS(2108),
    [anon_sym_map] = ACTIONS(2108),
    [anon_sym_grep] = ACTIONS(2108),
    [anon_sym_sort] = ACTIONS(2108),
    [anon_sym_goto] = ACTIONS(2108),
    [anon_sym_return] = ACTIONS(2108),
    [anon_sym_undef] = ACTIONS(2108),
    [anon_sym_PERCENT2] = ACTIONS(2108),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2108),
    [anon_sym_use] = ACTIONS(2108),
    [anon_sym_no] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_foreach] = ACTIONS(2108),
    [anon_sym_last] = ACTIONS(2108),
    [anon_sym_next] = ACTIONS(2108),
    [anon_sym_redo] = ACTIONS(2108),
    [anon_sym_BEGIN] = ACTIONS(2108),
    [anon_sym_INIT] = ACTIONS(2108),
    [anon_sym_CHECK] = ACTIONS(2108),
    [anon_sym_UNITCHECK] = ACTIONS(2108),
    [anon_sym_END] = ACTIONS(2108),
    [anon_sym___FILE__] = ACTIONS(2108),
    [anon_sym___LINE__] = ACTIONS(2108),
    [anon_sym___PACKAGE__] = ACTIONS(2108),
    [anon_sym___SUB__] = ACTIONS(2108),
    [anon_sym_break] = ACTIONS(2108),
    [anon_sym_fork] = ACTIONS(2108),
    [anon_sym_getppid] = ACTIONS(2108),
    [anon_sym_time] = ACTIONS(2108),
    [anon_sym_times] = ACTIONS(2108),
    [anon_sym_wait] = ACTIONS(2108),
    [anon_sym_wantarray] = ACTIONS(2108),
    [anon_sym_abs] = ACTIONS(2108),
    [anon_sym_alarm] = ACTIONS(2108),
    [anon_sym_chop] = ACTIONS(2108),
    [anon_sym_chdir] = ACTIONS(2108),
    [anon_sym_close] = ACTIONS(2108),
    [anon_sym_closedir] = ACTIONS(2108),
    [anon_sym_caller] = ACTIONS(2108),
    [anon_sym_chomp] = ACTIONS(2108),
    [anon_sym_chr] = ACTIONS(2108),
    [anon_sym_cos] = ACTIONS(2108),
    [anon_sym_chroot] = ACTIONS(2108),
    [anon_sym_defined] = ACTIONS(2108),
    [anon_sym_delete] = ACTIONS(2108),
    [anon_sym_dbmclose] = ACTIONS(2108),
    [anon_sym_exists] = ACTIONS(2108),
    [anon_sym_exit] = ACTIONS(2108),
    [anon_sym_eof] = ACTIONS(2108),
    [anon_sym_exp] = ACTIONS(2108),
    [anon_sym_each] = ACTIONS(2108),
    [anon_sym_fc] = ACTIONS(2108),
    [anon_sym_fileno] = ACTIONS(2108),
    [anon_sym_gmtime] = ACTIONS(2108),
    [anon_sym_getc] = ACTIONS(2108),
    [anon_sym_getpgrp] = ACTIONS(2108),
    [anon_sym_getprotobyname] = ACTIONS(2108),
    [anon_sym_getpwname] = ACTIONS(2108),
    [anon_sym_getpwuid] = ACTIONS(2108),
    [anon_sym_getpeername] = ACTIONS(2108),
    [anon_sym_getnetbyname] = ACTIONS(2108),
    [anon_sym_getsockname] = ACTIONS(2108),
    [anon_sym_getgrnam] = ACTIONS(2108),
    [anon_sym_getgrgid] = ACTIONS(2108),
    [anon_sym_hex] = ACTIONS(2108),
    [anon_sym_int] = ACTIONS(2108),
    [anon_sym_keys] = ACTIONS(2108),
    [anon_sym_lc] = ACTIONS(2108),
    [anon_sym_lcfirst] = ACTIONS(2108),
    [anon_sym_length] = ACTIONS(2108),
    [anon_sym_localtime] = ACTIONS(2108),
    [anon_sym_log] = ACTIONS(2108),
    [anon_sym_lock] = ACTIONS(2108),
    [anon_sym_lstat] = ACTIONS(2108),
    [anon_sym_oct] = ACTIONS(2108),
    [anon_sym_ord] = ACTIONS(2108),
    [anon_sym_prototype] = ACTIONS(2108),
    [anon_sym_pop] = ACTIONS(2108),
    [anon_sym_pos] = ACTIONS(2108),
    [anon_sym_quotemeta] = ACTIONS(2108),
    [anon_sym_reset] = ACTIONS(2108),
    [anon_sym_rand] = ACTIONS(2108),
    [anon_sym_rmdir] = ACTIONS(2108),
    [anon_sym_readdir] = ACTIONS(2108),
    [anon_sym_readline] = ACTIONS(2108),
    [anon_sym_readpipe] = ACTIONS(2108),
    [anon_sym_rewinddir] = ACTIONS(2108),
    [anon_sym_readlink] = ACTIONS(2108),
    [anon_sym_ref] = ACTIONS(2108),
    [anon_sym_scalar] = ACTIONS(2108),
    [anon_sym_shift] = ACTIONS(2108),
    [anon_sym_sin] = ACTIONS(2108),
    [anon_sym_sleep] = ACTIONS(2108),
    [anon_sym_sqrt] = ACTIONS(2108),
    [anon_sym_srand] = ACTIONS(2108),
    [anon_sym_stat] = ACTIONS(2108),
    [anon_sym_study] = ACTIONS(2108),
    [anon_sym_tell] = ACTIONS(2108),
    [anon_sym_telldir] = ACTIONS(2108),
    [anon_sym_tied] = ACTIONS(2108),
    [anon_sym_uc] = ACTIONS(2108),
    [anon_sym_ucfirst] = ACTIONS(2108),
    [anon_sym_untie] = ACTIONS(2108),
    [anon_sym_umask] = ACTIONS(2108),
    [anon_sym_values] = ACTIONS(2108),
    [anon_sym_write] = ACTIONS(2108),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2108),
    [anon_sym___END__] = ACTIONS(2108),
    [anon_sym_EOT] = ACTIONS(2108),
    [anon_sym_q] = ACTIONS(2108),
    [anon_sym_qq] = ACTIONS(2108),
    [anon_sym_qw] = ACTIONS(2108),
    [anon_sym_qx] = ACTIONS(2108),
    [anon_sym_qr] = ACTIONS(2108),
    [anon_sym_m] = ACTIONS(2108),
    [anon_sym_s] = ACTIONS(2108),
    [anon_sym_tr] = ACTIONS(2108),
    [anon_sym_y] = ACTIONS(2108),
    [anon_sym_if] = ACTIONS(2108),
    [anon_sym_unless] = ACTIONS(2108),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_until] = ACTIONS(2108),
    [aux_sym__bareword_token1] = ACTIONS(2108),
    [sym_number] = ACTIONS(2108),
    [anon_sym_true] = ACTIONS(2108),
    [anon_sym_false] = ACTIONS(2108),
    [sym__single_quote] = ACTIONS(2106),
    [sym__double_quote] = ACTIONS(2106),
    [sym__backtick_quote] = ACTIONS(2106),
    [sym__search_slash_quote] = ACTIONS(2106),
    [sym__PERLY_HEREDOC] = ACTIONS(2106),
    [sym__ctrl_z_hack] = ACTIONS(2106),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2106),
    [sym__filetest] = ACTIONS(2106),
  },
  [860] = {
    [sym_heredoc_content] = STATE(860),
    [ts_builtin_sym_end] = ACTIONS(2110),
    [sym__identifier] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_package] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_role] = ACTIONS(2112),
    [anon_sym_BUILD] = ACTIONS(2112),
    [anon_sym_ADJUST] = ACTIONS(2112),
    [anon_sym_DOLLAR] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_my] = ACTIONS(2112),
    [anon_sym_extended] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_sub] = ACTIONS(2112),
    [anon_sym_method] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_state] = ACTIONS(2112),
    [anon_sym_our] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_defer] = ACTIONS(2112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_LT_LT] = ACTIONS(2112),
    [anon_sym_SLASH_SLASH] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_STAR] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_BSLASH] = ACTIONS(2110),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_eval] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_field] = ACTIONS(2112),
    [anon_sym_local] = ACTIONS(2112),
    [anon_sym_dynamically] = ACTIONS(2112),
    [anon_sym_require] = ACTIONS(2112),
    [anon_sym_map] = ACTIONS(2112),
    [anon_sym_grep] = ACTIONS(2112),
    [anon_sym_sort] = ACTIONS(2112),
    [anon_sym_goto] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_undef] = ACTIONS(2112),
    [anon_sym_PERCENT2] = ACTIONS(2112),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2112),
    [anon_sym_use] = ACTIONS(2112),
    [anon_sym_no] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_foreach] = ACTIONS(2112),
    [anon_sym_last] = ACTIONS(2112),
    [anon_sym_next] = ACTIONS(2112),
    [anon_sym_redo] = ACTIONS(2112),
    [anon_sym_BEGIN] = ACTIONS(2112),
    [anon_sym_INIT] = ACTIONS(2112),
    [anon_sym_CHECK] = ACTIONS(2112),
    [anon_sym_UNITCHECK] = ACTIONS(2112),
    [anon_sym_END] = ACTIONS(2112),
    [anon_sym___FILE__] = ACTIONS(2112),
    [anon_sym___LINE__] = ACTIONS(2112),
    [anon_sym___PACKAGE__] = ACTIONS(2112),
    [anon_sym___SUB__] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_fork] = ACTIONS(2112),
    [anon_sym_getppid] = ACTIONS(2112),
    [anon_sym_time] = ACTIONS(2112),
    [anon_sym_times] = ACTIONS(2112),
    [anon_sym_wait] = ACTIONS(2112),
    [anon_sym_wantarray] = ACTIONS(2112),
    [anon_sym_abs] = ACTIONS(2112),
    [anon_sym_alarm] = ACTIONS(2112),
    [anon_sym_chop] = ACTIONS(2112),
    [anon_sym_chdir] = ACTIONS(2112),
    [anon_sym_close] = ACTIONS(2112),
    [anon_sym_closedir] = ACTIONS(2112),
    [anon_sym_caller] = ACTIONS(2112),
    [anon_sym_chomp] = ACTIONS(2112),
    [anon_sym_chr] = ACTIONS(2112),
    [anon_sym_cos] = ACTIONS(2112),
    [anon_sym_chroot] = ACTIONS(2112),
    [anon_sym_defined] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_dbmclose] = ACTIONS(2112),
    [anon_sym_exists] = ACTIONS(2112),
    [anon_sym_exit] = ACTIONS(2112),
    [anon_sym_eof] = ACTIONS(2112),
    [anon_sym_exp] = ACTIONS(2112),
    [anon_sym_each] = ACTIONS(2112),
    [anon_sym_fc] = ACTIONS(2112),
    [anon_sym_fileno] = ACTIONS(2112),
    [anon_sym_gmtime] = ACTIONS(2112),
    [anon_sym_getc] = ACTIONS(2112),
    [anon_sym_getpgrp] = ACTIONS(2112),
    [anon_sym_getprotobyname] = ACTIONS(2112),
    [anon_sym_getpwname] = ACTIONS(2112),
    [anon_sym_getpwuid] = ACTIONS(2112),
    [anon_sym_getpeername] = ACTIONS(2112),
    [anon_sym_getnetbyname] = ACTIONS(2112),
    [anon_sym_getsockname] = ACTIONS(2112),
    [anon_sym_getgrnam] = ACTIONS(2112),
    [anon_sym_getgrgid] = ACTIONS(2112),
    [anon_sym_hex] = ACTIONS(2112),
    [anon_sym_int] = ACTIONS(2112),
    [anon_sym_keys] = ACTIONS(2112),
    [anon_sym_lc] = ACTIONS(2112),
    [anon_sym_lcfirst] = ACTIONS(2112),
    [anon_sym_length] = ACTIONS(2112),
    [anon_sym_localtime] = ACTIONS(2112),
    [anon_sym_log] = ACTIONS(2112),
    [anon_sym_lock] = ACTIONS(2112),
    [anon_sym_lstat] = ACTIONS(2112),
    [anon_sym_oct] = ACTIONS(2112),
    [anon_sym_ord] = ACTIONS(2112),
    [anon_sym_prototype] = ACTIONS(2112),
    [anon_sym_pop] = ACTIONS(2112),
    [anon_sym_pos] = ACTIONS(2112),
    [anon_sym_quotemeta] = ACTIONS(2112),
    [anon_sym_reset] = ACTIONS(2112),
    [anon_sym_rand] = ACTIONS(2112),
    [anon_sym_rmdir] = ACTIONS(2112),
    [anon_sym_readdir] = ACTIONS(2112),
    [anon_sym_readline] = ACTIONS(2112),
    [anon_sym_readpipe] = ACTIONS(2112),
    [anon_sym_rewinddir] = ACTIONS(2112),
    [anon_sym_readlink] = ACTIONS(2112),
    [anon_sym_ref] = ACTIONS(2112),
    [anon_sym_scalar] = ACTIONS(2112),
    [anon_sym_shift] = ACTIONS(2112),
    [anon_sym_sin] = ACTIONS(2112),
    [anon_sym_sleep] = ACTIONS(2112),
    [anon_sym_sqrt] = ACTIONS(2112),
    [anon_sym_srand] = ACTIONS(2112),
    [anon_sym_stat] = ACTIONS(2112),
    [anon_sym_study] = ACTIONS(2112),
    [anon_sym_tell] = ACTIONS(2112),
    [anon_sym_telldir] = ACTIONS(2112),
    [anon_sym_tied] = ACTIONS(2112),
    [anon_sym_uc] = ACTIONS(2112),
    [anon_sym_ucfirst] = ACTIONS(2112),
    [anon_sym_untie] = ACTIONS(2112),
    [anon_sym_umask] = ACTIONS(2112),
    [anon_sym_values] = ACTIONS(2112),
    [anon_sym_write] = ACTIONS(2112),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2112),
    [anon_sym___END__] = ACTIONS(2112),
    [anon_sym_EOT] = ACTIONS(2112),
    [anon_sym_q] = ACTIONS(2112),
    [anon_sym_qq] = ACTIONS(2112),
    [anon_sym_qw] = ACTIONS(2112),
    [anon_sym_qx] = ACTIONS(2112),
    [anon_sym_qr] = ACTIONS(2112),
    [anon_sym_m] = ACTIONS(2112),
    [anon_sym_s] = ACTIONS(2112),
    [anon_sym_tr] = ACTIONS(2112),
    [anon_sym_y] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_unless] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_until] = ACTIONS(2112),
    [aux_sym__bareword_token1] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2112),
    [anon_sym_false] = ACTIONS(2112),
    [sym__single_quote] = ACTIONS(2110),
    [sym__double_quote] = ACTIONS(2110),
    [sym__backtick_quote] = ACTIONS(2110),
    [sym__search_slash_quote] = ACTIONS(2110),
    [sym__PERLY_HEREDOC] = ACTIONS(2110),
    [sym__ctrl_z_hack] = ACTIONS(2110),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2110),
    [sym__filetest] = ACTIONS(2110),
  },
  [861] = {
    [sym_heredoc_content] = STATE(861),
    [ts_builtin_sym_end] = ACTIONS(2114),
    [sym__identifier] = ACTIONS(2116),
    [anon_sym_LBRACE] = ACTIONS(2116),
    [anon_sym_SEMI] = ACTIONS(2116),
    [anon_sym_package] = ACTIONS(2116),
    [anon_sym_class] = ACTIONS(2116),
    [anon_sym_role] = ACTIONS(2116),
    [anon_sym_BUILD] = ACTIONS(2116),
    [anon_sym_ADJUST] = ACTIONS(2116),
    [anon_sym_DOLLAR] = ACTIONS(2116),
    [anon_sym_AT] = ACTIONS(2116),
    [anon_sym_my] = ACTIONS(2116),
    [anon_sym_extended] = ACTIONS(2116),
    [anon_sym_async] = ACTIONS(2116),
    [anon_sym_sub] = ACTIONS(2116),
    [anon_sym_method] = ACTIONS(2116),
    [anon_sym_LPAREN] = ACTIONS(2116),
    [anon_sym_continue] = ACTIONS(2116),
    [anon_sym_state] = ACTIONS(2116),
    [anon_sym_our] = ACTIONS(2116),
    [anon_sym_try] = ACTIONS(2116),
    [anon_sym_defer] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2116),
    [anon_sym_LBRACK] = ACTIONS(2116),
    [anon_sym_LT] = ACTIONS(2116),
    [anon_sym_LT_LT] = ACTIONS(2116),
    [anon_sym_SLASH_SLASH] = ACTIONS(2116),
    [anon_sym_PLUS] = ACTIONS(2116),
    [anon_sym_DASH] = ACTIONS(2116),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_TILDE] = ACTIONS(2116),
    [anon_sym_BANG] = ACTIONS(2116),
    [anon_sym_PLUS_PLUS] = ACTIONS(2116),
    [anon_sym_DASH_DASH] = ACTIONS(2116),
    [anon_sym_BSLASH] = ACTIONS(2114),
    [anon_sym_do] = ACTIONS(2116),
    [anon_sym_eval] = ACTIONS(2116),
    [anon_sym_await] = ACTIONS(2116),
    [anon_sym_field] = ACTIONS(2116),
    [anon_sym_local] = ACTIONS(2116),
    [anon_sym_dynamically] = ACTIONS(2116),
    [anon_sym_require] = ACTIONS(2116),
    [anon_sym_map] = ACTIONS(2116),
    [anon_sym_grep] = ACTIONS(2116),
    [anon_sym_sort] = ACTIONS(2116),
    [anon_sym_goto] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_undef] = ACTIONS(2116),
    [anon_sym_PERCENT2] = ACTIONS(2116),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2116),
    [anon_sym_use] = ACTIONS(2116),
    [anon_sym_no] = ACTIONS(2116),
    [anon_sym_for] = ACTIONS(2116),
    [anon_sym_foreach] = ACTIONS(2116),
    [anon_sym_last] = ACTIONS(2116),
    [anon_sym_next] = ACTIONS(2116),
    [anon_sym_redo] = ACTIONS(2116),
    [anon_sym_BEGIN] = ACTIONS(2116),
    [anon_sym_INIT] = ACTIONS(2116),
    [anon_sym_CHECK] = ACTIONS(2116),
    [anon_sym_UNITCHECK] = ACTIONS(2116),
    [anon_sym_END] = ACTIONS(2116),
    [anon_sym___FILE__] = ACTIONS(2116),
    [anon_sym___LINE__] = ACTIONS(2116),
    [anon_sym___PACKAGE__] = ACTIONS(2116),
    [anon_sym___SUB__] = ACTIONS(2116),
    [anon_sym_break] = ACTIONS(2116),
    [anon_sym_fork] = ACTIONS(2116),
    [anon_sym_getppid] = ACTIONS(2116),
    [anon_sym_time] = ACTIONS(2116),
    [anon_sym_times] = ACTIONS(2116),
    [anon_sym_wait] = ACTIONS(2116),
    [anon_sym_wantarray] = ACTIONS(2116),
    [anon_sym_abs] = ACTIONS(2116),
    [anon_sym_alarm] = ACTIONS(2116),
    [anon_sym_chop] = ACTIONS(2116),
    [anon_sym_chdir] = ACTIONS(2116),
    [anon_sym_close] = ACTIONS(2116),
    [anon_sym_closedir] = ACTIONS(2116),
    [anon_sym_caller] = ACTIONS(2116),
    [anon_sym_chomp] = ACTIONS(2116),
    [anon_sym_chr] = ACTIONS(2116),
    [anon_sym_cos] = ACTIONS(2116),
    [anon_sym_chroot] = ACTIONS(2116),
    [anon_sym_defined] = ACTIONS(2116),
    [anon_sym_delete] = ACTIONS(2116),
    [anon_sym_dbmclose] = ACTIONS(2116),
    [anon_sym_exists] = ACTIONS(2116),
    [anon_sym_exit] = ACTIONS(2116),
    [anon_sym_eof] = ACTIONS(2116),
    [anon_sym_exp] = ACTIONS(2116),
    [anon_sym_each] = ACTIONS(2116),
    [anon_sym_fc] = ACTIONS(2116),
    [anon_sym_fileno] = ACTIONS(2116),
    [anon_sym_gmtime] = ACTIONS(2116),
    [anon_sym_getc] = ACTIONS(2116),
    [anon_sym_getpgrp] = ACTIONS(2116),
    [anon_sym_getprotobyname] = ACTIONS(2116),
    [anon_sym_getpwname] = ACTIONS(2116),
    [anon_sym_getpwuid] = ACTIONS(2116),
    [anon_sym_getpeername] = ACTIONS(2116),
    [anon_sym_getnetbyname] = ACTIONS(2116),
    [anon_sym_getsockname] = ACTIONS(2116),
    [anon_sym_getgrnam] = ACTIONS(2116),
    [anon_sym_getgrgid] = ACTIONS(2116),
    [anon_sym_hex] = ACTIONS(2116),
    [anon_sym_int] = ACTIONS(2116),
    [anon_sym_keys] = ACTIONS(2116),
    [anon_sym_lc] = ACTIONS(2116),
    [anon_sym_lcfirst] = ACTIONS(2116),
    [anon_sym_length] = ACTIONS(2116),
    [anon_sym_localtime] = ACTIONS(2116),
    [anon_sym_log] = ACTIONS(2116),
    [anon_sym_lock] = ACTIONS(2116),
    [anon_sym_lstat] = ACTIONS(2116),
    [anon_sym_oct] = ACTIONS(2116),
    [anon_sym_ord] = ACTIONS(2116),
    [anon_sym_prototype] = ACTIONS(2116),
    [anon_sym_pop] = ACTIONS(2116),
    [anon_sym_pos] = ACTIONS(2116),
    [anon_sym_quotemeta] = ACTIONS(2116),
    [anon_sym_reset] = ACTIONS(2116),
    [anon_sym_rand] = ACTIONS(2116),
    [anon_sym_rmdir] = ACTIONS(2116),
    [anon_sym_readdir] = ACTIONS(2116),
    [anon_sym_readline] = ACTIONS(2116),
    [anon_sym_readpipe] = ACTIONS(2116),
    [anon_sym_rewinddir] = ACTIONS(2116),
    [anon_sym_readlink] = ACTIONS(2116),
    [anon_sym_ref] = ACTIONS(2116),
    [anon_sym_scalar] = ACTIONS(2116),
    [anon_sym_shift] = ACTIONS(2116),
    [anon_sym_sin] = ACTIONS(2116),
    [anon_sym_sleep] = ACTIONS(2116),
    [anon_sym_sqrt] = ACTIONS(2116),
    [anon_sym_srand] = ACTIONS(2116),
    [anon_sym_stat] = ACTIONS(2116),
    [anon_sym_study] = ACTIONS(2116),
    [anon_sym_tell] = ACTIONS(2116),
    [anon_sym_telldir] = ACTIONS(2116),
    [anon_sym_tied] = ACTIONS(2116),
    [anon_sym_uc] = ACTIONS(2116),
    [anon_sym_ucfirst] = ACTIONS(2116),
    [anon_sym_untie] = ACTIONS(2116),
    [anon_sym_umask] = ACTIONS(2116),
    [anon_sym_values] = ACTIONS(2116),
    [anon_sym_write] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2116),
    [anon_sym___END__] = ACTIONS(2116),
    [anon_sym_EOT] = ACTIONS(2116),
    [anon_sym_q] = ACTIONS(2116),
    [anon_sym_qq] = ACTIONS(2116),
    [anon_sym_qw] = ACTIONS(2116),
    [anon_sym_qx] = ACTIONS(2116),
    [anon_sym_qr] = ACTIONS(2116),
    [anon_sym_m] = ACTIONS(2116),
    [anon_sym_s] = ACTIONS(2116),
    [anon_sym_tr] = ACTIONS(2116),
    [anon_sym_y] = ACTIONS(2116),
    [anon_sym_if] = ACTIONS(2116),
    [anon_sym_unless] = ACTIONS(2116),
    [anon_sym_while] = ACTIONS(2116),
    [anon_sym_until] = ACTIONS(2116),
    [aux_sym__bareword_token1] = ACTIONS(2116),
    [sym_number] = ACTIONS(2116),
    [anon_sym_true] = ACTIONS(2116),
    [anon_sym_false] = ACTIONS(2116),
    [sym__single_quote] = ACTIONS(2114),
    [sym__double_quote] = ACTIONS(2114),
    [sym__backtick_quote] = ACTIONS(2114),
    [sym__search_slash_quote] = ACTIONS(2114),
    [sym__PERLY_HEREDOC] = ACTIONS(2114),
    [sym__ctrl_z_hack] = ACTIONS(2114),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2114),
    [sym__filetest] = ACTIONS(2114),
  },
  [862] = {
    [sym_heredoc_content] = STATE(862),
    [ts_builtin_sym_end] = ACTIONS(2118),
    [sym__identifier] = ACTIONS(2120),
    [anon_sym_LBRACE] = ACTIONS(2120),
    [anon_sym_SEMI] = ACTIONS(2120),
    [anon_sym_package] = ACTIONS(2120),
    [anon_sym_class] = ACTIONS(2120),
    [anon_sym_role] = ACTIONS(2120),
    [anon_sym_BUILD] = ACTIONS(2120),
    [anon_sym_ADJUST] = ACTIONS(2120),
    [anon_sym_DOLLAR] = ACTIONS(2120),
    [anon_sym_AT] = ACTIONS(2120),
    [anon_sym_my] = ACTIONS(2120),
    [anon_sym_extended] = ACTIONS(2120),
    [anon_sym_async] = ACTIONS(2120),
    [anon_sym_sub] = ACTIONS(2120),
    [anon_sym_method] = ACTIONS(2120),
    [anon_sym_LPAREN] = ACTIONS(2120),
    [anon_sym_continue] = ACTIONS(2120),
    [anon_sym_state] = ACTIONS(2120),
    [anon_sym_our] = ACTIONS(2120),
    [anon_sym_try] = ACTIONS(2120),
    [anon_sym_defer] = ACTIONS(2120),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(2120),
    [anon_sym_LT] = ACTIONS(2120),
    [anon_sym_LT_LT] = ACTIONS(2120),
    [anon_sym_SLASH_SLASH] = ACTIONS(2120),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_DASH] = ACTIONS(2120),
    [anon_sym_STAR] = ACTIONS(2120),
    [anon_sym_TILDE] = ACTIONS(2120),
    [anon_sym_BANG] = ACTIONS(2120),
    [anon_sym_PLUS_PLUS] = ACTIONS(2120),
    [anon_sym_DASH_DASH] = ACTIONS(2120),
    [anon_sym_BSLASH] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(2120),
    [anon_sym_eval] = ACTIONS(2120),
    [anon_sym_await] = ACTIONS(2120),
    [anon_sym_field] = ACTIONS(2120),
    [anon_sym_local] = ACTIONS(2120),
    [anon_sym_dynamically] = ACTIONS(2120),
    [anon_sym_require] = ACTIONS(2120),
    [anon_sym_map] = ACTIONS(2120),
    [anon_sym_grep] = ACTIONS(2120),
    [anon_sym_sort] = ACTIONS(2120),
    [anon_sym_goto] = ACTIONS(2120),
    [anon_sym_return] = ACTIONS(2120),
    [anon_sym_undef] = ACTIONS(2120),
    [anon_sym_PERCENT2] = ACTIONS(2120),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2120),
    [anon_sym_use] = ACTIONS(2120),
    [anon_sym_no] = ACTIONS(2120),
    [anon_sym_for] = ACTIONS(2120),
    [anon_sym_foreach] = ACTIONS(2120),
    [anon_sym_last] = ACTIONS(2120),
    [anon_sym_next] = ACTIONS(2120),
    [anon_sym_redo] = ACTIONS(2120),
    [anon_sym_BEGIN] = ACTIONS(2120),
    [anon_sym_INIT] = ACTIONS(2120),
    [anon_sym_CHECK] = ACTIONS(2120),
    [anon_sym_UNITCHECK] = ACTIONS(2120),
    [anon_sym_END] = ACTIONS(2120),
    [anon_sym___FILE__] = ACTIONS(2120),
    [anon_sym___LINE__] = ACTIONS(2120),
    [anon_sym___PACKAGE__] = ACTIONS(2120),
    [anon_sym___SUB__] = ACTIONS(2120),
    [anon_sym_break] = ACTIONS(2120),
    [anon_sym_fork] = ACTIONS(2120),
    [anon_sym_getppid] = ACTIONS(2120),
    [anon_sym_time] = ACTIONS(2120),
    [anon_sym_times] = ACTIONS(2120),
    [anon_sym_wait] = ACTIONS(2120),
    [anon_sym_wantarray] = ACTIONS(2120),
    [anon_sym_abs] = ACTIONS(2120),
    [anon_sym_alarm] = ACTIONS(2120),
    [anon_sym_chop] = ACTIONS(2120),
    [anon_sym_chdir] = ACTIONS(2120),
    [anon_sym_close] = ACTIONS(2120),
    [anon_sym_closedir] = ACTIONS(2120),
    [anon_sym_caller] = ACTIONS(2120),
    [anon_sym_chomp] = ACTIONS(2120),
    [anon_sym_chr] = ACTIONS(2120),
    [anon_sym_cos] = ACTIONS(2120),
    [anon_sym_chroot] = ACTIONS(2120),
    [anon_sym_defined] = ACTIONS(2120),
    [anon_sym_delete] = ACTIONS(2120),
    [anon_sym_dbmclose] = ACTIONS(2120),
    [anon_sym_exists] = ACTIONS(2120),
    [anon_sym_exit] = ACTIONS(2120),
    [anon_sym_eof] = ACTIONS(2120),
    [anon_sym_exp] = ACTIONS(2120),
    [anon_sym_each] = ACTIONS(2120),
    [anon_sym_fc] = ACTIONS(2120),
    [anon_sym_fileno] = ACTIONS(2120),
    [anon_sym_gmtime] = ACTIONS(2120),
    [anon_sym_getc] = ACTIONS(2120),
    [anon_sym_getpgrp] = ACTIONS(2120),
    [anon_sym_getprotobyname] = ACTIONS(2120),
    [anon_sym_getpwname] = ACTIONS(2120),
    [anon_sym_getpwuid] = ACTIONS(2120),
    [anon_sym_getpeername] = ACTIONS(2120),
    [anon_sym_getnetbyname] = ACTIONS(2120),
    [anon_sym_getsockname] = ACTIONS(2120),
    [anon_sym_getgrnam] = ACTIONS(2120),
    [anon_sym_getgrgid] = ACTIONS(2120),
    [anon_sym_hex] = ACTIONS(2120),
    [anon_sym_int] = ACTIONS(2120),
    [anon_sym_keys] = ACTIONS(2120),
    [anon_sym_lc] = ACTIONS(2120),
    [anon_sym_lcfirst] = ACTIONS(2120),
    [anon_sym_length] = ACTIONS(2120),
    [anon_sym_localtime] = ACTIONS(2120),
    [anon_sym_log] = ACTIONS(2120),
    [anon_sym_lock] = ACTIONS(2120),
    [anon_sym_lstat] = ACTIONS(2120),
    [anon_sym_oct] = ACTIONS(2120),
    [anon_sym_ord] = ACTIONS(2120),
    [anon_sym_prototype] = ACTIONS(2120),
    [anon_sym_pop] = ACTIONS(2120),
    [anon_sym_pos] = ACTIONS(2120),
    [anon_sym_quotemeta] = ACTIONS(2120),
    [anon_sym_reset] = ACTIONS(2120),
    [anon_sym_rand] = ACTIONS(2120),
    [anon_sym_rmdir] = ACTIONS(2120),
    [anon_sym_readdir] = ACTIONS(2120),
    [anon_sym_readline] = ACTIONS(2120),
    [anon_sym_readpipe] = ACTIONS(2120),
    [anon_sym_rewinddir] = ACTIONS(2120),
    [anon_sym_readlink] = ACTIONS(2120),
    [anon_sym_ref] = ACTIONS(2120),
    [anon_sym_scalar] = ACTIONS(2120),
    [anon_sym_shift] = ACTIONS(2120),
    [anon_sym_sin] = ACTIONS(2120),
    [anon_sym_sleep] = ACTIONS(2120),
    [anon_sym_sqrt] = ACTIONS(2120),
    [anon_sym_srand] = ACTIONS(2120),
    [anon_sym_stat] = ACTIONS(2120),
    [anon_sym_study] = ACTIONS(2120),
    [anon_sym_tell] = ACTIONS(2120),
    [anon_sym_telldir] = ACTIONS(2120),
    [anon_sym_tied] = ACTIONS(2120),
    [anon_sym_uc] = ACTIONS(2120),
    [anon_sym_ucfirst] = ACTIONS(2120),
    [anon_sym_untie] = ACTIONS(2120),
    [anon_sym_umask] = ACTIONS(2120),
    [anon_sym_values] = ACTIONS(2120),
    [anon_sym_write] = ACTIONS(2120),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2120),
    [anon_sym___END__] = ACTIONS(2120),
    [anon_sym_EOT] = ACTIONS(2120),
    [anon_sym_q] = ACTIONS(2120),
    [anon_sym_qq] = ACTIONS(2120),
    [anon_sym_qw] = ACTIONS(2120),
    [anon_sym_qx] = ACTIONS(2120),
    [anon_sym_qr] = ACTIONS(2120),
    [anon_sym_m] = ACTIONS(2120),
    [anon_sym_s] = ACTIONS(2120),
    [anon_sym_tr] = ACTIONS(2120),
    [anon_sym_y] = ACTIONS(2120),
    [anon_sym_if] = ACTIONS(2120),
    [anon_sym_unless] = ACTIONS(2120),
    [anon_sym_while] = ACTIONS(2120),
    [anon_sym_until] = ACTIONS(2120),
    [aux_sym__bareword_token1] = ACTIONS(2120),
    [sym_number] = ACTIONS(2120),
    [anon_sym_true] = ACTIONS(2120),
    [anon_sym_false] = ACTIONS(2120),
    [sym__single_quote] = ACTIONS(2118),
    [sym__double_quote] = ACTIONS(2118),
    [sym__backtick_quote] = ACTIONS(2118),
    [sym__search_slash_quote] = ACTIONS(2118),
    [sym__PERLY_HEREDOC] = ACTIONS(2118),
    [sym__ctrl_z_hack] = ACTIONS(2118),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2118),
    [sym__filetest] = ACTIONS(2118),
  },
  [863] = {
    [sym_heredoc_content] = STATE(863),
    [ts_builtin_sym_end] = ACTIONS(2122),
    [sym__identifier] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_package] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_role] = ACTIONS(2124),
    [anon_sym_BUILD] = ACTIONS(2124),
    [anon_sym_ADJUST] = ACTIONS(2124),
    [anon_sym_DOLLAR] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_my] = ACTIONS(2124),
    [anon_sym_extended] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_sub] = ACTIONS(2124),
    [anon_sym_method] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_state] = ACTIONS(2124),
    [anon_sym_our] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_defer] = ACTIONS(2124),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_LT_LT] = ACTIONS(2124),
    [anon_sym_SLASH_SLASH] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_STAR] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_BSLASH] = ACTIONS(2122),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_eval] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_field] = ACTIONS(2124),
    [anon_sym_local] = ACTIONS(2124),
    [anon_sym_dynamically] = ACTIONS(2124),
    [anon_sym_require] = ACTIONS(2124),
    [anon_sym_map] = ACTIONS(2124),
    [anon_sym_grep] = ACTIONS(2124),
    [anon_sym_sort] = ACTIONS(2124),
    [anon_sym_goto] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_undef] = ACTIONS(2124),
    [anon_sym_PERCENT2] = ACTIONS(2124),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2124),
    [anon_sym_use] = ACTIONS(2124),
    [anon_sym_no] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_foreach] = ACTIONS(2124),
    [anon_sym_last] = ACTIONS(2124),
    [anon_sym_next] = ACTIONS(2124),
    [anon_sym_redo] = ACTIONS(2124),
    [anon_sym_BEGIN] = ACTIONS(2124),
    [anon_sym_INIT] = ACTIONS(2124),
    [anon_sym_CHECK] = ACTIONS(2124),
    [anon_sym_UNITCHECK] = ACTIONS(2124),
    [anon_sym_END] = ACTIONS(2124),
    [anon_sym___FILE__] = ACTIONS(2124),
    [anon_sym___LINE__] = ACTIONS(2124),
    [anon_sym___PACKAGE__] = ACTIONS(2124),
    [anon_sym___SUB__] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_fork] = ACTIONS(2124),
    [anon_sym_getppid] = ACTIONS(2124),
    [anon_sym_time] = ACTIONS(2124),
    [anon_sym_times] = ACTIONS(2124),
    [anon_sym_wait] = ACTIONS(2124),
    [anon_sym_wantarray] = ACTIONS(2124),
    [anon_sym_abs] = ACTIONS(2124),
    [anon_sym_alarm] = ACTIONS(2124),
    [anon_sym_chop] = ACTIONS(2124),
    [anon_sym_chdir] = ACTIONS(2124),
    [anon_sym_close] = ACTIONS(2124),
    [anon_sym_closedir] = ACTIONS(2124),
    [anon_sym_caller] = ACTIONS(2124),
    [anon_sym_chomp] = ACTIONS(2124),
    [anon_sym_chr] = ACTIONS(2124),
    [anon_sym_cos] = ACTIONS(2124),
    [anon_sym_chroot] = ACTIONS(2124),
    [anon_sym_defined] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_dbmclose] = ACTIONS(2124),
    [anon_sym_exists] = ACTIONS(2124),
    [anon_sym_exit] = ACTIONS(2124),
    [anon_sym_eof] = ACTIONS(2124),
    [anon_sym_exp] = ACTIONS(2124),
    [anon_sym_each] = ACTIONS(2124),
    [anon_sym_fc] = ACTIONS(2124),
    [anon_sym_fileno] = ACTIONS(2124),
    [anon_sym_gmtime] = ACTIONS(2124),
    [anon_sym_getc] = ACTIONS(2124),
    [anon_sym_getpgrp] = ACTIONS(2124),
    [anon_sym_getprotobyname] = ACTIONS(2124),
    [anon_sym_getpwname] = ACTIONS(2124),
    [anon_sym_getpwuid] = ACTIONS(2124),
    [anon_sym_getpeername] = ACTIONS(2124),
    [anon_sym_getnetbyname] = ACTIONS(2124),
    [anon_sym_getsockname] = ACTIONS(2124),
    [anon_sym_getgrnam] = ACTIONS(2124),
    [anon_sym_getgrgid] = ACTIONS(2124),
    [anon_sym_hex] = ACTIONS(2124),
    [anon_sym_int] = ACTIONS(2124),
    [anon_sym_keys] = ACTIONS(2124),
    [anon_sym_lc] = ACTIONS(2124),
    [anon_sym_lcfirst] = ACTIONS(2124),
    [anon_sym_length] = ACTIONS(2124),
    [anon_sym_localtime] = ACTIONS(2124),
    [anon_sym_log] = ACTIONS(2124),
    [anon_sym_lock] = ACTIONS(2124),
    [anon_sym_lstat] = ACTIONS(2124),
    [anon_sym_oct] = ACTIONS(2124),
    [anon_sym_ord] = ACTIONS(2124),
    [anon_sym_prototype] = ACTIONS(2124),
    [anon_sym_pop] = ACTIONS(2124),
    [anon_sym_pos] = ACTIONS(2124),
    [anon_sym_quotemeta] = ACTIONS(2124),
    [anon_sym_reset] = ACTIONS(2124),
    [anon_sym_rand] = ACTIONS(2124),
    [anon_sym_rmdir] = ACTIONS(2124),
    [anon_sym_readdir] = ACTIONS(2124),
    [anon_sym_readline] = ACTIONS(2124),
    [anon_sym_readpipe] = ACTIONS(2124),
    [anon_sym_rewinddir] = ACTIONS(2124),
    [anon_sym_readlink] = ACTIONS(2124),
    [anon_sym_ref] = ACTIONS(2124),
    [anon_sym_scalar] = ACTIONS(2124),
    [anon_sym_shift] = ACTIONS(2124),
    [anon_sym_sin] = ACTIONS(2124),
    [anon_sym_sleep] = ACTIONS(2124),
    [anon_sym_sqrt] = ACTIONS(2124),
    [anon_sym_srand] = ACTIONS(2124),
    [anon_sym_stat] = ACTIONS(2124),
    [anon_sym_study] = ACTIONS(2124),
    [anon_sym_tell] = ACTIONS(2124),
    [anon_sym_telldir] = ACTIONS(2124),
    [anon_sym_tied] = ACTIONS(2124),
    [anon_sym_uc] = ACTIONS(2124),
    [anon_sym_ucfirst] = ACTIONS(2124),
    [anon_sym_untie] = ACTIONS(2124),
    [anon_sym_umask] = ACTIONS(2124),
    [anon_sym_values] = ACTIONS(2124),
    [anon_sym_write] = ACTIONS(2124),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2124),
    [anon_sym___END__] = ACTIONS(2124),
    [anon_sym_EOT] = ACTIONS(2124),
    [anon_sym_q] = ACTIONS(2124),
    [anon_sym_qq] = ACTIONS(2124),
    [anon_sym_qw] = ACTIONS(2124),
    [anon_sym_qx] = ACTIONS(2124),
    [anon_sym_qr] = ACTIONS(2124),
    [anon_sym_m] = ACTIONS(2124),
    [anon_sym_s] = ACTIONS(2124),
    [anon_sym_tr] = ACTIONS(2124),
    [anon_sym_y] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_unless] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_until] = ACTIONS(2124),
    [aux_sym__bareword_token1] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [anon_sym_true] = ACTIONS(2124),
    [anon_sym_false] = ACTIONS(2124),
    [sym__single_quote] = ACTIONS(2122),
    [sym__double_quote] = ACTIONS(2122),
    [sym__backtick_quote] = ACTIONS(2122),
    [sym__search_slash_quote] = ACTIONS(2122),
    [sym__PERLY_HEREDOC] = ACTIONS(2122),
    [sym__ctrl_z_hack] = ACTIONS(2122),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2122),
    [sym__filetest] = ACTIONS(2122),
  },
  [864] = {
    [sym_heredoc_content] = STATE(864),
    [ts_builtin_sym_end] = ACTIONS(2126),
    [sym__identifier] = ACTIONS(2128),
    [anon_sym_LBRACE] = ACTIONS(2128),
    [anon_sym_SEMI] = ACTIONS(2128),
    [anon_sym_package] = ACTIONS(2128),
    [anon_sym_class] = ACTIONS(2128),
    [anon_sym_role] = ACTIONS(2128),
    [anon_sym_BUILD] = ACTIONS(2128),
    [anon_sym_ADJUST] = ACTIONS(2128),
    [anon_sym_DOLLAR] = ACTIONS(2128),
    [anon_sym_AT] = ACTIONS(2128),
    [anon_sym_my] = ACTIONS(2128),
    [anon_sym_extended] = ACTIONS(2128),
    [anon_sym_async] = ACTIONS(2128),
    [anon_sym_sub] = ACTIONS(2128),
    [anon_sym_method] = ACTIONS(2128),
    [anon_sym_LPAREN] = ACTIONS(2128),
    [anon_sym_continue] = ACTIONS(2128),
    [anon_sym_state] = ACTIONS(2128),
    [anon_sym_our] = ACTIONS(2128),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_defer] = ACTIONS(2128),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2128),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [anon_sym_LT] = ACTIONS(2128),
    [anon_sym_LT_LT] = ACTIONS(2128),
    [anon_sym_SLASH_SLASH] = ACTIONS(2128),
    [anon_sym_PLUS] = ACTIONS(2128),
    [anon_sym_DASH] = ACTIONS(2128),
    [anon_sym_STAR] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_PLUS_PLUS] = ACTIONS(2128),
    [anon_sym_DASH_DASH] = ACTIONS(2128),
    [anon_sym_BSLASH] = ACTIONS(2126),
    [anon_sym_do] = ACTIONS(2128),
    [anon_sym_eval] = ACTIONS(2128),
    [anon_sym_await] = ACTIONS(2128),
    [anon_sym_field] = ACTIONS(2128),
    [anon_sym_local] = ACTIONS(2128),
    [anon_sym_dynamically] = ACTIONS(2128),
    [anon_sym_require] = ACTIONS(2128),
    [anon_sym_map] = ACTIONS(2128),
    [anon_sym_grep] = ACTIONS(2128),
    [anon_sym_sort] = ACTIONS(2128),
    [anon_sym_goto] = ACTIONS(2128),
    [anon_sym_return] = ACTIONS(2128),
    [anon_sym_undef] = ACTIONS(2128),
    [anon_sym_PERCENT2] = ACTIONS(2128),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2128),
    [anon_sym_use] = ACTIONS(2128),
    [anon_sym_no] = ACTIONS(2128),
    [anon_sym_for] = ACTIONS(2128),
    [anon_sym_foreach] = ACTIONS(2128),
    [anon_sym_last] = ACTIONS(2128),
    [anon_sym_next] = ACTIONS(2128),
    [anon_sym_redo] = ACTIONS(2128),
    [anon_sym_BEGIN] = ACTIONS(2128),
    [anon_sym_INIT] = ACTIONS(2128),
    [anon_sym_CHECK] = ACTIONS(2128),
    [anon_sym_UNITCHECK] = ACTIONS(2128),
    [anon_sym_END] = ACTIONS(2128),
    [anon_sym___FILE__] = ACTIONS(2128),
    [anon_sym___LINE__] = ACTIONS(2128),
    [anon_sym___PACKAGE__] = ACTIONS(2128),
    [anon_sym___SUB__] = ACTIONS(2128),
    [anon_sym_break] = ACTIONS(2128),
    [anon_sym_fork] = ACTIONS(2128),
    [anon_sym_getppid] = ACTIONS(2128),
    [anon_sym_time] = ACTIONS(2128),
    [anon_sym_times] = ACTIONS(2128),
    [anon_sym_wait] = ACTIONS(2128),
    [anon_sym_wantarray] = ACTIONS(2128),
    [anon_sym_abs] = ACTIONS(2128),
    [anon_sym_alarm] = ACTIONS(2128),
    [anon_sym_chop] = ACTIONS(2128),
    [anon_sym_chdir] = ACTIONS(2128),
    [anon_sym_close] = ACTIONS(2128),
    [anon_sym_closedir] = ACTIONS(2128),
    [anon_sym_caller] = ACTIONS(2128),
    [anon_sym_chomp] = ACTIONS(2128),
    [anon_sym_chr] = ACTIONS(2128),
    [anon_sym_cos] = ACTIONS(2128),
    [anon_sym_chroot] = ACTIONS(2128),
    [anon_sym_defined] = ACTIONS(2128),
    [anon_sym_delete] = ACTIONS(2128),
    [anon_sym_dbmclose] = ACTIONS(2128),
    [anon_sym_exists] = ACTIONS(2128),
    [anon_sym_exit] = ACTIONS(2128),
    [anon_sym_eof] = ACTIONS(2128),
    [anon_sym_exp] = ACTIONS(2128),
    [anon_sym_each] = ACTIONS(2128),
    [anon_sym_fc] = ACTIONS(2128),
    [anon_sym_fileno] = ACTIONS(2128),
    [anon_sym_gmtime] = ACTIONS(2128),
    [anon_sym_getc] = ACTIONS(2128),
    [anon_sym_getpgrp] = ACTIONS(2128),
    [anon_sym_getprotobyname] = ACTIONS(2128),
    [anon_sym_getpwname] = ACTIONS(2128),
    [anon_sym_getpwuid] = ACTIONS(2128),
    [anon_sym_getpeername] = ACTIONS(2128),
    [anon_sym_getnetbyname] = ACTIONS(2128),
    [anon_sym_getsockname] = ACTIONS(2128),
    [anon_sym_getgrnam] = ACTIONS(2128),
    [anon_sym_getgrgid] = ACTIONS(2128),
    [anon_sym_hex] = ACTIONS(2128),
    [anon_sym_int] = ACTIONS(2128),
    [anon_sym_keys] = ACTIONS(2128),
    [anon_sym_lc] = ACTIONS(2128),
    [anon_sym_lcfirst] = ACTIONS(2128),
    [anon_sym_length] = ACTIONS(2128),
    [anon_sym_localtime] = ACTIONS(2128),
    [anon_sym_log] = ACTIONS(2128),
    [anon_sym_lock] = ACTIONS(2128),
    [anon_sym_lstat] = ACTIONS(2128),
    [anon_sym_oct] = ACTIONS(2128),
    [anon_sym_ord] = ACTIONS(2128),
    [anon_sym_prototype] = ACTIONS(2128),
    [anon_sym_pop] = ACTIONS(2128),
    [anon_sym_pos] = ACTIONS(2128),
    [anon_sym_quotemeta] = ACTIONS(2128),
    [anon_sym_reset] = ACTIONS(2128),
    [anon_sym_rand] = ACTIONS(2128),
    [anon_sym_rmdir] = ACTIONS(2128),
    [anon_sym_readdir] = ACTIONS(2128),
    [anon_sym_readline] = ACTIONS(2128),
    [anon_sym_readpipe] = ACTIONS(2128),
    [anon_sym_rewinddir] = ACTIONS(2128),
    [anon_sym_readlink] = ACTIONS(2128),
    [anon_sym_ref] = ACTIONS(2128),
    [anon_sym_scalar] = ACTIONS(2128),
    [anon_sym_shift] = ACTIONS(2128),
    [anon_sym_sin] = ACTIONS(2128),
    [anon_sym_sleep] = ACTIONS(2128),
    [anon_sym_sqrt] = ACTIONS(2128),
    [anon_sym_srand] = ACTIONS(2128),
    [anon_sym_stat] = ACTIONS(2128),
    [anon_sym_study] = ACTIONS(2128),
    [anon_sym_tell] = ACTIONS(2128),
    [anon_sym_telldir] = ACTIONS(2128),
    [anon_sym_tied] = ACTIONS(2128),
    [anon_sym_uc] = ACTIONS(2128),
    [anon_sym_ucfirst] = ACTIONS(2128),
    [anon_sym_untie] = ACTIONS(2128),
    [anon_sym_umask] = ACTIONS(2128),
    [anon_sym_values] = ACTIONS(2128),
    [anon_sym_write] = ACTIONS(2128),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2128),
    [anon_sym___END__] = ACTIONS(2128),
    [anon_sym_EOT] = ACTIONS(2128),
    [anon_sym_q] = ACTIONS(2128),
    [anon_sym_qq] = ACTIONS(2128),
    [anon_sym_qw] = ACTIONS(2128),
    [anon_sym_qx] = ACTIONS(2128),
    [anon_sym_qr] = ACTIONS(2128),
    [anon_sym_m] = ACTIONS(2128),
    [anon_sym_s] = ACTIONS(2128),
    [anon_sym_tr] = ACTIONS(2128),
    [anon_sym_y] = ACTIONS(2128),
    [anon_sym_if] = ACTIONS(2128),
    [anon_sym_unless] = ACTIONS(2128),
    [anon_sym_while] = ACTIONS(2128),
    [anon_sym_until] = ACTIONS(2128),
    [aux_sym__bareword_token1] = ACTIONS(2128),
    [sym_number] = ACTIONS(2128),
    [anon_sym_true] = ACTIONS(2128),
    [anon_sym_false] = ACTIONS(2128),
    [sym__single_quote] = ACTIONS(2126),
    [sym__double_quote] = ACTIONS(2126),
    [sym__backtick_quote] = ACTIONS(2126),
    [sym__search_slash_quote] = ACTIONS(2126),
    [sym__PERLY_HEREDOC] = ACTIONS(2126),
    [sym__ctrl_z_hack] = ACTIONS(2126),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2126),
    [sym__filetest] = ACTIONS(2126),
  },
  [865] = {
    [sym_heredoc_content] = STATE(865),
    [ts_builtin_sym_end] = ACTIONS(2130),
    [sym__identifier] = ACTIONS(2132),
    [anon_sym_LBRACE] = ACTIONS(2132),
    [anon_sym_SEMI] = ACTIONS(2132),
    [anon_sym_package] = ACTIONS(2132),
    [anon_sym_class] = ACTIONS(2132),
    [anon_sym_role] = ACTIONS(2132),
    [anon_sym_BUILD] = ACTIONS(2132),
    [anon_sym_ADJUST] = ACTIONS(2132),
    [anon_sym_DOLLAR] = ACTIONS(2132),
    [anon_sym_AT] = ACTIONS(2132),
    [anon_sym_my] = ACTIONS(2132),
    [anon_sym_extended] = ACTIONS(2132),
    [anon_sym_async] = ACTIONS(2132),
    [anon_sym_sub] = ACTIONS(2132),
    [anon_sym_method] = ACTIONS(2132),
    [anon_sym_LPAREN] = ACTIONS(2132),
    [anon_sym_continue] = ACTIONS(2132),
    [anon_sym_state] = ACTIONS(2132),
    [anon_sym_our] = ACTIONS(2132),
    [anon_sym_try] = ACTIONS(2132),
    [anon_sym_defer] = ACTIONS(2132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2132),
    [anon_sym_LBRACK] = ACTIONS(2132),
    [anon_sym_LT] = ACTIONS(2132),
    [anon_sym_LT_LT] = ACTIONS(2132),
    [anon_sym_SLASH_SLASH] = ACTIONS(2132),
    [anon_sym_PLUS] = ACTIONS(2132),
    [anon_sym_DASH] = ACTIONS(2132),
    [anon_sym_STAR] = ACTIONS(2132),
    [anon_sym_TILDE] = ACTIONS(2132),
    [anon_sym_BANG] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_BSLASH] = ACTIONS(2130),
    [anon_sym_do] = ACTIONS(2132),
    [anon_sym_eval] = ACTIONS(2132),
    [anon_sym_await] = ACTIONS(2132),
    [anon_sym_field] = ACTIONS(2132),
    [anon_sym_local] = ACTIONS(2132),
    [anon_sym_dynamically] = ACTIONS(2132),
    [anon_sym_require] = ACTIONS(2132),
    [anon_sym_map] = ACTIONS(2132),
    [anon_sym_grep] = ACTIONS(2132),
    [anon_sym_sort] = ACTIONS(2132),
    [anon_sym_goto] = ACTIONS(2132),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_undef] = ACTIONS(2132),
    [anon_sym_PERCENT2] = ACTIONS(2132),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2132),
    [anon_sym_use] = ACTIONS(2132),
    [anon_sym_no] = ACTIONS(2132),
    [anon_sym_for] = ACTIONS(2132),
    [anon_sym_foreach] = ACTIONS(2132),
    [anon_sym_last] = ACTIONS(2132),
    [anon_sym_next] = ACTIONS(2132),
    [anon_sym_redo] = ACTIONS(2132),
    [anon_sym_BEGIN] = ACTIONS(2132),
    [anon_sym_INIT] = ACTIONS(2132),
    [anon_sym_CHECK] = ACTIONS(2132),
    [anon_sym_UNITCHECK] = ACTIONS(2132),
    [anon_sym_END] = ACTIONS(2132),
    [anon_sym___FILE__] = ACTIONS(2132),
    [anon_sym___LINE__] = ACTIONS(2132),
    [anon_sym___PACKAGE__] = ACTIONS(2132),
    [anon_sym___SUB__] = ACTIONS(2132),
    [anon_sym_break] = ACTIONS(2132),
    [anon_sym_fork] = ACTIONS(2132),
    [anon_sym_getppid] = ACTIONS(2132),
    [anon_sym_time] = ACTIONS(2132),
    [anon_sym_times] = ACTIONS(2132),
    [anon_sym_wait] = ACTIONS(2132),
    [anon_sym_wantarray] = ACTIONS(2132),
    [anon_sym_abs] = ACTIONS(2132),
    [anon_sym_alarm] = ACTIONS(2132),
    [anon_sym_chop] = ACTIONS(2132),
    [anon_sym_chdir] = ACTIONS(2132),
    [anon_sym_close] = ACTIONS(2132),
    [anon_sym_closedir] = ACTIONS(2132),
    [anon_sym_caller] = ACTIONS(2132),
    [anon_sym_chomp] = ACTIONS(2132),
    [anon_sym_chr] = ACTIONS(2132),
    [anon_sym_cos] = ACTIONS(2132),
    [anon_sym_chroot] = ACTIONS(2132),
    [anon_sym_defined] = ACTIONS(2132),
    [anon_sym_delete] = ACTIONS(2132),
    [anon_sym_dbmclose] = ACTIONS(2132),
    [anon_sym_exists] = ACTIONS(2132),
    [anon_sym_exit] = ACTIONS(2132),
    [anon_sym_eof] = ACTIONS(2132),
    [anon_sym_exp] = ACTIONS(2132),
    [anon_sym_each] = ACTIONS(2132),
    [anon_sym_fc] = ACTIONS(2132),
    [anon_sym_fileno] = ACTIONS(2132),
    [anon_sym_gmtime] = ACTIONS(2132),
    [anon_sym_getc] = ACTIONS(2132),
    [anon_sym_getpgrp] = ACTIONS(2132),
    [anon_sym_getprotobyname] = ACTIONS(2132),
    [anon_sym_getpwname] = ACTIONS(2132),
    [anon_sym_getpwuid] = ACTIONS(2132),
    [anon_sym_getpeername] = ACTIONS(2132),
    [anon_sym_getnetbyname] = ACTIONS(2132),
    [anon_sym_getsockname] = ACTIONS(2132),
    [anon_sym_getgrnam] = ACTIONS(2132),
    [anon_sym_getgrgid] = ACTIONS(2132),
    [anon_sym_hex] = ACTIONS(2132),
    [anon_sym_int] = ACTIONS(2132),
    [anon_sym_keys] = ACTIONS(2132),
    [anon_sym_lc] = ACTIONS(2132),
    [anon_sym_lcfirst] = ACTIONS(2132),
    [anon_sym_length] = ACTIONS(2132),
    [anon_sym_localtime] = ACTIONS(2132),
    [anon_sym_log] = ACTIONS(2132),
    [anon_sym_lock] = ACTIONS(2132),
    [anon_sym_lstat] = ACTIONS(2132),
    [anon_sym_oct] = ACTIONS(2132),
    [anon_sym_ord] = ACTIONS(2132),
    [anon_sym_prototype] = ACTIONS(2132),
    [anon_sym_pop] = ACTIONS(2132),
    [anon_sym_pos] = ACTIONS(2132),
    [anon_sym_quotemeta] = ACTIONS(2132),
    [anon_sym_reset] = ACTIONS(2132),
    [anon_sym_rand] = ACTIONS(2132),
    [anon_sym_rmdir] = ACTIONS(2132),
    [anon_sym_readdir] = ACTIONS(2132),
    [anon_sym_readline] = ACTIONS(2132),
    [anon_sym_readpipe] = ACTIONS(2132),
    [anon_sym_rewinddir] = ACTIONS(2132),
    [anon_sym_readlink] = ACTIONS(2132),
    [anon_sym_ref] = ACTIONS(2132),
    [anon_sym_scalar] = ACTIONS(2132),
    [anon_sym_shift] = ACTIONS(2132),
    [anon_sym_sin] = ACTIONS(2132),
    [anon_sym_sleep] = ACTIONS(2132),
    [anon_sym_sqrt] = ACTIONS(2132),
    [anon_sym_srand] = ACTIONS(2132),
    [anon_sym_stat] = ACTIONS(2132),
    [anon_sym_study] = ACTIONS(2132),
    [anon_sym_tell] = ACTIONS(2132),
    [anon_sym_telldir] = ACTIONS(2132),
    [anon_sym_tied] = ACTIONS(2132),
    [anon_sym_uc] = ACTIONS(2132),
    [anon_sym_ucfirst] = ACTIONS(2132),
    [anon_sym_untie] = ACTIONS(2132),
    [anon_sym_umask] = ACTIONS(2132),
    [anon_sym_values] = ACTIONS(2132),
    [anon_sym_write] = ACTIONS(2132),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2132),
    [anon_sym___END__] = ACTIONS(2132),
    [anon_sym_EOT] = ACTIONS(2132),
    [anon_sym_q] = ACTIONS(2132),
    [anon_sym_qq] = ACTIONS(2132),
    [anon_sym_qw] = ACTIONS(2132),
    [anon_sym_qx] = ACTIONS(2132),
    [anon_sym_qr] = ACTIONS(2132),
    [anon_sym_m] = ACTIONS(2132),
    [anon_sym_s] = ACTIONS(2132),
    [anon_sym_tr] = ACTIONS(2132),
    [anon_sym_y] = ACTIONS(2132),
    [anon_sym_if] = ACTIONS(2132),
    [anon_sym_unless] = ACTIONS(2132),
    [anon_sym_while] = ACTIONS(2132),
    [anon_sym_until] = ACTIONS(2132),
    [aux_sym__bareword_token1] = ACTIONS(2132),
    [sym_number] = ACTIONS(2132),
    [anon_sym_true] = ACTIONS(2132),
    [anon_sym_false] = ACTIONS(2132),
    [sym__single_quote] = ACTIONS(2130),
    [sym__double_quote] = ACTIONS(2130),
    [sym__backtick_quote] = ACTIONS(2130),
    [sym__search_slash_quote] = ACTIONS(2130),
    [sym__PERLY_HEREDOC] = ACTIONS(2130),
    [sym__ctrl_z_hack] = ACTIONS(2130),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2130),
    [sym__filetest] = ACTIONS(2130),
  },
  [866] = {
    [sym_heredoc_content] = STATE(866),
    [ts_builtin_sym_end] = ACTIONS(1783),
    [sym__identifier] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1781),
    [anon_sym_package] = ACTIONS(1781),
    [anon_sym_class] = ACTIONS(1781),
    [anon_sym_role] = ACTIONS(1781),
    [anon_sym_BUILD] = ACTIONS(1781),
    [anon_sym_ADJUST] = ACTIONS(1781),
    [anon_sym_DOLLAR] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(1781),
    [anon_sym_my] = ACTIONS(1781),
    [anon_sym_extended] = ACTIONS(1781),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_sub] = ACTIONS(1781),
    [anon_sym_method] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1781),
    [anon_sym_continue] = ACTIONS(1781),
    [anon_sym_state] = ACTIONS(1781),
    [anon_sym_our] = ACTIONS(1781),
    [anon_sym_try] = ACTIONS(1781),
    [anon_sym_defer] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_BANG] = ACTIONS(1781),
    [anon_sym_PLUS_PLUS] = ACTIONS(1781),
    [anon_sym_DASH_DASH] = ACTIONS(1781),
    [anon_sym_BSLASH] = ACTIONS(1783),
    [anon_sym_do] = ACTIONS(1781),
    [anon_sym_eval] = ACTIONS(1781),
    [anon_sym_await] = ACTIONS(1781),
    [anon_sym_field] = ACTIONS(1781),
    [anon_sym_local] = ACTIONS(1781),
    [anon_sym_dynamically] = ACTIONS(1781),
    [anon_sym_require] = ACTIONS(1781),
    [anon_sym_map] = ACTIONS(1781),
    [anon_sym_grep] = ACTIONS(1781),
    [anon_sym_sort] = ACTIONS(1781),
    [anon_sym_goto] = ACTIONS(1781),
    [anon_sym_return] = ACTIONS(1781),
    [anon_sym_undef] = ACTIONS(1781),
    [anon_sym_PERCENT2] = ACTIONS(1781),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1781),
    [anon_sym_use] = ACTIONS(1781),
    [anon_sym_no] = ACTIONS(1781),
    [anon_sym_for] = ACTIONS(1781),
    [anon_sym_foreach] = ACTIONS(1781),
    [anon_sym_last] = ACTIONS(1781),
    [anon_sym_next] = ACTIONS(1781),
    [anon_sym_redo] = ACTIONS(1781),
    [anon_sym_BEGIN] = ACTIONS(1781),
    [anon_sym_INIT] = ACTIONS(1781),
    [anon_sym_CHECK] = ACTIONS(1781),
    [anon_sym_UNITCHECK] = ACTIONS(1781),
    [anon_sym_END] = ACTIONS(1781),
    [anon_sym___FILE__] = ACTIONS(1781),
    [anon_sym___LINE__] = ACTIONS(1781),
    [anon_sym___PACKAGE__] = ACTIONS(1781),
    [anon_sym___SUB__] = ACTIONS(1781),
    [anon_sym_break] = ACTIONS(1781),
    [anon_sym_fork] = ACTIONS(1781),
    [anon_sym_getppid] = ACTIONS(1781),
    [anon_sym_time] = ACTIONS(1781),
    [anon_sym_times] = ACTIONS(1781),
    [anon_sym_wait] = ACTIONS(1781),
    [anon_sym_wantarray] = ACTIONS(1781),
    [anon_sym_abs] = ACTIONS(1781),
    [anon_sym_alarm] = ACTIONS(1781),
    [anon_sym_chop] = ACTIONS(1781),
    [anon_sym_chdir] = ACTIONS(1781),
    [anon_sym_close] = ACTIONS(1781),
    [anon_sym_closedir] = ACTIONS(1781),
    [anon_sym_caller] = ACTIONS(1781),
    [anon_sym_chomp] = ACTIONS(1781),
    [anon_sym_chr] = ACTIONS(1781),
    [anon_sym_cos] = ACTIONS(1781),
    [anon_sym_chroot] = ACTIONS(1781),
    [anon_sym_defined] = ACTIONS(1781),
    [anon_sym_delete] = ACTIONS(1781),
    [anon_sym_dbmclose] = ACTIONS(1781),
    [anon_sym_exists] = ACTIONS(1781),
    [anon_sym_exit] = ACTIONS(1781),
    [anon_sym_eof] = ACTIONS(1781),
    [anon_sym_exp] = ACTIONS(1781),
    [anon_sym_each] = ACTIONS(1781),
    [anon_sym_fc] = ACTIONS(1781),
    [anon_sym_fileno] = ACTIONS(1781),
    [anon_sym_gmtime] = ACTIONS(1781),
    [anon_sym_getc] = ACTIONS(1781),
    [anon_sym_getpgrp] = ACTIONS(1781),
    [anon_sym_getprotobyname] = ACTIONS(1781),
    [anon_sym_getpwname] = ACTIONS(1781),
    [anon_sym_getpwuid] = ACTIONS(1781),
    [anon_sym_getpeername] = ACTIONS(1781),
    [anon_sym_getnetbyname] = ACTIONS(1781),
    [anon_sym_getsockname] = ACTIONS(1781),
    [anon_sym_getgrnam] = ACTIONS(1781),
    [anon_sym_getgrgid] = ACTIONS(1781),
    [anon_sym_hex] = ACTIONS(1781),
    [anon_sym_int] = ACTIONS(1781),
    [anon_sym_keys] = ACTIONS(1781),
    [anon_sym_lc] = ACTIONS(1781),
    [anon_sym_lcfirst] = ACTIONS(1781),
    [anon_sym_length] = ACTIONS(1781),
    [anon_sym_localtime] = ACTIONS(1781),
    [anon_sym_log] = ACTIONS(1781),
    [anon_sym_lock] = ACTIONS(1781),
    [anon_sym_lstat] = ACTIONS(1781),
    [anon_sym_oct] = ACTIONS(1781),
    [anon_sym_ord] = ACTIONS(1781),
    [anon_sym_prototype] = ACTIONS(1781),
    [anon_sym_pop] = ACTIONS(1781),
    [anon_sym_pos] = ACTIONS(1781),
    [anon_sym_quotemeta] = ACTIONS(1781),
    [anon_sym_reset] = ACTIONS(1781),
    [anon_sym_rand] = ACTIONS(1781),
    [anon_sym_rmdir] = ACTIONS(1781),
    [anon_sym_readdir] = ACTIONS(1781),
    [anon_sym_readline] = ACTIONS(1781),
    [anon_sym_readpipe] = ACTIONS(1781),
    [anon_sym_rewinddir] = ACTIONS(1781),
    [anon_sym_readlink] = ACTIONS(1781),
    [anon_sym_ref] = ACTIONS(1781),
    [anon_sym_scalar] = ACTIONS(1781),
    [anon_sym_shift] = ACTIONS(1781),
    [anon_sym_sin] = ACTIONS(1781),
    [anon_sym_sleep] = ACTIONS(1781),
    [anon_sym_sqrt] = ACTIONS(1781),
    [anon_sym_srand] = ACTIONS(1781),
    [anon_sym_stat] = ACTIONS(1781),
    [anon_sym_study] = ACTIONS(1781),
    [anon_sym_tell] = ACTIONS(1781),
    [anon_sym_telldir] = ACTIONS(1781),
    [anon_sym_tied] = ACTIONS(1781),
    [anon_sym_uc] = ACTIONS(1781),
    [anon_sym_ucfirst] = ACTIONS(1781),
    [anon_sym_untie] = ACTIONS(1781),
    [anon_sym_umask] = ACTIONS(1781),
    [anon_sym_values] = ACTIONS(1781),
    [anon_sym_write] = ACTIONS(1781),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1781),
    [anon_sym___END__] = ACTIONS(1781),
    [anon_sym_EOT] = ACTIONS(1781),
    [anon_sym_q] = ACTIONS(1781),
    [anon_sym_qq] = ACTIONS(1781),
    [anon_sym_qw] = ACTIONS(1781),
    [anon_sym_qx] = ACTIONS(1781),
    [anon_sym_qr] = ACTIONS(1781),
    [anon_sym_m] = ACTIONS(1781),
    [anon_sym_s] = ACTIONS(1781),
    [anon_sym_tr] = ACTIONS(1781),
    [anon_sym_y] = ACTIONS(1781),
    [anon_sym_if] = ACTIONS(1781),
    [anon_sym_unless] = ACTIONS(1781),
    [anon_sym_while] = ACTIONS(1781),
    [anon_sym_until] = ACTIONS(1781),
    [aux_sym__bareword_token1] = ACTIONS(1781),
    [sym_number] = ACTIONS(1781),
    [anon_sym_true] = ACTIONS(1781),
    [anon_sym_false] = ACTIONS(1781),
    [sym__single_quote] = ACTIONS(1783),
    [sym__double_quote] = ACTIONS(1783),
    [sym__backtick_quote] = ACTIONS(1783),
    [sym__search_slash_quote] = ACTIONS(1783),
    [sym__PERLY_HEREDOC] = ACTIONS(1783),
    [sym__ctrl_z_hack] = ACTIONS(1783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1783),
    [sym__filetest] = ACTIONS(1783),
  },
  [867] = {
    [sym_heredoc_content] = STATE(867),
    [ts_builtin_sym_end] = ACTIONS(2134),
    [sym__identifier] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2136),
    [anon_sym_SEMI] = ACTIONS(2136),
    [anon_sym_package] = ACTIONS(2136),
    [anon_sym_class] = ACTIONS(2136),
    [anon_sym_role] = ACTIONS(2136),
    [anon_sym_BUILD] = ACTIONS(2136),
    [anon_sym_ADJUST] = ACTIONS(2136),
    [anon_sym_DOLLAR] = ACTIONS(2136),
    [anon_sym_AT] = ACTIONS(2136),
    [anon_sym_my] = ACTIONS(2136),
    [anon_sym_extended] = ACTIONS(2136),
    [anon_sym_async] = ACTIONS(2136),
    [anon_sym_sub] = ACTIONS(2136),
    [anon_sym_method] = ACTIONS(2136),
    [anon_sym_LPAREN] = ACTIONS(2136),
    [anon_sym_continue] = ACTIONS(2136),
    [anon_sym_state] = ACTIONS(2136),
    [anon_sym_our] = ACTIONS(2136),
    [anon_sym_try] = ACTIONS(2136),
    [anon_sym_defer] = ACTIONS(2136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2136),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_SLASH_SLASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_TILDE] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_BSLASH] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(2136),
    [anon_sym_eval] = ACTIONS(2136),
    [anon_sym_await] = ACTIONS(2136),
    [anon_sym_field] = ACTIONS(2136),
    [anon_sym_local] = ACTIONS(2136),
    [anon_sym_dynamically] = ACTIONS(2136),
    [anon_sym_require] = ACTIONS(2136),
    [anon_sym_map] = ACTIONS(2136),
    [anon_sym_grep] = ACTIONS(2136),
    [anon_sym_sort] = ACTIONS(2136),
    [anon_sym_goto] = ACTIONS(2136),
    [anon_sym_return] = ACTIONS(2136),
    [anon_sym_undef] = ACTIONS(2136),
    [anon_sym_PERCENT2] = ACTIONS(2136),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2136),
    [anon_sym_use] = ACTIONS(2136),
    [anon_sym_no] = ACTIONS(2136),
    [anon_sym_for] = ACTIONS(2136),
    [anon_sym_foreach] = ACTIONS(2136),
    [anon_sym_last] = ACTIONS(2136),
    [anon_sym_next] = ACTIONS(2136),
    [anon_sym_redo] = ACTIONS(2136),
    [anon_sym_BEGIN] = ACTIONS(2136),
    [anon_sym_INIT] = ACTIONS(2136),
    [anon_sym_CHECK] = ACTIONS(2136),
    [anon_sym_UNITCHECK] = ACTIONS(2136),
    [anon_sym_END] = ACTIONS(2136),
    [anon_sym___FILE__] = ACTIONS(2136),
    [anon_sym___LINE__] = ACTIONS(2136),
    [anon_sym___PACKAGE__] = ACTIONS(2136),
    [anon_sym___SUB__] = ACTIONS(2136),
    [anon_sym_break] = ACTIONS(2136),
    [anon_sym_fork] = ACTIONS(2136),
    [anon_sym_getppid] = ACTIONS(2136),
    [anon_sym_time] = ACTIONS(2136),
    [anon_sym_times] = ACTIONS(2136),
    [anon_sym_wait] = ACTIONS(2136),
    [anon_sym_wantarray] = ACTIONS(2136),
    [anon_sym_abs] = ACTIONS(2136),
    [anon_sym_alarm] = ACTIONS(2136),
    [anon_sym_chop] = ACTIONS(2136),
    [anon_sym_chdir] = ACTIONS(2136),
    [anon_sym_close] = ACTIONS(2136),
    [anon_sym_closedir] = ACTIONS(2136),
    [anon_sym_caller] = ACTIONS(2136),
    [anon_sym_chomp] = ACTIONS(2136),
    [anon_sym_chr] = ACTIONS(2136),
    [anon_sym_cos] = ACTIONS(2136),
    [anon_sym_chroot] = ACTIONS(2136),
    [anon_sym_defined] = ACTIONS(2136),
    [anon_sym_delete] = ACTIONS(2136),
    [anon_sym_dbmclose] = ACTIONS(2136),
    [anon_sym_exists] = ACTIONS(2136),
    [anon_sym_exit] = ACTIONS(2136),
    [anon_sym_eof] = ACTIONS(2136),
    [anon_sym_exp] = ACTIONS(2136),
    [anon_sym_each] = ACTIONS(2136),
    [anon_sym_fc] = ACTIONS(2136),
    [anon_sym_fileno] = ACTIONS(2136),
    [anon_sym_gmtime] = ACTIONS(2136),
    [anon_sym_getc] = ACTIONS(2136),
    [anon_sym_getpgrp] = ACTIONS(2136),
    [anon_sym_getprotobyname] = ACTIONS(2136),
    [anon_sym_getpwname] = ACTIONS(2136),
    [anon_sym_getpwuid] = ACTIONS(2136),
    [anon_sym_getpeername] = ACTIONS(2136),
    [anon_sym_getnetbyname] = ACTIONS(2136),
    [anon_sym_getsockname] = ACTIONS(2136),
    [anon_sym_getgrnam] = ACTIONS(2136),
    [anon_sym_getgrgid] = ACTIONS(2136),
    [anon_sym_hex] = ACTIONS(2136),
    [anon_sym_int] = ACTIONS(2136),
    [anon_sym_keys] = ACTIONS(2136),
    [anon_sym_lc] = ACTIONS(2136),
    [anon_sym_lcfirst] = ACTIONS(2136),
    [anon_sym_length] = ACTIONS(2136),
    [anon_sym_localtime] = ACTIONS(2136),
    [anon_sym_log] = ACTIONS(2136),
    [anon_sym_lock] = ACTIONS(2136),
    [anon_sym_lstat] = ACTIONS(2136),
    [anon_sym_oct] = ACTIONS(2136),
    [anon_sym_ord] = ACTIONS(2136),
    [anon_sym_prototype] = ACTIONS(2136),
    [anon_sym_pop] = ACTIONS(2136),
    [anon_sym_pos] = ACTIONS(2136),
    [anon_sym_quotemeta] = ACTIONS(2136),
    [anon_sym_reset] = ACTIONS(2136),
    [anon_sym_rand] = ACTIONS(2136),
    [anon_sym_rmdir] = ACTIONS(2136),
    [anon_sym_readdir] = ACTIONS(2136),
    [anon_sym_readline] = ACTIONS(2136),
    [anon_sym_readpipe] = ACTIONS(2136),
    [anon_sym_rewinddir] = ACTIONS(2136),
    [anon_sym_readlink] = ACTIONS(2136),
    [anon_sym_ref] = ACTIONS(2136),
    [anon_sym_scalar] = ACTIONS(2136),
    [anon_sym_shift] = ACTIONS(2136),
    [anon_sym_sin] = ACTIONS(2136),
    [anon_sym_sleep] = ACTIONS(2136),
    [anon_sym_sqrt] = ACTIONS(2136),
    [anon_sym_srand] = ACTIONS(2136),
    [anon_sym_stat] = ACTIONS(2136),
    [anon_sym_study] = ACTIONS(2136),
    [anon_sym_tell] = ACTIONS(2136),
    [anon_sym_telldir] = ACTIONS(2136),
    [anon_sym_tied] = ACTIONS(2136),
    [anon_sym_uc] = ACTIONS(2136),
    [anon_sym_ucfirst] = ACTIONS(2136),
    [anon_sym_untie] = ACTIONS(2136),
    [anon_sym_umask] = ACTIONS(2136),
    [anon_sym_values] = ACTIONS(2136),
    [anon_sym_write] = ACTIONS(2136),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2136),
    [anon_sym___END__] = ACTIONS(2136),
    [anon_sym_EOT] = ACTIONS(2136),
    [anon_sym_q] = ACTIONS(2136),
    [anon_sym_qq] = ACTIONS(2136),
    [anon_sym_qw] = ACTIONS(2136),
    [anon_sym_qx] = ACTIONS(2136),
    [anon_sym_qr] = ACTIONS(2136),
    [anon_sym_m] = ACTIONS(2136),
    [anon_sym_s] = ACTIONS(2136),
    [anon_sym_tr] = ACTIONS(2136),
    [anon_sym_y] = ACTIONS(2136),
    [anon_sym_if] = ACTIONS(2136),
    [anon_sym_unless] = ACTIONS(2136),
    [anon_sym_while] = ACTIONS(2136),
    [anon_sym_until] = ACTIONS(2136),
    [aux_sym__bareword_token1] = ACTIONS(2136),
    [sym_number] = ACTIONS(2136),
    [anon_sym_true] = ACTIONS(2136),
    [anon_sym_false] = ACTIONS(2136),
    [sym__single_quote] = ACTIONS(2134),
    [sym__double_quote] = ACTIONS(2134),
    [sym__backtick_quote] = ACTIONS(2134),
    [sym__search_slash_quote] = ACTIONS(2134),
    [sym__PERLY_HEREDOC] = ACTIONS(2134),
    [sym__ctrl_z_hack] = ACTIONS(2134),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2134),
    [sym__filetest] = ACTIONS(2134),
  },
  [868] = {
    [sym_heredoc_content] = STATE(868),
    [ts_builtin_sym_end] = ACTIONS(2138),
    [sym__identifier] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_package] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_role] = ACTIONS(2140),
    [anon_sym_BUILD] = ACTIONS(2140),
    [anon_sym_ADJUST] = ACTIONS(2140),
    [anon_sym_DOLLAR] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_my] = ACTIONS(2140),
    [anon_sym_extended] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_sub] = ACTIONS(2140),
    [anon_sym_method] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_state] = ACTIONS(2140),
    [anon_sym_our] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_defer] = ACTIONS(2140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_LT_LT] = ACTIONS(2140),
    [anon_sym_SLASH_SLASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_BSLASH] = ACTIONS(2138),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_eval] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_field] = ACTIONS(2140),
    [anon_sym_local] = ACTIONS(2140),
    [anon_sym_dynamically] = ACTIONS(2140),
    [anon_sym_require] = ACTIONS(2140),
    [anon_sym_map] = ACTIONS(2140),
    [anon_sym_grep] = ACTIONS(2140),
    [anon_sym_sort] = ACTIONS(2140),
    [anon_sym_goto] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_undef] = ACTIONS(2140),
    [anon_sym_PERCENT2] = ACTIONS(2140),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2140),
    [anon_sym_use] = ACTIONS(2140),
    [anon_sym_no] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_foreach] = ACTIONS(2140),
    [anon_sym_last] = ACTIONS(2140),
    [anon_sym_next] = ACTIONS(2140),
    [anon_sym_redo] = ACTIONS(2140),
    [anon_sym_BEGIN] = ACTIONS(2140),
    [anon_sym_INIT] = ACTIONS(2140),
    [anon_sym_CHECK] = ACTIONS(2140),
    [anon_sym_UNITCHECK] = ACTIONS(2140),
    [anon_sym_END] = ACTIONS(2140),
    [anon_sym___FILE__] = ACTIONS(2140),
    [anon_sym___LINE__] = ACTIONS(2140),
    [anon_sym___PACKAGE__] = ACTIONS(2140),
    [anon_sym___SUB__] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_fork] = ACTIONS(2140),
    [anon_sym_getppid] = ACTIONS(2140),
    [anon_sym_time] = ACTIONS(2140),
    [anon_sym_times] = ACTIONS(2140),
    [anon_sym_wait] = ACTIONS(2140),
    [anon_sym_wantarray] = ACTIONS(2140),
    [anon_sym_abs] = ACTIONS(2140),
    [anon_sym_alarm] = ACTIONS(2140),
    [anon_sym_chop] = ACTIONS(2140),
    [anon_sym_chdir] = ACTIONS(2140),
    [anon_sym_close] = ACTIONS(2140),
    [anon_sym_closedir] = ACTIONS(2140),
    [anon_sym_caller] = ACTIONS(2140),
    [anon_sym_chomp] = ACTIONS(2140),
    [anon_sym_chr] = ACTIONS(2140),
    [anon_sym_cos] = ACTIONS(2140),
    [anon_sym_chroot] = ACTIONS(2140),
    [anon_sym_defined] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_dbmclose] = ACTIONS(2140),
    [anon_sym_exists] = ACTIONS(2140),
    [anon_sym_exit] = ACTIONS(2140),
    [anon_sym_eof] = ACTIONS(2140),
    [anon_sym_exp] = ACTIONS(2140),
    [anon_sym_each] = ACTIONS(2140),
    [anon_sym_fc] = ACTIONS(2140),
    [anon_sym_fileno] = ACTIONS(2140),
    [anon_sym_gmtime] = ACTIONS(2140),
    [anon_sym_getc] = ACTIONS(2140),
    [anon_sym_getpgrp] = ACTIONS(2140),
    [anon_sym_getprotobyname] = ACTIONS(2140),
    [anon_sym_getpwname] = ACTIONS(2140),
    [anon_sym_getpwuid] = ACTIONS(2140),
    [anon_sym_getpeername] = ACTIONS(2140),
    [anon_sym_getnetbyname] = ACTIONS(2140),
    [anon_sym_getsockname] = ACTIONS(2140),
    [anon_sym_getgrnam] = ACTIONS(2140),
    [anon_sym_getgrgid] = ACTIONS(2140),
    [anon_sym_hex] = ACTIONS(2140),
    [anon_sym_int] = ACTIONS(2140),
    [anon_sym_keys] = ACTIONS(2140),
    [anon_sym_lc] = ACTIONS(2140),
    [anon_sym_lcfirst] = ACTIONS(2140),
    [anon_sym_length] = ACTIONS(2140),
    [anon_sym_localtime] = ACTIONS(2140),
    [anon_sym_log] = ACTIONS(2140),
    [anon_sym_lock] = ACTIONS(2140),
    [anon_sym_lstat] = ACTIONS(2140),
    [anon_sym_oct] = ACTIONS(2140),
    [anon_sym_ord] = ACTIONS(2140),
    [anon_sym_prototype] = ACTIONS(2140),
    [anon_sym_pop] = ACTIONS(2140),
    [anon_sym_pos] = ACTIONS(2140),
    [anon_sym_quotemeta] = ACTIONS(2140),
    [anon_sym_reset] = ACTIONS(2140),
    [anon_sym_rand] = ACTIONS(2140),
    [anon_sym_rmdir] = ACTIONS(2140),
    [anon_sym_readdir] = ACTIONS(2140),
    [anon_sym_readline] = ACTIONS(2140),
    [anon_sym_readpipe] = ACTIONS(2140),
    [anon_sym_rewinddir] = ACTIONS(2140),
    [anon_sym_readlink] = ACTIONS(2140),
    [anon_sym_ref] = ACTIONS(2140),
    [anon_sym_scalar] = ACTIONS(2140),
    [anon_sym_shift] = ACTIONS(2140),
    [anon_sym_sin] = ACTIONS(2140),
    [anon_sym_sleep] = ACTIONS(2140),
    [anon_sym_sqrt] = ACTIONS(2140),
    [anon_sym_srand] = ACTIONS(2140),
    [anon_sym_stat] = ACTIONS(2140),
    [anon_sym_study] = ACTIONS(2140),
    [anon_sym_tell] = ACTIONS(2140),
    [anon_sym_telldir] = ACTIONS(2140),
    [anon_sym_tied] = ACTIONS(2140),
    [anon_sym_uc] = ACTIONS(2140),
    [anon_sym_ucfirst] = ACTIONS(2140),
    [anon_sym_untie] = ACTIONS(2140),
    [anon_sym_umask] = ACTIONS(2140),
    [anon_sym_values] = ACTIONS(2140),
    [anon_sym_write] = ACTIONS(2140),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2140),
    [anon_sym___END__] = ACTIONS(2140),
    [anon_sym_EOT] = ACTIONS(2140),
    [anon_sym_q] = ACTIONS(2140),
    [anon_sym_qq] = ACTIONS(2140),
    [anon_sym_qw] = ACTIONS(2140),
    [anon_sym_qx] = ACTIONS(2140),
    [anon_sym_qr] = ACTIONS(2140),
    [anon_sym_m] = ACTIONS(2140),
    [anon_sym_s] = ACTIONS(2140),
    [anon_sym_tr] = ACTIONS(2140),
    [anon_sym_y] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_unless] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_until] = ACTIONS(2140),
    [aux_sym__bareword_token1] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [anon_sym_true] = ACTIONS(2140),
    [anon_sym_false] = ACTIONS(2140),
    [sym__single_quote] = ACTIONS(2138),
    [sym__double_quote] = ACTIONS(2138),
    [sym__backtick_quote] = ACTIONS(2138),
    [sym__search_slash_quote] = ACTIONS(2138),
    [sym__PERLY_HEREDOC] = ACTIONS(2138),
    [sym__ctrl_z_hack] = ACTIONS(2138),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2138),
    [sym__filetest] = ACTIONS(2138),
  },
  [869] = {
    [sym_heredoc_content] = STATE(869),
    [ts_builtin_sym_end] = ACTIONS(2142),
    [sym__identifier] = ACTIONS(2144),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_SEMI] = ACTIONS(2144),
    [anon_sym_package] = ACTIONS(2144),
    [anon_sym_class] = ACTIONS(2144),
    [anon_sym_role] = ACTIONS(2144),
    [anon_sym_BUILD] = ACTIONS(2144),
    [anon_sym_ADJUST] = ACTIONS(2144),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [anon_sym_AT] = ACTIONS(2144),
    [anon_sym_my] = ACTIONS(2144),
    [anon_sym_extended] = ACTIONS(2144),
    [anon_sym_async] = ACTIONS(2144),
    [anon_sym_sub] = ACTIONS(2144),
    [anon_sym_method] = ACTIONS(2144),
    [anon_sym_LPAREN] = ACTIONS(2144),
    [anon_sym_continue] = ACTIONS(2144),
    [anon_sym_state] = ACTIONS(2144),
    [anon_sym_our] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2144),
    [anon_sym_defer] = ACTIONS(2144),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2144),
    [anon_sym_LT] = ACTIONS(2144),
    [anon_sym_LT_LT] = ACTIONS(2144),
    [anon_sym_SLASH_SLASH] = ACTIONS(2144),
    [anon_sym_PLUS] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2144),
    [anon_sym_STAR] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_PLUS_PLUS] = ACTIONS(2144),
    [anon_sym_DASH_DASH] = ACTIONS(2144),
    [anon_sym_BSLASH] = ACTIONS(2142),
    [anon_sym_do] = ACTIONS(2144),
    [anon_sym_eval] = ACTIONS(2144),
    [anon_sym_await] = ACTIONS(2144),
    [anon_sym_field] = ACTIONS(2144),
    [anon_sym_local] = ACTIONS(2144),
    [anon_sym_dynamically] = ACTIONS(2144),
    [anon_sym_require] = ACTIONS(2144),
    [anon_sym_map] = ACTIONS(2144),
    [anon_sym_grep] = ACTIONS(2144),
    [anon_sym_sort] = ACTIONS(2144),
    [anon_sym_goto] = ACTIONS(2144),
    [anon_sym_return] = ACTIONS(2144),
    [anon_sym_undef] = ACTIONS(2144),
    [anon_sym_PERCENT2] = ACTIONS(2144),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2144),
    [anon_sym_use] = ACTIONS(2144),
    [anon_sym_no] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_foreach] = ACTIONS(2144),
    [anon_sym_last] = ACTIONS(2144),
    [anon_sym_next] = ACTIONS(2144),
    [anon_sym_redo] = ACTIONS(2144),
    [anon_sym_BEGIN] = ACTIONS(2144),
    [anon_sym_INIT] = ACTIONS(2144),
    [anon_sym_CHECK] = ACTIONS(2144),
    [anon_sym_UNITCHECK] = ACTIONS(2144),
    [anon_sym_END] = ACTIONS(2144),
    [anon_sym___FILE__] = ACTIONS(2144),
    [anon_sym___LINE__] = ACTIONS(2144),
    [anon_sym___PACKAGE__] = ACTIONS(2144),
    [anon_sym___SUB__] = ACTIONS(2144),
    [anon_sym_break] = ACTIONS(2144),
    [anon_sym_fork] = ACTIONS(2144),
    [anon_sym_getppid] = ACTIONS(2144),
    [anon_sym_time] = ACTIONS(2144),
    [anon_sym_times] = ACTIONS(2144),
    [anon_sym_wait] = ACTIONS(2144),
    [anon_sym_wantarray] = ACTIONS(2144),
    [anon_sym_abs] = ACTIONS(2144),
    [anon_sym_alarm] = ACTIONS(2144),
    [anon_sym_chop] = ACTIONS(2144),
    [anon_sym_chdir] = ACTIONS(2144),
    [anon_sym_close] = ACTIONS(2144),
    [anon_sym_closedir] = ACTIONS(2144),
    [anon_sym_caller] = ACTIONS(2144),
    [anon_sym_chomp] = ACTIONS(2144),
    [anon_sym_chr] = ACTIONS(2144),
    [anon_sym_cos] = ACTIONS(2144),
    [anon_sym_chroot] = ACTIONS(2144),
    [anon_sym_defined] = ACTIONS(2144),
    [anon_sym_delete] = ACTIONS(2144),
    [anon_sym_dbmclose] = ACTIONS(2144),
    [anon_sym_exists] = ACTIONS(2144),
    [anon_sym_exit] = ACTIONS(2144),
    [anon_sym_eof] = ACTIONS(2144),
    [anon_sym_exp] = ACTIONS(2144),
    [anon_sym_each] = ACTIONS(2144),
    [anon_sym_fc] = ACTIONS(2144),
    [anon_sym_fileno] = ACTIONS(2144),
    [anon_sym_gmtime] = ACTIONS(2144),
    [anon_sym_getc] = ACTIONS(2144),
    [anon_sym_getpgrp] = ACTIONS(2144),
    [anon_sym_getprotobyname] = ACTIONS(2144),
    [anon_sym_getpwname] = ACTIONS(2144),
    [anon_sym_getpwuid] = ACTIONS(2144),
    [anon_sym_getpeername] = ACTIONS(2144),
    [anon_sym_getnetbyname] = ACTIONS(2144),
    [anon_sym_getsockname] = ACTIONS(2144),
    [anon_sym_getgrnam] = ACTIONS(2144),
    [anon_sym_getgrgid] = ACTIONS(2144),
    [anon_sym_hex] = ACTIONS(2144),
    [anon_sym_int] = ACTIONS(2144),
    [anon_sym_keys] = ACTIONS(2144),
    [anon_sym_lc] = ACTIONS(2144),
    [anon_sym_lcfirst] = ACTIONS(2144),
    [anon_sym_length] = ACTIONS(2144),
    [anon_sym_localtime] = ACTIONS(2144),
    [anon_sym_log] = ACTIONS(2144),
    [anon_sym_lock] = ACTIONS(2144),
    [anon_sym_lstat] = ACTIONS(2144),
    [anon_sym_oct] = ACTIONS(2144),
    [anon_sym_ord] = ACTIONS(2144),
    [anon_sym_prototype] = ACTIONS(2144),
    [anon_sym_pop] = ACTIONS(2144),
    [anon_sym_pos] = ACTIONS(2144),
    [anon_sym_quotemeta] = ACTIONS(2144),
    [anon_sym_reset] = ACTIONS(2144),
    [anon_sym_rand] = ACTIONS(2144),
    [anon_sym_rmdir] = ACTIONS(2144),
    [anon_sym_readdir] = ACTIONS(2144),
    [anon_sym_readline] = ACTIONS(2144),
    [anon_sym_readpipe] = ACTIONS(2144),
    [anon_sym_rewinddir] = ACTIONS(2144),
    [anon_sym_readlink] = ACTIONS(2144),
    [anon_sym_ref] = ACTIONS(2144),
    [anon_sym_scalar] = ACTIONS(2144),
    [anon_sym_shift] = ACTIONS(2144),
    [anon_sym_sin] = ACTIONS(2144),
    [anon_sym_sleep] = ACTIONS(2144),
    [anon_sym_sqrt] = ACTIONS(2144),
    [anon_sym_srand] = ACTIONS(2144),
    [anon_sym_stat] = ACTIONS(2144),
    [anon_sym_study] = ACTIONS(2144),
    [anon_sym_tell] = ACTIONS(2144),
    [anon_sym_telldir] = ACTIONS(2144),
    [anon_sym_tied] = ACTIONS(2144),
    [anon_sym_uc] = ACTIONS(2144),
    [anon_sym_ucfirst] = ACTIONS(2144),
    [anon_sym_untie] = ACTIONS(2144),
    [anon_sym_umask] = ACTIONS(2144),
    [anon_sym_values] = ACTIONS(2144),
    [anon_sym_write] = ACTIONS(2144),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2144),
    [anon_sym___END__] = ACTIONS(2144),
    [anon_sym_EOT] = ACTIONS(2144),
    [anon_sym_q] = ACTIONS(2144),
    [anon_sym_qq] = ACTIONS(2144),
    [anon_sym_qw] = ACTIONS(2144),
    [anon_sym_qx] = ACTIONS(2144),
    [anon_sym_qr] = ACTIONS(2144),
    [anon_sym_m] = ACTIONS(2144),
    [anon_sym_s] = ACTIONS(2144),
    [anon_sym_tr] = ACTIONS(2144),
    [anon_sym_y] = ACTIONS(2144),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_unless] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_until] = ACTIONS(2144),
    [aux_sym__bareword_token1] = ACTIONS(2144),
    [sym_number] = ACTIONS(2144),
    [anon_sym_true] = ACTIONS(2144),
    [anon_sym_false] = ACTIONS(2144),
    [sym__single_quote] = ACTIONS(2142),
    [sym__double_quote] = ACTIONS(2142),
    [sym__backtick_quote] = ACTIONS(2142),
    [sym__search_slash_quote] = ACTIONS(2142),
    [sym__PERLY_HEREDOC] = ACTIONS(2142),
    [sym__ctrl_z_hack] = ACTIONS(2142),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2142),
    [sym__filetest] = ACTIONS(2142),
  },
  [870] = {
    [sym_heredoc_content] = STATE(870),
    [ts_builtin_sym_end] = ACTIONS(2146),
    [sym__identifier] = ACTIONS(2148),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_SEMI] = ACTIONS(2148),
    [anon_sym_package] = ACTIONS(2148),
    [anon_sym_class] = ACTIONS(2148),
    [anon_sym_role] = ACTIONS(2148),
    [anon_sym_BUILD] = ACTIONS(2148),
    [anon_sym_ADJUST] = ACTIONS(2148),
    [anon_sym_DOLLAR] = ACTIONS(2148),
    [anon_sym_AT] = ACTIONS(2148),
    [anon_sym_my] = ACTIONS(2148),
    [anon_sym_extended] = ACTIONS(2148),
    [anon_sym_async] = ACTIONS(2148),
    [anon_sym_sub] = ACTIONS(2148),
    [anon_sym_method] = ACTIONS(2148),
    [anon_sym_LPAREN] = ACTIONS(2148),
    [anon_sym_continue] = ACTIONS(2148),
    [anon_sym_state] = ACTIONS(2148),
    [anon_sym_our] = ACTIONS(2148),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_defer] = ACTIONS(2148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2148),
    [anon_sym_LT] = ACTIONS(2148),
    [anon_sym_LT_LT] = ACTIONS(2148),
    [anon_sym_SLASH_SLASH] = ACTIONS(2148),
    [anon_sym_PLUS] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2148),
    [anon_sym_STAR] = ACTIONS(2148),
    [anon_sym_TILDE] = ACTIONS(2148),
    [anon_sym_BANG] = ACTIONS(2148),
    [anon_sym_PLUS_PLUS] = ACTIONS(2148),
    [anon_sym_DASH_DASH] = ACTIONS(2148),
    [anon_sym_BSLASH] = ACTIONS(2146),
    [anon_sym_do] = ACTIONS(2148),
    [anon_sym_eval] = ACTIONS(2148),
    [anon_sym_await] = ACTIONS(2148),
    [anon_sym_field] = ACTIONS(2148),
    [anon_sym_local] = ACTIONS(2148),
    [anon_sym_dynamically] = ACTIONS(2148),
    [anon_sym_require] = ACTIONS(2148),
    [anon_sym_map] = ACTIONS(2148),
    [anon_sym_grep] = ACTIONS(2148),
    [anon_sym_sort] = ACTIONS(2148),
    [anon_sym_goto] = ACTIONS(2148),
    [anon_sym_return] = ACTIONS(2148),
    [anon_sym_undef] = ACTIONS(2148),
    [anon_sym_PERCENT2] = ACTIONS(2148),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2148),
    [anon_sym_use] = ACTIONS(2148),
    [anon_sym_no] = ACTIONS(2148),
    [anon_sym_for] = ACTIONS(2148),
    [anon_sym_foreach] = ACTIONS(2148),
    [anon_sym_last] = ACTIONS(2148),
    [anon_sym_next] = ACTIONS(2148),
    [anon_sym_redo] = ACTIONS(2148),
    [anon_sym_BEGIN] = ACTIONS(2148),
    [anon_sym_INIT] = ACTIONS(2148),
    [anon_sym_CHECK] = ACTIONS(2148),
    [anon_sym_UNITCHECK] = ACTIONS(2148),
    [anon_sym_END] = ACTIONS(2148),
    [anon_sym___FILE__] = ACTIONS(2148),
    [anon_sym___LINE__] = ACTIONS(2148),
    [anon_sym___PACKAGE__] = ACTIONS(2148),
    [anon_sym___SUB__] = ACTIONS(2148),
    [anon_sym_break] = ACTIONS(2148),
    [anon_sym_fork] = ACTIONS(2148),
    [anon_sym_getppid] = ACTIONS(2148),
    [anon_sym_time] = ACTIONS(2148),
    [anon_sym_times] = ACTIONS(2148),
    [anon_sym_wait] = ACTIONS(2148),
    [anon_sym_wantarray] = ACTIONS(2148),
    [anon_sym_abs] = ACTIONS(2148),
    [anon_sym_alarm] = ACTIONS(2148),
    [anon_sym_chop] = ACTIONS(2148),
    [anon_sym_chdir] = ACTIONS(2148),
    [anon_sym_close] = ACTIONS(2148),
    [anon_sym_closedir] = ACTIONS(2148),
    [anon_sym_caller] = ACTIONS(2148),
    [anon_sym_chomp] = ACTIONS(2148),
    [anon_sym_chr] = ACTIONS(2148),
    [anon_sym_cos] = ACTIONS(2148),
    [anon_sym_chroot] = ACTIONS(2148),
    [anon_sym_defined] = ACTIONS(2148),
    [anon_sym_delete] = ACTIONS(2148),
    [anon_sym_dbmclose] = ACTIONS(2148),
    [anon_sym_exists] = ACTIONS(2148),
    [anon_sym_exit] = ACTIONS(2148),
    [anon_sym_eof] = ACTIONS(2148),
    [anon_sym_exp] = ACTIONS(2148),
    [anon_sym_each] = ACTIONS(2148),
    [anon_sym_fc] = ACTIONS(2148),
    [anon_sym_fileno] = ACTIONS(2148),
    [anon_sym_gmtime] = ACTIONS(2148),
    [anon_sym_getc] = ACTIONS(2148),
    [anon_sym_getpgrp] = ACTIONS(2148),
    [anon_sym_getprotobyname] = ACTIONS(2148),
    [anon_sym_getpwname] = ACTIONS(2148),
    [anon_sym_getpwuid] = ACTIONS(2148),
    [anon_sym_getpeername] = ACTIONS(2148),
    [anon_sym_getnetbyname] = ACTIONS(2148),
    [anon_sym_getsockname] = ACTIONS(2148),
    [anon_sym_getgrnam] = ACTIONS(2148),
    [anon_sym_getgrgid] = ACTIONS(2148),
    [anon_sym_hex] = ACTIONS(2148),
    [anon_sym_int] = ACTIONS(2148),
    [anon_sym_keys] = ACTIONS(2148),
    [anon_sym_lc] = ACTIONS(2148),
    [anon_sym_lcfirst] = ACTIONS(2148),
    [anon_sym_length] = ACTIONS(2148),
    [anon_sym_localtime] = ACTIONS(2148),
    [anon_sym_log] = ACTIONS(2148),
    [anon_sym_lock] = ACTIONS(2148),
    [anon_sym_lstat] = ACTIONS(2148),
    [anon_sym_oct] = ACTIONS(2148),
    [anon_sym_ord] = ACTIONS(2148),
    [anon_sym_prototype] = ACTIONS(2148),
    [anon_sym_pop] = ACTIONS(2148),
    [anon_sym_pos] = ACTIONS(2148),
    [anon_sym_quotemeta] = ACTIONS(2148),
    [anon_sym_reset] = ACTIONS(2148),
    [anon_sym_rand] = ACTIONS(2148),
    [anon_sym_rmdir] = ACTIONS(2148),
    [anon_sym_readdir] = ACTIONS(2148),
    [anon_sym_readline] = ACTIONS(2148),
    [anon_sym_readpipe] = ACTIONS(2148),
    [anon_sym_rewinddir] = ACTIONS(2148),
    [anon_sym_readlink] = ACTIONS(2148),
    [anon_sym_ref] = ACTIONS(2148),
    [anon_sym_scalar] = ACTIONS(2148),
    [anon_sym_shift] = ACTIONS(2148),
    [anon_sym_sin] = ACTIONS(2148),
    [anon_sym_sleep] = ACTIONS(2148),
    [anon_sym_sqrt] = ACTIONS(2148),
    [anon_sym_srand] = ACTIONS(2148),
    [anon_sym_stat] = ACTIONS(2148),
    [anon_sym_study] = ACTIONS(2148),
    [anon_sym_tell] = ACTIONS(2148),
    [anon_sym_telldir] = ACTIONS(2148),
    [anon_sym_tied] = ACTIONS(2148),
    [anon_sym_uc] = ACTIONS(2148),
    [anon_sym_ucfirst] = ACTIONS(2148),
    [anon_sym_untie] = ACTIONS(2148),
    [anon_sym_umask] = ACTIONS(2148),
    [anon_sym_values] = ACTIONS(2148),
    [anon_sym_write] = ACTIONS(2148),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2148),
    [anon_sym___END__] = ACTIONS(2148),
    [anon_sym_EOT] = ACTIONS(2148),
    [anon_sym_q] = ACTIONS(2148),
    [anon_sym_qq] = ACTIONS(2148),
    [anon_sym_qw] = ACTIONS(2148),
    [anon_sym_qx] = ACTIONS(2148),
    [anon_sym_qr] = ACTIONS(2148),
    [anon_sym_m] = ACTIONS(2148),
    [anon_sym_s] = ACTIONS(2148),
    [anon_sym_tr] = ACTIONS(2148),
    [anon_sym_y] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(2148),
    [anon_sym_unless] = ACTIONS(2148),
    [anon_sym_while] = ACTIONS(2148),
    [anon_sym_until] = ACTIONS(2148),
    [aux_sym__bareword_token1] = ACTIONS(2148),
    [sym_number] = ACTIONS(2148),
    [anon_sym_true] = ACTIONS(2148),
    [anon_sym_false] = ACTIONS(2148),
    [sym__single_quote] = ACTIONS(2146),
    [sym__double_quote] = ACTIONS(2146),
    [sym__backtick_quote] = ACTIONS(2146),
    [sym__search_slash_quote] = ACTIONS(2146),
    [sym__PERLY_HEREDOC] = ACTIONS(2146),
    [sym__ctrl_z_hack] = ACTIONS(2146),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2146),
    [sym__filetest] = ACTIONS(2146),
  },
  [871] = {
    [sym_heredoc_content] = STATE(871),
    [ts_builtin_sym_end] = ACTIONS(2150),
    [sym__identifier] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_package] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_role] = ACTIONS(2152),
    [anon_sym_BUILD] = ACTIONS(2152),
    [anon_sym_ADJUST] = ACTIONS(2152),
    [anon_sym_DOLLAR] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_my] = ACTIONS(2152),
    [anon_sym_extended] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_sub] = ACTIONS(2152),
    [anon_sym_method] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_state] = ACTIONS(2152),
    [anon_sym_our] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_defer] = ACTIONS(2152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_LT_LT] = ACTIONS(2152),
    [anon_sym_SLASH_SLASH] = ACTIONS(2152),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_STAR] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [anon_sym_BSLASH] = ACTIONS(2150),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_eval] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_field] = ACTIONS(2152),
    [anon_sym_local] = ACTIONS(2152),
    [anon_sym_dynamically] = ACTIONS(2152),
    [anon_sym_require] = ACTIONS(2152),
    [anon_sym_map] = ACTIONS(2152),
    [anon_sym_grep] = ACTIONS(2152),
    [anon_sym_sort] = ACTIONS(2152),
    [anon_sym_goto] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_undef] = ACTIONS(2152),
    [anon_sym_PERCENT2] = ACTIONS(2152),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2152),
    [anon_sym_use] = ACTIONS(2152),
    [anon_sym_no] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_foreach] = ACTIONS(2152),
    [anon_sym_last] = ACTIONS(2152),
    [anon_sym_next] = ACTIONS(2152),
    [anon_sym_redo] = ACTIONS(2152),
    [anon_sym_BEGIN] = ACTIONS(2152),
    [anon_sym_INIT] = ACTIONS(2152),
    [anon_sym_CHECK] = ACTIONS(2152),
    [anon_sym_UNITCHECK] = ACTIONS(2152),
    [anon_sym_END] = ACTIONS(2152),
    [anon_sym___FILE__] = ACTIONS(2152),
    [anon_sym___LINE__] = ACTIONS(2152),
    [anon_sym___PACKAGE__] = ACTIONS(2152),
    [anon_sym___SUB__] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_fork] = ACTIONS(2152),
    [anon_sym_getppid] = ACTIONS(2152),
    [anon_sym_time] = ACTIONS(2152),
    [anon_sym_times] = ACTIONS(2152),
    [anon_sym_wait] = ACTIONS(2152),
    [anon_sym_wantarray] = ACTIONS(2152),
    [anon_sym_abs] = ACTIONS(2152),
    [anon_sym_alarm] = ACTIONS(2152),
    [anon_sym_chop] = ACTIONS(2152),
    [anon_sym_chdir] = ACTIONS(2152),
    [anon_sym_close] = ACTIONS(2152),
    [anon_sym_closedir] = ACTIONS(2152),
    [anon_sym_caller] = ACTIONS(2152),
    [anon_sym_chomp] = ACTIONS(2152),
    [anon_sym_chr] = ACTIONS(2152),
    [anon_sym_cos] = ACTIONS(2152),
    [anon_sym_chroot] = ACTIONS(2152),
    [anon_sym_defined] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_dbmclose] = ACTIONS(2152),
    [anon_sym_exists] = ACTIONS(2152),
    [anon_sym_exit] = ACTIONS(2152),
    [anon_sym_eof] = ACTIONS(2152),
    [anon_sym_exp] = ACTIONS(2152),
    [anon_sym_each] = ACTIONS(2152),
    [anon_sym_fc] = ACTIONS(2152),
    [anon_sym_fileno] = ACTIONS(2152),
    [anon_sym_gmtime] = ACTIONS(2152),
    [anon_sym_getc] = ACTIONS(2152),
    [anon_sym_getpgrp] = ACTIONS(2152),
    [anon_sym_getprotobyname] = ACTIONS(2152),
    [anon_sym_getpwname] = ACTIONS(2152),
    [anon_sym_getpwuid] = ACTIONS(2152),
    [anon_sym_getpeername] = ACTIONS(2152),
    [anon_sym_getnetbyname] = ACTIONS(2152),
    [anon_sym_getsockname] = ACTIONS(2152),
    [anon_sym_getgrnam] = ACTIONS(2152),
    [anon_sym_getgrgid] = ACTIONS(2152),
    [anon_sym_hex] = ACTIONS(2152),
    [anon_sym_int] = ACTIONS(2152),
    [anon_sym_keys] = ACTIONS(2152),
    [anon_sym_lc] = ACTIONS(2152),
    [anon_sym_lcfirst] = ACTIONS(2152),
    [anon_sym_length] = ACTIONS(2152),
    [anon_sym_localtime] = ACTIONS(2152),
    [anon_sym_log] = ACTIONS(2152),
    [anon_sym_lock] = ACTIONS(2152),
    [anon_sym_lstat] = ACTIONS(2152),
    [anon_sym_oct] = ACTIONS(2152),
    [anon_sym_ord] = ACTIONS(2152),
    [anon_sym_prototype] = ACTIONS(2152),
    [anon_sym_pop] = ACTIONS(2152),
    [anon_sym_pos] = ACTIONS(2152),
    [anon_sym_quotemeta] = ACTIONS(2152),
    [anon_sym_reset] = ACTIONS(2152),
    [anon_sym_rand] = ACTIONS(2152),
    [anon_sym_rmdir] = ACTIONS(2152),
    [anon_sym_readdir] = ACTIONS(2152),
    [anon_sym_readline] = ACTIONS(2152),
    [anon_sym_readpipe] = ACTIONS(2152),
    [anon_sym_rewinddir] = ACTIONS(2152),
    [anon_sym_readlink] = ACTIONS(2152),
    [anon_sym_ref] = ACTIONS(2152),
    [anon_sym_scalar] = ACTIONS(2152),
    [anon_sym_shift] = ACTIONS(2152),
    [anon_sym_sin] = ACTIONS(2152),
    [anon_sym_sleep] = ACTIONS(2152),
    [anon_sym_sqrt] = ACTIONS(2152),
    [anon_sym_srand] = ACTIONS(2152),
    [anon_sym_stat] = ACTIONS(2152),
    [anon_sym_study] = ACTIONS(2152),
    [anon_sym_tell] = ACTIONS(2152),
    [anon_sym_telldir] = ACTIONS(2152),
    [anon_sym_tied] = ACTIONS(2152),
    [anon_sym_uc] = ACTIONS(2152),
    [anon_sym_ucfirst] = ACTIONS(2152),
    [anon_sym_untie] = ACTIONS(2152),
    [anon_sym_umask] = ACTIONS(2152),
    [anon_sym_values] = ACTIONS(2152),
    [anon_sym_write] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2152),
    [anon_sym___END__] = ACTIONS(2152),
    [anon_sym_EOT] = ACTIONS(2152),
    [anon_sym_q] = ACTIONS(2152),
    [anon_sym_qq] = ACTIONS(2152),
    [anon_sym_qw] = ACTIONS(2152),
    [anon_sym_qx] = ACTIONS(2152),
    [anon_sym_qr] = ACTIONS(2152),
    [anon_sym_m] = ACTIONS(2152),
    [anon_sym_s] = ACTIONS(2152),
    [anon_sym_tr] = ACTIONS(2152),
    [anon_sym_y] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_unless] = ACTIONS(2152),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_until] = ACTIONS(2152),
    [aux_sym__bareword_token1] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [anon_sym_true] = ACTIONS(2152),
    [anon_sym_false] = ACTIONS(2152),
    [sym__single_quote] = ACTIONS(2150),
    [sym__double_quote] = ACTIONS(2150),
    [sym__backtick_quote] = ACTIONS(2150),
    [sym__search_slash_quote] = ACTIONS(2150),
    [sym__PERLY_HEREDOC] = ACTIONS(2150),
    [sym__ctrl_z_hack] = ACTIONS(2150),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2150),
    [sym__filetest] = ACTIONS(2150),
  },
  [872] = {
    [sym_heredoc_content] = STATE(872),
    [ts_builtin_sym_end] = ACTIONS(2154),
    [sym__identifier] = ACTIONS(2156),
    [anon_sym_LBRACE] = ACTIONS(2156),
    [anon_sym_SEMI] = ACTIONS(2156),
    [anon_sym_package] = ACTIONS(2156),
    [anon_sym_class] = ACTIONS(2156),
    [anon_sym_role] = ACTIONS(2156),
    [anon_sym_BUILD] = ACTIONS(2156),
    [anon_sym_ADJUST] = ACTIONS(2156),
    [anon_sym_DOLLAR] = ACTIONS(2156),
    [anon_sym_AT] = ACTIONS(2156),
    [anon_sym_my] = ACTIONS(2156),
    [anon_sym_extended] = ACTIONS(2156),
    [anon_sym_async] = ACTIONS(2156),
    [anon_sym_sub] = ACTIONS(2156),
    [anon_sym_method] = ACTIONS(2156),
    [anon_sym_LPAREN] = ACTIONS(2156),
    [anon_sym_continue] = ACTIONS(2158),
    [anon_sym_state] = ACTIONS(2156),
    [anon_sym_our] = ACTIONS(2156),
    [anon_sym_try] = ACTIONS(2156),
    [anon_sym_defer] = ACTIONS(2156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2156),
    [anon_sym_LBRACK] = ACTIONS(2156),
    [anon_sym_LT] = ACTIONS(2156),
    [anon_sym_LT_LT] = ACTIONS(2156),
    [anon_sym_SLASH_SLASH] = ACTIONS(2156),
    [anon_sym_PLUS] = ACTIONS(2156),
    [anon_sym_DASH] = ACTIONS(2156),
    [anon_sym_STAR] = ACTIONS(2156),
    [anon_sym_TILDE] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2156),
    [anon_sym_PLUS_PLUS] = ACTIONS(2156),
    [anon_sym_DASH_DASH] = ACTIONS(2156),
    [anon_sym_BSLASH] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(2156),
    [anon_sym_eval] = ACTIONS(2156),
    [anon_sym_await] = ACTIONS(2156),
    [anon_sym_field] = ACTIONS(2156),
    [anon_sym_local] = ACTIONS(2156),
    [anon_sym_dynamically] = ACTIONS(2156),
    [anon_sym_require] = ACTIONS(2156),
    [anon_sym_map] = ACTIONS(2156),
    [anon_sym_grep] = ACTIONS(2156),
    [anon_sym_sort] = ACTIONS(2156),
    [anon_sym_goto] = ACTIONS(2156),
    [anon_sym_return] = ACTIONS(2156),
    [anon_sym_undef] = ACTIONS(2156),
    [anon_sym_PERCENT2] = ACTIONS(2156),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2156),
    [anon_sym_use] = ACTIONS(2156),
    [anon_sym_no] = ACTIONS(2156),
    [anon_sym_for] = ACTIONS(2156),
    [anon_sym_foreach] = ACTIONS(2156),
    [anon_sym_last] = ACTIONS(2156),
    [anon_sym_next] = ACTIONS(2156),
    [anon_sym_redo] = ACTIONS(2156),
    [anon_sym_BEGIN] = ACTIONS(2156),
    [anon_sym_INIT] = ACTIONS(2156),
    [anon_sym_CHECK] = ACTIONS(2156),
    [anon_sym_UNITCHECK] = ACTIONS(2156),
    [anon_sym_END] = ACTIONS(2156),
    [anon_sym___FILE__] = ACTIONS(2156),
    [anon_sym___LINE__] = ACTIONS(2156),
    [anon_sym___PACKAGE__] = ACTIONS(2156),
    [anon_sym___SUB__] = ACTIONS(2156),
    [anon_sym_break] = ACTIONS(2156),
    [anon_sym_fork] = ACTIONS(2156),
    [anon_sym_getppid] = ACTIONS(2156),
    [anon_sym_time] = ACTIONS(2156),
    [anon_sym_times] = ACTIONS(2156),
    [anon_sym_wait] = ACTIONS(2156),
    [anon_sym_wantarray] = ACTIONS(2156),
    [anon_sym_abs] = ACTIONS(2156),
    [anon_sym_alarm] = ACTIONS(2156),
    [anon_sym_chop] = ACTIONS(2156),
    [anon_sym_chdir] = ACTIONS(2156),
    [anon_sym_close] = ACTIONS(2156),
    [anon_sym_closedir] = ACTIONS(2156),
    [anon_sym_caller] = ACTIONS(2156),
    [anon_sym_chomp] = ACTIONS(2156),
    [anon_sym_chr] = ACTIONS(2156),
    [anon_sym_cos] = ACTIONS(2156),
    [anon_sym_chroot] = ACTIONS(2156),
    [anon_sym_defined] = ACTIONS(2156),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_dbmclose] = ACTIONS(2156),
    [anon_sym_exists] = ACTIONS(2156),
    [anon_sym_exit] = ACTIONS(2156),
    [anon_sym_eof] = ACTIONS(2156),
    [anon_sym_exp] = ACTIONS(2156),
    [anon_sym_each] = ACTIONS(2156),
    [anon_sym_fc] = ACTIONS(2156),
    [anon_sym_fileno] = ACTIONS(2156),
    [anon_sym_gmtime] = ACTIONS(2156),
    [anon_sym_getc] = ACTIONS(2156),
    [anon_sym_getpgrp] = ACTIONS(2156),
    [anon_sym_getprotobyname] = ACTIONS(2156),
    [anon_sym_getpwname] = ACTIONS(2156),
    [anon_sym_getpwuid] = ACTIONS(2156),
    [anon_sym_getpeername] = ACTIONS(2156),
    [anon_sym_getnetbyname] = ACTIONS(2156),
    [anon_sym_getsockname] = ACTIONS(2156),
    [anon_sym_getgrnam] = ACTIONS(2156),
    [anon_sym_getgrgid] = ACTIONS(2156),
    [anon_sym_hex] = ACTIONS(2156),
    [anon_sym_int] = ACTIONS(2156),
    [anon_sym_keys] = ACTIONS(2156),
    [anon_sym_lc] = ACTIONS(2156),
    [anon_sym_lcfirst] = ACTIONS(2156),
    [anon_sym_length] = ACTIONS(2156),
    [anon_sym_localtime] = ACTIONS(2156),
    [anon_sym_log] = ACTIONS(2156),
    [anon_sym_lock] = ACTIONS(2156),
    [anon_sym_lstat] = ACTIONS(2156),
    [anon_sym_oct] = ACTIONS(2156),
    [anon_sym_ord] = ACTIONS(2156),
    [anon_sym_prototype] = ACTIONS(2156),
    [anon_sym_pop] = ACTIONS(2156),
    [anon_sym_pos] = ACTIONS(2156),
    [anon_sym_quotemeta] = ACTIONS(2156),
    [anon_sym_reset] = ACTIONS(2156),
    [anon_sym_rand] = ACTIONS(2156),
    [anon_sym_rmdir] = ACTIONS(2156),
    [anon_sym_readdir] = ACTIONS(2156),
    [anon_sym_readline] = ACTIONS(2156),
    [anon_sym_readpipe] = ACTIONS(2156),
    [anon_sym_rewinddir] = ACTIONS(2156),
    [anon_sym_readlink] = ACTIONS(2156),
    [anon_sym_ref] = ACTIONS(2156),
    [anon_sym_scalar] = ACTIONS(2156),
    [anon_sym_shift] = ACTIONS(2156),
    [anon_sym_sin] = ACTIONS(2156),
    [anon_sym_sleep] = ACTIONS(2156),
    [anon_sym_sqrt] = ACTIONS(2156),
    [anon_sym_srand] = ACTIONS(2156),
    [anon_sym_stat] = ACTIONS(2156),
    [anon_sym_study] = ACTIONS(2156),
    [anon_sym_tell] = ACTIONS(2156),
    [anon_sym_telldir] = ACTIONS(2156),
    [anon_sym_tied] = ACTIONS(2156),
    [anon_sym_uc] = ACTIONS(2156),
    [anon_sym_ucfirst] = ACTIONS(2156),
    [anon_sym_untie] = ACTIONS(2156),
    [anon_sym_umask] = ACTIONS(2156),
    [anon_sym_values] = ACTIONS(2156),
    [anon_sym_write] = ACTIONS(2156),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2156),
    [anon_sym___END__] = ACTIONS(2156),
    [anon_sym_EOT] = ACTIONS(2156),
    [anon_sym_q] = ACTIONS(2156),
    [anon_sym_qq] = ACTIONS(2156),
    [anon_sym_qw] = ACTIONS(2156),
    [anon_sym_qx] = ACTIONS(2156),
    [anon_sym_qr] = ACTIONS(2156),
    [anon_sym_m] = ACTIONS(2156),
    [anon_sym_s] = ACTIONS(2156),
    [anon_sym_tr] = ACTIONS(2156),
    [anon_sym_y] = ACTIONS(2156),
    [anon_sym_if] = ACTIONS(2156),
    [anon_sym_unless] = ACTIONS(2156),
    [anon_sym_while] = ACTIONS(2156),
    [anon_sym_until] = ACTIONS(2156),
    [aux_sym__bareword_token1] = ACTIONS(2156),
    [sym_number] = ACTIONS(2156),
    [anon_sym_true] = ACTIONS(2156),
    [anon_sym_false] = ACTIONS(2156),
    [sym__single_quote] = ACTIONS(2154),
    [sym__double_quote] = ACTIONS(2154),
    [sym__backtick_quote] = ACTIONS(2154),
    [sym__search_slash_quote] = ACTIONS(2154),
    [sym__PERLY_HEREDOC] = ACTIONS(2154),
    [sym__ctrl_z_hack] = ACTIONS(2154),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2154),
    [sym__filetest] = ACTIONS(2154),
  },
  [873] = {
    [sym_heredoc_content] = STATE(873),
    [ts_builtin_sym_end] = ACTIONS(2161),
    [sym__identifier] = ACTIONS(2163),
    [anon_sym_LBRACE] = ACTIONS(2163),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym_package] = ACTIONS(2163),
    [anon_sym_class] = ACTIONS(2163),
    [anon_sym_role] = ACTIONS(2163),
    [anon_sym_BUILD] = ACTIONS(2163),
    [anon_sym_ADJUST] = ACTIONS(2163),
    [anon_sym_DOLLAR] = ACTIONS(2163),
    [anon_sym_AT] = ACTIONS(2163),
    [anon_sym_my] = ACTIONS(2163),
    [anon_sym_extended] = ACTIONS(2163),
    [anon_sym_async] = ACTIONS(2163),
    [anon_sym_sub] = ACTIONS(2163),
    [anon_sym_method] = ACTIONS(2163),
    [anon_sym_LPAREN] = ACTIONS(2163),
    [anon_sym_continue] = ACTIONS(2163),
    [anon_sym_state] = ACTIONS(2163),
    [anon_sym_our] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2163),
    [anon_sym_defer] = ACTIONS(2163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2163),
    [anon_sym_LBRACK] = ACTIONS(2163),
    [anon_sym_LT] = ACTIONS(2163),
    [anon_sym_LT_LT] = ACTIONS(2163),
    [anon_sym_SLASH_SLASH] = ACTIONS(2163),
    [anon_sym_PLUS] = ACTIONS(2163),
    [anon_sym_DASH] = ACTIONS(2163),
    [anon_sym_STAR] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_BSLASH] = ACTIONS(2161),
    [anon_sym_do] = ACTIONS(2163),
    [anon_sym_eval] = ACTIONS(2163),
    [anon_sym_await] = ACTIONS(2163),
    [anon_sym_field] = ACTIONS(2163),
    [anon_sym_local] = ACTIONS(2163),
    [anon_sym_dynamically] = ACTIONS(2163),
    [anon_sym_require] = ACTIONS(2163),
    [anon_sym_map] = ACTIONS(2163),
    [anon_sym_grep] = ACTIONS(2163),
    [anon_sym_sort] = ACTIONS(2163),
    [anon_sym_goto] = ACTIONS(2163),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_undef] = ACTIONS(2163),
    [anon_sym_PERCENT2] = ACTIONS(2163),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2163),
    [anon_sym_use] = ACTIONS(2163),
    [anon_sym_no] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2163),
    [anon_sym_foreach] = ACTIONS(2163),
    [anon_sym_last] = ACTIONS(2163),
    [anon_sym_next] = ACTIONS(2163),
    [anon_sym_redo] = ACTIONS(2163),
    [anon_sym_BEGIN] = ACTIONS(2163),
    [anon_sym_INIT] = ACTIONS(2163),
    [anon_sym_CHECK] = ACTIONS(2163),
    [anon_sym_UNITCHECK] = ACTIONS(2163),
    [anon_sym_END] = ACTIONS(2163),
    [anon_sym___FILE__] = ACTIONS(2163),
    [anon_sym___LINE__] = ACTIONS(2163),
    [anon_sym___PACKAGE__] = ACTIONS(2163),
    [anon_sym___SUB__] = ACTIONS(2163),
    [anon_sym_break] = ACTIONS(2163),
    [anon_sym_fork] = ACTIONS(2163),
    [anon_sym_getppid] = ACTIONS(2163),
    [anon_sym_time] = ACTIONS(2163),
    [anon_sym_times] = ACTIONS(2163),
    [anon_sym_wait] = ACTIONS(2163),
    [anon_sym_wantarray] = ACTIONS(2163),
    [anon_sym_abs] = ACTIONS(2163),
    [anon_sym_alarm] = ACTIONS(2163),
    [anon_sym_chop] = ACTIONS(2163),
    [anon_sym_chdir] = ACTIONS(2163),
    [anon_sym_close] = ACTIONS(2163),
    [anon_sym_closedir] = ACTIONS(2163),
    [anon_sym_caller] = ACTIONS(2163),
    [anon_sym_chomp] = ACTIONS(2163),
    [anon_sym_chr] = ACTIONS(2163),
    [anon_sym_cos] = ACTIONS(2163),
    [anon_sym_chroot] = ACTIONS(2163),
    [anon_sym_defined] = ACTIONS(2163),
    [anon_sym_delete] = ACTIONS(2163),
    [anon_sym_dbmclose] = ACTIONS(2163),
    [anon_sym_exists] = ACTIONS(2163),
    [anon_sym_exit] = ACTIONS(2163),
    [anon_sym_eof] = ACTIONS(2163),
    [anon_sym_exp] = ACTIONS(2163),
    [anon_sym_each] = ACTIONS(2163),
    [anon_sym_fc] = ACTIONS(2163),
    [anon_sym_fileno] = ACTIONS(2163),
    [anon_sym_gmtime] = ACTIONS(2163),
    [anon_sym_getc] = ACTIONS(2163),
    [anon_sym_getpgrp] = ACTIONS(2163),
    [anon_sym_getprotobyname] = ACTIONS(2163),
    [anon_sym_getpwname] = ACTIONS(2163),
    [anon_sym_getpwuid] = ACTIONS(2163),
    [anon_sym_getpeername] = ACTIONS(2163),
    [anon_sym_getnetbyname] = ACTIONS(2163),
    [anon_sym_getsockname] = ACTIONS(2163),
    [anon_sym_getgrnam] = ACTIONS(2163),
    [anon_sym_getgrgid] = ACTIONS(2163),
    [anon_sym_hex] = ACTIONS(2163),
    [anon_sym_int] = ACTIONS(2163),
    [anon_sym_keys] = ACTIONS(2163),
    [anon_sym_lc] = ACTIONS(2163),
    [anon_sym_lcfirst] = ACTIONS(2163),
    [anon_sym_length] = ACTIONS(2163),
    [anon_sym_localtime] = ACTIONS(2163),
    [anon_sym_log] = ACTIONS(2163),
    [anon_sym_lock] = ACTIONS(2163),
    [anon_sym_lstat] = ACTIONS(2163),
    [anon_sym_oct] = ACTIONS(2163),
    [anon_sym_ord] = ACTIONS(2163),
    [anon_sym_prototype] = ACTIONS(2163),
    [anon_sym_pop] = ACTIONS(2163),
    [anon_sym_pos] = ACTIONS(2163),
    [anon_sym_quotemeta] = ACTIONS(2163),
    [anon_sym_reset] = ACTIONS(2163),
    [anon_sym_rand] = ACTIONS(2163),
    [anon_sym_rmdir] = ACTIONS(2163),
    [anon_sym_readdir] = ACTIONS(2163),
    [anon_sym_readline] = ACTIONS(2163),
    [anon_sym_readpipe] = ACTIONS(2163),
    [anon_sym_rewinddir] = ACTIONS(2163),
    [anon_sym_readlink] = ACTIONS(2163),
    [anon_sym_ref] = ACTIONS(2163),
    [anon_sym_scalar] = ACTIONS(2163),
    [anon_sym_shift] = ACTIONS(2163),
    [anon_sym_sin] = ACTIONS(2163),
    [anon_sym_sleep] = ACTIONS(2163),
    [anon_sym_sqrt] = ACTIONS(2163),
    [anon_sym_srand] = ACTIONS(2163),
    [anon_sym_stat] = ACTIONS(2163),
    [anon_sym_study] = ACTIONS(2163),
    [anon_sym_tell] = ACTIONS(2163),
    [anon_sym_telldir] = ACTIONS(2163),
    [anon_sym_tied] = ACTIONS(2163),
    [anon_sym_uc] = ACTIONS(2163),
    [anon_sym_ucfirst] = ACTIONS(2163),
    [anon_sym_untie] = ACTIONS(2163),
    [anon_sym_umask] = ACTIONS(2163),
    [anon_sym_values] = ACTIONS(2163),
    [anon_sym_write] = ACTIONS(2163),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2163),
    [anon_sym___END__] = ACTIONS(2163),
    [anon_sym_EOT] = ACTIONS(2163),
    [anon_sym_q] = ACTIONS(2163),
    [anon_sym_qq] = ACTIONS(2163),
    [anon_sym_qw] = ACTIONS(2163),
    [anon_sym_qx] = ACTIONS(2163),
    [anon_sym_qr] = ACTIONS(2163),
    [anon_sym_m] = ACTIONS(2163),
    [anon_sym_s] = ACTIONS(2163),
    [anon_sym_tr] = ACTIONS(2163),
    [anon_sym_y] = ACTIONS(2163),
    [anon_sym_if] = ACTIONS(2163),
    [anon_sym_unless] = ACTIONS(2163),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_until] = ACTIONS(2163),
    [aux_sym__bareword_token1] = ACTIONS(2163),
    [sym_number] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(2163),
    [anon_sym_false] = ACTIONS(2163),
    [sym__single_quote] = ACTIONS(2161),
    [sym__double_quote] = ACTIONS(2161),
    [sym__backtick_quote] = ACTIONS(2161),
    [sym__search_slash_quote] = ACTIONS(2161),
    [sym__PERLY_HEREDOC] = ACTIONS(2161),
    [sym__ctrl_z_hack] = ACTIONS(2161),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2161),
    [sym__filetest] = ACTIONS(2161),
  },
  [874] = {
    [sym_heredoc_content] = STATE(874),
    [ts_builtin_sym_end] = ACTIONS(2165),
    [sym__identifier] = ACTIONS(2167),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym_package] = ACTIONS(2167),
    [anon_sym_class] = ACTIONS(2167),
    [anon_sym_role] = ACTIONS(2167),
    [anon_sym_BUILD] = ACTIONS(2167),
    [anon_sym_ADJUST] = ACTIONS(2167),
    [anon_sym_DOLLAR] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(2167),
    [anon_sym_my] = ACTIONS(2167),
    [anon_sym_extended] = ACTIONS(2167),
    [anon_sym_async] = ACTIONS(2167),
    [anon_sym_sub] = ACTIONS(2167),
    [anon_sym_method] = ACTIONS(2167),
    [anon_sym_LPAREN] = ACTIONS(2167),
    [anon_sym_continue] = ACTIONS(2167),
    [anon_sym_state] = ACTIONS(2167),
    [anon_sym_our] = ACTIONS(2167),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_defer] = ACTIONS(2167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(2167),
    [anon_sym_LT] = ACTIONS(2167),
    [anon_sym_LT_LT] = ACTIONS(2167),
    [anon_sym_SLASH_SLASH] = ACTIONS(2167),
    [anon_sym_PLUS] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2167),
    [anon_sym_STAR] = ACTIONS(2167),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_BANG] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [anon_sym_BSLASH] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2167),
    [anon_sym_eval] = ACTIONS(2167),
    [anon_sym_await] = ACTIONS(2167),
    [anon_sym_field] = ACTIONS(2167),
    [anon_sym_local] = ACTIONS(2167),
    [anon_sym_dynamically] = ACTIONS(2167),
    [anon_sym_require] = ACTIONS(2167),
    [anon_sym_map] = ACTIONS(2167),
    [anon_sym_grep] = ACTIONS(2167),
    [anon_sym_sort] = ACTIONS(2167),
    [anon_sym_goto] = ACTIONS(2167),
    [anon_sym_return] = ACTIONS(2167),
    [anon_sym_undef] = ACTIONS(2167),
    [anon_sym_PERCENT2] = ACTIONS(2167),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2167),
    [anon_sym_use] = ACTIONS(2167),
    [anon_sym_no] = ACTIONS(2167),
    [anon_sym_for] = ACTIONS(2167),
    [anon_sym_foreach] = ACTIONS(2167),
    [anon_sym_last] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2167),
    [anon_sym_redo] = ACTIONS(2167),
    [anon_sym_BEGIN] = ACTIONS(2167),
    [anon_sym_INIT] = ACTIONS(2167),
    [anon_sym_CHECK] = ACTIONS(2167),
    [anon_sym_UNITCHECK] = ACTIONS(2167),
    [anon_sym_END] = ACTIONS(2167),
    [anon_sym___FILE__] = ACTIONS(2167),
    [anon_sym___LINE__] = ACTIONS(2167),
    [anon_sym___PACKAGE__] = ACTIONS(2167),
    [anon_sym___SUB__] = ACTIONS(2167),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_fork] = ACTIONS(2167),
    [anon_sym_getppid] = ACTIONS(2167),
    [anon_sym_time] = ACTIONS(2167),
    [anon_sym_times] = ACTIONS(2167),
    [anon_sym_wait] = ACTIONS(2167),
    [anon_sym_wantarray] = ACTIONS(2167),
    [anon_sym_abs] = ACTIONS(2167),
    [anon_sym_alarm] = ACTIONS(2167),
    [anon_sym_chop] = ACTIONS(2167),
    [anon_sym_chdir] = ACTIONS(2167),
    [anon_sym_close] = ACTIONS(2167),
    [anon_sym_closedir] = ACTIONS(2167),
    [anon_sym_caller] = ACTIONS(2167),
    [anon_sym_chomp] = ACTIONS(2167),
    [anon_sym_chr] = ACTIONS(2167),
    [anon_sym_cos] = ACTIONS(2167),
    [anon_sym_chroot] = ACTIONS(2167),
    [anon_sym_defined] = ACTIONS(2167),
    [anon_sym_delete] = ACTIONS(2167),
    [anon_sym_dbmclose] = ACTIONS(2167),
    [anon_sym_exists] = ACTIONS(2167),
    [anon_sym_exit] = ACTIONS(2167),
    [anon_sym_eof] = ACTIONS(2167),
    [anon_sym_exp] = ACTIONS(2167),
    [anon_sym_each] = ACTIONS(2167),
    [anon_sym_fc] = ACTIONS(2167),
    [anon_sym_fileno] = ACTIONS(2167),
    [anon_sym_gmtime] = ACTIONS(2167),
    [anon_sym_getc] = ACTIONS(2167),
    [anon_sym_getpgrp] = ACTIONS(2167),
    [anon_sym_getprotobyname] = ACTIONS(2167),
    [anon_sym_getpwname] = ACTIONS(2167),
    [anon_sym_getpwuid] = ACTIONS(2167),
    [anon_sym_getpeername] = ACTIONS(2167),
    [anon_sym_getnetbyname] = ACTIONS(2167),
    [anon_sym_getsockname] = ACTIONS(2167),
    [anon_sym_getgrnam] = ACTIONS(2167),
    [anon_sym_getgrgid] = ACTIONS(2167),
    [anon_sym_hex] = ACTIONS(2167),
    [anon_sym_int] = ACTIONS(2167),
    [anon_sym_keys] = ACTIONS(2167),
    [anon_sym_lc] = ACTIONS(2167),
    [anon_sym_lcfirst] = ACTIONS(2167),
    [anon_sym_length] = ACTIONS(2167),
    [anon_sym_localtime] = ACTIONS(2167),
    [anon_sym_log] = ACTIONS(2167),
    [anon_sym_lock] = ACTIONS(2167),
    [anon_sym_lstat] = ACTIONS(2167),
    [anon_sym_oct] = ACTIONS(2167),
    [anon_sym_ord] = ACTIONS(2167),
    [anon_sym_prototype] = ACTIONS(2167),
    [anon_sym_pop] = ACTIONS(2167),
    [anon_sym_pos] = ACTIONS(2167),
    [anon_sym_quotemeta] = ACTIONS(2167),
    [anon_sym_reset] = ACTIONS(2167),
    [anon_sym_rand] = ACTIONS(2167),
    [anon_sym_rmdir] = ACTIONS(2167),
    [anon_sym_readdir] = ACTIONS(2167),
    [anon_sym_readline] = ACTIONS(2167),
    [anon_sym_readpipe] = ACTIONS(2167),
    [anon_sym_rewinddir] = ACTIONS(2167),
    [anon_sym_readlink] = ACTIONS(2167),
    [anon_sym_ref] = ACTIONS(2167),
    [anon_sym_scalar] = ACTIONS(2167),
    [anon_sym_shift] = ACTIONS(2167),
    [anon_sym_sin] = ACTIONS(2167),
    [anon_sym_sleep] = ACTIONS(2167),
    [anon_sym_sqrt] = ACTIONS(2167),
    [anon_sym_srand] = ACTIONS(2167),
    [anon_sym_stat] = ACTIONS(2167),
    [anon_sym_study] = ACTIONS(2167),
    [anon_sym_tell] = ACTIONS(2167),
    [anon_sym_telldir] = ACTIONS(2167),
    [anon_sym_tied] = ACTIONS(2167),
    [anon_sym_uc] = ACTIONS(2167),
    [anon_sym_ucfirst] = ACTIONS(2167),
    [anon_sym_untie] = ACTIONS(2167),
    [anon_sym_umask] = ACTIONS(2167),
    [anon_sym_values] = ACTIONS(2167),
    [anon_sym_write] = ACTIONS(2167),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2167),
    [anon_sym___END__] = ACTIONS(2167),
    [anon_sym_EOT] = ACTIONS(2167),
    [anon_sym_q] = ACTIONS(2167),
    [anon_sym_qq] = ACTIONS(2167),
    [anon_sym_qw] = ACTIONS(2167),
    [anon_sym_qx] = ACTIONS(2167),
    [anon_sym_qr] = ACTIONS(2167),
    [anon_sym_m] = ACTIONS(2167),
    [anon_sym_s] = ACTIONS(2167),
    [anon_sym_tr] = ACTIONS(2167),
    [anon_sym_y] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2167),
    [anon_sym_unless] = ACTIONS(2167),
    [anon_sym_while] = ACTIONS(2167),
    [anon_sym_until] = ACTIONS(2167),
    [aux_sym__bareword_token1] = ACTIONS(2167),
    [sym_number] = ACTIONS(2167),
    [anon_sym_true] = ACTIONS(2167),
    [anon_sym_false] = ACTIONS(2167),
    [sym__single_quote] = ACTIONS(2165),
    [sym__double_quote] = ACTIONS(2165),
    [sym__backtick_quote] = ACTIONS(2165),
    [sym__search_slash_quote] = ACTIONS(2165),
    [sym__PERLY_HEREDOC] = ACTIONS(2165),
    [sym__ctrl_z_hack] = ACTIONS(2165),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2165),
    [sym__filetest] = ACTIONS(2165),
  },
  [875] = {
    [sym_heredoc_content] = STATE(875),
    [ts_builtin_sym_end] = ACTIONS(2169),
    [sym__identifier] = ACTIONS(2171),
    [anon_sym_LBRACE] = ACTIONS(2171),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym_package] = ACTIONS(2171),
    [anon_sym_class] = ACTIONS(2171),
    [anon_sym_role] = ACTIONS(2171),
    [anon_sym_BUILD] = ACTIONS(2171),
    [anon_sym_ADJUST] = ACTIONS(2171),
    [anon_sym_DOLLAR] = ACTIONS(2171),
    [anon_sym_AT] = ACTIONS(2171),
    [anon_sym_my] = ACTIONS(2171),
    [anon_sym_extended] = ACTIONS(2171),
    [anon_sym_async] = ACTIONS(2171),
    [anon_sym_sub] = ACTIONS(2171),
    [anon_sym_method] = ACTIONS(2171),
    [anon_sym_LPAREN] = ACTIONS(2171),
    [anon_sym_continue] = ACTIONS(2171),
    [anon_sym_state] = ACTIONS(2171),
    [anon_sym_our] = ACTIONS(2171),
    [anon_sym_try] = ACTIONS(2171),
    [anon_sym_defer] = ACTIONS(2171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2171),
    [anon_sym_LBRACK] = ACTIONS(2171),
    [anon_sym_LT] = ACTIONS(2171),
    [anon_sym_LT_LT] = ACTIONS(2171),
    [anon_sym_SLASH_SLASH] = ACTIONS(2171),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_DASH] = ACTIONS(2171),
    [anon_sym_STAR] = ACTIONS(2171),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(2171),
    [anon_sym_PLUS_PLUS] = ACTIONS(2171),
    [anon_sym_DASH_DASH] = ACTIONS(2171),
    [anon_sym_BSLASH] = ACTIONS(2169),
    [anon_sym_do] = ACTIONS(2171),
    [anon_sym_eval] = ACTIONS(2171),
    [anon_sym_await] = ACTIONS(2171),
    [anon_sym_field] = ACTIONS(2171),
    [anon_sym_local] = ACTIONS(2171),
    [anon_sym_dynamically] = ACTIONS(2171),
    [anon_sym_require] = ACTIONS(2171),
    [anon_sym_map] = ACTIONS(2171),
    [anon_sym_grep] = ACTIONS(2171),
    [anon_sym_sort] = ACTIONS(2171),
    [anon_sym_goto] = ACTIONS(2171),
    [anon_sym_return] = ACTIONS(2171),
    [anon_sym_undef] = ACTIONS(2171),
    [anon_sym_PERCENT2] = ACTIONS(2171),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2171),
    [anon_sym_use] = ACTIONS(2171),
    [anon_sym_no] = ACTIONS(2171),
    [anon_sym_for] = ACTIONS(2171),
    [anon_sym_foreach] = ACTIONS(2171),
    [anon_sym_last] = ACTIONS(2171),
    [anon_sym_next] = ACTIONS(2171),
    [anon_sym_redo] = ACTIONS(2171),
    [anon_sym_BEGIN] = ACTIONS(2171),
    [anon_sym_INIT] = ACTIONS(2171),
    [anon_sym_CHECK] = ACTIONS(2171),
    [anon_sym_UNITCHECK] = ACTIONS(2171),
    [anon_sym_END] = ACTIONS(2171),
    [anon_sym___FILE__] = ACTIONS(2171),
    [anon_sym___LINE__] = ACTIONS(2171),
    [anon_sym___PACKAGE__] = ACTIONS(2171),
    [anon_sym___SUB__] = ACTIONS(2171),
    [anon_sym_break] = ACTIONS(2171),
    [anon_sym_fork] = ACTIONS(2171),
    [anon_sym_getppid] = ACTIONS(2171),
    [anon_sym_time] = ACTIONS(2171),
    [anon_sym_times] = ACTIONS(2171),
    [anon_sym_wait] = ACTIONS(2171),
    [anon_sym_wantarray] = ACTIONS(2171),
    [anon_sym_abs] = ACTIONS(2171),
    [anon_sym_alarm] = ACTIONS(2171),
    [anon_sym_chop] = ACTIONS(2171),
    [anon_sym_chdir] = ACTIONS(2171),
    [anon_sym_close] = ACTIONS(2171),
    [anon_sym_closedir] = ACTIONS(2171),
    [anon_sym_caller] = ACTIONS(2171),
    [anon_sym_chomp] = ACTIONS(2171),
    [anon_sym_chr] = ACTIONS(2171),
    [anon_sym_cos] = ACTIONS(2171),
    [anon_sym_chroot] = ACTIONS(2171),
    [anon_sym_defined] = ACTIONS(2171),
    [anon_sym_delete] = ACTIONS(2171),
    [anon_sym_dbmclose] = ACTIONS(2171),
    [anon_sym_exists] = ACTIONS(2171),
    [anon_sym_exit] = ACTIONS(2171),
    [anon_sym_eof] = ACTIONS(2171),
    [anon_sym_exp] = ACTIONS(2171),
    [anon_sym_each] = ACTIONS(2171),
    [anon_sym_fc] = ACTIONS(2171),
    [anon_sym_fileno] = ACTIONS(2171),
    [anon_sym_gmtime] = ACTIONS(2171),
    [anon_sym_getc] = ACTIONS(2171),
    [anon_sym_getpgrp] = ACTIONS(2171),
    [anon_sym_getprotobyname] = ACTIONS(2171),
    [anon_sym_getpwname] = ACTIONS(2171),
    [anon_sym_getpwuid] = ACTIONS(2171),
    [anon_sym_getpeername] = ACTIONS(2171),
    [anon_sym_getnetbyname] = ACTIONS(2171),
    [anon_sym_getsockname] = ACTIONS(2171),
    [anon_sym_getgrnam] = ACTIONS(2171),
    [anon_sym_getgrgid] = ACTIONS(2171),
    [anon_sym_hex] = ACTIONS(2171),
    [anon_sym_int] = ACTIONS(2171),
    [anon_sym_keys] = ACTIONS(2171),
    [anon_sym_lc] = ACTIONS(2171),
    [anon_sym_lcfirst] = ACTIONS(2171),
    [anon_sym_length] = ACTIONS(2171),
    [anon_sym_localtime] = ACTIONS(2171),
    [anon_sym_log] = ACTIONS(2171),
    [anon_sym_lock] = ACTIONS(2171),
    [anon_sym_lstat] = ACTIONS(2171),
    [anon_sym_oct] = ACTIONS(2171),
    [anon_sym_ord] = ACTIONS(2171),
    [anon_sym_prototype] = ACTIONS(2171),
    [anon_sym_pop] = ACTIONS(2171),
    [anon_sym_pos] = ACTIONS(2171),
    [anon_sym_quotemeta] = ACTIONS(2171),
    [anon_sym_reset] = ACTIONS(2171),
    [anon_sym_rand] = ACTIONS(2171),
    [anon_sym_rmdir] = ACTIONS(2171),
    [anon_sym_readdir] = ACTIONS(2171),
    [anon_sym_readline] = ACTIONS(2171),
    [anon_sym_readpipe] = ACTIONS(2171),
    [anon_sym_rewinddir] = ACTIONS(2171),
    [anon_sym_readlink] = ACTIONS(2171),
    [anon_sym_ref] = ACTIONS(2171),
    [anon_sym_scalar] = ACTIONS(2171),
    [anon_sym_shift] = ACTIONS(2171),
    [anon_sym_sin] = ACTIONS(2171),
    [anon_sym_sleep] = ACTIONS(2171),
    [anon_sym_sqrt] = ACTIONS(2171),
    [anon_sym_srand] = ACTIONS(2171),
    [anon_sym_stat] = ACTIONS(2171),
    [anon_sym_study] = ACTIONS(2171),
    [anon_sym_tell] = ACTIONS(2171),
    [anon_sym_telldir] = ACTIONS(2171),
    [anon_sym_tied] = ACTIONS(2171),
    [anon_sym_uc] = ACTIONS(2171),
    [anon_sym_ucfirst] = ACTIONS(2171),
    [anon_sym_untie] = ACTIONS(2171),
    [anon_sym_umask] = ACTIONS(2171),
    [anon_sym_values] = ACTIONS(2171),
    [anon_sym_write] = ACTIONS(2171),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2171),
    [anon_sym___END__] = ACTIONS(2171),
    [anon_sym_EOT] = ACTIONS(2171),
    [anon_sym_q] = ACTIONS(2171),
    [anon_sym_qq] = ACTIONS(2171),
    [anon_sym_qw] = ACTIONS(2171),
    [anon_sym_qx] = ACTIONS(2171),
    [anon_sym_qr] = ACTIONS(2171),
    [anon_sym_m] = ACTIONS(2171),
    [anon_sym_s] = ACTIONS(2171),
    [anon_sym_tr] = ACTIONS(2171),
    [anon_sym_y] = ACTIONS(2171),
    [anon_sym_if] = ACTIONS(2171),
    [anon_sym_unless] = ACTIONS(2171),
    [anon_sym_while] = ACTIONS(2171),
    [anon_sym_until] = ACTIONS(2171),
    [aux_sym__bareword_token1] = ACTIONS(2171),
    [sym_number] = ACTIONS(2171),
    [anon_sym_true] = ACTIONS(2171),
    [anon_sym_false] = ACTIONS(2171),
    [sym__single_quote] = ACTIONS(2169),
    [sym__double_quote] = ACTIONS(2169),
    [sym__backtick_quote] = ACTIONS(2169),
    [sym__search_slash_quote] = ACTIONS(2169),
    [sym__PERLY_HEREDOC] = ACTIONS(2169),
    [sym__ctrl_z_hack] = ACTIONS(2169),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2169),
    [sym__filetest] = ACTIONS(2169),
  },
  [876] = {
    [sym_heredoc_content] = STATE(876),
    [ts_builtin_sym_end] = ACTIONS(2173),
    [sym__identifier] = ACTIONS(2175),
    [anon_sym_LBRACE] = ACTIONS(2175),
    [anon_sym_SEMI] = ACTIONS(2175),
    [anon_sym_package] = ACTIONS(2175),
    [anon_sym_class] = ACTIONS(2175),
    [anon_sym_role] = ACTIONS(2175),
    [anon_sym_BUILD] = ACTIONS(2175),
    [anon_sym_ADJUST] = ACTIONS(2175),
    [anon_sym_DOLLAR] = ACTIONS(2175),
    [anon_sym_AT] = ACTIONS(2175),
    [anon_sym_my] = ACTIONS(2175),
    [anon_sym_extended] = ACTIONS(2175),
    [anon_sym_async] = ACTIONS(2175),
    [anon_sym_sub] = ACTIONS(2175),
    [anon_sym_method] = ACTIONS(2175),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_continue] = ACTIONS(2175),
    [anon_sym_state] = ACTIONS(2175),
    [anon_sym_our] = ACTIONS(2175),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_defer] = ACTIONS(2175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2175),
    [anon_sym_LBRACK] = ACTIONS(2175),
    [anon_sym_LT] = ACTIONS(2175),
    [anon_sym_LT_LT] = ACTIONS(2175),
    [anon_sym_SLASH_SLASH] = ACTIONS(2175),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_STAR] = ACTIONS(2175),
    [anon_sym_TILDE] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2175),
    [anon_sym_PLUS_PLUS] = ACTIONS(2175),
    [anon_sym_DASH_DASH] = ACTIONS(2175),
    [anon_sym_BSLASH] = ACTIONS(2173),
    [anon_sym_do] = ACTIONS(2175),
    [anon_sym_eval] = ACTIONS(2175),
    [anon_sym_await] = ACTIONS(2175),
    [anon_sym_field] = ACTIONS(2175),
    [anon_sym_local] = ACTIONS(2175),
    [anon_sym_dynamically] = ACTIONS(2175),
    [anon_sym_require] = ACTIONS(2175),
    [anon_sym_map] = ACTIONS(2175),
    [anon_sym_grep] = ACTIONS(2175),
    [anon_sym_sort] = ACTIONS(2175),
    [anon_sym_goto] = ACTIONS(2175),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_undef] = ACTIONS(2175),
    [anon_sym_PERCENT2] = ACTIONS(2175),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2175),
    [anon_sym_use] = ACTIONS(2175),
    [anon_sym_no] = ACTIONS(2175),
    [anon_sym_for] = ACTIONS(2175),
    [anon_sym_foreach] = ACTIONS(2175),
    [anon_sym_last] = ACTIONS(2175),
    [anon_sym_next] = ACTIONS(2175),
    [anon_sym_redo] = ACTIONS(2175),
    [anon_sym_BEGIN] = ACTIONS(2175),
    [anon_sym_INIT] = ACTIONS(2175),
    [anon_sym_CHECK] = ACTIONS(2175),
    [anon_sym_UNITCHECK] = ACTIONS(2175),
    [anon_sym_END] = ACTIONS(2175),
    [anon_sym___FILE__] = ACTIONS(2175),
    [anon_sym___LINE__] = ACTIONS(2175),
    [anon_sym___PACKAGE__] = ACTIONS(2175),
    [anon_sym___SUB__] = ACTIONS(2175),
    [anon_sym_break] = ACTIONS(2175),
    [anon_sym_fork] = ACTIONS(2175),
    [anon_sym_getppid] = ACTIONS(2175),
    [anon_sym_time] = ACTIONS(2175),
    [anon_sym_times] = ACTIONS(2175),
    [anon_sym_wait] = ACTIONS(2175),
    [anon_sym_wantarray] = ACTIONS(2175),
    [anon_sym_abs] = ACTIONS(2175),
    [anon_sym_alarm] = ACTIONS(2175),
    [anon_sym_chop] = ACTIONS(2175),
    [anon_sym_chdir] = ACTIONS(2175),
    [anon_sym_close] = ACTIONS(2175),
    [anon_sym_closedir] = ACTIONS(2175),
    [anon_sym_caller] = ACTIONS(2175),
    [anon_sym_chomp] = ACTIONS(2175),
    [anon_sym_chr] = ACTIONS(2175),
    [anon_sym_cos] = ACTIONS(2175),
    [anon_sym_chroot] = ACTIONS(2175),
    [anon_sym_defined] = ACTIONS(2175),
    [anon_sym_delete] = ACTIONS(2175),
    [anon_sym_dbmclose] = ACTIONS(2175),
    [anon_sym_exists] = ACTIONS(2175),
    [anon_sym_exit] = ACTIONS(2175),
    [anon_sym_eof] = ACTIONS(2175),
    [anon_sym_exp] = ACTIONS(2175),
    [anon_sym_each] = ACTIONS(2175),
    [anon_sym_fc] = ACTIONS(2175),
    [anon_sym_fileno] = ACTIONS(2175),
    [anon_sym_gmtime] = ACTIONS(2175),
    [anon_sym_getc] = ACTIONS(2175),
    [anon_sym_getpgrp] = ACTIONS(2175),
    [anon_sym_getprotobyname] = ACTIONS(2175),
    [anon_sym_getpwname] = ACTIONS(2175),
    [anon_sym_getpwuid] = ACTIONS(2175),
    [anon_sym_getpeername] = ACTIONS(2175),
    [anon_sym_getnetbyname] = ACTIONS(2175),
    [anon_sym_getsockname] = ACTIONS(2175),
    [anon_sym_getgrnam] = ACTIONS(2175),
    [anon_sym_getgrgid] = ACTIONS(2175),
    [anon_sym_hex] = ACTIONS(2175),
    [anon_sym_int] = ACTIONS(2175),
    [anon_sym_keys] = ACTIONS(2175),
    [anon_sym_lc] = ACTIONS(2175),
    [anon_sym_lcfirst] = ACTIONS(2175),
    [anon_sym_length] = ACTIONS(2175),
    [anon_sym_localtime] = ACTIONS(2175),
    [anon_sym_log] = ACTIONS(2175),
    [anon_sym_lock] = ACTIONS(2175),
    [anon_sym_lstat] = ACTIONS(2175),
    [anon_sym_oct] = ACTIONS(2175),
    [anon_sym_ord] = ACTIONS(2175),
    [anon_sym_prototype] = ACTIONS(2175),
    [anon_sym_pop] = ACTIONS(2175),
    [anon_sym_pos] = ACTIONS(2175),
    [anon_sym_quotemeta] = ACTIONS(2175),
    [anon_sym_reset] = ACTIONS(2175),
    [anon_sym_rand] = ACTIONS(2175),
    [anon_sym_rmdir] = ACTIONS(2175),
    [anon_sym_readdir] = ACTIONS(2175),
    [anon_sym_readline] = ACTIONS(2175),
    [anon_sym_readpipe] = ACTIONS(2175),
    [anon_sym_rewinddir] = ACTIONS(2175),
    [anon_sym_readlink] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2175),
    [anon_sym_scalar] = ACTIONS(2175),
    [anon_sym_shift] = ACTIONS(2175),
    [anon_sym_sin] = ACTIONS(2175),
    [anon_sym_sleep] = ACTIONS(2175),
    [anon_sym_sqrt] = ACTIONS(2175),
    [anon_sym_srand] = ACTIONS(2175),
    [anon_sym_stat] = ACTIONS(2175),
    [anon_sym_study] = ACTIONS(2175),
    [anon_sym_tell] = ACTIONS(2175),
    [anon_sym_telldir] = ACTIONS(2175),
    [anon_sym_tied] = ACTIONS(2175),
    [anon_sym_uc] = ACTIONS(2175),
    [anon_sym_ucfirst] = ACTIONS(2175),
    [anon_sym_untie] = ACTIONS(2175),
    [anon_sym_umask] = ACTIONS(2175),
    [anon_sym_values] = ACTIONS(2175),
    [anon_sym_write] = ACTIONS(2175),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2175),
    [anon_sym___END__] = ACTIONS(2175),
    [anon_sym_EOT] = ACTIONS(2175),
    [anon_sym_q] = ACTIONS(2175),
    [anon_sym_qq] = ACTIONS(2175),
    [anon_sym_qw] = ACTIONS(2175),
    [anon_sym_qx] = ACTIONS(2175),
    [anon_sym_qr] = ACTIONS(2175),
    [anon_sym_m] = ACTIONS(2175),
    [anon_sym_s] = ACTIONS(2175),
    [anon_sym_tr] = ACTIONS(2175),
    [anon_sym_y] = ACTIONS(2175),
    [anon_sym_if] = ACTIONS(2175),
    [anon_sym_unless] = ACTIONS(2175),
    [anon_sym_while] = ACTIONS(2175),
    [anon_sym_until] = ACTIONS(2175),
    [aux_sym__bareword_token1] = ACTIONS(2175),
    [sym_number] = ACTIONS(2175),
    [anon_sym_true] = ACTIONS(2175),
    [anon_sym_false] = ACTIONS(2175),
    [sym__single_quote] = ACTIONS(2173),
    [sym__double_quote] = ACTIONS(2173),
    [sym__backtick_quote] = ACTIONS(2173),
    [sym__search_slash_quote] = ACTIONS(2173),
    [sym__PERLY_HEREDOC] = ACTIONS(2173),
    [sym__ctrl_z_hack] = ACTIONS(2173),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2173),
    [sym__filetest] = ACTIONS(2173),
  },
  [877] = {
    [sym_heredoc_content] = STATE(877),
    [ts_builtin_sym_end] = ACTIONS(2177),
    [sym__identifier] = ACTIONS(2179),
    [anon_sym_LBRACE] = ACTIONS(2179),
    [anon_sym_SEMI] = ACTIONS(2179),
    [anon_sym_package] = ACTIONS(2179),
    [anon_sym_class] = ACTIONS(2179),
    [anon_sym_role] = ACTIONS(2179),
    [anon_sym_BUILD] = ACTIONS(2179),
    [anon_sym_ADJUST] = ACTIONS(2179),
    [anon_sym_DOLLAR] = ACTIONS(2179),
    [anon_sym_AT] = ACTIONS(2179),
    [anon_sym_my] = ACTIONS(2179),
    [anon_sym_extended] = ACTIONS(2179),
    [anon_sym_async] = ACTIONS(2179),
    [anon_sym_sub] = ACTIONS(2179),
    [anon_sym_method] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2179),
    [anon_sym_continue] = ACTIONS(2179),
    [anon_sym_state] = ACTIONS(2179),
    [anon_sym_our] = ACTIONS(2179),
    [anon_sym_try] = ACTIONS(2179),
    [anon_sym_defer] = ACTIONS(2179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2179),
    [anon_sym_LBRACK] = ACTIONS(2179),
    [anon_sym_LT] = ACTIONS(2179),
    [anon_sym_LT_LT] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(2179),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_TILDE] = ACTIONS(2179),
    [anon_sym_BANG] = ACTIONS(2179),
    [anon_sym_PLUS_PLUS] = ACTIONS(2179),
    [anon_sym_DASH_DASH] = ACTIONS(2179),
    [anon_sym_BSLASH] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_eval] = ACTIONS(2179),
    [anon_sym_await] = ACTIONS(2179),
    [anon_sym_field] = ACTIONS(2179),
    [anon_sym_local] = ACTIONS(2179),
    [anon_sym_dynamically] = ACTIONS(2179),
    [anon_sym_require] = ACTIONS(2179),
    [anon_sym_map] = ACTIONS(2179),
    [anon_sym_grep] = ACTIONS(2179),
    [anon_sym_sort] = ACTIONS(2179),
    [anon_sym_goto] = ACTIONS(2179),
    [anon_sym_return] = ACTIONS(2179),
    [anon_sym_undef] = ACTIONS(2179),
    [anon_sym_PERCENT2] = ACTIONS(2179),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2179),
    [anon_sym_use] = ACTIONS(2179),
    [anon_sym_no] = ACTIONS(2179),
    [anon_sym_for] = ACTIONS(2179),
    [anon_sym_foreach] = ACTIONS(2179),
    [anon_sym_last] = ACTIONS(2179),
    [anon_sym_next] = ACTIONS(2179),
    [anon_sym_redo] = ACTIONS(2179),
    [anon_sym_BEGIN] = ACTIONS(2179),
    [anon_sym_INIT] = ACTIONS(2179),
    [anon_sym_CHECK] = ACTIONS(2179),
    [anon_sym_UNITCHECK] = ACTIONS(2179),
    [anon_sym_END] = ACTIONS(2179),
    [anon_sym___FILE__] = ACTIONS(2179),
    [anon_sym___LINE__] = ACTIONS(2179),
    [anon_sym___PACKAGE__] = ACTIONS(2179),
    [anon_sym___SUB__] = ACTIONS(2179),
    [anon_sym_break] = ACTIONS(2179),
    [anon_sym_fork] = ACTIONS(2179),
    [anon_sym_getppid] = ACTIONS(2179),
    [anon_sym_time] = ACTIONS(2179),
    [anon_sym_times] = ACTIONS(2179),
    [anon_sym_wait] = ACTIONS(2179),
    [anon_sym_wantarray] = ACTIONS(2179),
    [anon_sym_abs] = ACTIONS(2179),
    [anon_sym_alarm] = ACTIONS(2179),
    [anon_sym_chop] = ACTIONS(2179),
    [anon_sym_chdir] = ACTIONS(2179),
    [anon_sym_close] = ACTIONS(2179),
    [anon_sym_closedir] = ACTIONS(2179),
    [anon_sym_caller] = ACTIONS(2179),
    [anon_sym_chomp] = ACTIONS(2179),
    [anon_sym_chr] = ACTIONS(2179),
    [anon_sym_cos] = ACTIONS(2179),
    [anon_sym_chroot] = ACTIONS(2179),
    [anon_sym_defined] = ACTIONS(2179),
    [anon_sym_delete] = ACTIONS(2179),
    [anon_sym_dbmclose] = ACTIONS(2179),
    [anon_sym_exists] = ACTIONS(2179),
    [anon_sym_exit] = ACTIONS(2179),
    [anon_sym_eof] = ACTIONS(2179),
    [anon_sym_exp] = ACTIONS(2179),
    [anon_sym_each] = ACTIONS(2179),
    [anon_sym_fc] = ACTIONS(2179),
    [anon_sym_fileno] = ACTIONS(2179),
    [anon_sym_gmtime] = ACTIONS(2179),
    [anon_sym_getc] = ACTIONS(2179),
    [anon_sym_getpgrp] = ACTIONS(2179),
    [anon_sym_getprotobyname] = ACTIONS(2179),
    [anon_sym_getpwname] = ACTIONS(2179),
    [anon_sym_getpwuid] = ACTIONS(2179),
    [anon_sym_getpeername] = ACTIONS(2179),
    [anon_sym_getnetbyname] = ACTIONS(2179),
    [anon_sym_getsockname] = ACTIONS(2179),
    [anon_sym_getgrnam] = ACTIONS(2179),
    [anon_sym_getgrgid] = ACTIONS(2179),
    [anon_sym_hex] = ACTIONS(2179),
    [anon_sym_int] = ACTIONS(2179),
    [anon_sym_keys] = ACTIONS(2179),
    [anon_sym_lc] = ACTIONS(2179),
    [anon_sym_lcfirst] = ACTIONS(2179),
    [anon_sym_length] = ACTIONS(2179),
    [anon_sym_localtime] = ACTIONS(2179),
    [anon_sym_log] = ACTIONS(2179),
    [anon_sym_lock] = ACTIONS(2179),
    [anon_sym_lstat] = ACTIONS(2179),
    [anon_sym_oct] = ACTIONS(2179),
    [anon_sym_ord] = ACTIONS(2179),
    [anon_sym_prototype] = ACTIONS(2179),
    [anon_sym_pop] = ACTIONS(2179),
    [anon_sym_pos] = ACTIONS(2179),
    [anon_sym_quotemeta] = ACTIONS(2179),
    [anon_sym_reset] = ACTIONS(2179),
    [anon_sym_rand] = ACTIONS(2179),
    [anon_sym_rmdir] = ACTIONS(2179),
    [anon_sym_readdir] = ACTIONS(2179),
    [anon_sym_readline] = ACTIONS(2179),
    [anon_sym_readpipe] = ACTIONS(2179),
    [anon_sym_rewinddir] = ACTIONS(2179),
    [anon_sym_readlink] = ACTIONS(2179),
    [anon_sym_ref] = ACTIONS(2179),
    [anon_sym_scalar] = ACTIONS(2179),
    [anon_sym_shift] = ACTIONS(2179),
    [anon_sym_sin] = ACTIONS(2179),
    [anon_sym_sleep] = ACTIONS(2179),
    [anon_sym_sqrt] = ACTIONS(2179),
    [anon_sym_srand] = ACTIONS(2179),
    [anon_sym_stat] = ACTIONS(2179),
    [anon_sym_study] = ACTIONS(2179),
    [anon_sym_tell] = ACTIONS(2179),
    [anon_sym_telldir] = ACTIONS(2179),
    [anon_sym_tied] = ACTIONS(2179),
    [anon_sym_uc] = ACTIONS(2179),
    [anon_sym_ucfirst] = ACTIONS(2179),
    [anon_sym_untie] = ACTIONS(2179),
    [anon_sym_umask] = ACTIONS(2179),
    [anon_sym_values] = ACTIONS(2179),
    [anon_sym_write] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2179),
    [anon_sym___END__] = ACTIONS(2179),
    [anon_sym_EOT] = ACTIONS(2179),
    [anon_sym_q] = ACTIONS(2179),
    [anon_sym_qq] = ACTIONS(2179),
    [anon_sym_qw] = ACTIONS(2179),
    [anon_sym_qx] = ACTIONS(2179),
    [anon_sym_qr] = ACTIONS(2179),
    [anon_sym_m] = ACTIONS(2179),
    [anon_sym_s] = ACTIONS(2179),
    [anon_sym_tr] = ACTIONS(2179),
    [anon_sym_y] = ACTIONS(2179),
    [anon_sym_if] = ACTIONS(2179),
    [anon_sym_unless] = ACTIONS(2179),
    [anon_sym_while] = ACTIONS(2179),
    [anon_sym_until] = ACTIONS(2179),
    [aux_sym__bareword_token1] = ACTIONS(2179),
    [sym_number] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(2179),
    [anon_sym_false] = ACTIONS(2179),
    [sym__single_quote] = ACTIONS(2177),
    [sym__double_quote] = ACTIONS(2177),
    [sym__backtick_quote] = ACTIONS(2177),
    [sym__search_slash_quote] = ACTIONS(2177),
    [sym__PERLY_HEREDOC] = ACTIONS(2177),
    [sym__ctrl_z_hack] = ACTIONS(2177),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2177),
    [sym__filetest] = ACTIONS(2177),
  },
  [878] = {
    [sym_heredoc_content] = STATE(878),
    [ts_builtin_sym_end] = ACTIONS(2181),
    [sym__identifier] = ACTIONS(2183),
    [anon_sym_LBRACE] = ACTIONS(2183),
    [anon_sym_SEMI] = ACTIONS(2183),
    [anon_sym_package] = ACTIONS(2183),
    [anon_sym_class] = ACTIONS(2183),
    [anon_sym_role] = ACTIONS(2183),
    [anon_sym_BUILD] = ACTIONS(2183),
    [anon_sym_ADJUST] = ACTIONS(2183),
    [anon_sym_DOLLAR] = ACTIONS(2183),
    [anon_sym_AT] = ACTIONS(2183),
    [anon_sym_my] = ACTIONS(2183),
    [anon_sym_extended] = ACTIONS(2183),
    [anon_sym_async] = ACTIONS(2183),
    [anon_sym_sub] = ACTIONS(2183),
    [anon_sym_method] = ACTIONS(2183),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_continue] = ACTIONS(2183),
    [anon_sym_state] = ACTIONS(2183),
    [anon_sym_our] = ACTIONS(2183),
    [anon_sym_try] = ACTIONS(2183),
    [anon_sym_defer] = ACTIONS(2183),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(2183),
    [anon_sym_LT_LT] = ACTIONS(2183),
    [anon_sym_SLASH_SLASH] = ACTIONS(2183),
    [anon_sym_PLUS] = ACTIONS(2183),
    [anon_sym_DASH] = ACTIONS(2183),
    [anon_sym_STAR] = ACTIONS(2183),
    [anon_sym_TILDE] = ACTIONS(2183),
    [anon_sym_BANG] = ACTIONS(2183),
    [anon_sym_PLUS_PLUS] = ACTIONS(2183),
    [anon_sym_DASH_DASH] = ACTIONS(2183),
    [anon_sym_BSLASH] = ACTIONS(2181),
    [anon_sym_do] = ACTIONS(2183),
    [anon_sym_eval] = ACTIONS(2183),
    [anon_sym_await] = ACTIONS(2183),
    [anon_sym_field] = ACTIONS(2183),
    [anon_sym_local] = ACTIONS(2183),
    [anon_sym_dynamically] = ACTIONS(2183),
    [anon_sym_require] = ACTIONS(2183),
    [anon_sym_map] = ACTIONS(2183),
    [anon_sym_grep] = ACTIONS(2183),
    [anon_sym_sort] = ACTIONS(2183),
    [anon_sym_goto] = ACTIONS(2183),
    [anon_sym_return] = ACTIONS(2183),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_PERCENT2] = ACTIONS(2183),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2183),
    [anon_sym_use] = ACTIONS(2183),
    [anon_sym_no] = ACTIONS(2183),
    [anon_sym_for] = ACTIONS(2183),
    [anon_sym_foreach] = ACTIONS(2183),
    [anon_sym_last] = ACTIONS(2183),
    [anon_sym_next] = ACTIONS(2183),
    [anon_sym_redo] = ACTIONS(2183),
    [anon_sym_BEGIN] = ACTIONS(2183),
    [anon_sym_INIT] = ACTIONS(2183),
    [anon_sym_CHECK] = ACTIONS(2183),
    [anon_sym_UNITCHECK] = ACTIONS(2183),
    [anon_sym_END] = ACTIONS(2183),
    [anon_sym___FILE__] = ACTIONS(2183),
    [anon_sym___LINE__] = ACTIONS(2183),
    [anon_sym___PACKAGE__] = ACTIONS(2183),
    [anon_sym___SUB__] = ACTIONS(2183),
    [anon_sym_break] = ACTIONS(2183),
    [anon_sym_fork] = ACTIONS(2183),
    [anon_sym_getppid] = ACTIONS(2183),
    [anon_sym_time] = ACTIONS(2183),
    [anon_sym_times] = ACTIONS(2183),
    [anon_sym_wait] = ACTIONS(2183),
    [anon_sym_wantarray] = ACTIONS(2183),
    [anon_sym_abs] = ACTIONS(2183),
    [anon_sym_alarm] = ACTIONS(2183),
    [anon_sym_chop] = ACTIONS(2183),
    [anon_sym_chdir] = ACTIONS(2183),
    [anon_sym_close] = ACTIONS(2183),
    [anon_sym_closedir] = ACTIONS(2183),
    [anon_sym_caller] = ACTIONS(2183),
    [anon_sym_chomp] = ACTIONS(2183),
    [anon_sym_chr] = ACTIONS(2183),
    [anon_sym_cos] = ACTIONS(2183),
    [anon_sym_chroot] = ACTIONS(2183),
    [anon_sym_defined] = ACTIONS(2183),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_dbmclose] = ACTIONS(2183),
    [anon_sym_exists] = ACTIONS(2183),
    [anon_sym_exit] = ACTIONS(2183),
    [anon_sym_eof] = ACTIONS(2183),
    [anon_sym_exp] = ACTIONS(2183),
    [anon_sym_each] = ACTIONS(2183),
    [anon_sym_fc] = ACTIONS(2183),
    [anon_sym_fileno] = ACTIONS(2183),
    [anon_sym_gmtime] = ACTIONS(2183),
    [anon_sym_getc] = ACTIONS(2183),
    [anon_sym_getpgrp] = ACTIONS(2183),
    [anon_sym_getprotobyname] = ACTIONS(2183),
    [anon_sym_getpwname] = ACTIONS(2183),
    [anon_sym_getpwuid] = ACTIONS(2183),
    [anon_sym_getpeername] = ACTIONS(2183),
    [anon_sym_getnetbyname] = ACTIONS(2183),
    [anon_sym_getsockname] = ACTIONS(2183),
    [anon_sym_getgrnam] = ACTIONS(2183),
    [anon_sym_getgrgid] = ACTIONS(2183),
    [anon_sym_hex] = ACTIONS(2183),
    [anon_sym_int] = ACTIONS(2183),
    [anon_sym_keys] = ACTIONS(2183),
    [anon_sym_lc] = ACTIONS(2183),
    [anon_sym_lcfirst] = ACTIONS(2183),
    [anon_sym_length] = ACTIONS(2183),
    [anon_sym_localtime] = ACTIONS(2183),
    [anon_sym_log] = ACTIONS(2183),
    [anon_sym_lock] = ACTIONS(2183),
    [anon_sym_lstat] = ACTIONS(2183),
    [anon_sym_oct] = ACTIONS(2183),
    [anon_sym_ord] = ACTIONS(2183),
    [anon_sym_prototype] = ACTIONS(2183),
    [anon_sym_pop] = ACTIONS(2183),
    [anon_sym_pos] = ACTIONS(2183),
    [anon_sym_quotemeta] = ACTIONS(2183),
    [anon_sym_reset] = ACTIONS(2183),
    [anon_sym_rand] = ACTIONS(2183),
    [anon_sym_rmdir] = ACTIONS(2183),
    [anon_sym_readdir] = ACTIONS(2183),
    [anon_sym_readline] = ACTIONS(2183),
    [anon_sym_readpipe] = ACTIONS(2183),
    [anon_sym_rewinddir] = ACTIONS(2183),
    [anon_sym_readlink] = ACTIONS(2183),
    [anon_sym_ref] = ACTIONS(2183),
    [anon_sym_scalar] = ACTIONS(2183),
    [anon_sym_shift] = ACTIONS(2183),
    [anon_sym_sin] = ACTIONS(2183),
    [anon_sym_sleep] = ACTIONS(2183),
    [anon_sym_sqrt] = ACTIONS(2183),
    [anon_sym_srand] = ACTIONS(2183),
    [anon_sym_stat] = ACTIONS(2183),
    [anon_sym_study] = ACTIONS(2183),
    [anon_sym_tell] = ACTIONS(2183),
    [anon_sym_telldir] = ACTIONS(2183),
    [anon_sym_tied] = ACTIONS(2183),
    [anon_sym_uc] = ACTIONS(2183),
    [anon_sym_ucfirst] = ACTIONS(2183),
    [anon_sym_untie] = ACTIONS(2183),
    [anon_sym_umask] = ACTIONS(2183),
    [anon_sym_values] = ACTIONS(2183),
    [anon_sym_write] = ACTIONS(2183),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2183),
    [anon_sym___END__] = ACTIONS(2183),
    [anon_sym_EOT] = ACTIONS(2183),
    [anon_sym_q] = ACTIONS(2183),
    [anon_sym_qq] = ACTIONS(2183),
    [anon_sym_qw] = ACTIONS(2183),
    [anon_sym_qx] = ACTIONS(2183),
    [anon_sym_qr] = ACTIONS(2183),
    [anon_sym_m] = ACTIONS(2183),
    [anon_sym_s] = ACTIONS(2183),
    [anon_sym_tr] = ACTIONS(2183),
    [anon_sym_y] = ACTIONS(2183),
    [anon_sym_if] = ACTIONS(2183),
    [anon_sym_unless] = ACTIONS(2183),
    [anon_sym_while] = ACTIONS(2183),
    [anon_sym_until] = ACTIONS(2183),
    [aux_sym__bareword_token1] = ACTIONS(2183),
    [sym_number] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2183),
    [anon_sym_false] = ACTIONS(2183),
    [sym__single_quote] = ACTIONS(2181),
    [sym__double_quote] = ACTIONS(2181),
    [sym__backtick_quote] = ACTIONS(2181),
    [sym__search_slash_quote] = ACTIONS(2181),
    [sym__PERLY_HEREDOC] = ACTIONS(2181),
    [sym__ctrl_z_hack] = ACTIONS(2181),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2181),
    [sym__filetest] = ACTIONS(2181),
  },
  [879] = {
    [sym_heredoc_content] = STATE(879),
    [ts_builtin_sym_end] = ACTIONS(2185),
    [sym__identifier] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_SEMI] = ACTIONS(2187),
    [anon_sym_package] = ACTIONS(2187),
    [anon_sym_class] = ACTIONS(2187),
    [anon_sym_role] = ACTIONS(2187),
    [anon_sym_BUILD] = ACTIONS(2187),
    [anon_sym_ADJUST] = ACTIONS(2187),
    [anon_sym_DOLLAR] = ACTIONS(2187),
    [anon_sym_AT] = ACTIONS(2187),
    [anon_sym_my] = ACTIONS(2187),
    [anon_sym_extended] = ACTIONS(2187),
    [anon_sym_async] = ACTIONS(2187),
    [anon_sym_sub] = ACTIONS(2187),
    [anon_sym_method] = ACTIONS(2187),
    [anon_sym_LPAREN] = ACTIONS(2187),
    [anon_sym_continue] = ACTIONS(2187),
    [anon_sym_state] = ACTIONS(2187),
    [anon_sym_our] = ACTIONS(2187),
    [anon_sym_try] = ACTIONS(2187),
    [anon_sym_defer] = ACTIONS(2187),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2187),
    [anon_sym_LBRACK] = ACTIONS(2187),
    [anon_sym_LT] = ACTIONS(2187),
    [anon_sym_LT_LT] = ACTIONS(2187),
    [anon_sym_SLASH_SLASH] = ACTIONS(2187),
    [anon_sym_PLUS] = ACTIONS(2187),
    [anon_sym_DASH] = ACTIONS(2187),
    [anon_sym_STAR] = ACTIONS(2187),
    [anon_sym_TILDE] = ACTIONS(2187),
    [anon_sym_BANG] = ACTIONS(2187),
    [anon_sym_PLUS_PLUS] = ACTIONS(2187),
    [anon_sym_DASH_DASH] = ACTIONS(2187),
    [anon_sym_BSLASH] = ACTIONS(2185),
    [anon_sym_do] = ACTIONS(2187),
    [anon_sym_eval] = ACTIONS(2187),
    [anon_sym_await] = ACTIONS(2187),
    [anon_sym_field] = ACTIONS(2187),
    [anon_sym_local] = ACTIONS(2187),
    [anon_sym_dynamically] = ACTIONS(2187),
    [anon_sym_require] = ACTIONS(2187),
    [anon_sym_map] = ACTIONS(2187),
    [anon_sym_grep] = ACTIONS(2187),
    [anon_sym_sort] = ACTIONS(2187),
    [anon_sym_goto] = ACTIONS(2187),
    [anon_sym_return] = ACTIONS(2187),
    [anon_sym_undef] = ACTIONS(2187),
    [anon_sym_PERCENT2] = ACTIONS(2187),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2187),
    [anon_sym_use] = ACTIONS(2187),
    [anon_sym_no] = ACTIONS(2187),
    [anon_sym_for] = ACTIONS(2187),
    [anon_sym_foreach] = ACTIONS(2187),
    [anon_sym_last] = ACTIONS(2187),
    [anon_sym_next] = ACTIONS(2187),
    [anon_sym_redo] = ACTIONS(2187),
    [anon_sym_BEGIN] = ACTIONS(2187),
    [anon_sym_INIT] = ACTIONS(2187),
    [anon_sym_CHECK] = ACTIONS(2187),
    [anon_sym_UNITCHECK] = ACTIONS(2187),
    [anon_sym_END] = ACTIONS(2187),
    [anon_sym___FILE__] = ACTIONS(2187),
    [anon_sym___LINE__] = ACTIONS(2187),
    [anon_sym___PACKAGE__] = ACTIONS(2187),
    [anon_sym___SUB__] = ACTIONS(2187),
    [anon_sym_break] = ACTIONS(2187),
    [anon_sym_fork] = ACTIONS(2187),
    [anon_sym_getppid] = ACTIONS(2187),
    [anon_sym_time] = ACTIONS(2187),
    [anon_sym_times] = ACTIONS(2187),
    [anon_sym_wait] = ACTIONS(2187),
    [anon_sym_wantarray] = ACTIONS(2187),
    [anon_sym_abs] = ACTIONS(2187),
    [anon_sym_alarm] = ACTIONS(2187),
    [anon_sym_chop] = ACTIONS(2187),
    [anon_sym_chdir] = ACTIONS(2187),
    [anon_sym_close] = ACTIONS(2187),
    [anon_sym_closedir] = ACTIONS(2187),
    [anon_sym_caller] = ACTIONS(2187),
    [anon_sym_chomp] = ACTIONS(2187),
    [anon_sym_chr] = ACTIONS(2187),
    [anon_sym_cos] = ACTIONS(2187),
    [anon_sym_chroot] = ACTIONS(2187),
    [anon_sym_defined] = ACTIONS(2187),
    [anon_sym_delete] = ACTIONS(2187),
    [anon_sym_dbmclose] = ACTIONS(2187),
    [anon_sym_exists] = ACTIONS(2187),
    [anon_sym_exit] = ACTIONS(2187),
    [anon_sym_eof] = ACTIONS(2187),
    [anon_sym_exp] = ACTIONS(2187),
    [anon_sym_each] = ACTIONS(2187),
    [anon_sym_fc] = ACTIONS(2187),
    [anon_sym_fileno] = ACTIONS(2187),
    [anon_sym_gmtime] = ACTIONS(2187),
    [anon_sym_getc] = ACTIONS(2187),
    [anon_sym_getpgrp] = ACTIONS(2187),
    [anon_sym_getprotobyname] = ACTIONS(2187),
    [anon_sym_getpwname] = ACTIONS(2187),
    [anon_sym_getpwuid] = ACTIONS(2187),
    [anon_sym_getpeername] = ACTIONS(2187),
    [anon_sym_getnetbyname] = ACTIONS(2187),
    [anon_sym_getsockname] = ACTIONS(2187),
    [anon_sym_getgrnam] = ACTIONS(2187),
    [anon_sym_getgrgid] = ACTIONS(2187),
    [anon_sym_hex] = ACTIONS(2187),
    [anon_sym_int] = ACTIONS(2187),
    [anon_sym_keys] = ACTIONS(2187),
    [anon_sym_lc] = ACTIONS(2187),
    [anon_sym_lcfirst] = ACTIONS(2187),
    [anon_sym_length] = ACTIONS(2187),
    [anon_sym_localtime] = ACTIONS(2187),
    [anon_sym_log] = ACTIONS(2187),
    [anon_sym_lock] = ACTIONS(2187),
    [anon_sym_lstat] = ACTIONS(2187),
    [anon_sym_oct] = ACTIONS(2187),
    [anon_sym_ord] = ACTIONS(2187),
    [anon_sym_prototype] = ACTIONS(2187),
    [anon_sym_pop] = ACTIONS(2187),
    [anon_sym_pos] = ACTIONS(2187),
    [anon_sym_quotemeta] = ACTIONS(2187),
    [anon_sym_reset] = ACTIONS(2187),
    [anon_sym_rand] = ACTIONS(2187),
    [anon_sym_rmdir] = ACTIONS(2187),
    [anon_sym_readdir] = ACTIONS(2187),
    [anon_sym_readline] = ACTIONS(2187),
    [anon_sym_readpipe] = ACTIONS(2187),
    [anon_sym_rewinddir] = ACTIONS(2187),
    [anon_sym_readlink] = ACTIONS(2187),
    [anon_sym_ref] = ACTIONS(2187),
    [anon_sym_scalar] = ACTIONS(2187),
    [anon_sym_shift] = ACTIONS(2187),
    [anon_sym_sin] = ACTIONS(2187),
    [anon_sym_sleep] = ACTIONS(2187),
    [anon_sym_sqrt] = ACTIONS(2187),
    [anon_sym_srand] = ACTIONS(2187),
    [anon_sym_stat] = ACTIONS(2187),
    [anon_sym_study] = ACTIONS(2187),
    [anon_sym_tell] = ACTIONS(2187),
    [anon_sym_telldir] = ACTIONS(2187),
    [anon_sym_tied] = ACTIONS(2187),
    [anon_sym_uc] = ACTIONS(2187),
    [anon_sym_ucfirst] = ACTIONS(2187),
    [anon_sym_untie] = ACTIONS(2187),
    [anon_sym_umask] = ACTIONS(2187),
    [anon_sym_values] = ACTIONS(2187),
    [anon_sym_write] = ACTIONS(2187),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2187),
    [anon_sym___END__] = ACTIONS(2187),
    [anon_sym_EOT] = ACTIONS(2187),
    [anon_sym_q] = ACTIONS(2187),
    [anon_sym_qq] = ACTIONS(2187),
    [anon_sym_qw] = ACTIONS(2187),
    [anon_sym_qx] = ACTIONS(2187),
    [anon_sym_qr] = ACTIONS(2187),
    [anon_sym_m] = ACTIONS(2187),
    [anon_sym_s] = ACTIONS(2187),
    [anon_sym_tr] = ACTIONS(2187),
    [anon_sym_y] = ACTIONS(2187),
    [anon_sym_if] = ACTIONS(2187),
    [anon_sym_unless] = ACTIONS(2187),
    [anon_sym_while] = ACTIONS(2187),
    [anon_sym_until] = ACTIONS(2187),
    [aux_sym__bareword_token1] = ACTIONS(2187),
    [sym_number] = ACTIONS(2187),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [sym__single_quote] = ACTIONS(2185),
    [sym__double_quote] = ACTIONS(2185),
    [sym__backtick_quote] = ACTIONS(2185),
    [sym__search_slash_quote] = ACTIONS(2185),
    [sym__PERLY_HEREDOC] = ACTIONS(2185),
    [sym__ctrl_z_hack] = ACTIONS(2185),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2185),
    [sym__filetest] = ACTIONS(2185),
  },
  [880] = {
    [sym_heredoc_content] = STATE(880),
    [ts_builtin_sym_end] = ACTIONS(2189),
    [sym__identifier] = ACTIONS(2191),
    [anon_sym_LBRACE] = ACTIONS(2191),
    [anon_sym_SEMI] = ACTIONS(2191),
    [anon_sym_package] = ACTIONS(2191),
    [anon_sym_class] = ACTIONS(2191),
    [anon_sym_role] = ACTIONS(2191),
    [anon_sym_BUILD] = ACTIONS(2191),
    [anon_sym_ADJUST] = ACTIONS(2191),
    [anon_sym_DOLLAR] = ACTIONS(2191),
    [anon_sym_AT] = ACTIONS(2191),
    [anon_sym_my] = ACTIONS(2191),
    [anon_sym_extended] = ACTIONS(2191),
    [anon_sym_async] = ACTIONS(2191),
    [anon_sym_sub] = ACTIONS(2191),
    [anon_sym_method] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_continue] = ACTIONS(2191),
    [anon_sym_state] = ACTIONS(2191),
    [anon_sym_our] = ACTIONS(2191),
    [anon_sym_try] = ACTIONS(2191),
    [anon_sym_defer] = ACTIONS(2191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2191),
    [anon_sym_LBRACK] = ACTIONS(2191),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_LT_LT] = ACTIONS(2191),
    [anon_sym_SLASH_SLASH] = ACTIONS(2191),
    [anon_sym_PLUS] = ACTIONS(2191),
    [anon_sym_DASH] = ACTIONS(2191),
    [anon_sym_STAR] = ACTIONS(2191),
    [anon_sym_TILDE] = ACTIONS(2191),
    [anon_sym_BANG] = ACTIONS(2191),
    [anon_sym_PLUS_PLUS] = ACTIONS(2191),
    [anon_sym_DASH_DASH] = ACTIONS(2191),
    [anon_sym_BSLASH] = ACTIONS(2189),
    [anon_sym_do] = ACTIONS(2191),
    [anon_sym_eval] = ACTIONS(2191),
    [anon_sym_await] = ACTIONS(2191),
    [anon_sym_field] = ACTIONS(2191),
    [anon_sym_local] = ACTIONS(2191),
    [anon_sym_dynamically] = ACTIONS(2191),
    [anon_sym_require] = ACTIONS(2191),
    [anon_sym_map] = ACTIONS(2191),
    [anon_sym_grep] = ACTIONS(2191),
    [anon_sym_sort] = ACTIONS(2191),
    [anon_sym_goto] = ACTIONS(2191),
    [anon_sym_return] = ACTIONS(2191),
    [anon_sym_undef] = ACTIONS(2191),
    [anon_sym_PERCENT2] = ACTIONS(2191),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2191),
    [anon_sym_use] = ACTIONS(2191),
    [anon_sym_no] = ACTIONS(2191),
    [anon_sym_for] = ACTIONS(2191),
    [anon_sym_foreach] = ACTIONS(2191),
    [anon_sym_last] = ACTIONS(2191),
    [anon_sym_next] = ACTIONS(2191),
    [anon_sym_redo] = ACTIONS(2191),
    [anon_sym_BEGIN] = ACTIONS(2191),
    [anon_sym_INIT] = ACTIONS(2191),
    [anon_sym_CHECK] = ACTIONS(2191),
    [anon_sym_UNITCHECK] = ACTIONS(2191),
    [anon_sym_END] = ACTIONS(2191),
    [anon_sym___FILE__] = ACTIONS(2191),
    [anon_sym___LINE__] = ACTIONS(2191),
    [anon_sym___PACKAGE__] = ACTIONS(2191),
    [anon_sym___SUB__] = ACTIONS(2191),
    [anon_sym_break] = ACTIONS(2191),
    [anon_sym_fork] = ACTIONS(2191),
    [anon_sym_getppid] = ACTIONS(2191),
    [anon_sym_time] = ACTIONS(2191),
    [anon_sym_times] = ACTIONS(2191),
    [anon_sym_wait] = ACTIONS(2191),
    [anon_sym_wantarray] = ACTIONS(2191),
    [anon_sym_abs] = ACTIONS(2191),
    [anon_sym_alarm] = ACTIONS(2191),
    [anon_sym_chop] = ACTIONS(2191),
    [anon_sym_chdir] = ACTIONS(2191),
    [anon_sym_close] = ACTIONS(2191),
    [anon_sym_closedir] = ACTIONS(2191),
    [anon_sym_caller] = ACTIONS(2191),
    [anon_sym_chomp] = ACTIONS(2191),
    [anon_sym_chr] = ACTIONS(2191),
    [anon_sym_cos] = ACTIONS(2191),
    [anon_sym_chroot] = ACTIONS(2191),
    [anon_sym_defined] = ACTIONS(2191),
    [anon_sym_delete] = ACTIONS(2191),
    [anon_sym_dbmclose] = ACTIONS(2191),
    [anon_sym_exists] = ACTIONS(2191),
    [anon_sym_exit] = ACTIONS(2191),
    [anon_sym_eof] = ACTIONS(2191),
    [anon_sym_exp] = ACTIONS(2191),
    [anon_sym_each] = ACTIONS(2191),
    [anon_sym_fc] = ACTIONS(2191),
    [anon_sym_fileno] = ACTIONS(2191),
    [anon_sym_gmtime] = ACTIONS(2191),
    [anon_sym_getc] = ACTIONS(2191),
    [anon_sym_getpgrp] = ACTIONS(2191),
    [anon_sym_getprotobyname] = ACTIONS(2191),
    [anon_sym_getpwname] = ACTIONS(2191),
    [anon_sym_getpwuid] = ACTIONS(2191),
    [anon_sym_getpeername] = ACTIONS(2191),
    [anon_sym_getnetbyname] = ACTIONS(2191),
    [anon_sym_getsockname] = ACTIONS(2191),
    [anon_sym_getgrnam] = ACTIONS(2191),
    [anon_sym_getgrgid] = ACTIONS(2191),
    [anon_sym_hex] = ACTIONS(2191),
    [anon_sym_int] = ACTIONS(2191),
    [anon_sym_keys] = ACTIONS(2191),
    [anon_sym_lc] = ACTIONS(2191),
    [anon_sym_lcfirst] = ACTIONS(2191),
    [anon_sym_length] = ACTIONS(2191),
    [anon_sym_localtime] = ACTIONS(2191),
    [anon_sym_log] = ACTIONS(2191),
    [anon_sym_lock] = ACTIONS(2191),
    [anon_sym_lstat] = ACTIONS(2191),
    [anon_sym_oct] = ACTIONS(2191),
    [anon_sym_ord] = ACTIONS(2191),
    [anon_sym_prototype] = ACTIONS(2191),
    [anon_sym_pop] = ACTIONS(2191),
    [anon_sym_pos] = ACTIONS(2191),
    [anon_sym_quotemeta] = ACTIONS(2191),
    [anon_sym_reset] = ACTIONS(2191),
    [anon_sym_rand] = ACTIONS(2191),
    [anon_sym_rmdir] = ACTIONS(2191),
    [anon_sym_readdir] = ACTIONS(2191),
    [anon_sym_readline] = ACTIONS(2191),
    [anon_sym_readpipe] = ACTIONS(2191),
    [anon_sym_rewinddir] = ACTIONS(2191),
    [anon_sym_readlink] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2191),
    [anon_sym_scalar] = ACTIONS(2191),
    [anon_sym_shift] = ACTIONS(2191),
    [anon_sym_sin] = ACTIONS(2191),
    [anon_sym_sleep] = ACTIONS(2191),
    [anon_sym_sqrt] = ACTIONS(2191),
    [anon_sym_srand] = ACTIONS(2191),
    [anon_sym_stat] = ACTIONS(2191),
    [anon_sym_study] = ACTIONS(2191),
    [anon_sym_tell] = ACTIONS(2191),
    [anon_sym_telldir] = ACTIONS(2191),
    [anon_sym_tied] = ACTIONS(2191),
    [anon_sym_uc] = ACTIONS(2191),
    [anon_sym_ucfirst] = ACTIONS(2191),
    [anon_sym_untie] = ACTIONS(2191),
    [anon_sym_umask] = ACTIONS(2191),
    [anon_sym_values] = ACTIONS(2191),
    [anon_sym_write] = ACTIONS(2191),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2191),
    [anon_sym___END__] = ACTIONS(2191),
    [anon_sym_EOT] = ACTIONS(2191),
    [anon_sym_q] = ACTIONS(2191),
    [anon_sym_qq] = ACTIONS(2191),
    [anon_sym_qw] = ACTIONS(2191),
    [anon_sym_qx] = ACTIONS(2191),
    [anon_sym_qr] = ACTIONS(2191),
    [anon_sym_m] = ACTIONS(2191),
    [anon_sym_s] = ACTIONS(2191),
    [anon_sym_tr] = ACTIONS(2191),
    [anon_sym_y] = ACTIONS(2191),
    [anon_sym_if] = ACTIONS(2191),
    [anon_sym_unless] = ACTIONS(2191),
    [anon_sym_while] = ACTIONS(2191),
    [anon_sym_until] = ACTIONS(2191),
    [aux_sym__bareword_token1] = ACTIONS(2191),
    [sym_number] = ACTIONS(2191),
    [anon_sym_true] = ACTIONS(2191),
    [anon_sym_false] = ACTIONS(2191),
    [sym__single_quote] = ACTIONS(2189),
    [sym__double_quote] = ACTIONS(2189),
    [sym__backtick_quote] = ACTIONS(2189),
    [sym__search_slash_quote] = ACTIONS(2189),
    [sym__PERLY_HEREDOC] = ACTIONS(2189),
    [sym__ctrl_z_hack] = ACTIONS(2189),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2189),
    [sym__filetest] = ACTIONS(2189),
  },
  [881] = {
    [sym_heredoc_content] = STATE(881),
    [ts_builtin_sym_end] = ACTIONS(2193),
    [sym__identifier] = ACTIONS(2195),
    [anon_sym_LBRACE] = ACTIONS(2195),
    [anon_sym_SEMI] = ACTIONS(2195),
    [anon_sym_package] = ACTIONS(2195),
    [anon_sym_class] = ACTIONS(2195),
    [anon_sym_role] = ACTIONS(2195),
    [anon_sym_BUILD] = ACTIONS(2195),
    [anon_sym_ADJUST] = ACTIONS(2195),
    [anon_sym_DOLLAR] = ACTIONS(2195),
    [anon_sym_AT] = ACTIONS(2195),
    [anon_sym_my] = ACTIONS(2195),
    [anon_sym_extended] = ACTIONS(2195),
    [anon_sym_async] = ACTIONS(2195),
    [anon_sym_sub] = ACTIONS(2195),
    [anon_sym_method] = ACTIONS(2195),
    [anon_sym_LPAREN] = ACTIONS(2195),
    [anon_sym_continue] = ACTIONS(2195),
    [anon_sym_state] = ACTIONS(2195),
    [anon_sym_our] = ACTIONS(2195),
    [anon_sym_try] = ACTIONS(2195),
    [anon_sym_defer] = ACTIONS(2195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_LT] = ACTIONS(2195),
    [anon_sym_LT_LT] = ACTIONS(2195),
    [anon_sym_SLASH_SLASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(2195),
    [anon_sym_TILDE] = ACTIONS(2195),
    [anon_sym_BANG] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(2195),
    [anon_sym_BSLASH] = ACTIONS(2193),
    [anon_sym_do] = ACTIONS(2195),
    [anon_sym_eval] = ACTIONS(2195),
    [anon_sym_await] = ACTIONS(2195),
    [anon_sym_field] = ACTIONS(2195),
    [anon_sym_local] = ACTIONS(2195),
    [anon_sym_dynamically] = ACTIONS(2195),
    [anon_sym_require] = ACTIONS(2195),
    [anon_sym_map] = ACTIONS(2195),
    [anon_sym_grep] = ACTIONS(2195),
    [anon_sym_sort] = ACTIONS(2195),
    [anon_sym_goto] = ACTIONS(2195),
    [anon_sym_return] = ACTIONS(2195),
    [anon_sym_undef] = ACTIONS(2195),
    [anon_sym_PERCENT2] = ACTIONS(2195),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2195),
    [anon_sym_use] = ACTIONS(2195),
    [anon_sym_no] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2195),
    [anon_sym_foreach] = ACTIONS(2195),
    [anon_sym_last] = ACTIONS(2195),
    [anon_sym_next] = ACTIONS(2195),
    [anon_sym_redo] = ACTIONS(2195),
    [anon_sym_BEGIN] = ACTIONS(2195),
    [anon_sym_INIT] = ACTIONS(2195),
    [anon_sym_CHECK] = ACTIONS(2195),
    [anon_sym_UNITCHECK] = ACTIONS(2195),
    [anon_sym_END] = ACTIONS(2195),
    [anon_sym___FILE__] = ACTIONS(2195),
    [anon_sym___LINE__] = ACTIONS(2195),
    [anon_sym___PACKAGE__] = ACTIONS(2195),
    [anon_sym___SUB__] = ACTIONS(2195),
    [anon_sym_break] = ACTIONS(2195),
    [anon_sym_fork] = ACTIONS(2195),
    [anon_sym_getppid] = ACTIONS(2195),
    [anon_sym_time] = ACTIONS(2195),
    [anon_sym_times] = ACTIONS(2195),
    [anon_sym_wait] = ACTIONS(2195),
    [anon_sym_wantarray] = ACTIONS(2195),
    [anon_sym_abs] = ACTIONS(2195),
    [anon_sym_alarm] = ACTIONS(2195),
    [anon_sym_chop] = ACTIONS(2195),
    [anon_sym_chdir] = ACTIONS(2195),
    [anon_sym_close] = ACTIONS(2195),
    [anon_sym_closedir] = ACTIONS(2195),
    [anon_sym_caller] = ACTIONS(2195),
    [anon_sym_chomp] = ACTIONS(2195),
    [anon_sym_chr] = ACTIONS(2195),
    [anon_sym_cos] = ACTIONS(2195),
    [anon_sym_chroot] = ACTIONS(2195),
    [anon_sym_defined] = ACTIONS(2195),
    [anon_sym_delete] = ACTIONS(2195),
    [anon_sym_dbmclose] = ACTIONS(2195),
    [anon_sym_exists] = ACTIONS(2195),
    [anon_sym_exit] = ACTIONS(2195),
    [anon_sym_eof] = ACTIONS(2195),
    [anon_sym_exp] = ACTIONS(2195),
    [anon_sym_each] = ACTIONS(2195),
    [anon_sym_fc] = ACTIONS(2195),
    [anon_sym_fileno] = ACTIONS(2195),
    [anon_sym_gmtime] = ACTIONS(2195),
    [anon_sym_getc] = ACTIONS(2195),
    [anon_sym_getpgrp] = ACTIONS(2195),
    [anon_sym_getprotobyname] = ACTIONS(2195),
    [anon_sym_getpwname] = ACTIONS(2195),
    [anon_sym_getpwuid] = ACTIONS(2195),
    [anon_sym_getpeername] = ACTIONS(2195),
    [anon_sym_getnetbyname] = ACTIONS(2195),
    [anon_sym_getsockname] = ACTIONS(2195),
    [anon_sym_getgrnam] = ACTIONS(2195),
    [anon_sym_getgrgid] = ACTIONS(2195),
    [anon_sym_hex] = ACTIONS(2195),
    [anon_sym_int] = ACTIONS(2195),
    [anon_sym_keys] = ACTIONS(2195),
    [anon_sym_lc] = ACTIONS(2195),
    [anon_sym_lcfirst] = ACTIONS(2195),
    [anon_sym_length] = ACTIONS(2195),
    [anon_sym_localtime] = ACTIONS(2195),
    [anon_sym_log] = ACTIONS(2195),
    [anon_sym_lock] = ACTIONS(2195),
    [anon_sym_lstat] = ACTIONS(2195),
    [anon_sym_oct] = ACTIONS(2195),
    [anon_sym_ord] = ACTIONS(2195),
    [anon_sym_prototype] = ACTIONS(2195),
    [anon_sym_pop] = ACTIONS(2195),
    [anon_sym_pos] = ACTIONS(2195),
    [anon_sym_quotemeta] = ACTIONS(2195),
    [anon_sym_reset] = ACTIONS(2195),
    [anon_sym_rand] = ACTIONS(2195),
    [anon_sym_rmdir] = ACTIONS(2195),
    [anon_sym_readdir] = ACTIONS(2195),
    [anon_sym_readline] = ACTIONS(2195),
    [anon_sym_readpipe] = ACTIONS(2195),
    [anon_sym_rewinddir] = ACTIONS(2195),
    [anon_sym_readlink] = ACTIONS(2195),
    [anon_sym_ref] = ACTIONS(2195),
    [anon_sym_scalar] = ACTIONS(2195),
    [anon_sym_shift] = ACTIONS(2195),
    [anon_sym_sin] = ACTIONS(2195),
    [anon_sym_sleep] = ACTIONS(2195),
    [anon_sym_sqrt] = ACTIONS(2195),
    [anon_sym_srand] = ACTIONS(2195),
    [anon_sym_stat] = ACTIONS(2195),
    [anon_sym_study] = ACTIONS(2195),
    [anon_sym_tell] = ACTIONS(2195),
    [anon_sym_telldir] = ACTIONS(2195),
    [anon_sym_tied] = ACTIONS(2195),
    [anon_sym_uc] = ACTIONS(2195),
    [anon_sym_ucfirst] = ACTIONS(2195),
    [anon_sym_untie] = ACTIONS(2195),
    [anon_sym_umask] = ACTIONS(2195),
    [anon_sym_values] = ACTIONS(2195),
    [anon_sym_write] = ACTIONS(2195),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2195),
    [anon_sym___END__] = ACTIONS(2195),
    [anon_sym_EOT] = ACTIONS(2195),
    [anon_sym_q] = ACTIONS(2195),
    [anon_sym_qq] = ACTIONS(2195),
    [anon_sym_qw] = ACTIONS(2195),
    [anon_sym_qx] = ACTIONS(2195),
    [anon_sym_qr] = ACTIONS(2195),
    [anon_sym_m] = ACTIONS(2195),
    [anon_sym_s] = ACTIONS(2195),
    [anon_sym_tr] = ACTIONS(2195),
    [anon_sym_y] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_unless] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_until] = ACTIONS(2195),
    [aux_sym__bareword_token1] = ACTIONS(2195),
    [sym_number] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2195),
    [anon_sym_false] = ACTIONS(2195),
    [sym__single_quote] = ACTIONS(2193),
    [sym__double_quote] = ACTIONS(2193),
    [sym__backtick_quote] = ACTIONS(2193),
    [sym__search_slash_quote] = ACTIONS(2193),
    [sym__PERLY_HEREDOC] = ACTIONS(2193),
    [sym__ctrl_z_hack] = ACTIONS(2193),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2193),
    [sym__filetest] = ACTIONS(2193),
  },
  [882] = {
    [sym_heredoc_content] = STATE(882),
    [ts_builtin_sym_end] = ACTIONS(2197),
    [sym__identifier] = ACTIONS(2199),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym_package] = ACTIONS(2199),
    [anon_sym_class] = ACTIONS(2199),
    [anon_sym_role] = ACTIONS(2199),
    [anon_sym_BUILD] = ACTIONS(2199),
    [anon_sym_ADJUST] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2199),
    [anon_sym_AT] = ACTIONS(2199),
    [anon_sym_my] = ACTIONS(2199),
    [anon_sym_extended] = ACTIONS(2199),
    [anon_sym_async] = ACTIONS(2199),
    [anon_sym_sub] = ACTIONS(2199),
    [anon_sym_method] = ACTIONS(2199),
    [anon_sym_LPAREN] = ACTIONS(2199),
    [anon_sym_continue] = ACTIONS(2199),
    [anon_sym_state] = ACTIONS(2199),
    [anon_sym_our] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_defer] = ACTIONS(2199),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2199),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_LT_LT] = ACTIONS(2199),
    [anon_sym_SLASH_SLASH] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2199),
    [anon_sym_DASH] = ACTIONS(2199),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_BSLASH] = ACTIONS(2197),
    [anon_sym_do] = ACTIONS(2199),
    [anon_sym_eval] = ACTIONS(2199),
    [anon_sym_await] = ACTIONS(2199),
    [anon_sym_field] = ACTIONS(2199),
    [anon_sym_local] = ACTIONS(2199),
    [anon_sym_dynamically] = ACTIONS(2199),
    [anon_sym_require] = ACTIONS(2199),
    [anon_sym_map] = ACTIONS(2199),
    [anon_sym_grep] = ACTIONS(2199),
    [anon_sym_sort] = ACTIONS(2199),
    [anon_sym_goto] = ACTIONS(2199),
    [anon_sym_return] = ACTIONS(2199),
    [anon_sym_undef] = ACTIONS(2199),
    [anon_sym_PERCENT2] = ACTIONS(2199),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2199),
    [anon_sym_use] = ACTIONS(2199),
    [anon_sym_no] = ACTIONS(2199),
    [anon_sym_for] = ACTIONS(2199),
    [anon_sym_foreach] = ACTIONS(2199),
    [anon_sym_last] = ACTIONS(2199),
    [anon_sym_next] = ACTIONS(2199),
    [anon_sym_redo] = ACTIONS(2199),
    [anon_sym_BEGIN] = ACTIONS(2199),
    [anon_sym_INIT] = ACTIONS(2199),
    [anon_sym_CHECK] = ACTIONS(2199),
    [anon_sym_UNITCHECK] = ACTIONS(2199),
    [anon_sym_END] = ACTIONS(2199),
    [anon_sym___FILE__] = ACTIONS(2199),
    [anon_sym___LINE__] = ACTIONS(2199),
    [anon_sym___PACKAGE__] = ACTIONS(2199),
    [anon_sym___SUB__] = ACTIONS(2199),
    [anon_sym_break] = ACTIONS(2199),
    [anon_sym_fork] = ACTIONS(2199),
    [anon_sym_getppid] = ACTIONS(2199),
    [anon_sym_time] = ACTIONS(2199),
    [anon_sym_times] = ACTIONS(2199),
    [anon_sym_wait] = ACTIONS(2199),
    [anon_sym_wantarray] = ACTIONS(2199),
    [anon_sym_abs] = ACTIONS(2199),
    [anon_sym_alarm] = ACTIONS(2199),
    [anon_sym_chop] = ACTIONS(2199),
    [anon_sym_chdir] = ACTIONS(2199),
    [anon_sym_close] = ACTIONS(2199),
    [anon_sym_closedir] = ACTIONS(2199),
    [anon_sym_caller] = ACTIONS(2199),
    [anon_sym_chomp] = ACTIONS(2199),
    [anon_sym_chr] = ACTIONS(2199),
    [anon_sym_cos] = ACTIONS(2199),
    [anon_sym_chroot] = ACTIONS(2199),
    [anon_sym_defined] = ACTIONS(2199),
    [anon_sym_delete] = ACTIONS(2199),
    [anon_sym_dbmclose] = ACTIONS(2199),
    [anon_sym_exists] = ACTIONS(2199),
    [anon_sym_exit] = ACTIONS(2199),
    [anon_sym_eof] = ACTIONS(2199),
    [anon_sym_exp] = ACTIONS(2199),
    [anon_sym_each] = ACTIONS(2199),
    [anon_sym_fc] = ACTIONS(2199),
    [anon_sym_fileno] = ACTIONS(2199),
    [anon_sym_gmtime] = ACTIONS(2199),
    [anon_sym_getc] = ACTIONS(2199),
    [anon_sym_getpgrp] = ACTIONS(2199),
    [anon_sym_getprotobyname] = ACTIONS(2199),
    [anon_sym_getpwname] = ACTIONS(2199),
    [anon_sym_getpwuid] = ACTIONS(2199),
    [anon_sym_getpeername] = ACTIONS(2199),
    [anon_sym_getnetbyname] = ACTIONS(2199),
    [anon_sym_getsockname] = ACTIONS(2199),
    [anon_sym_getgrnam] = ACTIONS(2199),
    [anon_sym_getgrgid] = ACTIONS(2199),
    [anon_sym_hex] = ACTIONS(2199),
    [anon_sym_int] = ACTIONS(2199),
    [anon_sym_keys] = ACTIONS(2199),
    [anon_sym_lc] = ACTIONS(2199),
    [anon_sym_lcfirst] = ACTIONS(2199),
    [anon_sym_length] = ACTIONS(2199),
    [anon_sym_localtime] = ACTIONS(2199),
    [anon_sym_log] = ACTIONS(2199),
    [anon_sym_lock] = ACTIONS(2199),
    [anon_sym_lstat] = ACTIONS(2199),
    [anon_sym_oct] = ACTIONS(2199),
    [anon_sym_ord] = ACTIONS(2199),
    [anon_sym_prototype] = ACTIONS(2199),
    [anon_sym_pop] = ACTIONS(2199),
    [anon_sym_pos] = ACTIONS(2199),
    [anon_sym_quotemeta] = ACTIONS(2199),
    [anon_sym_reset] = ACTIONS(2199),
    [anon_sym_rand] = ACTIONS(2199),
    [anon_sym_rmdir] = ACTIONS(2199),
    [anon_sym_readdir] = ACTIONS(2199),
    [anon_sym_readline] = ACTIONS(2199),
    [anon_sym_readpipe] = ACTIONS(2199),
    [anon_sym_rewinddir] = ACTIONS(2199),
    [anon_sym_readlink] = ACTIONS(2199),
    [anon_sym_ref] = ACTIONS(2199),
    [anon_sym_scalar] = ACTIONS(2199),
    [anon_sym_shift] = ACTIONS(2199),
    [anon_sym_sin] = ACTIONS(2199),
    [anon_sym_sleep] = ACTIONS(2199),
    [anon_sym_sqrt] = ACTIONS(2199),
    [anon_sym_srand] = ACTIONS(2199),
    [anon_sym_stat] = ACTIONS(2199),
    [anon_sym_study] = ACTIONS(2199),
    [anon_sym_tell] = ACTIONS(2199),
    [anon_sym_telldir] = ACTIONS(2199),
    [anon_sym_tied] = ACTIONS(2199),
    [anon_sym_uc] = ACTIONS(2199),
    [anon_sym_ucfirst] = ACTIONS(2199),
    [anon_sym_untie] = ACTIONS(2199),
    [anon_sym_umask] = ACTIONS(2199),
    [anon_sym_values] = ACTIONS(2199),
    [anon_sym_write] = ACTIONS(2199),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2199),
    [anon_sym___END__] = ACTIONS(2199),
    [anon_sym_EOT] = ACTIONS(2199),
    [anon_sym_q] = ACTIONS(2199),
    [anon_sym_qq] = ACTIONS(2199),
    [anon_sym_qw] = ACTIONS(2199),
    [anon_sym_qx] = ACTIONS(2199),
    [anon_sym_qr] = ACTIONS(2199),
    [anon_sym_m] = ACTIONS(2199),
    [anon_sym_s] = ACTIONS(2199),
    [anon_sym_tr] = ACTIONS(2199),
    [anon_sym_y] = ACTIONS(2199),
    [anon_sym_if] = ACTIONS(2199),
    [anon_sym_unless] = ACTIONS(2199),
    [anon_sym_while] = ACTIONS(2199),
    [anon_sym_until] = ACTIONS(2199),
    [aux_sym__bareword_token1] = ACTIONS(2199),
    [sym_number] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(2199),
    [anon_sym_false] = ACTIONS(2199),
    [sym__single_quote] = ACTIONS(2197),
    [sym__double_quote] = ACTIONS(2197),
    [sym__backtick_quote] = ACTIONS(2197),
    [sym__search_slash_quote] = ACTIONS(2197),
    [sym__PERLY_HEREDOC] = ACTIONS(2197),
    [sym__ctrl_z_hack] = ACTIONS(2197),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2197),
    [sym__filetest] = ACTIONS(2197),
  },
  [883] = {
    [sym_heredoc_content] = STATE(883),
    [ts_builtin_sym_end] = ACTIONS(2201),
    [sym__identifier] = ACTIONS(2203),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym_package] = ACTIONS(2203),
    [anon_sym_class] = ACTIONS(2203),
    [anon_sym_role] = ACTIONS(2203),
    [anon_sym_BUILD] = ACTIONS(2203),
    [anon_sym_ADJUST] = ACTIONS(2203),
    [anon_sym_DOLLAR] = ACTIONS(2203),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_my] = ACTIONS(2203),
    [anon_sym_extended] = ACTIONS(2203),
    [anon_sym_async] = ACTIONS(2203),
    [anon_sym_sub] = ACTIONS(2203),
    [anon_sym_method] = ACTIONS(2203),
    [anon_sym_LPAREN] = ACTIONS(2203),
    [anon_sym_continue] = ACTIONS(2203),
    [anon_sym_state] = ACTIONS(2203),
    [anon_sym_our] = ACTIONS(2203),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_defer] = ACTIONS(2203),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2203),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [anon_sym_LT] = ACTIONS(2203),
    [anon_sym_LT_LT] = ACTIONS(2203),
    [anon_sym_SLASH_SLASH] = ACTIONS(2203),
    [anon_sym_PLUS] = ACTIONS(2203),
    [anon_sym_DASH] = ACTIONS(2203),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [anon_sym_BSLASH] = ACTIONS(2201),
    [anon_sym_do] = ACTIONS(2203),
    [anon_sym_eval] = ACTIONS(2203),
    [anon_sym_await] = ACTIONS(2203),
    [anon_sym_field] = ACTIONS(2203),
    [anon_sym_local] = ACTIONS(2203),
    [anon_sym_dynamically] = ACTIONS(2203),
    [anon_sym_require] = ACTIONS(2203),
    [anon_sym_map] = ACTIONS(2203),
    [anon_sym_grep] = ACTIONS(2203),
    [anon_sym_sort] = ACTIONS(2203),
    [anon_sym_goto] = ACTIONS(2203),
    [anon_sym_return] = ACTIONS(2203),
    [anon_sym_undef] = ACTIONS(2203),
    [anon_sym_PERCENT2] = ACTIONS(2203),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2203),
    [anon_sym_use] = ACTIONS(2203),
    [anon_sym_no] = ACTIONS(2203),
    [anon_sym_for] = ACTIONS(2203),
    [anon_sym_foreach] = ACTIONS(2203),
    [anon_sym_last] = ACTIONS(2203),
    [anon_sym_next] = ACTIONS(2203),
    [anon_sym_redo] = ACTIONS(2203),
    [anon_sym_BEGIN] = ACTIONS(2203),
    [anon_sym_INIT] = ACTIONS(2203),
    [anon_sym_CHECK] = ACTIONS(2203),
    [anon_sym_UNITCHECK] = ACTIONS(2203),
    [anon_sym_END] = ACTIONS(2203),
    [anon_sym___FILE__] = ACTIONS(2203),
    [anon_sym___LINE__] = ACTIONS(2203),
    [anon_sym___PACKAGE__] = ACTIONS(2203),
    [anon_sym___SUB__] = ACTIONS(2203),
    [anon_sym_break] = ACTIONS(2203),
    [anon_sym_fork] = ACTIONS(2203),
    [anon_sym_getppid] = ACTIONS(2203),
    [anon_sym_time] = ACTIONS(2203),
    [anon_sym_times] = ACTIONS(2203),
    [anon_sym_wait] = ACTIONS(2203),
    [anon_sym_wantarray] = ACTIONS(2203),
    [anon_sym_abs] = ACTIONS(2203),
    [anon_sym_alarm] = ACTIONS(2203),
    [anon_sym_chop] = ACTIONS(2203),
    [anon_sym_chdir] = ACTIONS(2203),
    [anon_sym_close] = ACTIONS(2203),
    [anon_sym_closedir] = ACTIONS(2203),
    [anon_sym_caller] = ACTIONS(2203),
    [anon_sym_chomp] = ACTIONS(2203),
    [anon_sym_chr] = ACTIONS(2203),
    [anon_sym_cos] = ACTIONS(2203),
    [anon_sym_chroot] = ACTIONS(2203),
    [anon_sym_defined] = ACTIONS(2203),
    [anon_sym_delete] = ACTIONS(2203),
    [anon_sym_dbmclose] = ACTIONS(2203),
    [anon_sym_exists] = ACTIONS(2203),
    [anon_sym_exit] = ACTIONS(2203),
    [anon_sym_eof] = ACTIONS(2203),
    [anon_sym_exp] = ACTIONS(2203),
    [anon_sym_each] = ACTIONS(2203),
    [anon_sym_fc] = ACTIONS(2203),
    [anon_sym_fileno] = ACTIONS(2203),
    [anon_sym_gmtime] = ACTIONS(2203),
    [anon_sym_getc] = ACTIONS(2203),
    [anon_sym_getpgrp] = ACTIONS(2203),
    [anon_sym_getprotobyname] = ACTIONS(2203),
    [anon_sym_getpwname] = ACTIONS(2203),
    [anon_sym_getpwuid] = ACTIONS(2203),
    [anon_sym_getpeername] = ACTIONS(2203),
    [anon_sym_getnetbyname] = ACTIONS(2203),
    [anon_sym_getsockname] = ACTIONS(2203),
    [anon_sym_getgrnam] = ACTIONS(2203),
    [anon_sym_getgrgid] = ACTIONS(2203),
    [anon_sym_hex] = ACTIONS(2203),
    [anon_sym_int] = ACTIONS(2203),
    [anon_sym_keys] = ACTIONS(2203),
    [anon_sym_lc] = ACTIONS(2203),
    [anon_sym_lcfirst] = ACTIONS(2203),
    [anon_sym_length] = ACTIONS(2203),
    [anon_sym_localtime] = ACTIONS(2203),
    [anon_sym_log] = ACTIONS(2203),
    [anon_sym_lock] = ACTIONS(2203),
    [anon_sym_lstat] = ACTIONS(2203),
    [anon_sym_oct] = ACTIONS(2203),
    [anon_sym_ord] = ACTIONS(2203),
    [anon_sym_prototype] = ACTIONS(2203),
    [anon_sym_pop] = ACTIONS(2203),
    [anon_sym_pos] = ACTIONS(2203),
    [anon_sym_quotemeta] = ACTIONS(2203),
    [anon_sym_reset] = ACTIONS(2203),
    [anon_sym_rand] = ACTIONS(2203),
    [anon_sym_rmdir] = ACTIONS(2203),
    [anon_sym_readdir] = ACTIONS(2203),
    [anon_sym_readline] = ACTIONS(2203),
    [anon_sym_readpipe] = ACTIONS(2203),
    [anon_sym_rewinddir] = ACTIONS(2203),
    [anon_sym_readlink] = ACTIONS(2203),
    [anon_sym_ref] = ACTIONS(2203),
    [anon_sym_scalar] = ACTIONS(2203),
    [anon_sym_shift] = ACTIONS(2203),
    [anon_sym_sin] = ACTIONS(2203),
    [anon_sym_sleep] = ACTIONS(2203),
    [anon_sym_sqrt] = ACTIONS(2203),
    [anon_sym_srand] = ACTIONS(2203),
    [anon_sym_stat] = ACTIONS(2203),
    [anon_sym_study] = ACTIONS(2203),
    [anon_sym_tell] = ACTIONS(2203),
    [anon_sym_telldir] = ACTIONS(2203),
    [anon_sym_tied] = ACTIONS(2203),
    [anon_sym_uc] = ACTIONS(2203),
    [anon_sym_ucfirst] = ACTIONS(2203),
    [anon_sym_untie] = ACTIONS(2203),
    [anon_sym_umask] = ACTIONS(2203),
    [anon_sym_values] = ACTIONS(2203),
    [anon_sym_write] = ACTIONS(2203),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2203),
    [anon_sym___END__] = ACTIONS(2203),
    [anon_sym_EOT] = ACTIONS(2203),
    [anon_sym_q] = ACTIONS(2203),
    [anon_sym_qq] = ACTIONS(2203),
    [anon_sym_qw] = ACTIONS(2203),
    [anon_sym_qx] = ACTIONS(2203),
    [anon_sym_qr] = ACTIONS(2203),
    [anon_sym_m] = ACTIONS(2203),
    [anon_sym_s] = ACTIONS(2203),
    [anon_sym_tr] = ACTIONS(2203),
    [anon_sym_y] = ACTIONS(2203),
    [anon_sym_if] = ACTIONS(2203),
    [anon_sym_unless] = ACTIONS(2203),
    [anon_sym_while] = ACTIONS(2203),
    [anon_sym_until] = ACTIONS(2203),
    [aux_sym__bareword_token1] = ACTIONS(2203),
    [sym_number] = ACTIONS(2203),
    [anon_sym_true] = ACTIONS(2203),
    [anon_sym_false] = ACTIONS(2203),
    [sym__single_quote] = ACTIONS(2201),
    [sym__double_quote] = ACTIONS(2201),
    [sym__backtick_quote] = ACTIONS(2201),
    [sym__search_slash_quote] = ACTIONS(2201),
    [sym__PERLY_HEREDOC] = ACTIONS(2201),
    [sym__ctrl_z_hack] = ACTIONS(2201),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2201),
    [sym__filetest] = ACTIONS(2201),
  },
  [884] = {
    [sym_heredoc_content] = STATE(884),
    [ts_builtin_sym_end] = ACTIONS(2205),
    [sym__identifier] = ACTIONS(2207),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_SEMI] = ACTIONS(2207),
    [anon_sym_package] = ACTIONS(2207),
    [anon_sym_class] = ACTIONS(2207),
    [anon_sym_role] = ACTIONS(2207),
    [anon_sym_BUILD] = ACTIONS(2207),
    [anon_sym_ADJUST] = ACTIONS(2207),
    [anon_sym_DOLLAR] = ACTIONS(2207),
    [anon_sym_AT] = ACTIONS(2207),
    [anon_sym_my] = ACTIONS(2207),
    [anon_sym_extended] = ACTIONS(2207),
    [anon_sym_async] = ACTIONS(2207),
    [anon_sym_sub] = ACTIONS(2207),
    [anon_sym_method] = ACTIONS(2207),
    [anon_sym_LPAREN] = ACTIONS(2207),
    [anon_sym_continue] = ACTIONS(2207),
    [anon_sym_state] = ACTIONS(2207),
    [anon_sym_our] = ACTIONS(2207),
    [anon_sym_try] = ACTIONS(2207),
    [anon_sym_defer] = ACTIONS(2207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2207),
    [anon_sym_LBRACK] = ACTIONS(2207),
    [anon_sym_LT] = ACTIONS(2207),
    [anon_sym_LT_LT] = ACTIONS(2207),
    [anon_sym_SLASH_SLASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2207),
    [anon_sym_PLUS_PLUS] = ACTIONS(2207),
    [anon_sym_DASH_DASH] = ACTIONS(2207),
    [anon_sym_BSLASH] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2207),
    [anon_sym_eval] = ACTIONS(2207),
    [anon_sym_await] = ACTIONS(2207),
    [anon_sym_field] = ACTIONS(2207),
    [anon_sym_local] = ACTIONS(2207),
    [anon_sym_dynamically] = ACTIONS(2207),
    [anon_sym_require] = ACTIONS(2207),
    [anon_sym_map] = ACTIONS(2207),
    [anon_sym_grep] = ACTIONS(2207),
    [anon_sym_sort] = ACTIONS(2207),
    [anon_sym_goto] = ACTIONS(2207),
    [anon_sym_return] = ACTIONS(2207),
    [anon_sym_undef] = ACTIONS(2207),
    [anon_sym_PERCENT2] = ACTIONS(2207),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2207),
    [anon_sym_use] = ACTIONS(2207),
    [anon_sym_no] = ACTIONS(2207),
    [anon_sym_for] = ACTIONS(2207),
    [anon_sym_foreach] = ACTIONS(2207),
    [anon_sym_last] = ACTIONS(2207),
    [anon_sym_next] = ACTIONS(2207),
    [anon_sym_redo] = ACTIONS(2207),
    [anon_sym_BEGIN] = ACTIONS(2207),
    [anon_sym_INIT] = ACTIONS(2207),
    [anon_sym_CHECK] = ACTIONS(2207),
    [anon_sym_UNITCHECK] = ACTIONS(2207),
    [anon_sym_END] = ACTIONS(2207),
    [anon_sym___FILE__] = ACTIONS(2207),
    [anon_sym___LINE__] = ACTIONS(2207),
    [anon_sym___PACKAGE__] = ACTIONS(2207),
    [anon_sym___SUB__] = ACTIONS(2207),
    [anon_sym_break] = ACTIONS(2207),
    [anon_sym_fork] = ACTIONS(2207),
    [anon_sym_getppid] = ACTIONS(2207),
    [anon_sym_time] = ACTIONS(2207),
    [anon_sym_times] = ACTIONS(2207),
    [anon_sym_wait] = ACTIONS(2207),
    [anon_sym_wantarray] = ACTIONS(2207),
    [anon_sym_abs] = ACTIONS(2207),
    [anon_sym_alarm] = ACTIONS(2207),
    [anon_sym_chop] = ACTIONS(2207),
    [anon_sym_chdir] = ACTIONS(2207),
    [anon_sym_close] = ACTIONS(2207),
    [anon_sym_closedir] = ACTIONS(2207),
    [anon_sym_caller] = ACTIONS(2207),
    [anon_sym_chomp] = ACTIONS(2207),
    [anon_sym_chr] = ACTIONS(2207),
    [anon_sym_cos] = ACTIONS(2207),
    [anon_sym_chroot] = ACTIONS(2207),
    [anon_sym_defined] = ACTIONS(2207),
    [anon_sym_delete] = ACTIONS(2207),
    [anon_sym_dbmclose] = ACTIONS(2207),
    [anon_sym_exists] = ACTIONS(2207),
    [anon_sym_exit] = ACTIONS(2207),
    [anon_sym_eof] = ACTIONS(2207),
    [anon_sym_exp] = ACTIONS(2207),
    [anon_sym_each] = ACTIONS(2207),
    [anon_sym_fc] = ACTIONS(2207),
    [anon_sym_fileno] = ACTIONS(2207),
    [anon_sym_gmtime] = ACTIONS(2207),
    [anon_sym_getc] = ACTIONS(2207),
    [anon_sym_getpgrp] = ACTIONS(2207),
    [anon_sym_getprotobyname] = ACTIONS(2207),
    [anon_sym_getpwname] = ACTIONS(2207),
    [anon_sym_getpwuid] = ACTIONS(2207),
    [anon_sym_getpeername] = ACTIONS(2207),
    [anon_sym_getnetbyname] = ACTIONS(2207),
    [anon_sym_getsockname] = ACTIONS(2207),
    [anon_sym_getgrnam] = ACTIONS(2207),
    [anon_sym_getgrgid] = ACTIONS(2207),
    [anon_sym_hex] = ACTIONS(2207),
    [anon_sym_int] = ACTIONS(2207),
    [anon_sym_keys] = ACTIONS(2207),
    [anon_sym_lc] = ACTIONS(2207),
    [anon_sym_lcfirst] = ACTIONS(2207),
    [anon_sym_length] = ACTIONS(2207),
    [anon_sym_localtime] = ACTIONS(2207),
    [anon_sym_log] = ACTIONS(2207),
    [anon_sym_lock] = ACTIONS(2207),
    [anon_sym_lstat] = ACTIONS(2207),
    [anon_sym_oct] = ACTIONS(2207),
    [anon_sym_ord] = ACTIONS(2207),
    [anon_sym_prototype] = ACTIONS(2207),
    [anon_sym_pop] = ACTIONS(2207),
    [anon_sym_pos] = ACTIONS(2207),
    [anon_sym_quotemeta] = ACTIONS(2207),
    [anon_sym_reset] = ACTIONS(2207),
    [anon_sym_rand] = ACTIONS(2207),
    [anon_sym_rmdir] = ACTIONS(2207),
    [anon_sym_readdir] = ACTIONS(2207),
    [anon_sym_readline] = ACTIONS(2207),
    [anon_sym_readpipe] = ACTIONS(2207),
    [anon_sym_rewinddir] = ACTIONS(2207),
    [anon_sym_readlink] = ACTIONS(2207),
    [anon_sym_ref] = ACTIONS(2207),
    [anon_sym_scalar] = ACTIONS(2207),
    [anon_sym_shift] = ACTIONS(2207),
    [anon_sym_sin] = ACTIONS(2207),
    [anon_sym_sleep] = ACTIONS(2207),
    [anon_sym_sqrt] = ACTIONS(2207),
    [anon_sym_srand] = ACTIONS(2207),
    [anon_sym_stat] = ACTIONS(2207),
    [anon_sym_study] = ACTIONS(2207),
    [anon_sym_tell] = ACTIONS(2207),
    [anon_sym_telldir] = ACTIONS(2207),
    [anon_sym_tied] = ACTIONS(2207),
    [anon_sym_uc] = ACTIONS(2207),
    [anon_sym_ucfirst] = ACTIONS(2207),
    [anon_sym_untie] = ACTIONS(2207),
    [anon_sym_umask] = ACTIONS(2207),
    [anon_sym_values] = ACTIONS(2207),
    [anon_sym_write] = ACTIONS(2207),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2207),
    [anon_sym___END__] = ACTIONS(2207),
    [anon_sym_EOT] = ACTIONS(2207),
    [anon_sym_q] = ACTIONS(2207),
    [anon_sym_qq] = ACTIONS(2207),
    [anon_sym_qw] = ACTIONS(2207),
    [anon_sym_qx] = ACTIONS(2207),
    [anon_sym_qr] = ACTIONS(2207),
    [anon_sym_m] = ACTIONS(2207),
    [anon_sym_s] = ACTIONS(2207),
    [anon_sym_tr] = ACTIONS(2207),
    [anon_sym_y] = ACTIONS(2207),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_unless] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(2207),
    [anon_sym_until] = ACTIONS(2207),
    [aux_sym__bareword_token1] = ACTIONS(2207),
    [sym_number] = ACTIONS(2207),
    [anon_sym_true] = ACTIONS(2207),
    [anon_sym_false] = ACTIONS(2207),
    [sym__single_quote] = ACTIONS(2205),
    [sym__double_quote] = ACTIONS(2205),
    [sym__backtick_quote] = ACTIONS(2205),
    [sym__search_slash_quote] = ACTIONS(2205),
    [sym__PERLY_HEREDOC] = ACTIONS(2205),
    [sym__ctrl_z_hack] = ACTIONS(2205),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2205),
    [sym__filetest] = ACTIONS(2205),
  },
  [885] = {
    [sym_heredoc_content] = STATE(885),
    [ts_builtin_sym_end] = ACTIONS(2209),
    [sym__identifier] = ACTIONS(2211),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_SEMI] = ACTIONS(2211),
    [anon_sym_package] = ACTIONS(2211),
    [anon_sym_class] = ACTIONS(2211),
    [anon_sym_role] = ACTIONS(2211),
    [anon_sym_BUILD] = ACTIONS(2211),
    [anon_sym_ADJUST] = ACTIONS(2211),
    [anon_sym_DOLLAR] = ACTIONS(2211),
    [anon_sym_AT] = ACTIONS(2211),
    [anon_sym_my] = ACTIONS(2211),
    [anon_sym_extended] = ACTIONS(2211),
    [anon_sym_async] = ACTIONS(2211),
    [anon_sym_sub] = ACTIONS(2211),
    [anon_sym_method] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(2211),
    [anon_sym_continue] = ACTIONS(2211),
    [anon_sym_state] = ACTIONS(2211),
    [anon_sym_our] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2211),
    [anon_sym_defer] = ACTIONS(2211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2211),
    [anon_sym_LBRACK] = ACTIONS(2211),
    [anon_sym_LT] = ACTIONS(2211),
    [anon_sym_LT_LT] = ACTIONS(2211),
    [anon_sym_SLASH_SLASH] = ACTIONS(2211),
    [anon_sym_PLUS] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(2211),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_TILDE] = ACTIONS(2211),
    [anon_sym_BANG] = ACTIONS(2211),
    [anon_sym_PLUS_PLUS] = ACTIONS(2211),
    [anon_sym_DASH_DASH] = ACTIONS(2211),
    [anon_sym_BSLASH] = ACTIONS(2209),
    [anon_sym_do] = ACTIONS(2211),
    [anon_sym_eval] = ACTIONS(2211),
    [anon_sym_await] = ACTIONS(2211),
    [anon_sym_field] = ACTIONS(2211),
    [anon_sym_local] = ACTIONS(2211),
    [anon_sym_dynamically] = ACTIONS(2211),
    [anon_sym_require] = ACTIONS(2211),
    [anon_sym_map] = ACTIONS(2211),
    [anon_sym_grep] = ACTIONS(2211),
    [anon_sym_sort] = ACTIONS(2211),
    [anon_sym_goto] = ACTIONS(2211),
    [anon_sym_return] = ACTIONS(2211),
    [anon_sym_undef] = ACTIONS(2211),
    [anon_sym_PERCENT2] = ACTIONS(2211),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2211),
    [anon_sym_use] = ACTIONS(2211),
    [anon_sym_no] = ACTIONS(2211),
    [anon_sym_for] = ACTIONS(2211),
    [anon_sym_foreach] = ACTIONS(2211),
    [anon_sym_last] = ACTIONS(2211),
    [anon_sym_next] = ACTIONS(2211),
    [anon_sym_redo] = ACTIONS(2211),
    [anon_sym_BEGIN] = ACTIONS(2211),
    [anon_sym_INIT] = ACTIONS(2211),
    [anon_sym_CHECK] = ACTIONS(2211),
    [anon_sym_UNITCHECK] = ACTIONS(2211),
    [anon_sym_END] = ACTIONS(2211),
    [anon_sym___FILE__] = ACTIONS(2211),
    [anon_sym___LINE__] = ACTIONS(2211),
    [anon_sym___PACKAGE__] = ACTIONS(2211),
    [anon_sym___SUB__] = ACTIONS(2211),
    [anon_sym_break] = ACTIONS(2211),
    [anon_sym_fork] = ACTIONS(2211),
    [anon_sym_getppid] = ACTIONS(2211),
    [anon_sym_time] = ACTIONS(2211),
    [anon_sym_times] = ACTIONS(2211),
    [anon_sym_wait] = ACTIONS(2211),
    [anon_sym_wantarray] = ACTIONS(2211),
    [anon_sym_abs] = ACTIONS(2211),
    [anon_sym_alarm] = ACTIONS(2211),
    [anon_sym_chop] = ACTIONS(2211),
    [anon_sym_chdir] = ACTIONS(2211),
    [anon_sym_close] = ACTIONS(2211),
    [anon_sym_closedir] = ACTIONS(2211),
    [anon_sym_caller] = ACTIONS(2211),
    [anon_sym_chomp] = ACTIONS(2211),
    [anon_sym_chr] = ACTIONS(2211),
    [anon_sym_cos] = ACTIONS(2211),
    [anon_sym_chroot] = ACTIONS(2211),
    [anon_sym_defined] = ACTIONS(2211),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_dbmclose] = ACTIONS(2211),
    [anon_sym_exists] = ACTIONS(2211),
    [anon_sym_exit] = ACTIONS(2211),
    [anon_sym_eof] = ACTIONS(2211),
    [anon_sym_exp] = ACTIONS(2211),
    [anon_sym_each] = ACTIONS(2211),
    [anon_sym_fc] = ACTIONS(2211),
    [anon_sym_fileno] = ACTIONS(2211),
    [anon_sym_gmtime] = ACTIONS(2211),
    [anon_sym_getc] = ACTIONS(2211),
    [anon_sym_getpgrp] = ACTIONS(2211),
    [anon_sym_getprotobyname] = ACTIONS(2211),
    [anon_sym_getpwname] = ACTIONS(2211),
    [anon_sym_getpwuid] = ACTIONS(2211),
    [anon_sym_getpeername] = ACTIONS(2211),
    [anon_sym_getnetbyname] = ACTIONS(2211),
    [anon_sym_getsockname] = ACTIONS(2211),
    [anon_sym_getgrnam] = ACTIONS(2211),
    [anon_sym_getgrgid] = ACTIONS(2211),
    [anon_sym_hex] = ACTIONS(2211),
    [anon_sym_int] = ACTIONS(2211),
    [anon_sym_keys] = ACTIONS(2211),
    [anon_sym_lc] = ACTIONS(2211),
    [anon_sym_lcfirst] = ACTIONS(2211),
    [anon_sym_length] = ACTIONS(2211),
    [anon_sym_localtime] = ACTIONS(2211),
    [anon_sym_log] = ACTIONS(2211),
    [anon_sym_lock] = ACTIONS(2211),
    [anon_sym_lstat] = ACTIONS(2211),
    [anon_sym_oct] = ACTIONS(2211),
    [anon_sym_ord] = ACTIONS(2211),
    [anon_sym_prototype] = ACTIONS(2211),
    [anon_sym_pop] = ACTIONS(2211),
    [anon_sym_pos] = ACTIONS(2211),
    [anon_sym_quotemeta] = ACTIONS(2211),
    [anon_sym_reset] = ACTIONS(2211),
    [anon_sym_rand] = ACTIONS(2211),
    [anon_sym_rmdir] = ACTIONS(2211),
    [anon_sym_readdir] = ACTIONS(2211),
    [anon_sym_readline] = ACTIONS(2211),
    [anon_sym_readpipe] = ACTIONS(2211),
    [anon_sym_rewinddir] = ACTIONS(2211),
    [anon_sym_readlink] = ACTIONS(2211),
    [anon_sym_ref] = ACTIONS(2211),
    [anon_sym_scalar] = ACTIONS(2211),
    [anon_sym_shift] = ACTIONS(2211),
    [anon_sym_sin] = ACTIONS(2211),
    [anon_sym_sleep] = ACTIONS(2211),
    [anon_sym_sqrt] = ACTIONS(2211),
    [anon_sym_srand] = ACTIONS(2211),
    [anon_sym_stat] = ACTIONS(2211),
    [anon_sym_study] = ACTIONS(2211),
    [anon_sym_tell] = ACTIONS(2211),
    [anon_sym_telldir] = ACTIONS(2211),
    [anon_sym_tied] = ACTIONS(2211),
    [anon_sym_uc] = ACTIONS(2211),
    [anon_sym_ucfirst] = ACTIONS(2211),
    [anon_sym_untie] = ACTIONS(2211),
    [anon_sym_umask] = ACTIONS(2211),
    [anon_sym_values] = ACTIONS(2211),
    [anon_sym_write] = ACTIONS(2211),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2211),
    [anon_sym___END__] = ACTIONS(2211),
    [anon_sym_EOT] = ACTIONS(2211),
    [anon_sym_q] = ACTIONS(2211),
    [anon_sym_qq] = ACTIONS(2211),
    [anon_sym_qw] = ACTIONS(2211),
    [anon_sym_qx] = ACTIONS(2211),
    [anon_sym_qr] = ACTIONS(2211),
    [anon_sym_m] = ACTIONS(2211),
    [anon_sym_s] = ACTIONS(2211),
    [anon_sym_tr] = ACTIONS(2211),
    [anon_sym_y] = ACTIONS(2211),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_unless] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2211),
    [anon_sym_until] = ACTIONS(2211),
    [aux_sym__bareword_token1] = ACTIONS(2211),
    [sym_number] = ACTIONS(2211),
    [anon_sym_true] = ACTIONS(2211),
    [anon_sym_false] = ACTIONS(2211),
    [sym__single_quote] = ACTIONS(2209),
    [sym__double_quote] = ACTIONS(2209),
    [sym__backtick_quote] = ACTIONS(2209),
    [sym__search_slash_quote] = ACTIONS(2209),
    [sym__PERLY_HEREDOC] = ACTIONS(2209),
    [sym__ctrl_z_hack] = ACTIONS(2209),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2209),
    [sym__filetest] = ACTIONS(2209),
  },
  [886] = {
    [sym_heredoc_content] = STATE(886),
    [ts_builtin_sym_end] = ACTIONS(2213),
    [sym__identifier] = ACTIONS(2215),
    [anon_sym_LBRACE] = ACTIONS(2215),
    [anon_sym_SEMI] = ACTIONS(2215),
    [anon_sym_package] = ACTIONS(2215),
    [anon_sym_class] = ACTIONS(2215),
    [anon_sym_role] = ACTIONS(2215),
    [anon_sym_BUILD] = ACTIONS(2215),
    [anon_sym_ADJUST] = ACTIONS(2215),
    [anon_sym_DOLLAR] = ACTIONS(2215),
    [anon_sym_AT] = ACTIONS(2215),
    [anon_sym_my] = ACTIONS(2215),
    [anon_sym_extended] = ACTIONS(2215),
    [anon_sym_async] = ACTIONS(2215),
    [anon_sym_sub] = ACTIONS(2215),
    [anon_sym_method] = ACTIONS(2215),
    [anon_sym_LPAREN] = ACTIONS(2215),
    [anon_sym_continue] = ACTIONS(2215),
    [anon_sym_state] = ACTIONS(2215),
    [anon_sym_our] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2215),
    [anon_sym_defer] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2215),
    [anon_sym_LBRACK] = ACTIONS(2215),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_LT_LT] = ACTIONS(2215),
    [anon_sym_SLASH_SLASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_BANG] = ACTIONS(2215),
    [anon_sym_PLUS_PLUS] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(2215),
    [anon_sym_BSLASH] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2215),
    [anon_sym_eval] = ACTIONS(2215),
    [anon_sym_await] = ACTIONS(2215),
    [anon_sym_field] = ACTIONS(2215),
    [anon_sym_local] = ACTIONS(2215),
    [anon_sym_dynamically] = ACTIONS(2215),
    [anon_sym_require] = ACTIONS(2215),
    [anon_sym_map] = ACTIONS(2215),
    [anon_sym_grep] = ACTIONS(2215),
    [anon_sym_sort] = ACTIONS(2215),
    [anon_sym_goto] = ACTIONS(2215),
    [anon_sym_return] = ACTIONS(2215),
    [anon_sym_undef] = ACTIONS(2215),
    [anon_sym_PERCENT2] = ACTIONS(2215),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2215),
    [anon_sym_use] = ACTIONS(2215),
    [anon_sym_no] = ACTIONS(2215),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_foreach] = ACTIONS(2215),
    [anon_sym_last] = ACTIONS(2215),
    [anon_sym_next] = ACTIONS(2215),
    [anon_sym_redo] = ACTIONS(2215),
    [anon_sym_BEGIN] = ACTIONS(2215),
    [anon_sym_INIT] = ACTIONS(2215),
    [anon_sym_CHECK] = ACTIONS(2215),
    [anon_sym_UNITCHECK] = ACTIONS(2215),
    [anon_sym_END] = ACTIONS(2215),
    [anon_sym___FILE__] = ACTIONS(2215),
    [anon_sym___LINE__] = ACTIONS(2215),
    [anon_sym___PACKAGE__] = ACTIONS(2215),
    [anon_sym___SUB__] = ACTIONS(2215),
    [anon_sym_break] = ACTIONS(2215),
    [anon_sym_fork] = ACTIONS(2215),
    [anon_sym_getppid] = ACTIONS(2215),
    [anon_sym_time] = ACTIONS(2215),
    [anon_sym_times] = ACTIONS(2215),
    [anon_sym_wait] = ACTIONS(2215),
    [anon_sym_wantarray] = ACTIONS(2215),
    [anon_sym_abs] = ACTIONS(2215),
    [anon_sym_alarm] = ACTIONS(2215),
    [anon_sym_chop] = ACTIONS(2215),
    [anon_sym_chdir] = ACTIONS(2215),
    [anon_sym_close] = ACTIONS(2215),
    [anon_sym_closedir] = ACTIONS(2215),
    [anon_sym_caller] = ACTIONS(2215),
    [anon_sym_chomp] = ACTIONS(2215),
    [anon_sym_chr] = ACTIONS(2215),
    [anon_sym_cos] = ACTIONS(2215),
    [anon_sym_chroot] = ACTIONS(2215),
    [anon_sym_defined] = ACTIONS(2215),
    [anon_sym_delete] = ACTIONS(2215),
    [anon_sym_dbmclose] = ACTIONS(2215),
    [anon_sym_exists] = ACTIONS(2215),
    [anon_sym_exit] = ACTIONS(2215),
    [anon_sym_eof] = ACTIONS(2215),
    [anon_sym_exp] = ACTIONS(2215),
    [anon_sym_each] = ACTIONS(2215),
    [anon_sym_fc] = ACTIONS(2215),
    [anon_sym_fileno] = ACTIONS(2215),
    [anon_sym_gmtime] = ACTIONS(2215),
    [anon_sym_getc] = ACTIONS(2215),
    [anon_sym_getpgrp] = ACTIONS(2215),
    [anon_sym_getprotobyname] = ACTIONS(2215),
    [anon_sym_getpwname] = ACTIONS(2215),
    [anon_sym_getpwuid] = ACTIONS(2215),
    [anon_sym_getpeername] = ACTIONS(2215),
    [anon_sym_getnetbyname] = ACTIONS(2215),
    [anon_sym_getsockname] = ACTIONS(2215),
    [anon_sym_getgrnam] = ACTIONS(2215),
    [anon_sym_getgrgid] = ACTIONS(2215),
    [anon_sym_hex] = ACTIONS(2215),
    [anon_sym_int] = ACTIONS(2215),
    [anon_sym_keys] = ACTIONS(2215),
    [anon_sym_lc] = ACTIONS(2215),
    [anon_sym_lcfirst] = ACTIONS(2215),
    [anon_sym_length] = ACTIONS(2215),
    [anon_sym_localtime] = ACTIONS(2215),
    [anon_sym_log] = ACTIONS(2215),
    [anon_sym_lock] = ACTIONS(2215),
    [anon_sym_lstat] = ACTIONS(2215),
    [anon_sym_oct] = ACTIONS(2215),
    [anon_sym_ord] = ACTIONS(2215),
    [anon_sym_prototype] = ACTIONS(2215),
    [anon_sym_pop] = ACTIONS(2215),
    [anon_sym_pos] = ACTIONS(2215),
    [anon_sym_quotemeta] = ACTIONS(2215),
    [anon_sym_reset] = ACTIONS(2215),
    [anon_sym_rand] = ACTIONS(2215),
    [anon_sym_rmdir] = ACTIONS(2215),
    [anon_sym_readdir] = ACTIONS(2215),
    [anon_sym_readline] = ACTIONS(2215),
    [anon_sym_readpipe] = ACTIONS(2215),
    [anon_sym_rewinddir] = ACTIONS(2215),
    [anon_sym_readlink] = ACTIONS(2215),
    [anon_sym_ref] = ACTIONS(2215),
    [anon_sym_scalar] = ACTIONS(2215),
    [anon_sym_shift] = ACTIONS(2215),
    [anon_sym_sin] = ACTIONS(2215),
    [anon_sym_sleep] = ACTIONS(2215),
    [anon_sym_sqrt] = ACTIONS(2215),
    [anon_sym_srand] = ACTIONS(2215),
    [anon_sym_stat] = ACTIONS(2215),
    [anon_sym_study] = ACTIONS(2215),
    [anon_sym_tell] = ACTIONS(2215),
    [anon_sym_telldir] = ACTIONS(2215),
    [anon_sym_tied] = ACTIONS(2215),
    [anon_sym_uc] = ACTIONS(2215),
    [anon_sym_ucfirst] = ACTIONS(2215),
    [anon_sym_untie] = ACTIONS(2215),
    [anon_sym_umask] = ACTIONS(2215),
    [anon_sym_values] = ACTIONS(2215),
    [anon_sym_write] = ACTIONS(2215),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2215),
    [anon_sym___END__] = ACTIONS(2215),
    [anon_sym_EOT] = ACTIONS(2215),
    [anon_sym_q] = ACTIONS(2215),
    [anon_sym_qq] = ACTIONS(2215),
    [anon_sym_qw] = ACTIONS(2215),
    [anon_sym_qx] = ACTIONS(2215),
    [anon_sym_qr] = ACTIONS(2215),
    [anon_sym_m] = ACTIONS(2215),
    [anon_sym_s] = ACTIONS(2215),
    [anon_sym_tr] = ACTIONS(2215),
    [anon_sym_y] = ACTIONS(2215),
    [anon_sym_if] = ACTIONS(2215),
    [anon_sym_unless] = ACTIONS(2215),
    [anon_sym_while] = ACTIONS(2215),
    [anon_sym_until] = ACTIONS(2215),
    [aux_sym__bareword_token1] = ACTIONS(2215),
    [sym_number] = ACTIONS(2215),
    [anon_sym_true] = ACTIONS(2215),
    [anon_sym_false] = ACTIONS(2215),
    [sym__single_quote] = ACTIONS(2213),
    [sym__double_quote] = ACTIONS(2213),
    [sym__backtick_quote] = ACTIONS(2213),
    [sym__search_slash_quote] = ACTIONS(2213),
    [sym__PERLY_HEREDOC] = ACTIONS(2213),
    [sym__ctrl_z_hack] = ACTIONS(2213),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2213),
    [sym__filetest] = ACTIONS(2213),
  },
  [887] = {
    [sym_heredoc_content] = STATE(887),
    [ts_builtin_sym_end] = ACTIONS(2217),
    [sym__identifier] = ACTIONS(2219),
    [anon_sym_LBRACE] = ACTIONS(2219),
    [anon_sym_SEMI] = ACTIONS(2219),
    [anon_sym_package] = ACTIONS(2219),
    [anon_sym_class] = ACTIONS(2219),
    [anon_sym_role] = ACTIONS(2219),
    [anon_sym_BUILD] = ACTIONS(2219),
    [anon_sym_ADJUST] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2219),
    [anon_sym_AT] = ACTIONS(2219),
    [anon_sym_my] = ACTIONS(2219),
    [anon_sym_extended] = ACTIONS(2219),
    [anon_sym_async] = ACTIONS(2219),
    [anon_sym_sub] = ACTIONS(2219),
    [anon_sym_method] = ACTIONS(2219),
    [anon_sym_LPAREN] = ACTIONS(2219),
    [anon_sym_continue] = ACTIONS(2219),
    [anon_sym_state] = ACTIONS(2219),
    [anon_sym_our] = ACTIONS(2219),
    [anon_sym_try] = ACTIONS(2219),
    [anon_sym_defer] = ACTIONS(2219),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2219),
    [anon_sym_LBRACK] = ACTIONS(2219),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_LT_LT] = ACTIONS(2219),
    [anon_sym_SLASH_SLASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(2219),
    [anon_sym_TILDE] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_PLUS_PLUS] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(2219),
    [anon_sym_BSLASH] = ACTIONS(2217),
    [anon_sym_do] = ACTIONS(2219),
    [anon_sym_eval] = ACTIONS(2219),
    [anon_sym_await] = ACTIONS(2219),
    [anon_sym_field] = ACTIONS(2219),
    [anon_sym_local] = ACTIONS(2219),
    [anon_sym_dynamically] = ACTIONS(2219),
    [anon_sym_require] = ACTIONS(2219),
    [anon_sym_map] = ACTIONS(2219),
    [anon_sym_grep] = ACTIONS(2219),
    [anon_sym_sort] = ACTIONS(2219),
    [anon_sym_goto] = ACTIONS(2219),
    [anon_sym_return] = ACTIONS(2219),
    [anon_sym_undef] = ACTIONS(2219),
    [anon_sym_PERCENT2] = ACTIONS(2219),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2219),
    [anon_sym_use] = ACTIONS(2219),
    [anon_sym_no] = ACTIONS(2219),
    [anon_sym_for] = ACTIONS(2219),
    [anon_sym_foreach] = ACTIONS(2219),
    [anon_sym_last] = ACTIONS(2219),
    [anon_sym_next] = ACTIONS(2219),
    [anon_sym_redo] = ACTIONS(2219),
    [anon_sym_BEGIN] = ACTIONS(2219),
    [anon_sym_INIT] = ACTIONS(2219),
    [anon_sym_CHECK] = ACTIONS(2219),
    [anon_sym_UNITCHECK] = ACTIONS(2219),
    [anon_sym_END] = ACTIONS(2219),
    [anon_sym___FILE__] = ACTIONS(2219),
    [anon_sym___LINE__] = ACTIONS(2219),
    [anon_sym___PACKAGE__] = ACTIONS(2219),
    [anon_sym___SUB__] = ACTIONS(2219),
    [anon_sym_break] = ACTIONS(2219),
    [anon_sym_fork] = ACTIONS(2219),
    [anon_sym_getppid] = ACTIONS(2219),
    [anon_sym_time] = ACTIONS(2219),
    [anon_sym_times] = ACTIONS(2219),
    [anon_sym_wait] = ACTIONS(2219),
    [anon_sym_wantarray] = ACTIONS(2219),
    [anon_sym_abs] = ACTIONS(2219),
    [anon_sym_alarm] = ACTIONS(2219),
    [anon_sym_chop] = ACTIONS(2219),
    [anon_sym_chdir] = ACTIONS(2219),
    [anon_sym_close] = ACTIONS(2219),
    [anon_sym_closedir] = ACTIONS(2219),
    [anon_sym_caller] = ACTIONS(2219),
    [anon_sym_chomp] = ACTIONS(2219),
    [anon_sym_chr] = ACTIONS(2219),
    [anon_sym_cos] = ACTIONS(2219),
    [anon_sym_chroot] = ACTIONS(2219),
    [anon_sym_defined] = ACTIONS(2219),
    [anon_sym_delete] = ACTIONS(2219),
    [anon_sym_dbmclose] = ACTIONS(2219),
    [anon_sym_exists] = ACTIONS(2219),
    [anon_sym_exit] = ACTIONS(2219),
    [anon_sym_eof] = ACTIONS(2219),
    [anon_sym_exp] = ACTIONS(2219),
    [anon_sym_each] = ACTIONS(2219),
    [anon_sym_fc] = ACTIONS(2219),
    [anon_sym_fileno] = ACTIONS(2219),
    [anon_sym_gmtime] = ACTIONS(2219),
    [anon_sym_getc] = ACTIONS(2219),
    [anon_sym_getpgrp] = ACTIONS(2219),
    [anon_sym_getprotobyname] = ACTIONS(2219),
    [anon_sym_getpwname] = ACTIONS(2219),
    [anon_sym_getpwuid] = ACTIONS(2219),
    [anon_sym_getpeername] = ACTIONS(2219),
    [anon_sym_getnetbyname] = ACTIONS(2219),
    [anon_sym_getsockname] = ACTIONS(2219),
    [anon_sym_getgrnam] = ACTIONS(2219),
    [anon_sym_getgrgid] = ACTIONS(2219),
    [anon_sym_hex] = ACTIONS(2219),
    [anon_sym_int] = ACTIONS(2219),
    [anon_sym_keys] = ACTIONS(2219),
    [anon_sym_lc] = ACTIONS(2219),
    [anon_sym_lcfirst] = ACTIONS(2219),
    [anon_sym_length] = ACTIONS(2219),
    [anon_sym_localtime] = ACTIONS(2219),
    [anon_sym_log] = ACTIONS(2219),
    [anon_sym_lock] = ACTIONS(2219),
    [anon_sym_lstat] = ACTIONS(2219),
    [anon_sym_oct] = ACTIONS(2219),
    [anon_sym_ord] = ACTIONS(2219),
    [anon_sym_prototype] = ACTIONS(2219),
    [anon_sym_pop] = ACTIONS(2219),
    [anon_sym_pos] = ACTIONS(2219),
    [anon_sym_quotemeta] = ACTIONS(2219),
    [anon_sym_reset] = ACTIONS(2219),
    [anon_sym_rand] = ACTIONS(2219),
    [anon_sym_rmdir] = ACTIONS(2219),
    [anon_sym_readdir] = ACTIONS(2219),
    [anon_sym_readline] = ACTIONS(2219),
    [anon_sym_readpipe] = ACTIONS(2219),
    [anon_sym_rewinddir] = ACTIONS(2219),
    [anon_sym_readlink] = ACTIONS(2219),
    [anon_sym_ref] = ACTIONS(2219),
    [anon_sym_scalar] = ACTIONS(2219),
    [anon_sym_shift] = ACTIONS(2219),
    [anon_sym_sin] = ACTIONS(2219),
    [anon_sym_sleep] = ACTIONS(2219),
    [anon_sym_sqrt] = ACTIONS(2219),
    [anon_sym_srand] = ACTIONS(2219),
    [anon_sym_stat] = ACTIONS(2219),
    [anon_sym_study] = ACTIONS(2219),
    [anon_sym_tell] = ACTIONS(2219),
    [anon_sym_telldir] = ACTIONS(2219),
    [anon_sym_tied] = ACTIONS(2219),
    [anon_sym_uc] = ACTIONS(2219),
    [anon_sym_ucfirst] = ACTIONS(2219),
    [anon_sym_untie] = ACTIONS(2219),
    [anon_sym_umask] = ACTIONS(2219),
    [anon_sym_values] = ACTIONS(2219),
    [anon_sym_write] = ACTIONS(2219),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2219),
    [anon_sym___END__] = ACTIONS(2219),
    [anon_sym_EOT] = ACTIONS(2219),
    [anon_sym_q] = ACTIONS(2219),
    [anon_sym_qq] = ACTIONS(2219),
    [anon_sym_qw] = ACTIONS(2219),
    [anon_sym_qx] = ACTIONS(2219),
    [anon_sym_qr] = ACTIONS(2219),
    [anon_sym_m] = ACTIONS(2219),
    [anon_sym_s] = ACTIONS(2219),
    [anon_sym_tr] = ACTIONS(2219),
    [anon_sym_y] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(2219),
    [anon_sym_unless] = ACTIONS(2219),
    [anon_sym_while] = ACTIONS(2219),
    [anon_sym_until] = ACTIONS(2219),
    [aux_sym__bareword_token1] = ACTIONS(2219),
    [sym_number] = ACTIONS(2219),
    [anon_sym_true] = ACTIONS(2219),
    [anon_sym_false] = ACTIONS(2219),
    [sym__single_quote] = ACTIONS(2217),
    [sym__double_quote] = ACTIONS(2217),
    [sym__backtick_quote] = ACTIONS(2217),
    [sym__search_slash_quote] = ACTIONS(2217),
    [sym__PERLY_HEREDOC] = ACTIONS(2217),
    [sym__ctrl_z_hack] = ACTIONS(2217),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2217),
    [sym__filetest] = ACTIONS(2217),
  },
  [888] = {
    [sym_heredoc_content] = STATE(888),
    [ts_builtin_sym_end] = ACTIONS(2221),
    [sym__identifier] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_SEMI] = ACTIONS(2223),
    [anon_sym_package] = ACTIONS(2223),
    [anon_sym_class] = ACTIONS(2223),
    [anon_sym_role] = ACTIONS(2223),
    [anon_sym_BUILD] = ACTIONS(2223),
    [anon_sym_ADJUST] = ACTIONS(2223),
    [anon_sym_DOLLAR] = ACTIONS(2223),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_my] = ACTIONS(2223),
    [anon_sym_extended] = ACTIONS(2223),
    [anon_sym_async] = ACTIONS(2223),
    [anon_sym_sub] = ACTIONS(2223),
    [anon_sym_method] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2223),
    [anon_sym_continue] = ACTIONS(2223),
    [anon_sym_state] = ACTIONS(2223),
    [anon_sym_our] = ACTIONS(2223),
    [anon_sym_try] = ACTIONS(2223),
    [anon_sym_defer] = ACTIONS(2223),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2223),
    [anon_sym_LT] = ACTIONS(2223),
    [anon_sym_LT_LT] = ACTIONS(2223),
    [anon_sym_SLASH_SLASH] = ACTIONS(2223),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_STAR] = ACTIONS(2223),
    [anon_sym_TILDE] = ACTIONS(2223),
    [anon_sym_BANG] = ACTIONS(2223),
    [anon_sym_PLUS_PLUS] = ACTIONS(2223),
    [anon_sym_DASH_DASH] = ACTIONS(2223),
    [anon_sym_BSLASH] = ACTIONS(2221),
    [anon_sym_do] = ACTIONS(2223),
    [anon_sym_eval] = ACTIONS(2223),
    [anon_sym_await] = ACTIONS(2223),
    [anon_sym_field] = ACTIONS(2223),
    [anon_sym_local] = ACTIONS(2223),
    [anon_sym_dynamically] = ACTIONS(2223),
    [anon_sym_require] = ACTIONS(2223),
    [anon_sym_map] = ACTIONS(2223),
    [anon_sym_grep] = ACTIONS(2223),
    [anon_sym_sort] = ACTIONS(2223),
    [anon_sym_goto] = ACTIONS(2223),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_undef] = ACTIONS(2223),
    [anon_sym_PERCENT2] = ACTIONS(2223),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2223),
    [anon_sym_use] = ACTIONS(2223),
    [anon_sym_no] = ACTIONS(2223),
    [anon_sym_for] = ACTIONS(2223),
    [anon_sym_foreach] = ACTIONS(2223),
    [anon_sym_last] = ACTIONS(2223),
    [anon_sym_next] = ACTIONS(2223),
    [anon_sym_redo] = ACTIONS(2223),
    [anon_sym_BEGIN] = ACTIONS(2223),
    [anon_sym_INIT] = ACTIONS(2223),
    [anon_sym_CHECK] = ACTIONS(2223),
    [anon_sym_UNITCHECK] = ACTIONS(2223),
    [anon_sym_END] = ACTIONS(2223),
    [anon_sym___FILE__] = ACTIONS(2223),
    [anon_sym___LINE__] = ACTIONS(2223),
    [anon_sym___PACKAGE__] = ACTIONS(2223),
    [anon_sym___SUB__] = ACTIONS(2223),
    [anon_sym_break] = ACTIONS(2223),
    [anon_sym_fork] = ACTIONS(2223),
    [anon_sym_getppid] = ACTIONS(2223),
    [anon_sym_time] = ACTIONS(2223),
    [anon_sym_times] = ACTIONS(2223),
    [anon_sym_wait] = ACTIONS(2223),
    [anon_sym_wantarray] = ACTIONS(2223),
    [anon_sym_abs] = ACTIONS(2223),
    [anon_sym_alarm] = ACTIONS(2223),
    [anon_sym_chop] = ACTIONS(2223),
    [anon_sym_chdir] = ACTIONS(2223),
    [anon_sym_close] = ACTIONS(2223),
    [anon_sym_closedir] = ACTIONS(2223),
    [anon_sym_caller] = ACTIONS(2223),
    [anon_sym_chomp] = ACTIONS(2223),
    [anon_sym_chr] = ACTIONS(2223),
    [anon_sym_cos] = ACTIONS(2223),
    [anon_sym_chroot] = ACTIONS(2223),
    [anon_sym_defined] = ACTIONS(2223),
    [anon_sym_delete] = ACTIONS(2223),
    [anon_sym_dbmclose] = ACTIONS(2223),
    [anon_sym_exists] = ACTIONS(2223),
    [anon_sym_exit] = ACTIONS(2223),
    [anon_sym_eof] = ACTIONS(2223),
    [anon_sym_exp] = ACTIONS(2223),
    [anon_sym_each] = ACTIONS(2223),
    [anon_sym_fc] = ACTIONS(2223),
    [anon_sym_fileno] = ACTIONS(2223),
    [anon_sym_gmtime] = ACTIONS(2223),
    [anon_sym_getc] = ACTIONS(2223),
    [anon_sym_getpgrp] = ACTIONS(2223),
    [anon_sym_getprotobyname] = ACTIONS(2223),
    [anon_sym_getpwname] = ACTIONS(2223),
    [anon_sym_getpwuid] = ACTIONS(2223),
    [anon_sym_getpeername] = ACTIONS(2223),
    [anon_sym_getnetbyname] = ACTIONS(2223),
    [anon_sym_getsockname] = ACTIONS(2223),
    [anon_sym_getgrnam] = ACTIONS(2223),
    [anon_sym_getgrgid] = ACTIONS(2223),
    [anon_sym_hex] = ACTIONS(2223),
    [anon_sym_int] = ACTIONS(2223),
    [anon_sym_keys] = ACTIONS(2223),
    [anon_sym_lc] = ACTIONS(2223),
    [anon_sym_lcfirst] = ACTIONS(2223),
    [anon_sym_length] = ACTIONS(2223),
    [anon_sym_localtime] = ACTIONS(2223),
    [anon_sym_log] = ACTIONS(2223),
    [anon_sym_lock] = ACTIONS(2223),
    [anon_sym_lstat] = ACTIONS(2223),
    [anon_sym_oct] = ACTIONS(2223),
    [anon_sym_ord] = ACTIONS(2223),
    [anon_sym_prototype] = ACTIONS(2223),
    [anon_sym_pop] = ACTIONS(2223),
    [anon_sym_pos] = ACTIONS(2223),
    [anon_sym_quotemeta] = ACTIONS(2223),
    [anon_sym_reset] = ACTIONS(2223),
    [anon_sym_rand] = ACTIONS(2223),
    [anon_sym_rmdir] = ACTIONS(2223),
    [anon_sym_readdir] = ACTIONS(2223),
    [anon_sym_readline] = ACTIONS(2223),
    [anon_sym_readpipe] = ACTIONS(2223),
    [anon_sym_rewinddir] = ACTIONS(2223),
    [anon_sym_readlink] = ACTIONS(2223),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_scalar] = ACTIONS(2223),
    [anon_sym_shift] = ACTIONS(2223),
    [anon_sym_sin] = ACTIONS(2223),
    [anon_sym_sleep] = ACTIONS(2223),
    [anon_sym_sqrt] = ACTIONS(2223),
    [anon_sym_srand] = ACTIONS(2223),
    [anon_sym_stat] = ACTIONS(2223),
    [anon_sym_study] = ACTIONS(2223),
    [anon_sym_tell] = ACTIONS(2223),
    [anon_sym_telldir] = ACTIONS(2223),
    [anon_sym_tied] = ACTIONS(2223),
    [anon_sym_uc] = ACTIONS(2223),
    [anon_sym_ucfirst] = ACTIONS(2223),
    [anon_sym_untie] = ACTIONS(2223),
    [anon_sym_umask] = ACTIONS(2223),
    [anon_sym_values] = ACTIONS(2223),
    [anon_sym_write] = ACTIONS(2223),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2223),
    [anon_sym___END__] = ACTIONS(2223),
    [anon_sym_EOT] = ACTIONS(2223),
    [anon_sym_q] = ACTIONS(2223),
    [anon_sym_qq] = ACTIONS(2223),
    [anon_sym_qw] = ACTIONS(2223),
    [anon_sym_qx] = ACTIONS(2223),
    [anon_sym_qr] = ACTIONS(2223),
    [anon_sym_m] = ACTIONS(2223),
    [anon_sym_s] = ACTIONS(2223),
    [anon_sym_tr] = ACTIONS(2223),
    [anon_sym_y] = ACTIONS(2223),
    [anon_sym_if] = ACTIONS(2223),
    [anon_sym_unless] = ACTIONS(2223),
    [anon_sym_while] = ACTIONS(2223),
    [anon_sym_until] = ACTIONS(2223),
    [aux_sym__bareword_token1] = ACTIONS(2223),
    [sym_number] = ACTIONS(2223),
    [anon_sym_true] = ACTIONS(2223),
    [anon_sym_false] = ACTIONS(2223),
    [sym__single_quote] = ACTIONS(2221),
    [sym__double_quote] = ACTIONS(2221),
    [sym__backtick_quote] = ACTIONS(2221),
    [sym__search_slash_quote] = ACTIONS(2221),
    [sym__PERLY_HEREDOC] = ACTIONS(2221),
    [sym__ctrl_z_hack] = ACTIONS(2221),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2221),
    [sym__filetest] = ACTIONS(2221),
  },
  [889] = {
    [sym_heredoc_content] = STATE(889),
    [ts_builtin_sym_end] = ACTIONS(2225),
    [sym__identifier] = ACTIONS(2227),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_package] = ACTIONS(2227),
    [anon_sym_class] = ACTIONS(2227),
    [anon_sym_role] = ACTIONS(2227),
    [anon_sym_BUILD] = ACTIONS(2227),
    [anon_sym_ADJUST] = ACTIONS(2227),
    [anon_sym_DOLLAR] = ACTIONS(2227),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_my] = ACTIONS(2227),
    [anon_sym_extended] = ACTIONS(2227),
    [anon_sym_async] = ACTIONS(2227),
    [anon_sym_sub] = ACTIONS(2227),
    [anon_sym_method] = ACTIONS(2227),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_continue] = ACTIONS(2227),
    [anon_sym_state] = ACTIONS(2227),
    [anon_sym_our] = ACTIONS(2227),
    [anon_sym_try] = ACTIONS(2227),
    [anon_sym_defer] = ACTIONS(2227),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2227),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_LT_LT] = ACTIONS(2227),
    [anon_sym_SLASH_SLASH] = ACTIONS(2227),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2227),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_BSLASH] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2227),
    [anon_sym_eval] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2227),
    [anon_sym_field] = ACTIONS(2227),
    [anon_sym_local] = ACTIONS(2227),
    [anon_sym_dynamically] = ACTIONS(2227),
    [anon_sym_require] = ACTIONS(2227),
    [anon_sym_map] = ACTIONS(2227),
    [anon_sym_grep] = ACTIONS(2227),
    [anon_sym_sort] = ACTIONS(2227),
    [anon_sym_goto] = ACTIONS(2227),
    [anon_sym_return] = ACTIONS(2227),
    [anon_sym_undef] = ACTIONS(2227),
    [anon_sym_PERCENT2] = ACTIONS(2227),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2227),
    [anon_sym_use] = ACTIONS(2227),
    [anon_sym_no] = ACTIONS(2227),
    [anon_sym_for] = ACTIONS(2227),
    [anon_sym_foreach] = ACTIONS(2227),
    [anon_sym_last] = ACTIONS(2227),
    [anon_sym_next] = ACTIONS(2227),
    [anon_sym_redo] = ACTIONS(2227),
    [anon_sym_BEGIN] = ACTIONS(2227),
    [anon_sym_INIT] = ACTIONS(2227),
    [anon_sym_CHECK] = ACTIONS(2227),
    [anon_sym_UNITCHECK] = ACTIONS(2227),
    [anon_sym_END] = ACTIONS(2227),
    [anon_sym___FILE__] = ACTIONS(2227),
    [anon_sym___LINE__] = ACTIONS(2227),
    [anon_sym___PACKAGE__] = ACTIONS(2227),
    [anon_sym___SUB__] = ACTIONS(2227),
    [anon_sym_break] = ACTIONS(2227),
    [anon_sym_fork] = ACTIONS(2227),
    [anon_sym_getppid] = ACTIONS(2227),
    [anon_sym_time] = ACTIONS(2227),
    [anon_sym_times] = ACTIONS(2227),
    [anon_sym_wait] = ACTIONS(2227),
    [anon_sym_wantarray] = ACTIONS(2227),
    [anon_sym_abs] = ACTIONS(2227),
    [anon_sym_alarm] = ACTIONS(2227),
    [anon_sym_chop] = ACTIONS(2227),
    [anon_sym_chdir] = ACTIONS(2227),
    [anon_sym_close] = ACTIONS(2227),
    [anon_sym_closedir] = ACTIONS(2227),
    [anon_sym_caller] = ACTIONS(2227),
    [anon_sym_chomp] = ACTIONS(2227),
    [anon_sym_chr] = ACTIONS(2227),
    [anon_sym_cos] = ACTIONS(2227),
    [anon_sym_chroot] = ACTIONS(2227),
    [anon_sym_defined] = ACTIONS(2227),
    [anon_sym_delete] = ACTIONS(2227),
    [anon_sym_dbmclose] = ACTIONS(2227),
    [anon_sym_exists] = ACTIONS(2227),
    [anon_sym_exit] = ACTIONS(2227),
    [anon_sym_eof] = ACTIONS(2227),
    [anon_sym_exp] = ACTIONS(2227),
    [anon_sym_each] = ACTIONS(2227),
    [anon_sym_fc] = ACTIONS(2227),
    [anon_sym_fileno] = ACTIONS(2227),
    [anon_sym_gmtime] = ACTIONS(2227),
    [anon_sym_getc] = ACTIONS(2227),
    [anon_sym_getpgrp] = ACTIONS(2227),
    [anon_sym_getprotobyname] = ACTIONS(2227),
    [anon_sym_getpwname] = ACTIONS(2227),
    [anon_sym_getpwuid] = ACTIONS(2227),
    [anon_sym_getpeername] = ACTIONS(2227),
    [anon_sym_getnetbyname] = ACTIONS(2227),
    [anon_sym_getsockname] = ACTIONS(2227),
    [anon_sym_getgrnam] = ACTIONS(2227),
    [anon_sym_getgrgid] = ACTIONS(2227),
    [anon_sym_hex] = ACTIONS(2227),
    [anon_sym_int] = ACTIONS(2227),
    [anon_sym_keys] = ACTIONS(2227),
    [anon_sym_lc] = ACTIONS(2227),
    [anon_sym_lcfirst] = ACTIONS(2227),
    [anon_sym_length] = ACTIONS(2227),
    [anon_sym_localtime] = ACTIONS(2227),
    [anon_sym_log] = ACTIONS(2227),
    [anon_sym_lock] = ACTIONS(2227),
    [anon_sym_lstat] = ACTIONS(2227),
    [anon_sym_oct] = ACTIONS(2227),
    [anon_sym_ord] = ACTIONS(2227),
    [anon_sym_prototype] = ACTIONS(2227),
    [anon_sym_pop] = ACTIONS(2227),
    [anon_sym_pos] = ACTIONS(2227),
    [anon_sym_quotemeta] = ACTIONS(2227),
    [anon_sym_reset] = ACTIONS(2227),
    [anon_sym_rand] = ACTIONS(2227),
    [anon_sym_rmdir] = ACTIONS(2227),
    [anon_sym_readdir] = ACTIONS(2227),
    [anon_sym_readline] = ACTIONS(2227),
    [anon_sym_readpipe] = ACTIONS(2227),
    [anon_sym_rewinddir] = ACTIONS(2227),
    [anon_sym_readlink] = ACTIONS(2227),
    [anon_sym_ref] = ACTIONS(2227),
    [anon_sym_scalar] = ACTIONS(2227),
    [anon_sym_shift] = ACTIONS(2227),
    [anon_sym_sin] = ACTIONS(2227),
    [anon_sym_sleep] = ACTIONS(2227),
    [anon_sym_sqrt] = ACTIONS(2227),
    [anon_sym_srand] = ACTIONS(2227),
    [anon_sym_stat] = ACTIONS(2227),
    [anon_sym_study] = ACTIONS(2227),
    [anon_sym_tell] = ACTIONS(2227),
    [anon_sym_telldir] = ACTIONS(2227),
    [anon_sym_tied] = ACTIONS(2227),
    [anon_sym_uc] = ACTIONS(2227),
    [anon_sym_ucfirst] = ACTIONS(2227),
    [anon_sym_untie] = ACTIONS(2227),
    [anon_sym_umask] = ACTIONS(2227),
    [anon_sym_values] = ACTIONS(2227),
    [anon_sym_write] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2227),
    [anon_sym___END__] = ACTIONS(2227),
    [anon_sym_EOT] = ACTIONS(2227),
    [anon_sym_q] = ACTIONS(2227),
    [anon_sym_qq] = ACTIONS(2227),
    [anon_sym_qw] = ACTIONS(2227),
    [anon_sym_qx] = ACTIONS(2227),
    [anon_sym_qr] = ACTIONS(2227),
    [anon_sym_m] = ACTIONS(2227),
    [anon_sym_s] = ACTIONS(2227),
    [anon_sym_tr] = ACTIONS(2227),
    [anon_sym_y] = ACTIONS(2227),
    [anon_sym_if] = ACTIONS(2227),
    [anon_sym_unless] = ACTIONS(2227),
    [anon_sym_while] = ACTIONS(2227),
    [anon_sym_until] = ACTIONS(2227),
    [aux_sym__bareword_token1] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2227),
    [anon_sym_false] = ACTIONS(2227),
    [sym__single_quote] = ACTIONS(2225),
    [sym__double_quote] = ACTIONS(2225),
    [sym__backtick_quote] = ACTIONS(2225),
    [sym__search_slash_quote] = ACTIONS(2225),
    [sym__PERLY_HEREDOC] = ACTIONS(2225),
    [sym__ctrl_z_hack] = ACTIONS(2225),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2225),
    [sym__filetest] = ACTIONS(2225),
  },
  [890] = {
    [sym_heredoc_content] = STATE(890),
    [ts_builtin_sym_end] = ACTIONS(2229),
    [sym__identifier] = ACTIONS(2231),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_SEMI] = ACTIONS(2231),
    [anon_sym_package] = ACTIONS(2231),
    [anon_sym_class] = ACTIONS(2231),
    [anon_sym_role] = ACTIONS(2231),
    [anon_sym_BUILD] = ACTIONS(2231),
    [anon_sym_ADJUST] = ACTIONS(2231),
    [anon_sym_DOLLAR] = ACTIONS(2231),
    [anon_sym_AT] = ACTIONS(2231),
    [anon_sym_my] = ACTIONS(2231),
    [anon_sym_extended] = ACTIONS(2231),
    [anon_sym_async] = ACTIONS(2231),
    [anon_sym_sub] = ACTIONS(2231),
    [anon_sym_method] = ACTIONS(2231),
    [anon_sym_LPAREN] = ACTIONS(2231),
    [anon_sym_continue] = ACTIONS(2231),
    [anon_sym_state] = ACTIONS(2231),
    [anon_sym_our] = ACTIONS(2231),
    [anon_sym_try] = ACTIONS(2231),
    [anon_sym_defer] = ACTIONS(2231),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2231),
    [anon_sym_LBRACK] = ACTIONS(2231),
    [anon_sym_LT] = ACTIONS(2231),
    [anon_sym_LT_LT] = ACTIONS(2231),
    [anon_sym_SLASH_SLASH] = ACTIONS(2231),
    [anon_sym_PLUS] = ACTIONS(2231),
    [anon_sym_DASH] = ACTIONS(2231),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_TILDE] = ACTIONS(2231),
    [anon_sym_BANG] = ACTIONS(2231),
    [anon_sym_PLUS_PLUS] = ACTIONS(2231),
    [anon_sym_DASH_DASH] = ACTIONS(2231),
    [anon_sym_BSLASH] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2231),
    [anon_sym_eval] = ACTIONS(2231),
    [anon_sym_await] = ACTIONS(2231),
    [anon_sym_field] = ACTIONS(2231),
    [anon_sym_local] = ACTIONS(2231),
    [anon_sym_dynamically] = ACTIONS(2231),
    [anon_sym_require] = ACTIONS(2231),
    [anon_sym_map] = ACTIONS(2231),
    [anon_sym_grep] = ACTIONS(2231),
    [anon_sym_sort] = ACTIONS(2231),
    [anon_sym_goto] = ACTIONS(2231),
    [anon_sym_return] = ACTIONS(2231),
    [anon_sym_undef] = ACTIONS(2231),
    [anon_sym_PERCENT2] = ACTIONS(2231),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2231),
    [anon_sym_use] = ACTIONS(2231),
    [anon_sym_no] = ACTIONS(2231),
    [anon_sym_for] = ACTIONS(2231),
    [anon_sym_foreach] = ACTIONS(2231),
    [anon_sym_last] = ACTIONS(2231),
    [anon_sym_next] = ACTIONS(2231),
    [anon_sym_redo] = ACTIONS(2231),
    [anon_sym_BEGIN] = ACTIONS(2231),
    [anon_sym_INIT] = ACTIONS(2231),
    [anon_sym_CHECK] = ACTIONS(2231),
    [anon_sym_UNITCHECK] = ACTIONS(2231),
    [anon_sym_END] = ACTIONS(2231),
    [anon_sym___FILE__] = ACTIONS(2231),
    [anon_sym___LINE__] = ACTIONS(2231),
    [anon_sym___PACKAGE__] = ACTIONS(2231),
    [anon_sym___SUB__] = ACTIONS(2231),
    [anon_sym_break] = ACTIONS(2231),
    [anon_sym_fork] = ACTIONS(2231),
    [anon_sym_getppid] = ACTIONS(2231),
    [anon_sym_time] = ACTIONS(2231),
    [anon_sym_times] = ACTIONS(2231),
    [anon_sym_wait] = ACTIONS(2231),
    [anon_sym_wantarray] = ACTIONS(2231),
    [anon_sym_abs] = ACTIONS(2231),
    [anon_sym_alarm] = ACTIONS(2231),
    [anon_sym_chop] = ACTIONS(2231),
    [anon_sym_chdir] = ACTIONS(2231),
    [anon_sym_close] = ACTIONS(2231),
    [anon_sym_closedir] = ACTIONS(2231),
    [anon_sym_caller] = ACTIONS(2231),
    [anon_sym_chomp] = ACTIONS(2231),
    [anon_sym_chr] = ACTIONS(2231),
    [anon_sym_cos] = ACTIONS(2231),
    [anon_sym_chroot] = ACTIONS(2231),
    [anon_sym_defined] = ACTIONS(2231),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_dbmclose] = ACTIONS(2231),
    [anon_sym_exists] = ACTIONS(2231),
    [anon_sym_exit] = ACTIONS(2231),
    [anon_sym_eof] = ACTIONS(2231),
    [anon_sym_exp] = ACTIONS(2231),
    [anon_sym_each] = ACTIONS(2231),
    [anon_sym_fc] = ACTIONS(2231),
    [anon_sym_fileno] = ACTIONS(2231),
    [anon_sym_gmtime] = ACTIONS(2231),
    [anon_sym_getc] = ACTIONS(2231),
    [anon_sym_getpgrp] = ACTIONS(2231),
    [anon_sym_getprotobyname] = ACTIONS(2231),
    [anon_sym_getpwname] = ACTIONS(2231),
    [anon_sym_getpwuid] = ACTIONS(2231),
    [anon_sym_getpeername] = ACTIONS(2231),
    [anon_sym_getnetbyname] = ACTIONS(2231),
    [anon_sym_getsockname] = ACTIONS(2231),
    [anon_sym_getgrnam] = ACTIONS(2231),
    [anon_sym_getgrgid] = ACTIONS(2231),
    [anon_sym_hex] = ACTIONS(2231),
    [anon_sym_int] = ACTIONS(2231),
    [anon_sym_keys] = ACTIONS(2231),
    [anon_sym_lc] = ACTIONS(2231),
    [anon_sym_lcfirst] = ACTIONS(2231),
    [anon_sym_length] = ACTIONS(2231),
    [anon_sym_localtime] = ACTIONS(2231),
    [anon_sym_log] = ACTIONS(2231),
    [anon_sym_lock] = ACTIONS(2231),
    [anon_sym_lstat] = ACTIONS(2231),
    [anon_sym_oct] = ACTIONS(2231),
    [anon_sym_ord] = ACTIONS(2231),
    [anon_sym_prototype] = ACTIONS(2231),
    [anon_sym_pop] = ACTIONS(2231),
    [anon_sym_pos] = ACTIONS(2231),
    [anon_sym_quotemeta] = ACTIONS(2231),
    [anon_sym_reset] = ACTIONS(2231),
    [anon_sym_rand] = ACTIONS(2231),
    [anon_sym_rmdir] = ACTIONS(2231),
    [anon_sym_readdir] = ACTIONS(2231),
    [anon_sym_readline] = ACTIONS(2231),
    [anon_sym_readpipe] = ACTIONS(2231),
    [anon_sym_rewinddir] = ACTIONS(2231),
    [anon_sym_readlink] = ACTIONS(2231),
    [anon_sym_ref] = ACTIONS(2231),
    [anon_sym_scalar] = ACTIONS(2231),
    [anon_sym_shift] = ACTIONS(2231),
    [anon_sym_sin] = ACTIONS(2231),
    [anon_sym_sleep] = ACTIONS(2231),
    [anon_sym_sqrt] = ACTIONS(2231),
    [anon_sym_srand] = ACTIONS(2231),
    [anon_sym_stat] = ACTIONS(2231),
    [anon_sym_study] = ACTIONS(2231),
    [anon_sym_tell] = ACTIONS(2231),
    [anon_sym_telldir] = ACTIONS(2231),
    [anon_sym_tied] = ACTIONS(2231),
    [anon_sym_uc] = ACTIONS(2231),
    [anon_sym_ucfirst] = ACTIONS(2231),
    [anon_sym_untie] = ACTIONS(2231),
    [anon_sym_umask] = ACTIONS(2231),
    [anon_sym_values] = ACTIONS(2231),
    [anon_sym_write] = ACTIONS(2231),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2231),
    [anon_sym___END__] = ACTIONS(2231),
    [anon_sym_EOT] = ACTIONS(2231),
    [anon_sym_q] = ACTIONS(2231),
    [anon_sym_qq] = ACTIONS(2231),
    [anon_sym_qw] = ACTIONS(2231),
    [anon_sym_qx] = ACTIONS(2231),
    [anon_sym_qr] = ACTIONS(2231),
    [anon_sym_m] = ACTIONS(2231),
    [anon_sym_s] = ACTIONS(2231),
    [anon_sym_tr] = ACTIONS(2231),
    [anon_sym_y] = ACTIONS(2231),
    [anon_sym_if] = ACTIONS(2231),
    [anon_sym_unless] = ACTIONS(2231),
    [anon_sym_while] = ACTIONS(2231),
    [anon_sym_until] = ACTIONS(2231),
    [aux_sym__bareword_token1] = ACTIONS(2231),
    [sym_number] = ACTIONS(2231),
    [anon_sym_true] = ACTIONS(2231),
    [anon_sym_false] = ACTIONS(2231),
    [sym__single_quote] = ACTIONS(2229),
    [sym__double_quote] = ACTIONS(2229),
    [sym__backtick_quote] = ACTIONS(2229),
    [sym__search_slash_quote] = ACTIONS(2229),
    [sym__PERLY_HEREDOC] = ACTIONS(2229),
    [sym__ctrl_z_hack] = ACTIONS(2229),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2229),
    [sym__filetest] = ACTIONS(2229),
  },
  [891] = {
    [sym_heredoc_content] = STATE(891),
    [ts_builtin_sym_end] = ACTIONS(2233),
    [sym__identifier] = ACTIONS(2235),
    [anon_sym_LBRACE] = ACTIONS(2235),
    [anon_sym_SEMI] = ACTIONS(2235),
    [anon_sym_package] = ACTIONS(2235),
    [anon_sym_class] = ACTIONS(2235),
    [anon_sym_role] = ACTIONS(2235),
    [anon_sym_BUILD] = ACTIONS(2235),
    [anon_sym_ADJUST] = ACTIONS(2235),
    [anon_sym_DOLLAR] = ACTIONS(2235),
    [anon_sym_AT] = ACTIONS(2235),
    [anon_sym_my] = ACTIONS(2235),
    [anon_sym_extended] = ACTIONS(2235),
    [anon_sym_async] = ACTIONS(2235),
    [anon_sym_sub] = ACTIONS(2235),
    [anon_sym_method] = ACTIONS(2235),
    [anon_sym_LPAREN] = ACTIONS(2235),
    [anon_sym_continue] = ACTIONS(2235),
    [anon_sym_state] = ACTIONS(2235),
    [anon_sym_our] = ACTIONS(2235),
    [anon_sym_try] = ACTIONS(2235),
    [anon_sym_defer] = ACTIONS(2235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2235),
    [anon_sym_LBRACK] = ACTIONS(2235),
    [anon_sym_LT] = ACTIONS(2235),
    [anon_sym_LT_LT] = ACTIONS(2235),
    [anon_sym_SLASH_SLASH] = ACTIONS(2235),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_STAR] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_PLUS_PLUS] = ACTIONS(2235),
    [anon_sym_DASH_DASH] = ACTIONS(2235),
    [anon_sym_BSLASH] = ACTIONS(2233),
    [anon_sym_do] = ACTIONS(2235),
    [anon_sym_eval] = ACTIONS(2235),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_field] = ACTIONS(2235),
    [anon_sym_local] = ACTIONS(2235),
    [anon_sym_dynamically] = ACTIONS(2235),
    [anon_sym_require] = ACTIONS(2235),
    [anon_sym_map] = ACTIONS(2235),
    [anon_sym_grep] = ACTIONS(2235),
    [anon_sym_sort] = ACTIONS(2235),
    [anon_sym_goto] = ACTIONS(2235),
    [anon_sym_return] = ACTIONS(2235),
    [anon_sym_undef] = ACTIONS(2235),
    [anon_sym_PERCENT2] = ACTIONS(2235),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2235),
    [anon_sym_use] = ACTIONS(2235),
    [anon_sym_no] = ACTIONS(2235),
    [anon_sym_for] = ACTIONS(2235),
    [anon_sym_foreach] = ACTIONS(2235),
    [anon_sym_last] = ACTIONS(2235),
    [anon_sym_next] = ACTIONS(2235),
    [anon_sym_redo] = ACTIONS(2235),
    [anon_sym_BEGIN] = ACTIONS(2235),
    [anon_sym_INIT] = ACTIONS(2235),
    [anon_sym_CHECK] = ACTIONS(2235),
    [anon_sym_UNITCHECK] = ACTIONS(2235),
    [anon_sym_END] = ACTIONS(2235),
    [anon_sym___FILE__] = ACTIONS(2235),
    [anon_sym___LINE__] = ACTIONS(2235),
    [anon_sym___PACKAGE__] = ACTIONS(2235),
    [anon_sym___SUB__] = ACTIONS(2235),
    [anon_sym_break] = ACTIONS(2235),
    [anon_sym_fork] = ACTIONS(2235),
    [anon_sym_getppid] = ACTIONS(2235),
    [anon_sym_time] = ACTIONS(2235),
    [anon_sym_times] = ACTIONS(2235),
    [anon_sym_wait] = ACTIONS(2235),
    [anon_sym_wantarray] = ACTIONS(2235),
    [anon_sym_abs] = ACTIONS(2235),
    [anon_sym_alarm] = ACTIONS(2235),
    [anon_sym_chop] = ACTIONS(2235),
    [anon_sym_chdir] = ACTIONS(2235),
    [anon_sym_close] = ACTIONS(2235),
    [anon_sym_closedir] = ACTIONS(2235),
    [anon_sym_caller] = ACTIONS(2235),
    [anon_sym_chomp] = ACTIONS(2235),
    [anon_sym_chr] = ACTIONS(2235),
    [anon_sym_cos] = ACTIONS(2235),
    [anon_sym_chroot] = ACTIONS(2235),
    [anon_sym_defined] = ACTIONS(2235),
    [anon_sym_delete] = ACTIONS(2235),
    [anon_sym_dbmclose] = ACTIONS(2235),
    [anon_sym_exists] = ACTIONS(2235),
    [anon_sym_exit] = ACTIONS(2235),
    [anon_sym_eof] = ACTIONS(2235),
    [anon_sym_exp] = ACTIONS(2235),
    [anon_sym_each] = ACTIONS(2235),
    [anon_sym_fc] = ACTIONS(2235),
    [anon_sym_fileno] = ACTIONS(2235),
    [anon_sym_gmtime] = ACTIONS(2235),
    [anon_sym_getc] = ACTIONS(2235),
    [anon_sym_getpgrp] = ACTIONS(2235),
    [anon_sym_getprotobyname] = ACTIONS(2235),
    [anon_sym_getpwname] = ACTIONS(2235),
    [anon_sym_getpwuid] = ACTIONS(2235),
    [anon_sym_getpeername] = ACTIONS(2235),
    [anon_sym_getnetbyname] = ACTIONS(2235),
    [anon_sym_getsockname] = ACTIONS(2235),
    [anon_sym_getgrnam] = ACTIONS(2235),
    [anon_sym_getgrgid] = ACTIONS(2235),
    [anon_sym_hex] = ACTIONS(2235),
    [anon_sym_int] = ACTIONS(2235),
    [anon_sym_keys] = ACTIONS(2235),
    [anon_sym_lc] = ACTIONS(2235),
    [anon_sym_lcfirst] = ACTIONS(2235),
    [anon_sym_length] = ACTIONS(2235),
    [anon_sym_localtime] = ACTIONS(2235),
    [anon_sym_log] = ACTIONS(2235),
    [anon_sym_lock] = ACTIONS(2235),
    [anon_sym_lstat] = ACTIONS(2235),
    [anon_sym_oct] = ACTIONS(2235),
    [anon_sym_ord] = ACTIONS(2235),
    [anon_sym_prototype] = ACTIONS(2235),
    [anon_sym_pop] = ACTIONS(2235),
    [anon_sym_pos] = ACTIONS(2235),
    [anon_sym_quotemeta] = ACTIONS(2235),
    [anon_sym_reset] = ACTIONS(2235),
    [anon_sym_rand] = ACTIONS(2235),
    [anon_sym_rmdir] = ACTIONS(2235),
    [anon_sym_readdir] = ACTIONS(2235),
    [anon_sym_readline] = ACTIONS(2235),
    [anon_sym_readpipe] = ACTIONS(2235),
    [anon_sym_rewinddir] = ACTIONS(2235),
    [anon_sym_readlink] = ACTIONS(2235),
    [anon_sym_ref] = ACTIONS(2235),
    [anon_sym_scalar] = ACTIONS(2235),
    [anon_sym_shift] = ACTIONS(2235),
    [anon_sym_sin] = ACTIONS(2235),
    [anon_sym_sleep] = ACTIONS(2235),
    [anon_sym_sqrt] = ACTIONS(2235),
    [anon_sym_srand] = ACTIONS(2235),
    [anon_sym_stat] = ACTIONS(2235),
    [anon_sym_study] = ACTIONS(2235),
    [anon_sym_tell] = ACTIONS(2235),
    [anon_sym_telldir] = ACTIONS(2235),
    [anon_sym_tied] = ACTIONS(2235),
    [anon_sym_uc] = ACTIONS(2235),
    [anon_sym_ucfirst] = ACTIONS(2235),
    [anon_sym_untie] = ACTIONS(2235),
    [anon_sym_umask] = ACTIONS(2235),
    [anon_sym_values] = ACTIONS(2235),
    [anon_sym_write] = ACTIONS(2235),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2235),
    [anon_sym___END__] = ACTIONS(2235),
    [anon_sym_EOT] = ACTIONS(2235),
    [anon_sym_q] = ACTIONS(2235),
    [anon_sym_qq] = ACTIONS(2235),
    [anon_sym_qw] = ACTIONS(2235),
    [anon_sym_qx] = ACTIONS(2235),
    [anon_sym_qr] = ACTIONS(2235),
    [anon_sym_m] = ACTIONS(2235),
    [anon_sym_s] = ACTIONS(2235),
    [anon_sym_tr] = ACTIONS(2235),
    [anon_sym_y] = ACTIONS(2235),
    [anon_sym_if] = ACTIONS(2235),
    [anon_sym_unless] = ACTIONS(2235),
    [anon_sym_while] = ACTIONS(2235),
    [anon_sym_until] = ACTIONS(2235),
    [aux_sym__bareword_token1] = ACTIONS(2235),
    [sym_number] = ACTIONS(2235),
    [anon_sym_true] = ACTIONS(2235),
    [anon_sym_false] = ACTIONS(2235),
    [sym__single_quote] = ACTIONS(2233),
    [sym__double_quote] = ACTIONS(2233),
    [sym__backtick_quote] = ACTIONS(2233),
    [sym__search_slash_quote] = ACTIONS(2233),
    [sym__PERLY_HEREDOC] = ACTIONS(2233),
    [sym__ctrl_z_hack] = ACTIONS(2233),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2233),
    [sym__filetest] = ACTIONS(2233),
  },
  [892] = {
    [sym_heredoc_content] = STATE(892),
    [ts_builtin_sym_end] = ACTIONS(2237),
    [sym__identifier] = ACTIONS(2239),
    [anon_sym_LBRACE] = ACTIONS(2239),
    [anon_sym_SEMI] = ACTIONS(2239),
    [anon_sym_package] = ACTIONS(2239),
    [anon_sym_class] = ACTIONS(2239),
    [anon_sym_role] = ACTIONS(2239),
    [anon_sym_BUILD] = ACTIONS(2239),
    [anon_sym_ADJUST] = ACTIONS(2239),
    [anon_sym_DOLLAR] = ACTIONS(2239),
    [anon_sym_AT] = ACTIONS(2239),
    [anon_sym_my] = ACTIONS(2239),
    [anon_sym_extended] = ACTIONS(2239),
    [anon_sym_async] = ACTIONS(2239),
    [anon_sym_sub] = ACTIONS(2239),
    [anon_sym_method] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_continue] = ACTIONS(2239),
    [anon_sym_state] = ACTIONS(2239),
    [anon_sym_our] = ACTIONS(2239),
    [anon_sym_try] = ACTIONS(2239),
    [anon_sym_defer] = ACTIONS(2239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2239),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_LT] = ACTIONS(2239),
    [anon_sym_LT_LT] = ACTIONS(2239),
    [anon_sym_SLASH_SLASH] = ACTIONS(2239),
    [anon_sym_PLUS] = ACTIONS(2239),
    [anon_sym_DASH] = ACTIONS(2239),
    [anon_sym_STAR] = ACTIONS(2239),
    [anon_sym_TILDE] = ACTIONS(2239),
    [anon_sym_BANG] = ACTIONS(2239),
    [anon_sym_PLUS_PLUS] = ACTIONS(2239),
    [anon_sym_DASH_DASH] = ACTIONS(2239),
    [anon_sym_BSLASH] = ACTIONS(2237),
    [anon_sym_do] = ACTIONS(2239),
    [anon_sym_eval] = ACTIONS(2239),
    [anon_sym_await] = ACTIONS(2239),
    [anon_sym_field] = ACTIONS(2239),
    [anon_sym_local] = ACTIONS(2239),
    [anon_sym_dynamically] = ACTIONS(2239),
    [anon_sym_require] = ACTIONS(2239),
    [anon_sym_map] = ACTIONS(2239),
    [anon_sym_grep] = ACTIONS(2239),
    [anon_sym_sort] = ACTIONS(2239),
    [anon_sym_goto] = ACTIONS(2239),
    [anon_sym_return] = ACTIONS(2239),
    [anon_sym_undef] = ACTIONS(2239),
    [anon_sym_PERCENT2] = ACTIONS(2239),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2239),
    [anon_sym_use] = ACTIONS(2239),
    [anon_sym_no] = ACTIONS(2239),
    [anon_sym_for] = ACTIONS(2239),
    [anon_sym_foreach] = ACTIONS(2239),
    [anon_sym_last] = ACTIONS(2239),
    [anon_sym_next] = ACTIONS(2239),
    [anon_sym_redo] = ACTIONS(2239),
    [anon_sym_BEGIN] = ACTIONS(2239),
    [anon_sym_INIT] = ACTIONS(2239),
    [anon_sym_CHECK] = ACTIONS(2239),
    [anon_sym_UNITCHECK] = ACTIONS(2239),
    [anon_sym_END] = ACTIONS(2239),
    [anon_sym___FILE__] = ACTIONS(2239),
    [anon_sym___LINE__] = ACTIONS(2239),
    [anon_sym___PACKAGE__] = ACTIONS(2239),
    [anon_sym___SUB__] = ACTIONS(2239),
    [anon_sym_break] = ACTIONS(2239),
    [anon_sym_fork] = ACTIONS(2239),
    [anon_sym_getppid] = ACTIONS(2239),
    [anon_sym_time] = ACTIONS(2239),
    [anon_sym_times] = ACTIONS(2239),
    [anon_sym_wait] = ACTIONS(2239),
    [anon_sym_wantarray] = ACTIONS(2239),
    [anon_sym_abs] = ACTIONS(2239),
    [anon_sym_alarm] = ACTIONS(2239),
    [anon_sym_chop] = ACTIONS(2239),
    [anon_sym_chdir] = ACTIONS(2239),
    [anon_sym_close] = ACTIONS(2239),
    [anon_sym_closedir] = ACTIONS(2239),
    [anon_sym_caller] = ACTIONS(2239),
    [anon_sym_chomp] = ACTIONS(2239),
    [anon_sym_chr] = ACTIONS(2239),
    [anon_sym_cos] = ACTIONS(2239),
    [anon_sym_chroot] = ACTIONS(2239),
    [anon_sym_defined] = ACTIONS(2239),
    [anon_sym_delete] = ACTIONS(2239),
    [anon_sym_dbmclose] = ACTIONS(2239),
    [anon_sym_exists] = ACTIONS(2239),
    [anon_sym_exit] = ACTIONS(2239),
    [anon_sym_eof] = ACTIONS(2239),
    [anon_sym_exp] = ACTIONS(2239),
    [anon_sym_each] = ACTIONS(2239),
    [anon_sym_fc] = ACTIONS(2239),
    [anon_sym_fileno] = ACTIONS(2239),
    [anon_sym_gmtime] = ACTIONS(2239),
    [anon_sym_getc] = ACTIONS(2239),
    [anon_sym_getpgrp] = ACTIONS(2239),
    [anon_sym_getprotobyname] = ACTIONS(2239),
    [anon_sym_getpwname] = ACTIONS(2239),
    [anon_sym_getpwuid] = ACTIONS(2239),
    [anon_sym_getpeername] = ACTIONS(2239),
    [anon_sym_getnetbyname] = ACTIONS(2239),
    [anon_sym_getsockname] = ACTIONS(2239),
    [anon_sym_getgrnam] = ACTIONS(2239),
    [anon_sym_getgrgid] = ACTIONS(2239),
    [anon_sym_hex] = ACTIONS(2239),
    [anon_sym_int] = ACTIONS(2239),
    [anon_sym_keys] = ACTIONS(2239),
    [anon_sym_lc] = ACTIONS(2239),
    [anon_sym_lcfirst] = ACTIONS(2239),
    [anon_sym_length] = ACTIONS(2239),
    [anon_sym_localtime] = ACTIONS(2239),
    [anon_sym_log] = ACTIONS(2239),
    [anon_sym_lock] = ACTIONS(2239),
    [anon_sym_lstat] = ACTIONS(2239),
    [anon_sym_oct] = ACTIONS(2239),
    [anon_sym_ord] = ACTIONS(2239),
    [anon_sym_prototype] = ACTIONS(2239),
    [anon_sym_pop] = ACTIONS(2239),
    [anon_sym_pos] = ACTIONS(2239),
    [anon_sym_quotemeta] = ACTIONS(2239),
    [anon_sym_reset] = ACTIONS(2239),
    [anon_sym_rand] = ACTIONS(2239),
    [anon_sym_rmdir] = ACTIONS(2239),
    [anon_sym_readdir] = ACTIONS(2239),
    [anon_sym_readline] = ACTIONS(2239),
    [anon_sym_readpipe] = ACTIONS(2239),
    [anon_sym_rewinddir] = ACTIONS(2239),
    [anon_sym_readlink] = ACTIONS(2239),
    [anon_sym_ref] = ACTIONS(2239),
    [anon_sym_scalar] = ACTIONS(2239),
    [anon_sym_shift] = ACTIONS(2239),
    [anon_sym_sin] = ACTIONS(2239),
    [anon_sym_sleep] = ACTIONS(2239),
    [anon_sym_sqrt] = ACTIONS(2239),
    [anon_sym_srand] = ACTIONS(2239),
    [anon_sym_stat] = ACTIONS(2239),
    [anon_sym_study] = ACTIONS(2239),
    [anon_sym_tell] = ACTIONS(2239),
    [anon_sym_telldir] = ACTIONS(2239),
    [anon_sym_tied] = ACTIONS(2239),
    [anon_sym_uc] = ACTIONS(2239),
    [anon_sym_ucfirst] = ACTIONS(2239),
    [anon_sym_untie] = ACTIONS(2239),
    [anon_sym_umask] = ACTIONS(2239),
    [anon_sym_values] = ACTIONS(2239),
    [anon_sym_write] = ACTIONS(2239),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2239),
    [anon_sym___END__] = ACTIONS(2239),
    [anon_sym_EOT] = ACTIONS(2239),
    [anon_sym_q] = ACTIONS(2239),
    [anon_sym_qq] = ACTIONS(2239),
    [anon_sym_qw] = ACTIONS(2239),
    [anon_sym_qx] = ACTIONS(2239),
    [anon_sym_qr] = ACTIONS(2239),
    [anon_sym_m] = ACTIONS(2239),
    [anon_sym_s] = ACTIONS(2239),
    [anon_sym_tr] = ACTIONS(2239),
    [anon_sym_y] = ACTIONS(2239),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_unless] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(2239),
    [anon_sym_until] = ACTIONS(2239),
    [aux_sym__bareword_token1] = ACTIONS(2239),
    [sym_number] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2239),
    [anon_sym_false] = ACTIONS(2239),
    [sym__single_quote] = ACTIONS(2237),
    [sym__double_quote] = ACTIONS(2237),
    [sym__backtick_quote] = ACTIONS(2237),
    [sym__search_slash_quote] = ACTIONS(2237),
    [sym__PERLY_HEREDOC] = ACTIONS(2237),
    [sym__ctrl_z_hack] = ACTIONS(2237),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2237),
    [sym__filetest] = ACTIONS(2237),
  },
  [893] = {
    [sym_heredoc_content] = STATE(893),
    [ts_builtin_sym_end] = ACTIONS(2241),
    [sym__identifier] = ACTIONS(2243),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_SEMI] = ACTIONS(2243),
    [anon_sym_package] = ACTIONS(2243),
    [anon_sym_class] = ACTIONS(2243),
    [anon_sym_role] = ACTIONS(2243),
    [anon_sym_BUILD] = ACTIONS(2243),
    [anon_sym_ADJUST] = ACTIONS(2243),
    [anon_sym_DOLLAR] = ACTIONS(2243),
    [anon_sym_AT] = ACTIONS(2243),
    [anon_sym_my] = ACTIONS(2243),
    [anon_sym_extended] = ACTIONS(2243),
    [anon_sym_async] = ACTIONS(2243),
    [anon_sym_sub] = ACTIONS(2243),
    [anon_sym_method] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2243),
    [anon_sym_continue] = ACTIONS(2243),
    [anon_sym_state] = ACTIONS(2243),
    [anon_sym_our] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2243),
    [anon_sym_defer] = ACTIONS(2243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2243),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LT] = ACTIONS(2243),
    [anon_sym_LT_LT] = ACTIONS(2243),
    [anon_sym_SLASH_SLASH] = ACTIONS(2243),
    [anon_sym_PLUS] = ACTIONS(2243),
    [anon_sym_DASH] = ACTIONS(2243),
    [anon_sym_STAR] = ACTIONS(2243),
    [anon_sym_TILDE] = ACTIONS(2243),
    [anon_sym_BANG] = ACTIONS(2243),
    [anon_sym_PLUS_PLUS] = ACTIONS(2243),
    [anon_sym_DASH_DASH] = ACTIONS(2243),
    [anon_sym_BSLASH] = ACTIONS(2241),
    [anon_sym_do] = ACTIONS(2243),
    [anon_sym_eval] = ACTIONS(2243),
    [anon_sym_await] = ACTIONS(2243),
    [anon_sym_field] = ACTIONS(2243),
    [anon_sym_local] = ACTIONS(2243),
    [anon_sym_dynamically] = ACTIONS(2243),
    [anon_sym_require] = ACTIONS(2243),
    [anon_sym_map] = ACTIONS(2243),
    [anon_sym_grep] = ACTIONS(2243),
    [anon_sym_sort] = ACTIONS(2243),
    [anon_sym_goto] = ACTIONS(2243),
    [anon_sym_return] = ACTIONS(2243),
    [anon_sym_undef] = ACTIONS(2243),
    [anon_sym_PERCENT2] = ACTIONS(2243),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2243),
    [anon_sym_use] = ACTIONS(2243),
    [anon_sym_no] = ACTIONS(2243),
    [anon_sym_for] = ACTIONS(2243),
    [anon_sym_foreach] = ACTIONS(2243),
    [anon_sym_last] = ACTIONS(2243),
    [anon_sym_next] = ACTIONS(2243),
    [anon_sym_redo] = ACTIONS(2243),
    [anon_sym_BEGIN] = ACTIONS(2243),
    [anon_sym_INIT] = ACTIONS(2243),
    [anon_sym_CHECK] = ACTIONS(2243),
    [anon_sym_UNITCHECK] = ACTIONS(2243),
    [anon_sym_END] = ACTIONS(2243),
    [anon_sym___FILE__] = ACTIONS(2243),
    [anon_sym___LINE__] = ACTIONS(2243),
    [anon_sym___PACKAGE__] = ACTIONS(2243),
    [anon_sym___SUB__] = ACTIONS(2243),
    [anon_sym_break] = ACTIONS(2243),
    [anon_sym_fork] = ACTIONS(2243),
    [anon_sym_getppid] = ACTIONS(2243),
    [anon_sym_time] = ACTIONS(2243),
    [anon_sym_times] = ACTIONS(2243),
    [anon_sym_wait] = ACTIONS(2243),
    [anon_sym_wantarray] = ACTIONS(2243),
    [anon_sym_abs] = ACTIONS(2243),
    [anon_sym_alarm] = ACTIONS(2243),
    [anon_sym_chop] = ACTIONS(2243),
    [anon_sym_chdir] = ACTIONS(2243),
    [anon_sym_close] = ACTIONS(2243),
    [anon_sym_closedir] = ACTIONS(2243),
    [anon_sym_caller] = ACTIONS(2243),
    [anon_sym_chomp] = ACTIONS(2243),
    [anon_sym_chr] = ACTIONS(2243),
    [anon_sym_cos] = ACTIONS(2243),
    [anon_sym_chroot] = ACTIONS(2243),
    [anon_sym_defined] = ACTIONS(2243),
    [anon_sym_delete] = ACTIONS(2243),
    [anon_sym_dbmclose] = ACTIONS(2243),
    [anon_sym_exists] = ACTIONS(2243),
    [anon_sym_exit] = ACTIONS(2243),
    [anon_sym_eof] = ACTIONS(2243),
    [anon_sym_exp] = ACTIONS(2243),
    [anon_sym_each] = ACTIONS(2243),
    [anon_sym_fc] = ACTIONS(2243),
    [anon_sym_fileno] = ACTIONS(2243),
    [anon_sym_gmtime] = ACTIONS(2243),
    [anon_sym_getc] = ACTIONS(2243),
    [anon_sym_getpgrp] = ACTIONS(2243),
    [anon_sym_getprotobyname] = ACTIONS(2243),
    [anon_sym_getpwname] = ACTIONS(2243),
    [anon_sym_getpwuid] = ACTIONS(2243),
    [anon_sym_getpeername] = ACTIONS(2243),
    [anon_sym_getnetbyname] = ACTIONS(2243),
    [anon_sym_getsockname] = ACTIONS(2243),
    [anon_sym_getgrnam] = ACTIONS(2243),
    [anon_sym_getgrgid] = ACTIONS(2243),
    [anon_sym_hex] = ACTIONS(2243),
    [anon_sym_int] = ACTIONS(2243),
    [anon_sym_keys] = ACTIONS(2243),
    [anon_sym_lc] = ACTIONS(2243),
    [anon_sym_lcfirst] = ACTIONS(2243),
    [anon_sym_length] = ACTIONS(2243),
    [anon_sym_localtime] = ACTIONS(2243),
    [anon_sym_log] = ACTIONS(2243),
    [anon_sym_lock] = ACTIONS(2243),
    [anon_sym_lstat] = ACTIONS(2243),
    [anon_sym_oct] = ACTIONS(2243),
    [anon_sym_ord] = ACTIONS(2243),
    [anon_sym_prototype] = ACTIONS(2243),
    [anon_sym_pop] = ACTIONS(2243),
    [anon_sym_pos] = ACTIONS(2243),
    [anon_sym_quotemeta] = ACTIONS(2243),
    [anon_sym_reset] = ACTIONS(2243),
    [anon_sym_rand] = ACTIONS(2243),
    [anon_sym_rmdir] = ACTIONS(2243),
    [anon_sym_readdir] = ACTIONS(2243),
    [anon_sym_readline] = ACTIONS(2243),
    [anon_sym_readpipe] = ACTIONS(2243),
    [anon_sym_rewinddir] = ACTIONS(2243),
    [anon_sym_readlink] = ACTIONS(2243),
    [anon_sym_ref] = ACTIONS(2243),
    [anon_sym_scalar] = ACTIONS(2243),
    [anon_sym_shift] = ACTIONS(2243),
    [anon_sym_sin] = ACTIONS(2243),
    [anon_sym_sleep] = ACTIONS(2243),
    [anon_sym_sqrt] = ACTIONS(2243),
    [anon_sym_srand] = ACTIONS(2243),
    [anon_sym_stat] = ACTIONS(2243),
    [anon_sym_study] = ACTIONS(2243),
    [anon_sym_tell] = ACTIONS(2243),
    [anon_sym_telldir] = ACTIONS(2243),
    [anon_sym_tied] = ACTIONS(2243),
    [anon_sym_uc] = ACTIONS(2243),
    [anon_sym_ucfirst] = ACTIONS(2243),
    [anon_sym_untie] = ACTIONS(2243),
    [anon_sym_umask] = ACTIONS(2243),
    [anon_sym_values] = ACTIONS(2243),
    [anon_sym_write] = ACTIONS(2243),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2243),
    [anon_sym___END__] = ACTIONS(2243),
    [anon_sym_EOT] = ACTIONS(2243),
    [anon_sym_q] = ACTIONS(2243),
    [anon_sym_qq] = ACTIONS(2243),
    [anon_sym_qw] = ACTIONS(2243),
    [anon_sym_qx] = ACTIONS(2243),
    [anon_sym_qr] = ACTIONS(2243),
    [anon_sym_m] = ACTIONS(2243),
    [anon_sym_s] = ACTIONS(2243),
    [anon_sym_tr] = ACTIONS(2243),
    [anon_sym_y] = ACTIONS(2243),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_unless] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2243),
    [anon_sym_until] = ACTIONS(2243),
    [aux_sym__bareword_token1] = ACTIONS(2243),
    [sym_number] = ACTIONS(2243),
    [anon_sym_true] = ACTIONS(2243),
    [anon_sym_false] = ACTIONS(2243),
    [sym__single_quote] = ACTIONS(2241),
    [sym__double_quote] = ACTIONS(2241),
    [sym__backtick_quote] = ACTIONS(2241),
    [sym__search_slash_quote] = ACTIONS(2241),
    [sym__PERLY_HEREDOC] = ACTIONS(2241),
    [sym__ctrl_z_hack] = ACTIONS(2241),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2241),
    [sym__filetest] = ACTIONS(2241),
  },
  [894] = {
    [sym_heredoc_content] = STATE(894),
    [ts_builtin_sym_end] = ACTIONS(2245),
    [sym__identifier] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(2247),
    [anon_sym_SEMI] = ACTIONS(2247),
    [anon_sym_package] = ACTIONS(2247),
    [anon_sym_class] = ACTIONS(2247),
    [anon_sym_role] = ACTIONS(2247),
    [anon_sym_BUILD] = ACTIONS(2247),
    [anon_sym_ADJUST] = ACTIONS(2247),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2247),
    [anon_sym_my] = ACTIONS(2247),
    [anon_sym_extended] = ACTIONS(2247),
    [anon_sym_async] = ACTIONS(2247),
    [anon_sym_sub] = ACTIONS(2247),
    [anon_sym_method] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(2247),
    [anon_sym_continue] = ACTIONS(2247),
    [anon_sym_state] = ACTIONS(2247),
    [anon_sym_our] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2247),
    [anon_sym_defer] = ACTIONS(2247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2247),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_LT] = ACTIONS(2247),
    [anon_sym_LT_LT] = ACTIONS(2247),
    [anon_sym_SLASH_SLASH] = ACTIONS(2247),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_STAR] = ACTIONS(2247),
    [anon_sym_TILDE] = ACTIONS(2247),
    [anon_sym_BANG] = ACTIONS(2247),
    [anon_sym_PLUS_PLUS] = ACTIONS(2247),
    [anon_sym_DASH_DASH] = ACTIONS(2247),
    [anon_sym_BSLASH] = ACTIONS(2245),
    [anon_sym_do] = ACTIONS(2247),
    [anon_sym_eval] = ACTIONS(2247),
    [anon_sym_await] = ACTIONS(2247),
    [anon_sym_field] = ACTIONS(2247),
    [anon_sym_local] = ACTIONS(2247),
    [anon_sym_dynamically] = ACTIONS(2247),
    [anon_sym_require] = ACTIONS(2247),
    [anon_sym_map] = ACTIONS(2247),
    [anon_sym_grep] = ACTIONS(2247),
    [anon_sym_sort] = ACTIONS(2247),
    [anon_sym_goto] = ACTIONS(2247),
    [anon_sym_return] = ACTIONS(2247),
    [anon_sym_undef] = ACTIONS(2247),
    [anon_sym_PERCENT2] = ACTIONS(2247),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2247),
    [anon_sym_use] = ACTIONS(2247),
    [anon_sym_no] = ACTIONS(2247),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_foreach] = ACTIONS(2247),
    [anon_sym_last] = ACTIONS(2247),
    [anon_sym_next] = ACTIONS(2247),
    [anon_sym_redo] = ACTIONS(2247),
    [anon_sym_BEGIN] = ACTIONS(2247),
    [anon_sym_INIT] = ACTIONS(2247),
    [anon_sym_CHECK] = ACTIONS(2247),
    [anon_sym_UNITCHECK] = ACTIONS(2247),
    [anon_sym_END] = ACTIONS(2247),
    [anon_sym___FILE__] = ACTIONS(2247),
    [anon_sym___LINE__] = ACTIONS(2247),
    [anon_sym___PACKAGE__] = ACTIONS(2247),
    [anon_sym___SUB__] = ACTIONS(2247),
    [anon_sym_break] = ACTIONS(2247),
    [anon_sym_fork] = ACTIONS(2247),
    [anon_sym_getppid] = ACTIONS(2247),
    [anon_sym_time] = ACTIONS(2247),
    [anon_sym_times] = ACTIONS(2247),
    [anon_sym_wait] = ACTIONS(2247),
    [anon_sym_wantarray] = ACTIONS(2247),
    [anon_sym_abs] = ACTIONS(2247),
    [anon_sym_alarm] = ACTIONS(2247),
    [anon_sym_chop] = ACTIONS(2247),
    [anon_sym_chdir] = ACTIONS(2247),
    [anon_sym_close] = ACTIONS(2247),
    [anon_sym_closedir] = ACTIONS(2247),
    [anon_sym_caller] = ACTIONS(2247),
    [anon_sym_chomp] = ACTIONS(2247),
    [anon_sym_chr] = ACTIONS(2247),
    [anon_sym_cos] = ACTIONS(2247),
    [anon_sym_chroot] = ACTIONS(2247),
    [anon_sym_defined] = ACTIONS(2247),
    [anon_sym_delete] = ACTIONS(2247),
    [anon_sym_dbmclose] = ACTIONS(2247),
    [anon_sym_exists] = ACTIONS(2247),
    [anon_sym_exit] = ACTIONS(2247),
    [anon_sym_eof] = ACTIONS(2247),
    [anon_sym_exp] = ACTIONS(2247),
    [anon_sym_each] = ACTIONS(2247),
    [anon_sym_fc] = ACTIONS(2247),
    [anon_sym_fileno] = ACTIONS(2247),
    [anon_sym_gmtime] = ACTIONS(2247),
    [anon_sym_getc] = ACTIONS(2247),
    [anon_sym_getpgrp] = ACTIONS(2247),
    [anon_sym_getprotobyname] = ACTIONS(2247),
    [anon_sym_getpwname] = ACTIONS(2247),
    [anon_sym_getpwuid] = ACTIONS(2247),
    [anon_sym_getpeername] = ACTIONS(2247),
    [anon_sym_getnetbyname] = ACTIONS(2247),
    [anon_sym_getsockname] = ACTIONS(2247),
    [anon_sym_getgrnam] = ACTIONS(2247),
    [anon_sym_getgrgid] = ACTIONS(2247),
    [anon_sym_hex] = ACTIONS(2247),
    [anon_sym_int] = ACTIONS(2247),
    [anon_sym_keys] = ACTIONS(2247),
    [anon_sym_lc] = ACTIONS(2247),
    [anon_sym_lcfirst] = ACTIONS(2247),
    [anon_sym_length] = ACTIONS(2247),
    [anon_sym_localtime] = ACTIONS(2247),
    [anon_sym_log] = ACTIONS(2247),
    [anon_sym_lock] = ACTIONS(2247),
    [anon_sym_lstat] = ACTIONS(2247),
    [anon_sym_oct] = ACTIONS(2247),
    [anon_sym_ord] = ACTIONS(2247),
    [anon_sym_prototype] = ACTIONS(2247),
    [anon_sym_pop] = ACTIONS(2247),
    [anon_sym_pos] = ACTIONS(2247),
    [anon_sym_quotemeta] = ACTIONS(2247),
    [anon_sym_reset] = ACTIONS(2247),
    [anon_sym_rand] = ACTIONS(2247),
    [anon_sym_rmdir] = ACTIONS(2247),
    [anon_sym_readdir] = ACTIONS(2247),
    [anon_sym_readline] = ACTIONS(2247),
    [anon_sym_readpipe] = ACTIONS(2247),
    [anon_sym_rewinddir] = ACTIONS(2247),
    [anon_sym_readlink] = ACTIONS(2247),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_scalar] = ACTIONS(2247),
    [anon_sym_shift] = ACTIONS(2247),
    [anon_sym_sin] = ACTIONS(2247),
    [anon_sym_sleep] = ACTIONS(2247),
    [anon_sym_sqrt] = ACTIONS(2247),
    [anon_sym_srand] = ACTIONS(2247),
    [anon_sym_stat] = ACTIONS(2247),
    [anon_sym_study] = ACTIONS(2247),
    [anon_sym_tell] = ACTIONS(2247),
    [anon_sym_telldir] = ACTIONS(2247),
    [anon_sym_tied] = ACTIONS(2247),
    [anon_sym_uc] = ACTIONS(2247),
    [anon_sym_ucfirst] = ACTIONS(2247),
    [anon_sym_untie] = ACTIONS(2247),
    [anon_sym_umask] = ACTIONS(2247),
    [anon_sym_values] = ACTIONS(2247),
    [anon_sym_write] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2247),
    [anon_sym___END__] = ACTIONS(2247),
    [anon_sym_EOT] = ACTIONS(2247),
    [anon_sym_q] = ACTIONS(2247),
    [anon_sym_qq] = ACTIONS(2247),
    [anon_sym_qw] = ACTIONS(2247),
    [anon_sym_qx] = ACTIONS(2247),
    [anon_sym_qr] = ACTIONS(2247),
    [anon_sym_m] = ACTIONS(2247),
    [anon_sym_s] = ACTIONS(2247),
    [anon_sym_tr] = ACTIONS(2247),
    [anon_sym_y] = ACTIONS(2247),
    [anon_sym_if] = ACTIONS(2247),
    [anon_sym_unless] = ACTIONS(2247),
    [anon_sym_while] = ACTIONS(2247),
    [anon_sym_until] = ACTIONS(2247),
    [aux_sym__bareword_token1] = ACTIONS(2247),
    [sym_number] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2247),
    [anon_sym_false] = ACTIONS(2247),
    [sym__single_quote] = ACTIONS(2245),
    [sym__double_quote] = ACTIONS(2245),
    [sym__backtick_quote] = ACTIONS(2245),
    [sym__search_slash_quote] = ACTIONS(2245),
    [sym__PERLY_HEREDOC] = ACTIONS(2245),
    [sym__ctrl_z_hack] = ACTIONS(2245),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2245),
    [sym__filetest] = ACTIONS(2245),
  },
  [895] = {
    [sym_heredoc_content] = STATE(895),
    [ts_builtin_sym_end] = ACTIONS(2249),
    [sym__identifier] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_SEMI] = ACTIONS(2251),
    [anon_sym_package] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_role] = ACTIONS(2251),
    [anon_sym_BUILD] = ACTIONS(2251),
    [anon_sym_ADJUST] = ACTIONS(2251),
    [anon_sym_DOLLAR] = ACTIONS(2251),
    [anon_sym_AT] = ACTIONS(2251),
    [anon_sym_my] = ACTIONS(2251),
    [anon_sym_extended] = ACTIONS(2251),
    [anon_sym_async] = ACTIONS(2251),
    [anon_sym_sub] = ACTIONS(2251),
    [anon_sym_method] = ACTIONS(2251),
    [anon_sym_LPAREN] = ACTIONS(2251),
    [anon_sym_continue] = ACTIONS(2251),
    [anon_sym_state] = ACTIONS(2251),
    [anon_sym_our] = ACTIONS(2251),
    [anon_sym_try] = ACTIONS(2251),
    [anon_sym_defer] = ACTIONS(2251),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_LT_LT] = ACTIONS(2251),
    [anon_sym_SLASH_SLASH] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2251),
    [anon_sym_TILDE] = ACTIONS(2251),
    [anon_sym_BANG] = ACTIONS(2251),
    [anon_sym_PLUS_PLUS] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2251),
    [anon_sym_BSLASH] = ACTIONS(2249),
    [anon_sym_do] = ACTIONS(2251),
    [anon_sym_eval] = ACTIONS(2251),
    [anon_sym_await] = ACTIONS(2251),
    [anon_sym_field] = ACTIONS(2251),
    [anon_sym_local] = ACTIONS(2251),
    [anon_sym_dynamically] = ACTIONS(2251),
    [anon_sym_require] = ACTIONS(2251),
    [anon_sym_map] = ACTIONS(2251),
    [anon_sym_grep] = ACTIONS(2251),
    [anon_sym_sort] = ACTIONS(2251),
    [anon_sym_goto] = ACTIONS(2251),
    [anon_sym_return] = ACTIONS(2251),
    [anon_sym_undef] = ACTIONS(2251),
    [anon_sym_PERCENT2] = ACTIONS(2251),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2251),
    [anon_sym_use] = ACTIONS(2251),
    [anon_sym_no] = ACTIONS(2251),
    [anon_sym_for] = ACTIONS(2251),
    [anon_sym_foreach] = ACTIONS(2251),
    [anon_sym_last] = ACTIONS(2251),
    [anon_sym_next] = ACTIONS(2251),
    [anon_sym_redo] = ACTIONS(2251),
    [anon_sym_BEGIN] = ACTIONS(2251),
    [anon_sym_INIT] = ACTIONS(2251),
    [anon_sym_CHECK] = ACTIONS(2251),
    [anon_sym_UNITCHECK] = ACTIONS(2251),
    [anon_sym_END] = ACTIONS(2251),
    [anon_sym___FILE__] = ACTIONS(2251),
    [anon_sym___LINE__] = ACTIONS(2251),
    [anon_sym___PACKAGE__] = ACTIONS(2251),
    [anon_sym___SUB__] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2251),
    [anon_sym_fork] = ACTIONS(2251),
    [anon_sym_getppid] = ACTIONS(2251),
    [anon_sym_time] = ACTIONS(2251),
    [anon_sym_times] = ACTIONS(2251),
    [anon_sym_wait] = ACTIONS(2251),
    [anon_sym_wantarray] = ACTIONS(2251),
    [anon_sym_abs] = ACTIONS(2251),
    [anon_sym_alarm] = ACTIONS(2251),
    [anon_sym_chop] = ACTIONS(2251),
    [anon_sym_chdir] = ACTIONS(2251),
    [anon_sym_close] = ACTIONS(2251),
    [anon_sym_closedir] = ACTIONS(2251),
    [anon_sym_caller] = ACTIONS(2251),
    [anon_sym_chomp] = ACTIONS(2251),
    [anon_sym_chr] = ACTIONS(2251),
    [anon_sym_cos] = ACTIONS(2251),
    [anon_sym_chroot] = ACTIONS(2251),
    [anon_sym_defined] = ACTIONS(2251),
    [anon_sym_delete] = ACTIONS(2251),
    [anon_sym_dbmclose] = ACTIONS(2251),
    [anon_sym_exists] = ACTIONS(2251),
    [anon_sym_exit] = ACTIONS(2251),
    [anon_sym_eof] = ACTIONS(2251),
    [anon_sym_exp] = ACTIONS(2251),
    [anon_sym_each] = ACTIONS(2251),
    [anon_sym_fc] = ACTIONS(2251),
    [anon_sym_fileno] = ACTIONS(2251),
    [anon_sym_gmtime] = ACTIONS(2251),
    [anon_sym_getc] = ACTIONS(2251),
    [anon_sym_getpgrp] = ACTIONS(2251),
    [anon_sym_getprotobyname] = ACTIONS(2251),
    [anon_sym_getpwname] = ACTIONS(2251),
    [anon_sym_getpwuid] = ACTIONS(2251),
    [anon_sym_getpeername] = ACTIONS(2251),
    [anon_sym_getnetbyname] = ACTIONS(2251),
    [anon_sym_getsockname] = ACTIONS(2251),
    [anon_sym_getgrnam] = ACTIONS(2251),
    [anon_sym_getgrgid] = ACTIONS(2251),
    [anon_sym_hex] = ACTIONS(2251),
    [anon_sym_int] = ACTIONS(2251),
    [anon_sym_keys] = ACTIONS(2251),
    [anon_sym_lc] = ACTIONS(2251),
    [anon_sym_lcfirst] = ACTIONS(2251),
    [anon_sym_length] = ACTIONS(2251),
    [anon_sym_localtime] = ACTIONS(2251),
    [anon_sym_log] = ACTIONS(2251),
    [anon_sym_lock] = ACTIONS(2251),
    [anon_sym_lstat] = ACTIONS(2251),
    [anon_sym_oct] = ACTIONS(2251),
    [anon_sym_ord] = ACTIONS(2251),
    [anon_sym_prototype] = ACTIONS(2251),
    [anon_sym_pop] = ACTIONS(2251),
    [anon_sym_pos] = ACTIONS(2251),
    [anon_sym_quotemeta] = ACTIONS(2251),
    [anon_sym_reset] = ACTIONS(2251),
    [anon_sym_rand] = ACTIONS(2251),
    [anon_sym_rmdir] = ACTIONS(2251),
    [anon_sym_readdir] = ACTIONS(2251),
    [anon_sym_readline] = ACTIONS(2251),
    [anon_sym_readpipe] = ACTIONS(2251),
    [anon_sym_rewinddir] = ACTIONS(2251),
    [anon_sym_readlink] = ACTIONS(2251),
    [anon_sym_ref] = ACTIONS(2251),
    [anon_sym_scalar] = ACTIONS(2251),
    [anon_sym_shift] = ACTIONS(2251),
    [anon_sym_sin] = ACTIONS(2251),
    [anon_sym_sleep] = ACTIONS(2251),
    [anon_sym_sqrt] = ACTIONS(2251),
    [anon_sym_srand] = ACTIONS(2251),
    [anon_sym_stat] = ACTIONS(2251),
    [anon_sym_study] = ACTIONS(2251),
    [anon_sym_tell] = ACTIONS(2251),
    [anon_sym_telldir] = ACTIONS(2251),
    [anon_sym_tied] = ACTIONS(2251),
    [anon_sym_uc] = ACTIONS(2251),
    [anon_sym_ucfirst] = ACTIONS(2251),
    [anon_sym_untie] = ACTIONS(2251),
    [anon_sym_umask] = ACTIONS(2251),
    [anon_sym_values] = ACTIONS(2251),
    [anon_sym_write] = ACTIONS(2251),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2251),
    [anon_sym___END__] = ACTIONS(2251),
    [anon_sym_EOT] = ACTIONS(2251),
    [anon_sym_q] = ACTIONS(2251),
    [anon_sym_qq] = ACTIONS(2251),
    [anon_sym_qw] = ACTIONS(2251),
    [anon_sym_qx] = ACTIONS(2251),
    [anon_sym_qr] = ACTIONS(2251),
    [anon_sym_m] = ACTIONS(2251),
    [anon_sym_s] = ACTIONS(2251),
    [anon_sym_tr] = ACTIONS(2251),
    [anon_sym_y] = ACTIONS(2251),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_unless] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(2251),
    [anon_sym_until] = ACTIONS(2251),
    [aux_sym__bareword_token1] = ACTIONS(2251),
    [sym_number] = ACTIONS(2251),
    [anon_sym_true] = ACTIONS(2251),
    [anon_sym_false] = ACTIONS(2251),
    [sym__single_quote] = ACTIONS(2249),
    [sym__double_quote] = ACTIONS(2249),
    [sym__backtick_quote] = ACTIONS(2249),
    [sym__search_slash_quote] = ACTIONS(2249),
    [sym__PERLY_HEREDOC] = ACTIONS(2249),
    [sym__ctrl_z_hack] = ACTIONS(2249),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2249),
    [sym__filetest] = ACTIONS(2249),
  },
  [896] = {
    [sym_heredoc_content] = STATE(896),
    [ts_builtin_sym_end] = ACTIONS(2253),
    [sym__identifier] = ACTIONS(2255),
    [anon_sym_LBRACE] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(2255),
    [anon_sym_package] = ACTIONS(2255),
    [anon_sym_class] = ACTIONS(2255),
    [anon_sym_role] = ACTIONS(2255),
    [anon_sym_BUILD] = ACTIONS(2255),
    [anon_sym_ADJUST] = ACTIONS(2255),
    [anon_sym_DOLLAR] = ACTIONS(2255),
    [anon_sym_AT] = ACTIONS(2255),
    [anon_sym_my] = ACTIONS(2255),
    [anon_sym_extended] = ACTIONS(2255),
    [anon_sym_async] = ACTIONS(2255),
    [anon_sym_sub] = ACTIONS(2255),
    [anon_sym_method] = ACTIONS(2255),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_continue] = ACTIONS(2255),
    [anon_sym_state] = ACTIONS(2255),
    [anon_sym_our] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2255),
    [anon_sym_defer] = ACTIONS(2255),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2255),
    [anon_sym_LBRACK] = ACTIONS(2255),
    [anon_sym_LT] = ACTIONS(2255),
    [anon_sym_LT_LT] = ACTIONS(2255),
    [anon_sym_SLASH_SLASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_TILDE] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2255),
    [anon_sym_PLUS_PLUS] = ACTIONS(2255),
    [anon_sym_DASH_DASH] = ACTIONS(2255),
    [anon_sym_BSLASH] = ACTIONS(2253),
    [anon_sym_do] = ACTIONS(2255),
    [anon_sym_eval] = ACTIONS(2255),
    [anon_sym_await] = ACTIONS(2255),
    [anon_sym_field] = ACTIONS(2255),
    [anon_sym_local] = ACTIONS(2255),
    [anon_sym_dynamically] = ACTIONS(2255),
    [anon_sym_require] = ACTIONS(2255),
    [anon_sym_map] = ACTIONS(2255),
    [anon_sym_grep] = ACTIONS(2255),
    [anon_sym_sort] = ACTIONS(2255),
    [anon_sym_goto] = ACTIONS(2255),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_undef] = ACTIONS(2255),
    [anon_sym_PERCENT2] = ACTIONS(2255),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2255),
    [anon_sym_use] = ACTIONS(2255),
    [anon_sym_no] = ACTIONS(2255),
    [anon_sym_for] = ACTIONS(2255),
    [anon_sym_foreach] = ACTIONS(2255),
    [anon_sym_last] = ACTIONS(2255),
    [anon_sym_next] = ACTIONS(2255),
    [anon_sym_redo] = ACTIONS(2255),
    [anon_sym_BEGIN] = ACTIONS(2255),
    [anon_sym_INIT] = ACTIONS(2255),
    [anon_sym_CHECK] = ACTIONS(2255),
    [anon_sym_UNITCHECK] = ACTIONS(2255),
    [anon_sym_END] = ACTIONS(2255),
    [anon_sym___FILE__] = ACTIONS(2255),
    [anon_sym___LINE__] = ACTIONS(2255),
    [anon_sym___PACKAGE__] = ACTIONS(2255),
    [anon_sym___SUB__] = ACTIONS(2255),
    [anon_sym_break] = ACTIONS(2255),
    [anon_sym_fork] = ACTIONS(2255),
    [anon_sym_getppid] = ACTIONS(2255),
    [anon_sym_time] = ACTIONS(2255),
    [anon_sym_times] = ACTIONS(2255),
    [anon_sym_wait] = ACTIONS(2255),
    [anon_sym_wantarray] = ACTIONS(2255),
    [anon_sym_abs] = ACTIONS(2255),
    [anon_sym_alarm] = ACTIONS(2255),
    [anon_sym_chop] = ACTIONS(2255),
    [anon_sym_chdir] = ACTIONS(2255),
    [anon_sym_close] = ACTIONS(2255),
    [anon_sym_closedir] = ACTIONS(2255),
    [anon_sym_caller] = ACTIONS(2255),
    [anon_sym_chomp] = ACTIONS(2255),
    [anon_sym_chr] = ACTIONS(2255),
    [anon_sym_cos] = ACTIONS(2255),
    [anon_sym_chroot] = ACTIONS(2255),
    [anon_sym_defined] = ACTIONS(2255),
    [anon_sym_delete] = ACTIONS(2255),
    [anon_sym_dbmclose] = ACTIONS(2255),
    [anon_sym_exists] = ACTIONS(2255),
    [anon_sym_exit] = ACTIONS(2255),
    [anon_sym_eof] = ACTIONS(2255),
    [anon_sym_exp] = ACTIONS(2255),
    [anon_sym_each] = ACTIONS(2255),
    [anon_sym_fc] = ACTIONS(2255),
    [anon_sym_fileno] = ACTIONS(2255),
    [anon_sym_gmtime] = ACTIONS(2255),
    [anon_sym_getc] = ACTIONS(2255),
    [anon_sym_getpgrp] = ACTIONS(2255),
    [anon_sym_getprotobyname] = ACTIONS(2255),
    [anon_sym_getpwname] = ACTIONS(2255),
    [anon_sym_getpwuid] = ACTIONS(2255),
    [anon_sym_getpeername] = ACTIONS(2255),
    [anon_sym_getnetbyname] = ACTIONS(2255),
    [anon_sym_getsockname] = ACTIONS(2255),
    [anon_sym_getgrnam] = ACTIONS(2255),
    [anon_sym_getgrgid] = ACTIONS(2255),
    [anon_sym_hex] = ACTIONS(2255),
    [anon_sym_int] = ACTIONS(2255),
    [anon_sym_keys] = ACTIONS(2255),
    [anon_sym_lc] = ACTIONS(2255),
    [anon_sym_lcfirst] = ACTIONS(2255),
    [anon_sym_length] = ACTIONS(2255),
    [anon_sym_localtime] = ACTIONS(2255),
    [anon_sym_log] = ACTIONS(2255),
    [anon_sym_lock] = ACTIONS(2255),
    [anon_sym_lstat] = ACTIONS(2255),
    [anon_sym_oct] = ACTIONS(2255),
    [anon_sym_ord] = ACTIONS(2255),
    [anon_sym_prototype] = ACTIONS(2255),
    [anon_sym_pop] = ACTIONS(2255),
    [anon_sym_pos] = ACTIONS(2255),
    [anon_sym_quotemeta] = ACTIONS(2255),
    [anon_sym_reset] = ACTIONS(2255),
    [anon_sym_rand] = ACTIONS(2255),
    [anon_sym_rmdir] = ACTIONS(2255),
    [anon_sym_readdir] = ACTIONS(2255),
    [anon_sym_readline] = ACTIONS(2255),
    [anon_sym_readpipe] = ACTIONS(2255),
    [anon_sym_rewinddir] = ACTIONS(2255),
    [anon_sym_readlink] = ACTIONS(2255),
    [anon_sym_ref] = ACTIONS(2255),
    [anon_sym_scalar] = ACTIONS(2255),
    [anon_sym_shift] = ACTIONS(2255),
    [anon_sym_sin] = ACTIONS(2255),
    [anon_sym_sleep] = ACTIONS(2255),
    [anon_sym_sqrt] = ACTIONS(2255),
    [anon_sym_srand] = ACTIONS(2255),
    [anon_sym_stat] = ACTIONS(2255),
    [anon_sym_study] = ACTIONS(2255),
    [anon_sym_tell] = ACTIONS(2255),
    [anon_sym_telldir] = ACTIONS(2255),
    [anon_sym_tied] = ACTIONS(2255),
    [anon_sym_uc] = ACTIONS(2255),
    [anon_sym_ucfirst] = ACTIONS(2255),
    [anon_sym_untie] = ACTIONS(2255),
    [anon_sym_umask] = ACTIONS(2255),
    [anon_sym_values] = ACTIONS(2255),
    [anon_sym_write] = ACTIONS(2255),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2255),
    [anon_sym___END__] = ACTIONS(2255),
    [anon_sym_EOT] = ACTIONS(2255),
    [anon_sym_q] = ACTIONS(2255),
    [anon_sym_qq] = ACTIONS(2255),
    [anon_sym_qw] = ACTIONS(2255),
    [anon_sym_qx] = ACTIONS(2255),
    [anon_sym_qr] = ACTIONS(2255),
    [anon_sym_m] = ACTIONS(2255),
    [anon_sym_s] = ACTIONS(2255),
    [anon_sym_tr] = ACTIONS(2255),
    [anon_sym_y] = ACTIONS(2255),
    [anon_sym_if] = ACTIONS(2255),
    [anon_sym_unless] = ACTIONS(2255),
    [anon_sym_while] = ACTIONS(2255),
    [anon_sym_until] = ACTIONS(2255),
    [aux_sym__bareword_token1] = ACTIONS(2255),
    [sym_number] = ACTIONS(2255),
    [anon_sym_true] = ACTIONS(2255),
    [anon_sym_false] = ACTIONS(2255),
    [sym__single_quote] = ACTIONS(2253),
    [sym__double_quote] = ACTIONS(2253),
    [sym__backtick_quote] = ACTIONS(2253),
    [sym__search_slash_quote] = ACTIONS(2253),
    [sym__PERLY_HEREDOC] = ACTIONS(2253),
    [sym__ctrl_z_hack] = ACTIONS(2253),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2253),
    [sym__filetest] = ACTIONS(2253),
  },
  [897] = {
    [sym_heredoc_content] = STATE(897),
    [ts_builtin_sym_end] = ACTIONS(2257),
    [sym__identifier] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym_package] = ACTIONS(2259),
    [anon_sym_class] = ACTIONS(2259),
    [anon_sym_role] = ACTIONS(2259),
    [anon_sym_BUILD] = ACTIONS(2259),
    [anon_sym_ADJUST] = ACTIONS(2259),
    [anon_sym_DOLLAR] = ACTIONS(2259),
    [anon_sym_AT] = ACTIONS(2259),
    [anon_sym_my] = ACTIONS(2259),
    [anon_sym_extended] = ACTIONS(2259),
    [anon_sym_async] = ACTIONS(2259),
    [anon_sym_sub] = ACTIONS(2259),
    [anon_sym_method] = ACTIONS(2259),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_continue] = ACTIONS(2259),
    [anon_sym_state] = ACTIONS(2259),
    [anon_sym_our] = ACTIONS(2259),
    [anon_sym_try] = ACTIONS(2259),
    [anon_sym_defer] = ACTIONS(2259),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2259),
    [anon_sym_LT] = ACTIONS(2259),
    [anon_sym_LT_LT] = ACTIONS(2259),
    [anon_sym_SLASH_SLASH] = ACTIONS(2259),
    [anon_sym_PLUS] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_BSLASH] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(2259),
    [anon_sym_eval] = ACTIONS(2259),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_field] = ACTIONS(2259),
    [anon_sym_local] = ACTIONS(2259),
    [anon_sym_dynamically] = ACTIONS(2259),
    [anon_sym_require] = ACTIONS(2259),
    [anon_sym_map] = ACTIONS(2259),
    [anon_sym_grep] = ACTIONS(2259),
    [anon_sym_sort] = ACTIONS(2259),
    [anon_sym_goto] = ACTIONS(2259),
    [anon_sym_return] = ACTIONS(2259),
    [anon_sym_undef] = ACTIONS(2259),
    [anon_sym_PERCENT2] = ACTIONS(2259),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2259),
    [anon_sym_use] = ACTIONS(2259),
    [anon_sym_no] = ACTIONS(2259),
    [anon_sym_for] = ACTIONS(2259),
    [anon_sym_foreach] = ACTIONS(2259),
    [anon_sym_last] = ACTIONS(2259),
    [anon_sym_next] = ACTIONS(2259),
    [anon_sym_redo] = ACTIONS(2259),
    [anon_sym_BEGIN] = ACTIONS(2259),
    [anon_sym_INIT] = ACTIONS(2259),
    [anon_sym_CHECK] = ACTIONS(2259),
    [anon_sym_UNITCHECK] = ACTIONS(2259),
    [anon_sym_END] = ACTIONS(2259),
    [anon_sym___FILE__] = ACTIONS(2259),
    [anon_sym___LINE__] = ACTIONS(2259),
    [anon_sym___PACKAGE__] = ACTIONS(2259),
    [anon_sym___SUB__] = ACTIONS(2259),
    [anon_sym_break] = ACTIONS(2259),
    [anon_sym_fork] = ACTIONS(2259),
    [anon_sym_getppid] = ACTIONS(2259),
    [anon_sym_time] = ACTIONS(2259),
    [anon_sym_times] = ACTIONS(2259),
    [anon_sym_wait] = ACTIONS(2259),
    [anon_sym_wantarray] = ACTIONS(2259),
    [anon_sym_abs] = ACTIONS(2259),
    [anon_sym_alarm] = ACTIONS(2259),
    [anon_sym_chop] = ACTIONS(2259),
    [anon_sym_chdir] = ACTIONS(2259),
    [anon_sym_close] = ACTIONS(2259),
    [anon_sym_closedir] = ACTIONS(2259),
    [anon_sym_caller] = ACTIONS(2259),
    [anon_sym_chomp] = ACTIONS(2259),
    [anon_sym_chr] = ACTIONS(2259),
    [anon_sym_cos] = ACTIONS(2259),
    [anon_sym_chroot] = ACTIONS(2259),
    [anon_sym_defined] = ACTIONS(2259),
    [anon_sym_delete] = ACTIONS(2259),
    [anon_sym_dbmclose] = ACTIONS(2259),
    [anon_sym_exists] = ACTIONS(2259),
    [anon_sym_exit] = ACTIONS(2259),
    [anon_sym_eof] = ACTIONS(2259),
    [anon_sym_exp] = ACTIONS(2259),
    [anon_sym_each] = ACTIONS(2259),
    [anon_sym_fc] = ACTIONS(2259),
    [anon_sym_fileno] = ACTIONS(2259),
    [anon_sym_gmtime] = ACTIONS(2259),
    [anon_sym_getc] = ACTIONS(2259),
    [anon_sym_getpgrp] = ACTIONS(2259),
    [anon_sym_getprotobyname] = ACTIONS(2259),
    [anon_sym_getpwname] = ACTIONS(2259),
    [anon_sym_getpwuid] = ACTIONS(2259),
    [anon_sym_getpeername] = ACTIONS(2259),
    [anon_sym_getnetbyname] = ACTIONS(2259),
    [anon_sym_getsockname] = ACTIONS(2259),
    [anon_sym_getgrnam] = ACTIONS(2259),
    [anon_sym_getgrgid] = ACTIONS(2259),
    [anon_sym_hex] = ACTIONS(2259),
    [anon_sym_int] = ACTIONS(2259),
    [anon_sym_keys] = ACTIONS(2259),
    [anon_sym_lc] = ACTIONS(2259),
    [anon_sym_lcfirst] = ACTIONS(2259),
    [anon_sym_length] = ACTIONS(2259),
    [anon_sym_localtime] = ACTIONS(2259),
    [anon_sym_log] = ACTIONS(2259),
    [anon_sym_lock] = ACTIONS(2259),
    [anon_sym_lstat] = ACTIONS(2259),
    [anon_sym_oct] = ACTIONS(2259),
    [anon_sym_ord] = ACTIONS(2259),
    [anon_sym_prototype] = ACTIONS(2259),
    [anon_sym_pop] = ACTIONS(2259),
    [anon_sym_pos] = ACTIONS(2259),
    [anon_sym_quotemeta] = ACTIONS(2259),
    [anon_sym_reset] = ACTIONS(2259),
    [anon_sym_rand] = ACTIONS(2259),
    [anon_sym_rmdir] = ACTIONS(2259),
    [anon_sym_readdir] = ACTIONS(2259),
    [anon_sym_readline] = ACTIONS(2259),
    [anon_sym_readpipe] = ACTIONS(2259),
    [anon_sym_rewinddir] = ACTIONS(2259),
    [anon_sym_readlink] = ACTIONS(2259),
    [anon_sym_ref] = ACTIONS(2259),
    [anon_sym_scalar] = ACTIONS(2259),
    [anon_sym_shift] = ACTIONS(2259),
    [anon_sym_sin] = ACTIONS(2259),
    [anon_sym_sleep] = ACTIONS(2259),
    [anon_sym_sqrt] = ACTIONS(2259),
    [anon_sym_srand] = ACTIONS(2259),
    [anon_sym_stat] = ACTIONS(2259),
    [anon_sym_study] = ACTIONS(2259),
    [anon_sym_tell] = ACTIONS(2259),
    [anon_sym_telldir] = ACTIONS(2259),
    [anon_sym_tied] = ACTIONS(2259),
    [anon_sym_uc] = ACTIONS(2259),
    [anon_sym_ucfirst] = ACTIONS(2259),
    [anon_sym_untie] = ACTIONS(2259),
    [anon_sym_umask] = ACTIONS(2259),
    [anon_sym_values] = ACTIONS(2259),
    [anon_sym_write] = ACTIONS(2259),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2259),
    [anon_sym___END__] = ACTIONS(2259),
    [anon_sym_EOT] = ACTIONS(2259),
    [anon_sym_q] = ACTIONS(2259),
    [anon_sym_qq] = ACTIONS(2259),
    [anon_sym_qw] = ACTIONS(2259),
    [anon_sym_qx] = ACTIONS(2259),
    [anon_sym_qr] = ACTIONS(2259),
    [anon_sym_m] = ACTIONS(2259),
    [anon_sym_s] = ACTIONS(2259),
    [anon_sym_tr] = ACTIONS(2259),
    [anon_sym_y] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_unless] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(2259),
    [anon_sym_until] = ACTIONS(2259),
    [aux_sym__bareword_token1] = ACTIONS(2259),
    [sym_number] = ACTIONS(2259),
    [anon_sym_true] = ACTIONS(2259),
    [anon_sym_false] = ACTIONS(2259),
    [sym__single_quote] = ACTIONS(2257),
    [sym__double_quote] = ACTIONS(2257),
    [sym__backtick_quote] = ACTIONS(2257),
    [sym__search_slash_quote] = ACTIONS(2257),
    [sym__PERLY_HEREDOC] = ACTIONS(2257),
    [sym__ctrl_z_hack] = ACTIONS(2257),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2257),
    [sym__filetest] = ACTIONS(2257),
  },
  [898] = {
    [sym_heredoc_content] = STATE(898),
    [ts_builtin_sym_end] = ACTIONS(2261),
    [sym__identifier] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2263),
    [anon_sym_SEMI] = ACTIONS(2263),
    [anon_sym_package] = ACTIONS(2263),
    [anon_sym_class] = ACTIONS(2263),
    [anon_sym_role] = ACTIONS(2263),
    [anon_sym_BUILD] = ACTIONS(2263),
    [anon_sym_ADJUST] = ACTIONS(2263),
    [anon_sym_DOLLAR] = ACTIONS(2263),
    [anon_sym_AT] = ACTIONS(2263),
    [anon_sym_my] = ACTIONS(2263),
    [anon_sym_extended] = ACTIONS(2263),
    [anon_sym_async] = ACTIONS(2263),
    [anon_sym_sub] = ACTIONS(2263),
    [anon_sym_method] = ACTIONS(2263),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_continue] = ACTIONS(2263),
    [anon_sym_state] = ACTIONS(2263),
    [anon_sym_our] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2263),
    [anon_sym_defer] = ACTIONS(2263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2263),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_LT_LT] = ACTIONS(2263),
    [anon_sym_SLASH_SLASH] = ACTIONS(2263),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_STAR] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_PLUS_PLUS] = ACTIONS(2263),
    [anon_sym_DASH_DASH] = ACTIONS(2263),
    [anon_sym_BSLASH] = ACTIONS(2261),
    [anon_sym_do] = ACTIONS(2263),
    [anon_sym_eval] = ACTIONS(2263),
    [anon_sym_await] = ACTIONS(2263),
    [anon_sym_field] = ACTIONS(2263),
    [anon_sym_local] = ACTIONS(2263),
    [anon_sym_dynamically] = ACTIONS(2263),
    [anon_sym_require] = ACTIONS(2263),
    [anon_sym_map] = ACTIONS(2263),
    [anon_sym_grep] = ACTIONS(2263),
    [anon_sym_sort] = ACTIONS(2263),
    [anon_sym_goto] = ACTIONS(2263),
    [anon_sym_return] = ACTIONS(2263),
    [anon_sym_undef] = ACTIONS(2263),
    [anon_sym_PERCENT2] = ACTIONS(2263),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2263),
    [anon_sym_use] = ACTIONS(2263),
    [anon_sym_no] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2263),
    [anon_sym_foreach] = ACTIONS(2263),
    [anon_sym_last] = ACTIONS(2263),
    [anon_sym_next] = ACTIONS(2263),
    [anon_sym_redo] = ACTIONS(2263),
    [anon_sym_BEGIN] = ACTIONS(2263),
    [anon_sym_INIT] = ACTIONS(2263),
    [anon_sym_CHECK] = ACTIONS(2263),
    [anon_sym_UNITCHECK] = ACTIONS(2263),
    [anon_sym_END] = ACTIONS(2263),
    [anon_sym___FILE__] = ACTIONS(2263),
    [anon_sym___LINE__] = ACTIONS(2263),
    [anon_sym___PACKAGE__] = ACTIONS(2263),
    [anon_sym___SUB__] = ACTIONS(2263),
    [anon_sym_break] = ACTIONS(2263),
    [anon_sym_fork] = ACTIONS(2263),
    [anon_sym_getppid] = ACTIONS(2263),
    [anon_sym_time] = ACTIONS(2263),
    [anon_sym_times] = ACTIONS(2263),
    [anon_sym_wait] = ACTIONS(2263),
    [anon_sym_wantarray] = ACTIONS(2263),
    [anon_sym_abs] = ACTIONS(2263),
    [anon_sym_alarm] = ACTIONS(2263),
    [anon_sym_chop] = ACTIONS(2263),
    [anon_sym_chdir] = ACTIONS(2263),
    [anon_sym_close] = ACTIONS(2263),
    [anon_sym_closedir] = ACTIONS(2263),
    [anon_sym_caller] = ACTIONS(2263),
    [anon_sym_chomp] = ACTIONS(2263),
    [anon_sym_chr] = ACTIONS(2263),
    [anon_sym_cos] = ACTIONS(2263),
    [anon_sym_chroot] = ACTIONS(2263),
    [anon_sym_defined] = ACTIONS(2263),
    [anon_sym_delete] = ACTIONS(2263),
    [anon_sym_dbmclose] = ACTIONS(2263),
    [anon_sym_exists] = ACTIONS(2263),
    [anon_sym_exit] = ACTIONS(2263),
    [anon_sym_eof] = ACTIONS(2263),
    [anon_sym_exp] = ACTIONS(2263),
    [anon_sym_each] = ACTIONS(2263),
    [anon_sym_fc] = ACTIONS(2263),
    [anon_sym_fileno] = ACTIONS(2263),
    [anon_sym_gmtime] = ACTIONS(2263),
    [anon_sym_getc] = ACTIONS(2263),
    [anon_sym_getpgrp] = ACTIONS(2263),
    [anon_sym_getprotobyname] = ACTIONS(2263),
    [anon_sym_getpwname] = ACTIONS(2263),
    [anon_sym_getpwuid] = ACTIONS(2263),
    [anon_sym_getpeername] = ACTIONS(2263),
    [anon_sym_getnetbyname] = ACTIONS(2263),
    [anon_sym_getsockname] = ACTIONS(2263),
    [anon_sym_getgrnam] = ACTIONS(2263),
    [anon_sym_getgrgid] = ACTIONS(2263),
    [anon_sym_hex] = ACTIONS(2263),
    [anon_sym_int] = ACTIONS(2263),
    [anon_sym_keys] = ACTIONS(2263),
    [anon_sym_lc] = ACTIONS(2263),
    [anon_sym_lcfirst] = ACTIONS(2263),
    [anon_sym_length] = ACTIONS(2263),
    [anon_sym_localtime] = ACTIONS(2263),
    [anon_sym_log] = ACTIONS(2263),
    [anon_sym_lock] = ACTIONS(2263),
    [anon_sym_lstat] = ACTIONS(2263),
    [anon_sym_oct] = ACTIONS(2263),
    [anon_sym_ord] = ACTIONS(2263),
    [anon_sym_prototype] = ACTIONS(2263),
    [anon_sym_pop] = ACTIONS(2263),
    [anon_sym_pos] = ACTIONS(2263),
    [anon_sym_quotemeta] = ACTIONS(2263),
    [anon_sym_reset] = ACTIONS(2263),
    [anon_sym_rand] = ACTIONS(2263),
    [anon_sym_rmdir] = ACTIONS(2263),
    [anon_sym_readdir] = ACTIONS(2263),
    [anon_sym_readline] = ACTIONS(2263),
    [anon_sym_readpipe] = ACTIONS(2263),
    [anon_sym_rewinddir] = ACTIONS(2263),
    [anon_sym_readlink] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2263),
    [anon_sym_scalar] = ACTIONS(2263),
    [anon_sym_shift] = ACTIONS(2263),
    [anon_sym_sin] = ACTIONS(2263),
    [anon_sym_sleep] = ACTIONS(2263),
    [anon_sym_sqrt] = ACTIONS(2263),
    [anon_sym_srand] = ACTIONS(2263),
    [anon_sym_stat] = ACTIONS(2263),
    [anon_sym_study] = ACTIONS(2263),
    [anon_sym_tell] = ACTIONS(2263),
    [anon_sym_telldir] = ACTIONS(2263),
    [anon_sym_tied] = ACTIONS(2263),
    [anon_sym_uc] = ACTIONS(2263),
    [anon_sym_ucfirst] = ACTIONS(2263),
    [anon_sym_untie] = ACTIONS(2263),
    [anon_sym_umask] = ACTIONS(2263),
    [anon_sym_values] = ACTIONS(2263),
    [anon_sym_write] = ACTIONS(2263),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2263),
    [anon_sym___END__] = ACTIONS(2263),
    [anon_sym_EOT] = ACTIONS(2263),
    [anon_sym_q] = ACTIONS(2263),
    [anon_sym_qq] = ACTIONS(2263),
    [anon_sym_qw] = ACTIONS(2263),
    [anon_sym_qx] = ACTIONS(2263),
    [anon_sym_qr] = ACTIONS(2263),
    [anon_sym_m] = ACTIONS(2263),
    [anon_sym_s] = ACTIONS(2263),
    [anon_sym_tr] = ACTIONS(2263),
    [anon_sym_y] = ACTIONS(2263),
    [anon_sym_if] = ACTIONS(2263),
    [anon_sym_unless] = ACTIONS(2263),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_until] = ACTIONS(2263),
    [aux_sym__bareword_token1] = ACTIONS(2263),
    [sym_number] = ACTIONS(2263),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [sym__single_quote] = ACTIONS(2261),
    [sym__double_quote] = ACTIONS(2261),
    [sym__backtick_quote] = ACTIONS(2261),
    [sym__search_slash_quote] = ACTIONS(2261),
    [sym__PERLY_HEREDOC] = ACTIONS(2261),
    [sym__ctrl_z_hack] = ACTIONS(2261),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2261),
    [sym__filetest] = ACTIONS(2261),
  },
  [899] = {
    [sym_heredoc_content] = STATE(899),
    [ts_builtin_sym_end] = ACTIONS(2265),
    [sym__identifier] = ACTIONS(2267),
    [anon_sym_LBRACE] = ACTIONS(2267),
    [anon_sym_SEMI] = ACTIONS(2267),
    [anon_sym_package] = ACTIONS(2267),
    [anon_sym_class] = ACTIONS(2267),
    [anon_sym_role] = ACTIONS(2267),
    [anon_sym_BUILD] = ACTIONS(2267),
    [anon_sym_ADJUST] = ACTIONS(2267),
    [anon_sym_DOLLAR] = ACTIONS(2267),
    [anon_sym_AT] = ACTIONS(2267),
    [anon_sym_my] = ACTIONS(2267),
    [anon_sym_extended] = ACTIONS(2267),
    [anon_sym_async] = ACTIONS(2267),
    [anon_sym_sub] = ACTIONS(2267),
    [anon_sym_method] = ACTIONS(2267),
    [anon_sym_LPAREN] = ACTIONS(2267),
    [anon_sym_continue] = ACTIONS(2267),
    [anon_sym_state] = ACTIONS(2267),
    [anon_sym_our] = ACTIONS(2267),
    [anon_sym_try] = ACTIONS(2267),
    [anon_sym_defer] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2267),
    [anon_sym_LBRACK] = ACTIONS(2267),
    [anon_sym_LT] = ACTIONS(2267),
    [anon_sym_LT_LT] = ACTIONS(2267),
    [anon_sym_SLASH_SLASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(2267),
    [anon_sym_TILDE] = ACTIONS(2267),
    [anon_sym_BANG] = ACTIONS(2267),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_BSLASH] = ACTIONS(2265),
    [anon_sym_do] = ACTIONS(2267),
    [anon_sym_eval] = ACTIONS(2267),
    [anon_sym_await] = ACTIONS(2267),
    [anon_sym_field] = ACTIONS(2267),
    [anon_sym_local] = ACTIONS(2267),
    [anon_sym_dynamically] = ACTIONS(2267),
    [anon_sym_require] = ACTIONS(2267),
    [anon_sym_map] = ACTIONS(2267),
    [anon_sym_grep] = ACTIONS(2267),
    [anon_sym_sort] = ACTIONS(2267),
    [anon_sym_goto] = ACTIONS(2267),
    [anon_sym_return] = ACTIONS(2267),
    [anon_sym_undef] = ACTIONS(2267),
    [anon_sym_PERCENT2] = ACTIONS(2267),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2267),
    [anon_sym_use] = ACTIONS(2267),
    [anon_sym_no] = ACTIONS(2267),
    [anon_sym_for] = ACTIONS(2267),
    [anon_sym_foreach] = ACTIONS(2267),
    [anon_sym_last] = ACTIONS(2267),
    [anon_sym_next] = ACTIONS(2267),
    [anon_sym_redo] = ACTIONS(2267),
    [anon_sym_BEGIN] = ACTIONS(2267),
    [anon_sym_INIT] = ACTIONS(2267),
    [anon_sym_CHECK] = ACTIONS(2267),
    [anon_sym_UNITCHECK] = ACTIONS(2267),
    [anon_sym_END] = ACTIONS(2267),
    [anon_sym___FILE__] = ACTIONS(2267),
    [anon_sym___LINE__] = ACTIONS(2267),
    [anon_sym___PACKAGE__] = ACTIONS(2267),
    [anon_sym___SUB__] = ACTIONS(2267),
    [anon_sym_break] = ACTIONS(2267),
    [anon_sym_fork] = ACTIONS(2267),
    [anon_sym_getppid] = ACTIONS(2267),
    [anon_sym_time] = ACTIONS(2267),
    [anon_sym_times] = ACTIONS(2267),
    [anon_sym_wait] = ACTIONS(2267),
    [anon_sym_wantarray] = ACTIONS(2267),
    [anon_sym_abs] = ACTIONS(2267),
    [anon_sym_alarm] = ACTIONS(2267),
    [anon_sym_chop] = ACTIONS(2267),
    [anon_sym_chdir] = ACTIONS(2267),
    [anon_sym_close] = ACTIONS(2267),
    [anon_sym_closedir] = ACTIONS(2267),
    [anon_sym_caller] = ACTIONS(2267),
    [anon_sym_chomp] = ACTIONS(2267),
    [anon_sym_chr] = ACTIONS(2267),
    [anon_sym_cos] = ACTIONS(2267),
    [anon_sym_chroot] = ACTIONS(2267),
    [anon_sym_defined] = ACTIONS(2267),
    [anon_sym_delete] = ACTIONS(2267),
    [anon_sym_dbmclose] = ACTIONS(2267),
    [anon_sym_exists] = ACTIONS(2267),
    [anon_sym_exit] = ACTIONS(2267),
    [anon_sym_eof] = ACTIONS(2267),
    [anon_sym_exp] = ACTIONS(2267),
    [anon_sym_each] = ACTIONS(2267),
    [anon_sym_fc] = ACTIONS(2267),
    [anon_sym_fileno] = ACTIONS(2267),
    [anon_sym_gmtime] = ACTIONS(2267),
    [anon_sym_getc] = ACTIONS(2267),
    [anon_sym_getpgrp] = ACTIONS(2267),
    [anon_sym_getprotobyname] = ACTIONS(2267),
    [anon_sym_getpwname] = ACTIONS(2267),
    [anon_sym_getpwuid] = ACTIONS(2267),
    [anon_sym_getpeername] = ACTIONS(2267),
    [anon_sym_getnetbyname] = ACTIONS(2267),
    [anon_sym_getsockname] = ACTIONS(2267),
    [anon_sym_getgrnam] = ACTIONS(2267),
    [anon_sym_getgrgid] = ACTIONS(2267),
    [anon_sym_hex] = ACTIONS(2267),
    [anon_sym_int] = ACTIONS(2267),
    [anon_sym_keys] = ACTIONS(2267),
    [anon_sym_lc] = ACTIONS(2267),
    [anon_sym_lcfirst] = ACTIONS(2267),
    [anon_sym_length] = ACTIONS(2267),
    [anon_sym_localtime] = ACTIONS(2267),
    [anon_sym_log] = ACTIONS(2267),
    [anon_sym_lock] = ACTIONS(2267),
    [anon_sym_lstat] = ACTIONS(2267),
    [anon_sym_oct] = ACTIONS(2267),
    [anon_sym_ord] = ACTIONS(2267),
    [anon_sym_prototype] = ACTIONS(2267),
    [anon_sym_pop] = ACTIONS(2267),
    [anon_sym_pos] = ACTIONS(2267),
    [anon_sym_quotemeta] = ACTIONS(2267),
    [anon_sym_reset] = ACTIONS(2267),
    [anon_sym_rand] = ACTIONS(2267),
    [anon_sym_rmdir] = ACTIONS(2267),
    [anon_sym_readdir] = ACTIONS(2267),
    [anon_sym_readline] = ACTIONS(2267),
    [anon_sym_readpipe] = ACTIONS(2267),
    [anon_sym_rewinddir] = ACTIONS(2267),
    [anon_sym_readlink] = ACTIONS(2267),
    [anon_sym_ref] = ACTIONS(2267),
    [anon_sym_scalar] = ACTIONS(2267),
    [anon_sym_shift] = ACTIONS(2267),
    [anon_sym_sin] = ACTIONS(2267),
    [anon_sym_sleep] = ACTIONS(2267),
    [anon_sym_sqrt] = ACTIONS(2267),
    [anon_sym_srand] = ACTIONS(2267),
    [anon_sym_stat] = ACTIONS(2267),
    [anon_sym_study] = ACTIONS(2267),
    [anon_sym_tell] = ACTIONS(2267),
    [anon_sym_telldir] = ACTIONS(2267),
    [anon_sym_tied] = ACTIONS(2267),
    [anon_sym_uc] = ACTIONS(2267),
    [anon_sym_ucfirst] = ACTIONS(2267),
    [anon_sym_untie] = ACTIONS(2267),
    [anon_sym_umask] = ACTIONS(2267),
    [anon_sym_values] = ACTIONS(2267),
    [anon_sym_write] = ACTIONS(2267),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2267),
    [anon_sym___END__] = ACTIONS(2267),
    [anon_sym_EOT] = ACTIONS(2267),
    [anon_sym_q] = ACTIONS(2267),
    [anon_sym_qq] = ACTIONS(2267),
    [anon_sym_qw] = ACTIONS(2267),
    [anon_sym_qx] = ACTIONS(2267),
    [anon_sym_qr] = ACTIONS(2267),
    [anon_sym_m] = ACTIONS(2267),
    [anon_sym_s] = ACTIONS(2267),
    [anon_sym_tr] = ACTIONS(2267),
    [anon_sym_y] = ACTIONS(2267),
    [anon_sym_if] = ACTIONS(2267),
    [anon_sym_unless] = ACTIONS(2267),
    [anon_sym_while] = ACTIONS(2267),
    [anon_sym_until] = ACTIONS(2267),
    [aux_sym__bareword_token1] = ACTIONS(2267),
    [sym_number] = ACTIONS(2267),
    [anon_sym_true] = ACTIONS(2267),
    [anon_sym_false] = ACTIONS(2267),
    [sym__single_quote] = ACTIONS(2265),
    [sym__double_quote] = ACTIONS(2265),
    [sym__backtick_quote] = ACTIONS(2265),
    [sym__search_slash_quote] = ACTIONS(2265),
    [sym__PERLY_HEREDOC] = ACTIONS(2265),
    [sym__ctrl_z_hack] = ACTIONS(2265),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2265),
    [sym__filetest] = ACTIONS(2265),
  },
  [900] = {
    [sym_heredoc_content] = STATE(900),
    [sym__identifier] = ACTIONS(2269),
    [anon_sym_LBRACE] = ACTIONS(2269),
    [anon_sym_RBRACE] = ACTIONS(2269),
    [anon_sym_SEMI] = ACTIONS(2269),
    [anon_sym_package] = ACTIONS(2269),
    [anon_sym_class] = ACTIONS(2269),
    [anon_sym_role] = ACTIONS(2269),
    [anon_sym_BUILD] = ACTIONS(2269),
    [anon_sym_ADJUST] = ACTIONS(2269),
    [anon_sym_DOLLAR] = ACTIONS(2269),
    [anon_sym_AT] = ACTIONS(2269),
    [anon_sym_my] = ACTIONS(2269),
    [anon_sym_extended] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2269),
    [anon_sym_sub] = ACTIONS(2269),
    [anon_sym_method] = ACTIONS(2269),
    [anon_sym_LPAREN] = ACTIONS(2269),
    [anon_sym_continue] = ACTIONS(2269),
    [anon_sym_state] = ACTIONS(2269),
    [anon_sym_our] = ACTIONS(2269),
    [anon_sym_try] = ACTIONS(2269),
    [anon_sym_defer] = ACTIONS(2269),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2269),
    [anon_sym_LBRACK] = ACTIONS(2269),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_LT_LT] = ACTIONS(2269),
    [anon_sym_SLASH_SLASH] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_STAR] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_BSLASH] = ACTIONS(2269),
    [anon_sym_do] = ACTIONS(2269),
    [anon_sym_eval] = ACTIONS(2269),
    [anon_sym_await] = ACTIONS(2269),
    [anon_sym_field] = ACTIONS(2269),
    [anon_sym_local] = ACTIONS(2269),
    [anon_sym_dynamically] = ACTIONS(2269),
    [anon_sym_require] = ACTIONS(2269),
    [anon_sym_map] = ACTIONS(2269),
    [anon_sym_grep] = ACTIONS(2269),
    [anon_sym_sort] = ACTIONS(2269),
    [anon_sym_goto] = ACTIONS(2269),
    [anon_sym_return] = ACTIONS(2269),
    [anon_sym_undef] = ACTIONS(2269),
    [anon_sym_PERCENT2] = ACTIONS(2269),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2269),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(2269),
    [anon_sym_use] = ACTIONS(2269),
    [anon_sym_no] = ACTIONS(2269),
    [anon_sym_for] = ACTIONS(2269),
    [anon_sym_foreach] = ACTIONS(2269),
    [anon_sym_last] = ACTIONS(2269),
    [anon_sym_next] = ACTIONS(2269),
    [anon_sym_redo] = ACTIONS(2269),
    [anon_sym_BEGIN] = ACTIONS(2269),
    [anon_sym_INIT] = ACTIONS(2269),
    [anon_sym_CHECK] = ACTIONS(2269),
    [anon_sym_UNITCHECK] = ACTIONS(2269),
    [anon_sym_END] = ACTIONS(2269),
    [anon_sym___FILE__] = ACTIONS(2269),
    [anon_sym___LINE__] = ACTIONS(2269),
    [anon_sym___PACKAGE__] = ACTIONS(2269),
    [anon_sym___SUB__] = ACTIONS(2269),
    [anon_sym_break] = ACTIONS(2269),
    [anon_sym_fork] = ACTIONS(2269),
    [anon_sym_getppid] = ACTIONS(2269),
    [anon_sym_time] = ACTIONS(2269),
    [anon_sym_times] = ACTIONS(2269),
    [anon_sym_wait] = ACTIONS(2269),
    [anon_sym_wantarray] = ACTIONS(2269),
    [anon_sym_abs] = ACTIONS(2269),
    [anon_sym_alarm] = ACTIONS(2269),
    [anon_sym_chop] = ACTIONS(2269),
    [anon_sym_chdir] = ACTIONS(2269),
    [anon_sym_close] = ACTIONS(2269),
    [anon_sym_closedir] = ACTIONS(2269),
    [anon_sym_caller] = ACTIONS(2269),
    [anon_sym_chomp] = ACTIONS(2269),
    [anon_sym_chr] = ACTIONS(2269),
    [anon_sym_cos] = ACTIONS(2269),
    [anon_sym_chroot] = ACTIONS(2269),
    [anon_sym_defined] = ACTIONS(2269),
    [anon_sym_delete] = ACTIONS(2269),
    [anon_sym_dbmclose] = ACTIONS(2269),
    [anon_sym_exists] = ACTIONS(2269),
    [anon_sym_exit] = ACTIONS(2269),
    [anon_sym_eof] = ACTIONS(2269),
    [anon_sym_exp] = ACTIONS(2269),
    [anon_sym_each] = ACTIONS(2269),
    [anon_sym_fc] = ACTIONS(2269),
    [anon_sym_fileno] = ACTIONS(2269),
    [anon_sym_gmtime] = ACTIONS(2269),
    [anon_sym_getc] = ACTIONS(2269),
    [anon_sym_getpgrp] = ACTIONS(2269),
    [anon_sym_getprotobyname] = ACTIONS(2269),
    [anon_sym_getpwname] = ACTIONS(2269),
    [anon_sym_getpwuid] = ACTIONS(2269),
    [anon_sym_getpeername] = ACTIONS(2269),
    [anon_sym_getnetbyname] = ACTIONS(2269),
    [anon_sym_getsockname] = ACTIONS(2269),
    [anon_sym_getgrnam] = ACTIONS(2269),
    [anon_sym_getgrgid] = ACTIONS(2269),
    [anon_sym_hex] = ACTIONS(2269),
    [anon_sym_int] = ACTIONS(2269),
    [anon_sym_keys] = ACTIONS(2269),
    [anon_sym_lc] = ACTIONS(2269),
    [anon_sym_lcfirst] = ACTIONS(2269),
    [anon_sym_length] = ACTIONS(2269),
    [anon_sym_localtime] = ACTIONS(2269),
    [anon_sym_log] = ACTIONS(2269),
    [anon_sym_lock] = ACTIONS(2269),
    [anon_sym_lstat] = ACTIONS(2269),
    [anon_sym_oct] = ACTIONS(2269),
    [anon_sym_ord] = ACTIONS(2269),
    [anon_sym_prototype] = ACTIONS(2269),
    [anon_sym_pop] = ACTIONS(2269),
    [anon_sym_pos] = ACTIONS(2269),
    [anon_sym_quotemeta] = ACTIONS(2269),
    [anon_sym_reset] = ACTIONS(2269),
    [anon_sym_rand] = ACTIONS(2269),
    [anon_sym_rmdir] = ACTIONS(2269),
    [anon_sym_readdir] = ACTIONS(2269),
    [anon_sym_readline] = ACTIONS(2269),
    [anon_sym_readpipe] = ACTIONS(2269),
    [anon_sym_rewinddir] = ACTIONS(2269),
    [anon_sym_readlink] = ACTIONS(2269),
    [anon_sym_ref] = ACTIONS(2269),
    [anon_sym_scalar] = ACTIONS(2269),
    [anon_sym_shift] = ACTIONS(2269),
    [anon_sym_sin] = ACTIONS(2269),
    [anon_sym_sleep] = ACTIONS(2269),
    [anon_sym_sqrt] = ACTIONS(2269),
    [anon_sym_srand] = ACTIONS(2269),
    [anon_sym_stat] = ACTIONS(2269),
    [anon_sym_study] = ACTIONS(2269),
    [anon_sym_tell] = ACTIONS(2269),
    [anon_sym_telldir] = ACTIONS(2269),
    [anon_sym_tied] = ACTIONS(2269),
    [anon_sym_uc] = ACTIONS(2269),
    [anon_sym_ucfirst] = ACTIONS(2269),
    [anon_sym_untie] = ACTIONS(2269),
    [anon_sym_umask] = ACTIONS(2269),
    [anon_sym_values] = ACTIONS(2269),
    [anon_sym_write] = ACTIONS(2269),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2269),
    [anon_sym_qq] = ACTIONS(2269),
    [anon_sym_qw] = ACTIONS(2269),
    [anon_sym_qx] = ACTIONS(2269),
    [anon_sym_qr] = ACTIONS(2269),
    [anon_sym_m] = ACTIONS(2269),
    [anon_sym_s] = ACTIONS(2269),
    [anon_sym_tr] = ACTIONS(2269),
    [anon_sym_y] = ACTIONS(2269),
    [anon_sym_if] = ACTIONS(2269),
    [anon_sym_unless] = ACTIONS(2269),
    [anon_sym_while] = ACTIONS(2269),
    [anon_sym_until] = ACTIONS(2269),
    [aux_sym__ident_special_token1] = ACTIONS(2269),
    [aux_sym__bareword_token1] = ACTIONS(2269),
    [sym_number] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(2269),
    [anon_sym_false] = ACTIONS(2269),
    [sym__single_quote] = ACTIONS(2271),
    [sym__double_quote] = ACTIONS(2271),
    [sym__backtick_quote] = ACTIONS(2271),
    [sym__search_slash_quote] = ACTIONS(2271),
    [sym__PERLY_HEREDOC] = ACTIONS(2271),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2271),
    [sym__filetest] = ACTIONS(2271),
    [sym__brace_autoquoted_token] = ACTIONS(2271),
  },
  [901] = {
    [sym_heredoc_content] = STATE(901),
    [sym__identifier] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_RBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [anon_sym_package] = ACTIONS(1405),
    [anon_sym_class] = ACTIONS(1405),
    [anon_sym_role] = ACTIONS(1405),
    [anon_sym_BUILD] = ACTIONS(1405),
    [anon_sym_ADJUST] = ACTIONS(1405),
    [anon_sym_DOLLAR] = ACTIONS(1405),
    [anon_sym_AT] = ACTIONS(1405),
    [anon_sym_my] = ACTIONS(1405),
    [anon_sym_extended] = ACTIONS(1405),
    [anon_sym_async] = ACTIONS(1405),
    [anon_sym_sub] = ACTIONS(1405),
    [anon_sym_method] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_state] = ACTIONS(1405),
    [anon_sym_our] = ACTIONS(1405),
    [anon_sym_try] = ACTIONS(1405),
    [anon_sym_defer] = ACTIONS(1405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1405),
    [anon_sym_else] = ACTIONS(1405),
    [anon_sym_elsif] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_TILDE] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1405),
    [anon_sym_DASH_DASH] = ACTIONS(1405),
    [anon_sym_BSLASH] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_eval] = ACTIONS(1405),
    [anon_sym_await] = ACTIONS(1405),
    [anon_sym_field] = ACTIONS(1405),
    [anon_sym_local] = ACTIONS(1405),
    [anon_sym_dynamically] = ACTIONS(1405),
    [anon_sym_require] = ACTIONS(1405),
    [anon_sym_map] = ACTIONS(1405),
    [anon_sym_grep] = ACTIONS(1405),
    [anon_sym_sort] = ACTIONS(1405),
    [anon_sym_goto] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_undef] = ACTIONS(1405),
    [anon_sym_PERCENT2] = ACTIONS(1405),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1405),
    [anon_sym_use] = ACTIONS(1405),
    [anon_sym_no] = ACTIONS(1405),
    [anon_sym_for] = ACTIONS(1405),
    [anon_sym_foreach] = ACTIONS(1405),
    [anon_sym_last] = ACTIONS(1405),
    [anon_sym_next] = ACTIONS(1405),
    [anon_sym_redo] = ACTIONS(1405),
    [anon_sym_BEGIN] = ACTIONS(1405),
    [anon_sym_INIT] = ACTIONS(1405),
    [anon_sym_CHECK] = ACTIONS(1405),
    [anon_sym_UNITCHECK] = ACTIONS(1405),
    [anon_sym_END] = ACTIONS(1405),
    [anon_sym___FILE__] = ACTIONS(1405),
    [anon_sym___LINE__] = ACTIONS(1405),
    [anon_sym___PACKAGE__] = ACTIONS(1405),
    [anon_sym___SUB__] = ACTIONS(1405),
    [anon_sym_break] = ACTIONS(1405),
    [anon_sym_fork] = ACTIONS(1405),
    [anon_sym_getppid] = ACTIONS(1405),
    [anon_sym_time] = ACTIONS(1405),
    [anon_sym_times] = ACTIONS(1405),
    [anon_sym_wait] = ACTIONS(1405),
    [anon_sym_wantarray] = ACTIONS(1405),
    [anon_sym_abs] = ACTIONS(1405),
    [anon_sym_alarm] = ACTIONS(1405),
    [anon_sym_chop] = ACTIONS(1405),
    [anon_sym_chdir] = ACTIONS(1405),
    [anon_sym_close] = ACTIONS(1405),
    [anon_sym_closedir] = ACTIONS(1405),
    [anon_sym_caller] = ACTIONS(1405),
    [anon_sym_chomp] = ACTIONS(1405),
    [anon_sym_chr] = ACTIONS(1405),
    [anon_sym_cos] = ACTIONS(1405),
    [anon_sym_chroot] = ACTIONS(1405),
    [anon_sym_defined] = ACTIONS(1405),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_dbmclose] = ACTIONS(1405),
    [anon_sym_exists] = ACTIONS(1405),
    [anon_sym_exit] = ACTIONS(1405),
    [anon_sym_eof] = ACTIONS(1405),
    [anon_sym_exp] = ACTIONS(1405),
    [anon_sym_each] = ACTIONS(1405),
    [anon_sym_fc] = ACTIONS(1405),
    [anon_sym_fileno] = ACTIONS(1405),
    [anon_sym_gmtime] = ACTIONS(1405),
    [anon_sym_getc] = ACTIONS(1405),
    [anon_sym_getpgrp] = ACTIONS(1405),
    [anon_sym_getprotobyname] = ACTIONS(1405),
    [anon_sym_getpwname] = ACTIONS(1405),
    [anon_sym_getpwuid] = ACTIONS(1405),
    [anon_sym_getpeername] = ACTIONS(1405),
    [anon_sym_getnetbyname] = ACTIONS(1405),
    [anon_sym_getsockname] = ACTIONS(1405),
    [anon_sym_getgrnam] = ACTIONS(1405),
    [anon_sym_getgrgid] = ACTIONS(1405),
    [anon_sym_hex] = ACTIONS(1405),
    [anon_sym_int] = ACTIONS(1405),
    [anon_sym_keys] = ACTIONS(1405),
    [anon_sym_lc] = ACTIONS(1405),
    [anon_sym_lcfirst] = ACTIONS(1405),
    [anon_sym_length] = ACTIONS(1405),
    [anon_sym_localtime] = ACTIONS(1405),
    [anon_sym_log] = ACTIONS(1405),
    [anon_sym_lock] = ACTIONS(1405),
    [anon_sym_lstat] = ACTIONS(1405),
    [anon_sym_oct] = ACTIONS(1405),
    [anon_sym_ord] = ACTIONS(1405),
    [anon_sym_prototype] = ACTIONS(1405),
    [anon_sym_pop] = ACTIONS(1405),
    [anon_sym_pos] = ACTIONS(1405),
    [anon_sym_quotemeta] = ACTIONS(1405),
    [anon_sym_reset] = ACTIONS(1405),
    [anon_sym_rand] = ACTIONS(1405),
    [anon_sym_rmdir] = ACTIONS(1405),
    [anon_sym_readdir] = ACTIONS(1405),
    [anon_sym_readline] = ACTIONS(1405),
    [anon_sym_readpipe] = ACTIONS(1405),
    [anon_sym_rewinddir] = ACTIONS(1405),
    [anon_sym_readlink] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1405),
    [anon_sym_scalar] = ACTIONS(1405),
    [anon_sym_shift] = ACTIONS(1405),
    [anon_sym_sin] = ACTIONS(1405),
    [anon_sym_sleep] = ACTIONS(1405),
    [anon_sym_sqrt] = ACTIONS(1405),
    [anon_sym_srand] = ACTIONS(1405),
    [anon_sym_stat] = ACTIONS(1405),
    [anon_sym_study] = ACTIONS(1405),
    [anon_sym_tell] = ACTIONS(1405),
    [anon_sym_telldir] = ACTIONS(1405),
    [anon_sym_tied] = ACTIONS(1405),
    [anon_sym_uc] = ACTIONS(1405),
    [anon_sym_ucfirst] = ACTIONS(1405),
    [anon_sym_untie] = ACTIONS(1405),
    [anon_sym_umask] = ACTIONS(1405),
    [anon_sym_values] = ACTIONS(1405),
    [anon_sym_write] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1405),
    [anon_sym_qq] = ACTIONS(1405),
    [anon_sym_qw] = ACTIONS(1405),
    [anon_sym_qx] = ACTIONS(1405),
    [anon_sym_qr] = ACTIONS(1405),
    [anon_sym_m] = ACTIONS(1405),
    [anon_sym_s] = ACTIONS(1405),
    [anon_sym_tr] = ACTIONS(1405),
    [anon_sym_y] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_unless] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1405),
    [anon_sym_until] = ACTIONS(1405),
    [aux_sym__bareword_token1] = ACTIONS(1405),
    [sym_number] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1405),
    [anon_sym_false] = ACTIONS(1405),
    [sym__single_quote] = ACTIONS(1403),
    [sym__double_quote] = ACTIONS(1403),
    [sym__backtick_quote] = ACTIONS(1403),
    [sym__search_slash_quote] = ACTIONS(1403),
    [sym__PERLY_HEREDOC] = ACTIONS(1403),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1403),
    [sym__filetest] = ACTIONS(1403),
  },
  [902] = {
    [sym_heredoc_content] = STATE(902),
    [sym__identifier] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1781),
    [anon_sym_RBRACE] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1781),
    [anon_sym_package] = ACTIONS(1781),
    [anon_sym_class] = ACTIONS(1781),
    [anon_sym_role] = ACTIONS(1781),
    [anon_sym_BUILD] = ACTIONS(1781),
    [anon_sym_ADJUST] = ACTIONS(1781),
    [anon_sym_DOLLAR] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(1781),
    [anon_sym_my] = ACTIONS(1781),
    [anon_sym_extended] = ACTIONS(1781),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_sub] = ACTIONS(1781),
    [anon_sym_method] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1781),
    [anon_sym_continue] = ACTIONS(1781),
    [anon_sym_state] = ACTIONS(1781),
    [anon_sym_our] = ACTIONS(1781),
    [anon_sym_try] = ACTIONS(1781),
    [anon_sym_catch] = ACTIONS(1781),
    [anon_sym_finally] = ACTIONS(1781),
    [anon_sym_defer] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_BANG] = ACTIONS(1781),
    [anon_sym_PLUS_PLUS] = ACTIONS(1781),
    [anon_sym_DASH_DASH] = ACTIONS(1781),
    [anon_sym_BSLASH] = ACTIONS(1783),
    [anon_sym_do] = ACTIONS(1781),
    [anon_sym_eval] = ACTIONS(1781),
    [anon_sym_await] = ACTIONS(1781),
    [anon_sym_field] = ACTIONS(1781),
    [anon_sym_local] = ACTIONS(1781),
    [anon_sym_dynamically] = ACTIONS(1781),
    [anon_sym_require] = ACTIONS(1781),
    [anon_sym_map] = ACTIONS(1781),
    [anon_sym_grep] = ACTIONS(1781),
    [anon_sym_sort] = ACTIONS(1781),
    [anon_sym_goto] = ACTIONS(1781),
    [anon_sym_return] = ACTIONS(1781),
    [anon_sym_undef] = ACTIONS(1781),
    [anon_sym_PERCENT2] = ACTIONS(1781),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1781),
    [anon_sym_use] = ACTIONS(1781),
    [anon_sym_no] = ACTIONS(1781),
    [anon_sym_for] = ACTIONS(1781),
    [anon_sym_foreach] = ACTIONS(1781),
    [anon_sym_last] = ACTIONS(1781),
    [anon_sym_next] = ACTIONS(1781),
    [anon_sym_redo] = ACTIONS(1781),
    [anon_sym_BEGIN] = ACTIONS(1781),
    [anon_sym_INIT] = ACTIONS(1781),
    [anon_sym_CHECK] = ACTIONS(1781),
    [anon_sym_UNITCHECK] = ACTIONS(1781),
    [anon_sym_END] = ACTIONS(1781),
    [anon_sym___FILE__] = ACTIONS(1781),
    [anon_sym___LINE__] = ACTIONS(1781),
    [anon_sym___PACKAGE__] = ACTIONS(1781),
    [anon_sym___SUB__] = ACTIONS(1781),
    [anon_sym_break] = ACTIONS(1781),
    [anon_sym_fork] = ACTIONS(1781),
    [anon_sym_getppid] = ACTIONS(1781),
    [anon_sym_time] = ACTIONS(1781),
    [anon_sym_times] = ACTIONS(1781),
    [anon_sym_wait] = ACTIONS(1781),
    [anon_sym_wantarray] = ACTIONS(1781),
    [anon_sym_abs] = ACTIONS(1781),
    [anon_sym_alarm] = ACTIONS(1781),
    [anon_sym_chop] = ACTIONS(1781),
    [anon_sym_chdir] = ACTIONS(1781),
    [anon_sym_close] = ACTIONS(1781),
    [anon_sym_closedir] = ACTIONS(1781),
    [anon_sym_caller] = ACTIONS(1781),
    [anon_sym_chomp] = ACTIONS(1781),
    [anon_sym_chr] = ACTIONS(1781),
    [anon_sym_cos] = ACTIONS(1781),
    [anon_sym_chroot] = ACTIONS(1781),
    [anon_sym_defined] = ACTIONS(1781),
    [anon_sym_delete] = ACTIONS(1781),
    [anon_sym_dbmclose] = ACTIONS(1781),
    [anon_sym_exists] = ACTIONS(1781),
    [anon_sym_exit] = ACTIONS(1781),
    [anon_sym_eof] = ACTIONS(1781),
    [anon_sym_exp] = ACTIONS(1781),
    [anon_sym_each] = ACTIONS(1781),
    [anon_sym_fc] = ACTIONS(1781),
    [anon_sym_fileno] = ACTIONS(1781),
    [anon_sym_gmtime] = ACTIONS(1781),
    [anon_sym_getc] = ACTIONS(1781),
    [anon_sym_getpgrp] = ACTIONS(1781),
    [anon_sym_getprotobyname] = ACTIONS(1781),
    [anon_sym_getpwname] = ACTIONS(1781),
    [anon_sym_getpwuid] = ACTIONS(1781),
    [anon_sym_getpeername] = ACTIONS(1781),
    [anon_sym_getnetbyname] = ACTIONS(1781),
    [anon_sym_getsockname] = ACTIONS(1781),
    [anon_sym_getgrnam] = ACTIONS(1781),
    [anon_sym_getgrgid] = ACTIONS(1781),
    [anon_sym_hex] = ACTIONS(1781),
    [anon_sym_int] = ACTIONS(1781),
    [anon_sym_keys] = ACTIONS(1781),
    [anon_sym_lc] = ACTIONS(1781),
    [anon_sym_lcfirst] = ACTIONS(1781),
    [anon_sym_length] = ACTIONS(1781),
    [anon_sym_localtime] = ACTIONS(1781),
    [anon_sym_log] = ACTIONS(1781),
    [anon_sym_lock] = ACTIONS(1781),
    [anon_sym_lstat] = ACTIONS(1781),
    [anon_sym_oct] = ACTIONS(1781),
    [anon_sym_ord] = ACTIONS(1781),
    [anon_sym_prototype] = ACTIONS(1781),
    [anon_sym_pop] = ACTIONS(1781),
    [anon_sym_pos] = ACTIONS(1781),
    [anon_sym_quotemeta] = ACTIONS(1781),
    [anon_sym_reset] = ACTIONS(1781),
    [anon_sym_rand] = ACTIONS(1781),
    [anon_sym_rmdir] = ACTIONS(1781),
    [anon_sym_readdir] = ACTIONS(1781),
    [anon_sym_readline] = ACTIONS(1781),
    [anon_sym_readpipe] = ACTIONS(1781),
    [anon_sym_rewinddir] = ACTIONS(1781),
    [anon_sym_readlink] = ACTIONS(1781),
    [anon_sym_ref] = ACTIONS(1781),
    [anon_sym_scalar] = ACTIONS(1781),
    [anon_sym_shift] = ACTIONS(1781),
    [anon_sym_sin] = ACTIONS(1781),
    [anon_sym_sleep] = ACTIONS(1781),
    [anon_sym_sqrt] = ACTIONS(1781),
    [anon_sym_srand] = ACTIONS(1781),
    [anon_sym_stat] = ACTIONS(1781),
    [anon_sym_study] = ACTIONS(1781),
    [anon_sym_tell] = ACTIONS(1781),
    [anon_sym_telldir] = ACTIONS(1781),
    [anon_sym_tied] = ACTIONS(1781),
    [anon_sym_uc] = ACTIONS(1781),
    [anon_sym_ucfirst] = ACTIONS(1781),
    [anon_sym_untie] = ACTIONS(1781),
    [anon_sym_umask] = ACTIONS(1781),
    [anon_sym_values] = ACTIONS(1781),
    [anon_sym_write] = ACTIONS(1781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1781),
    [anon_sym_qq] = ACTIONS(1781),
    [anon_sym_qw] = ACTIONS(1781),
    [anon_sym_qx] = ACTIONS(1781),
    [anon_sym_qr] = ACTIONS(1781),
    [anon_sym_m] = ACTIONS(1781),
    [anon_sym_s] = ACTIONS(1781),
    [anon_sym_tr] = ACTIONS(1781),
    [anon_sym_y] = ACTIONS(1781),
    [anon_sym_if] = ACTIONS(1781),
    [anon_sym_unless] = ACTIONS(1781),
    [anon_sym_while] = ACTIONS(1781),
    [anon_sym_until] = ACTIONS(1781),
    [aux_sym__bareword_token1] = ACTIONS(1781),
    [sym_number] = ACTIONS(1781),
    [anon_sym_true] = ACTIONS(1781),
    [anon_sym_false] = ACTIONS(1781),
    [sym__single_quote] = ACTIONS(1783),
    [sym__double_quote] = ACTIONS(1783),
    [sym__backtick_quote] = ACTIONS(1783),
    [sym__search_slash_quote] = ACTIONS(1783),
    [sym__PERLY_HEREDOC] = ACTIONS(1783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1783),
    [sym__filetest] = ACTIONS(1783),
  },
  [903] = {
    [sym_heredoc_content] = STATE(903),
    [sym__identifier] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_RBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [anon_sym_package] = ACTIONS(1405),
    [anon_sym_class] = ACTIONS(1405),
    [anon_sym_role] = ACTIONS(1405),
    [anon_sym_BUILD] = ACTIONS(1405),
    [anon_sym_ADJUST] = ACTIONS(1405),
    [anon_sym_DOLLAR] = ACTIONS(1405),
    [anon_sym_AT] = ACTIONS(1405),
    [anon_sym_my] = ACTIONS(1405),
    [anon_sym_extended] = ACTIONS(1405),
    [anon_sym_async] = ACTIONS(1405),
    [anon_sym_sub] = ACTIONS(1405),
    [anon_sym_method] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_state] = ACTIONS(1405),
    [anon_sym_our] = ACTIONS(1405),
    [anon_sym_try] = ACTIONS(1405),
    [anon_sym_catch] = ACTIONS(1405),
    [anon_sym_finally] = ACTIONS(1405),
    [anon_sym_defer] = ACTIONS(1405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_TILDE] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1405),
    [anon_sym_DASH_DASH] = ACTIONS(1405),
    [anon_sym_BSLASH] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_eval] = ACTIONS(1405),
    [anon_sym_await] = ACTIONS(1405),
    [anon_sym_field] = ACTIONS(1405),
    [anon_sym_local] = ACTIONS(1405),
    [anon_sym_dynamically] = ACTIONS(1405),
    [anon_sym_require] = ACTIONS(1405),
    [anon_sym_map] = ACTIONS(1405),
    [anon_sym_grep] = ACTIONS(1405),
    [anon_sym_sort] = ACTIONS(1405),
    [anon_sym_goto] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_undef] = ACTIONS(1405),
    [anon_sym_PERCENT2] = ACTIONS(1405),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1405),
    [anon_sym_use] = ACTIONS(1405),
    [anon_sym_no] = ACTIONS(1405),
    [anon_sym_for] = ACTIONS(1405),
    [anon_sym_foreach] = ACTIONS(1405),
    [anon_sym_last] = ACTIONS(1405),
    [anon_sym_next] = ACTIONS(1405),
    [anon_sym_redo] = ACTIONS(1405),
    [anon_sym_BEGIN] = ACTIONS(1405),
    [anon_sym_INIT] = ACTIONS(1405),
    [anon_sym_CHECK] = ACTIONS(1405),
    [anon_sym_UNITCHECK] = ACTIONS(1405),
    [anon_sym_END] = ACTIONS(1405),
    [anon_sym___FILE__] = ACTIONS(1405),
    [anon_sym___LINE__] = ACTIONS(1405),
    [anon_sym___PACKAGE__] = ACTIONS(1405),
    [anon_sym___SUB__] = ACTIONS(1405),
    [anon_sym_break] = ACTIONS(1405),
    [anon_sym_fork] = ACTIONS(1405),
    [anon_sym_getppid] = ACTIONS(1405),
    [anon_sym_time] = ACTIONS(1405),
    [anon_sym_times] = ACTIONS(1405),
    [anon_sym_wait] = ACTIONS(1405),
    [anon_sym_wantarray] = ACTIONS(1405),
    [anon_sym_abs] = ACTIONS(1405),
    [anon_sym_alarm] = ACTIONS(1405),
    [anon_sym_chop] = ACTIONS(1405),
    [anon_sym_chdir] = ACTIONS(1405),
    [anon_sym_close] = ACTIONS(1405),
    [anon_sym_closedir] = ACTIONS(1405),
    [anon_sym_caller] = ACTIONS(1405),
    [anon_sym_chomp] = ACTIONS(1405),
    [anon_sym_chr] = ACTIONS(1405),
    [anon_sym_cos] = ACTIONS(1405),
    [anon_sym_chroot] = ACTIONS(1405),
    [anon_sym_defined] = ACTIONS(1405),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_dbmclose] = ACTIONS(1405),
    [anon_sym_exists] = ACTIONS(1405),
    [anon_sym_exit] = ACTIONS(1405),
    [anon_sym_eof] = ACTIONS(1405),
    [anon_sym_exp] = ACTIONS(1405),
    [anon_sym_each] = ACTIONS(1405),
    [anon_sym_fc] = ACTIONS(1405),
    [anon_sym_fileno] = ACTIONS(1405),
    [anon_sym_gmtime] = ACTIONS(1405),
    [anon_sym_getc] = ACTIONS(1405),
    [anon_sym_getpgrp] = ACTIONS(1405),
    [anon_sym_getprotobyname] = ACTIONS(1405),
    [anon_sym_getpwname] = ACTIONS(1405),
    [anon_sym_getpwuid] = ACTIONS(1405),
    [anon_sym_getpeername] = ACTIONS(1405),
    [anon_sym_getnetbyname] = ACTIONS(1405),
    [anon_sym_getsockname] = ACTIONS(1405),
    [anon_sym_getgrnam] = ACTIONS(1405),
    [anon_sym_getgrgid] = ACTIONS(1405),
    [anon_sym_hex] = ACTIONS(1405),
    [anon_sym_int] = ACTIONS(1405),
    [anon_sym_keys] = ACTIONS(1405),
    [anon_sym_lc] = ACTIONS(1405),
    [anon_sym_lcfirst] = ACTIONS(1405),
    [anon_sym_length] = ACTIONS(1405),
    [anon_sym_localtime] = ACTIONS(1405),
    [anon_sym_log] = ACTIONS(1405),
    [anon_sym_lock] = ACTIONS(1405),
    [anon_sym_lstat] = ACTIONS(1405),
    [anon_sym_oct] = ACTIONS(1405),
    [anon_sym_ord] = ACTIONS(1405),
    [anon_sym_prototype] = ACTIONS(1405),
    [anon_sym_pop] = ACTIONS(1405),
    [anon_sym_pos] = ACTIONS(1405),
    [anon_sym_quotemeta] = ACTIONS(1405),
    [anon_sym_reset] = ACTIONS(1405),
    [anon_sym_rand] = ACTIONS(1405),
    [anon_sym_rmdir] = ACTIONS(1405),
    [anon_sym_readdir] = ACTIONS(1405),
    [anon_sym_readline] = ACTIONS(1405),
    [anon_sym_readpipe] = ACTIONS(1405),
    [anon_sym_rewinddir] = ACTIONS(1405),
    [anon_sym_readlink] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1405),
    [anon_sym_scalar] = ACTIONS(1405),
    [anon_sym_shift] = ACTIONS(1405),
    [anon_sym_sin] = ACTIONS(1405),
    [anon_sym_sleep] = ACTIONS(1405),
    [anon_sym_sqrt] = ACTIONS(1405),
    [anon_sym_srand] = ACTIONS(1405),
    [anon_sym_stat] = ACTIONS(1405),
    [anon_sym_study] = ACTIONS(1405),
    [anon_sym_tell] = ACTIONS(1405),
    [anon_sym_telldir] = ACTIONS(1405),
    [anon_sym_tied] = ACTIONS(1405),
    [anon_sym_uc] = ACTIONS(1405),
    [anon_sym_ucfirst] = ACTIONS(1405),
    [anon_sym_untie] = ACTIONS(1405),
    [anon_sym_umask] = ACTIONS(1405),
    [anon_sym_values] = ACTIONS(1405),
    [anon_sym_write] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1405),
    [anon_sym_qq] = ACTIONS(1405),
    [anon_sym_qw] = ACTIONS(1405),
    [anon_sym_qx] = ACTIONS(1405),
    [anon_sym_qr] = ACTIONS(1405),
    [anon_sym_m] = ACTIONS(1405),
    [anon_sym_s] = ACTIONS(1405),
    [anon_sym_tr] = ACTIONS(1405),
    [anon_sym_y] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_unless] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1405),
    [anon_sym_until] = ACTIONS(1405),
    [aux_sym__bareword_token1] = ACTIONS(1405),
    [sym_number] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1405),
    [anon_sym_false] = ACTIONS(1405),
    [sym__single_quote] = ACTIONS(1403),
    [sym__double_quote] = ACTIONS(1403),
    [sym__backtick_quote] = ACTIONS(1403),
    [sym__search_slash_quote] = ACTIONS(1403),
    [sym__PERLY_HEREDOC] = ACTIONS(1403),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1403),
    [sym__filetest] = ACTIONS(1403),
  },
  [904] = {
    [sym_heredoc_content] = STATE(904),
    [sym__identifier] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1781),
    [anon_sym_RBRACE] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1781),
    [anon_sym_package] = ACTIONS(1781),
    [anon_sym_class] = ACTIONS(1781),
    [anon_sym_role] = ACTIONS(1781),
    [anon_sym_BUILD] = ACTIONS(1781),
    [anon_sym_ADJUST] = ACTIONS(1781),
    [anon_sym_DOLLAR] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(1781),
    [anon_sym_my] = ACTIONS(1781),
    [anon_sym_extended] = ACTIONS(1781),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_sub] = ACTIONS(1781),
    [anon_sym_method] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1781),
    [anon_sym_continue] = ACTIONS(1781),
    [anon_sym_state] = ACTIONS(1781),
    [anon_sym_our] = ACTIONS(1781),
    [anon_sym_try] = ACTIONS(1781),
    [anon_sym_defer] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1781),
    [anon_sym_else] = ACTIONS(1781),
    [anon_sym_elsif] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_BANG] = ACTIONS(1781),
    [anon_sym_PLUS_PLUS] = ACTIONS(1781),
    [anon_sym_DASH_DASH] = ACTIONS(1781),
    [anon_sym_BSLASH] = ACTIONS(1783),
    [anon_sym_do] = ACTIONS(1781),
    [anon_sym_eval] = ACTIONS(1781),
    [anon_sym_await] = ACTIONS(1781),
    [anon_sym_field] = ACTIONS(1781),
    [anon_sym_local] = ACTIONS(1781),
    [anon_sym_dynamically] = ACTIONS(1781),
    [anon_sym_require] = ACTIONS(1781),
    [anon_sym_map] = ACTIONS(1781),
    [anon_sym_grep] = ACTIONS(1781),
    [anon_sym_sort] = ACTIONS(1781),
    [anon_sym_goto] = ACTIONS(1781),
    [anon_sym_return] = ACTIONS(1781),
    [anon_sym_undef] = ACTIONS(1781),
    [anon_sym_PERCENT2] = ACTIONS(1781),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1781),
    [anon_sym_use] = ACTIONS(1781),
    [anon_sym_no] = ACTIONS(1781),
    [anon_sym_for] = ACTIONS(1781),
    [anon_sym_foreach] = ACTIONS(1781),
    [anon_sym_last] = ACTIONS(1781),
    [anon_sym_next] = ACTIONS(1781),
    [anon_sym_redo] = ACTIONS(1781),
    [anon_sym_BEGIN] = ACTIONS(1781),
    [anon_sym_INIT] = ACTIONS(1781),
    [anon_sym_CHECK] = ACTIONS(1781),
    [anon_sym_UNITCHECK] = ACTIONS(1781),
    [anon_sym_END] = ACTIONS(1781),
    [anon_sym___FILE__] = ACTIONS(1781),
    [anon_sym___LINE__] = ACTIONS(1781),
    [anon_sym___PACKAGE__] = ACTIONS(1781),
    [anon_sym___SUB__] = ACTIONS(1781),
    [anon_sym_break] = ACTIONS(1781),
    [anon_sym_fork] = ACTIONS(1781),
    [anon_sym_getppid] = ACTIONS(1781),
    [anon_sym_time] = ACTIONS(1781),
    [anon_sym_times] = ACTIONS(1781),
    [anon_sym_wait] = ACTIONS(1781),
    [anon_sym_wantarray] = ACTIONS(1781),
    [anon_sym_abs] = ACTIONS(1781),
    [anon_sym_alarm] = ACTIONS(1781),
    [anon_sym_chop] = ACTIONS(1781),
    [anon_sym_chdir] = ACTIONS(1781),
    [anon_sym_close] = ACTIONS(1781),
    [anon_sym_closedir] = ACTIONS(1781),
    [anon_sym_caller] = ACTIONS(1781),
    [anon_sym_chomp] = ACTIONS(1781),
    [anon_sym_chr] = ACTIONS(1781),
    [anon_sym_cos] = ACTIONS(1781),
    [anon_sym_chroot] = ACTIONS(1781),
    [anon_sym_defined] = ACTIONS(1781),
    [anon_sym_delete] = ACTIONS(1781),
    [anon_sym_dbmclose] = ACTIONS(1781),
    [anon_sym_exists] = ACTIONS(1781),
    [anon_sym_exit] = ACTIONS(1781),
    [anon_sym_eof] = ACTIONS(1781),
    [anon_sym_exp] = ACTIONS(1781),
    [anon_sym_each] = ACTIONS(1781),
    [anon_sym_fc] = ACTIONS(1781),
    [anon_sym_fileno] = ACTIONS(1781),
    [anon_sym_gmtime] = ACTIONS(1781),
    [anon_sym_getc] = ACTIONS(1781),
    [anon_sym_getpgrp] = ACTIONS(1781),
    [anon_sym_getprotobyname] = ACTIONS(1781),
    [anon_sym_getpwname] = ACTIONS(1781),
    [anon_sym_getpwuid] = ACTIONS(1781),
    [anon_sym_getpeername] = ACTIONS(1781),
    [anon_sym_getnetbyname] = ACTIONS(1781),
    [anon_sym_getsockname] = ACTIONS(1781),
    [anon_sym_getgrnam] = ACTIONS(1781),
    [anon_sym_getgrgid] = ACTIONS(1781),
    [anon_sym_hex] = ACTIONS(1781),
    [anon_sym_int] = ACTIONS(1781),
    [anon_sym_keys] = ACTIONS(1781),
    [anon_sym_lc] = ACTIONS(1781),
    [anon_sym_lcfirst] = ACTIONS(1781),
    [anon_sym_length] = ACTIONS(1781),
    [anon_sym_localtime] = ACTIONS(1781),
    [anon_sym_log] = ACTIONS(1781),
    [anon_sym_lock] = ACTIONS(1781),
    [anon_sym_lstat] = ACTIONS(1781),
    [anon_sym_oct] = ACTIONS(1781),
    [anon_sym_ord] = ACTIONS(1781),
    [anon_sym_prototype] = ACTIONS(1781),
    [anon_sym_pop] = ACTIONS(1781),
    [anon_sym_pos] = ACTIONS(1781),
    [anon_sym_quotemeta] = ACTIONS(1781),
    [anon_sym_reset] = ACTIONS(1781),
    [anon_sym_rand] = ACTIONS(1781),
    [anon_sym_rmdir] = ACTIONS(1781),
    [anon_sym_readdir] = ACTIONS(1781),
    [anon_sym_readline] = ACTIONS(1781),
    [anon_sym_readpipe] = ACTIONS(1781),
    [anon_sym_rewinddir] = ACTIONS(1781),
    [anon_sym_readlink] = ACTIONS(1781),
    [anon_sym_ref] = ACTIONS(1781),
    [anon_sym_scalar] = ACTIONS(1781),
    [anon_sym_shift] = ACTIONS(1781),
    [anon_sym_sin] = ACTIONS(1781),
    [anon_sym_sleep] = ACTIONS(1781),
    [anon_sym_sqrt] = ACTIONS(1781),
    [anon_sym_srand] = ACTIONS(1781),
    [anon_sym_stat] = ACTIONS(1781),
    [anon_sym_study] = ACTIONS(1781),
    [anon_sym_tell] = ACTIONS(1781),
    [anon_sym_telldir] = ACTIONS(1781),
    [anon_sym_tied] = ACTIONS(1781),
    [anon_sym_uc] = ACTIONS(1781),
    [anon_sym_ucfirst] = ACTIONS(1781),
    [anon_sym_untie] = ACTIONS(1781),
    [anon_sym_umask] = ACTIONS(1781),
    [anon_sym_values] = ACTIONS(1781),
    [anon_sym_write] = ACTIONS(1781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1781),
    [anon_sym_qq] = ACTIONS(1781),
    [anon_sym_qw] = ACTIONS(1781),
    [anon_sym_qx] = ACTIONS(1781),
    [anon_sym_qr] = ACTIONS(1781),
    [anon_sym_m] = ACTIONS(1781),
    [anon_sym_s] = ACTIONS(1781),
    [anon_sym_tr] = ACTIONS(1781),
    [anon_sym_y] = ACTIONS(1781),
    [anon_sym_if] = ACTIONS(1781),
    [anon_sym_unless] = ACTIONS(1781),
    [anon_sym_while] = ACTIONS(1781),
    [anon_sym_until] = ACTIONS(1781),
    [aux_sym__bareword_token1] = ACTIONS(1781),
    [sym_number] = ACTIONS(1781),
    [anon_sym_true] = ACTIONS(1781),
    [anon_sym_false] = ACTIONS(1781),
    [sym__single_quote] = ACTIONS(1783),
    [sym__double_quote] = ACTIONS(1783),
    [sym__backtick_quote] = ACTIONS(1783),
    [sym__search_slash_quote] = ACTIONS(1783),
    [sym__PERLY_HEREDOC] = ACTIONS(1783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1783),
    [sym__filetest] = ACTIONS(1783),
  },
  [905] = {
    [sym_heredoc_content] = STATE(905),
    [sym__identifier] = ACTIONS(1864),
    [anon_sym_LBRACE] = ACTIONS(1864),
    [anon_sym_RBRACE] = ACTIONS(1864),
    [anon_sym_SEMI] = ACTIONS(1864),
    [anon_sym_package] = ACTIONS(1864),
    [anon_sym_class] = ACTIONS(1864),
    [anon_sym_role] = ACTIONS(1864),
    [anon_sym_BUILD] = ACTIONS(1864),
    [anon_sym_ADJUST] = ACTIONS(1864),
    [anon_sym_DOLLAR] = ACTIONS(1864),
    [anon_sym_AT] = ACTIONS(1864),
    [anon_sym_my] = ACTIONS(1864),
    [anon_sym_extended] = ACTIONS(1864),
    [anon_sym_async] = ACTIONS(1864),
    [anon_sym_sub] = ACTIONS(1864),
    [anon_sym_method] = ACTIONS(1864),
    [anon_sym_LPAREN] = ACTIONS(1864),
    [anon_sym_continue] = ACTIONS(1864),
    [anon_sym_state] = ACTIONS(1864),
    [anon_sym_our] = ACTIONS(1864),
    [anon_sym_try] = ACTIONS(1864),
    [anon_sym_catch] = ACTIONS(2273),
    [anon_sym_finally] = ACTIONS(2275),
    [anon_sym_defer] = ACTIONS(1864),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1864),
    [anon_sym_LBRACK] = ACTIONS(1864),
    [anon_sym_LT] = ACTIONS(1864),
    [anon_sym_LT_LT] = ACTIONS(1864),
    [anon_sym_SLASH_SLASH] = ACTIONS(1864),
    [anon_sym_PLUS] = ACTIONS(1864),
    [anon_sym_DASH] = ACTIONS(1864),
    [anon_sym_STAR] = ACTIONS(1864),
    [anon_sym_TILDE] = ACTIONS(1864),
    [anon_sym_BANG] = ACTIONS(1864),
    [anon_sym_PLUS_PLUS] = ACTIONS(1864),
    [anon_sym_DASH_DASH] = ACTIONS(1864),
    [anon_sym_BSLASH] = ACTIONS(1862),
    [anon_sym_do] = ACTIONS(1864),
    [anon_sym_eval] = ACTIONS(1864),
    [anon_sym_await] = ACTIONS(1864),
    [anon_sym_field] = ACTIONS(1864),
    [anon_sym_local] = ACTIONS(1864),
    [anon_sym_dynamically] = ACTIONS(1864),
    [anon_sym_require] = ACTIONS(1864),
    [anon_sym_map] = ACTIONS(1864),
    [anon_sym_grep] = ACTIONS(1864),
    [anon_sym_sort] = ACTIONS(1864),
    [anon_sym_goto] = ACTIONS(1864),
    [anon_sym_return] = ACTIONS(1864),
    [anon_sym_undef] = ACTIONS(1864),
    [anon_sym_PERCENT2] = ACTIONS(1864),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1864),
    [anon_sym_use] = ACTIONS(1864),
    [anon_sym_no] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(1864),
    [anon_sym_foreach] = ACTIONS(1864),
    [anon_sym_last] = ACTIONS(1864),
    [anon_sym_next] = ACTIONS(1864),
    [anon_sym_redo] = ACTIONS(1864),
    [anon_sym_BEGIN] = ACTIONS(1864),
    [anon_sym_INIT] = ACTIONS(1864),
    [anon_sym_CHECK] = ACTIONS(1864),
    [anon_sym_UNITCHECK] = ACTIONS(1864),
    [anon_sym_END] = ACTIONS(1864),
    [anon_sym___FILE__] = ACTIONS(1864),
    [anon_sym___LINE__] = ACTIONS(1864),
    [anon_sym___PACKAGE__] = ACTIONS(1864),
    [anon_sym___SUB__] = ACTIONS(1864),
    [anon_sym_break] = ACTIONS(1864),
    [anon_sym_fork] = ACTIONS(1864),
    [anon_sym_getppid] = ACTIONS(1864),
    [anon_sym_time] = ACTIONS(1864),
    [anon_sym_times] = ACTIONS(1864),
    [anon_sym_wait] = ACTIONS(1864),
    [anon_sym_wantarray] = ACTIONS(1864),
    [anon_sym_abs] = ACTIONS(1864),
    [anon_sym_alarm] = ACTIONS(1864),
    [anon_sym_chop] = ACTIONS(1864),
    [anon_sym_chdir] = ACTIONS(1864),
    [anon_sym_close] = ACTIONS(1864),
    [anon_sym_closedir] = ACTIONS(1864),
    [anon_sym_caller] = ACTIONS(1864),
    [anon_sym_chomp] = ACTIONS(1864),
    [anon_sym_chr] = ACTIONS(1864),
    [anon_sym_cos] = ACTIONS(1864),
    [anon_sym_chroot] = ACTIONS(1864),
    [anon_sym_defined] = ACTIONS(1864),
    [anon_sym_delete] = ACTIONS(1864),
    [anon_sym_dbmclose] = ACTIONS(1864),
    [anon_sym_exists] = ACTIONS(1864),
    [anon_sym_exit] = ACTIONS(1864),
    [anon_sym_eof] = ACTIONS(1864),
    [anon_sym_exp] = ACTIONS(1864),
    [anon_sym_each] = ACTIONS(1864),
    [anon_sym_fc] = ACTIONS(1864),
    [anon_sym_fileno] = ACTIONS(1864),
    [anon_sym_gmtime] = ACTIONS(1864),
    [anon_sym_getc] = ACTIONS(1864),
    [anon_sym_getpgrp] = ACTIONS(1864),
    [anon_sym_getprotobyname] = ACTIONS(1864),
    [anon_sym_getpwname] = ACTIONS(1864),
    [anon_sym_getpwuid] = ACTIONS(1864),
    [anon_sym_getpeername] = ACTIONS(1864),
    [anon_sym_getnetbyname] = ACTIONS(1864),
    [anon_sym_getsockname] = ACTIONS(1864),
    [anon_sym_getgrnam] = ACTIONS(1864),
    [anon_sym_getgrgid] = ACTIONS(1864),
    [anon_sym_hex] = ACTIONS(1864),
    [anon_sym_int] = ACTIONS(1864),
    [anon_sym_keys] = ACTIONS(1864),
    [anon_sym_lc] = ACTIONS(1864),
    [anon_sym_lcfirst] = ACTIONS(1864),
    [anon_sym_length] = ACTIONS(1864),
    [anon_sym_localtime] = ACTIONS(1864),
    [anon_sym_log] = ACTIONS(1864),
    [anon_sym_lock] = ACTIONS(1864),
    [anon_sym_lstat] = ACTIONS(1864),
    [anon_sym_oct] = ACTIONS(1864),
    [anon_sym_ord] = ACTIONS(1864),
    [anon_sym_prototype] = ACTIONS(1864),
    [anon_sym_pop] = ACTIONS(1864),
    [anon_sym_pos] = ACTIONS(1864),
    [anon_sym_quotemeta] = ACTIONS(1864),
    [anon_sym_reset] = ACTIONS(1864),
    [anon_sym_rand] = ACTIONS(1864),
    [anon_sym_rmdir] = ACTIONS(1864),
    [anon_sym_readdir] = ACTIONS(1864),
    [anon_sym_readline] = ACTIONS(1864),
    [anon_sym_readpipe] = ACTIONS(1864),
    [anon_sym_rewinddir] = ACTIONS(1864),
    [anon_sym_readlink] = ACTIONS(1864),
    [anon_sym_ref] = ACTIONS(1864),
    [anon_sym_scalar] = ACTIONS(1864),
    [anon_sym_shift] = ACTIONS(1864),
    [anon_sym_sin] = ACTIONS(1864),
    [anon_sym_sleep] = ACTIONS(1864),
    [anon_sym_sqrt] = ACTIONS(1864),
    [anon_sym_srand] = ACTIONS(1864),
    [anon_sym_stat] = ACTIONS(1864),
    [anon_sym_study] = ACTIONS(1864),
    [anon_sym_tell] = ACTIONS(1864),
    [anon_sym_telldir] = ACTIONS(1864),
    [anon_sym_tied] = ACTIONS(1864),
    [anon_sym_uc] = ACTIONS(1864),
    [anon_sym_ucfirst] = ACTIONS(1864),
    [anon_sym_untie] = ACTIONS(1864),
    [anon_sym_umask] = ACTIONS(1864),
    [anon_sym_values] = ACTIONS(1864),
    [anon_sym_write] = ACTIONS(1864),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1864),
    [anon_sym_qq] = ACTIONS(1864),
    [anon_sym_qw] = ACTIONS(1864),
    [anon_sym_qx] = ACTIONS(1864),
    [anon_sym_qr] = ACTIONS(1864),
    [anon_sym_m] = ACTIONS(1864),
    [anon_sym_s] = ACTIONS(1864),
    [anon_sym_tr] = ACTIONS(1864),
    [anon_sym_y] = ACTIONS(1864),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_unless] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1864),
    [anon_sym_until] = ACTIONS(1864),
    [aux_sym__bareword_token1] = ACTIONS(1864),
    [sym_number] = ACTIONS(1864),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [sym__single_quote] = ACTIONS(1862),
    [sym__double_quote] = ACTIONS(1862),
    [sym__backtick_quote] = ACTIONS(1862),
    [sym__search_slash_quote] = ACTIONS(1862),
    [sym__PERLY_HEREDOC] = ACTIONS(1862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1862),
    [sym__filetest] = ACTIONS(1862),
  },
  [906] = {
    [sym_heredoc_content] = STATE(906),
    [sym__identifier] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1781),
    [anon_sym_RBRACE] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1781),
    [anon_sym_package] = ACTIONS(1781),
    [anon_sym_class] = ACTIONS(1781),
    [anon_sym_role] = ACTIONS(1781),
    [anon_sym_BUILD] = ACTIONS(1781),
    [anon_sym_ADJUST] = ACTIONS(1781),
    [anon_sym_DOLLAR] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(1781),
    [anon_sym_my] = ACTIONS(1781),
    [anon_sym_extended] = ACTIONS(1781),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_sub] = ACTIONS(1781),
    [anon_sym_method] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1781),
    [anon_sym_continue] = ACTIONS(1781),
    [anon_sym_state] = ACTIONS(1781),
    [anon_sym_our] = ACTIONS(1781),
    [anon_sym_try] = ACTIONS(1781),
    [anon_sym_finally] = ACTIONS(1781),
    [anon_sym_defer] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_BANG] = ACTIONS(1781),
    [anon_sym_PLUS_PLUS] = ACTIONS(1781),
    [anon_sym_DASH_DASH] = ACTIONS(1781),
    [anon_sym_BSLASH] = ACTIONS(1783),
    [anon_sym_do] = ACTIONS(1781),
    [anon_sym_eval] = ACTIONS(1781),
    [anon_sym_await] = ACTIONS(1781),
    [anon_sym_field] = ACTIONS(1781),
    [anon_sym_local] = ACTIONS(1781),
    [anon_sym_dynamically] = ACTIONS(1781),
    [anon_sym_require] = ACTIONS(1781),
    [anon_sym_map] = ACTIONS(1781),
    [anon_sym_grep] = ACTIONS(1781),
    [anon_sym_sort] = ACTIONS(1781),
    [anon_sym_goto] = ACTIONS(1781),
    [anon_sym_return] = ACTIONS(1781),
    [anon_sym_undef] = ACTIONS(1781),
    [anon_sym_PERCENT2] = ACTIONS(1781),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1781),
    [anon_sym_use] = ACTIONS(1781),
    [anon_sym_no] = ACTIONS(1781),
    [anon_sym_for] = ACTIONS(1781),
    [anon_sym_foreach] = ACTIONS(1781),
    [anon_sym_last] = ACTIONS(1781),
    [anon_sym_next] = ACTIONS(1781),
    [anon_sym_redo] = ACTIONS(1781),
    [anon_sym_BEGIN] = ACTIONS(1781),
    [anon_sym_INIT] = ACTIONS(1781),
    [anon_sym_CHECK] = ACTIONS(1781),
    [anon_sym_UNITCHECK] = ACTIONS(1781),
    [anon_sym_END] = ACTIONS(1781),
    [anon_sym___FILE__] = ACTIONS(1781),
    [anon_sym___LINE__] = ACTIONS(1781),
    [anon_sym___PACKAGE__] = ACTIONS(1781),
    [anon_sym___SUB__] = ACTIONS(1781),
    [anon_sym_break] = ACTIONS(1781),
    [anon_sym_fork] = ACTIONS(1781),
    [anon_sym_getppid] = ACTIONS(1781),
    [anon_sym_time] = ACTIONS(1781),
    [anon_sym_times] = ACTIONS(1781),
    [anon_sym_wait] = ACTIONS(1781),
    [anon_sym_wantarray] = ACTIONS(1781),
    [anon_sym_abs] = ACTIONS(1781),
    [anon_sym_alarm] = ACTIONS(1781),
    [anon_sym_chop] = ACTIONS(1781),
    [anon_sym_chdir] = ACTIONS(1781),
    [anon_sym_close] = ACTIONS(1781),
    [anon_sym_closedir] = ACTIONS(1781),
    [anon_sym_caller] = ACTIONS(1781),
    [anon_sym_chomp] = ACTIONS(1781),
    [anon_sym_chr] = ACTIONS(1781),
    [anon_sym_cos] = ACTIONS(1781),
    [anon_sym_chroot] = ACTIONS(1781),
    [anon_sym_defined] = ACTIONS(1781),
    [anon_sym_delete] = ACTIONS(1781),
    [anon_sym_dbmclose] = ACTIONS(1781),
    [anon_sym_exists] = ACTIONS(1781),
    [anon_sym_exit] = ACTIONS(1781),
    [anon_sym_eof] = ACTIONS(1781),
    [anon_sym_exp] = ACTIONS(1781),
    [anon_sym_each] = ACTIONS(1781),
    [anon_sym_fc] = ACTIONS(1781),
    [anon_sym_fileno] = ACTIONS(1781),
    [anon_sym_gmtime] = ACTIONS(1781),
    [anon_sym_getc] = ACTIONS(1781),
    [anon_sym_getpgrp] = ACTIONS(1781),
    [anon_sym_getprotobyname] = ACTIONS(1781),
    [anon_sym_getpwname] = ACTIONS(1781),
    [anon_sym_getpwuid] = ACTIONS(1781),
    [anon_sym_getpeername] = ACTIONS(1781),
    [anon_sym_getnetbyname] = ACTIONS(1781),
    [anon_sym_getsockname] = ACTIONS(1781),
    [anon_sym_getgrnam] = ACTIONS(1781),
    [anon_sym_getgrgid] = ACTIONS(1781),
    [anon_sym_hex] = ACTIONS(1781),
    [anon_sym_int] = ACTIONS(1781),
    [anon_sym_keys] = ACTIONS(1781),
    [anon_sym_lc] = ACTIONS(1781),
    [anon_sym_lcfirst] = ACTIONS(1781),
    [anon_sym_length] = ACTIONS(1781),
    [anon_sym_localtime] = ACTIONS(1781),
    [anon_sym_log] = ACTIONS(1781),
    [anon_sym_lock] = ACTIONS(1781),
    [anon_sym_lstat] = ACTIONS(1781),
    [anon_sym_oct] = ACTIONS(1781),
    [anon_sym_ord] = ACTIONS(1781),
    [anon_sym_prototype] = ACTIONS(1781),
    [anon_sym_pop] = ACTIONS(1781),
    [anon_sym_pos] = ACTIONS(1781),
    [anon_sym_quotemeta] = ACTIONS(1781),
    [anon_sym_reset] = ACTIONS(1781),
    [anon_sym_rand] = ACTIONS(1781),
    [anon_sym_rmdir] = ACTIONS(1781),
    [anon_sym_readdir] = ACTIONS(1781),
    [anon_sym_readline] = ACTIONS(1781),
    [anon_sym_readpipe] = ACTIONS(1781),
    [anon_sym_rewinddir] = ACTIONS(1781),
    [anon_sym_readlink] = ACTIONS(1781),
    [anon_sym_ref] = ACTIONS(1781),
    [anon_sym_scalar] = ACTIONS(1781),
    [anon_sym_shift] = ACTIONS(1781),
    [anon_sym_sin] = ACTIONS(1781),
    [anon_sym_sleep] = ACTIONS(1781),
    [anon_sym_sqrt] = ACTIONS(1781),
    [anon_sym_srand] = ACTIONS(1781),
    [anon_sym_stat] = ACTIONS(1781),
    [anon_sym_study] = ACTIONS(1781),
    [anon_sym_tell] = ACTIONS(1781),
    [anon_sym_telldir] = ACTIONS(1781),
    [anon_sym_tied] = ACTIONS(1781),
    [anon_sym_uc] = ACTIONS(1781),
    [anon_sym_ucfirst] = ACTIONS(1781),
    [anon_sym_untie] = ACTIONS(1781),
    [anon_sym_umask] = ACTIONS(1781),
    [anon_sym_values] = ACTIONS(1781),
    [anon_sym_write] = ACTIONS(1781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1781),
    [anon_sym_qq] = ACTIONS(1781),
    [anon_sym_qw] = ACTIONS(1781),
    [anon_sym_qx] = ACTIONS(1781),
    [anon_sym_qr] = ACTIONS(1781),
    [anon_sym_m] = ACTIONS(1781),
    [anon_sym_s] = ACTIONS(1781),
    [anon_sym_tr] = ACTIONS(1781),
    [anon_sym_y] = ACTIONS(1781),
    [anon_sym_if] = ACTIONS(1781),
    [anon_sym_unless] = ACTIONS(1781),
    [anon_sym_while] = ACTIONS(1781),
    [anon_sym_until] = ACTIONS(1781),
    [aux_sym__bareword_token1] = ACTIONS(1781),
    [sym_number] = ACTIONS(1781),
    [anon_sym_true] = ACTIONS(1781),
    [anon_sym_false] = ACTIONS(1781),
    [sym__single_quote] = ACTIONS(1783),
    [sym__double_quote] = ACTIONS(1783),
    [sym__backtick_quote] = ACTIONS(1783),
    [sym__search_slash_quote] = ACTIONS(1783),
    [sym__PERLY_HEREDOC] = ACTIONS(1783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1783),
    [sym__filetest] = ACTIONS(1783),
  },
  [907] = {
    [sym_heredoc_content] = STATE(907),
    [sym__identifier] = ACTIONS(1882),
    [anon_sym_LBRACE] = ACTIONS(1882),
    [anon_sym_RBRACE] = ACTIONS(1882),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_package] = ACTIONS(1882),
    [anon_sym_class] = ACTIONS(1882),
    [anon_sym_role] = ACTIONS(1882),
    [anon_sym_BUILD] = ACTIONS(1882),
    [anon_sym_ADJUST] = ACTIONS(1882),
    [anon_sym_DOLLAR] = ACTIONS(1882),
    [anon_sym_AT] = ACTIONS(1882),
    [anon_sym_my] = ACTIONS(1882),
    [anon_sym_extended] = ACTIONS(1882),
    [anon_sym_async] = ACTIONS(1882),
    [anon_sym_sub] = ACTIONS(1882),
    [anon_sym_method] = ACTIONS(1882),
    [anon_sym_LPAREN] = ACTIONS(1882),
    [anon_sym_continue] = ACTIONS(1882),
    [anon_sym_state] = ACTIONS(1882),
    [anon_sym_our] = ACTIONS(1882),
    [anon_sym_try] = ACTIONS(1882),
    [anon_sym_finally] = ACTIONS(2277),
    [anon_sym_defer] = ACTIONS(1882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1882),
    [anon_sym_LT] = ACTIONS(1882),
    [anon_sym_LT_LT] = ACTIONS(1882),
    [anon_sym_SLASH_SLASH] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(1882),
    [anon_sym_DASH] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(1882),
    [anon_sym_TILDE] = ACTIONS(1882),
    [anon_sym_BANG] = ACTIONS(1882),
    [anon_sym_PLUS_PLUS] = ACTIONS(1882),
    [anon_sym_DASH_DASH] = ACTIONS(1882),
    [anon_sym_BSLASH] = ACTIONS(1880),
    [anon_sym_do] = ACTIONS(1882),
    [anon_sym_eval] = ACTIONS(1882),
    [anon_sym_await] = ACTIONS(1882),
    [anon_sym_field] = ACTIONS(1882),
    [anon_sym_local] = ACTIONS(1882),
    [anon_sym_dynamically] = ACTIONS(1882),
    [anon_sym_require] = ACTIONS(1882),
    [anon_sym_map] = ACTIONS(1882),
    [anon_sym_grep] = ACTIONS(1882),
    [anon_sym_sort] = ACTIONS(1882),
    [anon_sym_goto] = ACTIONS(1882),
    [anon_sym_return] = ACTIONS(1882),
    [anon_sym_undef] = ACTIONS(1882),
    [anon_sym_PERCENT2] = ACTIONS(1882),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1882),
    [anon_sym_use] = ACTIONS(1882),
    [anon_sym_no] = ACTIONS(1882),
    [anon_sym_for] = ACTIONS(1882),
    [anon_sym_foreach] = ACTIONS(1882),
    [anon_sym_last] = ACTIONS(1882),
    [anon_sym_next] = ACTIONS(1882),
    [anon_sym_redo] = ACTIONS(1882),
    [anon_sym_BEGIN] = ACTIONS(1882),
    [anon_sym_INIT] = ACTIONS(1882),
    [anon_sym_CHECK] = ACTIONS(1882),
    [anon_sym_UNITCHECK] = ACTIONS(1882),
    [anon_sym_END] = ACTIONS(1882),
    [anon_sym___FILE__] = ACTIONS(1882),
    [anon_sym___LINE__] = ACTIONS(1882),
    [anon_sym___PACKAGE__] = ACTIONS(1882),
    [anon_sym___SUB__] = ACTIONS(1882),
    [anon_sym_break] = ACTIONS(1882),
    [anon_sym_fork] = ACTIONS(1882),
    [anon_sym_getppid] = ACTIONS(1882),
    [anon_sym_time] = ACTIONS(1882),
    [anon_sym_times] = ACTIONS(1882),
    [anon_sym_wait] = ACTIONS(1882),
    [anon_sym_wantarray] = ACTIONS(1882),
    [anon_sym_abs] = ACTIONS(1882),
    [anon_sym_alarm] = ACTIONS(1882),
    [anon_sym_chop] = ACTIONS(1882),
    [anon_sym_chdir] = ACTIONS(1882),
    [anon_sym_close] = ACTIONS(1882),
    [anon_sym_closedir] = ACTIONS(1882),
    [anon_sym_caller] = ACTIONS(1882),
    [anon_sym_chomp] = ACTIONS(1882),
    [anon_sym_chr] = ACTIONS(1882),
    [anon_sym_cos] = ACTIONS(1882),
    [anon_sym_chroot] = ACTIONS(1882),
    [anon_sym_defined] = ACTIONS(1882),
    [anon_sym_delete] = ACTIONS(1882),
    [anon_sym_dbmclose] = ACTIONS(1882),
    [anon_sym_exists] = ACTIONS(1882),
    [anon_sym_exit] = ACTIONS(1882),
    [anon_sym_eof] = ACTIONS(1882),
    [anon_sym_exp] = ACTIONS(1882),
    [anon_sym_each] = ACTIONS(1882),
    [anon_sym_fc] = ACTIONS(1882),
    [anon_sym_fileno] = ACTIONS(1882),
    [anon_sym_gmtime] = ACTIONS(1882),
    [anon_sym_getc] = ACTIONS(1882),
    [anon_sym_getpgrp] = ACTIONS(1882),
    [anon_sym_getprotobyname] = ACTIONS(1882),
    [anon_sym_getpwname] = ACTIONS(1882),
    [anon_sym_getpwuid] = ACTIONS(1882),
    [anon_sym_getpeername] = ACTIONS(1882),
    [anon_sym_getnetbyname] = ACTIONS(1882),
    [anon_sym_getsockname] = ACTIONS(1882),
    [anon_sym_getgrnam] = ACTIONS(1882),
    [anon_sym_getgrgid] = ACTIONS(1882),
    [anon_sym_hex] = ACTIONS(1882),
    [anon_sym_int] = ACTIONS(1882),
    [anon_sym_keys] = ACTIONS(1882),
    [anon_sym_lc] = ACTIONS(1882),
    [anon_sym_lcfirst] = ACTIONS(1882),
    [anon_sym_length] = ACTIONS(1882),
    [anon_sym_localtime] = ACTIONS(1882),
    [anon_sym_log] = ACTIONS(1882),
    [anon_sym_lock] = ACTIONS(1882),
    [anon_sym_lstat] = ACTIONS(1882),
    [anon_sym_oct] = ACTIONS(1882),
    [anon_sym_ord] = ACTIONS(1882),
    [anon_sym_prototype] = ACTIONS(1882),
    [anon_sym_pop] = ACTIONS(1882),
    [anon_sym_pos] = ACTIONS(1882),
    [anon_sym_quotemeta] = ACTIONS(1882),
    [anon_sym_reset] = ACTIONS(1882),
    [anon_sym_rand] = ACTIONS(1882),
    [anon_sym_rmdir] = ACTIONS(1882),
    [anon_sym_readdir] = ACTIONS(1882),
    [anon_sym_readline] = ACTIONS(1882),
    [anon_sym_readpipe] = ACTIONS(1882),
    [anon_sym_rewinddir] = ACTIONS(1882),
    [anon_sym_readlink] = ACTIONS(1882),
    [anon_sym_ref] = ACTIONS(1882),
    [anon_sym_scalar] = ACTIONS(1882),
    [anon_sym_shift] = ACTIONS(1882),
    [anon_sym_sin] = ACTIONS(1882),
    [anon_sym_sleep] = ACTIONS(1882),
    [anon_sym_sqrt] = ACTIONS(1882),
    [anon_sym_srand] = ACTIONS(1882),
    [anon_sym_stat] = ACTIONS(1882),
    [anon_sym_study] = ACTIONS(1882),
    [anon_sym_tell] = ACTIONS(1882),
    [anon_sym_telldir] = ACTIONS(1882),
    [anon_sym_tied] = ACTIONS(1882),
    [anon_sym_uc] = ACTIONS(1882),
    [anon_sym_ucfirst] = ACTIONS(1882),
    [anon_sym_untie] = ACTIONS(1882),
    [anon_sym_umask] = ACTIONS(1882),
    [anon_sym_values] = ACTIONS(1882),
    [anon_sym_write] = ACTIONS(1882),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1882),
    [anon_sym_qq] = ACTIONS(1882),
    [anon_sym_qw] = ACTIONS(1882),
    [anon_sym_qx] = ACTIONS(1882),
    [anon_sym_qr] = ACTIONS(1882),
    [anon_sym_m] = ACTIONS(1882),
    [anon_sym_s] = ACTIONS(1882),
    [anon_sym_tr] = ACTIONS(1882),
    [anon_sym_y] = ACTIONS(1882),
    [anon_sym_if] = ACTIONS(1882),
    [anon_sym_unless] = ACTIONS(1882),
    [anon_sym_while] = ACTIONS(1882),
    [anon_sym_until] = ACTIONS(1882),
    [aux_sym__bareword_token1] = ACTIONS(1882),
    [sym_number] = ACTIONS(1882),
    [anon_sym_true] = ACTIONS(1882),
    [anon_sym_false] = ACTIONS(1882),
    [sym__single_quote] = ACTIONS(1880),
    [sym__double_quote] = ACTIONS(1880),
    [sym__backtick_quote] = ACTIONS(1880),
    [sym__search_slash_quote] = ACTIONS(1880),
    [sym__PERLY_HEREDOC] = ACTIONS(1880),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1880),
    [sym__filetest] = ACTIONS(1880),
  },
  [908] = {
    [sym_heredoc_content] = STATE(908),
    [sym__identifier] = ACTIONS(1876),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_RBRACE] = ACTIONS(1876),
    [anon_sym_SEMI] = ACTIONS(1876),
    [anon_sym_package] = ACTIONS(1876),
    [anon_sym_class] = ACTIONS(1876),
    [anon_sym_role] = ACTIONS(1876),
    [anon_sym_BUILD] = ACTIONS(1876),
    [anon_sym_ADJUST] = ACTIONS(1876),
    [anon_sym_DOLLAR] = ACTIONS(1876),
    [anon_sym_AT] = ACTIONS(1876),
    [anon_sym_my] = ACTIONS(1876),
    [anon_sym_extended] = ACTIONS(1876),
    [anon_sym_async] = ACTIONS(1876),
    [anon_sym_sub] = ACTIONS(1876),
    [anon_sym_method] = ACTIONS(1876),
    [anon_sym_LPAREN] = ACTIONS(1876),
    [anon_sym_continue] = ACTIONS(1876),
    [anon_sym_state] = ACTIONS(1876),
    [anon_sym_our] = ACTIONS(1876),
    [anon_sym_try] = ACTIONS(1876),
    [anon_sym_finally] = ACTIONS(2279),
    [anon_sym_defer] = ACTIONS(1876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1876),
    [anon_sym_LBRACK] = ACTIONS(1876),
    [anon_sym_LT] = ACTIONS(1876),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_STAR] = ACTIONS(1876),
    [anon_sym_TILDE] = ACTIONS(1876),
    [anon_sym_BANG] = ACTIONS(1876),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_BSLASH] = ACTIONS(1874),
    [anon_sym_do] = ACTIONS(1876),
    [anon_sym_eval] = ACTIONS(1876),
    [anon_sym_await] = ACTIONS(1876),
    [anon_sym_field] = ACTIONS(1876),
    [anon_sym_local] = ACTIONS(1876),
    [anon_sym_dynamically] = ACTIONS(1876),
    [anon_sym_require] = ACTIONS(1876),
    [anon_sym_map] = ACTIONS(1876),
    [anon_sym_grep] = ACTIONS(1876),
    [anon_sym_sort] = ACTIONS(1876),
    [anon_sym_goto] = ACTIONS(1876),
    [anon_sym_return] = ACTIONS(1876),
    [anon_sym_undef] = ACTIONS(1876),
    [anon_sym_PERCENT2] = ACTIONS(1876),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1876),
    [anon_sym_use] = ACTIONS(1876),
    [anon_sym_no] = ACTIONS(1876),
    [anon_sym_for] = ACTIONS(1876),
    [anon_sym_foreach] = ACTIONS(1876),
    [anon_sym_last] = ACTIONS(1876),
    [anon_sym_next] = ACTIONS(1876),
    [anon_sym_redo] = ACTIONS(1876),
    [anon_sym_BEGIN] = ACTIONS(1876),
    [anon_sym_INIT] = ACTIONS(1876),
    [anon_sym_CHECK] = ACTIONS(1876),
    [anon_sym_UNITCHECK] = ACTIONS(1876),
    [anon_sym_END] = ACTIONS(1876),
    [anon_sym___FILE__] = ACTIONS(1876),
    [anon_sym___LINE__] = ACTIONS(1876),
    [anon_sym___PACKAGE__] = ACTIONS(1876),
    [anon_sym___SUB__] = ACTIONS(1876),
    [anon_sym_break] = ACTIONS(1876),
    [anon_sym_fork] = ACTIONS(1876),
    [anon_sym_getppid] = ACTIONS(1876),
    [anon_sym_time] = ACTIONS(1876),
    [anon_sym_times] = ACTIONS(1876),
    [anon_sym_wait] = ACTIONS(1876),
    [anon_sym_wantarray] = ACTIONS(1876),
    [anon_sym_abs] = ACTIONS(1876),
    [anon_sym_alarm] = ACTIONS(1876),
    [anon_sym_chop] = ACTIONS(1876),
    [anon_sym_chdir] = ACTIONS(1876),
    [anon_sym_close] = ACTIONS(1876),
    [anon_sym_closedir] = ACTIONS(1876),
    [anon_sym_caller] = ACTIONS(1876),
    [anon_sym_chomp] = ACTIONS(1876),
    [anon_sym_chr] = ACTIONS(1876),
    [anon_sym_cos] = ACTIONS(1876),
    [anon_sym_chroot] = ACTIONS(1876),
    [anon_sym_defined] = ACTIONS(1876),
    [anon_sym_delete] = ACTIONS(1876),
    [anon_sym_dbmclose] = ACTIONS(1876),
    [anon_sym_exists] = ACTIONS(1876),
    [anon_sym_exit] = ACTIONS(1876),
    [anon_sym_eof] = ACTIONS(1876),
    [anon_sym_exp] = ACTIONS(1876),
    [anon_sym_each] = ACTIONS(1876),
    [anon_sym_fc] = ACTIONS(1876),
    [anon_sym_fileno] = ACTIONS(1876),
    [anon_sym_gmtime] = ACTIONS(1876),
    [anon_sym_getc] = ACTIONS(1876),
    [anon_sym_getpgrp] = ACTIONS(1876),
    [anon_sym_getprotobyname] = ACTIONS(1876),
    [anon_sym_getpwname] = ACTIONS(1876),
    [anon_sym_getpwuid] = ACTIONS(1876),
    [anon_sym_getpeername] = ACTIONS(1876),
    [anon_sym_getnetbyname] = ACTIONS(1876),
    [anon_sym_getsockname] = ACTIONS(1876),
    [anon_sym_getgrnam] = ACTIONS(1876),
    [anon_sym_getgrgid] = ACTIONS(1876),
    [anon_sym_hex] = ACTIONS(1876),
    [anon_sym_int] = ACTIONS(1876),
    [anon_sym_keys] = ACTIONS(1876),
    [anon_sym_lc] = ACTIONS(1876),
    [anon_sym_lcfirst] = ACTIONS(1876),
    [anon_sym_length] = ACTIONS(1876),
    [anon_sym_localtime] = ACTIONS(1876),
    [anon_sym_log] = ACTIONS(1876),
    [anon_sym_lock] = ACTIONS(1876),
    [anon_sym_lstat] = ACTIONS(1876),
    [anon_sym_oct] = ACTIONS(1876),
    [anon_sym_ord] = ACTIONS(1876),
    [anon_sym_prototype] = ACTIONS(1876),
    [anon_sym_pop] = ACTIONS(1876),
    [anon_sym_pos] = ACTIONS(1876),
    [anon_sym_quotemeta] = ACTIONS(1876),
    [anon_sym_reset] = ACTIONS(1876),
    [anon_sym_rand] = ACTIONS(1876),
    [anon_sym_rmdir] = ACTIONS(1876),
    [anon_sym_readdir] = ACTIONS(1876),
    [anon_sym_readline] = ACTIONS(1876),
    [anon_sym_readpipe] = ACTIONS(1876),
    [anon_sym_rewinddir] = ACTIONS(1876),
    [anon_sym_readlink] = ACTIONS(1876),
    [anon_sym_ref] = ACTIONS(1876),
    [anon_sym_scalar] = ACTIONS(1876),
    [anon_sym_shift] = ACTIONS(1876),
    [anon_sym_sin] = ACTIONS(1876),
    [anon_sym_sleep] = ACTIONS(1876),
    [anon_sym_sqrt] = ACTIONS(1876),
    [anon_sym_srand] = ACTIONS(1876),
    [anon_sym_stat] = ACTIONS(1876),
    [anon_sym_study] = ACTIONS(1876),
    [anon_sym_tell] = ACTIONS(1876),
    [anon_sym_telldir] = ACTIONS(1876),
    [anon_sym_tied] = ACTIONS(1876),
    [anon_sym_uc] = ACTIONS(1876),
    [anon_sym_ucfirst] = ACTIONS(1876),
    [anon_sym_untie] = ACTIONS(1876),
    [anon_sym_umask] = ACTIONS(1876),
    [anon_sym_values] = ACTIONS(1876),
    [anon_sym_write] = ACTIONS(1876),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1876),
    [anon_sym_qq] = ACTIONS(1876),
    [anon_sym_qw] = ACTIONS(1876),
    [anon_sym_qx] = ACTIONS(1876),
    [anon_sym_qr] = ACTIONS(1876),
    [anon_sym_m] = ACTIONS(1876),
    [anon_sym_s] = ACTIONS(1876),
    [anon_sym_tr] = ACTIONS(1876),
    [anon_sym_y] = ACTIONS(1876),
    [anon_sym_if] = ACTIONS(1876),
    [anon_sym_unless] = ACTIONS(1876),
    [anon_sym_while] = ACTIONS(1876),
    [anon_sym_until] = ACTIONS(1876),
    [aux_sym__bareword_token1] = ACTIONS(1876),
    [sym_number] = ACTIONS(1876),
    [anon_sym_true] = ACTIONS(1876),
    [anon_sym_false] = ACTIONS(1876),
    [sym__single_quote] = ACTIONS(1874),
    [sym__double_quote] = ACTIONS(1874),
    [sym__backtick_quote] = ACTIONS(1874),
    [sym__search_slash_quote] = ACTIONS(1874),
    [sym__PERLY_HEREDOC] = ACTIONS(1874),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1874),
    [sym__filetest] = ACTIONS(1874),
  },
  [909] = {
    [sym_heredoc_content] = STATE(909),
    [sym__identifier] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_RBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [anon_sym_package] = ACTIONS(1405),
    [anon_sym_class] = ACTIONS(1405),
    [anon_sym_role] = ACTIONS(1405),
    [anon_sym_BUILD] = ACTIONS(1405),
    [anon_sym_ADJUST] = ACTIONS(1405),
    [anon_sym_DOLLAR] = ACTIONS(1405),
    [anon_sym_AT] = ACTIONS(1405),
    [anon_sym_my] = ACTIONS(1405),
    [anon_sym_extended] = ACTIONS(1405),
    [anon_sym_async] = ACTIONS(1405),
    [anon_sym_sub] = ACTIONS(1405),
    [anon_sym_method] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_state] = ACTIONS(1405),
    [anon_sym_our] = ACTIONS(1405),
    [anon_sym_try] = ACTIONS(1405),
    [anon_sym_finally] = ACTIONS(1405),
    [anon_sym_defer] = ACTIONS(1405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_TILDE] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1405),
    [anon_sym_DASH_DASH] = ACTIONS(1405),
    [anon_sym_BSLASH] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_eval] = ACTIONS(1405),
    [anon_sym_await] = ACTIONS(1405),
    [anon_sym_field] = ACTIONS(1405),
    [anon_sym_local] = ACTIONS(1405),
    [anon_sym_dynamically] = ACTIONS(1405),
    [anon_sym_require] = ACTIONS(1405),
    [anon_sym_map] = ACTIONS(1405),
    [anon_sym_grep] = ACTIONS(1405),
    [anon_sym_sort] = ACTIONS(1405),
    [anon_sym_goto] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_undef] = ACTIONS(1405),
    [anon_sym_PERCENT2] = ACTIONS(1405),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1405),
    [anon_sym_use] = ACTIONS(1405),
    [anon_sym_no] = ACTIONS(1405),
    [anon_sym_for] = ACTIONS(1405),
    [anon_sym_foreach] = ACTIONS(1405),
    [anon_sym_last] = ACTIONS(1405),
    [anon_sym_next] = ACTIONS(1405),
    [anon_sym_redo] = ACTIONS(1405),
    [anon_sym_BEGIN] = ACTIONS(1405),
    [anon_sym_INIT] = ACTIONS(1405),
    [anon_sym_CHECK] = ACTIONS(1405),
    [anon_sym_UNITCHECK] = ACTIONS(1405),
    [anon_sym_END] = ACTIONS(1405),
    [anon_sym___FILE__] = ACTIONS(1405),
    [anon_sym___LINE__] = ACTIONS(1405),
    [anon_sym___PACKAGE__] = ACTIONS(1405),
    [anon_sym___SUB__] = ACTIONS(1405),
    [anon_sym_break] = ACTIONS(1405),
    [anon_sym_fork] = ACTIONS(1405),
    [anon_sym_getppid] = ACTIONS(1405),
    [anon_sym_time] = ACTIONS(1405),
    [anon_sym_times] = ACTIONS(1405),
    [anon_sym_wait] = ACTIONS(1405),
    [anon_sym_wantarray] = ACTIONS(1405),
    [anon_sym_abs] = ACTIONS(1405),
    [anon_sym_alarm] = ACTIONS(1405),
    [anon_sym_chop] = ACTIONS(1405),
    [anon_sym_chdir] = ACTIONS(1405),
    [anon_sym_close] = ACTIONS(1405),
    [anon_sym_closedir] = ACTIONS(1405),
    [anon_sym_caller] = ACTIONS(1405),
    [anon_sym_chomp] = ACTIONS(1405),
    [anon_sym_chr] = ACTIONS(1405),
    [anon_sym_cos] = ACTIONS(1405),
    [anon_sym_chroot] = ACTIONS(1405),
    [anon_sym_defined] = ACTIONS(1405),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_dbmclose] = ACTIONS(1405),
    [anon_sym_exists] = ACTIONS(1405),
    [anon_sym_exit] = ACTIONS(1405),
    [anon_sym_eof] = ACTIONS(1405),
    [anon_sym_exp] = ACTIONS(1405),
    [anon_sym_each] = ACTIONS(1405),
    [anon_sym_fc] = ACTIONS(1405),
    [anon_sym_fileno] = ACTIONS(1405),
    [anon_sym_gmtime] = ACTIONS(1405),
    [anon_sym_getc] = ACTIONS(1405),
    [anon_sym_getpgrp] = ACTIONS(1405),
    [anon_sym_getprotobyname] = ACTIONS(1405),
    [anon_sym_getpwname] = ACTIONS(1405),
    [anon_sym_getpwuid] = ACTIONS(1405),
    [anon_sym_getpeername] = ACTIONS(1405),
    [anon_sym_getnetbyname] = ACTIONS(1405),
    [anon_sym_getsockname] = ACTIONS(1405),
    [anon_sym_getgrnam] = ACTIONS(1405),
    [anon_sym_getgrgid] = ACTIONS(1405),
    [anon_sym_hex] = ACTIONS(1405),
    [anon_sym_int] = ACTIONS(1405),
    [anon_sym_keys] = ACTIONS(1405),
    [anon_sym_lc] = ACTIONS(1405),
    [anon_sym_lcfirst] = ACTIONS(1405),
    [anon_sym_length] = ACTIONS(1405),
    [anon_sym_localtime] = ACTIONS(1405),
    [anon_sym_log] = ACTIONS(1405),
    [anon_sym_lock] = ACTIONS(1405),
    [anon_sym_lstat] = ACTIONS(1405),
    [anon_sym_oct] = ACTIONS(1405),
    [anon_sym_ord] = ACTIONS(1405),
    [anon_sym_prototype] = ACTIONS(1405),
    [anon_sym_pop] = ACTIONS(1405),
    [anon_sym_pos] = ACTIONS(1405),
    [anon_sym_quotemeta] = ACTIONS(1405),
    [anon_sym_reset] = ACTIONS(1405),
    [anon_sym_rand] = ACTIONS(1405),
    [anon_sym_rmdir] = ACTIONS(1405),
    [anon_sym_readdir] = ACTIONS(1405),
    [anon_sym_readline] = ACTIONS(1405),
    [anon_sym_readpipe] = ACTIONS(1405),
    [anon_sym_rewinddir] = ACTIONS(1405),
    [anon_sym_readlink] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1405),
    [anon_sym_scalar] = ACTIONS(1405),
    [anon_sym_shift] = ACTIONS(1405),
    [anon_sym_sin] = ACTIONS(1405),
    [anon_sym_sleep] = ACTIONS(1405),
    [anon_sym_sqrt] = ACTIONS(1405),
    [anon_sym_srand] = ACTIONS(1405),
    [anon_sym_stat] = ACTIONS(1405),
    [anon_sym_study] = ACTIONS(1405),
    [anon_sym_tell] = ACTIONS(1405),
    [anon_sym_telldir] = ACTIONS(1405),
    [anon_sym_tied] = ACTIONS(1405),
    [anon_sym_uc] = ACTIONS(1405),
    [anon_sym_ucfirst] = ACTIONS(1405),
    [anon_sym_untie] = ACTIONS(1405),
    [anon_sym_umask] = ACTIONS(1405),
    [anon_sym_values] = ACTIONS(1405),
    [anon_sym_write] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1405),
    [anon_sym_qq] = ACTIONS(1405),
    [anon_sym_qw] = ACTIONS(1405),
    [anon_sym_qx] = ACTIONS(1405),
    [anon_sym_qr] = ACTIONS(1405),
    [anon_sym_m] = ACTIONS(1405),
    [anon_sym_s] = ACTIONS(1405),
    [anon_sym_tr] = ACTIONS(1405),
    [anon_sym_y] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_unless] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1405),
    [anon_sym_until] = ACTIONS(1405),
    [aux_sym__bareword_token1] = ACTIONS(1405),
    [sym_number] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1405),
    [anon_sym_false] = ACTIONS(1405),
    [sym__single_quote] = ACTIONS(1403),
    [sym__double_quote] = ACTIONS(1403),
    [sym__backtick_quote] = ACTIONS(1403),
    [sym__search_slash_quote] = ACTIONS(1403),
    [sym__PERLY_HEREDOC] = ACTIONS(1403),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1403),
    [sym__filetest] = ACTIONS(1403),
  },
  [910] = {
    [sym_heredoc_content] = STATE(910),
    [sym__identifier] = ACTIONS(2000),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym_RBRACE] = ACTIONS(2000),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_package] = ACTIONS(2000),
    [anon_sym_class] = ACTIONS(2000),
    [anon_sym_role] = ACTIONS(2000),
    [anon_sym_BUILD] = ACTIONS(2000),
    [anon_sym_ADJUST] = ACTIONS(2000),
    [anon_sym_DOLLAR] = ACTIONS(2000),
    [anon_sym_AT] = ACTIONS(2000),
    [anon_sym_my] = ACTIONS(2000),
    [anon_sym_extended] = ACTIONS(2000),
    [anon_sym_async] = ACTIONS(2000),
    [anon_sym_sub] = ACTIONS(2000),
    [anon_sym_method] = ACTIONS(2000),
    [anon_sym_LPAREN] = ACTIONS(2000),
    [anon_sym_continue] = ACTIONS(2000),
    [anon_sym_state] = ACTIONS(2000),
    [anon_sym_our] = ACTIONS(2000),
    [anon_sym_try] = ACTIONS(2000),
    [anon_sym_defer] = ACTIONS(2000),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2000),
    [anon_sym_LBRACK] = ACTIONS(2000),
    [anon_sym_LT] = ACTIONS(2000),
    [anon_sym_LT_LT] = ACTIONS(2000),
    [anon_sym_SLASH_SLASH] = ACTIONS(2000),
    [anon_sym_PLUS] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(2000),
    [anon_sym_STAR] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_PLUS_PLUS] = ACTIONS(2000),
    [anon_sym_DASH_DASH] = ACTIONS(2000),
    [anon_sym_BSLASH] = ACTIONS(1998),
    [anon_sym_do] = ACTIONS(2000),
    [anon_sym_eval] = ACTIONS(2000),
    [anon_sym_await] = ACTIONS(2000),
    [anon_sym_field] = ACTIONS(2000),
    [anon_sym_local] = ACTIONS(2000),
    [anon_sym_dynamically] = ACTIONS(2000),
    [anon_sym_require] = ACTIONS(2000),
    [anon_sym_map] = ACTIONS(2000),
    [anon_sym_grep] = ACTIONS(2000),
    [anon_sym_sort] = ACTIONS(2000),
    [anon_sym_goto] = ACTIONS(2000),
    [anon_sym_return] = ACTIONS(2000),
    [anon_sym_undef] = ACTIONS(2000),
    [anon_sym_PERCENT2] = ACTIONS(2000),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2000),
    [anon_sym_use] = ACTIONS(2000),
    [anon_sym_no] = ACTIONS(2000),
    [anon_sym_for] = ACTIONS(2000),
    [anon_sym_foreach] = ACTIONS(2000),
    [anon_sym_last] = ACTIONS(2000),
    [anon_sym_next] = ACTIONS(2000),
    [anon_sym_redo] = ACTIONS(2000),
    [anon_sym_BEGIN] = ACTIONS(2000),
    [anon_sym_INIT] = ACTIONS(2000),
    [anon_sym_CHECK] = ACTIONS(2000),
    [anon_sym_UNITCHECK] = ACTIONS(2000),
    [anon_sym_END] = ACTIONS(2000),
    [anon_sym___FILE__] = ACTIONS(2000),
    [anon_sym___LINE__] = ACTIONS(2000),
    [anon_sym___PACKAGE__] = ACTIONS(2000),
    [anon_sym___SUB__] = ACTIONS(2000),
    [anon_sym_break] = ACTIONS(2000),
    [anon_sym_fork] = ACTIONS(2000),
    [anon_sym_getppid] = ACTIONS(2000),
    [anon_sym_time] = ACTIONS(2000),
    [anon_sym_times] = ACTIONS(2000),
    [anon_sym_wait] = ACTIONS(2000),
    [anon_sym_wantarray] = ACTIONS(2000),
    [anon_sym_abs] = ACTIONS(2000),
    [anon_sym_alarm] = ACTIONS(2000),
    [anon_sym_chop] = ACTIONS(2000),
    [anon_sym_chdir] = ACTIONS(2000),
    [anon_sym_close] = ACTIONS(2000),
    [anon_sym_closedir] = ACTIONS(2000),
    [anon_sym_caller] = ACTIONS(2000),
    [anon_sym_chomp] = ACTIONS(2000),
    [anon_sym_chr] = ACTIONS(2000),
    [anon_sym_cos] = ACTIONS(2000),
    [anon_sym_chroot] = ACTIONS(2000),
    [anon_sym_defined] = ACTIONS(2000),
    [anon_sym_delete] = ACTIONS(2000),
    [anon_sym_dbmclose] = ACTIONS(2000),
    [anon_sym_exists] = ACTIONS(2000),
    [anon_sym_exit] = ACTIONS(2000),
    [anon_sym_eof] = ACTIONS(2000),
    [anon_sym_exp] = ACTIONS(2000),
    [anon_sym_each] = ACTIONS(2000),
    [anon_sym_fc] = ACTIONS(2000),
    [anon_sym_fileno] = ACTIONS(2000),
    [anon_sym_gmtime] = ACTIONS(2000),
    [anon_sym_getc] = ACTIONS(2000),
    [anon_sym_getpgrp] = ACTIONS(2000),
    [anon_sym_getprotobyname] = ACTIONS(2000),
    [anon_sym_getpwname] = ACTIONS(2000),
    [anon_sym_getpwuid] = ACTIONS(2000),
    [anon_sym_getpeername] = ACTIONS(2000),
    [anon_sym_getnetbyname] = ACTIONS(2000),
    [anon_sym_getsockname] = ACTIONS(2000),
    [anon_sym_getgrnam] = ACTIONS(2000),
    [anon_sym_getgrgid] = ACTIONS(2000),
    [anon_sym_hex] = ACTIONS(2000),
    [anon_sym_int] = ACTIONS(2000),
    [anon_sym_keys] = ACTIONS(2000),
    [anon_sym_lc] = ACTIONS(2000),
    [anon_sym_lcfirst] = ACTIONS(2000),
    [anon_sym_length] = ACTIONS(2000),
    [anon_sym_localtime] = ACTIONS(2000),
    [anon_sym_log] = ACTIONS(2000),
    [anon_sym_lock] = ACTIONS(2000),
    [anon_sym_lstat] = ACTIONS(2000),
    [anon_sym_oct] = ACTIONS(2000),
    [anon_sym_ord] = ACTIONS(2000),
    [anon_sym_prototype] = ACTIONS(2000),
    [anon_sym_pop] = ACTIONS(2000),
    [anon_sym_pos] = ACTIONS(2000),
    [anon_sym_quotemeta] = ACTIONS(2000),
    [anon_sym_reset] = ACTIONS(2000),
    [anon_sym_rand] = ACTIONS(2000),
    [anon_sym_rmdir] = ACTIONS(2000),
    [anon_sym_readdir] = ACTIONS(2000),
    [anon_sym_readline] = ACTIONS(2000),
    [anon_sym_readpipe] = ACTIONS(2000),
    [anon_sym_rewinddir] = ACTIONS(2000),
    [anon_sym_readlink] = ACTIONS(2000),
    [anon_sym_ref] = ACTIONS(2000),
    [anon_sym_scalar] = ACTIONS(2000),
    [anon_sym_shift] = ACTIONS(2000),
    [anon_sym_sin] = ACTIONS(2000),
    [anon_sym_sleep] = ACTIONS(2000),
    [anon_sym_sqrt] = ACTIONS(2000),
    [anon_sym_srand] = ACTIONS(2000),
    [anon_sym_stat] = ACTIONS(2000),
    [anon_sym_study] = ACTIONS(2000),
    [anon_sym_tell] = ACTIONS(2000),
    [anon_sym_telldir] = ACTIONS(2000),
    [anon_sym_tied] = ACTIONS(2000),
    [anon_sym_uc] = ACTIONS(2000),
    [anon_sym_ucfirst] = ACTIONS(2000),
    [anon_sym_untie] = ACTIONS(2000),
    [anon_sym_umask] = ACTIONS(2000),
    [anon_sym_values] = ACTIONS(2000),
    [anon_sym_write] = ACTIONS(2000),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2000),
    [anon_sym_qq] = ACTIONS(2000),
    [anon_sym_qw] = ACTIONS(2000),
    [anon_sym_qx] = ACTIONS(2000),
    [anon_sym_qr] = ACTIONS(2000),
    [anon_sym_m] = ACTIONS(2000),
    [anon_sym_s] = ACTIONS(2000),
    [anon_sym_tr] = ACTIONS(2000),
    [anon_sym_y] = ACTIONS(2000),
    [anon_sym_if] = ACTIONS(2000),
    [anon_sym_unless] = ACTIONS(2000),
    [anon_sym_while] = ACTIONS(2000),
    [anon_sym_until] = ACTIONS(2000),
    [aux_sym__bareword_token1] = ACTIONS(2000),
    [sym_number] = ACTIONS(2000),
    [anon_sym_true] = ACTIONS(2000),
    [anon_sym_false] = ACTIONS(2000),
    [sym__single_quote] = ACTIONS(1998),
    [sym__double_quote] = ACTIONS(1998),
    [sym__backtick_quote] = ACTIONS(1998),
    [sym__search_slash_quote] = ACTIONS(1998),
    [sym__PERLY_HEREDOC] = ACTIONS(1998),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1998),
    [sym__filetest] = ACTIONS(1998),
  },
  [911] = {
    [sym_heredoc_content] = STATE(911),
    [sym__identifier] = ACTIONS(1900),
    [anon_sym_LBRACE] = ACTIONS(1900),
    [anon_sym_RBRACE] = ACTIONS(1900),
    [anon_sym_SEMI] = ACTIONS(1900),
    [anon_sym_package] = ACTIONS(1900),
    [anon_sym_class] = ACTIONS(1900),
    [anon_sym_role] = ACTIONS(1900),
    [anon_sym_BUILD] = ACTIONS(1900),
    [anon_sym_ADJUST] = ACTIONS(1900),
    [anon_sym_DOLLAR] = ACTIONS(1900),
    [anon_sym_AT] = ACTIONS(1900),
    [anon_sym_my] = ACTIONS(1900),
    [anon_sym_extended] = ACTIONS(1900),
    [anon_sym_async] = ACTIONS(1900),
    [anon_sym_sub] = ACTIONS(1900),
    [anon_sym_method] = ACTIONS(1900),
    [anon_sym_LPAREN] = ACTIONS(1900),
    [anon_sym_continue] = ACTIONS(1900),
    [anon_sym_state] = ACTIONS(1900),
    [anon_sym_our] = ACTIONS(1900),
    [anon_sym_try] = ACTIONS(1900),
    [anon_sym_defer] = ACTIONS(1900),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1900),
    [anon_sym_LBRACK] = ACTIONS(1900),
    [anon_sym_LT] = ACTIONS(1900),
    [anon_sym_LT_LT] = ACTIONS(1900),
    [anon_sym_SLASH_SLASH] = ACTIONS(1900),
    [anon_sym_PLUS] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1900),
    [anon_sym_STAR] = ACTIONS(1900),
    [anon_sym_TILDE] = ACTIONS(1900),
    [anon_sym_BANG] = ACTIONS(1900),
    [anon_sym_PLUS_PLUS] = ACTIONS(1900),
    [anon_sym_DASH_DASH] = ACTIONS(1900),
    [anon_sym_BSLASH] = ACTIONS(1898),
    [anon_sym_do] = ACTIONS(1900),
    [anon_sym_eval] = ACTIONS(1900),
    [anon_sym_await] = ACTIONS(1900),
    [anon_sym_field] = ACTIONS(1900),
    [anon_sym_local] = ACTIONS(1900),
    [anon_sym_dynamically] = ACTIONS(1900),
    [anon_sym_require] = ACTIONS(1900),
    [anon_sym_map] = ACTIONS(1900),
    [anon_sym_grep] = ACTIONS(1900),
    [anon_sym_sort] = ACTIONS(1900),
    [anon_sym_goto] = ACTIONS(1900),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_undef] = ACTIONS(1900),
    [anon_sym_PERCENT2] = ACTIONS(1900),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1900),
    [anon_sym_use] = ACTIONS(1900),
    [anon_sym_no] = ACTIONS(1900),
    [anon_sym_for] = ACTIONS(1900),
    [anon_sym_foreach] = ACTIONS(1900),
    [anon_sym_last] = ACTIONS(1900),
    [anon_sym_next] = ACTIONS(1900),
    [anon_sym_redo] = ACTIONS(1900),
    [anon_sym_BEGIN] = ACTIONS(1900),
    [anon_sym_INIT] = ACTIONS(1900),
    [anon_sym_CHECK] = ACTIONS(1900),
    [anon_sym_UNITCHECK] = ACTIONS(1900),
    [anon_sym_END] = ACTIONS(1900),
    [anon_sym___FILE__] = ACTIONS(1900),
    [anon_sym___LINE__] = ACTIONS(1900),
    [anon_sym___PACKAGE__] = ACTIONS(1900),
    [anon_sym___SUB__] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1900),
    [anon_sym_fork] = ACTIONS(1900),
    [anon_sym_getppid] = ACTIONS(1900),
    [anon_sym_time] = ACTIONS(1900),
    [anon_sym_times] = ACTIONS(1900),
    [anon_sym_wait] = ACTIONS(1900),
    [anon_sym_wantarray] = ACTIONS(1900),
    [anon_sym_abs] = ACTIONS(1900),
    [anon_sym_alarm] = ACTIONS(1900),
    [anon_sym_chop] = ACTIONS(1900),
    [anon_sym_chdir] = ACTIONS(1900),
    [anon_sym_close] = ACTIONS(1900),
    [anon_sym_closedir] = ACTIONS(1900),
    [anon_sym_caller] = ACTIONS(1900),
    [anon_sym_chomp] = ACTIONS(1900),
    [anon_sym_chr] = ACTIONS(1900),
    [anon_sym_cos] = ACTIONS(1900),
    [anon_sym_chroot] = ACTIONS(1900),
    [anon_sym_defined] = ACTIONS(1900),
    [anon_sym_delete] = ACTIONS(1900),
    [anon_sym_dbmclose] = ACTIONS(1900),
    [anon_sym_exists] = ACTIONS(1900),
    [anon_sym_exit] = ACTIONS(1900),
    [anon_sym_eof] = ACTIONS(1900),
    [anon_sym_exp] = ACTIONS(1900),
    [anon_sym_each] = ACTIONS(1900),
    [anon_sym_fc] = ACTIONS(1900),
    [anon_sym_fileno] = ACTIONS(1900),
    [anon_sym_gmtime] = ACTIONS(1900),
    [anon_sym_getc] = ACTIONS(1900),
    [anon_sym_getpgrp] = ACTIONS(1900),
    [anon_sym_getprotobyname] = ACTIONS(1900),
    [anon_sym_getpwname] = ACTIONS(1900),
    [anon_sym_getpwuid] = ACTIONS(1900),
    [anon_sym_getpeername] = ACTIONS(1900),
    [anon_sym_getnetbyname] = ACTIONS(1900),
    [anon_sym_getsockname] = ACTIONS(1900),
    [anon_sym_getgrnam] = ACTIONS(1900),
    [anon_sym_getgrgid] = ACTIONS(1900),
    [anon_sym_hex] = ACTIONS(1900),
    [anon_sym_int] = ACTIONS(1900),
    [anon_sym_keys] = ACTIONS(1900),
    [anon_sym_lc] = ACTIONS(1900),
    [anon_sym_lcfirst] = ACTIONS(1900),
    [anon_sym_length] = ACTIONS(1900),
    [anon_sym_localtime] = ACTIONS(1900),
    [anon_sym_log] = ACTIONS(1900),
    [anon_sym_lock] = ACTIONS(1900),
    [anon_sym_lstat] = ACTIONS(1900),
    [anon_sym_oct] = ACTIONS(1900),
    [anon_sym_ord] = ACTIONS(1900),
    [anon_sym_prototype] = ACTIONS(1900),
    [anon_sym_pop] = ACTIONS(1900),
    [anon_sym_pos] = ACTIONS(1900),
    [anon_sym_quotemeta] = ACTIONS(1900),
    [anon_sym_reset] = ACTIONS(1900),
    [anon_sym_rand] = ACTIONS(1900),
    [anon_sym_rmdir] = ACTIONS(1900),
    [anon_sym_readdir] = ACTIONS(1900),
    [anon_sym_readline] = ACTIONS(1900),
    [anon_sym_readpipe] = ACTIONS(1900),
    [anon_sym_rewinddir] = ACTIONS(1900),
    [anon_sym_readlink] = ACTIONS(1900),
    [anon_sym_ref] = ACTIONS(1900),
    [anon_sym_scalar] = ACTIONS(1900),
    [anon_sym_shift] = ACTIONS(1900),
    [anon_sym_sin] = ACTIONS(1900),
    [anon_sym_sleep] = ACTIONS(1900),
    [anon_sym_sqrt] = ACTIONS(1900),
    [anon_sym_srand] = ACTIONS(1900),
    [anon_sym_stat] = ACTIONS(1900),
    [anon_sym_study] = ACTIONS(1900),
    [anon_sym_tell] = ACTIONS(1900),
    [anon_sym_telldir] = ACTIONS(1900),
    [anon_sym_tied] = ACTIONS(1900),
    [anon_sym_uc] = ACTIONS(1900),
    [anon_sym_ucfirst] = ACTIONS(1900),
    [anon_sym_untie] = ACTIONS(1900),
    [anon_sym_umask] = ACTIONS(1900),
    [anon_sym_values] = ACTIONS(1900),
    [anon_sym_write] = ACTIONS(1900),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1900),
    [anon_sym_qq] = ACTIONS(1900),
    [anon_sym_qw] = ACTIONS(1900),
    [anon_sym_qx] = ACTIONS(1900),
    [anon_sym_qr] = ACTIONS(1900),
    [anon_sym_m] = ACTIONS(1900),
    [anon_sym_s] = ACTIONS(1900),
    [anon_sym_tr] = ACTIONS(1900),
    [anon_sym_y] = ACTIONS(1900),
    [anon_sym_if] = ACTIONS(1900),
    [anon_sym_unless] = ACTIONS(1900),
    [anon_sym_while] = ACTIONS(1900),
    [anon_sym_until] = ACTIONS(1900),
    [aux_sym__bareword_token1] = ACTIONS(1900),
    [sym_number] = ACTIONS(1900),
    [anon_sym_true] = ACTIONS(1900),
    [anon_sym_false] = ACTIONS(1900),
    [sym__single_quote] = ACTIONS(1898),
    [sym__double_quote] = ACTIONS(1898),
    [sym__backtick_quote] = ACTIONS(1898),
    [sym__search_slash_quote] = ACTIONS(1898),
    [sym__PERLY_HEREDOC] = ACTIONS(1898),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1898),
    [sym__filetest] = ACTIONS(1898),
  },
  [912] = {
    [sym_heredoc_content] = STATE(912),
    [sym__identifier] = ACTIONS(1904),
    [anon_sym_LBRACE] = ACTIONS(1904),
    [anon_sym_RBRACE] = ACTIONS(1904),
    [anon_sym_SEMI] = ACTIONS(1904),
    [anon_sym_package] = ACTIONS(1904),
    [anon_sym_class] = ACTIONS(1904),
    [anon_sym_role] = ACTIONS(1904),
    [anon_sym_BUILD] = ACTIONS(1904),
    [anon_sym_ADJUST] = ACTIONS(1904),
    [anon_sym_DOLLAR] = ACTIONS(1904),
    [anon_sym_AT] = ACTIONS(1904),
    [anon_sym_my] = ACTIONS(1904),
    [anon_sym_extended] = ACTIONS(1904),
    [anon_sym_async] = ACTIONS(1904),
    [anon_sym_sub] = ACTIONS(1904),
    [anon_sym_method] = ACTIONS(1904),
    [anon_sym_LPAREN] = ACTIONS(1904),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_state] = ACTIONS(1904),
    [anon_sym_our] = ACTIONS(1904),
    [anon_sym_try] = ACTIONS(1904),
    [anon_sym_defer] = ACTIONS(1904),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1904),
    [anon_sym_LBRACK] = ACTIONS(1904),
    [anon_sym_LT] = ACTIONS(1904),
    [anon_sym_LT_LT] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(1904),
    [anon_sym_PLUS] = ACTIONS(1904),
    [anon_sym_DASH] = ACTIONS(1904),
    [anon_sym_STAR] = ACTIONS(1904),
    [anon_sym_TILDE] = ACTIONS(1904),
    [anon_sym_BANG] = ACTIONS(1904),
    [anon_sym_PLUS_PLUS] = ACTIONS(1904),
    [anon_sym_DASH_DASH] = ACTIONS(1904),
    [anon_sym_BSLASH] = ACTIONS(1902),
    [anon_sym_do] = ACTIONS(1904),
    [anon_sym_eval] = ACTIONS(1904),
    [anon_sym_await] = ACTIONS(1904),
    [anon_sym_field] = ACTIONS(1904),
    [anon_sym_local] = ACTIONS(1904),
    [anon_sym_dynamically] = ACTIONS(1904),
    [anon_sym_require] = ACTIONS(1904),
    [anon_sym_map] = ACTIONS(1904),
    [anon_sym_grep] = ACTIONS(1904),
    [anon_sym_sort] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1904),
    [anon_sym_return] = ACTIONS(1904),
    [anon_sym_undef] = ACTIONS(1904),
    [anon_sym_PERCENT2] = ACTIONS(1904),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1904),
    [anon_sym_use] = ACTIONS(1904),
    [anon_sym_no] = ACTIONS(1904),
    [anon_sym_for] = ACTIONS(1904),
    [anon_sym_foreach] = ACTIONS(1904),
    [anon_sym_last] = ACTIONS(1904),
    [anon_sym_next] = ACTIONS(1904),
    [anon_sym_redo] = ACTIONS(1904),
    [anon_sym_BEGIN] = ACTIONS(1904),
    [anon_sym_INIT] = ACTIONS(1904),
    [anon_sym_CHECK] = ACTIONS(1904),
    [anon_sym_UNITCHECK] = ACTIONS(1904),
    [anon_sym_END] = ACTIONS(1904),
    [anon_sym___FILE__] = ACTIONS(1904),
    [anon_sym___LINE__] = ACTIONS(1904),
    [anon_sym___PACKAGE__] = ACTIONS(1904),
    [anon_sym___SUB__] = ACTIONS(1904),
    [anon_sym_break] = ACTIONS(1904),
    [anon_sym_fork] = ACTIONS(1904),
    [anon_sym_getppid] = ACTIONS(1904),
    [anon_sym_time] = ACTIONS(1904),
    [anon_sym_times] = ACTIONS(1904),
    [anon_sym_wait] = ACTIONS(1904),
    [anon_sym_wantarray] = ACTIONS(1904),
    [anon_sym_abs] = ACTIONS(1904),
    [anon_sym_alarm] = ACTIONS(1904),
    [anon_sym_chop] = ACTIONS(1904),
    [anon_sym_chdir] = ACTIONS(1904),
    [anon_sym_close] = ACTIONS(1904),
    [anon_sym_closedir] = ACTIONS(1904),
    [anon_sym_caller] = ACTIONS(1904),
    [anon_sym_chomp] = ACTIONS(1904),
    [anon_sym_chr] = ACTIONS(1904),
    [anon_sym_cos] = ACTIONS(1904),
    [anon_sym_chroot] = ACTIONS(1904),
    [anon_sym_defined] = ACTIONS(1904),
    [anon_sym_delete] = ACTIONS(1904),
    [anon_sym_dbmclose] = ACTIONS(1904),
    [anon_sym_exists] = ACTIONS(1904),
    [anon_sym_exit] = ACTIONS(1904),
    [anon_sym_eof] = ACTIONS(1904),
    [anon_sym_exp] = ACTIONS(1904),
    [anon_sym_each] = ACTIONS(1904),
    [anon_sym_fc] = ACTIONS(1904),
    [anon_sym_fileno] = ACTIONS(1904),
    [anon_sym_gmtime] = ACTIONS(1904),
    [anon_sym_getc] = ACTIONS(1904),
    [anon_sym_getpgrp] = ACTIONS(1904),
    [anon_sym_getprotobyname] = ACTIONS(1904),
    [anon_sym_getpwname] = ACTIONS(1904),
    [anon_sym_getpwuid] = ACTIONS(1904),
    [anon_sym_getpeername] = ACTIONS(1904),
    [anon_sym_getnetbyname] = ACTIONS(1904),
    [anon_sym_getsockname] = ACTIONS(1904),
    [anon_sym_getgrnam] = ACTIONS(1904),
    [anon_sym_getgrgid] = ACTIONS(1904),
    [anon_sym_hex] = ACTIONS(1904),
    [anon_sym_int] = ACTIONS(1904),
    [anon_sym_keys] = ACTIONS(1904),
    [anon_sym_lc] = ACTIONS(1904),
    [anon_sym_lcfirst] = ACTIONS(1904),
    [anon_sym_length] = ACTIONS(1904),
    [anon_sym_localtime] = ACTIONS(1904),
    [anon_sym_log] = ACTIONS(1904),
    [anon_sym_lock] = ACTIONS(1904),
    [anon_sym_lstat] = ACTIONS(1904),
    [anon_sym_oct] = ACTIONS(1904),
    [anon_sym_ord] = ACTIONS(1904),
    [anon_sym_prototype] = ACTIONS(1904),
    [anon_sym_pop] = ACTIONS(1904),
    [anon_sym_pos] = ACTIONS(1904),
    [anon_sym_quotemeta] = ACTIONS(1904),
    [anon_sym_reset] = ACTIONS(1904),
    [anon_sym_rand] = ACTIONS(1904),
    [anon_sym_rmdir] = ACTIONS(1904),
    [anon_sym_readdir] = ACTIONS(1904),
    [anon_sym_readline] = ACTIONS(1904),
    [anon_sym_readpipe] = ACTIONS(1904),
    [anon_sym_rewinddir] = ACTIONS(1904),
    [anon_sym_readlink] = ACTIONS(1904),
    [anon_sym_ref] = ACTIONS(1904),
    [anon_sym_scalar] = ACTIONS(1904),
    [anon_sym_shift] = ACTIONS(1904),
    [anon_sym_sin] = ACTIONS(1904),
    [anon_sym_sleep] = ACTIONS(1904),
    [anon_sym_sqrt] = ACTIONS(1904),
    [anon_sym_srand] = ACTIONS(1904),
    [anon_sym_stat] = ACTIONS(1904),
    [anon_sym_study] = ACTIONS(1904),
    [anon_sym_tell] = ACTIONS(1904),
    [anon_sym_telldir] = ACTIONS(1904),
    [anon_sym_tied] = ACTIONS(1904),
    [anon_sym_uc] = ACTIONS(1904),
    [anon_sym_ucfirst] = ACTIONS(1904),
    [anon_sym_untie] = ACTIONS(1904),
    [anon_sym_umask] = ACTIONS(1904),
    [anon_sym_values] = ACTIONS(1904),
    [anon_sym_write] = ACTIONS(1904),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1904),
    [anon_sym_qq] = ACTIONS(1904),
    [anon_sym_qw] = ACTIONS(1904),
    [anon_sym_qx] = ACTIONS(1904),
    [anon_sym_qr] = ACTIONS(1904),
    [anon_sym_m] = ACTIONS(1904),
    [anon_sym_s] = ACTIONS(1904),
    [anon_sym_tr] = ACTIONS(1904),
    [anon_sym_y] = ACTIONS(1904),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_unless] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1904),
    [anon_sym_until] = ACTIONS(1904),
    [aux_sym__bareword_token1] = ACTIONS(1904),
    [sym_number] = ACTIONS(1904),
    [anon_sym_true] = ACTIONS(1904),
    [anon_sym_false] = ACTIONS(1904),
    [sym__single_quote] = ACTIONS(1902),
    [sym__double_quote] = ACTIONS(1902),
    [sym__backtick_quote] = ACTIONS(1902),
    [sym__search_slash_quote] = ACTIONS(1902),
    [sym__PERLY_HEREDOC] = ACTIONS(1902),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1902),
    [sym__filetest] = ACTIONS(1902),
  },
  [913] = {
    [sym_heredoc_content] = STATE(913),
    [sym__identifier] = ACTIONS(1912),
    [anon_sym_LBRACE] = ACTIONS(1912),
    [anon_sym_RBRACE] = ACTIONS(1912),
    [anon_sym_SEMI] = ACTIONS(1912),
    [anon_sym_package] = ACTIONS(1912),
    [anon_sym_class] = ACTIONS(1912),
    [anon_sym_role] = ACTIONS(1912),
    [anon_sym_BUILD] = ACTIONS(1912),
    [anon_sym_ADJUST] = ACTIONS(1912),
    [anon_sym_DOLLAR] = ACTIONS(1912),
    [anon_sym_AT] = ACTIONS(1912),
    [anon_sym_my] = ACTIONS(1912),
    [anon_sym_extended] = ACTIONS(1912),
    [anon_sym_async] = ACTIONS(1912),
    [anon_sym_sub] = ACTIONS(1912),
    [anon_sym_method] = ACTIONS(1912),
    [anon_sym_LPAREN] = ACTIONS(1912),
    [anon_sym_continue] = ACTIONS(1912),
    [anon_sym_state] = ACTIONS(1912),
    [anon_sym_our] = ACTIONS(1912),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_defer] = ACTIONS(1912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1912),
    [anon_sym_LBRACK] = ACTIONS(1912),
    [anon_sym_LT] = ACTIONS(1912),
    [anon_sym_LT_LT] = ACTIONS(1912),
    [anon_sym_SLASH_SLASH] = ACTIONS(1912),
    [anon_sym_PLUS] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1912),
    [anon_sym_STAR] = ACTIONS(1912),
    [anon_sym_TILDE] = ACTIONS(1912),
    [anon_sym_BANG] = ACTIONS(1912),
    [anon_sym_PLUS_PLUS] = ACTIONS(1912),
    [anon_sym_DASH_DASH] = ACTIONS(1912),
    [anon_sym_BSLASH] = ACTIONS(1910),
    [anon_sym_do] = ACTIONS(1912),
    [anon_sym_eval] = ACTIONS(1912),
    [anon_sym_await] = ACTIONS(1912),
    [anon_sym_field] = ACTIONS(1912),
    [anon_sym_local] = ACTIONS(1912),
    [anon_sym_dynamically] = ACTIONS(1912),
    [anon_sym_require] = ACTIONS(1912),
    [anon_sym_map] = ACTIONS(1912),
    [anon_sym_grep] = ACTIONS(1912),
    [anon_sym_sort] = ACTIONS(1912),
    [anon_sym_goto] = ACTIONS(1912),
    [anon_sym_return] = ACTIONS(1912),
    [anon_sym_undef] = ACTIONS(1912),
    [anon_sym_PERCENT2] = ACTIONS(1912),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1912),
    [anon_sym_use] = ACTIONS(1912),
    [anon_sym_no] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1912),
    [anon_sym_foreach] = ACTIONS(1912),
    [anon_sym_last] = ACTIONS(1912),
    [anon_sym_next] = ACTIONS(1912),
    [anon_sym_redo] = ACTIONS(1912),
    [anon_sym_BEGIN] = ACTIONS(1912),
    [anon_sym_INIT] = ACTIONS(1912),
    [anon_sym_CHECK] = ACTIONS(1912),
    [anon_sym_UNITCHECK] = ACTIONS(1912),
    [anon_sym_END] = ACTIONS(1912),
    [anon_sym___FILE__] = ACTIONS(1912),
    [anon_sym___LINE__] = ACTIONS(1912),
    [anon_sym___PACKAGE__] = ACTIONS(1912),
    [anon_sym___SUB__] = ACTIONS(1912),
    [anon_sym_break] = ACTIONS(1912),
    [anon_sym_fork] = ACTIONS(1912),
    [anon_sym_getppid] = ACTIONS(1912),
    [anon_sym_time] = ACTIONS(1912),
    [anon_sym_times] = ACTIONS(1912),
    [anon_sym_wait] = ACTIONS(1912),
    [anon_sym_wantarray] = ACTIONS(1912),
    [anon_sym_abs] = ACTIONS(1912),
    [anon_sym_alarm] = ACTIONS(1912),
    [anon_sym_chop] = ACTIONS(1912),
    [anon_sym_chdir] = ACTIONS(1912),
    [anon_sym_close] = ACTIONS(1912),
    [anon_sym_closedir] = ACTIONS(1912),
    [anon_sym_caller] = ACTIONS(1912),
    [anon_sym_chomp] = ACTIONS(1912),
    [anon_sym_chr] = ACTIONS(1912),
    [anon_sym_cos] = ACTIONS(1912),
    [anon_sym_chroot] = ACTIONS(1912),
    [anon_sym_defined] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(1912),
    [anon_sym_dbmclose] = ACTIONS(1912),
    [anon_sym_exists] = ACTIONS(1912),
    [anon_sym_exit] = ACTIONS(1912),
    [anon_sym_eof] = ACTIONS(1912),
    [anon_sym_exp] = ACTIONS(1912),
    [anon_sym_each] = ACTIONS(1912),
    [anon_sym_fc] = ACTIONS(1912),
    [anon_sym_fileno] = ACTIONS(1912),
    [anon_sym_gmtime] = ACTIONS(1912),
    [anon_sym_getc] = ACTIONS(1912),
    [anon_sym_getpgrp] = ACTIONS(1912),
    [anon_sym_getprotobyname] = ACTIONS(1912),
    [anon_sym_getpwname] = ACTIONS(1912),
    [anon_sym_getpwuid] = ACTIONS(1912),
    [anon_sym_getpeername] = ACTIONS(1912),
    [anon_sym_getnetbyname] = ACTIONS(1912),
    [anon_sym_getsockname] = ACTIONS(1912),
    [anon_sym_getgrnam] = ACTIONS(1912),
    [anon_sym_getgrgid] = ACTIONS(1912),
    [anon_sym_hex] = ACTIONS(1912),
    [anon_sym_int] = ACTIONS(1912),
    [anon_sym_keys] = ACTIONS(1912),
    [anon_sym_lc] = ACTIONS(1912),
    [anon_sym_lcfirst] = ACTIONS(1912),
    [anon_sym_length] = ACTIONS(1912),
    [anon_sym_localtime] = ACTIONS(1912),
    [anon_sym_log] = ACTIONS(1912),
    [anon_sym_lock] = ACTIONS(1912),
    [anon_sym_lstat] = ACTIONS(1912),
    [anon_sym_oct] = ACTIONS(1912),
    [anon_sym_ord] = ACTIONS(1912),
    [anon_sym_prototype] = ACTIONS(1912),
    [anon_sym_pop] = ACTIONS(1912),
    [anon_sym_pos] = ACTIONS(1912),
    [anon_sym_quotemeta] = ACTIONS(1912),
    [anon_sym_reset] = ACTIONS(1912),
    [anon_sym_rand] = ACTIONS(1912),
    [anon_sym_rmdir] = ACTIONS(1912),
    [anon_sym_readdir] = ACTIONS(1912),
    [anon_sym_readline] = ACTIONS(1912),
    [anon_sym_readpipe] = ACTIONS(1912),
    [anon_sym_rewinddir] = ACTIONS(1912),
    [anon_sym_readlink] = ACTIONS(1912),
    [anon_sym_ref] = ACTIONS(1912),
    [anon_sym_scalar] = ACTIONS(1912),
    [anon_sym_shift] = ACTIONS(1912),
    [anon_sym_sin] = ACTIONS(1912),
    [anon_sym_sleep] = ACTIONS(1912),
    [anon_sym_sqrt] = ACTIONS(1912),
    [anon_sym_srand] = ACTIONS(1912),
    [anon_sym_stat] = ACTIONS(1912),
    [anon_sym_study] = ACTIONS(1912),
    [anon_sym_tell] = ACTIONS(1912),
    [anon_sym_telldir] = ACTIONS(1912),
    [anon_sym_tied] = ACTIONS(1912),
    [anon_sym_uc] = ACTIONS(1912),
    [anon_sym_ucfirst] = ACTIONS(1912),
    [anon_sym_untie] = ACTIONS(1912),
    [anon_sym_umask] = ACTIONS(1912),
    [anon_sym_values] = ACTIONS(1912),
    [anon_sym_write] = ACTIONS(1912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1912),
    [anon_sym_qq] = ACTIONS(1912),
    [anon_sym_qw] = ACTIONS(1912),
    [anon_sym_qx] = ACTIONS(1912),
    [anon_sym_qr] = ACTIONS(1912),
    [anon_sym_m] = ACTIONS(1912),
    [anon_sym_s] = ACTIONS(1912),
    [anon_sym_tr] = ACTIONS(1912),
    [anon_sym_y] = ACTIONS(1912),
    [anon_sym_if] = ACTIONS(1912),
    [anon_sym_unless] = ACTIONS(1912),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_until] = ACTIONS(1912),
    [aux_sym__bareword_token1] = ACTIONS(1912),
    [sym_number] = ACTIONS(1912),
    [anon_sym_true] = ACTIONS(1912),
    [anon_sym_false] = ACTIONS(1912),
    [sym__single_quote] = ACTIONS(1910),
    [sym__double_quote] = ACTIONS(1910),
    [sym__backtick_quote] = ACTIONS(1910),
    [sym__search_slash_quote] = ACTIONS(1910),
    [sym__PERLY_HEREDOC] = ACTIONS(1910),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1910),
    [sym__filetest] = ACTIONS(1910),
  },
  [914] = {
    [sym_heredoc_content] = STATE(914),
    [sym__identifier] = ACTIONS(2020),
    [anon_sym_LBRACE] = ACTIONS(2020),
    [anon_sym_RBRACE] = ACTIONS(2020),
    [anon_sym_SEMI] = ACTIONS(2020),
    [anon_sym_package] = ACTIONS(2020),
    [anon_sym_class] = ACTIONS(2020),
    [anon_sym_role] = ACTIONS(2020),
    [anon_sym_BUILD] = ACTIONS(2020),
    [anon_sym_ADJUST] = ACTIONS(2020),
    [anon_sym_DOLLAR] = ACTIONS(2020),
    [anon_sym_AT] = ACTIONS(2020),
    [anon_sym_my] = ACTIONS(2020),
    [anon_sym_extended] = ACTIONS(2020),
    [anon_sym_async] = ACTIONS(2020),
    [anon_sym_sub] = ACTIONS(2020),
    [anon_sym_method] = ACTIONS(2020),
    [anon_sym_LPAREN] = ACTIONS(2020),
    [anon_sym_continue] = ACTIONS(2020),
    [anon_sym_state] = ACTIONS(2020),
    [anon_sym_our] = ACTIONS(2020),
    [anon_sym_try] = ACTIONS(2020),
    [anon_sym_defer] = ACTIONS(2020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2020),
    [anon_sym_LBRACK] = ACTIONS(2020),
    [anon_sym_LT] = ACTIONS(2020),
    [anon_sym_LT_LT] = ACTIONS(2020),
    [anon_sym_SLASH_SLASH] = ACTIONS(2020),
    [anon_sym_PLUS] = ACTIONS(2020),
    [anon_sym_DASH] = ACTIONS(2020),
    [anon_sym_STAR] = ACTIONS(2020),
    [anon_sym_TILDE] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_BSLASH] = ACTIONS(2018),
    [anon_sym_do] = ACTIONS(2020),
    [anon_sym_eval] = ACTIONS(2020),
    [anon_sym_await] = ACTIONS(2020),
    [anon_sym_field] = ACTIONS(2020),
    [anon_sym_local] = ACTIONS(2020),
    [anon_sym_dynamically] = ACTIONS(2020),
    [anon_sym_require] = ACTIONS(2020),
    [anon_sym_map] = ACTIONS(2020),
    [anon_sym_grep] = ACTIONS(2020),
    [anon_sym_sort] = ACTIONS(2020),
    [anon_sym_goto] = ACTIONS(2020),
    [anon_sym_return] = ACTIONS(2020),
    [anon_sym_undef] = ACTIONS(2020),
    [anon_sym_PERCENT2] = ACTIONS(2020),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2020),
    [anon_sym_use] = ACTIONS(2020),
    [anon_sym_no] = ACTIONS(2020),
    [anon_sym_for] = ACTIONS(2020),
    [anon_sym_foreach] = ACTIONS(2020),
    [anon_sym_last] = ACTIONS(2020),
    [anon_sym_next] = ACTIONS(2020),
    [anon_sym_redo] = ACTIONS(2020),
    [anon_sym_BEGIN] = ACTIONS(2020),
    [anon_sym_INIT] = ACTIONS(2020),
    [anon_sym_CHECK] = ACTIONS(2020),
    [anon_sym_UNITCHECK] = ACTIONS(2020),
    [anon_sym_END] = ACTIONS(2020),
    [anon_sym___FILE__] = ACTIONS(2020),
    [anon_sym___LINE__] = ACTIONS(2020),
    [anon_sym___PACKAGE__] = ACTIONS(2020),
    [anon_sym___SUB__] = ACTIONS(2020),
    [anon_sym_break] = ACTIONS(2020),
    [anon_sym_fork] = ACTIONS(2020),
    [anon_sym_getppid] = ACTIONS(2020),
    [anon_sym_time] = ACTIONS(2020),
    [anon_sym_times] = ACTIONS(2020),
    [anon_sym_wait] = ACTIONS(2020),
    [anon_sym_wantarray] = ACTIONS(2020),
    [anon_sym_abs] = ACTIONS(2020),
    [anon_sym_alarm] = ACTIONS(2020),
    [anon_sym_chop] = ACTIONS(2020),
    [anon_sym_chdir] = ACTIONS(2020),
    [anon_sym_close] = ACTIONS(2020),
    [anon_sym_closedir] = ACTIONS(2020),
    [anon_sym_caller] = ACTIONS(2020),
    [anon_sym_chomp] = ACTIONS(2020),
    [anon_sym_chr] = ACTIONS(2020),
    [anon_sym_cos] = ACTIONS(2020),
    [anon_sym_chroot] = ACTIONS(2020),
    [anon_sym_defined] = ACTIONS(2020),
    [anon_sym_delete] = ACTIONS(2020),
    [anon_sym_dbmclose] = ACTIONS(2020),
    [anon_sym_exists] = ACTIONS(2020),
    [anon_sym_exit] = ACTIONS(2020),
    [anon_sym_eof] = ACTIONS(2020),
    [anon_sym_exp] = ACTIONS(2020),
    [anon_sym_each] = ACTIONS(2020),
    [anon_sym_fc] = ACTIONS(2020),
    [anon_sym_fileno] = ACTIONS(2020),
    [anon_sym_gmtime] = ACTIONS(2020),
    [anon_sym_getc] = ACTIONS(2020),
    [anon_sym_getpgrp] = ACTIONS(2020),
    [anon_sym_getprotobyname] = ACTIONS(2020),
    [anon_sym_getpwname] = ACTIONS(2020),
    [anon_sym_getpwuid] = ACTIONS(2020),
    [anon_sym_getpeername] = ACTIONS(2020),
    [anon_sym_getnetbyname] = ACTIONS(2020),
    [anon_sym_getsockname] = ACTIONS(2020),
    [anon_sym_getgrnam] = ACTIONS(2020),
    [anon_sym_getgrgid] = ACTIONS(2020),
    [anon_sym_hex] = ACTIONS(2020),
    [anon_sym_int] = ACTIONS(2020),
    [anon_sym_keys] = ACTIONS(2020),
    [anon_sym_lc] = ACTIONS(2020),
    [anon_sym_lcfirst] = ACTIONS(2020),
    [anon_sym_length] = ACTIONS(2020),
    [anon_sym_localtime] = ACTIONS(2020),
    [anon_sym_log] = ACTIONS(2020),
    [anon_sym_lock] = ACTIONS(2020),
    [anon_sym_lstat] = ACTIONS(2020),
    [anon_sym_oct] = ACTIONS(2020),
    [anon_sym_ord] = ACTIONS(2020),
    [anon_sym_prototype] = ACTIONS(2020),
    [anon_sym_pop] = ACTIONS(2020),
    [anon_sym_pos] = ACTIONS(2020),
    [anon_sym_quotemeta] = ACTIONS(2020),
    [anon_sym_reset] = ACTIONS(2020),
    [anon_sym_rand] = ACTIONS(2020),
    [anon_sym_rmdir] = ACTIONS(2020),
    [anon_sym_readdir] = ACTIONS(2020),
    [anon_sym_readline] = ACTIONS(2020),
    [anon_sym_readpipe] = ACTIONS(2020),
    [anon_sym_rewinddir] = ACTIONS(2020),
    [anon_sym_readlink] = ACTIONS(2020),
    [anon_sym_ref] = ACTIONS(2020),
    [anon_sym_scalar] = ACTIONS(2020),
    [anon_sym_shift] = ACTIONS(2020),
    [anon_sym_sin] = ACTIONS(2020),
    [anon_sym_sleep] = ACTIONS(2020),
    [anon_sym_sqrt] = ACTIONS(2020),
    [anon_sym_srand] = ACTIONS(2020),
    [anon_sym_stat] = ACTIONS(2020),
    [anon_sym_study] = ACTIONS(2020),
    [anon_sym_tell] = ACTIONS(2020),
    [anon_sym_telldir] = ACTIONS(2020),
    [anon_sym_tied] = ACTIONS(2020),
    [anon_sym_uc] = ACTIONS(2020),
    [anon_sym_ucfirst] = ACTIONS(2020),
    [anon_sym_untie] = ACTIONS(2020),
    [anon_sym_umask] = ACTIONS(2020),
    [anon_sym_values] = ACTIONS(2020),
    [anon_sym_write] = ACTIONS(2020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2020),
    [anon_sym_qq] = ACTIONS(2020),
    [anon_sym_qw] = ACTIONS(2020),
    [anon_sym_qx] = ACTIONS(2020),
    [anon_sym_qr] = ACTIONS(2020),
    [anon_sym_m] = ACTIONS(2020),
    [anon_sym_s] = ACTIONS(2020),
    [anon_sym_tr] = ACTIONS(2020),
    [anon_sym_y] = ACTIONS(2020),
    [anon_sym_if] = ACTIONS(2020),
    [anon_sym_unless] = ACTIONS(2020),
    [anon_sym_while] = ACTIONS(2020),
    [anon_sym_until] = ACTIONS(2020),
    [aux_sym__bareword_token1] = ACTIONS(2020),
    [sym_number] = ACTIONS(2020),
    [anon_sym_true] = ACTIONS(2020),
    [anon_sym_false] = ACTIONS(2020),
    [sym__single_quote] = ACTIONS(2018),
    [sym__double_quote] = ACTIONS(2018),
    [sym__backtick_quote] = ACTIONS(2018),
    [sym__search_slash_quote] = ACTIONS(2018),
    [sym__PERLY_HEREDOC] = ACTIONS(2018),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2018),
    [sym__filetest] = ACTIONS(2018),
  },
  [915] = {
    [sym_heredoc_content] = STATE(915),
    [sym__identifier] = ACTIONS(1916),
    [anon_sym_LBRACE] = ACTIONS(1916),
    [anon_sym_RBRACE] = ACTIONS(1916),
    [anon_sym_SEMI] = ACTIONS(1916),
    [anon_sym_package] = ACTIONS(1916),
    [anon_sym_class] = ACTIONS(1916),
    [anon_sym_role] = ACTIONS(1916),
    [anon_sym_BUILD] = ACTIONS(1916),
    [anon_sym_ADJUST] = ACTIONS(1916),
    [anon_sym_DOLLAR] = ACTIONS(1916),
    [anon_sym_AT] = ACTIONS(1916),
    [anon_sym_my] = ACTIONS(1916),
    [anon_sym_extended] = ACTIONS(1916),
    [anon_sym_async] = ACTIONS(1916),
    [anon_sym_sub] = ACTIONS(1916),
    [anon_sym_method] = ACTIONS(1916),
    [anon_sym_LPAREN] = ACTIONS(1916),
    [anon_sym_continue] = ACTIONS(1916),
    [anon_sym_state] = ACTIONS(1916),
    [anon_sym_our] = ACTIONS(1916),
    [anon_sym_try] = ACTIONS(1916),
    [anon_sym_defer] = ACTIONS(1916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1916),
    [anon_sym_LBRACK] = ACTIONS(1916),
    [anon_sym_LT] = ACTIONS(1916),
    [anon_sym_LT_LT] = ACTIONS(1916),
    [anon_sym_SLASH_SLASH] = ACTIONS(1916),
    [anon_sym_PLUS] = ACTIONS(1916),
    [anon_sym_DASH] = ACTIONS(1916),
    [anon_sym_STAR] = ACTIONS(1916),
    [anon_sym_TILDE] = ACTIONS(1916),
    [anon_sym_BANG] = ACTIONS(1916),
    [anon_sym_PLUS_PLUS] = ACTIONS(1916),
    [anon_sym_DASH_DASH] = ACTIONS(1916),
    [anon_sym_BSLASH] = ACTIONS(1914),
    [anon_sym_do] = ACTIONS(1916),
    [anon_sym_eval] = ACTIONS(1916),
    [anon_sym_await] = ACTIONS(1916),
    [anon_sym_field] = ACTIONS(1916),
    [anon_sym_local] = ACTIONS(1916),
    [anon_sym_dynamically] = ACTIONS(1916),
    [anon_sym_require] = ACTIONS(1916),
    [anon_sym_map] = ACTIONS(1916),
    [anon_sym_grep] = ACTIONS(1916),
    [anon_sym_sort] = ACTIONS(1916),
    [anon_sym_goto] = ACTIONS(1916),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_undef] = ACTIONS(1916),
    [anon_sym_PERCENT2] = ACTIONS(1916),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1916),
    [anon_sym_use] = ACTIONS(1916),
    [anon_sym_no] = ACTIONS(1916),
    [anon_sym_for] = ACTIONS(1916),
    [anon_sym_foreach] = ACTIONS(1916),
    [anon_sym_last] = ACTIONS(1916),
    [anon_sym_next] = ACTIONS(1916),
    [anon_sym_redo] = ACTIONS(1916),
    [anon_sym_BEGIN] = ACTIONS(1916),
    [anon_sym_INIT] = ACTIONS(1916),
    [anon_sym_CHECK] = ACTIONS(1916),
    [anon_sym_UNITCHECK] = ACTIONS(1916),
    [anon_sym_END] = ACTIONS(1916),
    [anon_sym___FILE__] = ACTIONS(1916),
    [anon_sym___LINE__] = ACTIONS(1916),
    [anon_sym___PACKAGE__] = ACTIONS(1916),
    [anon_sym___SUB__] = ACTIONS(1916),
    [anon_sym_break] = ACTIONS(1916),
    [anon_sym_fork] = ACTIONS(1916),
    [anon_sym_getppid] = ACTIONS(1916),
    [anon_sym_time] = ACTIONS(1916),
    [anon_sym_times] = ACTIONS(1916),
    [anon_sym_wait] = ACTIONS(1916),
    [anon_sym_wantarray] = ACTIONS(1916),
    [anon_sym_abs] = ACTIONS(1916),
    [anon_sym_alarm] = ACTIONS(1916),
    [anon_sym_chop] = ACTIONS(1916),
    [anon_sym_chdir] = ACTIONS(1916),
    [anon_sym_close] = ACTIONS(1916),
    [anon_sym_closedir] = ACTIONS(1916),
    [anon_sym_caller] = ACTIONS(1916),
    [anon_sym_chomp] = ACTIONS(1916),
    [anon_sym_chr] = ACTIONS(1916),
    [anon_sym_cos] = ACTIONS(1916),
    [anon_sym_chroot] = ACTIONS(1916),
    [anon_sym_defined] = ACTIONS(1916),
    [anon_sym_delete] = ACTIONS(1916),
    [anon_sym_dbmclose] = ACTIONS(1916),
    [anon_sym_exists] = ACTIONS(1916),
    [anon_sym_exit] = ACTIONS(1916),
    [anon_sym_eof] = ACTIONS(1916),
    [anon_sym_exp] = ACTIONS(1916),
    [anon_sym_each] = ACTIONS(1916),
    [anon_sym_fc] = ACTIONS(1916),
    [anon_sym_fileno] = ACTIONS(1916),
    [anon_sym_gmtime] = ACTIONS(1916),
    [anon_sym_getc] = ACTIONS(1916),
    [anon_sym_getpgrp] = ACTIONS(1916),
    [anon_sym_getprotobyname] = ACTIONS(1916),
    [anon_sym_getpwname] = ACTIONS(1916),
    [anon_sym_getpwuid] = ACTIONS(1916),
    [anon_sym_getpeername] = ACTIONS(1916),
    [anon_sym_getnetbyname] = ACTIONS(1916),
    [anon_sym_getsockname] = ACTIONS(1916),
    [anon_sym_getgrnam] = ACTIONS(1916),
    [anon_sym_getgrgid] = ACTIONS(1916),
    [anon_sym_hex] = ACTIONS(1916),
    [anon_sym_int] = ACTIONS(1916),
    [anon_sym_keys] = ACTIONS(1916),
    [anon_sym_lc] = ACTIONS(1916),
    [anon_sym_lcfirst] = ACTIONS(1916),
    [anon_sym_length] = ACTIONS(1916),
    [anon_sym_localtime] = ACTIONS(1916),
    [anon_sym_log] = ACTIONS(1916),
    [anon_sym_lock] = ACTIONS(1916),
    [anon_sym_lstat] = ACTIONS(1916),
    [anon_sym_oct] = ACTIONS(1916),
    [anon_sym_ord] = ACTIONS(1916),
    [anon_sym_prototype] = ACTIONS(1916),
    [anon_sym_pop] = ACTIONS(1916),
    [anon_sym_pos] = ACTIONS(1916),
    [anon_sym_quotemeta] = ACTIONS(1916),
    [anon_sym_reset] = ACTIONS(1916),
    [anon_sym_rand] = ACTIONS(1916),
    [anon_sym_rmdir] = ACTIONS(1916),
    [anon_sym_readdir] = ACTIONS(1916),
    [anon_sym_readline] = ACTIONS(1916),
    [anon_sym_readpipe] = ACTIONS(1916),
    [anon_sym_rewinddir] = ACTIONS(1916),
    [anon_sym_readlink] = ACTIONS(1916),
    [anon_sym_ref] = ACTIONS(1916),
    [anon_sym_scalar] = ACTIONS(1916),
    [anon_sym_shift] = ACTIONS(1916),
    [anon_sym_sin] = ACTIONS(1916),
    [anon_sym_sleep] = ACTIONS(1916),
    [anon_sym_sqrt] = ACTIONS(1916),
    [anon_sym_srand] = ACTIONS(1916),
    [anon_sym_stat] = ACTIONS(1916),
    [anon_sym_study] = ACTIONS(1916),
    [anon_sym_tell] = ACTIONS(1916),
    [anon_sym_telldir] = ACTIONS(1916),
    [anon_sym_tied] = ACTIONS(1916),
    [anon_sym_uc] = ACTIONS(1916),
    [anon_sym_ucfirst] = ACTIONS(1916),
    [anon_sym_untie] = ACTIONS(1916),
    [anon_sym_umask] = ACTIONS(1916),
    [anon_sym_values] = ACTIONS(1916),
    [anon_sym_write] = ACTIONS(1916),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1916),
    [anon_sym_qq] = ACTIONS(1916),
    [anon_sym_qw] = ACTIONS(1916),
    [anon_sym_qx] = ACTIONS(1916),
    [anon_sym_qr] = ACTIONS(1916),
    [anon_sym_m] = ACTIONS(1916),
    [anon_sym_s] = ACTIONS(1916),
    [anon_sym_tr] = ACTIONS(1916),
    [anon_sym_y] = ACTIONS(1916),
    [anon_sym_if] = ACTIONS(1916),
    [anon_sym_unless] = ACTIONS(1916),
    [anon_sym_while] = ACTIONS(1916),
    [anon_sym_until] = ACTIONS(1916),
    [aux_sym__bareword_token1] = ACTIONS(1916),
    [sym_number] = ACTIONS(1916),
    [anon_sym_true] = ACTIONS(1916),
    [anon_sym_false] = ACTIONS(1916),
    [sym__single_quote] = ACTIONS(1914),
    [sym__double_quote] = ACTIONS(1914),
    [sym__backtick_quote] = ACTIONS(1914),
    [sym__search_slash_quote] = ACTIONS(1914),
    [sym__PERLY_HEREDOC] = ACTIONS(1914),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1914),
    [sym__filetest] = ACTIONS(1914),
  },
  [916] = {
    [sym_heredoc_content] = STATE(916),
    [sym__identifier] = ACTIONS(1940),
    [anon_sym_LBRACE] = ACTIONS(1940),
    [anon_sym_RBRACE] = ACTIONS(1940),
    [anon_sym_SEMI] = ACTIONS(1940),
    [anon_sym_package] = ACTIONS(1940),
    [anon_sym_class] = ACTIONS(1940),
    [anon_sym_role] = ACTIONS(1940),
    [anon_sym_BUILD] = ACTIONS(1940),
    [anon_sym_ADJUST] = ACTIONS(1940),
    [anon_sym_DOLLAR] = ACTIONS(1940),
    [anon_sym_AT] = ACTIONS(1940),
    [anon_sym_my] = ACTIONS(1940),
    [anon_sym_extended] = ACTIONS(1940),
    [anon_sym_async] = ACTIONS(1940),
    [anon_sym_sub] = ACTIONS(1940),
    [anon_sym_method] = ACTIONS(1940),
    [anon_sym_LPAREN] = ACTIONS(1940),
    [anon_sym_continue] = ACTIONS(1940),
    [anon_sym_state] = ACTIONS(1940),
    [anon_sym_our] = ACTIONS(1940),
    [anon_sym_try] = ACTIONS(1940),
    [anon_sym_defer] = ACTIONS(1940),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1940),
    [anon_sym_LBRACK] = ACTIONS(1940),
    [anon_sym_LT] = ACTIONS(1940),
    [anon_sym_LT_LT] = ACTIONS(1940),
    [anon_sym_SLASH_SLASH] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1940),
    [anon_sym_STAR] = ACTIONS(1940),
    [anon_sym_TILDE] = ACTIONS(1940),
    [anon_sym_BANG] = ACTIONS(1940),
    [anon_sym_PLUS_PLUS] = ACTIONS(1940),
    [anon_sym_DASH_DASH] = ACTIONS(1940),
    [anon_sym_BSLASH] = ACTIONS(1938),
    [anon_sym_do] = ACTIONS(1940),
    [anon_sym_eval] = ACTIONS(1940),
    [anon_sym_await] = ACTIONS(1940),
    [anon_sym_field] = ACTIONS(1940),
    [anon_sym_local] = ACTIONS(1940),
    [anon_sym_dynamically] = ACTIONS(1940),
    [anon_sym_require] = ACTIONS(1940),
    [anon_sym_map] = ACTIONS(1940),
    [anon_sym_grep] = ACTIONS(1940),
    [anon_sym_sort] = ACTIONS(1940),
    [anon_sym_goto] = ACTIONS(1940),
    [anon_sym_return] = ACTIONS(1940),
    [anon_sym_undef] = ACTIONS(1940),
    [anon_sym_PERCENT2] = ACTIONS(1940),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1940),
    [anon_sym_use] = ACTIONS(1940),
    [anon_sym_no] = ACTIONS(1940),
    [anon_sym_for] = ACTIONS(1940),
    [anon_sym_foreach] = ACTIONS(1940),
    [anon_sym_last] = ACTIONS(1940),
    [anon_sym_next] = ACTIONS(1940),
    [anon_sym_redo] = ACTIONS(1940),
    [anon_sym_BEGIN] = ACTIONS(1940),
    [anon_sym_INIT] = ACTIONS(1940),
    [anon_sym_CHECK] = ACTIONS(1940),
    [anon_sym_UNITCHECK] = ACTIONS(1940),
    [anon_sym_END] = ACTIONS(1940),
    [anon_sym___FILE__] = ACTIONS(1940),
    [anon_sym___LINE__] = ACTIONS(1940),
    [anon_sym___PACKAGE__] = ACTIONS(1940),
    [anon_sym___SUB__] = ACTIONS(1940),
    [anon_sym_break] = ACTIONS(1940),
    [anon_sym_fork] = ACTIONS(1940),
    [anon_sym_getppid] = ACTIONS(1940),
    [anon_sym_time] = ACTIONS(1940),
    [anon_sym_times] = ACTIONS(1940),
    [anon_sym_wait] = ACTIONS(1940),
    [anon_sym_wantarray] = ACTIONS(1940),
    [anon_sym_abs] = ACTIONS(1940),
    [anon_sym_alarm] = ACTIONS(1940),
    [anon_sym_chop] = ACTIONS(1940),
    [anon_sym_chdir] = ACTIONS(1940),
    [anon_sym_close] = ACTIONS(1940),
    [anon_sym_closedir] = ACTIONS(1940),
    [anon_sym_caller] = ACTIONS(1940),
    [anon_sym_chomp] = ACTIONS(1940),
    [anon_sym_chr] = ACTIONS(1940),
    [anon_sym_cos] = ACTIONS(1940),
    [anon_sym_chroot] = ACTIONS(1940),
    [anon_sym_defined] = ACTIONS(1940),
    [anon_sym_delete] = ACTIONS(1940),
    [anon_sym_dbmclose] = ACTIONS(1940),
    [anon_sym_exists] = ACTIONS(1940),
    [anon_sym_exit] = ACTIONS(1940),
    [anon_sym_eof] = ACTIONS(1940),
    [anon_sym_exp] = ACTIONS(1940),
    [anon_sym_each] = ACTIONS(1940),
    [anon_sym_fc] = ACTIONS(1940),
    [anon_sym_fileno] = ACTIONS(1940),
    [anon_sym_gmtime] = ACTIONS(1940),
    [anon_sym_getc] = ACTIONS(1940),
    [anon_sym_getpgrp] = ACTIONS(1940),
    [anon_sym_getprotobyname] = ACTIONS(1940),
    [anon_sym_getpwname] = ACTIONS(1940),
    [anon_sym_getpwuid] = ACTIONS(1940),
    [anon_sym_getpeername] = ACTIONS(1940),
    [anon_sym_getnetbyname] = ACTIONS(1940),
    [anon_sym_getsockname] = ACTIONS(1940),
    [anon_sym_getgrnam] = ACTIONS(1940),
    [anon_sym_getgrgid] = ACTIONS(1940),
    [anon_sym_hex] = ACTIONS(1940),
    [anon_sym_int] = ACTIONS(1940),
    [anon_sym_keys] = ACTIONS(1940),
    [anon_sym_lc] = ACTIONS(1940),
    [anon_sym_lcfirst] = ACTIONS(1940),
    [anon_sym_length] = ACTIONS(1940),
    [anon_sym_localtime] = ACTIONS(1940),
    [anon_sym_log] = ACTIONS(1940),
    [anon_sym_lock] = ACTIONS(1940),
    [anon_sym_lstat] = ACTIONS(1940),
    [anon_sym_oct] = ACTIONS(1940),
    [anon_sym_ord] = ACTIONS(1940),
    [anon_sym_prototype] = ACTIONS(1940),
    [anon_sym_pop] = ACTIONS(1940),
    [anon_sym_pos] = ACTIONS(1940),
    [anon_sym_quotemeta] = ACTIONS(1940),
    [anon_sym_reset] = ACTIONS(1940),
    [anon_sym_rand] = ACTIONS(1940),
    [anon_sym_rmdir] = ACTIONS(1940),
    [anon_sym_readdir] = ACTIONS(1940),
    [anon_sym_readline] = ACTIONS(1940),
    [anon_sym_readpipe] = ACTIONS(1940),
    [anon_sym_rewinddir] = ACTIONS(1940),
    [anon_sym_readlink] = ACTIONS(1940),
    [anon_sym_ref] = ACTIONS(1940),
    [anon_sym_scalar] = ACTIONS(1940),
    [anon_sym_shift] = ACTIONS(1940),
    [anon_sym_sin] = ACTIONS(1940),
    [anon_sym_sleep] = ACTIONS(1940),
    [anon_sym_sqrt] = ACTIONS(1940),
    [anon_sym_srand] = ACTIONS(1940),
    [anon_sym_stat] = ACTIONS(1940),
    [anon_sym_study] = ACTIONS(1940),
    [anon_sym_tell] = ACTIONS(1940),
    [anon_sym_telldir] = ACTIONS(1940),
    [anon_sym_tied] = ACTIONS(1940),
    [anon_sym_uc] = ACTIONS(1940),
    [anon_sym_ucfirst] = ACTIONS(1940),
    [anon_sym_untie] = ACTIONS(1940),
    [anon_sym_umask] = ACTIONS(1940),
    [anon_sym_values] = ACTIONS(1940),
    [anon_sym_write] = ACTIONS(1940),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1940),
    [anon_sym_qq] = ACTIONS(1940),
    [anon_sym_qw] = ACTIONS(1940),
    [anon_sym_qx] = ACTIONS(1940),
    [anon_sym_qr] = ACTIONS(1940),
    [anon_sym_m] = ACTIONS(1940),
    [anon_sym_s] = ACTIONS(1940),
    [anon_sym_tr] = ACTIONS(1940),
    [anon_sym_y] = ACTIONS(1940),
    [anon_sym_if] = ACTIONS(1940),
    [anon_sym_unless] = ACTIONS(1940),
    [anon_sym_while] = ACTIONS(1940),
    [anon_sym_until] = ACTIONS(1940),
    [aux_sym__bareword_token1] = ACTIONS(1940),
    [sym_number] = ACTIONS(1940),
    [anon_sym_true] = ACTIONS(1940),
    [anon_sym_false] = ACTIONS(1940),
    [sym__single_quote] = ACTIONS(1938),
    [sym__double_quote] = ACTIONS(1938),
    [sym__backtick_quote] = ACTIONS(1938),
    [sym__search_slash_quote] = ACTIONS(1938),
    [sym__PERLY_HEREDOC] = ACTIONS(1938),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1938),
    [sym__filetest] = ACTIONS(1938),
  },
  [917] = {
    [sym_heredoc_content] = STATE(917),
    [sym__identifier] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_RBRACE] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_package] = ACTIONS(1956),
    [anon_sym_class] = ACTIONS(1956),
    [anon_sym_role] = ACTIONS(1956),
    [anon_sym_BUILD] = ACTIONS(1956),
    [anon_sym_ADJUST] = ACTIONS(1956),
    [anon_sym_DOLLAR] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(1956),
    [anon_sym_my] = ACTIONS(1956),
    [anon_sym_extended] = ACTIONS(1956),
    [anon_sym_async] = ACTIONS(1956),
    [anon_sym_sub] = ACTIONS(1956),
    [anon_sym_method] = ACTIONS(1956),
    [anon_sym_LPAREN] = ACTIONS(1956),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_state] = ACTIONS(1956),
    [anon_sym_our] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(1956),
    [anon_sym_defer] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_LBRACK] = ACTIONS(1956),
    [anon_sym_LT] = ACTIONS(1956),
    [anon_sym_LT_LT] = ACTIONS(1956),
    [anon_sym_SLASH_SLASH] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(1956),
    [anon_sym_DASH] = ACTIONS(1956),
    [anon_sym_STAR] = ACTIONS(1956),
    [anon_sym_TILDE] = ACTIONS(1956),
    [anon_sym_BANG] = ACTIONS(1956),
    [anon_sym_PLUS_PLUS] = ACTIONS(1956),
    [anon_sym_DASH_DASH] = ACTIONS(1956),
    [anon_sym_BSLASH] = ACTIONS(1954),
    [anon_sym_do] = ACTIONS(1956),
    [anon_sym_eval] = ACTIONS(1956),
    [anon_sym_await] = ACTIONS(1956),
    [anon_sym_field] = ACTIONS(1956),
    [anon_sym_local] = ACTIONS(1956),
    [anon_sym_dynamically] = ACTIONS(1956),
    [anon_sym_require] = ACTIONS(1956),
    [anon_sym_map] = ACTIONS(1956),
    [anon_sym_grep] = ACTIONS(1956),
    [anon_sym_sort] = ACTIONS(1956),
    [anon_sym_goto] = ACTIONS(1956),
    [anon_sym_return] = ACTIONS(1956),
    [anon_sym_undef] = ACTIONS(1956),
    [anon_sym_PERCENT2] = ACTIONS(1956),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1956),
    [anon_sym_use] = ACTIONS(1956),
    [anon_sym_no] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(1956),
    [anon_sym_foreach] = ACTIONS(1956),
    [anon_sym_last] = ACTIONS(1956),
    [anon_sym_next] = ACTIONS(1956),
    [anon_sym_redo] = ACTIONS(1956),
    [anon_sym_BEGIN] = ACTIONS(1956),
    [anon_sym_INIT] = ACTIONS(1956),
    [anon_sym_CHECK] = ACTIONS(1956),
    [anon_sym_UNITCHECK] = ACTIONS(1956),
    [anon_sym_END] = ACTIONS(1956),
    [anon_sym___FILE__] = ACTIONS(1956),
    [anon_sym___LINE__] = ACTIONS(1956),
    [anon_sym___PACKAGE__] = ACTIONS(1956),
    [anon_sym___SUB__] = ACTIONS(1956),
    [anon_sym_break] = ACTIONS(1956),
    [anon_sym_fork] = ACTIONS(1956),
    [anon_sym_getppid] = ACTIONS(1956),
    [anon_sym_time] = ACTIONS(1956),
    [anon_sym_times] = ACTIONS(1956),
    [anon_sym_wait] = ACTIONS(1956),
    [anon_sym_wantarray] = ACTIONS(1956),
    [anon_sym_abs] = ACTIONS(1956),
    [anon_sym_alarm] = ACTIONS(1956),
    [anon_sym_chop] = ACTIONS(1956),
    [anon_sym_chdir] = ACTIONS(1956),
    [anon_sym_close] = ACTIONS(1956),
    [anon_sym_closedir] = ACTIONS(1956),
    [anon_sym_caller] = ACTIONS(1956),
    [anon_sym_chomp] = ACTIONS(1956),
    [anon_sym_chr] = ACTIONS(1956),
    [anon_sym_cos] = ACTIONS(1956),
    [anon_sym_chroot] = ACTIONS(1956),
    [anon_sym_defined] = ACTIONS(1956),
    [anon_sym_delete] = ACTIONS(1956),
    [anon_sym_dbmclose] = ACTIONS(1956),
    [anon_sym_exists] = ACTIONS(1956),
    [anon_sym_exit] = ACTIONS(1956),
    [anon_sym_eof] = ACTIONS(1956),
    [anon_sym_exp] = ACTIONS(1956),
    [anon_sym_each] = ACTIONS(1956),
    [anon_sym_fc] = ACTIONS(1956),
    [anon_sym_fileno] = ACTIONS(1956),
    [anon_sym_gmtime] = ACTIONS(1956),
    [anon_sym_getc] = ACTIONS(1956),
    [anon_sym_getpgrp] = ACTIONS(1956),
    [anon_sym_getprotobyname] = ACTIONS(1956),
    [anon_sym_getpwname] = ACTIONS(1956),
    [anon_sym_getpwuid] = ACTIONS(1956),
    [anon_sym_getpeername] = ACTIONS(1956),
    [anon_sym_getnetbyname] = ACTIONS(1956),
    [anon_sym_getsockname] = ACTIONS(1956),
    [anon_sym_getgrnam] = ACTIONS(1956),
    [anon_sym_getgrgid] = ACTIONS(1956),
    [anon_sym_hex] = ACTIONS(1956),
    [anon_sym_int] = ACTIONS(1956),
    [anon_sym_keys] = ACTIONS(1956),
    [anon_sym_lc] = ACTIONS(1956),
    [anon_sym_lcfirst] = ACTIONS(1956),
    [anon_sym_length] = ACTIONS(1956),
    [anon_sym_localtime] = ACTIONS(1956),
    [anon_sym_log] = ACTIONS(1956),
    [anon_sym_lock] = ACTIONS(1956),
    [anon_sym_lstat] = ACTIONS(1956),
    [anon_sym_oct] = ACTIONS(1956),
    [anon_sym_ord] = ACTIONS(1956),
    [anon_sym_prototype] = ACTIONS(1956),
    [anon_sym_pop] = ACTIONS(1956),
    [anon_sym_pos] = ACTIONS(1956),
    [anon_sym_quotemeta] = ACTIONS(1956),
    [anon_sym_reset] = ACTIONS(1956),
    [anon_sym_rand] = ACTIONS(1956),
    [anon_sym_rmdir] = ACTIONS(1956),
    [anon_sym_readdir] = ACTIONS(1956),
    [anon_sym_readline] = ACTIONS(1956),
    [anon_sym_readpipe] = ACTIONS(1956),
    [anon_sym_rewinddir] = ACTIONS(1956),
    [anon_sym_readlink] = ACTIONS(1956),
    [anon_sym_ref] = ACTIONS(1956),
    [anon_sym_scalar] = ACTIONS(1956),
    [anon_sym_shift] = ACTIONS(1956),
    [anon_sym_sin] = ACTIONS(1956),
    [anon_sym_sleep] = ACTIONS(1956),
    [anon_sym_sqrt] = ACTIONS(1956),
    [anon_sym_srand] = ACTIONS(1956),
    [anon_sym_stat] = ACTIONS(1956),
    [anon_sym_study] = ACTIONS(1956),
    [anon_sym_tell] = ACTIONS(1956),
    [anon_sym_telldir] = ACTIONS(1956),
    [anon_sym_tied] = ACTIONS(1956),
    [anon_sym_uc] = ACTIONS(1956),
    [anon_sym_ucfirst] = ACTIONS(1956),
    [anon_sym_untie] = ACTIONS(1956),
    [anon_sym_umask] = ACTIONS(1956),
    [anon_sym_values] = ACTIONS(1956),
    [anon_sym_write] = ACTIONS(1956),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1956),
    [anon_sym_qq] = ACTIONS(1956),
    [anon_sym_qw] = ACTIONS(1956),
    [anon_sym_qx] = ACTIONS(1956),
    [anon_sym_qr] = ACTIONS(1956),
    [anon_sym_m] = ACTIONS(1956),
    [anon_sym_s] = ACTIONS(1956),
    [anon_sym_tr] = ACTIONS(1956),
    [anon_sym_y] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1956),
    [anon_sym_unless] = ACTIONS(1956),
    [anon_sym_while] = ACTIONS(1956),
    [anon_sym_until] = ACTIONS(1956),
    [aux_sym__bareword_token1] = ACTIONS(1956),
    [sym_number] = ACTIONS(1956),
    [anon_sym_true] = ACTIONS(1956),
    [anon_sym_false] = ACTIONS(1956),
    [sym__single_quote] = ACTIONS(1954),
    [sym__double_quote] = ACTIONS(1954),
    [sym__backtick_quote] = ACTIONS(1954),
    [sym__search_slash_quote] = ACTIONS(1954),
    [sym__PERLY_HEREDOC] = ACTIONS(1954),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1954),
    [sym__filetest] = ACTIONS(1954),
  },
  [918] = {
    [sym_heredoc_content] = STATE(918),
    [sym__identifier] = ACTIONS(1976),
    [anon_sym_LBRACE] = ACTIONS(1976),
    [anon_sym_RBRACE] = ACTIONS(1976),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym_package] = ACTIONS(1976),
    [anon_sym_class] = ACTIONS(1976),
    [anon_sym_role] = ACTIONS(1976),
    [anon_sym_BUILD] = ACTIONS(1976),
    [anon_sym_ADJUST] = ACTIONS(1976),
    [anon_sym_DOLLAR] = ACTIONS(1976),
    [anon_sym_AT] = ACTIONS(1976),
    [anon_sym_my] = ACTIONS(1976),
    [anon_sym_extended] = ACTIONS(1976),
    [anon_sym_async] = ACTIONS(1976),
    [anon_sym_sub] = ACTIONS(1976),
    [anon_sym_method] = ACTIONS(1976),
    [anon_sym_LPAREN] = ACTIONS(1976),
    [anon_sym_continue] = ACTIONS(1976),
    [anon_sym_state] = ACTIONS(1976),
    [anon_sym_our] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1976),
    [anon_sym_defer] = ACTIONS(1976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1976),
    [anon_sym_LBRACK] = ACTIONS(1976),
    [anon_sym_LT] = ACTIONS(1976),
    [anon_sym_LT_LT] = ACTIONS(1976),
    [anon_sym_SLASH_SLASH] = ACTIONS(1976),
    [anon_sym_PLUS] = ACTIONS(1976),
    [anon_sym_DASH] = ACTIONS(1976),
    [anon_sym_STAR] = ACTIONS(1976),
    [anon_sym_TILDE] = ACTIONS(1976),
    [anon_sym_BANG] = ACTIONS(1976),
    [anon_sym_PLUS_PLUS] = ACTIONS(1976),
    [anon_sym_DASH_DASH] = ACTIONS(1976),
    [anon_sym_BSLASH] = ACTIONS(1974),
    [anon_sym_do] = ACTIONS(1976),
    [anon_sym_eval] = ACTIONS(1976),
    [anon_sym_await] = ACTIONS(1976),
    [anon_sym_field] = ACTIONS(1976),
    [anon_sym_local] = ACTIONS(1976),
    [anon_sym_dynamically] = ACTIONS(1976),
    [anon_sym_require] = ACTIONS(1976),
    [anon_sym_map] = ACTIONS(1976),
    [anon_sym_grep] = ACTIONS(1976),
    [anon_sym_sort] = ACTIONS(1976),
    [anon_sym_goto] = ACTIONS(1976),
    [anon_sym_return] = ACTIONS(1976),
    [anon_sym_undef] = ACTIONS(1976),
    [anon_sym_PERCENT2] = ACTIONS(1976),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1976),
    [anon_sym_use] = ACTIONS(1976),
    [anon_sym_no] = ACTIONS(1976),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_foreach] = ACTIONS(1976),
    [anon_sym_last] = ACTIONS(1976),
    [anon_sym_next] = ACTIONS(1976),
    [anon_sym_redo] = ACTIONS(1976),
    [anon_sym_BEGIN] = ACTIONS(1976),
    [anon_sym_INIT] = ACTIONS(1976),
    [anon_sym_CHECK] = ACTIONS(1976),
    [anon_sym_UNITCHECK] = ACTIONS(1976),
    [anon_sym_END] = ACTIONS(1976),
    [anon_sym___FILE__] = ACTIONS(1976),
    [anon_sym___LINE__] = ACTIONS(1976),
    [anon_sym___PACKAGE__] = ACTIONS(1976),
    [anon_sym___SUB__] = ACTIONS(1976),
    [anon_sym_break] = ACTIONS(1976),
    [anon_sym_fork] = ACTIONS(1976),
    [anon_sym_getppid] = ACTIONS(1976),
    [anon_sym_time] = ACTIONS(1976),
    [anon_sym_times] = ACTIONS(1976),
    [anon_sym_wait] = ACTIONS(1976),
    [anon_sym_wantarray] = ACTIONS(1976),
    [anon_sym_abs] = ACTIONS(1976),
    [anon_sym_alarm] = ACTIONS(1976),
    [anon_sym_chop] = ACTIONS(1976),
    [anon_sym_chdir] = ACTIONS(1976),
    [anon_sym_close] = ACTIONS(1976),
    [anon_sym_closedir] = ACTIONS(1976),
    [anon_sym_caller] = ACTIONS(1976),
    [anon_sym_chomp] = ACTIONS(1976),
    [anon_sym_chr] = ACTIONS(1976),
    [anon_sym_cos] = ACTIONS(1976),
    [anon_sym_chroot] = ACTIONS(1976),
    [anon_sym_defined] = ACTIONS(1976),
    [anon_sym_delete] = ACTIONS(1976),
    [anon_sym_dbmclose] = ACTIONS(1976),
    [anon_sym_exists] = ACTIONS(1976),
    [anon_sym_exit] = ACTIONS(1976),
    [anon_sym_eof] = ACTIONS(1976),
    [anon_sym_exp] = ACTIONS(1976),
    [anon_sym_each] = ACTIONS(1976),
    [anon_sym_fc] = ACTIONS(1976),
    [anon_sym_fileno] = ACTIONS(1976),
    [anon_sym_gmtime] = ACTIONS(1976),
    [anon_sym_getc] = ACTIONS(1976),
    [anon_sym_getpgrp] = ACTIONS(1976),
    [anon_sym_getprotobyname] = ACTIONS(1976),
    [anon_sym_getpwname] = ACTIONS(1976),
    [anon_sym_getpwuid] = ACTIONS(1976),
    [anon_sym_getpeername] = ACTIONS(1976),
    [anon_sym_getnetbyname] = ACTIONS(1976),
    [anon_sym_getsockname] = ACTIONS(1976),
    [anon_sym_getgrnam] = ACTIONS(1976),
    [anon_sym_getgrgid] = ACTIONS(1976),
    [anon_sym_hex] = ACTIONS(1976),
    [anon_sym_int] = ACTIONS(1976),
    [anon_sym_keys] = ACTIONS(1976),
    [anon_sym_lc] = ACTIONS(1976),
    [anon_sym_lcfirst] = ACTIONS(1976),
    [anon_sym_length] = ACTIONS(1976),
    [anon_sym_localtime] = ACTIONS(1976),
    [anon_sym_log] = ACTIONS(1976),
    [anon_sym_lock] = ACTIONS(1976),
    [anon_sym_lstat] = ACTIONS(1976),
    [anon_sym_oct] = ACTIONS(1976),
    [anon_sym_ord] = ACTIONS(1976),
    [anon_sym_prototype] = ACTIONS(1976),
    [anon_sym_pop] = ACTIONS(1976),
    [anon_sym_pos] = ACTIONS(1976),
    [anon_sym_quotemeta] = ACTIONS(1976),
    [anon_sym_reset] = ACTIONS(1976),
    [anon_sym_rand] = ACTIONS(1976),
    [anon_sym_rmdir] = ACTIONS(1976),
    [anon_sym_readdir] = ACTIONS(1976),
    [anon_sym_readline] = ACTIONS(1976),
    [anon_sym_readpipe] = ACTIONS(1976),
    [anon_sym_rewinddir] = ACTIONS(1976),
    [anon_sym_readlink] = ACTIONS(1976),
    [anon_sym_ref] = ACTIONS(1976),
    [anon_sym_scalar] = ACTIONS(1976),
    [anon_sym_shift] = ACTIONS(1976),
    [anon_sym_sin] = ACTIONS(1976),
    [anon_sym_sleep] = ACTIONS(1976),
    [anon_sym_sqrt] = ACTIONS(1976),
    [anon_sym_srand] = ACTIONS(1976),
    [anon_sym_stat] = ACTIONS(1976),
    [anon_sym_study] = ACTIONS(1976),
    [anon_sym_tell] = ACTIONS(1976),
    [anon_sym_telldir] = ACTIONS(1976),
    [anon_sym_tied] = ACTIONS(1976),
    [anon_sym_uc] = ACTIONS(1976),
    [anon_sym_ucfirst] = ACTIONS(1976),
    [anon_sym_untie] = ACTIONS(1976),
    [anon_sym_umask] = ACTIONS(1976),
    [anon_sym_values] = ACTIONS(1976),
    [anon_sym_write] = ACTIONS(1976),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1976),
    [anon_sym_qq] = ACTIONS(1976),
    [anon_sym_qw] = ACTIONS(1976),
    [anon_sym_qx] = ACTIONS(1976),
    [anon_sym_qr] = ACTIONS(1976),
    [anon_sym_m] = ACTIONS(1976),
    [anon_sym_s] = ACTIONS(1976),
    [anon_sym_tr] = ACTIONS(1976),
    [anon_sym_y] = ACTIONS(1976),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_unless] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1976),
    [anon_sym_until] = ACTIONS(1976),
    [aux_sym__bareword_token1] = ACTIONS(1976),
    [sym_number] = ACTIONS(1976),
    [anon_sym_true] = ACTIONS(1976),
    [anon_sym_false] = ACTIONS(1976),
    [sym__single_quote] = ACTIONS(1974),
    [sym__double_quote] = ACTIONS(1974),
    [sym__backtick_quote] = ACTIONS(1974),
    [sym__search_slash_quote] = ACTIONS(1974),
    [sym__PERLY_HEREDOC] = ACTIONS(1974),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1974),
    [sym__filetest] = ACTIONS(1974),
  },
  [919] = {
    [sym_heredoc_content] = STATE(919),
    [sym__identifier] = ACTIONS(1984),
    [anon_sym_LBRACE] = ACTIONS(1984),
    [anon_sym_RBRACE] = ACTIONS(1984),
    [anon_sym_SEMI] = ACTIONS(1984),
    [anon_sym_package] = ACTIONS(1984),
    [anon_sym_class] = ACTIONS(1984),
    [anon_sym_role] = ACTIONS(1984),
    [anon_sym_BUILD] = ACTIONS(1984),
    [anon_sym_ADJUST] = ACTIONS(1984),
    [anon_sym_DOLLAR] = ACTIONS(1984),
    [anon_sym_AT] = ACTIONS(1984),
    [anon_sym_my] = ACTIONS(1984),
    [anon_sym_extended] = ACTIONS(1984),
    [anon_sym_async] = ACTIONS(1984),
    [anon_sym_sub] = ACTIONS(1984),
    [anon_sym_method] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(1984),
    [anon_sym_continue] = ACTIONS(1984),
    [anon_sym_state] = ACTIONS(1984),
    [anon_sym_our] = ACTIONS(1984),
    [anon_sym_try] = ACTIONS(1984),
    [anon_sym_defer] = ACTIONS(1984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1984),
    [anon_sym_LBRACK] = ACTIONS(1984),
    [anon_sym_LT] = ACTIONS(1984),
    [anon_sym_LT_LT] = ACTIONS(1984),
    [anon_sym_SLASH_SLASH] = ACTIONS(1984),
    [anon_sym_PLUS] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1984),
    [anon_sym_STAR] = ACTIONS(1984),
    [anon_sym_TILDE] = ACTIONS(1984),
    [anon_sym_BANG] = ACTIONS(1984),
    [anon_sym_PLUS_PLUS] = ACTIONS(1984),
    [anon_sym_DASH_DASH] = ACTIONS(1984),
    [anon_sym_BSLASH] = ACTIONS(1982),
    [anon_sym_do] = ACTIONS(1984),
    [anon_sym_eval] = ACTIONS(1984),
    [anon_sym_await] = ACTIONS(1984),
    [anon_sym_field] = ACTIONS(1984),
    [anon_sym_local] = ACTIONS(1984),
    [anon_sym_dynamically] = ACTIONS(1984),
    [anon_sym_require] = ACTIONS(1984),
    [anon_sym_map] = ACTIONS(1984),
    [anon_sym_grep] = ACTIONS(1984),
    [anon_sym_sort] = ACTIONS(1984),
    [anon_sym_goto] = ACTIONS(1984),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_undef] = ACTIONS(1984),
    [anon_sym_PERCENT2] = ACTIONS(1984),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1984),
    [anon_sym_use] = ACTIONS(1984),
    [anon_sym_no] = ACTIONS(1984),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_foreach] = ACTIONS(1984),
    [anon_sym_last] = ACTIONS(1984),
    [anon_sym_next] = ACTIONS(1984),
    [anon_sym_redo] = ACTIONS(1984),
    [anon_sym_BEGIN] = ACTIONS(1984),
    [anon_sym_INIT] = ACTIONS(1984),
    [anon_sym_CHECK] = ACTIONS(1984),
    [anon_sym_UNITCHECK] = ACTIONS(1984),
    [anon_sym_END] = ACTIONS(1984),
    [anon_sym___FILE__] = ACTIONS(1984),
    [anon_sym___LINE__] = ACTIONS(1984),
    [anon_sym___PACKAGE__] = ACTIONS(1984),
    [anon_sym___SUB__] = ACTIONS(1984),
    [anon_sym_break] = ACTIONS(1984),
    [anon_sym_fork] = ACTIONS(1984),
    [anon_sym_getppid] = ACTIONS(1984),
    [anon_sym_time] = ACTIONS(1984),
    [anon_sym_times] = ACTIONS(1984),
    [anon_sym_wait] = ACTIONS(1984),
    [anon_sym_wantarray] = ACTIONS(1984),
    [anon_sym_abs] = ACTIONS(1984),
    [anon_sym_alarm] = ACTIONS(1984),
    [anon_sym_chop] = ACTIONS(1984),
    [anon_sym_chdir] = ACTIONS(1984),
    [anon_sym_close] = ACTIONS(1984),
    [anon_sym_closedir] = ACTIONS(1984),
    [anon_sym_caller] = ACTIONS(1984),
    [anon_sym_chomp] = ACTIONS(1984),
    [anon_sym_chr] = ACTIONS(1984),
    [anon_sym_cos] = ACTIONS(1984),
    [anon_sym_chroot] = ACTIONS(1984),
    [anon_sym_defined] = ACTIONS(1984),
    [anon_sym_delete] = ACTIONS(1984),
    [anon_sym_dbmclose] = ACTIONS(1984),
    [anon_sym_exists] = ACTIONS(1984),
    [anon_sym_exit] = ACTIONS(1984),
    [anon_sym_eof] = ACTIONS(1984),
    [anon_sym_exp] = ACTIONS(1984),
    [anon_sym_each] = ACTIONS(1984),
    [anon_sym_fc] = ACTIONS(1984),
    [anon_sym_fileno] = ACTIONS(1984),
    [anon_sym_gmtime] = ACTIONS(1984),
    [anon_sym_getc] = ACTIONS(1984),
    [anon_sym_getpgrp] = ACTIONS(1984),
    [anon_sym_getprotobyname] = ACTIONS(1984),
    [anon_sym_getpwname] = ACTIONS(1984),
    [anon_sym_getpwuid] = ACTIONS(1984),
    [anon_sym_getpeername] = ACTIONS(1984),
    [anon_sym_getnetbyname] = ACTIONS(1984),
    [anon_sym_getsockname] = ACTIONS(1984),
    [anon_sym_getgrnam] = ACTIONS(1984),
    [anon_sym_getgrgid] = ACTIONS(1984),
    [anon_sym_hex] = ACTIONS(1984),
    [anon_sym_int] = ACTIONS(1984),
    [anon_sym_keys] = ACTIONS(1984),
    [anon_sym_lc] = ACTIONS(1984),
    [anon_sym_lcfirst] = ACTIONS(1984),
    [anon_sym_length] = ACTIONS(1984),
    [anon_sym_localtime] = ACTIONS(1984),
    [anon_sym_log] = ACTIONS(1984),
    [anon_sym_lock] = ACTIONS(1984),
    [anon_sym_lstat] = ACTIONS(1984),
    [anon_sym_oct] = ACTIONS(1984),
    [anon_sym_ord] = ACTIONS(1984),
    [anon_sym_prototype] = ACTIONS(1984),
    [anon_sym_pop] = ACTIONS(1984),
    [anon_sym_pos] = ACTIONS(1984),
    [anon_sym_quotemeta] = ACTIONS(1984),
    [anon_sym_reset] = ACTIONS(1984),
    [anon_sym_rand] = ACTIONS(1984),
    [anon_sym_rmdir] = ACTIONS(1984),
    [anon_sym_readdir] = ACTIONS(1984),
    [anon_sym_readline] = ACTIONS(1984),
    [anon_sym_readpipe] = ACTIONS(1984),
    [anon_sym_rewinddir] = ACTIONS(1984),
    [anon_sym_readlink] = ACTIONS(1984),
    [anon_sym_ref] = ACTIONS(1984),
    [anon_sym_scalar] = ACTIONS(1984),
    [anon_sym_shift] = ACTIONS(1984),
    [anon_sym_sin] = ACTIONS(1984),
    [anon_sym_sleep] = ACTIONS(1984),
    [anon_sym_sqrt] = ACTIONS(1984),
    [anon_sym_srand] = ACTIONS(1984),
    [anon_sym_stat] = ACTIONS(1984),
    [anon_sym_study] = ACTIONS(1984),
    [anon_sym_tell] = ACTIONS(1984),
    [anon_sym_telldir] = ACTIONS(1984),
    [anon_sym_tied] = ACTIONS(1984),
    [anon_sym_uc] = ACTIONS(1984),
    [anon_sym_ucfirst] = ACTIONS(1984),
    [anon_sym_untie] = ACTIONS(1984),
    [anon_sym_umask] = ACTIONS(1984),
    [anon_sym_values] = ACTIONS(1984),
    [anon_sym_write] = ACTIONS(1984),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1984),
    [anon_sym_qq] = ACTIONS(1984),
    [anon_sym_qw] = ACTIONS(1984),
    [anon_sym_qx] = ACTIONS(1984),
    [anon_sym_qr] = ACTIONS(1984),
    [anon_sym_m] = ACTIONS(1984),
    [anon_sym_s] = ACTIONS(1984),
    [anon_sym_tr] = ACTIONS(1984),
    [anon_sym_y] = ACTIONS(1984),
    [anon_sym_if] = ACTIONS(1984),
    [anon_sym_unless] = ACTIONS(1984),
    [anon_sym_while] = ACTIONS(1984),
    [anon_sym_until] = ACTIONS(1984),
    [aux_sym__bareword_token1] = ACTIONS(1984),
    [sym_number] = ACTIONS(1984),
    [anon_sym_true] = ACTIONS(1984),
    [anon_sym_false] = ACTIONS(1984),
    [sym__single_quote] = ACTIONS(1982),
    [sym__double_quote] = ACTIONS(1982),
    [sym__backtick_quote] = ACTIONS(1982),
    [sym__search_slash_quote] = ACTIONS(1982),
    [sym__PERLY_HEREDOC] = ACTIONS(1982),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1982),
    [sym__filetest] = ACTIONS(1982),
  },
  [920] = {
    [sym_heredoc_content] = STATE(920),
    [sym__identifier] = ACTIONS(1996),
    [anon_sym_LBRACE] = ACTIONS(1996),
    [anon_sym_RBRACE] = ACTIONS(1996),
    [anon_sym_SEMI] = ACTIONS(1996),
    [anon_sym_package] = ACTIONS(1996),
    [anon_sym_class] = ACTIONS(1996),
    [anon_sym_role] = ACTIONS(1996),
    [anon_sym_BUILD] = ACTIONS(1996),
    [anon_sym_ADJUST] = ACTIONS(1996),
    [anon_sym_DOLLAR] = ACTIONS(1996),
    [anon_sym_AT] = ACTIONS(1996),
    [anon_sym_my] = ACTIONS(1996),
    [anon_sym_extended] = ACTIONS(1996),
    [anon_sym_async] = ACTIONS(1996),
    [anon_sym_sub] = ACTIONS(1996),
    [anon_sym_method] = ACTIONS(1996),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [anon_sym_continue] = ACTIONS(1996),
    [anon_sym_state] = ACTIONS(1996),
    [anon_sym_our] = ACTIONS(1996),
    [anon_sym_try] = ACTIONS(1996),
    [anon_sym_defer] = ACTIONS(1996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LBRACK] = ACTIONS(1996),
    [anon_sym_LT] = ACTIONS(1996),
    [anon_sym_LT_LT] = ACTIONS(1996),
    [anon_sym_SLASH_SLASH] = ACTIONS(1996),
    [anon_sym_PLUS] = ACTIONS(1996),
    [anon_sym_DASH] = ACTIONS(1996),
    [anon_sym_STAR] = ACTIONS(1996),
    [anon_sym_TILDE] = ACTIONS(1996),
    [anon_sym_BANG] = ACTIONS(1996),
    [anon_sym_PLUS_PLUS] = ACTIONS(1996),
    [anon_sym_DASH_DASH] = ACTIONS(1996),
    [anon_sym_BSLASH] = ACTIONS(1994),
    [anon_sym_do] = ACTIONS(1996),
    [anon_sym_eval] = ACTIONS(1996),
    [anon_sym_await] = ACTIONS(1996),
    [anon_sym_field] = ACTIONS(1996),
    [anon_sym_local] = ACTIONS(1996),
    [anon_sym_dynamically] = ACTIONS(1996),
    [anon_sym_require] = ACTIONS(1996),
    [anon_sym_map] = ACTIONS(1996),
    [anon_sym_grep] = ACTIONS(1996),
    [anon_sym_sort] = ACTIONS(1996),
    [anon_sym_goto] = ACTIONS(1996),
    [anon_sym_return] = ACTIONS(1996),
    [anon_sym_undef] = ACTIONS(1996),
    [anon_sym_PERCENT2] = ACTIONS(1996),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1996),
    [anon_sym_use] = ACTIONS(1996),
    [anon_sym_no] = ACTIONS(1996),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_foreach] = ACTIONS(1996),
    [anon_sym_last] = ACTIONS(1996),
    [anon_sym_next] = ACTIONS(1996),
    [anon_sym_redo] = ACTIONS(1996),
    [anon_sym_BEGIN] = ACTIONS(1996),
    [anon_sym_INIT] = ACTIONS(1996),
    [anon_sym_CHECK] = ACTIONS(1996),
    [anon_sym_UNITCHECK] = ACTIONS(1996),
    [anon_sym_END] = ACTIONS(1996),
    [anon_sym___FILE__] = ACTIONS(1996),
    [anon_sym___LINE__] = ACTIONS(1996),
    [anon_sym___PACKAGE__] = ACTIONS(1996),
    [anon_sym___SUB__] = ACTIONS(1996),
    [anon_sym_break] = ACTIONS(1996),
    [anon_sym_fork] = ACTIONS(1996),
    [anon_sym_getppid] = ACTIONS(1996),
    [anon_sym_time] = ACTIONS(1996),
    [anon_sym_times] = ACTIONS(1996),
    [anon_sym_wait] = ACTIONS(1996),
    [anon_sym_wantarray] = ACTIONS(1996),
    [anon_sym_abs] = ACTIONS(1996),
    [anon_sym_alarm] = ACTIONS(1996),
    [anon_sym_chop] = ACTIONS(1996),
    [anon_sym_chdir] = ACTIONS(1996),
    [anon_sym_close] = ACTIONS(1996),
    [anon_sym_closedir] = ACTIONS(1996),
    [anon_sym_caller] = ACTIONS(1996),
    [anon_sym_chomp] = ACTIONS(1996),
    [anon_sym_chr] = ACTIONS(1996),
    [anon_sym_cos] = ACTIONS(1996),
    [anon_sym_chroot] = ACTIONS(1996),
    [anon_sym_defined] = ACTIONS(1996),
    [anon_sym_delete] = ACTIONS(1996),
    [anon_sym_dbmclose] = ACTIONS(1996),
    [anon_sym_exists] = ACTIONS(1996),
    [anon_sym_exit] = ACTIONS(1996),
    [anon_sym_eof] = ACTIONS(1996),
    [anon_sym_exp] = ACTIONS(1996),
    [anon_sym_each] = ACTIONS(1996),
    [anon_sym_fc] = ACTIONS(1996),
    [anon_sym_fileno] = ACTIONS(1996),
    [anon_sym_gmtime] = ACTIONS(1996),
    [anon_sym_getc] = ACTIONS(1996),
    [anon_sym_getpgrp] = ACTIONS(1996),
    [anon_sym_getprotobyname] = ACTIONS(1996),
    [anon_sym_getpwname] = ACTIONS(1996),
    [anon_sym_getpwuid] = ACTIONS(1996),
    [anon_sym_getpeername] = ACTIONS(1996),
    [anon_sym_getnetbyname] = ACTIONS(1996),
    [anon_sym_getsockname] = ACTIONS(1996),
    [anon_sym_getgrnam] = ACTIONS(1996),
    [anon_sym_getgrgid] = ACTIONS(1996),
    [anon_sym_hex] = ACTIONS(1996),
    [anon_sym_int] = ACTIONS(1996),
    [anon_sym_keys] = ACTIONS(1996),
    [anon_sym_lc] = ACTIONS(1996),
    [anon_sym_lcfirst] = ACTIONS(1996),
    [anon_sym_length] = ACTIONS(1996),
    [anon_sym_localtime] = ACTIONS(1996),
    [anon_sym_log] = ACTIONS(1996),
    [anon_sym_lock] = ACTIONS(1996),
    [anon_sym_lstat] = ACTIONS(1996),
    [anon_sym_oct] = ACTIONS(1996),
    [anon_sym_ord] = ACTIONS(1996),
    [anon_sym_prototype] = ACTIONS(1996),
    [anon_sym_pop] = ACTIONS(1996),
    [anon_sym_pos] = ACTIONS(1996),
    [anon_sym_quotemeta] = ACTIONS(1996),
    [anon_sym_reset] = ACTIONS(1996),
    [anon_sym_rand] = ACTIONS(1996),
    [anon_sym_rmdir] = ACTIONS(1996),
    [anon_sym_readdir] = ACTIONS(1996),
    [anon_sym_readline] = ACTIONS(1996),
    [anon_sym_readpipe] = ACTIONS(1996),
    [anon_sym_rewinddir] = ACTIONS(1996),
    [anon_sym_readlink] = ACTIONS(1996),
    [anon_sym_ref] = ACTIONS(1996),
    [anon_sym_scalar] = ACTIONS(1996),
    [anon_sym_shift] = ACTIONS(1996),
    [anon_sym_sin] = ACTIONS(1996),
    [anon_sym_sleep] = ACTIONS(1996),
    [anon_sym_sqrt] = ACTIONS(1996),
    [anon_sym_srand] = ACTIONS(1996),
    [anon_sym_stat] = ACTIONS(1996),
    [anon_sym_study] = ACTIONS(1996),
    [anon_sym_tell] = ACTIONS(1996),
    [anon_sym_telldir] = ACTIONS(1996),
    [anon_sym_tied] = ACTIONS(1996),
    [anon_sym_uc] = ACTIONS(1996),
    [anon_sym_ucfirst] = ACTIONS(1996),
    [anon_sym_untie] = ACTIONS(1996),
    [anon_sym_umask] = ACTIONS(1996),
    [anon_sym_values] = ACTIONS(1996),
    [anon_sym_write] = ACTIONS(1996),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1996),
    [anon_sym_qq] = ACTIONS(1996),
    [anon_sym_qw] = ACTIONS(1996),
    [anon_sym_qx] = ACTIONS(1996),
    [anon_sym_qr] = ACTIONS(1996),
    [anon_sym_m] = ACTIONS(1996),
    [anon_sym_s] = ACTIONS(1996),
    [anon_sym_tr] = ACTIONS(1996),
    [anon_sym_y] = ACTIONS(1996),
    [anon_sym_if] = ACTIONS(1996),
    [anon_sym_unless] = ACTIONS(1996),
    [anon_sym_while] = ACTIONS(1996),
    [anon_sym_until] = ACTIONS(1996),
    [aux_sym__bareword_token1] = ACTIONS(1996),
    [sym_number] = ACTIONS(1996),
    [anon_sym_true] = ACTIONS(1996),
    [anon_sym_false] = ACTIONS(1996),
    [sym__single_quote] = ACTIONS(1994),
    [sym__double_quote] = ACTIONS(1994),
    [sym__backtick_quote] = ACTIONS(1994),
    [sym__search_slash_quote] = ACTIONS(1994),
    [sym__PERLY_HEREDOC] = ACTIONS(1994),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1994),
    [sym__filetest] = ACTIONS(1994),
  },
  [921] = {
    [sym_heredoc_content] = STATE(921),
    [sym__identifier] = ACTIONS(2104),
    [anon_sym_LBRACE] = ACTIONS(2104),
    [anon_sym_RBRACE] = ACTIONS(2104),
    [anon_sym_SEMI] = ACTIONS(2104),
    [anon_sym_package] = ACTIONS(2104),
    [anon_sym_class] = ACTIONS(2104),
    [anon_sym_role] = ACTIONS(2104),
    [anon_sym_BUILD] = ACTIONS(2104),
    [anon_sym_ADJUST] = ACTIONS(2104),
    [anon_sym_DOLLAR] = ACTIONS(2104),
    [anon_sym_AT] = ACTIONS(2104),
    [anon_sym_my] = ACTIONS(2104),
    [anon_sym_extended] = ACTIONS(2104),
    [anon_sym_async] = ACTIONS(2104),
    [anon_sym_sub] = ACTIONS(2104),
    [anon_sym_method] = ACTIONS(2104),
    [anon_sym_LPAREN] = ACTIONS(2104),
    [anon_sym_continue] = ACTIONS(2104),
    [anon_sym_state] = ACTIONS(2104),
    [anon_sym_our] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2104),
    [anon_sym_defer] = ACTIONS(2104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2104),
    [anon_sym_LBRACK] = ACTIONS(2104),
    [anon_sym_LT] = ACTIONS(2104),
    [anon_sym_LT_LT] = ACTIONS(2104),
    [anon_sym_SLASH_SLASH] = ACTIONS(2104),
    [anon_sym_PLUS] = ACTIONS(2104),
    [anon_sym_DASH] = ACTIONS(2104),
    [anon_sym_STAR] = ACTIONS(2104),
    [anon_sym_TILDE] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2104),
    [anon_sym_PLUS_PLUS] = ACTIONS(2104),
    [anon_sym_DASH_DASH] = ACTIONS(2104),
    [anon_sym_BSLASH] = ACTIONS(2102),
    [anon_sym_do] = ACTIONS(2104),
    [anon_sym_eval] = ACTIONS(2104),
    [anon_sym_await] = ACTIONS(2104),
    [anon_sym_field] = ACTIONS(2104),
    [anon_sym_local] = ACTIONS(2104),
    [anon_sym_dynamically] = ACTIONS(2104),
    [anon_sym_require] = ACTIONS(2104),
    [anon_sym_map] = ACTIONS(2104),
    [anon_sym_grep] = ACTIONS(2104),
    [anon_sym_sort] = ACTIONS(2104),
    [anon_sym_goto] = ACTIONS(2104),
    [anon_sym_return] = ACTIONS(2104),
    [anon_sym_undef] = ACTIONS(2104),
    [anon_sym_PERCENT2] = ACTIONS(2104),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2104),
    [anon_sym_use] = ACTIONS(2104),
    [anon_sym_no] = ACTIONS(2104),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_foreach] = ACTIONS(2104),
    [anon_sym_last] = ACTIONS(2104),
    [anon_sym_next] = ACTIONS(2104),
    [anon_sym_redo] = ACTIONS(2104),
    [anon_sym_BEGIN] = ACTIONS(2104),
    [anon_sym_INIT] = ACTIONS(2104),
    [anon_sym_CHECK] = ACTIONS(2104),
    [anon_sym_UNITCHECK] = ACTIONS(2104),
    [anon_sym_END] = ACTIONS(2104),
    [anon_sym___FILE__] = ACTIONS(2104),
    [anon_sym___LINE__] = ACTIONS(2104),
    [anon_sym___PACKAGE__] = ACTIONS(2104),
    [anon_sym___SUB__] = ACTIONS(2104),
    [anon_sym_break] = ACTIONS(2104),
    [anon_sym_fork] = ACTIONS(2104),
    [anon_sym_getppid] = ACTIONS(2104),
    [anon_sym_time] = ACTIONS(2104),
    [anon_sym_times] = ACTIONS(2104),
    [anon_sym_wait] = ACTIONS(2104),
    [anon_sym_wantarray] = ACTIONS(2104),
    [anon_sym_abs] = ACTIONS(2104),
    [anon_sym_alarm] = ACTIONS(2104),
    [anon_sym_chop] = ACTIONS(2104),
    [anon_sym_chdir] = ACTIONS(2104),
    [anon_sym_close] = ACTIONS(2104),
    [anon_sym_closedir] = ACTIONS(2104),
    [anon_sym_caller] = ACTIONS(2104),
    [anon_sym_chomp] = ACTIONS(2104),
    [anon_sym_chr] = ACTIONS(2104),
    [anon_sym_cos] = ACTIONS(2104),
    [anon_sym_chroot] = ACTIONS(2104),
    [anon_sym_defined] = ACTIONS(2104),
    [anon_sym_delete] = ACTIONS(2104),
    [anon_sym_dbmclose] = ACTIONS(2104),
    [anon_sym_exists] = ACTIONS(2104),
    [anon_sym_exit] = ACTIONS(2104),
    [anon_sym_eof] = ACTIONS(2104),
    [anon_sym_exp] = ACTIONS(2104),
    [anon_sym_each] = ACTIONS(2104),
    [anon_sym_fc] = ACTIONS(2104),
    [anon_sym_fileno] = ACTIONS(2104),
    [anon_sym_gmtime] = ACTIONS(2104),
    [anon_sym_getc] = ACTIONS(2104),
    [anon_sym_getpgrp] = ACTIONS(2104),
    [anon_sym_getprotobyname] = ACTIONS(2104),
    [anon_sym_getpwname] = ACTIONS(2104),
    [anon_sym_getpwuid] = ACTIONS(2104),
    [anon_sym_getpeername] = ACTIONS(2104),
    [anon_sym_getnetbyname] = ACTIONS(2104),
    [anon_sym_getsockname] = ACTIONS(2104),
    [anon_sym_getgrnam] = ACTIONS(2104),
    [anon_sym_getgrgid] = ACTIONS(2104),
    [anon_sym_hex] = ACTIONS(2104),
    [anon_sym_int] = ACTIONS(2104),
    [anon_sym_keys] = ACTIONS(2104),
    [anon_sym_lc] = ACTIONS(2104),
    [anon_sym_lcfirst] = ACTIONS(2104),
    [anon_sym_length] = ACTIONS(2104),
    [anon_sym_localtime] = ACTIONS(2104),
    [anon_sym_log] = ACTIONS(2104),
    [anon_sym_lock] = ACTIONS(2104),
    [anon_sym_lstat] = ACTIONS(2104),
    [anon_sym_oct] = ACTIONS(2104),
    [anon_sym_ord] = ACTIONS(2104),
    [anon_sym_prototype] = ACTIONS(2104),
    [anon_sym_pop] = ACTIONS(2104),
    [anon_sym_pos] = ACTIONS(2104),
    [anon_sym_quotemeta] = ACTIONS(2104),
    [anon_sym_reset] = ACTIONS(2104),
    [anon_sym_rand] = ACTIONS(2104),
    [anon_sym_rmdir] = ACTIONS(2104),
    [anon_sym_readdir] = ACTIONS(2104),
    [anon_sym_readline] = ACTIONS(2104),
    [anon_sym_readpipe] = ACTIONS(2104),
    [anon_sym_rewinddir] = ACTIONS(2104),
    [anon_sym_readlink] = ACTIONS(2104),
    [anon_sym_ref] = ACTIONS(2104),
    [anon_sym_scalar] = ACTIONS(2104),
    [anon_sym_shift] = ACTIONS(2104),
    [anon_sym_sin] = ACTIONS(2104),
    [anon_sym_sleep] = ACTIONS(2104),
    [anon_sym_sqrt] = ACTIONS(2104),
    [anon_sym_srand] = ACTIONS(2104),
    [anon_sym_stat] = ACTIONS(2104),
    [anon_sym_study] = ACTIONS(2104),
    [anon_sym_tell] = ACTIONS(2104),
    [anon_sym_telldir] = ACTIONS(2104),
    [anon_sym_tied] = ACTIONS(2104),
    [anon_sym_uc] = ACTIONS(2104),
    [anon_sym_ucfirst] = ACTIONS(2104),
    [anon_sym_untie] = ACTIONS(2104),
    [anon_sym_umask] = ACTIONS(2104),
    [anon_sym_values] = ACTIONS(2104),
    [anon_sym_write] = ACTIONS(2104),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2104),
    [anon_sym_qq] = ACTIONS(2104),
    [anon_sym_qw] = ACTIONS(2104),
    [anon_sym_qx] = ACTIONS(2104),
    [anon_sym_qr] = ACTIONS(2104),
    [anon_sym_m] = ACTIONS(2104),
    [anon_sym_s] = ACTIONS(2104),
    [anon_sym_tr] = ACTIONS(2104),
    [anon_sym_y] = ACTIONS(2104),
    [anon_sym_if] = ACTIONS(2104),
    [anon_sym_unless] = ACTIONS(2104),
    [anon_sym_while] = ACTIONS(2104),
    [anon_sym_until] = ACTIONS(2104),
    [aux_sym__bareword_token1] = ACTIONS(2104),
    [sym_number] = ACTIONS(2104),
    [anon_sym_true] = ACTIONS(2104),
    [anon_sym_false] = ACTIONS(2104),
    [sym__single_quote] = ACTIONS(2102),
    [sym__double_quote] = ACTIONS(2102),
    [sym__backtick_quote] = ACTIONS(2102),
    [sym__search_slash_quote] = ACTIONS(2102),
    [sym__PERLY_HEREDOC] = ACTIONS(2102),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2102),
    [sym__filetest] = ACTIONS(2102),
  },
  [922] = {
    [sym_heredoc_content] = STATE(922),
    [sym__identifier] = ACTIONS(2156),
    [anon_sym_LBRACE] = ACTIONS(2156),
    [anon_sym_RBRACE] = ACTIONS(2156),
    [anon_sym_SEMI] = ACTIONS(2156),
    [anon_sym_package] = ACTIONS(2156),
    [anon_sym_class] = ACTIONS(2156),
    [anon_sym_role] = ACTIONS(2156),
    [anon_sym_BUILD] = ACTIONS(2156),
    [anon_sym_ADJUST] = ACTIONS(2156),
    [anon_sym_DOLLAR] = ACTIONS(2156),
    [anon_sym_AT] = ACTIONS(2156),
    [anon_sym_my] = ACTIONS(2156),
    [anon_sym_extended] = ACTIONS(2156),
    [anon_sym_async] = ACTIONS(2156),
    [anon_sym_sub] = ACTIONS(2156),
    [anon_sym_method] = ACTIONS(2156),
    [anon_sym_LPAREN] = ACTIONS(2156),
    [anon_sym_continue] = ACTIONS(2281),
    [anon_sym_state] = ACTIONS(2156),
    [anon_sym_our] = ACTIONS(2156),
    [anon_sym_try] = ACTIONS(2156),
    [anon_sym_defer] = ACTIONS(2156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2156),
    [anon_sym_LBRACK] = ACTIONS(2156),
    [anon_sym_LT] = ACTIONS(2156),
    [anon_sym_LT_LT] = ACTIONS(2156),
    [anon_sym_SLASH_SLASH] = ACTIONS(2156),
    [anon_sym_PLUS] = ACTIONS(2156),
    [anon_sym_DASH] = ACTIONS(2156),
    [anon_sym_STAR] = ACTIONS(2156),
    [anon_sym_TILDE] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2156),
    [anon_sym_PLUS_PLUS] = ACTIONS(2156),
    [anon_sym_DASH_DASH] = ACTIONS(2156),
    [anon_sym_BSLASH] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(2156),
    [anon_sym_eval] = ACTIONS(2156),
    [anon_sym_await] = ACTIONS(2156),
    [anon_sym_field] = ACTIONS(2156),
    [anon_sym_local] = ACTIONS(2156),
    [anon_sym_dynamically] = ACTIONS(2156),
    [anon_sym_require] = ACTIONS(2156),
    [anon_sym_map] = ACTIONS(2156),
    [anon_sym_grep] = ACTIONS(2156),
    [anon_sym_sort] = ACTIONS(2156),
    [anon_sym_goto] = ACTIONS(2156),
    [anon_sym_return] = ACTIONS(2156),
    [anon_sym_undef] = ACTIONS(2156),
    [anon_sym_PERCENT2] = ACTIONS(2156),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2156),
    [anon_sym_use] = ACTIONS(2156),
    [anon_sym_no] = ACTIONS(2156),
    [anon_sym_for] = ACTIONS(2156),
    [anon_sym_foreach] = ACTIONS(2156),
    [anon_sym_last] = ACTIONS(2156),
    [anon_sym_next] = ACTIONS(2156),
    [anon_sym_redo] = ACTIONS(2156),
    [anon_sym_BEGIN] = ACTIONS(2156),
    [anon_sym_INIT] = ACTIONS(2156),
    [anon_sym_CHECK] = ACTIONS(2156),
    [anon_sym_UNITCHECK] = ACTIONS(2156),
    [anon_sym_END] = ACTIONS(2156),
    [anon_sym___FILE__] = ACTIONS(2156),
    [anon_sym___LINE__] = ACTIONS(2156),
    [anon_sym___PACKAGE__] = ACTIONS(2156),
    [anon_sym___SUB__] = ACTIONS(2156),
    [anon_sym_break] = ACTIONS(2156),
    [anon_sym_fork] = ACTIONS(2156),
    [anon_sym_getppid] = ACTIONS(2156),
    [anon_sym_time] = ACTIONS(2156),
    [anon_sym_times] = ACTIONS(2156),
    [anon_sym_wait] = ACTIONS(2156),
    [anon_sym_wantarray] = ACTIONS(2156),
    [anon_sym_abs] = ACTIONS(2156),
    [anon_sym_alarm] = ACTIONS(2156),
    [anon_sym_chop] = ACTIONS(2156),
    [anon_sym_chdir] = ACTIONS(2156),
    [anon_sym_close] = ACTIONS(2156),
    [anon_sym_closedir] = ACTIONS(2156),
    [anon_sym_caller] = ACTIONS(2156),
    [anon_sym_chomp] = ACTIONS(2156),
    [anon_sym_chr] = ACTIONS(2156),
    [anon_sym_cos] = ACTIONS(2156),
    [anon_sym_chroot] = ACTIONS(2156),
    [anon_sym_defined] = ACTIONS(2156),
    [anon_sym_delete] = ACTIONS(2156),
    [anon_sym_dbmclose] = ACTIONS(2156),
    [anon_sym_exists] = ACTIONS(2156),
    [anon_sym_exit] = ACTIONS(2156),
    [anon_sym_eof] = ACTIONS(2156),
    [anon_sym_exp] = ACTIONS(2156),
    [anon_sym_each] = ACTIONS(2156),
    [anon_sym_fc] = ACTIONS(2156),
    [anon_sym_fileno] = ACTIONS(2156),
    [anon_sym_gmtime] = ACTIONS(2156),
    [anon_sym_getc] = ACTIONS(2156),
    [anon_sym_getpgrp] = ACTIONS(2156),
    [anon_sym_getprotobyname] = ACTIONS(2156),
    [anon_sym_getpwname] = ACTIONS(2156),
    [anon_sym_getpwuid] = ACTIONS(2156),
    [anon_sym_getpeername] = ACTIONS(2156),
    [anon_sym_getnetbyname] = ACTIONS(2156),
    [anon_sym_getsockname] = ACTIONS(2156),
    [anon_sym_getgrnam] = ACTIONS(2156),
    [anon_sym_getgrgid] = ACTIONS(2156),
    [anon_sym_hex] = ACTIONS(2156),
    [anon_sym_int] = ACTIONS(2156),
    [anon_sym_keys] = ACTIONS(2156),
    [anon_sym_lc] = ACTIONS(2156),
    [anon_sym_lcfirst] = ACTIONS(2156),
    [anon_sym_length] = ACTIONS(2156),
    [anon_sym_localtime] = ACTIONS(2156),
    [anon_sym_log] = ACTIONS(2156),
    [anon_sym_lock] = ACTIONS(2156),
    [anon_sym_lstat] = ACTIONS(2156),
    [anon_sym_oct] = ACTIONS(2156),
    [anon_sym_ord] = ACTIONS(2156),
    [anon_sym_prototype] = ACTIONS(2156),
    [anon_sym_pop] = ACTIONS(2156),
    [anon_sym_pos] = ACTIONS(2156),
    [anon_sym_quotemeta] = ACTIONS(2156),
    [anon_sym_reset] = ACTIONS(2156),
    [anon_sym_rand] = ACTIONS(2156),
    [anon_sym_rmdir] = ACTIONS(2156),
    [anon_sym_readdir] = ACTIONS(2156),
    [anon_sym_readline] = ACTIONS(2156),
    [anon_sym_readpipe] = ACTIONS(2156),
    [anon_sym_rewinddir] = ACTIONS(2156),
    [anon_sym_readlink] = ACTIONS(2156),
    [anon_sym_ref] = ACTIONS(2156),
    [anon_sym_scalar] = ACTIONS(2156),
    [anon_sym_shift] = ACTIONS(2156),
    [anon_sym_sin] = ACTIONS(2156),
    [anon_sym_sleep] = ACTIONS(2156),
    [anon_sym_sqrt] = ACTIONS(2156),
    [anon_sym_srand] = ACTIONS(2156),
    [anon_sym_stat] = ACTIONS(2156),
    [anon_sym_study] = ACTIONS(2156),
    [anon_sym_tell] = ACTIONS(2156),
    [anon_sym_telldir] = ACTIONS(2156),
    [anon_sym_tied] = ACTIONS(2156),
    [anon_sym_uc] = ACTIONS(2156),
    [anon_sym_ucfirst] = ACTIONS(2156),
    [anon_sym_untie] = ACTIONS(2156),
    [anon_sym_umask] = ACTIONS(2156),
    [anon_sym_values] = ACTIONS(2156),
    [anon_sym_write] = ACTIONS(2156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2156),
    [anon_sym_qq] = ACTIONS(2156),
    [anon_sym_qw] = ACTIONS(2156),
    [anon_sym_qx] = ACTIONS(2156),
    [anon_sym_qr] = ACTIONS(2156),
    [anon_sym_m] = ACTIONS(2156),
    [anon_sym_s] = ACTIONS(2156),
    [anon_sym_tr] = ACTIONS(2156),
    [anon_sym_y] = ACTIONS(2156),
    [anon_sym_if] = ACTIONS(2156),
    [anon_sym_unless] = ACTIONS(2156),
    [anon_sym_while] = ACTIONS(2156),
    [anon_sym_until] = ACTIONS(2156),
    [aux_sym__bareword_token1] = ACTIONS(2156),
    [sym_number] = ACTIONS(2156),
    [anon_sym_true] = ACTIONS(2156),
    [anon_sym_false] = ACTIONS(2156),
    [sym__single_quote] = ACTIONS(2154),
    [sym__double_quote] = ACTIONS(2154),
    [sym__backtick_quote] = ACTIONS(2154),
    [sym__search_slash_quote] = ACTIONS(2154),
    [sym__PERLY_HEREDOC] = ACTIONS(2154),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2154),
    [sym__filetest] = ACTIONS(2154),
  },
  [923] = {
    [sym_heredoc_content] = STATE(923),
    [sym__identifier] = ACTIONS(1896),
    [anon_sym_LBRACE] = ACTIONS(1896),
    [anon_sym_RBRACE] = ACTIONS(1896),
    [anon_sym_SEMI] = ACTIONS(1896),
    [anon_sym_package] = ACTIONS(1896),
    [anon_sym_class] = ACTIONS(1896),
    [anon_sym_role] = ACTIONS(1896),
    [anon_sym_BUILD] = ACTIONS(1896),
    [anon_sym_ADJUST] = ACTIONS(1896),
    [anon_sym_DOLLAR] = ACTIONS(1896),
    [anon_sym_AT] = ACTIONS(1896),
    [anon_sym_my] = ACTIONS(1896),
    [anon_sym_extended] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(1896),
    [anon_sym_sub] = ACTIONS(1896),
    [anon_sym_method] = ACTIONS(1896),
    [anon_sym_LPAREN] = ACTIONS(1896),
    [anon_sym_continue] = ACTIONS(1896),
    [anon_sym_state] = ACTIONS(1896),
    [anon_sym_our] = ACTIONS(1896),
    [anon_sym_try] = ACTIONS(1896),
    [anon_sym_defer] = ACTIONS(1896),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1896),
    [anon_sym_LBRACK] = ACTIONS(1896),
    [anon_sym_LT] = ACTIONS(1896),
    [anon_sym_LT_LT] = ACTIONS(1896),
    [anon_sym_SLASH_SLASH] = ACTIONS(1896),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_STAR] = ACTIONS(1896),
    [anon_sym_TILDE] = ACTIONS(1896),
    [anon_sym_BANG] = ACTIONS(1896),
    [anon_sym_PLUS_PLUS] = ACTIONS(1896),
    [anon_sym_DASH_DASH] = ACTIONS(1896),
    [anon_sym_BSLASH] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_eval] = ACTIONS(1896),
    [anon_sym_await] = ACTIONS(1896),
    [anon_sym_field] = ACTIONS(1896),
    [anon_sym_local] = ACTIONS(1896),
    [anon_sym_dynamically] = ACTIONS(1896),
    [anon_sym_require] = ACTIONS(1896),
    [anon_sym_map] = ACTIONS(1896),
    [anon_sym_grep] = ACTIONS(1896),
    [anon_sym_sort] = ACTIONS(1896),
    [anon_sym_goto] = ACTIONS(1896),
    [anon_sym_return] = ACTIONS(1896),
    [anon_sym_undef] = ACTIONS(1896),
    [anon_sym_PERCENT2] = ACTIONS(1896),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1896),
    [anon_sym_use] = ACTIONS(1896),
    [anon_sym_no] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1896),
    [anon_sym_foreach] = ACTIONS(1896),
    [anon_sym_last] = ACTIONS(1896),
    [anon_sym_next] = ACTIONS(1896),
    [anon_sym_redo] = ACTIONS(1896),
    [anon_sym_BEGIN] = ACTIONS(1896),
    [anon_sym_INIT] = ACTIONS(1896),
    [anon_sym_CHECK] = ACTIONS(1896),
    [anon_sym_UNITCHECK] = ACTIONS(1896),
    [anon_sym_END] = ACTIONS(1896),
    [anon_sym___FILE__] = ACTIONS(1896),
    [anon_sym___LINE__] = ACTIONS(1896),
    [anon_sym___PACKAGE__] = ACTIONS(1896),
    [anon_sym___SUB__] = ACTIONS(1896),
    [anon_sym_break] = ACTIONS(1896),
    [anon_sym_fork] = ACTIONS(1896),
    [anon_sym_getppid] = ACTIONS(1896),
    [anon_sym_time] = ACTIONS(1896),
    [anon_sym_times] = ACTIONS(1896),
    [anon_sym_wait] = ACTIONS(1896),
    [anon_sym_wantarray] = ACTIONS(1896),
    [anon_sym_abs] = ACTIONS(1896),
    [anon_sym_alarm] = ACTIONS(1896),
    [anon_sym_chop] = ACTIONS(1896),
    [anon_sym_chdir] = ACTIONS(1896),
    [anon_sym_close] = ACTIONS(1896),
    [anon_sym_closedir] = ACTIONS(1896),
    [anon_sym_caller] = ACTIONS(1896),
    [anon_sym_chomp] = ACTIONS(1896),
    [anon_sym_chr] = ACTIONS(1896),
    [anon_sym_cos] = ACTIONS(1896),
    [anon_sym_chroot] = ACTIONS(1896),
    [anon_sym_defined] = ACTIONS(1896),
    [anon_sym_delete] = ACTIONS(1896),
    [anon_sym_dbmclose] = ACTIONS(1896),
    [anon_sym_exists] = ACTIONS(1896),
    [anon_sym_exit] = ACTIONS(1896),
    [anon_sym_eof] = ACTIONS(1896),
    [anon_sym_exp] = ACTIONS(1896),
    [anon_sym_each] = ACTIONS(1896),
    [anon_sym_fc] = ACTIONS(1896),
    [anon_sym_fileno] = ACTIONS(1896),
    [anon_sym_gmtime] = ACTIONS(1896),
    [anon_sym_getc] = ACTIONS(1896),
    [anon_sym_getpgrp] = ACTIONS(1896),
    [anon_sym_getprotobyname] = ACTIONS(1896),
    [anon_sym_getpwname] = ACTIONS(1896),
    [anon_sym_getpwuid] = ACTIONS(1896),
    [anon_sym_getpeername] = ACTIONS(1896),
    [anon_sym_getnetbyname] = ACTIONS(1896),
    [anon_sym_getsockname] = ACTIONS(1896),
    [anon_sym_getgrnam] = ACTIONS(1896),
    [anon_sym_getgrgid] = ACTIONS(1896),
    [anon_sym_hex] = ACTIONS(1896),
    [anon_sym_int] = ACTIONS(1896),
    [anon_sym_keys] = ACTIONS(1896),
    [anon_sym_lc] = ACTIONS(1896),
    [anon_sym_lcfirst] = ACTIONS(1896),
    [anon_sym_length] = ACTIONS(1896),
    [anon_sym_localtime] = ACTIONS(1896),
    [anon_sym_log] = ACTIONS(1896),
    [anon_sym_lock] = ACTIONS(1896),
    [anon_sym_lstat] = ACTIONS(1896),
    [anon_sym_oct] = ACTIONS(1896),
    [anon_sym_ord] = ACTIONS(1896),
    [anon_sym_prototype] = ACTIONS(1896),
    [anon_sym_pop] = ACTIONS(1896),
    [anon_sym_pos] = ACTIONS(1896),
    [anon_sym_quotemeta] = ACTIONS(1896),
    [anon_sym_reset] = ACTIONS(1896),
    [anon_sym_rand] = ACTIONS(1896),
    [anon_sym_rmdir] = ACTIONS(1896),
    [anon_sym_readdir] = ACTIONS(1896),
    [anon_sym_readline] = ACTIONS(1896),
    [anon_sym_readpipe] = ACTIONS(1896),
    [anon_sym_rewinddir] = ACTIONS(1896),
    [anon_sym_readlink] = ACTIONS(1896),
    [anon_sym_ref] = ACTIONS(1896),
    [anon_sym_scalar] = ACTIONS(1896),
    [anon_sym_shift] = ACTIONS(1896),
    [anon_sym_sin] = ACTIONS(1896),
    [anon_sym_sleep] = ACTIONS(1896),
    [anon_sym_sqrt] = ACTIONS(1896),
    [anon_sym_srand] = ACTIONS(1896),
    [anon_sym_stat] = ACTIONS(1896),
    [anon_sym_study] = ACTIONS(1896),
    [anon_sym_tell] = ACTIONS(1896),
    [anon_sym_telldir] = ACTIONS(1896),
    [anon_sym_tied] = ACTIONS(1896),
    [anon_sym_uc] = ACTIONS(1896),
    [anon_sym_ucfirst] = ACTIONS(1896),
    [anon_sym_untie] = ACTIONS(1896),
    [anon_sym_umask] = ACTIONS(1896),
    [anon_sym_values] = ACTIONS(1896),
    [anon_sym_write] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1896),
    [anon_sym_qq] = ACTIONS(1896),
    [anon_sym_qw] = ACTIONS(1896),
    [anon_sym_qx] = ACTIONS(1896),
    [anon_sym_qr] = ACTIONS(1896),
    [anon_sym_m] = ACTIONS(1896),
    [anon_sym_s] = ACTIONS(1896),
    [anon_sym_tr] = ACTIONS(1896),
    [anon_sym_y] = ACTIONS(1896),
    [anon_sym_if] = ACTIONS(1896),
    [anon_sym_unless] = ACTIONS(1896),
    [anon_sym_while] = ACTIONS(1896),
    [anon_sym_until] = ACTIONS(1896),
    [aux_sym__bareword_token1] = ACTIONS(1896),
    [sym_number] = ACTIONS(1896),
    [anon_sym_true] = ACTIONS(1896),
    [anon_sym_false] = ACTIONS(1896),
    [sym__single_quote] = ACTIONS(1894),
    [sym__double_quote] = ACTIONS(1894),
    [sym__backtick_quote] = ACTIONS(1894),
    [sym__search_slash_quote] = ACTIONS(1894),
    [sym__PERLY_HEREDOC] = ACTIONS(1894),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1894),
    [sym__filetest] = ACTIONS(1894),
  },
  [924] = {
    [sym_heredoc_content] = STATE(924),
    [sym__identifier] = ACTIONS(1936),
    [anon_sym_LBRACE] = ACTIONS(1936),
    [anon_sym_RBRACE] = ACTIONS(1936),
    [anon_sym_SEMI] = ACTIONS(1936),
    [anon_sym_package] = ACTIONS(1936),
    [anon_sym_class] = ACTIONS(1936),
    [anon_sym_role] = ACTIONS(1936),
    [anon_sym_BUILD] = ACTIONS(1936),
    [anon_sym_ADJUST] = ACTIONS(1936),
    [anon_sym_DOLLAR] = ACTIONS(1936),
    [anon_sym_AT] = ACTIONS(1936),
    [anon_sym_my] = ACTIONS(1936),
    [anon_sym_extended] = ACTIONS(1936),
    [anon_sym_async] = ACTIONS(1936),
    [anon_sym_sub] = ACTIONS(1936),
    [anon_sym_method] = ACTIONS(1936),
    [anon_sym_LPAREN] = ACTIONS(1936),
    [anon_sym_continue] = ACTIONS(1936),
    [anon_sym_state] = ACTIONS(1936),
    [anon_sym_our] = ACTIONS(1936),
    [anon_sym_try] = ACTIONS(1936),
    [anon_sym_defer] = ACTIONS(1936),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1936),
    [anon_sym_LBRACK] = ACTIONS(1936),
    [anon_sym_LT] = ACTIONS(1936),
    [anon_sym_LT_LT] = ACTIONS(1936),
    [anon_sym_SLASH_SLASH] = ACTIONS(1936),
    [anon_sym_PLUS] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1936),
    [anon_sym_STAR] = ACTIONS(1936),
    [anon_sym_TILDE] = ACTIONS(1936),
    [anon_sym_BANG] = ACTIONS(1936),
    [anon_sym_PLUS_PLUS] = ACTIONS(1936),
    [anon_sym_DASH_DASH] = ACTIONS(1936),
    [anon_sym_BSLASH] = ACTIONS(1934),
    [anon_sym_do] = ACTIONS(1936),
    [anon_sym_eval] = ACTIONS(1936),
    [anon_sym_await] = ACTIONS(1936),
    [anon_sym_field] = ACTIONS(1936),
    [anon_sym_local] = ACTIONS(1936),
    [anon_sym_dynamically] = ACTIONS(1936),
    [anon_sym_require] = ACTIONS(1936),
    [anon_sym_map] = ACTIONS(1936),
    [anon_sym_grep] = ACTIONS(1936),
    [anon_sym_sort] = ACTIONS(1936),
    [anon_sym_goto] = ACTIONS(1936),
    [anon_sym_return] = ACTIONS(1936),
    [anon_sym_undef] = ACTIONS(1936),
    [anon_sym_PERCENT2] = ACTIONS(1936),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1936),
    [anon_sym_use] = ACTIONS(1936),
    [anon_sym_no] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1936),
    [anon_sym_foreach] = ACTIONS(1936),
    [anon_sym_last] = ACTIONS(1936),
    [anon_sym_next] = ACTIONS(1936),
    [anon_sym_redo] = ACTIONS(1936),
    [anon_sym_BEGIN] = ACTIONS(1936),
    [anon_sym_INIT] = ACTIONS(1936),
    [anon_sym_CHECK] = ACTIONS(1936),
    [anon_sym_UNITCHECK] = ACTIONS(1936),
    [anon_sym_END] = ACTIONS(1936),
    [anon_sym___FILE__] = ACTIONS(1936),
    [anon_sym___LINE__] = ACTIONS(1936),
    [anon_sym___PACKAGE__] = ACTIONS(1936),
    [anon_sym___SUB__] = ACTIONS(1936),
    [anon_sym_break] = ACTIONS(1936),
    [anon_sym_fork] = ACTIONS(1936),
    [anon_sym_getppid] = ACTIONS(1936),
    [anon_sym_time] = ACTIONS(1936),
    [anon_sym_times] = ACTIONS(1936),
    [anon_sym_wait] = ACTIONS(1936),
    [anon_sym_wantarray] = ACTIONS(1936),
    [anon_sym_abs] = ACTIONS(1936),
    [anon_sym_alarm] = ACTIONS(1936),
    [anon_sym_chop] = ACTIONS(1936),
    [anon_sym_chdir] = ACTIONS(1936),
    [anon_sym_close] = ACTIONS(1936),
    [anon_sym_closedir] = ACTIONS(1936),
    [anon_sym_caller] = ACTIONS(1936),
    [anon_sym_chomp] = ACTIONS(1936),
    [anon_sym_chr] = ACTIONS(1936),
    [anon_sym_cos] = ACTIONS(1936),
    [anon_sym_chroot] = ACTIONS(1936),
    [anon_sym_defined] = ACTIONS(1936),
    [anon_sym_delete] = ACTIONS(1936),
    [anon_sym_dbmclose] = ACTIONS(1936),
    [anon_sym_exists] = ACTIONS(1936),
    [anon_sym_exit] = ACTIONS(1936),
    [anon_sym_eof] = ACTIONS(1936),
    [anon_sym_exp] = ACTIONS(1936),
    [anon_sym_each] = ACTIONS(1936),
    [anon_sym_fc] = ACTIONS(1936),
    [anon_sym_fileno] = ACTIONS(1936),
    [anon_sym_gmtime] = ACTIONS(1936),
    [anon_sym_getc] = ACTIONS(1936),
    [anon_sym_getpgrp] = ACTIONS(1936),
    [anon_sym_getprotobyname] = ACTIONS(1936),
    [anon_sym_getpwname] = ACTIONS(1936),
    [anon_sym_getpwuid] = ACTIONS(1936),
    [anon_sym_getpeername] = ACTIONS(1936),
    [anon_sym_getnetbyname] = ACTIONS(1936),
    [anon_sym_getsockname] = ACTIONS(1936),
    [anon_sym_getgrnam] = ACTIONS(1936),
    [anon_sym_getgrgid] = ACTIONS(1936),
    [anon_sym_hex] = ACTIONS(1936),
    [anon_sym_int] = ACTIONS(1936),
    [anon_sym_keys] = ACTIONS(1936),
    [anon_sym_lc] = ACTIONS(1936),
    [anon_sym_lcfirst] = ACTIONS(1936),
    [anon_sym_length] = ACTIONS(1936),
    [anon_sym_localtime] = ACTIONS(1936),
    [anon_sym_log] = ACTIONS(1936),
    [anon_sym_lock] = ACTIONS(1936),
    [anon_sym_lstat] = ACTIONS(1936),
    [anon_sym_oct] = ACTIONS(1936),
    [anon_sym_ord] = ACTIONS(1936),
    [anon_sym_prototype] = ACTIONS(1936),
    [anon_sym_pop] = ACTIONS(1936),
    [anon_sym_pos] = ACTIONS(1936),
    [anon_sym_quotemeta] = ACTIONS(1936),
    [anon_sym_reset] = ACTIONS(1936),
    [anon_sym_rand] = ACTIONS(1936),
    [anon_sym_rmdir] = ACTIONS(1936),
    [anon_sym_readdir] = ACTIONS(1936),
    [anon_sym_readline] = ACTIONS(1936),
    [anon_sym_readpipe] = ACTIONS(1936),
    [anon_sym_rewinddir] = ACTIONS(1936),
    [anon_sym_readlink] = ACTIONS(1936),
    [anon_sym_ref] = ACTIONS(1936),
    [anon_sym_scalar] = ACTIONS(1936),
    [anon_sym_shift] = ACTIONS(1936),
    [anon_sym_sin] = ACTIONS(1936),
    [anon_sym_sleep] = ACTIONS(1936),
    [anon_sym_sqrt] = ACTIONS(1936),
    [anon_sym_srand] = ACTIONS(1936),
    [anon_sym_stat] = ACTIONS(1936),
    [anon_sym_study] = ACTIONS(1936),
    [anon_sym_tell] = ACTIONS(1936),
    [anon_sym_telldir] = ACTIONS(1936),
    [anon_sym_tied] = ACTIONS(1936),
    [anon_sym_uc] = ACTIONS(1936),
    [anon_sym_ucfirst] = ACTIONS(1936),
    [anon_sym_untie] = ACTIONS(1936),
    [anon_sym_umask] = ACTIONS(1936),
    [anon_sym_values] = ACTIONS(1936),
    [anon_sym_write] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1936),
    [anon_sym_qq] = ACTIONS(1936),
    [anon_sym_qw] = ACTIONS(1936),
    [anon_sym_qx] = ACTIONS(1936),
    [anon_sym_qr] = ACTIONS(1936),
    [anon_sym_m] = ACTIONS(1936),
    [anon_sym_s] = ACTIONS(1936),
    [anon_sym_tr] = ACTIONS(1936),
    [anon_sym_y] = ACTIONS(1936),
    [anon_sym_if] = ACTIONS(1936),
    [anon_sym_unless] = ACTIONS(1936),
    [anon_sym_while] = ACTIONS(1936),
    [anon_sym_until] = ACTIONS(1936),
    [aux_sym__bareword_token1] = ACTIONS(1936),
    [sym_number] = ACTIONS(1936),
    [anon_sym_true] = ACTIONS(1936),
    [anon_sym_false] = ACTIONS(1936),
    [sym__single_quote] = ACTIONS(1934),
    [sym__double_quote] = ACTIONS(1934),
    [sym__backtick_quote] = ACTIONS(1934),
    [sym__search_slash_quote] = ACTIONS(1934),
    [sym__PERLY_HEREDOC] = ACTIONS(1934),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1934),
    [sym__filetest] = ACTIONS(1934),
  },
  [925] = {
    [sym_heredoc_content] = STATE(925),
    [sym__identifier] = ACTIONS(1944),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_RBRACE] = ACTIONS(1944),
    [anon_sym_SEMI] = ACTIONS(1944),
    [anon_sym_package] = ACTIONS(1944),
    [anon_sym_class] = ACTIONS(1944),
    [anon_sym_role] = ACTIONS(1944),
    [anon_sym_BUILD] = ACTIONS(1944),
    [anon_sym_ADJUST] = ACTIONS(1944),
    [anon_sym_DOLLAR] = ACTIONS(1944),
    [anon_sym_AT] = ACTIONS(1944),
    [anon_sym_my] = ACTIONS(1944),
    [anon_sym_extended] = ACTIONS(1944),
    [anon_sym_async] = ACTIONS(1944),
    [anon_sym_sub] = ACTIONS(1944),
    [anon_sym_method] = ACTIONS(1944),
    [anon_sym_LPAREN] = ACTIONS(1944),
    [anon_sym_continue] = ACTIONS(1944),
    [anon_sym_state] = ACTIONS(1944),
    [anon_sym_our] = ACTIONS(1944),
    [anon_sym_try] = ACTIONS(1944),
    [anon_sym_defer] = ACTIONS(1944),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1944),
    [anon_sym_LBRACK] = ACTIONS(1944),
    [anon_sym_LT] = ACTIONS(1944),
    [anon_sym_LT_LT] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(1944),
    [anon_sym_DASH] = ACTIONS(1944),
    [anon_sym_STAR] = ACTIONS(1944),
    [anon_sym_TILDE] = ACTIONS(1944),
    [anon_sym_BANG] = ACTIONS(1944),
    [anon_sym_PLUS_PLUS] = ACTIONS(1944),
    [anon_sym_DASH_DASH] = ACTIONS(1944),
    [anon_sym_BSLASH] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_eval] = ACTIONS(1944),
    [anon_sym_await] = ACTIONS(1944),
    [anon_sym_field] = ACTIONS(1944),
    [anon_sym_local] = ACTIONS(1944),
    [anon_sym_dynamically] = ACTIONS(1944),
    [anon_sym_require] = ACTIONS(1944),
    [anon_sym_map] = ACTIONS(1944),
    [anon_sym_grep] = ACTIONS(1944),
    [anon_sym_sort] = ACTIONS(1944),
    [anon_sym_goto] = ACTIONS(1944),
    [anon_sym_return] = ACTIONS(1944),
    [anon_sym_undef] = ACTIONS(1944),
    [anon_sym_PERCENT2] = ACTIONS(1944),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1944),
    [anon_sym_use] = ACTIONS(1944),
    [anon_sym_no] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_foreach] = ACTIONS(1944),
    [anon_sym_last] = ACTIONS(1944),
    [anon_sym_next] = ACTIONS(1944),
    [anon_sym_redo] = ACTIONS(1944),
    [anon_sym_BEGIN] = ACTIONS(1944),
    [anon_sym_INIT] = ACTIONS(1944),
    [anon_sym_CHECK] = ACTIONS(1944),
    [anon_sym_UNITCHECK] = ACTIONS(1944),
    [anon_sym_END] = ACTIONS(1944),
    [anon_sym___FILE__] = ACTIONS(1944),
    [anon_sym___LINE__] = ACTIONS(1944),
    [anon_sym___PACKAGE__] = ACTIONS(1944),
    [anon_sym___SUB__] = ACTIONS(1944),
    [anon_sym_break] = ACTIONS(1944),
    [anon_sym_fork] = ACTIONS(1944),
    [anon_sym_getppid] = ACTIONS(1944),
    [anon_sym_time] = ACTIONS(1944),
    [anon_sym_times] = ACTIONS(1944),
    [anon_sym_wait] = ACTIONS(1944),
    [anon_sym_wantarray] = ACTIONS(1944),
    [anon_sym_abs] = ACTIONS(1944),
    [anon_sym_alarm] = ACTIONS(1944),
    [anon_sym_chop] = ACTIONS(1944),
    [anon_sym_chdir] = ACTIONS(1944),
    [anon_sym_close] = ACTIONS(1944),
    [anon_sym_closedir] = ACTIONS(1944),
    [anon_sym_caller] = ACTIONS(1944),
    [anon_sym_chomp] = ACTIONS(1944),
    [anon_sym_chr] = ACTIONS(1944),
    [anon_sym_cos] = ACTIONS(1944),
    [anon_sym_chroot] = ACTIONS(1944),
    [anon_sym_defined] = ACTIONS(1944),
    [anon_sym_delete] = ACTIONS(1944),
    [anon_sym_dbmclose] = ACTIONS(1944),
    [anon_sym_exists] = ACTIONS(1944),
    [anon_sym_exit] = ACTIONS(1944),
    [anon_sym_eof] = ACTIONS(1944),
    [anon_sym_exp] = ACTIONS(1944),
    [anon_sym_each] = ACTIONS(1944),
    [anon_sym_fc] = ACTIONS(1944),
    [anon_sym_fileno] = ACTIONS(1944),
    [anon_sym_gmtime] = ACTIONS(1944),
    [anon_sym_getc] = ACTIONS(1944),
    [anon_sym_getpgrp] = ACTIONS(1944),
    [anon_sym_getprotobyname] = ACTIONS(1944),
    [anon_sym_getpwname] = ACTIONS(1944),
    [anon_sym_getpwuid] = ACTIONS(1944),
    [anon_sym_getpeername] = ACTIONS(1944),
    [anon_sym_getnetbyname] = ACTIONS(1944),
    [anon_sym_getsockname] = ACTIONS(1944),
    [anon_sym_getgrnam] = ACTIONS(1944),
    [anon_sym_getgrgid] = ACTIONS(1944),
    [anon_sym_hex] = ACTIONS(1944),
    [anon_sym_int] = ACTIONS(1944),
    [anon_sym_keys] = ACTIONS(1944),
    [anon_sym_lc] = ACTIONS(1944),
    [anon_sym_lcfirst] = ACTIONS(1944),
    [anon_sym_length] = ACTIONS(1944),
    [anon_sym_localtime] = ACTIONS(1944),
    [anon_sym_log] = ACTIONS(1944),
    [anon_sym_lock] = ACTIONS(1944),
    [anon_sym_lstat] = ACTIONS(1944),
    [anon_sym_oct] = ACTIONS(1944),
    [anon_sym_ord] = ACTIONS(1944),
    [anon_sym_prototype] = ACTIONS(1944),
    [anon_sym_pop] = ACTIONS(1944),
    [anon_sym_pos] = ACTIONS(1944),
    [anon_sym_quotemeta] = ACTIONS(1944),
    [anon_sym_reset] = ACTIONS(1944),
    [anon_sym_rand] = ACTIONS(1944),
    [anon_sym_rmdir] = ACTIONS(1944),
    [anon_sym_readdir] = ACTIONS(1944),
    [anon_sym_readline] = ACTIONS(1944),
    [anon_sym_readpipe] = ACTIONS(1944),
    [anon_sym_rewinddir] = ACTIONS(1944),
    [anon_sym_readlink] = ACTIONS(1944),
    [anon_sym_ref] = ACTIONS(1944),
    [anon_sym_scalar] = ACTIONS(1944),
    [anon_sym_shift] = ACTIONS(1944),
    [anon_sym_sin] = ACTIONS(1944),
    [anon_sym_sleep] = ACTIONS(1944),
    [anon_sym_sqrt] = ACTIONS(1944),
    [anon_sym_srand] = ACTIONS(1944),
    [anon_sym_stat] = ACTIONS(1944),
    [anon_sym_study] = ACTIONS(1944),
    [anon_sym_tell] = ACTIONS(1944),
    [anon_sym_telldir] = ACTIONS(1944),
    [anon_sym_tied] = ACTIONS(1944),
    [anon_sym_uc] = ACTIONS(1944),
    [anon_sym_ucfirst] = ACTIONS(1944),
    [anon_sym_untie] = ACTIONS(1944),
    [anon_sym_umask] = ACTIONS(1944),
    [anon_sym_values] = ACTIONS(1944),
    [anon_sym_write] = ACTIONS(1944),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1944),
    [anon_sym_qq] = ACTIONS(1944),
    [anon_sym_qw] = ACTIONS(1944),
    [anon_sym_qx] = ACTIONS(1944),
    [anon_sym_qr] = ACTIONS(1944),
    [anon_sym_m] = ACTIONS(1944),
    [anon_sym_s] = ACTIONS(1944),
    [anon_sym_tr] = ACTIONS(1944),
    [anon_sym_y] = ACTIONS(1944),
    [anon_sym_if] = ACTIONS(1944),
    [anon_sym_unless] = ACTIONS(1944),
    [anon_sym_while] = ACTIONS(1944),
    [anon_sym_until] = ACTIONS(1944),
    [aux_sym__bareword_token1] = ACTIONS(1944),
    [sym_number] = ACTIONS(1944),
    [anon_sym_true] = ACTIONS(1944),
    [anon_sym_false] = ACTIONS(1944),
    [sym__single_quote] = ACTIONS(1942),
    [sym__double_quote] = ACTIONS(1942),
    [sym__backtick_quote] = ACTIONS(1942),
    [sym__search_slash_quote] = ACTIONS(1942),
    [sym__PERLY_HEREDOC] = ACTIONS(1942),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1942),
    [sym__filetest] = ACTIONS(1942),
  },
  [926] = {
    [sym_heredoc_content] = STATE(926),
    [sym__identifier] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1781),
    [anon_sym_RBRACE] = ACTIONS(1781),
    [anon_sym_SEMI] = ACTIONS(1781),
    [anon_sym_package] = ACTIONS(1781),
    [anon_sym_class] = ACTIONS(1781),
    [anon_sym_role] = ACTIONS(1781),
    [anon_sym_BUILD] = ACTIONS(1781),
    [anon_sym_ADJUST] = ACTIONS(1781),
    [anon_sym_DOLLAR] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(1781),
    [anon_sym_my] = ACTIONS(1781),
    [anon_sym_extended] = ACTIONS(1781),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_sub] = ACTIONS(1781),
    [anon_sym_method] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1781),
    [anon_sym_continue] = ACTIONS(1781),
    [anon_sym_state] = ACTIONS(1781),
    [anon_sym_our] = ACTIONS(1781),
    [anon_sym_try] = ACTIONS(1781),
    [anon_sym_defer] = ACTIONS(1781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_BANG] = ACTIONS(1781),
    [anon_sym_PLUS_PLUS] = ACTIONS(1781),
    [anon_sym_DASH_DASH] = ACTIONS(1781),
    [anon_sym_BSLASH] = ACTIONS(1783),
    [anon_sym_do] = ACTIONS(1781),
    [anon_sym_eval] = ACTIONS(1781),
    [anon_sym_await] = ACTIONS(1781),
    [anon_sym_field] = ACTIONS(1781),
    [anon_sym_local] = ACTIONS(1781),
    [anon_sym_dynamically] = ACTIONS(1781),
    [anon_sym_require] = ACTIONS(1781),
    [anon_sym_map] = ACTIONS(1781),
    [anon_sym_grep] = ACTIONS(1781),
    [anon_sym_sort] = ACTIONS(1781),
    [anon_sym_goto] = ACTIONS(1781),
    [anon_sym_return] = ACTIONS(1781),
    [anon_sym_undef] = ACTIONS(1781),
    [anon_sym_PERCENT2] = ACTIONS(1781),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1781),
    [anon_sym_use] = ACTIONS(1781),
    [anon_sym_no] = ACTIONS(1781),
    [anon_sym_for] = ACTIONS(1781),
    [anon_sym_foreach] = ACTIONS(1781),
    [anon_sym_last] = ACTIONS(1781),
    [anon_sym_next] = ACTIONS(1781),
    [anon_sym_redo] = ACTIONS(1781),
    [anon_sym_BEGIN] = ACTIONS(1781),
    [anon_sym_INIT] = ACTIONS(1781),
    [anon_sym_CHECK] = ACTIONS(1781),
    [anon_sym_UNITCHECK] = ACTIONS(1781),
    [anon_sym_END] = ACTIONS(1781),
    [anon_sym___FILE__] = ACTIONS(1781),
    [anon_sym___LINE__] = ACTIONS(1781),
    [anon_sym___PACKAGE__] = ACTIONS(1781),
    [anon_sym___SUB__] = ACTIONS(1781),
    [anon_sym_break] = ACTIONS(1781),
    [anon_sym_fork] = ACTIONS(1781),
    [anon_sym_getppid] = ACTIONS(1781),
    [anon_sym_time] = ACTIONS(1781),
    [anon_sym_times] = ACTIONS(1781),
    [anon_sym_wait] = ACTIONS(1781),
    [anon_sym_wantarray] = ACTIONS(1781),
    [anon_sym_abs] = ACTIONS(1781),
    [anon_sym_alarm] = ACTIONS(1781),
    [anon_sym_chop] = ACTIONS(1781),
    [anon_sym_chdir] = ACTIONS(1781),
    [anon_sym_close] = ACTIONS(1781),
    [anon_sym_closedir] = ACTIONS(1781),
    [anon_sym_caller] = ACTIONS(1781),
    [anon_sym_chomp] = ACTIONS(1781),
    [anon_sym_chr] = ACTIONS(1781),
    [anon_sym_cos] = ACTIONS(1781),
    [anon_sym_chroot] = ACTIONS(1781),
    [anon_sym_defined] = ACTIONS(1781),
    [anon_sym_delete] = ACTIONS(1781),
    [anon_sym_dbmclose] = ACTIONS(1781),
    [anon_sym_exists] = ACTIONS(1781),
    [anon_sym_exit] = ACTIONS(1781),
    [anon_sym_eof] = ACTIONS(1781),
    [anon_sym_exp] = ACTIONS(1781),
    [anon_sym_each] = ACTIONS(1781),
    [anon_sym_fc] = ACTIONS(1781),
    [anon_sym_fileno] = ACTIONS(1781),
    [anon_sym_gmtime] = ACTIONS(1781),
    [anon_sym_getc] = ACTIONS(1781),
    [anon_sym_getpgrp] = ACTIONS(1781),
    [anon_sym_getprotobyname] = ACTIONS(1781),
    [anon_sym_getpwname] = ACTIONS(1781),
    [anon_sym_getpwuid] = ACTIONS(1781),
    [anon_sym_getpeername] = ACTIONS(1781),
    [anon_sym_getnetbyname] = ACTIONS(1781),
    [anon_sym_getsockname] = ACTIONS(1781),
    [anon_sym_getgrnam] = ACTIONS(1781),
    [anon_sym_getgrgid] = ACTIONS(1781),
    [anon_sym_hex] = ACTIONS(1781),
    [anon_sym_int] = ACTIONS(1781),
    [anon_sym_keys] = ACTIONS(1781),
    [anon_sym_lc] = ACTIONS(1781),
    [anon_sym_lcfirst] = ACTIONS(1781),
    [anon_sym_length] = ACTIONS(1781),
    [anon_sym_localtime] = ACTIONS(1781),
    [anon_sym_log] = ACTIONS(1781),
    [anon_sym_lock] = ACTIONS(1781),
    [anon_sym_lstat] = ACTIONS(1781),
    [anon_sym_oct] = ACTIONS(1781),
    [anon_sym_ord] = ACTIONS(1781),
    [anon_sym_prototype] = ACTIONS(1781),
    [anon_sym_pop] = ACTIONS(1781),
    [anon_sym_pos] = ACTIONS(1781),
    [anon_sym_quotemeta] = ACTIONS(1781),
    [anon_sym_reset] = ACTIONS(1781),
    [anon_sym_rand] = ACTIONS(1781),
    [anon_sym_rmdir] = ACTIONS(1781),
    [anon_sym_readdir] = ACTIONS(1781),
    [anon_sym_readline] = ACTIONS(1781),
    [anon_sym_readpipe] = ACTIONS(1781),
    [anon_sym_rewinddir] = ACTIONS(1781),
    [anon_sym_readlink] = ACTIONS(1781),
    [anon_sym_ref] = ACTIONS(1781),
    [anon_sym_scalar] = ACTIONS(1781),
    [anon_sym_shift] = ACTIONS(1781),
    [anon_sym_sin] = ACTIONS(1781),
    [anon_sym_sleep] = ACTIONS(1781),
    [anon_sym_sqrt] = ACTIONS(1781),
    [anon_sym_srand] = ACTIONS(1781),
    [anon_sym_stat] = ACTIONS(1781),
    [anon_sym_study] = ACTIONS(1781),
    [anon_sym_tell] = ACTIONS(1781),
    [anon_sym_telldir] = ACTIONS(1781),
    [anon_sym_tied] = ACTIONS(1781),
    [anon_sym_uc] = ACTIONS(1781),
    [anon_sym_ucfirst] = ACTIONS(1781),
    [anon_sym_untie] = ACTIONS(1781),
    [anon_sym_umask] = ACTIONS(1781),
    [anon_sym_values] = ACTIONS(1781),
    [anon_sym_write] = ACTIONS(1781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1781),
    [anon_sym_qq] = ACTIONS(1781),
    [anon_sym_qw] = ACTIONS(1781),
    [anon_sym_qx] = ACTIONS(1781),
    [anon_sym_qr] = ACTIONS(1781),
    [anon_sym_m] = ACTIONS(1781),
    [anon_sym_s] = ACTIONS(1781),
    [anon_sym_tr] = ACTIONS(1781),
    [anon_sym_y] = ACTIONS(1781),
    [anon_sym_if] = ACTIONS(1781),
    [anon_sym_unless] = ACTIONS(1781),
    [anon_sym_while] = ACTIONS(1781),
    [anon_sym_until] = ACTIONS(1781),
    [aux_sym__bareword_token1] = ACTIONS(1781),
    [sym_number] = ACTIONS(1781),
    [anon_sym_true] = ACTIONS(1781),
    [anon_sym_false] = ACTIONS(1781),
    [sym__single_quote] = ACTIONS(1783),
    [sym__double_quote] = ACTIONS(1783),
    [sym__backtick_quote] = ACTIONS(1783),
    [sym__search_slash_quote] = ACTIONS(1783),
    [sym__PERLY_HEREDOC] = ACTIONS(1783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1783),
    [sym__filetest] = ACTIONS(1783),
  },
  [927] = {
    [sym_heredoc_content] = STATE(927),
    [sym__identifier] = ACTIONS(2032),
    [anon_sym_LBRACE] = ACTIONS(2032),
    [anon_sym_RBRACE] = ACTIONS(2032),
    [anon_sym_SEMI] = ACTIONS(2032),
    [anon_sym_package] = ACTIONS(2032),
    [anon_sym_class] = ACTIONS(2032),
    [anon_sym_role] = ACTIONS(2032),
    [anon_sym_BUILD] = ACTIONS(2032),
    [anon_sym_ADJUST] = ACTIONS(2032),
    [anon_sym_DOLLAR] = ACTIONS(2032),
    [anon_sym_AT] = ACTIONS(2032),
    [anon_sym_my] = ACTIONS(2032),
    [anon_sym_extended] = ACTIONS(2032),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_sub] = ACTIONS(2032),
    [anon_sym_method] = ACTIONS(2032),
    [anon_sym_LPAREN] = ACTIONS(2032),
    [anon_sym_continue] = ACTIONS(2032),
    [anon_sym_state] = ACTIONS(2032),
    [anon_sym_our] = ACTIONS(2032),
    [anon_sym_try] = ACTIONS(2032),
    [anon_sym_defer] = ACTIONS(2032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2032),
    [anon_sym_LBRACK] = ACTIONS(2032),
    [anon_sym_LT] = ACTIONS(2032),
    [anon_sym_LT_LT] = ACTIONS(2032),
    [anon_sym_SLASH_SLASH] = ACTIONS(2032),
    [anon_sym_PLUS] = ACTIONS(2032),
    [anon_sym_DASH] = ACTIONS(2032),
    [anon_sym_STAR] = ACTIONS(2032),
    [anon_sym_TILDE] = ACTIONS(2032),
    [anon_sym_BANG] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_BSLASH] = ACTIONS(2030),
    [anon_sym_do] = ACTIONS(2032),
    [anon_sym_eval] = ACTIONS(2032),
    [anon_sym_await] = ACTIONS(2032),
    [anon_sym_field] = ACTIONS(2032),
    [anon_sym_local] = ACTIONS(2032),
    [anon_sym_dynamically] = ACTIONS(2032),
    [anon_sym_require] = ACTIONS(2032),
    [anon_sym_map] = ACTIONS(2032),
    [anon_sym_grep] = ACTIONS(2032),
    [anon_sym_sort] = ACTIONS(2032),
    [anon_sym_goto] = ACTIONS(2032),
    [anon_sym_return] = ACTIONS(2032),
    [anon_sym_undef] = ACTIONS(2032),
    [anon_sym_PERCENT2] = ACTIONS(2032),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2032),
    [anon_sym_use] = ACTIONS(2032),
    [anon_sym_no] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_foreach] = ACTIONS(2032),
    [anon_sym_last] = ACTIONS(2032),
    [anon_sym_next] = ACTIONS(2032),
    [anon_sym_redo] = ACTIONS(2032),
    [anon_sym_BEGIN] = ACTIONS(2032),
    [anon_sym_INIT] = ACTIONS(2032),
    [anon_sym_CHECK] = ACTIONS(2032),
    [anon_sym_UNITCHECK] = ACTIONS(2032),
    [anon_sym_END] = ACTIONS(2032),
    [anon_sym___FILE__] = ACTIONS(2032),
    [anon_sym___LINE__] = ACTIONS(2032),
    [anon_sym___PACKAGE__] = ACTIONS(2032),
    [anon_sym___SUB__] = ACTIONS(2032),
    [anon_sym_break] = ACTIONS(2032),
    [anon_sym_fork] = ACTIONS(2032),
    [anon_sym_getppid] = ACTIONS(2032),
    [anon_sym_time] = ACTIONS(2032),
    [anon_sym_times] = ACTIONS(2032),
    [anon_sym_wait] = ACTIONS(2032),
    [anon_sym_wantarray] = ACTIONS(2032),
    [anon_sym_abs] = ACTIONS(2032),
    [anon_sym_alarm] = ACTIONS(2032),
    [anon_sym_chop] = ACTIONS(2032),
    [anon_sym_chdir] = ACTIONS(2032),
    [anon_sym_close] = ACTIONS(2032),
    [anon_sym_closedir] = ACTIONS(2032),
    [anon_sym_caller] = ACTIONS(2032),
    [anon_sym_chomp] = ACTIONS(2032),
    [anon_sym_chr] = ACTIONS(2032),
    [anon_sym_cos] = ACTIONS(2032),
    [anon_sym_chroot] = ACTIONS(2032),
    [anon_sym_defined] = ACTIONS(2032),
    [anon_sym_delete] = ACTIONS(2032),
    [anon_sym_dbmclose] = ACTIONS(2032),
    [anon_sym_exists] = ACTIONS(2032),
    [anon_sym_exit] = ACTIONS(2032),
    [anon_sym_eof] = ACTIONS(2032),
    [anon_sym_exp] = ACTIONS(2032),
    [anon_sym_each] = ACTIONS(2032),
    [anon_sym_fc] = ACTIONS(2032),
    [anon_sym_fileno] = ACTIONS(2032),
    [anon_sym_gmtime] = ACTIONS(2032),
    [anon_sym_getc] = ACTIONS(2032),
    [anon_sym_getpgrp] = ACTIONS(2032),
    [anon_sym_getprotobyname] = ACTIONS(2032),
    [anon_sym_getpwname] = ACTIONS(2032),
    [anon_sym_getpwuid] = ACTIONS(2032),
    [anon_sym_getpeername] = ACTIONS(2032),
    [anon_sym_getnetbyname] = ACTIONS(2032),
    [anon_sym_getsockname] = ACTIONS(2032),
    [anon_sym_getgrnam] = ACTIONS(2032),
    [anon_sym_getgrgid] = ACTIONS(2032),
    [anon_sym_hex] = ACTIONS(2032),
    [anon_sym_int] = ACTIONS(2032),
    [anon_sym_keys] = ACTIONS(2032),
    [anon_sym_lc] = ACTIONS(2032),
    [anon_sym_lcfirst] = ACTIONS(2032),
    [anon_sym_length] = ACTIONS(2032),
    [anon_sym_localtime] = ACTIONS(2032),
    [anon_sym_log] = ACTIONS(2032),
    [anon_sym_lock] = ACTIONS(2032),
    [anon_sym_lstat] = ACTIONS(2032),
    [anon_sym_oct] = ACTIONS(2032),
    [anon_sym_ord] = ACTIONS(2032),
    [anon_sym_prototype] = ACTIONS(2032),
    [anon_sym_pop] = ACTIONS(2032),
    [anon_sym_pos] = ACTIONS(2032),
    [anon_sym_quotemeta] = ACTIONS(2032),
    [anon_sym_reset] = ACTIONS(2032),
    [anon_sym_rand] = ACTIONS(2032),
    [anon_sym_rmdir] = ACTIONS(2032),
    [anon_sym_readdir] = ACTIONS(2032),
    [anon_sym_readline] = ACTIONS(2032),
    [anon_sym_readpipe] = ACTIONS(2032),
    [anon_sym_rewinddir] = ACTIONS(2032),
    [anon_sym_readlink] = ACTIONS(2032),
    [anon_sym_ref] = ACTIONS(2032),
    [anon_sym_scalar] = ACTIONS(2032),
    [anon_sym_shift] = ACTIONS(2032),
    [anon_sym_sin] = ACTIONS(2032),
    [anon_sym_sleep] = ACTIONS(2032),
    [anon_sym_sqrt] = ACTIONS(2032),
    [anon_sym_srand] = ACTIONS(2032),
    [anon_sym_stat] = ACTIONS(2032),
    [anon_sym_study] = ACTIONS(2032),
    [anon_sym_tell] = ACTIONS(2032),
    [anon_sym_telldir] = ACTIONS(2032),
    [anon_sym_tied] = ACTIONS(2032),
    [anon_sym_uc] = ACTIONS(2032),
    [anon_sym_ucfirst] = ACTIONS(2032),
    [anon_sym_untie] = ACTIONS(2032),
    [anon_sym_umask] = ACTIONS(2032),
    [anon_sym_values] = ACTIONS(2032),
    [anon_sym_write] = ACTIONS(2032),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2032),
    [anon_sym_qq] = ACTIONS(2032),
    [anon_sym_qw] = ACTIONS(2032),
    [anon_sym_qx] = ACTIONS(2032),
    [anon_sym_qr] = ACTIONS(2032),
    [anon_sym_m] = ACTIONS(2032),
    [anon_sym_s] = ACTIONS(2032),
    [anon_sym_tr] = ACTIONS(2032),
    [anon_sym_y] = ACTIONS(2032),
    [anon_sym_if] = ACTIONS(2032),
    [anon_sym_unless] = ACTIONS(2032),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_until] = ACTIONS(2032),
    [aux_sym__bareword_token1] = ACTIONS(2032),
    [sym_number] = ACTIONS(2032),
    [anon_sym_true] = ACTIONS(2032),
    [anon_sym_false] = ACTIONS(2032),
    [sym__single_quote] = ACTIONS(2030),
    [sym__double_quote] = ACTIONS(2030),
    [sym__backtick_quote] = ACTIONS(2030),
    [sym__search_slash_quote] = ACTIONS(2030),
    [sym__PERLY_HEREDOC] = ACTIONS(2030),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2030),
    [sym__filetest] = ACTIONS(2030),
  },
  [928] = {
    [sym_heredoc_content] = STATE(928),
    [sym__identifier] = ACTIONS(1964),
    [anon_sym_LBRACE] = ACTIONS(1964),
    [anon_sym_RBRACE] = ACTIONS(1964),
    [anon_sym_SEMI] = ACTIONS(1964),
    [anon_sym_package] = ACTIONS(1964),
    [anon_sym_class] = ACTIONS(1964),
    [anon_sym_role] = ACTIONS(1964),
    [anon_sym_BUILD] = ACTIONS(1964),
    [anon_sym_ADJUST] = ACTIONS(1964),
    [anon_sym_DOLLAR] = ACTIONS(1964),
    [anon_sym_AT] = ACTIONS(1964),
    [anon_sym_my] = ACTIONS(1964),
    [anon_sym_extended] = ACTIONS(1964),
    [anon_sym_async] = ACTIONS(1964),
    [anon_sym_sub] = ACTIONS(1964),
    [anon_sym_method] = ACTIONS(1964),
    [anon_sym_LPAREN] = ACTIONS(1964),
    [anon_sym_continue] = ACTIONS(1964),
    [anon_sym_state] = ACTIONS(1964),
    [anon_sym_our] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1964),
    [anon_sym_defer] = ACTIONS(1964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1964),
    [anon_sym_LBRACK] = ACTIONS(1964),
    [anon_sym_LT] = ACTIONS(1964),
    [anon_sym_LT_LT] = ACTIONS(1964),
    [anon_sym_SLASH_SLASH] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(1964),
    [anon_sym_DASH] = ACTIONS(1964),
    [anon_sym_STAR] = ACTIONS(1964),
    [anon_sym_TILDE] = ACTIONS(1964),
    [anon_sym_BANG] = ACTIONS(1964),
    [anon_sym_PLUS_PLUS] = ACTIONS(1964),
    [anon_sym_DASH_DASH] = ACTIONS(1964),
    [anon_sym_BSLASH] = ACTIONS(1962),
    [anon_sym_do] = ACTIONS(1964),
    [anon_sym_eval] = ACTIONS(1964),
    [anon_sym_await] = ACTIONS(1964),
    [anon_sym_field] = ACTIONS(1964),
    [anon_sym_local] = ACTIONS(1964),
    [anon_sym_dynamically] = ACTIONS(1964),
    [anon_sym_require] = ACTIONS(1964),
    [anon_sym_map] = ACTIONS(1964),
    [anon_sym_grep] = ACTIONS(1964),
    [anon_sym_sort] = ACTIONS(1964),
    [anon_sym_goto] = ACTIONS(1964),
    [anon_sym_return] = ACTIONS(1964),
    [anon_sym_undef] = ACTIONS(1964),
    [anon_sym_PERCENT2] = ACTIONS(1964),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1964),
    [anon_sym_use] = ACTIONS(1964),
    [anon_sym_no] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_foreach] = ACTIONS(1964),
    [anon_sym_last] = ACTIONS(1964),
    [anon_sym_next] = ACTIONS(1964),
    [anon_sym_redo] = ACTIONS(1964),
    [anon_sym_BEGIN] = ACTIONS(1964),
    [anon_sym_INIT] = ACTIONS(1964),
    [anon_sym_CHECK] = ACTIONS(1964),
    [anon_sym_UNITCHECK] = ACTIONS(1964),
    [anon_sym_END] = ACTIONS(1964),
    [anon_sym___FILE__] = ACTIONS(1964),
    [anon_sym___LINE__] = ACTIONS(1964),
    [anon_sym___PACKAGE__] = ACTIONS(1964),
    [anon_sym___SUB__] = ACTIONS(1964),
    [anon_sym_break] = ACTIONS(1964),
    [anon_sym_fork] = ACTIONS(1964),
    [anon_sym_getppid] = ACTIONS(1964),
    [anon_sym_time] = ACTIONS(1964),
    [anon_sym_times] = ACTIONS(1964),
    [anon_sym_wait] = ACTIONS(1964),
    [anon_sym_wantarray] = ACTIONS(1964),
    [anon_sym_abs] = ACTIONS(1964),
    [anon_sym_alarm] = ACTIONS(1964),
    [anon_sym_chop] = ACTIONS(1964),
    [anon_sym_chdir] = ACTIONS(1964),
    [anon_sym_close] = ACTIONS(1964),
    [anon_sym_closedir] = ACTIONS(1964),
    [anon_sym_caller] = ACTIONS(1964),
    [anon_sym_chomp] = ACTIONS(1964),
    [anon_sym_chr] = ACTIONS(1964),
    [anon_sym_cos] = ACTIONS(1964),
    [anon_sym_chroot] = ACTIONS(1964),
    [anon_sym_defined] = ACTIONS(1964),
    [anon_sym_delete] = ACTIONS(1964),
    [anon_sym_dbmclose] = ACTIONS(1964),
    [anon_sym_exists] = ACTIONS(1964),
    [anon_sym_exit] = ACTIONS(1964),
    [anon_sym_eof] = ACTIONS(1964),
    [anon_sym_exp] = ACTIONS(1964),
    [anon_sym_each] = ACTIONS(1964),
    [anon_sym_fc] = ACTIONS(1964),
    [anon_sym_fileno] = ACTIONS(1964),
    [anon_sym_gmtime] = ACTIONS(1964),
    [anon_sym_getc] = ACTIONS(1964),
    [anon_sym_getpgrp] = ACTIONS(1964),
    [anon_sym_getprotobyname] = ACTIONS(1964),
    [anon_sym_getpwname] = ACTIONS(1964),
    [anon_sym_getpwuid] = ACTIONS(1964),
    [anon_sym_getpeername] = ACTIONS(1964),
    [anon_sym_getnetbyname] = ACTIONS(1964),
    [anon_sym_getsockname] = ACTIONS(1964),
    [anon_sym_getgrnam] = ACTIONS(1964),
    [anon_sym_getgrgid] = ACTIONS(1964),
    [anon_sym_hex] = ACTIONS(1964),
    [anon_sym_int] = ACTIONS(1964),
    [anon_sym_keys] = ACTIONS(1964),
    [anon_sym_lc] = ACTIONS(1964),
    [anon_sym_lcfirst] = ACTIONS(1964),
    [anon_sym_length] = ACTIONS(1964),
    [anon_sym_localtime] = ACTIONS(1964),
    [anon_sym_log] = ACTIONS(1964),
    [anon_sym_lock] = ACTIONS(1964),
    [anon_sym_lstat] = ACTIONS(1964),
    [anon_sym_oct] = ACTIONS(1964),
    [anon_sym_ord] = ACTIONS(1964),
    [anon_sym_prototype] = ACTIONS(1964),
    [anon_sym_pop] = ACTIONS(1964),
    [anon_sym_pos] = ACTIONS(1964),
    [anon_sym_quotemeta] = ACTIONS(1964),
    [anon_sym_reset] = ACTIONS(1964),
    [anon_sym_rand] = ACTIONS(1964),
    [anon_sym_rmdir] = ACTIONS(1964),
    [anon_sym_readdir] = ACTIONS(1964),
    [anon_sym_readline] = ACTIONS(1964),
    [anon_sym_readpipe] = ACTIONS(1964),
    [anon_sym_rewinddir] = ACTIONS(1964),
    [anon_sym_readlink] = ACTIONS(1964),
    [anon_sym_ref] = ACTIONS(1964),
    [anon_sym_scalar] = ACTIONS(1964),
    [anon_sym_shift] = ACTIONS(1964),
    [anon_sym_sin] = ACTIONS(1964),
    [anon_sym_sleep] = ACTIONS(1964),
    [anon_sym_sqrt] = ACTIONS(1964),
    [anon_sym_srand] = ACTIONS(1964),
    [anon_sym_stat] = ACTIONS(1964),
    [anon_sym_study] = ACTIONS(1964),
    [anon_sym_tell] = ACTIONS(1964),
    [anon_sym_telldir] = ACTIONS(1964),
    [anon_sym_tied] = ACTIONS(1964),
    [anon_sym_uc] = ACTIONS(1964),
    [anon_sym_ucfirst] = ACTIONS(1964),
    [anon_sym_untie] = ACTIONS(1964),
    [anon_sym_umask] = ACTIONS(1964),
    [anon_sym_values] = ACTIONS(1964),
    [anon_sym_write] = ACTIONS(1964),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1964),
    [anon_sym_qq] = ACTIONS(1964),
    [anon_sym_qw] = ACTIONS(1964),
    [anon_sym_qx] = ACTIONS(1964),
    [anon_sym_qr] = ACTIONS(1964),
    [anon_sym_m] = ACTIONS(1964),
    [anon_sym_s] = ACTIONS(1964),
    [anon_sym_tr] = ACTIONS(1964),
    [anon_sym_y] = ACTIONS(1964),
    [anon_sym_if] = ACTIONS(1964),
    [anon_sym_unless] = ACTIONS(1964),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_until] = ACTIONS(1964),
    [aux_sym__bareword_token1] = ACTIONS(1964),
    [sym_number] = ACTIONS(1964),
    [anon_sym_true] = ACTIONS(1964),
    [anon_sym_false] = ACTIONS(1964),
    [sym__single_quote] = ACTIONS(1962),
    [sym__double_quote] = ACTIONS(1962),
    [sym__backtick_quote] = ACTIONS(1962),
    [sym__search_slash_quote] = ACTIONS(1962),
    [sym__PERLY_HEREDOC] = ACTIONS(1962),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1962),
    [sym__filetest] = ACTIONS(1962),
  },
  [929] = {
    [sym_heredoc_content] = STATE(929),
    [sym__identifier] = ACTIONS(1968),
    [anon_sym_LBRACE] = ACTIONS(1968),
    [anon_sym_RBRACE] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(1968),
    [anon_sym_package] = ACTIONS(1968),
    [anon_sym_class] = ACTIONS(1968),
    [anon_sym_role] = ACTIONS(1968),
    [anon_sym_BUILD] = ACTIONS(1968),
    [anon_sym_ADJUST] = ACTIONS(1968),
    [anon_sym_DOLLAR] = ACTIONS(1968),
    [anon_sym_AT] = ACTIONS(1968),
    [anon_sym_my] = ACTIONS(1968),
    [anon_sym_extended] = ACTIONS(1968),
    [anon_sym_async] = ACTIONS(1968),
    [anon_sym_sub] = ACTIONS(1968),
    [anon_sym_method] = ACTIONS(1968),
    [anon_sym_LPAREN] = ACTIONS(1968),
    [anon_sym_continue] = ACTIONS(1968),
    [anon_sym_state] = ACTIONS(1968),
    [anon_sym_our] = ACTIONS(1968),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_defer] = ACTIONS(1968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1968),
    [anon_sym_LT] = ACTIONS(1968),
    [anon_sym_LT_LT] = ACTIONS(1968),
    [anon_sym_SLASH_SLASH] = ACTIONS(1968),
    [anon_sym_PLUS] = ACTIONS(1968),
    [anon_sym_DASH] = ACTIONS(1968),
    [anon_sym_STAR] = ACTIONS(1968),
    [anon_sym_TILDE] = ACTIONS(1968),
    [anon_sym_BANG] = ACTIONS(1968),
    [anon_sym_PLUS_PLUS] = ACTIONS(1968),
    [anon_sym_DASH_DASH] = ACTIONS(1968),
    [anon_sym_BSLASH] = ACTIONS(1966),
    [anon_sym_do] = ACTIONS(1968),
    [anon_sym_eval] = ACTIONS(1968),
    [anon_sym_await] = ACTIONS(1968),
    [anon_sym_field] = ACTIONS(1968),
    [anon_sym_local] = ACTIONS(1968),
    [anon_sym_dynamically] = ACTIONS(1968),
    [anon_sym_require] = ACTIONS(1968),
    [anon_sym_map] = ACTIONS(1968),
    [anon_sym_grep] = ACTIONS(1968),
    [anon_sym_sort] = ACTIONS(1968),
    [anon_sym_goto] = ACTIONS(1968),
    [anon_sym_return] = ACTIONS(1968),
    [anon_sym_undef] = ACTIONS(1968),
    [anon_sym_PERCENT2] = ACTIONS(1968),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1968),
    [anon_sym_use] = ACTIONS(1968),
    [anon_sym_no] = ACTIONS(1968),
    [anon_sym_for] = ACTIONS(1968),
    [anon_sym_foreach] = ACTIONS(1968),
    [anon_sym_last] = ACTIONS(1968),
    [anon_sym_next] = ACTIONS(1968),
    [anon_sym_redo] = ACTIONS(1968),
    [anon_sym_BEGIN] = ACTIONS(1968),
    [anon_sym_INIT] = ACTIONS(1968),
    [anon_sym_CHECK] = ACTIONS(1968),
    [anon_sym_UNITCHECK] = ACTIONS(1968),
    [anon_sym_END] = ACTIONS(1968),
    [anon_sym___FILE__] = ACTIONS(1968),
    [anon_sym___LINE__] = ACTIONS(1968),
    [anon_sym___PACKAGE__] = ACTIONS(1968),
    [anon_sym___SUB__] = ACTIONS(1968),
    [anon_sym_break] = ACTIONS(1968),
    [anon_sym_fork] = ACTIONS(1968),
    [anon_sym_getppid] = ACTIONS(1968),
    [anon_sym_time] = ACTIONS(1968),
    [anon_sym_times] = ACTIONS(1968),
    [anon_sym_wait] = ACTIONS(1968),
    [anon_sym_wantarray] = ACTIONS(1968),
    [anon_sym_abs] = ACTIONS(1968),
    [anon_sym_alarm] = ACTIONS(1968),
    [anon_sym_chop] = ACTIONS(1968),
    [anon_sym_chdir] = ACTIONS(1968),
    [anon_sym_close] = ACTIONS(1968),
    [anon_sym_closedir] = ACTIONS(1968),
    [anon_sym_caller] = ACTIONS(1968),
    [anon_sym_chomp] = ACTIONS(1968),
    [anon_sym_chr] = ACTIONS(1968),
    [anon_sym_cos] = ACTIONS(1968),
    [anon_sym_chroot] = ACTIONS(1968),
    [anon_sym_defined] = ACTIONS(1968),
    [anon_sym_delete] = ACTIONS(1968),
    [anon_sym_dbmclose] = ACTIONS(1968),
    [anon_sym_exists] = ACTIONS(1968),
    [anon_sym_exit] = ACTIONS(1968),
    [anon_sym_eof] = ACTIONS(1968),
    [anon_sym_exp] = ACTIONS(1968),
    [anon_sym_each] = ACTIONS(1968),
    [anon_sym_fc] = ACTIONS(1968),
    [anon_sym_fileno] = ACTIONS(1968),
    [anon_sym_gmtime] = ACTIONS(1968),
    [anon_sym_getc] = ACTIONS(1968),
    [anon_sym_getpgrp] = ACTIONS(1968),
    [anon_sym_getprotobyname] = ACTIONS(1968),
    [anon_sym_getpwname] = ACTIONS(1968),
    [anon_sym_getpwuid] = ACTIONS(1968),
    [anon_sym_getpeername] = ACTIONS(1968),
    [anon_sym_getnetbyname] = ACTIONS(1968),
    [anon_sym_getsockname] = ACTIONS(1968),
    [anon_sym_getgrnam] = ACTIONS(1968),
    [anon_sym_getgrgid] = ACTIONS(1968),
    [anon_sym_hex] = ACTIONS(1968),
    [anon_sym_int] = ACTIONS(1968),
    [anon_sym_keys] = ACTIONS(1968),
    [anon_sym_lc] = ACTIONS(1968),
    [anon_sym_lcfirst] = ACTIONS(1968),
    [anon_sym_length] = ACTIONS(1968),
    [anon_sym_localtime] = ACTIONS(1968),
    [anon_sym_log] = ACTIONS(1968),
    [anon_sym_lock] = ACTIONS(1968),
    [anon_sym_lstat] = ACTIONS(1968),
    [anon_sym_oct] = ACTIONS(1968),
    [anon_sym_ord] = ACTIONS(1968),
    [anon_sym_prototype] = ACTIONS(1968),
    [anon_sym_pop] = ACTIONS(1968),
    [anon_sym_pos] = ACTIONS(1968),
    [anon_sym_quotemeta] = ACTIONS(1968),
    [anon_sym_reset] = ACTIONS(1968),
    [anon_sym_rand] = ACTIONS(1968),
    [anon_sym_rmdir] = ACTIONS(1968),
    [anon_sym_readdir] = ACTIONS(1968),
    [anon_sym_readline] = ACTIONS(1968),
    [anon_sym_readpipe] = ACTIONS(1968),
    [anon_sym_rewinddir] = ACTIONS(1968),
    [anon_sym_readlink] = ACTIONS(1968),
    [anon_sym_ref] = ACTIONS(1968),
    [anon_sym_scalar] = ACTIONS(1968),
    [anon_sym_shift] = ACTIONS(1968),
    [anon_sym_sin] = ACTIONS(1968),
    [anon_sym_sleep] = ACTIONS(1968),
    [anon_sym_sqrt] = ACTIONS(1968),
    [anon_sym_srand] = ACTIONS(1968),
    [anon_sym_stat] = ACTIONS(1968),
    [anon_sym_study] = ACTIONS(1968),
    [anon_sym_tell] = ACTIONS(1968),
    [anon_sym_telldir] = ACTIONS(1968),
    [anon_sym_tied] = ACTIONS(1968),
    [anon_sym_uc] = ACTIONS(1968),
    [anon_sym_ucfirst] = ACTIONS(1968),
    [anon_sym_untie] = ACTIONS(1968),
    [anon_sym_umask] = ACTIONS(1968),
    [anon_sym_values] = ACTIONS(1968),
    [anon_sym_write] = ACTIONS(1968),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1968),
    [anon_sym_qq] = ACTIONS(1968),
    [anon_sym_qw] = ACTIONS(1968),
    [anon_sym_qx] = ACTIONS(1968),
    [anon_sym_qr] = ACTIONS(1968),
    [anon_sym_m] = ACTIONS(1968),
    [anon_sym_s] = ACTIONS(1968),
    [anon_sym_tr] = ACTIONS(1968),
    [anon_sym_y] = ACTIONS(1968),
    [anon_sym_if] = ACTIONS(1968),
    [anon_sym_unless] = ACTIONS(1968),
    [anon_sym_while] = ACTIONS(1968),
    [anon_sym_until] = ACTIONS(1968),
    [aux_sym__bareword_token1] = ACTIONS(1968),
    [sym_number] = ACTIONS(1968),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [sym__single_quote] = ACTIONS(1966),
    [sym__double_quote] = ACTIONS(1966),
    [sym__backtick_quote] = ACTIONS(1966),
    [sym__search_slash_quote] = ACTIONS(1966),
    [sym__PERLY_HEREDOC] = ACTIONS(1966),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1966),
    [sym__filetest] = ACTIONS(1966),
  },
  [930] = {
    [sym_heredoc_content] = STATE(930),
    [sym__identifier] = ACTIONS(1980),
    [anon_sym_LBRACE] = ACTIONS(1980),
    [anon_sym_RBRACE] = ACTIONS(1980),
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym_package] = ACTIONS(1980),
    [anon_sym_class] = ACTIONS(1980),
    [anon_sym_role] = ACTIONS(1980),
    [anon_sym_BUILD] = ACTIONS(1980),
    [anon_sym_ADJUST] = ACTIONS(1980),
    [anon_sym_DOLLAR] = ACTIONS(1980),
    [anon_sym_AT] = ACTIONS(1980),
    [anon_sym_my] = ACTIONS(1980),
    [anon_sym_extended] = ACTIONS(1980),
    [anon_sym_async] = ACTIONS(1980),
    [anon_sym_sub] = ACTIONS(1980),
    [anon_sym_method] = ACTIONS(1980),
    [anon_sym_LPAREN] = ACTIONS(1980),
    [anon_sym_continue] = ACTIONS(1980),
    [anon_sym_state] = ACTIONS(1980),
    [anon_sym_our] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1980),
    [anon_sym_defer] = ACTIONS(1980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1980),
    [anon_sym_LBRACK] = ACTIONS(1980),
    [anon_sym_LT] = ACTIONS(1980),
    [anon_sym_LT_LT] = ACTIONS(1980),
    [anon_sym_SLASH_SLASH] = ACTIONS(1980),
    [anon_sym_PLUS] = ACTIONS(1980),
    [anon_sym_DASH] = ACTIONS(1980),
    [anon_sym_STAR] = ACTIONS(1980),
    [anon_sym_TILDE] = ACTIONS(1980),
    [anon_sym_BANG] = ACTIONS(1980),
    [anon_sym_PLUS_PLUS] = ACTIONS(1980),
    [anon_sym_DASH_DASH] = ACTIONS(1980),
    [anon_sym_BSLASH] = ACTIONS(1978),
    [anon_sym_do] = ACTIONS(1980),
    [anon_sym_eval] = ACTIONS(1980),
    [anon_sym_await] = ACTIONS(1980),
    [anon_sym_field] = ACTIONS(1980),
    [anon_sym_local] = ACTIONS(1980),
    [anon_sym_dynamically] = ACTIONS(1980),
    [anon_sym_require] = ACTIONS(1980),
    [anon_sym_map] = ACTIONS(1980),
    [anon_sym_grep] = ACTIONS(1980),
    [anon_sym_sort] = ACTIONS(1980),
    [anon_sym_goto] = ACTIONS(1980),
    [anon_sym_return] = ACTIONS(1980),
    [anon_sym_undef] = ACTIONS(1980),
    [anon_sym_PERCENT2] = ACTIONS(1980),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1980),
    [anon_sym_use] = ACTIONS(1980),
    [anon_sym_no] = ACTIONS(1980),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_foreach] = ACTIONS(1980),
    [anon_sym_last] = ACTIONS(1980),
    [anon_sym_next] = ACTIONS(1980),
    [anon_sym_redo] = ACTIONS(1980),
    [anon_sym_BEGIN] = ACTIONS(1980),
    [anon_sym_INIT] = ACTIONS(1980),
    [anon_sym_CHECK] = ACTIONS(1980),
    [anon_sym_UNITCHECK] = ACTIONS(1980),
    [anon_sym_END] = ACTIONS(1980),
    [anon_sym___FILE__] = ACTIONS(1980),
    [anon_sym___LINE__] = ACTIONS(1980),
    [anon_sym___PACKAGE__] = ACTIONS(1980),
    [anon_sym___SUB__] = ACTIONS(1980),
    [anon_sym_break] = ACTIONS(1980),
    [anon_sym_fork] = ACTIONS(1980),
    [anon_sym_getppid] = ACTIONS(1980),
    [anon_sym_time] = ACTIONS(1980),
    [anon_sym_times] = ACTIONS(1980),
    [anon_sym_wait] = ACTIONS(1980),
    [anon_sym_wantarray] = ACTIONS(1980),
    [anon_sym_abs] = ACTIONS(1980),
    [anon_sym_alarm] = ACTIONS(1980),
    [anon_sym_chop] = ACTIONS(1980),
    [anon_sym_chdir] = ACTIONS(1980),
    [anon_sym_close] = ACTIONS(1980),
    [anon_sym_closedir] = ACTIONS(1980),
    [anon_sym_caller] = ACTIONS(1980),
    [anon_sym_chomp] = ACTIONS(1980),
    [anon_sym_chr] = ACTIONS(1980),
    [anon_sym_cos] = ACTIONS(1980),
    [anon_sym_chroot] = ACTIONS(1980),
    [anon_sym_defined] = ACTIONS(1980),
    [anon_sym_delete] = ACTIONS(1980),
    [anon_sym_dbmclose] = ACTIONS(1980),
    [anon_sym_exists] = ACTIONS(1980),
    [anon_sym_exit] = ACTIONS(1980),
    [anon_sym_eof] = ACTIONS(1980),
    [anon_sym_exp] = ACTIONS(1980),
    [anon_sym_each] = ACTIONS(1980),
    [anon_sym_fc] = ACTIONS(1980),
    [anon_sym_fileno] = ACTIONS(1980),
    [anon_sym_gmtime] = ACTIONS(1980),
    [anon_sym_getc] = ACTIONS(1980),
    [anon_sym_getpgrp] = ACTIONS(1980),
    [anon_sym_getprotobyname] = ACTIONS(1980),
    [anon_sym_getpwname] = ACTIONS(1980),
    [anon_sym_getpwuid] = ACTIONS(1980),
    [anon_sym_getpeername] = ACTIONS(1980),
    [anon_sym_getnetbyname] = ACTIONS(1980),
    [anon_sym_getsockname] = ACTIONS(1980),
    [anon_sym_getgrnam] = ACTIONS(1980),
    [anon_sym_getgrgid] = ACTIONS(1980),
    [anon_sym_hex] = ACTIONS(1980),
    [anon_sym_int] = ACTIONS(1980),
    [anon_sym_keys] = ACTIONS(1980),
    [anon_sym_lc] = ACTIONS(1980),
    [anon_sym_lcfirst] = ACTIONS(1980),
    [anon_sym_length] = ACTIONS(1980),
    [anon_sym_localtime] = ACTIONS(1980),
    [anon_sym_log] = ACTIONS(1980),
    [anon_sym_lock] = ACTIONS(1980),
    [anon_sym_lstat] = ACTIONS(1980),
    [anon_sym_oct] = ACTIONS(1980),
    [anon_sym_ord] = ACTIONS(1980),
    [anon_sym_prototype] = ACTIONS(1980),
    [anon_sym_pop] = ACTIONS(1980),
    [anon_sym_pos] = ACTIONS(1980),
    [anon_sym_quotemeta] = ACTIONS(1980),
    [anon_sym_reset] = ACTIONS(1980),
    [anon_sym_rand] = ACTIONS(1980),
    [anon_sym_rmdir] = ACTIONS(1980),
    [anon_sym_readdir] = ACTIONS(1980),
    [anon_sym_readline] = ACTIONS(1980),
    [anon_sym_readpipe] = ACTIONS(1980),
    [anon_sym_rewinddir] = ACTIONS(1980),
    [anon_sym_readlink] = ACTIONS(1980),
    [anon_sym_ref] = ACTIONS(1980),
    [anon_sym_scalar] = ACTIONS(1980),
    [anon_sym_shift] = ACTIONS(1980),
    [anon_sym_sin] = ACTIONS(1980),
    [anon_sym_sleep] = ACTIONS(1980),
    [anon_sym_sqrt] = ACTIONS(1980),
    [anon_sym_srand] = ACTIONS(1980),
    [anon_sym_stat] = ACTIONS(1980),
    [anon_sym_study] = ACTIONS(1980),
    [anon_sym_tell] = ACTIONS(1980),
    [anon_sym_telldir] = ACTIONS(1980),
    [anon_sym_tied] = ACTIONS(1980),
    [anon_sym_uc] = ACTIONS(1980),
    [anon_sym_ucfirst] = ACTIONS(1980),
    [anon_sym_untie] = ACTIONS(1980),
    [anon_sym_umask] = ACTIONS(1980),
    [anon_sym_values] = ACTIONS(1980),
    [anon_sym_write] = ACTIONS(1980),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1980),
    [anon_sym_qq] = ACTIONS(1980),
    [anon_sym_qw] = ACTIONS(1980),
    [anon_sym_qx] = ACTIONS(1980),
    [anon_sym_qr] = ACTIONS(1980),
    [anon_sym_m] = ACTIONS(1980),
    [anon_sym_s] = ACTIONS(1980),
    [anon_sym_tr] = ACTIONS(1980),
    [anon_sym_y] = ACTIONS(1980),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_unless] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1980),
    [anon_sym_until] = ACTIONS(1980),
    [aux_sym__bareword_token1] = ACTIONS(1980),
    [sym_number] = ACTIONS(1980),
    [anon_sym_true] = ACTIONS(1980),
    [anon_sym_false] = ACTIONS(1980),
    [sym__single_quote] = ACTIONS(1978),
    [sym__double_quote] = ACTIONS(1978),
    [sym__backtick_quote] = ACTIONS(1978),
    [sym__search_slash_quote] = ACTIONS(1978),
    [sym__PERLY_HEREDOC] = ACTIONS(1978),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1978),
    [sym__filetest] = ACTIONS(1978),
  },
  [931] = {
    [sym_heredoc_content] = STATE(931),
    [sym__identifier] = ACTIONS(2004),
    [anon_sym_LBRACE] = ACTIONS(2004),
    [anon_sym_RBRACE] = ACTIONS(2004),
    [anon_sym_SEMI] = ACTIONS(2004),
    [anon_sym_package] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2004),
    [anon_sym_role] = ACTIONS(2004),
    [anon_sym_BUILD] = ACTIONS(2004),
    [anon_sym_ADJUST] = ACTIONS(2004),
    [anon_sym_DOLLAR] = ACTIONS(2004),
    [anon_sym_AT] = ACTIONS(2004),
    [anon_sym_my] = ACTIONS(2004),
    [anon_sym_extended] = ACTIONS(2004),
    [anon_sym_async] = ACTIONS(2004),
    [anon_sym_sub] = ACTIONS(2004),
    [anon_sym_method] = ACTIONS(2004),
    [anon_sym_LPAREN] = ACTIONS(2004),
    [anon_sym_continue] = ACTIONS(2004),
    [anon_sym_state] = ACTIONS(2004),
    [anon_sym_our] = ACTIONS(2004),
    [anon_sym_try] = ACTIONS(2004),
    [anon_sym_defer] = ACTIONS(2004),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2004),
    [anon_sym_LBRACK] = ACTIONS(2004),
    [anon_sym_LT] = ACTIONS(2004),
    [anon_sym_LT_LT] = ACTIONS(2004),
    [anon_sym_SLASH_SLASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_PLUS_PLUS] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2004),
    [anon_sym_BSLASH] = ACTIONS(2002),
    [anon_sym_do] = ACTIONS(2004),
    [anon_sym_eval] = ACTIONS(2004),
    [anon_sym_await] = ACTIONS(2004),
    [anon_sym_field] = ACTIONS(2004),
    [anon_sym_local] = ACTIONS(2004),
    [anon_sym_dynamically] = ACTIONS(2004),
    [anon_sym_require] = ACTIONS(2004),
    [anon_sym_map] = ACTIONS(2004),
    [anon_sym_grep] = ACTIONS(2004),
    [anon_sym_sort] = ACTIONS(2004),
    [anon_sym_goto] = ACTIONS(2004),
    [anon_sym_return] = ACTIONS(2004),
    [anon_sym_undef] = ACTIONS(2004),
    [anon_sym_PERCENT2] = ACTIONS(2004),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2004),
    [anon_sym_use] = ACTIONS(2004),
    [anon_sym_no] = ACTIONS(2004),
    [anon_sym_for] = ACTIONS(2004),
    [anon_sym_foreach] = ACTIONS(2004),
    [anon_sym_last] = ACTIONS(2004),
    [anon_sym_next] = ACTIONS(2004),
    [anon_sym_redo] = ACTIONS(2004),
    [anon_sym_BEGIN] = ACTIONS(2004),
    [anon_sym_INIT] = ACTIONS(2004),
    [anon_sym_CHECK] = ACTIONS(2004),
    [anon_sym_UNITCHECK] = ACTIONS(2004),
    [anon_sym_END] = ACTIONS(2004),
    [anon_sym___FILE__] = ACTIONS(2004),
    [anon_sym___LINE__] = ACTIONS(2004),
    [anon_sym___PACKAGE__] = ACTIONS(2004),
    [anon_sym___SUB__] = ACTIONS(2004),
    [anon_sym_break] = ACTIONS(2004),
    [anon_sym_fork] = ACTIONS(2004),
    [anon_sym_getppid] = ACTIONS(2004),
    [anon_sym_time] = ACTIONS(2004),
    [anon_sym_times] = ACTIONS(2004),
    [anon_sym_wait] = ACTIONS(2004),
    [anon_sym_wantarray] = ACTIONS(2004),
    [anon_sym_abs] = ACTIONS(2004),
    [anon_sym_alarm] = ACTIONS(2004),
    [anon_sym_chop] = ACTIONS(2004),
    [anon_sym_chdir] = ACTIONS(2004),
    [anon_sym_close] = ACTIONS(2004),
    [anon_sym_closedir] = ACTIONS(2004),
    [anon_sym_caller] = ACTIONS(2004),
    [anon_sym_chomp] = ACTIONS(2004),
    [anon_sym_chr] = ACTIONS(2004),
    [anon_sym_cos] = ACTIONS(2004),
    [anon_sym_chroot] = ACTIONS(2004),
    [anon_sym_defined] = ACTIONS(2004),
    [anon_sym_delete] = ACTIONS(2004),
    [anon_sym_dbmclose] = ACTIONS(2004),
    [anon_sym_exists] = ACTIONS(2004),
    [anon_sym_exit] = ACTIONS(2004),
    [anon_sym_eof] = ACTIONS(2004),
    [anon_sym_exp] = ACTIONS(2004),
    [anon_sym_each] = ACTIONS(2004),
    [anon_sym_fc] = ACTIONS(2004),
    [anon_sym_fileno] = ACTIONS(2004),
    [anon_sym_gmtime] = ACTIONS(2004),
    [anon_sym_getc] = ACTIONS(2004),
    [anon_sym_getpgrp] = ACTIONS(2004),
    [anon_sym_getprotobyname] = ACTIONS(2004),
    [anon_sym_getpwname] = ACTIONS(2004),
    [anon_sym_getpwuid] = ACTIONS(2004),
    [anon_sym_getpeername] = ACTIONS(2004),
    [anon_sym_getnetbyname] = ACTIONS(2004),
    [anon_sym_getsockname] = ACTIONS(2004),
    [anon_sym_getgrnam] = ACTIONS(2004),
    [anon_sym_getgrgid] = ACTIONS(2004),
    [anon_sym_hex] = ACTIONS(2004),
    [anon_sym_int] = ACTIONS(2004),
    [anon_sym_keys] = ACTIONS(2004),
    [anon_sym_lc] = ACTIONS(2004),
    [anon_sym_lcfirst] = ACTIONS(2004),
    [anon_sym_length] = ACTIONS(2004),
    [anon_sym_localtime] = ACTIONS(2004),
    [anon_sym_log] = ACTIONS(2004),
    [anon_sym_lock] = ACTIONS(2004),
    [anon_sym_lstat] = ACTIONS(2004),
    [anon_sym_oct] = ACTIONS(2004),
    [anon_sym_ord] = ACTIONS(2004),
    [anon_sym_prototype] = ACTIONS(2004),
    [anon_sym_pop] = ACTIONS(2004),
    [anon_sym_pos] = ACTIONS(2004),
    [anon_sym_quotemeta] = ACTIONS(2004),
    [anon_sym_reset] = ACTIONS(2004),
    [anon_sym_rand] = ACTIONS(2004),
    [anon_sym_rmdir] = ACTIONS(2004),
    [anon_sym_readdir] = ACTIONS(2004),
    [anon_sym_readline] = ACTIONS(2004),
    [anon_sym_readpipe] = ACTIONS(2004),
    [anon_sym_rewinddir] = ACTIONS(2004),
    [anon_sym_readlink] = ACTIONS(2004),
    [anon_sym_ref] = ACTIONS(2004),
    [anon_sym_scalar] = ACTIONS(2004),
    [anon_sym_shift] = ACTIONS(2004),
    [anon_sym_sin] = ACTIONS(2004),
    [anon_sym_sleep] = ACTIONS(2004),
    [anon_sym_sqrt] = ACTIONS(2004),
    [anon_sym_srand] = ACTIONS(2004),
    [anon_sym_stat] = ACTIONS(2004),
    [anon_sym_study] = ACTIONS(2004),
    [anon_sym_tell] = ACTIONS(2004),
    [anon_sym_telldir] = ACTIONS(2004),
    [anon_sym_tied] = ACTIONS(2004),
    [anon_sym_uc] = ACTIONS(2004),
    [anon_sym_ucfirst] = ACTIONS(2004),
    [anon_sym_untie] = ACTIONS(2004),
    [anon_sym_umask] = ACTIONS(2004),
    [anon_sym_values] = ACTIONS(2004),
    [anon_sym_write] = ACTIONS(2004),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2004),
    [anon_sym_qq] = ACTIONS(2004),
    [anon_sym_qw] = ACTIONS(2004),
    [anon_sym_qx] = ACTIONS(2004),
    [anon_sym_qr] = ACTIONS(2004),
    [anon_sym_m] = ACTIONS(2004),
    [anon_sym_s] = ACTIONS(2004),
    [anon_sym_tr] = ACTIONS(2004),
    [anon_sym_y] = ACTIONS(2004),
    [anon_sym_if] = ACTIONS(2004),
    [anon_sym_unless] = ACTIONS(2004),
    [anon_sym_while] = ACTIONS(2004),
    [anon_sym_until] = ACTIONS(2004),
    [aux_sym__bareword_token1] = ACTIONS(2004),
    [sym_number] = ACTIONS(2004),
    [anon_sym_true] = ACTIONS(2004),
    [anon_sym_false] = ACTIONS(2004),
    [sym__single_quote] = ACTIONS(2002),
    [sym__double_quote] = ACTIONS(2002),
    [sym__backtick_quote] = ACTIONS(2002),
    [sym__search_slash_quote] = ACTIONS(2002),
    [sym__PERLY_HEREDOC] = ACTIONS(2002),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2002),
    [sym__filetest] = ACTIONS(2002),
  },
  [932] = {
    [sym_heredoc_content] = STATE(932),
    [sym__identifier] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(2008),
    [anon_sym_RBRACE] = ACTIONS(2008),
    [anon_sym_SEMI] = ACTIONS(2008),
    [anon_sym_package] = ACTIONS(2008),
    [anon_sym_class] = ACTIONS(2008),
    [anon_sym_role] = ACTIONS(2008),
    [anon_sym_BUILD] = ACTIONS(2008),
    [anon_sym_ADJUST] = ACTIONS(2008),
    [anon_sym_DOLLAR] = ACTIONS(2008),
    [anon_sym_AT] = ACTIONS(2008),
    [anon_sym_my] = ACTIONS(2008),
    [anon_sym_extended] = ACTIONS(2008),
    [anon_sym_async] = ACTIONS(2008),
    [anon_sym_sub] = ACTIONS(2008),
    [anon_sym_method] = ACTIONS(2008),
    [anon_sym_LPAREN] = ACTIONS(2008),
    [anon_sym_continue] = ACTIONS(2008),
    [anon_sym_state] = ACTIONS(2008),
    [anon_sym_our] = ACTIONS(2008),
    [anon_sym_try] = ACTIONS(2008),
    [anon_sym_defer] = ACTIONS(2008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2008),
    [anon_sym_LT] = ACTIONS(2008),
    [anon_sym_LT_LT] = ACTIONS(2008),
    [anon_sym_SLASH_SLASH] = ACTIONS(2008),
    [anon_sym_PLUS] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2008),
    [anon_sym_STAR] = ACTIONS(2008),
    [anon_sym_TILDE] = ACTIONS(2008),
    [anon_sym_BANG] = ACTIONS(2008),
    [anon_sym_PLUS_PLUS] = ACTIONS(2008),
    [anon_sym_DASH_DASH] = ACTIONS(2008),
    [anon_sym_BSLASH] = ACTIONS(2006),
    [anon_sym_do] = ACTIONS(2008),
    [anon_sym_eval] = ACTIONS(2008),
    [anon_sym_await] = ACTIONS(2008),
    [anon_sym_field] = ACTIONS(2008),
    [anon_sym_local] = ACTIONS(2008),
    [anon_sym_dynamically] = ACTIONS(2008),
    [anon_sym_require] = ACTIONS(2008),
    [anon_sym_map] = ACTIONS(2008),
    [anon_sym_grep] = ACTIONS(2008),
    [anon_sym_sort] = ACTIONS(2008),
    [anon_sym_goto] = ACTIONS(2008),
    [anon_sym_return] = ACTIONS(2008),
    [anon_sym_undef] = ACTIONS(2008),
    [anon_sym_PERCENT2] = ACTIONS(2008),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2008),
    [anon_sym_use] = ACTIONS(2008),
    [anon_sym_no] = ACTIONS(2008),
    [anon_sym_for] = ACTIONS(2008),
    [anon_sym_foreach] = ACTIONS(2008),
    [anon_sym_last] = ACTIONS(2008),
    [anon_sym_next] = ACTIONS(2008),
    [anon_sym_redo] = ACTIONS(2008),
    [anon_sym_BEGIN] = ACTIONS(2008),
    [anon_sym_INIT] = ACTIONS(2008),
    [anon_sym_CHECK] = ACTIONS(2008),
    [anon_sym_UNITCHECK] = ACTIONS(2008),
    [anon_sym_END] = ACTIONS(2008),
    [anon_sym___FILE__] = ACTIONS(2008),
    [anon_sym___LINE__] = ACTIONS(2008),
    [anon_sym___PACKAGE__] = ACTIONS(2008),
    [anon_sym___SUB__] = ACTIONS(2008),
    [anon_sym_break] = ACTIONS(2008),
    [anon_sym_fork] = ACTIONS(2008),
    [anon_sym_getppid] = ACTIONS(2008),
    [anon_sym_time] = ACTIONS(2008),
    [anon_sym_times] = ACTIONS(2008),
    [anon_sym_wait] = ACTIONS(2008),
    [anon_sym_wantarray] = ACTIONS(2008),
    [anon_sym_abs] = ACTIONS(2008),
    [anon_sym_alarm] = ACTIONS(2008),
    [anon_sym_chop] = ACTIONS(2008),
    [anon_sym_chdir] = ACTIONS(2008),
    [anon_sym_close] = ACTIONS(2008),
    [anon_sym_closedir] = ACTIONS(2008),
    [anon_sym_caller] = ACTIONS(2008),
    [anon_sym_chomp] = ACTIONS(2008),
    [anon_sym_chr] = ACTIONS(2008),
    [anon_sym_cos] = ACTIONS(2008),
    [anon_sym_chroot] = ACTIONS(2008),
    [anon_sym_defined] = ACTIONS(2008),
    [anon_sym_delete] = ACTIONS(2008),
    [anon_sym_dbmclose] = ACTIONS(2008),
    [anon_sym_exists] = ACTIONS(2008),
    [anon_sym_exit] = ACTIONS(2008),
    [anon_sym_eof] = ACTIONS(2008),
    [anon_sym_exp] = ACTIONS(2008),
    [anon_sym_each] = ACTIONS(2008),
    [anon_sym_fc] = ACTIONS(2008),
    [anon_sym_fileno] = ACTIONS(2008),
    [anon_sym_gmtime] = ACTIONS(2008),
    [anon_sym_getc] = ACTIONS(2008),
    [anon_sym_getpgrp] = ACTIONS(2008),
    [anon_sym_getprotobyname] = ACTIONS(2008),
    [anon_sym_getpwname] = ACTIONS(2008),
    [anon_sym_getpwuid] = ACTIONS(2008),
    [anon_sym_getpeername] = ACTIONS(2008),
    [anon_sym_getnetbyname] = ACTIONS(2008),
    [anon_sym_getsockname] = ACTIONS(2008),
    [anon_sym_getgrnam] = ACTIONS(2008),
    [anon_sym_getgrgid] = ACTIONS(2008),
    [anon_sym_hex] = ACTIONS(2008),
    [anon_sym_int] = ACTIONS(2008),
    [anon_sym_keys] = ACTIONS(2008),
    [anon_sym_lc] = ACTIONS(2008),
    [anon_sym_lcfirst] = ACTIONS(2008),
    [anon_sym_length] = ACTIONS(2008),
    [anon_sym_localtime] = ACTIONS(2008),
    [anon_sym_log] = ACTIONS(2008),
    [anon_sym_lock] = ACTIONS(2008),
    [anon_sym_lstat] = ACTIONS(2008),
    [anon_sym_oct] = ACTIONS(2008),
    [anon_sym_ord] = ACTIONS(2008),
    [anon_sym_prototype] = ACTIONS(2008),
    [anon_sym_pop] = ACTIONS(2008),
    [anon_sym_pos] = ACTIONS(2008),
    [anon_sym_quotemeta] = ACTIONS(2008),
    [anon_sym_reset] = ACTIONS(2008),
    [anon_sym_rand] = ACTIONS(2008),
    [anon_sym_rmdir] = ACTIONS(2008),
    [anon_sym_readdir] = ACTIONS(2008),
    [anon_sym_readline] = ACTIONS(2008),
    [anon_sym_readpipe] = ACTIONS(2008),
    [anon_sym_rewinddir] = ACTIONS(2008),
    [anon_sym_readlink] = ACTIONS(2008),
    [anon_sym_ref] = ACTIONS(2008),
    [anon_sym_scalar] = ACTIONS(2008),
    [anon_sym_shift] = ACTIONS(2008),
    [anon_sym_sin] = ACTIONS(2008),
    [anon_sym_sleep] = ACTIONS(2008),
    [anon_sym_sqrt] = ACTIONS(2008),
    [anon_sym_srand] = ACTIONS(2008),
    [anon_sym_stat] = ACTIONS(2008),
    [anon_sym_study] = ACTIONS(2008),
    [anon_sym_tell] = ACTIONS(2008),
    [anon_sym_telldir] = ACTIONS(2008),
    [anon_sym_tied] = ACTIONS(2008),
    [anon_sym_uc] = ACTIONS(2008),
    [anon_sym_ucfirst] = ACTIONS(2008),
    [anon_sym_untie] = ACTIONS(2008),
    [anon_sym_umask] = ACTIONS(2008),
    [anon_sym_values] = ACTIONS(2008),
    [anon_sym_write] = ACTIONS(2008),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2008),
    [anon_sym_qq] = ACTIONS(2008),
    [anon_sym_qw] = ACTIONS(2008),
    [anon_sym_qx] = ACTIONS(2008),
    [anon_sym_qr] = ACTIONS(2008),
    [anon_sym_m] = ACTIONS(2008),
    [anon_sym_s] = ACTIONS(2008),
    [anon_sym_tr] = ACTIONS(2008),
    [anon_sym_y] = ACTIONS(2008),
    [anon_sym_if] = ACTIONS(2008),
    [anon_sym_unless] = ACTIONS(2008),
    [anon_sym_while] = ACTIONS(2008),
    [anon_sym_until] = ACTIONS(2008),
    [aux_sym__bareword_token1] = ACTIONS(2008),
    [sym_number] = ACTIONS(2008),
    [anon_sym_true] = ACTIONS(2008),
    [anon_sym_false] = ACTIONS(2008),
    [sym__single_quote] = ACTIONS(2006),
    [sym__double_quote] = ACTIONS(2006),
    [sym__backtick_quote] = ACTIONS(2006),
    [sym__search_slash_quote] = ACTIONS(2006),
    [sym__PERLY_HEREDOC] = ACTIONS(2006),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2006),
    [sym__filetest] = ACTIONS(2006),
  },
  [933] = {
    [sym_heredoc_content] = STATE(933),
    [sym__identifier] = ACTIONS(2112),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_package] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2112),
    [anon_sym_role] = ACTIONS(2112),
    [anon_sym_BUILD] = ACTIONS(2112),
    [anon_sym_ADJUST] = ACTIONS(2112),
    [anon_sym_DOLLAR] = ACTIONS(2112),
    [anon_sym_AT] = ACTIONS(2112),
    [anon_sym_my] = ACTIONS(2112),
    [anon_sym_extended] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_sub] = ACTIONS(2112),
    [anon_sym_method] = ACTIONS(2112),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_state] = ACTIONS(2112),
    [anon_sym_our] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [anon_sym_defer] = ACTIONS(2112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2112),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_LT_LT] = ACTIONS(2112),
    [anon_sym_SLASH_SLASH] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_STAR] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_BSLASH] = ACTIONS(2110),
    [anon_sym_do] = ACTIONS(2112),
    [anon_sym_eval] = ACTIONS(2112),
    [anon_sym_await] = ACTIONS(2112),
    [anon_sym_field] = ACTIONS(2112),
    [anon_sym_local] = ACTIONS(2112),
    [anon_sym_dynamically] = ACTIONS(2112),
    [anon_sym_require] = ACTIONS(2112),
    [anon_sym_map] = ACTIONS(2112),
    [anon_sym_grep] = ACTIONS(2112),
    [anon_sym_sort] = ACTIONS(2112),
    [anon_sym_goto] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_undef] = ACTIONS(2112),
    [anon_sym_PERCENT2] = ACTIONS(2112),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2112),
    [anon_sym_use] = ACTIONS(2112),
    [anon_sym_no] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_foreach] = ACTIONS(2112),
    [anon_sym_last] = ACTIONS(2112),
    [anon_sym_next] = ACTIONS(2112),
    [anon_sym_redo] = ACTIONS(2112),
    [anon_sym_BEGIN] = ACTIONS(2112),
    [anon_sym_INIT] = ACTIONS(2112),
    [anon_sym_CHECK] = ACTIONS(2112),
    [anon_sym_UNITCHECK] = ACTIONS(2112),
    [anon_sym_END] = ACTIONS(2112),
    [anon_sym___FILE__] = ACTIONS(2112),
    [anon_sym___LINE__] = ACTIONS(2112),
    [anon_sym___PACKAGE__] = ACTIONS(2112),
    [anon_sym___SUB__] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_fork] = ACTIONS(2112),
    [anon_sym_getppid] = ACTIONS(2112),
    [anon_sym_time] = ACTIONS(2112),
    [anon_sym_times] = ACTIONS(2112),
    [anon_sym_wait] = ACTIONS(2112),
    [anon_sym_wantarray] = ACTIONS(2112),
    [anon_sym_abs] = ACTIONS(2112),
    [anon_sym_alarm] = ACTIONS(2112),
    [anon_sym_chop] = ACTIONS(2112),
    [anon_sym_chdir] = ACTIONS(2112),
    [anon_sym_close] = ACTIONS(2112),
    [anon_sym_closedir] = ACTIONS(2112),
    [anon_sym_caller] = ACTIONS(2112),
    [anon_sym_chomp] = ACTIONS(2112),
    [anon_sym_chr] = ACTIONS(2112),
    [anon_sym_cos] = ACTIONS(2112),
    [anon_sym_chroot] = ACTIONS(2112),
    [anon_sym_defined] = ACTIONS(2112),
    [anon_sym_delete] = ACTIONS(2112),
    [anon_sym_dbmclose] = ACTIONS(2112),
    [anon_sym_exists] = ACTIONS(2112),
    [anon_sym_exit] = ACTIONS(2112),
    [anon_sym_eof] = ACTIONS(2112),
    [anon_sym_exp] = ACTIONS(2112),
    [anon_sym_each] = ACTIONS(2112),
    [anon_sym_fc] = ACTIONS(2112),
    [anon_sym_fileno] = ACTIONS(2112),
    [anon_sym_gmtime] = ACTIONS(2112),
    [anon_sym_getc] = ACTIONS(2112),
    [anon_sym_getpgrp] = ACTIONS(2112),
    [anon_sym_getprotobyname] = ACTIONS(2112),
    [anon_sym_getpwname] = ACTIONS(2112),
    [anon_sym_getpwuid] = ACTIONS(2112),
    [anon_sym_getpeername] = ACTIONS(2112),
    [anon_sym_getnetbyname] = ACTIONS(2112),
    [anon_sym_getsockname] = ACTIONS(2112),
    [anon_sym_getgrnam] = ACTIONS(2112),
    [anon_sym_getgrgid] = ACTIONS(2112),
    [anon_sym_hex] = ACTIONS(2112),
    [anon_sym_int] = ACTIONS(2112),
    [anon_sym_keys] = ACTIONS(2112),
    [anon_sym_lc] = ACTIONS(2112),
    [anon_sym_lcfirst] = ACTIONS(2112),
    [anon_sym_length] = ACTIONS(2112),
    [anon_sym_localtime] = ACTIONS(2112),
    [anon_sym_log] = ACTIONS(2112),
    [anon_sym_lock] = ACTIONS(2112),
    [anon_sym_lstat] = ACTIONS(2112),
    [anon_sym_oct] = ACTIONS(2112),
    [anon_sym_ord] = ACTIONS(2112),
    [anon_sym_prototype] = ACTIONS(2112),
    [anon_sym_pop] = ACTIONS(2112),
    [anon_sym_pos] = ACTIONS(2112),
    [anon_sym_quotemeta] = ACTIONS(2112),
    [anon_sym_reset] = ACTIONS(2112),
    [anon_sym_rand] = ACTIONS(2112),
    [anon_sym_rmdir] = ACTIONS(2112),
    [anon_sym_readdir] = ACTIONS(2112),
    [anon_sym_readline] = ACTIONS(2112),
    [anon_sym_readpipe] = ACTIONS(2112),
    [anon_sym_rewinddir] = ACTIONS(2112),
    [anon_sym_readlink] = ACTIONS(2112),
    [anon_sym_ref] = ACTIONS(2112),
    [anon_sym_scalar] = ACTIONS(2112),
    [anon_sym_shift] = ACTIONS(2112),
    [anon_sym_sin] = ACTIONS(2112),
    [anon_sym_sleep] = ACTIONS(2112),
    [anon_sym_sqrt] = ACTIONS(2112),
    [anon_sym_srand] = ACTIONS(2112),
    [anon_sym_stat] = ACTIONS(2112),
    [anon_sym_study] = ACTIONS(2112),
    [anon_sym_tell] = ACTIONS(2112),
    [anon_sym_telldir] = ACTIONS(2112),
    [anon_sym_tied] = ACTIONS(2112),
    [anon_sym_uc] = ACTIONS(2112),
    [anon_sym_ucfirst] = ACTIONS(2112),
    [anon_sym_untie] = ACTIONS(2112),
    [anon_sym_umask] = ACTIONS(2112),
    [anon_sym_values] = ACTIONS(2112),
    [anon_sym_write] = ACTIONS(2112),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2112),
    [anon_sym_qq] = ACTIONS(2112),
    [anon_sym_qw] = ACTIONS(2112),
    [anon_sym_qx] = ACTIONS(2112),
    [anon_sym_qr] = ACTIONS(2112),
    [anon_sym_m] = ACTIONS(2112),
    [anon_sym_s] = ACTIONS(2112),
    [anon_sym_tr] = ACTIONS(2112),
    [anon_sym_y] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_unless] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_until] = ACTIONS(2112),
    [aux_sym__bareword_token1] = ACTIONS(2112),
    [sym_number] = ACTIONS(2112),
    [anon_sym_true] = ACTIONS(2112),
    [anon_sym_false] = ACTIONS(2112),
    [sym__single_quote] = ACTIONS(2110),
    [sym__double_quote] = ACTIONS(2110),
    [sym__backtick_quote] = ACTIONS(2110),
    [sym__search_slash_quote] = ACTIONS(2110),
    [sym__PERLY_HEREDOC] = ACTIONS(2110),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2110),
    [sym__filetest] = ACTIONS(2110),
  },
  [934] = {
    [sym_heredoc_content] = STATE(934),
    [sym__identifier] = ACTIONS(2028),
    [anon_sym_LBRACE] = ACTIONS(2028),
    [anon_sym_RBRACE] = ACTIONS(2028),
    [anon_sym_SEMI] = ACTIONS(2028),
    [anon_sym_package] = ACTIONS(2028),
    [anon_sym_class] = ACTIONS(2028),
    [anon_sym_role] = ACTIONS(2028),
    [anon_sym_BUILD] = ACTIONS(2028),
    [anon_sym_ADJUST] = ACTIONS(2028),
    [anon_sym_DOLLAR] = ACTIONS(2028),
    [anon_sym_AT] = ACTIONS(2028),
    [anon_sym_my] = ACTIONS(2028),
    [anon_sym_extended] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2028),
    [anon_sym_sub] = ACTIONS(2028),
    [anon_sym_method] = ACTIONS(2028),
    [anon_sym_LPAREN] = ACTIONS(2028),
    [anon_sym_continue] = ACTIONS(2028),
    [anon_sym_state] = ACTIONS(2028),
    [anon_sym_our] = ACTIONS(2028),
    [anon_sym_try] = ACTIONS(2028),
    [anon_sym_defer] = ACTIONS(2028),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2028),
    [anon_sym_LT] = ACTIONS(2028),
    [anon_sym_LT_LT] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2028),
    [anon_sym_DASH] = ACTIONS(2028),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_TILDE] = ACTIONS(2028),
    [anon_sym_BANG] = ACTIONS(2028),
    [anon_sym_PLUS_PLUS] = ACTIONS(2028),
    [anon_sym_DASH_DASH] = ACTIONS(2028),
    [anon_sym_BSLASH] = ACTIONS(2026),
    [anon_sym_do] = ACTIONS(2028),
    [anon_sym_eval] = ACTIONS(2028),
    [anon_sym_await] = ACTIONS(2028),
    [anon_sym_field] = ACTIONS(2028),
    [anon_sym_local] = ACTIONS(2028),
    [anon_sym_dynamically] = ACTIONS(2028),
    [anon_sym_require] = ACTIONS(2028),
    [anon_sym_map] = ACTIONS(2028),
    [anon_sym_grep] = ACTIONS(2028),
    [anon_sym_sort] = ACTIONS(2028),
    [anon_sym_goto] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2028),
    [anon_sym_undef] = ACTIONS(2028),
    [anon_sym_PERCENT2] = ACTIONS(2028),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2028),
    [anon_sym_use] = ACTIONS(2028),
    [anon_sym_no] = ACTIONS(2028),
    [anon_sym_for] = ACTIONS(2028),
    [anon_sym_foreach] = ACTIONS(2028),
    [anon_sym_last] = ACTIONS(2028),
    [anon_sym_next] = ACTIONS(2028),
    [anon_sym_redo] = ACTIONS(2028),
    [anon_sym_BEGIN] = ACTIONS(2028),
    [anon_sym_INIT] = ACTIONS(2028),
    [anon_sym_CHECK] = ACTIONS(2028),
    [anon_sym_UNITCHECK] = ACTIONS(2028),
    [anon_sym_END] = ACTIONS(2028),
    [anon_sym___FILE__] = ACTIONS(2028),
    [anon_sym___LINE__] = ACTIONS(2028),
    [anon_sym___PACKAGE__] = ACTIONS(2028),
    [anon_sym___SUB__] = ACTIONS(2028),
    [anon_sym_break] = ACTIONS(2028),
    [anon_sym_fork] = ACTIONS(2028),
    [anon_sym_getppid] = ACTIONS(2028),
    [anon_sym_time] = ACTIONS(2028),
    [anon_sym_times] = ACTIONS(2028),
    [anon_sym_wait] = ACTIONS(2028),
    [anon_sym_wantarray] = ACTIONS(2028),
    [anon_sym_abs] = ACTIONS(2028),
    [anon_sym_alarm] = ACTIONS(2028),
    [anon_sym_chop] = ACTIONS(2028),
    [anon_sym_chdir] = ACTIONS(2028),
    [anon_sym_close] = ACTIONS(2028),
    [anon_sym_closedir] = ACTIONS(2028),
    [anon_sym_caller] = ACTIONS(2028),
    [anon_sym_chomp] = ACTIONS(2028),
    [anon_sym_chr] = ACTIONS(2028),
    [anon_sym_cos] = ACTIONS(2028),
    [anon_sym_chroot] = ACTIONS(2028),
    [anon_sym_defined] = ACTIONS(2028),
    [anon_sym_delete] = ACTIONS(2028),
    [anon_sym_dbmclose] = ACTIONS(2028),
    [anon_sym_exists] = ACTIONS(2028),
    [anon_sym_exit] = ACTIONS(2028),
    [anon_sym_eof] = ACTIONS(2028),
    [anon_sym_exp] = ACTIONS(2028),
    [anon_sym_each] = ACTIONS(2028),
    [anon_sym_fc] = ACTIONS(2028),
    [anon_sym_fileno] = ACTIONS(2028),
    [anon_sym_gmtime] = ACTIONS(2028),
    [anon_sym_getc] = ACTIONS(2028),
    [anon_sym_getpgrp] = ACTIONS(2028),
    [anon_sym_getprotobyname] = ACTIONS(2028),
    [anon_sym_getpwname] = ACTIONS(2028),
    [anon_sym_getpwuid] = ACTIONS(2028),
    [anon_sym_getpeername] = ACTIONS(2028),
    [anon_sym_getnetbyname] = ACTIONS(2028),
    [anon_sym_getsockname] = ACTIONS(2028),
    [anon_sym_getgrnam] = ACTIONS(2028),
    [anon_sym_getgrgid] = ACTIONS(2028),
    [anon_sym_hex] = ACTIONS(2028),
    [anon_sym_int] = ACTIONS(2028),
    [anon_sym_keys] = ACTIONS(2028),
    [anon_sym_lc] = ACTIONS(2028),
    [anon_sym_lcfirst] = ACTIONS(2028),
    [anon_sym_length] = ACTIONS(2028),
    [anon_sym_localtime] = ACTIONS(2028),
    [anon_sym_log] = ACTIONS(2028),
    [anon_sym_lock] = ACTIONS(2028),
    [anon_sym_lstat] = ACTIONS(2028),
    [anon_sym_oct] = ACTIONS(2028),
    [anon_sym_ord] = ACTIONS(2028),
    [anon_sym_prototype] = ACTIONS(2028),
    [anon_sym_pop] = ACTIONS(2028),
    [anon_sym_pos] = ACTIONS(2028),
    [anon_sym_quotemeta] = ACTIONS(2028),
    [anon_sym_reset] = ACTIONS(2028),
    [anon_sym_rand] = ACTIONS(2028),
    [anon_sym_rmdir] = ACTIONS(2028),
    [anon_sym_readdir] = ACTIONS(2028),
    [anon_sym_readline] = ACTIONS(2028),
    [anon_sym_readpipe] = ACTIONS(2028),
    [anon_sym_rewinddir] = ACTIONS(2028),
    [anon_sym_readlink] = ACTIONS(2028),
    [anon_sym_ref] = ACTIONS(2028),
    [anon_sym_scalar] = ACTIONS(2028),
    [anon_sym_shift] = ACTIONS(2028),
    [anon_sym_sin] = ACTIONS(2028),
    [anon_sym_sleep] = ACTIONS(2028),
    [anon_sym_sqrt] = ACTIONS(2028),
    [anon_sym_srand] = ACTIONS(2028),
    [anon_sym_stat] = ACTIONS(2028),
    [anon_sym_study] = ACTIONS(2028),
    [anon_sym_tell] = ACTIONS(2028),
    [anon_sym_telldir] = ACTIONS(2028),
    [anon_sym_tied] = ACTIONS(2028),
    [anon_sym_uc] = ACTIONS(2028),
    [anon_sym_ucfirst] = ACTIONS(2028),
    [anon_sym_untie] = ACTIONS(2028),
    [anon_sym_umask] = ACTIONS(2028),
    [anon_sym_values] = ACTIONS(2028),
    [anon_sym_write] = ACTIONS(2028),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2028),
    [anon_sym_qq] = ACTIONS(2028),
    [anon_sym_qw] = ACTIONS(2028),
    [anon_sym_qx] = ACTIONS(2028),
    [anon_sym_qr] = ACTIONS(2028),
    [anon_sym_m] = ACTIONS(2028),
    [anon_sym_s] = ACTIONS(2028),
    [anon_sym_tr] = ACTIONS(2028),
    [anon_sym_y] = ACTIONS(2028),
    [anon_sym_if] = ACTIONS(2028),
    [anon_sym_unless] = ACTIONS(2028),
    [anon_sym_while] = ACTIONS(2028),
    [anon_sym_until] = ACTIONS(2028),
    [aux_sym__bareword_token1] = ACTIONS(2028),
    [sym_number] = ACTIONS(2028),
    [anon_sym_true] = ACTIONS(2028),
    [anon_sym_false] = ACTIONS(2028),
    [sym__single_quote] = ACTIONS(2026),
    [sym__double_quote] = ACTIONS(2026),
    [sym__backtick_quote] = ACTIONS(2026),
    [sym__search_slash_quote] = ACTIONS(2026),
    [sym__PERLY_HEREDOC] = ACTIONS(2026),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2026),
    [sym__filetest] = ACTIONS(2026),
  },
  [935] = {
    [sym_heredoc_content] = STATE(935),
    [sym__identifier] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_RBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [anon_sym_package] = ACTIONS(1405),
    [anon_sym_class] = ACTIONS(1405),
    [anon_sym_role] = ACTIONS(1405),
    [anon_sym_BUILD] = ACTIONS(1405),
    [anon_sym_ADJUST] = ACTIONS(1405),
    [anon_sym_DOLLAR] = ACTIONS(1405),
    [anon_sym_AT] = ACTIONS(1405),
    [anon_sym_my] = ACTIONS(1405),
    [anon_sym_extended] = ACTIONS(1405),
    [anon_sym_async] = ACTIONS(1405),
    [anon_sym_sub] = ACTIONS(1405),
    [anon_sym_method] = ACTIONS(1405),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_continue] = ACTIONS(1405),
    [anon_sym_state] = ACTIONS(1405),
    [anon_sym_our] = ACTIONS(1405),
    [anon_sym_try] = ACTIONS(1405),
    [anon_sym_defer] = ACTIONS(1405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1405),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_TILDE] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1405),
    [anon_sym_DASH_DASH] = ACTIONS(1405),
    [anon_sym_BSLASH] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1405),
    [anon_sym_eval] = ACTIONS(1405),
    [anon_sym_await] = ACTIONS(1405),
    [anon_sym_field] = ACTIONS(1405),
    [anon_sym_local] = ACTIONS(1405),
    [anon_sym_dynamically] = ACTIONS(1405),
    [anon_sym_require] = ACTIONS(1405),
    [anon_sym_map] = ACTIONS(1405),
    [anon_sym_grep] = ACTIONS(1405),
    [anon_sym_sort] = ACTIONS(1405),
    [anon_sym_goto] = ACTIONS(1405),
    [anon_sym_return] = ACTIONS(1405),
    [anon_sym_undef] = ACTIONS(1405),
    [anon_sym_PERCENT2] = ACTIONS(1405),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1405),
    [anon_sym_use] = ACTIONS(1405),
    [anon_sym_no] = ACTIONS(1405),
    [anon_sym_for] = ACTIONS(1405),
    [anon_sym_foreach] = ACTIONS(1405),
    [anon_sym_last] = ACTIONS(1405),
    [anon_sym_next] = ACTIONS(1405),
    [anon_sym_redo] = ACTIONS(1405),
    [anon_sym_BEGIN] = ACTIONS(1405),
    [anon_sym_INIT] = ACTIONS(1405),
    [anon_sym_CHECK] = ACTIONS(1405),
    [anon_sym_UNITCHECK] = ACTIONS(1405),
    [anon_sym_END] = ACTIONS(1405),
    [anon_sym___FILE__] = ACTIONS(1405),
    [anon_sym___LINE__] = ACTIONS(1405),
    [anon_sym___PACKAGE__] = ACTIONS(1405),
    [anon_sym___SUB__] = ACTIONS(1405),
    [anon_sym_break] = ACTIONS(1405),
    [anon_sym_fork] = ACTIONS(1405),
    [anon_sym_getppid] = ACTIONS(1405),
    [anon_sym_time] = ACTIONS(1405),
    [anon_sym_times] = ACTIONS(1405),
    [anon_sym_wait] = ACTIONS(1405),
    [anon_sym_wantarray] = ACTIONS(1405),
    [anon_sym_abs] = ACTIONS(1405),
    [anon_sym_alarm] = ACTIONS(1405),
    [anon_sym_chop] = ACTIONS(1405),
    [anon_sym_chdir] = ACTIONS(1405),
    [anon_sym_close] = ACTIONS(1405),
    [anon_sym_closedir] = ACTIONS(1405),
    [anon_sym_caller] = ACTIONS(1405),
    [anon_sym_chomp] = ACTIONS(1405),
    [anon_sym_chr] = ACTIONS(1405),
    [anon_sym_cos] = ACTIONS(1405),
    [anon_sym_chroot] = ACTIONS(1405),
    [anon_sym_defined] = ACTIONS(1405),
    [anon_sym_delete] = ACTIONS(1405),
    [anon_sym_dbmclose] = ACTIONS(1405),
    [anon_sym_exists] = ACTIONS(1405),
    [anon_sym_exit] = ACTIONS(1405),
    [anon_sym_eof] = ACTIONS(1405),
    [anon_sym_exp] = ACTIONS(1405),
    [anon_sym_each] = ACTIONS(1405),
    [anon_sym_fc] = ACTIONS(1405),
    [anon_sym_fileno] = ACTIONS(1405),
    [anon_sym_gmtime] = ACTIONS(1405),
    [anon_sym_getc] = ACTIONS(1405),
    [anon_sym_getpgrp] = ACTIONS(1405),
    [anon_sym_getprotobyname] = ACTIONS(1405),
    [anon_sym_getpwname] = ACTIONS(1405),
    [anon_sym_getpwuid] = ACTIONS(1405),
    [anon_sym_getpeername] = ACTIONS(1405),
    [anon_sym_getnetbyname] = ACTIONS(1405),
    [anon_sym_getsockname] = ACTIONS(1405),
    [anon_sym_getgrnam] = ACTIONS(1405),
    [anon_sym_getgrgid] = ACTIONS(1405),
    [anon_sym_hex] = ACTIONS(1405),
    [anon_sym_int] = ACTIONS(1405),
    [anon_sym_keys] = ACTIONS(1405),
    [anon_sym_lc] = ACTIONS(1405),
    [anon_sym_lcfirst] = ACTIONS(1405),
    [anon_sym_length] = ACTIONS(1405),
    [anon_sym_localtime] = ACTIONS(1405),
    [anon_sym_log] = ACTIONS(1405),
    [anon_sym_lock] = ACTIONS(1405),
    [anon_sym_lstat] = ACTIONS(1405),
    [anon_sym_oct] = ACTIONS(1405),
    [anon_sym_ord] = ACTIONS(1405),
    [anon_sym_prototype] = ACTIONS(1405),
    [anon_sym_pop] = ACTIONS(1405),
    [anon_sym_pos] = ACTIONS(1405),
    [anon_sym_quotemeta] = ACTIONS(1405),
    [anon_sym_reset] = ACTIONS(1405),
    [anon_sym_rand] = ACTIONS(1405),
    [anon_sym_rmdir] = ACTIONS(1405),
    [anon_sym_readdir] = ACTIONS(1405),
    [anon_sym_readline] = ACTIONS(1405),
    [anon_sym_readpipe] = ACTIONS(1405),
    [anon_sym_rewinddir] = ACTIONS(1405),
    [anon_sym_readlink] = ACTIONS(1405),
    [anon_sym_ref] = ACTIONS(1405),
    [anon_sym_scalar] = ACTIONS(1405),
    [anon_sym_shift] = ACTIONS(1405),
    [anon_sym_sin] = ACTIONS(1405),
    [anon_sym_sleep] = ACTIONS(1405),
    [anon_sym_sqrt] = ACTIONS(1405),
    [anon_sym_srand] = ACTIONS(1405),
    [anon_sym_stat] = ACTIONS(1405),
    [anon_sym_study] = ACTIONS(1405),
    [anon_sym_tell] = ACTIONS(1405),
    [anon_sym_telldir] = ACTIONS(1405),
    [anon_sym_tied] = ACTIONS(1405),
    [anon_sym_uc] = ACTIONS(1405),
    [anon_sym_ucfirst] = ACTIONS(1405),
    [anon_sym_untie] = ACTIONS(1405),
    [anon_sym_umask] = ACTIONS(1405),
    [anon_sym_values] = ACTIONS(1405),
    [anon_sym_write] = ACTIONS(1405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1405),
    [anon_sym_qq] = ACTIONS(1405),
    [anon_sym_qw] = ACTIONS(1405),
    [anon_sym_qx] = ACTIONS(1405),
    [anon_sym_qr] = ACTIONS(1405),
    [anon_sym_m] = ACTIONS(1405),
    [anon_sym_s] = ACTIONS(1405),
    [anon_sym_tr] = ACTIONS(1405),
    [anon_sym_y] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_unless] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1405),
    [anon_sym_until] = ACTIONS(1405),
    [aux_sym__bareword_token1] = ACTIONS(1405),
    [sym_number] = ACTIONS(1405),
    [anon_sym_true] = ACTIONS(1405),
    [anon_sym_false] = ACTIONS(1405),
    [sym__single_quote] = ACTIONS(1403),
    [sym__double_quote] = ACTIONS(1403),
    [sym__backtick_quote] = ACTIONS(1403),
    [sym__search_slash_quote] = ACTIONS(1403),
    [sym__PERLY_HEREDOC] = ACTIONS(1403),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1403),
    [sym__filetest] = ACTIONS(1403),
  },
  [936] = {
    [sym_heredoc_content] = STATE(936),
    [sym__identifier] = ACTIONS(2036),
    [anon_sym_LBRACE] = ACTIONS(2036),
    [anon_sym_RBRACE] = ACTIONS(2036),
    [anon_sym_SEMI] = ACTIONS(2036),
    [anon_sym_package] = ACTIONS(2036),
    [anon_sym_class] = ACTIONS(2036),
    [anon_sym_role] = ACTIONS(2036),
    [anon_sym_BUILD] = ACTIONS(2036),
    [anon_sym_ADJUST] = ACTIONS(2036),
    [anon_sym_DOLLAR] = ACTIONS(2036),
    [anon_sym_AT] = ACTIONS(2036),
    [anon_sym_my] = ACTIONS(2036),
    [anon_sym_extended] = ACTIONS(2036),
    [anon_sym_async] = ACTIONS(2036),
    [anon_sym_sub] = ACTIONS(2036),
    [anon_sym_method] = ACTIONS(2036),
    [anon_sym_LPAREN] = ACTIONS(2036),
    [anon_sym_continue] = ACTIONS(2036),
    [anon_sym_state] = ACTIONS(2036),
    [anon_sym_our] = ACTIONS(2036),
    [anon_sym_try] = ACTIONS(2036),
    [anon_sym_defer] = ACTIONS(2036),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2036),
    [anon_sym_LBRACK] = ACTIONS(2036),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_LT_LT] = ACTIONS(2036),
    [anon_sym_SLASH_SLASH] = ACTIONS(2036),
    [anon_sym_PLUS] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_STAR] = ACTIONS(2036),
    [anon_sym_TILDE] = ACTIONS(2036),
    [anon_sym_BANG] = ACTIONS(2036),
    [anon_sym_PLUS_PLUS] = ACTIONS(2036),
    [anon_sym_DASH_DASH] = ACTIONS(2036),
    [anon_sym_BSLASH] = ACTIONS(2034),
    [anon_sym_do] = ACTIONS(2036),
    [anon_sym_eval] = ACTIONS(2036),
    [anon_sym_await] = ACTIONS(2036),
    [anon_sym_field] = ACTIONS(2036),
    [anon_sym_local] = ACTIONS(2036),
    [anon_sym_dynamically] = ACTIONS(2036),
    [anon_sym_require] = ACTIONS(2036),
    [anon_sym_map] = ACTIONS(2036),
    [anon_sym_grep] = ACTIONS(2036),
    [anon_sym_sort] = ACTIONS(2036),
    [anon_sym_goto] = ACTIONS(2036),
    [anon_sym_return] = ACTIONS(2036),
    [anon_sym_undef] = ACTIONS(2036),
    [anon_sym_PERCENT2] = ACTIONS(2036),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2036),
    [anon_sym_no] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2036),
    [anon_sym_foreach] = ACTIONS(2036),
    [anon_sym_last] = ACTIONS(2036),
    [anon_sym_next] = ACTIONS(2036),
    [anon_sym_redo] = ACTIONS(2036),
    [anon_sym_BEGIN] = ACTIONS(2036),
    [anon_sym_INIT] = ACTIONS(2036),
    [anon_sym_CHECK] = ACTIONS(2036),
    [anon_sym_UNITCHECK] = ACTIONS(2036),
    [anon_sym_END] = ACTIONS(2036),
    [anon_sym___FILE__] = ACTIONS(2036),
    [anon_sym___LINE__] = ACTIONS(2036),
    [anon_sym___PACKAGE__] = ACTIONS(2036),
    [anon_sym___SUB__] = ACTIONS(2036),
    [anon_sym_break] = ACTIONS(2036),
    [anon_sym_fork] = ACTIONS(2036),
    [anon_sym_getppid] = ACTIONS(2036),
    [anon_sym_time] = ACTIONS(2036),
    [anon_sym_times] = ACTIONS(2036),
    [anon_sym_wait] = ACTIONS(2036),
    [anon_sym_wantarray] = ACTIONS(2036),
    [anon_sym_abs] = ACTIONS(2036),
    [anon_sym_alarm] = ACTIONS(2036),
    [anon_sym_chop] = ACTIONS(2036),
    [anon_sym_chdir] = ACTIONS(2036),
    [anon_sym_close] = ACTIONS(2036),
    [anon_sym_closedir] = ACTIONS(2036),
    [anon_sym_caller] = ACTIONS(2036),
    [anon_sym_chomp] = ACTIONS(2036),
    [anon_sym_chr] = ACTIONS(2036),
    [anon_sym_cos] = ACTIONS(2036),
    [anon_sym_chroot] = ACTIONS(2036),
    [anon_sym_defined] = ACTIONS(2036),
    [anon_sym_delete] = ACTIONS(2036),
    [anon_sym_dbmclose] = ACTIONS(2036),
    [anon_sym_exists] = ACTIONS(2036),
    [anon_sym_exit] = ACTIONS(2036),
    [anon_sym_eof] = ACTIONS(2036),
    [anon_sym_exp] = ACTIONS(2036),
    [anon_sym_each] = ACTIONS(2036),
    [anon_sym_fc] = ACTIONS(2036),
    [anon_sym_fileno] = ACTIONS(2036),
    [anon_sym_gmtime] = ACTIONS(2036),
    [anon_sym_getc] = ACTIONS(2036),
    [anon_sym_getpgrp] = ACTIONS(2036),
    [anon_sym_getprotobyname] = ACTIONS(2036),
    [anon_sym_getpwname] = ACTIONS(2036),
    [anon_sym_getpwuid] = ACTIONS(2036),
    [anon_sym_getpeername] = ACTIONS(2036),
    [anon_sym_getnetbyname] = ACTIONS(2036),
    [anon_sym_getsockname] = ACTIONS(2036),
    [anon_sym_getgrnam] = ACTIONS(2036),
    [anon_sym_getgrgid] = ACTIONS(2036),
    [anon_sym_hex] = ACTIONS(2036),
    [anon_sym_int] = ACTIONS(2036),
    [anon_sym_keys] = ACTIONS(2036),
    [anon_sym_lc] = ACTIONS(2036),
    [anon_sym_lcfirst] = ACTIONS(2036),
    [anon_sym_length] = ACTIONS(2036),
    [anon_sym_localtime] = ACTIONS(2036),
    [anon_sym_log] = ACTIONS(2036),
    [anon_sym_lock] = ACTIONS(2036),
    [anon_sym_lstat] = ACTIONS(2036),
    [anon_sym_oct] = ACTIONS(2036),
    [anon_sym_ord] = ACTIONS(2036),
    [anon_sym_prototype] = ACTIONS(2036),
    [anon_sym_pop] = ACTIONS(2036),
    [anon_sym_pos] = ACTIONS(2036),
    [anon_sym_quotemeta] = ACTIONS(2036),
    [anon_sym_reset] = ACTIONS(2036),
    [anon_sym_rand] = ACTIONS(2036),
    [anon_sym_rmdir] = ACTIONS(2036),
    [anon_sym_readdir] = ACTIONS(2036),
    [anon_sym_readline] = ACTIONS(2036),
    [anon_sym_readpipe] = ACTIONS(2036),
    [anon_sym_rewinddir] = ACTIONS(2036),
    [anon_sym_readlink] = ACTIONS(2036),
    [anon_sym_ref] = ACTIONS(2036),
    [anon_sym_scalar] = ACTIONS(2036),
    [anon_sym_shift] = ACTIONS(2036),
    [anon_sym_sin] = ACTIONS(2036),
    [anon_sym_sleep] = ACTIONS(2036),
    [anon_sym_sqrt] = ACTIONS(2036),
    [anon_sym_srand] = ACTIONS(2036),
    [anon_sym_stat] = ACTIONS(2036),
    [anon_sym_study] = ACTIONS(2036),
    [anon_sym_tell] = ACTIONS(2036),
    [anon_sym_telldir] = ACTIONS(2036),
    [anon_sym_tied] = ACTIONS(2036),
    [anon_sym_uc] = ACTIONS(2036),
    [anon_sym_ucfirst] = ACTIONS(2036),
    [anon_sym_untie] = ACTIONS(2036),
    [anon_sym_umask] = ACTIONS(2036),
    [anon_sym_values] = ACTIONS(2036),
    [anon_sym_write] = ACTIONS(2036),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2036),
    [anon_sym_qq] = ACTIONS(2036),
    [anon_sym_qw] = ACTIONS(2036),
    [anon_sym_qx] = ACTIONS(2036),
    [anon_sym_qr] = ACTIONS(2036),
    [anon_sym_m] = ACTIONS(2036),
    [anon_sym_s] = ACTIONS(2036),
    [anon_sym_tr] = ACTIONS(2036),
    [anon_sym_y] = ACTIONS(2036),
    [anon_sym_if] = ACTIONS(2036),
    [anon_sym_unless] = ACTIONS(2036),
    [anon_sym_while] = ACTIONS(2036),
    [anon_sym_until] = ACTIONS(2036),
    [aux_sym__bareword_token1] = ACTIONS(2036),
    [sym_number] = ACTIONS(2036),
    [anon_sym_true] = ACTIONS(2036),
    [anon_sym_false] = ACTIONS(2036),
    [sym__single_quote] = ACTIONS(2034),
    [sym__double_quote] = ACTIONS(2034),
    [sym__backtick_quote] = ACTIONS(2034),
    [sym__search_slash_quote] = ACTIONS(2034),
    [sym__PERLY_HEREDOC] = ACTIONS(2034),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2034),
    [sym__filetest] = ACTIONS(2034),
  },
  [937] = {
    [sym_heredoc_content] = STATE(937),
    [sym__identifier] = ACTIONS(2040),
    [anon_sym_LBRACE] = ACTIONS(2040),
    [anon_sym_RBRACE] = ACTIONS(2040),
    [anon_sym_SEMI] = ACTIONS(2040),
    [anon_sym_package] = ACTIONS(2040),
    [anon_sym_class] = ACTIONS(2040),
    [anon_sym_role] = ACTIONS(2040),
    [anon_sym_BUILD] = ACTIONS(2040),
    [anon_sym_ADJUST] = ACTIONS(2040),
    [anon_sym_DOLLAR] = ACTIONS(2040),
    [anon_sym_AT] = ACTIONS(2040),
    [anon_sym_my] = ACTIONS(2040),
    [anon_sym_extended] = ACTIONS(2040),
    [anon_sym_async] = ACTIONS(2040),
    [anon_sym_sub] = ACTIONS(2040),
    [anon_sym_method] = ACTIONS(2040),
    [anon_sym_LPAREN] = ACTIONS(2040),
    [anon_sym_continue] = ACTIONS(2040),
    [anon_sym_state] = ACTIONS(2040),
    [anon_sym_our] = ACTIONS(2040),
    [anon_sym_try] = ACTIONS(2040),
    [anon_sym_defer] = ACTIONS(2040),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2040),
    [anon_sym_LBRACK] = ACTIONS(2040),
    [anon_sym_LT] = ACTIONS(2040),
    [anon_sym_LT_LT] = ACTIONS(2040),
    [anon_sym_SLASH_SLASH] = ACTIONS(2040),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2040),
    [anon_sym_STAR] = ACTIONS(2040),
    [anon_sym_TILDE] = ACTIONS(2040),
    [anon_sym_BANG] = ACTIONS(2040),
    [anon_sym_PLUS_PLUS] = ACTIONS(2040),
    [anon_sym_DASH_DASH] = ACTIONS(2040),
    [anon_sym_BSLASH] = ACTIONS(2038),
    [anon_sym_do] = ACTIONS(2040),
    [anon_sym_eval] = ACTIONS(2040),
    [anon_sym_await] = ACTIONS(2040),
    [anon_sym_field] = ACTIONS(2040),
    [anon_sym_local] = ACTIONS(2040),
    [anon_sym_dynamically] = ACTIONS(2040),
    [anon_sym_require] = ACTIONS(2040),
    [anon_sym_map] = ACTIONS(2040),
    [anon_sym_grep] = ACTIONS(2040),
    [anon_sym_sort] = ACTIONS(2040),
    [anon_sym_goto] = ACTIONS(2040),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_undef] = ACTIONS(2040),
    [anon_sym_PERCENT2] = ACTIONS(2040),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2040),
    [anon_sym_use] = ACTIONS(2040),
    [anon_sym_no] = ACTIONS(2040),
    [anon_sym_for] = ACTIONS(2040),
    [anon_sym_foreach] = ACTIONS(2040),
    [anon_sym_last] = ACTIONS(2040),
    [anon_sym_next] = ACTIONS(2040),
    [anon_sym_redo] = ACTIONS(2040),
    [anon_sym_BEGIN] = ACTIONS(2040),
    [anon_sym_INIT] = ACTIONS(2040),
    [anon_sym_CHECK] = ACTIONS(2040),
    [anon_sym_UNITCHECK] = ACTIONS(2040),
    [anon_sym_END] = ACTIONS(2040),
    [anon_sym___FILE__] = ACTIONS(2040),
    [anon_sym___LINE__] = ACTIONS(2040),
    [anon_sym___PACKAGE__] = ACTIONS(2040),
    [anon_sym___SUB__] = ACTIONS(2040),
    [anon_sym_break] = ACTIONS(2040),
    [anon_sym_fork] = ACTIONS(2040),
    [anon_sym_getppid] = ACTIONS(2040),
    [anon_sym_time] = ACTIONS(2040),
    [anon_sym_times] = ACTIONS(2040),
    [anon_sym_wait] = ACTIONS(2040),
    [anon_sym_wantarray] = ACTIONS(2040),
    [anon_sym_abs] = ACTIONS(2040),
    [anon_sym_alarm] = ACTIONS(2040),
    [anon_sym_chop] = ACTIONS(2040),
    [anon_sym_chdir] = ACTIONS(2040),
    [anon_sym_close] = ACTIONS(2040),
    [anon_sym_closedir] = ACTIONS(2040),
    [anon_sym_caller] = ACTIONS(2040),
    [anon_sym_chomp] = ACTIONS(2040),
    [anon_sym_chr] = ACTIONS(2040),
    [anon_sym_cos] = ACTIONS(2040),
    [anon_sym_chroot] = ACTIONS(2040),
    [anon_sym_defined] = ACTIONS(2040),
    [anon_sym_delete] = ACTIONS(2040),
    [anon_sym_dbmclose] = ACTIONS(2040),
    [anon_sym_exists] = ACTIONS(2040),
    [anon_sym_exit] = ACTIONS(2040),
    [anon_sym_eof] = ACTIONS(2040),
    [anon_sym_exp] = ACTIONS(2040),
    [anon_sym_each] = ACTIONS(2040),
    [anon_sym_fc] = ACTIONS(2040),
    [anon_sym_fileno] = ACTIONS(2040),
    [anon_sym_gmtime] = ACTIONS(2040),
    [anon_sym_getc] = ACTIONS(2040),
    [anon_sym_getpgrp] = ACTIONS(2040),
    [anon_sym_getprotobyname] = ACTIONS(2040),
    [anon_sym_getpwname] = ACTIONS(2040),
    [anon_sym_getpwuid] = ACTIONS(2040),
    [anon_sym_getpeername] = ACTIONS(2040),
    [anon_sym_getnetbyname] = ACTIONS(2040),
    [anon_sym_getsockname] = ACTIONS(2040),
    [anon_sym_getgrnam] = ACTIONS(2040),
    [anon_sym_getgrgid] = ACTIONS(2040),
    [anon_sym_hex] = ACTIONS(2040),
    [anon_sym_int] = ACTIONS(2040),
    [anon_sym_keys] = ACTIONS(2040),
    [anon_sym_lc] = ACTIONS(2040),
    [anon_sym_lcfirst] = ACTIONS(2040),
    [anon_sym_length] = ACTIONS(2040),
    [anon_sym_localtime] = ACTIONS(2040),
    [anon_sym_log] = ACTIONS(2040),
    [anon_sym_lock] = ACTIONS(2040),
    [anon_sym_lstat] = ACTIONS(2040),
    [anon_sym_oct] = ACTIONS(2040),
    [anon_sym_ord] = ACTIONS(2040),
    [anon_sym_prototype] = ACTIONS(2040),
    [anon_sym_pop] = ACTIONS(2040),
    [anon_sym_pos] = ACTIONS(2040),
    [anon_sym_quotemeta] = ACTIONS(2040),
    [anon_sym_reset] = ACTIONS(2040),
    [anon_sym_rand] = ACTIONS(2040),
    [anon_sym_rmdir] = ACTIONS(2040),
    [anon_sym_readdir] = ACTIONS(2040),
    [anon_sym_readline] = ACTIONS(2040),
    [anon_sym_readpipe] = ACTIONS(2040),
    [anon_sym_rewinddir] = ACTIONS(2040),
    [anon_sym_readlink] = ACTIONS(2040),
    [anon_sym_ref] = ACTIONS(2040),
    [anon_sym_scalar] = ACTIONS(2040),
    [anon_sym_shift] = ACTIONS(2040),
    [anon_sym_sin] = ACTIONS(2040),
    [anon_sym_sleep] = ACTIONS(2040),
    [anon_sym_sqrt] = ACTIONS(2040),
    [anon_sym_srand] = ACTIONS(2040),
    [anon_sym_stat] = ACTIONS(2040),
    [anon_sym_study] = ACTIONS(2040),
    [anon_sym_tell] = ACTIONS(2040),
    [anon_sym_telldir] = ACTIONS(2040),
    [anon_sym_tied] = ACTIONS(2040),
    [anon_sym_uc] = ACTIONS(2040),
    [anon_sym_ucfirst] = ACTIONS(2040),
    [anon_sym_untie] = ACTIONS(2040),
    [anon_sym_umask] = ACTIONS(2040),
    [anon_sym_values] = ACTIONS(2040),
    [anon_sym_write] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2040),
    [anon_sym_qq] = ACTIONS(2040),
    [anon_sym_qw] = ACTIONS(2040),
    [anon_sym_qx] = ACTIONS(2040),
    [anon_sym_qr] = ACTIONS(2040),
    [anon_sym_m] = ACTIONS(2040),
    [anon_sym_s] = ACTIONS(2040),
    [anon_sym_tr] = ACTIONS(2040),
    [anon_sym_y] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(2040),
    [anon_sym_unless] = ACTIONS(2040),
    [anon_sym_while] = ACTIONS(2040),
    [anon_sym_until] = ACTIONS(2040),
    [aux_sym__bareword_token1] = ACTIONS(2040),
    [sym_number] = ACTIONS(2040),
    [anon_sym_true] = ACTIONS(2040),
    [anon_sym_false] = ACTIONS(2040),
    [sym__single_quote] = ACTIONS(2038),
    [sym__double_quote] = ACTIONS(2038),
    [sym__backtick_quote] = ACTIONS(2038),
    [sym__search_slash_quote] = ACTIONS(2038),
    [sym__PERLY_HEREDOC] = ACTIONS(2038),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2038),
    [sym__filetest] = ACTIONS(2038),
  },
  [938] = {
    [sym_heredoc_content] = STATE(938),
    [sym__identifier] = ACTIONS(2044),
    [anon_sym_LBRACE] = ACTIONS(2044),
    [anon_sym_RBRACE] = ACTIONS(2044),
    [anon_sym_SEMI] = ACTIONS(2044),
    [anon_sym_package] = ACTIONS(2044),
    [anon_sym_class] = ACTIONS(2044),
    [anon_sym_role] = ACTIONS(2044),
    [anon_sym_BUILD] = ACTIONS(2044),
    [anon_sym_ADJUST] = ACTIONS(2044),
    [anon_sym_DOLLAR] = ACTIONS(2044),
    [anon_sym_AT] = ACTIONS(2044),
    [anon_sym_my] = ACTIONS(2044),
    [anon_sym_extended] = ACTIONS(2044),
    [anon_sym_async] = ACTIONS(2044),
    [anon_sym_sub] = ACTIONS(2044),
    [anon_sym_method] = ACTIONS(2044),
    [anon_sym_LPAREN] = ACTIONS(2044),
    [anon_sym_continue] = ACTIONS(2044),
    [anon_sym_state] = ACTIONS(2044),
    [anon_sym_our] = ACTIONS(2044),
    [anon_sym_try] = ACTIONS(2044),
    [anon_sym_defer] = ACTIONS(2044),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2044),
    [anon_sym_LBRACK] = ACTIONS(2044),
    [anon_sym_LT] = ACTIONS(2044),
    [anon_sym_LT_LT] = ACTIONS(2044),
    [anon_sym_SLASH_SLASH] = ACTIONS(2044),
    [anon_sym_PLUS] = ACTIONS(2044),
    [anon_sym_DASH] = ACTIONS(2044),
    [anon_sym_STAR] = ACTIONS(2044),
    [anon_sym_TILDE] = ACTIONS(2044),
    [anon_sym_BANG] = ACTIONS(2044),
    [anon_sym_PLUS_PLUS] = ACTIONS(2044),
    [anon_sym_DASH_DASH] = ACTIONS(2044),
    [anon_sym_BSLASH] = ACTIONS(2042),
    [anon_sym_do] = ACTIONS(2044),
    [anon_sym_eval] = ACTIONS(2044),
    [anon_sym_await] = ACTIONS(2044),
    [anon_sym_field] = ACTIONS(2044),
    [anon_sym_local] = ACTIONS(2044),
    [anon_sym_dynamically] = ACTIONS(2044),
    [anon_sym_require] = ACTIONS(2044),
    [anon_sym_map] = ACTIONS(2044),
    [anon_sym_grep] = ACTIONS(2044),
    [anon_sym_sort] = ACTIONS(2044),
    [anon_sym_goto] = ACTIONS(2044),
    [anon_sym_return] = ACTIONS(2044),
    [anon_sym_undef] = ACTIONS(2044),
    [anon_sym_PERCENT2] = ACTIONS(2044),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2044),
    [anon_sym_use] = ACTIONS(2044),
    [anon_sym_no] = ACTIONS(2044),
    [anon_sym_for] = ACTIONS(2044),
    [anon_sym_foreach] = ACTIONS(2044),
    [anon_sym_last] = ACTIONS(2044),
    [anon_sym_next] = ACTIONS(2044),
    [anon_sym_redo] = ACTIONS(2044),
    [anon_sym_BEGIN] = ACTIONS(2044),
    [anon_sym_INIT] = ACTIONS(2044),
    [anon_sym_CHECK] = ACTIONS(2044),
    [anon_sym_UNITCHECK] = ACTIONS(2044),
    [anon_sym_END] = ACTIONS(2044),
    [anon_sym___FILE__] = ACTIONS(2044),
    [anon_sym___LINE__] = ACTIONS(2044),
    [anon_sym___PACKAGE__] = ACTIONS(2044),
    [anon_sym___SUB__] = ACTIONS(2044),
    [anon_sym_break] = ACTIONS(2044),
    [anon_sym_fork] = ACTIONS(2044),
    [anon_sym_getppid] = ACTIONS(2044),
    [anon_sym_time] = ACTIONS(2044),
    [anon_sym_times] = ACTIONS(2044),
    [anon_sym_wait] = ACTIONS(2044),
    [anon_sym_wantarray] = ACTIONS(2044),
    [anon_sym_abs] = ACTIONS(2044),
    [anon_sym_alarm] = ACTIONS(2044),
    [anon_sym_chop] = ACTIONS(2044),
    [anon_sym_chdir] = ACTIONS(2044),
    [anon_sym_close] = ACTIONS(2044),
    [anon_sym_closedir] = ACTIONS(2044),
    [anon_sym_caller] = ACTIONS(2044),
    [anon_sym_chomp] = ACTIONS(2044),
    [anon_sym_chr] = ACTIONS(2044),
    [anon_sym_cos] = ACTIONS(2044),
    [anon_sym_chroot] = ACTIONS(2044),
    [anon_sym_defined] = ACTIONS(2044),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_dbmclose] = ACTIONS(2044),
    [anon_sym_exists] = ACTIONS(2044),
    [anon_sym_exit] = ACTIONS(2044),
    [anon_sym_eof] = ACTIONS(2044),
    [anon_sym_exp] = ACTIONS(2044),
    [anon_sym_each] = ACTIONS(2044),
    [anon_sym_fc] = ACTIONS(2044),
    [anon_sym_fileno] = ACTIONS(2044),
    [anon_sym_gmtime] = ACTIONS(2044),
    [anon_sym_getc] = ACTIONS(2044),
    [anon_sym_getpgrp] = ACTIONS(2044),
    [anon_sym_getprotobyname] = ACTIONS(2044),
    [anon_sym_getpwname] = ACTIONS(2044),
    [anon_sym_getpwuid] = ACTIONS(2044),
    [anon_sym_getpeername] = ACTIONS(2044),
    [anon_sym_getnetbyname] = ACTIONS(2044),
    [anon_sym_getsockname] = ACTIONS(2044),
    [anon_sym_getgrnam] = ACTIONS(2044),
    [anon_sym_getgrgid] = ACTIONS(2044),
    [anon_sym_hex] = ACTIONS(2044),
    [anon_sym_int] = ACTIONS(2044),
    [anon_sym_keys] = ACTIONS(2044),
    [anon_sym_lc] = ACTIONS(2044),
    [anon_sym_lcfirst] = ACTIONS(2044),
    [anon_sym_length] = ACTIONS(2044),
    [anon_sym_localtime] = ACTIONS(2044),
    [anon_sym_log] = ACTIONS(2044),
    [anon_sym_lock] = ACTIONS(2044),
    [anon_sym_lstat] = ACTIONS(2044),
    [anon_sym_oct] = ACTIONS(2044),
    [anon_sym_ord] = ACTIONS(2044),
    [anon_sym_prototype] = ACTIONS(2044),
    [anon_sym_pop] = ACTIONS(2044),
    [anon_sym_pos] = ACTIONS(2044),
    [anon_sym_quotemeta] = ACTIONS(2044),
    [anon_sym_reset] = ACTIONS(2044),
    [anon_sym_rand] = ACTIONS(2044),
    [anon_sym_rmdir] = ACTIONS(2044),
    [anon_sym_readdir] = ACTIONS(2044),
    [anon_sym_readline] = ACTIONS(2044),
    [anon_sym_readpipe] = ACTIONS(2044),
    [anon_sym_rewinddir] = ACTIONS(2044),
    [anon_sym_readlink] = ACTIONS(2044),
    [anon_sym_ref] = ACTIONS(2044),
    [anon_sym_scalar] = ACTIONS(2044),
    [anon_sym_shift] = ACTIONS(2044),
    [anon_sym_sin] = ACTIONS(2044),
    [anon_sym_sleep] = ACTIONS(2044),
    [anon_sym_sqrt] = ACTIONS(2044),
    [anon_sym_srand] = ACTIONS(2044),
    [anon_sym_stat] = ACTIONS(2044),
    [anon_sym_study] = ACTIONS(2044),
    [anon_sym_tell] = ACTIONS(2044),
    [anon_sym_telldir] = ACTIONS(2044),
    [anon_sym_tied] = ACTIONS(2044),
    [anon_sym_uc] = ACTIONS(2044),
    [anon_sym_ucfirst] = ACTIONS(2044),
    [anon_sym_untie] = ACTIONS(2044),
    [anon_sym_umask] = ACTIONS(2044),
    [anon_sym_values] = ACTIONS(2044),
    [anon_sym_write] = ACTIONS(2044),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2044),
    [anon_sym_qq] = ACTIONS(2044),
    [anon_sym_qw] = ACTIONS(2044),
    [anon_sym_qx] = ACTIONS(2044),
    [anon_sym_qr] = ACTIONS(2044),
    [anon_sym_m] = ACTIONS(2044),
    [anon_sym_s] = ACTIONS(2044),
    [anon_sym_tr] = ACTIONS(2044),
    [anon_sym_y] = ACTIONS(2044),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_unless] = ACTIONS(2044),
    [anon_sym_while] = ACTIONS(2044),
    [anon_sym_until] = ACTIONS(2044),
    [aux_sym__bareword_token1] = ACTIONS(2044),
    [sym_number] = ACTIONS(2044),
    [anon_sym_true] = ACTIONS(2044),
    [anon_sym_false] = ACTIONS(2044),
    [sym__single_quote] = ACTIONS(2042),
    [sym__double_quote] = ACTIONS(2042),
    [sym__backtick_quote] = ACTIONS(2042),
    [sym__search_slash_quote] = ACTIONS(2042),
    [sym__PERLY_HEREDOC] = ACTIONS(2042),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2042),
    [sym__filetest] = ACTIONS(2042),
  },
  [939] = {
    [sym_heredoc_content] = STATE(939),
    [sym__identifier] = ACTIONS(2048),
    [anon_sym_LBRACE] = ACTIONS(2048),
    [anon_sym_RBRACE] = ACTIONS(2048),
    [anon_sym_SEMI] = ACTIONS(2048),
    [anon_sym_package] = ACTIONS(2048),
    [anon_sym_class] = ACTIONS(2048),
    [anon_sym_role] = ACTIONS(2048),
    [anon_sym_BUILD] = ACTIONS(2048),
    [anon_sym_ADJUST] = ACTIONS(2048),
    [anon_sym_DOLLAR] = ACTIONS(2048),
    [anon_sym_AT] = ACTIONS(2048),
    [anon_sym_my] = ACTIONS(2048),
    [anon_sym_extended] = ACTIONS(2048),
    [anon_sym_async] = ACTIONS(2048),
    [anon_sym_sub] = ACTIONS(2048),
    [anon_sym_method] = ACTIONS(2048),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_continue] = ACTIONS(2048),
    [anon_sym_state] = ACTIONS(2048),
    [anon_sym_our] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2048),
    [anon_sym_defer] = ACTIONS(2048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2048),
    [anon_sym_LBRACK] = ACTIONS(2048),
    [anon_sym_LT] = ACTIONS(2048),
    [anon_sym_LT_LT] = ACTIONS(2048),
    [anon_sym_SLASH_SLASH] = ACTIONS(2048),
    [anon_sym_PLUS] = ACTIONS(2048),
    [anon_sym_DASH] = ACTIONS(2048),
    [anon_sym_STAR] = ACTIONS(2048),
    [anon_sym_TILDE] = ACTIONS(2048),
    [anon_sym_BANG] = ACTIONS(2048),
    [anon_sym_PLUS_PLUS] = ACTIONS(2048),
    [anon_sym_DASH_DASH] = ACTIONS(2048),
    [anon_sym_BSLASH] = ACTIONS(2046),
    [anon_sym_do] = ACTIONS(2048),
    [anon_sym_eval] = ACTIONS(2048),
    [anon_sym_await] = ACTIONS(2048),
    [anon_sym_field] = ACTIONS(2048),
    [anon_sym_local] = ACTIONS(2048),
    [anon_sym_dynamically] = ACTIONS(2048),
    [anon_sym_require] = ACTIONS(2048),
    [anon_sym_map] = ACTIONS(2048),
    [anon_sym_grep] = ACTIONS(2048),
    [anon_sym_sort] = ACTIONS(2048),
    [anon_sym_goto] = ACTIONS(2048),
    [anon_sym_return] = ACTIONS(2048),
    [anon_sym_undef] = ACTIONS(2048),
    [anon_sym_PERCENT2] = ACTIONS(2048),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2048),
    [anon_sym_use] = ACTIONS(2048),
    [anon_sym_no] = ACTIONS(2048),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_foreach] = ACTIONS(2048),
    [anon_sym_last] = ACTIONS(2048),
    [anon_sym_next] = ACTIONS(2048),
    [anon_sym_redo] = ACTIONS(2048),
    [anon_sym_BEGIN] = ACTIONS(2048),
    [anon_sym_INIT] = ACTIONS(2048),
    [anon_sym_CHECK] = ACTIONS(2048),
    [anon_sym_UNITCHECK] = ACTIONS(2048),
    [anon_sym_END] = ACTIONS(2048),
    [anon_sym___FILE__] = ACTIONS(2048),
    [anon_sym___LINE__] = ACTIONS(2048),
    [anon_sym___PACKAGE__] = ACTIONS(2048),
    [anon_sym___SUB__] = ACTIONS(2048),
    [anon_sym_break] = ACTIONS(2048),
    [anon_sym_fork] = ACTIONS(2048),
    [anon_sym_getppid] = ACTIONS(2048),
    [anon_sym_time] = ACTIONS(2048),
    [anon_sym_times] = ACTIONS(2048),
    [anon_sym_wait] = ACTIONS(2048),
    [anon_sym_wantarray] = ACTIONS(2048),
    [anon_sym_abs] = ACTIONS(2048),
    [anon_sym_alarm] = ACTIONS(2048),
    [anon_sym_chop] = ACTIONS(2048),
    [anon_sym_chdir] = ACTIONS(2048),
    [anon_sym_close] = ACTIONS(2048),
    [anon_sym_closedir] = ACTIONS(2048),
    [anon_sym_caller] = ACTIONS(2048),
    [anon_sym_chomp] = ACTIONS(2048),
    [anon_sym_chr] = ACTIONS(2048),
    [anon_sym_cos] = ACTIONS(2048),
    [anon_sym_chroot] = ACTIONS(2048),
    [anon_sym_defined] = ACTIONS(2048),
    [anon_sym_delete] = ACTIONS(2048),
    [anon_sym_dbmclose] = ACTIONS(2048),
    [anon_sym_exists] = ACTIONS(2048),
    [anon_sym_exit] = ACTIONS(2048),
    [anon_sym_eof] = ACTIONS(2048),
    [anon_sym_exp] = ACTIONS(2048),
    [anon_sym_each] = ACTIONS(2048),
    [anon_sym_fc] = ACTIONS(2048),
    [anon_sym_fileno] = ACTIONS(2048),
    [anon_sym_gmtime] = ACTIONS(2048),
    [anon_sym_getc] = ACTIONS(2048),
    [anon_sym_getpgrp] = ACTIONS(2048),
    [anon_sym_getprotobyname] = ACTIONS(2048),
    [anon_sym_getpwname] = ACTIONS(2048),
    [anon_sym_getpwuid] = ACTIONS(2048),
    [anon_sym_getpeername] = ACTIONS(2048),
    [anon_sym_getnetbyname] = ACTIONS(2048),
    [anon_sym_getsockname] = ACTIONS(2048),
    [anon_sym_getgrnam] = ACTIONS(2048),
    [anon_sym_getgrgid] = ACTIONS(2048),
    [anon_sym_hex] = ACTIONS(2048),
    [anon_sym_int] = ACTIONS(2048),
    [anon_sym_keys] = ACTIONS(2048),
    [anon_sym_lc] = ACTIONS(2048),
    [anon_sym_lcfirst] = ACTIONS(2048),
    [anon_sym_length] = ACTIONS(2048),
    [anon_sym_localtime] = ACTIONS(2048),
    [anon_sym_log] = ACTIONS(2048),
    [anon_sym_lock] = ACTIONS(2048),
    [anon_sym_lstat] = ACTIONS(2048),
    [anon_sym_oct] = ACTIONS(2048),
    [anon_sym_ord] = ACTIONS(2048),
    [anon_sym_prototype] = ACTIONS(2048),
    [anon_sym_pop] = ACTIONS(2048),
    [anon_sym_pos] = ACTIONS(2048),
    [anon_sym_quotemeta] = ACTIONS(2048),
    [anon_sym_reset] = ACTIONS(2048),
    [anon_sym_rand] = ACTIONS(2048),
    [anon_sym_rmdir] = ACTIONS(2048),
    [anon_sym_readdir] = ACTIONS(2048),
    [anon_sym_readline] = ACTIONS(2048),
    [anon_sym_readpipe] = ACTIONS(2048),
    [anon_sym_rewinddir] = ACTIONS(2048),
    [anon_sym_readlink] = ACTIONS(2048),
    [anon_sym_ref] = ACTIONS(2048),
    [anon_sym_scalar] = ACTIONS(2048),
    [anon_sym_shift] = ACTIONS(2048),
    [anon_sym_sin] = ACTIONS(2048),
    [anon_sym_sleep] = ACTIONS(2048),
    [anon_sym_sqrt] = ACTIONS(2048),
    [anon_sym_srand] = ACTIONS(2048),
    [anon_sym_stat] = ACTIONS(2048),
    [anon_sym_study] = ACTIONS(2048),
    [anon_sym_tell] = ACTIONS(2048),
    [anon_sym_telldir] = ACTIONS(2048),
    [anon_sym_tied] = ACTIONS(2048),
    [anon_sym_uc] = ACTIONS(2048),
    [anon_sym_ucfirst] = ACTIONS(2048),
    [anon_sym_untie] = ACTIONS(2048),
    [anon_sym_umask] = ACTIONS(2048),
    [anon_sym_values] = ACTIONS(2048),
    [anon_sym_write] = ACTIONS(2048),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2048),
    [anon_sym_qq] = ACTIONS(2048),
    [anon_sym_qw] = ACTIONS(2048),
    [anon_sym_qx] = ACTIONS(2048),
    [anon_sym_qr] = ACTIONS(2048),
    [anon_sym_m] = ACTIONS(2048),
    [anon_sym_s] = ACTIONS(2048),
    [anon_sym_tr] = ACTIONS(2048),
    [anon_sym_y] = ACTIONS(2048),
    [anon_sym_if] = ACTIONS(2048),
    [anon_sym_unless] = ACTIONS(2048),
    [anon_sym_while] = ACTIONS(2048),
    [anon_sym_until] = ACTIONS(2048),
    [aux_sym__bareword_token1] = ACTIONS(2048),
    [sym_number] = ACTIONS(2048),
    [anon_sym_true] = ACTIONS(2048),
    [anon_sym_false] = ACTIONS(2048),
    [sym__single_quote] = ACTIONS(2046),
    [sym__double_quote] = ACTIONS(2046),
    [sym__backtick_quote] = ACTIONS(2046),
    [sym__search_slash_quote] = ACTIONS(2046),
    [sym__PERLY_HEREDOC] = ACTIONS(2046),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2046),
    [sym__filetest] = ACTIONS(2046),
  },
  [940] = {
    [sym_heredoc_content] = STATE(940),
    [sym__identifier] = ACTIONS(2068),
    [anon_sym_LBRACE] = ACTIONS(2068),
    [anon_sym_RBRACE] = ACTIONS(2068),
    [anon_sym_SEMI] = ACTIONS(2068),
    [anon_sym_package] = ACTIONS(2068),
    [anon_sym_class] = ACTIONS(2068),
    [anon_sym_role] = ACTIONS(2068),
    [anon_sym_BUILD] = ACTIONS(2068),
    [anon_sym_ADJUST] = ACTIONS(2068),
    [anon_sym_DOLLAR] = ACTIONS(2068),
    [anon_sym_AT] = ACTIONS(2068),
    [anon_sym_my] = ACTIONS(2068),
    [anon_sym_extended] = ACTIONS(2068),
    [anon_sym_async] = ACTIONS(2068),
    [anon_sym_sub] = ACTIONS(2068),
    [anon_sym_method] = ACTIONS(2068),
    [anon_sym_LPAREN] = ACTIONS(2068),
    [anon_sym_continue] = ACTIONS(2068),
    [anon_sym_state] = ACTIONS(2068),
    [anon_sym_our] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2068),
    [anon_sym_defer] = ACTIONS(2068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2068),
    [anon_sym_LBRACK] = ACTIONS(2068),
    [anon_sym_LT] = ACTIONS(2068),
    [anon_sym_LT_LT] = ACTIONS(2068),
    [anon_sym_SLASH_SLASH] = ACTIONS(2068),
    [anon_sym_PLUS] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2068),
    [anon_sym_STAR] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_PLUS_PLUS] = ACTIONS(2068),
    [anon_sym_DASH_DASH] = ACTIONS(2068),
    [anon_sym_BSLASH] = ACTIONS(2066),
    [anon_sym_do] = ACTIONS(2068),
    [anon_sym_eval] = ACTIONS(2068),
    [anon_sym_await] = ACTIONS(2068),
    [anon_sym_field] = ACTIONS(2068),
    [anon_sym_local] = ACTIONS(2068),
    [anon_sym_dynamically] = ACTIONS(2068),
    [anon_sym_require] = ACTIONS(2068),
    [anon_sym_map] = ACTIONS(2068),
    [anon_sym_grep] = ACTIONS(2068),
    [anon_sym_sort] = ACTIONS(2068),
    [anon_sym_goto] = ACTIONS(2068),
    [anon_sym_return] = ACTIONS(2068),
    [anon_sym_undef] = ACTIONS(2068),
    [anon_sym_PERCENT2] = ACTIONS(2068),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2068),
    [anon_sym_use] = ACTIONS(2068),
    [anon_sym_no] = ACTIONS(2068),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_foreach] = ACTIONS(2068),
    [anon_sym_last] = ACTIONS(2068),
    [anon_sym_next] = ACTIONS(2068),
    [anon_sym_redo] = ACTIONS(2068),
    [anon_sym_BEGIN] = ACTIONS(2068),
    [anon_sym_INIT] = ACTIONS(2068),
    [anon_sym_CHECK] = ACTIONS(2068),
    [anon_sym_UNITCHECK] = ACTIONS(2068),
    [anon_sym_END] = ACTIONS(2068),
    [anon_sym___FILE__] = ACTIONS(2068),
    [anon_sym___LINE__] = ACTIONS(2068),
    [anon_sym___PACKAGE__] = ACTIONS(2068),
    [anon_sym___SUB__] = ACTIONS(2068),
    [anon_sym_break] = ACTIONS(2068),
    [anon_sym_fork] = ACTIONS(2068),
    [anon_sym_getppid] = ACTIONS(2068),
    [anon_sym_time] = ACTIONS(2068),
    [anon_sym_times] = ACTIONS(2068),
    [anon_sym_wait] = ACTIONS(2068),
    [anon_sym_wantarray] = ACTIONS(2068),
    [anon_sym_abs] = ACTIONS(2068),
    [anon_sym_alarm] = ACTIONS(2068),
    [anon_sym_chop] = ACTIONS(2068),
    [anon_sym_chdir] = ACTIONS(2068),
    [anon_sym_close] = ACTIONS(2068),
    [anon_sym_closedir] = ACTIONS(2068),
    [anon_sym_caller] = ACTIONS(2068),
    [anon_sym_chomp] = ACTIONS(2068),
    [anon_sym_chr] = ACTIONS(2068),
    [anon_sym_cos] = ACTIONS(2068),
    [anon_sym_chroot] = ACTIONS(2068),
    [anon_sym_defined] = ACTIONS(2068),
    [anon_sym_delete] = ACTIONS(2068),
    [anon_sym_dbmclose] = ACTIONS(2068),
    [anon_sym_exists] = ACTIONS(2068),
    [anon_sym_exit] = ACTIONS(2068),
    [anon_sym_eof] = ACTIONS(2068),
    [anon_sym_exp] = ACTIONS(2068),
    [anon_sym_each] = ACTIONS(2068),
    [anon_sym_fc] = ACTIONS(2068),
    [anon_sym_fileno] = ACTIONS(2068),
    [anon_sym_gmtime] = ACTIONS(2068),
    [anon_sym_getc] = ACTIONS(2068),
    [anon_sym_getpgrp] = ACTIONS(2068),
    [anon_sym_getprotobyname] = ACTIONS(2068),
    [anon_sym_getpwname] = ACTIONS(2068),
    [anon_sym_getpwuid] = ACTIONS(2068),
    [anon_sym_getpeername] = ACTIONS(2068),
    [anon_sym_getnetbyname] = ACTIONS(2068),
    [anon_sym_getsockname] = ACTIONS(2068),
    [anon_sym_getgrnam] = ACTIONS(2068),
    [anon_sym_getgrgid] = ACTIONS(2068),
    [anon_sym_hex] = ACTIONS(2068),
    [anon_sym_int] = ACTIONS(2068),
    [anon_sym_keys] = ACTIONS(2068),
    [anon_sym_lc] = ACTIONS(2068),
    [anon_sym_lcfirst] = ACTIONS(2068),
    [anon_sym_length] = ACTIONS(2068),
    [anon_sym_localtime] = ACTIONS(2068),
    [anon_sym_log] = ACTIONS(2068),
    [anon_sym_lock] = ACTIONS(2068),
    [anon_sym_lstat] = ACTIONS(2068),
    [anon_sym_oct] = ACTIONS(2068),
    [anon_sym_ord] = ACTIONS(2068),
    [anon_sym_prototype] = ACTIONS(2068),
    [anon_sym_pop] = ACTIONS(2068),
    [anon_sym_pos] = ACTIONS(2068),
    [anon_sym_quotemeta] = ACTIONS(2068),
    [anon_sym_reset] = ACTIONS(2068),
    [anon_sym_rand] = ACTIONS(2068),
    [anon_sym_rmdir] = ACTIONS(2068),
    [anon_sym_readdir] = ACTIONS(2068),
    [anon_sym_readline] = ACTIONS(2068),
    [anon_sym_readpipe] = ACTIONS(2068),
    [anon_sym_rewinddir] = ACTIONS(2068),
    [anon_sym_readlink] = ACTIONS(2068),
    [anon_sym_ref] = ACTIONS(2068),
    [anon_sym_scalar] = ACTIONS(2068),
    [anon_sym_shift] = ACTIONS(2068),
    [anon_sym_sin] = ACTIONS(2068),
    [anon_sym_sleep] = ACTIONS(2068),
    [anon_sym_sqrt] = ACTIONS(2068),
    [anon_sym_srand] = ACTIONS(2068),
    [anon_sym_stat] = ACTIONS(2068),
    [anon_sym_study] = ACTIONS(2068),
    [anon_sym_tell] = ACTIONS(2068),
    [anon_sym_telldir] = ACTIONS(2068),
    [anon_sym_tied] = ACTIONS(2068),
    [anon_sym_uc] = ACTIONS(2068),
    [anon_sym_ucfirst] = ACTIONS(2068),
    [anon_sym_untie] = ACTIONS(2068),
    [anon_sym_umask] = ACTIONS(2068),
    [anon_sym_values] = ACTIONS(2068),
    [anon_sym_write] = ACTIONS(2068),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2068),
    [anon_sym_qq] = ACTIONS(2068),
    [anon_sym_qw] = ACTIONS(2068),
    [anon_sym_qx] = ACTIONS(2068),
    [anon_sym_qr] = ACTIONS(2068),
    [anon_sym_m] = ACTIONS(2068),
    [anon_sym_s] = ACTIONS(2068),
    [anon_sym_tr] = ACTIONS(2068),
    [anon_sym_y] = ACTIONS(2068),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_unless] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2068),
    [anon_sym_until] = ACTIONS(2068),
    [aux_sym__bareword_token1] = ACTIONS(2068),
    [sym_number] = ACTIONS(2068),
    [anon_sym_true] = ACTIONS(2068),
    [anon_sym_false] = ACTIONS(2068),
    [sym__single_quote] = ACTIONS(2066),
    [sym__double_quote] = ACTIONS(2066),
    [sym__backtick_quote] = ACTIONS(2066),
    [sym__search_slash_quote] = ACTIONS(2066),
    [sym__PERLY_HEREDOC] = ACTIONS(2066),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2066),
    [sym__filetest] = ACTIONS(2066),
  },
  [941] = {
    [sym_heredoc_content] = STATE(941),
    [sym__identifier] = ACTIONS(2092),
    [anon_sym_LBRACE] = ACTIONS(2092),
    [anon_sym_RBRACE] = ACTIONS(2092),
    [anon_sym_SEMI] = ACTIONS(2092),
    [anon_sym_package] = ACTIONS(2092),
    [anon_sym_class] = ACTIONS(2092),
    [anon_sym_role] = ACTIONS(2092),
    [anon_sym_BUILD] = ACTIONS(2092),
    [anon_sym_ADJUST] = ACTIONS(2092),
    [anon_sym_DOLLAR] = ACTIONS(2092),
    [anon_sym_AT] = ACTIONS(2092),
    [anon_sym_my] = ACTIONS(2092),
    [anon_sym_extended] = ACTIONS(2092),
    [anon_sym_async] = ACTIONS(2092),
    [anon_sym_sub] = ACTIONS(2092),
    [anon_sym_method] = ACTIONS(2092),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_continue] = ACTIONS(2092),
    [anon_sym_state] = ACTIONS(2092),
    [anon_sym_our] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2092),
    [anon_sym_defer] = ACTIONS(2092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2092),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2092),
    [anon_sym_LT_LT] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_STAR] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_PLUS_PLUS] = ACTIONS(2092),
    [anon_sym_DASH_DASH] = ACTIONS(2092),
    [anon_sym_BSLASH] = ACTIONS(2090),
    [anon_sym_do] = ACTIONS(2092),
    [anon_sym_eval] = ACTIONS(2092),
    [anon_sym_await] = ACTIONS(2092),
    [anon_sym_field] = ACTIONS(2092),
    [anon_sym_local] = ACTIONS(2092),
    [anon_sym_dynamically] = ACTIONS(2092),
    [anon_sym_require] = ACTIONS(2092),
    [anon_sym_map] = ACTIONS(2092),
    [anon_sym_grep] = ACTIONS(2092),
    [anon_sym_sort] = ACTIONS(2092),
    [anon_sym_goto] = ACTIONS(2092),
    [anon_sym_return] = ACTIONS(2092),
    [anon_sym_undef] = ACTIONS(2092),
    [anon_sym_PERCENT2] = ACTIONS(2092),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2092),
    [anon_sym_use] = ACTIONS(2092),
    [anon_sym_no] = ACTIONS(2092),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_foreach] = ACTIONS(2092),
    [anon_sym_last] = ACTIONS(2092),
    [anon_sym_next] = ACTIONS(2092),
    [anon_sym_redo] = ACTIONS(2092),
    [anon_sym_BEGIN] = ACTIONS(2092),
    [anon_sym_INIT] = ACTIONS(2092),
    [anon_sym_CHECK] = ACTIONS(2092),
    [anon_sym_UNITCHECK] = ACTIONS(2092),
    [anon_sym_END] = ACTIONS(2092),
    [anon_sym___FILE__] = ACTIONS(2092),
    [anon_sym___LINE__] = ACTIONS(2092),
    [anon_sym___PACKAGE__] = ACTIONS(2092),
    [anon_sym___SUB__] = ACTIONS(2092),
    [anon_sym_break] = ACTIONS(2092),
    [anon_sym_fork] = ACTIONS(2092),
    [anon_sym_getppid] = ACTIONS(2092),
    [anon_sym_time] = ACTIONS(2092),
    [anon_sym_times] = ACTIONS(2092),
    [anon_sym_wait] = ACTIONS(2092),
    [anon_sym_wantarray] = ACTIONS(2092),
    [anon_sym_abs] = ACTIONS(2092),
    [anon_sym_alarm] = ACTIONS(2092),
    [anon_sym_chop] = ACTIONS(2092),
    [anon_sym_chdir] = ACTIONS(2092),
    [anon_sym_close] = ACTIONS(2092),
    [anon_sym_closedir] = ACTIONS(2092),
    [anon_sym_caller] = ACTIONS(2092),
    [anon_sym_chomp] = ACTIONS(2092),
    [anon_sym_chr] = ACTIONS(2092),
    [anon_sym_cos] = ACTIONS(2092),
    [anon_sym_chroot] = ACTIONS(2092),
    [anon_sym_defined] = ACTIONS(2092),
    [anon_sym_delete] = ACTIONS(2092),
    [anon_sym_dbmclose] = ACTIONS(2092),
    [anon_sym_exists] = ACTIONS(2092),
    [anon_sym_exit] = ACTIONS(2092),
    [anon_sym_eof] = ACTIONS(2092),
    [anon_sym_exp] = ACTIONS(2092),
    [anon_sym_each] = ACTIONS(2092),
    [anon_sym_fc] = ACTIONS(2092),
    [anon_sym_fileno] = ACTIONS(2092),
    [anon_sym_gmtime] = ACTIONS(2092),
    [anon_sym_getc] = ACTIONS(2092),
    [anon_sym_getpgrp] = ACTIONS(2092),
    [anon_sym_getprotobyname] = ACTIONS(2092),
    [anon_sym_getpwname] = ACTIONS(2092),
    [anon_sym_getpwuid] = ACTIONS(2092),
    [anon_sym_getpeername] = ACTIONS(2092),
    [anon_sym_getnetbyname] = ACTIONS(2092),
    [anon_sym_getsockname] = ACTIONS(2092),
    [anon_sym_getgrnam] = ACTIONS(2092),
    [anon_sym_getgrgid] = ACTIONS(2092),
    [anon_sym_hex] = ACTIONS(2092),
    [anon_sym_int] = ACTIONS(2092),
    [anon_sym_keys] = ACTIONS(2092),
    [anon_sym_lc] = ACTIONS(2092),
    [anon_sym_lcfirst] = ACTIONS(2092),
    [anon_sym_length] = ACTIONS(2092),
    [anon_sym_localtime] = ACTIONS(2092),
    [anon_sym_log] = ACTIONS(2092),
    [anon_sym_lock] = ACTIONS(2092),
    [anon_sym_lstat] = ACTIONS(2092),
    [anon_sym_oct] = ACTIONS(2092),
    [anon_sym_ord] = ACTIONS(2092),
    [anon_sym_prototype] = ACTIONS(2092),
    [anon_sym_pop] = ACTIONS(2092),
    [anon_sym_pos] = ACTIONS(2092),
    [anon_sym_quotemeta] = ACTIONS(2092),
    [anon_sym_reset] = ACTIONS(2092),
    [anon_sym_rand] = ACTIONS(2092),
    [anon_sym_rmdir] = ACTIONS(2092),
    [anon_sym_readdir] = ACTIONS(2092),
    [anon_sym_readline] = ACTIONS(2092),
    [anon_sym_readpipe] = ACTIONS(2092),
    [anon_sym_rewinddir] = ACTIONS(2092),
    [anon_sym_readlink] = ACTIONS(2092),
    [anon_sym_ref] = ACTIONS(2092),
    [anon_sym_scalar] = ACTIONS(2092),
    [anon_sym_shift] = ACTIONS(2092),
    [anon_sym_sin] = ACTIONS(2092),
    [anon_sym_sleep] = ACTIONS(2092),
    [anon_sym_sqrt] = ACTIONS(2092),
    [anon_sym_srand] = ACTIONS(2092),
    [anon_sym_stat] = ACTIONS(2092),
    [anon_sym_study] = ACTIONS(2092),
    [anon_sym_tell] = ACTIONS(2092),
    [anon_sym_telldir] = ACTIONS(2092),
    [anon_sym_tied] = ACTIONS(2092),
    [anon_sym_uc] = ACTIONS(2092),
    [anon_sym_ucfirst] = ACTIONS(2092),
    [anon_sym_untie] = ACTIONS(2092),
    [anon_sym_umask] = ACTIONS(2092),
    [anon_sym_values] = ACTIONS(2092),
    [anon_sym_write] = ACTIONS(2092),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2092),
    [anon_sym_qq] = ACTIONS(2092),
    [anon_sym_qw] = ACTIONS(2092),
    [anon_sym_qx] = ACTIONS(2092),
    [anon_sym_qr] = ACTIONS(2092),
    [anon_sym_m] = ACTIONS(2092),
    [anon_sym_s] = ACTIONS(2092),
    [anon_sym_tr] = ACTIONS(2092),
    [anon_sym_y] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_unless] = ACTIONS(2092),
    [anon_sym_while] = ACTIONS(2092),
    [anon_sym_until] = ACTIONS(2092),
    [aux_sym__bareword_token1] = ACTIONS(2092),
    [sym_number] = ACTIONS(2092),
    [anon_sym_true] = ACTIONS(2092),
    [anon_sym_false] = ACTIONS(2092),
    [sym__single_quote] = ACTIONS(2090),
    [sym__double_quote] = ACTIONS(2090),
    [sym__backtick_quote] = ACTIONS(2090),
    [sym__search_slash_quote] = ACTIONS(2090),
    [sym__PERLY_HEREDOC] = ACTIONS(2090),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2090),
    [sym__filetest] = ACTIONS(2090),
  },
  [942] = {
    [sym_heredoc_content] = STATE(942),
    [sym__identifier] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2136),
    [anon_sym_RBRACE] = ACTIONS(2136),
    [anon_sym_SEMI] = ACTIONS(2136),
    [anon_sym_package] = ACTIONS(2136),
    [anon_sym_class] = ACTIONS(2136),
    [anon_sym_role] = ACTIONS(2136),
    [anon_sym_BUILD] = ACTIONS(2136),
    [anon_sym_ADJUST] = ACTIONS(2136),
    [anon_sym_DOLLAR] = ACTIONS(2136),
    [anon_sym_AT] = ACTIONS(2136),
    [anon_sym_my] = ACTIONS(2136),
    [anon_sym_extended] = ACTIONS(2136),
    [anon_sym_async] = ACTIONS(2136),
    [anon_sym_sub] = ACTIONS(2136),
    [anon_sym_method] = ACTIONS(2136),
    [anon_sym_LPAREN] = ACTIONS(2136),
    [anon_sym_continue] = ACTIONS(2136),
    [anon_sym_state] = ACTIONS(2136),
    [anon_sym_our] = ACTIONS(2136),
    [anon_sym_try] = ACTIONS(2136),
    [anon_sym_defer] = ACTIONS(2136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2136),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_SLASH_SLASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_TILDE] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_BSLASH] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(2136),
    [anon_sym_eval] = ACTIONS(2136),
    [anon_sym_await] = ACTIONS(2136),
    [anon_sym_field] = ACTIONS(2136),
    [anon_sym_local] = ACTIONS(2136),
    [anon_sym_dynamically] = ACTIONS(2136),
    [anon_sym_require] = ACTIONS(2136),
    [anon_sym_map] = ACTIONS(2136),
    [anon_sym_grep] = ACTIONS(2136),
    [anon_sym_sort] = ACTIONS(2136),
    [anon_sym_goto] = ACTIONS(2136),
    [anon_sym_return] = ACTIONS(2136),
    [anon_sym_undef] = ACTIONS(2136),
    [anon_sym_PERCENT2] = ACTIONS(2136),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2136),
    [anon_sym_use] = ACTIONS(2136),
    [anon_sym_no] = ACTIONS(2136),
    [anon_sym_for] = ACTIONS(2136),
    [anon_sym_foreach] = ACTIONS(2136),
    [anon_sym_last] = ACTIONS(2136),
    [anon_sym_next] = ACTIONS(2136),
    [anon_sym_redo] = ACTIONS(2136),
    [anon_sym_BEGIN] = ACTIONS(2136),
    [anon_sym_INIT] = ACTIONS(2136),
    [anon_sym_CHECK] = ACTIONS(2136),
    [anon_sym_UNITCHECK] = ACTIONS(2136),
    [anon_sym_END] = ACTIONS(2136),
    [anon_sym___FILE__] = ACTIONS(2136),
    [anon_sym___LINE__] = ACTIONS(2136),
    [anon_sym___PACKAGE__] = ACTIONS(2136),
    [anon_sym___SUB__] = ACTIONS(2136),
    [anon_sym_break] = ACTIONS(2136),
    [anon_sym_fork] = ACTIONS(2136),
    [anon_sym_getppid] = ACTIONS(2136),
    [anon_sym_time] = ACTIONS(2136),
    [anon_sym_times] = ACTIONS(2136),
    [anon_sym_wait] = ACTIONS(2136),
    [anon_sym_wantarray] = ACTIONS(2136),
    [anon_sym_abs] = ACTIONS(2136),
    [anon_sym_alarm] = ACTIONS(2136),
    [anon_sym_chop] = ACTIONS(2136),
    [anon_sym_chdir] = ACTIONS(2136),
    [anon_sym_close] = ACTIONS(2136),
    [anon_sym_closedir] = ACTIONS(2136),
    [anon_sym_caller] = ACTIONS(2136),
    [anon_sym_chomp] = ACTIONS(2136),
    [anon_sym_chr] = ACTIONS(2136),
    [anon_sym_cos] = ACTIONS(2136),
    [anon_sym_chroot] = ACTIONS(2136),
    [anon_sym_defined] = ACTIONS(2136),
    [anon_sym_delete] = ACTIONS(2136),
    [anon_sym_dbmclose] = ACTIONS(2136),
    [anon_sym_exists] = ACTIONS(2136),
    [anon_sym_exit] = ACTIONS(2136),
    [anon_sym_eof] = ACTIONS(2136),
    [anon_sym_exp] = ACTIONS(2136),
    [anon_sym_each] = ACTIONS(2136),
    [anon_sym_fc] = ACTIONS(2136),
    [anon_sym_fileno] = ACTIONS(2136),
    [anon_sym_gmtime] = ACTIONS(2136),
    [anon_sym_getc] = ACTIONS(2136),
    [anon_sym_getpgrp] = ACTIONS(2136),
    [anon_sym_getprotobyname] = ACTIONS(2136),
    [anon_sym_getpwname] = ACTIONS(2136),
    [anon_sym_getpwuid] = ACTIONS(2136),
    [anon_sym_getpeername] = ACTIONS(2136),
    [anon_sym_getnetbyname] = ACTIONS(2136),
    [anon_sym_getsockname] = ACTIONS(2136),
    [anon_sym_getgrnam] = ACTIONS(2136),
    [anon_sym_getgrgid] = ACTIONS(2136),
    [anon_sym_hex] = ACTIONS(2136),
    [anon_sym_int] = ACTIONS(2136),
    [anon_sym_keys] = ACTIONS(2136),
    [anon_sym_lc] = ACTIONS(2136),
    [anon_sym_lcfirst] = ACTIONS(2136),
    [anon_sym_length] = ACTIONS(2136),
    [anon_sym_localtime] = ACTIONS(2136),
    [anon_sym_log] = ACTIONS(2136),
    [anon_sym_lock] = ACTIONS(2136),
    [anon_sym_lstat] = ACTIONS(2136),
    [anon_sym_oct] = ACTIONS(2136),
    [anon_sym_ord] = ACTIONS(2136),
    [anon_sym_prototype] = ACTIONS(2136),
    [anon_sym_pop] = ACTIONS(2136),
    [anon_sym_pos] = ACTIONS(2136),
    [anon_sym_quotemeta] = ACTIONS(2136),
    [anon_sym_reset] = ACTIONS(2136),
    [anon_sym_rand] = ACTIONS(2136),
    [anon_sym_rmdir] = ACTIONS(2136),
    [anon_sym_readdir] = ACTIONS(2136),
    [anon_sym_readline] = ACTIONS(2136),
    [anon_sym_readpipe] = ACTIONS(2136),
    [anon_sym_rewinddir] = ACTIONS(2136),
    [anon_sym_readlink] = ACTIONS(2136),
    [anon_sym_ref] = ACTIONS(2136),
    [anon_sym_scalar] = ACTIONS(2136),
    [anon_sym_shift] = ACTIONS(2136),
    [anon_sym_sin] = ACTIONS(2136),
    [anon_sym_sleep] = ACTIONS(2136),
    [anon_sym_sqrt] = ACTIONS(2136),
    [anon_sym_srand] = ACTIONS(2136),
    [anon_sym_stat] = ACTIONS(2136),
    [anon_sym_study] = ACTIONS(2136),
    [anon_sym_tell] = ACTIONS(2136),
    [anon_sym_telldir] = ACTIONS(2136),
    [anon_sym_tied] = ACTIONS(2136),
    [anon_sym_uc] = ACTIONS(2136),
    [anon_sym_ucfirst] = ACTIONS(2136),
    [anon_sym_untie] = ACTIONS(2136),
    [anon_sym_umask] = ACTIONS(2136),
    [anon_sym_values] = ACTIONS(2136),
    [anon_sym_write] = ACTIONS(2136),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2136),
    [anon_sym_qq] = ACTIONS(2136),
    [anon_sym_qw] = ACTIONS(2136),
    [anon_sym_qx] = ACTIONS(2136),
    [anon_sym_qr] = ACTIONS(2136),
    [anon_sym_m] = ACTIONS(2136),
    [anon_sym_s] = ACTIONS(2136),
    [anon_sym_tr] = ACTIONS(2136),
    [anon_sym_y] = ACTIONS(2136),
    [anon_sym_if] = ACTIONS(2136),
    [anon_sym_unless] = ACTIONS(2136),
    [anon_sym_while] = ACTIONS(2136),
    [anon_sym_until] = ACTIONS(2136),
    [aux_sym__bareword_token1] = ACTIONS(2136),
    [sym_number] = ACTIONS(2136),
    [anon_sym_true] = ACTIONS(2136),
    [anon_sym_false] = ACTIONS(2136),
    [sym__single_quote] = ACTIONS(2134),
    [sym__double_quote] = ACTIONS(2134),
    [sym__backtick_quote] = ACTIONS(2134),
    [sym__search_slash_quote] = ACTIONS(2134),
    [sym__PERLY_HEREDOC] = ACTIONS(2134),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2134),
    [sym__filetest] = ACTIONS(2134),
  },
  [943] = {
    [sym_heredoc_content] = STATE(943),
    [sym__identifier] = ACTIONS(2144),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_RBRACE] = ACTIONS(2144),
    [anon_sym_SEMI] = ACTIONS(2144),
    [anon_sym_package] = ACTIONS(2144),
    [anon_sym_class] = ACTIONS(2144),
    [anon_sym_role] = ACTIONS(2144),
    [anon_sym_BUILD] = ACTIONS(2144),
    [anon_sym_ADJUST] = ACTIONS(2144),
    [anon_sym_DOLLAR] = ACTIONS(2144),
    [anon_sym_AT] = ACTIONS(2144),
    [anon_sym_my] = ACTIONS(2144),
    [anon_sym_extended] = ACTIONS(2144),
    [anon_sym_async] = ACTIONS(2144),
    [anon_sym_sub] = ACTIONS(2144),
    [anon_sym_method] = ACTIONS(2144),
    [anon_sym_LPAREN] = ACTIONS(2144),
    [anon_sym_continue] = ACTIONS(2144),
    [anon_sym_state] = ACTIONS(2144),
    [anon_sym_our] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2144),
    [anon_sym_defer] = ACTIONS(2144),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2144),
    [anon_sym_LT] = ACTIONS(2144),
    [anon_sym_LT_LT] = ACTIONS(2144),
    [anon_sym_SLASH_SLASH] = ACTIONS(2144),
    [anon_sym_PLUS] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2144),
    [anon_sym_STAR] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_PLUS_PLUS] = ACTIONS(2144),
    [anon_sym_DASH_DASH] = ACTIONS(2144),
    [anon_sym_BSLASH] = ACTIONS(2142),
    [anon_sym_do] = ACTIONS(2144),
    [anon_sym_eval] = ACTIONS(2144),
    [anon_sym_await] = ACTIONS(2144),
    [anon_sym_field] = ACTIONS(2144),
    [anon_sym_local] = ACTIONS(2144),
    [anon_sym_dynamically] = ACTIONS(2144),
    [anon_sym_require] = ACTIONS(2144),
    [anon_sym_map] = ACTIONS(2144),
    [anon_sym_grep] = ACTIONS(2144),
    [anon_sym_sort] = ACTIONS(2144),
    [anon_sym_goto] = ACTIONS(2144),
    [anon_sym_return] = ACTIONS(2144),
    [anon_sym_undef] = ACTIONS(2144),
    [anon_sym_PERCENT2] = ACTIONS(2144),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2144),
    [anon_sym_use] = ACTIONS(2144),
    [anon_sym_no] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_foreach] = ACTIONS(2144),
    [anon_sym_last] = ACTIONS(2144),
    [anon_sym_next] = ACTIONS(2144),
    [anon_sym_redo] = ACTIONS(2144),
    [anon_sym_BEGIN] = ACTIONS(2144),
    [anon_sym_INIT] = ACTIONS(2144),
    [anon_sym_CHECK] = ACTIONS(2144),
    [anon_sym_UNITCHECK] = ACTIONS(2144),
    [anon_sym_END] = ACTIONS(2144),
    [anon_sym___FILE__] = ACTIONS(2144),
    [anon_sym___LINE__] = ACTIONS(2144),
    [anon_sym___PACKAGE__] = ACTIONS(2144),
    [anon_sym___SUB__] = ACTIONS(2144),
    [anon_sym_break] = ACTIONS(2144),
    [anon_sym_fork] = ACTIONS(2144),
    [anon_sym_getppid] = ACTIONS(2144),
    [anon_sym_time] = ACTIONS(2144),
    [anon_sym_times] = ACTIONS(2144),
    [anon_sym_wait] = ACTIONS(2144),
    [anon_sym_wantarray] = ACTIONS(2144),
    [anon_sym_abs] = ACTIONS(2144),
    [anon_sym_alarm] = ACTIONS(2144),
    [anon_sym_chop] = ACTIONS(2144),
    [anon_sym_chdir] = ACTIONS(2144),
    [anon_sym_close] = ACTIONS(2144),
    [anon_sym_closedir] = ACTIONS(2144),
    [anon_sym_caller] = ACTIONS(2144),
    [anon_sym_chomp] = ACTIONS(2144),
    [anon_sym_chr] = ACTIONS(2144),
    [anon_sym_cos] = ACTIONS(2144),
    [anon_sym_chroot] = ACTIONS(2144),
    [anon_sym_defined] = ACTIONS(2144),
    [anon_sym_delete] = ACTIONS(2144),
    [anon_sym_dbmclose] = ACTIONS(2144),
    [anon_sym_exists] = ACTIONS(2144),
    [anon_sym_exit] = ACTIONS(2144),
    [anon_sym_eof] = ACTIONS(2144),
    [anon_sym_exp] = ACTIONS(2144),
    [anon_sym_each] = ACTIONS(2144),
    [anon_sym_fc] = ACTIONS(2144),
    [anon_sym_fileno] = ACTIONS(2144),
    [anon_sym_gmtime] = ACTIONS(2144),
    [anon_sym_getc] = ACTIONS(2144),
    [anon_sym_getpgrp] = ACTIONS(2144),
    [anon_sym_getprotobyname] = ACTIONS(2144),
    [anon_sym_getpwname] = ACTIONS(2144),
    [anon_sym_getpwuid] = ACTIONS(2144),
    [anon_sym_getpeername] = ACTIONS(2144),
    [anon_sym_getnetbyname] = ACTIONS(2144),
    [anon_sym_getsockname] = ACTIONS(2144),
    [anon_sym_getgrnam] = ACTIONS(2144),
    [anon_sym_getgrgid] = ACTIONS(2144),
    [anon_sym_hex] = ACTIONS(2144),
    [anon_sym_int] = ACTIONS(2144),
    [anon_sym_keys] = ACTIONS(2144),
    [anon_sym_lc] = ACTIONS(2144),
    [anon_sym_lcfirst] = ACTIONS(2144),
    [anon_sym_length] = ACTIONS(2144),
    [anon_sym_localtime] = ACTIONS(2144),
    [anon_sym_log] = ACTIONS(2144),
    [anon_sym_lock] = ACTIONS(2144),
    [anon_sym_lstat] = ACTIONS(2144),
    [anon_sym_oct] = ACTIONS(2144),
    [anon_sym_ord] = ACTIONS(2144),
    [anon_sym_prototype] = ACTIONS(2144),
    [anon_sym_pop] = ACTIONS(2144),
    [anon_sym_pos] = ACTIONS(2144),
    [anon_sym_quotemeta] = ACTIONS(2144),
    [anon_sym_reset] = ACTIONS(2144),
    [anon_sym_rand] = ACTIONS(2144),
    [anon_sym_rmdir] = ACTIONS(2144),
    [anon_sym_readdir] = ACTIONS(2144),
    [anon_sym_readline] = ACTIONS(2144),
    [anon_sym_readpipe] = ACTIONS(2144),
    [anon_sym_rewinddir] = ACTIONS(2144),
    [anon_sym_readlink] = ACTIONS(2144),
    [anon_sym_ref] = ACTIONS(2144),
    [anon_sym_scalar] = ACTIONS(2144),
    [anon_sym_shift] = ACTIONS(2144),
    [anon_sym_sin] = ACTIONS(2144),
    [anon_sym_sleep] = ACTIONS(2144),
    [anon_sym_sqrt] = ACTIONS(2144),
    [anon_sym_srand] = ACTIONS(2144),
    [anon_sym_stat] = ACTIONS(2144),
    [anon_sym_study] = ACTIONS(2144),
    [anon_sym_tell] = ACTIONS(2144),
    [anon_sym_telldir] = ACTIONS(2144),
    [anon_sym_tied] = ACTIONS(2144),
    [anon_sym_uc] = ACTIONS(2144),
    [anon_sym_ucfirst] = ACTIONS(2144),
    [anon_sym_untie] = ACTIONS(2144),
    [anon_sym_umask] = ACTIONS(2144),
    [anon_sym_values] = ACTIONS(2144),
    [anon_sym_write] = ACTIONS(2144),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2144),
    [anon_sym_qq] = ACTIONS(2144),
    [anon_sym_qw] = ACTIONS(2144),
    [anon_sym_qx] = ACTIONS(2144),
    [anon_sym_qr] = ACTIONS(2144),
    [anon_sym_m] = ACTIONS(2144),
    [anon_sym_s] = ACTIONS(2144),
    [anon_sym_tr] = ACTIONS(2144),
    [anon_sym_y] = ACTIONS(2144),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_unless] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_until] = ACTIONS(2144),
    [aux_sym__bareword_token1] = ACTIONS(2144),
    [sym_number] = ACTIONS(2144),
    [anon_sym_true] = ACTIONS(2144),
    [anon_sym_false] = ACTIONS(2144),
    [sym__single_quote] = ACTIONS(2142),
    [sym__double_quote] = ACTIONS(2142),
    [sym__backtick_quote] = ACTIONS(2142),
    [sym__search_slash_quote] = ACTIONS(2142),
    [sym__PERLY_HEREDOC] = ACTIONS(2142),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2142),
    [sym__filetest] = ACTIONS(2142),
  },
  [944] = {
    [sym_heredoc_content] = STATE(944),
    [sym__identifier] = ACTIONS(2163),
    [anon_sym_LBRACE] = ACTIONS(2163),
    [anon_sym_RBRACE] = ACTIONS(2163),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym_package] = ACTIONS(2163),
    [anon_sym_class] = ACTIONS(2163),
    [anon_sym_role] = ACTIONS(2163),
    [anon_sym_BUILD] = ACTIONS(2163),
    [anon_sym_ADJUST] = ACTIONS(2163),
    [anon_sym_DOLLAR] = ACTIONS(2163),
    [anon_sym_AT] = ACTIONS(2163),
    [anon_sym_my] = ACTIONS(2163),
    [anon_sym_extended] = ACTIONS(2163),
    [anon_sym_async] = ACTIONS(2163),
    [anon_sym_sub] = ACTIONS(2163),
    [anon_sym_method] = ACTIONS(2163),
    [anon_sym_LPAREN] = ACTIONS(2163),
    [anon_sym_continue] = ACTIONS(2163),
    [anon_sym_state] = ACTIONS(2163),
    [anon_sym_our] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2163),
    [anon_sym_defer] = ACTIONS(2163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2163),
    [anon_sym_LBRACK] = ACTIONS(2163),
    [anon_sym_LT] = ACTIONS(2163),
    [anon_sym_LT_LT] = ACTIONS(2163),
    [anon_sym_SLASH_SLASH] = ACTIONS(2163),
    [anon_sym_PLUS] = ACTIONS(2163),
    [anon_sym_DASH] = ACTIONS(2163),
    [anon_sym_STAR] = ACTIONS(2163),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_BSLASH] = ACTIONS(2161),
    [anon_sym_do] = ACTIONS(2163),
    [anon_sym_eval] = ACTIONS(2163),
    [anon_sym_await] = ACTIONS(2163),
    [anon_sym_field] = ACTIONS(2163),
    [anon_sym_local] = ACTIONS(2163),
    [anon_sym_dynamically] = ACTIONS(2163),
    [anon_sym_require] = ACTIONS(2163),
    [anon_sym_map] = ACTIONS(2163),
    [anon_sym_grep] = ACTIONS(2163),
    [anon_sym_sort] = ACTIONS(2163),
    [anon_sym_goto] = ACTIONS(2163),
    [anon_sym_return] = ACTIONS(2163),
    [anon_sym_undef] = ACTIONS(2163),
    [anon_sym_PERCENT2] = ACTIONS(2163),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2163),
    [anon_sym_use] = ACTIONS(2163),
    [anon_sym_no] = ACTIONS(2163),
    [anon_sym_for] = ACTIONS(2163),
    [anon_sym_foreach] = ACTIONS(2163),
    [anon_sym_last] = ACTIONS(2163),
    [anon_sym_next] = ACTIONS(2163),
    [anon_sym_redo] = ACTIONS(2163),
    [anon_sym_BEGIN] = ACTIONS(2163),
    [anon_sym_INIT] = ACTIONS(2163),
    [anon_sym_CHECK] = ACTIONS(2163),
    [anon_sym_UNITCHECK] = ACTIONS(2163),
    [anon_sym_END] = ACTIONS(2163),
    [anon_sym___FILE__] = ACTIONS(2163),
    [anon_sym___LINE__] = ACTIONS(2163),
    [anon_sym___PACKAGE__] = ACTIONS(2163),
    [anon_sym___SUB__] = ACTIONS(2163),
    [anon_sym_break] = ACTIONS(2163),
    [anon_sym_fork] = ACTIONS(2163),
    [anon_sym_getppid] = ACTIONS(2163),
    [anon_sym_time] = ACTIONS(2163),
    [anon_sym_times] = ACTIONS(2163),
    [anon_sym_wait] = ACTIONS(2163),
    [anon_sym_wantarray] = ACTIONS(2163),
    [anon_sym_abs] = ACTIONS(2163),
    [anon_sym_alarm] = ACTIONS(2163),
    [anon_sym_chop] = ACTIONS(2163),
    [anon_sym_chdir] = ACTIONS(2163),
    [anon_sym_close] = ACTIONS(2163),
    [anon_sym_closedir] = ACTIONS(2163),
    [anon_sym_caller] = ACTIONS(2163),
    [anon_sym_chomp] = ACTIONS(2163),
    [anon_sym_chr] = ACTIONS(2163),
    [anon_sym_cos] = ACTIONS(2163),
    [anon_sym_chroot] = ACTIONS(2163),
    [anon_sym_defined] = ACTIONS(2163),
    [anon_sym_delete] = ACTIONS(2163),
    [anon_sym_dbmclose] = ACTIONS(2163),
    [anon_sym_exists] = ACTIONS(2163),
    [anon_sym_exit] = ACTIONS(2163),
    [anon_sym_eof] = ACTIONS(2163),
    [anon_sym_exp] = ACTIONS(2163),
    [anon_sym_each] = ACTIONS(2163),
    [anon_sym_fc] = ACTIONS(2163),
    [anon_sym_fileno] = ACTIONS(2163),
    [anon_sym_gmtime] = ACTIONS(2163),
    [anon_sym_getc] = ACTIONS(2163),
    [anon_sym_getpgrp] = ACTIONS(2163),
    [anon_sym_getprotobyname] = ACTIONS(2163),
    [anon_sym_getpwname] = ACTIONS(2163),
    [anon_sym_getpwuid] = ACTIONS(2163),
    [anon_sym_getpeername] = ACTIONS(2163),
    [anon_sym_getnetbyname] = ACTIONS(2163),
    [anon_sym_getsockname] = ACTIONS(2163),
    [anon_sym_getgrnam] = ACTIONS(2163),
    [anon_sym_getgrgid] = ACTIONS(2163),
    [anon_sym_hex] = ACTIONS(2163),
    [anon_sym_int] = ACTIONS(2163),
    [anon_sym_keys] = ACTIONS(2163),
    [anon_sym_lc] = ACTIONS(2163),
    [anon_sym_lcfirst] = ACTIONS(2163),
    [anon_sym_length] = ACTIONS(2163),
    [anon_sym_localtime] = ACTIONS(2163),
    [anon_sym_log] = ACTIONS(2163),
    [anon_sym_lock] = ACTIONS(2163),
    [anon_sym_lstat] = ACTIONS(2163),
    [anon_sym_oct] = ACTIONS(2163),
    [anon_sym_ord] = ACTIONS(2163),
    [anon_sym_prototype] = ACTIONS(2163),
    [anon_sym_pop] = ACTIONS(2163),
    [anon_sym_pos] = ACTIONS(2163),
    [anon_sym_quotemeta] = ACTIONS(2163),
    [anon_sym_reset] = ACTIONS(2163),
    [anon_sym_rand] = ACTIONS(2163),
    [anon_sym_rmdir] = ACTIONS(2163),
    [anon_sym_readdir] = ACTIONS(2163),
    [anon_sym_readline] = ACTIONS(2163),
    [anon_sym_readpipe] = ACTIONS(2163),
    [anon_sym_rewinddir] = ACTIONS(2163),
    [anon_sym_readlink] = ACTIONS(2163),
    [anon_sym_ref] = ACTIONS(2163),
    [anon_sym_scalar] = ACTIONS(2163),
    [anon_sym_shift] = ACTIONS(2163),
    [anon_sym_sin] = ACTIONS(2163),
    [anon_sym_sleep] = ACTIONS(2163),
    [anon_sym_sqrt] = ACTIONS(2163),
    [anon_sym_srand] = ACTIONS(2163),
    [anon_sym_stat] = ACTIONS(2163),
    [anon_sym_study] = ACTIONS(2163),
    [anon_sym_tell] = ACTIONS(2163),
    [anon_sym_telldir] = ACTIONS(2163),
    [anon_sym_tied] = ACTIONS(2163),
    [anon_sym_uc] = ACTIONS(2163),
    [anon_sym_ucfirst] = ACTIONS(2163),
    [anon_sym_untie] = ACTIONS(2163),
    [anon_sym_umask] = ACTIONS(2163),
    [anon_sym_values] = ACTIONS(2163),
    [anon_sym_write] = ACTIONS(2163),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2163),
    [anon_sym_qq] = ACTIONS(2163),
    [anon_sym_qw] = ACTIONS(2163),
    [anon_sym_qx] = ACTIONS(2163),
    [anon_sym_qr] = ACTIONS(2163),
    [anon_sym_m] = ACTIONS(2163),
    [anon_sym_s] = ACTIONS(2163),
    [anon_sym_tr] = ACTIONS(2163),
    [anon_sym_y] = ACTIONS(2163),
    [anon_sym_if] = ACTIONS(2163),
    [anon_sym_unless] = ACTIONS(2163),
    [anon_sym_while] = ACTIONS(2163),
    [anon_sym_until] = ACTIONS(2163),
    [aux_sym__bareword_token1] = ACTIONS(2163),
    [sym_number] = ACTIONS(2163),
    [anon_sym_true] = ACTIONS(2163),
    [anon_sym_false] = ACTIONS(2163),
    [sym__single_quote] = ACTIONS(2161),
    [sym__double_quote] = ACTIONS(2161),
    [sym__backtick_quote] = ACTIONS(2161),
    [sym__search_slash_quote] = ACTIONS(2161),
    [sym__PERLY_HEREDOC] = ACTIONS(2161),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2161),
    [sym__filetest] = ACTIONS(2161),
  },
  [945] = {
    [sym_heredoc_content] = STATE(945),
    [sym__identifier] = ACTIONS(2167),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_RBRACE] = ACTIONS(2167),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym_package] = ACTIONS(2167),
    [anon_sym_class] = ACTIONS(2167),
    [anon_sym_role] = ACTIONS(2167),
    [anon_sym_BUILD] = ACTIONS(2167),
    [anon_sym_ADJUST] = ACTIONS(2167),
    [anon_sym_DOLLAR] = ACTIONS(2167),
    [anon_sym_AT] = ACTIONS(2167),
    [anon_sym_my] = ACTIONS(2167),
    [anon_sym_extended] = ACTIONS(2167),
    [anon_sym_async] = ACTIONS(2167),
    [anon_sym_sub] = ACTIONS(2167),
    [anon_sym_method] = ACTIONS(2167),
    [anon_sym_LPAREN] = ACTIONS(2167),
    [anon_sym_continue] = ACTIONS(2167),
    [anon_sym_state] = ACTIONS(2167),
    [anon_sym_our] = ACTIONS(2167),
    [anon_sym_try] = ACTIONS(2167),
    [anon_sym_defer] = ACTIONS(2167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2167),
    [anon_sym_LBRACK] = ACTIONS(2167),
    [anon_sym_LT] = ACTIONS(2167),
    [anon_sym_LT_LT] = ACTIONS(2167),
    [anon_sym_SLASH_SLASH] = ACTIONS(2167),
    [anon_sym_PLUS] = ACTIONS(2167),
    [anon_sym_DASH] = ACTIONS(2167),
    [anon_sym_STAR] = ACTIONS(2167),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_BANG] = ACTIONS(2167),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [anon_sym_BSLASH] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2167),
    [anon_sym_eval] = ACTIONS(2167),
    [anon_sym_await] = ACTIONS(2167),
    [anon_sym_field] = ACTIONS(2167),
    [anon_sym_local] = ACTIONS(2167),
    [anon_sym_dynamically] = ACTIONS(2167),
    [anon_sym_require] = ACTIONS(2167),
    [anon_sym_map] = ACTIONS(2167),
    [anon_sym_grep] = ACTIONS(2167),
    [anon_sym_sort] = ACTIONS(2167),
    [anon_sym_goto] = ACTIONS(2167),
    [anon_sym_return] = ACTIONS(2167),
    [anon_sym_undef] = ACTIONS(2167),
    [anon_sym_PERCENT2] = ACTIONS(2167),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2167),
    [anon_sym_use] = ACTIONS(2167),
    [anon_sym_no] = ACTIONS(2167),
    [anon_sym_for] = ACTIONS(2167),
    [anon_sym_foreach] = ACTIONS(2167),
    [anon_sym_last] = ACTIONS(2167),
    [anon_sym_next] = ACTIONS(2167),
    [anon_sym_redo] = ACTIONS(2167),
    [anon_sym_BEGIN] = ACTIONS(2167),
    [anon_sym_INIT] = ACTIONS(2167),
    [anon_sym_CHECK] = ACTIONS(2167),
    [anon_sym_UNITCHECK] = ACTIONS(2167),
    [anon_sym_END] = ACTIONS(2167),
    [anon_sym___FILE__] = ACTIONS(2167),
    [anon_sym___LINE__] = ACTIONS(2167),
    [anon_sym___PACKAGE__] = ACTIONS(2167),
    [anon_sym___SUB__] = ACTIONS(2167),
    [anon_sym_break] = ACTIONS(2167),
    [anon_sym_fork] = ACTIONS(2167),
    [anon_sym_getppid] = ACTIONS(2167),
    [anon_sym_time] = ACTIONS(2167),
    [anon_sym_times] = ACTIONS(2167),
    [anon_sym_wait] = ACTIONS(2167),
    [anon_sym_wantarray] = ACTIONS(2167),
    [anon_sym_abs] = ACTIONS(2167),
    [anon_sym_alarm] = ACTIONS(2167),
    [anon_sym_chop] = ACTIONS(2167),
    [anon_sym_chdir] = ACTIONS(2167),
    [anon_sym_close] = ACTIONS(2167),
    [anon_sym_closedir] = ACTIONS(2167),
    [anon_sym_caller] = ACTIONS(2167),
    [anon_sym_chomp] = ACTIONS(2167),
    [anon_sym_chr] = ACTIONS(2167),
    [anon_sym_cos] = ACTIONS(2167),
    [anon_sym_chroot] = ACTIONS(2167),
    [anon_sym_defined] = ACTIONS(2167),
    [anon_sym_delete] = ACTIONS(2167),
    [anon_sym_dbmclose] = ACTIONS(2167),
    [anon_sym_exists] = ACTIONS(2167),
    [anon_sym_exit] = ACTIONS(2167),
    [anon_sym_eof] = ACTIONS(2167),
    [anon_sym_exp] = ACTIONS(2167),
    [anon_sym_each] = ACTIONS(2167),
    [anon_sym_fc] = ACTIONS(2167),
    [anon_sym_fileno] = ACTIONS(2167),
    [anon_sym_gmtime] = ACTIONS(2167),
    [anon_sym_getc] = ACTIONS(2167),
    [anon_sym_getpgrp] = ACTIONS(2167),
    [anon_sym_getprotobyname] = ACTIONS(2167),
    [anon_sym_getpwname] = ACTIONS(2167),
    [anon_sym_getpwuid] = ACTIONS(2167),
    [anon_sym_getpeername] = ACTIONS(2167),
    [anon_sym_getnetbyname] = ACTIONS(2167),
    [anon_sym_getsockname] = ACTIONS(2167),
    [anon_sym_getgrnam] = ACTIONS(2167),
    [anon_sym_getgrgid] = ACTIONS(2167),
    [anon_sym_hex] = ACTIONS(2167),
    [anon_sym_int] = ACTIONS(2167),
    [anon_sym_keys] = ACTIONS(2167),
    [anon_sym_lc] = ACTIONS(2167),
    [anon_sym_lcfirst] = ACTIONS(2167),
    [anon_sym_length] = ACTIONS(2167),
    [anon_sym_localtime] = ACTIONS(2167),
    [anon_sym_log] = ACTIONS(2167),
    [anon_sym_lock] = ACTIONS(2167),
    [anon_sym_lstat] = ACTIONS(2167),
    [anon_sym_oct] = ACTIONS(2167),
    [anon_sym_ord] = ACTIONS(2167),
    [anon_sym_prototype] = ACTIONS(2167),
    [anon_sym_pop] = ACTIONS(2167),
    [anon_sym_pos] = ACTIONS(2167),
    [anon_sym_quotemeta] = ACTIONS(2167),
    [anon_sym_reset] = ACTIONS(2167),
    [anon_sym_rand] = ACTIONS(2167),
    [anon_sym_rmdir] = ACTIONS(2167),
    [anon_sym_readdir] = ACTIONS(2167),
    [anon_sym_readline] = ACTIONS(2167),
    [anon_sym_readpipe] = ACTIONS(2167),
    [anon_sym_rewinddir] = ACTIONS(2167),
    [anon_sym_readlink] = ACTIONS(2167),
    [anon_sym_ref] = ACTIONS(2167),
    [anon_sym_scalar] = ACTIONS(2167),
    [anon_sym_shift] = ACTIONS(2167),
    [anon_sym_sin] = ACTIONS(2167),
    [anon_sym_sleep] = ACTIONS(2167),
    [anon_sym_sqrt] = ACTIONS(2167),
    [anon_sym_srand] = ACTIONS(2167),
    [anon_sym_stat] = ACTIONS(2167),
    [anon_sym_study] = ACTIONS(2167),
    [anon_sym_tell] = ACTIONS(2167),
    [anon_sym_telldir] = ACTIONS(2167),
    [anon_sym_tied] = ACTIONS(2167),
    [anon_sym_uc] = ACTIONS(2167),
    [anon_sym_ucfirst] = ACTIONS(2167),
    [anon_sym_untie] = ACTIONS(2167),
    [anon_sym_umask] = ACTIONS(2167),
    [anon_sym_values] = ACTIONS(2167),
    [anon_sym_write] = ACTIONS(2167),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2167),
    [anon_sym_qq] = ACTIONS(2167),
    [anon_sym_qw] = ACTIONS(2167),
    [anon_sym_qx] = ACTIONS(2167),
    [anon_sym_qr] = ACTIONS(2167),
    [anon_sym_m] = ACTIONS(2167),
    [anon_sym_s] = ACTIONS(2167),
    [anon_sym_tr] = ACTIONS(2167),
    [anon_sym_y] = ACTIONS(2167),
    [anon_sym_if] = ACTIONS(2167),
    [anon_sym_unless] = ACTIONS(2167),
    [anon_sym_while] = ACTIONS(2167),
    [anon_sym_until] = ACTIONS(2167),
    [aux_sym__bareword_token1] = ACTIONS(2167),
    [sym_number] = ACTIONS(2167),
    [anon_sym_true] = ACTIONS(2167),
    [anon_sym_false] = ACTIONS(2167),
    [sym__single_quote] = ACTIONS(2165),
    [sym__double_quote] = ACTIONS(2165),
    [sym__backtick_quote] = ACTIONS(2165),
    [sym__search_slash_quote] = ACTIONS(2165),
    [sym__PERLY_HEREDOC] = ACTIONS(2165),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2165),
    [sym__filetest] = ACTIONS(2165),
  },
  [946] = {
    [sym_heredoc_content] = STATE(946),
    [sym__identifier] = ACTIONS(2171),
    [anon_sym_LBRACE] = ACTIONS(2171),
    [anon_sym_RBRACE] = ACTIONS(2171),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym_package] = ACTIONS(2171),
    [anon_sym_class] = ACTIONS(2171),
    [anon_sym_role] = ACTIONS(2171),
    [anon_sym_BUILD] = ACTIONS(2171),
    [anon_sym_ADJUST] = ACTIONS(2171),
    [anon_sym_DOLLAR] = ACTIONS(2171),
    [anon_sym_AT] = ACTIONS(2171),
    [anon_sym_my] = ACTIONS(2171),
    [anon_sym_extended] = ACTIONS(2171),
    [anon_sym_async] = ACTIONS(2171),
    [anon_sym_sub] = ACTIONS(2171),
    [anon_sym_method] = ACTIONS(2171),
    [anon_sym_LPAREN] = ACTIONS(2171),
    [anon_sym_continue] = ACTIONS(2171),
    [anon_sym_state] = ACTIONS(2171),
    [anon_sym_our] = ACTIONS(2171),
    [anon_sym_try] = ACTIONS(2171),
    [anon_sym_defer] = ACTIONS(2171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2171),
    [anon_sym_LBRACK] = ACTIONS(2171),
    [anon_sym_LT] = ACTIONS(2171),
    [anon_sym_LT_LT] = ACTIONS(2171),
    [anon_sym_SLASH_SLASH] = ACTIONS(2171),
    [anon_sym_PLUS] = ACTIONS(2171),
    [anon_sym_DASH] = ACTIONS(2171),
    [anon_sym_STAR] = ACTIONS(2171),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_BANG] = ACTIONS(2171),
    [anon_sym_PLUS_PLUS] = ACTIONS(2171),
    [anon_sym_DASH_DASH] = ACTIONS(2171),
    [anon_sym_BSLASH] = ACTIONS(2169),
    [anon_sym_do] = ACTIONS(2171),
    [anon_sym_eval] = ACTIONS(2171),
    [anon_sym_await] = ACTIONS(2171),
    [anon_sym_field] = ACTIONS(2171),
    [anon_sym_local] = ACTIONS(2171),
    [anon_sym_dynamically] = ACTIONS(2171),
    [anon_sym_require] = ACTIONS(2171),
    [anon_sym_map] = ACTIONS(2171),
    [anon_sym_grep] = ACTIONS(2171),
    [anon_sym_sort] = ACTIONS(2171),
    [anon_sym_goto] = ACTIONS(2171),
    [anon_sym_return] = ACTIONS(2171),
    [anon_sym_undef] = ACTIONS(2171),
    [anon_sym_PERCENT2] = ACTIONS(2171),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2171),
    [anon_sym_use] = ACTIONS(2171),
    [anon_sym_no] = ACTIONS(2171),
    [anon_sym_for] = ACTIONS(2171),
    [anon_sym_foreach] = ACTIONS(2171),
    [anon_sym_last] = ACTIONS(2171),
    [anon_sym_next] = ACTIONS(2171),
    [anon_sym_redo] = ACTIONS(2171),
    [anon_sym_BEGIN] = ACTIONS(2171),
    [anon_sym_INIT] = ACTIONS(2171),
    [anon_sym_CHECK] = ACTIONS(2171),
    [anon_sym_UNITCHECK] = ACTIONS(2171),
    [anon_sym_END] = ACTIONS(2171),
    [anon_sym___FILE__] = ACTIONS(2171),
    [anon_sym___LINE__] = ACTIONS(2171),
    [anon_sym___PACKAGE__] = ACTIONS(2171),
    [anon_sym___SUB__] = ACTIONS(2171),
    [anon_sym_break] = ACTIONS(2171),
    [anon_sym_fork] = ACTIONS(2171),
    [anon_sym_getppid] = ACTIONS(2171),
    [anon_sym_time] = ACTIONS(2171),
    [anon_sym_times] = ACTIONS(2171),
    [anon_sym_wait] = ACTIONS(2171),
    [anon_sym_wantarray] = ACTIONS(2171),
    [anon_sym_abs] = ACTIONS(2171),
    [anon_sym_alarm] = ACTIONS(2171),
    [anon_sym_chop] = ACTIONS(2171),
    [anon_sym_chdir] = ACTIONS(2171),
    [anon_sym_close] = ACTIONS(2171),
    [anon_sym_closedir] = ACTIONS(2171),
    [anon_sym_caller] = ACTIONS(2171),
    [anon_sym_chomp] = ACTIONS(2171),
    [anon_sym_chr] = ACTIONS(2171),
    [anon_sym_cos] = ACTIONS(2171),
    [anon_sym_chroot] = ACTIONS(2171),
    [anon_sym_defined] = ACTIONS(2171),
    [anon_sym_delete] = ACTIONS(2171),
    [anon_sym_dbmclose] = ACTIONS(2171),
    [anon_sym_exists] = ACTIONS(2171),
    [anon_sym_exit] = ACTIONS(2171),
    [anon_sym_eof] = ACTIONS(2171),
    [anon_sym_exp] = ACTIONS(2171),
    [anon_sym_each] = ACTIONS(2171),
    [anon_sym_fc] = ACTIONS(2171),
    [anon_sym_fileno] = ACTIONS(2171),
    [anon_sym_gmtime] = ACTIONS(2171),
    [anon_sym_getc] = ACTIONS(2171),
    [anon_sym_getpgrp] = ACTIONS(2171),
    [anon_sym_getprotobyname] = ACTIONS(2171),
    [anon_sym_getpwname] = ACTIONS(2171),
    [anon_sym_getpwuid] = ACTIONS(2171),
    [anon_sym_getpeername] = ACTIONS(2171),
    [anon_sym_getnetbyname] = ACTIONS(2171),
    [anon_sym_getsockname] = ACTIONS(2171),
    [anon_sym_getgrnam] = ACTIONS(2171),
    [anon_sym_getgrgid] = ACTIONS(2171),
    [anon_sym_hex] = ACTIONS(2171),
    [anon_sym_int] = ACTIONS(2171),
    [anon_sym_keys] = ACTIONS(2171),
    [anon_sym_lc] = ACTIONS(2171),
    [anon_sym_lcfirst] = ACTIONS(2171),
    [anon_sym_length] = ACTIONS(2171),
    [anon_sym_localtime] = ACTIONS(2171),
    [anon_sym_log] = ACTIONS(2171),
    [anon_sym_lock] = ACTIONS(2171),
    [anon_sym_lstat] = ACTIONS(2171),
    [anon_sym_oct] = ACTIONS(2171),
    [anon_sym_ord] = ACTIONS(2171),
    [anon_sym_prototype] = ACTIONS(2171),
    [anon_sym_pop] = ACTIONS(2171),
    [anon_sym_pos] = ACTIONS(2171),
    [anon_sym_quotemeta] = ACTIONS(2171),
    [anon_sym_reset] = ACTIONS(2171),
    [anon_sym_rand] = ACTIONS(2171),
    [anon_sym_rmdir] = ACTIONS(2171),
    [anon_sym_readdir] = ACTIONS(2171),
    [anon_sym_readline] = ACTIONS(2171),
    [anon_sym_readpipe] = ACTIONS(2171),
    [anon_sym_rewinddir] = ACTIONS(2171),
    [anon_sym_readlink] = ACTIONS(2171),
    [anon_sym_ref] = ACTIONS(2171),
    [anon_sym_scalar] = ACTIONS(2171),
    [anon_sym_shift] = ACTIONS(2171),
    [anon_sym_sin] = ACTIONS(2171),
    [anon_sym_sleep] = ACTIONS(2171),
    [anon_sym_sqrt] = ACTIONS(2171),
    [anon_sym_srand] = ACTIONS(2171),
    [anon_sym_stat] = ACTIONS(2171),
    [anon_sym_study] = ACTIONS(2171),
    [anon_sym_tell] = ACTIONS(2171),
    [anon_sym_telldir] = ACTIONS(2171),
    [anon_sym_tied] = ACTIONS(2171),
    [anon_sym_uc] = ACTIONS(2171),
    [anon_sym_ucfirst] = ACTIONS(2171),
    [anon_sym_untie] = ACTIONS(2171),
    [anon_sym_umask] = ACTIONS(2171),
    [anon_sym_values] = ACTIONS(2171),
    [anon_sym_write] = ACTIONS(2171),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2171),
    [anon_sym_qq] = ACTIONS(2171),
    [anon_sym_qw] = ACTIONS(2171),
    [anon_sym_qx] = ACTIONS(2171),
    [anon_sym_qr] = ACTIONS(2171),
    [anon_sym_m] = ACTIONS(2171),
    [anon_sym_s] = ACTIONS(2171),
    [anon_sym_tr] = ACTIONS(2171),
    [anon_sym_y] = ACTIONS(2171),
    [anon_sym_if] = ACTIONS(2171),
    [anon_sym_unless] = ACTIONS(2171),
    [anon_sym_while] = ACTIONS(2171),
    [anon_sym_until] = ACTIONS(2171),
    [aux_sym__bareword_token1] = ACTIONS(2171),
    [sym_number] = ACTIONS(2171),
    [anon_sym_true] = ACTIONS(2171),
    [anon_sym_false] = ACTIONS(2171),
    [sym__single_quote] = ACTIONS(2169),
    [sym__double_quote] = ACTIONS(2169),
    [sym__backtick_quote] = ACTIONS(2169),
    [sym__search_slash_quote] = ACTIONS(2169),
    [sym__PERLY_HEREDOC] = ACTIONS(2169),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2169),
    [sym__filetest] = ACTIONS(2169),
  },
  [947] = {
    [sym_heredoc_content] = STATE(947),
    [sym__identifier] = ACTIONS(2175),
    [anon_sym_LBRACE] = ACTIONS(2175),
    [anon_sym_RBRACE] = ACTIONS(2175),
    [anon_sym_SEMI] = ACTIONS(2175),
    [anon_sym_package] = ACTIONS(2175),
    [anon_sym_class] = ACTIONS(2175),
    [anon_sym_role] = ACTIONS(2175),
    [anon_sym_BUILD] = ACTIONS(2175),
    [anon_sym_ADJUST] = ACTIONS(2175),
    [anon_sym_DOLLAR] = ACTIONS(2175),
    [anon_sym_AT] = ACTIONS(2175),
    [anon_sym_my] = ACTIONS(2175),
    [anon_sym_extended] = ACTIONS(2175),
    [anon_sym_async] = ACTIONS(2175),
    [anon_sym_sub] = ACTIONS(2175),
    [anon_sym_method] = ACTIONS(2175),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_continue] = ACTIONS(2175),
    [anon_sym_state] = ACTIONS(2175),
    [anon_sym_our] = ACTIONS(2175),
    [anon_sym_try] = ACTIONS(2175),
    [anon_sym_defer] = ACTIONS(2175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2175),
    [anon_sym_LBRACK] = ACTIONS(2175),
    [anon_sym_LT] = ACTIONS(2175),
    [anon_sym_LT_LT] = ACTIONS(2175),
    [anon_sym_SLASH_SLASH] = ACTIONS(2175),
    [anon_sym_PLUS] = ACTIONS(2175),
    [anon_sym_DASH] = ACTIONS(2175),
    [anon_sym_STAR] = ACTIONS(2175),
    [anon_sym_TILDE] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(2175),
    [anon_sym_PLUS_PLUS] = ACTIONS(2175),
    [anon_sym_DASH_DASH] = ACTIONS(2175),
    [anon_sym_BSLASH] = ACTIONS(2173),
    [anon_sym_do] = ACTIONS(2175),
    [anon_sym_eval] = ACTIONS(2175),
    [anon_sym_await] = ACTIONS(2175),
    [anon_sym_field] = ACTIONS(2175),
    [anon_sym_local] = ACTIONS(2175),
    [anon_sym_dynamically] = ACTIONS(2175),
    [anon_sym_require] = ACTIONS(2175),
    [anon_sym_map] = ACTIONS(2175),
    [anon_sym_grep] = ACTIONS(2175),
    [anon_sym_sort] = ACTIONS(2175),
    [anon_sym_goto] = ACTIONS(2175),
    [anon_sym_return] = ACTIONS(2175),
    [anon_sym_undef] = ACTIONS(2175),
    [anon_sym_PERCENT2] = ACTIONS(2175),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2175),
    [anon_sym_use] = ACTIONS(2175),
    [anon_sym_no] = ACTIONS(2175),
    [anon_sym_for] = ACTIONS(2175),
    [anon_sym_foreach] = ACTIONS(2175),
    [anon_sym_last] = ACTIONS(2175),
    [anon_sym_next] = ACTIONS(2175),
    [anon_sym_redo] = ACTIONS(2175),
    [anon_sym_BEGIN] = ACTIONS(2175),
    [anon_sym_INIT] = ACTIONS(2175),
    [anon_sym_CHECK] = ACTIONS(2175),
    [anon_sym_UNITCHECK] = ACTIONS(2175),
    [anon_sym_END] = ACTIONS(2175),
    [anon_sym___FILE__] = ACTIONS(2175),
    [anon_sym___LINE__] = ACTIONS(2175),
    [anon_sym___PACKAGE__] = ACTIONS(2175),
    [anon_sym___SUB__] = ACTIONS(2175),
    [anon_sym_break] = ACTIONS(2175),
    [anon_sym_fork] = ACTIONS(2175),
    [anon_sym_getppid] = ACTIONS(2175),
    [anon_sym_time] = ACTIONS(2175),
    [anon_sym_times] = ACTIONS(2175),
    [anon_sym_wait] = ACTIONS(2175),
    [anon_sym_wantarray] = ACTIONS(2175),
    [anon_sym_abs] = ACTIONS(2175),
    [anon_sym_alarm] = ACTIONS(2175),
    [anon_sym_chop] = ACTIONS(2175),
    [anon_sym_chdir] = ACTIONS(2175),
    [anon_sym_close] = ACTIONS(2175),
    [anon_sym_closedir] = ACTIONS(2175),
    [anon_sym_caller] = ACTIONS(2175),
    [anon_sym_chomp] = ACTIONS(2175),
    [anon_sym_chr] = ACTIONS(2175),
    [anon_sym_cos] = ACTIONS(2175),
    [anon_sym_chroot] = ACTIONS(2175),
    [anon_sym_defined] = ACTIONS(2175),
    [anon_sym_delete] = ACTIONS(2175),
    [anon_sym_dbmclose] = ACTIONS(2175),
    [anon_sym_exists] = ACTIONS(2175),
    [anon_sym_exit] = ACTIONS(2175),
    [anon_sym_eof] = ACTIONS(2175),
    [anon_sym_exp] = ACTIONS(2175),
    [anon_sym_each] = ACTIONS(2175),
    [anon_sym_fc] = ACTIONS(2175),
    [anon_sym_fileno] = ACTIONS(2175),
    [anon_sym_gmtime] = ACTIONS(2175),
    [anon_sym_getc] = ACTIONS(2175),
    [anon_sym_getpgrp] = ACTIONS(2175),
    [anon_sym_getprotobyname] = ACTIONS(2175),
    [anon_sym_getpwname] = ACTIONS(2175),
    [anon_sym_getpwuid] = ACTIONS(2175),
    [anon_sym_getpeername] = ACTIONS(2175),
    [anon_sym_getnetbyname] = ACTIONS(2175),
    [anon_sym_getsockname] = ACTIONS(2175),
    [anon_sym_getgrnam] = ACTIONS(2175),
    [anon_sym_getgrgid] = ACTIONS(2175),
    [anon_sym_hex] = ACTIONS(2175),
    [anon_sym_int] = ACTIONS(2175),
    [anon_sym_keys] = ACTIONS(2175),
    [anon_sym_lc] = ACTIONS(2175),
    [anon_sym_lcfirst] = ACTIONS(2175),
    [anon_sym_length] = ACTIONS(2175),
    [anon_sym_localtime] = ACTIONS(2175),
    [anon_sym_log] = ACTIONS(2175),
    [anon_sym_lock] = ACTIONS(2175),
    [anon_sym_lstat] = ACTIONS(2175),
    [anon_sym_oct] = ACTIONS(2175),
    [anon_sym_ord] = ACTIONS(2175),
    [anon_sym_prototype] = ACTIONS(2175),
    [anon_sym_pop] = ACTIONS(2175),
    [anon_sym_pos] = ACTIONS(2175),
    [anon_sym_quotemeta] = ACTIONS(2175),
    [anon_sym_reset] = ACTIONS(2175),
    [anon_sym_rand] = ACTIONS(2175),
    [anon_sym_rmdir] = ACTIONS(2175),
    [anon_sym_readdir] = ACTIONS(2175),
    [anon_sym_readline] = ACTIONS(2175),
    [anon_sym_readpipe] = ACTIONS(2175),
    [anon_sym_rewinddir] = ACTIONS(2175),
    [anon_sym_readlink] = ACTIONS(2175),
    [anon_sym_ref] = ACTIONS(2175),
    [anon_sym_scalar] = ACTIONS(2175),
    [anon_sym_shift] = ACTIONS(2175),
    [anon_sym_sin] = ACTIONS(2175),
    [anon_sym_sleep] = ACTIONS(2175),
    [anon_sym_sqrt] = ACTIONS(2175),
    [anon_sym_srand] = ACTIONS(2175),
    [anon_sym_stat] = ACTIONS(2175),
    [anon_sym_study] = ACTIONS(2175),
    [anon_sym_tell] = ACTIONS(2175),
    [anon_sym_telldir] = ACTIONS(2175),
    [anon_sym_tied] = ACTIONS(2175),
    [anon_sym_uc] = ACTIONS(2175),
    [anon_sym_ucfirst] = ACTIONS(2175),
    [anon_sym_untie] = ACTIONS(2175),
    [anon_sym_umask] = ACTIONS(2175),
    [anon_sym_values] = ACTIONS(2175),
    [anon_sym_write] = ACTIONS(2175),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2175),
    [anon_sym_qq] = ACTIONS(2175),
    [anon_sym_qw] = ACTIONS(2175),
    [anon_sym_qx] = ACTIONS(2175),
    [anon_sym_qr] = ACTIONS(2175),
    [anon_sym_m] = ACTIONS(2175),
    [anon_sym_s] = ACTIONS(2175),
    [anon_sym_tr] = ACTIONS(2175),
    [anon_sym_y] = ACTIONS(2175),
    [anon_sym_if] = ACTIONS(2175),
    [anon_sym_unless] = ACTIONS(2175),
    [anon_sym_while] = ACTIONS(2175),
    [anon_sym_until] = ACTIONS(2175),
    [aux_sym__bareword_token1] = ACTIONS(2175),
    [sym_number] = ACTIONS(2175),
    [anon_sym_true] = ACTIONS(2175),
    [anon_sym_false] = ACTIONS(2175),
    [sym__single_quote] = ACTIONS(2173),
    [sym__double_quote] = ACTIONS(2173),
    [sym__backtick_quote] = ACTIONS(2173),
    [sym__search_slash_quote] = ACTIONS(2173),
    [sym__PERLY_HEREDOC] = ACTIONS(2173),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2173),
    [sym__filetest] = ACTIONS(2173),
  },
  [948] = {
    [sym_heredoc_content] = STATE(948),
    [sym__identifier] = ACTIONS(2179),
    [anon_sym_LBRACE] = ACTIONS(2179),
    [anon_sym_RBRACE] = ACTIONS(2179),
    [anon_sym_SEMI] = ACTIONS(2179),
    [anon_sym_package] = ACTIONS(2179),
    [anon_sym_class] = ACTIONS(2179),
    [anon_sym_role] = ACTIONS(2179),
    [anon_sym_BUILD] = ACTIONS(2179),
    [anon_sym_ADJUST] = ACTIONS(2179),
    [anon_sym_DOLLAR] = ACTIONS(2179),
    [anon_sym_AT] = ACTIONS(2179),
    [anon_sym_my] = ACTIONS(2179),
    [anon_sym_extended] = ACTIONS(2179),
    [anon_sym_async] = ACTIONS(2179),
    [anon_sym_sub] = ACTIONS(2179),
    [anon_sym_method] = ACTIONS(2179),
    [anon_sym_LPAREN] = ACTIONS(2179),
    [anon_sym_continue] = ACTIONS(2179),
    [anon_sym_state] = ACTIONS(2179),
    [anon_sym_our] = ACTIONS(2179),
    [anon_sym_try] = ACTIONS(2179),
    [anon_sym_defer] = ACTIONS(2179),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2179),
    [anon_sym_LBRACK] = ACTIONS(2179),
    [anon_sym_LT] = ACTIONS(2179),
    [anon_sym_LT_LT] = ACTIONS(2179),
    [anon_sym_SLASH_SLASH] = ACTIONS(2179),
    [anon_sym_PLUS] = ACTIONS(2179),
    [anon_sym_DASH] = ACTIONS(2179),
    [anon_sym_STAR] = ACTIONS(2179),
    [anon_sym_TILDE] = ACTIONS(2179),
    [anon_sym_BANG] = ACTIONS(2179),
    [anon_sym_PLUS_PLUS] = ACTIONS(2179),
    [anon_sym_DASH_DASH] = ACTIONS(2179),
    [anon_sym_BSLASH] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2179),
    [anon_sym_eval] = ACTIONS(2179),
    [anon_sym_await] = ACTIONS(2179),
    [anon_sym_field] = ACTIONS(2179),
    [anon_sym_local] = ACTIONS(2179),
    [anon_sym_dynamically] = ACTIONS(2179),
    [anon_sym_require] = ACTIONS(2179),
    [anon_sym_map] = ACTIONS(2179),
    [anon_sym_grep] = ACTIONS(2179),
    [anon_sym_sort] = ACTIONS(2179),
    [anon_sym_goto] = ACTIONS(2179),
    [anon_sym_return] = ACTIONS(2179),
    [anon_sym_undef] = ACTIONS(2179),
    [anon_sym_PERCENT2] = ACTIONS(2179),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2179),
    [anon_sym_use] = ACTIONS(2179),
    [anon_sym_no] = ACTIONS(2179),
    [anon_sym_for] = ACTIONS(2179),
    [anon_sym_foreach] = ACTIONS(2179),
    [anon_sym_last] = ACTIONS(2179),
    [anon_sym_next] = ACTIONS(2179),
    [anon_sym_redo] = ACTIONS(2179),
    [anon_sym_BEGIN] = ACTIONS(2179),
    [anon_sym_INIT] = ACTIONS(2179),
    [anon_sym_CHECK] = ACTIONS(2179),
    [anon_sym_UNITCHECK] = ACTIONS(2179),
    [anon_sym_END] = ACTIONS(2179),
    [anon_sym___FILE__] = ACTIONS(2179),
    [anon_sym___LINE__] = ACTIONS(2179),
    [anon_sym___PACKAGE__] = ACTIONS(2179),
    [anon_sym___SUB__] = ACTIONS(2179),
    [anon_sym_break] = ACTIONS(2179),
    [anon_sym_fork] = ACTIONS(2179),
    [anon_sym_getppid] = ACTIONS(2179),
    [anon_sym_time] = ACTIONS(2179),
    [anon_sym_times] = ACTIONS(2179),
    [anon_sym_wait] = ACTIONS(2179),
    [anon_sym_wantarray] = ACTIONS(2179),
    [anon_sym_abs] = ACTIONS(2179),
    [anon_sym_alarm] = ACTIONS(2179),
    [anon_sym_chop] = ACTIONS(2179),
    [anon_sym_chdir] = ACTIONS(2179),
    [anon_sym_close] = ACTIONS(2179),
    [anon_sym_closedir] = ACTIONS(2179),
    [anon_sym_caller] = ACTIONS(2179),
    [anon_sym_chomp] = ACTIONS(2179),
    [anon_sym_chr] = ACTIONS(2179),
    [anon_sym_cos] = ACTIONS(2179),
    [anon_sym_chroot] = ACTIONS(2179),
    [anon_sym_defined] = ACTIONS(2179),
    [anon_sym_delete] = ACTIONS(2179),
    [anon_sym_dbmclose] = ACTIONS(2179),
    [anon_sym_exists] = ACTIONS(2179),
    [anon_sym_exit] = ACTIONS(2179),
    [anon_sym_eof] = ACTIONS(2179),
    [anon_sym_exp] = ACTIONS(2179),
    [anon_sym_each] = ACTIONS(2179),
    [anon_sym_fc] = ACTIONS(2179),
    [anon_sym_fileno] = ACTIONS(2179),
    [anon_sym_gmtime] = ACTIONS(2179),
    [anon_sym_getc] = ACTIONS(2179),
    [anon_sym_getpgrp] = ACTIONS(2179),
    [anon_sym_getprotobyname] = ACTIONS(2179),
    [anon_sym_getpwname] = ACTIONS(2179),
    [anon_sym_getpwuid] = ACTIONS(2179),
    [anon_sym_getpeername] = ACTIONS(2179),
    [anon_sym_getnetbyname] = ACTIONS(2179),
    [anon_sym_getsockname] = ACTIONS(2179),
    [anon_sym_getgrnam] = ACTIONS(2179),
    [anon_sym_getgrgid] = ACTIONS(2179),
    [anon_sym_hex] = ACTIONS(2179),
    [anon_sym_int] = ACTIONS(2179),
    [anon_sym_keys] = ACTIONS(2179),
    [anon_sym_lc] = ACTIONS(2179),
    [anon_sym_lcfirst] = ACTIONS(2179),
    [anon_sym_length] = ACTIONS(2179),
    [anon_sym_localtime] = ACTIONS(2179),
    [anon_sym_log] = ACTIONS(2179),
    [anon_sym_lock] = ACTIONS(2179),
    [anon_sym_lstat] = ACTIONS(2179),
    [anon_sym_oct] = ACTIONS(2179),
    [anon_sym_ord] = ACTIONS(2179),
    [anon_sym_prototype] = ACTIONS(2179),
    [anon_sym_pop] = ACTIONS(2179),
    [anon_sym_pos] = ACTIONS(2179),
    [anon_sym_quotemeta] = ACTIONS(2179),
    [anon_sym_reset] = ACTIONS(2179),
    [anon_sym_rand] = ACTIONS(2179),
    [anon_sym_rmdir] = ACTIONS(2179),
    [anon_sym_readdir] = ACTIONS(2179),
    [anon_sym_readline] = ACTIONS(2179),
    [anon_sym_readpipe] = ACTIONS(2179),
    [anon_sym_rewinddir] = ACTIONS(2179),
    [anon_sym_readlink] = ACTIONS(2179),
    [anon_sym_ref] = ACTIONS(2179),
    [anon_sym_scalar] = ACTIONS(2179),
    [anon_sym_shift] = ACTIONS(2179),
    [anon_sym_sin] = ACTIONS(2179),
    [anon_sym_sleep] = ACTIONS(2179),
    [anon_sym_sqrt] = ACTIONS(2179),
    [anon_sym_srand] = ACTIONS(2179),
    [anon_sym_stat] = ACTIONS(2179),
    [anon_sym_study] = ACTIONS(2179),
    [anon_sym_tell] = ACTIONS(2179),
    [anon_sym_telldir] = ACTIONS(2179),
    [anon_sym_tied] = ACTIONS(2179),
    [anon_sym_uc] = ACTIONS(2179),
    [anon_sym_ucfirst] = ACTIONS(2179),
    [anon_sym_untie] = ACTIONS(2179),
    [anon_sym_umask] = ACTIONS(2179),
    [anon_sym_values] = ACTIONS(2179),
    [anon_sym_write] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2179),
    [anon_sym_qq] = ACTIONS(2179),
    [anon_sym_qw] = ACTIONS(2179),
    [anon_sym_qx] = ACTIONS(2179),
    [anon_sym_qr] = ACTIONS(2179),
    [anon_sym_m] = ACTIONS(2179),
    [anon_sym_s] = ACTIONS(2179),
    [anon_sym_tr] = ACTIONS(2179),
    [anon_sym_y] = ACTIONS(2179),
    [anon_sym_if] = ACTIONS(2179),
    [anon_sym_unless] = ACTIONS(2179),
    [anon_sym_while] = ACTIONS(2179),
    [anon_sym_until] = ACTIONS(2179),
    [aux_sym__bareword_token1] = ACTIONS(2179),
    [sym_number] = ACTIONS(2179),
    [anon_sym_true] = ACTIONS(2179),
    [anon_sym_false] = ACTIONS(2179),
    [sym__single_quote] = ACTIONS(2177),
    [sym__double_quote] = ACTIONS(2177),
    [sym__backtick_quote] = ACTIONS(2177),
    [sym__search_slash_quote] = ACTIONS(2177),
    [sym__PERLY_HEREDOC] = ACTIONS(2177),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2177),
    [sym__filetest] = ACTIONS(2177),
  },
  [949] = {
    [sym_heredoc_content] = STATE(949),
    [sym__identifier] = ACTIONS(2183),
    [anon_sym_LBRACE] = ACTIONS(2183),
    [anon_sym_RBRACE] = ACTIONS(2183),
    [anon_sym_SEMI] = ACTIONS(2183),
    [anon_sym_package] = ACTIONS(2183),
    [anon_sym_class] = ACTIONS(2183),
    [anon_sym_role] = ACTIONS(2183),
    [anon_sym_BUILD] = ACTIONS(2183),
    [anon_sym_ADJUST] = ACTIONS(2183),
    [anon_sym_DOLLAR] = ACTIONS(2183),
    [anon_sym_AT] = ACTIONS(2183),
    [anon_sym_my] = ACTIONS(2183),
    [anon_sym_extended] = ACTIONS(2183),
    [anon_sym_async] = ACTIONS(2183),
    [anon_sym_sub] = ACTIONS(2183),
    [anon_sym_method] = ACTIONS(2183),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_continue] = ACTIONS(2183),
    [anon_sym_state] = ACTIONS(2183),
    [anon_sym_our] = ACTIONS(2183),
    [anon_sym_try] = ACTIONS(2183),
    [anon_sym_defer] = ACTIONS(2183),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2183),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(2183),
    [anon_sym_LT_LT] = ACTIONS(2183),
    [anon_sym_SLASH_SLASH] = ACTIONS(2183),
    [anon_sym_PLUS] = ACTIONS(2183),
    [anon_sym_DASH] = ACTIONS(2183),
    [anon_sym_STAR] = ACTIONS(2183),
    [anon_sym_TILDE] = ACTIONS(2183),
    [anon_sym_BANG] = ACTIONS(2183),
    [anon_sym_PLUS_PLUS] = ACTIONS(2183),
    [anon_sym_DASH_DASH] = ACTIONS(2183),
    [anon_sym_BSLASH] = ACTIONS(2181),
    [anon_sym_do] = ACTIONS(2183),
    [anon_sym_eval] = ACTIONS(2183),
    [anon_sym_await] = ACTIONS(2183),
    [anon_sym_field] = ACTIONS(2183),
    [anon_sym_local] = ACTIONS(2183),
    [anon_sym_dynamically] = ACTIONS(2183),
    [anon_sym_require] = ACTIONS(2183),
    [anon_sym_map] = ACTIONS(2183),
    [anon_sym_grep] = ACTIONS(2183),
    [anon_sym_sort] = ACTIONS(2183),
    [anon_sym_goto] = ACTIONS(2183),
    [anon_sym_return] = ACTIONS(2183),
    [anon_sym_undef] = ACTIONS(2183),
    [anon_sym_PERCENT2] = ACTIONS(2183),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2183),
    [anon_sym_use] = ACTIONS(2183),
    [anon_sym_no] = ACTIONS(2183),
    [anon_sym_for] = ACTIONS(2183),
    [anon_sym_foreach] = ACTIONS(2183),
    [anon_sym_last] = ACTIONS(2183),
    [anon_sym_next] = ACTIONS(2183),
    [anon_sym_redo] = ACTIONS(2183),
    [anon_sym_BEGIN] = ACTIONS(2183),
    [anon_sym_INIT] = ACTIONS(2183),
    [anon_sym_CHECK] = ACTIONS(2183),
    [anon_sym_UNITCHECK] = ACTIONS(2183),
    [anon_sym_END] = ACTIONS(2183),
    [anon_sym___FILE__] = ACTIONS(2183),
    [anon_sym___LINE__] = ACTIONS(2183),
    [anon_sym___PACKAGE__] = ACTIONS(2183),
    [anon_sym___SUB__] = ACTIONS(2183),
    [anon_sym_break] = ACTIONS(2183),
    [anon_sym_fork] = ACTIONS(2183),
    [anon_sym_getppid] = ACTIONS(2183),
    [anon_sym_time] = ACTIONS(2183),
    [anon_sym_times] = ACTIONS(2183),
    [anon_sym_wait] = ACTIONS(2183),
    [anon_sym_wantarray] = ACTIONS(2183),
    [anon_sym_abs] = ACTIONS(2183),
    [anon_sym_alarm] = ACTIONS(2183),
    [anon_sym_chop] = ACTIONS(2183),
    [anon_sym_chdir] = ACTIONS(2183),
    [anon_sym_close] = ACTIONS(2183),
    [anon_sym_closedir] = ACTIONS(2183),
    [anon_sym_caller] = ACTIONS(2183),
    [anon_sym_chomp] = ACTIONS(2183),
    [anon_sym_chr] = ACTIONS(2183),
    [anon_sym_cos] = ACTIONS(2183),
    [anon_sym_chroot] = ACTIONS(2183),
    [anon_sym_defined] = ACTIONS(2183),
    [anon_sym_delete] = ACTIONS(2183),
    [anon_sym_dbmclose] = ACTIONS(2183),
    [anon_sym_exists] = ACTIONS(2183),
    [anon_sym_exit] = ACTIONS(2183),
    [anon_sym_eof] = ACTIONS(2183),
    [anon_sym_exp] = ACTIONS(2183),
    [anon_sym_each] = ACTIONS(2183),
    [anon_sym_fc] = ACTIONS(2183),
    [anon_sym_fileno] = ACTIONS(2183),
    [anon_sym_gmtime] = ACTIONS(2183),
    [anon_sym_getc] = ACTIONS(2183),
    [anon_sym_getpgrp] = ACTIONS(2183),
    [anon_sym_getprotobyname] = ACTIONS(2183),
    [anon_sym_getpwname] = ACTIONS(2183),
    [anon_sym_getpwuid] = ACTIONS(2183),
    [anon_sym_getpeername] = ACTIONS(2183),
    [anon_sym_getnetbyname] = ACTIONS(2183),
    [anon_sym_getsockname] = ACTIONS(2183),
    [anon_sym_getgrnam] = ACTIONS(2183),
    [anon_sym_getgrgid] = ACTIONS(2183),
    [anon_sym_hex] = ACTIONS(2183),
    [anon_sym_int] = ACTIONS(2183),
    [anon_sym_keys] = ACTIONS(2183),
    [anon_sym_lc] = ACTIONS(2183),
    [anon_sym_lcfirst] = ACTIONS(2183),
    [anon_sym_length] = ACTIONS(2183),
    [anon_sym_localtime] = ACTIONS(2183),
    [anon_sym_log] = ACTIONS(2183),
    [anon_sym_lock] = ACTIONS(2183),
    [anon_sym_lstat] = ACTIONS(2183),
    [anon_sym_oct] = ACTIONS(2183),
    [anon_sym_ord] = ACTIONS(2183),
    [anon_sym_prototype] = ACTIONS(2183),
    [anon_sym_pop] = ACTIONS(2183),
    [anon_sym_pos] = ACTIONS(2183),
    [anon_sym_quotemeta] = ACTIONS(2183),
    [anon_sym_reset] = ACTIONS(2183),
    [anon_sym_rand] = ACTIONS(2183),
    [anon_sym_rmdir] = ACTIONS(2183),
    [anon_sym_readdir] = ACTIONS(2183),
    [anon_sym_readline] = ACTIONS(2183),
    [anon_sym_readpipe] = ACTIONS(2183),
    [anon_sym_rewinddir] = ACTIONS(2183),
    [anon_sym_readlink] = ACTIONS(2183),
    [anon_sym_ref] = ACTIONS(2183),
    [anon_sym_scalar] = ACTIONS(2183),
    [anon_sym_shift] = ACTIONS(2183),
    [anon_sym_sin] = ACTIONS(2183),
    [anon_sym_sleep] = ACTIONS(2183),
    [anon_sym_sqrt] = ACTIONS(2183),
    [anon_sym_srand] = ACTIONS(2183),
    [anon_sym_stat] = ACTIONS(2183),
    [anon_sym_study] = ACTIONS(2183),
    [anon_sym_tell] = ACTIONS(2183),
    [anon_sym_telldir] = ACTIONS(2183),
    [anon_sym_tied] = ACTIONS(2183),
    [anon_sym_uc] = ACTIONS(2183),
    [anon_sym_ucfirst] = ACTIONS(2183),
    [anon_sym_untie] = ACTIONS(2183),
    [anon_sym_umask] = ACTIONS(2183),
    [anon_sym_values] = ACTIONS(2183),
    [anon_sym_write] = ACTIONS(2183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2183),
    [anon_sym_qq] = ACTIONS(2183),
    [anon_sym_qw] = ACTIONS(2183),
    [anon_sym_qx] = ACTIONS(2183),
    [anon_sym_qr] = ACTIONS(2183),
    [anon_sym_m] = ACTIONS(2183),
    [anon_sym_s] = ACTIONS(2183),
    [anon_sym_tr] = ACTIONS(2183),
    [anon_sym_y] = ACTIONS(2183),
    [anon_sym_if] = ACTIONS(2183),
    [anon_sym_unless] = ACTIONS(2183),
    [anon_sym_while] = ACTIONS(2183),
    [anon_sym_until] = ACTIONS(2183),
    [aux_sym__bareword_token1] = ACTIONS(2183),
    [sym_number] = ACTIONS(2183),
    [anon_sym_true] = ACTIONS(2183),
    [anon_sym_false] = ACTIONS(2183),
    [sym__single_quote] = ACTIONS(2181),
    [sym__double_quote] = ACTIONS(2181),
    [sym__backtick_quote] = ACTIONS(2181),
    [sym__search_slash_quote] = ACTIONS(2181),
    [sym__PERLY_HEREDOC] = ACTIONS(2181),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2181),
    [sym__filetest] = ACTIONS(2181),
  },
  [950] = {
    [sym_heredoc_content] = STATE(950),
    [sym__identifier] = ACTIONS(2187),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_RBRACE] = ACTIONS(2187),
    [anon_sym_SEMI] = ACTIONS(2187),
    [anon_sym_package] = ACTIONS(2187),
    [anon_sym_class] = ACTIONS(2187),
    [anon_sym_role] = ACTIONS(2187),
    [anon_sym_BUILD] = ACTIONS(2187),
    [anon_sym_ADJUST] = ACTIONS(2187),
    [anon_sym_DOLLAR] = ACTIONS(2187),
    [anon_sym_AT] = ACTIONS(2187),
    [anon_sym_my] = ACTIONS(2187),
    [anon_sym_extended] = ACTIONS(2187),
    [anon_sym_async] = ACTIONS(2187),
    [anon_sym_sub] = ACTIONS(2187),
    [anon_sym_method] = ACTIONS(2187),
    [anon_sym_LPAREN] = ACTIONS(2187),
    [anon_sym_continue] = ACTIONS(2187),
    [anon_sym_state] = ACTIONS(2187),
    [anon_sym_our] = ACTIONS(2187),
    [anon_sym_try] = ACTIONS(2187),
    [anon_sym_defer] = ACTIONS(2187),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2187),
    [anon_sym_LBRACK] = ACTIONS(2187),
    [anon_sym_LT] = ACTIONS(2187),
    [anon_sym_LT_LT] = ACTIONS(2187),
    [anon_sym_SLASH_SLASH] = ACTIONS(2187),
    [anon_sym_PLUS] = ACTIONS(2187),
    [anon_sym_DASH] = ACTIONS(2187),
    [anon_sym_STAR] = ACTIONS(2187),
    [anon_sym_TILDE] = ACTIONS(2187),
    [anon_sym_BANG] = ACTIONS(2187),
    [anon_sym_PLUS_PLUS] = ACTIONS(2187),
    [anon_sym_DASH_DASH] = ACTIONS(2187),
    [anon_sym_BSLASH] = ACTIONS(2185),
    [anon_sym_do] = ACTIONS(2187),
    [anon_sym_eval] = ACTIONS(2187),
    [anon_sym_await] = ACTIONS(2187),
    [anon_sym_field] = ACTIONS(2187),
    [anon_sym_local] = ACTIONS(2187),
    [anon_sym_dynamically] = ACTIONS(2187),
    [anon_sym_require] = ACTIONS(2187),
    [anon_sym_map] = ACTIONS(2187),
    [anon_sym_grep] = ACTIONS(2187),
    [anon_sym_sort] = ACTIONS(2187),
    [anon_sym_goto] = ACTIONS(2187),
    [anon_sym_return] = ACTIONS(2187),
    [anon_sym_undef] = ACTIONS(2187),
    [anon_sym_PERCENT2] = ACTIONS(2187),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2187),
    [anon_sym_use] = ACTIONS(2187),
    [anon_sym_no] = ACTIONS(2187),
    [anon_sym_for] = ACTIONS(2187),
    [anon_sym_foreach] = ACTIONS(2187),
    [anon_sym_last] = ACTIONS(2187),
    [anon_sym_next] = ACTIONS(2187),
    [anon_sym_redo] = ACTIONS(2187),
    [anon_sym_BEGIN] = ACTIONS(2187),
    [anon_sym_INIT] = ACTIONS(2187),
    [anon_sym_CHECK] = ACTIONS(2187),
    [anon_sym_UNITCHECK] = ACTIONS(2187),
    [anon_sym_END] = ACTIONS(2187),
    [anon_sym___FILE__] = ACTIONS(2187),
    [anon_sym___LINE__] = ACTIONS(2187),
    [anon_sym___PACKAGE__] = ACTIONS(2187),
    [anon_sym___SUB__] = ACTIONS(2187),
    [anon_sym_break] = ACTIONS(2187),
    [anon_sym_fork] = ACTIONS(2187),
    [anon_sym_getppid] = ACTIONS(2187),
    [anon_sym_time] = ACTIONS(2187),
    [anon_sym_times] = ACTIONS(2187),
    [anon_sym_wait] = ACTIONS(2187),
    [anon_sym_wantarray] = ACTIONS(2187),
    [anon_sym_abs] = ACTIONS(2187),
    [anon_sym_alarm] = ACTIONS(2187),
    [anon_sym_chop] = ACTIONS(2187),
    [anon_sym_chdir] = ACTIONS(2187),
    [anon_sym_close] = ACTIONS(2187),
    [anon_sym_closedir] = ACTIONS(2187),
    [anon_sym_caller] = ACTIONS(2187),
    [anon_sym_chomp] = ACTIONS(2187),
    [anon_sym_chr] = ACTIONS(2187),
    [anon_sym_cos] = ACTIONS(2187),
    [anon_sym_chroot] = ACTIONS(2187),
    [anon_sym_defined] = ACTIONS(2187),
    [anon_sym_delete] = ACTIONS(2187),
    [anon_sym_dbmclose] = ACTIONS(2187),
    [anon_sym_exists] = ACTIONS(2187),
    [anon_sym_exit] = ACTIONS(2187),
    [anon_sym_eof] = ACTIONS(2187),
    [anon_sym_exp] = ACTIONS(2187),
    [anon_sym_each] = ACTIONS(2187),
    [anon_sym_fc] = ACTIONS(2187),
    [anon_sym_fileno] = ACTIONS(2187),
    [anon_sym_gmtime] = ACTIONS(2187),
    [anon_sym_getc] = ACTIONS(2187),
    [anon_sym_getpgrp] = ACTIONS(2187),
    [anon_sym_getprotobyname] = ACTIONS(2187),
    [anon_sym_getpwname] = ACTIONS(2187),
    [anon_sym_getpwuid] = ACTIONS(2187),
    [anon_sym_getpeername] = ACTIONS(2187),
    [anon_sym_getnetbyname] = ACTIONS(2187),
    [anon_sym_getsockname] = ACTIONS(2187),
    [anon_sym_getgrnam] = ACTIONS(2187),
    [anon_sym_getgrgid] = ACTIONS(2187),
    [anon_sym_hex] = ACTIONS(2187),
    [anon_sym_int] = ACTIONS(2187),
    [anon_sym_keys] = ACTIONS(2187),
    [anon_sym_lc] = ACTIONS(2187),
    [anon_sym_lcfirst] = ACTIONS(2187),
    [anon_sym_length] = ACTIONS(2187),
    [anon_sym_localtime] = ACTIONS(2187),
    [anon_sym_log] = ACTIONS(2187),
    [anon_sym_lock] = ACTIONS(2187),
    [anon_sym_lstat] = ACTIONS(2187),
    [anon_sym_oct] = ACTIONS(2187),
    [anon_sym_ord] = ACTIONS(2187),
    [anon_sym_prototype] = ACTIONS(2187),
    [anon_sym_pop] = ACTIONS(2187),
    [anon_sym_pos] = ACTIONS(2187),
    [anon_sym_quotemeta] = ACTIONS(2187),
    [anon_sym_reset] = ACTIONS(2187),
    [anon_sym_rand] = ACTIONS(2187),
    [anon_sym_rmdir] = ACTIONS(2187),
    [anon_sym_readdir] = ACTIONS(2187),
    [anon_sym_readline] = ACTIONS(2187),
    [anon_sym_readpipe] = ACTIONS(2187),
    [anon_sym_rewinddir] = ACTIONS(2187),
    [anon_sym_readlink] = ACTIONS(2187),
    [anon_sym_ref] = ACTIONS(2187),
    [anon_sym_scalar] = ACTIONS(2187),
    [anon_sym_shift] = ACTIONS(2187),
    [anon_sym_sin] = ACTIONS(2187),
    [anon_sym_sleep] = ACTIONS(2187),
    [anon_sym_sqrt] = ACTIONS(2187),
    [anon_sym_srand] = ACTIONS(2187),
    [anon_sym_stat] = ACTIONS(2187),
    [anon_sym_study] = ACTIONS(2187),
    [anon_sym_tell] = ACTIONS(2187),
    [anon_sym_telldir] = ACTIONS(2187),
    [anon_sym_tied] = ACTIONS(2187),
    [anon_sym_uc] = ACTIONS(2187),
    [anon_sym_ucfirst] = ACTIONS(2187),
    [anon_sym_untie] = ACTIONS(2187),
    [anon_sym_umask] = ACTIONS(2187),
    [anon_sym_values] = ACTIONS(2187),
    [anon_sym_write] = ACTIONS(2187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2187),
    [anon_sym_qq] = ACTIONS(2187),
    [anon_sym_qw] = ACTIONS(2187),
    [anon_sym_qx] = ACTIONS(2187),
    [anon_sym_qr] = ACTIONS(2187),
    [anon_sym_m] = ACTIONS(2187),
    [anon_sym_s] = ACTIONS(2187),
    [anon_sym_tr] = ACTIONS(2187),
    [anon_sym_y] = ACTIONS(2187),
    [anon_sym_if] = ACTIONS(2187),
    [anon_sym_unless] = ACTIONS(2187),
    [anon_sym_while] = ACTIONS(2187),
    [anon_sym_until] = ACTIONS(2187),
    [aux_sym__bareword_token1] = ACTIONS(2187),
    [sym_number] = ACTIONS(2187),
    [anon_sym_true] = ACTIONS(2187),
    [anon_sym_false] = ACTIONS(2187),
    [sym__single_quote] = ACTIONS(2185),
    [sym__double_quote] = ACTIONS(2185),
    [sym__backtick_quote] = ACTIONS(2185),
    [sym__search_slash_quote] = ACTIONS(2185),
    [sym__PERLY_HEREDOC] = ACTIONS(2185),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2185),
    [sym__filetest] = ACTIONS(2185),
  },
  [951] = {
    [sym_heredoc_content] = STATE(951),
    [sym__identifier] = ACTIONS(2191),
    [anon_sym_LBRACE] = ACTIONS(2191),
    [anon_sym_RBRACE] = ACTIONS(2191),
    [anon_sym_SEMI] = ACTIONS(2191),
    [anon_sym_package] = ACTIONS(2191),
    [anon_sym_class] = ACTIONS(2191),
    [anon_sym_role] = ACTIONS(2191),
    [anon_sym_BUILD] = ACTIONS(2191),
    [anon_sym_ADJUST] = ACTIONS(2191),
    [anon_sym_DOLLAR] = ACTIONS(2191),
    [anon_sym_AT] = ACTIONS(2191),
    [anon_sym_my] = ACTIONS(2191),
    [anon_sym_extended] = ACTIONS(2191),
    [anon_sym_async] = ACTIONS(2191),
    [anon_sym_sub] = ACTIONS(2191),
    [anon_sym_method] = ACTIONS(2191),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_continue] = ACTIONS(2191),
    [anon_sym_state] = ACTIONS(2191),
    [anon_sym_our] = ACTIONS(2191),
    [anon_sym_try] = ACTIONS(2191),
    [anon_sym_defer] = ACTIONS(2191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2191),
    [anon_sym_LBRACK] = ACTIONS(2191),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_LT_LT] = ACTIONS(2191),
    [anon_sym_SLASH_SLASH] = ACTIONS(2191),
    [anon_sym_PLUS] = ACTIONS(2191),
    [anon_sym_DASH] = ACTIONS(2191),
    [anon_sym_STAR] = ACTIONS(2191),
    [anon_sym_TILDE] = ACTIONS(2191),
    [anon_sym_BANG] = ACTIONS(2191),
    [anon_sym_PLUS_PLUS] = ACTIONS(2191),
    [anon_sym_DASH_DASH] = ACTIONS(2191),
    [anon_sym_BSLASH] = ACTIONS(2189),
    [anon_sym_do] = ACTIONS(2191),
    [anon_sym_eval] = ACTIONS(2191),
    [anon_sym_await] = ACTIONS(2191),
    [anon_sym_field] = ACTIONS(2191),
    [anon_sym_local] = ACTIONS(2191),
    [anon_sym_dynamically] = ACTIONS(2191),
    [anon_sym_require] = ACTIONS(2191),
    [anon_sym_map] = ACTIONS(2191),
    [anon_sym_grep] = ACTIONS(2191),
    [anon_sym_sort] = ACTIONS(2191),
    [anon_sym_goto] = ACTIONS(2191),
    [anon_sym_return] = ACTIONS(2191),
    [anon_sym_undef] = ACTIONS(2191),
    [anon_sym_PERCENT2] = ACTIONS(2191),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2191),
    [anon_sym_use] = ACTIONS(2191),
    [anon_sym_no] = ACTIONS(2191),
    [anon_sym_for] = ACTIONS(2191),
    [anon_sym_foreach] = ACTIONS(2191),
    [anon_sym_last] = ACTIONS(2191),
    [anon_sym_next] = ACTIONS(2191),
    [anon_sym_redo] = ACTIONS(2191),
    [anon_sym_BEGIN] = ACTIONS(2191),
    [anon_sym_INIT] = ACTIONS(2191),
    [anon_sym_CHECK] = ACTIONS(2191),
    [anon_sym_UNITCHECK] = ACTIONS(2191),
    [anon_sym_END] = ACTIONS(2191),
    [anon_sym___FILE__] = ACTIONS(2191),
    [anon_sym___LINE__] = ACTIONS(2191),
    [anon_sym___PACKAGE__] = ACTIONS(2191),
    [anon_sym___SUB__] = ACTIONS(2191),
    [anon_sym_break] = ACTIONS(2191),
    [anon_sym_fork] = ACTIONS(2191),
    [anon_sym_getppid] = ACTIONS(2191),
    [anon_sym_time] = ACTIONS(2191),
    [anon_sym_times] = ACTIONS(2191),
    [anon_sym_wait] = ACTIONS(2191),
    [anon_sym_wantarray] = ACTIONS(2191),
    [anon_sym_abs] = ACTIONS(2191),
    [anon_sym_alarm] = ACTIONS(2191),
    [anon_sym_chop] = ACTIONS(2191),
    [anon_sym_chdir] = ACTIONS(2191),
    [anon_sym_close] = ACTIONS(2191),
    [anon_sym_closedir] = ACTIONS(2191),
    [anon_sym_caller] = ACTIONS(2191),
    [anon_sym_chomp] = ACTIONS(2191),
    [anon_sym_chr] = ACTIONS(2191),
    [anon_sym_cos] = ACTIONS(2191),
    [anon_sym_chroot] = ACTIONS(2191),
    [anon_sym_defined] = ACTIONS(2191),
    [anon_sym_delete] = ACTIONS(2191),
    [anon_sym_dbmclose] = ACTIONS(2191),
    [anon_sym_exists] = ACTIONS(2191),
    [anon_sym_exit] = ACTIONS(2191),
    [anon_sym_eof] = ACTIONS(2191),
    [anon_sym_exp] = ACTIONS(2191),
    [anon_sym_each] = ACTIONS(2191),
    [anon_sym_fc] = ACTIONS(2191),
    [anon_sym_fileno] = ACTIONS(2191),
    [anon_sym_gmtime] = ACTIONS(2191),
    [anon_sym_getc] = ACTIONS(2191),
    [anon_sym_getpgrp] = ACTIONS(2191),
    [anon_sym_getprotobyname] = ACTIONS(2191),
    [anon_sym_getpwname] = ACTIONS(2191),
    [anon_sym_getpwuid] = ACTIONS(2191),
    [anon_sym_getpeername] = ACTIONS(2191),
    [anon_sym_getnetbyname] = ACTIONS(2191),
    [anon_sym_getsockname] = ACTIONS(2191),
    [anon_sym_getgrnam] = ACTIONS(2191),
    [anon_sym_getgrgid] = ACTIONS(2191),
    [anon_sym_hex] = ACTIONS(2191),
    [anon_sym_int] = ACTIONS(2191),
    [anon_sym_keys] = ACTIONS(2191),
    [anon_sym_lc] = ACTIONS(2191),
    [anon_sym_lcfirst] = ACTIONS(2191),
    [anon_sym_length] = ACTIONS(2191),
    [anon_sym_localtime] = ACTIONS(2191),
    [anon_sym_log] = ACTIONS(2191),
    [anon_sym_lock] = ACTIONS(2191),
    [anon_sym_lstat] = ACTIONS(2191),
    [anon_sym_oct] = ACTIONS(2191),
    [anon_sym_ord] = ACTIONS(2191),
    [anon_sym_prototype] = ACTIONS(2191),
    [anon_sym_pop] = ACTIONS(2191),
    [anon_sym_pos] = ACTIONS(2191),
    [anon_sym_quotemeta] = ACTIONS(2191),
    [anon_sym_reset] = ACTIONS(2191),
    [anon_sym_rand] = ACTIONS(2191),
    [anon_sym_rmdir] = ACTIONS(2191),
    [anon_sym_readdir] = ACTIONS(2191),
    [anon_sym_readline] = ACTIONS(2191),
    [anon_sym_readpipe] = ACTIONS(2191),
    [anon_sym_rewinddir] = ACTIONS(2191),
    [anon_sym_readlink] = ACTIONS(2191),
    [anon_sym_ref] = ACTIONS(2191),
    [anon_sym_scalar] = ACTIONS(2191),
    [anon_sym_shift] = ACTIONS(2191),
    [anon_sym_sin] = ACTIONS(2191),
    [anon_sym_sleep] = ACTIONS(2191),
    [anon_sym_sqrt] = ACTIONS(2191),
    [anon_sym_srand] = ACTIONS(2191),
    [anon_sym_stat] = ACTIONS(2191),
    [anon_sym_study] = ACTIONS(2191),
    [anon_sym_tell] = ACTIONS(2191),
    [anon_sym_telldir] = ACTIONS(2191),
    [anon_sym_tied] = ACTIONS(2191),
    [anon_sym_uc] = ACTIONS(2191),
    [anon_sym_ucfirst] = ACTIONS(2191),
    [anon_sym_untie] = ACTIONS(2191),
    [anon_sym_umask] = ACTIONS(2191),
    [anon_sym_values] = ACTIONS(2191),
    [anon_sym_write] = ACTIONS(2191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2191),
    [anon_sym_qq] = ACTIONS(2191),
    [anon_sym_qw] = ACTIONS(2191),
    [anon_sym_qx] = ACTIONS(2191),
    [anon_sym_qr] = ACTIONS(2191),
    [anon_sym_m] = ACTIONS(2191),
    [anon_sym_s] = ACTIONS(2191),
    [anon_sym_tr] = ACTIONS(2191),
    [anon_sym_y] = ACTIONS(2191),
    [anon_sym_if] = ACTIONS(2191),
    [anon_sym_unless] = ACTIONS(2191),
    [anon_sym_while] = ACTIONS(2191),
    [anon_sym_until] = ACTIONS(2191),
    [aux_sym__bareword_token1] = ACTIONS(2191),
    [sym_number] = ACTIONS(2191),
    [anon_sym_true] = ACTIONS(2191),
    [anon_sym_false] = ACTIONS(2191),
    [sym__single_quote] = ACTIONS(2189),
    [sym__double_quote] = ACTIONS(2189),
    [sym__backtick_quote] = ACTIONS(2189),
    [sym__search_slash_quote] = ACTIONS(2189),
    [sym__PERLY_HEREDOC] = ACTIONS(2189),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2189),
    [sym__filetest] = ACTIONS(2189),
  },
  [952] = {
    [sym_heredoc_content] = STATE(952),
    [sym__identifier] = ACTIONS(2195),
    [anon_sym_LBRACE] = ACTIONS(2195),
    [anon_sym_RBRACE] = ACTIONS(2195),
    [anon_sym_SEMI] = ACTIONS(2195),
    [anon_sym_package] = ACTIONS(2195),
    [anon_sym_class] = ACTIONS(2195),
    [anon_sym_role] = ACTIONS(2195),
    [anon_sym_BUILD] = ACTIONS(2195),
    [anon_sym_ADJUST] = ACTIONS(2195),
    [anon_sym_DOLLAR] = ACTIONS(2195),
    [anon_sym_AT] = ACTIONS(2195),
    [anon_sym_my] = ACTIONS(2195),
    [anon_sym_extended] = ACTIONS(2195),
    [anon_sym_async] = ACTIONS(2195),
    [anon_sym_sub] = ACTIONS(2195),
    [anon_sym_method] = ACTIONS(2195),
    [anon_sym_LPAREN] = ACTIONS(2195),
    [anon_sym_continue] = ACTIONS(2195),
    [anon_sym_state] = ACTIONS(2195),
    [anon_sym_our] = ACTIONS(2195),
    [anon_sym_try] = ACTIONS(2195),
    [anon_sym_defer] = ACTIONS(2195),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_LT] = ACTIONS(2195),
    [anon_sym_LT_LT] = ACTIONS(2195),
    [anon_sym_SLASH_SLASH] = ACTIONS(2195),
    [anon_sym_PLUS] = ACTIONS(2195),
    [anon_sym_DASH] = ACTIONS(2195),
    [anon_sym_STAR] = ACTIONS(2195),
    [anon_sym_TILDE] = ACTIONS(2195),
    [anon_sym_BANG] = ACTIONS(2195),
    [anon_sym_PLUS_PLUS] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(2195),
    [anon_sym_BSLASH] = ACTIONS(2193),
    [anon_sym_do] = ACTIONS(2195),
    [anon_sym_eval] = ACTIONS(2195),
    [anon_sym_await] = ACTIONS(2195),
    [anon_sym_field] = ACTIONS(2195),
    [anon_sym_local] = ACTIONS(2195),
    [anon_sym_dynamically] = ACTIONS(2195),
    [anon_sym_require] = ACTIONS(2195),
    [anon_sym_map] = ACTIONS(2195),
    [anon_sym_grep] = ACTIONS(2195),
    [anon_sym_sort] = ACTIONS(2195),
    [anon_sym_goto] = ACTIONS(2195),
    [anon_sym_return] = ACTIONS(2195),
    [anon_sym_undef] = ACTIONS(2195),
    [anon_sym_PERCENT2] = ACTIONS(2195),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2195),
    [anon_sym_use] = ACTIONS(2195),
    [anon_sym_no] = ACTIONS(2195),
    [anon_sym_for] = ACTIONS(2195),
    [anon_sym_foreach] = ACTIONS(2195),
    [anon_sym_last] = ACTIONS(2195),
    [anon_sym_next] = ACTIONS(2195),
    [anon_sym_redo] = ACTIONS(2195),
    [anon_sym_BEGIN] = ACTIONS(2195),
    [anon_sym_INIT] = ACTIONS(2195),
    [anon_sym_CHECK] = ACTIONS(2195),
    [anon_sym_UNITCHECK] = ACTIONS(2195),
    [anon_sym_END] = ACTIONS(2195),
    [anon_sym___FILE__] = ACTIONS(2195),
    [anon_sym___LINE__] = ACTIONS(2195),
    [anon_sym___PACKAGE__] = ACTIONS(2195),
    [anon_sym___SUB__] = ACTIONS(2195),
    [anon_sym_break] = ACTIONS(2195),
    [anon_sym_fork] = ACTIONS(2195),
    [anon_sym_getppid] = ACTIONS(2195),
    [anon_sym_time] = ACTIONS(2195),
    [anon_sym_times] = ACTIONS(2195),
    [anon_sym_wait] = ACTIONS(2195),
    [anon_sym_wantarray] = ACTIONS(2195),
    [anon_sym_abs] = ACTIONS(2195),
    [anon_sym_alarm] = ACTIONS(2195),
    [anon_sym_chop] = ACTIONS(2195),
    [anon_sym_chdir] = ACTIONS(2195),
    [anon_sym_close] = ACTIONS(2195),
    [anon_sym_closedir] = ACTIONS(2195),
    [anon_sym_caller] = ACTIONS(2195),
    [anon_sym_chomp] = ACTIONS(2195),
    [anon_sym_chr] = ACTIONS(2195),
    [anon_sym_cos] = ACTIONS(2195),
    [anon_sym_chroot] = ACTIONS(2195),
    [anon_sym_defined] = ACTIONS(2195),
    [anon_sym_delete] = ACTIONS(2195),
    [anon_sym_dbmclose] = ACTIONS(2195),
    [anon_sym_exists] = ACTIONS(2195),
    [anon_sym_exit] = ACTIONS(2195),
    [anon_sym_eof] = ACTIONS(2195),
    [anon_sym_exp] = ACTIONS(2195),
    [anon_sym_each] = ACTIONS(2195),
    [anon_sym_fc] = ACTIONS(2195),
    [anon_sym_fileno] = ACTIONS(2195),
    [anon_sym_gmtime] = ACTIONS(2195),
    [anon_sym_getc] = ACTIONS(2195),
    [anon_sym_getpgrp] = ACTIONS(2195),
    [anon_sym_getprotobyname] = ACTIONS(2195),
    [anon_sym_getpwname] = ACTIONS(2195),
    [anon_sym_getpwuid] = ACTIONS(2195),
    [anon_sym_getpeername] = ACTIONS(2195),
    [anon_sym_getnetbyname] = ACTIONS(2195),
    [anon_sym_getsockname] = ACTIONS(2195),
    [anon_sym_getgrnam] = ACTIONS(2195),
    [anon_sym_getgrgid] = ACTIONS(2195),
    [anon_sym_hex] = ACTIONS(2195),
    [anon_sym_int] = ACTIONS(2195),
    [anon_sym_keys] = ACTIONS(2195),
    [anon_sym_lc] = ACTIONS(2195),
    [anon_sym_lcfirst] = ACTIONS(2195),
    [anon_sym_length] = ACTIONS(2195),
    [anon_sym_localtime] = ACTIONS(2195),
    [anon_sym_log] = ACTIONS(2195),
    [anon_sym_lock] = ACTIONS(2195),
    [anon_sym_lstat] = ACTIONS(2195),
    [anon_sym_oct] = ACTIONS(2195),
    [anon_sym_ord] = ACTIONS(2195),
    [anon_sym_prototype] = ACTIONS(2195),
    [anon_sym_pop] = ACTIONS(2195),
    [anon_sym_pos] = ACTIONS(2195),
    [anon_sym_quotemeta] = ACTIONS(2195),
    [anon_sym_reset] = ACTIONS(2195),
    [anon_sym_rand] = ACTIONS(2195),
    [anon_sym_rmdir] = ACTIONS(2195),
    [anon_sym_readdir] = ACTIONS(2195),
    [anon_sym_readline] = ACTIONS(2195),
    [anon_sym_readpipe] = ACTIONS(2195),
    [anon_sym_rewinddir] = ACTIONS(2195),
    [anon_sym_readlink] = ACTIONS(2195),
    [anon_sym_ref] = ACTIONS(2195),
    [anon_sym_scalar] = ACTIONS(2195),
    [anon_sym_shift] = ACTIONS(2195),
    [anon_sym_sin] = ACTIONS(2195),
    [anon_sym_sleep] = ACTIONS(2195),
    [anon_sym_sqrt] = ACTIONS(2195),
    [anon_sym_srand] = ACTIONS(2195),
    [anon_sym_stat] = ACTIONS(2195),
    [anon_sym_study] = ACTIONS(2195),
    [anon_sym_tell] = ACTIONS(2195),
    [anon_sym_telldir] = ACTIONS(2195),
    [anon_sym_tied] = ACTIONS(2195),
    [anon_sym_uc] = ACTIONS(2195),
    [anon_sym_ucfirst] = ACTIONS(2195),
    [anon_sym_untie] = ACTIONS(2195),
    [anon_sym_umask] = ACTIONS(2195),
    [anon_sym_values] = ACTIONS(2195),
    [anon_sym_write] = ACTIONS(2195),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2195),
    [anon_sym_qq] = ACTIONS(2195),
    [anon_sym_qw] = ACTIONS(2195),
    [anon_sym_qx] = ACTIONS(2195),
    [anon_sym_qr] = ACTIONS(2195),
    [anon_sym_m] = ACTIONS(2195),
    [anon_sym_s] = ACTIONS(2195),
    [anon_sym_tr] = ACTIONS(2195),
    [anon_sym_y] = ACTIONS(2195),
    [anon_sym_if] = ACTIONS(2195),
    [anon_sym_unless] = ACTIONS(2195),
    [anon_sym_while] = ACTIONS(2195),
    [anon_sym_until] = ACTIONS(2195),
    [aux_sym__bareword_token1] = ACTIONS(2195),
    [sym_number] = ACTIONS(2195),
    [anon_sym_true] = ACTIONS(2195),
    [anon_sym_false] = ACTIONS(2195),
    [sym__single_quote] = ACTIONS(2193),
    [sym__double_quote] = ACTIONS(2193),
    [sym__backtick_quote] = ACTIONS(2193),
    [sym__search_slash_quote] = ACTIONS(2193),
    [sym__PERLY_HEREDOC] = ACTIONS(2193),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2193),
    [sym__filetest] = ACTIONS(2193),
  },
  [953] = {
    [sym_heredoc_content] = STATE(953),
    [sym__identifier] = ACTIONS(2199),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_RBRACE] = ACTIONS(2199),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym_package] = ACTIONS(2199),
    [anon_sym_class] = ACTIONS(2199),
    [anon_sym_role] = ACTIONS(2199),
    [anon_sym_BUILD] = ACTIONS(2199),
    [anon_sym_ADJUST] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2199),
    [anon_sym_AT] = ACTIONS(2199),
    [anon_sym_my] = ACTIONS(2199),
    [anon_sym_extended] = ACTIONS(2199),
    [anon_sym_async] = ACTIONS(2199),
    [anon_sym_sub] = ACTIONS(2199),
    [anon_sym_method] = ACTIONS(2199),
    [anon_sym_LPAREN] = ACTIONS(2199),
    [anon_sym_continue] = ACTIONS(2199),
    [anon_sym_state] = ACTIONS(2199),
    [anon_sym_our] = ACTIONS(2199),
    [anon_sym_try] = ACTIONS(2199),
    [anon_sym_defer] = ACTIONS(2199),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2199),
    [anon_sym_LBRACK] = ACTIONS(2199),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_LT_LT] = ACTIONS(2199),
    [anon_sym_SLASH_SLASH] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2199),
    [anon_sym_DASH] = ACTIONS(2199),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_BSLASH] = ACTIONS(2197),
    [anon_sym_do] = ACTIONS(2199),
    [anon_sym_eval] = ACTIONS(2199),
    [anon_sym_await] = ACTIONS(2199),
    [anon_sym_field] = ACTIONS(2199),
    [anon_sym_local] = ACTIONS(2199),
    [anon_sym_dynamically] = ACTIONS(2199),
    [anon_sym_require] = ACTIONS(2199),
    [anon_sym_map] = ACTIONS(2199),
    [anon_sym_grep] = ACTIONS(2199),
    [anon_sym_sort] = ACTIONS(2199),
    [anon_sym_goto] = ACTIONS(2199),
    [anon_sym_return] = ACTIONS(2199),
    [anon_sym_undef] = ACTIONS(2199),
    [anon_sym_PERCENT2] = ACTIONS(2199),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2199),
    [anon_sym_use] = ACTIONS(2199),
    [anon_sym_no] = ACTIONS(2199),
    [anon_sym_for] = ACTIONS(2199),
    [anon_sym_foreach] = ACTIONS(2199),
    [anon_sym_last] = ACTIONS(2199),
    [anon_sym_next] = ACTIONS(2199),
    [anon_sym_redo] = ACTIONS(2199),
    [anon_sym_BEGIN] = ACTIONS(2199),
    [anon_sym_INIT] = ACTIONS(2199),
    [anon_sym_CHECK] = ACTIONS(2199),
    [anon_sym_UNITCHECK] = ACTIONS(2199),
    [anon_sym_END] = ACTIONS(2199),
    [anon_sym___FILE__] = ACTIONS(2199),
    [anon_sym___LINE__] = ACTIONS(2199),
    [anon_sym___PACKAGE__] = ACTIONS(2199),
    [anon_sym___SUB__] = ACTIONS(2199),
    [anon_sym_break] = ACTIONS(2199),
    [anon_sym_fork] = ACTIONS(2199),
    [anon_sym_getppid] = ACTIONS(2199),
    [anon_sym_time] = ACTIONS(2199),
    [anon_sym_times] = ACTIONS(2199),
    [anon_sym_wait] = ACTIONS(2199),
    [anon_sym_wantarray] = ACTIONS(2199),
    [anon_sym_abs] = ACTIONS(2199),
    [anon_sym_alarm] = ACTIONS(2199),
    [anon_sym_chop] = ACTIONS(2199),
    [anon_sym_chdir] = ACTIONS(2199),
    [anon_sym_close] = ACTIONS(2199),
    [anon_sym_closedir] = ACTIONS(2199),
    [anon_sym_caller] = ACTIONS(2199),
    [anon_sym_chomp] = ACTIONS(2199),
    [anon_sym_chr] = ACTIONS(2199),
    [anon_sym_cos] = ACTIONS(2199),
    [anon_sym_chroot] = ACTIONS(2199),
    [anon_sym_defined] = ACTIONS(2199),
    [anon_sym_delete] = ACTIONS(2199),
    [anon_sym_dbmclose] = ACTIONS(2199),
    [anon_sym_exists] = ACTIONS(2199),
    [anon_sym_exit] = ACTIONS(2199),
    [anon_sym_eof] = ACTIONS(2199),
    [anon_sym_exp] = ACTIONS(2199),
    [anon_sym_each] = ACTIONS(2199),
    [anon_sym_fc] = ACTIONS(2199),
    [anon_sym_fileno] = ACTIONS(2199),
    [anon_sym_gmtime] = ACTIONS(2199),
    [anon_sym_getc] = ACTIONS(2199),
    [anon_sym_getpgrp] = ACTIONS(2199),
    [anon_sym_getprotobyname] = ACTIONS(2199),
    [anon_sym_getpwname] = ACTIONS(2199),
    [anon_sym_getpwuid] = ACTIONS(2199),
    [anon_sym_getpeername] = ACTIONS(2199),
    [anon_sym_getnetbyname] = ACTIONS(2199),
    [anon_sym_getsockname] = ACTIONS(2199),
    [anon_sym_getgrnam] = ACTIONS(2199),
    [anon_sym_getgrgid] = ACTIONS(2199),
    [anon_sym_hex] = ACTIONS(2199),
    [anon_sym_int] = ACTIONS(2199),
    [anon_sym_keys] = ACTIONS(2199),
    [anon_sym_lc] = ACTIONS(2199),
    [anon_sym_lcfirst] = ACTIONS(2199),
    [anon_sym_length] = ACTIONS(2199),
    [anon_sym_localtime] = ACTIONS(2199),
    [anon_sym_log] = ACTIONS(2199),
    [anon_sym_lock] = ACTIONS(2199),
    [anon_sym_lstat] = ACTIONS(2199),
    [anon_sym_oct] = ACTIONS(2199),
    [anon_sym_ord] = ACTIONS(2199),
    [anon_sym_prototype] = ACTIONS(2199),
    [anon_sym_pop] = ACTIONS(2199),
    [anon_sym_pos] = ACTIONS(2199),
    [anon_sym_quotemeta] = ACTIONS(2199),
    [anon_sym_reset] = ACTIONS(2199),
    [anon_sym_rand] = ACTIONS(2199),
    [anon_sym_rmdir] = ACTIONS(2199),
    [anon_sym_readdir] = ACTIONS(2199),
    [anon_sym_readline] = ACTIONS(2199),
    [anon_sym_readpipe] = ACTIONS(2199),
    [anon_sym_rewinddir] = ACTIONS(2199),
    [anon_sym_readlink] = ACTIONS(2199),
    [anon_sym_ref] = ACTIONS(2199),
    [anon_sym_scalar] = ACTIONS(2199),
    [anon_sym_shift] = ACTIONS(2199),
    [anon_sym_sin] = ACTIONS(2199),
    [anon_sym_sleep] = ACTIONS(2199),
    [anon_sym_sqrt] = ACTIONS(2199),
    [anon_sym_srand] = ACTIONS(2199),
    [anon_sym_stat] = ACTIONS(2199),
    [anon_sym_study] = ACTIONS(2199),
    [anon_sym_tell] = ACTIONS(2199),
    [anon_sym_telldir] = ACTIONS(2199),
    [anon_sym_tied] = ACTIONS(2199),
    [anon_sym_uc] = ACTIONS(2199),
    [anon_sym_ucfirst] = ACTIONS(2199),
    [anon_sym_untie] = ACTIONS(2199),
    [anon_sym_umask] = ACTIONS(2199),
    [anon_sym_values] = ACTIONS(2199),
    [anon_sym_write] = ACTIONS(2199),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2199),
    [anon_sym_qq] = ACTIONS(2199),
    [anon_sym_qw] = ACTIONS(2199),
    [anon_sym_qx] = ACTIONS(2199),
    [anon_sym_qr] = ACTIONS(2199),
    [anon_sym_m] = ACTIONS(2199),
    [anon_sym_s] = ACTIONS(2199),
    [anon_sym_tr] = ACTIONS(2199),
    [anon_sym_y] = ACTIONS(2199),
    [anon_sym_if] = ACTIONS(2199),
    [anon_sym_unless] = ACTIONS(2199),
    [anon_sym_while] = ACTIONS(2199),
    [anon_sym_until] = ACTIONS(2199),
    [aux_sym__bareword_token1] = ACTIONS(2199),
    [sym_number] = ACTIONS(2199),
    [anon_sym_true] = ACTIONS(2199),
    [anon_sym_false] = ACTIONS(2199),
    [sym__single_quote] = ACTIONS(2197),
    [sym__double_quote] = ACTIONS(2197),
    [sym__backtick_quote] = ACTIONS(2197),
    [sym__search_slash_quote] = ACTIONS(2197),
    [sym__PERLY_HEREDOC] = ACTIONS(2197),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2197),
    [sym__filetest] = ACTIONS(2197),
  },
  [954] = {
    [sym_heredoc_content] = STATE(954),
    [sym__identifier] = ACTIONS(2203),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_RBRACE] = ACTIONS(2203),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym_package] = ACTIONS(2203),
    [anon_sym_class] = ACTIONS(2203),
    [anon_sym_role] = ACTIONS(2203),
    [anon_sym_BUILD] = ACTIONS(2203),
    [anon_sym_ADJUST] = ACTIONS(2203),
    [anon_sym_DOLLAR] = ACTIONS(2203),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_my] = ACTIONS(2203),
    [anon_sym_extended] = ACTIONS(2203),
    [anon_sym_async] = ACTIONS(2203),
    [anon_sym_sub] = ACTIONS(2203),
    [anon_sym_method] = ACTIONS(2203),
    [anon_sym_LPAREN] = ACTIONS(2203),
    [anon_sym_continue] = ACTIONS(2203),
    [anon_sym_state] = ACTIONS(2203),
    [anon_sym_our] = ACTIONS(2203),
    [anon_sym_try] = ACTIONS(2203),
    [anon_sym_defer] = ACTIONS(2203),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2203),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [anon_sym_LT] = ACTIONS(2203),
    [anon_sym_LT_LT] = ACTIONS(2203),
    [anon_sym_SLASH_SLASH] = ACTIONS(2203),
    [anon_sym_PLUS] = ACTIONS(2203),
    [anon_sym_DASH] = ACTIONS(2203),
    [anon_sym_STAR] = ACTIONS(2203),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [anon_sym_BSLASH] = ACTIONS(2201),
    [anon_sym_do] = ACTIONS(2203),
    [anon_sym_eval] = ACTIONS(2203),
    [anon_sym_await] = ACTIONS(2203),
    [anon_sym_field] = ACTIONS(2203),
    [anon_sym_local] = ACTIONS(2203),
    [anon_sym_dynamically] = ACTIONS(2203),
    [anon_sym_require] = ACTIONS(2203),
    [anon_sym_map] = ACTIONS(2203),
    [anon_sym_grep] = ACTIONS(2203),
    [anon_sym_sort] = ACTIONS(2203),
    [anon_sym_goto] = ACTIONS(2203),
    [anon_sym_return] = ACTIONS(2203),
    [anon_sym_undef] = ACTIONS(2203),
    [anon_sym_PERCENT2] = ACTIONS(2203),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2203),
    [anon_sym_use] = ACTIONS(2203),
    [anon_sym_no] = ACTIONS(2203),
    [anon_sym_for] = ACTIONS(2203),
    [anon_sym_foreach] = ACTIONS(2203),
    [anon_sym_last] = ACTIONS(2203),
    [anon_sym_next] = ACTIONS(2203),
    [anon_sym_redo] = ACTIONS(2203),
    [anon_sym_BEGIN] = ACTIONS(2203),
    [anon_sym_INIT] = ACTIONS(2203),
    [anon_sym_CHECK] = ACTIONS(2203),
    [anon_sym_UNITCHECK] = ACTIONS(2203),
    [anon_sym_END] = ACTIONS(2203),
    [anon_sym___FILE__] = ACTIONS(2203),
    [anon_sym___LINE__] = ACTIONS(2203),
    [anon_sym___PACKAGE__] = ACTIONS(2203),
    [anon_sym___SUB__] = ACTIONS(2203),
    [anon_sym_break] = ACTIONS(2203),
    [anon_sym_fork] = ACTIONS(2203),
    [anon_sym_getppid] = ACTIONS(2203),
    [anon_sym_time] = ACTIONS(2203),
    [anon_sym_times] = ACTIONS(2203),
    [anon_sym_wait] = ACTIONS(2203),
    [anon_sym_wantarray] = ACTIONS(2203),
    [anon_sym_abs] = ACTIONS(2203),
    [anon_sym_alarm] = ACTIONS(2203),
    [anon_sym_chop] = ACTIONS(2203),
    [anon_sym_chdir] = ACTIONS(2203),
    [anon_sym_close] = ACTIONS(2203),
    [anon_sym_closedir] = ACTIONS(2203),
    [anon_sym_caller] = ACTIONS(2203),
    [anon_sym_chomp] = ACTIONS(2203),
    [anon_sym_chr] = ACTIONS(2203),
    [anon_sym_cos] = ACTIONS(2203),
    [anon_sym_chroot] = ACTIONS(2203),
    [anon_sym_defined] = ACTIONS(2203),
    [anon_sym_delete] = ACTIONS(2203),
    [anon_sym_dbmclose] = ACTIONS(2203),
    [anon_sym_exists] = ACTIONS(2203),
    [anon_sym_exit] = ACTIONS(2203),
    [anon_sym_eof] = ACTIONS(2203),
    [anon_sym_exp] = ACTIONS(2203),
    [anon_sym_each] = ACTIONS(2203),
    [anon_sym_fc] = ACTIONS(2203),
    [anon_sym_fileno] = ACTIONS(2203),
    [anon_sym_gmtime] = ACTIONS(2203),
    [anon_sym_getc] = ACTIONS(2203),
    [anon_sym_getpgrp] = ACTIONS(2203),
    [anon_sym_getprotobyname] = ACTIONS(2203),
    [anon_sym_getpwname] = ACTIONS(2203),
    [anon_sym_getpwuid] = ACTIONS(2203),
    [anon_sym_getpeername] = ACTIONS(2203),
    [anon_sym_getnetbyname] = ACTIONS(2203),
    [anon_sym_getsockname] = ACTIONS(2203),
    [anon_sym_getgrnam] = ACTIONS(2203),
    [anon_sym_getgrgid] = ACTIONS(2203),
    [anon_sym_hex] = ACTIONS(2203),
    [anon_sym_int] = ACTIONS(2203),
    [anon_sym_keys] = ACTIONS(2203),
    [anon_sym_lc] = ACTIONS(2203),
    [anon_sym_lcfirst] = ACTIONS(2203),
    [anon_sym_length] = ACTIONS(2203),
    [anon_sym_localtime] = ACTIONS(2203),
    [anon_sym_log] = ACTIONS(2203),
    [anon_sym_lock] = ACTIONS(2203),
    [anon_sym_lstat] = ACTIONS(2203),
    [anon_sym_oct] = ACTIONS(2203),
    [anon_sym_ord] = ACTIONS(2203),
    [anon_sym_prototype] = ACTIONS(2203),
    [anon_sym_pop] = ACTIONS(2203),
    [anon_sym_pos] = ACTIONS(2203),
    [anon_sym_quotemeta] = ACTIONS(2203),
    [anon_sym_reset] = ACTIONS(2203),
    [anon_sym_rand] = ACTIONS(2203),
    [anon_sym_rmdir] = ACTIONS(2203),
    [anon_sym_readdir] = ACTIONS(2203),
    [anon_sym_readline] = ACTIONS(2203),
    [anon_sym_readpipe] = ACTIONS(2203),
    [anon_sym_rewinddir] = ACTIONS(2203),
    [anon_sym_readlink] = ACTIONS(2203),
    [anon_sym_ref] = ACTIONS(2203),
    [anon_sym_scalar] = ACTIONS(2203),
    [anon_sym_shift] = ACTIONS(2203),
    [anon_sym_sin] = ACTIONS(2203),
    [anon_sym_sleep] = ACTIONS(2203),
    [anon_sym_sqrt] = ACTIONS(2203),
    [anon_sym_srand] = ACTIONS(2203),
    [anon_sym_stat] = ACTIONS(2203),
    [anon_sym_study] = ACTIONS(2203),
    [anon_sym_tell] = ACTIONS(2203),
    [anon_sym_telldir] = ACTIONS(2203),
    [anon_sym_tied] = ACTIONS(2203),
    [anon_sym_uc] = ACTIONS(2203),
    [anon_sym_ucfirst] = ACTIONS(2203),
    [anon_sym_untie] = ACTIONS(2203),
    [anon_sym_umask] = ACTIONS(2203),
    [anon_sym_values] = ACTIONS(2203),
    [anon_sym_write] = ACTIONS(2203),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2203),
    [anon_sym_qq] = ACTIONS(2203),
    [anon_sym_qw] = ACTIONS(2203),
    [anon_sym_qx] = ACTIONS(2203),
    [anon_sym_qr] = ACTIONS(2203),
    [anon_sym_m] = ACTIONS(2203),
    [anon_sym_s] = ACTIONS(2203),
    [anon_sym_tr] = ACTIONS(2203),
    [anon_sym_y] = ACTIONS(2203),
    [anon_sym_if] = ACTIONS(2203),
    [anon_sym_unless] = ACTIONS(2203),
    [anon_sym_while] = ACTIONS(2203),
    [anon_sym_until] = ACTIONS(2203),
    [aux_sym__bareword_token1] = ACTIONS(2203),
    [sym_number] = ACTIONS(2203),
    [anon_sym_true] = ACTIONS(2203),
    [anon_sym_false] = ACTIONS(2203),
    [sym__single_quote] = ACTIONS(2201),
    [sym__double_quote] = ACTIONS(2201),
    [sym__backtick_quote] = ACTIONS(2201),
    [sym__search_slash_quote] = ACTIONS(2201),
    [sym__PERLY_HEREDOC] = ACTIONS(2201),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2201),
    [sym__filetest] = ACTIONS(2201),
  },
  [955] = {
    [sym_heredoc_content] = STATE(955),
    [sym__identifier] = ACTIONS(1888),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_RBRACE] = ACTIONS(1888),
    [anon_sym_SEMI] = ACTIONS(1888),
    [anon_sym_package] = ACTIONS(1888),
    [anon_sym_class] = ACTIONS(1888),
    [anon_sym_role] = ACTIONS(1888),
    [anon_sym_BUILD] = ACTIONS(1888),
    [anon_sym_ADJUST] = ACTIONS(1888),
    [anon_sym_DOLLAR] = ACTIONS(1888),
    [anon_sym_AT] = ACTIONS(1888),
    [anon_sym_my] = ACTIONS(1888),
    [anon_sym_extended] = ACTIONS(1888),
    [anon_sym_async] = ACTIONS(1888),
    [anon_sym_sub] = ACTIONS(1888),
    [anon_sym_method] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1888),
    [anon_sym_continue] = ACTIONS(1888),
    [anon_sym_state] = ACTIONS(1888),
    [anon_sym_our] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1888),
    [anon_sym_defer] = ACTIONS(1888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1888),
    [anon_sym_LT] = ACTIONS(1888),
    [anon_sym_LT_LT] = ACTIONS(1888),
    [anon_sym_SLASH_SLASH] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(1888),
    [anon_sym_TILDE] = ACTIONS(1888),
    [anon_sym_BANG] = ACTIONS(1888),
    [anon_sym_PLUS_PLUS] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(1888),
    [anon_sym_BSLASH] = ACTIONS(1886),
    [anon_sym_do] = ACTIONS(1888),
    [anon_sym_eval] = ACTIONS(1888),
    [anon_sym_await] = ACTIONS(1888),
    [anon_sym_field] = ACTIONS(1888),
    [anon_sym_local] = ACTIONS(1888),
    [anon_sym_dynamically] = ACTIONS(1888),
    [anon_sym_require] = ACTIONS(1888),
    [anon_sym_map] = ACTIONS(1888),
    [anon_sym_grep] = ACTIONS(1888),
    [anon_sym_sort] = ACTIONS(1888),
    [anon_sym_goto] = ACTIONS(1888),
    [anon_sym_return] = ACTIONS(1888),
    [anon_sym_undef] = ACTIONS(1888),
    [anon_sym_PERCENT2] = ACTIONS(1888),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1888),
    [anon_sym_use] = ACTIONS(1888),
    [anon_sym_no] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_foreach] = ACTIONS(1888),
    [anon_sym_last] = ACTIONS(1888),
    [anon_sym_next] = ACTIONS(1888),
    [anon_sym_redo] = ACTIONS(1888),
    [anon_sym_BEGIN] = ACTIONS(1888),
    [anon_sym_INIT] = ACTIONS(1888),
    [anon_sym_CHECK] = ACTIONS(1888),
    [anon_sym_UNITCHECK] = ACTIONS(1888),
    [anon_sym_END] = ACTIONS(1888),
    [anon_sym___FILE__] = ACTIONS(1888),
    [anon_sym___LINE__] = ACTIONS(1888),
    [anon_sym___PACKAGE__] = ACTIONS(1888),
    [anon_sym___SUB__] = ACTIONS(1888),
    [anon_sym_break] = ACTIONS(1888),
    [anon_sym_fork] = ACTIONS(1888),
    [anon_sym_getppid] = ACTIONS(1888),
    [anon_sym_time] = ACTIONS(1888),
    [anon_sym_times] = ACTIONS(1888),
    [anon_sym_wait] = ACTIONS(1888),
    [anon_sym_wantarray] = ACTIONS(1888),
    [anon_sym_abs] = ACTIONS(1888),
    [anon_sym_alarm] = ACTIONS(1888),
    [anon_sym_chop] = ACTIONS(1888),
    [anon_sym_chdir] = ACTIONS(1888),
    [anon_sym_close] = ACTIONS(1888),
    [anon_sym_closedir] = ACTIONS(1888),
    [anon_sym_caller] = ACTIONS(1888),
    [anon_sym_chomp] = ACTIONS(1888),
    [anon_sym_chr] = ACTIONS(1888),
    [anon_sym_cos] = ACTIONS(1888),
    [anon_sym_chroot] = ACTIONS(1888),
    [anon_sym_defined] = ACTIONS(1888),
    [anon_sym_delete] = ACTIONS(1888),
    [anon_sym_dbmclose] = ACTIONS(1888),
    [anon_sym_exists] = ACTIONS(1888),
    [anon_sym_exit] = ACTIONS(1888),
    [anon_sym_eof] = ACTIONS(1888),
    [anon_sym_exp] = ACTIONS(1888),
    [anon_sym_each] = ACTIONS(1888),
    [anon_sym_fc] = ACTIONS(1888),
    [anon_sym_fileno] = ACTIONS(1888),
    [anon_sym_gmtime] = ACTIONS(1888),
    [anon_sym_getc] = ACTIONS(1888),
    [anon_sym_getpgrp] = ACTIONS(1888),
    [anon_sym_getprotobyname] = ACTIONS(1888),
    [anon_sym_getpwname] = ACTIONS(1888),
    [anon_sym_getpwuid] = ACTIONS(1888),
    [anon_sym_getpeername] = ACTIONS(1888),
    [anon_sym_getnetbyname] = ACTIONS(1888),
    [anon_sym_getsockname] = ACTIONS(1888),
    [anon_sym_getgrnam] = ACTIONS(1888),
    [anon_sym_getgrgid] = ACTIONS(1888),
    [anon_sym_hex] = ACTIONS(1888),
    [anon_sym_int] = ACTIONS(1888),
    [anon_sym_keys] = ACTIONS(1888),
    [anon_sym_lc] = ACTIONS(1888),
    [anon_sym_lcfirst] = ACTIONS(1888),
    [anon_sym_length] = ACTIONS(1888),
    [anon_sym_localtime] = ACTIONS(1888),
    [anon_sym_log] = ACTIONS(1888),
    [anon_sym_lock] = ACTIONS(1888),
    [anon_sym_lstat] = ACTIONS(1888),
    [anon_sym_oct] = ACTIONS(1888),
    [anon_sym_ord] = ACTIONS(1888),
    [anon_sym_prototype] = ACTIONS(1888),
    [anon_sym_pop] = ACTIONS(1888),
    [anon_sym_pos] = ACTIONS(1888),
    [anon_sym_quotemeta] = ACTIONS(1888),
    [anon_sym_reset] = ACTIONS(1888),
    [anon_sym_rand] = ACTIONS(1888),
    [anon_sym_rmdir] = ACTIONS(1888),
    [anon_sym_readdir] = ACTIONS(1888),
    [anon_sym_readline] = ACTIONS(1888),
    [anon_sym_readpipe] = ACTIONS(1888),
    [anon_sym_rewinddir] = ACTIONS(1888),
    [anon_sym_readlink] = ACTIONS(1888),
    [anon_sym_ref] = ACTIONS(1888),
    [anon_sym_scalar] = ACTIONS(1888),
    [anon_sym_shift] = ACTIONS(1888),
    [anon_sym_sin] = ACTIONS(1888),
    [anon_sym_sleep] = ACTIONS(1888),
    [anon_sym_sqrt] = ACTIONS(1888),
    [anon_sym_srand] = ACTIONS(1888),
    [anon_sym_stat] = ACTIONS(1888),
    [anon_sym_study] = ACTIONS(1888),
    [anon_sym_tell] = ACTIONS(1888),
    [anon_sym_telldir] = ACTIONS(1888),
    [anon_sym_tied] = ACTIONS(1888),
    [anon_sym_uc] = ACTIONS(1888),
    [anon_sym_ucfirst] = ACTIONS(1888),
    [anon_sym_untie] = ACTIONS(1888),
    [anon_sym_umask] = ACTIONS(1888),
    [anon_sym_values] = ACTIONS(1888),
    [anon_sym_write] = ACTIONS(1888),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1888),
    [anon_sym_qq] = ACTIONS(1888),
    [anon_sym_qw] = ACTIONS(1888),
    [anon_sym_qx] = ACTIONS(1888),
    [anon_sym_qr] = ACTIONS(1888),
    [anon_sym_m] = ACTIONS(1888),
    [anon_sym_s] = ACTIONS(1888),
    [anon_sym_tr] = ACTIONS(1888),
    [anon_sym_y] = ACTIONS(1888),
    [anon_sym_if] = ACTIONS(1888),
    [anon_sym_unless] = ACTIONS(1888),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_until] = ACTIONS(1888),
    [aux_sym__bareword_token1] = ACTIONS(1888),
    [sym_number] = ACTIONS(1888),
    [anon_sym_true] = ACTIONS(1888),
    [anon_sym_false] = ACTIONS(1888),
    [sym__single_quote] = ACTIONS(1886),
    [sym__double_quote] = ACTIONS(1886),
    [sym__backtick_quote] = ACTIONS(1886),
    [sym__search_slash_quote] = ACTIONS(1886),
    [sym__PERLY_HEREDOC] = ACTIONS(1886),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1886),
    [sym__filetest] = ACTIONS(1886),
  },
  [956] = {
    [sym_heredoc_content] = STATE(956),
    [sym__identifier] = ACTIONS(2235),
    [anon_sym_LBRACE] = ACTIONS(2235),
    [anon_sym_RBRACE] = ACTIONS(2235),
    [anon_sym_SEMI] = ACTIONS(2235),
    [anon_sym_package] = ACTIONS(2235),
    [anon_sym_class] = ACTIONS(2235),
    [anon_sym_role] = ACTIONS(2235),
    [anon_sym_BUILD] = ACTIONS(2235),
    [anon_sym_ADJUST] = ACTIONS(2235),
    [anon_sym_DOLLAR] = ACTIONS(2235),
    [anon_sym_AT] = ACTIONS(2235),
    [anon_sym_my] = ACTIONS(2235),
    [anon_sym_extended] = ACTIONS(2235),
    [anon_sym_async] = ACTIONS(2235),
    [anon_sym_sub] = ACTIONS(2235),
    [anon_sym_method] = ACTIONS(2235),
    [anon_sym_LPAREN] = ACTIONS(2235),
    [anon_sym_continue] = ACTIONS(2235),
    [anon_sym_state] = ACTIONS(2235),
    [anon_sym_our] = ACTIONS(2235),
    [anon_sym_try] = ACTIONS(2235),
    [anon_sym_defer] = ACTIONS(2235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2235),
    [anon_sym_LBRACK] = ACTIONS(2235),
    [anon_sym_LT] = ACTIONS(2235),
    [anon_sym_LT_LT] = ACTIONS(2235),
    [anon_sym_SLASH_SLASH] = ACTIONS(2235),
    [anon_sym_PLUS] = ACTIONS(2235),
    [anon_sym_DASH] = ACTIONS(2235),
    [anon_sym_STAR] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(2235),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_PLUS_PLUS] = ACTIONS(2235),
    [anon_sym_DASH_DASH] = ACTIONS(2235),
    [anon_sym_BSLASH] = ACTIONS(2233),
    [anon_sym_do] = ACTIONS(2235),
    [anon_sym_eval] = ACTIONS(2235),
    [anon_sym_await] = ACTIONS(2235),
    [anon_sym_field] = ACTIONS(2235),
    [anon_sym_local] = ACTIONS(2235),
    [anon_sym_dynamically] = ACTIONS(2235),
    [anon_sym_require] = ACTIONS(2235),
    [anon_sym_map] = ACTIONS(2235),
    [anon_sym_grep] = ACTIONS(2235),
    [anon_sym_sort] = ACTIONS(2235),
    [anon_sym_goto] = ACTIONS(2235),
    [anon_sym_return] = ACTIONS(2235),
    [anon_sym_undef] = ACTIONS(2235),
    [anon_sym_PERCENT2] = ACTIONS(2235),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2235),
    [anon_sym_use] = ACTIONS(2235),
    [anon_sym_no] = ACTIONS(2235),
    [anon_sym_for] = ACTIONS(2235),
    [anon_sym_foreach] = ACTIONS(2235),
    [anon_sym_last] = ACTIONS(2235),
    [anon_sym_next] = ACTIONS(2235),
    [anon_sym_redo] = ACTIONS(2235),
    [anon_sym_BEGIN] = ACTIONS(2235),
    [anon_sym_INIT] = ACTIONS(2235),
    [anon_sym_CHECK] = ACTIONS(2235),
    [anon_sym_UNITCHECK] = ACTIONS(2235),
    [anon_sym_END] = ACTIONS(2235),
    [anon_sym___FILE__] = ACTIONS(2235),
    [anon_sym___LINE__] = ACTIONS(2235),
    [anon_sym___PACKAGE__] = ACTIONS(2235),
    [anon_sym___SUB__] = ACTIONS(2235),
    [anon_sym_break] = ACTIONS(2235),
    [anon_sym_fork] = ACTIONS(2235),
    [anon_sym_getppid] = ACTIONS(2235),
    [anon_sym_time] = ACTIONS(2235),
    [anon_sym_times] = ACTIONS(2235),
    [anon_sym_wait] = ACTIONS(2235),
    [anon_sym_wantarray] = ACTIONS(2235),
    [anon_sym_abs] = ACTIONS(2235),
    [anon_sym_alarm] = ACTIONS(2235),
    [anon_sym_chop] = ACTIONS(2235),
    [anon_sym_chdir] = ACTIONS(2235),
    [anon_sym_close] = ACTIONS(2235),
    [anon_sym_closedir] = ACTIONS(2235),
    [anon_sym_caller] = ACTIONS(2235),
    [anon_sym_chomp] = ACTIONS(2235),
    [anon_sym_chr] = ACTIONS(2235),
    [anon_sym_cos] = ACTIONS(2235),
    [anon_sym_chroot] = ACTIONS(2235),
    [anon_sym_defined] = ACTIONS(2235),
    [anon_sym_delete] = ACTIONS(2235),
    [anon_sym_dbmclose] = ACTIONS(2235),
    [anon_sym_exists] = ACTIONS(2235),
    [anon_sym_exit] = ACTIONS(2235),
    [anon_sym_eof] = ACTIONS(2235),
    [anon_sym_exp] = ACTIONS(2235),
    [anon_sym_each] = ACTIONS(2235),
    [anon_sym_fc] = ACTIONS(2235),
    [anon_sym_fileno] = ACTIONS(2235),
    [anon_sym_gmtime] = ACTIONS(2235),
    [anon_sym_getc] = ACTIONS(2235),
    [anon_sym_getpgrp] = ACTIONS(2235),
    [anon_sym_getprotobyname] = ACTIONS(2235),
    [anon_sym_getpwname] = ACTIONS(2235),
    [anon_sym_getpwuid] = ACTIONS(2235),
    [anon_sym_getpeername] = ACTIONS(2235),
    [anon_sym_getnetbyname] = ACTIONS(2235),
    [anon_sym_getsockname] = ACTIONS(2235),
    [anon_sym_getgrnam] = ACTIONS(2235),
    [anon_sym_getgrgid] = ACTIONS(2235),
    [anon_sym_hex] = ACTIONS(2235),
    [anon_sym_int] = ACTIONS(2235),
    [anon_sym_keys] = ACTIONS(2235),
    [anon_sym_lc] = ACTIONS(2235),
    [anon_sym_lcfirst] = ACTIONS(2235),
    [anon_sym_length] = ACTIONS(2235),
    [anon_sym_localtime] = ACTIONS(2235),
    [anon_sym_log] = ACTIONS(2235),
    [anon_sym_lock] = ACTIONS(2235),
    [anon_sym_lstat] = ACTIONS(2235),
    [anon_sym_oct] = ACTIONS(2235),
    [anon_sym_ord] = ACTIONS(2235),
    [anon_sym_prototype] = ACTIONS(2235),
    [anon_sym_pop] = ACTIONS(2235),
    [anon_sym_pos] = ACTIONS(2235),
    [anon_sym_quotemeta] = ACTIONS(2235),
    [anon_sym_reset] = ACTIONS(2235),
    [anon_sym_rand] = ACTIONS(2235),
    [anon_sym_rmdir] = ACTIONS(2235),
    [anon_sym_readdir] = ACTIONS(2235),
    [anon_sym_readline] = ACTIONS(2235),
    [anon_sym_readpipe] = ACTIONS(2235),
    [anon_sym_rewinddir] = ACTIONS(2235),
    [anon_sym_readlink] = ACTIONS(2235),
    [anon_sym_ref] = ACTIONS(2235),
    [anon_sym_scalar] = ACTIONS(2235),
    [anon_sym_shift] = ACTIONS(2235),
    [anon_sym_sin] = ACTIONS(2235),
    [anon_sym_sleep] = ACTIONS(2235),
    [anon_sym_sqrt] = ACTIONS(2235),
    [anon_sym_srand] = ACTIONS(2235),
    [anon_sym_stat] = ACTIONS(2235),
    [anon_sym_study] = ACTIONS(2235),
    [anon_sym_tell] = ACTIONS(2235),
    [anon_sym_telldir] = ACTIONS(2235),
    [anon_sym_tied] = ACTIONS(2235),
    [anon_sym_uc] = ACTIONS(2235),
    [anon_sym_ucfirst] = ACTIONS(2235),
    [anon_sym_untie] = ACTIONS(2235),
    [anon_sym_umask] = ACTIONS(2235),
    [anon_sym_values] = ACTIONS(2235),
    [anon_sym_write] = ACTIONS(2235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2235),
    [anon_sym_qq] = ACTIONS(2235),
    [anon_sym_qw] = ACTIONS(2235),
    [anon_sym_qx] = ACTIONS(2235),
    [anon_sym_qr] = ACTIONS(2235),
    [anon_sym_m] = ACTIONS(2235),
    [anon_sym_s] = ACTIONS(2235),
    [anon_sym_tr] = ACTIONS(2235),
    [anon_sym_y] = ACTIONS(2235),
    [anon_sym_if] = ACTIONS(2235),
    [anon_sym_unless] = ACTIONS(2235),
    [anon_sym_while] = ACTIONS(2235),
    [anon_sym_until] = ACTIONS(2235),
    [aux_sym__bareword_token1] = ACTIONS(2235),
    [sym_number] = ACTIONS(2235),
    [anon_sym_true] = ACTIONS(2235),
    [anon_sym_false] = ACTIONS(2235),
    [sym__single_quote] = ACTIONS(2233),
    [sym__double_quote] = ACTIONS(2233),
    [sym__backtick_quote] = ACTIONS(2233),
    [sym__search_slash_quote] = ACTIONS(2233),
    [sym__PERLY_HEREDOC] = ACTIONS(2233),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2233),
    [sym__filetest] = ACTIONS(2233),
  },
  [957] = {
    [sym_heredoc_content] = STATE(957),
    [sym__identifier] = ACTIONS(2239),
    [anon_sym_LBRACE] = ACTIONS(2239),
    [anon_sym_RBRACE] = ACTIONS(2239),
    [anon_sym_SEMI] = ACTIONS(2239),
    [anon_sym_package] = ACTIONS(2239),
    [anon_sym_class] = ACTIONS(2239),
    [anon_sym_role] = ACTIONS(2239),
    [anon_sym_BUILD] = ACTIONS(2239),
    [anon_sym_ADJUST] = ACTIONS(2239),
    [anon_sym_DOLLAR] = ACTIONS(2239),
    [anon_sym_AT] = ACTIONS(2239),
    [anon_sym_my] = ACTIONS(2239),
    [anon_sym_extended] = ACTIONS(2239),
    [anon_sym_async] = ACTIONS(2239),
    [anon_sym_sub] = ACTIONS(2239),
    [anon_sym_method] = ACTIONS(2239),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_continue] = ACTIONS(2239),
    [anon_sym_state] = ACTIONS(2239),
    [anon_sym_our] = ACTIONS(2239),
    [anon_sym_try] = ACTIONS(2239),
    [anon_sym_defer] = ACTIONS(2239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2239),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_LT] = ACTIONS(2239),
    [anon_sym_LT_LT] = ACTIONS(2239),
    [anon_sym_SLASH_SLASH] = ACTIONS(2239),
    [anon_sym_PLUS] = ACTIONS(2239),
    [anon_sym_DASH] = ACTIONS(2239),
    [anon_sym_STAR] = ACTIONS(2239),
    [anon_sym_TILDE] = ACTIONS(2239),
    [anon_sym_BANG] = ACTIONS(2239),
    [anon_sym_PLUS_PLUS] = ACTIONS(2239),
    [anon_sym_DASH_DASH] = ACTIONS(2239),
    [anon_sym_BSLASH] = ACTIONS(2237),
    [anon_sym_do] = ACTIONS(2239),
    [anon_sym_eval] = ACTIONS(2239),
    [anon_sym_await] = ACTIONS(2239),
    [anon_sym_field] = ACTIONS(2239),
    [anon_sym_local] = ACTIONS(2239),
    [anon_sym_dynamically] = ACTIONS(2239),
    [anon_sym_require] = ACTIONS(2239),
    [anon_sym_map] = ACTIONS(2239),
    [anon_sym_grep] = ACTIONS(2239),
    [anon_sym_sort] = ACTIONS(2239),
    [anon_sym_goto] = ACTIONS(2239),
    [anon_sym_return] = ACTIONS(2239),
    [anon_sym_undef] = ACTIONS(2239),
    [anon_sym_PERCENT2] = ACTIONS(2239),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2239),
    [anon_sym_use] = ACTIONS(2239),
    [anon_sym_no] = ACTIONS(2239),
    [anon_sym_for] = ACTIONS(2239),
    [anon_sym_foreach] = ACTIONS(2239),
    [anon_sym_last] = ACTIONS(2239),
    [anon_sym_next] = ACTIONS(2239),
    [anon_sym_redo] = ACTIONS(2239),
    [anon_sym_BEGIN] = ACTIONS(2239),
    [anon_sym_INIT] = ACTIONS(2239),
    [anon_sym_CHECK] = ACTIONS(2239),
    [anon_sym_UNITCHECK] = ACTIONS(2239),
    [anon_sym_END] = ACTIONS(2239),
    [anon_sym___FILE__] = ACTIONS(2239),
    [anon_sym___LINE__] = ACTIONS(2239),
    [anon_sym___PACKAGE__] = ACTIONS(2239),
    [anon_sym___SUB__] = ACTIONS(2239),
    [anon_sym_break] = ACTIONS(2239),
    [anon_sym_fork] = ACTIONS(2239),
    [anon_sym_getppid] = ACTIONS(2239),
    [anon_sym_time] = ACTIONS(2239),
    [anon_sym_times] = ACTIONS(2239),
    [anon_sym_wait] = ACTIONS(2239),
    [anon_sym_wantarray] = ACTIONS(2239),
    [anon_sym_abs] = ACTIONS(2239),
    [anon_sym_alarm] = ACTIONS(2239),
    [anon_sym_chop] = ACTIONS(2239),
    [anon_sym_chdir] = ACTIONS(2239),
    [anon_sym_close] = ACTIONS(2239),
    [anon_sym_closedir] = ACTIONS(2239),
    [anon_sym_caller] = ACTIONS(2239),
    [anon_sym_chomp] = ACTIONS(2239),
    [anon_sym_chr] = ACTIONS(2239),
    [anon_sym_cos] = ACTIONS(2239),
    [anon_sym_chroot] = ACTIONS(2239),
    [anon_sym_defined] = ACTIONS(2239),
    [anon_sym_delete] = ACTIONS(2239),
    [anon_sym_dbmclose] = ACTIONS(2239),
    [anon_sym_exists] = ACTIONS(2239),
    [anon_sym_exit] = ACTIONS(2239),
    [anon_sym_eof] = ACTIONS(2239),
    [anon_sym_exp] = ACTIONS(2239),
    [anon_sym_each] = ACTIONS(2239),
    [anon_sym_fc] = ACTIONS(2239),
    [anon_sym_fileno] = ACTIONS(2239),
    [anon_sym_gmtime] = ACTIONS(2239),
    [anon_sym_getc] = ACTIONS(2239),
    [anon_sym_getpgrp] = ACTIONS(2239),
    [anon_sym_getprotobyname] = ACTIONS(2239),
    [anon_sym_getpwname] = ACTIONS(2239),
    [anon_sym_getpwuid] = ACTIONS(2239),
    [anon_sym_getpeername] = ACTIONS(2239),
    [anon_sym_getnetbyname] = ACTIONS(2239),
    [anon_sym_getsockname] = ACTIONS(2239),
    [anon_sym_getgrnam] = ACTIONS(2239),
    [anon_sym_getgrgid] = ACTIONS(2239),
    [anon_sym_hex] = ACTIONS(2239),
    [anon_sym_int] = ACTIONS(2239),
    [anon_sym_keys] = ACTIONS(2239),
    [anon_sym_lc] = ACTIONS(2239),
    [anon_sym_lcfirst] = ACTIONS(2239),
    [anon_sym_length] = ACTIONS(2239),
    [anon_sym_localtime] = ACTIONS(2239),
    [anon_sym_log] = ACTIONS(2239),
    [anon_sym_lock] = ACTIONS(2239),
    [anon_sym_lstat] = ACTIONS(2239),
    [anon_sym_oct] = ACTIONS(2239),
    [anon_sym_ord] = ACTIONS(2239),
    [anon_sym_prototype] = ACTIONS(2239),
    [anon_sym_pop] = ACTIONS(2239),
    [anon_sym_pos] = ACTIONS(2239),
    [anon_sym_quotemeta] = ACTIONS(2239),
    [anon_sym_reset] = ACTIONS(2239),
    [anon_sym_rand] = ACTIONS(2239),
    [anon_sym_rmdir] = ACTIONS(2239),
    [anon_sym_readdir] = ACTIONS(2239),
    [anon_sym_readline] = ACTIONS(2239),
    [anon_sym_readpipe] = ACTIONS(2239),
    [anon_sym_rewinddir] = ACTIONS(2239),
    [anon_sym_readlink] = ACTIONS(2239),
    [anon_sym_ref] = ACTIONS(2239),
    [anon_sym_scalar] = ACTIONS(2239),
    [anon_sym_shift] = ACTIONS(2239),
    [anon_sym_sin] = ACTIONS(2239),
    [anon_sym_sleep] = ACTIONS(2239),
    [anon_sym_sqrt] = ACTIONS(2239),
    [anon_sym_srand] = ACTIONS(2239),
    [anon_sym_stat] = ACTIONS(2239),
    [anon_sym_study] = ACTIONS(2239),
    [anon_sym_tell] = ACTIONS(2239),
    [anon_sym_telldir] = ACTIONS(2239),
    [anon_sym_tied] = ACTIONS(2239),
    [anon_sym_uc] = ACTIONS(2239),
    [anon_sym_ucfirst] = ACTIONS(2239),
    [anon_sym_untie] = ACTIONS(2239),
    [anon_sym_umask] = ACTIONS(2239),
    [anon_sym_values] = ACTIONS(2239),
    [anon_sym_write] = ACTIONS(2239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2239),
    [anon_sym_qq] = ACTIONS(2239),
    [anon_sym_qw] = ACTIONS(2239),
    [anon_sym_qx] = ACTIONS(2239),
    [anon_sym_qr] = ACTIONS(2239),
    [anon_sym_m] = ACTIONS(2239),
    [anon_sym_s] = ACTIONS(2239),
    [anon_sym_tr] = ACTIONS(2239),
    [anon_sym_y] = ACTIONS(2239),
    [anon_sym_if] = ACTIONS(2239),
    [anon_sym_unless] = ACTIONS(2239),
    [anon_sym_while] = ACTIONS(2239),
    [anon_sym_until] = ACTIONS(2239),
    [aux_sym__bareword_token1] = ACTIONS(2239),
    [sym_number] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2239),
    [anon_sym_false] = ACTIONS(2239),
    [sym__single_quote] = ACTIONS(2237),
    [sym__double_quote] = ACTIONS(2237),
    [sym__backtick_quote] = ACTIONS(2237),
    [sym__search_slash_quote] = ACTIONS(2237),
    [sym__PERLY_HEREDOC] = ACTIONS(2237),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2237),
    [sym__filetest] = ACTIONS(2237),
  },
  [958] = {
    [sym_heredoc_content] = STATE(958),
    [sym__identifier] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(2247),
    [anon_sym_RBRACE] = ACTIONS(2247),
    [anon_sym_SEMI] = ACTIONS(2247),
    [anon_sym_package] = ACTIONS(2247),
    [anon_sym_class] = ACTIONS(2247),
    [anon_sym_role] = ACTIONS(2247),
    [anon_sym_BUILD] = ACTIONS(2247),
    [anon_sym_ADJUST] = ACTIONS(2247),
    [anon_sym_DOLLAR] = ACTIONS(2247),
    [anon_sym_AT] = ACTIONS(2247),
    [anon_sym_my] = ACTIONS(2247),
    [anon_sym_extended] = ACTIONS(2247),
    [anon_sym_async] = ACTIONS(2247),
    [anon_sym_sub] = ACTIONS(2247),
    [anon_sym_method] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(2247),
    [anon_sym_continue] = ACTIONS(2247),
    [anon_sym_state] = ACTIONS(2247),
    [anon_sym_our] = ACTIONS(2247),
    [anon_sym_try] = ACTIONS(2247),
    [anon_sym_defer] = ACTIONS(2247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2247),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_LT] = ACTIONS(2247),
    [anon_sym_LT_LT] = ACTIONS(2247),
    [anon_sym_SLASH_SLASH] = ACTIONS(2247),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_STAR] = ACTIONS(2247),
    [anon_sym_TILDE] = ACTIONS(2247),
    [anon_sym_BANG] = ACTIONS(2247),
    [anon_sym_PLUS_PLUS] = ACTIONS(2247),
    [anon_sym_DASH_DASH] = ACTIONS(2247),
    [anon_sym_BSLASH] = ACTIONS(2245),
    [anon_sym_do] = ACTIONS(2247),
    [anon_sym_eval] = ACTIONS(2247),
    [anon_sym_await] = ACTIONS(2247),
    [anon_sym_field] = ACTIONS(2247),
    [anon_sym_local] = ACTIONS(2247),
    [anon_sym_dynamically] = ACTIONS(2247),
    [anon_sym_require] = ACTIONS(2247),
    [anon_sym_map] = ACTIONS(2247),
    [anon_sym_grep] = ACTIONS(2247),
    [anon_sym_sort] = ACTIONS(2247),
    [anon_sym_goto] = ACTIONS(2247),
    [anon_sym_return] = ACTIONS(2247),
    [anon_sym_undef] = ACTIONS(2247),
    [anon_sym_PERCENT2] = ACTIONS(2247),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2247),
    [anon_sym_use] = ACTIONS(2247),
    [anon_sym_no] = ACTIONS(2247),
    [anon_sym_for] = ACTIONS(2247),
    [anon_sym_foreach] = ACTIONS(2247),
    [anon_sym_last] = ACTIONS(2247),
    [anon_sym_next] = ACTIONS(2247),
    [anon_sym_redo] = ACTIONS(2247),
    [anon_sym_BEGIN] = ACTIONS(2247),
    [anon_sym_INIT] = ACTIONS(2247),
    [anon_sym_CHECK] = ACTIONS(2247),
    [anon_sym_UNITCHECK] = ACTIONS(2247),
    [anon_sym_END] = ACTIONS(2247),
    [anon_sym___FILE__] = ACTIONS(2247),
    [anon_sym___LINE__] = ACTIONS(2247),
    [anon_sym___PACKAGE__] = ACTIONS(2247),
    [anon_sym___SUB__] = ACTIONS(2247),
    [anon_sym_break] = ACTIONS(2247),
    [anon_sym_fork] = ACTIONS(2247),
    [anon_sym_getppid] = ACTIONS(2247),
    [anon_sym_time] = ACTIONS(2247),
    [anon_sym_times] = ACTIONS(2247),
    [anon_sym_wait] = ACTIONS(2247),
    [anon_sym_wantarray] = ACTIONS(2247),
    [anon_sym_abs] = ACTIONS(2247),
    [anon_sym_alarm] = ACTIONS(2247),
    [anon_sym_chop] = ACTIONS(2247),
    [anon_sym_chdir] = ACTIONS(2247),
    [anon_sym_close] = ACTIONS(2247),
    [anon_sym_closedir] = ACTIONS(2247),
    [anon_sym_caller] = ACTIONS(2247),
    [anon_sym_chomp] = ACTIONS(2247),
    [anon_sym_chr] = ACTIONS(2247),
    [anon_sym_cos] = ACTIONS(2247),
    [anon_sym_chroot] = ACTIONS(2247),
    [anon_sym_defined] = ACTIONS(2247),
    [anon_sym_delete] = ACTIONS(2247),
    [anon_sym_dbmclose] = ACTIONS(2247),
    [anon_sym_exists] = ACTIONS(2247),
    [anon_sym_exit] = ACTIONS(2247),
    [anon_sym_eof] = ACTIONS(2247),
    [anon_sym_exp] = ACTIONS(2247),
    [anon_sym_each] = ACTIONS(2247),
    [anon_sym_fc] = ACTIONS(2247),
    [anon_sym_fileno] = ACTIONS(2247),
    [anon_sym_gmtime] = ACTIONS(2247),
    [anon_sym_getc] = ACTIONS(2247),
    [anon_sym_getpgrp] = ACTIONS(2247),
    [anon_sym_getprotobyname] = ACTIONS(2247),
    [anon_sym_getpwname] = ACTIONS(2247),
    [anon_sym_getpwuid] = ACTIONS(2247),
    [anon_sym_getpeername] = ACTIONS(2247),
    [anon_sym_getnetbyname] = ACTIONS(2247),
    [anon_sym_getsockname] = ACTIONS(2247),
    [anon_sym_getgrnam] = ACTIONS(2247),
    [anon_sym_getgrgid] = ACTIONS(2247),
    [anon_sym_hex] = ACTIONS(2247),
    [anon_sym_int] = ACTIONS(2247),
    [anon_sym_keys] = ACTIONS(2247),
    [anon_sym_lc] = ACTIONS(2247),
    [anon_sym_lcfirst] = ACTIONS(2247),
    [anon_sym_length] = ACTIONS(2247),
    [anon_sym_localtime] = ACTIONS(2247),
    [anon_sym_log] = ACTIONS(2247),
    [anon_sym_lock] = ACTIONS(2247),
    [anon_sym_lstat] = ACTIONS(2247),
    [anon_sym_oct] = ACTIONS(2247),
    [anon_sym_ord] = ACTIONS(2247),
    [anon_sym_prototype] = ACTIONS(2247),
    [anon_sym_pop] = ACTIONS(2247),
    [anon_sym_pos] = ACTIONS(2247),
    [anon_sym_quotemeta] = ACTIONS(2247),
    [anon_sym_reset] = ACTIONS(2247),
    [anon_sym_rand] = ACTIONS(2247),
    [anon_sym_rmdir] = ACTIONS(2247),
    [anon_sym_readdir] = ACTIONS(2247),
    [anon_sym_readline] = ACTIONS(2247),
    [anon_sym_readpipe] = ACTIONS(2247),
    [anon_sym_rewinddir] = ACTIONS(2247),
    [anon_sym_readlink] = ACTIONS(2247),
    [anon_sym_ref] = ACTIONS(2247),
    [anon_sym_scalar] = ACTIONS(2247),
    [anon_sym_shift] = ACTIONS(2247),
    [anon_sym_sin] = ACTIONS(2247),
    [anon_sym_sleep] = ACTIONS(2247),
    [anon_sym_sqrt] = ACTIONS(2247),
    [anon_sym_srand] = ACTIONS(2247),
    [anon_sym_stat] = ACTIONS(2247),
    [anon_sym_study] = ACTIONS(2247),
    [anon_sym_tell] = ACTIONS(2247),
    [anon_sym_telldir] = ACTIONS(2247),
    [anon_sym_tied] = ACTIONS(2247),
    [anon_sym_uc] = ACTIONS(2247),
    [anon_sym_ucfirst] = ACTIONS(2247),
    [anon_sym_untie] = ACTIONS(2247),
    [anon_sym_umask] = ACTIONS(2247),
    [anon_sym_values] = ACTIONS(2247),
    [anon_sym_write] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2247),
    [anon_sym_qq] = ACTIONS(2247),
    [anon_sym_qw] = ACTIONS(2247),
    [anon_sym_qx] = ACTIONS(2247),
    [anon_sym_qr] = ACTIONS(2247),
    [anon_sym_m] = ACTIONS(2247),
    [anon_sym_s] = ACTIONS(2247),
    [anon_sym_tr] = ACTIONS(2247),
    [anon_sym_y] = ACTIONS(2247),
    [anon_sym_if] = ACTIONS(2247),
    [anon_sym_unless] = ACTIONS(2247),
    [anon_sym_while] = ACTIONS(2247),
    [anon_sym_until] = ACTIONS(2247),
    [aux_sym__bareword_token1] = ACTIONS(2247),
    [sym_number] = ACTIONS(2247),
    [anon_sym_true] = ACTIONS(2247),
    [anon_sym_false] = ACTIONS(2247),
    [sym__single_quote] = ACTIONS(2245),
    [sym__double_quote] = ACTIONS(2245),
    [sym__backtick_quote] = ACTIONS(2245),
    [sym__search_slash_quote] = ACTIONS(2245),
    [sym__PERLY_HEREDOC] = ACTIONS(2245),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2245),
    [sym__filetest] = ACTIONS(2245),
  },
  [959] = {
    [sym_heredoc_content] = STATE(959),
    [sym__identifier] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_RBRACE] = ACTIONS(2251),
    [anon_sym_SEMI] = ACTIONS(2251),
    [anon_sym_package] = ACTIONS(2251),
    [anon_sym_class] = ACTIONS(2251),
    [anon_sym_role] = ACTIONS(2251),
    [anon_sym_BUILD] = ACTIONS(2251),
    [anon_sym_ADJUST] = ACTIONS(2251),
    [anon_sym_DOLLAR] = ACTIONS(2251),
    [anon_sym_AT] = ACTIONS(2251),
    [anon_sym_my] = ACTIONS(2251),
    [anon_sym_extended] = ACTIONS(2251),
    [anon_sym_async] = ACTIONS(2251),
    [anon_sym_sub] = ACTIONS(2251),
    [anon_sym_method] = ACTIONS(2251),
    [anon_sym_LPAREN] = ACTIONS(2251),
    [anon_sym_continue] = ACTIONS(2251),
    [anon_sym_state] = ACTIONS(2251),
    [anon_sym_our] = ACTIONS(2251),
    [anon_sym_try] = ACTIONS(2251),
    [anon_sym_defer] = ACTIONS(2251),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2251),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_LT_LT] = ACTIONS(2251),
    [anon_sym_SLASH_SLASH] = ACTIONS(2251),
    [anon_sym_PLUS] = ACTIONS(2251),
    [anon_sym_DASH] = ACTIONS(2251),
    [anon_sym_STAR] = ACTIONS(2251),
    [anon_sym_TILDE] = ACTIONS(2251),
    [anon_sym_BANG] = ACTIONS(2251),
    [anon_sym_PLUS_PLUS] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2251),
    [anon_sym_BSLASH] = ACTIONS(2249),
    [anon_sym_do] = ACTIONS(2251),
    [anon_sym_eval] = ACTIONS(2251),
    [anon_sym_await] = ACTIONS(2251),
    [anon_sym_field] = ACTIONS(2251),
    [anon_sym_local] = ACTIONS(2251),
    [anon_sym_dynamically] = ACTIONS(2251),
    [anon_sym_require] = ACTIONS(2251),
    [anon_sym_map] = ACTIONS(2251),
    [anon_sym_grep] = ACTIONS(2251),
    [anon_sym_sort] = ACTIONS(2251),
    [anon_sym_goto] = ACTIONS(2251),
    [anon_sym_return] = ACTIONS(2251),
    [anon_sym_undef] = ACTIONS(2251),
    [anon_sym_PERCENT2] = ACTIONS(2251),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2251),
    [anon_sym_use] = ACTIONS(2251),
    [anon_sym_no] = ACTIONS(2251),
    [anon_sym_for] = ACTIONS(2251),
    [anon_sym_foreach] = ACTIONS(2251),
    [anon_sym_last] = ACTIONS(2251),
    [anon_sym_next] = ACTIONS(2251),
    [anon_sym_redo] = ACTIONS(2251),
    [anon_sym_BEGIN] = ACTIONS(2251),
    [anon_sym_INIT] = ACTIONS(2251),
    [anon_sym_CHECK] = ACTIONS(2251),
    [anon_sym_UNITCHECK] = ACTIONS(2251),
    [anon_sym_END] = ACTIONS(2251),
    [anon_sym___FILE__] = ACTIONS(2251),
    [anon_sym___LINE__] = ACTIONS(2251),
    [anon_sym___PACKAGE__] = ACTIONS(2251),
    [anon_sym___SUB__] = ACTIONS(2251),
    [anon_sym_break] = ACTIONS(2251),
    [anon_sym_fork] = ACTIONS(2251),
    [anon_sym_getppid] = ACTIONS(2251),
    [anon_sym_time] = ACTIONS(2251),
    [anon_sym_times] = ACTIONS(2251),
    [anon_sym_wait] = ACTIONS(2251),
    [anon_sym_wantarray] = ACTIONS(2251),
    [anon_sym_abs] = ACTIONS(2251),
    [anon_sym_alarm] = ACTIONS(2251),
    [anon_sym_chop] = ACTIONS(2251),
    [anon_sym_chdir] = ACTIONS(2251),
    [anon_sym_close] = ACTIONS(2251),
    [anon_sym_closedir] = ACTIONS(2251),
    [anon_sym_caller] = ACTIONS(2251),
    [anon_sym_chomp] = ACTIONS(2251),
    [anon_sym_chr] = ACTIONS(2251),
    [anon_sym_cos] = ACTIONS(2251),
    [anon_sym_chroot] = ACTIONS(2251),
    [anon_sym_defined] = ACTIONS(2251),
    [anon_sym_delete] = ACTIONS(2251),
    [anon_sym_dbmclose] = ACTIONS(2251),
    [anon_sym_exists] = ACTIONS(2251),
    [anon_sym_exit] = ACTIONS(2251),
    [anon_sym_eof] = ACTIONS(2251),
    [anon_sym_exp] = ACTIONS(2251),
    [anon_sym_each] = ACTIONS(2251),
    [anon_sym_fc] = ACTIONS(2251),
    [anon_sym_fileno] = ACTIONS(2251),
    [anon_sym_gmtime] = ACTIONS(2251),
    [anon_sym_getc] = ACTIONS(2251),
    [anon_sym_getpgrp] = ACTIONS(2251),
    [anon_sym_getprotobyname] = ACTIONS(2251),
    [anon_sym_getpwname] = ACTIONS(2251),
    [anon_sym_getpwuid] = ACTIONS(2251),
    [anon_sym_getpeername] = ACTIONS(2251),
    [anon_sym_getnetbyname] = ACTIONS(2251),
    [anon_sym_getsockname] = ACTIONS(2251),
    [anon_sym_getgrnam] = ACTIONS(2251),
    [anon_sym_getgrgid] = ACTIONS(2251),
    [anon_sym_hex] = ACTIONS(2251),
    [anon_sym_int] = ACTIONS(2251),
    [anon_sym_keys] = ACTIONS(2251),
    [anon_sym_lc] = ACTIONS(2251),
    [anon_sym_lcfirst] = ACTIONS(2251),
    [anon_sym_length] = ACTIONS(2251),
    [anon_sym_localtime] = ACTIONS(2251),
    [anon_sym_log] = ACTIONS(2251),
    [anon_sym_lock] = ACTIONS(2251),
    [anon_sym_lstat] = ACTIONS(2251),
    [anon_sym_oct] = ACTIONS(2251),
    [anon_sym_ord] = ACTIONS(2251),
    [anon_sym_prototype] = ACTIONS(2251),
    [anon_sym_pop] = ACTIONS(2251),
    [anon_sym_pos] = ACTIONS(2251),
    [anon_sym_quotemeta] = ACTIONS(2251),
    [anon_sym_reset] = ACTIONS(2251),
    [anon_sym_rand] = ACTIONS(2251),
    [anon_sym_rmdir] = ACTIONS(2251),
    [anon_sym_readdir] = ACTIONS(2251),
    [anon_sym_readline] = ACTIONS(2251),
    [anon_sym_readpipe] = ACTIONS(2251),
    [anon_sym_rewinddir] = ACTIONS(2251),
    [anon_sym_readlink] = ACTIONS(2251),
    [anon_sym_ref] = ACTIONS(2251),
    [anon_sym_scalar] = ACTIONS(2251),
    [anon_sym_shift] = ACTIONS(2251),
    [anon_sym_sin] = ACTIONS(2251),
    [anon_sym_sleep] = ACTIONS(2251),
    [anon_sym_sqrt] = ACTIONS(2251),
    [anon_sym_srand] = ACTIONS(2251),
    [anon_sym_stat] = ACTIONS(2251),
    [anon_sym_study] = ACTIONS(2251),
    [anon_sym_tell] = ACTIONS(2251),
    [anon_sym_telldir] = ACTIONS(2251),
    [anon_sym_tied] = ACTIONS(2251),
    [anon_sym_uc] = ACTIONS(2251),
    [anon_sym_ucfirst] = ACTIONS(2251),
    [anon_sym_untie] = ACTIONS(2251),
    [anon_sym_umask] = ACTIONS(2251),
    [anon_sym_values] = ACTIONS(2251),
    [anon_sym_write] = ACTIONS(2251),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2251),
    [anon_sym_qq] = ACTIONS(2251),
    [anon_sym_qw] = ACTIONS(2251),
    [anon_sym_qx] = ACTIONS(2251),
    [anon_sym_qr] = ACTIONS(2251),
    [anon_sym_m] = ACTIONS(2251),
    [anon_sym_s] = ACTIONS(2251),
    [anon_sym_tr] = ACTIONS(2251),
    [anon_sym_y] = ACTIONS(2251),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_unless] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(2251),
    [anon_sym_until] = ACTIONS(2251),
    [aux_sym__bareword_token1] = ACTIONS(2251),
    [sym_number] = ACTIONS(2251),
    [anon_sym_true] = ACTIONS(2251),
    [anon_sym_false] = ACTIONS(2251),
    [sym__single_quote] = ACTIONS(2249),
    [sym__double_quote] = ACTIONS(2249),
    [sym__backtick_quote] = ACTIONS(2249),
    [sym__search_slash_quote] = ACTIONS(2249),
    [sym__PERLY_HEREDOC] = ACTIONS(2249),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2249),
    [sym__filetest] = ACTIONS(2249),
  },
  [960] = {
    [sym_heredoc_content] = STATE(960),
    [sym__identifier] = ACTIONS(2140),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_package] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2140),
    [anon_sym_role] = ACTIONS(2140),
    [anon_sym_BUILD] = ACTIONS(2140),
    [anon_sym_ADJUST] = ACTIONS(2140),
    [anon_sym_DOLLAR] = ACTIONS(2140),
    [anon_sym_AT] = ACTIONS(2140),
    [anon_sym_my] = ACTIONS(2140),
    [anon_sym_extended] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_sub] = ACTIONS(2140),
    [anon_sym_method] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_state] = ACTIONS(2140),
    [anon_sym_our] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [anon_sym_defer] = ACTIONS(2140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_LT_LT] = ACTIONS(2140),
    [anon_sym_SLASH_SLASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_BSLASH] = ACTIONS(2138),
    [anon_sym_do] = ACTIONS(2140),
    [anon_sym_eval] = ACTIONS(2140),
    [anon_sym_await] = ACTIONS(2140),
    [anon_sym_field] = ACTIONS(2140),
    [anon_sym_local] = ACTIONS(2140),
    [anon_sym_dynamically] = ACTIONS(2140),
    [anon_sym_require] = ACTIONS(2140),
    [anon_sym_map] = ACTIONS(2140),
    [anon_sym_grep] = ACTIONS(2140),
    [anon_sym_sort] = ACTIONS(2140),
    [anon_sym_goto] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_undef] = ACTIONS(2140),
    [anon_sym_PERCENT2] = ACTIONS(2140),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2140),
    [anon_sym_use] = ACTIONS(2140),
    [anon_sym_no] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_foreach] = ACTIONS(2140),
    [anon_sym_last] = ACTIONS(2140),
    [anon_sym_next] = ACTIONS(2140),
    [anon_sym_redo] = ACTIONS(2140),
    [anon_sym_BEGIN] = ACTIONS(2140),
    [anon_sym_INIT] = ACTIONS(2140),
    [anon_sym_CHECK] = ACTIONS(2140),
    [anon_sym_UNITCHECK] = ACTIONS(2140),
    [anon_sym_END] = ACTIONS(2140),
    [anon_sym___FILE__] = ACTIONS(2140),
    [anon_sym___LINE__] = ACTIONS(2140),
    [anon_sym___PACKAGE__] = ACTIONS(2140),
    [anon_sym___SUB__] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_fork] = ACTIONS(2140),
    [anon_sym_getppid] = ACTIONS(2140),
    [anon_sym_time] = ACTIONS(2140),
    [anon_sym_times] = ACTIONS(2140),
    [anon_sym_wait] = ACTIONS(2140),
    [anon_sym_wantarray] = ACTIONS(2140),
    [anon_sym_abs] = ACTIONS(2140),
    [anon_sym_alarm] = ACTIONS(2140),
    [anon_sym_chop] = ACTIONS(2140),
    [anon_sym_chdir] = ACTIONS(2140),
    [anon_sym_close] = ACTIONS(2140),
    [anon_sym_closedir] = ACTIONS(2140),
    [anon_sym_caller] = ACTIONS(2140),
    [anon_sym_chomp] = ACTIONS(2140),
    [anon_sym_chr] = ACTIONS(2140),
    [anon_sym_cos] = ACTIONS(2140),
    [anon_sym_chroot] = ACTIONS(2140),
    [anon_sym_defined] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2140),
    [anon_sym_dbmclose] = ACTIONS(2140),
    [anon_sym_exists] = ACTIONS(2140),
    [anon_sym_exit] = ACTIONS(2140),
    [anon_sym_eof] = ACTIONS(2140),
    [anon_sym_exp] = ACTIONS(2140),
    [anon_sym_each] = ACTIONS(2140),
    [anon_sym_fc] = ACTIONS(2140),
    [anon_sym_fileno] = ACTIONS(2140),
    [anon_sym_gmtime] = ACTIONS(2140),
    [anon_sym_getc] = ACTIONS(2140),
    [anon_sym_getpgrp] = ACTIONS(2140),
    [anon_sym_getprotobyname] = ACTIONS(2140),
    [anon_sym_getpwname] = ACTIONS(2140),
    [anon_sym_getpwuid] = ACTIONS(2140),
    [anon_sym_getpeername] = ACTIONS(2140),
    [anon_sym_getnetbyname] = ACTIONS(2140),
    [anon_sym_getsockname] = ACTIONS(2140),
    [anon_sym_getgrnam] = ACTIONS(2140),
    [anon_sym_getgrgid] = ACTIONS(2140),
    [anon_sym_hex] = ACTIONS(2140),
    [anon_sym_int] = ACTIONS(2140),
    [anon_sym_keys] = ACTIONS(2140),
    [anon_sym_lc] = ACTIONS(2140),
    [anon_sym_lcfirst] = ACTIONS(2140),
    [anon_sym_length] = ACTIONS(2140),
    [anon_sym_localtime] = ACTIONS(2140),
    [anon_sym_log] = ACTIONS(2140),
    [anon_sym_lock] = ACTIONS(2140),
    [anon_sym_lstat] = ACTIONS(2140),
    [anon_sym_oct] = ACTIONS(2140),
    [anon_sym_ord] = ACTIONS(2140),
    [anon_sym_prototype] = ACTIONS(2140),
    [anon_sym_pop] = ACTIONS(2140),
    [anon_sym_pos] = ACTIONS(2140),
    [anon_sym_quotemeta] = ACTIONS(2140),
    [anon_sym_reset] = ACTIONS(2140),
    [anon_sym_rand] = ACTIONS(2140),
    [anon_sym_rmdir] = ACTIONS(2140),
    [anon_sym_readdir] = ACTIONS(2140),
    [anon_sym_readline] = ACTIONS(2140),
    [anon_sym_readpipe] = ACTIONS(2140),
    [anon_sym_rewinddir] = ACTIONS(2140),
    [anon_sym_readlink] = ACTIONS(2140),
    [anon_sym_ref] = ACTIONS(2140),
    [anon_sym_scalar] = ACTIONS(2140),
    [anon_sym_shift] = ACTIONS(2140),
    [anon_sym_sin] = ACTIONS(2140),
    [anon_sym_sleep] = ACTIONS(2140),
    [anon_sym_sqrt] = ACTIONS(2140),
    [anon_sym_srand] = ACTIONS(2140),
    [anon_sym_stat] = ACTIONS(2140),
    [anon_sym_study] = ACTIONS(2140),
    [anon_sym_tell] = ACTIONS(2140),
    [anon_sym_telldir] = ACTIONS(2140),
    [anon_sym_tied] = ACTIONS(2140),
    [anon_sym_uc] = ACTIONS(2140),
    [anon_sym_ucfirst] = ACTIONS(2140),
    [anon_sym_untie] = ACTIONS(2140),
    [anon_sym_umask] = ACTIONS(2140),
    [anon_sym_values] = ACTIONS(2140),
    [anon_sym_write] = ACTIONS(2140),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2140),
    [anon_sym_qq] = ACTIONS(2140),
    [anon_sym_qw] = ACTIONS(2140),
    [anon_sym_qx] = ACTIONS(2140),
    [anon_sym_qr] = ACTIONS(2140),
    [anon_sym_m] = ACTIONS(2140),
    [anon_sym_s] = ACTIONS(2140),
    [anon_sym_tr] = ACTIONS(2140),
    [anon_sym_y] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_unless] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_until] = ACTIONS(2140),
    [aux_sym__bareword_token1] = ACTIONS(2140),
    [sym_number] = ACTIONS(2140),
    [anon_sym_true] = ACTIONS(2140),
    [anon_sym_false] = ACTIONS(2140),
    [sym__single_quote] = ACTIONS(2138),
    [sym__double_quote] = ACTIONS(2138),
    [sym__backtick_quote] = ACTIONS(2138),
    [sym__search_slash_quote] = ACTIONS(2138),
    [sym__PERLY_HEREDOC] = ACTIONS(2138),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2138),
    [sym__filetest] = ACTIONS(2138),
  },
  [961] = {
    [sym_heredoc_content] = STATE(961),
    [sym__identifier] = ACTIONS(2207),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_RBRACE] = ACTIONS(2207),
    [anon_sym_SEMI] = ACTIONS(2207),
    [anon_sym_package] = ACTIONS(2207),
    [anon_sym_class] = ACTIONS(2207),
    [anon_sym_role] = ACTIONS(2207),
    [anon_sym_BUILD] = ACTIONS(2207),
    [anon_sym_ADJUST] = ACTIONS(2207),
    [anon_sym_DOLLAR] = ACTIONS(2207),
    [anon_sym_AT] = ACTIONS(2207),
    [anon_sym_my] = ACTIONS(2207),
    [anon_sym_extended] = ACTIONS(2207),
    [anon_sym_async] = ACTIONS(2207),
    [anon_sym_sub] = ACTIONS(2207),
    [anon_sym_method] = ACTIONS(2207),
    [anon_sym_LPAREN] = ACTIONS(2207),
    [anon_sym_continue] = ACTIONS(2207),
    [anon_sym_state] = ACTIONS(2207),
    [anon_sym_our] = ACTIONS(2207),
    [anon_sym_try] = ACTIONS(2207),
    [anon_sym_defer] = ACTIONS(2207),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2207),
    [anon_sym_LBRACK] = ACTIONS(2207),
    [anon_sym_LT] = ACTIONS(2207),
    [anon_sym_LT_LT] = ACTIONS(2207),
    [anon_sym_SLASH_SLASH] = ACTIONS(2207),
    [anon_sym_PLUS] = ACTIONS(2207),
    [anon_sym_DASH] = ACTIONS(2207),
    [anon_sym_STAR] = ACTIONS(2207),
    [anon_sym_TILDE] = ACTIONS(2207),
    [anon_sym_BANG] = ACTIONS(2207),
    [anon_sym_PLUS_PLUS] = ACTIONS(2207),
    [anon_sym_DASH_DASH] = ACTIONS(2207),
    [anon_sym_BSLASH] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2207),
    [anon_sym_eval] = ACTIONS(2207),
    [anon_sym_await] = ACTIONS(2207),
    [anon_sym_field] = ACTIONS(2207),
    [anon_sym_local] = ACTIONS(2207),
    [anon_sym_dynamically] = ACTIONS(2207),
    [anon_sym_require] = ACTIONS(2207),
    [anon_sym_map] = ACTIONS(2207),
    [anon_sym_grep] = ACTIONS(2207),
    [anon_sym_sort] = ACTIONS(2207),
    [anon_sym_goto] = ACTIONS(2207),
    [anon_sym_return] = ACTIONS(2207),
    [anon_sym_undef] = ACTIONS(2207),
    [anon_sym_PERCENT2] = ACTIONS(2207),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2207),
    [anon_sym_use] = ACTIONS(2207),
    [anon_sym_no] = ACTIONS(2207),
    [anon_sym_for] = ACTIONS(2207),
    [anon_sym_foreach] = ACTIONS(2207),
    [anon_sym_last] = ACTIONS(2207),
    [anon_sym_next] = ACTIONS(2207),
    [anon_sym_redo] = ACTIONS(2207),
    [anon_sym_BEGIN] = ACTIONS(2207),
    [anon_sym_INIT] = ACTIONS(2207),
    [anon_sym_CHECK] = ACTIONS(2207),
    [anon_sym_UNITCHECK] = ACTIONS(2207),
    [anon_sym_END] = ACTIONS(2207),
    [anon_sym___FILE__] = ACTIONS(2207),
    [anon_sym___LINE__] = ACTIONS(2207),
    [anon_sym___PACKAGE__] = ACTIONS(2207),
    [anon_sym___SUB__] = ACTIONS(2207),
    [anon_sym_break] = ACTIONS(2207),
    [anon_sym_fork] = ACTIONS(2207),
    [anon_sym_getppid] = ACTIONS(2207),
    [anon_sym_time] = ACTIONS(2207),
    [anon_sym_times] = ACTIONS(2207),
    [anon_sym_wait] = ACTIONS(2207),
    [anon_sym_wantarray] = ACTIONS(2207),
    [anon_sym_abs] = ACTIONS(2207),
    [anon_sym_alarm] = ACTIONS(2207),
    [anon_sym_chop] = ACTIONS(2207),
    [anon_sym_chdir] = ACTIONS(2207),
    [anon_sym_close] = ACTIONS(2207),
    [anon_sym_closedir] = ACTIONS(2207),
    [anon_sym_caller] = ACTIONS(2207),
    [anon_sym_chomp] = ACTIONS(2207),
    [anon_sym_chr] = ACTIONS(2207),
    [anon_sym_cos] = ACTIONS(2207),
    [anon_sym_chroot] = ACTIONS(2207),
    [anon_sym_defined] = ACTIONS(2207),
    [anon_sym_delete] = ACTIONS(2207),
    [anon_sym_dbmclose] = ACTIONS(2207),
    [anon_sym_exists] = ACTIONS(2207),
    [anon_sym_exit] = ACTIONS(2207),
    [anon_sym_eof] = ACTIONS(2207),
    [anon_sym_exp] = ACTIONS(2207),
    [anon_sym_each] = ACTIONS(2207),
    [anon_sym_fc] = ACTIONS(2207),
    [anon_sym_fileno] = ACTIONS(2207),
    [anon_sym_gmtime] = ACTIONS(2207),
    [anon_sym_getc] = ACTIONS(2207),
    [anon_sym_getpgrp] = ACTIONS(2207),
    [anon_sym_getprotobyname] = ACTIONS(2207),
    [anon_sym_getpwname] = ACTIONS(2207),
    [anon_sym_getpwuid] = ACTIONS(2207),
    [anon_sym_getpeername] = ACTIONS(2207),
    [anon_sym_getnetbyname] = ACTIONS(2207),
    [anon_sym_getsockname] = ACTIONS(2207),
    [anon_sym_getgrnam] = ACTIONS(2207),
    [anon_sym_getgrgid] = ACTIONS(2207),
    [anon_sym_hex] = ACTIONS(2207),
    [anon_sym_int] = ACTIONS(2207),
    [anon_sym_keys] = ACTIONS(2207),
    [anon_sym_lc] = ACTIONS(2207),
    [anon_sym_lcfirst] = ACTIONS(2207),
    [anon_sym_length] = ACTIONS(2207),
    [anon_sym_localtime] = ACTIONS(2207),
    [anon_sym_log] = ACTIONS(2207),
    [anon_sym_lock] = ACTIONS(2207),
    [anon_sym_lstat] = ACTIONS(2207),
    [anon_sym_oct] = ACTIONS(2207),
    [anon_sym_ord] = ACTIONS(2207),
    [anon_sym_prototype] = ACTIONS(2207),
    [anon_sym_pop] = ACTIONS(2207),
    [anon_sym_pos] = ACTIONS(2207),
    [anon_sym_quotemeta] = ACTIONS(2207),
    [anon_sym_reset] = ACTIONS(2207),
    [anon_sym_rand] = ACTIONS(2207),
    [anon_sym_rmdir] = ACTIONS(2207),
    [anon_sym_readdir] = ACTIONS(2207),
    [anon_sym_readline] = ACTIONS(2207),
    [anon_sym_readpipe] = ACTIONS(2207),
    [anon_sym_rewinddir] = ACTIONS(2207),
    [anon_sym_readlink] = ACTIONS(2207),
    [anon_sym_ref] = ACTIONS(2207),
    [anon_sym_scalar] = ACTIONS(2207),
    [anon_sym_shift] = ACTIONS(2207),
    [anon_sym_sin] = ACTIONS(2207),
    [anon_sym_sleep] = ACTIONS(2207),
    [anon_sym_sqrt] = ACTIONS(2207),
    [anon_sym_srand] = ACTIONS(2207),
    [anon_sym_stat] = ACTIONS(2207),
    [anon_sym_study] = ACTIONS(2207),
    [anon_sym_tell] = ACTIONS(2207),
    [anon_sym_telldir] = ACTIONS(2207),
    [anon_sym_tied] = ACTIONS(2207),
    [anon_sym_uc] = ACTIONS(2207),
    [anon_sym_ucfirst] = ACTIONS(2207),
    [anon_sym_untie] = ACTIONS(2207),
    [anon_sym_umask] = ACTIONS(2207),
    [anon_sym_values] = ACTIONS(2207),
    [anon_sym_write] = ACTIONS(2207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2207),
    [anon_sym_qq] = ACTIONS(2207),
    [anon_sym_qw] = ACTIONS(2207),
    [anon_sym_qx] = ACTIONS(2207),
    [anon_sym_qr] = ACTIONS(2207),
    [anon_sym_m] = ACTIONS(2207),
    [anon_sym_s] = ACTIONS(2207),
    [anon_sym_tr] = ACTIONS(2207),
    [anon_sym_y] = ACTIONS(2207),
    [anon_sym_if] = ACTIONS(2207),
    [anon_sym_unless] = ACTIONS(2207),
    [anon_sym_while] = ACTIONS(2207),
    [anon_sym_until] = ACTIONS(2207),
    [aux_sym__bareword_token1] = ACTIONS(2207),
    [sym_number] = ACTIONS(2207),
    [anon_sym_true] = ACTIONS(2207),
    [anon_sym_false] = ACTIONS(2207),
    [sym__single_quote] = ACTIONS(2205),
    [sym__double_quote] = ACTIONS(2205),
    [sym__backtick_quote] = ACTIONS(2205),
    [sym__search_slash_quote] = ACTIONS(2205),
    [sym__PERLY_HEREDOC] = ACTIONS(2205),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2205),
    [sym__filetest] = ACTIONS(2205),
  },
  [962] = {
    [sym_heredoc_content] = STATE(962),
    [sym__identifier] = ACTIONS(1892),
    [anon_sym_LBRACE] = ACTIONS(1892),
    [anon_sym_RBRACE] = ACTIONS(1892),
    [anon_sym_SEMI] = ACTIONS(1892),
    [anon_sym_package] = ACTIONS(1892),
    [anon_sym_class] = ACTIONS(1892),
    [anon_sym_role] = ACTIONS(1892),
    [anon_sym_BUILD] = ACTIONS(1892),
    [anon_sym_ADJUST] = ACTIONS(1892),
    [anon_sym_DOLLAR] = ACTIONS(1892),
    [anon_sym_AT] = ACTIONS(1892),
    [anon_sym_my] = ACTIONS(1892),
    [anon_sym_extended] = ACTIONS(1892),
    [anon_sym_async] = ACTIONS(1892),
    [anon_sym_sub] = ACTIONS(1892),
    [anon_sym_method] = ACTIONS(1892),
    [anon_sym_LPAREN] = ACTIONS(1892),
    [anon_sym_continue] = ACTIONS(1892),
    [anon_sym_state] = ACTIONS(1892),
    [anon_sym_our] = ACTIONS(1892),
    [anon_sym_try] = ACTIONS(1892),
    [anon_sym_defer] = ACTIONS(1892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1892),
    [anon_sym_LBRACK] = ACTIONS(1892),
    [anon_sym_LT] = ACTIONS(1892),
    [anon_sym_LT_LT] = ACTIONS(1892),
    [anon_sym_SLASH_SLASH] = ACTIONS(1892),
    [anon_sym_PLUS] = ACTIONS(1892),
    [anon_sym_DASH] = ACTIONS(1892),
    [anon_sym_STAR] = ACTIONS(1892),
    [anon_sym_TILDE] = ACTIONS(1892),
    [anon_sym_BANG] = ACTIONS(1892),
    [anon_sym_PLUS_PLUS] = ACTIONS(1892),
    [anon_sym_DASH_DASH] = ACTIONS(1892),
    [anon_sym_BSLASH] = ACTIONS(1890),
    [anon_sym_do] = ACTIONS(1892),
    [anon_sym_eval] = ACTIONS(1892),
    [anon_sym_await] = ACTIONS(1892),
    [anon_sym_field] = ACTIONS(1892),
    [anon_sym_local] = ACTIONS(1892),
    [anon_sym_dynamically] = ACTIONS(1892),
    [anon_sym_require] = ACTIONS(1892),
    [anon_sym_map] = ACTIONS(1892),
    [anon_sym_grep] = ACTIONS(1892),
    [anon_sym_sort] = ACTIONS(1892),
    [anon_sym_goto] = ACTIONS(1892),
    [anon_sym_return] = ACTIONS(1892),
    [anon_sym_undef] = ACTIONS(1892),
    [anon_sym_PERCENT2] = ACTIONS(1892),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1892),
    [anon_sym_use] = ACTIONS(1892),
    [anon_sym_no] = ACTIONS(1892),
    [anon_sym_for] = ACTIONS(1892),
    [anon_sym_foreach] = ACTIONS(1892),
    [anon_sym_last] = ACTIONS(1892),
    [anon_sym_next] = ACTIONS(1892),
    [anon_sym_redo] = ACTIONS(1892),
    [anon_sym_BEGIN] = ACTIONS(1892),
    [anon_sym_INIT] = ACTIONS(1892),
    [anon_sym_CHECK] = ACTIONS(1892),
    [anon_sym_UNITCHECK] = ACTIONS(1892),
    [anon_sym_END] = ACTIONS(1892),
    [anon_sym___FILE__] = ACTIONS(1892),
    [anon_sym___LINE__] = ACTIONS(1892),
    [anon_sym___PACKAGE__] = ACTIONS(1892),
    [anon_sym___SUB__] = ACTIONS(1892),
    [anon_sym_break] = ACTIONS(1892),
    [anon_sym_fork] = ACTIONS(1892),
    [anon_sym_getppid] = ACTIONS(1892),
    [anon_sym_time] = ACTIONS(1892),
    [anon_sym_times] = ACTIONS(1892),
    [anon_sym_wait] = ACTIONS(1892),
    [anon_sym_wantarray] = ACTIONS(1892),
    [anon_sym_abs] = ACTIONS(1892),
    [anon_sym_alarm] = ACTIONS(1892),
    [anon_sym_chop] = ACTIONS(1892),
    [anon_sym_chdir] = ACTIONS(1892),
    [anon_sym_close] = ACTIONS(1892),
    [anon_sym_closedir] = ACTIONS(1892),
    [anon_sym_caller] = ACTIONS(1892),
    [anon_sym_chomp] = ACTIONS(1892),
    [anon_sym_chr] = ACTIONS(1892),
    [anon_sym_cos] = ACTIONS(1892),
    [anon_sym_chroot] = ACTIONS(1892),
    [anon_sym_defined] = ACTIONS(1892),
    [anon_sym_delete] = ACTIONS(1892),
    [anon_sym_dbmclose] = ACTIONS(1892),
    [anon_sym_exists] = ACTIONS(1892),
    [anon_sym_exit] = ACTIONS(1892),
    [anon_sym_eof] = ACTIONS(1892),
    [anon_sym_exp] = ACTIONS(1892),
    [anon_sym_each] = ACTIONS(1892),
    [anon_sym_fc] = ACTIONS(1892),
    [anon_sym_fileno] = ACTIONS(1892),
    [anon_sym_gmtime] = ACTIONS(1892),
    [anon_sym_getc] = ACTIONS(1892),
    [anon_sym_getpgrp] = ACTIONS(1892),
    [anon_sym_getprotobyname] = ACTIONS(1892),
    [anon_sym_getpwname] = ACTIONS(1892),
    [anon_sym_getpwuid] = ACTIONS(1892),
    [anon_sym_getpeername] = ACTIONS(1892),
    [anon_sym_getnetbyname] = ACTIONS(1892),
    [anon_sym_getsockname] = ACTIONS(1892),
    [anon_sym_getgrnam] = ACTIONS(1892),
    [anon_sym_getgrgid] = ACTIONS(1892),
    [anon_sym_hex] = ACTIONS(1892),
    [anon_sym_int] = ACTIONS(1892),
    [anon_sym_keys] = ACTIONS(1892),
    [anon_sym_lc] = ACTIONS(1892),
    [anon_sym_lcfirst] = ACTIONS(1892),
    [anon_sym_length] = ACTIONS(1892),
    [anon_sym_localtime] = ACTIONS(1892),
    [anon_sym_log] = ACTIONS(1892),
    [anon_sym_lock] = ACTIONS(1892),
    [anon_sym_lstat] = ACTIONS(1892),
    [anon_sym_oct] = ACTIONS(1892),
    [anon_sym_ord] = ACTIONS(1892),
    [anon_sym_prototype] = ACTIONS(1892),
    [anon_sym_pop] = ACTIONS(1892),
    [anon_sym_pos] = ACTIONS(1892),
    [anon_sym_quotemeta] = ACTIONS(1892),
    [anon_sym_reset] = ACTIONS(1892),
    [anon_sym_rand] = ACTIONS(1892),
    [anon_sym_rmdir] = ACTIONS(1892),
    [anon_sym_readdir] = ACTIONS(1892),
    [anon_sym_readline] = ACTIONS(1892),
    [anon_sym_readpipe] = ACTIONS(1892),
    [anon_sym_rewinddir] = ACTIONS(1892),
    [anon_sym_readlink] = ACTIONS(1892),
    [anon_sym_ref] = ACTIONS(1892),
    [anon_sym_scalar] = ACTIONS(1892),
    [anon_sym_shift] = ACTIONS(1892),
    [anon_sym_sin] = ACTIONS(1892),
    [anon_sym_sleep] = ACTIONS(1892),
    [anon_sym_sqrt] = ACTIONS(1892),
    [anon_sym_srand] = ACTIONS(1892),
    [anon_sym_stat] = ACTIONS(1892),
    [anon_sym_study] = ACTIONS(1892),
    [anon_sym_tell] = ACTIONS(1892),
    [anon_sym_telldir] = ACTIONS(1892),
    [anon_sym_tied] = ACTIONS(1892),
    [anon_sym_uc] = ACTIONS(1892),
    [anon_sym_ucfirst] = ACTIONS(1892),
    [anon_sym_untie] = ACTIONS(1892),
    [anon_sym_umask] = ACTIONS(1892),
    [anon_sym_values] = ACTIONS(1892),
    [anon_sym_write] = ACTIONS(1892),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1892),
    [anon_sym_qq] = ACTIONS(1892),
    [anon_sym_qw] = ACTIONS(1892),
    [anon_sym_qx] = ACTIONS(1892),
    [anon_sym_qr] = ACTIONS(1892),
    [anon_sym_m] = ACTIONS(1892),
    [anon_sym_s] = ACTIONS(1892),
    [anon_sym_tr] = ACTIONS(1892),
    [anon_sym_y] = ACTIONS(1892),
    [anon_sym_if] = ACTIONS(1892),
    [anon_sym_unless] = ACTIONS(1892),
    [anon_sym_while] = ACTIONS(1892),
    [anon_sym_until] = ACTIONS(1892),
    [aux_sym__bareword_token1] = ACTIONS(1892),
    [sym_number] = ACTIONS(1892),
    [anon_sym_true] = ACTIONS(1892),
    [anon_sym_false] = ACTIONS(1892),
    [sym__single_quote] = ACTIONS(1890),
    [sym__double_quote] = ACTIONS(1890),
    [sym__backtick_quote] = ACTIONS(1890),
    [sym__search_slash_quote] = ACTIONS(1890),
    [sym__PERLY_HEREDOC] = ACTIONS(1890),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1890),
    [sym__filetest] = ACTIONS(1890),
  },
  [963] = {
    [sym_heredoc_content] = STATE(963),
    [sym__identifier] = ACTIONS(2255),
    [anon_sym_LBRACE] = ACTIONS(2255),
    [anon_sym_RBRACE] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(2255),
    [anon_sym_package] = ACTIONS(2255),
    [anon_sym_class] = ACTIONS(2255),
    [anon_sym_role] = ACTIONS(2255),
    [anon_sym_BUILD] = ACTIONS(2255),
    [anon_sym_ADJUST] = ACTIONS(2255),
    [anon_sym_DOLLAR] = ACTIONS(2255),
    [anon_sym_AT] = ACTIONS(2255),
    [anon_sym_my] = ACTIONS(2255),
    [anon_sym_extended] = ACTIONS(2255),
    [anon_sym_async] = ACTIONS(2255),
    [anon_sym_sub] = ACTIONS(2255),
    [anon_sym_method] = ACTIONS(2255),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_continue] = ACTIONS(2255),
    [anon_sym_state] = ACTIONS(2255),
    [anon_sym_our] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2255),
    [anon_sym_defer] = ACTIONS(2255),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2255),
    [anon_sym_LBRACK] = ACTIONS(2255),
    [anon_sym_LT] = ACTIONS(2255),
    [anon_sym_LT_LT] = ACTIONS(2255),
    [anon_sym_SLASH_SLASH] = ACTIONS(2255),
    [anon_sym_PLUS] = ACTIONS(2255),
    [anon_sym_DASH] = ACTIONS(2255),
    [anon_sym_STAR] = ACTIONS(2255),
    [anon_sym_TILDE] = ACTIONS(2255),
    [anon_sym_BANG] = ACTIONS(2255),
    [anon_sym_PLUS_PLUS] = ACTIONS(2255),
    [anon_sym_DASH_DASH] = ACTIONS(2255),
    [anon_sym_BSLASH] = ACTIONS(2253),
    [anon_sym_do] = ACTIONS(2255),
    [anon_sym_eval] = ACTIONS(2255),
    [anon_sym_await] = ACTIONS(2255),
    [anon_sym_field] = ACTIONS(2255),
    [anon_sym_local] = ACTIONS(2255),
    [anon_sym_dynamically] = ACTIONS(2255),
    [anon_sym_require] = ACTIONS(2255),
    [anon_sym_map] = ACTIONS(2255),
    [anon_sym_grep] = ACTIONS(2255),
    [anon_sym_sort] = ACTIONS(2255),
    [anon_sym_goto] = ACTIONS(2255),
    [anon_sym_return] = ACTIONS(2255),
    [anon_sym_undef] = ACTIONS(2255),
    [anon_sym_PERCENT2] = ACTIONS(2255),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2255),
    [anon_sym_use] = ACTIONS(2255),
    [anon_sym_no] = ACTIONS(2255),
    [anon_sym_for] = ACTIONS(2255),
    [anon_sym_foreach] = ACTIONS(2255),
    [anon_sym_last] = ACTIONS(2255),
    [anon_sym_next] = ACTIONS(2255),
    [anon_sym_redo] = ACTIONS(2255),
    [anon_sym_BEGIN] = ACTIONS(2255),
    [anon_sym_INIT] = ACTIONS(2255),
    [anon_sym_CHECK] = ACTIONS(2255),
    [anon_sym_UNITCHECK] = ACTIONS(2255),
    [anon_sym_END] = ACTIONS(2255),
    [anon_sym___FILE__] = ACTIONS(2255),
    [anon_sym___LINE__] = ACTIONS(2255),
    [anon_sym___PACKAGE__] = ACTIONS(2255),
    [anon_sym___SUB__] = ACTIONS(2255),
    [anon_sym_break] = ACTIONS(2255),
    [anon_sym_fork] = ACTIONS(2255),
    [anon_sym_getppid] = ACTIONS(2255),
    [anon_sym_time] = ACTIONS(2255),
    [anon_sym_times] = ACTIONS(2255),
    [anon_sym_wait] = ACTIONS(2255),
    [anon_sym_wantarray] = ACTIONS(2255),
    [anon_sym_abs] = ACTIONS(2255),
    [anon_sym_alarm] = ACTIONS(2255),
    [anon_sym_chop] = ACTIONS(2255),
    [anon_sym_chdir] = ACTIONS(2255),
    [anon_sym_close] = ACTIONS(2255),
    [anon_sym_closedir] = ACTIONS(2255),
    [anon_sym_caller] = ACTIONS(2255),
    [anon_sym_chomp] = ACTIONS(2255),
    [anon_sym_chr] = ACTIONS(2255),
    [anon_sym_cos] = ACTIONS(2255),
    [anon_sym_chroot] = ACTIONS(2255),
    [anon_sym_defined] = ACTIONS(2255),
    [anon_sym_delete] = ACTIONS(2255),
    [anon_sym_dbmclose] = ACTIONS(2255),
    [anon_sym_exists] = ACTIONS(2255),
    [anon_sym_exit] = ACTIONS(2255),
    [anon_sym_eof] = ACTIONS(2255),
    [anon_sym_exp] = ACTIONS(2255),
    [anon_sym_each] = ACTIONS(2255),
    [anon_sym_fc] = ACTIONS(2255),
    [anon_sym_fileno] = ACTIONS(2255),
    [anon_sym_gmtime] = ACTIONS(2255),
    [anon_sym_getc] = ACTIONS(2255),
    [anon_sym_getpgrp] = ACTIONS(2255),
    [anon_sym_getprotobyname] = ACTIONS(2255),
    [anon_sym_getpwname] = ACTIONS(2255),
    [anon_sym_getpwuid] = ACTIONS(2255),
    [anon_sym_getpeername] = ACTIONS(2255),
    [anon_sym_getnetbyname] = ACTIONS(2255),
    [anon_sym_getsockname] = ACTIONS(2255),
    [anon_sym_getgrnam] = ACTIONS(2255),
    [anon_sym_getgrgid] = ACTIONS(2255),
    [anon_sym_hex] = ACTIONS(2255),
    [anon_sym_int] = ACTIONS(2255),
    [anon_sym_keys] = ACTIONS(2255),
    [anon_sym_lc] = ACTIONS(2255),
    [anon_sym_lcfirst] = ACTIONS(2255),
    [anon_sym_length] = ACTIONS(2255),
    [anon_sym_localtime] = ACTIONS(2255),
    [anon_sym_log] = ACTIONS(2255),
    [anon_sym_lock] = ACTIONS(2255),
    [anon_sym_lstat] = ACTIONS(2255),
    [anon_sym_oct] = ACTIONS(2255),
    [anon_sym_ord] = ACTIONS(2255),
    [anon_sym_prototype] = ACTIONS(2255),
    [anon_sym_pop] = ACTIONS(2255),
    [anon_sym_pos] = ACTIONS(2255),
    [anon_sym_quotemeta] = ACTIONS(2255),
    [anon_sym_reset] = ACTIONS(2255),
    [anon_sym_rand] = ACTIONS(2255),
    [anon_sym_rmdir] = ACTIONS(2255),
    [anon_sym_readdir] = ACTIONS(2255),
    [anon_sym_readline] = ACTIONS(2255),
    [anon_sym_readpipe] = ACTIONS(2255),
    [anon_sym_rewinddir] = ACTIONS(2255),
    [anon_sym_readlink] = ACTIONS(2255),
    [anon_sym_ref] = ACTIONS(2255),
    [anon_sym_scalar] = ACTIONS(2255),
    [anon_sym_shift] = ACTIONS(2255),
    [anon_sym_sin] = ACTIONS(2255),
    [anon_sym_sleep] = ACTIONS(2255),
    [anon_sym_sqrt] = ACTIONS(2255),
    [anon_sym_srand] = ACTIONS(2255),
    [anon_sym_stat] = ACTIONS(2255),
    [anon_sym_study] = ACTIONS(2255),
    [anon_sym_tell] = ACTIONS(2255),
    [anon_sym_telldir] = ACTIONS(2255),
    [anon_sym_tied] = ACTIONS(2255),
    [anon_sym_uc] = ACTIONS(2255),
    [anon_sym_ucfirst] = ACTIONS(2255),
    [anon_sym_untie] = ACTIONS(2255),
    [anon_sym_umask] = ACTIONS(2255),
    [anon_sym_values] = ACTIONS(2255),
    [anon_sym_write] = ACTIONS(2255),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2255),
    [anon_sym_qq] = ACTIONS(2255),
    [anon_sym_qw] = ACTIONS(2255),
    [anon_sym_qx] = ACTIONS(2255),
    [anon_sym_qr] = ACTIONS(2255),
    [anon_sym_m] = ACTIONS(2255),
    [anon_sym_s] = ACTIONS(2255),
    [anon_sym_tr] = ACTIONS(2255),
    [anon_sym_y] = ACTIONS(2255),
    [anon_sym_if] = ACTIONS(2255),
    [anon_sym_unless] = ACTIONS(2255),
    [anon_sym_while] = ACTIONS(2255),
    [anon_sym_until] = ACTIONS(2255),
    [aux_sym__bareword_token1] = ACTIONS(2255),
    [sym_number] = ACTIONS(2255),
    [anon_sym_true] = ACTIONS(2255),
    [anon_sym_false] = ACTIONS(2255),
    [sym__single_quote] = ACTIONS(2253),
    [sym__double_quote] = ACTIONS(2253),
    [sym__backtick_quote] = ACTIONS(2253),
    [sym__search_slash_quote] = ACTIONS(2253),
    [sym__PERLY_HEREDOC] = ACTIONS(2253),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2253),
    [sym__filetest] = ACTIONS(2253),
  },
  [964] = {
    [sym_heredoc_content] = STATE(964),
    [sym__identifier] = ACTIONS(2132),
    [anon_sym_LBRACE] = ACTIONS(2132),
    [anon_sym_RBRACE] = ACTIONS(2132),
    [anon_sym_SEMI] = ACTIONS(2132),
    [anon_sym_package] = ACTIONS(2132),
    [anon_sym_class] = ACTIONS(2132),
    [anon_sym_role] = ACTIONS(2132),
    [anon_sym_BUILD] = ACTIONS(2132),
    [anon_sym_ADJUST] = ACTIONS(2132),
    [anon_sym_DOLLAR] = ACTIONS(2132),
    [anon_sym_AT] = ACTIONS(2132),
    [anon_sym_my] = ACTIONS(2132),
    [anon_sym_extended] = ACTIONS(2132),
    [anon_sym_async] = ACTIONS(2132),
    [anon_sym_sub] = ACTIONS(2132),
    [anon_sym_method] = ACTIONS(2132),
    [anon_sym_LPAREN] = ACTIONS(2132),
    [anon_sym_continue] = ACTIONS(2132),
    [anon_sym_state] = ACTIONS(2132),
    [anon_sym_our] = ACTIONS(2132),
    [anon_sym_try] = ACTIONS(2132),
    [anon_sym_defer] = ACTIONS(2132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2132),
    [anon_sym_LBRACK] = ACTIONS(2132),
    [anon_sym_LT] = ACTIONS(2132),
    [anon_sym_LT_LT] = ACTIONS(2132),
    [anon_sym_SLASH_SLASH] = ACTIONS(2132),
    [anon_sym_PLUS] = ACTIONS(2132),
    [anon_sym_DASH] = ACTIONS(2132),
    [anon_sym_STAR] = ACTIONS(2132),
    [anon_sym_TILDE] = ACTIONS(2132),
    [anon_sym_BANG] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_BSLASH] = ACTIONS(2130),
    [anon_sym_do] = ACTIONS(2132),
    [anon_sym_eval] = ACTIONS(2132),
    [anon_sym_await] = ACTIONS(2132),
    [anon_sym_field] = ACTIONS(2132),
    [anon_sym_local] = ACTIONS(2132),
    [anon_sym_dynamically] = ACTIONS(2132),
    [anon_sym_require] = ACTIONS(2132),
    [anon_sym_map] = ACTIONS(2132),
    [anon_sym_grep] = ACTIONS(2132),
    [anon_sym_sort] = ACTIONS(2132),
    [anon_sym_goto] = ACTIONS(2132),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_undef] = ACTIONS(2132),
    [anon_sym_PERCENT2] = ACTIONS(2132),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2132),
    [anon_sym_use] = ACTIONS(2132),
    [anon_sym_no] = ACTIONS(2132),
    [anon_sym_for] = ACTIONS(2132),
    [anon_sym_foreach] = ACTIONS(2132),
    [anon_sym_last] = ACTIONS(2132),
    [anon_sym_next] = ACTIONS(2132),
    [anon_sym_redo] = ACTIONS(2132),
    [anon_sym_BEGIN] = ACTIONS(2132),
    [anon_sym_INIT] = ACTIONS(2132),
    [anon_sym_CHECK] = ACTIONS(2132),
    [anon_sym_UNITCHECK] = ACTIONS(2132),
    [anon_sym_END] = ACTIONS(2132),
    [anon_sym___FILE__] = ACTIONS(2132),
    [anon_sym___LINE__] = ACTIONS(2132),
    [anon_sym___PACKAGE__] = ACTIONS(2132),
    [anon_sym___SUB__] = ACTIONS(2132),
    [anon_sym_break] = ACTIONS(2132),
    [anon_sym_fork] = ACTIONS(2132),
    [anon_sym_getppid] = ACTIONS(2132),
    [anon_sym_time] = ACTIONS(2132),
    [anon_sym_times] = ACTIONS(2132),
    [anon_sym_wait] = ACTIONS(2132),
    [anon_sym_wantarray] = ACTIONS(2132),
    [anon_sym_abs] = ACTIONS(2132),
    [anon_sym_alarm] = ACTIONS(2132),
    [anon_sym_chop] = ACTIONS(2132),
    [anon_sym_chdir] = ACTIONS(2132),
    [anon_sym_close] = ACTIONS(2132),
    [anon_sym_closedir] = ACTIONS(2132),
    [anon_sym_caller] = ACTIONS(2132),
    [anon_sym_chomp] = ACTIONS(2132),
    [anon_sym_chr] = ACTIONS(2132),
    [anon_sym_cos] = ACTIONS(2132),
    [anon_sym_chroot] = ACTIONS(2132),
    [anon_sym_defined] = ACTIONS(2132),
    [anon_sym_delete] = ACTIONS(2132),
    [anon_sym_dbmclose] = ACTIONS(2132),
    [anon_sym_exists] = ACTIONS(2132),
    [anon_sym_exit] = ACTIONS(2132),
    [anon_sym_eof] = ACTIONS(2132),
    [anon_sym_exp] = ACTIONS(2132),
    [anon_sym_each] = ACTIONS(2132),
    [anon_sym_fc] = ACTIONS(2132),
    [anon_sym_fileno] = ACTIONS(2132),
    [anon_sym_gmtime] = ACTIONS(2132),
    [anon_sym_getc] = ACTIONS(2132),
    [anon_sym_getpgrp] = ACTIONS(2132),
    [anon_sym_getprotobyname] = ACTIONS(2132),
    [anon_sym_getpwname] = ACTIONS(2132),
    [anon_sym_getpwuid] = ACTIONS(2132),
    [anon_sym_getpeername] = ACTIONS(2132),
    [anon_sym_getnetbyname] = ACTIONS(2132),
    [anon_sym_getsockname] = ACTIONS(2132),
    [anon_sym_getgrnam] = ACTIONS(2132),
    [anon_sym_getgrgid] = ACTIONS(2132),
    [anon_sym_hex] = ACTIONS(2132),
    [anon_sym_int] = ACTIONS(2132),
    [anon_sym_keys] = ACTIONS(2132),
    [anon_sym_lc] = ACTIONS(2132),
    [anon_sym_lcfirst] = ACTIONS(2132),
    [anon_sym_length] = ACTIONS(2132),
    [anon_sym_localtime] = ACTIONS(2132),
    [anon_sym_log] = ACTIONS(2132),
    [anon_sym_lock] = ACTIONS(2132),
    [anon_sym_lstat] = ACTIONS(2132),
    [anon_sym_oct] = ACTIONS(2132),
    [anon_sym_ord] = ACTIONS(2132),
    [anon_sym_prototype] = ACTIONS(2132),
    [anon_sym_pop] = ACTIONS(2132),
    [anon_sym_pos] = ACTIONS(2132),
    [anon_sym_quotemeta] = ACTIONS(2132),
    [anon_sym_reset] = ACTIONS(2132),
    [anon_sym_rand] = ACTIONS(2132),
    [anon_sym_rmdir] = ACTIONS(2132),
    [anon_sym_readdir] = ACTIONS(2132),
    [anon_sym_readline] = ACTIONS(2132),
    [anon_sym_readpipe] = ACTIONS(2132),
    [anon_sym_rewinddir] = ACTIONS(2132),
    [anon_sym_readlink] = ACTIONS(2132),
    [anon_sym_ref] = ACTIONS(2132),
    [anon_sym_scalar] = ACTIONS(2132),
    [anon_sym_shift] = ACTIONS(2132),
    [anon_sym_sin] = ACTIONS(2132),
    [anon_sym_sleep] = ACTIONS(2132),
    [anon_sym_sqrt] = ACTIONS(2132),
    [anon_sym_srand] = ACTIONS(2132),
    [anon_sym_stat] = ACTIONS(2132),
    [anon_sym_study] = ACTIONS(2132),
    [anon_sym_tell] = ACTIONS(2132),
    [anon_sym_telldir] = ACTIONS(2132),
    [anon_sym_tied] = ACTIONS(2132),
    [anon_sym_uc] = ACTIONS(2132),
    [anon_sym_ucfirst] = ACTIONS(2132),
    [anon_sym_untie] = ACTIONS(2132),
    [anon_sym_umask] = ACTIONS(2132),
    [anon_sym_values] = ACTIONS(2132),
    [anon_sym_write] = ACTIONS(2132),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2132),
    [anon_sym_qq] = ACTIONS(2132),
    [anon_sym_qw] = ACTIONS(2132),
    [anon_sym_qx] = ACTIONS(2132),
    [anon_sym_qr] = ACTIONS(2132),
    [anon_sym_m] = ACTIONS(2132),
    [anon_sym_s] = ACTIONS(2132),
    [anon_sym_tr] = ACTIONS(2132),
    [anon_sym_y] = ACTIONS(2132),
    [anon_sym_if] = ACTIONS(2132),
    [anon_sym_unless] = ACTIONS(2132),
    [anon_sym_while] = ACTIONS(2132),
    [anon_sym_until] = ACTIONS(2132),
    [aux_sym__bareword_token1] = ACTIONS(2132),
    [sym_number] = ACTIONS(2132),
    [anon_sym_true] = ACTIONS(2132),
    [anon_sym_false] = ACTIONS(2132),
    [sym__single_quote] = ACTIONS(2130),
    [sym__double_quote] = ACTIONS(2130),
    [sym__backtick_quote] = ACTIONS(2130),
    [sym__search_slash_quote] = ACTIONS(2130),
    [sym__PERLY_HEREDOC] = ACTIONS(2130),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2130),
    [sym__filetest] = ACTIONS(2130),
  },
  [965] = {
    [sym_heredoc_content] = STATE(965),
    [sym__identifier] = ACTIONS(2269),
    [anon_sym_LBRACE] = ACTIONS(2269),
    [anon_sym_RBRACE] = ACTIONS(2269),
    [anon_sym_SEMI] = ACTIONS(2269),
    [anon_sym_package] = ACTIONS(2269),
    [anon_sym_class] = ACTIONS(2269),
    [anon_sym_role] = ACTIONS(2269),
    [anon_sym_BUILD] = ACTIONS(2269),
    [anon_sym_ADJUST] = ACTIONS(2269),
    [anon_sym_DOLLAR] = ACTIONS(2269),
    [anon_sym_AT] = ACTIONS(2269),
    [anon_sym_my] = ACTIONS(2269),
    [anon_sym_extended] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2269),
    [anon_sym_sub] = ACTIONS(2269),
    [anon_sym_method] = ACTIONS(2269),
    [anon_sym_LPAREN] = ACTIONS(2269),
    [anon_sym_continue] = ACTIONS(2269),
    [anon_sym_state] = ACTIONS(2269),
    [anon_sym_our] = ACTIONS(2269),
    [anon_sym_try] = ACTIONS(2269),
    [anon_sym_defer] = ACTIONS(2269),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2269),
    [anon_sym_LBRACK] = ACTIONS(2269),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_LT_LT] = ACTIONS(2269),
    [anon_sym_SLASH_SLASH] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_STAR] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_BSLASH] = ACTIONS(2271),
    [anon_sym_do] = ACTIONS(2269),
    [anon_sym_eval] = ACTIONS(2269),
    [anon_sym_await] = ACTIONS(2269),
    [anon_sym_field] = ACTIONS(2269),
    [anon_sym_local] = ACTIONS(2269),
    [anon_sym_dynamically] = ACTIONS(2269),
    [anon_sym_require] = ACTIONS(2269),
    [anon_sym_map] = ACTIONS(2269),
    [anon_sym_grep] = ACTIONS(2269),
    [anon_sym_sort] = ACTIONS(2269),
    [anon_sym_goto] = ACTIONS(2269),
    [anon_sym_return] = ACTIONS(2269),
    [anon_sym_undef] = ACTIONS(2269),
    [anon_sym_PERCENT2] = ACTIONS(2269),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2269),
    [anon_sym_use] = ACTIONS(2269),
    [anon_sym_no] = ACTIONS(2269),
    [anon_sym_for] = ACTIONS(2269),
    [anon_sym_foreach] = ACTIONS(2269),
    [anon_sym_last] = ACTIONS(2269),
    [anon_sym_next] = ACTIONS(2269),
    [anon_sym_redo] = ACTIONS(2269),
    [anon_sym_BEGIN] = ACTIONS(2269),
    [anon_sym_INIT] = ACTIONS(2269),
    [anon_sym_CHECK] = ACTIONS(2269),
    [anon_sym_UNITCHECK] = ACTIONS(2269),
    [anon_sym_END] = ACTIONS(2269),
    [anon_sym___FILE__] = ACTIONS(2269),
    [anon_sym___LINE__] = ACTIONS(2269),
    [anon_sym___PACKAGE__] = ACTIONS(2269),
    [anon_sym___SUB__] = ACTIONS(2269),
    [anon_sym_break] = ACTIONS(2269),
    [anon_sym_fork] = ACTIONS(2269),
    [anon_sym_getppid] = ACTIONS(2269),
    [anon_sym_time] = ACTIONS(2269),
    [anon_sym_times] = ACTIONS(2269),
    [anon_sym_wait] = ACTIONS(2269),
    [anon_sym_wantarray] = ACTIONS(2269),
    [anon_sym_abs] = ACTIONS(2269),
    [anon_sym_alarm] = ACTIONS(2269),
    [anon_sym_chop] = ACTIONS(2269),
    [anon_sym_chdir] = ACTIONS(2269),
    [anon_sym_close] = ACTIONS(2269),
    [anon_sym_closedir] = ACTIONS(2269),
    [anon_sym_caller] = ACTIONS(2269),
    [anon_sym_chomp] = ACTIONS(2269),
    [anon_sym_chr] = ACTIONS(2269),
    [anon_sym_cos] = ACTIONS(2269),
    [anon_sym_chroot] = ACTIONS(2269),
    [anon_sym_defined] = ACTIONS(2269),
    [anon_sym_delete] = ACTIONS(2269),
    [anon_sym_dbmclose] = ACTIONS(2269),
    [anon_sym_exists] = ACTIONS(2269),
    [anon_sym_exit] = ACTIONS(2269),
    [anon_sym_eof] = ACTIONS(2269),
    [anon_sym_exp] = ACTIONS(2269),
    [anon_sym_each] = ACTIONS(2269),
    [anon_sym_fc] = ACTIONS(2269),
    [anon_sym_fileno] = ACTIONS(2269),
    [anon_sym_gmtime] = ACTIONS(2269),
    [anon_sym_getc] = ACTIONS(2269),
    [anon_sym_getpgrp] = ACTIONS(2269),
    [anon_sym_getprotobyname] = ACTIONS(2269),
    [anon_sym_getpwname] = ACTIONS(2269),
    [anon_sym_getpwuid] = ACTIONS(2269),
    [anon_sym_getpeername] = ACTIONS(2269),
    [anon_sym_getnetbyname] = ACTIONS(2269),
    [anon_sym_getsockname] = ACTIONS(2269),
    [anon_sym_getgrnam] = ACTIONS(2269),
    [anon_sym_getgrgid] = ACTIONS(2269),
    [anon_sym_hex] = ACTIONS(2269),
    [anon_sym_int] = ACTIONS(2269),
    [anon_sym_keys] = ACTIONS(2269),
    [anon_sym_lc] = ACTIONS(2269),
    [anon_sym_lcfirst] = ACTIONS(2269),
    [anon_sym_length] = ACTIONS(2269),
    [anon_sym_localtime] = ACTIONS(2269),
    [anon_sym_log] = ACTIONS(2269),
    [anon_sym_lock] = ACTIONS(2269),
    [anon_sym_lstat] = ACTIONS(2269),
    [anon_sym_oct] = ACTIONS(2269),
    [anon_sym_ord] = ACTIONS(2269),
    [anon_sym_prototype] = ACTIONS(2269),
    [anon_sym_pop] = ACTIONS(2269),
    [anon_sym_pos] = ACTIONS(2269),
    [anon_sym_quotemeta] = ACTIONS(2269),
    [anon_sym_reset] = ACTIONS(2269),
    [anon_sym_rand] = ACTIONS(2269),
    [anon_sym_rmdir] = ACTIONS(2269),
    [anon_sym_readdir] = ACTIONS(2269),
    [anon_sym_readline] = ACTIONS(2269),
    [anon_sym_readpipe] = ACTIONS(2269),
    [anon_sym_rewinddir] = ACTIONS(2269),
    [anon_sym_readlink] = ACTIONS(2269),
    [anon_sym_ref] = ACTIONS(2269),
    [anon_sym_scalar] = ACTIONS(2269),
    [anon_sym_shift] = ACTIONS(2269),
    [anon_sym_sin] = ACTIONS(2269),
    [anon_sym_sleep] = ACTIONS(2269),
    [anon_sym_sqrt] = ACTIONS(2269),
    [anon_sym_srand] = ACTIONS(2269),
    [anon_sym_stat] = ACTIONS(2269),
    [anon_sym_study] = ACTIONS(2269),
    [anon_sym_tell] = ACTIONS(2269),
    [anon_sym_telldir] = ACTIONS(2269),
    [anon_sym_tied] = ACTIONS(2269),
    [anon_sym_uc] = ACTIONS(2269),
    [anon_sym_ucfirst] = ACTIONS(2269),
    [anon_sym_untie] = ACTIONS(2269),
    [anon_sym_umask] = ACTIONS(2269),
    [anon_sym_values] = ACTIONS(2269),
    [anon_sym_write] = ACTIONS(2269),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2269),
    [anon_sym_qq] = ACTIONS(2269),
    [anon_sym_qw] = ACTIONS(2269),
    [anon_sym_qx] = ACTIONS(2269),
    [anon_sym_qr] = ACTIONS(2269),
    [anon_sym_m] = ACTIONS(2269),
    [anon_sym_s] = ACTIONS(2269),
    [anon_sym_tr] = ACTIONS(2269),
    [anon_sym_y] = ACTIONS(2269),
    [anon_sym_if] = ACTIONS(2269),
    [anon_sym_unless] = ACTIONS(2269),
    [anon_sym_while] = ACTIONS(2269),
    [anon_sym_until] = ACTIONS(2269),
    [aux_sym__bareword_token1] = ACTIONS(2269),
    [sym_number] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(2269),
    [anon_sym_false] = ACTIONS(2269),
    [sym__single_quote] = ACTIONS(2271),
    [sym__double_quote] = ACTIONS(2271),
    [sym__backtick_quote] = ACTIONS(2271),
    [sym__search_slash_quote] = ACTIONS(2271),
    [sym__PERLY_HEREDOC] = ACTIONS(2271),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2271),
    [sym__filetest] = ACTIONS(2271),
  },
  [966] = {
    [sym_heredoc_content] = STATE(966),
    [sym__identifier] = ACTIONS(2259),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym_package] = ACTIONS(2259),
    [anon_sym_class] = ACTIONS(2259),
    [anon_sym_role] = ACTIONS(2259),
    [anon_sym_BUILD] = ACTIONS(2259),
    [anon_sym_ADJUST] = ACTIONS(2259),
    [anon_sym_DOLLAR] = ACTIONS(2259),
    [anon_sym_AT] = ACTIONS(2259),
    [anon_sym_my] = ACTIONS(2259),
    [anon_sym_extended] = ACTIONS(2259),
    [anon_sym_async] = ACTIONS(2259),
    [anon_sym_sub] = ACTIONS(2259),
    [anon_sym_method] = ACTIONS(2259),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_continue] = ACTIONS(2259),
    [anon_sym_state] = ACTIONS(2259),
    [anon_sym_our] = ACTIONS(2259),
    [anon_sym_try] = ACTIONS(2259),
    [anon_sym_defer] = ACTIONS(2259),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2259),
    [anon_sym_LBRACK] = ACTIONS(2259),
    [anon_sym_LT] = ACTIONS(2259),
    [anon_sym_LT_LT] = ACTIONS(2259),
    [anon_sym_SLASH_SLASH] = ACTIONS(2259),
    [anon_sym_PLUS] = ACTIONS(2259),
    [anon_sym_DASH] = ACTIONS(2259),
    [anon_sym_STAR] = ACTIONS(2259),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_BSLASH] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(2259),
    [anon_sym_eval] = ACTIONS(2259),
    [anon_sym_await] = ACTIONS(2259),
    [anon_sym_field] = ACTIONS(2259),
    [anon_sym_local] = ACTIONS(2259),
    [anon_sym_dynamically] = ACTIONS(2259),
    [anon_sym_require] = ACTIONS(2259),
    [anon_sym_map] = ACTIONS(2259),
    [anon_sym_grep] = ACTIONS(2259),
    [anon_sym_sort] = ACTIONS(2259),
    [anon_sym_goto] = ACTIONS(2259),
    [anon_sym_return] = ACTIONS(2259),
    [anon_sym_undef] = ACTIONS(2259),
    [anon_sym_PERCENT2] = ACTIONS(2259),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2259),
    [anon_sym_use] = ACTIONS(2259),
    [anon_sym_no] = ACTIONS(2259),
    [anon_sym_for] = ACTIONS(2259),
    [anon_sym_foreach] = ACTIONS(2259),
    [anon_sym_last] = ACTIONS(2259),
    [anon_sym_next] = ACTIONS(2259),
    [anon_sym_redo] = ACTIONS(2259),
    [anon_sym_BEGIN] = ACTIONS(2259),
    [anon_sym_INIT] = ACTIONS(2259),
    [anon_sym_CHECK] = ACTIONS(2259),
    [anon_sym_UNITCHECK] = ACTIONS(2259),
    [anon_sym_END] = ACTIONS(2259),
    [anon_sym___FILE__] = ACTIONS(2259),
    [anon_sym___LINE__] = ACTIONS(2259),
    [anon_sym___PACKAGE__] = ACTIONS(2259),
    [anon_sym___SUB__] = ACTIONS(2259),
    [anon_sym_break] = ACTIONS(2259),
    [anon_sym_fork] = ACTIONS(2259),
    [anon_sym_getppid] = ACTIONS(2259),
    [anon_sym_time] = ACTIONS(2259),
    [anon_sym_times] = ACTIONS(2259),
    [anon_sym_wait] = ACTIONS(2259),
    [anon_sym_wantarray] = ACTIONS(2259),
    [anon_sym_abs] = ACTIONS(2259),
    [anon_sym_alarm] = ACTIONS(2259),
    [anon_sym_chop] = ACTIONS(2259),
    [anon_sym_chdir] = ACTIONS(2259),
    [anon_sym_close] = ACTIONS(2259),
    [anon_sym_closedir] = ACTIONS(2259),
    [anon_sym_caller] = ACTIONS(2259),
    [anon_sym_chomp] = ACTIONS(2259),
    [anon_sym_chr] = ACTIONS(2259),
    [anon_sym_cos] = ACTIONS(2259),
    [anon_sym_chroot] = ACTIONS(2259),
    [anon_sym_defined] = ACTIONS(2259),
    [anon_sym_delete] = ACTIONS(2259),
    [anon_sym_dbmclose] = ACTIONS(2259),
    [anon_sym_exists] = ACTIONS(2259),
    [anon_sym_exit] = ACTIONS(2259),
    [anon_sym_eof] = ACTIONS(2259),
    [anon_sym_exp] = ACTIONS(2259),
    [anon_sym_each] = ACTIONS(2259),
    [anon_sym_fc] = ACTIONS(2259),
    [anon_sym_fileno] = ACTIONS(2259),
    [anon_sym_gmtime] = ACTIONS(2259),
    [anon_sym_getc] = ACTIONS(2259),
    [anon_sym_getpgrp] = ACTIONS(2259),
    [anon_sym_getprotobyname] = ACTIONS(2259),
    [anon_sym_getpwname] = ACTIONS(2259),
    [anon_sym_getpwuid] = ACTIONS(2259),
    [anon_sym_getpeername] = ACTIONS(2259),
    [anon_sym_getnetbyname] = ACTIONS(2259),
    [anon_sym_getsockname] = ACTIONS(2259),
    [anon_sym_getgrnam] = ACTIONS(2259),
    [anon_sym_getgrgid] = ACTIONS(2259),
    [anon_sym_hex] = ACTIONS(2259),
    [anon_sym_int] = ACTIONS(2259),
    [anon_sym_keys] = ACTIONS(2259),
    [anon_sym_lc] = ACTIONS(2259),
    [anon_sym_lcfirst] = ACTIONS(2259),
    [anon_sym_length] = ACTIONS(2259),
    [anon_sym_localtime] = ACTIONS(2259),
    [anon_sym_log] = ACTIONS(2259),
    [anon_sym_lock] = ACTIONS(2259),
    [anon_sym_lstat] = ACTIONS(2259),
    [anon_sym_oct] = ACTIONS(2259),
    [anon_sym_ord] = ACTIONS(2259),
    [anon_sym_prototype] = ACTIONS(2259),
    [anon_sym_pop] = ACTIONS(2259),
    [anon_sym_pos] = ACTIONS(2259),
    [anon_sym_quotemeta] = ACTIONS(2259),
    [anon_sym_reset] = ACTIONS(2259),
    [anon_sym_rand] = ACTIONS(2259),
    [anon_sym_rmdir] = ACTIONS(2259),
    [anon_sym_readdir] = ACTIONS(2259),
    [anon_sym_readline] = ACTIONS(2259),
    [anon_sym_readpipe] = ACTIONS(2259),
    [anon_sym_rewinddir] = ACTIONS(2259),
    [anon_sym_readlink] = ACTIONS(2259),
    [anon_sym_ref] = ACTIONS(2259),
    [anon_sym_scalar] = ACTIONS(2259),
    [anon_sym_shift] = ACTIONS(2259),
    [anon_sym_sin] = ACTIONS(2259),
    [anon_sym_sleep] = ACTIONS(2259),
    [anon_sym_sqrt] = ACTIONS(2259),
    [anon_sym_srand] = ACTIONS(2259),
    [anon_sym_stat] = ACTIONS(2259),
    [anon_sym_study] = ACTIONS(2259),
    [anon_sym_tell] = ACTIONS(2259),
    [anon_sym_telldir] = ACTIONS(2259),
    [anon_sym_tied] = ACTIONS(2259),
    [anon_sym_uc] = ACTIONS(2259),
    [anon_sym_ucfirst] = ACTIONS(2259),
    [anon_sym_untie] = ACTIONS(2259),
    [anon_sym_umask] = ACTIONS(2259),
    [anon_sym_values] = ACTIONS(2259),
    [anon_sym_write] = ACTIONS(2259),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2259),
    [anon_sym_qq] = ACTIONS(2259),
    [anon_sym_qw] = ACTIONS(2259),
    [anon_sym_qx] = ACTIONS(2259),
    [anon_sym_qr] = ACTIONS(2259),
    [anon_sym_m] = ACTIONS(2259),
    [anon_sym_s] = ACTIONS(2259),
    [anon_sym_tr] = ACTIONS(2259),
    [anon_sym_y] = ACTIONS(2259),
    [anon_sym_if] = ACTIONS(2259),
    [anon_sym_unless] = ACTIONS(2259),
    [anon_sym_while] = ACTIONS(2259),
    [anon_sym_until] = ACTIONS(2259),
    [aux_sym__bareword_token1] = ACTIONS(2259),
    [sym_number] = ACTIONS(2259),
    [anon_sym_true] = ACTIONS(2259),
    [anon_sym_false] = ACTIONS(2259),
    [sym__single_quote] = ACTIONS(2257),
    [sym__double_quote] = ACTIONS(2257),
    [sym__backtick_quote] = ACTIONS(2257),
    [sym__search_slash_quote] = ACTIONS(2257),
    [sym__PERLY_HEREDOC] = ACTIONS(2257),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2257),
    [sym__filetest] = ACTIONS(2257),
  },
  [967] = {
    [sym_heredoc_content] = STATE(967),
    [sym__identifier] = ACTIONS(2096),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_RBRACE] = ACTIONS(2096),
    [anon_sym_SEMI] = ACTIONS(2096),
    [anon_sym_package] = ACTIONS(2096),
    [anon_sym_class] = ACTIONS(2096),
    [anon_sym_role] = ACTIONS(2096),
    [anon_sym_BUILD] = ACTIONS(2096),
    [anon_sym_ADJUST] = ACTIONS(2096),
    [anon_sym_DOLLAR] = ACTIONS(2096),
    [anon_sym_AT] = ACTIONS(2096),
    [anon_sym_my] = ACTIONS(2096),
    [anon_sym_extended] = ACTIONS(2096),
    [anon_sym_async] = ACTIONS(2096),
    [anon_sym_sub] = ACTIONS(2096),
    [anon_sym_method] = ACTIONS(2096),
    [anon_sym_LPAREN] = ACTIONS(2096),
    [anon_sym_continue] = ACTIONS(2096),
    [anon_sym_state] = ACTIONS(2096),
    [anon_sym_our] = ACTIONS(2096),
    [anon_sym_try] = ACTIONS(2096),
    [anon_sym_defer] = ACTIONS(2096),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2096),
    [anon_sym_LBRACK] = ACTIONS(2096),
    [anon_sym_LT] = ACTIONS(2096),
    [anon_sym_LT_LT] = ACTIONS(2096),
    [anon_sym_SLASH_SLASH] = ACTIONS(2096),
    [anon_sym_PLUS] = ACTIONS(2096),
    [anon_sym_DASH] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(2096),
    [anon_sym_TILDE] = ACTIONS(2096),
    [anon_sym_BANG] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_BSLASH] = ACTIONS(2094),
    [anon_sym_do] = ACTIONS(2096),
    [anon_sym_eval] = ACTIONS(2096),
    [anon_sym_await] = ACTIONS(2096),
    [anon_sym_field] = ACTIONS(2096),
    [anon_sym_local] = ACTIONS(2096),
    [anon_sym_dynamically] = ACTIONS(2096),
    [anon_sym_require] = ACTIONS(2096),
    [anon_sym_map] = ACTIONS(2096),
    [anon_sym_grep] = ACTIONS(2096),
    [anon_sym_sort] = ACTIONS(2096),
    [anon_sym_goto] = ACTIONS(2096),
    [anon_sym_return] = ACTIONS(2096),
    [anon_sym_undef] = ACTIONS(2096),
    [anon_sym_PERCENT2] = ACTIONS(2096),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2096),
    [anon_sym_use] = ACTIONS(2096),
    [anon_sym_no] = ACTIONS(2096),
    [anon_sym_for] = ACTIONS(2096),
    [anon_sym_foreach] = ACTIONS(2096),
    [anon_sym_last] = ACTIONS(2096),
    [anon_sym_next] = ACTIONS(2096),
    [anon_sym_redo] = ACTIONS(2096),
    [anon_sym_BEGIN] = ACTIONS(2096),
    [anon_sym_INIT] = ACTIONS(2096),
    [anon_sym_CHECK] = ACTIONS(2096),
    [anon_sym_UNITCHECK] = ACTIONS(2096),
    [anon_sym_END] = ACTIONS(2096),
    [anon_sym___FILE__] = ACTIONS(2096),
    [anon_sym___LINE__] = ACTIONS(2096),
    [anon_sym___PACKAGE__] = ACTIONS(2096),
    [anon_sym___SUB__] = ACTIONS(2096),
    [anon_sym_break] = ACTIONS(2096),
    [anon_sym_fork] = ACTIONS(2096),
    [anon_sym_getppid] = ACTIONS(2096),
    [anon_sym_time] = ACTIONS(2096),
    [anon_sym_times] = ACTIONS(2096),
    [anon_sym_wait] = ACTIONS(2096),
    [anon_sym_wantarray] = ACTIONS(2096),
    [anon_sym_abs] = ACTIONS(2096),
    [anon_sym_alarm] = ACTIONS(2096),
    [anon_sym_chop] = ACTIONS(2096),
    [anon_sym_chdir] = ACTIONS(2096),
    [anon_sym_close] = ACTIONS(2096),
    [anon_sym_closedir] = ACTIONS(2096),
    [anon_sym_caller] = ACTIONS(2096),
    [anon_sym_chomp] = ACTIONS(2096),
    [anon_sym_chr] = ACTIONS(2096),
    [anon_sym_cos] = ACTIONS(2096),
    [anon_sym_chroot] = ACTIONS(2096),
    [anon_sym_defined] = ACTIONS(2096),
    [anon_sym_delete] = ACTIONS(2096),
    [anon_sym_dbmclose] = ACTIONS(2096),
    [anon_sym_exists] = ACTIONS(2096),
    [anon_sym_exit] = ACTIONS(2096),
    [anon_sym_eof] = ACTIONS(2096),
    [anon_sym_exp] = ACTIONS(2096),
    [anon_sym_each] = ACTIONS(2096),
    [anon_sym_fc] = ACTIONS(2096),
    [anon_sym_fileno] = ACTIONS(2096),
    [anon_sym_gmtime] = ACTIONS(2096),
    [anon_sym_getc] = ACTIONS(2096),
    [anon_sym_getpgrp] = ACTIONS(2096),
    [anon_sym_getprotobyname] = ACTIONS(2096),
    [anon_sym_getpwname] = ACTIONS(2096),
    [anon_sym_getpwuid] = ACTIONS(2096),
    [anon_sym_getpeername] = ACTIONS(2096),
    [anon_sym_getnetbyname] = ACTIONS(2096),
    [anon_sym_getsockname] = ACTIONS(2096),
    [anon_sym_getgrnam] = ACTIONS(2096),
    [anon_sym_getgrgid] = ACTIONS(2096),
    [anon_sym_hex] = ACTIONS(2096),
    [anon_sym_int] = ACTIONS(2096),
    [anon_sym_keys] = ACTIONS(2096),
    [anon_sym_lc] = ACTIONS(2096),
    [anon_sym_lcfirst] = ACTIONS(2096),
    [anon_sym_length] = ACTIONS(2096),
    [anon_sym_localtime] = ACTIONS(2096),
    [anon_sym_log] = ACTIONS(2096),
    [anon_sym_lock] = ACTIONS(2096),
    [anon_sym_lstat] = ACTIONS(2096),
    [anon_sym_oct] = ACTIONS(2096),
    [anon_sym_ord] = ACTIONS(2096),
    [anon_sym_prototype] = ACTIONS(2096),
    [anon_sym_pop] = ACTIONS(2096),
    [anon_sym_pos] = ACTIONS(2096),
    [anon_sym_quotemeta] = ACTIONS(2096),
    [anon_sym_reset] = ACTIONS(2096),
    [anon_sym_rand] = ACTIONS(2096),
    [anon_sym_rmdir] = ACTIONS(2096),
    [anon_sym_readdir] = ACTIONS(2096),
    [anon_sym_readline] = ACTIONS(2096),
    [anon_sym_readpipe] = ACTIONS(2096),
    [anon_sym_rewinddir] = ACTIONS(2096),
    [anon_sym_readlink] = ACTIONS(2096),
    [anon_sym_ref] = ACTIONS(2096),
    [anon_sym_scalar] = ACTIONS(2096),
    [anon_sym_shift] = ACTIONS(2096),
    [anon_sym_sin] = ACTIONS(2096),
    [anon_sym_sleep] = ACTIONS(2096),
    [anon_sym_sqrt] = ACTIONS(2096),
    [anon_sym_srand] = ACTIONS(2096),
    [anon_sym_stat] = ACTIONS(2096),
    [anon_sym_study] = ACTIONS(2096),
    [anon_sym_tell] = ACTIONS(2096),
    [anon_sym_telldir] = ACTIONS(2096),
    [anon_sym_tied] = ACTIONS(2096),
    [anon_sym_uc] = ACTIONS(2096),
    [anon_sym_ucfirst] = ACTIONS(2096),
    [anon_sym_untie] = ACTIONS(2096),
    [anon_sym_umask] = ACTIONS(2096),
    [anon_sym_values] = ACTIONS(2096),
    [anon_sym_write] = ACTIONS(2096),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2096),
    [anon_sym_qq] = ACTIONS(2096),
    [anon_sym_qw] = ACTIONS(2096),
    [anon_sym_qx] = ACTIONS(2096),
    [anon_sym_qr] = ACTIONS(2096),
    [anon_sym_m] = ACTIONS(2096),
    [anon_sym_s] = ACTIONS(2096),
    [anon_sym_tr] = ACTIONS(2096),
    [anon_sym_y] = ACTIONS(2096),
    [anon_sym_if] = ACTIONS(2096),
    [anon_sym_unless] = ACTIONS(2096),
    [anon_sym_while] = ACTIONS(2096),
    [anon_sym_until] = ACTIONS(2096),
    [aux_sym__bareword_token1] = ACTIONS(2096),
    [sym_number] = ACTIONS(2096),
    [anon_sym_true] = ACTIONS(2096),
    [anon_sym_false] = ACTIONS(2096),
    [sym__single_quote] = ACTIONS(2094),
    [sym__double_quote] = ACTIONS(2094),
    [sym__backtick_quote] = ACTIONS(2094),
    [sym__search_slash_quote] = ACTIONS(2094),
    [sym__PERLY_HEREDOC] = ACTIONS(2094),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2094),
    [sym__filetest] = ACTIONS(2094),
  },
  [968] = {
    [sym_heredoc_content] = STATE(968),
    [sym__identifier] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(2263),
    [anon_sym_RBRACE] = ACTIONS(2263),
    [anon_sym_SEMI] = ACTIONS(2263),
    [anon_sym_package] = ACTIONS(2263),
    [anon_sym_class] = ACTIONS(2263),
    [anon_sym_role] = ACTIONS(2263),
    [anon_sym_BUILD] = ACTIONS(2263),
    [anon_sym_ADJUST] = ACTIONS(2263),
    [anon_sym_DOLLAR] = ACTIONS(2263),
    [anon_sym_AT] = ACTIONS(2263),
    [anon_sym_my] = ACTIONS(2263),
    [anon_sym_extended] = ACTIONS(2263),
    [anon_sym_async] = ACTIONS(2263),
    [anon_sym_sub] = ACTIONS(2263),
    [anon_sym_method] = ACTIONS(2263),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_continue] = ACTIONS(2263),
    [anon_sym_state] = ACTIONS(2263),
    [anon_sym_our] = ACTIONS(2263),
    [anon_sym_try] = ACTIONS(2263),
    [anon_sym_defer] = ACTIONS(2263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2263),
    [anon_sym_LBRACK] = ACTIONS(2263),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_LT_LT] = ACTIONS(2263),
    [anon_sym_SLASH_SLASH] = ACTIONS(2263),
    [anon_sym_PLUS] = ACTIONS(2263),
    [anon_sym_DASH] = ACTIONS(2263),
    [anon_sym_STAR] = ACTIONS(2263),
    [anon_sym_TILDE] = ACTIONS(2263),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_PLUS_PLUS] = ACTIONS(2263),
    [anon_sym_DASH_DASH] = ACTIONS(2263),
    [anon_sym_BSLASH] = ACTIONS(2261),
    [anon_sym_do] = ACTIONS(2263),
    [anon_sym_eval] = ACTIONS(2263),
    [anon_sym_await] = ACTIONS(2263),
    [anon_sym_field] = ACTIONS(2263),
    [anon_sym_local] = ACTIONS(2263),
    [anon_sym_dynamically] = ACTIONS(2263),
    [anon_sym_require] = ACTIONS(2263),
    [anon_sym_map] = ACTIONS(2263),
    [anon_sym_grep] = ACTIONS(2263),
    [anon_sym_sort] = ACTIONS(2263),
    [anon_sym_goto] = ACTIONS(2263),
    [anon_sym_return] = ACTIONS(2263),
    [anon_sym_undef] = ACTIONS(2263),
    [anon_sym_PERCENT2] = ACTIONS(2263),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2263),
    [anon_sym_use] = ACTIONS(2263),
    [anon_sym_no] = ACTIONS(2263),
    [anon_sym_for] = ACTIONS(2263),
    [anon_sym_foreach] = ACTIONS(2263),
    [anon_sym_last] = ACTIONS(2263),
    [anon_sym_next] = ACTIONS(2263),
    [anon_sym_redo] = ACTIONS(2263),
    [anon_sym_BEGIN] = ACTIONS(2263),
    [anon_sym_INIT] = ACTIONS(2263),
    [anon_sym_CHECK] = ACTIONS(2263),
    [anon_sym_UNITCHECK] = ACTIONS(2263),
    [anon_sym_END] = ACTIONS(2263),
    [anon_sym___FILE__] = ACTIONS(2263),
    [anon_sym___LINE__] = ACTIONS(2263),
    [anon_sym___PACKAGE__] = ACTIONS(2263),
    [anon_sym___SUB__] = ACTIONS(2263),
    [anon_sym_break] = ACTIONS(2263),
    [anon_sym_fork] = ACTIONS(2263),
    [anon_sym_getppid] = ACTIONS(2263),
    [anon_sym_time] = ACTIONS(2263),
    [anon_sym_times] = ACTIONS(2263),
    [anon_sym_wait] = ACTIONS(2263),
    [anon_sym_wantarray] = ACTIONS(2263),
    [anon_sym_abs] = ACTIONS(2263),
    [anon_sym_alarm] = ACTIONS(2263),
    [anon_sym_chop] = ACTIONS(2263),
    [anon_sym_chdir] = ACTIONS(2263),
    [anon_sym_close] = ACTIONS(2263),
    [anon_sym_closedir] = ACTIONS(2263),
    [anon_sym_caller] = ACTIONS(2263),
    [anon_sym_chomp] = ACTIONS(2263),
    [anon_sym_chr] = ACTIONS(2263),
    [anon_sym_cos] = ACTIONS(2263),
    [anon_sym_chroot] = ACTIONS(2263),
    [anon_sym_defined] = ACTIONS(2263),
    [anon_sym_delete] = ACTIONS(2263),
    [anon_sym_dbmclose] = ACTIONS(2263),
    [anon_sym_exists] = ACTIONS(2263),
    [anon_sym_exit] = ACTIONS(2263),
    [anon_sym_eof] = ACTIONS(2263),
    [anon_sym_exp] = ACTIONS(2263),
    [anon_sym_each] = ACTIONS(2263),
    [anon_sym_fc] = ACTIONS(2263),
    [anon_sym_fileno] = ACTIONS(2263),
    [anon_sym_gmtime] = ACTIONS(2263),
    [anon_sym_getc] = ACTIONS(2263),
    [anon_sym_getpgrp] = ACTIONS(2263),
    [anon_sym_getprotobyname] = ACTIONS(2263),
    [anon_sym_getpwname] = ACTIONS(2263),
    [anon_sym_getpwuid] = ACTIONS(2263),
    [anon_sym_getpeername] = ACTIONS(2263),
    [anon_sym_getnetbyname] = ACTIONS(2263),
    [anon_sym_getsockname] = ACTIONS(2263),
    [anon_sym_getgrnam] = ACTIONS(2263),
    [anon_sym_getgrgid] = ACTIONS(2263),
    [anon_sym_hex] = ACTIONS(2263),
    [anon_sym_int] = ACTIONS(2263),
    [anon_sym_keys] = ACTIONS(2263),
    [anon_sym_lc] = ACTIONS(2263),
    [anon_sym_lcfirst] = ACTIONS(2263),
    [anon_sym_length] = ACTIONS(2263),
    [anon_sym_localtime] = ACTIONS(2263),
    [anon_sym_log] = ACTIONS(2263),
    [anon_sym_lock] = ACTIONS(2263),
    [anon_sym_lstat] = ACTIONS(2263),
    [anon_sym_oct] = ACTIONS(2263),
    [anon_sym_ord] = ACTIONS(2263),
    [anon_sym_prototype] = ACTIONS(2263),
    [anon_sym_pop] = ACTIONS(2263),
    [anon_sym_pos] = ACTIONS(2263),
    [anon_sym_quotemeta] = ACTIONS(2263),
    [anon_sym_reset] = ACTIONS(2263),
    [anon_sym_rand] = ACTIONS(2263),
    [anon_sym_rmdir] = ACTIONS(2263),
    [anon_sym_readdir] = ACTIONS(2263),
    [anon_sym_readline] = ACTIONS(2263),
    [anon_sym_readpipe] = ACTIONS(2263),
    [anon_sym_rewinddir] = ACTIONS(2263),
    [anon_sym_readlink] = ACTIONS(2263),
    [anon_sym_ref] = ACTIONS(2263),
    [anon_sym_scalar] = ACTIONS(2263),
    [anon_sym_shift] = ACTIONS(2263),
    [anon_sym_sin] = ACTIONS(2263),
    [anon_sym_sleep] = ACTIONS(2263),
    [anon_sym_sqrt] = ACTIONS(2263),
    [anon_sym_srand] = ACTIONS(2263),
    [anon_sym_stat] = ACTIONS(2263),
    [anon_sym_study] = ACTIONS(2263),
    [anon_sym_tell] = ACTIONS(2263),
    [anon_sym_telldir] = ACTIONS(2263),
    [anon_sym_tied] = ACTIONS(2263),
    [anon_sym_uc] = ACTIONS(2263),
    [anon_sym_ucfirst] = ACTIONS(2263),
    [anon_sym_untie] = ACTIONS(2263),
    [anon_sym_umask] = ACTIONS(2263),
    [anon_sym_values] = ACTIONS(2263),
    [anon_sym_write] = ACTIONS(2263),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2263),
    [anon_sym_qq] = ACTIONS(2263),
    [anon_sym_qw] = ACTIONS(2263),
    [anon_sym_qx] = ACTIONS(2263),
    [anon_sym_qr] = ACTIONS(2263),
    [anon_sym_m] = ACTIONS(2263),
    [anon_sym_s] = ACTIONS(2263),
    [anon_sym_tr] = ACTIONS(2263),
    [anon_sym_y] = ACTIONS(2263),
    [anon_sym_if] = ACTIONS(2263),
    [anon_sym_unless] = ACTIONS(2263),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_until] = ACTIONS(2263),
    [aux_sym__bareword_token1] = ACTIONS(2263),
    [sym_number] = ACTIONS(2263),
    [anon_sym_true] = ACTIONS(2263),
    [anon_sym_false] = ACTIONS(2263),
    [sym__single_quote] = ACTIONS(2261),
    [sym__double_quote] = ACTIONS(2261),
    [sym__backtick_quote] = ACTIONS(2261),
    [sym__search_slash_quote] = ACTIONS(2261),
    [sym__PERLY_HEREDOC] = ACTIONS(2261),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2261),
    [sym__filetest] = ACTIONS(2261),
  },
  [969] = {
    [sym_heredoc_content] = STATE(969),
    [sym__identifier] = ACTIONS(2076),
    [anon_sym_LBRACE] = ACTIONS(2076),
    [anon_sym_RBRACE] = ACTIONS(2076),
    [anon_sym_SEMI] = ACTIONS(2076),
    [anon_sym_package] = ACTIONS(2076),
    [anon_sym_class] = ACTIONS(2076),
    [anon_sym_role] = ACTIONS(2076),
    [anon_sym_BUILD] = ACTIONS(2076),
    [anon_sym_ADJUST] = ACTIONS(2076),
    [anon_sym_DOLLAR] = ACTIONS(2076),
    [anon_sym_AT] = ACTIONS(2076),
    [anon_sym_my] = ACTIONS(2076),
    [anon_sym_extended] = ACTIONS(2076),
    [anon_sym_async] = ACTIONS(2076),
    [anon_sym_sub] = ACTIONS(2076),
    [anon_sym_method] = ACTIONS(2076),
    [anon_sym_LPAREN] = ACTIONS(2076),
    [anon_sym_continue] = ACTIONS(2076),
    [anon_sym_state] = ACTIONS(2076),
    [anon_sym_our] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2076),
    [anon_sym_defer] = ACTIONS(2076),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2076),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [anon_sym_LT] = ACTIONS(2076),
    [anon_sym_LT_LT] = ACTIONS(2076),
    [anon_sym_SLASH_SLASH] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_DASH] = ACTIONS(2076),
    [anon_sym_STAR] = ACTIONS(2076),
    [anon_sym_TILDE] = ACTIONS(2076),
    [anon_sym_BANG] = ACTIONS(2076),
    [anon_sym_PLUS_PLUS] = ACTIONS(2076),
    [anon_sym_DASH_DASH] = ACTIONS(2076),
    [anon_sym_BSLASH] = ACTIONS(2074),
    [anon_sym_do] = ACTIONS(2076),
    [anon_sym_eval] = ACTIONS(2076),
    [anon_sym_await] = ACTIONS(2076),
    [anon_sym_field] = ACTIONS(2076),
    [anon_sym_local] = ACTIONS(2076),
    [anon_sym_dynamically] = ACTIONS(2076),
    [anon_sym_require] = ACTIONS(2076),
    [anon_sym_map] = ACTIONS(2076),
    [anon_sym_grep] = ACTIONS(2076),
    [anon_sym_sort] = ACTIONS(2076),
    [anon_sym_goto] = ACTIONS(2076),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_undef] = ACTIONS(2076),
    [anon_sym_PERCENT2] = ACTIONS(2076),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2076),
    [anon_sym_use] = ACTIONS(2076),
    [anon_sym_no] = ACTIONS(2076),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_foreach] = ACTIONS(2076),
    [anon_sym_last] = ACTIONS(2076),
    [anon_sym_next] = ACTIONS(2076),
    [anon_sym_redo] = ACTIONS(2076),
    [anon_sym_BEGIN] = ACTIONS(2076),
    [anon_sym_INIT] = ACTIONS(2076),
    [anon_sym_CHECK] = ACTIONS(2076),
    [anon_sym_UNITCHECK] = ACTIONS(2076),
    [anon_sym_END] = ACTIONS(2076),
    [anon_sym___FILE__] = ACTIONS(2076),
    [anon_sym___LINE__] = ACTIONS(2076),
    [anon_sym___PACKAGE__] = ACTIONS(2076),
    [anon_sym___SUB__] = ACTIONS(2076),
    [anon_sym_break] = ACTIONS(2076),
    [anon_sym_fork] = ACTIONS(2076),
    [anon_sym_getppid] = ACTIONS(2076),
    [anon_sym_time] = ACTIONS(2076),
    [anon_sym_times] = ACTIONS(2076),
    [anon_sym_wait] = ACTIONS(2076),
    [anon_sym_wantarray] = ACTIONS(2076),
    [anon_sym_abs] = ACTIONS(2076),
    [anon_sym_alarm] = ACTIONS(2076),
    [anon_sym_chop] = ACTIONS(2076),
    [anon_sym_chdir] = ACTIONS(2076),
    [anon_sym_close] = ACTIONS(2076),
    [anon_sym_closedir] = ACTIONS(2076),
    [anon_sym_caller] = ACTIONS(2076),
    [anon_sym_chomp] = ACTIONS(2076),
    [anon_sym_chr] = ACTIONS(2076),
    [anon_sym_cos] = ACTIONS(2076),
    [anon_sym_chroot] = ACTIONS(2076),
    [anon_sym_defined] = ACTIONS(2076),
    [anon_sym_delete] = ACTIONS(2076),
    [anon_sym_dbmclose] = ACTIONS(2076),
    [anon_sym_exists] = ACTIONS(2076),
    [anon_sym_exit] = ACTIONS(2076),
    [anon_sym_eof] = ACTIONS(2076),
    [anon_sym_exp] = ACTIONS(2076),
    [anon_sym_each] = ACTIONS(2076),
    [anon_sym_fc] = ACTIONS(2076),
    [anon_sym_fileno] = ACTIONS(2076),
    [anon_sym_gmtime] = ACTIONS(2076),
    [anon_sym_getc] = ACTIONS(2076),
    [anon_sym_getpgrp] = ACTIONS(2076),
    [anon_sym_getprotobyname] = ACTIONS(2076),
    [anon_sym_getpwname] = ACTIONS(2076),
    [anon_sym_getpwuid] = ACTIONS(2076),
    [anon_sym_getpeername] = ACTIONS(2076),
    [anon_sym_getnetbyname] = ACTIONS(2076),
    [anon_sym_getsockname] = ACTIONS(2076),
    [anon_sym_getgrnam] = ACTIONS(2076),
    [anon_sym_getgrgid] = ACTIONS(2076),
    [anon_sym_hex] = ACTIONS(2076),
    [anon_sym_int] = ACTIONS(2076),
    [anon_sym_keys] = ACTIONS(2076),
    [anon_sym_lc] = ACTIONS(2076),
    [anon_sym_lcfirst] = ACTIONS(2076),
    [anon_sym_length] = ACTIONS(2076),
    [anon_sym_localtime] = ACTIONS(2076),
    [anon_sym_log] = ACTIONS(2076),
    [anon_sym_lock] = ACTIONS(2076),
    [anon_sym_lstat] = ACTIONS(2076),
    [anon_sym_oct] = ACTIONS(2076),
    [anon_sym_ord] = ACTIONS(2076),
    [anon_sym_prototype] = ACTIONS(2076),
    [anon_sym_pop] = ACTIONS(2076),
    [anon_sym_pos] = ACTIONS(2076),
    [anon_sym_quotemeta] = ACTIONS(2076),
    [anon_sym_reset] = ACTIONS(2076),
    [anon_sym_rand] = ACTIONS(2076),
    [anon_sym_rmdir] = ACTIONS(2076),
    [anon_sym_readdir] = ACTIONS(2076),
    [anon_sym_readline] = ACTIONS(2076),
    [anon_sym_readpipe] = ACTIONS(2076),
    [anon_sym_rewinddir] = ACTIONS(2076),
    [anon_sym_readlink] = ACTIONS(2076),
    [anon_sym_ref] = ACTIONS(2076),
    [anon_sym_scalar] = ACTIONS(2076),
    [anon_sym_shift] = ACTIONS(2076),
    [anon_sym_sin] = ACTIONS(2076),
    [anon_sym_sleep] = ACTIONS(2076),
    [anon_sym_sqrt] = ACTIONS(2076),
    [anon_sym_srand] = ACTIONS(2076),
    [anon_sym_stat] = ACTIONS(2076),
    [anon_sym_study] = ACTIONS(2076),
    [anon_sym_tell] = ACTIONS(2076),
    [anon_sym_telldir] = ACTIONS(2076),
    [anon_sym_tied] = ACTIONS(2076),
    [anon_sym_uc] = ACTIONS(2076),
    [anon_sym_ucfirst] = ACTIONS(2076),
    [anon_sym_untie] = ACTIONS(2076),
    [anon_sym_umask] = ACTIONS(2076),
    [anon_sym_values] = ACTIONS(2076),
    [anon_sym_write] = ACTIONS(2076),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2076),
    [anon_sym_qq] = ACTIONS(2076),
    [anon_sym_qw] = ACTIONS(2076),
    [anon_sym_qx] = ACTIONS(2076),
    [anon_sym_qr] = ACTIONS(2076),
    [anon_sym_m] = ACTIONS(2076),
    [anon_sym_s] = ACTIONS(2076),
    [anon_sym_tr] = ACTIONS(2076),
    [anon_sym_y] = ACTIONS(2076),
    [anon_sym_if] = ACTIONS(2076),
    [anon_sym_unless] = ACTIONS(2076),
    [anon_sym_while] = ACTIONS(2076),
    [anon_sym_until] = ACTIONS(2076),
    [aux_sym__bareword_token1] = ACTIONS(2076),
    [sym_number] = ACTIONS(2076),
    [anon_sym_true] = ACTIONS(2076),
    [anon_sym_false] = ACTIONS(2076),
    [sym__single_quote] = ACTIONS(2074),
    [sym__double_quote] = ACTIONS(2074),
    [sym__backtick_quote] = ACTIONS(2074),
    [sym__search_slash_quote] = ACTIONS(2074),
    [sym__PERLY_HEREDOC] = ACTIONS(2074),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2074),
    [sym__filetest] = ACTIONS(2074),
  },
  [970] = {
    [sym_heredoc_content] = STATE(970),
    [sym__identifier] = ACTIONS(1932),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_RBRACE] = ACTIONS(1932),
    [anon_sym_SEMI] = ACTIONS(1932),
    [anon_sym_package] = ACTIONS(1932),
    [anon_sym_class] = ACTIONS(1932),
    [anon_sym_role] = ACTIONS(1932),
    [anon_sym_BUILD] = ACTIONS(1932),
    [anon_sym_ADJUST] = ACTIONS(1932),
    [anon_sym_DOLLAR] = ACTIONS(1932),
    [anon_sym_AT] = ACTIONS(1932),
    [anon_sym_my] = ACTIONS(1932),
    [anon_sym_extended] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(1932),
    [anon_sym_sub] = ACTIONS(1932),
    [anon_sym_method] = ACTIONS(1932),
    [anon_sym_LPAREN] = ACTIONS(1932),
    [anon_sym_continue] = ACTIONS(1932),
    [anon_sym_state] = ACTIONS(1932),
    [anon_sym_our] = ACTIONS(1932),
    [anon_sym_try] = ACTIONS(1932),
    [anon_sym_defer] = ACTIONS(1932),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1932),
    [anon_sym_LBRACK] = ACTIONS(1932),
    [anon_sym_LT] = ACTIONS(1932),
    [anon_sym_LT_LT] = ACTIONS(1932),
    [anon_sym_SLASH_SLASH] = ACTIONS(1932),
    [anon_sym_PLUS] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1932),
    [anon_sym_STAR] = ACTIONS(1932),
    [anon_sym_TILDE] = ACTIONS(1932),
    [anon_sym_BANG] = ACTIONS(1932),
    [anon_sym_PLUS_PLUS] = ACTIONS(1932),
    [anon_sym_DASH_DASH] = ACTIONS(1932),
    [anon_sym_BSLASH] = ACTIONS(1930),
    [anon_sym_do] = ACTIONS(1932),
    [anon_sym_eval] = ACTIONS(1932),
    [anon_sym_await] = ACTIONS(1932),
    [anon_sym_field] = ACTIONS(1932),
    [anon_sym_local] = ACTIONS(1932),
    [anon_sym_dynamically] = ACTIONS(1932),
    [anon_sym_require] = ACTIONS(1932),
    [anon_sym_map] = ACTIONS(1932),
    [anon_sym_grep] = ACTIONS(1932),
    [anon_sym_sort] = ACTIONS(1932),
    [anon_sym_goto] = ACTIONS(1932),
    [anon_sym_return] = ACTIONS(1932),
    [anon_sym_undef] = ACTIONS(1932),
    [anon_sym_PERCENT2] = ACTIONS(1932),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1932),
    [anon_sym_use] = ACTIONS(1932),
    [anon_sym_no] = ACTIONS(1932),
    [anon_sym_for] = ACTIONS(1932),
    [anon_sym_foreach] = ACTIONS(1932),
    [anon_sym_last] = ACTIONS(1932),
    [anon_sym_next] = ACTIONS(1932),
    [anon_sym_redo] = ACTIONS(1932),
    [anon_sym_BEGIN] = ACTIONS(1932),
    [anon_sym_INIT] = ACTIONS(1932),
    [anon_sym_CHECK] = ACTIONS(1932),
    [anon_sym_UNITCHECK] = ACTIONS(1932),
    [anon_sym_END] = ACTIONS(1932),
    [anon_sym___FILE__] = ACTIONS(1932),
    [anon_sym___LINE__] = ACTIONS(1932),
    [anon_sym___PACKAGE__] = ACTIONS(1932),
    [anon_sym___SUB__] = ACTIONS(1932),
    [anon_sym_break] = ACTIONS(1932),
    [anon_sym_fork] = ACTIONS(1932),
    [anon_sym_getppid] = ACTIONS(1932),
    [anon_sym_time] = ACTIONS(1932),
    [anon_sym_times] = ACTIONS(1932),
    [anon_sym_wait] = ACTIONS(1932),
    [anon_sym_wantarray] = ACTIONS(1932),
    [anon_sym_abs] = ACTIONS(1932),
    [anon_sym_alarm] = ACTIONS(1932),
    [anon_sym_chop] = ACTIONS(1932),
    [anon_sym_chdir] = ACTIONS(1932),
    [anon_sym_close] = ACTIONS(1932),
    [anon_sym_closedir] = ACTIONS(1932),
    [anon_sym_caller] = ACTIONS(1932),
    [anon_sym_chomp] = ACTIONS(1932),
    [anon_sym_chr] = ACTIONS(1932),
    [anon_sym_cos] = ACTIONS(1932),
    [anon_sym_chroot] = ACTIONS(1932),
    [anon_sym_defined] = ACTIONS(1932),
    [anon_sym_delete] = ACTIONS(1932),
    [anon_sym_dbmclose] = ACTIONS(1932),
    [anon_sym_exists] = ACTIONS(1932),
    [anon_sym_exit] = ACTIONS(1932),
    [anon_sym_eof] = ACTIONS(1932),
    [anon_sym_exp] = ACTIONS(1932),
    [anon_sym_each] = ACTIONS(1932),
    [anon_sym_fc] = ACTIONS(1932),
    [anon_sym_fileno] = ACTIONS(1932),
    [anon_sym_gmtime] = ACTIONS(1932),
    [anon_sym_getc] = ACTIONS(1932),
    [anon_sym_getpgrp] = ACTIONS(1932),
    [anon_sym_getprotobyname] = ACTIONS(1932),
    [anon_sym_getpwname] = ACTIONS(1932),
    [anon_sym_getpwuid] = ACTIONS(1932),
    [anon_sym_getpeername] = ACTIONS(1932),
    [anon_sym_getnetbyname] = ACTIONS(1932),
    [anon_sym_getsockname] = ACTIONS(1932),
    [anon_sym_getgrnam] = ACTIONS(1932),
    [anon_sym_getgrgid] = ACTIONS(1932),
    [anon_sym_hex] = ACTIONS(1932),
    [anon_sym_int] = ACTIONS(1932),
    [anon_sym_keys] = ACTIONS(1932),
    [anon_sym_lc] = ACTIONS(1932),
    [anon_sym_lcfirst] = ACTIONS(1932),
    [anon_sym_length] = ACTIONS(1932),
    [anon_sym_localtime] = ACTIONS(1932),
    [anon_sym_log] = ACTIONS(1932),
    [anon_sym_lock] = ACTIONS(1932),
    [anon_sym_lstat] = ACTIONS(1932),
    [anon_sym_oct] = ACTIONS(1932),
    [anon_sym_ord] = ACTIONS(1932),
    [anon_sym_prototype] = ACTIONS(1932),
    [anon_sym_pop] = ACTIONS(1932),
    [anon_sym_pos] = ACTIONS(1932),
    [anon_sym_quotemeta] = ACTIONS(1932),
    [anon_sym_reset] = ACTIONS(1932),
    [anon_sym_rand] = ACTIONS(1932),
    [anon_sym_rmdir] = ACTIONS(1932),
    [anon_sym_readdir] = ACTIONS(1932),
    [anon_sym_readline] = ACTIONS(1932),
    [anon_sym_readpipe] = ACTIONS(1932),
    [anon_sym_rewinddir] = ACTIONS(1932),
    [anon_sym_readlink] = ACTIONS(1932),
    [anon_sym_ref] = ACTIONS(1932),
    [anon_sym_scalar] = ACTIONS(1932),
    [anon_sym_shift] = ACTIONS(1932),
    [anon_sym_sin] = ACTIONS(1932),
    [anon_sym_sleep] = ACTIONS(1932),
    [anon_sym_sqrt] = ACTIONS(1932),
    [anon_sym_srand] = ACTIONS(1932),
    [anon_sym_stat] = ACTIONS(1932),
    [anon_sym_study] = ACTIONS(1932),
    [anon_sym_tell] = ACTIONS(1932),
    [anon_sym_telldir] = ACTIONS(1932),
    [anon_sym_tied] = ACTIONS(1932),
    [anon_sym_uc] = ACTIONS(1932),
    [anon_sym_ucfirst] = ACTIONS(1932),
    [anon_sym_untie] = ACTIONS(1932),
    [anon_sym_umask] = ACTIONS(1932),
    [anon_sym_values] = ACTIONS(1932),
    [anon_sym_write] = ACTIONS(1932),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1932),
    [anon_sym_qq] = ACTIONS(1932),
    [anon_sym_qw] = ACTIONS(1932),
    [anon_sym_qx] = ACTIONS(1932),
    [anon_sym_qr] = ACTIONS(1932),
    [anon_sym_m] = ACTIONS(1932),
    [anon_sym_s] = ACTIONS(1932),
    [anon_sym_tr] = ACTIONS(1932),
    [anon_sym_y] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(1932),
    [anon_sym_unless] = ACTIONS(1932),
    [anon_sym_while] = ACTIONS(1932),
    [anon_sym_until] = ACTIONS(1932),
    [aux_sym__bareword_token1] = ACTIONS(1932),
    [sym_number] = ACTIONS(1932),
    [anon_sym_true] = ACTIONS(1932),
    [anon_sym_false] = ACTIONS(1932),
    [sym__single_quote] = ACTIONS(1930),
    [sym__double_quote] = ACTIONS(1930),
    [sym__backtick_quote] = ACTIONS(1930),
    [sym__search_slash_quote] = ACTIONS(1930),
    [sym__PERLY_HEREDOC] = ACTIONS(1930),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1930),
    [sym__filetest] = ACTIONS(1930),
  },
  [971] = {
    [sym_heredoc_content] = STATE(971),
    [sym__identifier] = ACTIONS(1948),
    [anon_sym_LBRACE] = ACTIONS(1948),
    [anon_sym_RBRACE] = ACTIONS(1948),
    [anon_sym_SEMI] = ACTIONS(1948),
    [anon_sym_package] = ACTIONS(1948),
    [anon_sym_class] = ACTIONS(1948),
    [anon_sym_role] = ACTIONS(1948),
    [anon_sym_BUILD] = ACTIONS(1948),
    [anon_sym_ADJUST] = ACTIONS(1948),
    [anon_sym_DOLLAR] = ACTIONS(1948),
    [anon_sym_AT] = ACTIONS(1948),
    [anon_sym_my] = ACTIONS(1948),
    [anon_sym_extended] = ACTIONS(1948),
    [anon_sym_async] = ACTIONS(1948),
    [anon_sym_sub] = ACTIONS(1948),
    [anon_sym_method] = ACTIONS(1948),
    [anon_sym_LPAREN] = ACTIONS(1948),
    [anon_sym_continue] = ACTIONS(1948),
    [anon_sym_state] = ACTIONS(1948),
    [anon_sym_our] = ACTIONS(1948),
    [anon_sym_try] = ACTIONS(1948),
    [anon_sym_defer] = ACTIONS(1948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1948),
    [anon_sym_LBRACK] = ACTIONS(1948),
    [anon_sym_LT] = ACTIONS(1948),
    [anon_sym_LT_LT] = ACTIONS(1948),
    [anon_sym_SLASH_SLASH] = ACTIONS(1948),
    [anon_sym_PLUS] = ACTIONS(1948),
    [anon_sym_DASH] = ACTIONS(1948),
    [anon_sym_STAR] = ACTIONS(1948),
    [anon_sym_TILDE] = ACTIONS(1948),
    [anon_sym_BANG] = ACTIONS(1948),
    [anon_sym_PLUS_PLUS] = ACTIONS(1948),
    [anon_sym_DASH_DASH] = ACTIONS(1948),
    [anon_sym_BSLASH] = ACTIONS(1946),
    [anon_sym_do] = ACTIONS(1948),
    [anon_sym_eval] = ACTIONS(1948),
    [anon_sym_await] = ACTIONS(1948),
    [anon_sym_field] = ACTIONS(1948),
    [anon_sym_local] = ACTIONS(1948),
    [anon_sym_dynamically] = ACTIONS(1948),
    [anon_sym_require] = ACTIONS(1948),
    [anon_sym_map] = ACTIONS(1948),
    [anon_sym_grep] = ACTIONS(1948),
    [anon_sym_sort] = ACTIONS(1948),
    [anon_sym_goto] = ACTIONS(1948),
    [anon_sym_return] = ACTIONS(1948),
    [anon_sym_undef] = ACTIONS(1948),
    [anon_sym_PERCENT2] = ACTIONS(1948),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1948),
    [anon_sym_use] = ACTIONS(1948),
    [anon_sym_no] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(1948),
    [anon_sym_foreach] = ACTIONS(1948),
    [anon_sym_last] = ACTIONS(1948),
    [anon_sym_next] = ACTIONS(1948),
    [anon_sym_redo] = ACTIONS(1948),
    [anon_sym_BEGIN] = ACTIONS(1948),
    [anon_sym_INIT] = ACTIONS(1948),
    [anon_sym_CHECK] = ACTIONS(1948),
    [anon_sym_UNITCHECK] = ACTIONS(1948),
    [anon_sym_END] = ACTIONS(1948),
    [anon_sym___FILE__] = ACTIONS(1948),
    [anon_sym___LINE__] = ACTIONS(1948),
    [anon_sym___PACKAGE__] = ACTIONS(1948),
    [anon_sym___SUB__] = ACTIONS(1948),
    [anon_sym_break] = ACTIONS(1948),
    [anon_sym_fork] = ACTIONS(1948),
    [anon_sym_getppid] = ACTIONS(1948),
    [anon_sym_time] = ACTIONS(1948),
    [anon_sym_times] = ACTIONS(1948),
    [anon_sym_wait] = ACTIONS(1948),
    [anon_sym_wantarray] = ACTIONS(1948),
    [anon_sym_abs] = ACTIONS(1948),
    [anon_sym_alarm] = ACTIONS(1948),
    [anon_sym_chop] = ACTIONS(1948),
    [anon_sym_chdir] = ACTIONS(1948),
    [anon_sym_close] = ACTIONS(1948),
    [anon_sym_closedir] = ACTIONS(1948),
    [anon_sym_caller] = ACTIONS(1948),
    [anon_sym_chomp] = ACTIONS(1948),
    [anon_sym_chr] = ACTIONS(1948),
    [anon_sym_cos] = ACTIONS(1948),
    [anon_sym_chroot] = ACTIONS(1948),
    [anon_sym_defined] = ACTIONS(1948),
    [anon_sym_delete] = ACTIONS(1948),
    [anon_sym_dbmclose] = ACTIONS(1948),
    [anon_sym_exists] = ACTIONS(1948),
    [anon_sym_exit] = ACTIONS(1948),
    [anon_sym_eof] = ACTIONS(1948),
    [anon_sym_exp] = ACTIONS(1948),
    [anon_sym_each] = ACTIONS(1948),
    [anon_sym_fc] = ACTIONS(1948),
    [anon_sym_fileno] = ACTIONS(1948),
    [anon_sym_gmtime] = ACTIONS(1948),
    [anon_sym_getc] = ACTIONS(1948),
    [anon_sym_getpgrp] = ACTIONS(1948),
    [anon_sym_getprotobyname] = ACTIONS(1948),
    [anon_sym_getpwname] = ACTIONS(1948),
    [anon_sym_getpwuid] = ACTIONS(1948),
    [anon_sym_getpeername] = ACTIONS(1948),
    [anon_sym_getnetbyname] = ACTIONS(1948),
    [anon_sym_getsockname] = ACTIONS(1948),
    [anon_sym_getgrnam] = ACTIONS(1948),
    [anon_sym_getgrgid] = ACTIONS(1948),
    [anon_sym_hex] = ACTIONS(1948),
    [anon_sym_int] = ACTIONS(1948),
    [anon_sym_keys] = ACTIONS(1948),
    [anon_sym_lc] = ACTIONS(1948),
    [anon_sym_lcfirst] = ACTIONS(1948),
    [anon_sym_length] = ACTIONS(1948),
    [anon_sym_localtime] = ACTIONS(1948),
    [anon_sym_log] = ACTIONS(1948),
    [anon_sym_lock] = ACTIONS(1948),
    [anon_sym_lstat] = ACTIONS(1948),
    [anon_sym_oct] = ACTIONS(1948),
    [anon_sym_ord] = ACTIONS(1948),
    [anon_sym_prototype] = ACTIONS(1948),
    [anon_sym_pop] = ACTIONS(1948),
    [anon_sym_pos] = ACTIONS(1948),
    [anon_sym_quotemeta] = ACTIONS(1948),
    [anon_sym_reset] = ACTIONS(1948),
    [anon_sym_rand] = ACTIONS(1948),
    [anon_sym_rmdir] = ACTIONS(1948),
    [anon_sym_readdir] = ACTIONS(1948),
    [anon_sym_readline] = ACTIONS(1948),
    [anon_sym_readpipe] = ACTIONS(1948),
    [anon_sym_rewinddir] = ACTIONS(1948),
    [anon_sym_readlink] = ACTIONS(1948),
    [anon_sym_ref] = ACTIONS(1948),
    [anon_sym_scalar] = ACTIONS(1948),
    [anon_sym_shift] = ACTIONS(1948),
    [anon_sym_sin] = ACTIONS(1948),
    [anon_sym_sleep] = ACTIONS(1948),
    [anon_sym_sqrt] = ACTIONS(1948),
    [anon_sym_srand] = ACTIONS(1948),
    [anon_sym_stat] = ACTIONS(1948),
    [anon_sym_study] = ACTIONS(1948),
    [anon_sym_tell] = ACTIONS(1948),
    [anon_sym_telldir] = ACTIONS(1948),
    [anon_sym_tied] = ACTIONS(1948),
    [anon_sym_uc] = ACTIONS(1948),
    [anon_sym_ucfirst] = ACTIONS(1948),
    [anon_sym_untie] = ACTIONS(1948),
    [anon_sym_umask] = ACTIONS(1948),
    [anon_sym_values] = ACTIONS(1948),
    [anon_sym_write] = ACTIONS(1948),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1948),
    [anon_sym_qq] = ACTIONS(1948),
    [anon_sym_qw] = ACTIONS(1948),
    [anon_sym_qx] = ACTIONS(1948),
    [anon_sym_qr] = ACTIONS(1948),
    [anon_sym_m] = ACTIONS(1948),
    [anon_sym_s] = ACTIONS(1948),
    [anon_sym_tr] = ACTIONS(1948),
    [anon_sym_y] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(1948),
    [anon_sym_unless] = ACTIONS(1948),
    [anon_sym_while] = ACTIONS(1948),
    [anon_sym_until] = ACTIONS(1948),
    [aux_sym__bareword_token1] = ACTIONS(1948),
    [sym_number] = ACTIONS(1948),
    [anon_sym_true] = ACTIONS(1948),
    [anon_sym_false] = ACTIONS(1948),
    [sym__single_quote] = ACTIONS(1946),
    [sym__double_quote] = ACTIONS(1946),
    [sym__backtick_quote] = ACTIONS(1946),
    [sym__search_slash_quote] = ACTIONS(1946),
    [sym__PERLY_HEREDOC] = ACTIONS(1946),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1946),
    [sym__filetest] = ACTIONS(1946),
  },
  [972] = {
    [sym_heredoc_content] = STATE(972),
    [sym__identifier] = ACTIONS(1952),
    [anon_sym_LBRACE] = ACTIONS(1952),
    [anon_sym_RBRACE] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(1952),
    [anon_sym_package] = ACTIONS(1952),
    [anon_sym_class] = ACTIONS(1952),
    [anon_sym_role] = ACTIONS(1952),
    [anon_sym_BUILD] = ACTIONS(1952),
    [anon_sym_ADJUST] = ACTIONS(1952),
    [anon_sym_DOLLAR] = ACTIONS(1952),
    [anon_sym_AT] = ACTIONS(1952),
    [anon_sym_my] = ACTIONS(1952),
    [anon_sym_extended] = ACTIONS(1952),
    [anon_sym_async] = ACTIONS(1952),
    [anon_sym_sub] = ACTIONS(1952),
    [anon_sym_method] = ACTIONS(1952),
    [anon_sym_LPAREN] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_state] = ACTIONS(1952),
    [anon_sym_our] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [anon_sym_defer] = ACTIONS(1952),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1952),
    [anon_sym_LBRACK] = ACTIONS(1952),
    [anon_sym_LT] = ACTIONS(1952),
    [anon_sym_LT_LT] = ACTIONS(1952),
    [anon_sym_SLASH_SLASH] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(1952),
    [anon_sym_DASH] = ACTIONS(1952),
    [anon_sym_STAR] = ACTIONS(1952),
    [anon_sym_TILDE] = ACTIONS(1952),
    [anon_sym_BANG] = ACTIONS(1952),
    [anon_sym_PLUS_PLUS] = ACTIONS(1952),
    [anon_sym_DASH_DASH] = ACTIONS(1952),
    [anon_sym_BSLASH] = ACTIONS(1950),
    [anon_sym_do] = ACTIONS(1952),
    [anon_sym_eval] = ACTIONS(1952),
    [anon_sym_await] = ACTIONS(1952),
    [anon_sym_field] = ACTIONS(1952),
    [anon_sym_local] = ACTIONS(1952),
    [anon_sym_dynamically] = ACTIONS(1952),
    [anon_sym_require] = ACTIONS(1952),
    [anon_sym_map] = ACTIONS(1952),
    [anon_sym_grep] = ACTIONS(1952),
    [anon_sym_sort] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_undef] = ACTIONS(1952),
    [anon_sym_PERCENT2] = ACTIONS(1952),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1952),
    [anon_sym_use] = ACTIONS(1952),
    [anon_sym_no] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_foreach] = ACTIONS(1952),
    [anon_sym_last] = ACTIONS(1952),
    [anon_sym_next] = ACTIONS(1952),
    [anon_sym_redo] = ACTIONS(1952),
    [anon_sym_BEGIN] = ACTIONS(1952),
    [anon_sym_INIT] = ACTIONS(1952),
    [anon_sym_CHECK] = ACTIONS(1952),
    [anon_sym_UNITCHECK] = ACTIONS(1952),
    [anon_sym_END] = ACTIONS(1952),
    [anon_sym___FILE__] = ACTIONS(1952),
    [anon_sym___LINE__] = ACTIONS(1952),
    [anon_sym___PACKAGE__] = ACTIONS(1952),
    [anon_sym___SUB__] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_fork] = ACTIONS(1952),
    [anon_sym_getppid] = ACTIONS(1952),
    [anon_sym_time] = ACTIONS(1952),
    [anon_sym_times] = ACTIONS(1952),
    [anon_sym_wait] = ACTIONS(1952),
    [anon_sym_wantarray] = ACTIONS(1952),
    [anon_sym_abs] = ACTIONS(1952),
    [anon_sym_alarm] = ACTIONS(1952),
    [anon_sym_chop] = ACTIONS(1952),
    [anon_sym_chdir] = ACTIONS(1952),
    [anon_sym_close] = ACTIONS(1952),
    [anon_sym_closedir] = ACTIONS(1952),
    [anon_sym_caller] = ACTIONS(1952),
    [anon_sym_chomp] = ACTIONS(1952),
    [anon_sym_chr] = ACTIONS(1952),
    [anon_sym_cos] = ACTIONS(1952),
    [anon_sym_chroot] = ACTIONS(1952),
    [anon_sym_defined] = ACTIONS(1952),
    [anon_sym_delete] = ACTIONS(1952),
    [anon_sym_dbmclose] = ACTIONS(1952),
    [anon_sym_exists] = ACTIONS(1952),
    [anon_sym_exit] = ACTIONS(1952),
    [anon_sym_eof] = ACTIONS(1952),
    [anon_sym_exp] = ACTIONS(1952),
    [anon_sym_each] = ACTIONS(1952),
    [anon_sym_fc] = ACTIONS(1952),
    [anon_sym_fileno] = ACTIONS(1952),
    [anon_sym_gmtime] = ACTIONS(1952),
    [anon_sym_getc] = ACTIONS(1952),
    [anon_sym_getpgrp] = ACTIONS(1952),
    [anon_sym_getprotobyname] = ACTIONS(1952),
    [anon_sym_getpwname] = ACTIONS(1952),
    [anon_sym_getpwuid] = ACTIONS(1952),
    [anon_sym_getpeername] = ACTIONS(1952),
    [anon_sym_getnetbyname] = ACTIONS(1952),
    [anon_sym_getsockname] = ACTIONS(1952),
    [anon_sym_getgrnam] = ACTIONS(1952),
    [anon_sym_getgrgid] = ACTIONS(1952),
    [anon_sym_hex] = ACTIONS(1952),
    [anon_sym_int] = ACTIONS(1952),
    [anon_sym_keys] = ACTIONS(1952),
    [anon_sym_lc] = ACTIONS(1952),
    [anon_sym_lcfirst] = ACTIONS(1952),
    [anon_sym_length] = ACTIONS(1952),
    [anon_sym_localtime] = ACTIONS(1952),
    [anon_sym_log] = ACTIONS(1952),
    [anon_sym_lock] = ACTIONS(1952),
    [anon_sym_lstat] = ACTIONS(1952),
    [anon_sym_oct] = ACTIONS(1952),
    [anon_sym_ord] = ACTIONS(1952),
    [anon_sym_prototype] = ACTIONS(1952),
    [anon_sym_pop] = ACTIONS(1952),
    [anon_sym_pos] = ACTIONS(1952),
    [anon_sym_quotemeta] = ACTIONS(1952),
    [anon_sym_reset] = ACTIONS(1952),
    [anon_sym_rand] = ACTIONS(1952),
    [anon_sym_rmdir] = ACTIONS(1952),
    [anon_sym_readdir] = ACTIONS(1952),
    [anon_sym_readline] = ACTIONS(1952),
    [anon_sym_readpipe] = ACTIONS(1952),
    [anon_sym_rewinddir] = ACTIONS(1952),
    [anon_sym_readlink] = ACTIONS(1952),
    [anon_sym_ref] = ACTIONS(1952),
    [anon_sym_scalar] = ACTIONS(1952),
    [anon_sym_shift] = ACTIONS(1952),
    [anon_sym_sin] = ACTIONS(1952),
    [anon_sym_sleep] = ACTIONS(1952),
    [anon_sym_sqrt] = ACTIONS(1952),
    [anon_sym_srand] = ACTIONS(1952),
    [anon_sym_stat] = ACTIONS(1952),
    [anon_sym_study] = ACTIONS(1952),
    [anon_sym_tell] = ACTIONS(1952),
    [anon_sym_telldir] = ACTIONS(1952),
    [anon_sym_tied] = ACTIONS(1952),
    [anon_sym_uc] = ACTIONS(1952),
    [anon_sym_ucfirst] = ACTIONS(1952),
    [anon_sym_untie] = ACTIONS(1952),
    [anon_sym_umask] = ACTIONS(1952),
    [anon_sym_values] = ACTIONS(1952),
    [anon_sym_write] = ACTIONS(1952),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1952),
    [anon_sym_qq] = ACTIONS(1952),
    [anon_sym_qw] = ACTIONS(1952),
    [anon_sym_qx] = ACTIONS(1952),
    [anon_sym_qr] = ACTIONS(1952),
    [anon_sym_m] = ACTIONS(1952),
    [anon_sym_s] = ACTIONS(1952),
    [anon_sym_tr] = ACTIONS(1952),
    [anon_sym_y] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_unless] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_until] = ACTIONS(1952),
    [aux_sym__bareword_token1] = ACTIONS(1952),
    [sym_number] = ACTIONS(1952),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [sym__single_quote] = ACTIONS(1950),
    [sym__double_quote] = ACTIONS(1950),
    [sym__backtick_quote] = ACTIONS(1950),
    [sym__search_slash_quote] = ACTIONS(1950),
    [sym__PERLY_HEREDOC] = ACTIONS(1950),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1950),
    [sym__filetest] = ACTIONS(1950),
  },
  [973] = {
    [sym_heredoc_content] = STATE(973),
    [sym__identifier] = ACTIONS(2012),
    [anon_sym_LBRACE] = ACTIONS(2012),
    [anon_sym_RBRACE] = ACTIONS(2012),
    [anon_sym_SEMI] = ACTIONS(2012),
    [anon_sym_package] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2012),
    [anon_sym_role] = ACTIONS(2012),
    [anon_sym_BUILD] = ACTIONS(2012),
    [anon_sym_ADJUST] = ACTIONS(2012),
    [anon_sym_DOLLAR] = ACTIONS(2012),
    [anon_sym_AT] = ACTIONS(2012),
    [anon_sym_my] = ACTIONS(2012),
    [anon_sym_extended] = ACTIONS(2012),
    [anon_sym_async] = ACTIONS(2012),
    [anon_sym_sub] = ACTIONS(2012),
    [anon_sym_method] = ACTIONS(2012),
    [anon_sym_LPAREN] = ACTIONS(2012),
    [anon_sym_continue] = ACTIONS(2012),
    [anon_sym_state] = ACTIONS(2012),
    [anon_sym_our] = ACTIONS(2012),
    [anon_sym_try] = ACTIONS(2012),
    [anon_sym_defer] = ACTIONS(2012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2012),
    [anon_sym_LBRACK] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(2012),
    [anon_sym_LT_LT] = ACTIONS(2012),
    [anon_sym_SLASH_SLASH] = ACTIONS(2012),
    [anon_sym_PLUS] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2012),
    [anon_sym_STAR] = ACTIONS(2012),
    [anon_sym_TILDE] = ACTIONS(2012),
    [anon_sym_BANG] = ACTIONS(2012),
    [anon_sym_PLUS_PLUS] = ACTIONS(2012),
    [anon_sym_DASH_DASH] = ACTIONS(2012),
    [anon_sym_BSLASH] = ACTIONS(2010),
    [anon_sym_do] = ACTIONS(2012),
    [anon_sym_eval] = ACTIONS(2012),
    [anon_sym_await] = ACTIONS(2012),
    [anon_sym_field] = ACTIONS(2012),
    [anon_sym_local] = ACTIONS(2012),
    [anon_sym_dynamically] = ACTIONS(2012),
    [anon_sym_require] = ACTIONS(2012),
    [anon_sym_map] = ACTIONS(2012),
    [anon_sym_grep] = ACTIONS(2012),
    [anon_sym_sort] = ACTIONS(2012),
    [anon_sym_goto] = ACTIONS(2012),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_undef] = ACTIONS(2012),
    [anon_sym_PERCENT2] = ACTIONS(2012),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2012),
    [anon_sym_use] = ACTIONS(2012),
    [anon_sym_no] = ACTIONS(2012),
    [anon_sym_for] = ACTIONS(2012),
    [anon_sym_foreach] = ACTIONS(2012),
    [anon_sym_last] = ACTIONS(2012),
    [anon_sym_next] = ACTIONS(2012),
    [anon_sym_redo] = ACTIONS(2012),
    [anon_sym_BEGIN] = ACTIONS(2012),
    [anon_sym_INIT] = ACTIONS(2012),
    [anon_sym_CHECK] = ACTIONS(2012),
    [anon_sym_UNITCHECK] = ACTIONS(2012),
    [anon_sym_END] = ACTIONS(2012),
    [anon_sym___FILE__] = ACTIONS(2012),
    [anon_sym___LINE__] = ACTIONS(2012),
    [anon_sym___PACKAGE__] = ACTIONS(2012),
    [anon_sym___SUB__] = ACTIONS(2012),
    [anon_sym_break] = ACTIONS(2012),
    [anon_sym_fork] = ACTIONS(2012),
    [anon_sym_getppid] = ACTIONS(2012),
    [anon_sym_time] = ACTIONS(2012),
    [anon_sym_times] = ACTIONS(2012),
    [anon_sym_wait] = ACTIONS(2012),
    [anon_sym_wantarray] = ACTIONS(2012),
    [anon_sym_abs] = ACTIONS(2012),
    [anon_sym_alarm] = ACTIONS(2012),
    [anon_sym_chop] = ACTIONS(2012),
    [anon_sym_chdir] = ACTIONS(2012),
    [anon_sym_close] = ACTIONS(2012),
    [anon_sym_closedir] = ACTIONS(2012),
    [anon_sym_caller] = ACTIONS(2012),
    [anon_sym_chomp] = ACTIONS(2012),
    [anon_sym_chr] = ACTIONS(2012),
    [anon_sym_cos] = ACTIONS(2012),
    [anon_sym_chroot] = ACTIONS(2012),
    [anon_sym_defined] = ACTIONS(2012),
    [anon_sym_delete] = ACTIONS(2012),
    [anon_sym_dbmclose] = ACTIONS(2012),
    [anon_sym_exists] = ACTIONS(2012),
    [anon_sym_exit] = ACTIONS(2012),
    [anon_sym_eof] = ACTIONS(2012),
    [anon_sym_exp] = ACTIONS(2012),
    [anon_sym_each] = ACTIONS(2012),
    [anon_sym_fc] = ACTIONS(2012),
    [anon_sym_fileno] = ACTIONS(2012),
    [anon_sym_gmtime] = ACTIONS(2012),
    [anon_sym_getc] = ACTIONS(2012),
    [anon_sym_getpgrp] = ACTIONS(2012),
    [anon_sym_getprotobyname] = ACTIONS(2012),
    [anon_sym_getpwname] = ACTIONS(2012),
    [anon_sym_getpwuid] = ACTIONS(2012),
    [anon_sym_getpeername] = ACTIONS(2012),
    [anon_sym_getnetbyname] = ACTIONS(2012),
    [anon_sym_getsockname] = ACTIONS(2012),
    [anon_sym_getgrnam] = ACTIONS(2012),
    [anon_sym_getgrgid] = ACTIONS(2012),
    [anon_sym_hex] = ACTIONS(2012),
    [anon_sym_int] = ACTIONS(2012),
    [anon_sym_keys] = ACTIONS(2012),
    [anon_sym_lc] = ACTIONS(2012),
    [anon_sym_lcfirst] = ACTIONS(2012),
    [anon_sym_length] = ACTIONS(2012),
    [anon_sym_localtime] = ACTIONS(2012),
    [anon_sym_log] = ACTIONS(2012),
    [anon_sym_lock] = ACTIONS(2012),
    [anon_sym_lstat] = ACTIONS(2012),
    [anon_sym_oct] = ACTIONS(2012),
    [anon_sym_ord] = ACTIONS(2012),
    [anon_sym_prototype] = ACTIONS(2012),
    [anon_sym_pop] = ACTIONS(2012),
    [anon_sym_pos] = ACTIONS(2012),
    [anon_sym_quotemeta] = ACTIONS(2012),
    [anon_sym_reset] = ACTIONS(2012),
    [anon_sym_rand] = ACTIONS(2012),
    [anon_sym_rmdir] = ACTIONS(2012),
    [anon_sym_readdir] = ACTIONS(2012),
    [anon_sym_readline] = ACTIONS(2012),
    [anon_sym_readpipe] = ACTIONS(2012),
    [anon_sym_rewinddir] = ACTIONS(2012),
    [anon_sym_readlink] = ACTIONS(2012),
    [anon_sym_ref] = ACTIONS(2012),
    [anon_sym_scalar] = ACTIONS(2012),
    [anon_sym_shift] = ACTIONS(2012),
    [anon_sym_sin] = ACTIONS(2012),
    [anon_sym_sleep] = ACTIONS(2012),
    [anon_sym_sqrt] = ACTIONS(2012),
    [anon_sym_srand] = ACTIONS(2012),
    [anon_sym_stat] = ACTIONS(2012),
    [anon_sym_study] = ACTIONS(2012),
    [anon_sym_tell] = ACTIONS(2012),
    [anon_sym_telldir] = ACTIONS(2012),
    [anon_sym_tied] = ACTIONS(2012),
    [anon_sym_uc] = ACTIONS(2012),
    [anon_sym_ucfirst] = ACTIONS(2012),
    [anon_sym_untie] = ACTIONS(2012),
    [anon_sym_umask] = ACTIONS(2012),
    [anon_sym_values] = ACTIONS(2012),
    [anon_sym_write] = ACTIONS(2012),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2012),
    [anon_sym_qq] = ACTIONS(2012),
    [anon_sym_qw] = ACTIONS(2012),
    [anon_sym_qx] = ACTIONS(2012),
    [anon_sym_qr] = ACTIONS(2012),
    [anon_sym_m] = ACTIONS(2012),
    [anon_sym_s] = ACTIONS(2012),
    [anon_sym_tr] = ACTIONS(2012),
    [anon_sym_y] = ACTIONS(2012),
    [anon_sym_if] = ACTIONS(2012),
    [anon_sym_unless] = ACTIONS(2012),
    [anon_sym_while] = ACTIONS(2012),
    [anon_sym_until] = ACTIONS(2012),
    [aux_sym__bareword_token1] = ACTIONS(2012),
    [sym_number] = ACTIONS(2012),
    [anon_sym_true] = ACTIONS(2012),
    [anon_sym_false] = ACTIONS(2012),
    [sym__single_quote] = ACTIONS(2010),
    [sym__double_quote] = ACTIONS(2010),
    [sym__backtick_quote] = ACTIONS(2010),
    [sym__search_slash_quote] = ACTIONS(2010),
    [sym__PERLY_HEREDOC] = ACTIONS(2010),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2010),
    [sym__filetest] = ACTIONS(2010),
  },
  [974] = {
    [sym_heredoc_content] = STATE(974),
    [sym__identifier] = ACTIONS(2211),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_RBRACE] = ACTIONS(2211),
    [anon_sym_SEMI] = ACTIONS(2211),
    [anon_sym_package] = ACTIONS(2211),
    [anon_sym_class] = ACTIONS(2211),
    [anon_sym_role] = ACTIONS(2211),
    [anon_sym_BUILD] = ACTIONS(2211),
    [anon_sym_ADJUST] = ACTIONS(2211),
    [anon_sym_DOLLAR] = ACTIONS(2211),
    [anon_sym_AT] = ACTIONS(2211),
    [anon_sym_my] = ACTIONS(2211),
    [anon_sym_extended] = ACTIONS(2211),
    [anon_sym_async] = ACTIONS(2211),
    [anon_sym_sub] = ACTIONS(2211),
    [anon_sym_method] = ACTIONS(2211),
    [anon_sym_LPAREN] = ACTIONS(2211),
    [anon_sym_continue] = ACTIONS(2211),
    [anon_sym_state] = ACTIONS(2211),
    [anon_sym_our] = ACTIONS(2211),
    [anon_sym_try] = ACTIONS(2211),
    [anon_sym_defer] = ACTIONS(2211),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2211),
    [anon_sym_LBRACK] = ACTIONS(2211),
    [anon_sym_LT] = ACTIONS(2211),
    [anon_sym_LT_LT] = ACTIONS(2211),
    [anon_sym_SLASH_SLASH] = ACTIONS(2211),
    [anon_sym_PLUS] = ACTIONS(2211),
    [anon_sym_DASH] = ACTIONS(2211),
    [anon_sym_STAR] = ACTIONS(2211),
    [anon_sym_TILDE] = ACTIONS(2211),
    [anon_sym_BANG] = ACTIONS(2211),
    [anon_sym_PLUS_PLUS] = ACTIONS(2211),
    [anon_sym_DASH_DASH] = ACTIONS(2211),
    [anon_sym_BSLASH] = ACTIONS(2209),
    [anon_sym_do] = ACTIONS(2211),
    [anon_sym_eval] = ACTIONS(2211),
    [anon_sym_await] = ACTIONS(2211),
    [anon_sym_field] = ACTIONS(2211),
    [anon_sym_local] = ACTIONS(2211),
    [anon_sym_dynamically] = ACTIONS(2211),
    [anon_sym_require] = ACTIONS(2211),
    [anon_sym_map] = ACTIONS(2211),
    [anon_sym_grep] = ACTIONS(2211),
    [anon_sym_sort] = ACTIONS(2211),
    [anon_sym_goto] = ACTIONS(2211),
    [anon_sym_return] = ACTIONS(2211),
    [anon_sym_undef] = ACTIONS(2211),
    [anon_sym_PERCENT2] = ACTIONS(2211),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2211),
    [anon_sym_use] = ACTIONS(2211),
    [anon_sym_no] = ACTIONS(2211),
    [anon_sym_for] = ACTIONS(2211),
    [anon_sym_foreach] = ACTIONS(2211),
    [anon_sym_last] = ACTIONS(2211),
    [anon_sym_next] = ACTIONS(2211),
    [anon_sym_redo] = ACTIONS(2211),
    [anon_sym_BEGIN] = ACTIONS(2211),
    [anon_sym_INIT] = ACTIONS(2211),
    [anon_sym_CHECK] = ACTIONS(2211),
    [anon_sym_UNITCHECK] = ACTIONS(2211),
    [anon_sym_END] = ACTIONS(2211),
    [anon_sym___FILE__] = ACTIONS(2211),
    [anon_sym___LINE__] = ACTIONS(2211),
    [anon_sym___PACKAGE__] = ACTIONS(2211),
    [anon_sym___SUB__] = ACTIONS(2211),
    [anon_sym_break] = ACTIONS(2211),
    [anon_sym_fork] = ACTIONS(2211),
    [anon_sym_getppid] = ACTIONS(2211),
    [anon_sym_time] = ACTIONS(2211),
    [anon_sym_times] = ACTIONS(2211),
    [anon_sym_wait] = ACTIONS(2211),
    [anon_sym_wantarray] = ACTIONS(2211),
    [anon_sym_abs] = ACTIONS(2211),
    [anon_sym_alarm] = ACTIONS(2211),
    [anon_sym_chop] = ACTIONS(2211),
    [anon_sym_chdir] = ACTIONS(2211),
    [anon_sym_close] = ACTIONS(2211),
    [anon_sym_closedir] = ACTIONS(2211),
    [anon_sym_caller] = ACTIONS(2211),
    [anon_sym_chomp] = ACTIONS(2211),
    [anon_sym_chr] = ACTIONS(2211),
    [anon_sym_cos] = ACTIONS(2211),
    [anon_sym_chroot] = ACTIONS(2211),
    [anon_sym_defined] = ACTIONS(2211),
    [anon_sym_delete] = ACTIONS(2211),
    [anon_sym_dbmclose] = ACTIONS(2211),
    [anon_sym_exists] = ACTIONS(2211),
    [anon_sym_exit] = ACTIONS(2211),
    [anon_sym_eof] = ACTIONS(2211),
    [anon_sym_exp] = ACTIONS(2211),
    [anon_sym_each] = ACTIONS(2211),
    [anon_sym_fc] = ACTIONS(2211),
    [anon_sym_fileno] = ACTIONS(2211),
    [anon_sym_gmtime] = ACTIONS(2211),
    [anon_sym_getc] = ACTIONS(2211),
    [anon_sym_getpgrp] = ACTIONS(2211),
    [anon_sym_getprotobyname] = ACTIONS(2211),
    [anon_sym_getpwname] = ACTIONS(2211),
    [anon_sym_getpwuid] = ACTIONS(2211),
    [anon_sym_getpeername] = ACTIONS(2211),
    [anon_sym_getnetbyname] = ACTIONS(2211),
    [anon_sym_getsockname] = ACTIONS(2211),
    [anon_sym_getgrnam] = ACTIONS(2211),
    [anon_sym_getgrgid] = ACTIONS(2211),
    [anon_sym_hex] = ACTIONS(2211),
    [anon_sym_int] = ACTIONS(2211),
    [anon_sym_keys] = ACTIONS(2211),
    [anon_sym_lc] = ACTIONS(2211),
    [anon_sym_lcfirst] = ACTIONS(2211),
    [anon_sym_length] = ACTIONS(2211),
    [anon_sym_localtime] = ACTIONS(2211),
    [anon_sym_log] = ACTIONS(2211),
    [anon_sym_lock] = ACTIONS(2211),
    [anon_sym_lstat] = ACTIONS(2211),
    [anon_sym_oct] = ACTIONS(2211),
    [anon_sym_ord] = ACTIONS(2211),
    [anon_sym_prototype] = ACTIONS(2211),
    [anon_sym_pop] = ACTIONS(2211),
    [anon_sym_pos] = ACTIONS(2211),
    [anon_sym_quotemeta] = ACTIONS(2211),
    [anon_sym_reset] = ACTIONS(2211),
    [anon_sym_rand] = ACTIONS(2211),
    [anon_sym_rmdir] = ACTIONS(2211),
    [anon_sym_readdir] = ACTIONS(2211),
    [anon_sym_readline] = ACTIONS(2211),
    [anon_sym_readpipe] = ACTIONS(2211),
    [anon_sym_rewinddir] = ACTIONS(2211),
    [anon_sym_readlink] = ACTIONS(2211),
    [anon_sym_ref] = ACTIONS(2211),
    [anon_sym_scalar] = ACTIONS(2211),
    [anon_sym_shift] = ACTIONS(2211),
    [anon_sym_sin] = ACTIONS(2211),
    [anon_sym_sleep] = ACTIONS(2211),
    [anon_sym_sqrt] = ACTIONS(2211),
    [anon_sym_srand] = ACTIONS(2211),
    [anon_sym_stat] = ACTIONS(2211),
    [anon_sym_study] = ACTIONS(2211),
    [anon_sym_tell] = ACTIONS(2211),
    [anon_sym_telldir] = ACTIONS(2211),
    [anon_sym_tied] = ACTIONS(2211),
    [anon_sym_uc] = ACTIONS(2211),
    [anon_sym_ucfirst] = ACTIONS(2211),
    [anon_sym_untie] = ACTIONS(2211),
    [anon_sym_umask] = ACTIONS(2211),
    [anon_sym_values] = ACTIONS(2211),
    [anon_sym_write] = ACTIONS(2211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2211),
    [anon_sym_qq] = ACTIONS(2211),
    [anon_sym_qw] = ACTIONS(2211),
    [anon_sym_qx] = ACTIONS(2211),
    [anon_sym_qr] = ACTIONS(2211),
    [anon_sym_m] = ACTIONS(2211),
    [anon_sym_s] = ACTIONS(2211),
    [anon_sym_tr] = ACTIONS(2211),
    [anon_sym_y] = ACTIONS(2211),
    [anon_sym_if] = ACTIONS(2211),
    [anon_sym_unless] = ACTIONS(2211),
    [anon_sym_while] = ACTIONS(2211),
    [anon_sym_until] = ACTIONS(2211),
    [aux_sym__bareword_token1] = ACTIONS(2211),
    [sym_number] = ACTIONS(2211),
    [anon_sym_true] = ACTIONS(2211),
    [anon_sym_false] = ACTIONS(2211),
    [sym__single_quote] = ACTIONS(2209),
    [sym__double_quote] = ACTIONS(2209),
    [sym__backtick_quote] = ACTIONS(2209),
    [sym__search_slash_quote] = ACTIONS(2209),
    [sym__PERLY_HEREDOC] = ACTIONS(2209),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2209),
    [sym__filetest] = ACTIONS(2209),
  },
  [975] = {
    [sym_heredoc_content] = STATE(975),
    [sym__identifier] = ACTIONS(1908),
    [anon_sym_LBRACE] = ACTIONS(1908),
    [anon_sym_RBRACE] = ACTIONS(1908),
    [anon_sym_SEMI] = ACTIONS(1908),
    [anon_sym_package] = ACTIONS(1908),
    [anon_sym_class] = ACTIONS(1908),
    [anon_sym_role] = ACTIONS(1908),
    [anon_sym_BUILD] = ACTIONS(1908),
    [anon_sym_ADJUST] = ACTIONS(1908),
    [anon_sym_DOLLAR] = ACTIONS(1908),
    [anon_sym_AT] = ACTIONS(1908),
    [anon_sym_my] = ACTIONS(1908),
    [anon_sym_extended] = ACTIONS(1908),
    [anon_sym_async] = ACTIONS(1908),
    [anon_sym_sub] = ACTIONS(1908),
    [anon_sym_method] = ACTIONS(1908),
    [anon_sym_LPAREN] = ACTIONS(1908),
    [anon_sym_continue] = ACTIONS(1908),
    [anon_sym_state] = ACTIONS(1908),
    [anon_sym_our] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1908),
    [anon_sym_defer] = ACTIONS(1908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1908),
    [anon_sym_LBRACK] = ACTIONS(1908),
    [anon_sym_LT] = ACTIONS(1908),
    [anon_sym_LT_LT] = ACTIONS(1908),
    [anon_sym_SLASH_SLASH] = ACTIONS(1908),
    [anon_sym_PLUS] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1908),
    [anon_sym_STAR] = ACTIONS(1908),
    [anon_sym_TILDE] = ACTIONS(1908),
    [anon_sym_BANG] = ACTIONS(1908),
    [anon_sym_PLUS_PLUS] = ACTIONS(1908),
    [anon_sym_DASH_DASH] = ACTIONS(1908),
    [anon_sym_BSLASH] = ACTIONS(1906),
    [anon_sym_do] = ACTIONS(1908),
    [anon_sym_eval] = ACTIONS(1908),
    [anon_sym_await] = ACTIONS(1908),
    [anon_sym_field] = ACTIONS(1908),
    [anon_sym_local] = ACTIONS(1908),
    [anon_sym_dynamically] = ACTIONS(1908),
    [anon_sym_require] = ACTIONS(1908),
    [anon_sym_map] = ACTIONS(1908),
    [anon_sym_grep] = ACTIONS(1908),
    [anon_sym_sort] = ACTIONS(1908),
    [anon_sym_goto] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(1908),
    [anon_sym_undef] = ACTIONS(1908),
    [anon_sym_PERCENT2] = ACTIONS(1908),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1908),
    [anon_sym_use] = ACTIONS(1908),
    [anon_sym_no] = ACTIONS(1908),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_foreach] = ACTIONS(1908),
    [anon_sym_last] = ACTIONS(1908),
    [anon_sym_next] = ACTIONS(1908),
    [anon_sym_redo] = ACTIONS(1908),
    [anon_sym_BEGIN] = ACTIONS(1908),
    [anon_sym_INIT] = ACTIONS(1908),
    [anon_sym_CHECK] = ACTIONS(1908),
    [anon_sym_UNITCHECK] = ACTIONS(1908),
    [anon_sym_END] = ACTIONS(1908),
    [anon_sym___FILE__] = ACTIONS(1908),
    [anon_sym___LINE__] = ACTIONS(1908),
    [anon_sym___PACKAGE__] = ACTIONS(1908),
    [anon_sym___SUB__] = ACTIONS(1908),
    [anon_sym_break] = ACTIONS(1908),
    [anon_sym_fork] = ACTIONS(1908),
    [anon_sym_getppid] = ACTIONS(1908),
    [anon_sym_time] = ACTIONS(1908),
    [anon_sym_times] = ACTIONS(1908),
    [anon_sym_wait] = ACTIONS(1908),
    [anon_sym_wantarray] = ACTIONS(1908),
    [anon_sym_abs] = ACTIONS(1908),
    [anon_sym_alarm] = ACTIONS(1908),
    [anon_sym_chop] = ACTIONS(1908),
    [anon_sym_chdir] = ACTIONS(1908),
    [anon_sym_close] = ACTIONS(1908),
    [anon_sym_closedir] = ACTIONS(1908),
    [anon_sym_caller] = ACTIONS(1908),
    [anon_sym_chomp] = ACTIONS(1908),
    [anon_sym_chr] = ACTIONS(1908),
    [anon_sym_cos] = ACTIONS(1908),
    [anon_sym_chroot] = ACTIONS(1908),
    [anon_sym_defined] = ACTIONS(1908),
    [anon_sym_delete] = ACTIONS(1908),
    [anon_sym_dbmclose] = ACTIONS(1908),
    [anon_sym_exists] = ACTIONS(1908),
    [anon_sym_exit] = ACTIONS(1908),
    [anon_sym_eof] = ACTIONS(1908),
    [anon_sym_exp] = ACTIONS(1908),
    [anon_sym_each] = ACTIONS(1908),
    [anon_sym_fc] = ACTIONS(1908),
    [anon_sym_fileno] = ACTIONS(1908),
    [anon_sym_gmtime] = ACTIONS(1908),
    [anon_sym_getc] = ACTIONS(1908),
    [anon_sym_getpgrp] = ACTIONS(1908),
    [anon_sym_getprotobyname] = ACTIONS(1908),
    [anon_sym_getpwname] = ACTIONS(1908),
    [anon_sym_getpwuid] = ACTIONS(1908),
    [anon_sym_getpeername] = ACTIONS(1908),
    [anon_sym_getnetbyname] = ACTIONS(1908),
    [anon_sym_getsockname] = ACTIONS(1908),
    [anon_sym_getgrnam] = ACTIONS(1908),
    [anon_sym_getgrgid] = ACTIONS(1908),
    [anon_sym_hex] = ACTIONS(1908),
    [anon_sym_int] = ACTIONS(1908),
    [anon_sym_keys] = ACTIONS(1908),
    [anon_sym_lc] = ACTIONS(1908),
    [anon_sym_lcfirst] = ACTIONS(1908),
    [anon_sym_length] = ACTIONS(1908),
    [anon_sym_localtime] = ACTIONS(1908),
    [anon_sym_log] = ACTIONS(1908),
    [anon_sym_lock] = ACTIONS(1908),
    [anon_sym_lstat] = ACTIONS(1908),
    [anon_sym_oct] = ACTIONS(1908),
    [anon_sym_ord] = ACTIONS(1908),
    [anon_sym_prototype] = ACTIONS(1908),
    [anon_sym_pop] = ACTIONS(1908),
    [anon_sym_pos] = ACTIONS(1908),
    [anon_sym_quotemeta] = ACTIONS(1908),
    [anon_sym_reset] = ACTIONS(1908),
    [anon_sym_rand] = ACTIONS(1908),
    [anon_sym_rmdir] = ACTIONS(1908),
    [anon_sym_readdir] = ACTIONS(1908),
    [anon_sym_readline] = ACTIONS(1908),
    [anon_sym_readpipe] = ACTIONS(1908),
    [anon_sym_rewinddir] = ACTIONS(1908),
    [anon_sym_readlink] = ACTIONS(1908),
    [anon_sym_ref] = ACTIONS(1908),
    [anon_sym_scalar] = ACTIONS(1908),
    [anon_sym_shift] = ACTIONS(1908),
    [anon_sym_sin] = ACTIONS(1908),
    [anon_sym_sleep] = ACTIONS(1908),
    [anon_sym_sqrt] = ACTIONS(1908),
    [anon_sym_srand] = ACTIONS(1908),
    [anon_sym_stat] = ACTIONS(1908),
    [anon_sym_study] = ACTIONS(1908),
    [anon_sym_tell] = ACTIONS(1908),
    [anon_sym_telldir] = ACTIONS(1908),
    [anon_sym_tied] = ACTIONS(1908),
    [anon_sym_uc] = ACTIONS(1908),
    [anon_sym_ucfirst] = ACTIONS(1908),
    [anon_sym_untie] = ACTIONS(1908),
    [anon_sym_umask] = ACTIONS(1908),
    [anon_sym_values] = ACTIONS(1908),
    [anon_sym_write] = ACTIONS(1908),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1908),
    [anon_sym_qq] = ACTIONS(1908),
    [anon_sym_qw] = ACTIONS(1908),
    [anon_sym_qx] = ACTIONS(1908),
    [anon_sym_qr] = ACTIONS(1908),
    [anon_sym_m] = ACTIONS(1908),
    [anon_sym_s] = ACTIONS(1908),
    [anon_sym_tr] = ACTIONS(1908),
    [anon_sym_y] = ACTIONS(1908),
    [anon_sym_if] = ACTIONS(1908),
    [anon_sym_unless] = ACTIONS(1908),
    [anon_sym_while] = ACTIONS(1908),
    [anon_sym_until] = ACTIONS(1908),
    [aux_sym__bareword_token1] = ACTIONS(1908),
    [sym_number] = ACTIONS(1908),
    [anon_sym_true] = ACTIONS(1908),
    [anon_sym_false] = ACTIONS(1908),
    [sym__single_quote] = ACTIONS(1906),
    [sym__double_quote] = ACTIONS(1906),
    [sym__backtick_quote] = ACTIONS(1906),
    [sym__search_slash_quote] = ACTIONS(1906),
    [sym__PERLY_HEREDOC] = ACTIONS(1906),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1906),
    [sym__filetest] = ACTIONS(1906),
  },
  [976] = {
    [sym_heredoc_content] = STATE(976),
    [sym__identifier] = ACTIONS(1928),
    [anon_sym_LBRACE] = ACTIONS(1928),
    [anon_sym_RBRACE] = ACTIONS(1928),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym_package] = ACTIONS(1928),
    [anon_sym_class] = ACTIONS(1928),
    [anon_sym_role] = ACTIONS(1928),
    [anon_sym_BUILD] = ACTIONS(1928),
    [anon_sym_ADJUST] = ACTIONS(1928),
    [anon_sym_DOLLAR] = ACTIONS(1928),
    [anon_sym_AT] = ACTIONS(1928),
    [anon_sym_my] = ACTIONS(1928),
    [anon_sym_extended] = ACTIONS(1928),
    [anon_sym_async] = ACTIONS(1928),
    [anon_sym_sub] = ACTIONS(1928),
    [anon_sym_method] = ACTIONS(1928),
    [anon_sym_LPAREN] = ACTIONS(1928),
    [anon_sym_continue] = ACTIONS(1928),
    [anon_sym_state] = ACTIONS(1928),
    [anon_sym_our] = ACTIONS(1928),
    [anon_sym_try] = ACTIONS(1928),
    [anon_sym_defer] = ACTIONS(1928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1928),
    [anon_sym_LBRACK] = ACTIONS(1928),
    [anon_sym_LT] = ACTIONS(1928),
    [anon_sym_LT_LT] = ACTIONS(1928),
    [anon_sym_SLASH_SLASH] = ACTIONS(1928),
    [anon_sym_PLUS] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1928),
    [anon_sym_STAR] = ACTIONS(1928),
    [anon_sym_TILDE] = ACTIONS(1928),
    [anon_sym_BANG] = ACTIONS(1928),
    [anon_sym_PLUS_PLUS] = ACTIONS(1928),
    [anon_sym_DASH_DASH] = ACTIONS(1928),
    [anon_sym_BSLASH] = ACTIONS(1926),
    [anon_sym_do] = ACTIONS(1928),
    [anon_sym_eval] = ACTIONS(1928),
    [anon_sym_await] = ACTIONS(1928),
    [anon_sym_field] = ACTIONS(1928),
    [anon_sym_local] = ACTIONS(1928),
    [anon_sym_dynamically] = ACTIONS(1928),
    [anon_sym_require] = ACTIONS(1928),
    [anon_sym_map] = ACTIONS(1928),
    [anon_sym_grep] = ACTIONS(1928),
    [anon_sym_sort] = ACTIONS(1928),
    [anon_sym_goto] = ACTIONS(1928),
    [anon_sym_return] = ACTIONS(1928),
    [anon_sym_undef] = ACTIONS(1928),
    [anon_sym_PERCENT2] = ACTIONS(1928),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1928),
    [anon_sym_use] = ACTIONS(1928),
    [anon_sym_no] = ACTIONS(1928),
    [anon_sym_for] = ACTIONS(1928),
    [anon_sym_foreach] = ACTIONS(1928),
    [anon_sym_last] = ACTIONS(1928),
    [anon_sym_next] = ACTIONS(1928),
    [anon_sym_redo] = ACTIONS(1928),
    [anon_sym_BEGIN] = ACTIONS(1928),
    [anon_sym_INIT] = ACTIONS(1928),
    [anon_sym_CHECK] = ACTIONS(1928),
    [anon_sym_UNITCHECK] = ACTIONS(1928),
    [anon_sym_END] = ACTIONS(1928),
    [anon_sym___FILE__] = ACTIONS(1928),
    [anon_sym___LINE__] = ACTIONS(1928),
    [anon_sym___PACKAGE__] = ACTIONS(1928),
    [anon_sym___SUB__] = ACTIONS(1928),
    [anon_sym_break] = ACTIONS(1928),
    [anon_sym_fork] = ACTIONS(1928),
    [anon_sym_getppid] = ACTIONS(1928),
    [anon_sym_time] = ACTIONS(1928),
    [anon_sym_times] = ACTIONS(1928),
    [anon_sym_wait] = ACTIONS(1928),
    [anon_sym_wantarray] = ACTIONS(1928),
    [anon_sym_abs] = ACTIONS(1928),
    [anon_sym_alarm] = ACTIONS(1928),
    [anon_sym_chop] = ACTIONS(1928),
    [anon_sym_chdir] = ACTIONS(1928),
    [anon_sym_close] = ACTIONS(1928),
    [anon_sym_closedir] = ACTIONS(1928),
    [anon_sym_caller] = ACTIONS(1928),
    [anon_sym_chomp] = ACTIONS(1928),
    [anon_sym_chr] = ACTIONS(1928),
    [anon_sym_cos] = ACTIONS(1928),
    [anon_sym_chroot] = ACTIONS(1928),
    [anon_sym_defined] = ACTIONS(1928),
    [anon_sym_delete] = ACTIONS(1928),
    [anon_sym_dbmclose] = ACTIONS(1928),
    [anon_sym_exists] = ACTIONS(1928),
    [anon_sym_exit] = ACTIONS(1928),
    [anon_sym_eof] = ACTIONS(1928),
    [anon_sym_exp] = ACTIONS(1928),
    [anon_sym_each] = ACTIONS(1928),
    [anon_sym_fc] = ACTIONS(1928),
    [anon_sym_fileno] = ACTIONS(1928),
    [anon_sym_gmtime] = ACTIONS(1928),
    [anon_sym_getc] = ACTIONS(1928),
    [anon_sym_getpgrp] = ACTIONS(1928),
    [anon_sym_getprotobyname] = ACTIONS(1928),
    [anon_sym_getpwname] = ACTIONS(1928),
    [anon_sym_getpwuid] = ACTIONS(1928),
    [anon_sym_getpeername] = ACTIONS(1928),
    [anon_sym_getnetbyname] = ACTIONS(1928),
    [anon_sym_getsockname] = ACTIONS(1928),
    [anon_sym_getgrnam] = ACTIONS(1928),
    [anon_sym_getgrgid] = ACTIONS(1928),
    [anon_sym_hex] = ACTIONS(1928),
    [anon_sym_int] = ACTIONS(1928),
    [anon_sym_keys] = ACTIONS(1928),
    [anon_sym_lc] = ACTIONS(1928),
    [anon_sym_lcfirst] = ACTIONS(1928),
    [anon_sym_length] = ACTIONS(1928),
    [anon_sym_localtime] = ACTIONS(1928),
    [anon_sym_log] = ACTIONS(1928),
    [anon_sym_lock] = ACTIONS(1928),
    [anon_sym_lstat] = ACTIONS(1928),
    [anon_sym_oct] = ACTIONS(1928),
    [anon_sym_ord] = ACTIONS(1928),
    [anon_sym_prototype] = ACTIONS(1928),
    [anon_sym_pop] = ACTIONS(1928),
    [anon_sym_pos] = ACTIONS(1928),
    [anon_sym_quotemeta] = ACTIONS(1928),
    [anon_sym_reset] = ACTIONS(1928),
    [anon_sym_rand] = ACTIONS(1928),
    [anon_sym_rmdir] = ACTIONS(1928),
    [anon_sym_readdir] = ACTIONS(1928),
    [anon_sym_readline] = ACTIONS(1928),
    [anon_sym_readpipe] = ACTIONS(1928),
    [anon_sym_rewinddir] = ACTIONS(1928),
    [anon_sym_readlink] = ACTIONS(1928),
    [anon_sym_ref] = ACTIONS(1928),
    [anon_sym_scalar] = ACTIONS(1928),
    [anon_sym_shift] = ACTIONS(1928),
    [anon_sym_sin] = ACTIONS(1928),
    [anon_sym_sleep] = ACTIONS(1928),
    [anon_sym_sqrt] = ACTIONS(1928),
    [anon_sym_srand] = ACTIONS(1928),
    [anon_sym_stat] = ACTIONS(1928),
    [anon_sym_study] = ACTIONS(1928),
    [anon_sym_tell] = ACTIONS(1928),
    [anon_sym_telldir] = ACTIONS(1928),
    [anon_sym_tied] = ACTIONS(1928),
    [anon_sym_uc] = ACTIONS(1928),
    [anon_sym_ucfirst] = ACTIONS(1928),
    [anon_sym_untie] = ACTIONS(1928),
    [anon_sym_umask] = ACTIONS(1928),
    [anon_sym_values] = ACTIONS(1928),
    [anon_sym_write] = ACTIONS(1928),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1928),
    [anon_sym_qq] = ACTIONS(1928),
    [anon_sym_qw] = ACTIONS(1928),
    [anon_sym_qx] = ACTIONS(1928),
    [anon_sym_qr] = ACTIONS(1928),
    [anon_sym_m] = ACTIONS(1928),
    [anon_sym_s] = ACTIONS(1928),
    [anon_sym_tr] = ACTIONS(1928),
    [anon_sym_y] = ACTIONS(1928),
    [anon_sym_if] = ACTIONS(1928),
    [anon_sym_unless] = ACTIONS(1928),
    [anon_sym_while] = ACTIONS(1928),
    [anon_sym_until] = ACTIONS(1928),
    [aux_sym__bareword_token1] = ACTIONS(1928),
    [sym_number] = ACTIONS(1928),
    [anon_sym_true] = ACTIONS(1928),
    [anon_sym_false] = ACTIONS(1928),
    [sym__single_quote] = ACTIONS(1926),
    [sym__double_quote] = ACTIONS(1926),
    [sym__backtick_quote] = ACTIONS(1926),
    [sym__search_slash_quote] = ACTIONS(1926),
    [sym__PERLY_HEREDOC] = ACTIONS(1926),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1926),
    [sym__filetest] = ACTIONS(1926),
  },
  [977] = {
    [sym_heredoc_content] = STATE(977),
    [sym__identifier] = ACTIONS(2016),
    [anon_sym_LBRACE] = ACTIONS(2016),
    [anon_sym_RBRACE] = ACTIONS(2016),
    [anon_sym_SEMI] = ACTIONS(2016),
    [anon_sym_package] = ACTIONS(2016),
    [anon_sym_class] = ACTIONS(2016),
    [anon_sym_role] = ACTIONS(2016),
    [anon_sym_BUILD] = ACTIONS(2016),
    [anon_sym_ADJUST] = ACTIONS(2016),
    [anon_sym_DOLLAR] = ACTIONS(2016),
    [anon_sym_AT] = ACTIONS(2016),
    [anon_sym_my] = ACTIONS(2016),
    [anon_sym_extended] = ACTIONS(2016),
    [anon_sym_async] = ACTIONS(2016),
    [anon_sym_sub] = ACTIONS(2016),
    [anon_sym_method] = ACTIONS(2016),
    [anon_sym_LPAREN] = ACTIONS(2016),
    [anon_sym_continue] = ACTIONS(2016),
    [anon_sym_state] = ACTIONS(2016),
    [anon_sym_our] = ACTIONS(2016),
    [anon_sym_try] = ACTIONS(2016),
    [anon_sym_defer] = ACTIONS(2016),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LBRACK] = ACTIONS(2016),
    [anon_sym_LT] = ACTIONS(2016),
    [anon_sym_LT_LT] = ACTIONS(2016),
    [anon_sym_SLASH_SLASH] = ACTIONS(2016),
    [anon_sym_PLUS] = ACTIONS(2016),
    [anon_sym_DASH] = ACTIONS(2016),
    [anon_sym_STAR] = ACTIONS(2016),
    [anon_sym_TILDE] = ACTIONS(2016),
    [anon_sym_BANG] = ACTIONS(2016),
    [anon_sym_PLUS_PLUS] = ACTIONS(2016),
    [anon_sym_DASH_DASH] = ACTIONS(2016),
    [anon_sym_BSLASH] = ACTIONS(2014),
    [anon_sym_do] = ACTIONS(2016),
    [anon_sym_eval] = ACTIONS(2016),
    [anon_sym_await] = ACTIONS(2016),
    [anon_sym_field] = ACTIONS(2016),
    [anon_sym_local] = ACTIONS(2016),
    [anon_sym_dynamically] = ACTIONS(2016),
    [anon_sym_require] = ACTIONS(2016),
    [anon_sym_map] = ACTIONS(2016),
    [anon_sym_grep] = ACTIONS(2016),
    [anon_sym_sort] = ACTIONS(2016),
    [anon_sym_goto] = ACTIONS(2016),
    [anon_sym_return] = ACTIONS(2016),
    [anon_sym_undef] = ACTIONS(2016),
    [anon_sym_PERCENT2] = ACTIONS(2016),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2016),
    [anon_sym_use] = ACTIONS(2016),
    [anon_sym_no] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2016),
    [anon_sym_foreach] = ACTIONS(2016),
    [anon_sym_last] = ACTIONS(2016),
    [anon_sym_next] = ACTIONS(2016),
    [anon_sym_redo] = ACTIONS(2016),
    [anon_sym_BEGIN] = ACTIONS(2016),
    [anon_sym_INIT] = ACTIONS(2016),
    [anon_sym_CHECK] = ACTIONS(2016),
    [anon_sym_UNITCHECK] = ACTIONS(2016),
    [anon_sym_END] = ACTIONS(2016),
    [anon_sym___FILE__] = ACTIONS(2016),
    [anon_sym___LINE__] = ACTIONS(2016),
    [anon_sym___PACKAGE__] = ACTIONS(2016),
    [anon_sym___SUB__] = ACTIONS(2016),
    [anon_sym_break] = ACTIONS(2016),
    [anon_sym_fork] = ACTIONS(2016),
    [anon_sym_getppid] = ACTIONS(2016),
    [anon_sym_time] = ACTIONS(2016),
    [anon_sym_times] = ACTIONS(2016),
    [anon_sym_wait] = ACTIONS(2016),
    [anon_sym_wantarray] = ACTIONS(2016),
    [anon_sym_abs] = ACTIONS(2016),
    [anon_sym_alarm] = ACTIONS(2016),
    [anon_sym_chop] = ACTIONS(2016),
    [anon_sym_chdir] = ACTIONS(2016),
    [anon_sym_close] = ACTIONS(2016),
    [anon_sym_closedir] = ACTIONS(2016),
    [anon_sym_caller] = ACTIONS(2016),
    [anon_sym_chomp] = ACTIONS(2016),
    [anon_sym_chr] = ACTIONS(2016),
    [anon_sym_cos] = ACTIONS(2016),
    [anon_sym_chroot] = ACTIONS(2016),
    [anon_sym_defined] = ACTIONS(2016),
    [anon_sym_delete] = ACTIONS(2016),
    [anon_sym_dbmclose] = ACTIONS(2016),
    [anon_sym_exists] = ACTIONS(2016),
    [anon_sym_exit] = ACTIONS(2016),
    [anon_sym_eof] = ACTIONS(2016),
    [anon_sym_exp] = ACTIONS(2016),
    [anon_sym_each] = ACTIONS(2016),
    [anon_sym_fc] = ACTIONS(2016),
    [anon_sym_fileno] = ACTIONS(2016),
    [anon_sym_gmtime] = ACTIONS(2016),
    [anon_sym_getc] = ACTIONS(2016),
    [anon_sym_getpgrp] = ACTIONS(2016),
    [anon_sym_getprotobyname] = ACTIONS(2016),
    [anon_sym_getpwname] = ACTIONS(2016),
    [anon_sym_getpwuid] = ACTIONS(2016),
    [anon_sym_getpeername] = ACTIONS(2016),
    [anon_sym_getnetbyname] = ACTIONS(2016),
    [anon_sym_getsockname] = ACTIONS(2016),
    [anon_sym_getgrnam] = ACTIONS(2016),
    [anon_sym_getgrgid] = ACTIONS(2016),
    [anon_sym_hex] = ACTIONS(2016),
    [anon_sym_int] = ACTIONS(2016),
    [anon_sym_keys] = ACTIONS(2016),
    [anon_sym_lc] = ACTIONS(2016),
    [anon_sym_lcfirst] = ACTIONS(2016),
    [anon_sym_length] = ACTIONS(2016),
    [anon_sym_localtime] = ACTIONS(2016),
    [anon_sym_log] = ACTIONS(2016),
    [anon_sym_lock] = ACTIONS(2016),
    [anon_sym_lstat] = ACTIONS(2016),
    [anon_sym_oct] = ACTIONS(2016),
    [anon_sym_ord] = ACTIONS(2016),
    [anon_sym_prototype] = ACTIONS(2016),
    [anon_sym_pop] = ACTIONS(2016),
    [anon_sym_pos] = ACTIONS(2016),
    [anon_sym_quotemeta] = ACTIONS(2016),
    [anon_sym_reset] = ACTIONS(2016),
    [anon_sym_rand] = ACTIONS(2016),
    [anon_sym_rmdir] = ACTIONS(2016),
    [anon_sym_readdir] = ACTIONS(2016),
    [anon_sym_readline] = ACTIONS(2016),
    [anon_sym_readpipe] = ACTIONS(2016),
    [anon_sym_rewinddir] = ACTIONS(2016),
    [anon_sym_readlink] = ACTIONS(2016),
    [anon_sym_ref] = ACTIONS(2016),
    [anon_sym_scalar] = ACTIONS(2016),
    [anon_sym_shift] = ACTIONS(2016),
    [anon_sym_sin] = ACTIONS(2016),
    [anon_sym_sleep] = ACTIONS(2016),
    [anon_sym_sqrt] = ACTIONS(2016),
    [anon_sym_srand] = ACTIONS(2016),
    [anon_sym_stat] = ACTIONS(2016),
    [anon_sym_study] = ACTIONS(2016),
    [anon_sym_tell] = ACTIONS(2016),
    [anon_sym_telldir] = ACTIONS(2016),
    [anon_sym_tied] = ACTIONS(2016),
    [anon_sym_uc] = ACTIONS(2016),
    [anon_sym_ucfirst] = ACTIONS(2016),
    [anon_sym_untie] = ACTIONS(2016),
    [anon_sym_umask] = ACTIONS(2016),
    [anon_sym_values] = ACTIONS(2016),
    [anon_sym_write] = ACTIONS(2016),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2016),
    [anon_sym_qq] = ACTIONS(2016),
    [anon_sym_qw] = ACTIONS(2016),
    [anon_sym_qx] = ACTIONS(2016),
    [anon_sym_qr] = ACTIONS(2016),
    [anon_sym_m] = ACTIONS(2016),
    [anon_sym_s] = ACTIONS(2016),
    [anon_sym_tr] = ACTIONS(2016),
    [anon_sym_y] = ACTIONS(2016),
    [anon_sym_if] = ACTIONS(2016),
    [anon_sym_unless] = ACTIONS(2016),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_until] = ACTIONS(2016),
    [aux_sym__bareword_token1] = ACTIONS(2016),
    [sym_number] = ACTIONS(2016),
    [anon_sym_true] = ACTIONS(2016),
    [anon_sym_false] = ACTIONS(2016),
    [sym__single_quote] = ACTIONS(2014),
    [sym__double_quote] = ACTIONS(2014),
    [sym__backtick_quote] = ACTIONS(2014),
    [sym__search_slash_quote] = ACTIONS(2014),
    [sym__PERLY_HEREDOC] = ACTIONS(2014),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2014),
    [sym__filetest] = ACTIONS(2014),
  },
  [978] = {
    [sym_heredoc_content] = STATE(978),
    [sym__identifier] = ACTIONS(2024),
    [anon_sym_LBRACE] = ACTIONS(2024),
    [anon_sym_RBRACE] = ACTIONS(2024),
    [anon_sym_SEMI] = ACTIONS(2024),
    [anon_sym_package] = ACTIONS(2024),
    [anon_sym_class] = ACTIONS(2024),
    [anon_sym_role] = ACTIONS(2024),
    [anon_sym_BUILD] = ACTIONS(2024),
    [anon_sym_ADJUST] = ACTIONS(2024),
    [anon_sym_DOLLAR] = ACTIONS(2024),
    [anon_sym_AT] = ACTIONS(2024),
    [anon_sym_my] = ACTIONS(2024),
    [anon_sym_extended] = ACTIONS(2024),
    [anon_sym_async] = ACTIONS(2024),
    [anon_sym_sub] = ACTIONS(2024),
    [anon_sym_method] = ACTIONS(2024),
    [anon_sym_LPAREN] = ACTIONS(2024),
    [anon_sym_continue] = ACTIONS(2024),
    [anon_sym_state] = ACTIONS(2024),
    [anon_sym_our] = ACTIONS(2024),
    [anon_sym_try] = ACTIONS(2024),
    [anon_sym_defer] = ACTIONS(2024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2024),
    [anon_sym_LBRACK] = ACTIONS(2024),
    [anon_sym_LT] = ACTIONS(2024),
    [anon_sym_LT_LT] = ACTIONS(2024),
    [anon_sym_SLASH_SLASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2024),
    [anon_sym_TILDE] = ACTIONS(2024),
    [anon_sym_BANG] = ACTIONS(2024),
    [anon_sym_PLUS_PLUS] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2024),
    [anon_sym_BSLASH] = ACTIONS(2022),
    [anon_sym_do] = ACTIONS(2024),
    [anon_sym_eval] = ACTIONS(2024),
    [anon_sym_await] = ACTIONS(2024),
    [anon_sym_field] = ACTIONS(2024),
    [anon_sym_local] = ACTIONS(2024),
    [anon_sym_dynamically] = ACTIONS(2024),
    [anon_sym_require] = ACTIONS(2024),
    [anon_sym_map] = ACTIONS(2024),
    [anon_sym_grep] = ACTIONS(2024),
    [anon_sym_sort] = ACTIONS(2024),
    [anon_sym_goto] = ACTIONS(2024),
    [anon_sym_return] = ACTIONS(2024),
    [anon_sym_undef] = ACTIONS(2024),
    [anon_sym_PERCENT2] = ACTIONS(2024),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2024),
    [anon_sym_use] = ACTIONS(2024),
    [anon_sym_no] = ACTIONS(2024),
    [anon_sym_for] = ACTIONS(2024),
    [anon_sym_foreach] = ACTIONS(2024),
    [anon_sym_last] = ACTIONS(2024),
    [anon_sym_next] = ACTIONS(2024),
    [anon_sym_redo] = ACTIONS(2024),
    [anon_sym_BEGIN] = ACTIONS(2024),
    [anon_sym_INIT] = ACTIONS(2024),
    [anon_sym_CHECK] = ACTIONS(2024),
    [anon_sym_UNITCHECK] = ACTIONS(2024),
    [anon_sym_END] = ACTIONS(2024),
    [anon_sym___FILE__] = ACTIONS(2024),
    [anon_sym___LINE__] = ACTIONS(2024),
    [anon_sym___PACKAGE__] = ACTIONS(2024),
    [anon_sym___SUB__] = ACTIONS(2024),
    [anon_sym_break] = ACTIONS(2024),
    [anon_sym_fork] = ACTIONS(2024),
    [anon_sym_getppid] = ACTIONS(2024),
    [anon_sym_time] = ACTIONS(2024),
    [anon_sym_times] = ACTIONS(2024),
    [anon_sym_wait] = ACTIONS(2024),
    [anon_sym_wantarray] = ACTIONS(2024),
    [anon_sym_abs] = ACTIONS(2024),
    [anon_sym_alarm] = ACTIONS(2024),
    [anon_sym_chop] = ACTIONS(2024),
    [anon_sym_chdir] = ACTIONS(2024),
    [anon_sym_close] = ACTIONS(2024),
    [anon_sym_closedir] = ACTIONS(2024),
    [anon_sym_caller] = ACTIONS(2024),
    [anon_sym_chomp] = ACTIONS(2024),
    [anon_sym_chr] = ACTIONS(2024),
    [anon_sym_cos] = ACTIONS(2024),
    [anon_sym_chroot] = ACTIONS(2024),
    [anon_sym_defined] = ACTIONS(2024),
    [anon_sym_delete] = ACTIONS(2024),
    [anon_sym_dbmclose] = ACTIONS(2024),
    [anon_sym_exists] = ACTIONS(2024),
    [anon_sym_exit] = ACTIONS(2024),
    [anon_sym_eof] = ACTIONS(2024),
    [anon_sym_exp] = ACTIONS(2024),
    [anon_sym_each] = ACTIONS(2024),
    [anon_sym_fc] = ACTIONS(2024),
    [anon_sym_fileno] = ACTIONS(2024),
    [anon_sym_gmtime] = ACTIONS(2024),
    [anon_sym_getc] = ACTIONS(2024),
    [anon_sym_getpgrp] = ACTIONS(2024),
    [anon_sym_getprotobyname] = ACTIONS(2024),
    [anon_sym_getpwname] = ACTIONS(2024),
    [anon_sym_getpwuid] = ACTIONS(2024),
    [anon_sym_getpeername] = ACTIONS(2024),
    [anon_sym_getnetbyname] = ACTIONS(2024),
    [anon_sym_getsockname] = ACTIONS(2024),
    [anon_sym_getgrnam] = ACTIONS(2024),
    [anon_sym_getgrgid] = ACTIONS(2024),
    [anon_sym_hex] = ACTIONS(2024),
    [anon_sym_int] = ACTIONS(2024),
    [anon_sym_keys] = ACTIONS(2024),
    [anon_sym_lc] = ACTIONS(2024),
    [anon_sym_lcfirst] = ACTIONS(2024),
    [anon_sym_length] = ACTIONS(2024),
    [anon_sym_localtime] = ACTIONS(2024),
    [anon_sym_log] = ACTIONS(2024),
    [anon_sym_lock] = ACTIONS(2024),
    [anon_sym_lstat] = ACTIONS(2024),
    [anon_sym_oct] = ACTIONS(2024),
    [anon_sym_ord] = ACTIONS(2024),
    [anon_sym_prototype] = ACTIONS(2024),
    [anon_sym_pop] = ACTIONS(2024),
    [anon_sym_pos] = ACTIONS(2024),
    [anon_sym_quotemeta] = ACTIONS(2024),
    [anon_sym_reset] = ACTIONS(2024),
    [anon_sym_rand] = ACTIONS(2024),
    [anon_sym_rmdir] = ACTIONS(2024),
    [anon_sym_readdir] = ACTIONS(2024),
    [anon_sym_readline] = ACTIONS(2024),
    [anon_sym_readpipe] = ACTIONS(2024),
    [anon_sym_rewinddir] = ACTIONS(2024),
    [anon_sym_readlink] = ACTIONS(2024),
    [anon_sym_ref] = ACTIONS(2024),
    [anon_sym_scalar] = ACTIONS(2024),
    [anon_sym_shift] = ACTIONS(2024),
    [anon_sym_sin] = ACTIONS(2024),
    [anon_sym_sleep] = ACTIONS(2024),
    [anon_sym_sqrt] = ACTIONS(2024),
    [anon_sym_srand] = ACTIONS(2024),
    [anon_sym_stat] = ACTIONS(2024),
    [anon_sym_study] = ACTIONS(2024),
    [anon_sym_tell] = ACTIONS(2024),
    [anon_sym_telldir] = ACTIONS(2024),
    [anon_sym_tied] = ACTIONS(2024),
    [anon_sym_uc] = ACTIONS(2024),
    [anon_sym_ucfirst] = ACTIONS(2024),
    [anon_sym_untie] = ACTIONS(2024),
    [anon_sym_umask] = ACTIONS(2024),
    [anon_sym_values] = ACTIONS(2024),
    [anon_sym_write] = ACTIONS(2024),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2024),
    [anon_sym_qq] = ACTIONS(2024),
    [anon_sym_qw] = ACTIONS(2024),
    [anon_sym_qx] = ACTIONS(2024),
    [anon_sym_qr] = ACTIONS(2024),
    [anon_sym_m] = ACTIONS(2024),
    [anon_sym_s] = ACTIONS(2024),
    [anon_sym_tr] = ACTIONS(2024),
    [anon_sym_y] = ACTIONS(2024),
    [anon_sym_if] = ACTIONS(2024),
    [anon_sym_unless] = ACTIONS(2024),
    [anon_sym_while] = ACTIONS(2024),
    [anon_sym_until] = ACTIONS(2024),
    [aux_sym__bareword_token1] = ACTIONS(2024),
    [sym_number] = ACTIONS(2024),
    [anon_sym_true] = ACTIONS(2024),
    [anon_sym_false] = ACTIONS(2024),
    [sym__single_quote] = ACTIONS(2022),
    [sym__double_quote] = ACTIONS(2022),
    [sym__backtick_quote] = ACTIONS(2022),
    [sym__search_slash_quote] = ACTIONS(2022),
    [sym__PERLY_HEREDOC] = ACTIONS(2022),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2022),
    [sym__filetest] = ACTIONS(2022),
  },
  [979] = {
    [sym_heredoc_content] = STATE(979),
    [sym__identifier] = ACTIONS(1960),
    [anon_sym_LBRACE] = ACTIONS(1960),
    [anon_sym_RBRACE] = ACTIONS(1960),
    [anon_sym_SEMI] = ACTIONS(1960),
    [anon_sym_package] = ACTIONS(1960),
    [anon_sym_class] = ACTIONS(1960),
    [anon_sym_role] = ACTIONS(1960),
    [anon_sym_BUILD] = ACTIONS(1960),
    [anon_sym_ADJUST] = ACTIONS(1960),
    [anon_sym_DOLLAR] = ACTIONS(1960),
    [anon_sym_AT] = ACTIONS(1960),
    [anon_sym_my] = ACTIONS(1960),
    [anon_sym_extended] = ACTIONS(1960),
    [anon_sym_async] = ACTIONS(1960),
    [anon_sym_sub] = ACTIONS(1960),
    [anon_sym_method] = ACTIONS(1960),
    [anon_sym_LPAREN] = ACTIONS(1960),
    [anon_sym_continue] = ACTIONS(1960),
    [anon_sym_state] = ACTIONS(1960),
    [anon_sym_our] = ACTIONS(1960),
    [anon_sym_try] = ACTIONS(1960),
    [anon_sym_defer] = ACTIONS(1960),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1960),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_LT] = ACTIONS(1960),
    [anon_sym_LT_LT] = ACTIONS(1960),
    [anon_sym_SLASH_SLASH] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(1960),
    [anon_sym_DASH] = ACTIONS(1960),
    [anon_sym_STAR] = ACTIONS(1960),
    [anon_sym_TILDE] = ACTIONS(1960),
    [anon_sym_BANG] = ACTIONS(1960),
    [anon_sym_PLUS_PLUS] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(1960),
    [anon_sym_BSLASH] = ACTIONS(1958),
    [anon_sym_do] = ACTIONS(1960),
    [anon_sym_eval] = ACTIONS(1960),
    [anon_sym_await] = ACTIONS(1960),
    [anon_sym_field] = ACTIONS(1960),
    [anon_sym_local] = ACTIONS(1960),
    [anon_sym_dynamically] = ACTIONS(1960),
    [anon_sym_require] = ACTIONS(1960),
    [anon_sym_map] = ACTIONS(1960),
    [anon_sym_grep] = ACTIONS(1960),
    [anon_sym_sort] = ACTIONS(1960),
    [anon_sym_goto] = ACTIONS(1960),
    [anon_sym_return] = ACTIONS(1960),
    [anon_sym_undef] = ACTIONS(1960),
    [anon_sym_PERCENT2] = ACTIONS(1960),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1960),
    [anon_sym_use] = ACTIONS(1960),
    [anon_sym_no] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(1960),
    [anon_sym_foreach] = ACTIONS(1960),
    [anon_sym_last] = ACTIONS(1960),
    [anon_sym_next] = ACTIONS(1960),
    [anon_sym_redo] = ACTIONS(1960),
    [anon_sym_BEGIN] = ACTIONS(1960),
    [anon_sym_INIT] = ACTIONS(1960),
    [anon_sym_CHECK] = ACTIONS(1960),
    [anon_sym_UNITCHECK] = ACTIONS(1960),
    [anon_sym_END] = ACTIONS(1960),
    [anon_sym___FILE__] = ACTIONS(1960),
    [anon_sym___LINE__] = ACTIONS(1960),
    [anon_sym___PACKAGE__] = ACTIONS(1960),
    [anon_sym___SUB__] = ACTIONS(1960),
    [anon_sym_break] = ACTIONS(1960),
    [anon_sym_fork] = ACTIONS(1960),
    [anon_sym_getppid] = ACTIONS(1960),
    [anon_sym_time] = ACTIONS(1960),
    [anon_sym_times] = ACTIONS(1960),
    [anon_sym_wait] = ACTIONS(1960),
    [anon_sym_wantarray] = ACTIONS(1960),
    [anon_sym_abs] = ACTIONS(1960),
    [anon_sym_alarm] = ACTIONS(1960),
    [anon_sym_chop] = ACTIONS(1960),
    [anon_sym_chdir] = ACTIONS(1960),
    [anon_sym_close] = ACTIONS(1960),
    [anon_sym_closedir] = ACTIONS(1960),
    [anon_sym_caller] = ACTIONS(1960),
    [anon_sym_chomp] = ACTIONS(1960),
    [anon_sym_chr] = ACTIONS(1960),
    [anon_sym_cos] = ACTIONS(1960),
    [anon_sym_chroot] = ACTIONS(1960),
    [anon_sym_defined] = ACTIONS(1960),
    [anon_sym_delete] = ACTIONS(1960),
    [anon_sym_dbmclose] = ACTIONS(1960),
    [anon_sym_exists] = ACTIONS(1960),
    [anon_sym_exit] = ACTIONS(1960),
    [anon_sym_eof] = ACTIONS(1960),
    [anon_sym_exp] = ACTIONS(1960),
    [anon_sym_each] = ACTIONS(1960),
    [anon_sym_fc] = ACTIONS(1960),
    [anon_sym_fileno] = ACTIONS(1960),
    [anon_sym_gmtime] = ACTIONS(1960),
    [anon_sym_getc] = ACTIONS(1960),
    [anon_sym_getpgrp] = ACTIONS(1960),
    [anon_sym_getprotobyname] = ACTIONS(1960),
    [anon_sym_getpwname] = ACTIONS(1960),
    [anon_sym_getpwuid] = ACTIONS(1960),
    [anon_sym_getpeername] = ACTIONS(1960),
    [anon_sym_getnetbyname] = ACTIONS(1960),
    [anon_sym_getsockname] = ACTIONS(1960),
    [anon_sym_getgrnam] = ACTIONS(1960),
    [anon_sym_getgrgid] = ACTIONS(1960),
    [anon_sym_hex] = ACTIONS(1960),
    [anon_sym_int] = ACTIONS(1960),
    [anon_sym_keys] = ACTIONS(1960),
    [anon_sym_lc] = ACTIONS(1960),
    [anon_sym_lcfirst] = ACTIONS(1960),
    [anon_sym_length] = ACTIONS(1960),
    [anon_sym_localtime] = ACTIONS(1960),
    [anon_sym_log] = ACTIONS(1960),
    [anon_sym_lock] = ACTIONS(1960),
    [anon_sym_lstat] = ACTIONS(1960),
    [anon_sym_oct] = ACTIONS(1960),
    [anon_sym_ord] = ACTIONS(1960),
    [anon_sym_prototype] = ACTIONS(1960),
    [anon_sym_pop] = ACTIONS(1960),
    [anon_sym_pos] = ACTIONS(1960),
    [anon_sym_quotemeta] = ACTIONS(1960),
    [anon_sym_reset] = ACTIONS(1960),
    [anon_sym_rand] = ACTIONS(1960),
    [anon_sym_rmdir] = ACTIONS(1960),
    [anon_sym_readdir] = ACTIONS(1960),
    [anon_sym_readline] = ACTIONS(1960),
    [anon_sym_readpipe] = ACTIONS(1960),
    [anon_sym_rewinddir] = ACTIONS(1960),
    [anon_sym_readlink] = ACTIONS(1960),
    [anon_sym_ref] = ACTIONS(1960),
    [anon_sym_scalar] = ACTIONS(1960),
    [anon_sym_shift] = ACTIONS(1960),
    [anon_sym_sin] = ACTIONS(1960),
    [anon_sym_sleep] = ACTIONS(1960),
    [anon_sym_sqrt] = ACTIONS(1960),
    [anon_sym_srand] = ACTIONS(1960),
    [anon_sym_stat] = ACTIONS(1960),
    [anon_sym_study] = ACTIONS(1960),
    [anon_sym_tell] = ACTIONS(1960),
    [anon_sym_telldir] = ACTIONS(1960),
    [anon_sym_tied] = ACTIONS(1960),
    [anon_sym_uc] = ACTIONS(1960),
    [anon_sym_ucfirst] = ACTIONS(1960),
    [anon_sym_untie] = ACTIONS(1960),
    [anon_sym_umask] = ACTIONS(1960),
    [anon_sym_values] = ACTIONS(1960),
    [anon_sym_write] = ACTIONS(1960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1960),
    [anon_sym_qq] = ACTIONS(1960),
    [anon_sym_qw] = ACTIONS(1960),
    [anon_sym_qx] = ACTIONS(1960),
    [anon_sym_qr] = ACTIONS(1960),
    [anon_sym_m] = ACTIONS(1960),
    [anon_sym_s] = ACTIONS(1960),
    [anon_sym_tr] = ACTIONS(1960),
    [anon_sym_y] = ACTIONS(1960),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_unless] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1960),
    [anon_sym_until] = ACTIONS(1960),
    [aux_sym__bareword_token1] = ACTIONS(1960),
    [sym_number] = ACTIONS(1960),
    [anon_sym_true] = ACTIONS(1960),
    [anon_sym_false] = ACTIONS(1960),
    [sym__single_quote] = ACTIONS(1958),
    [sym__double_quote] = ACTIONS(1958),
    [sym__backtick_quote] = ACTIONS(1958),
    [sym__search_slash_quote] = ACTIONS(1958),
    [sym__PERLY_HEREDOC] = ACTIONS(1958),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1958),
    [sym__filetest] = ACTIONS(1958),
  },
  [980] = {
    [sym_heredoc_content] = STATE(980),
    [sym__identifier] = ACTIONS(2227),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_package] = ACTIONS(2227),
    [anon_sym_class] = ACTIONS(2227),
    [anon_sym_role] = ACTIONS(2227),
    [anon_sym_BUILD] = ACTIONS(2227),
    [anon_sym_ADJUST] = ACTIONS(2227),
    [anon_sym_DOLLAR] = ACTIONS(2227),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_my] = ACTIONS(2227),
    [anon_sym_extended] = ACTIONS(2227),
    [anon_sym_async] = ACTIONS(2227),
    [anon_sym_sub] = ACTIONS(2227),
    [anon_sym_method] = ACTIONS(2227),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_continue] = ACTIONS(2227),
    [anon_sym_state] = ACTIONS(2227),
    [anon_sym_our] = ACTIONS(2227),
    [anon_sym_try] = ACTIONS(2227),
    [anon_sym_defer] = ACTIONS(2227),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2227),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_LT_LT] = ACTIONS(2227),
    [anon_sym_SLASH_SLASH] = ACTIONS(2227),
    [anon_sym_PLUS] = ACTIONS(2227),
    [anon_sym_DASH] = ACTIONS(2227),
    [anon_sym_STAR] = ACTIONS(2227),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_BSLASH] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2227),
    [anon_sym_eval] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2227),
    [anon_sym_field] = ACTIONS(2227),
    [anon_sym_local] = ACTIONS(2227),
    [anon_sym_dynamically] = ACTIONS(2227),
    [anon_sym_require] = ACTIONS(2227),
    [anon_sym_map] = ACTIONS(2227),
    [anon_sym_grep] = ACTIONS(2227),
    [anon_sym_sort] = ACTIONS(2227),
    [anon_sym_goto] = ACTIONS(2227),
    [anon_sym_return] = ACTIONS(2227),
    [anon_sym_undef] = ACTIONS(2227),
    [anon_sym_PERCENT2] = ACTIONS(2227),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2227),
    [anon_sym_use] = ACTIONS(2227),
    [anon_sym_no] = ACTIONS(2227),
    [anon_sym_for] = ACTIONS(2227),
    [anon_sym_foreach] = ACTIONS(2227),
    [anon_sym_last] = ACTIONS(2227),
    [anon_sym_next] = ACTIONS(2227),
    [anon_sym_redo] = ACTIONS(2227),
    [anon_sym_BEGIN] = ACTIONS(2227),
    [anon_sym_INIT] = ACTIONS(2227),
    [anon_sym_CHECK] = ACTIONS(2227),
    [anon_sym_UNITCHECK] = ACTIONS(2227),
    [anon_sym_END] = ACTIONS(2227),
    [anon_sym___FILE__] = ACTIONS(2227),
    [anon_sym___LINE__] = ACTIONS(2227),
    [anon_sym___PACKAGE__] = ACTIONS(2227),
    [anon_sym___SUB__] = ACTIONS(2227),
    [anon_sym_break] = ACTIONS(2227),
    [anon_sym_fork] = ACTIONS(2227),
    [anon_sym_getppid] = ACTIONS(2227),
    [anon_sym_time] = ACTIONS(2227),
    [anon_sym_times] = ACTIONS(2227),
    [anon_sym_wait] = ACTIONS(2227),
    [anon_sym_wantarray] = ACTIONS(2227),
    [anon_sym_abs] = ACTIONS(2227),
    [anon_sym_alarm] = ACTIONS(2227),
    [anon_sym_chop] = ACTIONS(2227),
    [anon_sym_chdir] = ACTIONS(2227),
    [anon_sym_close] = ACTIONS(2227),
    [anon_sym_closedir] = ACTIONS(2227),
    [anon_sym_caller] = ACTIONS(2227),
    [anon_sym_chomp] = ACTIONS(2227),
    [anon_sym_chr] = ACTIONS(2227),
    [anon_sym_cos] = ACTIONS(2227),
    [anon_sym_chroot] = ACTIONS(2227),
    [anon_sym_defined] = ACTIONS(2227),
    [anon_sym_delete] = ACTIONS(2227),
    [anon_sym_dbmclose] = ACTIONS(2227),
    [anon_sym_exists] = ACTIONS(2227),
    [anon_sym_exit] = ACTIONS(2227),
    [anon_sym_eof] = ACTIONS(2227),
    [anon_sym_exp] = ACTIONS(2227),
    [anon_sym_each] = ACTIONS(2227),
    [anon_sym_fc] = ACTIONS(2227),
    [anon_sym_fileno] = ACTIONS(2227),
    [anon_sym_gmtime] = ACTIONS(2227),
    [anon_sym_getc] = ACTIONS(2227),
    [anon_sym_getpgrp] = ACTIONS(2227),
    [anon_sym_getprotobyname] = ACTIONS(2227),
    [anon_sym_getpwname] = ACTIONS(2227),
    [anon_sym_getpwuid] = ACTIONS(2227),
    [anon_sym_getpeername] = ACTIONS(2227),
    [anon_sym_getnetbyname] = ACTIONS(2227),
    [anon_sym_getsockname] = ACTIONS(2227),
    [anon_sym_getgrnam] = ACTIONS(2227),
    [anon_sym_getgrgid] = ACTIONS(2227),
    [anon_sym_hex] = ACTIONS(2227),
    [anon_sym_int] = ACTIONS(2227),
    [anon_sym_keys] = ACTIONS(2227),
    [anon_sym_lc] = ACTIONS(2227),
    [anon_sym_lcfirst] = ACTIONS(2227),
    [anon_sym_length] = ACTIONS(2227),
    [anon_sym_localtime] = ACTIONS(2227),
    [anon_sym_log] = ACTIONS(2227),
    [anon_sym_lock] = ACTIONS(2227),
    [anon_sym_lstat] = ACTIONS(2227),
    [anon_sym_oct] = ACTIONS(2227),
    [anon_sym_ord] = ACTIONS(2227),
    [anon_sym_prototype] = ACTIONS(2227),
    [anon_sym_pop] = ACTIONS(2227),
    [anon_sym_pos] = ACTIONS(2227),
    [anon_sym_quotemeta] = ACTIONS(2227),
    [anon_sym_reset] = ACTIONS(2227),
    [anon_sym_rand] = ACTIONS(2227),
    [anon_sym_rmdir] = ACTIONS(2227),
    [anon_sym_readdir] = ACTIONS(2227),
    [anon_sym_readline] = ACTIONS(2227),
    [anon_sym_readpipe] = ACTIONS(2227),
    [anon_sym_rewinddir] = ACTIONS(2227),
    [anon_sym_readlink] = ACTIONS(2227),
    [anon_sym_ref] = ACTIONS(2227),
    [anon_sym_scalar] = ACTIONS(2227),
    [anon_sym_shift] = ACTIONS(2227),
    [anon_sym_sin] = ACTIONS(2227),
    [anon_sym_sleep] = ACTIONS(2227),
    [anon_sym_sqrt] = ACTIONS(2227),
    [anon_sym_srand] = ACTIONS(2227),
    [anon_sym_stat] = ACTIONS(2227),
    [anon_sym_study] = ACTIONS(2227),
    [anon_sym_tell] = ACTIONS(2227),
    [anon_sym_telldir] = ACTIONS(2227),
    [anon_sym_tied] = ACTIONS(2227),
    [anon_sym_uc] = ACTIONS(2227),
    [anon_sym_ucfirst] = ACTIONS(2227),
    [anon_sym_untie] = ACTIONS(2227),
    [anon_sym_umask] = ACTIONS(2227),
    [anon_sym_values] = ACTIONS(2227),
    [anon_sym_write] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2227),
    [anon_sym_qq] = ACTIONS(2227),
    [anon_sym_qw] = ACTIONS(2227),
    [anon_sym_qx] = ACTIONS(2227),
    [anon_sym_qr] = ACTIONS(2227),
    [anon_sym_m] = ACTIONS(2227),
    [anon_sym_s] = ACTIONS(2227),
    [anon_sym_tr] = ACTIONS(2227),
    [anon_sym_y] = ACTIONS(2227),
    [anon_sym_if] = ACTIONS(2227),
    [anon_sym_unless] = ACTIONS(2227),
    [anon_sym_while] = ACTIONS(2227),
    [anon_sym_until] = ACTIONS(2227),
    [aux_sym__bareword_token1] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [anon_sym_true] = ACTIONS(2227),
    [anon_sym_false] = ACTIONS(2227),
    [sym__single_quote] = ACTIONS(2225),
    [sym__double_quote] = ACTIONS(2225),
    [sym__backtick_quote] = ACTIONS(2225),
    [sym__search_slash_quote] = ACTIONS(2225),
    [sym__PERLY_HEREDOC] = ACTIONS(2225),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2225),
    [sym__filetest] = ACTIONS(2225),
  },
  [981] = {
    [sym_heredoc_content] = STATE(981),
    [sym__identifier] = ACTIONS(2052),
    [anon_sym_LBRACE] = ACTIONS(2052),
    [anon_sym_RBRACE] = ACTIONS(2052),
    [anon_sym_SEMI] = ACTIONS(2052),
    [anon_sym_package] = ACTIONS(2052),
    [anon_sym_class] = ACTIONS(2052),
    [anon_sym_role] = ACTIONS(2052),
    [anon_sym_BUILD] = ACTIONS(2052),
    [anon_sym_ADJUST] = ACTIONS(2052),
    [anon_sym_DOLLAR] = ACTIONS(2052),
    [anon_sym_AT] = ACTIONS(2052),
    [anon_sym_my] = ACTIONS(2052),
    [anon_sym_extended] = ACTIONS(2052),
    [anon_sym_async] = ACTIONS(2052),
    [anon_sym_sub] = ACTIONS(2052),
    [anon_sym_method] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [anon_sym_continue] = ACTIONS(2052),
    [anon_sym_state] = ACTIONS(2052),
    [anon_sym_our] = ACTIONS(2052),
    [anon_sym_try] = ACTIONS(2052),
    [anon_sym_defer] = ACTIONS(2052),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2052),
    [anon_sym_LBRACK] = ACTIONS(2052),
    [anon_sym_LT] = ACTIONS(2052),
    [anon_sym_LT_LT] = ACTIONS(2052),
    [anon_sym_SLASH_SLASH] = ACTIONS(2052),
    [anon_sym_PLUS] = ACTIONS(2052),
    [anon_sym_DASH] = ACTIONS(2052),
    [anon_sym_STAR] = ACTIONS(2052),
    [anon_sym_TILDE] = ACTIONS(2052),
    [anon_sym_BANG] = ACTIONS(2052),
    [anon_sym_PLUS_PLUS] = ACTIONS(2052),
    [anon_sym_DASH_DASH] = ACTIONS(2052),
    [anon_sym_BSLASH] = ACTIONS(2050),
    [anon_sym_do] = ACTIONS(2052),
    [anon_sym_eval] = ACTIONS(2052),
    [anon_sym_await] = ACTIONS(2052),
    [anon_sym_field] = ACTIONS(2052),
    [anon_sym_local] = ACTIONS(2052),
    [anon_sym_dynamically] = ACTIONS(2052),
    [anon_sym_require] = ACTIONS(2052),
    [anon_sym_map] = ACTIONS(2052),
    [anon_sym_grep] = ACTIONS(2052),
    [anon_sym_sort] = ACTIONS(2052),
    [anon_sym_goto] = ACTIONS(2052),
    [anon_sym_return] = ACTIONS(2052),
    [anon_sym_undef] = ACTIONS(2052),
    [anon_sym_PERCENT2] = ACTIONS(2052),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2052),
    [anon_sym_use] = ACTIONS(2052),
    [anon_sym_no] = ACTIONS(2052),
    [anon_sym_for] = ACTIONS(2052),
    [anon_sym_foreach] = ACTIONS(2052),
    [anon_sym_last] = ACTIONS(2052),
    [anon_sym_next] = ACTIONS(2052),
    [anon_sym_redo] = ACTIONS(2052),
    [anon_sym_BEGIN] = ACTIONS(2052),
    [anon_sym_INIT] = ACTIONS(2052),
    [anon_sym_CHECK] = ACTIONS(2052),
    [anon_sym_UNITCHECK] = ACTIONS(2052),
    [anon_sym_END] = ACTIONS(2052),
    [anon_sym___FILE__] = ACTIONS(2052),
    [anon_sym___LINE__] = ACTIONS(2052),
    [anon_sym___PACKAGE__] = ACTIONS(2052),
    [anon_sym___SUB__] = ACTIONS(2052),
    [anon_sym_break] = ACTIONS(2052),
    [anon_sym_fork] = ACTIONS(2052),
    [anon_sym_getppid] = ACTIONS(2052),
    [anon_sym_time] = ACTIONS(2052),
    [anon_sym_times] = ACTIONS(2052),
    [anon_sym_wait] = ACTIONS(2052),
    [anon_sym_wantarray] = ACTIONS(2052),
    [anon_sym_abs] = ACTIONS(2052),
    [anon_sym_alarm] = ACTIONS(2052),
    [anon_sym_chop] = ACTIONS(2052),
    [anon_sym_chdir] = ACTIONS(2052),
    [anon_sym_close] = ACTIONS(2052),
    [anon_sym_closedir] = ACTIONS(2052),
    [anon_sym_caller] = ACTIONS(2052),
    [anon_sym_chomp] = ACTIONS(2052),
    [anon_sym_chr] = ACTIONS(2052),
    [anon_sym_cos] = ACTIONS(2052),
    [anon_sym_chroot] = ACTIONS(2052),
    [anon_sym_defined] = ACTIONS(2052),
    [anon_sym_delete] = ACTIONS(2052),
    [anon_sym_dbmclose] = ACTIONS(2052),
    [anon_sym_exists] = ACTIONS(2052),
    [anon_sym_exit] = ACTIONS(2052),
    [anon_sym_eof] = ACTIONS(2052),
    [anon_sym_exp] = ACTIONS(2052),
    [anon_sym_each] = ACTIONS(2052),
    [anon_sym_fc] = ACTIONS(2052),
    [anon_sym_fileno] = ACTIONS(2052),
    [anon_sym_gmtime] = ACTIONS(2052),
    [anon_sym_getc] = ACTIONS(2052),
    [anon_sym_getpgrp] = ACTIONS(2052),
    [anon_sym_getprotobyname] = ACTIONS(2052),
    [anon_sym_getpwname] = ACTIONS(2052),
    [anon_sym_getpwuid] = ACTIONS(2052),
    [anon_sym_getpeername] = ACTIONS(2052),
    [anon_sym_getnetbyname] = ACTIONS(2052),
    [anon_sym_getsockname] = ACTIONS(2052),
    [anon_sym_getgrnam] = ACTIONS(2052),
    [anon_sym_getgrgid] = ACTIONS(2052),
    [anon_sym_hex] = ACTIONS(2052),
    [anon_sym_int] = ACTIONS(2052),
    [anon_sym_keys] = ACTIONS(2052),
    [anon_sym_lc] = ACTIONS(2052),
    [anon_sym_lcfirst] = ACTIONS(2052),
    [anon_sym_length] = ACTIONS(2052),
    [anon_sym_localtime] = ACTIONS(2052),
    [anon_sym_log] = ACTIONS(2052),
    [anon_sym_lock] = ACTIONS(2052),
    [anon_sym_lstat] = ACTIONS(2052),
    [anon_sym_oct] = ACTIONS(2052),
    [anon_sym_ord] = ACTIONS(2052),
    [anon_sym_prototype] = ACTIONS(2052),
    [anon_sym_pop] = ACTIONS(2052),
    [anon_sym_pos] = ACTIONS(2052),
    [anon_sym_quotemeta] = ACTIONS(2052),
    [anon_sym_reset] = ACTIONS(2052),
    [anon_sym_rand] = ACTIONS(2052),
    [anon_sym_rmdir] = ACTIONS(2052),
    [anon_sym_readdir] = ACTIONS(2052),
    [anon_sym_readline] = ACTIONS(2052),
    [anon_sym_readpipe] = ACTIONS(2052),
    [anon_sym_rewinddir] = ACTIONS(2052),
    [anon_sym_readlink] = ACTIONS(2052),
    [anon_sym_ref] = ACTIONS(2052),
    [anon_sym_scalar] = ACTIONS(2052),
    [anon_sym_shift] = ACTIONS(2052),
    [anon_sym_sin] = ACTIONS(2052),
    [anon_sym_sleep] = ACTIONS(2052),
    [anon_sym_sqrt] = ACTIONS(2052),
    [anon_sym_srand] = ACTIONS(2052),
    [anon_sym_stat] = ACTIONS(2052),
    [anon_sym_study] = ACTIONS(2052),
    [anon_sym_tell] = ACTIONS(2052),
    [anon_sym_telldir] = ACTIONS(2052),
    [anon_sym_tied] = ACTIONS(2052),
    [anon_sym_uc] = ACTIONS(2052),
    [anon_sym_ucfirst] = ACTIONS(2052),
    [anon_sym_untie] = ACTIONS(2052),
    [anon_sym_umask] = ACTIONS(2052),
    [anon_sym_values] = ACTIONS(2052),
    [anon_sym_write] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2052),
    [anon_sym_qq] = ACTIONS(2052),
    [anon_sym_qw] = ACTIONS(2052),
    [anon_sym_qx] = ACTIONS(2052),
    [anon_sym_qr] = ACTIONS(2052),
    [anon_sym_m] = ACTIONS(2052),
    [anon_sym_s] = ACTIONS(2052),
    [anon_sym_tr] = ACTIONS(2052),
    [anon_sym_y] = ACTIONS(2052),
    [anon_sym_if] = ACTIONS(2052),
    [anon_sym_unless] = ACTIONS(2052),
    [anon_sym_while] = ACTIONS(2052),
    [anon_sym_until] = ACTIONS(2052),
    [aux_sym__bareword_token1] = ACTIONS(2052),
    [sym_number] = ACTIONS(2052),
    [anon_sym_true] = ACTIONS(2052),
    [anon_sym_false] = ACTIONS(2052),
    [sym__single_quote] = ACTIONS(2050),
    [sym__double_quote] = ACTIONS(2050),
    [sym__backtick_quote] = ACTIONS(2050),
    [sym__search_slash_quote] = ACTIONS(2050),
    [sym__PERLY_HEREDOC] = ACTIONS(2050),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2050),
    [sym__filetest] = ACTIONS(2050),
  },
  [982] = {
    [sym_heredoc_content] = STATE(982),
    [sym__identifier] = ACTIONS(2056),
    [anon_sym_LBRACE] = ACTIONS(2056),
    [anon_sym_RBRACE] = ACTIONS(2056),
    [anon_sym_SEMI] = ACTIONS(2056),
    [anon_sym_package] = ACTIONS(2056),
    [anon_sym_class] = ACTIONS(2056),
    [anon_sym_role] = ACTIONS(2056),
    [anon_sym_BUILD] = ACTIONS(2056),
    [anon_sym_ADJUST] = ACTIONS(2056),
    [anon_sym_DOLLAR] = ACTIONS(2056),
    [anon_sym_AT] = ACTIONS(2056),
    [anon_sym_my] = ACTIONS(2056),
    [anon_sym_extended] = ACTIONS(2056),
    [anon_sym_async] = ACTIONS(2056),
    [anon_sym_sub] = ACTIONS(2056),
    [anon_sym_method] = ACTIONS(2056),
    [anon_sym_LPAREN] = ACTIONS(2056),
    [anon_sym_continue] = ACTIONS(2056),
    [anon_sym_state] = ACTIONS(2056),
    [anon_sym_our] = ACTIONS(2056),
    [anon_sym_try] = ACTIONS(2056),
    [anon_sym_defer] = ACTIONS(2056),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2056),
    [anon_sym_LBRACK] = ACTIONS(2056),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_LT_LT] = ACTIONS(2056),
    [anon_sym_SLASH_SLASH] = ACTIONS(2056),
    [anon_sym_PLUS] = ACTIONS(2056),
    [anon_sym_DASH] = ACTIONS(2056),
    [anon_sym_STAR] = ACTIONS(2056),
    [anon_sym_TILDE] = ACTIONS(2056),
    [anon_sym_BANG] = ACTIONS(2056),
    [anon_sym_PLUS_PLUS] = ACTIONS(2056),
    [anon_sym_DASH_DASH] = ACTIONS(2056),
    [anon_sym_BSLASH] = ACTIONS(2054),
    [anon_sym_do] = ACTIONS(2056),
    [anon_sym_eval] = ACTIONS(2056),
    [anon_sym_await] = ACTIONS(2056),
    [anon_sym_field] = ACTIONS(2056),
    [anon_sym_local] = ACTIONS(2056),
    [anon_sym_dynamically] = ACTIONS(2056),
    [anon_sym_require] = ACTIONS(2056),
    [anon_sym_map] = ACTIONS(2056),
    [anon_sym_grep] = ACTIONS(2056),
    [anon_sym_sort] = ACTIONS(2056),
    [anon_sym_goto] = ACTIONS(2056),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_undef] = ACTIONS(2056),
    [anon_sym_PERCENT2] = ACTIONS(2056),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2056),
    [anon_sym_use] = ACTIONS(2056),
    [anon_sym_no] = ACTIONS(2056),
    [anon_sym_for] = ACTIONS(2056),
    [anon_sym_foreach] = ACTIONS(2056),
    [anon_sym_last] = ACTIONS(2056),
    [anon_sym_next] = ACTIONS(2056),
    [anon_sym_redo] = ACTIONS(2056),
    [anon_sym_BEGIN] = ACTIONS(2056),
    [anon_sym_INIT] = ACTIONS(2056),
    [anon_sym_CHECK] = ACTIONS(2056),
    [anon_sym_UNITCHECK] = ACTIONS(2056),
    [anon_sym_END] = ACTIONS(2056),
    [anon_sym___FILE__] = ACTIONS(2056),
    [anon_sym___LINE__] = ACTIONS(2056),
    [anon_sym___PACKAGE__] = ACTIONS(2056),
    [anon_sym___SUB__] = ACTIONS(2056),
    [anon_sym_break] = ACTIONS(2056),
    [anon_sym_fork] = ACTIONS(2056),
    [anon_sym_getppid] = ACTIONS(2056),
    [anon_sym_time] = ACTIONS(2056),
    [anon_sym_times] = ACTIONS(2056),
    [anon_sym_wait] = ACTIONS(2056),
    [anon_sym_wantarray] = ACTIONS(2056),
    [anon_sym_abs] = ACTIONS(2056),
    [anon_sym_alarm] = ACTIONS(2056),
    [anon_sym_chop] = ACTIONS(2056),
    [anon_sym_chdir] = ACTIONS(2056),
    [anon_sym_close] = ACTIONS(2056),
    [anon_sym_closedir] = ACTIONS(2056),
    [anon_sym_caller] = ACTIONS(2056),
    [anon_sym_chomp] = ACTIONS(2056),
    [anon_sym_chr] = ACTIONS(2056),
    [anon_sym_cos] = ACTIONS(2056),
    [anon_sym_chroot] = ACTIONS(2056),
    [anon_sym_defined] = ACTIONS(2056),
    [anon_sym_delete] = ACTIONS(2056),
    [anon_sym_dbmclose] = ACTIONS(2056),
    [anon_sym_exists] = ACTIONS(2056),
    [anon_sym_exit] = ACTIONS(2056),
    [anon_sym_eof] = ACTIONS(2056),
    [anon_sym_exp] = ACTIONS(2056),
    [anon_sym_each] = ACTIONS(2056),
    [anon_sym_fc] = ACTIONS(2056),
    [anon_sym_fileno] = ACTIONS(2056),
    [anon_sym_gmtime] = ACTIONS(2056),
    [anon_sym_getc] = ACTIONS(2056),
    [anon_sym_getpgrp] = ACTIONS(2056),
    [anon_sym_getprotobyname] = ACTIONS(2056),
    [anon_sym_getpwname] = ACTIONS(2056),
    [anon_sym_getpwuid] = ACTIONS(2056),
    [anon_sym_getpeername] = ACTIONS(2056),
    [anon_sym_getnetbyname] = ACTIONS(2056),
    [anon_sym_getsockname] = ACTIONS(2056),
    [anon_sym_getgrnam] = ACTIONS(2056),
    [anon_sym_getgrgid] = ACTIONS(2056),
    [anon_sym_hex] = ACTIONS(2056),
    [anon_sym_int] = ACTIONS(2056),
    [anon_sym_keys] = ACTIONS(2056),
    [anon_sym_lc] = ACTIONS(2056),
    [anon_sym_lcfirst] = ACTIONS(2056),
    [anon_sym_length] = ACTIONS(2056),
    [anon_sym_localtime] = ACTIONS(2056),
    [anon_sym_log] = ACTIONS(2056),
    [anon_sym_lock] = ACTIONS(2056),
    [anon_sym_lstat] = ACTIONS(2056),
    [anon_sym_oct] = ACTIONS(2056),
    [anon_sym_ord] = ACTIONS(2056),
    [anon_sym_prototype] = ACTIONS(2056),
    [anon_sym_pop] = ACTIONS(2056),
    [anon_sym_pos] = ACTIONS(2056),
    [anon_sym_quotemeta] = ACTIONS(2056),
    [anon_sym_reset] = ACTIONS(2056),
    [anon_sym_rand] = ACTIONS(2056),
    [anon_sym_rmdir] = ACTIONS(2056),
    [anon_sym_readdir] = ACTIONS(2056),
    [anon_sym_readline] = ACTIONS(2056),
    [anon_sym_readpipe] = ACTIONS(2056),
    [anon_sym_rewinddir] = ACTIONS(2056),
    [anon_sym_readlink] = ACTIONS(2056),
    [anon_sym_ref] = ACTIONS(2056),
    [anon_sym_scalar] = ACTIONS(2056),
    [anon_sym_shift] = ACTIONS(2056),
    [anon_sym_sin] = ACTIONS(2056),
    [anon_sym_sleep] = ACTIONS(2056),
    [anon_sym_sqrt] = ACTIONS(2056),
    [anon_sym_srand] = ACTIONS(2056),
    [anon_sym_stat] = ACTIONS(2056),
    [anon_sym_study] = ACTIONS(2056),
    [anon_sym_tell] = ACTIONS(2056),
    [anon_sym_telldir] = ACTIONS(2056),
    [anon_sym_tied] = ACTIONS(2056),
    [anon_sym_uc] = ACTIONS(2056),
    [anon_sym_ucfirst] = ACTIONS(2056),
    [anon_sym_untie] = ACTIONS(2056),
    [anon_sym_umask] = ACTIONS(2056),
    [anon_sym_values] = ACTIONS(2056),
    [anon_sym_write] = ACTIONS(2056),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2056),
    [anon_sym_qq] = ACTIONS(2056),
    [anon_sym_qw] = ACTIONS(2056),
    [anon_sym_qx] = ACTIONS(2056),
    [anon_sym_qr] = ACTIONS(2056),
    [anon_sym_m] = ACTIONS(2056),
    [anon_sym_s] = ACTIONS(2056),
    [anon_sym_tr] = ACTIONS(2056),
    [anon_sym_y] = ACTIONS(2056),
    [anon_sym_if] = ACTIONS(2056),
    [anon_sym_unless] = ACTIONS(2056),
    [anon_sym_while] = ACTIONS(2056),
    [anon_sym_until] = ACTIONS(2056),
    [aux_sym__bareword_token1] = ACTIONS(2056),
    [sym_number] = ACTIONS(2056),
    [anon_sym_true] = ACTIONS(2056),
    [anon_sym_false] = ACTIONS(2056),
    [sym__single_quote] = ACTIONS(2054),
    [sym__double_quote] = ACTIONS(2054),
    [sym__backtick_quote] = ACTIONS(2054),
    [sym__search_slash_quote] = ACTIONS(2054),
    [sym__PERLY_HEREDOC] = ACTIONS(2054),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2054),
    [sym__filetest] = ACTIONS(2054),
  },
  [983] = {
    [sym_heredoc_content] = STATE(983),
    [sym__identifier] = ACTIONS(2060),
    [anon_sym_LBRACE] = ACTIONS(2060),
    [anon_sym_RBRACE] = ACTIONS(2060),
    [anon_sym_SEMI] = ACTIONS(2060),
    [anon_sym_package] = ACTIONS(2060),
    [anon_sym_class] = ACTIONS(2060),
    [anon_sym_role] = ACTIONS(2060),
    [anon_sym_BUILD] = ACTIONS(2060),
    [anon_sym_ADJUST] = ACTIONS(2060),
    [anon_sym_DOLLAR] = ACTIONS(2060),
    [anon_sym_AT] = ACTIONS(2060),
    [anon_sym_my] = ACTIONS(2060),
    [anon_sym_extended] = ACTIONS(2060),
    [anon_sym_async] = ACTIONS(2060),
    [anon_sym_sub] = ACTIONS(2060),
    [anon_sym_method] = ACTIONS(2060),
    [anon_sym_LPAREN] = ACTIONS(2060),
    [anon_sym_continue] = ACTIONS(2060),
    [anon_sym_state] = ACTIONS(2060),
    [anon_sym_our] = ACTIONS(2060),
    [anon_sym_try] = ACTIONS(2060),
    [anon_sym_defer] = ACTIONS(2060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2060),
    [anon_sym_LBRACK] = ACTIONS(2060),
    [anon_sym_LT] = ACTIONS(2060),
    [anon_sym_LT_LT] = ACTIONS(2060),
    [anon_sym_SLASH_SLASH] = ACTIONS(2060),
    [anon_sym_PLUS] = ACTIONS(2060),
    [anon_sym_DASH] = ACTIONS(2060),
    [anon_sym_STAR] = ACTIONS(2060),
    [anon_sym_TILDE] = ACTIONS(2060),
    [anon_sym_BANG] = ACTIONS(2060),
    [anon_sym_PLUS_PLUS] = ACTIONS(2060),
    [anon_sym_DASH_DASH] = ACTIONS(2060),
    [anon_sym_BSLASH] = ACTIONS(2058),
    [anon_sym_do] = ACTIONS(2060),
    [anon_sym_eval] = ACTIONS(2060),
    [anon_sym_await] = ACTIONS(2060),
    [anon_sym_field] = ACTIONS(2060),
    [anon_sym_local] = ACTIONS(2060),
    [anon_sym_dynamically] = ACTIONS(2060),
    [anon_sym_require] = ACTIONS(2060),
    [anon_sym_map] = ACTIONS(2060),
    [anon_sym_grep] = ACTIONS(2060),
    [anon_sym_sort] = ACTIONS(2060),
    [anon_sym_goto] = ACTIONS(2060),
    [anon_sym_return] = ACTIONS(2060),
    [anon_sym_undef] = ACTIONS(2060),
    [anon_sym_PERCENT2] = ACTIONS(2060),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2060),
    [anon_sym_use] = ACTIONS(2060),
    [anon_sym_no] = ACTIONS(2060),
    [anon_sym_for] = ACTIONS(2060),
    [anon_sym_foreach] = ACTIONS(2060),
    [anon_sym_last] = ACTIONS(2060),
    [anon_sym_next] = ACTIONS(2060),
    [anon_sym_redo] = ACTIONS(2060),
    [anon_sym_BEGIN] = ACTIONS(2060),
    [anon_sym_INIT] = ACTIONS(2060),
    [anon_sym_CHECK] = ACTIONS(2060),
    [anon_sym_UNITCHECK] = ACTIONS(2060),
    [anon_sym_END] = ACTIONS(2060),
    [anon_sym___FILE__] = ACTIONS(2060),
    [anon_sym___LINE__] = ACTIONS(2060),
    [anon_sym___PACKAGE__] = ACTIONS(2060),
    [anon_sym___SUB__] = ACTIONS(2060),
    [anon_sym_break] = ACTIONS(2060),
    [anon_sym_fork] = ACTIONS(2060),
    [anon_sym_getppid] = ACTIONS(2060),
    [anon_sym_time] = ACTIONS(2060),
    [anon_sym_times] = ACTIONS(2060),
    [anon_sym_wait] = ACTIONS(2060),
    [anon_sym_wantarray] = ACTIONS(2060),
    [anon_sym_abs] = ACTIONS(2060),
    [anon_sym_alarm] = ACTIONS(2060),
    [anon_sym_chop] = ACTIONS(2060),
    [anon_sym_chdir] = ACTIONS(2060),
    [anon_sym_close] = ACTIONS(2060),
    [anon_sym_closedir] = ACTIONS(2060),
    [anon_sym_caller] = ACTIONS(2060),
    [anon_sym_chomp] = ACTIONS(2060),
    [anon_sym_chr] = ACTIONS(2060),
    [anon_sym_cos] = ACTIONS(2060),
    [anon_sym_chroot] = ACTIONS(2060),
    [anon_sym_defined] = ACTIONS(2060),
    [anon_sym_delete] = ACTIONS(2060),
    [anon_sym_dbmclose] = ACTIONS(2060),
    [anon_sym_exists] = ACTIONS(2060),
    [anon_sym_exit] = ACTIONS(2060),
    [anon_sym_eof] = ACTIONS(2060),
    [anon_sym_exp] = ACTIONS(2060),
    [anon_sym_each] = ACTIONS(2060),
    [anon_sym_fc] = ACTIONS(2060),
    [anon_sym_fileno] = ACTIONS(2060),
    [anon_sym_gmtime] = ACTIONS(2060),
    [anon_sym_getc] = ACTIONS(2060),
    [anon_sym_getpgrp] = ACTIONS(2060),
    [anon_sym_getprotobyname] = ACTIONS(2060),
    [anon_sym_getpwname] = ACTIONS(2060),
    [anon_sym_getpwuid] = ACTIONS(2060),
    [anon_sym_getpeername] = ACTIONS(2060),
    [anon_sym_getnetbyname] = ACTIONS(2060),
    [anon_sym_getsockname] = ACTIONS(2060),
    [anon_sym_getgrnam] = ACTIONS(2060),
    [anon_sym_getgrgid] = ACTIONS(2060),
    [anon_sym_hex] = ACTIONS(2060),
    [anon_sym_int] = ACTIONS(2060),
    [anon_sym_keys] = ACTIONS(2060),
    [anon_sym_lc] = ACTIONS(2060),
    [anon_sym_lcfirst] = ACTIONS(2060),
    [anon_sym_length] = ACTIONS(2060),
    [anon_sym_localtime] = ACTIONS(2060),
    [anon_sym_log] = ACTIONS(2060),
    [anon_sym_lock] = ACTIONS(2060),
    [anon_sym_lstat] = ACTIONS(2060),
    [anon_sym_oct] = ACTIONS(2060),
    [anon_sym_ord] = ACTIONS(2060),
    [anon_sym_prototype] = ACTIONS(2060),
    [anon_sym_pop] = ACTIONS(2060),
    [anon_sym_pos] = ACTIONS(2060),
    [anon_sym_quotemeta] = ACTIONS(2060),
    [anon_sym_reset] = ACTIONS(2060),
    [anon_sym_rand] = ACTIONS(2060),
    [anon_sym_rmdir] = ACTIONS(2060),
    [anon_sym_readdir] = ACTIONS(2060),
    [anon_sym_readline] = ACTIONS(2060),
    [anon_sym_readpipe] = ACTIONS(2060),
    [anon_sym_rewinddir] = ACTIONS(2060),
    [anon_sym_readlink] = ACTIONS(2060),
    [anon_sym_ref] = ACTIONS(2060),
    [anon_sym_scalar] = ACTIONS(2060),
    [anon_sym_shift] = ACTIONS(2060),
    [anon_sym_sin] = ACTIONS(2060),
    [anon_sym_sleep] = ACTIONS(2060),
    [anon_sym_sqrt] = ACTIONS(2060),
    [anon_sym_srand] = ACTIONS(2060),
    [anon_sym_stat] = ACTIONS(2060),
    [anon_sym_study] = ACTIONS(2060),
    [anon_sym_tell] = ACTIONS(2060),
    [anon_sym_telldir] = ACTIONS(2060),
    [anon_sym_tied] = ACTIONS(2060),
    [anon_sym_uc] = ACTIONS(2060),
    [anon_sym_ucfirst] = ACTIONS(2060),
    [anon_sym_untie] = ACTIONS(2060),
    [anon_sym_umask] = ACTIONS(2060),
    [anon_sym_values] = ACTIONS(2060),
    [anon_sym_write] = ACTIONS(2060),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2060),
    [anon_sym_qq] = ACTIONS(2060),
    [anon_sym_qw] = ACTIONS(2060),
    [anon_sym_qx] = ACTIONS(2060),
    [anon_sym_qr] = ACTIONS(2060),
    [anon_sym_m] = ACTIONS(2060),
    [anon_sym_s] = ACTIONS(2060),
    [anon_sym_tr] = ACTIONS(2060),
    [anon_sym_y] = ACTIONS(2060),
    [anon_sym_if] = ACTIONS(2060),
    [anon_sym_unless] = ACTIONS(2060),
    [anon_sym_while] = ACTIONS(2060),
    [anon_sym_until] = ACTIONS(2060),
    [aux_sym__bareword_token1] = ACTIONS(2060),
    [sym_number] = ACTIONS(2060),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [sym__single_quote] = ACTIONS(2058),
    [sym__double_quote] = ACTIONS(2058),
    [sym__backtick_quote] = ACTIONS(2058),
    [sym__search_slash_quote] = ACTIONS(2058),
    [sym__PERLY_HEREDOC] = ACTIONS(2058),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2058),
    [sym__filetest] = ACTIONS(2058),
  },
  [984] = {
    [sym_heredoc_content] = STATE(984),
    [sym__identifier] = ACTIONS(2064),
    [anon_sym_LBRACE] = ACTIONS(2064),
    [anon_sym_RBRACE] = ACTIONS(2064),
    [anon_sym_SEMI] = ACTIONS(2064),
    [anon_sym_package] = ACTIONS(2064),
    [anon_sym_class] = ACTIONS(2064),
    [anon_sym_role] = ACTIONS(2064),
    [anon_sym_BUILD] = ACTIONS(2064),
    [anon_sym_ADJUST] = ACTIONS(2064),
    [anon_sym_DOLLAR] = ACTIONS(2064),
    [anon_sym_AT] = ACTIONS(2064),
    [anon_sym_my] = ACTIONS(2064),
    [anon_sym_extended] = ACTIONS(2064),
    [anon_sym_async] = ACTIONS(2064),
    [anon_sym_sub] = ACTIONS(2064),
    [anon_sym_method] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_continue] = ACTIONS(2064),
    [anon_sym_state] = ACTIONS(2064),
    [anon_sym_our] = ACTIONS(2064),
    [anon_sym_try] = ACTIONS(2064),
    [anon_sym_defer] = ACTIONS(2064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2064),
    [anon_sym_LBRACK] = ACTIONS(2064),
    [anon_sym_LT] = ACTIONS(2064),
    [anon_sym_LT_LT] = ACTIONS(2064),
    [anon_sym_SLASH_SLASH] = ACTIONS(2064),
    [anon_sym_PLUS] = ACTIONS(2064),
    [anon_sym_DASH] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(2064),
    [anon_sym_TILDE] = ACTIONS(2064),
    [anon_sym_BANG] = ACTIONS(2064),
    [anon_sym_PLUS_PLUS] = ACTIONS(2064),
    [anon_sym_DASH_DASH] = ACTIONS(2064),
    [anon_sym_BSLASH] = ACTIONS(2062),
    [anon_sym_do] = ACTIONS(2064),
    [anon_sym_eval] = ACTIONS(2064),
    [anon_sym_await] = ACTIONS(2064),
    [anon_sym_field] = ACTIONS(2064),
    [anon_sym_local] = ACTIONS(2064),
    [anon_sym_dynamically] = ACTIONS(2064),
    [anon_sym_require] = ACTIONS(2064),
    [anon_sym_map] = ACTIONS(2064),
    [anon_sym_grep] = ACTIONS(2064),
    [anon_sym_sort] = ACTIONS(2064),
    [anon_sym_goto] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(2064),
    [anon_sym_undef] = ACTIONS(2064),
    [anon_sym_PERCENT2] = ACTIONS(2064),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2064),
    [anon_sym_use] = ACTIONS(2064),
    [anon_sym_no] = ACTIONS(2064),
    [anon_sym_for] = ACTIONS(2064),
    [anon_sym_foreach] = ACTIONS(2064),
    [anon_sym_last] = ACTIONS(2064),
    [anon_sym_next] = ACTIONS(2064),
    [anon_sym_redo] = ACTIONS(2064),
    [anon_sym_BEGIN] = ACTIONS(2064),
    [anon_sym_INIT] = ACTIONS(2064),
    [anon_sym_CHECK] = ACTIONS(2064),
    [anon_sym_UNITCHECK] = ACTIONS(2064),
    [anon_sym_END] = ACTIONS(2064),
    [anon_sym___FILE__] = ACTIONS(2064),
    [anon_sym___LINE__] = ACTIONS(2064),
    [anon_sym___PACKAGE__] = ACTIONS(2064),
    [anon_sym___SUB__] = ACTIONS(2064),
    [anon_sym_break] = ACTIONS(2064),
    [anon_sym_fork] = ACTIONS(2064),
    [anon_sym_getppid] = ACTIONS(2064),
    [anon_sym_time] = ACTIONS(2064),
    [anon_sym_times] = ACTIONS(2064),
    [anon_sym_wait] = ACTIONS(2064),
    [anon_sym_wantarray] = ACTIONS(2064),
    [anon_sym_abs] = ACTIONS(2064),
    [anon_sym_alarm] = ACTIONS(2064),
    [anon_sym_chop] = ACTIONS(2064),
    [anon_sym_chdir] = ACTIONS(2064),
    [anon_sym_close] = ACTIONS(2064),
    [anon_sym_closedir] = ACTIONS(2064),
    [anon_sym_caller] = ACTIONS(2064),
    [anon_sym_chomp] = ACTIONS(2064),
    [anon_sym_chr] = ACTIONS(2064),
    [anon_sym_cos] = ACTIONS(2064),
    [anon_sym_chroot] = ACTIONS(2064),
    [anon_sym_defined] = ACTIONS(2064),
    [anon_sym_delete] = ACTIONS(2064),
    [anon_sym_dbmclose] = ACTIONS(2064),
    [anon_sym_exists] = ACTIONS(2064),
    [anon_sym_exit] = ACTIONS(2064),
    [anon_sym_eof] = ACTIONS(2064),
    [anon_sym_exp] = ACTIONS(2064),
    [anon_sym_each] = ACTIONS(2064),
    [anon_sym_fc] = ACTIONS(2064),
    [anon_sym_fileno] = ACTIONS(2064),
    [anon_sym_gmtime] = ACTIONS(2064),
    [anon_sym_getc] = ACTIONS(2064),
    [anon_sym_getpgrp] = ACTIONS(2064),
    [anon_sym_getprotobyname] = ACTIONS(2064),
    [anon_sym_getpwname] = ACTIONS(2064),
    [anon_sym_getpwuid] = ACTIONS(2064),
    [anon_sym_getpeername] = ACTIONS(2064),
    [anon_sym_getnetbyname] = ACTIONS(2064),
    [anon_sym_getsockname] = ACTIONS(2064),
    [anon_sym_getgrnam] = ACTIONS(2064),
    [anon_sym_getgrgid] = ACTIONS(2064),
    [anon_sym_hex] = ACTIONS(2064),
    [anon_sym_int] = ACTIONS(2064),
    [anon_sym_keys] = ACTIONS(2064),
    [anon_sym_lc] = ACTIONS(2064),
    [anon_sym_lcfirst] = ACTIONS(2064),
    [anon_sym_length] = ACTIONS(2064),
    [anon_sym_localtime] = ACTIONS(2064),
    [anon_sym_log] = ACTIONS(2064),
    [anon_sym_lock] = ACTIONS(2064),
    [anon_sym_lstat] = ACTIONS(2064),
    [anon_sym_oct] = ACTIONS(2064),
    [anon_sym_ord] = ACTIONS(2064),
    [anon_sym_prototype] = ACTIONS(2064),
    [anon_sym_pop] = ACTIONS(2064),
    [anon_sym_pos] = ACTIONS(2064),
    [anon_sym_quotemeta] = ACTIONS(2064),
    [anon_sym_reset] = ACTIONS(2064),
    [anon_sym_rand] = ACTIONS(2064),
    [anon_sym_rmdir] = ACTIONS(2064),
    [anon_sym_readdir] = ACTIONS(2064),
    [anon_sym_readline] = ACTIONS(2064),
    [anon_sym_readpipe] = ACTIONS(2064),
    [anon_sym_rewinddir] = ACTIONS(2064),
    [anon_sym_readlink] = ACTIONS(2064),
    [anon_sym_ref] = ACTIONS(2064),
    [anon_sym_scalar] = ACTIONS(2064),
    [anon_sym_shift] = ACTIONS(2064),
    [anon_sym_sin] = ACTIONS(2064),
    [anon_sym_sleep] = ACTIONS(2064),
    [anon_sym_sqrt] = ACTIONS(2064),
    [anon_sym_srand] = ACTIONS(2064),
    [anon_sym_stat] = ACTIONS(2064),
    [anon_sym_study] = ACTIONS(2064),
    [anon_sym_tell] = ACTIONS(2064),
    [anon_sym_telldir] = ACTIONS(2064),
    [anon_sym_tied] = ACTIONS(2064),
    [anon_sym_uc] = ACTIONS(2064),
    [anon_sym_ucfirst] = ACTIONS(2064),
    [anon_sym_untie] = ACTIONS(2064),
    [anon_sym_umask] = ACTIONS(2064),
    [anon_sym_values] = ACTIONS(2064),
    [anon_sym_write] = ACTIONS(2064),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2064),
    [anon_sym_qq] = ACTIONS(2064),
    [anon_sym_qw] = ACTIONS(2064),
    [anon_sym_qx] = ACTIONS(2064),
    [anon_sym_qr] = ACTIONS(2064),
    [anon_sym_m] = ACTIONS(2064),
    [anon_sym_s] = ACTIONS(2064),
    [anon_sym_tr] = ACTIONS(2064),
    [anon_sym_y] = ACTIONS(2064),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_unless] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2064),
    [anon_sym_until] = ACTIONS(2064),
    [aux_sym__bareword_token1] = ACTIONS(2064),
    [sym_number] = ACTIONS(2064),
    [anon_sym_true] = ACTIONS(2064),
    [anon_sym_false] = ACTIONS(2064),
    [sym__single_quote] = ACTIONS(2062),
    [sym__double_quote] = ACTIONS(2062),
    [sym__backtick_quote] = ACTIONS(2062),
    [sym__search_slash_quote] = ACTIONS(2062),
    [sym__PERLY_HEREDOC] = ACTIONS(2062),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2062),
    [sym__filetest] = ACTIONS(2062),
  },
  [985] = {
    [sym_heredoc_content] = STATE(985),
    [sym__identifier] = ACTIONS(2088),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym_RBRACE] = ACTIONS(2088),
    [anon_sym_SEMI] = ACTIONS(2088),
    [anon_sym_package] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_role] = ACTIONS(2088),
    [anon_sym_BUILD] = ACTIONS(2088),
    [anon_sym_ADJUST] = ACTIONS(2088),
    [anon_sym_DOLLAR] = ACTIONS(2088),
    [anon_sym_AT] = ACTIONS(2088),
    [anon_sym_my] = ACTIONS(2088),
    [anon_sym_extended] = ACTIONS(2088),
    [anon_sym_async] = ACTIONS(2088),
    [anon_sym_sub] = ACTIONS(2088),
    [anon_sym_method] = ACTIONS(2088),
    [anon_sym_LPAREN] = ACTIONS(2088),
    [anon_sym_continue] = ACTIONS(2088),
    [anon_sym_state] = ACTIONS(2088),
    [anon_sym_our] = ACTIONS(2088),
    [anon_sym_try] = ACTIONS(2088),
    [anon_sym_defer] = ACTIONS(2088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2088),
    [anon_sym_LBRACK] = ACTIONS(2088),
    [anon_sym_LT] = ACTIONS(2088),
    [anon_sym_LT_LT] = ACTIONS(2088),
    [anon_sym_SLASH_SLASH] = ACTIONS(2088),
    [anon_sym_PLUS] = ACTIONS(2088),
    [anon_sym_DASH] = ACTIONS(2088),
    [anon_sym_STAR] = ACTIONS(2088),
    [anon_sym_TILDE] = ACTIONS(2088),
    [anon_sym_BANG] = ACTIONS(2088),
    [anon_sym_PLUS_PLUS] = ACTIONS(2088),
    [anon_sym_DASH_DASH] = ACTIONS(2088),
    [anon_sym_BSLASH] = ACTIONS(2086),
    [anon_sym_do] = ACTIONS(2088),
    [anon_sym_eval] = ACTIONS(2088),
    [anon_sym_await] = ACTIONS(2088),
    [anon_sym_field] = ACTIONS(2088),
    [anon_sym_local] = ACTIONS(2088),
    [anon_sym_dynamically] = ACTIONS(2088),
    [anon_sym_require] = ACTIONS(2088),
    [anon_sym_map] = ACTIONS(2088),
    [anon_sym_grep] = ACTIONS(2088),
    [anon_sym_sort] = ACTIONS(2088),
    [anon_sym_goto] = ACTIONS(2088),
    [anon_sym_return] = ACTIONS(2088),
    [anon_sym_undef] = ACTIONS(2088),
    [anon_sym_PERCENT2] = ACTIONS(2088),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2088),
    [anon_sym_use] = ACTIONS(2088),
    [anon_sym_no] = ACTIONS(2088),
    [anon_sym_for] = ACTIONS(2088),
    [anon_sym_foreach] = ACTIONS(2088),
    [anon_sym_last] = ACTIONS(2088),
    [anon_sym_next] = ACTIONS(2088),
    [anon_sym_redo] = ACTIONS(2088),
    [anon_sym_BEGIN] = ACTIONS(2088),
    [anon_sym_INIT] = ACTIONS(2088),
    [anon_sym_CHECK] = ACTIONS(2088),
    [anon_sym_UNITCHECK] = ACTIONS(2088),
    [anon_sym_END] = ACTIONS(2088),
    [anon_sym___FILE__] = ACTIONS(2088),
    [anon_sym___LINE__] = ACTIONS(2088),
    [anon_sym___PACKAGE__] = ACTIONS(2088),
    [anon_sym___SUB__] = ACTIONS(2088),
    [anon_sym_break] = ACTIONS(2088),
    [anon_sym_fork] = ACTIONS(2088),
    [anon_sym_getppid] = ACTIONS(2088),
    [anon_sym_time] = ACTIONS(2088),
    [anon_sym_times] = ACTIONS(2088),
    [anon_sym_wait] = ACTIONS(2088),
    [anon_sym_wantarray] = ACTIONS(2088),
    [anon_sym_abs] = ACTIONS(2088),
    [anon_sym_alarm] = ACTIONS(2088),
    [anon_sym_chop] = ACTIONS(2088),
    [anon_sym_chdir] = ACTIONS(2088),
    [anon_sym_close] = ACTIONS(2088),
    [anon_sym_closedir] = ACTIONS(2088),
    [anon_sym_caller] = ACTIONS(2088),
    [anon_sym_chomp] = ACTIONS(2088),
    [anon_sym_chr] = ACTIONS(2088),
    [anon_sym_cos] = ACTIONS(2088),
    [anon_sym_chroot] = ACTIONS(2088),
    [anon_sym_defined] = ACTIONS(2088),
    [anon_sym_delete] = ACTIONS(2088),
    [anon_sym_dbmclose] = ACTIONS(2088),
    [anon_sym_exists] = ACTIONS(2088),
    [anon_sym_exit] = ACTIONS(2088),
    [anon_sym_eof] = ACTIONS(2088),
    [anon_sym_exp] = ACTIONS(2088),
    [anon_sym_each] = ACTIONS(2088),
    [anon_sym_fc] = ACTIONS(2088),
    [anon_sym_fileno] = ACTIONS(2088),
    [anon_sym_gmtime] = ACTIONS(2088),
    [anon_sym_getc] = ACTIONS(2088),
    [anon_sym_getpgrp] = ACTIONS(2088),
    [anon_sym_getprotobyname] = ACTIONS(2088),
    [anon_sym_getpwname] = ACTIONS(2088),
    [anon_sym_getpwuid] = ACTIONS(2088),
    [anon_sym_getpeername] = ACTIONS(2088),
    [anon_sym_getnetbyname] = ACTIONS(2088),
    [anon_sym_getsockname] = ACTIONS(2088),
    [anon_sym_getgrnam] = ACTIONS(2088),
    [anon_sym_getgrgid] = ACTIONS(2088),
    [anon_sym_hex] = ACTIONS(2088),
    [anon_sym_int] = ACTIONS(2088),
    [anon_sym_keys] = ACTIONS(2088),
    [anon_sym_lc] = ACTIONS(2088),
    [anon_sym_lcfirst] = ACTIONS(2088),
    [anon_sym_length] = ACTIONS(2088),
    [anon_sym_localtime] = ACTIONS(2088),
    [anon_sym_log] = ACTIONS(2088),
    [anon_sym_lock] = ACTIONS(2088),
    [anon_sym_lstat] = ACTIONS(2088),
    [anon_sym_oct] = ACTIONS(2088),
    [anon_sym_ord] = ACTIONS(2088),
    [anon_sym_prototype] = ACTIONS(2088),
    [anon_sym_pop] = ACTIONS(2088),
    [anon_sym_pos] = ACTIONS(2088),
    [anon_sym_quotemeta] = ACTIONS(2088),
    [anon_sym_reset] = ACTIONS(2088),
    [anon_sym_rand] = ACTIONS(2088),
    [anon_sym_rmdir] = ACTIONS(2088),
    [anon_sym_readdir] = ACTIONS(2088),
    [anon_sym_readline] = ACTIONS(2088),
    [anon_sym_readpipe] = ACTIONS(2088),
    [anon_sym_rewinddir] = ACTIONS(2088),
    [anon_sym_readlink] = ACTIONS(2088),
    [anon_sym_ref] = ACTIONS(2088),
    [anon_sym_scalar] = ACTIONS(2088),
    [anon_sym_shift] = ACTIONS(2088),
    [anon_sym_sin] = ACTIONS(2088),
    [anon_sym_sleep] = ACTIONS(2088),
    [anon_sym_sqrt] = ACTIONS(2088),
    [anon_sym_srand] = ACTIONS(2088),
    [anon_sym_stat] = ACTIONS(2088),
    [anon_sym_study] = ACTIONS(2088),
    [anon_sym_tell] = ACTIONS(2088),
    [anon_sym_telldir] = ACTIONS(2088),
    [anon_sym_tied] = ACTIONS(2088),
    [anon_sym_uc] = ACTIONS(2088),
    [anon_sym_ucfirst] = ACTIONS(2088),
    [anon_sym_untie] = ACTIONS(2088),
    [anon_sym_umask] = ACTIONS(2088),
    [anon_sym_values] = ACTIONS(2088),
    [anon_sym_write] = ACTIONS(2088),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2088),
    [anon_sym_qq] = ACTIONS(2088),
    [anon_sym_qw] = ACTIONS(2088),
    [anon_sym_qx] = ACTIONS(2088),
    [anon_sym_qr] = ACTIONS(2088),
    [anon_sym_m] = ACTIONS(2088),
    [anon_sym_s] = ACTIONS(2088),
    [anon_sym_tr] = ACTIONS(2088),
    [anon_sym_y] = ACTIONS(2088),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_unless] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2088),
    [anon_sym_until] = ACTIONS(2088),
    [aux_sym__bareword_token1] = ACTIONS(2088),
    [sym_number] = ACTIONS(2088),
    [anon_sym_true] = ACTIONS(2088),
    [anon_sym_false] = ACTIONS(2088),
    [sym__single_quote] = ACTIONS(2086),
    [sym__double_quote] = ACTIONS(2086),
    [sym__backtick_quote] = ACTIONS(2086),
    [sym__search_slash_quote] = ACTIONS(2086),
    [sym__PERLY_HEREDOC] = ACTIONS(2086),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2086),
    [sym__filetest] = ACTIONS(2086),
  },
  [986] = {
    [sym_heredoc_content] = STATE(986),
    [sym__identifier] = ACTIONS(2100),
    [anon_sym_LBRACE] = ACTIONS(2100),
    [anon_sym_RBRACE] = ACTIONS(2100),
    [anon_sym_SEMI] = ACTIONS(2100),
    [anon_sym_package] = ACTIONS(2100),
    [anon_sym_class] = ACTIONS(2100),
    [anon_sym_role] = ACTIONS(2100),
    [anon_sym_BUILD] = ACTIONS(2100),
    [anon_sym_ADJUST] = ACTIONS(2100),
    [anon_sym_DOLLAR] = ACTIONS(2100),
    [anon_sym_AT] = ACTIONS(2100),
    [anon_sym_my] = ACTIONS(2100),
    [anon_sym_extended] = ACTIONS(2100),
    [anon_sym_async] = ACTIONS(2100),
    [anon_sym_sub] = ACTIONS(2100),
    [anon_sym_method] = ACTIONS(2100),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_continue] = ACTIONS(2100),
    [anon_sym_state] = ACTIONS(2100),
    [anon_sym_our] = ACTIONS(2100),
    [anon_sym_try] = ACTIONS(2100),
    [anon_sym_defer] = ACTIONS(2100),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2100),
    [anon_sym_LBRACK] = ACTIONS(2100),
    [anon_sym_LT] = ACTIONS(2100),
    [anon_sym_LT_LT] = ACTIONS(2100),
    [anon_sym_SLASH_SLASH] = ACTIONS(2100),
    [anon_sym_PLUS] = ACTIONS(2100),
    [anon_sym_DASH] = ACTIONS(2100),
    [anon_sym_STAR] = ACTIONS(2100),
    [anon_sym_TILDE] = ACTIONS(2100),
    [anon_sym_BANG] = ACTIONS(2100),
    [anon_sym_PLUS_PLUS] = ACTIONS(2100),
    [anon_sym_DASH_DASH] = ACTIONS(2100),
    [anon_sym_BSLASH] = ACTIONS(2098),
    [anon_sym_do] = ACTIONS(2100),
    [anon_sym_eval] = ACTIONS(2100),
    [anon_sym_await] = ACTIONS(2100),
    [anon_sym_field] = ACTIONS(2100),
    [anon_sym_local] = ACTIONS(2100),
    [anon_sym_dynamically] = ACTIONS(2100),
    [anon_sym_require] = ACTIONS(2100),
    [anon_sym_map] = ACTIONS(2100),
    [anon_sym_grep] = ACTIONS(2100),
    [anon_sym_sort] = ACTIONS(2100),
    [anon_sym_goto] = ACTIONS(2100),
    [anon_sym_return] = ACTIONS(2100),
    [anon_sym_undef] = ACTIONS(2100),
    [anon_sym_PERCENT2] = ACTIONS(2100),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2100),
    [anon_sym_use] = ACTIONS(2100),
    [anon_sym_no] = ACTIONS(2100),
    [anon_sym_for] = ACTIONS(2100),
    [anon_sym_foreach] = ACTIONS(2100),
    [anon_sym_last] = ACTIONS(2100),
    [anon_sym_next] = ACTIONS(2100),
    [anon_sym_redo] = ACTIONS(2100),
    [anon_sym_BEGIN] = ACTIONS(2100),
    [anon_sym_INIT] = ACTIONS(2100),
    [anon_sym_CHECK] = ACTIONS(2100),
    [anon_sym_UNITCHECK] = ACTIONS(2100),
    [anon_sym_END] = ACTIONS(2100),
    [anon_sym___FILE__] = ACTIONS(2100),
    [anon_sym___LINE__] = ACTIONS(2100),
    [anon_sym___PACKAGE__] = ACTIONS(2100),
    [anon_sym___SUB__] = ACTIONS(2100),
    [anon_sym_break] = ACTIONS(2100),
    [anon_sym_fork] = ACTIONS(2100),
    [anon_sym_getppid] = ACTIONS(2100),
    [anon_sym_time] = ACTIONS(2100),
    [anon_sym_times] = ACTIONS(2100),
    [anon_sym_wait] = ACTIONS(2100),
    [anon_sym_wantarray] = ACTIONS(2100),
    [anon_sym_abs] = ACTIONS(2100),
    [anon_sym_alarm] = ACTIONS(2100),
    [anon_sym_chop] = ACTIONS(2100),
    [anon_sym_chdir] = ACTIONS(2100),
    [anon_sym_close] = ACTIONS(2100),
    [anon_sym_closedir] = ACTIONS(2100),
    [anon_sym_caller] = ACTIONS(2100),
    [anon_sym_chomp] = ACTIONS(2100),
    [anon_sym_chr] = ACTIONS(2100),
    [anon_sym_cos] = ACTIONS(2100),
    [anon_sym_chroot] = ACTIONS(2100),
    [anon_sym_defined] = ACTIONS(2100),
    [anon_sym_delete] = ACTIONS(2100),
    [anon_sym_dbmclose] = ACTIONS(2100),
    [anon_sym_exists] = ACTIONS(2100),
    [anon_sym_exit] = ACTIONS(2100),
    [anon_sym_eof] = ACTIONS(2100),
    [anon_sym_exp] = ACTIONS(2100),
    [anon_sym_each] = ACTIONS(2100),
    [anon_sym_fc] = ACTIONS(2100),
    [anon_sym_fileno] = ACTIONS(2100),
    [anon_sym_gmtime] = ACTIONS(2100),
    [anon_sym_getc] = ACTIONS(2100),
    [anon_sym_getpgrp] = ACTIONS(2100),
    [anon_sym_getprotobyname] = ACTIONS(2100),
    [anon_sym_getpwname] = ACTIONS(2100),
    [anon_sym_getpwuid] = ACTIONS(2100),
    [anon_sym_getpeername] = ACTIONS(2100),
    [anon_sym_getnetbyname] = ACTIONS(2100),
    [anon_sym_getsockname] = ACTIONS(2100),
    [anon_sym_getgrnam] = ACTIONS(2100),
    [anon_sym_getgrgid] = ACTIONS(2100),
    [anon_sym_hex] = ACTIONS(2100),
    [anon_sym_int] = ACTIONS(2100),
    [anon_sym_keys] = ACTIONS(2100),
    [anon_sym_lc] = ACTIONS(2100),
    [anon_sym_lcfirst] = ACTIONS(2100),
    [anon_sym_length] = ACTIONS(2100),
    [anon_sym_localtime] = ACTIONS(2100),
    [anon_sym_log] = ACTIONS(2100),
    [anon_sym_lock] = ACTIONS(2100),
    [anon_sym_lstat] = ACTIONS(2100),
    [anon_sym_oct] = ACTIONS(2100),
    [anon_sym_ord] = ACTIONS(2100),
    [anon_sym_prototype] = ACTIONS(2100),
    [anon_sym_pop] = ACTIONS(2100),
    [anon_sym_pos] = ACTIONS(2100),
    [anon_sym_quotemeta] = ACTIONS(2100),
    [anon_sym_reset] = ACTIONS(2100),
    [anon_sym_rand] = ACTIONS(2100),
    [anon_sym_rmdir] = ACTIONS(2100),
    [anon_sym_readdir] = ACTIONS(2100),
    [anon_sym_readline] = ACTIONS(2100),
    [anon_sym_readpipe] = ACTIONS(2100),
    [anon_sym_rewinddir] = ACTIONS(2100),
    [anon_sym_readlink] = ACTIONS(2100),
    [anon_sym_ref] = ACTIONS(2100),
    [anon_sym_scalar] = ACTIONS(2100),
    [anon_sym_shift] = ACTIONS(2100),
    [anon_sym_sin] = ACTIONS(2100),
    [anon_sym_sleep] = ACTIONS(2100),
    [anon_sym_sqrt] = ACTIONS(2100),
    [anon_sym_srand] = ACTIONS(2100),
    [anon_sym_stat] = ACTIONS(2100),
    [anon_sym_study] = ACTIONS(2100),
    [anon_sym_tell] = ACTIONS(2100),
    [anon_sym_telldir] = ACTIONS(2100),
    [anon_sym_tied] = ACTIONS(2100),
    [anon_sym_uc] = ACTIONS(2100),
    [anon_sym_ucfirst] = ACTIONS(2100),
    [anon_sym_untie] = ACTIONS(2100),
    [anon_sym_umask] = ACTIONS(2100),
    [anon_sym_values] = ACTIONS(2100),
    [anon_sym_write] = ACTIONS(2100),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2100),
    [anon_sym_qq] = ACTIONS(2100),
    [anon_sym_qw] = ACTIONS(2100),
    [anon_sym_qx] = ACTIONS(2100),
    [anon_sym_qr] = ACTIONS(2100),
    [anon_sym_m] = ACTIONS(2100),
    [anon_sym_s] = ACTIONS(2100),
    [anon_sym_tr] = ACTIONS(2100),
    [anon_sym_y] = ACTIONS(2100),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_unless] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2100),
    [anon_sym_until] = ACTIONS(2100),
    [aux_sym__bareword_token1] = ACTIONS(2100),
    [sym_number] = ACTIONS(2100),
    [anon_sym_true] = ACTIONS(2100),
    [anon_sym_false] = ACTIONS(2100),
    [sym__single_quote] = ACTIONS(2098),
    [sym__double_quote] = ACTIONS(2098),
    [sym__backtick_quote] = ACTIONS(2098),
    [sym__search_slash_quote] = ACTIONS(2098),
    [sym__PERLY_HEREDOC] = ACTIONS(2098),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2098),
    [sym__filetest] = ACTIONS(2098),
  },
  [987] = {
    [sym_heredoc_content] = STATE(987),
    [sym__identifier] = ACTIONS(2120),
    [anon_sym_LBRACE] = ACTIONS(2120),
    [anon_sym_RBRACE] = ACTIONS(2120),
    [anon_sym_SEMI] = ACTIONS(2120),
    [anon_sym_package] = ACTIONS(2120),
    [anon_sym_class] = ACTIONS(2120),
    [anon_sym_role] = ACTIONS(2120),
    [anon_sym_BUILD] = ACTIONS(2120),
    [anon_sym_ADJUST] = ACTIONS(2120),
    [anon_sym_DOLLAR] = ACTIONS(2120),
    [anon_sym_AT] = ACTIONS(2120),
    [anon_sym_my] = ACTIONS(2120),
    [anon_sym_extended] = ACTIONS(2120),
    [anon_sym_async] = ACTIONS(2120),
    [anon_sym_sub] = ACTIONS(2120),
    [anon_sym_method] = ACTIONS(2120),
    [anon_sym_LPAREN] = ACTIONS(2120),
    [anon_sym_continue] = ACTIONS(2120),
    [anon_sym_state] = ACTIONS(2120),
    [anon_sym_our] = ACTIONS(2120),
    [anon_sym_try] = ACTIONS(2120),
    [anon_sym_defer] = ACTIONS(2120),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(2120),
    [anon_sym_LT] = ACTIONS(2120),
    [anon_sym_LT_LT] = ACTIONS(2120),
    [anon_sym_SLASH_SLASH] = ACTIONS(2120),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_DASH] = ACTIONS(2120),
    [anon_sym_STAR] = ACTIONS(2120),
    [anon_sym_TILDE] = ACTIONS(2120),
    [anon_sym_BANG] = ACTIONS(2120),
    [anon_sym_PLUS_PLUS] = ACTIONS(2120),
    [anon_sym_DASH_DASH] = ACTIONS(2120),
    [anon_sym_BSLASH] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(2120),
    [anon_sym_eval] = ACTIONS(2120),
    [anon_sym_await] = ACTIONS(2120),
    [anon_sym_field] = ACTIONS(2120),
    [anon_sym_local] = ACTIONS(2120),
    [anon_sym_dynamically] = ACTIONS(2120),
    [anon_sym_require] = ACTIONS(2120),
    [anon_sym_map] = ACTIONS(2120),
    [anon_sym_grep] = ACTIONS(2120),
    [anon_sym_sort] = ACTIONS(2120),
    [anon_sym_goto] = ACTIONS(2120),
    [anon_sym_return] = ACTIONS(2120),
    [anon_sym_undef] = ACTIONS(2120),
    [anon_sym_PERCENT2] = ACTIONS(2120),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2120),
    [anon_sym_use] = ACTIONS(2120),
    [anon_sym_no] = ACTIONS(2120),
    [anon_sym_for] = ACTIONS(2120),
    [anon_sym_foreach] = ACTIONS(2120),
    [anon_sym_last] = ACTIONS(2120),
    [anon_sym_next] = ACTIONS(2120),
    [anon_sym_redo] = ACTIONS(2120),
    [anon_sym_BEGIN] = ACTIONS(2120),
    [anon_sym_INIT] = ACTIONS(2120),
    [anon_sym_CHECK] = ACTIONS(2120),
    [anon_sym_UNITCHECK] = ACTIONS(2120),
    [anon_sym_END] = ACTIONS(2120),
    [anon_sym___FILE__] = ACTIONS(2120),
    [anon_sym___LINE__] = ACTIONS(2120),
    [anon_sym___PACKAGE__] = ACTIONS(2120),
    [anon_sym___SUB__] = ACTIONS(2120),
    [anon_sym_break] = ACTIONS(2120),
    [anon_sym_fork] = ACTIONS(2120),
    [anon_sym_getppid] = ACTIONS(2120),
    [anon_sym_time] = ACTIONS(2120),
    [anon_sym_times] = ACTIONS(2120),
    [anon_sym_wait] = ACTIONS(2120),
    [anon_sym_wantarray] = ACTIONS(2120),
    [anon_sym_abs] = ACTIONS(2120),
    [anon_sym_alarm] = ACTIONS(2120),
    [anon_sym_chop] = ACTIONS(2120),
    [anon_sym_chdir] = ACTIONS(2120),
    [anon_sym_close] = ACTIONS(2120),
    [anon_sym_closedir] = ACTIONS(2120),
    [anon_sym_caller] = ACTIONS(2120),
    [anon_sym_chomp] = ACTIONS(2120),
    [anon_sym_chr] = ACTIONS(2120),
    [anon_sym_cos] = ACTIONS(2120),
    [anon_sym_chroot] = ACTIONS(2120),
    [anon_sym_defined] = ACTIONS(2120),
    [anon_sym_delete] = ACTIONS(2120),
    [anon_sym_dbmclose] = ACTIONS(2120),
    [anon_sym_exists] = ACTIONS(2120),
    [anon_sym_exit] = ACTIONS(2120),
    [anon_sym_eof] = ACTIONS(2120),
    [anon_sym_exp] = ACTIONS(2120),
    [anon_sym_each] = ACTIONS(2120),
    [anon_sym_fc] = ACTIONS(2120),
    [anon_sym_fileno] = ACTIONS(2120),
    [anon_sym_gmtime] = ACTIONS(2120),
    [anon_sym_getc] = ACTIONS(2120),
    [anon_sym_getpgrp] = ACTIONS(2120),
    [anon_sym_getprotobyname] = ACTIONS(2120),
    [anon_sym_getpwname] = ACTIONS(2120),
    [anon_sym_getpwuid] = ACTIONS(2120),
    [anon_sym_getpeername] = ACTIONS(2120),
    [anon_sym_getnetbyname] = ACTIONS(2120),
    [anon_sym_getsockname] = ACTIONS(2120),
    [anon_sym_getgrnam] = ACTIONS(2120),
    [anon_sym_getgrgid] = ACTIONS(2120),
    [anon_sym_hex] = ACTIONS(2120),
    [anon_sym_int] = ACTIONS(2120),
    [anon_sym_keys] = ACTIONS(2120),
    [anon_sym_lc] = ACTIONS(2120),
    [anon_sym_lcfirst] = ACTIONS(2120),
    [anon_sym_length] = ACTIONS(2120),
    [anon_sym_localtime] = ACTIONS(2120),
    [anon_sym_log] = ACTIONS(2120),
    [anon_sym_lock] = ACTIONS(2120),
    [anon_sym_lstat] = ACTIONS(2120),
    [anon_sym_oct] = ACTIONS(2120),
    [anon_sym_ord] = ACTIONS(2120),
    [anon_sym_prototype] = ACTIONS(2120),
    [anon_sym_pop] = ACTIONS(2120),
    [anon_sym_pos] = ACTIONS(2120),
    [anon_sym_quotemeta] = ACTIONS(2120),
    [anon_sym_reset] = ACTIONS(2120),
    [anon_sym_rand] = ACTIONS(2120),
    [anon_sym_rmdir] = ACTIONS(2120),
    [anon_sym_readdir] = ACTIONS(2120),
    [anon_sym_readline] = ACTIONS(2120),
    [anon_sym_readpipe] = ACTIONS(2120),
    [anon_sym_rewinddir] = ACTIONS(2120),
    [anon_sym_readlink] = ACTIONS(2120),
    [anon_sym_ref] = ACTIONS(2120),
    [anon_sym_scalar] = ACTIONS(2120),
    [anon_sym_shift] = ACTIONS(2120),
    [anon_sym_sin] = ACTIONS(2120),
    [anon_sym_sleep] = ACTIONS(2120),
    [anon_sym_sqrt] = ACTIONS(2120),
    [anon_sym_srand] = ACTIONS(2120),
    [anon_sym_stat] = ACTIONS(2120),
    [anon_sym_study] = ACTIONS(2120),
    [anon_sym_tell] = ACTIONS(2120),
    [anon_sym_telldir] = ACTIONS(2120),
    [anon_sym_tied] = ACTIONS(2120),
    [anon_sym_uc] = ACTIONS(2120),
    [anon_sym_ucfirst] = ACTIONS(2120),
    [anon_sym_untie] = ACTIONS(2120),
    [anon_sym_umask] = ACTIONS(2120),
    [anon_sym_values] = ACTIONS(2120),
    [anon_sym_write] = ACTIONS(2120),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2120),
    [anon_sym_qq] = ACTIONS(2120),
    [anon_sym_qw] = ACTIONS(2120),
    [anon_sym_qx] = ACTIONS(2120),
    [anon_sym_qr] = ACTIONS(2120),
    [anon_sym_m] = ACTIONS(2120),
    [anon_sym_s] = ACTIONS(2120),
    [anon_sym_tr] = ACTIONS(2120),
    [anon_sym_y] = ACTIONS(2120),
    [anon_sym_if] = ACTIONS(2120),
    [anon_sym_unless] = ACTIONS(2120),
    [anon_sym_while] = ACTIONS(2120),
    [anon_sym_until] = ACTIONS(2120),
    [aux_sym__bareword_token1] = ACTIONS(2120),
    [sym_number] = ACTIONS(2120),
    [anon_sym_true] = ACTIONS(2120),
    [anon_sym_false] = ACTIONS(2120),
    [sym__single_quote] = ACTIONS(2118),
    [sym__double_quote] = ACTIONS(2118),
    [sym__backtick_quote] = ACTIONS(2118),
    [sym__search_slash_quote] = ACTIONS(2118),
    [sym__PERLY_HEREDOC] = ACTIONS(2118),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2118),
    [sym__filetest] = ACTIONS(2118),
  },
  [988] = {
    [sym_heredoc_content] = STATE(988),
    [sym__identifier] = ACTIONS(2124),
    [anon_sym_LBRACE] = ACTIONS(2124),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_package] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2124),
    [anon_sym_role] = ACTIONS(2124),
    [anon_sym_BUILD] = ACTIONS(2124),
    [anon_sym_ADJUST] = ACTIONS(2124),
    [anon_sym_DOLLAR] = ACTIONS(2124),
    [anon_sym_AT] = ACTIONS(2124),
    [anon_sym_my] = ACTIONS(2124),
    [anon_sym_extended] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_sub] = ACTIONS(2124),
    [anon_sym_method] = ACTIONS(2124),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_state] = ACTIONS(2124),
    [anon_sym_our] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [anon_sym_defer] = ACTIONS(2124),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2124),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_LT_LT] = ACTIONS(2124),
    [anon_sym_SLASH_SLASH] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2124),
    [anon_sym_STAR] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_BSLASH] = ACTIONS(2122),
    [anon_sym_do] = ACTIONS(2124),
    [anon_sym_eval] = ACTIONS(2124),
    [anon_sym_await] = ACTIONS(2124),
    [anon_sym_field] = ACTIONS(2124),
    [anon_sym_local] = ACTIONS(2124),
    [anon_sym_dynamically] = ACTIONS(2124),
    [anon_sym_require] = ACTIONS(2124),
    [anon_sym_map] = ACTIONS(2124),
    [anon_sym_grep] = ACTIONS(2124),
    [anon_sym_sort] = ACTIONS(2124),
    [anon_sym_goto] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_undef] = ACTIONS(2124),
    [anon_sym_PERCENT2] = ACTIONS(2124),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2124),
    [anon_sym_use] = ACTIONS(2124),
    [anon_sym_no] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_foreach] = ACTIONS(2124),
    [anon_sym_last] = ACTIONS(2124),
    [anon_sym_next] = ACTIONS(2124),
    [anon_sym_redo] = ACTIONS(2124),
    [anon_sym_BEGIN] = ACTIONS(2124),
    [anon_sym_INIT] = ACTIONS(2124),
    [anon_sym_CHECK] = ACTIONS(2124),
    [anon_sym_UNITCHECK] = ACTIONS(2124),
    [anon_sym_END] = ACTIONS(2124),
    [anon_sym___FILE__] = ACTIONS(2124),
    [anon_sym___LINE__] = ACTIONS(2124),
    [anon_sym___PACKAGE__] = ACTIONS(2124),
    [anon_sym___SUB__] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_fork] = ACTIONS(2124),
    [anon_sym_getppid] = ACTIONS(2124),
    [anon_sym_time] = ACTIONS(2124),
    [anon_sym_times] = ACTIONS(2124),
    [anon_sym_wait] = ACTIONS(2124),
    [anon_sym_wantarray] = ACTIONS(2124),
    [anon_sym_abs] = ACTIONS(2124),
    [anon_sym_alarm] = ACTIONS(2124),
    [anon_sym_chop] = ACTIONS(2124),
    [anon_sym_chdir] = ACTIONS(2124),
    [anon_sym_close] = ACTIONS(2124),
    [anon_sym_closedir] = ACTIONS(2124),
    [anon_sym_caller] = ACTIONS(2124),
    [anon_sym_chomp] = ACTIONS(2124),
    [anon_sym_chr] = ACTIONS(2124),
    [anon_sym_cos] = ACTIONS(2124),
    [anon_sym_chroot] = ACTIONS(2124),
    [anon_sym_defined] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_dbmclose] = ACTIONS(2124),
    [anon_sym_exists] = ACTIONS(2124),
    [anon_sym_exit] = ACTIONS(2124),
    [anon_sym_eof] = ACTIONS(2124),
    [anon_sym_exp] = ACTIONS(2124),
    [anon_sym_each] = ACTIONS(2124),
    [anon_sym_fc] = ACTIONS(2124),
    [anon_sym_fileno] = ACTIONS(2124),
    [anon_sym_gmtime] = ACTIONS(2124),
    [anon_sym_getc] = ACTIONS(2124),
    [anon_sym_getpgrp] = ACTIONS(2124),
    [anon_sym_getprotobyname] = ACTIONS(2124),
    [anon_sym_getpwname] = ACTIONS(2124),
    [anon_sym_getpwuid] = ACTIONS(2124),
    [anon_sym_getpeername] = ACTIONS(2124),
    [anon_sym_getnetbyname] = ACTIONS(2124),
    [anon_sym_getsockname] = ACTIONS(2124),
    [anon_sym_getgrnam] = ACTIONS(2124),
    [anon_sym_getgrgid] = ACTIONS(2124),
    [anon_sym_hex] = ACTIONS(2124),
    [anon_sym_int] = ACTIONS(2124),
    [anon_sym_keys] = ACTIONS(2124),
    [anon_sym_lc] = ACTIONS(2124),
    [anon_sym_lcfirst] = ACTIONS(2124),
    [anon_sym_length] = ACTIONS(2124),
    [anon_sym_localtime] = ACTIONS(2124),
    [anon_sym_log] = ACTIONS(2124),
    [anon_sym_lock] = ACTIONS(2124),
    [anon_sym_lstat] = ACTIONS(2124),
    [anon_sym_oct] = ACTIONS(2124),
    [anon_sym_ord] = ACTIONS(2124),
    [anon_sym_prototype] = ACTIONS(2124),
    [anon_sym_pop] = ACTIONS(2124),
    [anon_sym_pos] = ACTIONS(2124),
    [anon_sym_quotemeta] = ACTIONS(2124),
    [anon_sym_reset] = ACTIONS(2124),
    [anon_sym_rand] = ACTIONS(2124),
    [anon_sym_rmdir] = ACTIONS(2124),
    [anon_sym_readdir] = ACTIONS(2124),
    [anon_sym_readline] = ACTIONS(2124),
    [anon_sym_readpipe] = ACTIONS(2124),
    [anon_sym_rewinddir] = ACTIONS(2124),
    [anon_sym_readlink] = ACTIONS(2124),
    [anon_sym_ref] = ACTIONS(2124),
    [anon_sym_scalar] = ACTIONS(2124),
    [anon_sym_shift] = ACTIONS(2124),
    [anon_sym_sin] = ACTIONS(2124),
    [anon_sym_sleep] = ACTIONS(2124),
    [anon_sym_sqrt] = ACTIONS(2124),
    [anon_sym_srand] = ACTIONS(2124),
    [anon_sym_stat] = ACTIONS(2124),
    [anon_sym_study] = ACTIONS(2124),
    [anon_sym_tell] = ACTIONS(2124),
    [anon_sym_telldir] = ACTIONS(2124),
    [anon_sym_tied] = ACTIONS(2124),
    [anon_sym_uc] = ACTIONS(2124),
    [anon_sym_ucfirst] = ACTIONS(2124),
    [anon_sym_untie] = ACTIONS(2124),
    [anon_sym_umask] = ACTIONS(2124),
    [anon_sym_values] = ACTIONS(2124),
    [anon_sym_write] = ACTIONS(2124),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2124),
    [anon_sym_qq] = ACTIONS(2124),
    [anon_sym_qw] = ACTIONS(2124),
    [anon_sym_qx] = ACTIONS(2124),
    [anon_sym_qr] = ACTIONS(2124),
    [anon_sym_m] = ACTIONS(2124),
    [anon_sym_s] = ACTIONS(2124),
    [anon_sym_tr] = ACTIONS(2124),
    [anon_sym_y] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_unless] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_until] = ACTIONS(2124),
    [aux_sym__bareword_token1] = ACTIONS(2124),
    [sym_number] = ACTIONS(2124),
    [anon_sym_true] = ACTIONS(2124),
    [anon_sym_false] = ACTIONS(2124),
    [sym__single_quote] = ACTIONS(2122),
    [sym__double_quote] = ACTIONS(2122),
    [sym__backtick_quote] = ACTIONS(2122),
    [sym__search_slash_quote] = ACTIONS(2122),
    [sym__PERLY_HEREDOC] = ACTIONS(2122),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2122),
    [sym__filetest] = ACTIONS(2122),
  },
  [989] = {
    [sym_heredoc_content] = STATE(989),
    [sym__identifier] = ACTIONS(2084),
    [anon_sym_LBRACE] = ACTIONS(2084),
    [anon_sym_RBRACE] = ACTIONS(2084),
    [anon_sym_SEMI] = ACTIONS(2084),
    [anon_sym_package] = ACTIONS(2084),
    [anon_sym_class] = ACTIONS(2084),
    [anon_sym_role] = ACTIONS(2084),
    [anon_sym_BUILD] = ACTIONS(2084),
    [anon_sym_ADJUST] = ACTIONS(2084),
    [anon_sym_DOLLAR] = ACTIONS(2084),
    [anon_sym_AT] = ACTIONS(2084),
    [anon_sym_my] = ACTIONS(2084),
    [anon_sym_extended] = ACTIONS(2084),
    [anon_sym_async] = ACTIONS(2084),
    [anon_sym_sub] = ACTIONS(2084),
    [anon_sym_method] = ACTIONS(2084),
    [anon_sym_LPAREN] = ACTIONS(2084),
    [anon_sym_continue] = ACTIONS(2084),
    [anon_sym_state] = ACTIONS(2084),
    [anon_sym_our] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2084),
    [anon_sym_defer] = ACTIONS(2084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2084),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_LT] = ACTIONS(2084),
    [anon_sym_LT_LT] = ACTIONS(2084),
    [anon_sym_SLASH_SLASH] = ACTIONS(2084),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2084),
    [anon_sym_STAR] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_PLUS_PLUS] = ACTIONS(2084),
    [anon_sym_DASH_DASH] = ACTIONS(2084),
    [anon_sym_BSLASH] = ACTIONS(2082),
    [anon_sym_do] = ACTIONS(2084),
    [anon_sym_eval] = ACTIONS(2084),
    [anon_sym_await] = ACTIONS(2084),
    [anon_sym_field] = ACTIONS(2084),
    [anon_sym_local] = ACTIONS(2084),
    [anon_sym_dynamically] = ACTIONS(2084),
    [anon_sym_require] = ACTIONS(2084),
    [anon_sym_map] = ACTIONS(2084),
    [anon_sym_grep] = ACTIONS(2084),
    [anon_sym_sort] = ACTIONS(2084),
    [anon_sym_goto] = ACTIONS(2084),
    [anon_sym_return] = ACTIONS(2084),
    [anon_sym_undef] = ACTIONS(2084),
    [anon_sym_PERCENT2] = ACTIONS(2084),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2084),
    [anon_sym_use] = ACTIONS(2084),
    [anon_sym_no] = ACTIONS(2084),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_foreach] = ACTIONS(2084),
    [anon_sym_last] = ACTIONS(2084),
    [anon_sym_next] = ACTIONS(2084),
    [anon_sym_redo] = ACTIONS(2084),
    [anon_sym_BEGIN] = ACTIONS(2084),
    [anon_sym_INIT] = ACTIONS(2084),
    [anon_sym_CHECK] = ACTIONS(2084),
    [anon_sym_UNITCHECK] = ACTIONS(2084),
    [anon_sym_END] = ACTIONS(2084),
    [anon_sym___FILE__] = ACTIONS(2084),
    [anon_sym___LINE__] = ACTIONS(2084),
    [anon_sym___PACKAGE__] = ACTIONS(2084),
    [anon_sym___SUB__] = ACTIONS(2084),
    [anon_sym_break] = ACTIONS(2084),
    [anon_sym_fork] = ACTIONS(2084),
    [anon_sym_getppid] = ACTIONS(2084),
    [anon_sym_time] = ACTIONS(2084),
    [anon_sym_times] = ACTIONS(2084),
    [anon_sym_wait] = ACTIONS(2084),
    [anon_sym_wantarray] = ACTIONS(2084),
    [anon_sym_abs] = ACTIONS(2084),
    [anon_sym_alarm] = ACTIONS(2084),
    [anon_sym_chop] = ACTIONS(2084),
    [anon_sym_chdir] = ACTIONS(2084),
    [anon_sym_close] = ACTIONS(2084),
    [anon_sym_closedir] = ACTIONS(2084),
    [anon_sym_caller] = ACTIONS(2084),
    [anon_sym_chomp] = ACTIONS(2084),
    [anon_sym_chr] = ACTIONS(2084),
    [anon_sym_cos] = ACTIONS(2084),
    [anon_sym_chroot] = ACTIONS(2084),
    [anon_sym_defined] = ACTIONS(2084),
    [anon_sym_delete] = ACTIONS(2084),
    [anon_sym_dbmclose] = ACTIONS(2084),
    [anon_sym_exists] = ACTIONS(2084),
    [anon_sym_exit] = ACTIONS(2084),
    [anon_sym_eof] = ACTIONS(2084),
    [anon_sym_exp] = ACTIONS(2084),
    [anon_sym_each] = ACTIONS(2084),
    [anon_sym_fc] = ACTIONS(2084),
    [anon_sym_fileno] = ACTIONS(2084),
    [anon_sym_gmtime] = ACTIONS(2084),
    [anon_sym_getc] = ACTIONS(2084),
    [anon_sym_getpgrp] = ACTIONS(2084),
    [anon_sym_getprotobyname] = ACTIONS(2084),
    [anon_sym_getpwname] = ACTIONS(2084),
    [anon_sym_getpwuid] = ACTIONS(2084),
    [anon_sym_getpeername] = ACTIONS(2084),
    [anon_sym_getnetbyname] = ACTIONS(2084),
    [anon_sym_getsockname] = ACTIONS(2084),
    [anon_sym_getgrnam] = ACTIONS(2084),
    [anon_sym_getgrgid] = ACTIONS(2084),
    [anon_sym_hex] = ACTIONS(2084),
    [anon_sym_int] = ACTIONS(2084),
    [anon_sym_keys] = ACTIONS(2084),
    [anon_sym_lc] = ACTIONS(2084),
    [anon_sym_lcfirst] = ACTIONS(2084),
    [anon_sym_length] = ACTIONS(2084),
    [anon_sym_localtime] = ACTIONS(2084),
    [anon_sym_log] = ACTIONS(2084),
    [anon_sym_lock] = ACTIONS(2084),
    [anon_sym_lstat] = ACTIONS(2084),
    [anon_sym_oct] = ACTIONS(2084),
    [anon_sym_ord] = ACTIONS(2084),
    [anon_sym_prototype] = ACTIONS(2084),
    [anon_sym_pop] = ACTIONS(2084),
    [anon_sym_pos] = ACTIONS(2084),
    [anon_sym_quotemeta] = ACTIONS(2084),
    [anon_sym_reset] = ACTIONS(2084),
    [anon_sym_rand] = ACTIONS(2084),
    [anon_sym_rmdir] = ACTIONS(2084),
    [anon_sym_readdir] = ACTIONS(2084),
    [anon_sym_readline] = ACTIONS(2084),
    [anon_sym_readpipe] = ACTIONS(2084),
    [anon_sym_rewinddir] = ACTIONS(2084),
    [anon_sym_readlink] = ACTIONS(2084),
    [anon_sym_ref] = ACTIONS(2084),
    [anon_sym_scalar] = ACTIONS(2084),
    [anon_sym_shift] = ACTIONS(2084),
    [anon_sym_sin] = ACTIONS(2084),
    [anon_sym_sleep] = ACTIONS(2084),
    [anon_sym_sqrt] = ACTIONS(2084),
    [anon_sym_srand] = ACTIONS(2084),
    [anon_sym_stat] = ACTIONS(2084),
    [anon_sym_study] = ACTIONS(2084),
    [anon_sym_tell] = ACTIONS(2084),
    [anon_sym_telldir] = ACTIONS(2084),
    [anon_sym_tied] = ACTIONS(2084),
    [anon_sym_uc] = ACTIONS(2084),
    [anon_sym_ucfirst] = ACTIONS(2084),
    [anon_sym_untie] = ACTIONS(2084),
    [anon_sym_umask] = ACTIONS(2084),
    [anon_sym_values] = ACTIONS(2084),
    [anon_sym_write] = ACTIONS(2084),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2084),
    [anon_sym_qq] = ACTIONS(2084),
    [anon_sym_qw] = ACTIONS(2084),
    [anon_sym_qx] = ACTIONS(2084),
    [anon_sym_qr] = ACTIONS(2084),
    [anon_sym_m] = ACTIONS(2084),
    [anon_sym_s] = ACTIONS(2084),
    [anon_sym_tr] = ACTIONS(2084),
    [anon_sym_y] = ACTIONS(2084),
    [anon_sym_if] = ACTIONS(2084),
    [anon_sym_unless] = ACTIONS(2084),
    [anon_sym_while] = ACTIONS(2084),
    [anon_sym_until] = ACTIONS(2084),
    [aux_sym__bareword_token1] = ACTIONS(2084),
    [sym_number] = ACTIONS(2084),
    [anon_sym_true] = ACTIONS(2084),
    [anon_sym_false] = ACTIONS(2084),
    [sym__single_quote] = ACTIONS(2082),
    [sym__double_quote] = ACTIONS(2082),
    [sym__backtick_quote] = ACTIONS(2082),
    [sym__search_slash_quote] = ACTIONS(2082),
    [sym__PERLY_HEREDOC] = ACTIONS(2082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2082),
    [sym__filetest] = ACTIONS(2082),
  },
  [990] = {
    [sym_heredoc_content] = STATE(990),
    [sym__identifier] = ACTIONS(1920),
    [anon_sym_LBRACE] = ACTIONS(1920),
    [anon_sym_RBRACE] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(1920),
    [anon_sym_package] = ACTIONS(1920),
    [anon_sym_class] = ACTIONS(1920),
    [anon_sym_role] = ACTIONS(1920),
    [anon_sym_BUILD] = ACTIONS(1920),
    [anon_sym_ADJUST] = ACTIONS(1920),
    [anon_sym_DOLLAR] = ACTIONS(1920),
    [anon_sym_AT] = ACTIONS(1920),
    [anon_sym_my] = ACTIONS(1920),
    [anon_sym_extended] = ACTIONS(1920),
    [anon_sym_async] = ACTIONS(1920),
    [anon_sym_sub] = ACTIONS(1920),
    [anon_sym_method] = ACTIONS(1920),
    [anon_sym_LPAREN] = ACTIONS(1920),
    [anon_sym_continue] = ACTIONS(1920),
    [anon_sym_state] = ACTIONS(1920),
    [anon_sym_our] = ACTIONS(1920),
    [anon_sym_try] = ACTIONS(1920),
    [anon_sym_defer] = ACTIONS(1920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1920),
    [anon_sym_LBRACK] = ACTIONS(1920),
    [anon_sym_LT] = ACTIONS(1920),
    [anon_sym_LT_LT] = ACTIONS(1920),
    [anon_sym_SLASH_SLASH] = ACTIONS(1920),
    [anon_sym_PLUS] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1920),
    [anon_sym_STAR] = ACTIONS(1920),
    [anon_sym_TILDE] = ACTIONS(1920),
    [anon_sym_BANG] = ACTIONS(1920),
    [anon_sym_PLUS_PLUS] = ACTIONS(1920),
    [anon_sym_DASH_DASH] = ACTIONS(1920),
    [anon_sym_BSLASH] = ACTIONS(1918),
    [anon_sym_do] = ACTIONS(1920),
    [anon_sym_eval] = ACTIONS(1920),
    [anon_sym_await] = ACTIONS(1920),
    [anon_sym_field] = ACTIONS(1920),
    [anon_sym_local] = ACTIONS(1920),
    [anon_sym_dynamically] = ACTIONS(1920),
    [anon_sym_require] = ACTIONS(1920),
    [anon_sym_map] = ACTIONS(1920),
    [anon_sym_grep] = ACTIONS(1920),
    [anon_sym_sort] = ACTIONS(1920),
    [anon_sym_goto] = ACTIONS(1920),
    [anon_sym_return] = ACTIONS(1920),
    [anon_sym_undef] = ACTIONS(1920),
    [anon_sym_PERCENT2] = ACTIONS(1920),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1920),
    [anon_sym_use] = ACTIONS(1920),
    [anon_sym_no] = ACTIONS(1920),
    [anon_sym_for] = ACTIONS(1920),
    [anon_sym_foreach] = ACTIONS(1920),
    [anon_sym_last] = ACTIONS(1920),
    [anon_sym_next] = ACTIONS(1920),
    [anon_sym_redo] = ACTIONS(1920),
    [anon_sym_BEGIN] = ACTIONS(1920),
    [anon_sym_INIT] = ACTIONS(1920),
    [anon_sym_CHECK] = ACTIONS(1920),
    [anon_sym_UNITCHECK] = ACTIONS(1920),
    [anon_sym_END] = ACTIONS(1920),
    [anon_sym___FILE__] = ACTIONS(1920),
    [anon_sym___LINE__] = ACTIONS(1920),
    [anon_sym___PACKAGE__] = ACTIONS(1920),
    [anon_sym___SUB__] = ACTIONS(1920),
    [anon_sym_break] = ACTIONS(1920),
    [anon_sym_fork] = ACTIONS(1920),
    [anon_sym_getppid] = ACTIONS(1920),
    [anon_sym_time] = ACTIONS(1920),
    [anon_sym_times] = ACTIONS(1920),
    [anon_sym_wait] = ACTIONS(1920),
    [anon_sym_wantarray] = ACTIONS(1920),
    [anon_sym_abs] = ACTIONS(1920),
    [anon_sym_alarm] = ACTIONS(1920),
    [anon_sym_chop] = ACTIONS(1920),
    [anon_sym_chdir] = ACTIONS(1920),
    [anon_sym_close] = ACTIONS(1920),
    [anon_sym_closedir] = ACTIONS(1920),
    [anon_sym_caller] = ACTIONS(1920),
    [anon_sym_chomp] = ACTIONS(1920),
    [anon_sym_chr] = ACTIONS(1920),
    [anon_sym_cos] = ACTIONS(1920),
    [anon_sym_chroot] = ACTIONS(1920),
    [anon_sym_defined] = ACTIONS(1920),
    [anon_sym_delete] = ACTIONS(1920),
    [anon_sym_dbmclose] = ACTIONS(1920),
    [anon_sym_exists] = ACTIONS(1920),
    [anon_sym_exit] = ACTIONS(1920),
    [anon_sym_eof] = ACTIONS(1920),
    [anon_sym_exp] = ACTIONS(1920),
    [anon_sym_each] = ACTIONS(1920),
    [anon_sym_fc] = ACTIONS(1920),
    [anon_sym_fileno] = ACTIONS(1920),
    [anon_sym_gmtime] = ACTIONS(1920),
    [anon_sym_getc] = ACTIONS(1920),
    [anon_sym_getpgrp] = ACTIONS(1920),
    [anon_sym_getprotobyname] = ACTIONS(1920),
    [anon_sym_getpwname] = ACTIONS(1920),
    [anon_sym_getpwuid] = ACTIONS(1920),
    [anon_sym_getpeername] = ACTIONS(1920),
    [anon_sym_getnetbyname] = ACTIONS(1920),
    [anon_sym_getsockname] = ACTIONS(1920),
    [anon_sym_getgrnam] = ACTIONS(1920),
    [anon_sym_getgrgid] = ACTIONS(1920),
    [anon_sym_hex] = ACTIONS(1920),
    [anon_sym_int] = ACTIONS(1920),
    [anon_sym_keys] = ACTIONS(1920),
    [anon_sym_lc] = ACTIONS(1920),
    [anon_sym_lcfirst] = ACTIONS(1920),
    [anon_sym_length] = ACTIONS(1920),
    [anon_sym_localtime] = ACTIONS(1920),
    [anon_sym_log] = ACTIONS(1920),
    [anon_sym_lock] = ACTIONS(1920),
    [anon_sym_lstat] = ACTIONS(1920),
    [anon_sym_oct] = ACTIONS(1920),
    [anon_sym_ord] = ACTIONS(1920),
    [anon_sym_prototype] = ACTIONS(1920),
    [anon_sym_pop] = ACTIONS(1920),
    [anon_sym_pos] = ACTIONS(1920),
    [anon_sym_quotemeta] = ACTIONS(1920),
    [anon_sym_reset] = ACTIONS(1920),
    [anon_sym_rand] = ACTIONS(1920),
    [anon_sym_rmdir] = ACTIONS(1920),
    [anon_sym_readdir] = ACTIONS(1920),
    [anon_sym_readline] = ACTIONS(1920),
    [anon_sym_readpipe] = ACTIONS(1920),
    [anon_sym_rewinddir] = ACTIONS(1920),
    [anon_sym_readlink] = ACTIONS(1920),
    [anon_sym_ref] = ACTIONS(1920),
    [anon_sym_scalar] = ACTIONS(1920),
    [anon_sym_shift] = ACTIONS(1920),
    [anon_sym_sin] = ACTIONS(1920),
    [anon_sym_sleep] = ACTIONS(1920),
    [anon_sym_sqrt] = ACTIONS(1920),
    [anon_sym_srand] = ACTIONS(1920),
    [anon_sym_stat] = ACTIONS(1920),
    [anon_sym_study] = ACTIONS(1920),
    [anon_sym_tell] = ACTIONS(1920),
    [anon_sym_telldir] = ACTIONS(1920),
    [anon_sym_tied] = ACTIONS(1920),
    [anon_sym_uc] = ACTIONS(1920),
    [anon_sym_ucfirst] = ACTIONS(1920),
    [anon_sym_untie] = ACTIONS(1920),
    [anon_sym_umask] = ACTIONS(1920),
    [anon_sym_values] = ACTIONS(1920),
    [anon_sym_write] = ACTIONS(1920),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1920),
    [anon_sym_qq] = ACTIONS(1920),
    [anon_sym_qw] = ACTIONS(1920),
    [anon_sym_qx] = ACTIONS(1920),
    [anon_sym_qr] = ACTIONS(1920),
    [anon_sym_m] = ACTIONS(1920),
    [anon_sym_s] = ACTIONS(1920),
    [anon_sym_tr] = ACTIONS(1920),
    [anon_sym_y] = ACTIONS(1920),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_unless] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1920),
    [anon_sym_until] = ACTIONS(1920),
    [aux_sym__bareword_token1] = ACTIONS(1920),
    [sym_number] = ACTIONS(1920),
    [anon_sym_true] = ACTIONS(1920),
    [anon_sym_false] = ACTIONS(1920),
    [sym__single_quote] = ACTIONS(1918),
    [sym__double_quote] = ACTIONS(1918),
    [sym__backtick_quote] = ACTIONS(1918),
    [sym__search_slash_quote] = ACTIONS(1918),
    [sym__PERLY_HEREDOC] = ACTIONS(1918),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1918),
    [sym__filetest] = ACTIONS(1918),
  },
  [991] = {
    [sym_heredoc_content] = STATE(991),
    [sym__identifier] = ACTIONS(2108),
    [anon_sym_LBRACE] = ACTIONS(2108),
    [anon_sym_RBRACE] = ACTIONS(2108),
    [anon_sym_SEMI] = ACTIONS(2108),
    [anon_sym_package] = ACTIONS(2108),
    [anon_sym_class] = ACTIONS(2108),
    [anon_sym_role] = ACTIONS(2108),
    [anon_sym_BUILD] = ACTIONS(2108),
    [anon_sym_ADJUST] = ACTIONS(2108),
    [anon_sym_DOLLAR] = ACTIONS(2108),
    [anon_sym_AT] = ACTIONS(2108),
    [anon_sym_my] = ACTIONS(2108),
    [anon_sym_extended] = ACTIONS(2108),
    [anon_sym_async] = ACTIONS(2108),
    [anon_sym_sub] = ACTIONS(2108),
    [anon_sym_method] = ACTIONS(2108),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [anon_sym_continue] = ACTIONS(2108),
    [anon_sym_state] = ACTIONS(2108),
    [anon_sym_our] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2108),
    [anon_sym_defer] = ACTIONS(2108),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2108),
    [anon_sym_LBRACK] = ACTIONS(2108),
    [anon_sym_LT] = ACTIONS(2108),
    [anon_sym_LT_LT] = ACTIONS(2108),
    [anon_sym_SLASH_SLASH] = ACTIONS(2108),
    [anon_sym_PLUS] = ACTIONS(2108),
    [anon_sym_DASH] = ACTIONS(2108),
    [anon_sym_STAR] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_PLUS_PLUS] = ACTIONS(2108),
    [anon_sym_DASH_DASH] = ACTIONS(2108),
    [anon_sym_BSLASH] = ACTIONS(2106),
    [anon_sym_do] = ACTIONS(2108),
    [anon_sym_eval] = ACTIONS(2108),
    [anon_sym_await] = ACTIONS(2108),
    [anon_sym_field] = ACTIONS(2108),
    [anon_sym_local] = ACTIONS(2108),
    [anon_sym_dynamically] = ACTIONS(2108),
    [anon_sym_require] = ACTIONS(2108),
    [anon_sym_map] = ACTIONS(2108),
    [anon_sym_grep] = ACTIONS(2108),
    [anon_sym_sort] = ACTIONS(2108),
    [anon_sym_goto] = ACTIONS(2108),
    [anon_sym_return] = ACTIONS(2108),
    [anon_sym_undef] = ACTIONS(2108),
    [anon_sym_PERCENT2] = ACTIONS(2108),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2108),
    [anon_sym_use] = ACTIONS(2108),
    [anon_sym_no] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_foreach] = ACTIONS(2108),
    [anon_sym_last] = ACTIONS(2108),
    [anon_sym_next] = ACTIONS(2108),
    [anon_sym_redo] = ACTIONS(2108),
    [anon_sym_BEGIN] = ACTIONS(2108),
    [anon_sym_INIT] = ACTIONS(2108),
    [anon_sym_CHECK] = ACTIONS(2108),
    [anon_sym_UNITCHECK] = ACTIONS(2108),
    [anon_sym_END] = ACTIONS(2108),
    [anon_sym___FILE__] = ACTIONS(2108),
    [anon_sym___LINE__] = ACTIONS(2108),
    [anon_sym___PACKAGE__] = ACTIONS(2108),
    [anon_sym___SUB__] = ACTIONS(2108),
    [anon_sym_break] = ACTIONS(2108),
    [anon_sym_fork] = ACTIONS(2108),
    [anon_sym_getppid] = ACTIONS(2108),
    [anon_sym_time] = ACTIONS(2108),
    [anon_sym_times] = ACTIONS(2108),
    [anon_sym_wait] = ACTIONS(2108),
    [anon_sym_wantarray] = ACTIONS(2108),
    [anon_sym_abs] = ACTIONS(2108),
    [anon_sym_alarm] = ACTIONS(2108),
    [anon_sym_chop] = ACTIONS(2108),
    [anon_sym_chdir] = ACTIONS(2108),
    [anon_sym_close] = ACTIONS(2108),
    [anon_sym_closedir] = ACTIONS(2108),
    [anon_sym_caller] = ACTIONS(2108),
    [anon_sym_chomp] = ACTIONS(2108),
    [anon_sym_chr] = ACTIONS(2108),
    [anon_sym_cos] = ACTIONS(2108),
    [anon_sym_chroot] = ACTIONS(2108),
    [anon_sym_defined] = ACTIONS(2108),
    [anon_sym_delete] = ACTIONS(2108),
    [anon_sym_dbmclose] = ACTIONS(2108),
    [anon_sym_exists] = ACTIONS(2108),
    [anon_sym_exit] = ACTIONS(2108),
    [anon_sym_eof] = ACTIONS(2108),
    [anon_sym_exp] = ACTIONS(2108),
    [anon_sym_each] = ACTIONS(2108),
    [anon_sym_fc] = ACTIONS(2108),
    [anon_sym_fileno] = ACTIONS(2108),
    [anon_sym_gmtime] = ACTIONS(2108),
    [anon_sym_getc] = ACTIONS(2108),
    [anon_sym_getpgrp] = ACTIONS(2108),
    [anon_sym_getprotobyname] = ACTIONS(2108),
    [anon_sym_getpwname] = ACTIONS(2108),
    [anon_sym_getpwuid] = ACTIONS(2108),
    [anon_sym_getpeername] = ACTIONS(2108),
    [anon_sym_getnetbyname] = ACTIONS(2108),
    [anon_sym_getsockname] = ACTIONS(2108),
    [anon_sym_getgrnam] = ACTIONS(2108),
    [anon_sym_getgrgid] = ACTIONS(2108),
    [anon_sym_hex] = ACTIONS(2108),
    [anon_sym_int] = ACTIONS(2108),
    [anon_sym_keys] = ACTIONS(2108),
    [anon_sym_lc] = ACTIONS(2108),
    [anon_sym_lcfirst] = ACTIONS(2108),
    [anon_sym_length] = ACTIONS(2108),
    [anon_sym_localtime] = ACTIONS(2108),
    [anon_sym_log] = ACTIONS(2108),
    [anon_sym_lock] = ACTIONS(2108),
    [anon_sym_lstat] = ACTIONS(2108),
    [anon_sym_oct] = ACTIONS(2108),
    [anon_sym_ord] = ACTIONS(2108),
    [anon_sym_prototype] = ACTIONS(2108),
    [anon_sym_pop] = ACTIONS(2108),
    [anon_sym_pos] = ACTIONS(2108),
    [anon_sym_quotemeta] = ACTIONS(2108),
    [anon_sym_reset] = ACTIONS(2108),
    [anon_sym_rand] = ACTIONS(2108),
    [anon_sym_rmdir] = ACTIONS(2108),
    [anon_sym_readdir] = ACTIONS(2108),
    [anon_sym_readline] = ACTIONS(2108),
    [anon_sym_readpipe] = ACTIONS(2108),
    [anon_sym_rewinddir] = ACTIONS(2108),
    [anon_sym_readlink] = ACTIONS(2108),
    [anon_sym_ref] = ACTIONS(2108),
    [anon_sym_scalar] = ACTIONS(2108),
    [anon_sym_shift] = ACTIONS(2108),
    [anon_sym_sin] = ACTIONS(2108),
    [anon_sym_sleep] = ACTIONS(2108),
    [anon_sym_sqrt] = ACTIONS(2108),
    [anon_sym_srand] = ACTIONS(2108),
    [anon_sym_stat] = ACTIONS(2108),
    [anon_sym_study] = ACTIONS(2108),
    [anon_sym_tell] = ACTIONS(2108),
    [anon_sym_telldir] = ACTIONS(2108),
    [anon_sym_tied] = ACTIONS(2108),
    [anon_sym_uc] = ACTIONS(2108),
    [anon_sym_ucfirst] = ACTIONS(2108),
    [anon_sym_untie] = ACTIONS(2108),
    [anon_sym_umask] = ACTIONS(2108),
    [anon_sym_values] = ACTIONS(2108),
    [anon_sym_write] = ACTIONS(2108),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2108),
    [anon_sym_qq] = ACTIONS(2108),
    [anon_sym_qw] = ACTIONS(2108),
    [anon_sym_qx] = ACTIONS(2108),
    [anon_sym_qr] = ACTIONS(2108),
    [anon_sym_m] = ACTIONS(2108),
    [anon_sym_s] = ACTIONS(2108),
    [anon_sym_tr] = ACTIONS(2108),
    [anon_sym_y] = ACTIONS(2108),
    [anon_sym_if] = ACTIONS(2108),
    [anon_sym_unless] = ACTIONS(2108),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_until] = ACTIONS(2108),
    [aux_sym__bareword_token1] = ACTIONS(2108),
    [sym_number] = ACTIONS(2108),
    [anon_sym_true] = ACTIONS(2108),
    [anon_sym_false] = ACTIONS(2108),
    [sym__single_quote] = ACTIONS(2106),
    [sym__double_quote] = ACTIONS(2106),
    [sym__backtick_quote] = ACTIONS(2106),
    [sym__search_slash_quote] = ACTIONS(2106),
    [sym__PERLY_HEREDOC] = ACTIONS(2106),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2106),
    [sym__filetest] = ACTIONS(2106),
  },
  [992] = {
    [sym_heredoc_content] = STATE(992),
    [sym__identifier] = ACTIONS(2128),
    [anon_sym_LBRACE] = ACTIONS(2128),
    [anon_sym_RBRACE] = ACTIONS(2128),
    [anon_sym_SEMI] = ACTIONS(2128),
    [anon_sym_package] = ACTIONS(2128),
    [anon_sym_class] = ACTIONS(2128),
    [anon_sym_role] = ACTIONS(2128),
    [anon_sym_BUILD] = ACTIONS(2128),
    [anon_sym_ADJUST] = ACTIONS(2128),
    [anon_sym_DOLLAR] = ACTIONS(2128),
    [anon_sym_AT] = ACTIONS(2128),
    [anon_sym_my] = ACTIONS(2128),
    [anon_sym_extended] = ACTIONS(2128),
    [anon_sym_async] = ACTIONS(2128),
    [anon_sym_sub] = ACTIONS(2128),
    [anon_sym_method] = ACTIONS(2128),
    [anon_sym_LPAREN] = ACTIONS(2128),
    [anon_sym_continue] = ACTIONS(2128),
    [anon_sym_state] = ACTIONS(2128),
    [anon_sym_our] = ACTIONS(2128),
    [anon_sym_try] = ACTIONS(2128),
    [anon_sym_defer] = ACTIONS(2128),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2128),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [anon_sym_LT] = ACTIONS(2128),
    [anon_sym_LT_LT] = ACTIONS(2128),
    [anon_sym_SLASH_SLASH] = ACTIONS(2128),
    [anon_sym_PLUS] = ACTIONS(2128),
    [anon_sym_DASH] = ACTIONS(2128),
    [anon_sym_STAR] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_PLUS_PLUS] = ACTIONS(2128),
    [anon_sym_DASH_DASH] = ACTIONS(2128),
    [anon_sym_BSLASH] = ACTIONS(2126),
    [anon_sym_do] = ACTIONS(2128),
    [anon_sym_eval] = ACTIONS(2128),
    [anon_sym_await] = ACTIONS(2128),
    [anon_sym_field] = ACTIONS(2128),
    [anon_sym_local] = ACTIONS(2128),
    [anon_sym_dynamically] = ACTIONS(2128),
    [anon_sym_require] = ACTIONS(2128),
    [anon_sym_map] = ACTIONS(2128),
    [anon_sym_grep] = ACTIONS(2128),
    [anon_sym_sort] = ACTIONS(2128),
    [anon_sym_goto] = ACTIONS(2128),
    [anon_sym_return] = ACTIONS(2128),
    [anon_sym_undef] = ACTIONS(2128),
    [anon_sym_PERCENT2] = ACTIONS(2128),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2128),
    [anon_sym_use] = ACTIONS(2128),
    [anon_sym_no] = ACTIONS(2128),
    [anon_sym_for] = ACTIONS(2128),
    [anon_sym_foreach] = ACTIONS(2128),
    [anon_sym_last] = ACTIONS(2128),
    [anon_sym_next] = ACTIONS(2128),
    [anon_sym_redo] = ACTIONS(2128),
    [anon_sym_BEGIN] = ACTIONS(2128),
    [anon_sym_INIT] = ACTIONS(2128),
    [anon_sym_CHECK] = ACTIONS(2128),
    [anon_sym_UNITCHECK] = ACTIONS(2128),
    [anon_sym_END] = ACTIONS(2128),
    [anon_sym___FILE__] = ACTIONS(2128),
    [anon_sym___LINE__] = ACTIONS(2128),
    [anon_sym___PACKAGE__] = ACTIONS(2128),
    [anon_sym___SUB__] = ACTIONS(2128),
    [anon_sym_break] = ACTIONS(2128),
    [anon_sym_fork] = ACTIONS(2128),
    [anon_sym_getppid] = ACTIONS(2128),
    [anon_sym_time] = ACTIONS(2128),
    [anon_sym_times] = ACTIONS(2128),
    [anon_sym_wait] = ACTIONS(2128),
    [anon_sym_wantarray] = ACTIONS(2128),
    [anon_sym_abs] = ACTIONS(2128),
    [anon_sym_alarm] = ACTIONS(2128),
    [anon_sym_chop] = ACTIONS(2128),
    [anon_sym_chdir] = ACTIONS(2128),
    [anon_sym_close] = ACTIONS(2128),
    [anon_sym_closedir] = ACTIONS(2128),
    [anon_sym_caller] = ACTIONS(2128),
    [anon_sym_chomp] = ACTIONS(2128),
    [anon_sym_chr] = ACTIONS(2128),
    [anon_sym_cos] = ACTIONS(2128),
    [anon_sym_chroot] = ACTIONS(2128),
    [anon_sym_defined] = ACTIONS(2128),
    [anon_sym_delete] = ACTIONS(2128),
    [anon_sym_dbmclose] = ACTIONS(2128),
    [anon_sym_exists] = ACTIONS(2128),
    [anon_sym_exit] = ACTIONS(2128),
    [anon_sym_eof] = ACTIONS(2128),
    [anon_sym_exp] = ACTIONS(2128),
    [anon_sym_each] = ACTIONS(2128),
    [anon_sym_fc] = ACTIONS(2128),
    [anon_sym_fileno] = ACTIONS(2128),
    [anon_sym_gmtime] = ACTIONS(2128),
    [anon_sym_getc] = ACTIONS(2128),
    [anon_sym_getpgrp] = ACTIONS(2128),
    [anon_sym_getprotobyname] = ACTIONS(2128),
    [anon_sym_getpwname] = ACTIONS(2128),
    [anon_sym_getpwuid] = ACTIONS(2128),
    [anon_sym_getpeername] = ACTIONS(2128),
    [anon_sym_getnetbyname] = ACTIONS(2128),
    [anon_sym_getsockname] = ACTIONS(2128),
    [anon_sym_getgrnam] = ACTIONS(2128),
    [anon_sym_getgrgid] = ACTIONS(2128),
    [anon_sym_hex] = ACTIONS(2128),
    [anon_sym_int] = ACTIONS(2128),
    [anon_sym_keys] = ACTIONS(2128),
    [anon_sym_lc] = ACTIONS(2128),
    [anon_sym_lcfirst] = ACTIONS(2128),
    [anon_sym_length] = ACTIONS(2128),
    [anon_sym_localtime] = ACTIONS(2128),
    [anon_sym_log] = ACTIONS(2128),
    [anon_sym_lock] = ACTIONS(2128),
    [anon_sym_lstat] = ACTIONS(2128),
    [anon_sym_oct] = ACTIONS(2128),
    [anon_sym_ord] = ACTIONS(2128),
    [anon_sym_prototype] = ACTIONS(2128),
    [anon_sym_pop] = ACTIONS(2128),
    [anon_sym_pos] = ACTIONS(2128),
    [anon_sym_quotemeta] = ACTIONS(2128),
    [anon_sym_reset] = ACTIONS(2128),
    [anon_sym_rand] = ACTIONS(2128),
    [anon_sym_rmdir] = ACTIONS(2128),
    [anon_sym_readdir] = ACTIONS(2128),
    [anon_sym_readline] = ACTIONS(2128),
    [anon_sym_readpipe] = ACTIONS(2128),
    [anon_sym_rewinddir] = ACTIONS(2128),
    [anon_sym_readlink] = ACTIONS(2128),
    [anon_sym_ref] = ACTIONS(2128),
    [anon_sym_scalar] = ACTIONS(2128),
    [anon_sym_shift] = ACTIONS(2128),
    [anon_sym_sin] = ACTIONS(2128),
    [anon_sym_sleep] = ACTIONS(2128),
    [anon_sym_sqrt] = ACTIONS(2128),
    [anon_sym_srand] = ACTIONS(2128),
    [anon_sym_stat] = ACTIONS(2128),
    [anon_sym_study] = ACTIONS(2128),
    [anon_sym_tell] = ACTIONS(2128),
    [anon_sym_telldir] = ACTIONS(2128),
    [anon_sym_tied] = ACTIONS(2128),
    [anon_sym_uc] = ACTIONS(2128),
    [anon_sym_ucfirst] = ACTIONS(2128),
    [anon_sym_untie] = ACTIONS(2128),
    [anon_sym_umask] = ACTIONS(2128),
    [anon_sym_values] = ACTIONS(2128),
    [anon_sym_write] = ACTIONS(2128),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2128),
    [anon_sym_qq] = ACTIONS(2128),
    [anon_sym_qw] = ACTIONS(2128),
    [anon_sym_qx] = ACTIONS(2128),
    [anon_sym_qr] = ACTIONS(2128),
    [anon_sym_m] = ACTIONS(2128),
    [anon_sym_s] = ACTIONS(2128),
    [anon_sym_tr] = ACTIONS(2128),
    [anon_sym_y] = ACTIONS(2128),
    [anon_sym_if] = ACTIONS(2128),
    [anon_sym_unless] = ACTIONS(2128),
    [anon_sym_while] = ACTIONS(2128),
    [anon_sym_until] = ACTIONS(2128),
    [aux_sym__bareword_token1] = ACTIONS(2128),
    [sym_number] = ACTIONS(2128),
    [anon_sym_true] = ACTIONS(2128),
    [anon_sym_false] = ACTIONS(2128),
    [sym__single_quote] = ACTIONS(2126),
    [sym__double_quote] = ACTIONS(2126),
    [sym__backtick_quote] = ACTIONS(2126),
    [sym__search_slash_quote] = ACTIONS(2126),
    [sym__PERLY_HEREDOC] = ACTIONS(2126),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2126),
    [sym__filetest] = ACTIONS(2126),
  },
  [993] = {
    [sym_heredoc_content] = STATE(993),
    [sym__identifier] = ACTIONS(2152),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_package] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2152),
    [anon_sym_role] = ACTIONS(2152),
    [anon_sym_BUILD] = ACTIONS(2152),
    [anon_sym_ADJUST] = ACTIONS(2152),
    [anon_sym_DOLLAR] = ACTIONS(2152),
    [anon_sym_AT] = ACTIONS(2152),
    [anon_sym_my] = ACTIONS(2152),
    [anon_sym_extended] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_sub] = ACTIONS(2152),
    [anon_sym_method] = ACTIONS(2152),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_state] = ACTIONS(2152),
    [anon_sym_our] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [anon_sym_defer] = ACTIONS(2152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2152),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_LT_LT] = ACTIONS(2152),
    [anon_sym_SLASH_SLASH] = ACTIONS(2152),
    [anon_sym_PLUS] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_STAR] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [anon_sym_BSLASH] = ACTIONS(2150),
    [anon_sym_do] = ACTIONS(2152),
    [anon_sym_eval] = ACTIONS(2152),
    [anon_sym_await] = ACTIONS(2152),
    [anon_sym_field] = ACTIONS(2152),
    [anon_sym_local] = ACTIONS(2152),
    [anon_sym_dynamically] = ACTIONS(2152),
    [anon_sym_require] = ACTIONS(2152),
    [anon_sym_map] = ACTIONS(2152),
    [anon_sym_grep] = ACTIONS(2152),
    [anon_sym_sort] = ACTIONS(2152),
    [anon_sym_goto] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_undef] = ACTIONS(2152),
    [anon_sym_PERCENT2] = ACTIONS(2152),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2152),
    [anon_sym_use] = ACTIONS(2152),
    [anon_sym_no] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_foreach] = ACTIONS(2152),
    [anon_sym_last] = ACTIONS(2152),
    [anon_sym_next] = ACTIONS(2152),
    [anon_sym_redo] = ACTIONS(2152),
    [anon_sym_BEGIN] = ACTIONS(2152),
    [anon_sym_INIT] = ACTIONS(2152),
    [anon_sym_CHECK] = ACTIONS(2152),
    [anon_sym_UNITCHECK] = ACTIONS(2152),
    [anon_sym_END] = ACTIONS(2152),
    [anon_sym___FILE__] = ACTIONS(2152),
    [anon_sym___LINE__] = ACTIONS(2152),
    [anon_sym___PACKAGE__] = ACTIONS(2152),
    [anon_sym___SUB__] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_fork] = ACTIONS(2152),
    [anon_sym_getppid] = ACTIONS(2152),
    [anon_sym_time] = ACTIONS(2152),
    [anon_sym_times] = ACTIONS(2152),
    [anon_sym_wait] = ACTIONS(2152),
    [anon_sym_wantarray] = ACTIONS(2152),
    [anon_sym_abs] = ACTIONS(2152),
    [anon_sym_alarm] = ACTIONS(2152),
    [anon_sym_chop] = ACTIONS(2152),
    [anon_sym_chdir] = ACTIONS(2152),
    [anon_sym_close] = ACTIONS(2152),
    [anon_sym_closedir] = ACTIONS(2152),
    [anon_sym_caller] = ACTIONS(2152),
    [anon_sym_chomp] = ACTIONS(2152),
    [anon_sym_chr] = ACTIONS(2152),
    [anon_sym_cos] = ACTIONS(2152),
    [anon_sym_chroot] = ACTIONS(2152),
    [anon_sym_defined] = ACTIONS(2152),
    [anon_sym_delete] = ACTIONS(2152),
    [anon_sym_dbmclose] = ACTIONS(2152),
    [anon_sym_exists] = ACTIONS(2152),
    [anon_sym_exit] = ACTIONS(2152),
    [anon_sym_eof] = ACTIONS(2152),
    [anon_sym_exp] = ACTIONS(2152),
    [anon_sym_each] = ACTIONS(2152),
    [anon_sym_fc] = ACTIONS(2152),
    [anon_sym_fileno] = ACTIONS(2152),
    [anon_sym_gmtime] = ACTIONS(2152),
    [anon_sym_getc] = ACTIONS(2152),
    [anon_sym_getpgrp] = ACTIONS(2152),
    [anon_sym_getprotobyname] = ACTIONS(2152),
    [anon_sym_getpwname] = ACTIONS(2152),
    [anon_sym_getpwuid] = ACTIONS(2152),
    [anon_sym_getpeername] = ACTIONS(2152),
    [anon_sym_getnetbyname] = ACTIONS(2152),
    [anon_sym_getsockname] = ACTIONS(2152),
    [anon_sym_getgrnam] = ACTIONS(2152),
    [anon_sym_getgrgid] = ACTIONS(2152),
    [anon_sym_hex] = ACTIONS(2152),
    [anon_sym_int] = ACTIONS(2152),
    [anon_sym_keys] = ACTIONS(2152),
    [anon_sym_lc] = ACTIONS(2152),
    [anon_sym_lcfirst] = ACTIONS(2152),
    [anon_sym_length] = ACTIONS(2152),
    [anon_sym_localtime] = ACTIONS(2152),
    [anon_sym_log] = ACTIONS(2152),
    [anon_sym_lock] = ACTIONS(2152),
    [anon_sym_lstat] = ACTIONS(2152),
    [anon_sym_oct] = ACTIONS(2152),
    [anon_sym_ord] = ACTIONS(2152),
    [anon_sym_prototype] = ACTIONS(2152),
    [anon_sym_pop] = ACTIONS(2152),
    [anon_sym_pos] = ACTIONS(2152),
    [anon_sym_quotemeta] = ACTIONS(2152),
    [anon_sym_reset] = ACTIONS(2152),
    [anon_sym_rand] = ACTIONS(2152),
    [anon_sym_rmdir] = ACTIONS(2152),
    [anon_sym_readdir] = ACTIONS(2152),
    [anon_sym_readline] = ACTIONS(2152),
    [anon_sym_readpipe] = ACTIONS(2152),
    [anon_sym_rewinddir] = ACTIONS(2152),
    [anon_sym_readlink] = ACTIONS(2152),
    [anon_sym_ref] = ACTIONS(2152),
    [anon_sym_scalar] = ACTIONS(2152),
    [anon_sym_shift] = ACTIONS(2152),
    [anon_sym_sin] = ACTIONS(2152),
    [anon_sym_sleep] = ACTIONS(2152),
    [anon_sym_sqrt] = ACTIONS(2152),
    [anon_sym_srand] = ACTIONS(2152),
    [anon_sym_stat] = ACTIONS(2152),
    [anon_sym_study] = ACTIONS(2152),
    [anon_sym_tell] = ACTIONS(2152),
    [anon_sym_telldir] = ACTIONS(2152),
    [anon_sym_tied] = ACTIONS(2152),
    [anon_sym_uc] = ACTIONS(2152),
    [anon_sym_ucfirst] = ACTIONS(2152),
    [anon_sym_untie] = ACTIONS(2152),
    [anon_sym_umask] = ACTIONS(2152),
    [anon_sym_values] = ACTIONS(2152),
    [anon_sym_write] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2152),
    [anon_sym_qq] = ACTIONS(2152),
    [anon_sym_qw] = ACTIONS(2152),
    [anon_sym_qx] = ACTIONS(2152),
    [anon_sym_qr] = ACTIONS(2152),
    [anon_sym_m] = ACTIONS(2152),
    [anon_sym_s] = ACTIONS(2152),
    [anon_sym_tr] = ACTIONS(2152),
    [anon_sym_y] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_unless] = ACTIONS(2152),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_until] = ACTIONS(2152),
    [aux_sym__bareword_token1] = ACTIONS(2152),
    [sym_number] = ACTIONS(2152),
    [anon_sym_true] = ACTIONS(2152),
    [anon_sym_false] = ACTIONS(2152),
    [sym__single_quote] = ACTIONS(2150),
    [sym__double_quote] = ACTIONS(2150),
    [sym__backtick_quote] = ACTIONS(2150),
    [sym__search_slash_quote] = ACTIONS(2150),
    [sym__PERLY_HEREDOC] = ACTIONS(2150),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2150),
    [sym__filetest] = ACTIONS(2150),
  },
  [994] = {
    [sym_heredoc_content] = STATE(994),
    [sym__identifier] = ACTIONS(2215),
    [anon_sym_LBRACE] = ACTIONS(2215),
    [anon_sym_RBRACE] = ACTIONS(2215),
    [anon_sym_SEMI] = ACTIONS(2215),
    [anon_sym_package] = ACTIONS(2215),
    [anon_sym_class] = ACTIONS(2215),
    [anon_sym_role] = ACTIONS(2215),
    [anon_sym_BUILD] = ACTIONS(2215),
    [anon_sym_ADJUST] = ACTIONS(2215),
    [anon_sym_DOLLAR] = ACTIONS(2215),
    [anon_sym_AT] = ACTIONS(2215),
    [anon_sym_my] = ACTIONS(2215),
    [anon_sym_extended] = ACTIONS(2215),
    [anon_sym_async] = ACTIONS(2215),
    [anon_sym_sub] = ACTIONS(2215),
    [anon_sym_method] = ACTIONS(2215),
    [anon_sym_LPAREN] = ACTIONS(2215),
    [anon_sym_continue] = ACTIONS(2215),
    [anon_sym_state] = ACTIONS(2215),
    [anon_sym_our] = ACTIONS(2215),
    [anon_sym_try] = ACTIONS(2215),
    [anon_sym_defer] = ACTIONS(2215),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2215),
    [anon_sym_LBRACK] = ACTIONS(2215),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_LT_LT] = ACTIONS(2215),
    [anon_sym_SLASH_SLASH] = ACTIONS(2215),
    [anon_sym_PLUS] = ACTIONS(2215),
    [anon_sym_DASH] = ACTIONS(2215),
    [anon_sym_STAR] = ACTIONS(2215),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_BANG] = ACTIONS(2215),
    [anon_sym_PLUS_PLUS] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(2215),
    [anon_sym_BSLASH] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2215),
    [anon_sym_eval] = ACTIONS(2215),
    [anon_sym_await] = ACTIONS(2215),
    [anon_sym_field] = ACTIONS(2215),
    [anon_sym_local] = ACTIONS(2215),
    [anon_sym_dynamically] = ACTIONS(2215),
    [anon_sym_require] = ACTIONS(2215),
    [anon_sym_map] = ACTIONS(2215),
    [anon_sym_grep] = ACTIONS(2215),
    [anon_sym_sort] = ACTIONS(2215),
    [anon_sym_goto] = ACTIONS(2215),
    [anon_sym_return] = ACTIONS(2215),
    [anon_sym_undef] = ACTIONS(2215),
    [anon_sym_PERCENT2] = ACTIONS(2215),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2215),
    [anon_sym_use] = ACTIONS(2215),
    [anon_sym_no] = ACTIONS(2215),
    [anon_sym_for] = ACTIONS(2215),
    [anon_sym_foreach] = ACTIONS(2215),
    [anon_sym_last] = ACTIONS(2215),
    [anon_sym_next] = ACTIONS(2215),
    [anon_sym_redo] = ACTIONS(2215),
    [anon_sym_BEGIN] = ACTIONS(2215),
    [anon_sym_INIT] = ACTIONS(2215),
    [anon_sym_CHECK] = ACTIONS(2215),
    [anon_sym_UNITCHECK] = ACTIONS(2215),
    [anon_sym_END] = ACTIONS(2215),
    [anon_sym___FILE__] = ACTIONS(2215),
    [anon_sym___LINE__] = ACTIONS(2215),
    [anon_sym___PACKAGE__] = ACTIONS(2215),
    [anon_sym___SUB__] = ACTIONS(2215),
    [anon_sym_break] = ACTIONS(2215),
    [anon_sym_fork] = ACTIONS(2215),
    [anon_sym_getppid] = ACTIONS(2215),
    [anon_sym_time] = ACTIONS(2215),
    [anon_sym_times] = ACTIONS(2215),
    [anon_sym_wait] = ACTIONS(2215),
    [anon_sym_wantarray] = ACTIONS(2215),
    [anon_sym_abs] = ACTIONS(2215),
    [anon_sym_alarm] = ACTIONS(2215),
    [anon_sym_chop] = ACTIONS(2215),
    [anon_sym_chdir] = ACTIONS(2215),
    [anon_sym_close] = ACTIONS(2215),
    [anon_sym_closedir] = ACTIONS(2215),
    [anon_sym_caller] = ACTIONS(2215),
    [anon_sym_chomp] = ACTIONS(2215),
    [anon_sym_chr] = ACTIONS(2215),
    [anon_sym_cos] = ACTIONS(2215),
    [anon_sym_chroot] = ACTIONS(2215),
    [anon_sym_defined] = ACTIONS(2215),
    [anon_sym_delete] = ACTIONS(2215),
    [anon_sym_dbmclose] = ACTIONS(2215),
    [anon_sym_exists] = ACTIONS(2215),
    [anon_sym_exit] = ACTIONS(2215),
    [anon_sym_eof] = ACTIONS(2215),
    [anon_sym_exp] = ACTIONS(2215),
    [anon_sym_each] = ACTIONS(2215),
    [anon_sym_fc] = ACTIONS(2215),
    [anon_sym_fileno] = ACTIONS(2215),
    [anon_sym_gmtime] = ACTIONS(2215),
    [anon_sym_getc] = ACTIONS(2215),
    [anon_sym_getpgrp] = ACTIONS(2215),
    [anon_sym_getprotobyname] = ACTIONS(2215),
    [anon_sym_getpwname] = ACTIONS(2215),
    [anon_sym_getpwuid] = ACTIONS(2215),
    [anon_sym_getpeername] = ACTIONS(2215),
    [anon_sym_getnetbyname] = ACTIONS(2215),
    [anon_sym_getsockname] = ACTIONS(2215),
    [anon_sym_getgrnam] = ACTIONS(2215),
    [anon_sym_getgrgid] = ACTIONS(2215),
    [anon_sym_hex] = ACTIONS(2215),
    [anon_sym_int] = ACTIONS(2215),
    [anon_sym_keys] = ACTIONS(2215),
    [anon_sym_lc] = ACTIONS(2215),
    [anon_sym_lcfirst] = ACTIONS(2215),
    [anon_sym_length] = ACTIONS(2215),
    [anon_sym_localtime] = ACTIONS(2215),
    [anon_sym_log] = ACTIONS(2215),
    [anon_sym_lock] = ACTIONS(2215),
    [anon_sym_lstat] = ACTIONS(2215),
    [anon_sym_oct] = ACTIONS(2215),
    [anon_sym_ord] = ACTIONS(2215),
    [anon_sym_prototype] = ACTIONS(2215),
    [anon_sym_pop] = ACTIONS(2215),
    [anon_sym_pos] = ACTIONS(2215),
    [anon_sym_quotemeta] = ACTIONS(2215),
    [anon_sym_reset] = ACTIONS(2215),
    [anon_sym_rand] = ACTIONS(2215),
    [anon_sym_rmdir] = ACTIONS(2215),
    [anon_sym_readdir] = ACTIONS(2215),
    [anon_sym_readline] = ACTIONS(2215),
    [anon_sym_readpipe] = ACTIONS(2215),
    [anon_sym_rewinddir] = ACTIONS(2215),
    [anon_sym_readlink] = ACTIONS(2215),
    [anon_sym_ref] = ACTIONS(2215),
    [anon_sym_scalar] = ACTIONS(2215),
    [anon_sym_shift] = ACTIONS(2215),
    [anon_sym_sin] = ACTIONS(2215),
    [anon_sym_sleep] = ACTIONS(2215),
    [anon_sym_sqrt] = ACTIONS(2215),
    [anon_sym_srand] = ACTIONS(2215),
    [anon_sym_stat] = ACTIONS(2215),
    [anon_sym_study] = ACTIONS(2215),
    [anon_sym_tell] = ACTIONS(2215),
    [anon_sym_telldir] = ACTIONS(2215),
    [anon_sym_tied] = ACTIONS(2215),
    [anon_sym_uc] = ACTIONS(2215),
    [anon_sym_ucfirst] = ACTIONS(2215),
    [anon_sym_untie] = ACTIONS(2215),
    [anon_sym_umask] = ACTIONS(2215),
    [anon_sym_values] = ACTIONS(2215),
    [anon_sym_write] = ACTIONS(2215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2215),
    [anon_sym_qq] = ACTIONS(2215),
    [anon_sym_qw] = ACTIONS(2215),
    [anon_sym_qx] = ACTIONS(2215),
    [anon_sym_qr] = ACTIONS(2215),
    [anon_sym_m] = ACTIONS(2215),
    [anon_sym_s] = ACTIONS(2215),
    [anon_sym_tr] = ACTIONS(2215),
    [anon_sym_y] = ACTIONS(2215),
    [anon_sym_if] = ACTIONS(2215),
    [anon_sym_unless] = ACTIONS(2215),
    [anon_sym_while] = ACTIONS(2215),
    [anon_sym_until] = ACTIONS(2215),
    [aux_sym__bareword_token1] = ACTIONS(2215),
    [sym_number] = ACTIONS(2215),
    [anon_sym_true] = ACTIONS(2215),
    [anon_sym_false] = ACTIONS(2215),
    [sym__single_quote] = ACTIONS(2213),
    [sym__double_quote] = ACTIONS(2213),
    [sym__backtick_quote] = ACTIONS(2213),
    [sym__search_slash_quote] = ACTIONS(2213),
    [sym__PERLY_HEREDOC] = ACTIONS(2213),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2213),
    [sym__filetest] = ACTIONS(2213),
  },
  [995] = {
    [sym_heredoc_content] = STATE(995),
    [sym__identifier] = ACTIONS(2072),
    [anon_sym_LBRACE] = ACTIONS(2072),
    [anon_sym_RBRACE] = ACTIONS(2072),
    [anon_sym_SEMI] = ACTIONS(2072),
    [anon_sym_package] = ACTIONS(2072),
    [anon_sym_class] = ACTIONS(2072),
    [anon_sym_role] = ACTIONS(2072),
    [anon_sym_BUILD] = ACTIONS(2072),
    [anon_sym_ADJUST] = ACTIONS(2072),
    [anon_sym_DOLLAR] = ACTIONS(2072),
    [anon_sym_AT] = ACTIONS(2072),
    [anon_sym_my] = ACTIONS(2072),
    [anon_sym_extended] = ACTIONS(2072),
    [anon_sym_async] = ACTIONS(2072),
    [anon_sym_sub] = ACTIONS(2072),
    [anon_sym_method] = ACTIONS(2072),
    [anon_sym_LPAREN] = ACTIONS(2072),
    [anon_sym_continue] = ACTIONS(2072),
    [anon_sym_state] = ACTIONS(2072),
    [anon_sym_our] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2072),
    [anon_sym_defer] = ACTIONS(2072),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2072),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [anon_sym_LT] = ACTIONS(2072),
    [anon_sym_LT_LT] = ACTIONS(2072),
    [anon_sym_SLASH_SLASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2072),
    [anon_sym_TILDE] = ACTIONS(2072),
    [anon_sym_BANG] = ACTIONS(2072),
    [anon_sym_PLUS_PLUS] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2072),
    [anon_sym_BSLASH] = ACTIONS(2070),
    [anon_sym_do] = ACTIONS(2072),
    [anon_sym_eval] = ACTIONS(2072),
    [anon_sym_await] = ACTIONS(2072),
    [anon_sym_field] = ACTIONS(2072),
    [anon_sym_local] = ACTIONS(2072),
    [anon_sym_dynamically] = ACTIONS(2072),
    [anon_sym_require] = ACTIONS(2072),
    [anon_sym_map] = ACTIONS(2072),
    [anon_sym_grep] = ACTIONS(2072),
    [anon_sym_sort] = ACTIONS(2072),
    [anon_sym_goto] = ACTIONS(2072),
    [anon_sym_return] = ACTIONS(2072),
    [anon_sym_undef] = ACTIONS(2072),
    [anon_sym_PERCENT2] = ACTIONS(2072),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2072),
    [anon_sym_use] = ACTIONS(2072),
    [anon_sym_no] = ACTIONS(2072),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_foreach] = ACTIONS(2072),
    [anon_sym_last] = ACTIONS(2072),
    [anon_sym_next] = ACTIONS(2072),
    [anon_sym_redo] = ACTIONS(2072),
    [anon_sym_BEGIN] = ACTIONS(2072),
    [anon_sym_INIT] = ACTIONS(2072),
    [anon_sym_CHECK] = ACTIONS(2072),
    [anon_sym_UNITCHECK] = ACTIONS(2072),
    [anon_sym_END] = ACTIONS(2072),
    [anon_sym___FILE__] = ACTIONS(2072),
    [anon_sym___LINE__] = ACTIONS(2072),
    [anon_sym___PACKAGE__] = ACTIONS(2072),
    [anon_sym___SUB__] = ACTIONS(2072),
    [anon_sym_break] = ACTIONS(2072),
    [anon_sym_fork] = ACTIONS(2072),
    [anon_sym_getppid] = ACTIONS(2072),
    [anon_sym_time] = ACTIONS(2072),
    [anon_sym_times] = ACTIONS(2072),
    [anon_sym_wait] = ACTIONS(2072),
    [anon_sym_wantarray] = ACTIONS(2072),
    [anon_sym_abs] = ACTIONS(2072),
    [anon_sym_alarm] = ACTIONS(2072),
    [anon_sym_chop] = ACTIONS(2072),
    [anon_sym_chdir] = ACTIONS(2072),
    [anon_sym_close] = ACTIONS(2072),
    [anon_sym_closedir] = ACTIONS(2072),
    [anon_sym_caller] = ACTIONS(2072),
    [anon_sym_chomp] = ACTIONS(2072),
    [anon_sym_chr] = ACTIONS(2072),
    [anon_sym_cos] = ACTIONS(2072),
    [anon_sym_chroot] = ACTIONS(2072),
    [anon_sym_defined] = ACTIONS(2072),
    [anon_sym_delete] = ACTIONS(2072),
    [anon_sym_dbmclose] = ACTIONS(2072),
    [anon_sym_exists] = ACTIONS(2072),
    [anon_sym_exit] = ACTIONS(2072),
    [anon_sym_eof] = ACTIONS(2072),
    [anon_sym_exp] = ACTIONS(2072),
    [anon_sym_each] = ACTIONS(2072),
    [anon_sym_fc] = ACTIONS(2072),
    [anon_sym_fileno] = ACTIONS(2072),
    [anon_sym_gmtime] = ACTIONS(2072),
    [anon_sym_getc] = ACTIONS(2072),
    [anon_sym_getpgrp] = ACTIONS(2072),
    [anon_sym_getprotobyname] = ACTIONS(2072),
    [anon_sym_getpwname] = ACTIONS(2072),
    [anon_sym_getpwuid] = ACTIONS(2072),
    [anon_sym_getpeername] = ACTIONS(2072),
    [anon_sym_getnetbyname] = ACTIONS(2072),
    [anon_sym_getsockname] = ACTIONS(2072),
    [anon_sym_getgrnam] = ACTIONS(2072),
    [anon_sym_getgrgid] = ACTIONS(2072),
    [anon_sym_hex] = ACTIONS(2072),
    [anon_sym_int] = ACTIONS(2072),
    [anon_sym_keys] = ACTIONS(2072),
    [anon_sym_lc] = ACTIONS(2072),
    [anon_sym_lcfirst] = ACTIONS(2072),
    [anon_sym_length] = ACTIONS(2072),
    [anon_sym_localtime] = ACTIONS(2072),
    [anon_sym_log] = ACTIONS(2072),
    [anon_sym_lock] = ACTIONS(2072),
    [anon_sym_lstat] = ACTIONS(2072),
    [anon_sym_oct] = ACTIONS(2072),
    [anon_sym_ord] = ACTIONS(2072),
    [anon_sym_prototype] = ACTIONS(2072),
    [anon_sym_pop] = ACTIONS(2072),
    [anon_sym_pos] = ACTIONS(2072),
    [anon_sym_quotemeta] = ACTIONS(2072),
    [anon_sym_reset] = ACTIONS(2072),
    [anon_sym_rand] = ACTIONS(2072),
    [anon_sym_rmdir] = ACTIONS(2072),
    [anon_sym_readdir] = ACTIONS(2072),
    [anon_sym_readline] = ACTIONS(2072),
    [anon_sym_readpipe] = ACTIONS(2072),
    [anon_sym_rewinddir] = ACTIONS(2072),
    [anon_sym_readlink] = ACTIONS(2072),
    [anon_sym_ref] = ACTIONS(2072),
    [anon_sym_scalar] = ACTIONS(2072),
    [anon_sym_shift] = ACTIONS(2072),
    [anon_sym_sin] = ACTIONS(2072),
    [anon_sym_sleep] = ACTIONS(2072),
    [anon_sym_sqrt] = ACTIONS(2072),
    [anon_sym_srand] = ACTIONS(2072),
    [anon_sym_stat] = ACTIONS(2072),
    [anon_sym_study] = ACTIONS(2072),
    [anon_sym_tell] = ACTIONS(2072),
    [anon_sym_telldir] = ACTIONS(2072),
    [anon_sym_tied] = ACTIONS(2072),
    [anon_sym_uc] = ACTIONS(2072),
    [anon_sym_ucfirst] = ACTIONS(2072),
    [anon_sym_untie] = ACTIONS(2072),
    [anon_sym_umask] = ACTIONS(2072),
    [anon_sym_values] = ACTIONS(2072),
    [anon_sym_write] = ACTIONS(2072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2072),
    [anon_sym_qq] = ACTIONS(2072),
    [anon_sym_qw] = ACTIONS(2072),
    [anon_sym_qx] = ACTIONS(2072),
    [anon_sym_qr] = ACTIONS(2072),
    [anon_sym_m] = ACTIONS(2072),
    [anon_sym_s] = ACTIONS(2072),
    [anon_sym_tr] = ACTIONS(2072),
    [anon_sym_y] = ACTIONS(2072),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_unless] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2072),
    [anon_sym_until] = ACTIONS(2072),
    [aux_sym__bareword_token1] = ACTIONS(2072),
    [sym_number] = ACTIONS(2072),
    [anon_sym_true] = ACTIONS(2072),
    [anon_sym_false] = ACTIONS(2072),
    [sym__single_quote] = ACTIONS(2070),
    [sym__double_quote] = ACTIONS(2070),
    [sym__backtick_quote] = ACTIONS(2070),
    [sym__search_slash_quote] = ACTIONS(2070),
    [sym__PERLY_HEREDOC] = ACTIONS(2070),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2070),
    [sym__filetest] = ACTIONS(2070),
  },
  [996] = {
    [sym_heredoc_content] = STATE(996),
    [sym__identifier] = ACTIONS(2116),
    [anon_sym_LBRACE] = ACTIONS(2116),
    [anon_sym_RBRACE] = ACTIONS(2116),
    [anon_sym_SEMI] = ACTIONS(2116),
    [anon_sym_package] = ACTIONS(2116),
    [anon_sym_class] = ACTIONS(2116),
    [anon_sym_role] = ACTIONS(2116),
    [anon_sym_BUILD] = ACTIONS(2116),
    [anon_sym_ADJUST] = ACTIONS(2116),
    [anon_sym_DOLLAR] = ACTIONS(2116),
    [anon_sym_AT] = ACTIONS(2116),
    [anon_sym_my] = ACTIONS(2116),
    [anon_sym_extended] = ACTIONS(2116),
    [anon_sym_async] = ACTIONS(2116),
    [anon_sym_sub] = ACTIONS(2116),
    [anon_sym_method] = ACTIONS(2116),
    [anon_sym_LPAREN] = ACTIONS(2116),
    [anon_sym_continue] = ACTIONS(2116),
    [anon_sym_state] = ACTIONS(2116),
    [anon_sym_our] = ACTIONS(2116),
    [anon_sym_try] = ACTIONS(2116),
    [anon_sym_defer] = ACTIONS(2116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2116),
    [anon_sym_LBRACK] = ACTIONS(2116),
    [anon_sym_LT] = ACTIONS(2116),
    [anon_sym_LT_LT] = ACTIONS(2116),
    [anon_sym_SLASH_SLASH] = ACTIONS(2116),
    [anon_sym_PLUS] = ACTIONS(2116),
    [anon_sym_DASH] = ACTIONS(2116),
    [anon_sym_STAR] = ACTIONS(2116),
    [anon_sym_TILDE] = ACTIONS(2116),
    [anon_sym_BANG] = ACTIONS(2116),
    [anon_sym_PLUS_PLUS] = ACTIONS(2116),
    [anon_sym_DASH_DASH] = ACTIONS(2116),
    [anon_sym_BSLASH] = ACTIONS(2114),
    [anon_sym_do] = ACTIONS(2116),
    [anon_sym_eval] = ACTIONS(2116),
    [anon_sym_await] = ACTIONS(2116),
    [anon_sym_field] = ACTIONS(2116),
    [anon_sym_local] = ACTIONS(2116),
    [anon_sym_dynamically] = ACTIONS(2116),
    [anon_sym_require] = ACTIONS(2116),
    [anon_sym_map] = ACTIONS(2116),
    [anon_sym_grep] = ACTIONS(2116),
    [anon_sym_sort] = ACTIONS(2116),
    [anon_sym_goto] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_undef] = ACTIONS(2116),
    [anon_sym_PERCENT2] = ACTIONS(2116),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2116),
    [anon_sym_use] = ACTIONS(2116),
    [anon_sym_no] = ACTIONS(2116),
    [anon_sym_for] = ACTIONS(2116),
    [anon_sym_foreach] = ACTIONS(2116),
    [anon_sym_last] = ACTIONS(2116),
    [anon_sym_next] = ACTIONS(2116),
    [anon_sym_redo] = ACTIONS(2116),
    [anon_sym_BEGIN] = ACTIONS(2116),
    [anon_sym_INIT] = ACTIONS(2116),
    [anon_sym_CHECK] = ACTIONS(2116),
    [anon_sym_UNITCHECK] = ACTIONS(2116),
    [anon_sym_END] = ACTIONS(2116),
    [anon_sym___FILE__] = ACTIONS(2116),
    [anon_sym___LINE__] = ACTIONS(2116),
    [anon_sym___PACKAGE__] = ACTIONS(2116),
    [anon_sym___SUB__] = ACTIONS(2116),
    [anon_sym_break] = ACTIONS(2116),
    [anon_sym_fork] = ACTIONS(2116),
    [anon_sym_getppid] = ACTIONS(2116),
    [anon_sym_time] = ACTIONS(2116),
    [anon_sym_times] = ACTIONS(2116),
    [anon_sym_wait] = ACTIONS(2116),
    [anon_sym_wantarray] = ACTIONS(2116),
    [anon_sym_abs] = ACTIONS(2116),
    [anon_sym_alarm] = ACTIONS(2116),
    [anon_sym_chop] = ACTIONS(2116),
    [anon_sym_chdir] = ACTIONS(2116),
    [anon_sym_close] = ACTIONS(2116),
    [anon_sym_closedir] = ACTIONS(2116),
    [anon_sym_caller] = ACTIONS(2116),
    [anon_sym_chomp] = ACTIONS(2116),
    [anon_sym_chr] = ACTIONS(2116),
    [anon_sym_cos] = ACTIONS(2116),
    [anon_sym_chroot] = ACTIONS(2116),
    [anon_sym_defined] = ACTIONS(2116),
    [anon_sym_delete] = ACTIONS(2116),
    [anon_sym_dbmclose] = ACTIONS(2116),
    [anon_sym_exists] = ACTIONS(2116),
    [anon_sym_exit] = ACTIONS(2116),
    [anon_sym_eof] = ACTIONS(2116),
    [anon_sym_exp] = ACTIONS(2116),
    [anon_sym_each] = ACTIONS(2116),
    [anon_sym_fc] = ACTIONS(2116),
    [anon_sym_fileno] = ACTIONS(2116),
    [anon_sym_gmtime] = ACTIONS(2116),
    [anon_sym_getc] = ACTIONS(2116),
    [anon_sym_getpgrp] = ACTIONS(2116),
    [anon_sym_getprotobyname] = ACTIONS(2116),
    [anon_sym_getpwname] = ACTIONS(2116),
    [anon_sym_getpwuid] = ACTIONS(2116),
    [anon_sym_getpeername] = ACTIONS(2116),
    [anon_sym_getnetbyname] = ACTIONS(2116),
    [anon_sym_getsockname] = ACTIONS(2116),
    [anon_sym_getgrnam] = ACTIONS(2116),
    [anon_sym_getgrgid] = ACTIONS(2116),
    [anon_sym_hex] = ACTIONS(2116),
    [anon_sym_int] = ACTIONS(2116),
    [anon_sym_keys] = ACTIONS(2116),
    [anon_sym_lc] = ACTIONS(2116),
    [anon_sym_lcfirst] = ACTIONS(2116),
    [anon_sym_length] = ACTIONS(2116),
    [anon_sym_localtime] = ACTIONS(2116),
    [anon_sym_log] = ACTIONS(2116),
    [anon_sym_lock] = ACTIONS(2116),
    [anon_sym_lstat] = ACTIONS(2116),
    [anon_sym_oct] = ACTIONS(2116),
    [anon_sym_ord] = ACTIONS(2116),
    [anon_sym_prototype] = ACTIONS(2116),
    [anon_sym_pop] = ACTIONS(2116),
    [anon_sym_pos] = ACTIONS(2116),
    [anon_sym_quotemeta] = ACTIONS(2116),
    [anon_sym_reset] = ACTIONS(2116),
    [anon_sym_rand] = ACTIONS(2116),
    [anon_sym_rmdir] = ACTIONS(2116),
    [anon_sym_readdir] = ACTIONS(2116),
    [anon_sym_readline] = ACTIONS(2116),
    [anon_sym_readpipe] = ACTIONS(2116),
    [anon_sym_rewinddir] = ACTIONS(2116),
    [anon_sym_readlink] = ACTIONS(2116),
    [anon_sym_ref] = ACTIONS(2116),
    [anon_sym_scalar] = ACTIONS(2116),
    [anon_sym_shift] = ACTIONS(2116),
    [anon_sym_sin] = ACTIONS(2116),
    [anon_sym_sleep] = ACTIONS(2116),
    [anon_sym_sqrt] = ACTIONS(2116),
    [anon_sym_srand] = ACTIONS(2116),
    [anon_sym_stat] = ACTIONS(2116),
    [anon_sym_study] = ACTIONS(2116),
    [anon_sym_tell] = ACTIONS(2116),
    [anon_sym_telldir] = ACTIONS(2116),
    [anon_sym_tied] = ACTIONS(2116),
    [anon_sym_uc] = ACTIONS(2116),
    [anon_sym_ucfirst] = ACTIONS(2116),
    [anon_sym_untie] = ACTIONS(2116),
    [anon_sym_umask] = ACTIONS(2116),
    [anon_sym_values] = ACTIONS(2116),
    [anon_sym_write] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2116),
    [anon_sym_qq] = ACTIONS(2116),
    [anon_sym_qw] = ACTIONS(2116),
    [anon_sym_qx] = ACTIONS(2116),
    [anon_sym_qr] = ACTIONS(2116),
    [anon_sym_m] = ACTIONS(2116),
    [anon_sym_s] = ACTIONS(2116),
    [anon_sym_tr] = ACTIONS(2116),
    [anon_sym_y] = ACTIONS(2116),
    [anon_sym_if] = ACTIONS(2116),
    [anon_sym_unless] = ACTIONS(2116),
    [anon_sym_while] = ACTIONS(2116),
    [anon_sym_until] = ACTIONS(2116),
    [aux_sym__bareword_token1] = ACTIONS(2116),
    [sym_number] = ACTIONS(2116),
    [anon_sym_true] = ACTIONS(2116),
    [anon_sym_false] = ACTIONS(2116),
    [sym__single_quote] = ACTIONS(2114),
    [sym__double_quote] = ACTIONS(2114),
    [sym__backtick_quote] = ACTIONS(2114),
    [sym__search_slash_quote] = ACTIONS(2114),
    [sym__PERLY_HEREDOC] = ACTIONS(2114),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2114),
    [sym__filetest] = ACTIONS(2114),
  },
  [997] = {
    [sym_heredoc_content] = STATE(997),
    [sym__identifier] = ACTIONS(2148),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_RBRACE] = ACTIONS(2148),
    [anon_sym_SEMI] = ACTIONS(2148),
    [anon_sym_package] = ACTIONS(2148),
    [anon_sym_class] = ACTIONS(2148),
    [anon_sym_role] = ACTIONS(2148),
    [anon_sym_BUILD] = ACTIONS(2148),
    [anon_sym_ADJUST] = ACTIONS(2148),
    [anon_sym_DOLLAR] = ACTIONS(2148),
    [anon_sym_AT] = ACTIONS(2148),
    [anon_sym_my] = ACTIONS(2148),
    [anon_sym_extended] = ACTIONS(2148),
    [anon_sym_async] = ACTIONS(2148),
    [anon_sym_sub] = ACTIONS(2148),
    [anon_sym_method] = ACTIONS(2148),
    [anon_sym_LPAREN] = ACTIONS(2148),
    [anon_sym_continue] = ACTIONS(2148),
    [anon_sym_state] = ACTIONS(2148),
    [anon_sym_our] = ACTIONS(2148),
    [anon_sym_try] = ACTIONS(2148),
    [anon_sym_defer] = ACTIONS(2148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2148),
    [anon_sym_LT] = ACTIONS(2148),
    [anon_sym_LT_LT] = ACTIONS(2148),
    [anon_sym_SLASH_SLASH] = ACTIONS(2148),
    [anon_sym_PLUS] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2148),
    [anon_sym_STAR] = ACTIONS(2148),
    [anon_sym_TILDE] = ACTIONS(2148),
    [anon_sym_BANG] = ACTIONS(2148),
    [anon_sym_PLUS_PLUS] = ACTIONS(2148),
    [anon_sym_DASH_DASH] = ACTIONS(2148),
    [anon_sym_BSLASH] = ACTIONS(2146),
    [anon_sym_do] = ACTIONS(2148),
    [anon_sym_eval] = ACTIONS(2148),
    [anon_sym_await] = ACTIONS(2148),
    [anon_sym_field] = ACTIONS(2148),
    [anon_sym_local] = ACTIONS(2148),
    [anon_sym_dynamically] = ACTIONS(2148),
    [anon_sym_require] = ACTIONS(2148),
    [anon_sym_map] = ACTIONS(2148),
    [anon_sym_grep] = ACTIONS(2148),
    [anon_sym_sort] = ACTIONS(2148),
    [anon_sym_goto] = ACTIONS(2148),
    [anon_sym_return] = ACTIONS(2148),
    [anon_sym_undef] = ACTIONS(2148),
    [anon_sym_PERCENT2] = ACTIONS(2148),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2148),
    [anon_sym_use] = ACTIONS(2148),
    [anon_sym_no] = ACTIONS(2148),
    [anon_sym_for] = ACTIONS(2148),
    [anon_sym_foreach] = ACTIONS(2148),
    [anon_sym_last] = ACTIONS(2148),
    [anon_sym_next] = ACTIONS(2148),
    [anon_sym_redo] = ACTIONS(2148),
    [anon_sym_BEGIN] = ACTIONS(2148),
    [anon_sym_INIT] = ACTIONS(2148),
    [anon_sym_CHECK] = ACTIONS(2148),
    [anon_sym_UNITCHECK] = ACTIONS(2148),
    [anon_sym_END] = ACTIONS(2148),
    [anon_sym___FILE__] = ACTIONS(2148),
    [anon_sym___LINE__] = ACTIONS(2148),
    [anon_sym___PACKAGE__] = ACTIONS(2148),
    [anon_sym___SUB__] = ACTIONS(2148),
    [anon_sym_break] = ACTIONS(2148),
    [anon_sym_fork] = ACTIONS(2148),
    [anon_sym_getppid] = ACTIONS(2148),
    [anon_sym_time] = ACTIONS(2148),
    [anon_sym_times] = ACTIONS(2148),
    [anon_sym_wait] = ACTIONS(2148),
    [anon_sym_wantarray] = ACTIONS(2148),
    [anon_sym_abs] = ACTIONS(2148),
    [anon_sym_alarm] = ACTIONS(2148),
    [anon_sym_chop] = ACTIONS(2148),
    [anon_sym_chdir] = ACTIONS(2148),
    [anon_sym_close] = ACTIONS(2148),
    [anon_sym_closedir] = ACTIONS(2148),
    [anon_sym_caller] = ACTIONS(2148),
    [anon_sym_chomp] = ACTIONS(2148),
    [anon_sym_chr] = ACTIONS(2148),
    [anon_sym_cos] = ACTIONS(2148),
    [anon_sym_chroot] = ACTIONS(2148),
    [anon_sym_defined] = ACTIONS(2148),
    [anon_sym_delete] = ACTIONS(2148),
    [anon_sym_dbmclose] = ACTIONS(2148),
    [anon_sym_exists] = ACTIONS(2148),
    [anon_sym_exit] = ACTIONS(2148),
    [anon_sym_eof] = ACTIONS(2148),
    [anon_sym_exp] = ACTIONS(2148),
    [anon_sym_each] = ACTIONS(2148),
    [anon_sym_fc] = ACTIONS(2148),
    [anon_sym_fileno] = ACTIONS(2148),
    [anon_sym_gmtime] = ACTIONS(2148),
    [anon_sym_getc] = ACTIONS(2148),
    [anon_sym_getpgrp] = ACTIONS(2148),
    [anon_sym_getprotobyname] = ACTIONS(2148),
    [anon_sym_getpwname] = ACTIONS(2148),
    [anon_sym_getpwuid] = ACTIONS(2148),
    [anon_sym_getpeername] = ACTIONS(2148),
    [anon_sym_getnetbyname] = ACTIONS(2148),
    [anon_sym_getsockname] = ACTIONS(2148),
    [anon_sym_getgrnam] = ACTIONS(2148),
    [anon_sym_getgrgid] = ACTIONS(2148),
    [anon_sym_hex] = ACTIONS(2148),
    [anon_sym_int] = ACTIONS(2148),
    [anon_sym_keys] = ACTIONS(2148),
    [anon_sym_lc] = ACTIONS(2148),
    [anon_sym_lcfirst] = ACTIONS(2148),
    [anon_sym_length] = ACTIONS(2148),
    [anon_sym_localtime] = ACTIONS(2148),
    [anon_sym_log] = ACTIONS(2148),
    [anon_sym_lock] = ACTIONS(2148),
    [anon_sym_lstat] = ACTIONS(2148),
    [anon_sym_oct] = ACTIONS(2148),
    [anon_sym_ord] = ACTIONS(2148),
    [anon_sym_prototype] = ACTIONS(2148),
    [anon_sym_pop] = ACTIONS(2148),
    [anon_sym_pos] = ACTIONS(2148),
    [anon_sym_quotemeta] = ACTIONS(2148),
    [anon_sym_reset] = ACTIONS(2148),
    [anon_sym_rand] = ACTIONS(2148),
    [anon_sym_rmdir] = ACTIONS(2148),
    [anon_sym_readdir] = ACTIONS(2148),
    [anon_sym_readline] = ACTIONS(2148),
    [anon_sym_readpipe] = ACTIONS(2148),
    [anon_sym_rewinddir] = ACTIONS(2148),
    [anon_sym_readlink] = ACTIONS(2148),
    [anon_sym_ref] = ACTIONS(2148),
    [anon_sym_scalar] = ACTIONS(2148),
    [anon_sym_shift] = ACTIONS(2148),
    [anon_sym_sin] = ACTIONS(2148),
    [anon_sym_sleep] = ACTIONS(2148),
    [anon_sym_sqrt] = ACTIONS(2148),
    [anon_sym_srand] = ACTIONS(2148),
    [anon_sym_stat] = ACTIONS(2148),
    [anon_sym_study] = ACTIONS(2148),
    [anon_sym_tell] = ACTIONS(2148),
    [anon_sym_telldir] = ACTIONS(2148),
    [anon_sym_tied] = ACTIONS(2148),
    [anon_sym_uc] = ACTIONS(2148),
    [anon_sym_ucfirst] = ACTIONS(2148),
    [anon_sym_untie] = ACTIONS(2148),
    [anon_sym_umask] = ACTIONS(2148),
    [anon_sym_values] = ACTIONS(2148),
    [anon_sym_write] = ACTIONS(2148),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2148),
    [anon_sym_qq] = ACTIONS(2148),
    [anon_sym_qw] = ACTIONS(2148),
    [anon_sym_qx] = ACTIONS(2148),
    [anon_sym_qr] = ACTIONS(2148),
    [anon_sym_m] = ACTIONS(2148),
    [anon_sym_s] = ACTIONS(2148),
    [anon_sym_tr] = ACTIONS(2148),
    [anon_sym_y] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(2148),
    [anon_sym_unless] = ACTIONS(2148),
    [anon_sym_while] = ACTIONS(2148),
    [anon_sym_until] = ACTIONS(2148),
    [aux_sym__bareword_token1] = ACTIONS(2148),
    [sym_number] = ACTIONS(2148),
    [anon_sym_true] = ACTIONS(2148),
    [anon_sym_false] = ACTIONS(2148),
    [sym__single_quote] = ACTIONS(2146),
    [sym__double_quote] = ACTIONS(2146),
    [sym__backtick_quote] = ACTIONS(2146),
    [sym__search_slash_quote] = ACTIONS(2146),
    [sym__PERLY_HEREDOC] = ACTIONS(2146),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2146),
    [sym__filetest] = ACTIONS(2146),
  },
  [998] = {
    [sym_heredoc_content] = STATE(998),
    [sym__identifier] = ACTIONS(1924),
    [anon_sym_LBRACE] = ACTIONS(1924),
    [anon_sym_RBRACE] = ACTIONS(1924),
    [anon_sym_SEMI] = ACTIONS(1924),
    [anon_sym_package] = ACTIONS(1924),
    [anon_sym_class] = ACTIONS(1924),
    [anon_sym_role] = ACTIONS(1924),
    [anon_sym_BUILD] = ACTIONS(1924),
    [anon_sym_ADJUST] = ACTIONS(1924),
    [anon_sym_DOLLAR] = ACTIONS(1924),
    [anon_sym_AT] = ACTIONS(1924),
    [anon_sym_my] = ACTIONS(1924),
    [anon_sym_extended] = ACTIONS(1924),
    [anon_sym_async] = ACTIONS(1924),
    [anon_sym_sub] = ACTIONS(1924),
    [anon_sym_method] = ACTIONS(1924),
    [anon_sym_LPAREN] = ACTIONS(1924),
    [anon_sym_continue] = ACTIONS(1924),
    [anon_sym_state] = ACTIONS(1924),
    [anon_sym_our] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1924),
    [anon_sym_defer] = ACTIONS(1924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1924),
    [anon_sym_LBRACK] = ACTIONS(1924),
    [anon_sym_LT] = ACTIONS(1924),
    [anon_sym_LT_LT] = ACTIONS(1924),
    [anon_sym_SLASH_SLASH] = ACTIONS(1924),
    [anon_sym_PLUS] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1924),
    [anon_sym_STAR] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(1924),
    [anon_sym_BANG] = ACTIONS(1924),
    [anon_sym_PLUS_PLUS] = ACTIONS(1924),
    [anon_sym_DASH_DASH] = ACTIONS(1924),
    [anon_sym_BSLASH] = ACTIONS(1922),
    [anon_sym_do] = ACTIONS(1924),
    [anon_sym_eval] = ACTIONS(1924),
    [anon_sym_await] = ACTIONS(1924),
    [anon_sym_field] = ACTIONS(1924),
    [anon_sym_local] = ACTIONS(1924),
    [anon_sym_dynamically] = ACTIONS(1924),
    [anon_sym_require] = ACTIONS(1924),
    [anon_sym_map] = ACTIONS(1924),
    [anon_sym_grep] = ACTIONS(1924),
    [anon_sym_sort] = ACTIONS(1924),
    [anon_sym_goto] = ACTIONS(1924),
    [anon_sym_return] = ACTIONS(1924),
    [anon_sym_undef] = ACTIONS(1924),
    [anon_sym_PERCENT2] = ACTIONS(1924),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1924),
    [anon_sym_use] = ACTIONS(1924),
    [anon_sym_no] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_foreach] = ACTIONS(1924),
    [anon_sym_last] = ACTIONS(1924),
    [anon_sym_next] = ACTIONS(1924),
    [anon_sym_redo] = ACTIONS(1924),
    [anon_sym_BEGIN] = ACTIONS(1924),
    [anon_sym_INIT] = ACTIONS(1924),
    [anon_sym_CHECK] = ACTIONS(1924),
    [anon_sym_UNITCHECK] = ACTIONS(1924),
    [anon_sym_END] = ACTIONS(1924),
    [anon_sym___FILE__] = ACTIONS(1924),
    [anon_sym___LINE__] = ACTIONS(1924),
    [anon_sym___PACKAGE__] = ACTIONS(1924),
    [anon_sym___SUB__] = ACTIONS(1924),
    [anon_sym_break] = ACTIONS(1924),
    [anon_sym_fork] = ACTIONS(1924),
    [anon_sym_getppid] = ACTIONS(1924),
    [anon_sym_time] = ACTIONS(1924),
    [anon_sym_times] = ACTIONS(1924),
    [anon_sym_wait] = ACTIONS(1924),
    [anon_sym_wantarray] = ACTIONS(1924),
    [anon_sym_abs] = ACTIONS(1924),
    [anon_sym_alarm] = ACTIONS(1924),
    [anon_sym_chop] = ACTIONS(1924),
    [anon_sym_chdir] = ACTIONS(1924),
    [anon_sym_close] = ACTIONS(1924),
    [anon_sym_closedir] = ACTIONS(1924),
    [anon_sym_caller] = ACTIONS(1924),
    [anon_sym_chomp] = ACTIONS(1924),
    [anon_sym_chr] = ACTIONS(1924),
    [anon_sym_cos] = ACTIONS(1924),
    [anon_sym_chroot] = ACTIONS(1924),
    [anon_sym_defined] = ACTIONS(1924),
    [anon_sym_delete] = ACTIONS(1924),
    [anon_sym_dbmclose] = ACTIONS(1924),
    [anon_sym_exists] = ACTIONS(1924),
    [anon_sym_exit] = ACTIONS(1924),
    [anon_sym_eof] = ACTIONS(1924),
    [anon_sym_exp] = ACTIONS(1924),
    [anon_sym_each] = ACTIONS(1924),
    [anon_sym_fc] = ACTIONS(1924),
    [anon_sym_fileno] = ACTIONS(1924),
    [anon_sym_gmtime] = ACTIONS(1924),
    [anon_sym_getc] = ACTIONS(1924),
    [anon_sym_getpgrp] = ACTIONS(1924),
    [anon_sym_getprotobyname] = ACTIONS(1924),
    [anon_sym_getpwname] = ACTIONS(1924),
    [anon_sym_getpwuid] = ACTIONS(1924),
    [anon_sym_getpeername] = ACTIONS(1924),
    [anon_sym_getnetbyname] = ACTIONS(1924),
    [anon_sym_getsockname] = ACTIONS(1924),
    [anon_sym_getgrnam] = ACTIONS(1924),
    [anon_sym_getgrgid] = ACTIONS(1924),
    [anon_sym_hex] = ACTIONS(1924),
    [anon_sym_int] = ACTIONS(1924),
    [anon_sym_keys] = ACTIONS(1924),
    [anon_sym_lc] = ACTIONS(1924),
    [anon_sym_lcfirst] = ACTIONS(1924),
    [anon_sym_length] = ACTIONS(1924),
    [anon_sym_localtime] = ACTIONS(1924),
    [anon_sym_log] = ACTIONS(1924),
    [anon_sym_lock] = ACTIONS(1924),
    [anon_sym_lstat] = ACTIONS(1924),
    [anon_sym_oct] = ACTIONS(1924),
    [anon_sym_ord] = ACTIONS(1924),
    [anon_sym_prototype] = ACTIONS(1924),
    [anon_sym_pop] = ACTIONS(1924),
    [anon_sym_pos] = ACTIONS(1924),
    [anon_sym_quotemeta] = ACTIONS(1924),
    [anon_sym_reset] = ACTIONS(1924),
    [anon_sym_rand] = ACTIONS(1924),
    [anon_sym_rmdir] = ACTIONS(1924),
    [anon_sym_readdir] = ACTIONS(1924),
    [anon_sym_readline] = ACTIONS(1924),
    [anon_sym_readpipe] = ACTIONS(1924),
    [anon_sym_rewinddir] = ACTIONS(1924),
    [anon_sym_readlink] = ACTIONS(1924),
    [anon_sym_ref] = ACTIONS(1924),
    [anon_sym_scalar] = ACTIONS(1924),
    [anon_sym_shift] = ACTIONS(1924),
    [anon_sym_sin] = ACTIONS(1924),
    [anon_sym_sleep] = ACTIONS(1924),
    [anon_sym_sqrt] = ACTIONS(1924),
    [anon_sym_srand] = ACTIONS(1924),
    [anon_sym_stat] = ACTIONS(1924),
    [anon_sym_study] = ACTIONS(1924),
    [anon_sym_tell] = ACTIONS(1924),
    [anon_sym_telldir] = ACTIONS(1924),
    [anon_sym_tied] = ACTIONS(1924),
    [anon_sym_uc] = ACTIONS(1924),
    [anon_sym_ucfirst] = ACTIONS(1924),
    [anon_sym_untie] = ACTIONS(1924),
    [anon_sym_umask] = ACTIONS(1924),
    [anon_sym_values] = ACTIONS(1924),
    [anon_sym_write] = ACTIONS(1924),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1924),
    [anon_sym_qq] = ACTIONS(1924),
    [anon_sym_qw] = ACTIONS(1924),
    [anon_sym_qx] = ACTIONS(1924),
    [anon_sym_qr] = ACTIONS(1924),
    [anon_sym_m] = ACTIONS(1924),
    [anon_sym_s] = ACTIONS(1924),
    [anon_sym_tr] = ACTIONS(1924),
    [anon_sym_y] = ACTIONS(1924),
    [anon_sym_if] = ACTIONS(1924),
    [anon_sym_unless] = ACTIONS(1924),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_until] = ACTIONS(1924),
    [aux_sym__bareword_token1] = ACTIONS(1924),
    [sym_number] = ACTIONS(1924),
    [anon_sym_true] = ACTIONS(1924),
    [anon_sym_false] = ACTIONS(1924),
    [sym__single_quote] = ACTIONS(1922),
    [sym__double_quote] = ACTIONS(1922),
    [sym__backtick_quote] = ACTIONS(1922),
    [sym__search_slash_quote] = ACTIONS(1922),
    [sym__PERLY_HEREDOC] = ACTIONS(1922),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1922),
    [sym__filetest] = ACTIONS(1922),
  },
  [999] = {
    [sym_heredoc_content] = STATE(999),
    [sym__identifier] = ACTIONS(1988),
    [anon_sym_LBRACE] = ACTIONS(1988),
    [anon_sym_RBRACE] = ACTIONS(1988),
    [anon_sym_SEMI] = ACTIONS(1988),
    [anon_sym_package] = ACTIONS(1988),
    [anon_sym_class] = ACTIONS(1988),
    [anon_sym_role] = ACTIONS(1988),
    [anon_sym_BUILD] = ACTIONS(1988),
    [anon_sym_ADJUST] = ACTIONS(1988),
    [anon_sym_DOLLAR] = ACTIONS(1988),
    [anon_sym_AT] = ACTIONS(1988),
    [anon_sym_my] = ACTIONS(1988),
    [anon_sym_extended] = ACTIONS(1988),
    [anon_sym_async] = ACTIONS(1988),
    [anon_sym_sub] = ACTIONS(1988),
    [anon_sym_method] = ACTIONS(1988),
    [anon_sym_LPAREN] = ACTIONS(1988),
    [anon_sym_continue] = ACTIONS(1988),
    [anon_sym_state] = ACTIONS(1988),
    [anon_sym_our] = ACTIONS(1988),
    [anon_sym_try] = ACTIONS(1988),
    [anon_sym_defer] = ACTIONS(1988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1988),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_LT] = ACTIONS(1988),
    [anon_sym_LT_LT] = ACTIONS(1988),
    [anon_sym_SLASH_SLASH] = ACTIONS(1988),
    [anon_sym_PLUS] = ACTIONS(1988),
    [anon_sym_DASH] = ACTIONS(1988),
    [anon_sym_STAR] = ACTIONS(1988),
    [anon_sym_TILDE] = ACTIONS(1988),
    [anon_sym_BANG] = ACTIONS(1988),
    [anon_sym_PLUS_PLUS] = ACTIONS(1988),
    [anon_sym_DASH_DASH] = ACTIONS(1988),
    [anon_sym_BSLASH] = ACTIONS(1986),
    [anon_sym_do] = ACTIONS(1988),
    [anon_sym_eval] = ACTIONS(1988),
    [anon_sym_await] = ACTIONS(1988),
    [anon_sym_field] = ACTIONS(1988),
    [anon_sym_local] = ACTIONS(1988),
    [anon_sym_dynamically] = ACTIONS(1988),
    [anon_sym_require] = ACTIONS(1988),
    [anon_sym_map] = ACTIONS(1988),
    [anon_sym_grep] = ACTIONS(1988),
    [anon_sym_sort] = ACTIONS(1988),
    [anon_sym_goto] = ACTIONS(1988),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_undef] = ACTIONS(1988),
    [anon_sym_PERCENT2] = ACTIONS(1988),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1988),
    [anon_sym_use] = ACTIONS(1988),
    [anon_sym_no] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1988),
    [anon_sym_foreach] = ACTIONS(1988),
    [anon_sym_last] = ACTIONS(1988),
    [anon_sym_next] = ACTIONS(1988),
    [anon_sym_redo] = ACTIONS(1988),
    [anon_sym_BEGIN] = ACTIONS(1988),
    [anon_sym_INIT] = ACTIONS(1988),
    [anon_sym_CHECK] = ACTIONS(1988),
    [anon_sym_UNITCHECK] = ACTIONS(1988),
    [anon_sym_END] = ACTIONS(1988),
    [anon_sym___FILE__] = ACTIONS(1988),
    [anon_sym___LINE__] = ACTIONS(1988),
    [anon_sym___PACKAGE__] = ACTIONS(1988),
    [anon_sym___SUB__] = ACTIONS(1988),
    [anon_sym_break] = ACTIONS(1988),
    [anon_sym_fork] = ACTIONS(1988),
    [anon_sym_getppid] = ACTIONS(1988),
    [anon_sym_time] = ACTIONS(1988),
    [anon_sym_times] = ACTIONS(1988),
    [anon_sym_wait] = ACTIONS(1988),
    [anon_sym_wantarray] = ACTIONS(1988),
    [anon_sym_abs] = ACTIONS(1988),
    [anon_sym_alarm] = ACTIONS(1988),
    [anon_sym_chop] = ACTIONS(1988),
    [anon_sym_chdir] = ACTIONS(1988),
    [anon_sym_close] = ACTIONS(1988),
    [anon_sym_closedir] = ACTIONS(1988),
    [anon_sym_caller] = ACTIONS(1988),
    [anon_sym_chomp] = ACTIONS(1988),
    [anon_sym_chr] = ACTIONS(1988),
    [anon_sym_cos] = ACTIONS(1988),
    [anon_sym_chroot] = ACTIONS(1988),
    [anon_sym_defined] = ACTIONS(1988),
    [anon_sym_delete] = ACTIONS(1988),
    [anon_sym_dbmclose] = ACTIONS(1988),
    [anon_sym_exists] = ACTIONS(1988),
    [anon_sym_exit] = ACTIONS(1988),
    [anon_sym_eof] = ACTIONS(1988),
    [anon_sym_exp] = ACTIONS(1988),
    [anon_sym_each] = ACTIONS(1988),
    [anon_sym_fc] = ACTIONS(1988),
    [anon_sym_fileno] = ACTIONS(1988),
    [anon_sym_gmtime] = ACTIONS(1988),
    [anon_sym_getc] = ACTIONS(1988),
    [anon_sym_getpgrp] = ACTIONS(1988),
    [anon_sym_getprotobyname] = ACTIONS(1988),
    [anon_sym_getpwname] = ACTIONS(1988),
    [anon_sym_getpwuid] = ACTIONS(1988),
    [anon_sym_getpeername] = ACTIONS(1988),
    [anon_sym_getnetbyname] = ACTIONS(1988),
    [anon_sym_getsockname] = ACTIONS(1988),
    [anon_sym_getgrnam] = ACTIONS(1988),
    [anon_sym_getgrgid] = ACTIONS(1988),
    [anon_sym_hex] = ACTIONS(1988),
    [anon_sym_int] = ACTIONS(1988),
    [anon_sym_keys] = ACTIONS(1988),
    [anon_sym_lc] = ACTIONS(1988),
    [anon_sym_lcfirst] = ACTIONS(1988),
    [anon_sym_length] = ACTIONS(1988),
    [anon_sym_localtime] = ACTIONS(1988),
    [anon_sym_log] = ACTIONS(1988),
    [anon_sym_lock] = ACTIONS(1988),
    [anon_sym_lstat] = ACTIONS(1988),
    [anon_sym_oct] = ACTIONS(1988),
    [anon_sym_ord] = ACTIONS(1988),
    [anon_sym_prototype] = ACTIONS(1988),
    [anon_sym_pop] = ACTIONS(1988),
    [anon_sym_pos] = ACTIONS(1988),
    [anon_sym_quotemeta] = ACTIONS(1988),
    [anon_sym_reset] = ACTIONS(1988),
    [anon_sym_rand] = ACTIONS(1988),
    [anon_sym_rmdir] = ACTIONS(1988),
    [anon_sym_readdir] = ACTIONS(1988),
    [anon_sym_readline] = ACTIONS(1988),
    [anon_sym_readpipe] = ACTIONS(1988),
    [anon_sym_rewinddir] = ACTIONS(1988),
    [anon_sym_readlink] = ACTIONS(1988),
    [anon_sym_ref] = ACTIONS(1988),
    [anon_sym_scalar] = ACTIONS(1988),
    [anon_sym_shift] = ACTIONS(1988),
    [anon_sym_sin] = ACTIONS(1988),
    [anon_sym_sleep] = ACTIONS(1988),
    [anon_sym_sqrt] = ACTIONS(1988),
    [anon_sym_srand] = ACTIONS(1988),
    [anon_sym_stat] = ACTIONS(1988),
    [anon_sym_study] = ACTIONS(1988),
    [anon_sym_tell] = ACTIONS(1988),
    [anon_sym_telldir] = ACTIONS(1988),
    [anon_sym_tied] = ACTIONS(1988),
    [anon_sym_uc] = ACTIONS(1988),
    [anon_sym_ucfirst] = ACTIONS(1988),
    [anon_sym_untie] = ACTIONS(1988),
    [anon_sym_umask] = ACTIONS(1988),
    [anon_sym_values] = ACTIONS(1988),
    [anon_sym_write] = ACTIONS(1988),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1988),
    [anon_sym_qq] = ACTIONS(1988),
    [anon_sym_qw] = ACTIONS(1988),
    [anon_sym_qx] = ACTIONS(1988),
    [anon_sym_qr] = ACTIONS(1988),
    [anon_sym_m] = ACTIONS(1988),
    [anon_sym_s] = ACTIONS(1988),
    [anon_sym_tr] = ACTIONS(1988),
    [anon_sym_y] = ACTIONS(1988),
    [anon_sym_if] = ACTIONS(1988),
    [anon_sym_unless] = ACTIONS(1988),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_until] = ACTIONS(1988),
    [aux_sym__bareword_token1] = ACTIONS(1988),
    [sym_number] = ACTIONS(1988),
    [anon_sym_true] = ACTIONS(1988),
    [anon_sym_false] = ACTIONS(1988),
    [sym__single_quote] = ACTIONS(1986),
    [sym__double_quote] = ACTIONS(1986),
    [sym__backtick_quote] = ACTIONS(1986),
    [sym__search_slash_quote] = ACTIONS(1986),
    [sym__PERLY_HEREDOC] = ACTIONS(1986),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1986),
    [sym__filetest] = ACTIONS(1986),
  },
  [1000] = {
    [sym_heredoc_content] = STATE(1000),
    [sym__identifier] = ACTIONS(1992),
    [anon_sym_LBRACE] = ACTIONS(1992),
    [anon_sym_RBRACE] = ACTIONS(1992),
    [anon_sym_SEMI] = ACTIONS(1992),
    [anon_sym_package] = ACTIONS(1992),
    [anon_sym_class] = ACTIONS(1992),
    [anon_sym_role] = ACTIONS(1992),
    [anon_sym_BUILD] = ACTIONS(1992),
    [anon_sym_ADJUST] = ACTIONS(1992),
    [anon_sym_DOLLAR] = ACTIONS(1992),
    [anon_sym_AT] = ACTIONS(1992),
    [anon_sym_my] = ACTIONS(1992),
    [anon_sym_extended] = ACTIONS(1992),
    [anon_sym_async] = ACTIONS(1992),
    [anon_sym_sub] = ACTIONS(1992),
    [anon_sym_method] = ACTIONS(1992),
    [anon_sym_LPAREN] = ACTIONS(1992),
    [anon_sym_continue] = ACTIONS(1992),
    [anon_sym_state] = ACTIONS(1992),
    [anon_sym_our] = ACTIONS(1992),
    [anon_sym_try] = ACTIONS(1992),
    [anon_sym_defer] = ACTIONS(1992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1992),
    [anon_sym_LBRACK] = ACTIONS(1992),
    [anon_sym_LT] = ACTIONS(1992),
    [anon_sym_LT_LT] = ACTIONS(1992),
    [anon_sym_SLASH_SLASH] = ACTIONS(1992),
    [anon_sym_PLUS] = ACTIONS(1992),
    [anon_sym_DASH] = ACTIONS(1992),
    [anon_sym_STAR] = ACTIONS(1992),
    [anon_sym_TILDE] = ACTIONS(1992),
    [anon_sym_BANG] = ACTIONS(1992),
    [anon_sym_PLUS_PLUS] = ACTIONS(1992),
    [anon_sym_DASH_DASH] = ACTIONS(1992),
    [anon_sym_BSLASH] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1992),
    [anon_sym_eval] = ACTIONS(1992),
    [anon_sym_await] = ACTIONS(1992),
    [anon_sym_field] = ACTIONS(1992),
    [anon_sym_local] = ACTIONS(1992),
    [anon_sym_dynamically] = ACTIONS(1992),
    [anon_sym_require] = ACTIONS(1992),
    [anon_sym_map] = ACTIONS(1992),
    [anon_sym_grep] = ACTIONS(1992),
    [anon_sym_sort] = ACTIONS(1992),
    [anon_sym_goto] = ACTIONS(1992),
    [anon_sym_return] = ACTIONS(1992),
    [anon_sym_undef] = ACTIONS(1992),
    [anon_sym_PERCENT2] = ACTIONS(1992),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1992),
    [anon_sym_use] = ACTIONS(1992),
    [anon_sym_no] = ACTIONS(1992),
    [anon_sym_for] = ACTIONS(1992),
    [anon_sym_foreach] = ACTIONS(1992),
    [anon_sym_last] = ACTIONS(1992),
    [anon_sym_next] = ACTIONS(1992),
    [anon_sym_redo] = ACTIONS(1992),
    [anon_sym_BEGIN] = ACTIONS(1992),
    [anon_sym_INIT] = ACTIONS(1992),
    [anon_sym_CHECK] = ACTIONS(1992),
    [anon_sym_UNITCHECK] = ACTIONS(1992),
    [anon_sym_END] = ACTIONS(1992),
    [anon_sym___FILE__] = ACTIONS(1992),
    [anon_sym___LINE__] = ACTIONS(1992),
    [anon_sym___PACKAGE__] = ACTIONS(1992),
    [anon_sym___SUB__] = ACTIONS(1992),
    [anon_sym_break] = ACTIONS(1992),
    [anon_sym_fork] = ACTIONS(1992),
    [anon_sym_getppid] = ACTIONS(1992),
    [anon_sym_time] = ACTIONS(1992),
    [anon_sym_times] = ACTIONS(1992),
    [anon_sym_wait] = ACTIONS(1992),
    [anon_sym_wantarray] = ACTIONS(1992),
    [anon_sym_abs] = ACTIONS(1992),
    [anon_sym_alarm] = ACTIONS(1992),
    [anon_sym_chop] = ACTIONS(1992),
    [anon_sym_chdir] = ACTIONS(1992),
    [anon_sym_close] = ACTIONS(1992),
    [anon_sym_closedir] = ACTIONS(1992),
    [anon_sym_caller] = ACTIONS(1992),
    [anon_sym_chomp] = ACTIONS(1992),
    [anon_sym_chr] = ACTIONS(1992),
    [anon_sym_cos] = ACTIONS(1992),
    [anon_sym_chroot] = ACTIONS(1992),
    [anon_sym_defined] = ACTIONS(1992),
    [anon_sym_delete] = ACTIONS(1992),
    [anon_sym_dbmclose] = ACTIONS(1992),
    [anon_sym_exists] = ACTIONS(1992),
    [anon_sym_exit] = ACTIONS(1992),
    [anon_sym_eof] = ACTIONS(1992),
    [anon_sym_exp] = ACTIONS(1992),
    [anon_sym_each] = ACTIONS(1992),
    [anon_sym_fc] = ACTIONS(1992),
    [anon_sym_fileno] = ACTIONS(1992),
    [anon_sym_gmtime] = ACTIONS(1992),
    [anon_sym_getc] = ACTIONS(1992),
    [anon_sym_getpgrp] = ACTIONS(1992),
    [anon_sym_getprotobyname] = ACTIONS(1992),
    [anon_sym_getpwname] = ACTIONS(1992),
    [anon_sym_getpwuid] = ACTIONS(1992),
    [anon_sym_getpeername] = ACTIONS(1992),
    [anon_sym_getnetbyname] = ACTIONS(1992),
    [anon_sym_getsockname] = ACTIONS(1992),
    [anon_sym_getgrnam] = ACTIONS(1992),
    [anon_sym_getgrgid] = ACTIONS(1992),
    [anon_sym_hex] = ACTIONS(1992),
    [anon_sym_int] = ACTIONS(1992),
    [anon_sym_keys] = ACTIONS(1992),
    [anon_sym_lc] = ACTIONS(1992),
    [anon_sym_lcfirst] = ACTIONS(1992),
    [anon_sym_length] = ACTIONS(1992),
    [anon_sym_localtime] = ACTIONS(1992),
    [anon_sym_log] = ACTIONS(1992),
    [anon_sym_lock] = ACTIONS(1992),
    [anon_sym_lstat] = ACTIONS(1992),
    [anon_sym_oct] = ACTIONS(1992),
    [anon_sym_ord] = ACTIONS(1992),
    [anon_sym_prototype] = ACTIONS(1992),
    [anon_sym_pop] = ACTIONS(1992),
    [anon_sym_pos] = ACTIONS(1992),
    [anon_sym_quotemeta] = ACTIONS(1992),
    [anon_sym_reset] = ACTIONS(1992),
    [anon_sym_rand] = ACTIONS(1992),
    [anon_sym_rmdir] = ACTIONS(1992),
    [anon_sym_readdir] = ACTIONS(1992),
    [anon_sym_readline] = ACTIONS(1992),
    [anon_sym_readpipe] = ACTIONS(1992),
    [anon_sym_rewinddir] = ACTIONS(1992),
    [anon_sym_readlink] = ACTIONS(1992),
    [anon_sym_ref] = ACTIONS(1992),
    [anon_sym_scalar] = ACTIONS(1992),
    [anon_sym_shift] = ACTIONS(1992),
    [anon_sym_sin] = ACTIONS(1992),
    [anon_sym_sleep] = ACTIONS(1992),
    [anon_sym_sqrt] = ACTIONS(1992),
    [anon_sym_srand] = ACTIONS(1992),
    [anon_sym_stat] = ACTIONS(1992),
    [anon_sym_study] = ACTIONS(1992),
    [anon_sym_tell] = ACTIONS(1992),
    [anon_sym_telldir] = ACTIONS(1992),
    [anon_sym_tied] = ACTIONS(1992),
    [anon_sym_uc] = ACTIONS(1992),
    [anon_sym_ucfirst] = ACTIONS(1992),
    [anon_sym_untie] = ACTIONS(1992),
    [anon_sym_umask] = ACTIONS(1992),
    [anon_sym_values] = ACTIONS(1992),
    [anon_sym_write] = ACTIONS(1992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1992),
    [anon_sym_qq] = ACTIONS(1992),
    [anon_sym_qw] = ACTIONS(1992),
    [anon_sym_qx] = ACTIONS(1992),
    [anon_sym_qr] = ACTIONS(1992),
    [anon_sym_m] = ACTIONS(1992),
    [anon_sym_s] = ACTIONS(1992),
    [anon_sym_tr] = ACTIONS(1992),
    [anon_sym_y] = ACTIONS(1992),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_unless] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1992),
    [anon_sym_until] = ACTIONS(1992),
    [aux_sym__bareword_token1] = ACTIONS(1992),
    [sym_number] = ACTIONS(1992),
    [anon_sym_true] = ACTIONS(1992),
    [anon_sym_false] = ACTIONS(1992),
    [sym__single_quote] = ACTIONS(1990),
    [sym__double_quote] = ACTIONS(1990),
    [sym__backtick_quote] = ACTIONS(1990),
    [sym__search_slash_quote] = ACTIONS(1990),
    [sym__PERLY_HEREDOC] = ACTIONS(1990),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1990),
    [sym__filetest] = ACTIONS(1990),
  },
  [1001] = {
    [sym_heredoc_content] = STATE(1001),
    [sym__identifier] = ACTIONS(2267),
    [anon_sym_LBRACE] = ACTIONS(2267),
    [anon_sym_RBRACE] = ACTIONS(2267),
    [anon_sym_SEMI] = ACTIONS(2267),
    [anon_sym_package] = ACTIONS(2267),
    [anon_sym_class] = ACTIONS(2267),
    [anon_sym_role] = ACTIONS(2267),
    [anon_sym_BUILD] = ACTIONS(2267),
    [anon_sym_ADJUST] = ACTIONS(2267),
    [anon_sym_DOLLAR] = ACTIONS(2267),
    [anon_sym_AT] = ACTIONS(2267),
    [anon_sym_my] = ACTIONS(2267),
    [anon_sym_extended] = ACTIONS(2267),
    [anon_sym_async] = ACTIONS(2267),
    [anon_sym_sub] = ACTIONS(2267),
    [anon_sym_method] = ACTIONS(2267),
    [anon_sym_LPAREN] = ACTIONS(2267),
    [anon_sym_continue] = ACTIONS(2267),
    [anon_sym_state] = ACTIONS(2267),
    [anon_sym_our] = ACTIONS(2267),
    [anon_sym_try] = ACTIONS(2267),
    [anon_sym_defer] = ACTIONS(2267),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2267),
    [anon_sym_LBRACK] = ACTIONS(2267),
    [anon_sym_LT] = ACTIONS(2267),
    [anon_sym_LT_LT] = ACTIONS(2267),
    [anon_sym_SLASH_SLASH] = ACTIONS(2267),
    [anon_sym_PLUS] = ACTIONS(2267),
    [anon_sym_DASH] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(2267),
    [anon_sym_TILDE] = ACTIONS(2267),
    [anon_sym_BANG] = ACTIONS(2267),
    [anon_sym_PLUS_PLUS] = ACTIONS(2267),
    [anon_sym_DASH_DASH] = ACTIONS(2267),
    [anon_sym_BSLASH] = ACTIONS(2265),
    [anon_sym_do] = ACTIONS(2267),
    [anon_sym_eval] = ACTIONS(2267),
    [anon_sym_await] = ACTIONS(2267),
    [anon_sym_field] = ACTIONS(2267),
    [anon_sym_local] = ACTIONS(2267),
    [anon_sym_dynamically] = ACTIONS(2267),
    [anon_sym_require] = ACTIONS(2267),
    [anon_sym_map] = ACTIONS(2267),
    [anon_sym_grep] = ACTIONS(2267),
    [anon_sym_sort] = ACTIONS(2267),
    [anon_sym_goto] = ACTIONS(2267),
    [anon_sym_return] = ACTIONS(2267),
    [anon_sym_undef] = ACTIONS(2267),
    [anon_sym_PERCENT2] = ACTIONS(2267),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2267),
    [anon_sym_use] = ACTIONS(2267),
    [anon_sym_no] = ACTIONS(2267),
    [anon_sym_for] = ACTIONS(2267),
    [anon_sym_foreach] = ACTIONS(2267),
    [anon_sym_last] = ACTIONS(2267),
    [anon_sym_next] = ACTIONS(2267),
    [anon_sym_redo] = ACTIONS(2267),
    [anon_sym_BEGIN] = ACTIONS(2267),
    [anon_sym_INIT] = ACTIONS(2267),
    [anon_sym_CHECK] = ACTIONS(2267),
    [anon_sym_UNITCHECK] = ACTIONS(2267),
    [anon_sym_END] = ACTIONS(2267),
    [anon_sym___FILE__] = ACTIONS(2267),
    [anon_sym___LINE__] = ACTIONS(2267),
    [anon_sym___PACKAGE__] = ACTIONS(2267),
    [anon_sym___SUB__] = ACTIONS(2267),
    [anon_sym_break] = ACTIONS(2267),
    [anon_sym_fork] = ACTIONS(2267),
    [anon_sym_getppid] = ACTIONS(2267),
    [anon_sym_time] = ACTIONS(2267),
    [anon_sym_times] = ACTIONS(2267),
    [anon_sym_wait] = ACTIONS(2267),
    [anon_sym_wantarray] = ACTIONS(2267),
    [anon_sym_abs] = ACTIONS(2267),
    [anon_sym_alarm] = ACTIONS(2267),
    [anon_sym_chop] = ACTIONS(2267),
    [anon_sym_chdir] = ACTIONS(2267),
    [anon_sym_close] = ACTIONS(2267),
    [anon_sym_closedir] = ACTIONS(2267),
    [anon_sym_caller] = ACTIONS(2267),
    [anon_sym_chomp] = ACTIONS(2267),
    [anon_sym_chr] = ACTIONS(2267),
    [anon_sym_cos] = ACTIONS(2267),
    [anon_sym_chroot] = ACTIONS(2267),
    [anon_sym_defined] = ACTIONS(2267),
    [anon_sym_delete] = ACTIONS(2267),
    [anon_sym_dbmclose] = ACTIONS(2267),
    [anon_sym_exists] = ACTIONS(2267),
    [anon_sym_exit] = ACTIONS(2267),
    [anon_sym_eof] = ACTIONS(2267),
    [anon_sym_exp] = ACTIONS(2267),
    [anon_sym_each] = ACTIONS(2267),
    [anon_sym_fc] = ACTIONS(2267),
    [anon_sym_fileno] = ACTIONS(2267),
    [anon_sym_gmtime] = ACTIONS(2267),
    [anon_sym_getc] = ACTIONS(2267),
    [anon_sym_getpgrp] = ACTIONS(2267),
    [anon_sym_getprotobyname] = ACTIONS(2267),
    [anon_sym_getpwname] = ACTIONS(2267),
    [anon_sym_getpwuid] = ACTIONS(2267),
    [anon_sym_getpeername] = ACTIONS(2267),
    [anon_sym_getnetbyname] = ACTIONS(2267),
    [anon_sym_getsockname] = ACTIONS(2267),
    [anon_sym_getgrnam] = ACTIONS(2267),
    [anon_sym_getgrgid] = ACTIONS(2267),
    [anon_sym_hex] = ACTIONS(2267),
    [anon_sym_int] = ACTIONS(2267),
    [anon_sym_keys] = ACTIONS(2267),
    [anon_sym_lc] = ACTIONS(2267),
    [anon_sym_lcfirst] = ACTIONS(2267),
    [anon_sym_length] = ACTIONS(2267),
    [anon_sym_localtime] = ACTIONS(2267),
    [anon_sym_log] = ACTIONS(2267),
    [anon_sym_lock] = ACTIONS(2267),
    [anon_sym_lstat] = ACTIONS(2267),
    [anon_sym_oct] = ACTIONS(2267),
    [anon_sym_ord] = ACTIONS(2267),
    [anon_sym_prototype] = ACTIONS(2267),
    [anon_sym_pop] = ACTIONS(2267),
    [anon_sym_pos] = ACTIONS(2267),
    [anon_sym_quotemeta] = ACTIONS(2267),
    [anon_sym_reset] = ACTIONS(2267),
    [anon_sym_rand] = ACTIONS(2267),
    [anon_sym_rmdir] = ACTIONS(2267),
    [anon_sym_readdir] = ACTIONS(2267),
    [anon_sym_readline] = ACTIONS(2267),
    [anon_sym_readpipe] = ACTIONS(2267),
    [anon_sym_rewinddir] = ACTIONS(2267),
    [anon_sym_readlink] = ACTIONS(2267),
    [anon_sym_ref] = ACTIONS(2267),
    [anon_sym_scalar] = ACTIONS(2267),
    [anon_sym_shift] = ACTIONS(2267),
    [anon_sym_sin] = ACTIONS(2267),
    [anon_sym_sleep] = ACTIONS(2267),
    [anon_sym_sqrt] = ACTIONS(2267),
    [anon_sym_srand] = ACTIONS(2267),
    [anon_sym_stat] = ACTIONS(2267),
    [anon_sym_study] = ACTIONS(2267),
    [anon_sym_tell] = ACTIONS(2267),
    [anon_sym_telldir] = ACTIONS(2267),
    [anon_sym_tied] = ACTIONS(2267),
    [anon_sym_uc] = ACTIONS(2267),
    [anon_sym_ucfirst] = ACTIONS(2267),
    [anon_sym_untie] = ACTIONS(2267),
    [anon_sym_umask] = ACTIONS(2267),
    [anon_sym_values] = ACTIONS(2267),
    [anon_sym_write] = ACTIONS(2267),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2267),
    [anon_sym_qq] = ACTIONS(2267),
    [anon_sym_qw] = ACTIONS(2267),
    [anon_sym_qx] = ACTIONS(2267),
    [anon_sym_qr] = ACTIONS(2267),
    [anon_sym_m] = ACTIONS(2267),
    [anon_sym_s] = ACTIONS(2267),
    [anon_sym_tr] = ACTIONS(2267),
    [anon_sym_y] = ACTIONS(2267),
    [anon_sym_if] = ACTIONS(2267),
    [anon_sym_unless] = ACTIONS(2267),
    [anon_sym_while] = ACTIONS(2267),
    [anon_sym_until] = ACTIONS(2267),
    [aux_sym__bareword_token1] = ACTIONS(2267),
    [sym_number] = ACTIONS(2267),
    [anon_sym_true] = ACTIONS(2267),
    [anon_sym_false] = ACTIONS(2267),
    [sym__single_quote] = ACTIONS(2265),
    [sym__double_quote] = ACTIONS(2265),
    [sym__backtick_quote] = ACTIONS(2265),
    [sym__search_slash_quote] = ACTIONS(2265),
    [sym__PERLY_HEREDOC] = ACTIONS(2265),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2265),
    [sym__filetest] = ACTIONS(2265),
  },
  [1002] = {
    [sym_heredoc_content] = STATE(1002),
    [sym__identifier] = ACTIONS(2080),
    [anon_sym_LBRACE] = ACTIONS(2080),
    [anon_sym_RBRACE] = ACTIONS(2080),
    [anon_sym_SEMI] = ACTIONS(2080),
    [anon_sym_package] = ACTIONS(2080),
    [anon_sym_class] = ACTIONS(2080),
    [anon_sym_role] = ACTIONS(2080),
    [anon_sym_BUILD] = ACTIONS(2080),
    [anon_sym_ADJUST] = ACTIONS(2080),
    [anon_sym_DOLLAR] = ACTIONS(2080),
    [anon_sym_AT] = ACTIONS(2080),
    [anon_sym_my] = ACTIONS(2080),
    [anon_sym_extended] = ACTIONS(2080),
    [anon_sym_async] = ACTIONS(2080),
    [anon_sym_sub] = ACTIONS(2080),
    [anon_sym_method] = ACTIONS(2080),
    [anon_sym_LPAREN] = ACTIONS(2080),
    [anon_sym_continue] = ACTIONS(2080),
    [anon_sym_state] = ACTIONS(2080),
    [anon_sym_our] = ACTIONS(2080),
    [anon_sym_try] = ACTIONS(2080),
    [anon_sym_defer] = ACTIONS(2080),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2080),
    [anon_sym_LT] = ACTIONS(2080),
    [anon_sym_LT_LT] = ACTIONS(2080),
    [anon_sym_SLASH_SLASH] = ACTIONS(2080),
    [anon_sym_PLUS] = ACTIONS(2080),
    [anon_sym_DASH] = ACTIONS(2080),
    [anon_sym_STAR] = ACTIONS(2080),
    [anon_sym_TILDE] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2080),
    [anon_sym_PLUS_PLUS] = ACTIONS(2080),
    [anon_sym_DASH_DASH] = ACTIONS(2080),
    [anon_sym_BSLASH] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(2080),
    [anon_sym_eval] = ACTIONS(2080),
    [anon_sym_await] = ACTIONS(2080),
    [anon_sym_field] = ACTIONS(2080),
    [anon_sym_local] = ACTIONS(2080),
    [anon_sym_dynamically] = ACTIONS(2080),
    [anon_sym_require] = ACTIONS(2080),
    [anon_sym_map] = ACTIONS(2080),
    [anon_sym_grep] = ACTIONS(2080),
    [anon_sym_sort] = ACTIONS(2080),
    [anon_sym_goto] = ACTIONS(2080),
    [anon_sym_return] = ACTIONS(2080),
    [anon_sym_undef] = ACTIONS(2080),
    [anon_sym_PERCENT2] = ACTIONS(2080),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2080),
    [anon_sym_use] = ACTIONS(2080),
    [anon_sym_no] = ACTIONS(2080),
    [anon_sym_for] = ACTIONS(2080),
    [anon_sym_foreach] = ACTIONS(2080),
    [anon_sym_last] = ACTIONS(2080),
    [anon_sym_next] = ACTIONS(2080),
    [anon_sym_redo] = ACTIONS(2080),
    [anon_sym_BEGIN] = ACTIONS(2080),
    [anon_sym_INIT] = ACTIONS(2080),
    [anon_sym_CHECK] = ACTIONS(2080),
    [anon_sym_UNITCHECK] = ACTIONS(2080),
    [anon_sym_END] = ACTIONS(2080),
    [anon_sym___FILE__] = ACTIONS(2080),
    [anon_sym___LINE__] = ACTIONS(2080),
    [anon_sym___PACKAGE__] = ACTIONS(2080),
    [anon_sym___SUB__] = ACTIONS(2080),
    [anon_sym_break] = ACTIONS(2080),
    [anon_sym_fork] = ACTIONS(2080),
    [anon_sym_getppid] = ACTIONS(2080),
    [anon_sym_time] = ACTIONS(2080),
    [anon_sym_times] = ACTIONS(2080),
    [anon_sym_wait] = ACTIONS(2080),
    [anon_sym_wantarray] = ACTIONS(2080),
    [anon_sym_abs] = ACTIONS(2080),
    [anon_sym_alarm] = ACTIONS(2080),
    [anon_sym_chop] = ACTIONS(2080),
    [anon_sym_chdir] = ACTIONS(2080),
    [anon_sym_close] = ACTIONS(2080),
    [anon_sym_closedir] = ACTIONS(2080),
    [anon_sym_caller] = ACTIONS(2080),
    [anon_sym_chomp] = ACTIONS(2080),
    [anon_sym_chr] = ACTIONS(2080),
    [anon_sym_cos] = ACTIONS(2080),
    [anon_sym_chroot] = ACTIONS(2080),
    [anon_sym_defined] = ACTIONS(2080),
    [anon_sym_delete] = ACTIONS(2080),
    [anon_sym_dbmclose] = ACTIONS(2080),
    [anon_sym_exists] = ACTIONS(2080),
    [anon_sym_exit] = ACTIONS(2080),
    [anon_sym_eof] = ACTIONS(2080),
    [anon_sym_exp] = ACTIONS(2080),
    [anon_sym_each] = ACTIONS(2080),
    [anon_sym_fc] = ACTIONS(2080),
    [anon_sym_fileno] = ACTIONS(2080),
    [anon_sym_gmtime] = ACTIONS(2080),
    [anon_sym_getc] = ACTIONS(2080),
    [anon_sym_getpgrp] = ACTIONS(2080),
    [anon_sym_getprotobyname] = ACTIONS(2080),
    [anon_sym_getpwname] = ACTIONS(2080),
    [anon_sym_getpwuid] = ACTIONS(2080),
    [anon_sym_getpeername] = ACTIONS(2080),
    [anon_sym_getnetbyname] = ACTIONS(2080),
    [anon_sym_getsockname] = ACTIONS(2080),
    [anon_sym_getgrnam] = ACTIONS(2080),
    [anon_sym_getgrgid] = ACTIONS(2080),
    [anon_sym_hex] = ACTIONS(2080),
    [anon_sym_int] = ACTIONS(2080),
    [anon_sym_keys] = ACTIONS(2080),
    [anon_sym_lc] = ACTIONS(2080),
    [anon_sym_lcfirst] = ACTIONS(2080),
    [anon_sym_length] = ACTIONS(2080),
    [anon_sym_localtime] = ACTIONS(2080),
    [anon_sym_log] = ACTIONS(2080),
    [anon_sym_lock] = ACTIONS(2080),
    [anon_sym_lstat] = ACTIONS(2080),
    [anon_sym_oct] = ACTIONS(2080),
    [anon_sym_ord] = ACTIONS(2080),
    [anon_sym_prototype] = ACTIONS(2080),
    [anon_sym_pop] = ACTIONS(2080),
    [anon_sym_pos] = ACTIONS(2080),
    [anon_sym_quotemeta] = ACTIONS(2080),
    [anon_sym_reset] = ACTIONS(2080),
    [anon_sym_rand] = ACTIONS(2080),
    [anon_sym_rmdir] = ACTIONS(2080),
    [anon_sym_readdir] = ACTIONS(2080),
    [anon_sym_readline] = ACTIONS(2080),
    [anon_sym_readpipe] = ACTIONS(2080),
    [anon_sym_rewinddir] = ACTIONS(2080),
    [anon_sym_readlink] = ACTIONS(2080),
    [anon_sym_ref] = ACTIONS(2080),
    [anon_sym_scalar] = ACTIONS(2080),
    [anon_sym_shift] = ACTIONS(2080),
    [anon_sym_sin] = ACTIONS(2080),
    [anon_sym_sleep] = ACTIONS(2080),
    [anon_sym_sqrt] = ACTIONS(2080),
    [anon_sym_srand] = ACTIONS(2080),
    [anon_sym_stat] = ACTIONS(2080),
    [anon_sym_study] = ACTIONS(2080),
    [anon_sym_tell] = ACTIONS(2080),
    [anon_sym_telldir] = ACTIONS(2080),
    [anon_sym_tied] = ACTIONS(2080),
    [anon_sym_uc] = ACTIONS(2080),
    [anon_sym_ucfirst] = ACTIONS(2080),
    [anon_sym_untie] = ACTIONS(2080),
    [anon_sym_umask] = ACTIONS(2080),
    [anon_sym_values] = ACTIONS(2080),
    [anon_sym_write] = ACTIONS(2080),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2080),
    [anon_sym_qq] = ACTIONS(2080),
    [anon_sym_qw] = ACTIONS(2080),
    [anon_sym_qx] = ACTIONS(2080),
    [anon_sym_qr] = ACTIONS(2080),
    [anon_sym_m] = ACTIONS(2080),
    [anon_sym_s] = ACTIONS(2080),
    [anon_sym_tr] = ACTIONS(2080),
    [anon_sym_y] = ACTIONS(2080),
    [anon_sym_if] = ACTIONS(2080),
    [anon_sym_unless] = ACTIONS(2080),
    [anon_sym_while] = ACTIONS(2080),
    [anon_sym_until] = ACTIONS(2080),
    [aux_sym__bareword_token1] = ACTIONS(2080),
    [sym_number] = ACTIONS(2080),
    [anon_sym_true] = ACTIONS(2080),
    [anon_sym_false] = ACTIONS(2080),
    [sym__single_quote] = ACTIONS(2078),
    [sym__double_quote] = ACTIONS(2078),
    [sym__backtick_quote] = ACTIONS(2078),
    [sym__search_slash_quote] = ACTIONS(2078),
    [sym__PERLY_HEREDOC] = ACTIONS(2078),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2078),
    [sym__filetest] = ACTIONS(2078),
  },
  [1003] = {
    [sym_heredoc_content] = STATE(1003),
    [sym__identifier] = ACTIONS(2243),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_RBRACE] = ACTIONS(2243),
    [anon_sym_SEMI] = ACTIONS(2243),
    [anon_sym_package] = ACTIONS(2243),
    [anon_sym_class] = ACTIONS(2243),
    [anon_sym_role] = ACTIONS(2243),
    [anon_sym_BUILD] = ACTIONS(2243),
    [anon_sym_ADJUST] = ACTIONS(2243),
    [anon_sym_DOLLAR] = ACTIONS(2243),
    [anon_sym_AT] = ACTIONS(2243),
    [anon_sym_my] = ACTIONS(2243),
    [anon_sym_extended] = ACTIONS(2243),
    [anon_sym_async] = ACTIONS(2243),
    [anon_sym_sub] = ACTIONS(2243),
    [anon_sym_method] = ACTIONS(2243),
    [anon_sym_LPAREN] = ACTIONS(2243),
    [anon_sym_continue] = ACTIONS(2243),
    [anon_sym_state] = ACTIONS(2243),
    [anon_sym_our] = ACTIONS(2243),
    [anon_sym_try] = ACTIONS(2243),
    [anon_sym_defer] = ACTIONS(2243),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2243),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LT] = ACTIONS(2243),
    [anon_sym_LT_LT] = ACTIONS(2243),
    [anon_sym_SLASH_SLASH] = ACTIONS(2243),
    [anon_sym_PLUS] = ACTIONS(2243),
    [anon_sym_DASH] = ACTIONS(2243),
    [anon_sym_STAR] = ACTIONS(2243),
    [anon_sym_TILDE] = ACTIONS(2243),
    [anon_sym_BANG] = ACTIONS(2243),
    [anon_sym_PLUS_PLUS] = ACTIONS(2243),
    [anon_sym_DASH_DASH] = ACTIONS(2243),
    [anon_sym_BSLASH] = ACTIONS(2241),
    [anon_sym_do] = ACTIONS(2243),
    [anon_sym_eval] = ACTIONS(2243),
    [anon_sym_await] = ACTIONS(2243),
    [anon_sym_field] = ACTIONS(2243),
    [anon_sym_local] = ACTIONS(2243),
    [anon_sym_dynamically] = ACTIONS(2243),
    [anon_sym_require] = ACTIONS(2243),
    [anon_sym_map] = ACTIONS(2243),
    [anon_sym_grep] = ACTIONS(2243),
    [anon_sym_sort] = ACTIONS(2243),
    [anon_sym_goto] = ACTIONS(2243),
    [anon_sym_return] = ACTIONS(2243),
    [anon_sym_undef] = ACTIONS(2243),
    [anon_sym_PERCENT2] = ACTIONS(2243),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2243),
    [anon_sym_use] = ACTIONS(2243),
    [anon_sym_no] = ACTIONS(2243),
    [anon_sym_for] = ACTIONS(2243),
    [anon_sym_foreach] = ACTIONS(2243),
    [anon_sym_last] = ACTIONS(2243),
    [anon_sym_next] = ACTIONS(2243),
    [anon_sym_redo] = ACTIONS(2243),
    [anon_sym_BEGIN] = ACTIONS(2243),
    [anon_sym_INIT] = ACTIONS(2243),
    [anon_sym_CHECK] = ACTIONS(2243),
    [anon_sym_UNITCHECK] = ACTIONS(2243),
    [anon_sym_END] = ACTIONS(2243),
    [anon_sym___FILE__] = ACTIONS(2243),
    [anon_sym___LINE__] = ACTIONS(2243),
    [anon_sym___PACKAGE__] = ACTIONS(2243),
    [anon_sym___SUB__] = ACTIONS(2243),
    [anon_sym_break] = ACTIONS(2243),
    [anon_sym_fork] = ACTIONS(2243),
    [anon_sym_getppid] = ACTIONS(2243),
    [anon_sym_time] = ACTIONS(2243),
    [anon_sym_times] = ACTIONS(2243),
    [anon_sym_wait] = ACTIONS(2243),
    [anon_sym_wantarray] = ACTIONS(2243),
    [anon_sym_abs] = ACTIONS(2243),
    [anon_sym_alarm] = ACTIONS(2243),
    [anon_sym_chop] = ACTIONS(2243),
    [anon_sym_chdir] = ACTIONS(2243),
    [anon_sym_close] = ACTIONS(2243),
    [anon_sym_closedir] = ACTIONS(2243),
    [anon_sym_caller] = ACTIONS(2243),
    [anon_sym_chomp] = ACTIONS(2243),
    [anon_sym_chr] = ACTIONS(2243),
    [anon_sym_cos] = ACTIONS(2243),
    [anon_sym_chroot] = ACTIONS(2243),
    [anon_sym_defined] = ACTIONS(2243),
    [anon_sym_delete] = ACTIONS(2243),
    [anon_sym_dbmclose] = ACTIONS(2243),
    [anon_sym_exists] = ACTIONS(2243),
    [anon_sym_exit] = ACTIONS(2243),
    [anon_sym_eof] = ACTIONS(2243),
    [anon_sym_exp] = ACTIONS(2243),
    [anon_sym_each] = ACTIONS(2243),
    [anon_sym_fc] = ACTIONS(2243),
    [anon_sym_fileno] = ACTIONS(2243),
    [anon_sym_gmtime] = ACTIONS(2243),
    [anon_sym_getc] = ACTIONS(2243),
    [anon_sym_getpgrp] = ACTIONS(2243),
    [anon_sym_getprotobyname] = ACTIONS(2243),
    [anon_sym_getpwname] = ACTIONS(2243),
    [anon_sym_getpwuid] = ACTIONS(2243),
    [anon_sym_getpeername] = ACTIONS(2243),
    [anon_sym_getnetbyname] = ACTIONS(2243),
    [anon_sym_getsockname] = ACTIONS(2243),
    [anon_sym_getgrnam] = ACTIONS(2243),
    [anon_sym_getgrgid] = ACTIONS(2243),
    [anon_sym_hex] = ACTIONS(2243),
    [anon_sym_int] = ACTIONS(2243),
    [anon_sym_keys] = ACTIONS(2243),
    [anon_sym_lc] = ACTIONS(2243),
    [anon_sym_lcfirst] = ACTIONS(2243),
    [anon_sym_length] = ACTIONS(2243),
    [anon_sym_localtime] = ACTIONS(2243),
    [anon_sym_log] = ACTIONS(2243),
    [anon_sym_lock] = ACTIONS(2243),
    [anon_sym_lstat] = ACTIONS(2243),
    [anon_sym_oct] = ACTIONS(2243),
    [anon_sym_ord] = ACTIONS(2243),
    [anon_sym_prototype] = ACTIONS(2243),
    [anon_sym_pop] = ACTIONS(2243),
    [anon_sym_pos] = ACTIONS(2243),
    [anon_sym_quotemeta] = ACTIONS(2243),
    [anon_sym_reset] = ACTIONS(2243),
    [anon_sym_rand] = ACTIONS(2243),
    [anon_sym_rmdir] = ACTIONS(2243),
    [anon_sym_readdir] = ACTIONS(2243),
    [anon_sym_readline] = ACTIONS(2243),
    [anon_sym_readpipe] = ACTIONS(2243),
    [anon_sym_rewinddir] = ACTIONS(2243),
    [anon_sym_readlink] = ACTIONS(2243),
    [anon_sym_ref] = ACTIONS(2243),
    [anon_sym_scalar] = ACTIONS(2243),
    [anon_sym_shift] = ACTIONS(2243),
    [anon_sym_sin] = ACTIONS(2243),
    [anon_sym_sleep] = ACTIONS(2243),
    [anon_sym_sqrt] = ACTIONS(2243),
    [anon_sym_srand] = ACTIONS(2243),
    [anon_sym_stat] = ACTIONS(2243),
    [anon_sym_study] = ACTIONS(2243),
    [anon_sym_tell] = ACTIONS(2243),
    [anon_sym_telldir] = ACTIONS(2243),
    [anon_sym_tied] = ACTIONS(2243),
    [anon_sym_uc] = ACTIONS(2243),
    [anon_sym_ucfirst] = ACTIONS(2243),
    [anon_sym_untie] = ACTIONS(2243),
    [anon_sym_umask] = ACTIONS(2243),
    [anon_sym_values] = ACTIONS(2243),
    [anon_sym_write] = ACTIONS(2243),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2243),
    [anon_sym_qq] = ACTIONS(2243),
    [anon_sym_qw] = ACTIONS(2243),
    [anon_sym_qx] = ACTIONS(2243),
    [anon_sym_qr] = ACTIONS(2243),
    [anon_sym_m] = ACTIONS(2243),
    [anon_sym_s] = ACTIONS(2243),
    [anon_sym_tr] = ACTIONS(2243),
    [anon_sym_y] = ACTIONS(2243),
    [anon_sym_if] = ACTIONS(2243),
    [anon_sym_unless] = ACTIONS(2243),
    [anon_sym_while] = ACTIONS(2243),
    [anon_sym_until] = ACTIONS(2243),
    [aux_sym__bareword_token1] = ACTIONS(2243),
    [sym_number] = ACTIONS(2243),
    [anon_sym_true] = ACTIONS(2243),
    [anon_sym_false] = ACTIONS(2243),
    [sym__single_quote] = ACTIONS(2241),
    [sym__double_quote] = ACTIONS(2241),
    [sym__backtick_quote] = ACTIONS(2241),
    [sym__search_slash_quote] = ACTIONS(2241),
    [sym__PERLY_HEREDOC] = ACTIONS(2241),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2241),
    [sym__filetest] = ACTIONS(2241),
  },
  [1004] = {
    [sym_heredoc_content] = STATE(1004),
    [sym__identifier] = ACTIONS(2219),
    [anon_sym_LBRACE] = ACTIONS(2219),
    [anon_sym_RBRACE] = ACTIONS(2219),
    [anon_sym_SEMI] = ACTIONS(2219),
    [anon_sym_package] = ACTIONS(2219),
    [anon_sym_class] = ACTIONS(2219),
    [anon_sym_role] = ACTIONS(2219),
    [anon_sym_BUILD] = ACTIONS(2219),
    [anon_sym_ADJUST] = ACTIONS(2219),
    [anon_sym_DOLLAR] = ACTIONS(2219),
    [anon_sym_AT] = ACTIONS(2219),
    [anon_sym_my] = ACTIONS(2219),
    [anon_sym_extended] = ACTIONS(2219),
    [anon_sym_async] = ACTIONS(2219),
    [anon_sym_sub] = ACTIONS(2219),
    [anon_sym_method] = ACTIONS(2219),
    [anon_sym_LPAREN] = ACTIONS(2219),
    [anon_sym_continue] = ACTIONS(2219),
    [anon_sym_state] = ACTIONS(2219),
    [anon_sym_our] = ACTIONS(2219),
    [anon_sym_try] = ACTIONS(2219),
    [anon_sym_defer] = ACTIONS(2219),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2219),
    [anon_sym_LBRACK] = ACTIONS(2219),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_LT_LT] = ACTIONS(2219),
    [anon_sym_SLASH_SLASH] = ACTIONS(2219),
    [anon_sym_PLUS] = ACTIONS(2219),
    [anon_sym_DASH] = ACTIONS(2219),
    [anon_sym_STAR] = ACTIONS(2219),
    [anon_sym_TILDE] = ACTIONS(2219),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_PLUS_PLUS] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(2219),
    [anon_sym_BSLASH] = ACTIONS(2217),
    [anon_sym_do] = ACTIONS(2219),
    [anon_sym_eval] = ACTIONS(2219),
    [anon_sym_await] = ACTIONS(2219),
    [anon_sym_field] = ACTIONS(2219),
    [anon_sym_local] = ACTIONS(2219),
    [anon_sym_dynamically] = ACTIONS(2219),
    [anon_sym_require] = ACTIONS(2219),
    [anon_sym_map] = ACTIONS(2219),
    [anon_sym_grep] = ACTIONS(2219),
    [anon_sym_sort] = ACTIONS(2219),
    [anon_sym_goto] = ACTIONS(2219),
    [anon_sym_return] = ACTIONS(2219),
    [anon_sym_undef] = ACTIONS(2219),
    [anon_sym_PERCENT2] = ACTIONS(2219),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2219),
    [anon_sym_use] = ACTIONS(2219),
    [anon_sym_no] = ACTIONS(2219),
    [anon_sym_for] = ACTIONS(2219),
    [anon_sym_foreach] = ACTIONS(2219),
    [anon_sym_last] = ACTIONS(2219),
    [anon_sym_next] = ACTIONS(2219),
    [anon_sym_redo] = ACTIONS(2219),
    [anon_sym_BEGIN] = ACTIONS(2219),
    [anon_sym_INIT] = ACTIONS(2219),
    [anon_sym_CHECK] = ACTIONS(2219),
    [anon_sym_UNITCHECK] = ACTIONS(2219),
    [anon_sym_END] = ACTIONS(2219),
    [anon_sym___FILE__] = ACTIONS(2219),
    [anon_sym___LINE__] = ACTIONS(2219),
    [anon_sym___PACKAGE__] = ACTIONS(2219),
    [anon_sym___SUB__] = ACTIONS(2219),
    [anon_sym_break] = ACTIONS(2219),
    [anon_sym_fork] = ACTIONS(2219),
    [anon_sym_getppid] = ACTIONS(2219),
    [anon_sym_time] = ACTIONS(2219),
    [anon_sym_times] = ACTIONS(2219),
    [anon_sym_wait] = ACTIONS(2219),
    [anon_sym_wantarray] = ACTIONS(2219),
    [anon_sym_abs] = ACTIONS(2219),
    [anon_sym_alarm] = ACTIONS(2219),
    [anon_sym_chop] = ACTIONS(2219),
    [anon_sym_chdir] = ACTIONS(2219),
    [anon_sym_close] = ACTIONS(2219),
    [anon_sym_closedir] = ACTIONS(2219),
    [anon_sym_caller] = ACTIONS(2219),
    [anon_sym_chomp] = ACTIONS(2219),
    [anon_sym_chr] = ACTIONS(2219),
    [anon_sym_cos] = ACTIONS(2219),
    [anon_sym_chroot] = ACTIONS(2219),
    [anon_sym_defined] = ACTIONS(2219),
    [anon_sym_delete] = ACTIONS(2219),
    [anon_sym_dbmclose] = ACTIONS(2219),
    [anon_sym_exists] = ACTIONS(2219),
    [anon_sym_exit] = ACTIONS(2219),
    [anon_sym_eof] = ACTIONS(2219),
    [anon_sym_exp] = ACTIONS(2219),
    [anon_sym_each] = ACTIONS(2219),
    [anon_sym_fc] = ACTIONS(2219),
    [anon_sym_fileno] = ACTIONS(2219),
    [anon_sym_gmtime] = ACTIONS(2219),
    [anon_sym_getc] = ACTIONS(2219),
    [anon_sym_getpgrp] = ACTIONS(2219),
    [anon_sym_getprotobyname] = ACTIONS(2219),
    [anon_sym_getpwname] = ACTIONS(2219),
    [anon_sym_getpwuid] = ACTIONS(2219),
    [anon_sym_getpeername] = ACTIONS(2219),
    [anon_sym_getnetbyname] = ACTIONS(2219),
    [anon_sym_getsockname] = ACTIONS(2219),
    [anon_sym_getgrnam] = ACTIONS(2219),
    [anon_sym_getgrgid] = ACTIONS(2219),
    [anon_sym_hex] = ACTIONS(2219),
    [anon_sym_int] = ACTIONS(2219),
    [anon_sym_keys] = ACTIONS(2219),
    [anon_sym_lc] = ACTIONS(2219),
    [anon_sym_lcfirst] = ACTIONS(2219),
    [anon_sym_length] = ACTIONS(2219),
    [anon_sym_localtime] = ACTIONS(2219),
    [anon_sym_log] = ACTIONS(2219),
    [anon_sym_lock] = ACTIONS(2219),
    [anon_sym_lstat] = ACTIONS(2219),
    [anon_sym_oct] = ACTIONS(2219),
    [anon_sym_ord] = ACTIONS(2219),
    [anon_sym_prototype] = ACTIONS(2219),
    [anon_sym_pop] = ACTIONS(2219),
    [anon_sym_pos] = ACTIONS(2219),
    [anon_sym_quotemeta] = ACTIONS(2219),
    [anon_sym_reset] = ACTIONS(2219),
    [anon_sym_rand] = ACTIONS(2219),
    [anon_sym_rmdir] = ACTIONS(2219),
    [anon_sym_readdir] = ACTIONS(2219),
    [anon_sym_readline] = ACTIONS(2219),
    [anon_sym_readpipe] = ACTIONS(2219),
    [anon_sym_rewinddir] = ACTIONS(2219),
    [anon_sym_readlink] = ACTIONS(2219),
    [anon_sym_ref] = ACTIONS(2219),
    [anon_sym_scalar] = ACTIONS(2219),
    [anon_sym_shift] = ACTIONS(2219),
    [anon_sym_sin] = ACTIONS(2219),
    [anon_sym_sleep] = ACTIONS(2219),
    [anon_sym_sqrt] = ACTIONS(2219),
    [anon_sym_srand] = ACTIONS(2219),
    [anon_sym_stat] = ACTIONS(2219),
    [anon_sym_study] = ACTIONS(2219),
    [anon_sym_tell] = ACTIONS(2219),
    [anon_sym_telldir] = ACTIONS(2219),
    [anon_sym_tied] = ACTIONS(2219),
    [anon_sym_uc] = ACTIONS(2219),
    [anon_sym_ucfirst] = ACTIONS(2219),
    [anon_sym_untie] = ACTIONS(2219),
    [anon_sym_umask] = ACTIONS(2219),
    [anon_sym_values] = ACTIONS(2219),
    [anon_sym_write] = ACTIONS(2219),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2219),
    [anon_sym_qq] = ACTIONS(2219),
    [anon_sym_qw] = ACTIONS(2219),
    [anon_sym_qx] = ACTIONS(2219),
    [anon_sym_qr] = ACTIONS(2219),
    [anon_sym_m] = ACTIONS(2219),
    [anon_sym_s] = ACTIONS(2219),
    [anon_sym_tr] = ACTIONS(2219),
    [anon_sym_y] = ACTIONS(2219),
    [anon_sym_if] = ACTIONS(2219),
    [anon_sym_unless] = ACTIONS(2219),
    [anon_sym_while] = ACTIONS(2219),
    [anon_sym_until] = ACTIONS(2219),
    [aux_sym__bareword_token1] = ACTIONS(2219),
    [sym_number] = ACTIONS(2219),
    [anon_sym_true] = ACTIONS(2219),
    [anon_sym_false] = ACTIONS(2219),
    [sym__single_quote] = ACTIONS(2217),
    [sym__double_quote] = ACTIONS(2217),
    [sym__backtick_quote] = ACTIONS(2217),
    [sym__search_slash_quote] = ACTIONS(2217),
    [sym__PERLY_HEREDOC] = ACTIONS(2217),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2217),
    [sym__filetest] = ACTIONS(2217),
  },
  [1005] = {
    [sym_heredoc_content] = STATE(1005),
    [sym__identifier] = ACTIONS(2223),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_RBRACE] = ACTIONS(2223),
    [anon_sym_SEMI] = ACTIONS(2223),
    [anon_sym_package] = ACTIONS(2223),
    [anon_sym_class] = ACTIONS(2223),
    [anon_sym_role] = ACTIONS(2223),
    [anon_sym_BUILD] = ACTIONS(2223),
    [anon_sym_ADJUST] = ACTIONS(2223),
    [anon_sym_DOLLAR] = ACTIONS(2223),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_my] = ACTIONS(2223),
    [anon_sym_extended] = ACTIONS(2223),
    [anon_sym_async] = ACTIONS(2223),
    [anon_sym_sub] = ACTIONS(2223),
    [anon_sym_method] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(2223),
    [anon_sym_continue] = ACTIONS(2223),
    [anon_sym_state] = ACTIONS(2223),
    [anon_sym_our] = ACTIONS(2223),
    [anon_sym_try] = ACTIONS(2223),
    [anon_sym_defer] = ACTIONS(2223),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2223),
    [anon_sym_LBRACK] = ACTIONS(2223),
    [anon_sym_LT] = ACTIONS(2223),
    [anon_sym_LT_LT] = ACTIONS(2223),
    [anon_sym_SLASH_SLASH] = ACTIONS(2223),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_STAR] = ACTIONS(2223),
    [anon_sym_TILDE] = ACTIONS(2223),
    [anon_sym_BANG] = ACTIONS(2223),
    [anon_sym_PLUS_PLUS] = ACTIONS(2223),
    [anon_sym_DASH_DASH] = ACTIONS(2223),
    [anon_sym_BSLASH] = ACTIONS(2221),
    [anon_sym_do] = ACTIONS(2223),
    [anon_sym_eval] = ACTIONS(2223),
    [anon_sym_await] = ACTIONS(2223),
    [anon_sym_field] = ACTIONS(2223),
    [anon_sym_local] = ACTIONS(2223),
    [anon_sym_dynamically] = ACTIONS(2223),
    [anon_sym_require] = ACTIONS(2223),
    [anon_sym_map] = ACTIONS(2223),
    [anon_sym_grep] = ACTIONS(2223),
    [anon_sym_sort] = ACTIONS(2223),
    [anon_sym_goto] = ACTIONS(2223),
    [anon_sym_return] = ACTIONS(2223),
    [anon_sym_undef] = ACTIONS(2223),
    [anon_sym_PERCENT2] = ACTIONS(2223),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2223),
    [anon_sym_use] = ACTIONS(2223),
    [anon_sym_no] = ACTIONS(2223),
    [anon_sym_for] = ACTIONS(2223),
    [anon_sym_foreach] = ACTIONS(2223),
    [anon_sym_last] = ACTIONS(2223),
    [anon_sym_next] = ACTIONS(2223),
    [anon_sym_redo] = ACTIONS(2223),
    [anon_sym_BEGIN] = ACTIONS(2223),
    [anon_sym_INIT] = ACTIONS(2223),
    [anon_sym_CHECK] = ACTIONS(2223),
    [anon_sym_UNITCHECK] = ACTIONS(2223),
    [anon_sym_END] = ACTIONS(2223),
    [anon_sym___FILE__] = ACTIONS(2223),
    [anon_sym___LINE__] = ACTIONS(2223),
    [anon_sym___PACKAGE__] = ACTIONS(2223),
    [anon_sym___SUB__] = ACTIONS(2223),
    [anon_sym_break] = ACTIONS(2223),
    [anon_sym_fork] = ACTIONS(2223),
    [anon_sym_getppid] = ACTIONS(2223),
    [anon_sym_time] = ACTIONS(2223),
    [anon_sym_times] = ACTIONS(2223),
    [anon_sym_wait] = ACTIONS(2223),
    [anon_sym_wantarray] = ACTIONS(2223),
    [anon_sym_abs] = ACTIONS(2223),
    [anon_sym_alarm] = ACTIONS(2223),
    [anon_sym_chop] = ACTIONS(2223),
    [anon_sym_chdir] = ACTIONS(2223),
    [anon_sym_close] = ACTIONS(2223),
    [anon_sym_closedir] = ACTIONS(2223),
    [anon_sym_caller] = ACTIONS(2223),
    [anon_sym_chomp] = ACTIONS(2223),
    [anon_sym_chr] = ACTIONS(2223),
    [anon_sym_cos] = ACTIONS(2223),
    [anon_sym_chroot] = ACTIONS(2223),
    [anon_sym_defined] = ACTIONS(2223),
    [anon_sym_delete] = ACTIONS(2223),
    [anon_sym_dbmclose] = ACTIONS(2223),
    [anon_sym_exists] = ACTIONS(2223),
    [anon_sym_exit] = ACTIONS(2223),
    [anon_sym_eof] = ACTIONS(2223),
    [anon_sym_exp] = ACTIONS(2223),
    [anon_sym_each] = ACTIONS(2223),
    [anon_sym_fc] = ACTIONS(2223),
    [anon_sym_fileno] = ACTIONS(2223),
    [anon_sym_gmtime] = ACTIONS(2223),
    [anon_sym_getc] = ACTIONS(2223),
    [anon_sym_getpgrp] = ACTIONS(2223),
    [anon_sym_getprotobyname] = ACTIONS(2223),
    [anon_sym_getpwname] = ACTIONS(2223),
    [anon_sym_getpwuid] = ACTIONS(2223),
    [anon_sym_getpeername] = ACTIONS(2223),
    [anon_sym_getnetbyname] = ACTIONS(2223),
    [anon_sym_getsockname] = ACTIONS(2223),
    [anon_sym_getgrnam] = ACTIONS(2223),
    [anon_sym_getgrgid] = ACTIONS(2223),
    [anon_sym_hex] = ACTIONS(2223),
    [anon_sym_int] = ACTIONS(2223),
    [anon_sym_keys] = ACTIONS(2223),
    [anon_sym_lc] = ACTIONS(2223),
    [anon_sym_lcfirst] = ACTIONS(2223),
    [anon_sym_length] = ACTIONS(2223),
    [anon_sym_localtime] = ACTIONS(2223),
    [anon_sym_log] = ACTIONS(2223),
    [anon_sym_lock] = ACTIONS(2223),
    [anon_sym_lstat] = ACTIONS(2223),
    [anon_sym_oct] = ACTIONS(2223),
    [anon_sym_ord] = ACTIONS(2223),
    [anon_sym_prototype] = ACTIONS(2223),
    [anon_sym_pop] = ACTIONS(2223),
    [anon_sym_pos] = ACTIONS(2223),
    [anon_sym_quotemeta] = ACTIONS(2223),
    [anon_sym_reset] = ACTIONS(2223),
    [anon_sym_rand] = ACTIONS(2223),
    [anon_sym_rmdir] = ACTIONS(2223),
    [anon_sym_readdir] = ACTIONS(2223),
    [anon_sym_readline] = ACTIONS(2223),
    [anon_sym_readpipe] = ACTIONS(2223),
    [anon_sym_rewinddir] = ACTIONS(2223),
    [anon_sym_readlink] = ACTIONS(2223),
    [anon_sym_ref] = ACTIONS(2223),
    [anon_sym_scalar] = ACTIONS(2223),
    [anon_sym_shift] = ACTIONS(2223),
    [anon_sym_sin] = ACTIONS(2223),
    [anon_sym_sleep] = ACTIONS(2223),
    [anon_sym_sqrt] = ACTIONS(2223),
    [anon_sym_srand] = ACTIONS(2223),
    [anon_sym_stat] = ACTIONS(2223),
    [anon_sym_study] = ACTIONS(2223),
    [anon_sym_tell] = ACTIONS(2223),
    [anon_sym_telldir] = ACTIONS(2223),
    [anon_sym_tied] = ACTIONS(2223),
    [anon_sym_uc] = ACTIONS(2223),
    [anon_sym_ucfirst] = ACTIONS(2223),
    [anon_sym_untie] = ACTIONS(2223),
    [anon_sym_umask] = ACTIONS(2223),
    [anon_sym_values] = ACTIONS(2223),
    [anon_sym_write] = ACTIONS(2223),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2223),
    [anon_sym_qq] = ACTIONS(2223),
    [anon_sym_qw] = ACTIONS(2223),
    [anon_sym_qx] = ACTIONS(2223),
    [anon_sym_qr] = ACTIONS(2223),
    [anon_sym_m] = ACTIONS(2223),
    [anon_sym_s] = ACTIONS(2223),
    [anon_sym_tr] = ACTIONS(2223),
    [anon_sym_y] = ACTIONS(2223),
    [anon_sym_if] = ACTIONS(2223),
    [anon_sym_unless] = ACTIONS(2223),
    [anon_sym_while] = ACTIONS(2223),
    [anon_sym_until] = ACTIONS(2223),
    [aux_sym__bareword_token1] = ACTIONS(2223),
    [sym_number] = ACTIONS(2223),
    [anon_sym_true] = ACTIONS(2223),
    [anon_sym_false] = ACTIONS(2223),
    [sym__single_quote] = ACTIONS(2221),
    [sym__double_quote] = ACTIONS(2221),
    [sym__backtick_quote] = ACTIONS(2221),
    [sym__search_slash_quote] = ACTIONS(2221),
    [sym__PERLY_HEREDOC] = ACTIONS(2221),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2221),
    [sym__filetest] = ACTIONS(2221),
  },
  [1006] = {
    [sym_heredoc_content] = STATE(1006),
    [sym__identifier] = ACTIONS(2231),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_RBRACE] = ACTIONS(2231),
    [anon_sym_SEMI] = ACTIONS(2231),
    [anon_sym_package] = ACTIONS(2231),
    [anon_sym_class] = ACTIONS(2231),
    [anon_sym_role] = ACTIONS(2231),
    [anon_sym_BUILD] = ACTIONS(2231),
    [anon_sym_ADJUST] = ACTIONS(2231),
    [anon_sym_DOLLAR] = ACTIONS(2231),
    [anon_sym_AT] = ACTIONS(2231),
    [anon_sym_my] = ACTIONS(2231),
    [anon_sym_extended] = ACTIONS(2231),
    [anon_sym_async] = ACTIONS(2231),
    [anon_sym_sub] = ACTIONS(2231),
    [anon_sym_method] = ACTIONS(2231),
    [anon_sym_LPAREN] = ACTIONS(2231),
    [anon_sym_continue] = ACTIONS(2231),
    [anon_sym_state] = ACTIONS(2231),
    [anon_sym_our] = ACTIONS(2231),
    [anon_sym_try] = ACTIONS(2231),
    [anon_sym_defer] = ACTIONS(2231),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2231),
    [anon_sym_LBRACK] = ACTIONS(2231),
    [anon_sym_LT] = ACTIONS(2231),
    [anon_sym_LT_LT] = ACTIONS(2231),
    [anon_sym_SLASH_SLASH] = ACTIONS(2231),
    [anon_sym_PLUS] = ACTIONS(2231),
    [anon_sym_DASH] = ACTIONS(2231),
    [anon_sym_STAR] = ACTIONS(2231),
    [anon_sym_TILDE] = ACTIONS(2231),
    [anon_sym_BANG] = ACTIONS(2231),
    [anon_sym_PLUS_PLUS] = ACTIONS(2231),
    [anon_sym_DASH_DASH] = ACTIONS(2231),
    [anon_sym_BSLASH] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2231),
    [anon_sym_eval] = ACTIONS(2231),
    [anon_sym_await] = ACTIONS(2231),
    [anon_sym_field] = ACTIONS(2231),
    [anon_sym_local] = ACTIONS(2231),
    [anon_sym_dynamically] = ACTIONS(2231),
    [anon_sym_require] = ACTIONS(2231),
    [anon_sym_map] = ACTIONS(2231),
    [anon_sym_grep] = ACTIONS(2231),
    [anon_sym_sort] = ACTIONS(2231),
    [anon_sym_goto] = ACTIONS(2231),
    [anon_sym_return] = ACTIONS(2231),
    [anon_sym_undef] = ACTIONS(2231),
    [anon_sym_PERCENT2] = ACTIONS(2231),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2231),
    [anon_sym_use] = ACTIONS(2231),
    [anon_sym_no] = ACTIONS(2231),
    [anon_sym_for] = ACTIONS(2231),
    [anon_sym_foreach] = ACTIONS(2231),
    [anon_sym_last] = ACTIONS(2231),
    [anon_sym_next] = ACTIONS(2231),
    [anon_sym_redo] = ACTIONS(2231),
    [anon_sym_BEGIN] = ACTIONS(2231),
    [anon_sym_INIT] = ACTIONS(2231),
    [anon_sym_CHECK] = ACTIONS(2231),
    [anon_sym_UNITCHECK] = ACTIONS(2231),
    [anon_sym_END] = ACTIONS(2231),
    [anon_sym___FILE__] = ACTIONS(2231),
    [anon_sym___LINE__] = ACTIONS(2231),
    [anon_sym___PACKAGE__] = ACTIONS(2231),
    [anon_sym___SUB__] = ACTIONS(2231),
    [anon_sym_break] = ACTIONS(2231),
    [anon_sym_fork] = ACTIONS(2231),
    [anon_sym_getppid] = ACTIONS(2231),
    [anon_sym_time] = ACTIONS(2231),
    [anon_sym_times] = ACTIONS(2231),
    [anon_sym_wait] = ACTIONS(2231),
    [anon_sym_wantarray] = ACTIONS(2231),
    [anon_sym_abs] = ACTIONS(2231),
    [anon_sym_alarm] = ACTIONS(2231),
    [anon_sym_chop] = ACTIONS(2231),
    [anon_sym_chdir] = ACTIONS(2231),
    [anon_sym_close] = ACTIONS(2231),
    [anon_sym_closedir] = ACTIONS(2231),
    [anon_sym_caller] = ACTIONS(2231),
    [anon_sym_chomp] = ACTIONS(2231),
    [anon_sym_chr] = ACTIONS(2231),
    [anon_sym_cos] = ACTIONS(2231),
    [anon_sym_chroot] = ACTIONS(2231),
    [anon_sym_defined] = ACTIONS(2231),
    [anon_sym_delete] = ACTIONS(2231),
    [anon_sym_dbmclose] = ACTIONS(2231),
    [anon_sym_exists] = ACTIONS(2231),
    [anon_sym_exit] = ACTIONS(2231),
    [anon_sym_eof] = ACTIONS(2231),
    [anon_sym_exp] = ACTIONS(2231),
    [anon_sym_each] = ACTIONS(2231),
    [anon_sym_fc] = ACTIONS(2231),
    [anon_sym_fileno] = ACTIONS(2231),
    [anon_sym_gmtime] = ACTIONS(2231),
    [anon_sym_getc] = ACTIONS(2231),
    [anon_sym_getpgrp] = ACTIONS(2231),
    [anon_sym_getprotobyname] = ACTIONS(2231),
    [anon_sym_getpwname] = ACTIONS(2231),
    [anon_sym_getpwuid] = ACTIONS(2231),
    [anon_sym_getpeername] = ACTIONS(2231),
    [anon_sym_getnetbyname] = ACTIONS(2231),
    [anon_sym_getsockname] = ACTIONS(2231),
    [anon_sym_getgrnam] = ACTIONS(2231),
    [anon_sym_getgrgid] = ACTIONS(2231),
    [anon_sym_hex] = ACTIONS(2231),
    [anon_sym_int] = ACTIONS(2231),
    [anon_sym_keys] = ACTIONS(2231),
    [anon_sym_lc] = ACTIONS(2231),
    [anon_sym_lcfirst] = ACTIONS(2231),
    [anon_sym_length] = ACTIONS(2231),
    [anon_sym_localtime] = ACTIONS(2231),
    [anon_sym_log] = ACTIONS(2231),
    [anon_sym_lock] = ACTIONS(2231),
    [anon_sym_lstat] = ACTIONS(2231),
    [anon_sym_oct] = ACTIONS(2231),
    [anon_sym_ord] = ACTIONS(2231),
    [anon_sym_prototype] = ACTIONS(2231),
    [anon_sym_pop] = ACTIONS(2231),
    [anon_sym_pos] = ACTIONS(2231),
    [anon_sym_quotemeta] = ACTIONS(2231),
    [anon_sym_reset] = ACTIONS(2231),
    [anon_sym_rand] = ACTIONS(2231),
    [anon_sym_rmdir] = ACTIONS(2231),
    [anon_sym_readdir] = ACTIONS(2231),
    [anon_sym_readline] = ACTIONS(2231),
    [anon_sym_readpipe] = ACTIONS(2231),
    [anon_sym_rewinddir] = ACTIONS(2231),
    [anon_sym_readlink] = ACTIONS(2231),
    [anon_sym_ref] = ACTIONS(2231),
    [anon_sym_scalar] = ACTIONS(2231),
    [anon_sym_shift] = ACTIONS(2231),
    [anon_sym_sin] = ACTIONS(2231),
    [anon_sym_sleep] = ACTIONS(2231),
    [anon_sym_sqrt] = ACTIONS(2231),
    [anon_sym_srand] = ACTIONS(2231),
    [anon_sym_stat] = ACTIONS(2231),
    [anon_sym_study] = ACTIONS(2231),
    [anon_sym_tell] = ACTIONS(2231),
    [anon_sym_telldir] = ACTIONS(2231),
    [anon_sym_tied] = ACTIONS(2231),
    [anon_sym_uc] = ACTIONS(2231),
    [anon_sym_ucfirst] = ACTIONS(2231),
    [anon_sym_untie] = ACTIONS(2231),
    [anon_sym_umask] = ACTIONS(2231),
    [anon_sym_values] = ACTIONS(2231),
    [anon_sym_write] = ACTIONS(2231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2231),
    [anon_sym_qq] = ACTIONS(2231),
    [anon_sym_qw] = ACTIONS(2231),
    [anon_sym_qx] = ACTIONS(2231),
    [anon_sym_qr] = ACTIONS(2231),
    [anon_sym_m] = ACTIONS(2231),
    [anon_sym_s] = ACTIONS(2231),
    [anon_sym_tr] = ACTIONS(2231),
    [anon_sym_y] = ACTIONS(2231),
    [anon_sym_if] = ACTIONS(2231),
    [anon_sym_unless] = ACTIONS(2231),
    [anon_sym_while] = ACTIONS(2231),
    [anon_sym_until] = ACTIONS(2231),
    [aux_sym__bareword_token1] = ACTIONS(2231),
    [sym_number] = ACTIONS(2231),
    [anon_sym_true] = ACTIONS(2231),
    [anon_sym_false] = ACTIONS(2231),
    [sym__single_quote] = ACTIONS(2229),
    [sym__double_quote] = ACTIONS(2229),
    [sym__backtick_quote] = ACTIONS(2229),
    [sym__search_slash_quote] = ACTIONS(2229),
    [sym__PERLY_HEREDOC] = ACTIONS(2229),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2229),
    [sym__filetest] = ACTIONS(2229),
  },
  [1007] = {
    [sym_heredoc_content] = STATE(1007),
    [sym__identifier] = ACTIONS(1972),
    [anon_sym_LBRACE] = ACTIONS(1972),
    [anon_sym_RBRACE] = ACTIONS(1972),
    [anon_sym_SEMI] = ACTIONS(1972),
    [anon_sym_package] = ACTIONS(1972),
    [anon_sym_class] = ACTIONS(1972),
    [anon_sym_role] = ACTIONS(1972),
    [anon_sym_BUILD] = ACTIONS(1972),
    [anon_sym_ADJUST] = ACTIONS(1972),
    [anon_sym_DOLLAR] = ACTIONS(1972),
    [anon_sym_AT] = ACTIONS(1972),
    [anon_sym_my] = ACTIONS(1972),
    [anon_sym_extended] = ACTIONS(1972),
    [anon_sym_async] = ACTIONS(1972),
    [anon_sym_sub] = ACTIONS(1972),
    [anon_sym_method] = ACTIONS(1972),
    [anon_sym_LPAREN] = ACTIONS(1972),
    [anon_sym_continue] = ACTIONS(1972),
    [anon_sym_state] = ACTIONS(1972),
    [anon_sym_our] = ACTIONS(1972),
    [anon_sym_try] = ACTIONS(1972),
    [anon_sym_defer] = ACTIONS(1972),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1972),
    [anon_sym_LBRACK] = ACTIONS(1972),
    [anon_sym_LT] = ACTIONS(1972),
    [anon_sym_LT_LT] = ACTIONS(1972),
    [anon_sym_SLASH_SLASH] = ACTIONS(1972),
    [anon_sym_PLUS] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1972),
    [anon_sym_STAR] = ACTIONS(1972),
    [anon_sym_TILDE] = ACTIONS(1972),
    [anon_sym_BANG] = ACTIONS(1972),
    [anon_sym_PLUS_PLUS] = ACTIONS(1972),
    [anon_sym_DASH_DASH] = ACTIONS(1972),
    [anon_sym_BSLASH] = ACTIONS(1970),
    [anon_sym_do] = ACTIONS(1972),
    [anon_sym_eval] = ACTIONS(1972),
    [anon_sym_await] = ACTIONS(1972),
    [anon_sym_field] = ACTIONS(1972),
    [anon_sym_local] = ACTIONS(1972),
    [anon_sym_dynamically] = ACTIONS(1972),
    [anon_sym_require] = ACTIONS(1972),
    [anon_sym_map] = ACTIONS(1972),
    [anon_sym_grep] = ACTIONS(1972),
    [anon_sym_sort] = ACTIONS(1972),
    [anon_sym_goto] = ACTIONS(1972),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_undef] = ACTIONS(1972),
    [anon_sym_PERCENT2] = ACTIONS(1972),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1972),
    [anon_sym_use] = ACTIONS(1972),
    [anon_sym_no] = ACTIONS(1972),
    [anon_sym_for] = ACTIONS(1972),
    [anon_sym_foreach] = ACTIONS(1972),
    [anon_sym_last] = ACTIONS(1972),
    [anon_sym_next] = ACTIONS(1972),
    [anon_sym_redo] = ACTIONS(1972),
    [anon_sym_BEGIN] = ACTIONS(1972),
    [anon_sym_INIT] = ACTIONS(1972),
    [anon_sym_CHECK] = ACTIONS(1972),
    [anon_sym_UNITCHECK] = ACTIONS(1972),
    [anon_sym_END] = ACTIONS(1972),
    [anon_sym___FILE__] = ACTIONS(1972),
    [anon_sym___LINE__] = ACTIONS(1972),
    [anon_sym___PACKAGE__] = ACTIONS(1972),
    [anon_sym___SUB__] = ACTIONS(1972),
    [anon_sym_break] = ACTIONS(1972),
    [anon_sym_fork] = ACTIONS(1972),
    [anon_sym_getppid] = ACTIONS(1972),
    [anon_sym_time] = ACTIONS(1972),
    [anon_sym_times] = ACTIONS(1972),
    [anon_sym_wait] = ACTIONS(1972),
    [anon_sym_wantarray] = ACTIONS(1972),
    [anon_sym_abs] = ACTIONS(1972),
    [anon_sym_alarm] = ACTIONS(1972),
    [anon_sym_chop] = ACTIONS(1972),
    [anon_sym_chdir] = ACTIONS(1972),
    [anon_sym_close] = ACTIONS(1972),
    [anon_sym_closedir] = ACTIONS(1972),
    [anon_sym_caller] = ACTIONS(1972),
    [anon_sym_chomp] = ACTIONS(1972),
    [anon_sym_chr] = ACTIONS(1972),
    [anon_sym_cos] = ACTIONS(1972),
    [anon_sym_chroot] = ACTIONS(1972),
    [anon_sym_defined] = ACTIONS(1972),
    [anon_sym_delete] = ACTIONS(1972),
    [anon_sym_dbmclose] = ACTIONS(1972),
    [anon_sym_exists] = ACTIONS(1972),
    [anon_sym_exit] = ACTIONS(1972),
    [anon_sym_eof] = ACTIONS(1972),
    [anon_sym_exp] = ACTIONS(1972),
    [anon_sym_each] = ACTIONS(1972),
    [anon_sym_fc] = ACTIONS(1972),
    [anon_sym_fileno] = ACTIONS(1972),
    [anon_sym_gmtime] = ACTIONS(1972),
    [anon_sym_getc] = ACTIONS(1972),
    [anon_sym_getpgrp] = ACTIONS(1972),
    [anon_sym_getprotobyname] = ACTIONS(1972),
    [anon_sym_getpwname] = ACTIONS(1972),
    [anon_sym_getpwuid] = ACTIONS(1972),
    [anon_sym_getpeername] = ACTIONS(1972),
    [anon_sym_getnetbyname] = ACTIONS(1972),
    [anon_sym_getsockname] = ACTIONS(1972),
    [anon_sym_getgrnam] = ACTIONS(1972),
    [anon_sym_getgrgid] = ACTIONS(1972),
    [anon_sym_hex] = ACTIONS(1972),
    [anon_sym_int] = ACTIONS(1972),
    [anon_sym_keys] = ACTIONS(1972),
    [anon_sym_lc] = ACTIONS(1972),
    [anon_sym_lcfirst] = ACTIONS(1972),
    [anon_sym_length] = ACTIONS(1972),
    [anon_sym_localtime] = ACTIONS(1972),
    [anon_sym_log] = ACTIONS(1972),
    [anon_sym_lock] = ACTIONS(1972),
    [anon_sym_lstat] = ACTIONS(1972),
    [anon_sym_oct] = ACTIONS(1972),
    [anon_sym_ord] = ACTIONS(1972),
    [anon_sym_prototype] = ACTIONS(1972),
    [anon_sym_pop] = ACTIONS(1972),
    [anon_sym_pos] = ACTIONS(1972),
    [anon_sym_quotemeta] = ACTIONS(1972),
    [anon_sym_reset] = ACTIONS(1972),
    [anon_sym_rand] = ACTIONS(1972),
    [anon_sym_rmdir] = ACTIONS(1972),
    [anon_sym_readdir] = ACTIONS(1972),
    [anon_sym_readline] = ACTIONS(1972),
    [anon_sym_readpipe] = ACTIONS(1972),
    [anon_sym_rewinddir] = ACTIONS(1972),
    [anon_sym_readlink] = ACTIONS(1972),
    [anon_sym_ref] = ACTIONS(1972),
    [anon_sym_scalar] = ACTIONS(1972),
    [anon_sym_shift] = ACTIONS(1972),
    [anon_sym_sin] = ACTIONS(1972),
    [anon_sym_sleep] = ACTIONS(1972),
    [anon_sym_sqrt] = ACTIONS(1972),
    [anon_sym_srand] = ACTIONS(1972),
    [anon_sym_stat] = ACTIONS(1972),
    [anon_sym_study] = ACTIONS(1972),
    [anon_sym_tell] = ACTIONS(1972),
    [anon_sym_telldir] = ACTIONS(1972),
    [anon_sym_tied] = ACTIONS(1972),
    [anon_sym_uc] = ACTIONS(1972),
    [anon_sym_ucfirst] = ACTIONS(1972),
    [anon_sym_untie] = ACTIONS(1972),
    [anon_sym_umask] = ACTIONS(1972),
    [anon_sym_values] = ACTIONS(1972),
    [anon_sym_write] = ACTIONS(1972),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1972),
    [anon_sym_qq] = ACTIONS(1972),
    [anon_sym_qw] = ACTIONS(1972),
    [anon_sym_qx] = ACTIONS(1972),
    [anon_sym_qr] = ACTIONS(1972),
    [anon_sym_m] = ACTIONS(1972),
    [anon_sym_s] = ACTIONS(1972),
    [anon_sym_tr] = ACTIONS(1972),
    [anon_sym_y] = ACTIONS(1972),
    [anon_sym_if] = ACTIONS(1972),
    [anon_sym_unless] = ACTIONS(1972),
    [anon_sym_while] = ACTIONS(1972),
    [anon_sym_until] = ACTIONS(1972),
    [aux_sym__bareword_token1] = ACTIONS(1972),
    [sym_number] = ACTIONS(1972),
    [anon_sym_true] = ACTIONS(1972),
    [anon_sym_false] = ACTIONS(1972),
    [sym__single_quote] = ACTIONS(1970),
    [sym__double_quote] = ACTIONS(1970),
    [sym__backtick_quote] = ACTIONS(1970),
    [sym__search_slash_quote] = ACTIONS(1970),
    [sym__PERLY_HEREDOC] = ACTIONS(1970),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1970),
    [sym__filetest] = ACTIONS(1970),
  },
  [1008] = {
    [sym_heredoc_content] = STATE(1008),
    [sym__identifier] = ACTIONS(2284),
    [anon_sym_LBRACE] = ACTIONS(2284),
    [anon_sym_SEMI] = ACTIONS(2284),
    [anon_sym_DOLLAR] = ACTIONS(2284),
    [anon_sym_AT] = ACTIONS(2284),
    [anon_sym_my] = ACTIONS(2284),
    [anon_sym_extended] = ACTIONS(2284),
    [anon_sym_async] = ACTIONS(2284),
    [anon_sym_sub] = ACTIONS(2284),
    [anon_sym_method] = ACTIONS(2284),
    [anon_sym_LPAREN] = ACTIONS(2284),
    [anon_sym_continue] = ACTIONS(2284),
    [anon_sym_state] = ACTIONS(2284),
    [anon_sym_our] = ACTIONS(2284),
    [anon_sym_LBRACK] = ACTIONS(2284),
    [anon_sym_LT] = ACTIONS(2284),
    [anon_sym_LT_LT] = ACTIONS(2284),
    [anon_sym_SLASH_SLASH] = ACTIONS(2284),
    [anon_sym_PLUS] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2284),
    [anon_sym_STAR] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_PLUS_PLUS] = ACTIONS(2284),
    [anon_sym_DASH_DASH] = ACTIONS(2284),
    [anon_sym_BSLASH] = ACTIONS(2286),
    [anon_sym_do] = ACTIONS(2284),
    [anon_sym_eval] = ACTIONS(2284),
    [anon_sym_await] = ACTIONS(2284),
    [anon_sym_field] = ACTIONS(2284),
    [anon_sym_local] = ACTIONS(2284),
    [anon_sym_dynamically] = ACTIONS(2284),
    [anon_sym_require] = ACTIONS(2284),
    [anon_sym_map] = ACTIONS(2284),
    [anon_sym_grep] = ACTIONS(2284),
    [anon_sym_sort] = ACTIONS(2284),
    [anon_sym_goto] = ACTIONS(2284),
    [anon_sym_return] = ACTIONS(2284),
    [anon_sym_undef] = ACTIONS(2284),
    [anon_sym_PERCENT2] = ACTIONS(2284),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2284),
    [anon_sym_last] = ACTIONS(2284),
    [anon_sym_next] = ACTIONS(2284),
    [anon_sym_redo] = ACTIONS(2284),
    [anon_sym___FILE__] = ACTIONS(2284),
    [anon_sym___LINE__] = ACTIONS(2284),
    [anon_sym___PACKAGE__] = ACTIONS(2284),
    [anon_sym___SUB__] = ACTIONS(2284),
    [anon_sym_break] = ACTIONS(2284),
    [anon_sym_fork] = ACTIONS(2284),
    [anon_sym_getppid] = ACTIONS(2284),
    [anon_sym_time] = ACTIONS(2284),
    [anon_sym_times] = ACTIONS(2284),
    [anon_sym_wait] = ACTIONS(2284),
    [anon_sym_wantarray] = ACTIONS(2284),
    [anon_sym_abs] = ACTIONS(2284),
    [anon_sym_alarm] = ACTIONS(2284),
    [anon_sym_chop] = ACTIONS(2284),
    [anon_sym_chdir] = ACTIONS(2284),
    [anon_sym_close] = ACTIONS(2284),
    [anon_sym_closedir] = ACTIONS(2284),
    [anon_sym_caller] = ACTIONS(2284),
    [anon_sym_chomp] = ACTIONS(2284),
    [anon_sym_chr] = ACTIONS(2284),
    [anon_sym_cos] = ACTIONS(2284),
    [anon_sym_chroot] = ACTIONS(2284),
    [anon_sym_defined] = ACTIONS(2284),
    [anon_sym_delete] = ACTIONS(2284),
    [anon_sym_dbmclose] = ACTIONS(2284),
    [anon_sym_exists] = ACTIONS(2284),
    [anon_sym_exit] = ACTIONS(2284),
    [anon_sym_eof] = ACTIONS(2284),
    [anon_sym_exp] = ACTIONS(2284),
    [anon_sym_each] = ACTIONS(2284),
    [anon_sym_fc] = ACTIONS(2284),
    [anon_sym_fileno] = ACTIONS(2284),
    [anon_sym_gmtime] = ACTIONS(2284),
    [anon_sym_getc] = ACTIONS(2284),
    [anon_sym_getpgrp] = ACTIONS(2284),
    [anon_sym_getprotobyname] = ACTIONS(2284),
    [anon_sym_getpwname] = ACTIONS(2284),
    [anon_sym_getpwuid] = ACTIONS(2284),
    [anon_sym_getpeername] = ACTIONS(2284),
    [anon_sym_getnetbyname] = ACTIONS(2284),
    [anon_sym_getsockname] = ACTIONS(2284),
    [anon_sym_getgrnam] = ACTIONS(2284),
    [anon_sym_getgrgid] = ACTIONS(2284),
    [anon_sym_hex] = ACTIONS(2284),
    [anon_sym_int] = ACTIONS(2284),
    [anon_sym_keys] = ACTIONS(2284),
    [anon_sym_lc] = ACTIONS(2284),
    [anon_sym_lcfirst] = ACTIONS(2284),
    [anon_sym_length] = ACTIONS(2284),
    [anon_sym_localtime] = ACTIONS(2284),
    [anon_sym_log] = ACTIONS(2284),
    [anon_sym_lock] = ACTIONS(2284),
    [anon_sym_lstat] = ACTIONS(2284),
    [anon_sym_oct] = ACTIONS(2284),
    [anon_sym_ord] = ACTIONS(2284),
    [anon_sym_prototype] = ACTIONS(2284),
    [anon_sym_pop] = ACTIONS(2284),
    [anon_sym_pos] = ACTIONS(2284),
    [anon_sym_quotemeta] = ACTIONS(2284),
    [anon_sym_reset] = ACTIONS(2284),
    [anon_sym_rand] = ACTIONS(2284),
    [anon_sym_rmdir] = ACTIONS(2284),
    [anon_sym_readdir] = ACTIONS(2284),
    [anon_sym_readline] = ACTIONS(2284),
    [anon_sym_readpipe] = ACTIONS(2284),
    [anon_sym_rewinddir] = ACTIONS(2284),
    [anon_sym_readlink] = ACTIONS(2284),
    [anon_sym_ref] = ACTIONS(2284),
    [anon_sym_scalar] = ACTIONS(2284),
    [anon_sym_shift] = ACTIONS(2284),
    [anon_sym_sin] = ACTIONS(2284),
    [anon_sym_sleep] = ACTIONS(2284),
    [anon_sym_sqrt] = ACTIONS(2284),
    [anon_sym_srand] = ACTIONS(2284),
    [anon_sym_stat] = ACTIONS(2284),
    [anon_sym_study] = ACTIONS(2284),
    [anon_sym_tell] = ACTIONS(2284),
    [anon_sym_telldir] = ACTIONS(2284),
    [anon_sym_tied] = ACTIONS(2284),
    [anon_sym_uc] = ACTIONS(2284),
    [anon_sym_ucfirst] = ACTIONS(2284),
    [anon_sym_untie] = ACTIONS(2284),
    [anon_sym_umask] = ACTIONS(2284),
    [anon_sym_values] = ACTIONS(2284),
    [anon_sym_write] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2284),
    [anon_sym_qq] = ACTIONS(2284),
    [anon_sym_qw] = ACTIONS(2284),
    [anon_sym_qx] = ACTIONS(2284),
    [anon_sym_qr] = ACTIONS(2284),
    [anon_sym_m] = ACTIONS(2284),
    [anon_sym_s] = ACTIONS(2284),
    [anon_sym_tr] = ACTIONS(2284),
    [anon_sym_y] = ACTIONS(2284),
    [sym_version] = ACTIONS(2284),
    [aux_sym__bareword_token1] = ACTIONS(2284),
    [sym_number] = ACTIONS(2284),
    [anon_sym_true] = ACTIONS(2284),
    [anon_sym_false] = ACTIONS(2284),
    [sym__single_quote] = ACTIONS(2286),
    [sym__double_quote] = ACTIONS(2286),
    [sym__backtick_quote] = ACTIONS(2286),
    [sym__search_slash_quote] = ACTIONS(2286),
    [sym__PERLY_SEMICOLON] = ACTIONS(2286),
    [sym__PERLY_HEREDOC] = ACTIONS(2286),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2286),
    [sym__filetest] = ACTIONS(2286),
  },
  [1009] = {
    [sym_heredoc_content] = STATE(1009),
    [sym__identifier] = ACTIONS(1844),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym_SEMI] = ACTIONS(1844),
    [anon_sym_DOLLAR] = ACTIONS(1844),
    [anon_sym_AT] = ACTIONS(1844),
    [anon_sym_my] = ACTIONS(1844),
    [anon_sym_extended] = ACTIONS(1844),
    [anon_sym_async] = ACTIONS(1844),
    [anon_sym_sub] = ACTIONS(1844),
    [anon_sym_method] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1844),
    [anon_sym_continue] = ACTIONS(1844),
    [anon_sym_state] = ACTIONS(1844),
    [anon_sym_our] = ACTIONS(1844),
    [anon_sym_LBRACK] = ACTIONS(1844),
    [anon_sym_LT] = ACTIONS(1844),
    [anon_sym_LT_LT] = ACTIONS(1844),
    [anon_sym_SLASH_SLASH] = ACTIONS(1844),
    [anon_sym_PLUS] = ACTIONS(1844),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1844),
    [anon_sym_DASH_DASH] = ACTIONS(1844),
    [anon_sym_BSLASH] = ACTIONS(1848),
    [anon_sym_do] = ACTIONS(1844),
    [anon_sym_eval] = ACTIONS(1844),
    [anon_sym_await] = ACTIONS(1844),
    [anon_sym_field] = ACTIONS(1844),
    [anon_sym_local] = ACTIONS(1844),
    [anon_sym_dynamically] = ACTIONS(1844),
    [anon_sym_require] = ACTIONS(1844),
    [anon_sym_map] = ACTIONS(1844),
    [anon_sym_grep] = ACTIONS(1844),
    [anon_sym_sort] = ACTIONS(1844),
    [anon_sym_goto] = ACTIONS(1844),
    [anon_sym_return] = ACTIONS(1844),
    [anon_sym_undef] = ACTIONS(1844),
    [anon_sym_PERCENT2] = ACTIONS(1844),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1844),
    [anon_sym_last] = ACTIONS(1844),
    [anon_sym_next] = ACTIONS(1844),
    [anon_sym_redo] = ACTIONS(1844),
    [anon_sym___FILE__] = ACTIONS(1844),
    [anon_sym___LINE__] = ACTIONS(1844),
    [anon_sym___PACKAGE__] = ACTIONS(1844),
    [anon_sym___SUB__] = ACTIONS(1844),
    [anon_sym_break] = ACTIONS(1844),
    [anon_sym_fork] = ACTIONS(1844),
    [anon_sym_getppid] = ACTIONS(1844),
    [anon_sym_time] = ACTIONS(1844),
    [anon_sym_times] = ACTIONS(1844),
    [anon_sym_wait] = ACTIONS(1844),
    [anon_sym_wantarray] = ACTIONS(1844),
    [anon_sym_abs] = ACTIONS(1844),
    [anon_sym_alarm] = ACTIONS(1844),
    [anon_sym_chop] = ACTIONS(1844),
    [anon_sym_chdir] = ACTIONS(1844),
    [anon_sym_close] = ACTIONS(1844),
    [anon_sym_closedir] = ACTIONS(1844),
    [anon_sym_caller] = ACTIONS(1844),
    [anon_sym_chomp] = ACTIONS(1844),
    [anon_sym_chr] = ACTIONS(1844),
    [anon_sym_cos] = ACTIONS(1844),
    [anon_sym_chroot] = ACTIONS(1844),
    [anon_sym_defined] = ACTIONS(1844),
    [anon_sym_delete] = ACTIONS(1844),
    [anon_sym_dbmclose] = ACTIONS(1844),
    [anon_sym_exists] = ACTIONS(1844),
    [anon_sym_exit] = ACTIONS(1844),
    [anon_sym_eof] = ACTIONS(1844),
    [anon_sym_exp] = ACTIONS(1844),
    [anon_sym_each] = ACTIONS(1844),
    [anon_sym_fc] = ACTIONS(1844),
    [anon_sym_fileno] = ACTIONS(1844),
    [anon_sym_gmtime] = ACTIONS(1844),
    [anon_sym_getc] = ACTIONS(1844),
    [anon_sym_getpgrp] = ACTIONS(1844),
    [anon_sym_getprotobyname] = ACTIONS(1844),
    [anon_sym_getpwname] = ACTIONS(1844),
    [anon_sym_getpwuid] = ACTIONS(1844),
    [anon_sym_getpeername] = ACTIONS(1844),
    [anon_sym_getnetbyname] = ACTIONS(1844),
    [anon_sym_getsockname] = ACTIONS(1844),
    [anon_sym_getgrnam] = ACTIONS(1844),
    [anon_sym_getgrgid] = ACTIONS(1844),
    [anon_sym_hex] = ACTIONS(1844),
    [anon_sym_int] = ACTIONS(1844),
    [anon_sym_keys] = ACTIONS(1844),
    [anon_sym_lc] = ACTIONS(1844),
    [anon_sym_lcfirst] = ACTIONS(1844),
    [anon_sym_length] = ACTIONS(1844),
    [anon_sym_localtime] = ACTIONS(1844),
    [anon_sym_log] = ACTIONS(1844),
    [anon_sym_lock] = ACTIONS(1844),
    [anon_sym_lstat] = ACTIONS(1844),
    [anon_sym_oct] = ACTIONS(1844),
    [anon_sym_ord] = ACTIONS(1844),
    [anon_sym_prototype] = ACTIONS(1844),
    [anon_sym_pop] = ACTIONS(1844),
    [anon_sym_pos] = ACTIONS(1844),
    [anon_sym_quotemeta] = ACTIONS(1844),
    [anon_sym_reset] = ACTIONS(1844),
    [anon_sym_rand] = ACTIONS(1844),
    [anon_sym_rmdir] = ACTIONS(1844),
    [anon_sym_readdir] = ACTIONS(1844),
    [anon_sym_readline] = ACTIONS(1844),
    [anon_sym_readpipe] = ACTIONS(1844),
    [anon_sym_rewinddir] = ACTIONS(1844),
    [anon_sym_readlink] = ACTIONS(1844),
    [anon_sym_ref] = ACTIONS(1844),
    [anon_sym_scalar] = ACTIONS(1844),
    [anon_sym_shift] = ACTIONS(1844),
    [anon_sym_sin] = ACTIONS(1844),
    [anon_sym_sleep] = ACTIONS(1844),
    [anon_sym_sqrt] = ACTIONS(1844),
    [anon_sym_srand] = ACTIONS(1844),
    [anon_sym_stat] = ACTIONS(1844),
    [anon_sym_study] = ACTIONS(1844),
    [anon_sym_tell] = ACTIONS(1844),
    [anon_sym_telldir] = ACTIONS(1844),
    [anon_sym_tied] = ACTIONS(1844),
    [anon_sym_uc] = ACTIONS(1844),
    [anon_sym_ucfirst] = ACTIONS(1844),
    [anon_sym_untie] = ACTIONS(1844),
    [anon_sym_umask] = ACTIONS(1844),
    [anon_sym_values] = ACTIONS(1844),
    [anon_sym_write] = ACTIONS(1844),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1844),
    [anon_sym_qq] = ACTIONS(1844),
    [anon_sym_qw] = ACTIONS(1844),
    [anon_sym_qx] = ACTIONS(1844),
    [anon_sym_qr] = ACTIONS(1844),
    [anon_sym_m] = ACTIONS(1844),
    [anon_sym_s] = ACTIONS(1844),
    [anon_sym_tr] = ACTIONS(1844),
    [anon_sym_y] = ACTIONS(1844),
    [aux_sym__bareword_token1] = ACTIONS(1844),
    [sym_number] = ACTIONS(1844),
    [anon_sym_true] = ACTIONS(1844),
    [anon_sym_false] = ACTIONS(1844),
    [sym__single_quote] = ACTIONS(1848),
    [sym__double_quote] = ACTIONS(1848),
    [sym__backtick_quote] = ACTIONS(1848),
    [sym__search_slash_quote] = ACTIONS(1848),
    [sym__PERLY_SEMICOLON] = ACTIONS(1848),
    [sym__PERLY_HEREDOC] = ACTIONS(1848),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1848),
    [sym__filetest] = ACTIONS(1848),
  },
  [1010] = {
    [sym_heredoc_content] = STATE(1010),
    [sym__identifier] = ACTIONS(2269),
    [anon_sym_LBRACE] = ACTIONS(2269),
    [anon_sym_RBRACE] = ACTIONS(2269),
    [anon_sym_DOLLAR] = ACTIONS(2269),
    [anon_sym_AT] = ACTIONS(2269),
    [anon_sym_my] = ACTIONS(2269),
    [anon_sym_extended] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2269),
    [anon_sym_sub] = ACTIONS(2269),
    [anon_sym_method] = ACTIONS(2269),
    [anon_sym_LPAREN] = ACTIONS(2269),
    [anon_sym_continue] = ACTIONS(2269),
    [anon_sym_state] = ACTIONS(2269),
    [anon_sym_our] = ACTIONS(2269),
    [anon_sym_LBRACK] = ACTIONS(2269),
    [anon_sym_LT] = ACTIONS(2269),
    [anon_sym_LT_LT] = ACTIONS(2269),
    [anon_sym_SLASH_SLASH] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_STAR] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_BSLASH] = ACTIONS(2271),
    [anon_sym_do] = ACTIONS(2269),
    [anon_sym_eval] = ACTIONS(2269),
    [anon_sym_await] = ACTIONS(2269),
    [anon_sym_field] = ACTIONS(2269),
    [anon_sym_local] = ACTIONS(2269),
    [anon_sym_dynamically] = ACTIONS(2269),
    [anon_sym_require] = ACTIONS(2269),
    [anon_sym_map] = ACTIONS(2269),
    [anon_sym_grep] = ACTIONS(2269),
    [anon_sym_sort] = ACTIONS(2269),
    [anon_sym_goto] = ACTIONS(2269),
    [anon_sym_return] = ACTIONS(2269),
    [anon_sym_undef] = ACTIONS(2269),
    [anon_sym_PERCENT2] = ACTIONS(2269),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2269),
    [anon_sym_last] = ACTIONS(2269),
    [anon_sym_next] = ACTIONS(2269),
    [anon_sym_redo] = ACTIONS(2269),
    [anon_sym___FILE__] = ACTIONS(2269),
    [anon_sym___LINE__] = ACTIONS(2269),
    [anon_sym___PACKAGE__] = ACTIONS(2269),
    [anon_sym___SUB__] = ACTIONS(2269),
    [anon_sym_break] = ACTIONS(2269),
    [anon_sym_fork] = ACTIONS(2269),
    [anon_sym_getppid] = ACTIONS(2269),
    [anon_sym_time] = ACTIONS(2269),
    [anon_sym_times] = ACTIONS(2269),
    [anon_sym_wait] = ACTIONS(2269),
    [anon_sym_wantarray] = ACTIONS(2269),
    [anon_sym_abs] = ACTIONS(2269),
    [anon_sym_alarm] = ACTIONS(2269),
    [anon_sym_chop] = ACTIONS(2269),
    [anon_sym_chdir] = ACTIONS(2269),
    [anon_sym_close] = ACTIONS(2269),
    [anon_sym_closedir] = ACTIONS(2269),
    [anon_sym_caller] = ACTIONS(2269),
    [anon_sym_chomp] = ACTIONS(2269),
    [anon_sym_chr] = ACTIONS(2269),
    [anon_sym_cos] = ACTIONS(2269),
    [anon_sym_chroot] = ACTIONS(2269),
    [anon_sym_defined] = ACTIONS(2269),
    [anon_sym_delete] = ACTIONS(2269),
    [anon_sym_dbmclose] = ACTIONS(2269),
    [anon_sym_exists] = ACTIONS(2269),
    [anon_sym_exit] = ACTIONS(2269),
    [anon_sym_eof] = ACTIONS(2269),
    [anon_sym_exp] = ACTIONS(2269),
    [anon_sym_each] = ACTIONS(2269),
    [anon_sym_fc] = ACTIONS(2269),
    [anon_sym_fileno] = ACTIONS(2269),
    [anon_sym_gmtime] = ACTIONS(2269),
    [anon_sym_getc] = ACTIONS(2269),
    [anon_sym_getpgrp] = ACTIONS(2269),
    [anon_sym_getprotobyname] = ACTIONS(2269),
    [anon_sym_getpwname] = ACTIONS(2269),
    [anon_sym_getpwuid] = ACTIONS(2269),
    [anon_sym_getpeername] = ACTIONS(2269),
    [anon_sym_getnetbyname] = ACTIONS(2269),
    [anon_sym_getsockname] = ACTIONS(2269),
    [anon_sym_getgrnam] = ACTIONS(2269),
    [anon_sym_getgrgid] = ACTIONS(2269),
    [anon_sym_hex] = ACTIONS(2269),
    [anon_sym_int] = ACTIONS(2269),
    [anon_sym_keys] = ACTIONS(2269),
    [anon_sym_lc] = ACTIONS(2269),
    [anon_sym_lcfirst] = ACTIONS(2269),
    [anon_sym_length] = ACTIONS(2269),
    [anon_sym_localtime] = ACTIONS(2269),
    [anon_sym_log] = ACTIONS(2269),
    [anon_sym_lock] = ACTIONS(2269),
    [anon_sym_lstat] = ACTIONS(2269),
    [anon_sym_oct] = ACTIONS(2269),
    [anon_sym_ord] = ACTIONS(2269),
    [anon_sym_prototype] = ACTIONS(2269),
    [anon_sym_pop] = ACTIONS(2269),
    [anon_sym_pos] = ACTIONS(2269),
    [anon_sym_quotemeta] = ACTIONS(2269),
    [anon_sym_reset] = ACTIONS(2269),
    [anon_sym_rand] = ACTIONS(2269),
    [anon_sym_rmdir] = ACTIONS(2269),
    [anon_sym_readdir] = ACTIONS(2269),
    [anon_sym_readline] = ACTIONS(2269),
    [anon_sym_readpipe] = ACTIONS(2269),
    [anon_sym_rewinddir] = ACTIONS(2269),
    [anon_sym_readlink] = ACTIONS(2269),
    [anon_sym_ref] = ACTIONS(2269),
    [anon_sym_scalar] = ACTIONS(2269),
    [anon_sym_shift] = ACTIONS(2269),
    [anon_sym_sin] = ACTIONS(2269),
    [anon_sym_sleep] = ACTIONS(2269),
    [anon_sym_sqrt] = ACTIONS(2269),
    [anon_sym_srand] = ACTIONS(2269),
    [anon_sym_stat] = ACTIONS(2269),
    [anon_sym_study] = ACTIONS(2269),
    [anon_sym_tell] = ACTIONS(2269),
    [anon_sym_telldir] = ACTIONS(2269),
    [anon_sym_tied] = ACTIONS(2269),
    [anon_sym_uc] = ACTIONS(2269),
    [anon_sym_ucfirst] = ACTIONS(2269),
    [anon_sym_untie] = ACTIONS(2269),
    [anon_sym_umask] = ACTIONS(2269),
    [anon_sym_values] = ACTIONS(2269),
    [anon_sym_write] = ACTIONS(2269),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2269),
    [anon_sym_qq] = ACTIONS(2269),
    [anon_sym_qw] = ACTIONS(2269),
    [anon_sym_qx] = ACTIONS(2269),
    [anon_sym_qr] = ACTIONS(2269),
    [anon_sym_m] = ACTIONS(2269),
    [anon_sym_s] = ACTIONS(2269),
    [anon_sym_tr] = ACTIONS(2269),
    [anon_sym_y] = ACTIONS(2269),
    [aux_sym__bareword_token1] = ACTIONS(2269),
    [sym_number] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(2269),
    [anon_sym_false] = ACTIONS(2269),
    [sym__single_quote] = ACTIONS(2271),
    [sym__double_quote] = ACTIONS(2271),
    [sym__backtick_quote] = ACTIONS(2271),
    [sym__search_slash_quote] = ACTIONS(2271),
    [sym__PERLY_HEREDOC] = ACTIONS(2271),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2271),
    [sym__filetest] = ACTIONS(2271),
  },
  [1011] = {
    [sym_heredoc_content] = STATE(1011),
    [sym__identifier] = ACTIONS(1785),
    [anon_sym_LBRACE] = ACTIONS(1785),
    [anon_sym_DOLLAR] = ACTIONS(1785),
    [anon_sym_AT] = ACTIONS(1785),
    [anon_sym_my] = ACTIONS(1785),
    [anon_sym_extended] = ACTIONS(1785),
    [anon_sym_async] = ACTIONS(1785),
    [anon_sym_sub] = ACTIONS(1785),
    [anon_sym_method] = ACTIONS(1785),
    [anon_sym_LPAREN] = ACTIONS(1785),
    [anon_sym_continue] = ACTIONS(1785),
    [anon_sym_state] = ACTIONS(1785),
    [anon_sym_our] = ACTIONS(1785),
    [anon_sym_LBRACK] = ACTIONS(1785),
    [anon_sym_LT] = ACTIONS(1785),
    [anon_sym_LT_LT] = ACTIONS(1785),
    [anon_sym_SLASH_SLASH] = ACTIONS(1785),
    [anon_sym_PLUS] = ACTIONS(1785),
    [anon_sym_DASH] = ACTIONS(1785),
    [anon_sym_STAR] = ACTIONS(1785),
    [anon_sym_TILDE] = ACTIONS(1785),
    [anon_sym_BANG] = ACTIONS(1785),
    [anon_sym_PLUS_PLUS] = ACTIONS(1785),
    [anon_sym_DASH_DASH] = ACTIONS(1785),
    [anon_sym_BSLASH] = ACTIONS(1792),
    [anon_sym_do] = ACTIONS(1785),
    [anon_sym_eval] = ACTIONS(1785),
    [anon_sym_await] = ACTIONS(1785),
    [anon_sym_field] = ACTIONS(1785),
    [anon_sym_local] = ACTIONS(1785),
    [anon_sym_dynamically] = ACTIONS(1785),
    [anon_sym_require] = ACTIONS(1785),
    [anon_sym_map] = ACTIONS(1785),
    [anon_sym_grep] = ACTIONS(1785),
    [anon_sym_sort] = ACTIONS(1785),
    [anon_sym_goto] = ACTIONS(1785),
    [anon_sym_return] = ACTIONS(1785),
    [anon_sym_undef] = ACTIONS(1785),
    [anon_sym_PERCENT2] = ACTIONS(1785),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1785),
    [anon_sym_last] = ACTIONS(1785),
    [anon_sym_next] = ACTIONS(1785),
    [anon_sym_redo] = ACTIONS(1785),
    [anon_sym___FILE__] = ACTIONS(1785),
    [anon_sym___LINE__] = ACTIONS(1785),
    [anon_sym___PACKAGE__] = ACTIONS(1785),
    [anon_sym___SUB__] = ACTIONS(1785),
    [anon_sym_break] = ACTIONS(1785),
    [anon_sym_fork] = ACTIONS(1785),
    [anon_sym_getppid] = ACTIONS(1785),
    [anon_sym_time] = ACTIONS(1785),
    [anon_sym_times] = ACTIONS(1785),
    [anon_sym_wait] = ACTIONS(1785),
    [anon_sym_wantarray] = ACTIONS(1785),
    [anon_sym_abs] = ACTIONS(1785),
    [anon_sym_alarm] = ACTIONS(1785),
    [anon_sym_chop] = ACTIONS(1785),
    [anon_sym_chdir] = ACTIONS(1785),
    [anon_sym_close] = ACTIONS(1785),
    [anon_sym_closedir] = ACTIONS(1785),
    [anon_sym_caller] = ACTIONS(1785),
    [anon_sym_chomp] = ACTIONS(1785),
    [anon_sym_chr] = ACTIONS(1785),
    [anon_sym_cos] = ACTIONS(1785),
    [anon_sym_chroot] = ACTIONS(1785),
    [anon_sym_defined] = ACTIONS(1785),
    [anon_sym_delete] = ACTIONS(1785),
    [anon_sym_dbmclose] = ACTIONS(1785),
    [anon_sym_exists] = ACTIONS(1785),
    [anon_sym_exit] = ACTIONS(1785),
    [anon_sym_eof] = ACTIONS(1785),
    [anon_sym_exp] = ACTIONS(1785),
    [anon_sym_each] = ACTIONS(1785),
    [anon_sym_fc] = ACTIONS(1785),
    [anon_sym_fileno] = ACTIONS(1785),
    [anon_sym_gmtime] = ACTIONS(1785),
    [anon_sym_getc] = ACTIONS(1785),
    [anon_sym_getpgrp] = ACTIONS(1785),
    [anon_sym_getprotobyname] = ACTIONS(1785),
    [anon_sym_getpwname] = ACTIONS(1785),
    [anon_sym_getpwuid] = ACTIONS(1785),
    [anon_sym_getpeername] = ACTIONS(1785),
    [anon_sym_getnetbyname] = ACTIONS(1785),
    [anon_sym_getsockname] = ACTIONS(1785),
    [anon_sym_getgrnam] = ACTIONS(1785),
    [anon_sym_getgrgid] = ACTIONS(1785),
    [anon_sym_hex] = ACTIONS(1785),
    [anon_sym_int] = ACTIONS(1785),
    [anon_sym_keys] = ACTIONS(1785),
    [anon_sym_lc] = ACTIONS(1785),
    [anon_sym_lcfirst] = ACTIONS(1785),
    [anon_sym_length] = ACTIONS(1785),
    [anon_sym_localtime] = ACTIONS(1785),
    [anon_sym_log] = ACTIONS(1785),
    [anon_sym_lock] = ACTIONS(1785),
    [anon_sym_lstat] = ACTIONS(1785),
    [anon_sym_oct] = ACTIONS(1785),
    [anon_sym_ord] = ACTIONS(1785),
    [anon_sym_prototype] = ACTIONS(1785),
    [anon_sym_pop] = ACTIONS(1785),
    [anon_sym_pos] = ACTIONS(1785),
    [anon_sym_quotemeta] = ACTIONS(1785),
    [anon_sym_reset] = ACTIONS(1785),
    [anon_sym_rand] = ACTIONS(1785),
    [anon_sym_rmdir] = ACTIONS(1785),
    [anon_sym_readdir] = ACTIONS(1785),
    [anon_sym_readline] = ACTIONS(1785),
    [anon_sym_readpipe] = ACTIONS(1785),
    [anon_sym_rewinddir] = ACTIONS(1785),
    [anon_sym_readlink] = ACTIONS(1785),
    [anon_sym_ref] = ACTIONS(1785),
    [anon_sym_scalar] = ACTIONS(1785),
    [anon_sym_shift] = ACTIONS(1785),
    [anon_sym_sin] = ACTIONS(1785),
    [anon_sym_sleep] = ACTIONS(1785),
    [anon_sym_sqrt] = ACTIONS(1785),
    [anon_sym_srand] = ACTIONS(1785),
    [anon_sym_stat] = ACTIONS(1785),
    [anon_sym_study] = ACTIONS(1785),
    [anon_sym_tell] = ACTIONS(1785),
    [anon_sym_telldir] = ACTIONS(1785),
    [anon_sym_tied] = ACTIONS(1785),
    [anon_sym_uc] = ACTIONS(1785),
    [anon_sym_ucfirst] = ACTIONS(1785),
    [anon_sym_untie] = ACTIONS(1785),
    [anon_sym_umask] = ACTIONS(1785),
    [anon_sym_values] = ACTIONS(1785),
    [anon_sym_write] = ACTIONS(1785),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1785),
    [anon_sym_qq] = ACTIONS(1785),
    [anon_sym_qw] = ACTIONS(1785),
    [anon_sym_qx] = ACTIONS(1785),
    [anon_sym_qr] = ACTIONS(1785),
    [anon_sym_m] = ACTIONS(1785),
    [anon_sym_s] = ACTIONS(1785),
    [anon_sym_tr] = ACTIONS(1785),
    [anon_sym_y] = ACTIONS(1785),
    [aux_sym__bareword_token1] = ACTIONS(1785),
    [sym_number] = ACTIONS(1785),
    [anon_sym_true] = ACTIONS(1785),
    [anon_sym_false] = ACTIONS(1785),
    [sym__single_quote] = ACTIONS(1792),
    [sym__double_quote] = ACTIONS(1792),
    [sym__backtick_quote] = ACTIONS(1792),
    [sym__search_slash_quote] = ACTIONS(1792),
    [sym__PERLY_HEREDOC] = ACTIONS(1792),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1792),
    [sym__filetest] = ACTIONS(1792),
  },
  [1012] = {
    [sym_heredoc_content] = STATE(1012),
    [sym__identifier] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_DOLLAR] = ACTIONS(2288),
    [anon_sym_AT] = ACTIONS(2288),
    [anon_sym_my] = ACTIONS(2288),
    [anon_sym_extended] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_sub] = ACTIONS(2288),
    [anon_sym_method] = ACTIONS(2288),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_state] = ACTIONS(2288),
    [anon_sym_our] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_LT_LT] = ACTIONS(2288),
    [anon_sym_SLASH_SLASH] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [anon_sym_BSLASH] = ACTIONS(2290),
    [anon_sym_do] = ACTIONS(2288),
    [anon_sym_eval] = ACTIONS(2288),
    [anon_sym_await] = ACTIONS(2288),
    [anon_sym_field] = ACTIONS(2288),
    [anon_sym_local] = ACTIONS(2288),
    [anon_sym_dynamically] = ACTIONS(2288),
    [anon_sym_require] = ACTIONS(2288),
    [anon_sym_map] = ACTIONS(2288),
    [anon_sym_grep] = ACTIONS(2288),
    [anon_sym_sort] = ACTIONS(2288),
    [anon_sym_goto] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_undef] = ACTIONS(2288),
    [anon_sym_PERCENT2] = ACTIONS(2288),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2288),
    [anon_sym_last] = ACTIONS(2288),
    [anon_sym_next] = ACTIONS(2288),
    [anon_sym_redo] = ACTIONS(2288),
    [anon_sym___FILE__] = ACTIONS(2288),
    [anon_sym___LINE__] = ACTIONS(2288),
    [anon_sym___PACKAGE__] = ACTIONS(2288),
    [anon_sym___SUB__] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_fork] = ACTIONS(2288),
    [anon_sym_getppid] = ACTIONS(2288),
    [anon_sym_time] = ACTIONS(2288),
    [anon_sym_times] = ACTIONS(2288),
    [anon_sym_wait] = ACTIONS(2288),
    [anon_sym_wantarray] = ACTIONS(2288),
    [anon_sym_abs] = ACTIONS(2288),
    [anon_sym_alarm] = ACTIONS(2288),
    [anon_sym_chop] = ACTIONS(2288),
    [anon_sym_chdir] = ACTIONS(2288),
    [anon_sym_close] = ACTIONS(2288),
    [anon_sym_closedir] = ACTIONS(2288),
    [anon_sym_caller] = ACTIONS(2288),
    [anon_sym_chomp] = ACTIONS(2288),
    [anon_sym_chr] = ACTIONS(2288),
    [anon_sym_cos] = ACTIONS(2288),
    [anon_sym_chroot] = ACTIONS(2288),
    [anon_sym_defined] = ACTIONS(2288),
    [anon_sym_delete] = ACTIONS(2288),
    [anon_sym_dbmclose] = ACTIONS(2288),
    [anon_sym_exists] = ACTIONS(2288),
    [anon_sym_exit] = ACTIONS(2288),
    [anon_sym_eof] = ACTIONS(2288),
    [anon_sym_exp] = ACTIONS(2288),
    [anon_sym_each] = ACTIONS(2288),
    [anon_sym_fc] = ACTIONS(2288),
    [anon_sym_fileno] = ACTIONS(2288),
    [anon_sym_gmtime] = ACTIONS(2288),
    [anon_sym_getc] = ACTIONS(2288),
    [anon_sym_getpgrp] = ACTIONS(2288),
    [anon_sym_getprotobyname] = ACTIONS(2288),
    [anon_sym_getpwname] = ACTIONS(2288),
    [anon_sym_getpwuid] = ACTIONS(2288),
    [anon_sym_getpeername] = ACTIONS(2288),
    [anon_sym_getnetbyname] = ACTIONS(2288),
    [anon_sym_getsockname] = ACTIONS(2288),
    [anon_sym_getgrnam] = ACTIONS(2288),
    [anon_sym_getgrgid] = ACTIONS(2288),
    [anon_sym_hex] = ACTIONS(2288),
    [anon_sym_int] = ACTIONS(2288),
    [anon_sym_keys] = ACTIONS(2288),
    [anon_sym_lc] = ACTIONS(2288),
    [anon_sym_lcfirst] = ACTIONS(2288),
    [anon_sym_length] = ACTIONS(2288),
    [anon_sym_localtime] = ACTIONS(2288),
    [anon_sym_log] = ACTIONS(2288),
    [anon_sym_lock] = ACTIONS(2288),
    [anon_sym_lstat] = ACTIONS(2288),
    [anon_sym_oct] = ACTIONS(2288),
    [anon_sym_ord] = ACTIONS(2288),
    [anon_sym_prototype] = ACTIONS(2288),
    [anon_sym_pop] = ACTIONS(2288),
    [anon_sym_pos] = ACTIONS(2288),
    [anon_sym_quotemeta] = ACTIONS(2288),
    [anon_sym_reset] = ACTIONS(2288),
    [anon_sym_rand] = ACTIONS(2288),
    [anon_sym_rmdir] = ACTIONS(2288),
    [anon_sym_readdir] = ACTIONS(2288),
    [anon_sym_readline] = ACTIONS(2288),
    [anon_sym_readpipe] = ACTIONS(2288),
    [anon_sym_rewinddir] = ACTIONS(2288),
    [anon_sym_readlink] = ACTIONS(2288),
    [anon_sym_ref] = ACTIONS(2288),
    [anon_sym_scalar] = ACTIONS(2288),
    [anon_sym_shift] = ACTIONS(2288),
    [anon_sym_sin] = ACTIONS(2288),
    [anon_sym_sleep] = ACTIONS(2288),
    [anon_sym_sqrt] = ACTIONS(2288),
    [anon_sym_srand] = ACTIONS(2288),
    [anon_sym_stat] = ACTIONS(2288),
    [anon_sym_study] = ACTIONS(2288),
    [anon_sym_tell] = ACTIONS(2288),
    [anon_sym_telldir] = ACTIONS(2288),
    [anon_sym_tied] = ACTIONS(2288),
    [anon_sym_uc] = ACTIONS(2288),
    [anon_sym_ucfirst] = ACTIONS(2288),
    [anon_sym_untie] = ACTIONS(2288),
    [anon_sym_umask] = ACTIONS(2288),
    [anon_sym_values] = ACTIONS(2288),
    [anon_sym_write] = ACTIONS(2288),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2288),
    [anon_sym_qq] = ACTIONS(2288),
    [anon_sym_qw] = ACTIONS(2288),
    [anon_sym_qx] = ACTIONS(2288),
    [anon_sym_qr] = ACTIONS(2288),
    [anon_sym_m] = ACTIONS(2288),
    [anon_sym_s] = ACTIONS(2288),
    [anon_sym_tr] = ACTIONS(2288),
    [anon_sym_y] = ACTIONS(2288),
    [aux_sym__bareword_token1] = ACTIONS(2288),
    [sym_number] = ACTIONS(2288),
    [anon_sym_true] = ACTIONS(2288),
    [anon_sym_false] = ACTIONS(2288),
    [sym__single_quote] = ACTIONS(2290),
    [sym__double_quote] = ACTIONS(2290),
    [sym__backtick_quote] = ACTIONS(2290),
    [sym__search_slash_quote] = ACTIONS(2290),
    [sym__PERLY_HEREDOC] = ACTIONS(2290),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2290),
    [sym__filetest] = ACTIONS(2290),
  },
  [1013] = {
    [sym_heredoc_content] = STATE(1013),
    [sym__identifier] = ACTIONS(2292),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [anon_sym_DOLLAR] = ACTIONS(2292),
    [anon_sym_AT] = ACTIONS(2292),
    [anon_sym_my] = ACTIONS(2292),
    [anon_sym_extended] = ACTIONS(2292),
    [anon_sym_async] = ACTIONS(2292),
    [anon_sym_sub] = ACTIONS(2292),
    [anon_sym_method] = ACTIONS(2292),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_continue] = ACTIONS(2292),
    [anon_sym_state] = ACTIONS(2292),
    [anon_sym_our] = ACTIONS(2292),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_LT] = ACTIONS(2292),
    [anon_sym_LT_LT] = ACTIONS(2292),
    [anon_sym_SLASH_SLASH] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_DASH] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2292),
    [anon_sym_TILDE] = ACTIONS(2292),
    [anon_sym_BANG] = ACTIONS(2292),
    [anon_sym_PLUS_PLUS] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(2292),
    [anon_sym_BSLASH] = ACTIONS(2294),
    [anon_sym_do] = ACTIONS(2292),
    [anon_sym_eval] = ACTIONS(2292),
    [anon_sym_await] = ACTIONS(2292),
    [anon_sym_field] = ACTIONS(2292),
    [anon_sym_local] = ACTIONS(2292),
    [anon_sym_dynamically] = ACTIONS(2292),
    [anon_sym_require] = ACTIONS(2292),
    [anon_sym_map] = ACTIONS(2292),
    [anon_sym_grep] = ACTIONS(2292),
    [anon_sym_sort] = ACTIONS(2292),
    [anon_sym_goto] = ACTIONS(2292),
    [anon_sym_return] = ACTIONS(2292),
    [anon_sym_undef] = ACTIONS(2292),
    [anon_sym_PERCENT2] = ACTIONS(2292),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2292),
    [anon_sym_last] = ACTIONS(2292),
    [anon_sym_next] = ACTIONS(2292),
    [anon_sym_redo] = ACTIONS(2292),
    [anon_sym___FILE__] = ACTIONS(2292),
    [anon_sym___LINE__] = ACTIONS(2292),
    [anon_sym___PACKAGE__] = ACTIONS(2292),
    [anon_sym___SUB__] = ACTIONS(2292),
    [anon_sym_break] = ACTIONS(2292),
    [anon_sym_fork] = ACTIONS(2292),
    [anon_sym_getppid] = ACTIONS(2292),
    [anon_sym_time] = ACTIONS(2292),
    [anon_sym_times] = ACTIONS(2292),
    [anon_sym_wait] = ACTIONS(2292),
    [anon_sym_wantarray] = ACTIONS(2292),
    [anon_sym_abs] = ACTIONS(2292),
    [anon_sym_alarm] = ACTIONS(2292),
    [anon_sym_chop] = ACTIONS(2292),
    [anon_sym_chdir] = ACTIONS(2292),
    [anon_sym_close] = ACTIONS(2292),
    [anon_sym_closedir] = ACTIONS(2292),
    [anon_sym_caller] = ACTIONS(2292),
    [anon_sym_chomp] = ACTIONS(2292),
    [anon_sym_chr] = ACTIONS(2292),
    [anon_sym_cos] = ACTIONS(2292),
    [anon_sym_chroot] = ACTIONS(2292),
    [anon_sym_defined] = ACTIONS(2292),
    [anon_sym_delete] = ACTIONS(2292),
    [anon_sym_dbmclose] = ACTIONS(2292),
    [anon_sym_exists] = ACTIONS(2292),
    [anon_sym_exit] = ACTIONS(2292),
    [anon_sym_eof] = ACTIONS(2292),
    [anon_sym_exp] = ACTIONS(2292),
    [anon_sym_each] = ACTIONS(2292),
    [anon_sym_fc] = ACTIONS(2292),
    [anon_sym_fileno] = ACTIONS(2292),
    [anon_sym_gmtime] = ACTIONS(2292),
    [anon_sym_getc] = ACTIONS(2292),
    [anon_sym_getpgrp] = ACTIONS(2292),
    [anon_sym_getprotobyname] = ACTIONS(2292),
    [anon_sym_getpwname] = ACTIONS(2292),
    [anon_sym_getpwuid] = ACTIONS(2292),
    [anon_sym_getpeername] = ACTIONS(2292),
    [anon_sym_getnetbyname] = ACTIONS(2292),
    [anon_sym_getsockname] = ACTIONS(2292),
    [anon_sym_getgrnam] = ACTIONS(2292),
    [anon_sym_getgrgid] = ACTIONS(2292),
    [anon_sym_hex] = ACTIONS(2292),
    [anon_sym_int] = ACTIONS(2292),
    [anon_sym_keys] = ACTIONS(2292),
    [anon_sym_lc] = ACTIONS(2292),
    [anon_sym_lcfirst] = ACTIONS(2292),
    [anon_sym_length] = ACTIONS(2292),
    [anon_sym_localtime] = ACTIONS(2292),
    [anon_sym_log] = ACTIONS(2292),
    [anon_sym_lock] = ACTIONS(2292),
    [anon_sym_lstat] = ACTIONS(2292),
    [anon_sym_oct] = ACTIONS(2292),
    [anon_sym_ord] = ACTIONS(2292),
    [anon_sym_prototype] = ACTIONS(2292),
    [anon_sym_pop] = ACTIONS(2292),
    [anon_sym_pos] = ACTIONS(2292),
    [anon_sym_quotemeta] = ACTIONS(2292),
    [anon_sym_reset] = ACTIONS(2292),
    [anon_sym_rand] = ACTIONS(2292),
    [anon_sym_rmdir] = ACTIONS(2292),
    [anon_sym_readdir] = ACTIONS(2292),
    [anon_sym_readline] = ACTIONS(2292),
    [anon_sym_readpipe] = ACTIONS(2292),
    [anon_sym_rewinddir] = ACTIONS(2292),
    [anon_sym_readlink] = ACTIONS(2292),
    [anon_sym_ref] = ACTIONS(2292),
    [anon_sym_scalar] = ACTIONS(2292),
    [anon_sym_shift] = ACTIONS(2292),
    [anon_sym_sin] = ACTIONS(2292),
    [anon_sym_sleep] = ACTIONS(2292),
    [anon_sym_sqrt] = ACTIONS(2292),
    [anon_sym_srand] = ACTIONS(2292),
    [anon_sym_stat] = ACTIONS(2292),
    [anon_sym_study] = ACTIONS(2292),
    [anon_sym_tell] = ACTIONS(2292),
    [anon_sym_telldir] = ACTIONS(2292),
    [anon_sym_tied] = ACTIONS(2292),
    [anon_sym_uc] = ACTIONS(2292),
    [anon_sym_ucfirst] = ACTIONS(2292),
    [anon_sym_untie] = ACTIONS(2292),
    [anon_sym_umask] = ACTIONS(2292),
    [anon_sym_values] = ACTIONS(2292),
    [anon_sym_write] = ACTIONS(2292),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2292),
    [anon_sym_qq] = ACTIONS(2292),
    [anon_sym_qw] = ACTIONS(2292),
    [anon_sym_qx] = ACTIONS(2292),
    [anon_sym_qr] = ACTIONS(2292),
    [anon_sym_m] = ACTIONS(2292),
    [anon_sym_s] = ACTIONS(2292),
    [anon_sym_tr] = ACTIONS(2292),
    [anon_sym_y] = ACTIONS(2292),
    [aux_sym__bareword_token1] = ACTIONS(2292),
    [sym_number] = ACTIONS(2292),
    [anon_sym_true] = ACTIONS(2292),
    [anon_sym_false] = ACTIONS(2292),
    [sym__single_quote] = ACTIONS(2294),
    [sym__double_quote] = ACTIONS(2294),
    [sym__backtick_quote] = ACTIONS(2294),
    [sym__search_slash_quote] = ACTIONS(2294),
    [sym__PERLY_HEREDOC] = ACTIONS(2294),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2294),
    [sym__filetest] = ACTIONS(2294),
  },
  [1014] = {
    [sym_heredoc_content] = STATE(1014),
    [sym__identifier] = ACTIONS(2296),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_DOLLAR] = ACTIONS(2296),
    [anon_sym_AT] = ACTIONS(2296),
    [anon_sym_my] = ACTIONS(2296),
    [anon_sym_extended] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_sub] = ACTIONS(2296),
    [anon_sym_method] = ACTIONS(2296),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_state] = ACTIONS(2296),
    [anon_sym_our] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_LT_LT] = ACTIONS(2296),
    [anon_sym_SLASH_SLASH] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_BSLASH] = ACTIONS(2298),
    [anon_sym_do] = ACTIONS(2296),
    [anon_sym_eval] = ACTIONS(2296),
    [anon_sym_await] = ACTIONS(2296),
    [anon_sym_field] = ACTIONS(2296),
    [anon_sym_local] = ACTIONS(2296),
    [anon_sym_dynamically] = ACTIONS(2296),
    [anon_sym_require] = ACTIONS(2296),
    [anon_sym_map] = ACTIONS(2296),
    [anon_sym_grep] = ACTIONS(2296),
    [anon_sym_sort] = ACTIONS(2296),
    [anon_sym_goto] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_undef] = ACTIONS(2296),
    [anon_sym_PERCENT2] = ACTIONS(2296),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2296),
    [anon_sym_last] = ACTIONS(2296),
    [anon_sym_next] = ACTIONS(2296),
    [anon_sym_redo] = ACTIONS(2296),
    [anon_sym___FILE__] = ACTIONS(2296),
    [anon_sym___LINE__] = ACTIONS(2296),
    [anon_sym___PACKAGE__] = ACTIONS(2296),
    [anon_sym___SUB__] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_fork] = ACTIONS(2296),
    [anon_sym_getppid] = ACTIONS(2296),
    [anon_sym_time] = ACTIONS(2296),
    [anon_sym_times] = ACTIONS(2296),
    [anon_sym_wait] = ACTIONS(2296),
    [anon_sym_wantarray] = ACTIONS(2296),
    [anon_sym_abs] = ACTIONS(2296),
    [anon_sym_alarm] = ACTIONS(2296),
    [anon_sym_chop] = ACTIONS(2296),
    [anon_sym_chdir] = ACTIONS(2296),
    [anon_sym_close] = ACTIONS(2296),
    [anon_sym_closedir] = ACTIONS(2296),
    [anon_sym_caller] = ACTIONS(2296),
    [anon_sym_chomp] = ACTIONS(2296),
    [anon_sym_chr] = ACTIONS(2296),
    [anon_sym_cos] = ACTIONS(2296),
    [anon_sym_chroot] = ACTIONS(2296),
    [anon_sym_defined] = ACTIONS(2296),
    [anon_sym_delete] = ACTIONS(2296),
    [anon_sym_dbmclose] = ACTIONS(2296),
    [anon_sym_exists] = ACTIONS(2296),
    [anon_sym_exit] = ACTIONS(2296),
    [anon_sym_eof] = ACTIONS(2296),
    [anon_sym_exp] = ACTIONS(2296),
    [anon_sym_each] = ACTIONS(2296),
    [anon_sym_fc] = ACTIONS(2296),
    [anon_sym_fileno] = ACTIONS(2296),
    [anon_sym_gmtime] = ACTIONS(2296),
    [anon_sym_getc] = ACTIONS(2296),
    [anon_sym_getpgrp] = ACTIONS(2296),
    [anon_sym_getprotobyname] = ACTIONS(2296),
    [anon_sym_getpwname] = ACTIONS(2296),
    [anon_sym_getpwuid] = ACTIONS(2296),
    [anon_sym_getpeername] = ACTIONS(2296),
    [anon_sym_getnetbyname] = ACTIONS(2296),
    [anon_sym_getsockname] = ACTIONS(2296),
    [anon_sym_getgrnam] = ACTIONS(2296),
    [anon_sym_getgrgid] = ACTIONS(2296),
    [anon_sym_hex] = ACTIONS(2296),
    [anon_sym_int] = ACTIONS(2296),
    [anon_sym_keys] = ACTIONS(2296),
    [anon_sym_lc] = ACTIONS(2296),
    [anon_sym_lcfirst] = ACTIONS(2296),
    [anon_sym_length] = ACTIONS(2296),
    [anon_sym_localtime] = ACTIONS(2296),
    [anon_sym_log] = ACTIONS(2296),
    [anon_sym_lock] = ACTIONS(2296),
    [anon_sym_lstat] = ACTIONS(2296),
    [anon_sym_oct] = ACTIONS(2296),
    [anon_sym_ord] = ACTIONS(2296),
    [anon_sym_prototype] = ACTIONS(2296),
    [anon_sym_pop] = ACTIONS(2296),
    [anon_sym_pos] = ACTIONS(2296),
    [anon_sym_quotemeta] = ACTIONS(2296),
    [anon_sym_reset] = ACTIONS(2296),
    [anon_sym_rand] = ACTIONS(2296),
    [anon_sym_rmdir] = ACTIONS(2296),
    [anon_sym_readdir] = ACTIONS(2296),
    [anon_sym_readline] = ACTIONS(2296),
    [anon_sym_readpipe] = ACTIONS(2296),
    [anon_sym_rewinddir] = ACTIONS(2296),
    [anon_sym_readlink] = ACTIONS(2296),
    [anon_sym_ref] = ACTIONS(2296),
    [anon_sym_scalar] = ACTIONS(2296),
    [anon_sym_shift] = ACTIONS(2296),
    [anon_sym_sin] = ACTIONS(2296),
    [anon_sym_sleep] = ACTIONS(2296),
    [anon_sym_sqrt] = ACTIONS(2296),
    [anon_sym_srand] = ACTIONS(2296),
    [anon_sym_stat] = ACTIONS(2296),
    [anon_sym_study] = ACTIONS(2296),
    [anon_sym_tell] = ACTIONS(2296),
    [anon_sym_telldir] = ACTIONS(2296),
    [anon_sym_tied] = ACTIONS(2296),
    [anon_sym_uc] = ACTIONS(2296),
    [anon_sym_ucfirst] = ACTIONS(2296),
    [anon_sym_untie] = ACTIONS(2296),
    [anon_sym_umask] = ACTIONS(2296),
    [anon_sym_values] = ACTIONS(2296),
    [anon_sym_write] = ACTIONS(2296),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2296),
    [anon_sym_qq] = ACTIONS(2296),
    [anon_sym_qw] = ACTIONS(2296),
    [anon_sym_qx] = ACTIONS(2296),
    [anon_sym_qr] = ACTIONS(2296),
    [anon_sym_m] = ACTIONS(2296),
    [anon_sym_s] = ACTIONS(2296),
    [anon_sym_tr] = ACTIONS(2296),
    [anon_sym_y] = ACTIONS(2296),
    [aux_sym__bareword_token1] = ACTIONS(2296),
    [sym_number] = ACTIONS(2296),
    [anon_sym_true] = ACTIONS(2296),
    [anon_sym_false] = ACTIONS(2296),
    [sym__single_quote] = ACTIONS(2298),
    [sym__double_quote] = ACTIONS(2298),
    [sym__backtick_quote] = ACTIONS(2298),
    [sym__search_slash_quote] = ACTIONS(2298),
    [sym__PERLY_HEREDOC] = ACTIONS(2298),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2298),
    [sym__filetest] = ACTIONS(2298),
  },
  [1015] = {
    [sym_heredoc_content] = STATE(1015),
    [sym__identifier] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1781),
    [anon_sym_DOLLAR] = ACTIONS(1781),
    [anon_sym_AT] = ACTIONS(1781),
    [anon_sym_my] = ACTIONS(1781),
    [anon_sym_extended] = ACTIONS(1781),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_sub] = ACTIONS(1781),
    [anon_sym_method] = ACTIONS(1781),
    [anon_sym_LPAREN] = ACTIONS(1781),
    [anon_sym_continue] = ACTIONS(1781),
    [anon_sym_state] = ACTIONS(1781),
    [anon_sym_our] = ACTIONS(1781),
    [anon_sym_LBRACK] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1781),
    [anon_sym_BANG] = ACTIONS(1781),
    [anon_sym_PLUS_PLUS] = ACTIONS(1781),
    [anon_sym_DASH_DASH] = ACTIONS(1781),
    [anon_sym_BSLASH] = ACTIONS(1783),
    [anon_sym_do] = ACTIONS(1781),
    [anon_sym_eval] = ACTIONS(1781),
    [anon_sym_await] = ACTIONS(1781),
    [anon_sym_field] = ACTIONS(1781),
    [anon_sym_local] = ACTIONS(1781),
    [anon_sym_dynamically] = ACTIONS(1781),
    [anon_sym_require] = ACTIONS(1781),
    [anon_sym_map] = ACTIONS(1781),
    [anon_sym_grep] = ACTIONS(1781),
    [anon_sym_sort] = ACTIONS(1781),
    [anon_sym_goto] = ACTIONS(1781),
    [anon_sym_return] = ACTIONS(1781),
    [anon_sym_undef] = ACTIONS(1781),
    [anon_sym_PERCENT2] = ACTIONS(1781),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1781),
    [anon_sym_last] = ACTIONS(1781),
    [anon_sym_next] = ACTIONS(1781),
    [anon_sym_redo] = ACTIONS(1781),
    [anon_sym___FILE__] = ACTIONS(1781),
    [anon_sym___LINE__] = ACTIONS(1781),
    [anon_sym___PACKAGE__] = ACTIONS(1781),
    [anon_sym___SUB__] = ACTIONS(1781),
    [anon_sym_break] = ACTIONS(1781),
    [anon_sym_fork] = ACTIONS(1781),
    [anon_sym_getppid] = ACTIONS(1781),
    [anon_sym_time] = ACTIONS(1781),
    [anon_sym_times] = ACTIONS(1781),
    [anon_sym_wait] = ACTIONS(1781),
    [anon_sym_wantarray] = ACTIONS(1781),
    [anon_sym_abs] = ACTIONS(1781),
    [anon_sym_alarm] = ACTIONS(1781),
    [anon_sym_chop] = ACTIONS(1781),
    [anon_sym_chdir] = ACTIONS(1781),
    [anon_sym_close] = ACTIONS(1781),
    [anon_sym_closedir] = ACTIONS(1781),
    [anon_sym_caller] = ACTIONS(1781),
    [anon_sym_chomp] = ACTIONS(1781),
    [anon_sym_chr] = ACTIONS(1781),
    [anon_sym_cos] = ACTIONS(1781),
    [anon_sym_chroot] = ACTIONS(1781),
    [anon_sym_defined] = ACTIONS(1781),
    [anon_sym_delete] = ACTIONS(1781),
    [anon_sym_dbmclose] = ACTIONS(1781),
    [anon_sym_exists] = ACTIONS(1781),
    [anon_sym_exit] = ACTIONS(1781),
    [anon_sym_eof] = ACTIONS(1781),
    [anon_sym_exp] = ACTIONS(1781),
    [anon_sym_each] = ACTIONS(1781),
    [anon_sym_fc] = ACTIONS(1781),
    [anon_sym_fileno] = ACTIONS(1781),
    [anon_sym_gmtime] = ACTIONS(1781),
    [anon_sym_getc] = ACTIONS(1781),
    [anon_sym_getpgrp] = ACTIONS(1781),
    [anon_sym_getprotobyname] = ACTIONS(1781),
    [anon_sym_getpwname] = ACTIONS(1781),
    [anon_sym_getpwuid] = ACTIONS(1781),
    [anon_sym_getpeername] = ACTIONS(1781),
    [anon_sym_getnetbyname] = ACTIONS(1781),
    [anon_sym_getsockname] = ACTIONS(1781),
    [anon_sym_getgrnam] = ACTIONS(1781),
    [anon_sym_getgrgid] = ACTIONS(1781),
    [anon_sym_hex] = ACTIONS(1781),
    [anon_sym_int] = ACTIONS(1781),
    [anon_sym_keys] = ACTIONS(1781),
    [anon_sym_lc] = ACTIONS(1781),
    [anon_sym_lcfirst] = ACTIONS(1781),
    [anon_sym_length] = ACTIONS(1781),
    [anon_sym_localtime] = ACTIONS(1781),
    [anon_sym_log] = ACTIONS(1781),
    [anon_sym_lock] = ACTIONS(1781),
    [anon_sym_lstat] = ACTIONS(1781),
    [anon_sym_oct] = ACTIONS(1781),
    [anon_sym_ord] = ACTIONS(1781),
    [anon_sym_prototype] = ACTIONS(1781),
    [anon_sym_pop] = ACTIONS(1781),
    [anon_sym_pos] = ACTIONS(1781),
    [anon_sym_quotemeta] = ACTIONS(1781),
    [anon_sym_reset] = ACTIONS(1781),
    [anon_sym_rand] = ACTIONS(1781),
    [anon_sym_rmdir] = ACTIONS(1781),
    [anon_sym_readdir] = ACTIONS(1781),
    [anon_sym_readline] = ACTIONS(1781),
    [anon_sym_readpipe] = ACTIONS(1781),
    [anon_sym_rewinddir] = ACTIONS(1781),
    [anon_sym_readlink] = ACTIONS(1781),
    [anon_sym_ref] = ACTIONS(1781),
    [anon_sym_scalar] = ACTIONS(1781),
    [anon_sym_shift] = ACTIONS(1781),
    [anon_sym_sin] = ACTIONS(1781),
    [anon_sym_sleep] = ACTIONS(1781),
    [anon_sym_sqrt] = ACTIONS(1781),
    [anon_sym_srand] = ACTIONS(1781),
    [anon_sym_stat] = ACTIONS(1781),
    [anon_sym_study] = ACTIONS(1781),
    [anon_sym_tell] = ACTIONS(1781),
    [anon_sym_telldir] = ACTIONS(1781),
    [anon_sym_tied] = ACTIONS(1781),
    [anon_sym_uc] = ACTIONS(1781),
    [anon_sym_ucfirst] = ACTIONS(1781),
    [anon_sym_untie] = ACTIONS(1781),
    [anon_sym_umask] = ACTIONS(1781),
    [anon_sym_values] = ACTIONS(1781),
    [anon_sym_write] = ACTIONS(1781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1781),
    [anon_sym_qq] = ACTIONS(1781),
    [anon_sym_qw] = ACTIONS(1781),
    [anon_sym_qx] = ACTIONS(1781),
    [anon_sym_qr] = ACTIONS(1781),
    [anon_sym_m] = ACTIONS(1781),
    [anon_sym_s] = ACTIONS(1781),
    [anon_sym_tr] = ACTIONS(1781),
    [anon_sym_y] = ACTIONS(1781),
    [aux_sym__bareword_token1] = ACTIONS(1781),
    [sym_number] = ACTIONS(1781),
    [anon_sym_true] = ACTIONS(1781),
    [anon_sym_false] = ACTIONS(1781),
    [sym__single_quote] = ACTIONS(1783),
    [sym__double_quote] = ACTIONS(1783),
    [sym__backtick_quote] = ACTIONS(1783),
    [sym__search_slash_quote] = ACTIONS(1783),
    [sym__PERLY_HEREDOC] = ACTIONS(1783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1783),
    [sym__filetest] = ACTIONS(1783),
  },
  [1016] = {
    [sym_attribute] = STATE(1043),
    [sym_attribute_name] = STATE(1023),
    [sym_heredoc_content] = STATE(1016),
    [aux_sym_attrlist_repeat1] = STATE(1017),
    [sym__identifier] = ACTIONS(2300),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_COLON] = ACTIONS(2304),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_EQ] = ACTIONS(2306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2302),
    [anon_sym_COMMA] = ACTIONS(2302),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2302),
    [anon_sym_and] = ACTIONS(2306),
    [anon_sym_or] = ACTIONS(2306),
    [anon_sym_xor] = ACTIONS(2306),
    [anon_sym_DASH_GT] = ACTIONS(2302),
    [anon_sym_PERCENT] = ACTIONS(2306),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_LT_LT] = ACTIONS(2306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2302),
    [anon_sym_PLUS_EQ] = ACTIONS(2302),
    [anon_sym_DASH_EQ] = ACTIONS(2302),
    [anon_sym_DOT_EQ] = ACTIONS(2302),
    [anon_sym_STAR_EQ] = ACTIONS(2302),
    [anon_sym_SLASH_EQ] = ACTIONS(2302),
    [anon_sym_PERCENT_EQ] = ACTIONS(2302),
    [anon_sym_x_EQ] = ACTIONS(2302),
    [anon_sym_AMP_EQ] = ACTIONS(2302),
    [anon_sym_PIPE_EQ] = ACTIONS(2302),
    [anon_sym_CARET_EQ] = ACTIONS(2302),
    [anon_sym_LT_LT_EQ] = ACTIONS(2302),
    [anon_sym_GT_GT_EQ] = ACTIONS(2302),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2302),
    [anon_sym_DOT_DOT] = ACTIONS(2306),
    [anon_sym_STAR_STAR] = ACTIONS(2306),
    [anon_sym_PIPE_PIPE] = ACTIONS(2306),
    [anon_sym_SLASH_SLASH] = ACTIONS(2306),
    [anon_sym_CARET_CARET] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2306),
    [anon_sym_PIPE] = ACTIONS(2306),
    [anon_sym_CARET] = ACTIONS(2306),
    [anon_sym_AMP] = ACTIONS(2306),
    [anon_sym_GT_GT2] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_DOT] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2306),
    [anon_sym_x] = ACTIONS(2306),
    [anon_sym_EQ_TILDE] = ACTIONS(2302),
    [anon_sym_BANG_TILDE] = ACTIONS(2302),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ] = ACTIONS(2302),
    [anon_sym_eq] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2302),
    [anon_sym_equ] = ACTIONS(2306),
    [anon_sym_eqr] = ACTIONS(2306),
    [anon_sym_ne] = ACTIONS(2306),
    [anon_sym_LT_EQ_GT] = ACTIONS(2302),
    [anon_sym_cmp] = ACTIONS(2306),
    [anon_sym_TILDE_TILDE] = ACTIONS(2302),
    [anon_sym_LT_EQ] = ACTIONS(2306),
    [anon_sym_GT_EQ] = ACTIONS(2302),
    [anon_sym_lt] = ACTIONS(2306),
    [anon_sym_le] = ACTIONS(2306),
    [anon_sym_ge] = ACTIONS(2306),
    [anon_sym_gt] = ACTIONS(2306),
    [anon_sym_isa] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_QMARK] = ACTIONS(2302),
    [anon_sym_EQ_GT] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_foreach] = ACTIONS(2306),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2306),
    [anon_sym___END__] = ACTIONS(2306),
    [anon_sym_EOT] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_unless] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_until] = ACTIONS(2306),
    [aux_sym__bareword_token1] = ACTIONS(2300),
    [sym__PERLY_SEMICOLON] = ACTIONS(2302),
    [sym__ctrl_z_hack] = ACTIONS(2302),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1017] = {
    [sym_attribute] = STATE(1043),
    [sym_attribute_name] = STATE(1023),
    [sym_heredoc_content] = STATE(1017),
    [aux_sym_attrlist_repeat1] = STATE(1017),
    [sym__identifier] = ACTIONS(2308),
    [anon_sym_RBRACE] = ACTIONS(2311),
    [anon_sym_COLON] = ACTIONS(2313),
    [anon_sym_SEMI] = ACTIONS(2311),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_COMMA] = ACTIONS(2311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2311),
    [anon_sym_and] = ACTIONS(2316),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_xor] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2311),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2316),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2311),
    [anon_sym_PLUS_EQ] = ACTIONS(2311),
    [anon_sym_DASH_EQ] = ACTIONS(2311),
    [anon_sym_DOT_EQ] = ACTIONS(2311),
    [anon_sym_STAR_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_PERCENT_EQ] = ACTIONS(2311),
    [anon_sym_x_EQ] = ACTIONS(2311),
    [anon_sym_AMP_EQ] = ACTIONS(2311),
    [anon_sym_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_CARET_EQ] = ACTIONS(2311),
    [anon_sym_LT_LT_EQ] = ACTIONS(2311),
    [anon_sym_GT_GT_EQ] = ACTIONS(2311),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2311),
    [anon_sym_DOT_DOT] = ACTIONS(2316),
    [anon_sym_STAR_STAR] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_SLASH_SLASH] = ACTIONS(2316),
    [anon_sym_CARET_CARET] = ACTIONS(2311),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_GT_GT2] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_x] = ACTIONS(2316),
    [anon_sym_EQ_TILDE] = ACTIONS(2311),
    [anon_sym_BANG_TILDE] = ACTIONS(2311),
    [anon_sym_EQ_EQ] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2311),
    [anon_sym_eq] = ACTIONS(2316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2311),
    [anon_sym_equ] = ACTIONS(2316),
    [anon_sym_eqr] = ACTIONS(2316),
    [anon_sym_ne] = ACTIONS(2316),
    [anon_sym_LT_EQ_GT] = ACTIONS(2311),
    [anon_sym_cmp] = ACTIONS(2316),
    [anon_sym_TILDE_TILDE] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(2316),
    [anon_sym_GT_EQ] = ACTIONS(2311),
    [anon_sym_lt] = ACTIONS(2316),
    [anon_sym_le] = ACTIONS(2316),
    [anon_sym_ge] = ACTIONS(2316),
    [anon_sym_gt] = ACTIONS(2316),
    [anon_sym_isa] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2311),
    [anon_sym_QMARK] = ACTIONS(2311),
    [anon_sym_EQ_GT] = ACTIONS(2311),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_foreach] = ACTIONS(2316),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2316),
    [anon_sym___END__] = ACTIONS(2316),
    [anon_sym_EOT] = ACTIONS(2311),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_unless] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_until] = ACTIONS(2316),
    [aux_sym__bareword_token1] = ACTIONS(2308),
    [sym__PERLY_SEMICOLON] = ACTIONS(2311),
    [sym__ctrl_z_hack] = ACTIONS(2311),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1018] = {
    [sym_attribute] = STATE(1043),
    [sym_attribute_name] = STATE(1023),
    [sym_heredoc_content] = STATE(1018),
    [aux_sym_attrlist_repeat1] = STATE(1016),
    [sym__identifier] = ACTIONS(2300),
    [anon_sym_RBRACE] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(2304),
    [anon_sym_SEMI] = ACTIONS(2318),
    [anon_sym_EQ] = ACTIONS(2320),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2318),
    [anon_sym_and] = ACTIONS(2320),
    [anon_sym_or] = ACTIONS(2320),
    [anon_sym_xor] = ACTIONS(2320),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2320),
    [anon_sym_LT] = ACTIONS(2320),
    [anon_sym_GT] = ACTIONS(2320),
    [anon_sym_LT_LT] = ACTIONS(2320),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2318),
    [anon_sym_PLUS_EQ] = ACTIONS(2318),
    [anon_sym_DASH_EQ] = ACTIONS(2318),
    [anon_sym_DOT_EQ] = ACTIONS(2318),
    [anon_sym_STAR_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_PERCENT_EQ] = ACTIONS(2318),
    [anon_sym_x_EQ] = ACTIONS(2318),
    [anon_sym_AMP_EQ] = ACTIONS(2318),
    [anon_sym_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_CARET_EQ] = ACTIONS(2318),
    [anon_sym_LT_LT_EQ] = ACTIONS(2318),
    [anon_sym_GT_GT_EQ] = ACTIONS(2318),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2318),
    [anon_sym_DOT_DOT] = ACTIONS(2320),
    [anon_sym_STAR_STAR] = ACTIONS(2320),
    [anon_sym_PIPE_PIPE] = ACTIONS(2320),
    [anon_sym_SLASH_SLASH] = ACTIONS(2320),
    [anon_sym_CARET_CARET] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_PIPE] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_GT_GT2] = ACTIONS(2320),
    [anon_sym_PLUS] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2320),
    [anon_sym_DOT] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_SLASH] = ACTIONS(2320),
    [anon_sym_x] = ACTIONS(2320),
    [anon_sym_EQ_TILDE] = ACTIONS(2318),
    [anon_sym_BANG_TILDE] = ACTIONS(2318),
    [anon_sym_EQ_EQ] = ACTIONS(2320),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_eq] = ACTIONS(2320),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2318),
    [anon_sym_equ] = ACTIONS(2320),
    [anon_sym_eqr] = ACTIONS(2320),
    [anon_sym_ne] = ACTIONS(2320),
    [anon_sym_LT_EQ_GT] = ACTIONS(2318),
    [anon_sym_cmp] = ACTIONS(2320),
    [anon_sym_TILDE_TILDE] = ACTIONS(2318),
    [anon_sym_LT_EQ] = ACTIONS(2320),
    [anon_sym_GT_EQ] = ACTIONS(2318),
    [anon_sym_lt] = ACTIONS(2320),
    [anon_sym_le] = ACTIONS(2320),
    [anon_sym_ge] = ACTIONS(2320),
    [anon_sym_gt] = ACTIONS(2320),
    [anon_sym_isa] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_QMARK] = ACTIONS(2318),
    [anon_sym_EQ_GT] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2320),
    [anon_sym_foreach] = ACTIONS(2320),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2320),
    [anon_sym___END__] = ACTIONS(2320),
    [anon_sym_EOT] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2320),
    [anon_sym_unless] = ACTIONS(2320),
    [anon_sym_while] = ACTIONS(2320),
    [anon_sym_until] = ACTIONS(2320),
    [aux_sym__bareword_token1] = ACTIONS(2300),
    [sym__PERLY_SEMICOLON] = ACTIONS(2318),
    [sym__ctrl_z_hack] = ACTIONS(2318),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1019] = {
    [sym_attrlist] = STATE(1206),
    [sym_attribute] = STATE(1018),
    [sym_attribute_name] = STATE(1023),
    [sym_heredoc_content] = STATE(1019),
    [sym__identifier] = ACTIONS(2300),
    [anon_sym_RBRACE] = ACTIONS(2322),
    [anon_sym_SEMI] = ACTIONS(2322),
    [anon_sym_EQ] = ACTIONS(2324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2322),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2322),
    [anon_sym_COMMA] = ACTIONS(2322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_and] = ACTIONS(2324),
    [anon_sym_or] = ACTIONS(2324),
    [anon_sym_xor] = ACTIONS(2324),
    [anon_sym_DASH_GT] = ACTIONS(2322),
    [anon_sym_PERCENT] = ACTIONS(2324),
    [anon_sym_LT] = ACTIONS(2324),
    [anon_sym_GT] = ACTIONS(2324),
    [anon_sym_LT_LT] = ACTIONS(2324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2322),
    [anon_sym_PLUS_EQ] = ACTIONS(2322),
    [anon_sym_DASH_EQ] = ACTIONS(2322),
    [anon_sym_DOT_EQ] = ACTIONS(2322),
    [anon_sym_STAR_EQ] = ACTIONS(2322),
    [anon_sym_SLASH_EQ] = ACTIONS(2322),
    [anon_sym_PERCENT_EQ] = ACTIONS(2322),
    [anon_sym_x_EQ] = ACTIONS(2322),
    [anon_sym_AMP_EQ] = ACTIONS(2322),
    [anon_sym_PIPE_EQ] = ACTIONS(2322),
    [anon_sym_CARET_EQ] = ACTIONS(2322),
    [anon_sym_LT_LT_EQ] = ACTIONS(2322),
    [anon_sym_GT_GT_EQ] = ACTIONS(2322),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2322),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_STAR_STAR] = ACTIONS(2324),
    [anon_sym_PIPE_PIPE] = ACTIONS(2324),
    [anon_sym_SLASH_SLASH] = ACTIONS(2324),
    [anon_sym_CARET_CARET] = ACTIONS(2322),
    [anon_sym_AMP_AMP] = ACTIONS(2324),
    [anon_sym_PIPE] = ACTIONS(2324),
    [anon_sym_CARET] = ACTIONS(2324),
    [anon_sym_AMP] = ACTIONS(2324),
    [anon_sym_GT_GT2] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_DOT] = ACTIONS(2324),
    [anon_sym_STAR] = ACTIONS(2324),
    [anon_sym_SLASH] = ACTIONS(2324),
    [anon_sym_x] = ACTIONS(2324),
    [anon_sym_EQ_TILDE] = ACTIONS(2322),
    [anon_sym_BANG_TILDE] = ACTIONS(2322),
    [anon_sym_EQ_EQ] = ACTIONS(2324),
    [anon_sym_BANG_EQ] = ACTIONS(2322),
    [anon_sym_eq] = ACTIONS(2324),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2322),
    [anon_sym_equ] = ACTIONS(2324),
    [anon_sym_eqr] = ACTIONS(2324),
    [anon_sym_ne] = ACTIONS(2324),
    [anon_sym_LT_EQ_GT] = ACTIONS(2322),
    [anon_sym_cmp] = ACTIONS(2324),
    [anon_sym_TILDE_TILDE] = ACTIONS(2322),
    [anon_sym_LT_EQ] = ACTIONS(2324),
    [anon_sym_GT_EQ] = ACTIONS(2322),
    [anon_sym_lt] = ACTIONS(2324),
    [anon_sym_le] = ACTIONS(2324),
    [anon_sym_ge] = ACTIONS(2324),
    [anon_sym_gt] = ACTIONS(2324),
    [anon_sym_isa] = ACTIONS(2324),
    [anon_sym_PLUS_PLUS] = ACTIONS(2322),
    [anon_sym_DASH_DASH] = ACTIONS(2322),
    [anon_sym_QMARK] = ACTIONS(2322),
    [anon_sym_EQ_GT] = ACTIONS(2322),
    [anon_sym_for] = ACTIONS(2324),
    [anon_sym_foreach] = ACTIONS(2324),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2324),
    [anon_sym___END__] = ACTIONS(2324),
    [anon_sym_EOT] = ACTIONS(2322),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_unless] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2324),
    [anon_sym_until] = ACTIONS(2324),
    [aux_sym__bareword_token1] = ACTIONS(2300),
    [sym__PERLY_SEMICOLON] = ACTIONS(2322),
    [sym__ctrl_z_hack] = ACTIONS(2322),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1020] = {
    [sym_attrlist] = STATE(1102),
    [sym_attribute] = STATE(1018),
    [sym_attribute_name] = STATE(1023),
    [sym_heredoc_content] = STATE(1020),
    [sym__identifier] = ACTIONS(2300),
    [anon_sym_RBRACE] = ACTIONS(2326),
    [anon_sym_SEMI] = ACTIONS(2326),
    [anon_sym_EQ] = ACTIONS(2328),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2326),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2326),
    [anon_sym_COMMA] = ACTIONS(2326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2326),
    [anon_sym_and] = ACTIONS(2328),
    [anon_sym_or] = ACTIONS(2328),
    [anon_sym_xor] = ACTIONS(2328),
    [anon_sym_DASH_GT] = ACTIONS(2326),
    [anon_sym_PERCENT] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2328),
    [anon_sym_GT] = ACTIONS(2328),
    [anon_sym_LT_LT] = ACTIONS(2328),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2326),
    [anon_sym_PLUS_EQ] = ACTIONS(2326),
    [anon_sym_DASH_EQ] = ACTIONS(2326),
    [anon_sym_DOT_EQ] = ACTIONS(2326),
    [anon_sym_STAR_EQ] = ACTIONS(2326),
    [anon_sym_SLASH_EQ] = ACTIONS(2326),
    [anon_sym_PERCENT_EQ] = ACTIONS(2326),
    [anon_sym_x_EQ] = ACTIONS(2326),
    [anon_sym_AMP_EQ] = ACTIONS(2326),
    [anon_sym_PIPE_EQ] = ACTIONS(2326),
    [anon_sym_CARET_EQ] = ACTIONS(2326),
    [anon_sym_LT_LT_EQ] = ACTIONS(2326),
    [anon_sym_GT_GT_EQ] = ACTIONS(2326),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2326),
    [anon_sym_DOT_DOT] = ACTIONS(2328),
    [anon_sym_STAR_STAR] = ACTIONS(2328),
    [anon_sym_PIPE_PIPE] = ACTIONS(2328),
    [anon_sym_SLASH_SLASH] = ACTIONS(2328),
    [anon_sym_CARET_CARET] = ACTIONS(2326),
    [anon_sym_AMP_AMP] = ACTIONS(2328),
    [anon_sym_PIPE] = ACTIONS(2328),
    [anon_sym_CARET] = ACTIONS(2328),
    [anon_sym_AMP] = ACTIONS(2328),
    [anon_sym_GT_GT2] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_DOT] = ACTIONS(2328),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_x] = ACTIONS(2328),
    [anon_sym_EQ_TILDE] = ACTIONS(2326),
    [anon_sym_BANG_TILDE] = ACTIONS(2326),
    [anon_sym_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2326),
    [anon_sym_eq] = ACTIONS(2328),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2326),
    [anon_sym_equ] = ACTIONS(2328),
    [anon_sym_eqr] = ACTIONS(2328),
    [anon_sym_ne] = ACTIONS(2328),
    [anon_sym_LT_EQ_GT] = ACTIONS(2326),
    [anon_sym_cmp] = ACTIONS(2328),
    [anon_sym_TILDE_TILDE] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2326),
    [anon_sym_lt] = ACTIONS(2328),
    [anon_sym_le] = ACTIONS(2328),
    [anon_sym_ge] = ACTIONS(2328),
    [anon_sym_gt] = ACTIONS(2328),
    [anon_sym_isa] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2326),
    [anon_sym_DASH_DASH] = ACTIONS(2326),
    [anon_sym_QMARK] = ACTIONS(2326),
    [anon_sym_EQ_GT] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_foreach] = ACTIONS(2328),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2328),
    [anon_sym___END__] = ACTIONS(2328),
    [anon_sym_EOT] = ACTIONS(2326),
    [anon_sym_if] = ACTIONS(2328),
    [anon_sym_unless] = ACTIONS(2328),
    [anon_sym_while] = ACTIONS(2328),
    [anon_sym_until] = ACTIONS(2328),
    [aux_sym__bareword_token1] = ACTIONS(2300),
    [sym__PERLY_SEMICOLON] = ACTIONS(2326),
    [sym__ctrl_z_hack] = ACTIONS(2326),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1021] = {
    [sym_heredoc_content] = STATE(1021),
    [anon_sym_LBRACE] = ACTIONS(1779),
    [anon_sym_RBRACE] = ACTIONS(1779),
    [anon_sym_COLON] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(1779),
    [anon_sym_EQ] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1779),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(1779),
    [anon_sym_LPAREN] = ACTIONS(1779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1779),
    [anon_sym_and] = ACTIONS(1779),
    [anon_sym_or] = ACTIONS(1779),
    [anon_sym_xor] = ACTIONS(1779),
    [anon_sym_LBRACK] = ACTIONS(1779),
    [anon_sym_DASH_GT] = ACTIONS(1779),
    [anon_sym_PERCENT] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_LT_LT] = ACTIONS(1777),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1779),
    [anon_sym_PLUS_EQ] = ACTIONS(1779),
    [anon_sym_DASH_EQ] = ACTIONS(1779),
    [anon_sym_DOT_EQ] = ACTIONS(1779),
    [anon_sym_STAR_EQ] = ACTIONS(1779),
    [anon_sym_SLASH_EQ] = ACTIONS(1779),
    [anon_sym_PERCENT_EQ] = ACTIONS(1779),
    [anon_sym_x_EQ] = ACTIONS(1779),
    [anon_sym_AMP_EQ] = ACTIONS(1779),
    [anon_sym_PIPE_EQ] = ACTIONS(1779),
    [anon_sym_CARET_EQ] = ACTIONS(1779),
    [anon_sym_LT_LT_EQ] = ACTIONS(1779),
    [anon_sym_GT_GT_EQ] = ACTIONS(1779),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1777),
    [anon_sym_STAR_STAR] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE] = ACTIONS(1777),
    [anon_sym_SLASH_SLASH] = ACTIONS(1777),
    [anon_sym_CARET_CARET] = ACTIONS(1779),
    [anon_sym_AMP_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_GT_GT2] = ACTIONS(1777),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_DOT] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1777),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_x] = ACTIONS(1777),
    [anon_sym_EQ_TILDE] = ACTIONS(1779),
    [anon_sym_BANG_TILDE] = ACTIONS(1779),
    [anon_sym_EQ_EQ] = ACTIONS(1777),
    [anon_sym_BANG_EQ] = ACTIONS(1779),
    [anon_sym_eq] = ACTIONS(1777),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1779),
    [anon_sym_equ] = ACTIONS(1779),
    [anon_sym_eqr] = ACTIONS(1779),
    [anon_sym_ne] = ACTIONS(1779),
    [anon_sym_LT_EQ_GT] = ACTIONS(1779),
    [anon_sym_cmp] = ACTIONS(1779),
    [anon_sym_TILDE_TILDE] = ACTIONS(1779),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT_EQ] = ACTIONS(1779),
    [anon_sym_lt] = ACTIONS(1779),
    [anon_sym_le] = ACTIONS(1779),
    [anon_sym_ge] = ACTIONS(1779),
    [anon_sym_gt] = ACTIONS(1779),
    [anon_sym_isa] = ACTIONS(1779),
    [anon_sym_PLUS_PLUS] = ACTIONS(1779),
    [anon_sym_DASH_DASH] = ACTIONS(1779),
    [anon_sym_QMARK] = ACTIONS(1779),
    [anon_sym_EQ_GT] = ACTIONS(1779),
    [anon_sym_for] = ACTIONS(1777),
    [anon_sym_foreach] = ACTIONS(1779),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1779),
    [anon_sym___END__] = ACTIONS(1779),
    [anon_sym_EOT] = ACTIONS(1779),
    [anon_sym_if] = ACTIONS(1779),
    [anon_sym_unless] = ACTIONS(1779),
    [anon_sym_while] = ACTIONS(1779),
    [anon_sym_until] = ACTIONS(1779),
    [sym__PERLY_SEMICOLON] = ACTIONS(1779),
    [sym__ctrl_z_hack] = ACTIONS(1779),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1022] = {
    [sym_heredoc_content] = STATE(1022),
    [sym__identifier] = ACTIONS(2330),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_COLON] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_EQ] = ACTIONS(2330),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2332),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2332),
    [anon_sym_COMMA] = ACTIONS(2332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2332),
    [anon_sym_and] = ACTIONS(2330),
    [anon_sym_or] = ACTIONS(2330),
    [anon_sym_xor] = ACTIONS(2330),
    [anon_sym_DASH_GT] = ACTIONS(2332),
    [anon_sym_PERCENT] = ACTIONS(2330),
    [anon_sym_LT] = ACTIONS(2330),
    [anon_sym_GT] = ACTIONS(2330),
    [anon_sym_LT_LT] = ACTIONS(2330),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2332),
    [anon_sym_PLUS_EQ] = ACTIONS(2332),
    [anon_sym_DASH_EQ] = ACTIONS(2332),
    [anon_sym_DOT_EQ] = ACTIONS(2332),
    [anon_sym_STAR_EQ] = ACTIONS(2332),
    [anon_sym_SLASH_EQ] = ACTIONS(2332),
    [anon_sym_PERCENT_EQ] = ACTIONS(2332),
    [anon_sym_x_EQ] = ACTIONS(2332),
    [anon_sym_AMP_EQ] = ACTIONS(2332),
    [anon_sym_PIPE_EQ] = ACTIONS(2332),
    [anon_sym_CARET_EQ] = ACTIONS(2332),
    [anon_sym_LT_LT_EQ] = ACTIONS(2332),
    [anon_sym_GT_GT_EQ] = ACTIONS(2332),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2332),
    [anon_sym_DOT_DOT] = ACTIONS(2330),
    [anon_sym_STAR_STAR] = ACTIONS(2330),
    [anon_sym_PIPE_PIPE] = ACTIONS(2330),
    [anon_sym_SLASH_SLASH] = ACTIONS(2330),
    [anon_sym_CARET_CARET] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2330),
    [anon_sym_PIPE] = ACTIONS(2330),
    [anon_sym_CARET] = ACTIONS(2330),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_GT_GT2] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_DOT] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2330),
    [anon_sym_SLASH] = ACTIONS(2330),
    [anon_sym_x] = ACTIONS(2330),
    [anon_sym_EQ_TILDE] = ACTIONS(2332),
    [anon_sym_BANG_TILDE] = ACTIONS(2332),
    [anon_sym_EQ_EQ] = ACTIONS(2330),
    [anon_sym_BANG_EQ] = ACTIONS(2332),
    [anon_sym_eq] = ACTIONS(2330),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2332),
    [anon_sym_equ] = ACTIONS(2330),
    [anon_sym_eqr] = ACTIONS(2330),
    [anon_sym_ne] = ACTIONS(2330),
    [anon_sym_LT_EQ_GT] = ACTIONS(2332),
    [anon_sym_cmp] = ACTIONS(2330),
    [anon_sym_TILDE_TILDE] = ACTIONS(2332),
    [anon_sym_LT_EQ] = ACTIONS(2330),
    [anon_sym_GT_EQ] = ACTIONS(2332),
    [anon_sym_lt] = ACTIONS(2330),
    [anon_sym_le] = ACTIONS(2330),
    [anon_sym_ge] = ACTIONS(2330),
    [anon_sym_gt] = ACTIONS(2330),
    [anon_sym_isa] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_QMARK] = ACTIONS(2332),
    [anon_sym_EQ_GT] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_foreach] = ACTIONS(2330),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2330),
    [anon_sym___END__] = ACTIONS(2330),
    [anon_sym_EOT] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_unless] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_until] = ACTIONS(2330),
    [aux_sym__bareword_token1] = ACTIONS(2330),
    [sym__PERLY_SEMICOLON] = ACTIONS(2332),
    [sym__ctrl_z_hack] = ACTIONS(2332),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(2332),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1023] = {
    [sym_heredoc_content] = STATE(1023),
    [sym__identifier] = ACTIONS(2334),
    [anon_sym_RBRACE] = ACTIONS(2336),
    [anon_sym_COLON] = ACTIONS(2334),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym_EQ] = ACTIONS(2334),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2336),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2336),
    [anon_sym_COMMA] = ACTIONS(2336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2336),
    [anon_sym_and] = ACTIONS(2334),
    [anon_sym_or] = ACTIONS(2334),
    [anon_sym_xor] = ACTIONS(2334),
    [anon_sym_DASH_GT] = ACTIONS(2336),
    [anon_sym_PERCENT] = ACTIONS(2334),
    [anon_sym_LT] = ACTIONS(2334),
    [anon_sym_GT] = ACTIONS(2334),
    [anon_sym_LT_LT] = ACTIONS(2334),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2336),
    [anon_sym_PLUS_EQ] = ACTIONS(2336),
    [anon_sym_DASH_EQ] = ACTIONS(2336),
    [anon_sym_DOT_EQ] = ACTIONS(2336),
    [anon_sym_STAR_EQ] = ACTIONS(2336),
    [anon_sym_SLASH_EQ] = ACTIONS(2336),
    [anon_sym_PERCENT_EQ] = ACTIONS(2336),
    [anon_sym_x_EQ] = ACTIONS(2336),
    [anon_sym_AMP_EQ] = ACTIONS(2336),
    [anon_sym_PIPE_EQ] = ACTIONS(2336),
    [anon_sym_CARET_EQ] = ACTIONS(2336),
    [anon_sym_LT_LT_EQ] = ACTIONS(2336),
    [anon_sym_GT_GT_EQ] = ACTIONS(2336),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2336),
    [anon_sym_DOT_DOT] = ACTIONS(2334),
    [anon_sym_STAR_STAR] = ACTIONS(2334),
    [anon_sym_PIPE_PIPE] = ACTIONS(2334),
    [anon_sym_SLASH_SLASH] = ACTIONS(2334),
    [anon_sym_CARET_CARET] = ACTIONS(2336),
    [anon_sym_AMP_AMP] = ACTIONS(2334),
    [anon_sym_PIPE] = ACTIONS(2334),
    [anon_sym_CARET] = ACTIONS(2334),
    [anon_sym_AMP] = ACTIONS(2334),
    [anon_sym_GT_GT2] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2334),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_DOT] = ACTIONS(2334),
    [anon_sym_STAR] = ACTIONS(2334),
    [anon_sym_SLASH] = ACTIONS(2334),
    [anon_sym_x] = ACTIONS(2334),
    [anon_sym_EQ_TILDE] = ACTIONS(2336),
    [anon_sym_BANG_TILDE] = ACTIONS(2336),
    [anon_sym_EQ_EQ] = ACTIONS(2334),
    [anon_sym_BANG_EQ] = ACTIONS(2336),
    [anon_sym_eq] = ACTIONS(2334),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2336),
    [anon_sym_equ] = ACTIONS(2334),
    [anon_sym_eqr] = ACTIONS(2334),
    [anon_sym_ne] = ACTIONS(2334),
    [anon_sym_LT_EQ_GT] = ACTIONS(2336),
    [anon_sym_cmp] = ACTIONS(2334),
    [anon_sym_TILDE_TILDE] = ACTIONS(2336),
    [anon_sym_LT_EQ] = ACTIONS(2334),
    [anon_sym_GT_EQ] = ACTIONS(2336),
    [anon_sym_lt] = ACTIONS(2334),
    [anon_sym_le] = ACTIONS(2334),
    [anon_sym_ge] = ACTIONS(2334),
    [anon_sym_gt] = ACTIONS(2334),
    [anon_sym_isa] = ACTIONS(2334),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_QMARK] = ACTIONS(2336),
    [anon_sym_EQ_GT] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_foreach] = ACTIONS(2334),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2334),
    [anon_sym___END__] = ACTIONS(2334),
    [anon_sym_EOT] = ACTIONS(2336),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_unless] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2334),
    [anon_sym_until] = ACTIONS(2334),
    [aux_sym__bareword_token1] = ACTIONS(2334),
    [sym__PERLY_SEMICOLON] = ACTIONS(2336),
    [sym__ctrl_z_hack] = ACTIONS(2336),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(2338),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1024] = {
    [sym_heredoc_content] = STATE(1024),
    [anon_sym_LBRACE] = ACTIONS(1775),
    [anon_sym_RBRACE] = ACTIONS(1775),
    [anon_sym_COLON] = ACTIONS(1775),
    [anon_sym_SEMI] = ACTIONS(1775),
    [anon_sym_EQ] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1775),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1775),
    [anon_sym_COMMA] = ACTIONS(1775),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1775),
    [anon_sym_and] = ACTIONS(1775),
    [anon_sym_or] = ACTIONS(1775),
    [anon_sym_xor] = ACTIONS(1775),
    [anon_sym_LBRACK] = ACTIONS(1775),
    [anon_sym_DASH_GT] = ACTIONS(1775),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [anon_sym_LT] = ACTIONS(1773),
    [anon_sym_GT] = ACTIONS(1773),
    [anon_sym_LT_LT] = ACTIONS(1773),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1775),
    [anon_sym_PLUS_EQ] = ACTIONS(1775),
    [anon_sym_DASH_EQ] = ACTIONS(1775),
    [anon_sym_DOT_EQ] = ACTIONS(1775),
    [anon_sym_STAR_EQ] = ACTIONS(1775),
    [anon_sym_SLASH_EQ] = ACTIONS(1775),
    [anon_sym_PERCENT_EQ] = ACTIONS(1775),
    [anon_sym_x_EQ] = ACTIONS(1775),
    [anon_sym_AMP_EQ] = ACTIONS(1775),
    [anon_sym_PIPE_EQ] = ACTIONS(1775),
    [anon_sym_CARET_EQ] = ACTIONS(1775),
    [anon_sym_LT_LT_EQ] = ACTIONS(1775),
    [anon_sym_GT_GT_EQ] = ACTIONS(1775),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1775),
    [anon_sym_DOT_DOT] = ACTIONS(1773),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE] = ACTIONS(1773),
    [anon_sym_SLASH_SLASH] = ACTIONS(1773),
    [anon_sym_CARET_CARET] = ACTIONS(1775),
    [anon_sym_AMP_AMP] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1773),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_GT_GT2] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_DOT] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_x] = ACTIONS(1773),
    [anon_sym_EQ_TILDE] = ACTIONS(1775),
    [anon_sym_BANG_TILDE] = ACTIONS(1775),
    [anon_sym_EQ_EQ] = ACTIONS(1773),
    [anon_sym_BANG_EQ] = ACTIONS(1775),
    [anon_sym_eq] = ACTIONS(1773),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1775),
    [anon_sym_equ] = ACTIONS(1775),
    [anon_sym_eqr] = ACTIONS(1775),
    [anon_sym_ne] = ACTIONS(1775),
    [anon_sym_LT_EQ_GT] = ACTIONS(1775),
    [anon_sym_cmp] = ACTIONS(1775),
    [anon_sym_TILDE_TILDE] = ACTIONS(1775),
    [anon_sym_LT_EQ] = ACTIONS(1773),
    [anon_sym_GT_EQ] = ACTIONS(1775),
    [anon_sym_lt] = ACTIONS(1775),
    [anon_sym_le] = ACTIONS(1775),
    [anon_sym_ge] = ACTIONS(1775),
    [anon_sym_gt] = ACTIONS(1775),
    [anon_sym_isa] = ACTIONS(1775),
    [anon_sym_PLUS_PLUS] = ACTIONS(1775),
    [anon_sym_DASH_DASH] = ACTIONS(1775),
    [anon_sym_QMARK] = ACTIONS(1775),
    [anon_sym_EQ_GT] = ACTIONS(1775),
    [anon_sym_for] = ACTIONS(1773),
    [anon_sym_foreach] = ACTIONS(1775),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1775),
    [anon_sym___END__] = ACTIONS(1775),
    [anon_sym_EOT] = ACTIONS(1775),
    [anon_sym_if] = ACTIONS(1775),
    [anon_sym_unless] = ACTIONS(1775),
    [anon_sym_while] = ACTIONS(1775),
    [anon_sym_until] = ACTIONS(1775),
    [sym__PERLY_SEMICOLON] = ACTIONS(1775),
    [sym__ctrl_z_hack] = ACTIONS(1775),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1025] = {
    [sym_heredoc_content] = STATE(1025),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_RBRACE] = ACTIONS(2340),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym_EQ] = ACTIONS(2342),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2340),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2340),
    [anon_sym_COMMA] = ACTIONS(2340),
    [anon_sym_LPAREN] = ACTIONS(2340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2340),
    [anon_sym_and] = ACTIONS(2340),
    [anon_sym_or] = ACTIONS(2340),
    [anon_sym_xor] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_DASH_GT] = ACTIONS(2340),
    [anon_sym_PERCENT] = ACTIONS(2342),
    [anon_sym_LT] = ACTIONS(2342),
    [anon_sym_GT] = ACTIONS(2342),
    [anon_sym_LT_LT] = ACTIONS(2342),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2340),
    [anon_sym_PLUS_EQ] = ACTIONS(2340),
    [anon_sym_DASH_EQ] = ACTIONS(2340),
    [anon_sym_DOT_EQ] = ACTIONS(2340),
    [anon_sym_STAR_EQ] = ACTIONS(2340),
    [anon_sym_SLASH_EQ] = ACTIONS(2340),
    [anon_sym_PERCENT_EQ] = ACTIONS(2340),
    [anon_sym_x_EQ] = ACTIONS(2340),
    [anon_sym_AMP_EQ] = ACTIONS(2340),
    [anon_sym_PIPE_EQ] = ACTIONS(2340),
    [anon_sym_CARET_EQ] = ACTIONS(2340),
    [anon_sym_LT_LT_EQ] = ACTIONS(2340),
    [anon_sym_GT_GT_EQ] = ACTIONS(2340),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2340),
    [anon_sym_DOT_DOT] = ACTIONS(2342),
    [anon_sym_STAR_STAR] = ACTIONS(2342),
    [anon_sym_PIPE_PIPE] = ACTIONS(2342),
    [anon_sym_SLASH_SLASH] = ACTIONS(2342),
    [anon_sym_CARET_CARET] = ACTIONS(2340),
    [anon_sym_AMP_AMP] = ACTIONS(2342),
    [anon_sym_PIPE] = ACTIONS(2342),
    [anon_sym_CARET] = ACTIONS(2342),
    [anon_sym_AMP] = ACTIONS(2342),
    [anon_sym_GT_GT2] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_DOT] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2342),
    [anon_sym_SLASH] = ACTIONS(2342),
    [anon_sym_x] = ACTIONS(2342),
    [anon_sym_EQ_TILDE] = ACTIONS(2340),
    [anon_sym_BANG_TILDE] = ACTIONS(2340),
    [anon_sym_EQ_EQ] = ACTIONS(2342),
    [anon_sym_BANG_EQ] = ACTIONS(2340),
    [anon_sym_eq] = ACTIONS(2342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2340),
    [anon_sym_equ] = ACTIONS(2340),
    [anon_sym_eqr] = ACTIONS(2340),
    [anon_sym_ne] = ACTIONS(2340),
    [anon_sym_LT_EQ_GT] = ACTIONS(2340),
    [anon_sym_cmp] = ACTIONS(2340),
    [anon_sym_TILDE_TILDE] = ACTIONS(2340),
    [anon_sym_LT_EQ] = ACTIONS(2342),
    [anon_sym_GT_EQ] = ACTIONS(2340),
    [anon_sym_lt] = ACTIONS(2340),
    [anon_sym_le] = ACTIONS(2340),
    [anon_sym_ge] = ACTIONS(2340),
    [anon_sym_gt] = ACTIONS(2340),
    [anon_sym_isa] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_QMARK] = ACTIONS(2340),
    [anon_sym_EQ_GT] = ACTIONS(2340),
    [anon_sym_for] = ACTIONS(2342),
    [anon_sym_foreach] = ACTIONS(2340),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2340),
    [anon_sym___END__] = ACTIONS(2340),
    [anon_sym_EOT] = ACTIONS(2340),
    [anon_sym_if] = ACTIONS(2340),
    [anon_sym_unless] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(2340),
    [anon_sym_until] = ACTIONS(2340),
    [sym__PERLY_SEMICOLON] = ACTIONS(2340),
    [sym__ctrl_z_hack] = ACTIONS(2340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1026] = {
    [sym_heredoc_content] = STATE(1026),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2344),
    [anon_sym_EQ] = ACTIONS(2346),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2344),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2344),
    [anon_sym_COMMA] = ACTIONS(2344),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2344),
    [anon_sym_and] = ACTIONS(2344),
    [anon_sym_or] = ACTIONS(2344),
    [anon_sym_xor] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [anon_sym_DASH_GT] = ACTIONS(2344),
    [anon_sym_PERCENT] = ACTIONS(2346),
    [anon_sym_LT] = ACTIONS(2346),
    [anon_sym_GT] = ACTIONS(2346),
    [anon_sym_LT_LT] = ACTIONS(2346),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2344),
    [anon_sym_PLUS_EQ] = ACTIONS(2344),
    [anon_sym_DASH_EQ] = ACTIONS(2344),
    [anon_sym_DOT_EQ] = ACTIONS(2344),
    [anon_sym_STAR_EQ] = ACTIONS(2344),
    [anon_sym_SLASH_EQ] = ACTIONS(2344),
    [anon_sym_PERCENT_EQ] = ACTIONS(2344),
    [anon_sym_x_EQ] = ACTIONS(2344),
    [anon_sym_AMP_EQ] = ACTIONS(2344),
    [anon_sym_PIPE_EQ] = ACTIONS(2344),
    [anon_sym_CARET_EQ] = ACTIONS(2344),
    [anon_sym_LT_LT_EQ] = ACTIONS(2344),
    [anon_sym_GT_GT_EQ] = ACTIONS(2344),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2344),
    [anon_sym_DOT_DOT] = ACTIONS(2346),
    [anon_sym_STAR_STAR] = ACTIONS(2346),
    [anon_sym_PIPE_PIPE] = ACTIONS(2346),
    [anon_sym_SLASH_SLASH] = ACTIONS(2346),
    [anon_sym_CARET_CARET] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2346),
    [anon_sym_PIPE] = ACTIONS(2346),
    [anon_sym_CARET] = ACTIONS(2346),
    [anon_sym_AMP] = ACTIONS(2346),
    [anon_sym_GT_GT2] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_DOT] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_x] = ACTIONS(2346),
    [anon_sym_EQ_TILDE] = ACTIONS(2344),
    [anon_sym_BANG_TILDE] = ACTIONS(2344),
    [anon_sym_EQ_EQ] = ACTIONS(2346),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_eq] = ACTIONS(2346),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2344),
    [anon_sym_equ] = ACTIONS(2344),
    [anon_sym_eqr] = ACTIONS(2344),
    [anon_sym_ne] = ACTIONS(2344),
    [anon_sym_LT_EQ_GT] = ACTIONS(2344),
    [anon_sym_cmp] = ACTIONS(2344),
    [anon_sym_TILDE_TILDE] = ACTIONS(2344),
    [anon_sym_LT_EQ] = ACTIONS(2346),
    [anon_sym_GT_EQ] = ACTIONS(2344),
    [anon_sym_lt] = ACTIONS(2344),
    [anon_sym_le] = ACTIONS(2344),
    [anon_sym_ge] = ACTIONS(2344),
    [anon_sym_gt] = ACTIONS(2344),
    [anon_sym_isa] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_QMARK] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(2344),
    [anon_sym_for] = ACTIONS(2346),
    [anon_sym_foreach] = ACTIONS(2344),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2344),
    [anon_sym___END__] = ACTIONS(2344),
    [anon_sym_EOT] = ACTIONS(2344),
    [anon_sym_if] = ACTIONS(2344),
    [anon_sym_unless] = ACTIONS(2344),
    [anon_sym_while] = ACTIONS(2344),
    [anon_sym_until] = ACTIONS(2344),
    [sym__PERLY_SEMICOLON] = ACTIONS(2344),
    [sym__ctrl_z_hack] = ACTIONS(2344),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1027] = {
    [sym_heredoc_content] = STATE(1027),
    [sym__identifier] = ACTIONS(2348),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_COLON] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_EQ] = ACTIONS(2348),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2350),
    [anon_sym_and] = ACTIONS(2348),
    [anon_sym_or] = ACTIONS(2348),
    [anon_sym_xor] = ACTIONS(2348),
    [anon_sym_DASH_GT] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2348),
    [anon_sym_LT] = ACTIONS(2348),
    [anon_sym_GT] = ACTIONS(2348),
    [anon_sym_LT_LT] = ACTIONS(2348),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2350),
    [anon_sym_PLUS_EQ] = ACTIONS(2350),
    [anon_sym_DASH_EQ] = ACTIONS(2350),
    [anon_sym_DOT_EQ] = ACTIONS(2350),
    [anon_sym_STAR_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT_EQ] = ACTIONS(2350),
    [anon_sym_x_EQ] = ACTIONS(2350),
    [anon_sym_AMP_EQ] = ACTIONS(2350),
    [anon_sym_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_CARET_EQ] = ACTIONS(2350),
    [anon_sym_LT_LT_EQ] = ACTIONS(2350),
    [anon_sym_GT_GT_EQ] = ACTIONS(2350),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2350),
    [anon_sym_DOT_DOT] = ACTIONS(2348),
    [anon_sym_STAR_STAR] = ACTIONS(2348),
    [anon_sym_PIPE_PIPE] = ACTIONS(2348),
    [anon_sym_SLASH_SLASH] = ACTIONS(2348),
    [anon_sym_CARET_CARET] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2348),
    [anon_sym_PIPE] = ACTIONS(2348),
    [anon_sym_CARET] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_GT_GT2] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2348),
    [anon_sym_DOT] = ACTIONS(2348),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_SLASH] = ACTIONS(2348),
    [anon_sym_x] = ACTIONS(2348),
    [anon_sym_EQ_TILDE] = ACTIONS(2350),
    [anon_sym_BANG_TILDE] = ACTIONS(2350),
    [anon_sym_EQ_EQ] = ACTIONS(2348),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_eq] = ACTIONS(2348),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2350),
    [anon_sym_equ] = ACTIONS(2348),
    [anon_sym_eqr] = ACTIONS(2348),
    [anon_sym_ne] = ACTIONS(2348),
    [anon_sym_LT_EQ_GT] = ACTIONS(2350),
    [anon_sym_cmp] = ACTIONS(2348),
    [anon_sym_TILDE_TILDE] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2348),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_lt] = ACTIONS(2348),
    [anon_sym_le] = ACTIONS(2348),
    [anon_sym_ge] = ACTIONS(2348),
    [anon_sym_gt] = ACTIONS(2348),
    [anon_sym_isa] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2350),
    [anon_sym_EQ_GT] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2348),
    [anon_sym_foreach] = ACTIONS(2348),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2348),
    [anon_sym___END__] = ACTIONS(2348),
    [anon_sym_EOT] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2348),
    [anon_sym_unless] = ACTIONS(2348),
    [anon_sym_while] = ACTIONS(2348),
    [anon_sym_until] = ACTIONS(2348),
    [aux_sym__bareword_token1] = ACTIONS(2348),
    [sym__PERLY_SEMICOLON] = ACTIONS(2350),
    [sym__ctrl_z_hack] = ACTIONS(2350),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1028] = {
    [sym_heredoc_content] = STATE(1028),
    [anon_sym_LBRACE] = ACTIONS(2352),
    [anon_sym_RBRACE] = ACTIONS(2352),
    [anon_sym_SEMI] = ACTIONS(2352),
    [anon_sym_EQ] = ACTIONS(2354),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2352),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2352),
    [anon_sym_COMMA] = ACTIONS(2352),
    [anon_sym_LPAREN] = ACTIONS(2352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2352),
    [anon_sym_and] = ACTIONS(2352),
    [anon_sym_or] = ACTIONS(2352),
    [anon_sym_xor] = ACTIONS(2352),
    [anon_sym_LBRACK] = ACTIONS(2352),
    [anon_sym_DASH_GT] = ACTIONS(2352),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_LT] = ACTIONS(2354),
    [anon_sym_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2352),
    [anon_sym_PLUS_EQ] = ACTIONS(2352),
    [anon_sym_DASH_EQ] = ACTIONS(2352),
    [anon_sym_DOT_EQ] = ACTIONS(2352),
    [anon_sym_STAR_EQ] = ACTIONS(2352),
    [anon_sym_SLASH_EQ] = ACTIONS(2352),
    [anon_sym_PERCENT_EQ] = ACTIONS(2352),
    [anon_sym_x_EQ] = ACTIONS(2352),
    [anon_sym_AMP_EQ] = ACTIONS(2352),
    [anon_sym_PIPE_EQ] = ACTIONS(2352),
    [anon_sym_CARET_EQ] = ACTIONS(2352),
    [anon_sym_LT_LT_EQ] = ACTIONS(2352),
    [anon_sym_GT_GT_EQ] = ACTIONS(2352),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2352),
    [anon_sym_DOT_DOT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2354),
    [anon_sym_PIPE_PIPE] = ACTIONS(2354),
    [anon_sym_SLASH_SLASH] = ACTIONS(2354),
    [anon_sym_CARET_CARET] = ACTIONS(2352),
    [anon_sym_AMP_AMP] = ACTIONS(2354),
    [anon_sym_PIPE] = ACTIONS(2354),
    [anon_sym_CARET] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym_GT_GT2] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_DOT] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2354),
    [anon_sym_SLASH] = ACTIONS(2354),
    [anon_sym_x] = ACTIONS(2354),
    [anon_sym_EQ_TILDE] = ACTIONS(2352),
    [anon_sym_BANG_TILDE] = ACTIONS(2352),
    [anon_sym_EQ_EQ] = ACTIONS(2354),
    [anon_sym_BANG_EQ] = ACTIONS(2352),
    [anon_sym_eq] = ACTIONS(2354),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2352),
    [anon_sym_equ] = ACTIONS(2352),
    [anon_sym_eqr] = ACTIONS(2352),
    [anon_sym_ne] = ACTIONS(2352),
    [anon_sym_LT_EQ_GT] = ACTIONS(2352),
    [anon_sym_cmp] = ACTIONS(2352),
    [anon_sym_TILDE_TILDE] = ACTIONS(2352),
    [anon_sym_LT_EQ] = ACTIONS(2354),
    [anon_sym_GT_EQ] = ACTIONS(2352),
    [anon_sym_lt] = ACTIONS(2352),
    [anon_sym_le] = ACTIONS(2352),
    [anon_sym_ge] = ACTIONS(2352),
    [anon_sym_gt] = ACTIONS(2352),
    [anon_sym_isa] = ACTIONS(2352),
    [anon_sym_PLUS_PLUS] = ACTIONS(2352),
    [anon_sym_DASH_DASH] = ACTIONS(2352),
    [anon_sym_QMARK] = ACTIONS(2352),
    [anon_sym_EQ_GT] = ACTIONS(2352),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_foreach] = ACTIONS(2352),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2352),
    [anon_sym___END__] = ACTIONS(2352),
    [anon_sym_EOT] = ACTIONS(2352),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_unless] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(2352),
    [anon_sym_until] = ACTIONS(2352),
    [sym__PERLY_SEMICOLON] = ACTIONS(2352),
    [sym__ctrl_z_hack] = ACTIONS(2352),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1029] = {
    [sym_heredoc_content] = STATE(1029),
    [anon_sym_LBRACE] = ACTIONS(1767),
    [anon_sym_RBRACE] = ACTIONS(1767),
    [anon_sym_SEMI] = ACTIONS(1767),
    [anon_sym_EQ] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1767),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1767),
    [anon_sym_COMMA] = ACTIONS(1767),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_and] = ACTIONS(1767),
    [anon_sym_or] = ACTIONS(1767),
    [anon_sym_xor] = ACTIONS(1767),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [anon_sym_DASH_GT] = ACTIONS(1767),
    [anon_sym_PERCENT] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1765),
    [anon_sym_LT_LT] = ACTIONS(1765),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1767),
    [anon_sym_PLUS_EQ] = ACTIONS(1767),
    [anon_sym_DASH_EQ] = ACTIONS(1767),
    [anon_sym_DOT_EQ] = ACTIONS(1767),
    [anon_sym_STAR_EQ] = ACTIONS(1767),
    [anon_sym_SLASH_EQ] = ACTIONS(1767),
    [anon_sym_PERCENT_EQ] = ACTIONS(1767),
    [anon_sym_x_EQ] = ACTIONS(1767),
    [anon_sym_AMP_EQ] = ACTIONS(1767),
    [anon_sym_PIPE_EQ] = ACTIONS(1767),
    [anon_sym_CARET_EQ] = ACTIONS(1767),
    [anon_sym_LT_LT_EQ] = ACTIONS(1767),
    [anon_sym_GT_GT_EQ] = ACTIONS(1767),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1767),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_STAR_STAR] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1765),
    [anon_sym_SLASH_SLASH] = ACTIONS(1765),
    [anon_sym_CARET_CARET] = ACTIONS(1767),
    [anon_sym_AMP_AMP] = ACTIONS(1765),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_CARET] = ACTIONS(1765),
    [anon_sym_AMP] = ACTIONS(1765),
    [anon_sym_GT_GT2] = ACTIONS(1765),
    [anon_sym_PLUS] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_DOT] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1765),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_x] = ACTIONS(1765),
    [anon_sym_EQ_TILDE] = ACTIONS(1767),
    [anon_sym_BANG_TILDE] = ACTIONS(1767),
    [anon_sym_EQ_EQ] = ACTIONS(1765),
    [anon_sym_BANG_EQ] = ACTIONS(1767),
    [anon_sym_eq] = ACTIONS(1765),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1767),
    [anon_sym_equ] = ACTIONS(1767),
    [anon_sym_eqr] = ACTIONS(1767),
    [anon_sym_ne] = ACTIONS(1767),
    [anon_sym_LT_EQ_GT] = ACTIONS(1767),
    [anon_sym_cmp] = ACTIONS(1767),
    [anon_sym_TILDE_TILDE] = ACTIONS(1767),
    [anon_sym_LT_EQ] = ACTIONS(1765),
    [anon_sym_GT_EQ] = ACTIONS(1767),
    [anon_sym_lt] = ACTIONS(1767),
    [anon_sym_le] = ACTIONS(1767),
    [anon_sym_ge] = ACTIONS(1767),
    [anon_sym_gt] = ACTIONS(1767),
    [anon_sym_isa] = ACTIONS(1767),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_QMARK] = ACTIONS(1767),
    [anon_sym_EQ_GT] = ACTIONS(1767),
    [anon_sym_for] = ACTIONS(1765),
    [anon_sym_foreach] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1767),
    [anon_sym___END__] = ACTIONS(1767),
    [anon_sym_EOT] = ACTIONS(1767),
    [anon_sym_if] = ACTIONS(1767),
    [anon_sym_unless] = ACTIONS(1767),
    [anon_sym_while] = ACTIONS(1767),
    [anon_sym_until] = ACTIONS(1767),
    [sym__PERLY_SEMICOLON] = ACTIONS(1767),
    [sym__ctrl_z_hack] = ACTIONS(1767),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1030] = {
    [sym_heredoc_content] = STATE(1030),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(2356),
    [anon_sym_SEMI] = ACTIONS(2356),
    [anon_sym_EQ] = ACTIONS(2358),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2356),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2356),
    [anon_sym_COMMA] = ACTIONS(2356),
    [anon_sym_LPAREN] = ACTIONS(2356),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2356),
    [anon_sym_and] = ACTIONS(2356),
    [anon_sym_or] = ACTIONS(2356),
    [anon_sym_xor] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_DASH_GT] = ACTIONS(2356),
    [anon_sym_PERCENT] = ACTIONS(2358),
    [anon_sym_LT] = ACTIONS(2358),
    [anon_sym_GT] = ACTIONS(2358),
    [anon_sym_LT_LT] = ACTIONS(2358),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2356),
    [anon_sym_PLUS_EQ] = ACTIONS(2356),
    [anon_sym_DASH_EQ] = ACTIONS(2356),
    [anon_sym_DOT_EQ] = ACTIONS(2356),
    [anon_sym_STAR_EQ] = ACTIONS(2356),
    [anon_sym_SLASH_EQ] = ACTIONS(2356),
    [anon_sym_PERCENT_EQ] = ACTIONS(2356),
    [anon_sym_x_EQ] = ACTIONS(2356),
    [anon_sym_AMP_EQ] = ACTIONS(2356),
    [anon_sym_PIPE_EQ] = ACTIONS(2356),
    [anon_sym_CARET_EQ] = ACTIONS(2356),
    [anon_sym_LT_LT_EQ] = ACTIONS(2356),
    [anon_sym_GT_GT_EQ] = ACTIONS(2356),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2356),
    [anon_sym_DOT_DOT] = ACTIONS(2358),
    [anon_sym_STAR_STAR] = ACTIONS(2358),
    [anon_sym_PIPE_PIPE] = ACTIONS(2358),
    [anon_sym_SLASH_SLASH] = ACTIONS(2358),
    [anon_sym_CARET_CARET] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2358),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_CARET] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2358),
    [anon_sym_GT_GT2] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2358),
    [anon_sym_DOT] = ACTIONS(2358),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_SLASH] = ACTIONS(2358),
    [anon_sym_x] = ACTIONS(2358),
    [anon_sym_EQ_TILDE] = ACTIONS(2356),
    [anon_sym_BANG_TILDE] = ACTIONS(2356),
    [anon_sym_EQ_EQ] = ACTIONS(2358),
    [anon_sym_BANG_EQ] = ACTIONS(2356),
    [anon_sym_eq] = ACTIONS(2358),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2356),
    [anon_sym_equ] = ACTIONS(2356),
    [anon_sym_eqr] = ACTIONS(2356),
    [anon_sym_ne] = ACTIONS(2356),
    [anon_sym_LT_EQ_GT] = ACTIONS(2356),
    [anon_sym_cmp] = ACTIONS(2356),
    [anon_sym_TILDE_TILDE] = ACTIONS(2356),
    [anon_sym_LT_EQ] = ACTIONS(2358),
    [anon_sym_GT_EQ] = ACTIONS(2356),
    [anon_sym_lt] = ACTIONS(2356),
    [anon_sym_le] = ACTIONS(2356),
    [anon_sym_ge] = ACTIONS(2356),
    [anon_sym_gt] = ACTIONS(2356),
    [anon_sym_isa] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_QMARK] = ACTIONS(2356),
    [anon_sym_EQ_GT] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2358),
    [anon_sym_foreach] = ACTIONS(2356),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2356),
    [anon_sym___END__] = ACTIONS(2356),
    [anon_sym_EOT] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_unless] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_until] = ACTIONS(2356),
    [sym__PERLY_SEMICOLON] = ACTIONS(2356),
    [sym__ctrl_z_hack] = ACTIONS(2356),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1031] = {
    [sym_heredoc_content] = STATE(1031),
    [anon_sym_LBRACE] = ACTIONS(2360),
    [anon_sym_RBRACE] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2360),
    [anon_sym_EQ] = ACTIONS(2362),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2360),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2360),
    [anon_sym_COMMA] = ACTIONS(2360),
    [anon_sym_LPAREN] = ACTIONS(2360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2360),
    [anon_sym_and] = ACTIONS(2360),
    [anon_sym_or] = ACTIONS(2360),
    [anon_sym_xor] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_DASH_GT] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2362),
    [anon_sym_LT] = ACTIONS(2362),
    [anon_sym_GT] = ACTIONS(2362),
    [anon_sym_LT_LT] = ACTIONS(2362),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2360),
    [anon_sym_PLUS_EQ] = ACTIONS(2360),
    [anon_sym_DASH_EQ] = ACTIONS(2360),
    [anon_sym_DOT_EQ] = ACTIONS(2360),
    [anon_sym_STAR_EQ] = ACTIONS(2360),
    [anon_sym_SLASH_EQ] = ACTIONS(2360),
    [anon_sym_PERCENT_EQ] = ACTIONS(2360),
    [anon_sym_x_EQ] = ACTIONS(2360),
    [anon_sym_AMP_EQ] = ACTIONS(2360),
    [anon_sym_PIPE_EQ] = ACTIONS(2360),
    [anon_sym_CARET_EQ] = ACTIONS(2360),
    [anon_sym_LT_LT_EQ] = ACTIONS(2360),
    [anon_sym_GT_GT_EQ] = ACTIONS(2360),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2360),
    [anon_sym_DOT_DOT] = ACTIONS(2362),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_PIPE_PIPE] = ACTIONS(2362),
    [anon_sym_SLASH_SLASH] = ACTIONS(2362),
    [anon_sym_CARET_CARET] = ACTIONS(2360),
    [anon_sym_AMP_AMP] = ACTIONS(2362),
    [anon_sym_PIPE] = ACTIONS(2362),
    [anon_sym_CARET] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_GT_GT2] = ACTIONS(2362),
    [anon_sym_PLUS] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2362),
    [anon_sym_DOT] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_SLASH] = ACTIONS(2362),
    [anon_sym_x] = ACTIONS(2362),
    [anon_sym_EQ_TILDE] = ACTIONS(2360),
    [anon_sym_BANG_TILDE] = ACTIONS(2360),
    [anon_sym_EQ_EQ] = ACTIONS(2362),
    [anon_sym_BANG_EQ] = ACTIONS(2360),
    [anon_sym_eq] = ACTIONS(2362),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2360),
    [anon_sym_equ] = ACTIONS(2360),
    [anon_sym_eqr] = ACTIONS(2360),
    [anon_sym_ne] = ACTIONS(2360),
    [anon_sym_LT_EQ_GT] = ACTIONS(2360),
    [anon_sym_cmp] = ACTIONS(2360),
    [anon_sym_TILDE_TILDE] = ACTIONS(2360),
    [anon_sym_LT_EQ] = ACTIONS(2362),
    [anon_sym_GT_EQ] = ACTIONS(2360),
    [anon_sym_lt] = ACTIONS(2360),
    [anon_sym_le] = ACTIONS(2360),
    [anon_sym_ge] = ACTIONS(2360),
    [anon_sym_gt] = ACTIONS(2360),
    [anon_sym_isa] = ACTIONS(2360),
    [anon_sym_PLUS_PLUS] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2360),
    [anon_sym_QMARK] = ACTIONS(2360),
    [anon_sym_EQ_GT] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2362),
    [anon_sym_foreach] = ACTIONS(2360),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2360),
    [anon_sym___END__] = ACTIONS(2360),
    [anon_sym_EOT] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_unless] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_until] = ACTIONS(2360),
    [sym__PERLY_SEMICOLON] = ACTIONS(2360),
    [sym__ctrl_z_hack] = ACTIONS(2360),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1032] = {
    [sym_heredoc_content] = STATE(1032),
    [anon_sym_LBRACE] = ACTIONS(2364),
    [anon_sym_RBRACE] = ACTIONS(1796),
    [anon_sym_SEMI] = ACTIONS(1796),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_COMMA] = ACTIONS(1796),
    [anon_sym_LPAREN] = ACTIONS(2366),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1796),
    [anon_sym_and] = ACTIONS(1796),
    [anon_sym_or] = ACTIONS(1796),
    [anon_sym_xor] = ACTIONS(1796),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_DASH_GT] = ACTIONS(1796),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1796),
    [anon_sym_PLUS_EQ] = ACTIONS(1796),
    [anon_sym_DASH_EQ] = ACTIONS(1796),
    [anon_sym_DOT_EQ] = ACTIONS(1796),
    [anon_sym_STAR_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_PERCENT_EQ] = ACTIONS(1796),
    [anon_sym_x_EQ] = ACTIONS(1796),
    [anon_sym_AMP_EQ] = ACTIONS(1796),
    [anon_sym_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_CARET_EQ] = ACTIONS(1796),
    [anon_sym_LT_LT_EQ] = ACTIONS(1796),
    [anon_sym_GT_GT_EQ] = ACTIONS(1796),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1796),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1787),
    [anon_sym_CARET_CARET] = ACTIONS(1796),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1796),
    [anon_sym_BANG_TILDE] = ACTIONS(1796),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1796),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1796),
    [anon_sym_equ] = ACTIONS(1796),
    [anon_sym_eqr] = ACTIONS(1796),
    [anon_sym_ne] = ACTIONS(1796),
    [anon_sym_LT_EQ_GT] = ACTIONS(1796),
    [anon_sym_cmp] = ACTIONS(1796),
    [anon_sym_TILDE_TILDE] = ACTIONS(1796),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1796),
    [anon_sym_lt] = ACTIONS(1796),
    [anon_sym_le] = ACTIONS(1796),
    [anon_sym_ge] = ACTIONS(1796),
    [anon_sym_gt] = ACTIONS(1796),
    [anon_sym_isa] = ACTIONS(1796),
    [anon_sym_PLUS_PLUS] = ACTIONS(1796),
    [anon_sym_DASH_DASH] = ACTIONS(1796),
    [anon_sym_QMARK] = ACTIONS(1796),
    [anon_sym_EQ_GT] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1787),
    [anon_sym_foreach] = ACTIONS(1796),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1796),
    [anon_sym___END__] = ACTIONS(1796),
    [anon_sym_EOT] = ACTIONS(1796),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_unless] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_until] = ACTIONS(1796),
    [sym__PERLY_SEMICOLON] = ACTIONS(1796),
    [sym__ctrl_z_hack] = ACTIONS(1796),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1033] = {
    [sym_heredoc_content] = STATE(1033),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2372),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2370),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2370),
    [anon_sym_and] = ACTIONS(2370),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_xor] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_DASH_GT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2372),
    [anon_sym_LT] = ACTIONS(2372),
    [anon_sym_GT] = ACTIONS(2372),
    [anon_sym_LT_LT] = ACTIONS(2372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2370),
    [anon_sym_PLUS_EQ] = ACTIONS(2370),
    [anon_sym_DASH_EQ] = ACTIONS(2370),
    [anon_sym_DOT_EQ] = ACTIONS(2370),
    [anon_sym_STAR_EQ] = ACTIONS(2370),
    [anon_sym_SLASH_EQ] = ACTIONS(2370),
    [anon_sym_PERCENT_EQ] = ACTIONS(2370),
    [anon_sym_x_EQ] = ACTIONS(2370),
    [anon_sym_AMP_EQ] = ACTIONS(2370),
    [anon_sym_PIPE_EQ] = ACTIONS(2370),
    [anon_sym_CARET_EQ] = ACTIONS(2370),
    [anon_sym_LT_LT_EQ] = ACTIONS(2370),
    [anon_sym_GT_GT_EQ] = ACTIONS(2370),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2370),
    [anon_sym_DOT_DOT] = ACTIONS(2372),
    [anon_sym_STAR_STAR] = ACTIONS(2372),
    [anon_sym_PIPE_PIPE] = ACTIONS(2372),
    [anon_sym_SLASH_SLASH] = ACTIONS(2372),
    [anon_sym_CARET_CARET] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2372),
    [anon_sym_PIPE] = ACTIONS(2372),
    [anon_sym_CARET] = ACTIONS(2372),
    [anon_sym_AMP] = ACTIONS(2372),
    [anon_sym_GT_GT2] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_DASH] = ACTIONS(2372),
    [anon_sym_DOT] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2372),
    [anon_sym_SLASH] = ACTIONS(2372),
    [anon_sym_x] = ACTIONS(2372),
    [anon_sym_EQ_TILDE] = ACTIONS(2370),
    [anon_sym_BANG_TILDE] = ACTIONS(2370),
    [anon_sym_EQ_EQ] = ACTIONS(2372),
    [anon_sym_BANG_EQ] = ACTIONS(2370),
    [anon_sym_eq] = ACTIONS(2372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2370),
    [anon_sym_equ] = ACTIONS(2370),
    [anon_sym_eqr] = ACTIONS(2370),
    [anon_sym_ne] = ACTIONS(2370),
    [anon_sym_LT_EQ_GT] = ACTIONS(2370),
    [anon_sym_cmp] = ACTIONS(2370),
    [anon_sym_TILDE_TILDE] = ACTIONS(2370),
    [anon_sym_LT_EQ] = ACTIONS(2372),
    [anon_sym_GT_EQ] = ACTIONS(2370),
    [anon_sym_lt] = ACTIONS(2370),
    [anon_sym_le] = ACTIONS(2370),
    [anon_sym_ge] = ACTIONS(2370),
    [anon_sym_gt] = ACTIONS(2370),
    [anon_sym_isa] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_EQ_GT] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2372),
    [anon_sym_foreach] = ACTIONS(2370),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2370),
    [anon_sym___END__] = ACTIONS(2370),
    [anon_sym_EOT] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_unless] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_until] = ACTIONS(2370),
    [sym__PERLY_SEMICOLON] = ACTIONS(2370),
    [sym__ctrl_z_hack] = ACTIONS(2370),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1034] = {
    [sym_heredoc_content] = STATE(1034),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_RBRACE] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2374),
    [anon_sym_EQ] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2374),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2374),
    [anon_sym_COMMA] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2374),
    [anon_sym_and] = ACTIONS(2374),
    [anon_sym_or] = ACTIONS(2374),
    [anon_sym_xor] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_DASH_GT] = ACTIONS(2374),
    [anon_sym_PERCENT] = ACTIONS(2376),
    [anon_sym_LT] = ACTIONS(2376),
    [anon_sym_GT] = ACTIONS(2376),
    [anon_sym_LT_LT] = ACTIONS(2376),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2374),
    [anon_sym_PLUS_EQ] = ACTIONS(2374),
    [anon_sym_DASH_EQ] = ACTIONS(2374),
    [anon_sym_DOT_EQ] = ACTIONS(2374),
    [anon_sym_STAR_EQ] = ACTIONS(2374),
    [anon_sym_SLASH_EQ] = ACTIONS(2374),
    [anon_sym_PERCENT_EQ] = ACTIONS(2374),
    [anon_sym_x_EQ] = ACTIONS(2374),
    [anon_sym_AMP_EQ] = ACTIONS(2374),
    [anon_sym_PIPE_EQ] = ACTIONS(2374),
    [anon_sym_CARET_EQ] = ACTIONS(2374),
    [anon_sym_LT_LT_EQ] = ACTIONS(2374),
    [anon_sym_GT_GT_EQ] = ACTIONS(2374),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2374),
    [anon_sym_DOT_DOT] = ACTIONS(2376),
    [anon_sym_STAR_STAR] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2376),
    [anon_sym_SLASH_SLASH] = ACTIONS(2376),
    [anon_sym_CARET_CARET] = ACTIONS(2374),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_PIPE] = ACTIONS(2376),
    [anon_sym_CARET] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_GT_GT2] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_SLASH] = ACTIONS(2376),
    [anon_sym_x] = ACTIONS(2376),
    [anon_sym_EQ_TILDE] = ACTIONS(2374),
    [anon_sym_BANG_TILDE] = ACTIONS(2374),
    [anon_sym_EQ_EQ] = ACTIONS(2376),
    [anon_sym_BANG_EQ] = ACTIONS(2374),
    [anon_sym_eq] = ACTIONS(2376),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2374),
    [anon_sym_equ] = ACTIONS(2374),
    [anon_sym_eqr] = ACTIONS(2374),
    [anon_sym_ne] = ACTIONS(2374),
    [anon_sym_LT_EQ_GT] = ACTIONS(2374),
    [anon_sym_cmp] = ACTIONS(2374),
    [anon_sym_TILDE_TILDE] = ACTIONS(2374),
    [anon_sym_LT_EQ] = ACTIONS(2376),
    [anon_sym_GT_EQ] = ACTIONS(2374),
    [anon_sym_lt] = ACTIONS(2374),
    [anon_sym_le] = ACTIONS(2374),
    [anon_sym_ge] = ACTIONS(2374),
    [anon_sym_gt] = ACTIONS(2374),
    [anon_sym_isa] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_QMARK] = ACTIONS(2374),
    [anon_sym_EQ_GT] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2376),
    [anon_sym_foreach] = ACTIONS(2374),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2374),
    [anon_sym___END__] = ACTIONS(2374),
    [anon_sym_EOT] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_unless] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_until] = ACTIONS(2374),
    [sym__PERLY_SEMICOLON] = ACTIONS(2374),
    [sym__ctrl_z_hack] = ACTIONS(2374),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1035] = {
    [sym_heredoc_content] = STATE(1035),
    [anon_sym_LBRACE] = ACTIONS(2378),
    [anon_sym_RBRACE] = ACTIONS(2378),
    [anon_sym_SEMI] = ACTIONS(2378),
    [anon_sym_EQ] = ACTIONS(2380),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2378),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2378),
    [anon_sym_COMMA] = ACTIONS(2378),
    [anon_sym_LPAREN] = ACTIONS(2378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2378),
    [anon_sym_and] = ACTIONS(2378),
    [anon_sym_or] = ACTIONS(2378),
    [anon_sym_xor] = ACTIONS(2378),
    [anon_sym_LBRACK] = ACTIONS(2378),
    [anon_sym_DASH_GT] = ACTIONS(2378),
    [anon_sym_PERCENT] = ACTIONS(2380),
    [anon_sym_LT] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2380),
    [anon_sym_LT_LT] = ACTIONS(2380),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2378),
    [anon_sym_PLUS_EQ] = ACTIONS(2378),
    [anon_sym_DASH_EQ] = ACTIONS(2378),
    [anon_sym_DOT_EQ] = ACTIONS(2378),
    [anon_sym_STAR_EQ] = ACTIONS(2378),
    [anon_sym_SLASH_EQ] = ACTIONS(2378),
    [anon_sym_PERCENT_EQ] = ACTIONS(2378),
    [anon_sym_x_EQ] = ACTIONS(2378),
    [anon_sym_AMP_EQ] = ACTIONS(2378),
    [anon_sym_PIPE_EQ] = ACTIONS(2378),
    [anon_sym_CARET_EQ] = ACTIONS(2378),
    [anon_sym_LT_LT_EQ] = ACTIONS(2378),
    [anon_sym_GT_GT_EQ] = ACTIONS(2378),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2378),
    [anon_sym_DOT_DOT] = ACTIONS(2380),
    [anon_sym_STAR_STAR] = ACTIONS(2380),
    [anon_sym_PIPE_PIPE] = ACTIONS(2380),
    [anon_sym_SLASH_SLASH] = ACTIONS(2380),
    [anon_sym_CARET_CARET] = ACTIONS(2378),
    [anon_sym_AMP_AMP] = ACTIONS(2380),
    [anon_sym_PIPE] = ACTIONS(2380),
    [anon_sym_CARET] = ACTIONS(2380),
    [anon_sym_AMP] = ACTIONS(2380),
    [anon_sym_GT_GT2] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2380),
    [anon_sym_DASH] = ACTIONS(2380),
    [anon_sym_DOT] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2380),
    [anon_sym_SLASH] = ACTIONS(2380),
    [anon_sym_x] = ACTIONS(2380),
    [anon_sym_EQ_TILDE] = ACTIONS(2378),
    [anon_sym_BANG_TILDE] = ACTIONS(2378),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2378),
    [anon_sym_eq] = ACTIONS(2380),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2378),
    [anon_sym_equ] = ACTIONS(2378),
    [anon_sym_eqr] = ACTIONS(2378),
    [anon_sym_ne] = ACTIONS(2378),
    [anon_sym_LT_EQ_GT] = ACTIONS(2378),
    [anon_sym_cmp] = ACTIONS(2378),
    [anon_sym_TILDE_TILDE] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2378),
    [anon_sym_lt] = ACTIONS(2378),
    [anon_sym_le] = ACTIONS(2378),
    [anon_sym_ge] = ACTIONS(2378),
    [anon_sym_gt] = ACTIONS(2378),
    [anon_sym_isa] = ACTIONS(2378),
    [anon_sym_PLUS_PLUS] = ACTIONS(2378),
    [anon_sym_DASH_DASH] = ACTIONS(2378),
    [anon_sym_QMARK] = ACTIONS(2378),
    [anon_sym_EQ_GT] = ACTIONS(2378),
    [anon_sym_for] = ACTIONS(2380),
    [anon_sym_foreach] = ACTIONS(2378),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2378),
    [anon_sym___END__] = ACTIONS(2378),
    [anon_sym_EOT] = ACTIONS(2378),
    [anon_sym_if] = ACTIONS(2378),
    [anon_sym_unless] = ACTIONS(2378),
    [anon_sym_while] = ACTIONS(2378),
    [anon_sym_until] = ACTIONS(2378),
    [sym__PERLY_SEMICOLON] = ACTIONS(2378),
    [sym__ctrl_z_hack] = ACTIONS(2378),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1036] = {
    [sym_heredoc_content] = STATE(1036),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_RBRACE] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym_EQ] = ACTIONS(2384),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2382),
    [anon_sym_COMMA] = ACTIONS(2382),
    [anon_sym_LPAREN] = ACTIONS(2382),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2382),
    [anon_sym_and] = ACTIONS(2382),
    [anon_sym_or] = ACTIONS(2382),
    [anon_sym_xor] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_DASH_GT] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2384),
    [anon_sym_LT] = ACTIONS(2384),
    [anon_sym_GT] = ACTIONS(2384),
    [anon_sym_LT_LT] = ACTIONS(2384),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2382),
    [anon_sym_PLUS_EQ] = ACTIONS(2382),
    [anon_sym_DASH_EQ] = ACTIONS(2382),
    [anon_sym_DOT_EQ] = ACTIONS(2382),
    [anon_sym_STAR_EQ] = ACTIONS(2382),
    [anon_sym_SLASH_EQ] = ACTIONS(2382),
    [anon_sym_PERCENT_EQ] = ACTIONS(2382),
    [anon_sym_x_EQ] = ACTIONS(2382),
    [anon_sym_AMP_EQ] = ACTIONS(2382),
    [anon_sym_PIPE_EQ] = ACTIONS(2382),
    [anon_sym_CARET_EQ] = ACTIONS(2382),
    [anon_sym_LT_LT_EQ] = ACTIONS(2382),
    [anon_sym_GT_GT_EQ] = ACTIONS(2382),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2382),
    [anon_sym_DOT_DOT] = ACTIONS(2384),
    [anon_sym_STAR_STAR] = ACTIONS(2384),
    [anon_sym_PIPE_PIPE] = ACTIONS(2384),
    [anon_sym_SLASH_SLASH] = ACTIONS(2384),
    [anon_sym_CARET_CARET] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_PIPE] = ACTIONS(2384),
    [anon_sym_CARET] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_GT_GT2] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_DASH] = ACTIONS(2384),
    [anon_sym_DOT] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_SLASH] = ACTIONS(2384),
    [anon_sym_x] = ACTIONS(2384),
    [anon_sym_EQ_TILDE] = ACTIONS(2382),
    [anon_sym_BANG_TILDE] = ACTIONS(2382),
    [anon_sym_EQ_EQ] = ACTIONS(2384),
    [anon_sym_BANG_EQ] = ACTIONS(2382),
    [anon_sym_eq] = ACTIONS(2384),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2382),
    [anon_sym_equ] = ACTIONS(2382),
    [anon_sym_eqr] = ACTIONS(2382),
    [anon_sym_ne] = ACTIONS(2382),
    [anon_sym_LT_EQ_GT] = ACTIONS(2382),
    [anon_sym_cmp] = ACTIONS(2382),
    [anon_sym_TILDE_TILDE] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2384),
    [anon_sym_GT_EQ] = ACTIONS(2382),
    [anon_sym_lt] = ACTIONS(2382),
    [anon_sym_le] = ACTIONS(2382),
    [anon_sym_ge] = ACTIONS(2382),
    [anon_sym_gt] = ACTIONS(2382),
    [anon_sym_isa] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [anon_sym_QMARK] = ACTIONS(2382),
    [anon_sym_EQ_GT] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2384),
    [anon_sym_foreach] = ACTIONS(2382),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2382),
    [anon_sym___END__] = ACTIONS(2382),
    [anon_sym_EOT] = ACTIONS(2382),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_unless] = ACTIONS(2382),
    [anon_sym_while] = ACTIONS(2382),
    [anon_sym_until] = ACTIONS(2382),
    [sym__PERLY_SEMICOLON] = ACTIONS(2382),
    [sym__ctrl_z_hack] = ACTIONS(2382),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1037] = {
    [sym_heredoc_content] = STATE(1037),
    [anon_sym_LBRACE] = ACTIONS(2386),
    [anon_sym_RBRACE] = ACTIONS(2386),
    [anon_sym_SEMI] = ACTIONS(2386),
    [anon_sym_EQ] = ACTIONS(2388),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2386),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2386),
    [anon_sym_COMMA] = ACTIONS(2386),
    [anon_sym_LPAREN] = ACTIONS(2386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2386),
    [anon_sym_and] = ACTIONS(2386),
    [anon_sym_or] = ACTIONS(2386),
    [anon_sym_xor] = ACTIONS(2386),
    [anon_sym_LBRACK] = ACTIONS(2386),
    [anon_sym_DASH_GT] = ACTIONS(2386),
    [anon_sym_PERCENT] = ACTIONS(2388),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_GT] = ACTIONS(2388),
    [anon_sym_LT_LT] = ACTIONS(2388),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2386),
    [anon_sym_PLUS_EQ] = ACTIONS(2386),
    [anon_sym_DASH_EQ] = ACTIONS(2386),
    [anon_sym_DOT_EQ] = ACTIONS(2386),
    [anon_sym_STAR_EQ] = ACTIONS(2386),
    [anon_sym_SLASH_EQ] = ACTIONS(2386),
    [anon_sym_PERCENT_EQ] = ACTIONS(2386),
    [anon_sym_x_EQ] = ACTIONS(2386),
    [anon_sym_AMP_EQ] = ACTIONS(2386),
    [anon_sym_PIPE_EQ] = ACTIONS(2386),
    [anon_sym_CARET_EQ] = ACTIONS(2386),
    [anon_sym_LT_LT_EQ] = ACTIONS(2386),
    [anon_sym_GT_GT_EQ] = ACTIONS(2386),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2386),
    [anon_sym_DOT_DOT] = ACTIONS(2388),
    [anon_sym_STAR_STAR] = ACTIONS(2388),
    [anon_sym_PIPE_PIPE] = ACTIONS(2388),
    [anon_sym_SLASH_SLASH] = ACTIONS(2388),
    [anon_sym_CARET_CARET] = ACTIONS(2386),
    [anon_sym_AMP_AMP] = ACTIONS(2388),
    [anon_sym_PIPE] = ACTIONS(2388),
    [anon_sym_CARET] = ACTIONS(2388),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym_GT_GT2] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2388),
    [anon_sym_DASH] = ACTIONS(2388),
    [anon_sym_DOT] = ACTIONS(2388),
    [anon_sym_STAR] = ACTIONS(2388),
    [anon_sym_SLASH] = ACTIONS(2388),
    [anon_sym_x] = ACTIONS(2388),
    [anon_sym_EQ_TILDE] = ACTIONS(2386),
    [anon_sym_BANG_TILDE] = ACTIONS(2386),
    [anon_sym_EQ_EQ] = ACTIONS(2388),
    [anon_sym_BANG_EQ] = ACTIONS(2386),
    [anon_sym_eq] = ACTIONS(2388),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2386),
    [anon_sym_equ] = ACTIONS(2386),
    [anon_sym_eqr] = ACTIONS(2386),
    [anon_sym_ne] = ACTIONS(2386),
    [anon_sym_LT_EQ_GT] = ACTIONS(2386),
    [anon_sym_cmp] = ACTIONS(2386),
    [anon_sym_TILDE_TILDE] = ACTIONS(2386),
    [anon_sym_LT_EQ] = ACTIONS(2388),
    [anon_sym_GT_EQ] = ACTIONS(2386),
    [anon_sym_lt] = ACTIONS(2386),
    [anon_sym_le] = ACTIONS(2386),
    [anon_sym_ge] = ACTIONS(2386),
    [anon_sym_gt] = ACTIONS(2386),
    [anon_sym_isa] = ACTIONS(2386),
    [anon_sym_PLUS_PLUS] = ACTIONS(2386),
    [anon_sym_DASH_DASH] = ACTIONS(2386),
    [anon_sym_QMARK] = ACTIONS(2386),
    [anon_sym_EQ_GT] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2388),
    [anon_sym_foreach] = ACTIONS(2386),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2386),
    [anon_sym___END__] = ACTIONS(2386),
    [anon_sym_EOT] = ACTIONS(2386),
    [anon_sym_if] = ACTIONS(2386),
    [anon_sym_unless] = ACTIONS(2386),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_until] = ACTIONS(2386),
    [sym__PERLY_SEMICOLON] = ACTIONS(2386),
    [sym__ctrl_z_hack] = ACTIONS(2386),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1038] = {
    [sym_heredoc_content] = STATE(1038),
    [anon_sym_LBRACE] = ACTIONS(2390),
    [anon_sym_RBRACE] = ACTIONS(2390),
    [anon_sym_SEMI] = ACTIONS(2390),
    [anon_sym_EQ] = ACTIONS(2392),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2390),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2390),
    [anon_sym_COMMA] = ACTIONS(2390),
    [anon_sym_LPAREN] = ACTIONS(2390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2390),
    [anon_sym_and] = ACTIONS(2390),
    [anon_sym_or] = ACTIONS(2390),
    [anon_sym_xor] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2390),
    [anon_sym_DASH_GT] = ACTIONS(2390),
    [anon_sym_PERCENT] = ACTIONS(2392),
    [anon_sym_LT] = ACTIONS(2392),
    [anon_sym_GT] = ACTIONS(2392),
    [anon_sym_LT_LT] = ACTIONS(2392),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2390),
    [anon_sym_PLUS_EQ] = ACTIONS(2390),
    [anon_sym_DASH_EQ] = ACTIONS(2390),
    [anon_sym_DOT_EQ] = ACTIONS(2390),
    [anon_sym_STAR_EQ] = ACTIONS(2390),
    [anon_sym_SLASH_EQ] = ACTIONS(2390),
    [anon_sym_PERCENT_EQ] = ACTIONS(2390),
    [anon_sym_x_EQ] = ACTIONS(2390),
    [anon_sym_AMP_EQ] = ACTIONS(2390),
    [anon_sym_PIPE_EQ] = ACTIONS(2390),
    [anon_sym_CARET_EQ] = ACTIONS(2390),
    [anon_sym_LT_LT_EQ] = ACTIONS(2390),
    [anon_sym_GT_GT_EQ] = ACTIONS(2390),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2390),
    [anon_sym_DOT_DOT] = ACTIONS(2392),
    [anon_sym_STAR_STAR] = ACTIONS(2392),
    [anon_sym_PIPE_PIPE] = ACTIONS(2392),
    [anon_sym_SLASH_SLASH] = ACTIONS(2392),
    [anon_sym_CARET_CARET] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2392),
    [anon_sym_PIPE] = ACTIONS(2392),
    [anon_sym_CARET] = ACTIONS(2392),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym_GT_GT2] = ACTIONS(2392),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_DASH] = ACTIONS(2392),
    [anon_sym_DOT] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2392),
    [anon_sym_SLASH] = ACTIONS(2392),
    [anon_sym_x] = ACTIONS(2392),
    [anon_sym_EQ_TILDE] = ACTIONS(2390),
    [anon_sym_BANG_TILDE] = ACTIONS(2390),
    [anon_sym_EQ_EQ] = ACTIONS(2392),
    [anon_sym_BANG_EQ] = ACTIONS(2390),
    [anon_sym_eq] = ACTIONS(2392),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2390),
    [anon_sym_equ] = ACTIONS(2390),
    [anon_sym_eqr] = ACTIONS(2390),
    [anon_sym_ne] = ACTIONS(2390),
    [anon_sym_LT_EQ_GT] = ACTIONS(2390),
    [anon_sym_cmp] = ACTIONS(2390),
    [anon_sym_TILDE_TILDE] = ACTIONS(2390),
    [anon_sym_LT_EQ] = ACTIONS(2392),
    [anon_sym_GT_EQ] = ACTIONS(2390),
    [anon_sym_lt] = ACTIONS(2390),
    [anon_sym_le] = ACTIONS(2390),
    [anon_sym_ge] = ACTIONS(2390),
    [anon_sym_gt] = ACTIONS(2390),
    [anon_sym_isa] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2390),
    [anon_sym_DASH_DASH] = ACTIONS(2390),
    [anon_sym_QMARK] = ACTIONS(2390),
    [anon_sym_EQ_GT] = ACTIONS(2390),
    [anon_sym_for] = ACTIONS(2392),
    [anon_sym_foreach] = ACTIONS(2390),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2390),
    [anon_sym___END__] = ACTIONS(2390),
    [anon_sym_EOT] = ACTIONS(2390),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_unless] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2390),
    [anon_sym_until] = ACTIONS(2390),
    [sym__PERLY_SEMICOLON] = ACTIONS(2390),
    [sym__ctrl_z_hack] = ACTIONS(2390),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1039] = {
    [sym_heredoc_content] = STATE(1039),
    [anon_sym_LBRACE] = ACTIONS(1759),
    [anon_sym_RBRACE] = ACTIONS(1759),
    [anon_sym_SEMI] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(1759),
    [anon_sym_LPAREN] = ACTIONS(1759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1759),
    [anon_sym_and] = ACTIONS(1759),
    [anon_sym_or] = ACTIONS(1759),
    [anon_sym_xor] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_DASH_GT] = ACTIONS(1759),
    [anon_sym_PERCENT] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1759),
    [anon_sym_PLUS_EQ] = ACTIONS(1759),
    [anon_sym_DASH_EQ] = ACTIONS(1759),
    [anon_sym_DOT_EQ] = ACTIONS(1759),
    [anon_sym_STAR_EQ] = ACTIONS(1759),
    [anon_sym_SLASH_EQ] = ACTIONS(1759),
    [anon_sym_PERCENT_EQ] = ACTIONS(1759),
    [anon_sym_x_EQ] = ACTIONS(1759),
    [anon_sym_AMP_EQ] = ACTIONS(1759),
    [anon_sym_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_CARET_EQ] = ACTIONS(1759),
    [anon_sym_LT_LT_EQ] = ACTIONS(1759),
    [anon_sym_GT_GT_EQ] = ACTIONS(1759),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1759),
    [anon_sym_DOT_DOT] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH] = ACTIONS(1755),
    [anon_sym_CARET_CARET] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_GT_GT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1755),
    [anon_sym_x] = ACTIONS(1755),
    [anon_sym_EQ_TILDE] = ACTIONS(1759),
    [anon_sym_BANG_TILDE] = ACTIONS(1759),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1759),
    [anon_sym_eq] = ACTIONS(1755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1759),
    [anon_sym_equ] = ACTIONS(1759),
    [anon_sym_eqr] = ACTIONS(1759),
    [anon_sym_ne] = ACTIONS(1759),
    [anon_sym_LT_EQ_GT] = ACTIONS(1759),
    [anon_sym_cmp] = ACTIONS(1759),
    [anon_sym_TILDE_TILDE] = ACTIONS(1759),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1759),
    [anon_sym_lt] = ACTIONS(1759),
    [anon_sym_le] = ACTIONS(1759),
    [anon_sym_ge] = ACTIONS(1759),
    [anon_sym_gt] = ACTIONS(1759),
    [anon_sym_isa] = ACTIONS(1759),
    [anon_sym_PLUS_PLUS] = ACTIONS(1759),
    [anon_sym_DASH_DASH] = ACTIONS(1759),
    [anon_sym_QMARK] = ACTIONS(1759),
    [anon_sym_EQ_GT] = ACTIONS(1759),
    [anon_sym_for] = ACTIONS(1755),
    [anon_sym_foreach] = ACTIONS(1759),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1759),
    [anon_sym___END__] = ACTIONS(1759),
    [anon_sym_EOT] = ACTIONS(1759),
    [anon_sym_if] = ACTIONS(1759),
    [anon_sym_unless] = ACTIONS(1759),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_until] = ACTIONS(1759),
    [sym__PERLY_SEMICOLON] = ACTIONS(1759),
    [sym__ctrl_z_hack] = ACTIONS(1759),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1040] = {
    [sym_heredoc_content] = STATE(1040),
    [sym__identifier] = ACTIONS(2316),
    [anon_sym_RBRACE] = ACTIONS(2311),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2311),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_COMMA] = ACTIONS(2311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2311),
    [anon_sym_and] = ACTIONS(2316),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_xor] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2311),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2316),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2311),
    [anon_sym_PLUS_EQ] = ACTIONS(2311),
    [anon_sym_DASH_EQ] = ACTIONS(2311),
    [anon_sym_DOT_EQ] = ACTIONS(2311),
    [anon_sym_STAR_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_PERCENT_EQ] = ACTIONS(2311),
    [anon_sym_x_EQ] = ACTIONS(2311),
    [anon_sym_AMP_EQ] = ACTIONS(2311),
    [anon_sym_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_CARET_EQ] = ACTIONS(2311),
    [anon_sym_LT_LT_EQ] = ACTIONS(2311),
    [anon_sym_GT_GT_EQ] = ACTIONS(2311),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2311),
    [anon_sym_DOT_DOT] = ACTIONS(2316),
    [anon_sym_STAR_STAR] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_SLASH_SLASH] = ACTIONS(2316),
    [anon_sym_CARET_CARET] = ACTIONS(2311),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_GT_GT2] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_x] = ACTIONS(2316),
    [anon_sym_EQ_TILDE] = ACTIONS(2311),
    [anon_sym_BANG_TILDE] = ACTIONS(2311),
    [anon_sym_EQ_EQ] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2311),
    [anon_sym_eq] = ACTIONS(2316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2311),
    [anon_sym_equ] = ACTIONS(2316),
    [anon_sym_eqr] = ACTIONS(2316),
    [anon_sym_ne] = ACTIONS(2316),
    [anon_sym_LT_EQ_GT] = ACTIONS(2311),
    [anon_sym_cmp] = ACTIONS(2316),
    [anon_sym_TILDE_TILDE] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(2316),
    [anon_sym_GT_EQ] = ACTIONS(2311),
    [anon_sym_lt] = ACTIONS(2316),
    [anon_sym_le] = ACTIONS(2316),
    [anon_sym_ge] = ACTIONS(2316),
    [anon_sym_gt] = ACTIONS(2316),
    [anon_sym_isa] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2311),
    [anon_sym_QMARK] = ACTIONS(2311),
    [anon_sym_EQ_GT] = ACTIONS(2311),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_foreach] = ACTIONS(2316),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2316),
    [anon_sym___END__] = ACTIONS(2316),
    [anon_sym_EOT] = ACTIONS(2311),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_unless] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_until] = ACTIONS(2316),
    [aux_sym__bareword_token1] = ACTIONS(2316),
    [sym__PERLY_SEMICOLON] = ACTIONS(2311),
    [sym__ctrl_z_hack] = ACTIONS(2311),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1041] = {
    [sym_heredoc_content] = STATE(1041),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_RBRACE] = ACTIONS(2394),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym_EQ] = ACTIONS(2396),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2394),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2394),
    [anon_sym_COMMA] = ACTIONS(2394),
    [anon_sym_LPAREN] = ACTIONS(2394),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2394),
    [anon_sym_and] = ACTIONS(2394),
    [anon_sym_or] = ACTIONS(2394),
    [anon_sym_xor] = ACTIONS(2394),
    [anon_sym_LBRACK] = ACTIONS(2394),
    [anon_sym_DASH_GT] = ACTIONS(2394),
    [anon_sym_PERCENT] = ACTIONS(2396),
    [anon_sym_LT] = ACTIONS(2396),
    [anon_sym_GT] = ACTIONS(2396),
    [anon_sym_LT_LT] = ACTIONS(2396),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2394),
    [anon_sym_PLUS_EQ] = ACTIONS(2394),
    [anon_sym_DASH_EQ] = ACTIONS(2394),
    [anon_sym_DOT_EQ] = ACTIONS(2394),
    [anon_sym_STAR_EQ] = ACTIONS(2394),
    [anon_sym_SLASH_EQ] = ACTIONS(2394),
    [anon_sym_PERCENT_EQ] = ACTIONS(2394),
    [anon_sym_x_EQ] = ACTIONS(2394),
    [anon_sym_AMP_EQ] = ACTIONS(2394),
    [anon_sym_PIPE_EQ] = ACTIONS(2394),
    [anon_sym_CARET_EQ] = ACTIONS(2394),
    [anon_sym_LT_LT_EQ] = ACTIONS(2394),
    [anon_sym_GT_GT_EQ] = ACTIONS(2394),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2394),
    [anon_sym_DOT_DOT] = ACTIONS(2396),
    [anon_sym_STAR_STAR] = ACTIONS(2396),
    [anon_sym_PIPE_PIPE] = ACTIONS(2396),
    [anon_sym_SLASH_SLASH] = ACTIONS(2396),
    [anon_sym_CARET_CARET] = ACTIONS(2394),
    [anon_sym_AMP_AMP] = ACTIONS(2396),
    [anon_sym_PIPE] = ACTIONS(2396),
    [anon_sym_CARET] = ACTIONS(2396),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_GT_GT2] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2396),
    [anon_sym_DASH] = ACTIONS(2396),
    [anon_sym_DOT] = ACTIONS(2396),
    [anon_sym_STAR] = ACTIONS(2396),
    [anon_sym_SLASH] = ACTIONS(2396),
    [anon_sym_x] = ACTIONS(2396),
    [anon_sym_EQ_TILDE] = ACTIONS(2394),
    [anon_sym_BANG_TILDE] = ACTIONS(2394),
    [anon_sym_EQ_EQ] = ACTIONS(2396),
    [anon_sym_BANG_EQ] = ACTIONS(2394),
    [anon_sym_eq] = ACTIONS(2396),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2394),
    [anon_sym_equ] = ACTIONS(2394),
    [anon_sym_eqr] = ACTIONS(2394),
    [anon_sym_ne] = ACTIONS(2394),
    [anon_sym_LT_EQ_GT] = ACTIONS(2394),
    [anon_sym_cmp] = ACTIONS(2394),
    [anon_sym_TILDE_TILDE] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(2396),
    [anon_sym_GT_EQ] = ACTIONS(2394),
    [anon_sym_lt] = ACTIONS(2394),
    [anon_sym_le] = ACTIONS(2394),
    [anon_sym_ge] = ACTIONS(2394),
    [anon_sym_gt] = ACTIONS(2394),
    [anon_sym_isa] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [anon_sym_QMARK] = ACTIONS(2394),
    [anon_sym_EQ_GT] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2396),
    [anon_sym_foreach] = ACTIONS(2394),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2394),
    [anon_sym___END__] = ACTIONS(2394),
    [anon_sym_EOT] = ACTIONS(2394),
    [anon_sym_if] = ACTIONS(2394),
    [anon_sym_unless] = ACTIONS(2394),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_until] = ACTIONS(2394),
    [sym__PERLY_SEMICOLON] = ACTIONS(2394),
    [sym__ctrl_z_hack] = ACTIONS(2394),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1042] = {
    [sym_heredoc_content] = STATE(1042),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym_RBRACE] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(1403),
    [anon_sym_EQ] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1403),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1403),
    [anon_sym_COMMA] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_and] = ACTIONS(1403),
    [anon_sym_or] = ACTIONS(1403),
    [anon_sym_xor] = ACTIONS(1403),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_DASH_GT] = ACTIONS(1403),
    [anon_sym_PERCENT] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1405),
    [anon_sym_GT] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1403),
    [anon_sym_PLUS_EQ] = ACTIONS(1403),
    [anon_sym_DASH_EQ] = ACTIONS(1403),
    [anon_sym_DOT_EQ] = ACTIONS(1403),
    [anon_sym_STAR_EQ] = ACTIONS(1403),
    [anon_sym_SLASH_EQ] = ACTIONS(1403),
    [anon_sym_PERCENT_EQ] = ACTIONS(1403),
    [anon_sym_x_EQ] = ACTIONS(1403),
    [anon_sym_AMP_EQ] = ACTIONS(1403),
    [anon_sym_PIPE_EQ] = ACTIONS(1403),
    [anon_sym_CARET_EQ] = ACTIONS(1403),
    [anon_sym_LT_LT_EQ] = ACTIONS(1403),
    [anon_sym_GT_GT_EQ] = ACTIONS(1403),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1403),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_STAR_STAR] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH] = ACTIONS(1405),
    [anon_sym_CARET_CARET] = ACTIONS(1403),
    [anon_sym_AMP_AMP] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_GT_GT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1405),
    [anon_sym_DOT] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1405),
    [anon_sym_x] = ACTIONS(1405),
    [anon_sym_EQ_TILDE] = ACTIONS(1403),
    [anon_sym_BANG_TILDE] = ACTIONS(1403),
    [anon_sym_EQ_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1403),
    [anon_sym_eq] = ACTIONS(1405),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1403),
    [anon_sym_equ] = ACTIONS(1403),
    [anon_sym_eqr] = ACTIONS(1403),
    [anon_sym_ne] = ACTIONS(1403),
    [anon_sym_LT_EQ_GT] = ACTIONS(1403),
    [anon_sym_cmp] = ACTIONS(1403),
    [anon_sym_TILDE_TILDE] = ACTIONS(1403),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1403),
    [anon_sym_lt] = ACTIONS(1403),
    [anon_sym_le] = ACTIONS(1403),
    [anon_sym_ge] = ACTIONS(1403),
    [anon_sym_gt] = ACTIONS(1403),
    [anon_sym_isa] = ACTIONS(1403),
    [anon_sym_PLUS_PLUS] = ACTIONS(1403),
    [anon_sym_DASH_DASH] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(1403),
    [anon_sym_EQ_GT] = ACTIONS(1403),
    [anon_sym_for] = ACTIONS(1405),
    [anon_sym_foreach] = ACTIONS(1403),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1403),
    [anon_sym___END__] = ACTIONS(1403),
    [anon_sym_EOT] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1403),
    [anon_sym_unless] = ACTIONS(1403),
    [anon_sym_while] = ACTIONS(1403),
    [anon_sym_until] = ACTIONS(1403),
    [sym__PERLY_SEMICOLON] = ACTIONS(1403),
    [sym__ctrl_z_hack] = ACTIONS(1403),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1043] = {
    [sym_heredoc_content] = STATE(1043),
    [sym__identifier] = ACTIONS(2398),
    [anon_sym_RBRACE] = ACTIONS(2400),
    [anon_sym_COLON] = ACTIONS(2398),
    [anon_sym_SEMI] = ACTIONS(2400),
    [anon_sym_EQ] = ACTIONS(2398),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2400),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2400),
    [anon_sym_COMMA] = ACTIONS(2400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2400),
    [anon_sym_and] = ACTIONS(2398),
    [anon_sym_or] = ACTIONS(2398),
    [anon_sym_xor] = ACTIONS(2398),
    [anon_sym_DASH_GT] = ACTIONS(2400),
    [anon_sym_PERCENT] = ACTIONS(2398),
    [anon_sym_LT] = ACTIONS(2398),
    [anon_sym_GT] = ACTIONS(2398),
    [anon_sym_LT_LT] = ACTIONS(2398),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2400),
    [anon_sym_PLUS_EQ] = ACTIONS(2400),
    [anon_sym_DASH_EQ] = ACTIONS(2400),
    [anon_sym_DOT_EQ] = ACTIONS(2400),
    [anon_sym_STAR_EQ] = ACTIONS(2400),
    [anon_sym_SLASH_EQ] = ACTIONS(2400),
    [anon_sym_PERCENT_EQ] = ACTIONS(2400),
    [anon_sym_x_EQ] = ACTIONS(2400),
    [anon_sym_AMP_EQ] = ACTIONS(2400),
    [anon_sym_PIPE_EQ] = ACTIONS(2400),
    [anon_sym_CARET_EQ] = ACTIONS(2400),
    [anon_sym_LT_LT_EQ] = ACTIONS(2400),
    [anon_sym_GT_GT_EQ] = ACTIONS(2400),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2400),
    [anon_sym_DOT_DOT] = ACTIONS(2398),
    [anon_sym_STAR_STAR] = ACTIONS(2398),
    [anon_sym_PIPE_PIPE] = ACTIONS(2398),
    [anon_sym_SLASH_SLASH] = ACTIONS(2398),
    [anon_sym_CARET_CARET] = ACTIONS(2400),
    [anon_sym_AMP_AMP] = ACTIONS(2398),
    [anon_sym_PIPE] = ACTIONS(2398),
    [anon_sym_CARET] = ACTIONS(2398),
    [anon_sym_AMP] = ACTIONS(2398),
    [anon_sym_GT_GT2] = ACTIONS(2398),
    [anon_sym_PLUS] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2398),
    [anon_sym_DOT] = ACTIONS(2398),
    [anon_sym_STAR] = ACTIONS(2398),
    [anon_sym_SLASH] = ACTIONS(2398),
    [anon_sym_x] = ACTIONS(2398),
    [anon_sym_EQ_TILDE] = ACTIONS(2400),
    [anon_sym_BANG_TILDE] = ACTIONS(2400),
    [anon_sym_EQ_EQ] = ACTIONS(2398),
    [anon_sym_BANG_EQ] = ACTIONS(2400),
    [anon_sym_eq] = ACTIONS(2398),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2400),
    [anon_sym_equ] = ACTIONS(2398),
    [anon_sym_eqr] = ACTIONS(2398),
    [anon_sym_ne] = ACTIONS(2398),
    [anon_sym_LT_EQ_GT] = ACTIONS(2400),
    [anon_sym_cmp] = ACTIONS(2398),
    [anon_sym_TILDE_TILDE] = ACTIONS(2400),
    [anon_sym_LT_EQ] = ACTIONS(2398),
    [anon_sym_GT_EQ] = ACTIONS(2400),
    [anon_sym_lt] = ACTIONS(2398),
    [anon_sym_le] = ACTIONS(2398),
    [anon_sym_ge] = ACTIONS(2398),
    [anon_sym_gt] = ACTIONS(2398),
    [anon_sym_isa] = ACTIONS(2398),
    [anon_sym_PLUS_PLUS] = ACTIONS(2400),
    [anon_sym_DASH_DASH] = ACTIONS(2400),
    [anon_sym_QMARK] = ACTIONS(2400),
    [anon_sym_EQ_GT] = ACTIONS(2400),
    [anon_sym_for] = ACTIONS(2398),
    [anon_sym_foreach] = ACTIONS(2398),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2398),
    [anon_sym___END__] = ACTIONS(2398),
    [anon_sym_EOT] = ACTIONS(2400),
    [anon_sym_if] = ACTIONS(2398),
    [anon_sym_unless] = ACTIONS(2398),
    [anon_sym_while] = ACTIONS(2398),
    [anon_sym_until] = ACTIONS(2398),
    [aux_sym__bareword_token1] = ACTIONS(2398),
    [sym__PERLY_SEMICOLON] = ACTIONS(2400),
    [sym__ctrl_z_hack] = ACTIONS(2400),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1044] = {
    [sym_heredoc_content] = STATE(1044),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_RBRACE] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym_EQ] = ACTIONS(2404),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2402),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2402),
    [anon_sym_COMMA] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(2402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2402),
    [anon_sym_and] = ACTIONS(2402),
    [anon_sym_or] = ACTIONS(2402),
    [anon_sym_xor] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_DASH_GT] = ACTIONS(2402),
    [anon_sym_PERCENT] = ACTIONS(2404),
    [anon_sym_LT] = ACTIONS(2404),
    [anon_sym_GT] = ACTIONS(2404),
    [anon_sym_LT_LT] = ACTIONS(2404),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2402),
    [anon_sym_PLUS_EQ] = ACTIONS(2402),
    [anon_sym_DASH_EQ] = ACTIONS(2402),
    [anon_sym_DOT_EQ] = ACTIONS(2402),
    [anon_sym_STAR_EQ] = ACTIONS(2402),
    [anon_sym_SLASH_EQ] = ACTIONS(2402),
    [anon_sym_PERCENT_EQ] = ACTIONS(2402),
    [anon_sym_x_EQ] = ACTIONS(2402),
    [anon_sym_AMP_EQ] = ACTIONS(2402),
    [anon_sym_PIPE_EQ] = ACTIONS(2402),
    [anon_sym_CARET_EQ] = ACTIONS(2402),
    [anon_sym_LT_LT_EQ] = ACTIONS(2402),
    [anon_sym_GT_GT_EQ] = ACTIONS(2402),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2402),
    [anon_sym_DOT_DOT] = ACTIONS(2404),
    [anon_sym_STAR_STAR] = ACTIONS(2404),
    [anon_sym_PIPE_PIPE] = ACTIONS(2404),
    [anon_sym_SLASH_SLASH] = ACTIONS(2404),
    [anon_sym_CARET_CARET] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_PIPE] = ACTIONS(2404),
    [anon_sym_CARET] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_GT_GT2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2404),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_SLASH] = ACTIONS(2404),
    [anon_sym_x] = ACTIONS(2404),
    [anon_sym_EQ_TILDE] = ACTIONS(2402),
    [anon_sym_BANG_TILDE] = ACTIONS(2402),
    [anon_sym_EQ_EQ] = ACTIONS(2404),
    [anon_sym_BANG_EQ] = ACTIONS(2402),
    [anon_sym_eq] = ACTIONS(2404),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2402),
    [anon_sym_equ] = ACTIONS(2402),
    [anon_sym_eqr] = ACTIONS(2402),
    [anon_sym_ne] = ACTIONS(2402),
    [anon_sym_LT_EQ_GT] = ACTIONS(2402),
    [anon_sym_cmp] = ACTIONS(2402),
    [anon_sym_TILDE_TILDE] = ACTIONS(2402),
    [anon_sym_LT_EQ] = ACTIONS(2404),
    [anon_sym_GT_EQ] = ACTIONS(2402),
    [anon_sym_lt] = ACTIONS(2402),
    [anon_sym_le] = ACTIONS(2402),
    [anon_sym_ge] = ACTIONS(2402),
    [anon_sym_gt] = ACTIONS(2402),
    [anon_sym_isa] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [anon_sym_QMARK] = ACTIONS(2402),
    [anon_sym_EQ_GT] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2404),
    [anon_sym_foreach] = ACTIONS(2402),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2402),
    [anon_sym___END__] = ACTIONS(2402),
    [anon_sym_EOT] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_unless] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_until] = ACTIONS(2402),
    [sym__PERLY_SEMICOLON] = ACTIONS(2402),
    [sym__ctrl_z_hack] = ACTIONS(2402),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1045] = {
    [sym_heredoc_content] = STATE(1045),
    [anon_sym_LBRACE] = ACTIONS(1783),
    [anon_sym_RBRACE] = ACTIONS(1783),
    [anon_sym_SEMI] = ACTIONS(1783),
    [anon_sym_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1783),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1783),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1783),
    [anon_sym_and] = ACTIONS(1783),
    [anon_sym_or] = ACTIONS(1783),
    [anon_sym_xor] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [anon_sym_DASH_GT] = ACTIONS(1783),
    [anon_sym_PERCENT] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1783),
    [anon_sym_PLUS_EQ] = ACTIONS(1783),
    [anon_sym_DASH_EQ] = ACTIONS(1783),
    [anon_sym_DOT_EQ] = ACTIONS(1783),
    [anon_sym_STAR_EQ] = ACTIONS(1783),
    [anon_sym_SLASH_EQ] = ACTIONS(1783),
    [anon_sym_PERCENT_EQ] = ACTIONS(1783),
    [anon_sym_x_EQ] = ACTIONS(1783),
    [anon_sym_AMP_EQ] = ACTIONS(1783),
    [anon_sym_PIPE_EQ] = ACTIONS(1783),
    [anon_sym_CARET_EQ] = ACTIONS(1783),
    [anon_sym_LT_LT_EQ] = ACTIONS(1783),
    [anon_sym_GT_GT_EQ] = ACTIONS(1783),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1783),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_STAR_STAR] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_CARET_CARET] = ACTIONS(1783),
    [anon_sym_AMP_AMP] = ACTIONS(1781),
    [anon_sym_PIPE] = ACTIONS(1781),
    [anon_sym_CARET] = ACTIONS(1781),
    [anon_sym_AMP] = ACTIONS(1781),
    [anon_sym_GT_GT2] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_x] = ACTIONS(1781),
    [anon_sym_EQ_TILDE] = ACTIONS(1783),
    [anon_sym_BANG_TILDE] = ACTIONS(1783),
    [anon_sym_EQ_EQ] = ACTIONS(1781),
    [anon_sym_BANG_EQ] = ACTIONS(1783),
    [anon_sym_eq] = ACTIONS(1781),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1783),
    [anon_sym_equ] = ACTIONS(1783),
    [anon_sym_eqr] = ACTIONS(1783),
    [anon_sym_ne] = ACTIONS(1783),
    [anon_sym_LT_EQ_GT] = ACTIONS(1783),
    [anon_sym_cmp] = ACTIONS(1783),
    [anon_sym_TILDE_TILDE] = ACTIONS(1783),
    [anon_sym_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_EQ] = ACTIONS(1783),
    [anon_sym_lt] = ACTIONS(1783),
    [anon_sym_le] = ACTIONS(1783),
    [anon_sym_ge] = ACTIONS(1783),
    [anon_sym_gt] = ACTIONS(1783),
    [anon_sym_isa] = ACTIONS(1783),
    [anon_sym_PLUS_PLUS] = ACTIONS(1783),
    [anon_sym_DASH_DASH] = ACTIONS(1783),
    [anon_sym_QMARK] = ACTIONS(1783),
    [anon_sym_EQ_GT] = ACTIONS(1783),
    [anon_sym_for] = ACTIONS(1781),
    [anon_sym_foreach] = ACTIONS(1783),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1783),
    [anon_sym___END__] = ACTIONS(1783),
    [anon_sym_EOT] = ACTIONS(1783),
    [anon_sym_if] = ACTIONS(1783),
    [anon_sym_unless] = ACTIONS(1783),
    [anon_sym_while] = ACTIONS(1783),
    [anon_sym_until] = ACTIONS(1783),
    [sym__PERLY_SEMICOLON] = ACTIONS(1783),
    [sym__ctrl_z_hack] = ACTIONS(1783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1046] = {
    [sym_heredoc_content] = STATE(1046),
    [anon_sym_LBRACE] = ACTIONS(2406),
    [anon_sym_RBRACE] = ACTIONS(2406),
    [anon_sym_SEMI] = ACTIONS(2406),
    [anon_sym_EQ] = ACTIONS(2408),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2406),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2406),
    [anon_sym_COMMA] = ACTIONS(2406),
    [anon_sym_LPAREN] = ACTIONS(2406),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2406),
    [anon_sym_and] = ACTIONS(2406),
    [anon_sym_or] = ACTIONS(2406),
    [anon_sym_xor] = ACTIONS(2406),
    [anon_sym_LBRACK] = ACTIONS(2406),
    [anon_sym_DASH_GT] = ACTIONS(2406),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_LT] = ACTIONS(2408),
    [anon_sym_GT] = ACTIONS(2408),
    [anon_sym_LT_LT] = ACTIONS(2408),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2406),
    [anon_sym_PLUS_EQ] = ACTIONS(2406),
    [anon_sym_DASH_EQ] = ACTIONS(2406),
    [anon_sym_DOT_EQ] = ACTIONS(2406),
    [anon_sym_STAR_EQ] = ACTIONS(2406),
    [anon_sym_SLASH_EQ] = ACTIONS(2406),
    [anon_sym_PERCENT_EQ] = ACTIONS(2406),
    [anon_sym_x_EQ] = ACTIONS(2406),
    [anon_sym_AMP_EQ] = ACTIONS(2406),
    [anon_sym_PIPE_EQ] = ACTIONS(2406),
    [anon_sym_CARET_EQ] = ACTIONS(2406),
    [anon_sym_LT_LT_EQ] = ACTIONS(2406),
    [anon_sym_GT_GT_EQ] = ACTIONS(2406),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2406),
    [anon_sym_DOT_DOT] = ACTIONS(2408),
    [anon_sym_STAR_STAR] = ACTIONS(2408),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_SLASH_SLASH] = ACTIONS(2408),
    [anon_sym_CARET_CARET] = ACTIONS(2406),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_PIPE] = ACTIONS(2408),
    [anon_sym_CARET] = ACTIONS(2408),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_GT_GT2] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2408),
    [anon_sym_x] = ACTIONS(2408),
    [anon_sym_EQ_TILDE] = ACTIONS(2406),
    [anon_sym_BANG_TILDE] = ACTIONS(2406),
    [anon_sym_EQ_EQ] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2406),
    [anon_sym_eq] = ACTIONS(2408),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2406),
    [anon_sym_equ] = ACTIONS(2406),
    [anon_sym_eqr] = ACTIONS(2406),
    [anon_sym_ne] = ACTIONS(2406),
    [anon_sym_LT_EQ_GT] = ACTIONS(2406),
    [anon_sym_cmp] = ACTIONS(2406),
    [anon_sym_TILDE_TILDE] = ACTIONS(2406),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2406),
    [anon_sym_lt] = ACTIONS(2406),
    [anon_sym_le] = ACTIONS(2406),
    [anon_sym_ge] = ACTIONS(2406),
    [anon_sym_gt] = ACTIONS(2406),
    [anon_sym_isa] = ACTIONS(2406),
    [anon_sym_PLUS_PLUS] = ACTIONS(2406),
    [anon_sym_DASH_DASH] = ACTIONS(2406),
    [anon_sym_QMARK] = ACTIONS(2406),
    [anon_sym_EQ_GT] = ACTIONS(2406),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_foreach] = ACTIONS(2406),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2406),
    [anon_sym___END__] = ACTIONS(2406),
    [anon_sym_EOT] = ACTIONS(2406),
    [anon_sym_if] = ACTIONS(2406),
    [anon_sym_unless] = ACTIONS(2406),
    [anon_sym_while] = ACTIONS(2406),
    [anon_sym_until] = ACTIONS(2406),
    [sym__PERLY_SEMICOLON] = ACTIONS(2406),
    [sym__ctrl_z_hack] = ACTIONS(2406),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1047] = {
    [sym_heredoc_content] = STATE(1047),
    [anon_sym_LBRACE] = ACTIONS(1771),
    [anon_sym_RBRACE] = ACTIONS(1771),
    [anon_sym_SEMI] = ACTIONS(1771),
    [anon_sym_EQ] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1771),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1771),
    [anon_sym_COMMA] = ACTIONS(1771),
    [anon_sym_LPAREN] = ACTIONS(1771),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1771),
    [anon_sym_and] = ACTIONS(1771),
    [anon_sym_or] = ACTIONS(1771),
    [anon_sym_xor] = ACTIONS(1771),
    [anon_sym_LBRACK] = ACTIONS(1771),
    [anon_sym_DASH_GT] = ACTIONS(1771),
    [anon_sym_PERCENT] = ACTIONS(1769),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_GT] = ACTIONS(1769),
    [anon_sym_LT_LT] = ACTIONS(1769),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1771),
    [anon_sym_PLUS_EQ] = ACTIONS(1771),
    [anon_sym_DASH_EQ] = ACTIONS(1771),
    [anon_sym_DOT_EQ] = ACTIONS(1771),
    [anon_sym_STAR_EQ] = ACTIONS(1771),
    [anon_sym_SLASH_EQ] = ACTIONS(1771),
    [anon_sym_PERCENT_EQ] = ACTIONS(1771),
    [anon_sym_x_EQ] = ACTIONS(1771),
    [anon_sym_AMP_EQ] = ACTIONS(1771),
    [anon_sym_PIPE_EQ] = ACTIONS(1771),
    [anon_sym_CARET_EQ] = ACTIONS(1771),
    [anon_sym_LT_LT_EQ] = ACTIONS(1771),
    [anon_sym_GT_GT_EQ] = ACTIONS(1771),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1771),
    [anon_sym_DOT_DOT] = ACTIONS(1769),
    [anon_sym_STAR_STAR] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE] = ACTIONS(1769),
    [anon_sym_SLASH_SLASH] = ACTIONS(1769),
    [anon_sym_CARET_CARET] = ACTIONS(1771),
    [anon_sym_AMP_AMP] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1769),
    [anon_sym_CARET] = ACTIONS(1769),
    [anon_sym_AMP] = ACTIONS(1769),
    [anon_sym_GT_GT2] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_DOT] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1769),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_x] = ACTIONS(1769),
    [anon_sym_EQ_TILDE] = ACTIONS(1771),
    [anon_sym_BANG_TILDE] = ACTIONS(1771),
    [anon_sym_EQ_EQ] = ACTIONS(1769),
    [anon_sym_BANG_EQ] = ACTIONS(1771),
    [anon_sym_eq] = ACTIONS(1769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1771),
    [anon_sym_equ] = ACTIONS(1771),
    [anon_sym_eqr] = ACTIONS(1771),
    [anon_sym_ne] = ACTIONS(1771),
    [anon_sym_LT_EQ_GT] = ACTIONS(1771),
    [anon_sym_cmp] = ACTIONS(1771),
    [anon_sym_TILDE_TILDE] = ACTIONS(1771),
    [anon_sym_LT_EQ] = ACTIONS(1769),
    [anon_sym_GT_EQ] = ACTIONS(1771),
    [anon_sym_lt] = ACTIONS(1771),
    [anon_sym_le] = ACTIONS(1771),
    [anon_sym_ge] = ACTIONS(1771),
    [anon_sym_gt] = ACTIONS(1771),
    [anon_sym_isa] = ACTIONS(1771),
    [anon_sym_PLUS_PLUS] = ACTIONS(1771),
    [anon_sym_DASH_DASH] = ACTIONS(1771),
    [anon_sym_QMARK] = ACTIONS(1771),
    [anon_sym_EQ_GT] = ACTIONS(1771),
    [anon_sym_for] = ACTIONS(1769),
    [anon_sym_foreach] = ACTIONS(1771),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1771),
    [anon_sym___END__] = ACTIONS(1771),
    [anon_sym_EOT] = ACTIONS(1771),
    [anon_sym_if] = ACTIONS(1771),
    [anon_sym_unless] = ACTIONS(1771),
    [anon_sym_while] = ACTIONS(1771),
    [anon_sym_until] = ACTIONS(1771),
    [sym__PERLY_SEMICOLON] = ACTIONS(1771),
    [sym__ctrl_z_hack] = ACTIONS(1771),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1048] = {
    [sym_heredoc_content] = STATE(1048),
    [anon_sym_LBRACE] = ACTIONS(1738),
    [anon_sym_RBRACE] = ACTIONS(1738),
    [anon_sym_SEMI] = ACTIONS(1738),
    [anon_sym_EQ] = ACTIONS(1736),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1738),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1738),
    [anon_sym_COMMA] = ACTIONS(1738),
    [anon_sym_LPAREN] = ACTIONS(1738),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1738),
    [anon_sym_and] = ACTIONS(1738),
    [anon_sym_or] = ACTIONS(1738),
    [anon_sym_xor] = ACTIONS(1738),
    [anon_sym_LBRACK] = ACTIONS(1738),
    [anon_sym_DASH_GT] = ACTIONS(1738),
    [anon_sym_PERCENT] = ACTIONS(1736),
    [anon_sym_LT] = ACTIONS(1736),
    [anon_sym_GT] = ACTIONS(1736),
    [anon_sym_LT_LT] = ACTIONS(1736),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1738),
    [anon_sym_PLUS_EQ] = ACTIONS(1738),
    [anon_sym_DASH_EQ] = ACTIONS(1738),
    [anon_sym_DOT_EQ] = ACTIONS(1738),
    [anon_sym_STAR_EQ] = ACTIONS(1738),
    [anon_sym_SLASH_EQ] = ACTIONS(1738),
    [anon_sym_PERCENT_EQ] = ACTIONS(1738),
    [anon_sym_x_EQ] = ACTIONS(1738),
    [anon_sym_AMP_EQ] = ACTIONS(1738),
    [anon_sym_PIPE_EQ] = ACTIONS(1738),
    [anon_sym_CARET_EQ] = ACTIONS(1738),
    [anon_sym_LT_LT_EQ] = ACTIONS(1738),
    [anon_sym_GT_GT_EQ] = ACTIONS(1738),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1738),
    [anon_sym_DOT_DOT] = ACTIONS(1736),
    [anon_sym_STAR_STAR] = ACTIONS(1736),
    [anon_sym_PIPE_PIPE] = ACTIONS(1736),
    [anon_sym_SLASH_SLASH] = ACTIONS(1736),
    [anon_sym_CARET_CARET] = ACTIONS(1738),
    [anon_sym_AMP_AMP] = ACTIONS(1736),
    [anon_sym_PIPE] = ACTIONS(1736),
    [anon_sym_CARET] = ACTIONS(1736),
    [anon_sym_AMP] = ACTIONS(1736),
    [anon_sym_GT_GT2] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1736),
    [anon_sym_DOT] = ACTIONS(1736),
    [anon_sym_STAR] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1736),
    [anon_sym_x] = ACTIONS(1736),
    [anon_sym_EQ_TILDE] = ACTIONS(1738),
    [anon_sym_BANG_TILDE] = ACTIONS(1738),
    [anon_sym_EQ_EQ] = ACTIONS(1736),
    [anon_sym_BANG_EQ] = ACTIONS(1738),
    [anon_sym_eq] = ACTIONS(1736),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1738),
    [anon_sym_equ] = ACTIONS(1738),
    [anon_sym_eqr] = ACTIONS(1738),
    [anon_sym_ne] = ACTIONS(1738),
    [anon_sym_LT_EQ_GT] = ACTIONS(1738),
    [anon_sym_cmp] = ACTIONS(1738),
    [anon_sym_TILDE_TILDE] = ACTIONS(1738),
    [anon_sym_LT_EQ] = ACTIONS(1736),
    [anon_sym_GT_EQ] = ACTIONS(1738),
    [anon_sym_lt] = ACTIONS(1738),
    [anon_sym_le] = ACTIONS(1738),
    [anon_sym_ge] = ACTIONS(1738),
    [anon_sym_gt] = ACTIONS(1738),
    [anon_sym_isa] = ACTIONS(1738),
    [anon_sym_PLUS_PLUS] = ACTIONS(1738),
    [anon_sym_DASH_DASH] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(1738),
    [anon_sym_EQ_GT] = ACTIONS(1738),
    [anon_sym_for] = ACTIONS(1736),
    [anon_sym_foreach] = ACTIONS(1738),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1738),
    [anon_sym___END__] = ACTIONS(1738),
    [anon_sym_EOT] = ACTIONS(1738),
    [anon_sym_if] = ACTIONS(1738),
    [anon_sym_unless] = ACTIONS(1738),
    [anon_sym_while] = ACTIONS(1738),
    [anon_sym_until] = ACTIONS(1738),
    [sym__PERLY_SEMICOLON] = ACTIONS(1738),
    [sym__ctrl_z_hack] = ACTIONS(1738),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1049] = {
    [sym_heredoc_content] = STATE(1049),
    [anon_sym_LBRACE] = ACTIONS(1763),
    [anon_sym_RBRACE] = ACTIONS(1763),
    [anon_sym_SEMI] = ACTIONS(1763),
    [anon_sym_EQ] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1763),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1763),
    [anon_sym_COMMA] = ACTIONS(1763),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1763),
    [anon_sym_and] = ACTIONS(1763),
    [anon_sym_or] = ACTIONS(1763),
    [anon_sym_xor] = ACTIONS(1763),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [anon_sym_DASH_GT] = ACTIONS(1763),
    [anon_sym_PERCENT] = ACTIONS(1761),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_GT] = ACTIONS(1761),
    [anon_sym_LT_LT] = ACTIONS(1761),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1763),
    [anon_sym_PLUS_EQ] = ACTIONS(1763),
    [anon_sym_DASH_EQ] = ACTIONS(1763),
    [anon_sym_DOT_EQ] = ACTIONS(1763),
    [anon_sym_STAR_EQ] = ACTIONS(1763),
    [anon_sym_SLASH_EQ] = ACTIONS(1763),
    [anon_sym_PERCENT_EQ] = ACTIONS(1763),
    [anon_sym_x_EQ] = ACTIONS(1763),
    [anon_sym_AMP_EQ] = ACTIONS(1763),
    [anon_sym_PIPE_EQ] = ACTIONS(1763),
    [anon_sym_CARET_EQ] = ACTIONS(1763),
    [anon_sym_LT_LT_EQ] = ACTIONS(1763),
    [anon_sym_GT_GT_EQ] = ACTIONS(1763),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1761),
    [anon_sym_STAR_STAR] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE] = ACTIONS(1761),
    [anon_sym_SLASH_SLASH] = ACTIONS(1761),
    [anon_sym_CARET_CARET] = ACTIONS(1763),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_PIPE] = ACTIONS(1761),
    [anon_sym_CARET] = ACTIONS(1761),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT2] = ACTIONS(1761),
    [anon_sym_PLUS] = ACTIONS(1761),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_DOT] = ACTIONS(1761),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_x] = ACTIONS(1761),
    [anon_sym_EQ_TILDE] = ACTIONS(1763),
    [anon_sym_BANG_TILDE] = ACTIONS(1763),
    [anon_sym_EQ_EQ] = ACTIONS(1761),
    [anon_sym_BANG_EQ] = ACTIONS(1763),
    [anon_sym_eq] = ACTIONS(1761),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1763),
    [anon_sym_equ] = ACTIONS(1763),
    [anon_sym_eqr] = ACTIONS(1763),
    [anon_sym_ne] = ACTIONS(1763),
    [anon_sym_LT_EQ_GT] = ACTIONS(1763),
    [anon_sym_cmp] = ACTIONS(1763),
    [anon_sym_TILDE_TILDE] = ACTIONS(1763),
    [anon_sym_LT_EQ] = ACTIONS(1761),
    [anon_sym_GT_EQ] = ACTIONS(1763),
    [anon_sym_lt] = ACTIONS(1763),
    [anon_sym_le] = ACTIONS(1763),
    [anon_sym_ge] = ACTIONS(1763),
    [anon_sym_gt] = ACTIONS(1763),
    [anon_sym_isa] = ACTIONS(1763),
    [anon_sym_PLUS_PLUS] = ACTIONS(1763),
    [anon_sym_DASH_DASH] = ACTIONS(1763),
    [anon_sym_QMARK] = ACTIONS(1763),
    [anon_sym_EQ_GT] = ACTIONS(1763),
    [anon_sym_for] = ACTIONS(1761),
    [anon_sym_foreach] = ACTIONS(1763),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1763),
    [anon_sym___END__] = ACTIONS(1763),
    [anon_sym_EOT] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1763),
    [anon_sym_unless] = ACTIONS(1763),
    [anon_sym_while] = ACTIONS(1763),
    [anon_sym_until] = ACTIONS(1763),
    [sym__PERLY_SEMICOLON] = ACTIONS(1763),
    [sym__ctrl_z_hack] = ACTIONS(1763),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1050] = {
    [sym_heredoc_content] = STATE(1050),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_RBRACE] = ACTIONS(1759),
    [anon_sym_SEMI] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(1759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1759),
    [anon_sym_and] = ACTIONS(1759),
    [anon_sym_or] = ACTIONS(1759),
    [anon_sym_xor] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_DASH_GT] = ACTIONS(1759),
    [anon_sym_PERCENT] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1759),
    [anon_sym_PLUS_EQ] = ACTIONS(1759),
    [anon_sym_DASH_EQ] = ACTIONS(1759),
    [anon_sym_DOT_EQ] = ACTIONS(1759),
    [anon_sym_STAR_EQ] = ACTIONS(1759),
    [anon_sym_SLASH_EQ] = ACTIONS(1759),
    [anon_sym_PERCENT_EQ] = ACTIONS(1759),
    [anon_sym_x_EQ] = ACTIONS(1759),
    [anon_sym_AMP_EQ] = ACTIONS(1759),
    [anon_sym_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_CARET_EQ] = ACTIONS(1759),
    [anon_sym_LT_LT_EQ] = ACTIONS(1759),
    [anon_sym_GT_GT_EQ] = ACTIONS(1759),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1759),
    [anon_sym_DOT_DOT] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH] = ACTIONS(1755),
    [anon_sym_CARET_CARET] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_GT_GT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1755),
    [anon_sym_x] = ACTIONS(1755),
    [anon_sym_EQ_TILDE] = ACTIONS(1759),
    [anon_sym_BANG_TILDE] = ACTIONS(1759),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1759),
    [anon_sym_eq] = ACTIONS(1755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1759),
    [anon_sym_equ] = ACTIONS(1759),
    [anon_sym_eqr] = ACTIONS(1759),
    [anon_sym_ne] = ACTIONS(1759),
    [anon_sym_LT_EQ_GT] = ACTIONS(1759),
    [anon_sym_cmp] = ACTIONS(1759),
    [anon_sym_TILDE_TILDE] = ACTIONS(1759),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1759),
    [anon_sym_lt] = ACTIONS(1759),
    [anon_sym_le] = ACTIONS(1759),
    [anon_sym_ge] = ACTIONS(1759),
    [anon_sym_gt] = ACTIONS(1759),
    [anon_sym_isa] = ACTIONS(1759),
    [anon_sym_PLUS_PLUS] = ACTIONS(1759),
    [anon_sym_DASH_DASH] = ACTIONS(1759),
    [anon_sym_QMARK] = ACTIONS(1759),
    [anon_sym_EQ_GT] = ACTIONS(1759),
    [anon_sym_for] = ACTIONS(1755),
    [anon_sym_foreach] = ACTIONS(1759),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1759),
    [anon_sym___END__] = ACTIONS(1759),
    [anon_sym_EOT] = ACTIONS(1759),
    [anon_sym_if] = ACTIONS(1759),
    [anon_sym_unless] = ACTIONS(1759),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_until] = ACTIONS(1759),
    [sym__PERLY_SEMICOLON] = ACTIONS(1759),
    [sym__ctrl_z_hack] = ACTIONS(1759),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1051] = {
    [sym_heredoc_content] = STATE(1051),
    [anon_sym_RBRACE] = ACTIONS(2412),
    [anon_sym_SEMI] = ACTIONS(2412),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2412),
    [anon_sym_and] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2412),
    [anon_sym_xor] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2412),
    [anon_sym_DASH_GT] = ACTIONS(2412),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_GT] = ACTIONS(2414),
    [anon_sym_LT_LT] = ACTIONS(2414),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2412),
    [anon_sym_PLUS_EQ] = ACTIONS(2412),
    [anon_sym_DASH_EQ] = ACTIONS(2412),
    [anon_sym_DOT_EQ] = ACTIONS(2412),
    [anon_sym_STAR_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_PERCENT_EQ] = ACTIONS(2412),
    [anon_sym_x_EQ] = ACTIONS(2412),
    [anon_sym_AMP_EQ] = ACTIONS(2412),
    [anon_sym_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_CARET_EQ] = ACTIONS(2412),
    [anon_sym_LT_LT_EQ] = ACTIONS(2412),
    [anon_sym_GT_GT_EQ] = ACTIONS(2412),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2414),
    [anon_sym_STAR_STAR] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH] = ACTIONS(2414),
    [anon_sym_CARET_CARET] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_PIPE] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_GT_GT2] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_SLASH] = ACTIONS(2414),
    [anon_sym_x] = ACTIONS(2414),
    [anon_sym_EQ_TILDE] = ACTIONS(2412),
    [anon_sym_BANG_TILDE] = ACTIONS(2412),
    [anon_sym_EQ_EQ] = ACTIONS(2414),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_eq] = ACTIONS(2414),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2412),
    [anon_sym_equ] = ACTIONS(2412),
    [anon_sym_eqr] = ACTIONS(2412),
    [anon_sym_ne] = ACTIONS(2412),
    [anon_sym_LT_EQ_GT] = ACTIONS(2412),
    [anon_sym_cmp] = ACTIONS(2414),
    [anon_sym_TILDE_TILDE] = ACTIONS(2412),
    [anon_sym_LT_EQ] = ACTIONS(2414),
    [anon_sym_GT_EQ] = ACTIONS(2412),
    [anon_sym_lt] = ACTIONS(2412),
    [anon_sym_le] = ACTIONS(2412),
    [anon_sym_ge] = ACTIONS(2412),
    [anon_sym_gt] = ACTIONS(2412),
    [anon_sym_isa] = ACTIONS(2412),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_QMARK] = ACTIONS(2412),
    [anon_sym_EQ_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_foreach] = ACTIONS(2412),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2412),
    [anon_sym___END__] = ACTIONS(2412),
    [anon_sym_EOT] = ACTIONS(2412),
    [sym_transliteration_modifiers] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2412),
    [anon_sym_unless] = ACTIONS(2412),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_until] = ACTIONS(2412),
    [sym__PERLY_SEMICOLON] = ACTIONS(2412),
    [sym__ctrl_z_hack] = ACTIONS(2412),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1052] = {
    [sym_heredoc_content] = STATE(1052),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_RBRACE] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym_EQ] = ACTIONS(2420),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2418),
    [anon_sym_and] = ACTIONS(2418),
    [anon_sym_or] = ACTIONS(2418),
    [anon_sym_xor] = ACTIONS(2418),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_DASH_GT] = ACTIONS(2418),
    [anon_sym_PERCENT] = ACTIONS(2420),
    [anon_sym_LT] = ACTIONS(2420),
    [anon_sym_GT] = ACTIONS(2420),
    [anon_sym_LT_LT] = ACTIONS(2420),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2418),
    [anon_sym_PLUS_EQ] = ACTIONS(2418),
    [anon_sym_DASH_EQ] = ACTIONS(2418),
    [anon_sym_DOT_EQ] = ACTIONS(2418),
    [anon_sym_STAR_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_PERCENT_EQ] = ACTIONS(2418),
    [anon_sym_x_EQ] = ACTIONS(2418),
    [anon_sym_AMP_EQ] = ACTIONS(2418),
    [anon_sym_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_CARET_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT_EQ] = ACTIONS(2418),
    [anon_sym_GT_GT_EQ] = ACTIONS(2418),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(2420),
    [anon_sym_STAR_STAR] = ACTIONS(2420),
    [anon_sym_PIPE_PIPE] = ACTIONS(2420),
    [anon_sym_SLASH_SLASH] = ACTIONS(2420),
    [anon_sym_CARET_CARET] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2420),
    [anon_sym_PIPE] = ACTIONS(2420),
    [anon_sym_CARET] = ACTIONS(2420),
    [anon_sym_AMP] = ACTIONS(2420),
    [anon_sym_GT_GT2] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_DOT] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2420),
    [anon_sym_SLASH] = ACTIONS(2420),
    [anon_sym_x] = ACTIONS(2420),
    [anon_sym_EQ_TILDE] = ACTIONS(2418),
    [anon_sym_BANG_TILDE] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2420),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_eq] = ACTIONS(2420),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_equ] = ACTIONS(2418),
    [anon_sym_eqr] = ACTIONS(2418),
    [anon_sym_ne] = ACTIONS(2418),
    [anon_sym_LT_EQ_GT] = ACTIONS(2418),
    [anon_sym_cmp] = ACTIONS(2418),
    [anon_sym_TILDE_TILDE] = ACTIONS(2418),
    [anon_sym_LT_EQ] = ACTIONS(2420),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_lt] = ACTIONS(2418),
    [anon_sym_le] = ACTIONS(2418),
    [anon_sym_ge] = ACTIONS(2418),
    [anon_sym_gt] = ACTIONS(2418),
    [anon_sym_isa] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_QMARK] = ACTIONS(2418),
    [anon_sym_EQ_GT] = ACTIONS(2418),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_foreach] = ACTIONS(2418),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2418),
    [anon_sym___END__] = ACTIONS(2418),
    [anon_sym_EOT] = ACTIONS(2418),
    [anon_sym_if] = ACTIONS(2418),
    [anon_sym_unless] = ACTIONS(2418),
    [anon_sym_while] = ACTIONS(2418),
    [anon_sym_until] = ACTIONS(2418),
    [sym__PERLY_SEMICOLON] = ACTIONS(2418),
    [sym__ctrl_z_hack] = ACTIONS(2418),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1053] = {
    [sym_heredoc_content] = STATE(1053),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_RBRACE] = ACTIONS(2424),
    [anon_sym_SEMI] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(2424),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2424),
    [anon_sym_and] = ACTIONS(2424),
    [anon_sym_or] = ACTIONS(2424),
    [anon_sym_xor] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym_DASH_GT] = ACTIONS(2424),
    [anon_sym_PERCENT] = ACTIONS(2426),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_GT] = ACTIONS(2426),
    [anon_sym_LT_LT] = ACTIONS(2426),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(2424),
    [anon_sym_DASH_EQ] = ACTIONS(2424),
    [anon_sym_DOT_EQ] = ACTIONS(2424),
    [anon_sym_STAR_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_PERCENT_EQ] = ACTIONS(2424),
    [anon_sym_x_EQ] = ACTIONS(2424),
    [anon_sym_AMP_EQ] = ACTIONS(2424),
    [anon_sym_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_CARET_EQ] = ACTIONS(2424),
    [anon_sym_LT_LT_EQ] = ACTIONS(2424),
    [anon_sym_GT_GT_EQ] = ACTIONS(2424),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2424),
    [anon_sym_DOT_DOT] = ACTIONS(2426),
    [anon_sym_STAR_STAR] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH] = ACTIONS(2426),
    [anon_sym_CARET_CARET] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_PIPE] = ACTIONS(2426),
    [anon_sym_CARET] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_GT_GT2] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_DOT] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_SLASH] = ACTIONS(2426),
    [anon_sym_x] = ACTIONS(2426),
    [anon_sym_EQ_TILDE] = ACTIONS(2424),
    [anon_sym_BANG_TILDE] = ACTIONS(2424),
    [anon_sym_EQ_EQ] = ACTIONS(2426),
    [anon_sym_BANG_EQ] = ACTIONS(2424),
    [anon_sym_eq] = ACTIONS(2426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2424),
    [anon_sym_equ] = ACTIONS(2424),
    [anon_sym_eqr] = ACTIONS(2424),
    [anon_sym_ne] = ACTIONS(2424),
    [anon_sym_LT_EQ_GT] = ACTIONS(2424),
    [anon_sym_cmp] = ACTIONS(2424),
    [anon_sym_TILDE_TILDE] = ACTIONS(2424),
    [anon_sym_LT_EQ] = ACTIONS(2426),
    [anon_sym_GT_EQ] = ACTIONS(2424),
    [anon_sym_lt] = ACTIONS(2424),
    [anon_sym_le] = ACTIONS(2424),
    [anon_sym_ge] = ACTIONS(2424),
    [anon_sym_gt] = ACTIONS(2424),
    [anon_sym_isa] = ACTIONS(2424),
    [anon_sym_PLUS_PLUS] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(2424),
    [anon_sym_EQ_GT] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2426),
    [anon_sym_foreach] = ACTIONS(2424),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2424),
    [anon_sym___END__] = ACTIONS(2424),
    [anon_sym_EOT] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_unless] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_until] = ACTIONS(2424),
    [sym__PERLY_SEMICOLON] = ACTIONS(2424),
    [sym__ctrl_z_hack] = ACTIONS(2424),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1054] = {
    [sym_heredoc_content] = STATE(1054),
    [aux_sym__term_rightward_repeat1] = STATE(1088),
    [anon_sym_RBRACE] = ACTIONS(2428),
    [anon_sym_SEMI] = ACTIONS(2428),
    [anon_sym_EQ] = ACTIONS(2430),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2428),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2428),
    [anon_sym_COMMA] = ACTIONS(2432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2428),
    [anon_sym_and] = ACTIONS(2428),
    [anon_sym_or] = ACTIONS(2428),
    [anon_sym_xor] = ACTIONS(2428),
    [anon_sym_DASH_GT] = ACTIONS(2428),
    [anon_sym_PERCENT] = ACTIONS(2430),
    [anon_sym_LT] = ACTIONS(2430),
    [anon_sym_GT] = ACTIONS(2430),
    [anon_sym_LT_LT] = ACTIONS(2430),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2428),
    [anon_sym_PLUS_EQ] = ACTIONS(2428),
    [anon_sym_DASH_EQ] = ACTIONS(2428),
    [anon_sym_DOT_EQ] = ACTIONS(2428),
    [anon_sym_STAR_EQ] = ACTIONS(2428),
    [anon_sym_SLASH_EQ] = ACTIONS(2428),
    [anon_sym_PERCENT_EQ] = ACTIONS(2428),
    [anon_sym_x_EQ] = ACTIONS(2428),
    [anon_sym_AMP_EQ] = ACTIONS(2428),
    [anon_sym_PIPE_EQ] = ACTIONS(2428),
    [anon_sym_CARET_EQ] = ACTIONS(2428),
    [anon_sym_LT_LT_EQ] = ACTIONS(2428),
    [anon_sym_GT_GT_EQ] = ACTIONS(2428),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2428),
    [anon_sym_DOT_DOT] = ACTIONS(2430),
    [anon_sym_STAR_STAR] = ACTIONS(2430),
    [anon_sym_PIPE_PIPE] = ACTIONS(2430),
    [anon_sym_SLASH_SLASH] = ACTIONS(2430),
    [anon_sym_CARET_CARET] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2430),
    [anon_sym_PIPE] = ACTIONS(2430),
    [anon_sym_CARET] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2430),
    [anon_sym_GT_GT2] = ACTIONS(2430),
    [anon_sym_PLUS] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2430),
    [anon_sym_DOT] = ACTIONS(2430),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_SLASH] = ACTIONS(2430),
    [anon_sym_x] = ACTIONS(2430),
    [anon_sym_EQ_TILDE] = ACTIONS(2428),
    [anon_sym_BANG_TILDE] = ACTIONS(2428),
    [anon_sym_EQ_EQ] = ACTIONS(2430),
    [anon_sym_BANG_EQ] = ACTIONS(2428),
    [anon_sym_eq] = ACTIONS(2430),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2428),
    [anon_sym_equ] = ACTIONS(2428),
    [anon_sym_eqr] = ACTIONS(2428),
    [anon_sym_ne] = ACTIONS(2428),
    [anon_sym_LT_EQ_GT] = ACTIONS(2428),
    [anon_sym_cmp] = ACTIONS(2428),
    [anon_sym_TILDE_TILDE] = ACTIONS(2428),
    [anon_sym_LT_EQ] = ACTIONS(2430),
    [anon_sym_GT_EQ] = ACTIONS(2428),
    [anon_sym_lt] = ACTIONS(2428),
    [anon_sym_le] = ACTIONS(2428),
    [anon_sym_ge] = ACTIONS(2428),
    [anon_sym_gt] = ACTIONS(2428),
    [anon_sym_isa] = ACTIONS(2428),
    [anon_sym_PLUS_PLUS] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2428),
    [anon_sym_QMARK] = ACTIONS(2428),
    [anon_sym_EQ_GT] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2430),
    [anon_sym_foreach] = ACTIONS(2428),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2428),
    [anon_sym___END__] = ACTIONS(2428),
    [anon_sym_EOT] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_unless] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_until] = ACTIONS(2428),
    [sym__PERLY_SEMICOLON] = ACTIONS(2428),
    [sym__ctrl_z_hack] = ACTIONS(2428),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1055] = {
    [sym_heredoc_content] = STATE(1055),
    [anon_sym_RBRACE] = ACTIONS(2412),
    [anon_sym_SEMI] = ACTIONS(2412),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2412),
    [anon_sym_and] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2412),
    [anon_sym_xor] = ACTIONS(2414),
    [anon_sym_DASH_GT] = ACTIONS(2412),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_GT] = ACTIONS(2414),
    [anon_sym_LT_LT] = ACTIONS(2414),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2412),
    [anon_sym_PLUS_EQ] = ACTIONS(2412),
    [anon_sym_DASH_EQ] = ACTIONS(2412),
    [anon_sym_DOT_EQ] = ACTIONS(2412),
    [anon_sym_STAR_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_PERCENT_EQ] = ACTIONS(2412),
    [anon_sym_x_EQ] = ACTIONS(2414),
    [anon_sym_AMP_EQ] = ACTIONS(2412),
    [anon_sym_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_CARET_EQ] = ACTIONS(2412),
    [anon_sym_LT_LT_EQ] = ACTIONS(2412),
    [anon_sym_GT_GT_EQ] = ACTIONS(2412),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2414),
    [anon_sym_STAR_STAR] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH] = ACTIONS(2414),
    [anon_sym_CARET_CARET] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_PIPE] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_GT_GT2] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_SLASH] = ACTIONS(2414),
    [anon_sym_x] = ACTIONS(2414),
    [anon_sym_EQ_TILDE] = ACTIONS(2412),
    [anon_sym_BANG_TILDE] = ACTIONS(2412),
    [anon_sym_EQ_EQ] = ACTIONS(2414),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_eq] = ACTIONS(2414),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2412),
    [anon_sym_equ] = ACTIONS(2412),
    [anon_sym_eqr] = ACTIONS(2412),
    [anon_sym_ne] = ACTIONS(2414),
    [anon_sym_LT_EQ_GT] = ACTIONS(2412),
    [anon_sym_cmp] = ACTIONS(2412),
    [anon_sym_TILDE_TILDE] = ACTIONS(2412),
    [anon_sym_LT_EQ] = ACTIONS(2414),
    [anon_sym_GT_EQ] = ACTIONS(2412),
    [anon_sym_lt] = ACTIONS(2414),
    [anon_sym_le] = ACTIONS(2414),
    [anon_sym_ge] = ACTIONS(2412),
    [anon_sym_gt] = ACTIONS(2412),
    [anon_sym_isa] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_QMARK] = ACTIONS(2412),
    [anon_sym_EQ_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_foreach] = ACTIONS(2412),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2412),
    [anon_sym___END__] = ACTIONS(2412),
    [anon_sym_EOT] = ACTIONS(2412),
    [sym_quoted_regexp_modifiers] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_unless] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_until] = ACTIONS(2414),
    [sym__PERLY_SEMICOLON] = ACTIONS(2412),
    [sym__ctrl_z_hack] = ACTIONS(2412),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1056] = {
    [sym_heredoc_content] = STATE(1056),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2434),
    [anon_sym_and] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2434),
    [anon_sym_xor] = ACTIONS(2436),
    [anon_sym_DASH_GT] = ACTIONS(2434),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2434),
    [anon_sym_PLUS_EQ] = ACTIONS(2434),
    [anon_sym_DASH_EQ] = ACTIONS(2434),
    [anon_sym_DOT_EQ] = ACTIONS(2434),
    [anon_sym_STAR_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_PERCENT_EQ] = ACTIONS(2434),
    [anon_sym_x_EQ] = ACTIONS(2436),
    [anon_sym_AMP_EQ] = ACTIONS(2434),
    [anon_sym_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_CARET_EQ] = ACTIONS(2434),
    [anon_sym_LT_LT_EQ] = ACTIONS(2434),
    [anon_sym_GT_GT_EQ] = ACTIONS(2434),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2434),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2434),
    [anon_sym_BANG_TILDE] = ACTIONS(2434),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2434),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2434),
    [anon_sym_equ] = ACTIONS(2434),
    [anon_sym_eqr] = ACTIONS(2434),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2434),
    [anon_sym_cmp] = ACTIONS(2434),
    [anon_sym_TILDE_TILDE] = ACTIONS(2434),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2434),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2434),
    [anon_sym_gt] = ACTIONS(2434),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2434),
    [anon_sym_EQ_GT] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_foreach] = ACTIONS(2434),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2434),
    [anon_sym___END__] = ACTIONS(2434),
    [anon_sym_EOT] = ACTIONS(2434),
    [sym_quoted_regexp_modifiers] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_unless] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_until] = ACTIONS(2436),
    [sym__PERLY_SEMICOLON] = ACTIONS(2434),
    [sym__ctrl_z_hack] = ACTIONS(2434),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1057] = {
    [sym_heredoc_content] = STATE(1057),
    [anon_sym_RBRACE] = ACTIONS(2440),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym_EQ] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2440),
    [anon_sym_COMMA] = ACTIONS(2440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2440),
    [anon_sym_and] = ACTIONS(2442),
    [anon_sym_or] = ACTIONS(2440),
    [anon_sym_xor] = ACTIONS(2442),
    [anon_sym_DASH_GT] = ACTIONS(2440),
    [anon_sym_PERCENT] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2442),
    [anon_sym_GT] = ACTIONS(2442),
    [anon_sym_LT_LT] = ACTIONS(2442),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2440),
    [anon_sym_PLUS_EQ] = ACTIONS(2440),
    [anon_sym_DASH_EQ] = ACTIONS(2440),
    [anon_sym_DOT_EQ] = ACTIONS(2440),
    [anon_sym_STAR_EQ] = ACTIONS(2440),
    [anon_sym_SLASH_EQ] = ACTIONS(2440),
    [anon_sym_PERCENT_EQ] = ACTIONS(2440),
    [anon_sym_x_EQ] = ACTIONS(2442),
    [anon_sym_AMP_EQ] = ACTIONS(2440),
    [anon_sym_PIPE_EQ] = ACTIONS(2440),
    [anon_sym_CARET_EQ] = ACTIONS(2440),
    [anon_sym_LT_LT_EQ] = ACTIONS(2440),
    [anon_sym_GT_GT_EQ] = ACTIONS(2440),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2440),
    [anon_sym_DOT_DOT] = ACTIONS(2442),
    [anon_sym_STAR_STAR] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE] = ACTIONS(2442),
    [anon_sym_SLASH_SLASH] = ACTIONS(2442),
    [anon_sym_CARET_CARET] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_PIPE] = ACTIONS(2442),
    [anon_sym_CARET] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_GT_GT2] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_DOT] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_SLASH] = ACTIONS(2442),
    [anon_sym_x] = ACTIONS(2442),
    [anon_sym_EQ_TILDE] = ACTIONS(2440),
    [anon_sym_BANG_TILDE] = ACTIONS(2440),
    [anon_sym_EQ_EQ] = ACTIONS(2442),
    [anon_sym_BANG_EQ] = ACTIONS(2440),
    [anon_sym_eq] = ACTIONS(2442),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2440),
    [anon_sym_equ] = ACTIONS(2440),
    [anon_sym_eqr] = ACTIONS(2440),
    [anon_sym_ne] = ACTIONS(2442),
    [anon_sym_LT_EQ_GT] = ACTIONS(2440),
    [anon_sym_cmp] = ACTIONS(2442),
    [anon_sym_TILDE_TILDE] = ACTIONS(2440),
    [anon_sym_LT_EQ] = ACTIONS(2442),
    [anon_sym_GT_EQ] = ACTIONS(2440),
    [anon_sym_lt] = ACTIONS(2442),
    [anon_sym_le] = ACTIONS(2442),
    [anon_sym_ge] = ACTIONS(2442),
    [anon_sym_gt] = ACTIONS(2442),
    [anon_sym_isa] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2440),
    [anon_sym_DASH_DASH] = ACTIONS(2440),
    [anon_sym_QMARK] = ACTIONS(2440),
    [anon_sym_EQ_GT] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2442),
    [anon_sym_foreach] = ACTIONS(2440),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2440),
    [anon_sym___END__] = ACTIONS(2440),
    [anon_sym_EOT] = ACTIONS(2440),
    [sym_match_regexp_modifiers] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2442),
    [anon_sym_unless] = ACTIONS(2442),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_until] = ACTIONS(2442),
    [sym__PERLY_SEMICOLON] = ACTIONS(2440),
    [sym__ctrl_z_hack] = ACTIONS(2440),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1058] = {
    [sym_heredoc_content] = STATE(1058),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_EQ] = ACTIONS(2448),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(2446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2446),
    [anon_sym_and] = ACTIONS(2448),
    [anon_sym_or] = ACTIONS(2448),
    [anon_sym_xor] = ACTIONS(2448),
    [anon_sym_DASH_GT] = ACTIONS(2446),
    [anon_sym_PERCENT] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(2448),
    [anon_sym_LT_LT] = ACTIONS(2448),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2446),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_DOT_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_x_EQ] = ACTIONS(2448),
    [anon_sym_AMP_EQ] = ACTIONS(2446),
    [anon_sym_PIPE_EQ] = ACTIONS(2446),
    [anon_sym_CARET_EQ] = ACTIONS(2446),
    [anon_sym_LT_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_GT_EQ] = ACTIONS(2446),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2446),
    [anon_sym_DOT_DOT] = ACTIONS(2448),
    [anon_sym_STAR_STAR] = ACTIONS(2448),
    [anon_sym_PIPE_PIPE] = ACTIONS(2448),
    [anon_sym_SLASH_SLASH] = ACTIONS(2448),
    [anon_sym_CARET_CARET] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_PIPE] = ACTIONS(2448),
    [anon_sym_CARET] = ACTIONS(2448),
    [anon_sym_AMP] = ACTIONS(2448),
    [anon_sym_GT_GT2] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_DOT] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2448),
    [anon_sym_SLASH] = ACTIONS(2448),
    [anon_sym_x] = ACTIONS(2448),
    [anon_sym_EQ_TILDE] = ACTIONS(2446),
    [anon_sym_BANG_TILDE] = ACTIONS(2446),
    [anon_sym_EQ_EQ] = ACTIONS(2448),
    [anon_sym_BANG_EQ] = ACTIONS(2446),
    [anon_sym_eq] = ACTIONS(2448),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2446),
    [anon_sym_equ] = ACTIONS(2448),
    [anon_sym_eqr] = ACTIONS(2448),
    [anon_sym_ne] = ACTIONS(2446),
    [anon_sym_LT_EQ_GT] = ACTIONS(2446),
    [anon_sym_cmp] = ACTIONS(2448),
    [anon_sym_TILDE_TILDE] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2448),
    [anon_sym_GT_EQ] = ACTIONS(2446),
    [anon_sym_lt] = ACTIONS(2448),
    [anon_sym_le] = ACTIONS(2448),
    [anon_sym_ge] = ACTIONS(2448),
    [anon_sym_gt] = ACTIONS(2448),
    [anon_sym_isa] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_QMARK] = ACTIONS(2446),
    [anon_sym_EQ_GT] = ACTIONS(2446),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_foreach] = ACTIONS(2446),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2446),
    [anon_sym___END__] = ACTIONS(2446),
    [anon_sym_EOT] = ACTIONS(2446),
    [sym_substitution_regexp_modifiers] = ACTIONS(2450),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_unless] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2446),
    [anon_sym_until] = ACTIONS(2448),
    [sym__PERLY_SEMICOLON] = ACTIONS(2446),
    [sym__ctrl_z_hack] = ACTIONS(2446),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1059] = {
    [sym_heredoc_content] = STATE(1059),
    [anon_sym_RBRACE] = ACTIONS(2452),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym_EQ] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2452),
    [anon_sym_and] = ACTIONS(2452),
    [anon_sym_or] = ACTIONS(2452),
    [anon_sym_xor] = ACTIONS(2452),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_LT] = ACTIONS(2454),
    [anon_sym_GT] = ACTIONS(2454),
    [anon_sym_LT_LT] = ACTIONS(2454),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2452),
    [anon_sym_DASH_EQ] = ACTIONS(2452),
    [anon_sym_DOT_EQ] = ACTIONS(2452),
    [anon_sym_STAR_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_PERCENT_EQ] = ACTIONS(2452),
    [anon_sym_x_EQ] = ACTIONS(2452),
    [anon_sym_AMP_EQ] = ACTIONS(2452),
    [anon_sym_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_CARET_EQ] = ACTIONS(2452),
    [anon_sym_LT_LT_EQ] = ACTIONS(2452),
    [anon_sym_GT_GT_EQ] = ACTIONS(2452),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(2454),
    [anon_sym_STAR_STAR] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2454),
    [anon_sym_SLASH_SLASH] = ACTIONS(2454),
    [anon_sym_CARET_CARET] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_PIPE] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_GT_GT2] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_DOT] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_SLASH] = ACTIONS(2454),
    [anon_sym_x] = ACTIONS(2454),
    [anon_sym_EQ_TILDE] = ACTIONS(2452),
    [anon_sym_BANG_TILDE] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2454),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_eq] = ACTIONS(2454),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_equ] = ACTIONS(2452),
    [anon_sym_eqr] = ACTIONS(2452),
    [anon_sym_ne] = ACTIONS(2452),
    [anon_sym_LT_EQ_GT] = ACTIONS(2452),
    [anon_sym_cmp] = ACTIONS(2454),
    [anon_sym_TILDE_TILDE] = ACTIONS(2452),
    [anon_sym_LT_EQ] = ACTIONS(2454),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_lt] = ACTIONS(2452),
    [anon_sym_le] = ACTIONS(2452),
    [anon_sym_ge] = ACTIONS(2452),
    [anon_sym_gt] = ACTIONS(2452),
    [anon_sym_isa] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [anon_sym_QMARK] = ACTIONS(2452),
    [anon_sym_EQ_GT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2454),
    [anon_sym_foreach] = ACTIONS(2452),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2452),
    [anon_sym___END__] = ACTIONS(2452),
    [anon_sym_EOT] = ACTIONS(2452),
    [sym_transliteration_modifiers] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_unless] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_until] = ACTIONS(2452),
    [sym__PERLY_SEMICOLON] = ACTIONS(2452),
    [sym__ctrl_z_hack] = ACTIONS(2452),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1060] = {
    [sym_heredoc_content] = STATE(1060),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym_EQ] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2458),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2458),
    [anon_sym_COMMA] = ACTIONS(2458),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2458),
    [anon_sym_and] = ACTIONS(2460),
    [anon_sym_or] = ACTIONS(2458),
    [anon_sym_xor] = ACTIONS(2460),
    [anon_sym_DASH_GT] = ACTIONS(2458),
    [anon_sym_PERCENT] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2460),
    [anon_sym_GT] = ACTIONS(2460),
    [anon_sym_LT_LT] = ACTIONS(2460),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2458),
    [anon_sym_PLUS_EQ] = ACTIONS(2458),
    [anon_sym_DASH_EQ] = ACTIONS(2458),
    [anon_sym_DOT_EQ] = ACTIONS(2458),
    [anon_sym_STAR_EQ] = ACTIONS(2458),
    [anon_sym_SLASH_EQ] = ACTIONS(2458),
    [anon_sym_PERCENT_EQ] = ACTIONS(2458),
    [anon_sym_x_EQ] = ACTIONS(2460),
    [anon_sym_AMP_EQ] = ACTIONS(2458),
    [anon_sym_PIPE_EQ] = ACTIONS(2458),
    [anon_sym_CARET_EQ] = ACTIONS(2458),
    [anon_sym_LT_LT_EQ] = ACTIONS(2458),
    [anon_sym_GT_GT_EQ] = ACTIONS(2458),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2458),
    [anon_sym_DOT_DOT] = ACTIONS(2460),
    [anon_sym_STAR_STAR] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE] = ACTIONS(2460),
    [anon_sym_SLASH_SLASH] = ACTIONS(2460),
    [anon_sym_CARET_CARET] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_PIPE] = ACTIONS(2460),
    [anon_sym_CARET] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_GT_GT2] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_DOT] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_SLASH] = ACTIONS(2460),
    [anon_sym_x] = ACTIONS(2460),
    [anon_sym_EQ_TILDE] = ACTIONS(2458),
    [anon_sym_BANG_TILDE] = ACTIONS(2458),
    [anon_sym_EQ_EQ] = ACTIONS(2460),
    [anon_sym_BANG_EQ] = ACTIONS(2458),
    [anon_sym_eq] = ACTIONS(2460),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2458),
    [anon_sym_equ] = ACTIONS(2458),
    [anon_sym_eqr] = ACTIONS(2458),
    [anon_sym_ne] = ACTIONS(2460),
    [anon_sym_LT_EQ_GT] = ACTIONS(2458),
    [anon_sym_cmp] = ACTIONS(2460),
    [anon_sym_TILDE_TILDE] = ACTIONS(2458),
    [anon_sym_LT_EQ] = ACTIONS(2460),
    [anon_sym_GT_EQ] = ACTIONS(2458),
    [anon_sym_lt] = ACTIONS(2460),
    [anon_sym_le] = ACTIONS(2460),
    [anon_sym_ge] = ACTIONS(2460),
    [anon_sym_gt] = ACTIONS(2460),
    [anon_sym_isa] = ACTIONS(2460),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_QMARK] = ACTIONS(2458),
    [anon_sym_EQ_GT] = ACTIONS(2458),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_foreach] = ACTIONS(2458),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2458),
    [anon_sym___END__] = ACTIONS(2458),
    [anon_sym_EOT] = ACTIONS(2458),
    [sym_match_regexp_modifiers] = ACTIONS(2462),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_unless] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2458),
    [anon_sym_until] = ACTIONS(2460),
    [sym__PERLY_SEMICOLON] = ACTIONS(2458),
    [sym__ctrl_z_hack] = ACTIONS(2458),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1061] = {
    [sym_heredoc_content] = STATE(1061),
    [anon_sym_RBRACE] = ACTIONS(2464),
    [anon_sym_SEMI] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(2466),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_COMMA] = ACTIONS(2464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2464),
    [anon_sym_and] = ACTIONS(2464),
    [anon_sym_or] = ACTIONS(2464),
    [anon_sym_xor] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_DASH_GT] = ACTIONS(2464),
    [anon_sym_PERCENT] = ACTIONS(2466),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_GT] = ACTIONS(2466),
    [anon_sym_LT_LT] = ACTIONS(2466),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(2464),
    [anon_sym_DASH_EQ] = ACTIONS(2464),
    [anon_sym_DOT_EQ] = ACTIONS(2464),
    [anon_sym_STAR_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_PERCENT_EQ] = ACTIONS(2464),
    [anon_sym_x_EQ] = ACTIONS(2464),
    [anon_sym_AMP_EQ] = ACTIONS(2464),
    [anon_sym_PIPE_EQ] = ACTIONS(2464),
    [anon_sym_CARET_EQ] = ACTIONS(2464),
    [anon_sym_LT_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_GT_EQ] = ACTIONS(2464),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2464),
    [anon_sym_DOT_DOT] = ACTIONS(2466),
    [anon_sym_STAR_STAR] = ACTIONS(2466),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH] = ACTIONS(2466),
    [anon_sym_CARET_CARET] = ACTIONS(2464),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_PIPE] = ACTIONS(2466),
    [anon_sym_CARET] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2466),
    [anon_sym_GT_GT2] = ACTIONS(2466),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_SLASH] = ACTIONS(2466),
    [anon_sym_x] = ACTIONS(2466),
    [anon_sym_EQ_TILDE] = ACTIONS(2464),
    [anon_sym_BANG_TILDE] = ACTIONS(2464),
    [anon_sym_EQ_EQ] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_eq] = ACTIONS(2466),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2464),
    [anon_sym_equ] = ACTIONS(2464),
    [anon_sym_eqr] = ACTIONS(2464),
    [anon_sym_ne] = ACTIONS(2464),
    [anon_sym_LT_EQ_GT] = ACTIONS(2464),
    [anon_sym_cmp] = ACTIONS(2464),
    [anon_sym_TILDE_TILDE] = ACTIONS(2464),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2464),
    [anon_sym_lt] = ACTIONS(2464),
    [anon_sym_le] = ACTIONS(2464),
    [anon_sym_ge] = ACTIONS(2464),
    [anon_sym_gt] = ACTIONS(2464),
    [anon_sym_isa] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2464),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [anon_sym_for] = ACTIONS(2466),
    [anon_sym_foreach] = ACTIONS(2464),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2464),
    [anon_sym___END__] = ACTIONS(2464),
    [anon_sym_EOT] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_unless] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_until] = ACTIONS(2464),
    [sym__PERLY_SEMICOLON] = ACTIONS(2464),
    [sym__ctrl_z_hack] = ACTIONS(2464),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1062] = {
    [sym_heredoc_content] = STATE(1062),
    [anon_sym_RBRACE] = ACTIONS(2470),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym_EQ] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2470),
    [anon_sym_COMMA] = ACTIONS(2470),
    [anon_sym_LPAREN] = ACTIONS(2474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2470),
    [anon_sym_and] = ACTIONS(2470),
    [anon_sym_or] = ACTIONS(2470),
    [anon_sym_xor] = ACTIONS(2470),
    [anon_sym_DASH_GT] = ACTIONS(2470),
    [anon_sym_PERCENT] = ACTIONS(2472),
    [anon_sym_LT] = ACTIONS(2472),
    [anon_sym_GT] = ACTIONS(2472),
    [anon_sym_LT_LT] = ACTIONS(2472),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2470),
    [anon_sym_PLUS_EQ] = ACTIONS(2470),
    [anon_sym_DASH_EQ] = ACTIONS(2470),
    [anon_sym_DOT_EQ] = ACTIONS(2470),
    [anon_sym_STAR_EQ] = ACTIONS(2470),
    [anon_sym_SLASH_EQ] = ACTIONS(2470),
    [anon_sym_PERCENT_EQ] = ACTIONS(2470),
    [anon_sym_x_EQ] = ACTIONS(2470),
    [anon_sym_AMP_EQ] = ACTIONS(2470),
    [anon_sym_PIPE_EQ] = ACTIONS(2470),
    [anon_sym_CARET_EQ] = ACTIONS(2470),
    [anon_sym_LT_LT_EQ] = ACTIONS(2470),
    [anon_sym_GT_GT_EQ] = ACTIONS(2470),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2470),
    [anon_sym_DOT_DOT] = ACTIONS(2472),
    [anon_sym_STAR_STAR] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE] = ACTIONS(2472),
    [anon_sym_SLASH_SLASH] = ACTIONS(2472),
    [anon_sym_CARET_CARET] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_PIPE] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_GT_GT2] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_DOT] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_SLASH] = ACTIONS(2472),
    [anon_sym_x] = ACTIONS(2472),
    [anon_sym_EQ_TILDE] = ACTIONS(2470),
    [anon_sym_BANG_TILDE] = ACTIONS(2470),
    [anon_sym_EQ_EQ] = ACTIONS(2472),
    [anon_sym_BANG_EQ] = ACTIONS(2470),
    [anon_sym_eq] = ACTIONS(2472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2470),
    [anon_sym_equ] = ACTIONS(2470),
    [anon_sym_eqr] = ACTIONS(2470),
    [anon_sym_ne] = ACTIONS(2470),
    [anon_sym_LT_EQ_GT] = ACTIONS(2470),
    [anon_sym_cmp] = ACTIONS(2470),
    [anon_sym_TILDE_TILDE] = ACTIONS(2470),
    [anon_sym_LT_EQ] = ACTIONS(2472),
    [anon_sym_GT_EQ] = ACTIONS(2470),
    [anon_sym_lt] = ACTIONS(2470),
    [anon_sym_le] = ACTIONS(2470),
    [anon_sym_ge] = ACTIONS(2470),
    [anon_sym_gt] = ACTIONS(2470),
    [anon_sym_isa] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_QMARK] = ACTIONS(2470),
    [anon_sym_EQ_GT] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_foreach] = ACTIONS(2470),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2470),
    [anon_sym___END__] = ACTIONS(2470),
    [anon_sym_EOT] = ACTIONS(2470),
    [anon_sym_if] = ACTIONS(2470),
    [anon_sym_unless] = ACTIONS(2470),
    [anon_sym_while] = ACTIONS(2470),
    [anon_sym_until] = ACTIONS(2470),
    [sym__PERLY_SEMICOLON] = ACTIONS(2470),
    [sym__ctrl_z_hack] = ACTIONS(2470),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1063] = {
    [sym_heredoc_content] = STATE(1063),
    [aux_sym__term_rightward_repeat1] = STATE(1054),
    [anon_sym_RBRACE] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym_EQ] = ACTIONS(2478),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2480),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2480),
    [anon_sym_COMMA] = ACTIONS(2432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2482),
    [anon_sym_and] = ACTIONS(2476),
    [anon_sym_or] = ACTIONS(2476),
    [anon_sym_xor] = ACTIONS(2476),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2480),
    [anon_sym_PLUS_EQ] = ACTIONS(2480),
    [anon_sym_DASH_EQ] = ACTIONS(2480),
    [anon_sym_DOT_EQ] = ACTIONS(2480),
    [anon_sym_STAR_EQ] = ACTIONS(2480),
    [anon_sym_SLASH_EQ] = ACTIONS(2480),
    [anon_sym_PERCENT_EQ] = ACTIONS(2480),
    [anon_sym_x_EQ] = ACTIONS(2480),
    [anon_sym_AMP_EQ] = ACTIONS(2480),
    [anon_sym_PIPE_EQ] = ACTIONS(2480),
    [anon_sym_CARET_EQ] = ACTIONS(2480),
    [anon_sym_LT_LT_EQ] = ACTIONS(2480),
    [anon_sym_GT_GT_EQ] = ACTIONS(2480),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2480),
    [anon_sym_DOT_DOT] = ACTIONS(2492),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_SLASH_SLASH] = ACTIONS(2496),
    [anon_sym_CARET_CARET] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_PIPE] = ACTIONS(2502),
    [anon_sym_CARET] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_eq] = ACTIONS(2510),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2512),
    [anon_sym_equ] = ACTIONS(2512),
    [anon_sym_eqr] = ACTIONS(2512),
    [anon_sym_ne] = ACTIONS(2512),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_lt] = ACTIONS(2516),
    [anon_sym_le] = ACTIONS(2516),
    [anon_sym_ge] = ACTIONS(2516),
    [anon_sym_gt] = ACTIONS(2516),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2522),
    [anon_sym_EQ_GT] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_foreach] = ACTIONS(2476),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2476),
    [anon_sym___END__] = ACTIONS(2476),
    [anon_sym_EOT] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_unless] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_until] = ACTIONS(2476),
    [sym__PERLY_SEMICOLON] = ACTIONS(2476),
    [sym__ctrl_z_hack] = ACTIONS(2476),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1064] = {
    [sym_heredoc_content] = STATE(1064),
    [anon_sym_RBRACE] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym_EQ] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2526),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2526),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2526),
    [anon_sym_and] = ACTIONS(2528),
    [anon_sym_or] = ACTIONS(2526),
    [anon_sym_xor] = ACTIONS(2528),
    [anon_sym_DASH_GT] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2528),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_GT] = ACTIONS(2528),
    [anon_sym_LT_LT] = ACTIONS(2528),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2526),
    [anon_sym_PLUS_EQ] = ACTIONS(2526),
    [anon_sym_DASH_EQ] = ACTIONS(2526),
    [anon_sym_DOT_EQ] = ACTIONS(2526),
    [anon_sym_STAR_EQ] = ACTIONS(2526),
    [anon_sym_SLASH_EQ] = ACTIONS(2526),
    [anon_sym_PERCENT_EQ] = ACTIONS(2526),
    [anon_sym_x_EQ] = ACTIONS(2528),
    [anon_sym_AMP_EQ] = ACTIONS(2526),
    [anon_sym_PIPE_EQ] = ACTIONS(2526),
    [anon_sym_CARET_EQ] = ACTIONS(2526),
    [anon_sym_LT_LT_EQ] = ACTIONS(2526),
    [anon_sym_GT_GT_EQ] = ACTIONS(2526),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2526),
    [anon_sym_DOT_DOT] = ACTIONS(2528),
    [anon_sym_STAR_STAR] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH] = ACTIONS(2528),
    [anon_sym_CARET_CARET] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_PIPE] = ACTIONS(2528),
    [anon_sym_CARET] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_GT_GT2] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_DOT] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_SLASH] = ACTIONS(2528),
    [anon_sym_x] = ACTIONS(2528),
    [anon_sym_EQ_TILDE] = ACTIONS(2526),
    [anon_sym_BANG_TILDE] = ACTIONS(2526),
    [anon_sym_EQ_EQ] = ACTIONS(2528),
    [anon_sym_BANG_EQ] = ACTIONS(2526),
    [anon_sym_eq] = ACTIONS(2528),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2526),
    [anon_sym_equ] = ACTIONS(2526),
    [anon_sym_eqr] = ACTIONS(2526),
    [anon_sym_ne] = ACTIONS(2528),
    [anon_sym_LT_EQ_GT] = ACTIONS(2526),
    [anon_sym_cmp] = ACTIONS(2528),
    [anon_sym_TILDE_TILDE] = ACTIONS(2526),
    [anon_sym_LT_EQ] = ACTIONS(2528),
    [anon_sym_GT_EQ] = ACTIONS(2526),
    [anon_sym_lt] = ACTIONS(2528),
    [anon_sym_le] = ACTIONS(2528),
    [anon_sym_ge] = ACTIONS(2528),
    [anon_sym_gt] = ACTIONS(2528),
    [anon_sym_isa] = ACTIONS(2528),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_foreach] = ACTIONS(2526),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2526),
    [anon_sym___END__] = ACTIONS(2526),
    [anon_sym_EOT] = ACTIONS(2526),
    [sym_match_regexp_modifiers] = ACTIONS(2530),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_unless] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2526),
    [anon_sym_until] = ACTIONS(2528),
    [sym__PERLY_SEMICOLON] = ACTIONS(2526),
    [sym__ctrl_z_hack] = ACTIONS(2526),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1065] = {
    [sym_heredoc_content] = STATE(1065),
    [anon_sym_RBRACE] = ACTIONS(2532),
    [anon_sym_COLON] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_and] = ACTIONS(2532),
    [anon_sym_or] = ACTIONS(2532),
    [anon_sym_xor] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2532),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2532),
    [anon_sym_eqr] = ACTIONS(2532),
    [anon_sym_ne] = ACTIONS(2532),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2532),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2532),
    [anon_sym_le] = ACTIONS(2532),
    [anon_sym_ge] = ACTIONS(2532),
    [anon_sym_gt] = ACTIONS(2532),
    [anon_sym_isa] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2534),
    [anon_sym_foreach] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2532),
    [anon_sym___END__] = ACTIONS(2532),
    [anon_sym_EOT] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_unless] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_until] = ACTIONS(2532),
    [sym__PERLY_SEMICOLON] = ACTIONS(2532),
    [sym__ctrl_z_hack] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1066] = {
    [sym_heredoc_content] = STATE(1066),
    [anon_sym_RBRACE] = ACTIONS(2412),
    [anon_sym_SEMI] = ACTIONS(2412),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2412),
    [anon_sym_and] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2412),
    [anon_sym_xor] = ACTIONS(2414),
    [anon_sym_DASH_GT] = ACTIONS(2412),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_GT] = ACTIONS(2414),
    [anon_sym_LT_LT] = ACTIONS(2414),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2412),
    [anon_sym_PLUS_EQ] = ACTIONS(2412),
    [anon_sym_DASH_EQ] = ACTIONS(2412),
    [anon_sym_DOT_EQ] = ACTIONS(2412),
    [anon_sym_STAR_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_PERCENT_EQ] = ACTIONS(2412),
    [anon_sym_x_EQ] = ACTIONS(2414),
    [anon_sym_AMP_EQ] = ACTIONS(2412),
    [anon_sym_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_CARET_EQ] = ACTIONS(2412),
    [anon_sym_LT_LT_EQ] = ACTIONS(2412),
    [anon_sym_GT_GT_EQ] = ACTIONS(2412),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2414),
    [anon_sym_STAR_STAR] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH] = ACTIONS(2414),
    [anon_sym_CARET_CARET] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_PIPE] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_GT_GT2] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_SLASH] = ACTIONS(2414),
    [anon_sym_x] = ACTIONS(2414),
    [anon_sym_EQ_TILDE] = ACTIONS(2412),
    [anon_sym_BANG_TILDE] = ACTIONS(2412),
    [anon_sym_EQ_EQ] = ACTIONS(2414),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_eq] = ACTIONS(2414),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2412),
    [anon_sym_equ] = ACTIONS(2412),
    [anon_sym_eqr] = ACTIONS(2412),
    [anon_sym_ne] = ACTIONS(2414),
    [anon_sym_LT_EQ_GT] = ACTIONS(2412),
    [anon_sym_cmp] = ACTIONS(2414),
    [anon_sym_TILDE_TILDE] = ACTIONS(2412),
    [anon_sym_LT_EQ] = ACTIONS(2414),
    [anon_sym_GT_EQ] = ACTIONS(2412),
    [anon_sym_lt] = ACTIONS(2414),
    [anon_sym_le] = ACTIONS(2414),
    [anon_sym_ge] = ACTIONS(2414),
    [anon_sym_gt] = ACTIONS(2414),
    [anon_sym_isa] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_QMARK] = ACTIONS(2412),
    [anon_sym_EQ_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_foreach] = ACTIONS(2412),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2412),
    [anon_sym___END__] = ACTIONS(2412),
    [anon_sym_EOT] = ACTIONS(2412),
    [sym_match_regexp_modifiers] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_unless] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_until] = ACTIONS(2414),
    [sym__PERLY_SEMICOLON] = ACTIONS(2412),
    [sym__ctrl_z_hack] = ACTIONS(2412),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1067] = {
    [sym_heredoc_content] = STATE(1067),
    [anon_sym_RBRACE] = ACTIONS(2412),
    [anon_sym_SEMI] = ACTIONS(2412),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2412),
    [anon_sym_and] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2414),
    [anon_sym_xor] = ACTIONS(2414),
    [anon_sym_DASH_GT] = ACTIONS(2412),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_GT] = ACTIONS(2414),
    [anon_sym_LT_LT] = ACTIONS(2414),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2412),
    [anon_sym_PLUS_EQ] = ACTIONS(2412),
    [anon_sym_DASH_EQ] = ACTIONS(2412),
    [anon_sym_DOT_EQ] = ACTIONS(2412),
    [anon_sym_STAR_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_PERCENT_EQ] = ACTIONS(2412),
    [anon_sym_x_EQ] = ACTIONS(2414),
    [anon_sym_AMP_EQ] = ACTIONS(2412),
    [anon_sym_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_CARET_EQ] = ACTIONS(2412),
    [anon_sym_LT_LT_EQ] = ACTIONS(2412),
    [anon_sym_GT_GT_EQ] = ACTIONS(2412),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2414),
    [anon_sym_STAR_STAR] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH] = ACTIONS(2414),
    [anon_sym_CARET_CARET] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_PIPE] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_GT_GT2] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_SLASH] = ACTIONS(2414),
    [anon_sym_x] = ACTIONS(2414),
    [anon_sym_EQ_TILDE] = ACTIONS(2412),
    [anon_sym_BANG_TILDE] = ACTIONS(2412),
    [anon_sym_EQ_EQ] = ACTIONS(2414),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_eq] = ACTIONS(2414),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2412),
    [anon_sym_equ] = ACTIONS(2414),
    [anon_sym_eqr] = ACTIONS(2414),
    [anon_sym_ne] = ACTIONS(2412),
    [anon_sym_LT_EQ_GT] = ACTIONS(2412),
    [anon_sym_cmp] = ACTIONS(2414),
    [anon_sym_TILDE_TILDE] = ACTIONS(2412),
    [anon_sym_LT_EQ] = ACTIONS(2414),
    [anon_sym_GT_EQ] = ACTIONS(2412),
    [anon_sym_lt] = ACTIONS(2414),
    [anon_sym_le] = ACTIONS(2414),
    [anon_sym_ge] = ACTIONS(2414),
    [anon_sym_gt] = ACTIONS(2414),
    [anon_sym_isa] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_QMARK] = ACTIONS(2412),
    [anon_sym_EQ_GT] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2414),
    [anon_sym_foreach] = ACTIONS(2412),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2412),
    [anon_sym___END__] = ACTIONS(2412),
    [anon_sym_EOT] = ACTIONS(2412),
    [sym_substitution_regexp_modifiers] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2414),
    [anon_sym_unless] = ACTIONS(2414),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_until] = ACTIONS(2414),
    [sym__PERLY_SEMICOLON] = ACTIONS(2412),
    [sym__ctrl_z_hack] = ACTIONS(2412),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1068] = {
    [sym_heredoc_content] = STATE(1068),
    [anon_sym_RBRACE] = ACTIONS(1796),
    [anon_sym_SEMI] = ACTIONS(1796),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_COMMA] = ACTIONS(1796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1796),
    [anon_sym_and] = ACTIONS(1796),
    [anon_sym_or] = ACTIONS(1796),
    [anon_sym_xor] = ACTIONS(1796),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_DASH_GT] = ACTIONS(1796),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1796),
    [anon_sym_PLUS_EQ] = ACTIONS(1796),
    [anon_sym_DASH_EQ] = ACTIONS(1796),
    [anon_sym_DOT_EQ] = ACTIONS(1796),
    [anon_sym_STAR_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_PERCENT_EQ] = ACTIONS(1796),
    [anon_sym_x_EQ] = ACTIONS(1796),
    [anon_sym_AMP_EQ] = ACTIONS(1796),
    [anon_sym_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_CARET_EQ] = ACTIONS(1796),
    [anon_sym_LT_LT_EQ] = ACTIONS(1796),
    [anon_sym_GT_GT_EQ] = ACTIONS(1796),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1796),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1787),
    [anon_sym_CARET_CARET] = ACTIONS(1796),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1796),
    [anon_sym_BANG_TILDE] = ACTIONS(1796),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1796),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1796),
    [anon_sym_equ] = ACTIONS(1796),
    [anon_sym_eqr] = ACTIONS(1796),
    [anon_sym_ne] = ACTIONS(1796),
    [anon_sym_LT_EQ_GT] = ACTIONS(1796),
    [anon_sym_cmp] = ACTIONS(1796),
    [anon_sym_TILDE_TILDE] = ACTIONS(1796),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1796),
    [anon_sym_lt] = ACTIONS(1796),
    [anon_sym_le] = ACTIONS(1796),
    [anon_sym_ge] = ACTIONS(1796),
    [anon_sym_gt] = ACTIONS(1796),
    [anon_sym_isa] = ACTIONS(1796),
    [anon_sym_PLUS_PLUS] = ACTIONS(1796),
    [anon_sym_DASH_DASH] = ACTIONS(1796),
    [anon_sym_QMARK] = ACTIONS(1796),
    [anon_sym_EQ_GT] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1787),
    [anon_sym_foreach] = ACTIONS(1796),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1796),
    [anon_sym___END__] = ACTIONS(1796),
    [anon_sym_EOT] = ACTIONS(1796),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_unless] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_until] = ACTIONS(1796),
    [sym__PERLY_SEMICOLON] = ACTIONS(1796),
    [sym__ctrl_z_hack] = ACTIONS(1796),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1069] = {
    [sym_heredoc_content] = STATE(1069),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_and] = ACTIONS(2538),
    [anon_sym_or] = ACTIONS(2538),
    [anon_sym_xor] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2538),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2538),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2538),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2538),
    [anon_sym_le] = ACTIONS(2538),
    [anon_sym_ge] = ACTIONS(2538),
    [anon_sym_gt] = ACTIONS(2538),
    [anon_sym_isa] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_foreach] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2538),
    [anon_sym___END__] = ACTIONS(2538),
    [anon_sym_EOT] = ACTIONS(2538),
    [anon_sym_if] = ACTIONS(2538),
    [anon_sym_unless] = ACTIONS(2538),
    [anon_sym_while] = ACTIONS(2538),
    [anon_sym_until] = ACTIONS(2538),
    [sym__PERLY_SEMICOLON] = ACTIONS(2538),
    [sym__ctrl_z_hack] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1070] = {
    [sym_heredoc_content] = STATE(1070),
    [anon_sym_RBRACE] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2544),
    [anon_sym_EQ] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_COMMA] = ACTIONS(2544),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2544),
    [anon_sym_and] = ACTIONS(2544),
    [anon_sym_or] = ACTIONS(2544),
    [anon_sym_xor] = ACTIONS(2544),
    [anon_sym_DASH_GT] = ACTIONS(2544),
    [anon_sym_PERCENT] = ACTIONS(2546),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_GT] = ACTIONS(2546),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2544),
    [anon_sym_PLUS_EQ] = ACTIONS(2544),
    [anon_sym_DASH_EQ] = ACTIONS(2544),
    [anon_sym_DOT_EQ] = ACTIONS(2544),
    [anon_sym_STAR_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_PERCENT_EQ] = ACTIONS(2544),
    [anon_sym_x_EQ] = ACTIONS(2544),
    [anon_sym_AMP_EQ] = ACTIONS(2544),
    [anon_sym_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_CARET_EQ] = ACTIONS(2544),
    [anon_sym_LT_LT_EQ] = ACTIONS(2544),
    [anon_sym_GT_GT_EQ] = ACTIONS(2544),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2544),
    [anon_sym_DOT_DOT] = ACTIONS(2546),
    [anon_sym_STAR_STAR] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE] = ACTIONS(2546),
    [anon_sym_SLASH_SLASH] = ACTIONS(2546),
    [anon_sym_CARET_CARET] = ACTIONS(2544),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_GT_GT2] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_DOT] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_SLASH] = ACTIONS(2546),
    [anon_sym_x] = ACTIONS(2546),
    [anon_sym_EQ_TILDE] = ACTIONS(2544),
    [anon_sym_BANG_TILDE] = ACTIONS(2544),
    [anon_sym_EQ_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2544),
    [anon_sym_eq] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2544),
    [anon_sym_equ] = ACTIONS(2544),
    [anon_sym_eqr] = ACTIONS(2544),
    [anon_sym_ne] = ACTIONS(2544),
    [anon_sym_LT_EQ_GT] = ACTIONS(2544),
    [anon_sym_cmp] = ACTIONS(2546),
    [anon_sym_TILDE_TILDE] = ACTIONS(2544),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2544),
    [anon_sym_lt] = ACTIONS(2544),
    [anon_sym_le] = ACTIONS(2544),
    [anon_sym_ge] = ACTIONS(2544),
    [anon_sym_gt] = ACTIONS(2544),
    [anon_sym_isa] = ACTIONS(2544),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [anon_sym_QMARK] = ACTIONS(2544),
    [anon_sym_EQ_GT] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2546),
    [anon_sym_foreach] = ACTIONS(2544),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2544),
    [anon_sym___END__] = ACTIONS(2544),
    [anon_sym_EOT] = ACTIONS(2544),
    [sym_transliteration_modifiers] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_unless] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_until] = ACTIONS(2544),
    [sym__PERLY_SEMICOLON] = ACTIONS(2544),
    [sym__ctrl_z_hack] = ACTIONS(2544),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1071] = {
    [sym_heredoc_content] = STATE(1071),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_COLON] = ACTIONS(2550),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym_EQ] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2550),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2550),
    [anon_sym_COMMA] = ACTIONS(2550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2550),
    [anon_sym_and] = ACTIONS(2550),
    [anon_sym_or] = ACTIONS(2550),
    [anon_sym_xor] = ACTIONS(2550),
    [anon_sym_DASH_GT] = ACTIONS(2550),
    [anon_sym_PERCENT] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(2552),
    [anon_sym_GT] = ACTIONS(2552),
    [anon_sym_LT_LT] = ACTIONS(2552),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2550),
    [anon_sym_PLUS_EQ] = ACTIONS(2550),
    [anon_sym_DASH_EQ] = ACTIONS(2550),
    [anon_sym_DOT_EQ] = ACTIONS(2550),
    [anon_sym_STAR_EQ] = ACTIONS(2550),
    [anon_sym_SLASH_EQ] = ACTIONS(2550),
    [anon_sym_PERCENT_EQ] = ACTIONS(2550),
    [anon_sym_x_EQ] = ACTIONS(2550),
    [anon_sym_AMP_EQ] = ACTIONS(2550),
    [anon_sym_PIPE_EQ] = ACTIONS(2550),
    [anon_sym_CARET_EQ] = ACTIONS(2550),
    [anon_sym_LT_LT_EQ] = ACTIONS(2550),
    [anon_sym_GT_GT_EQ] = ACTIONS(2550),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2550),
    [anon_sym_DOT_DOT] = ACTIONS(2552),
    [anon_sym_STAR_STAR] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE] = ACTIONS(2552),
    [anon_sym_SLASH_SLASH] = ACTIONS(2552),
    [anon_sym_CARET_CARET] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2552),
    [anon_sym_PIPE] = ACTIONS(2552),
    [anon_sym_CARET] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_GT_GT2] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_SLASH] = ACTIONS(2552),
    [anon_sym_x] = ACTIONS(2552),
    [anon_sym_EQ_TILDE] = ACTIONS(2550),
    [anon_sym_BANG_TILDE] = ACTIONS(2550),
    [anon_sym_EQ_EQ] = ACTIONS(2552),
    [anon_sym_BANG_EQ] = ACTIONS(2550),
    [anon_sym_eq] = ACTIONS(2552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2550),
    [anon_sym_equ] = ACTIONS(2550),
    [anon_sym_eqr] = ACTIONS(2550),
    [anon_sym_ne] = ACTIONS(2550),
    [anon_sym_LT_EQ_GT] = ACTIONS(2550),
    [anon_sym_cmp] = ACTIONS(2550),
    [anon_sym_TILDE_TILDE] = ACTIONS(2550),
    [anon_sym_LT_EQ] = ACTIONS(2552),
    [anon_sym_GT_EQ] = ACTIONS(2550),
    [anon_sym_lt] = ACTIONS(2550),
    [anon_sym_le] = ACTIONS(2550),
    [anon_sym_ge] = ACTIONS(2550),
    [anon_sym_gt] = ACTIONS(2550),
    [anon_sym_isa] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_QMARK] = ACTIONS(2550),
    [anon_sym_EQ_GT] = ACTIONS(2550),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_foreach] = ACTIONS(2550),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2550),
    [anon_sym___END__] = ACTIONS(2550),
    [anon_sym_EOT] = ACTIONS(2550),
    [anon_sym_if] = ACTIONS(2550),
    [anon_sym_unless] = ACTIONS(2550),
    [anon_sym_while] = ACTIONS(2550),
    [anon_sym_until] = ACTIONS(2550),
    [sym__PERLY_SEMICOLON] = ACTIONS(2550),
    [sym__ctrl_z_hack] = ACTIONS(2550),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1072] = {
    [sym_heredoc_content] = STATE(1072),
    [anon_sym_RBRACE] = ACTIONS(2554),
    [anon_sym_COLON] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym_EQ] = ACTIONS(2556),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2554),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2554),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2554),
    [anon_sym_and] = ACTIONS(2554),
    [anon_sym_or] = ACTIONS(2554),
    [anon_sym_xor] = ACTIONS(2554),
    [anon_sym_DASH_GT] = ACTIONS(2554),
    [anon_sym_PERCENT] = ACTIONS(2556),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_GT] = ACTIONS(2556),
    [anon_sym_LT_LT] = ACTIONS(2556),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2554),
    [anon_sym_PLUS_EQ] = ACTIONS(2554),
    [anon_sym_DASH_EQ] = ACTIONS(2554),
    [anon_sym_DOT_EQ] = ACTIONS(2554),
    [anon_sym_STAR_EQ] = ACTIONS(2554),
    [anon_sym_SLASH_EQ] = ACTIONS(2554),
    [anon_sym_PERCENT_EQ] = ACTIONS(2554),
    [anon_sym_x_EQ] = ACTIONS(2554),
    [anon_sym_AMP_EQ] = ACTIONS(2554),
    [anon_sym_PIPE_EQ] = ACTIONS(2554),
    [anon_sym_CARET_EQ] = ACTIONS(2554),
    [anon_sym_LT_LT_EQ] = ACTIONS(2554),
    [anon_sym_GT_GT_EQ] = ACTIONS(2554),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2554),
    [anon_sym_DOT_DOT] = ACTIONS(2556),
    [anon_sym_STAR_STAR] = ACTIONS(2556),
    [anon_sym_PIPE_PIPE] = ACTIONS(2556),
    [anon_sym_SLASH_SLASH] = ACTIONS(2556),
    [anon_sym_CARET_CARET] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2556),
    [anon_sym_PIPE] = ACTIONS(2556),
    [anon_sym_CARET] = ACTIONS(2556),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_GT_GT2] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_DOT] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2556),
    [anon_sym_SLASH] = ACTIONS(2556),
    [anon_sym_x] = ACTIONS(2556),
    [anon_sym_EQ_TILDE] = ACTIONS(2554),
    [anon_sym_BANG_TILDE] = ACTIONS(2554),
    [anon_sym_EQ_EQ] = ACTIONS(2556),
    [anon_sym_BANG_EQ] = ACTIONS(2554),
    [anon_sym_eq] = ACTIONS(2556),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2554),
    [anon_sym_equ] = ACTIONS(2554),
    [anon_sym_eqr] = ACTIONS(2554),
    [anon_sym_ne] = ACTIONS(2554),
    [anon_sym_LT_EQ_GT] = ACTIONS(2554),
    [anon_sym_cmp] = ACTIONS(2554),
    [anon_sym_TILDE_TILDE] = ACTIONS(2554),
    [anon_sym_LT_EQ] = ACTIONS(2556),
    [anon_sym_GT_EQ] = ACTIONS(2554),
    [anon_sym_lt] = ACTIONS(2554),
    [anon_sym_le] = ACTIONS(2554),
    [anon_sym_ge] = ACTIONS(2554),
    [anon_sym_gt] = ACTIONS(2554),
    [anon_sym_isa] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_QMARK] = ACTIONS(2554),
    [anon_sym_EQ_GT] = ACTIONS(2554),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_foreach] = ACTIONS(2554),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2554),
    [anon_sym___END__] = ACTIONS(2554),
    [anon_sym_EOT] = ACTIONS(2554),
    [anon_sym_if] = ACTIONS(2554),
    [anon_sym_unless] = ACTIONS(2554),
    [anon_sym_while] = ACTIONS(2554),
    [anon_sym_until] = ACTIONS(2554),
    [sym__PERLY_SEMICOLON] = ACTIONS(2554),
    [sym__ctrl_z_hack] = ACTIONS(2554),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1073] = {
    [sym_heredoc_content] = STATE(1073),
    [anon_sym_RBRACE] = ACTIONS(2558),
    [anon_sym_COLON] = ACTIONS(2558),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2560),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2558),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2558),
    [anon_sym_and] = ACTIONS(2558),
    [anon_sym_or] = ACTIONS(2558),
    [anon_sym_xor] = ACTIONS(2558),
    [anon_sym_DASH_GT] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2560),
    [anon_sym_LT] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2560),
    [anon_sym_LT_LT] = ACTIONS(2560),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2558),
    [anon_sym_PLUS_EQ] = ACTIONS(2558),
    [anon_sym_DASH_EQ] = ACTIONS(2558),
    [anon_sym_DOT_EQ] = ACTIONS(2558),
    [anon_sym_STAR_EQ] = ACTIONS(2558),
    [anon_sym_SLASH_EQ] = ACTIONS(2558),
    [anon_sym_PERCENT_EQ] = ACTIONS(2558),
    [anon_sym_x_EQ] = ACTIONS(2558),
    [anon_sym_AMP_EQ] = ACTIONS(2558),
    [anon_sym_PIPE_EQ] = ACTIONS(2558),
    [anon_sym_CARET_EQ] = ACTIONS(2558),
    [anon_sym_LT_LT_EQ] = ACTIONS(2558),
    [anon_sym_GT_GT_EQ] = ACTIONS(2558),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2558),
    [anon_sym_DOT_DOT] = ACTIONS(2560),
    [anon_sym_STAR_STAR] = ACTIONS(2560),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_SLASH_SLASH] = ACTIONS(2560),
    [anon_sym_CARET_CARET] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_PIPE] = ACTIONS(2560),
    [anon_sym_CARET] = ACTIONS(2560),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_GT_GT2] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2560),
    [anon_sym_x] = ACTIONS(2560),
    [anon_sym_EQ_TILDE] = ACTIONS(2558),
    [anon_sym_BANG_TILDE] = ACTIONS(2558),
    [anon_sym_EQ_EQ] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_eq] = ACTIONS(2560),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2558),
    [anon_sym_equ] = ACTIONS(2558),
    [anon_sym_eqr] = ACTIONS(2558),
    [anon_sym_ne] = ACTIONS(2558),
    [anon_sym_LT_EQ_GT] = ACTIONS(2558),
    [anon_sym_cmp] = ACTIONS(2558),
    [anon_sym_TILDE_TILDE] = ACTIONS(2558),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2558),
    [anon_sym_lt] = ACTIONS(2558),
    [anon_sym_le] = ACTIONS(2558),
    [anon_sym_ge] = ACTIONS(2558),
    [anon_sym_gt] = ACTIONS(2558),
    [anon_sym_isa] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2558),
    [anon_sym_EQ_GT] = ACTIONS(2558),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_foreach] = ACTIONS(2558),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2558),
    [anon_sym___END__] = ACTIONS(2558),
    [anon_sym_EOT] = ACTIONS(2558),
    [anon_sym_if] = ACTIONS(2558),
    [anon_sym_unless] = ACTIONS(2558),
    [anon_sym_while] = ACTIONS(2558),
    [anon_sym_until] = ACTIONS(2558),
    [sym__PERLY_SEMICOLON] = ACTIONS(2558),
    [sym__ctrl_z_hack] = ACTIONS(2558),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1074] = {
    [sym_heredoc_content] = STATE(1074),
    [anon_sym_RBRACE] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2562),
    [anon_sym_and] = ACTIONS(2562),
    [anon_sym_or] = ACTIONS(2562),
    [anon_sym_xor] = ACTIONS(2562),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2562),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_DOT_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_x_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2564),
    [anon_sym_STAR_STAR] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE] = ACTIONS(2564),
    [anon_sym_SLASH_SLASH] = ACTIONS(2564),
    [anon_sym_CARET_CARET] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_GT_GT2] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_x] = ACTIONS(2564),
    [anon_sym_EQ_TILDE] = ACTIONS(2562),
    [anon_sym_BANG_TILDE] = ACTIONS(2562),
    [anon_sym_EQ_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_eq] = ACTIONS(2564),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2562),
    [anon_sym_equ] = ACTIONS(2562),
    [anon_sym_eqr] = ACTIONS(2562),
    [anon_sym_ne] = ACTIONS(2562),
    [anon_sym_LT_EQ_GT] = ACTIONS(2562),
    [anon_sym_cmp] = ACTIONS(2564),
    [anon_sym_TILDE_TILDE] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_lt] = ACTIONS(2562),
    [anon_sym_le] = ACTIONS(2562),
    [anon_sym_ge] = ACTIONS(2562),
    [anon_sym_gt] = ACTIONS(2562),
    [anon_sym_isa] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2562),
    [anon_sym_EQ_GT] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_foreach] = ACTIONS(2562),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2562),
    [anon_sym___END__] = ACTIONS(2562),
    [anon_sym_EOT] = ACTIONS(2562),
    [sym_transliteration_modifiers] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_unless] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_until] = ACTIONS(2562),
    [sym__PERLY_SEMICOLON] = ACTIONS(2562),
    [sym__ctrl_z_hack] = ACTIONS(2562),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1075] = {
    [sym_heredoc_content] = STATE(1075),
    [anon_sym_RBRACE] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym_EQ] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2568),
    [anon_sym_and] = ACTIONS(2570),
    [anon_sym_or] = ACTIONS(2570),
    [anon_sym_xor] = ACTIONS(2570),
    [anon_sym_DASH_GT] = ACTIONS(2568),
    [anon_sym_PERCENT] = ACTIONS(2570),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_GT] = ACTIONS(2570),
    [anon_sym_LT_LT] = ACTIONS(2570),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2568),
    [anon_sym_PLUS_EQ] = ACTIONS(2568),
    [anon_sym_DASH_EQ] = ACTIONS(2568),
    [anon_sym_DOT_EQ] = ACTIONS(2568),
    [anon_sym_STAR_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_PERCENT_EQ] = ACTIONS(2568),
    [anon_sym_x_EQ] = ACTIONS(2570),
    [anon_sym_AMP_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_CARET_EQ] = ACTIONS(2568),
    [anon_sym_LT_LT_EQ] = ACTIONS(2568),
    [anon_sym_GT_GT_EQ] = ACTIONS(2568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2568),
    [anon_sym_DOT_DOT] = ACTIONS(2570),
    [anon_sym_STAR_STAR] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE] = ACTIONS(2570),
    [anon_sym_SLASH_SLASH] = ACTIONS(2570),
    [anon_sym_CARET_CARET] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_PIPE] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_GT_GT2] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_DOT] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_SLASH] = ACTIONS(2570),
    [anon_sym_x] = ACTIONS(2570),
    [anon_sym_EQ_TILDE] = ACTIONS(2568),
    [anon_sym_BANG_TILDE] = ACTIONS(2568),
    [anon_sym_EQ_EQ] = ACTIONS(2570),
    [anon_sym_BANG_EQ] = ACTIONS(2568),
    [anon_sym_eq] = ACTIONS(2570),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2568),
    [anon_sym_equ] = ACTIONS(2570),
    [anon_sym_eqr] = ACTIONS(2570),
    [anon_sym_ne] = ACTIONS(2568),
    [anon_sym_LT_EQ_GT] = ACTIONS(2568),
    [anon_sym_cmp] = ACTIONS(2570),
    [anon_sym_TILDE_TILDE] = ACTIONS(2568),
    [anon_sym_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_EQ] = ACTIONS(2568),
    [anon_sym_lt] = ACTIONS(2570),
    [anon_sym_le] = ACTIONS(2570),
    [anon_sym_ge] = ACTIONS(2570),
    [anon_sym_gt] = ACTIONS(2570),
    [anon_sym_isa] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_QMARK] = ACTIONS(2568),
    [anon_sym_EQ_GT] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2570),
    [anon_sym_foreach] = ACTIONS(2568),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2568),
    [anon_sym___END__] = ACTIONS(2568),
    [anon_sym_EOT] = ACTIONS(2568),
    [sym_substitution_regexp_modifiers] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2570),
    [anon_sym_unless] = ACTIONS(2570),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_until] = ACTIONS(2570),
    [sym__PERLY_SEMICOLON] = ACTIONS(2568),
    [sym__ctrl_z_hack] = ACTIONS(2568),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1076] = {
    [sym_heredoc_content] = STATE(1076),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_COMMA] = ACTIONS(2574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2574),
    [anon_sym_and] = ACTIONS(2574),
    [anon_sym_or] = ACTIONS(2574),
    [anon_sym_xor] = ACTIONS(2574),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_DASH_GT] = ACTIONS(2574),
    [anon_sym_PERCENT] = ACTIONS(2576),
    [anon_sym_LT] = ACTIONS(2576),
    [anon_sym_GT] = ACTIONS(2576),
    [anon_sym_LT_LT] = ACTIONS(2576),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_DOT_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_x_EQ] = ACTIONS(2574),
    [anon_sym_AMP_EQ] = ACTIONS(2574),
    [anon_sym_PIPE_EQ] = ACTIONS(2574),
    [anon_sym_CARET_EQ] = ACTIONS(2574),
    [anon_sym_LT_LT_EQ] = ACTIONS(2574),
    [anon_sym_GT_GT_EQ] = ACTIONS(2574),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2576),
    [anon_sym_STAR_STAR] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE] = ACTIONS(2576),
    [anon_sym_SLASH_SLASH] = ACTIONS(2576),
    [anon_sym_CARET_CARET] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2576),
    [anon_sym_CARET] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_GT_GT2] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_DOT] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2576),
    [anon_sym_SLASH] = ACTIONS(2576),
    [anon_sym_x] = ACTIONS(2576),
    [anon_sym_EQ_TILDE] = ACTIONS(2574),
    [anon_sym_BANG_TILDE] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2576),
    [anon_sym_BANG_EQ] = ACTIONS(2574),
    [anon_sym_eq] = ACTIONS(2576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_equ] = ACTIONS(2574),
    [anon_sym_eqr] = ACTIONS(2574),
    [anon_sym_ne] = ACTIONS(2574),
    [anon_sym_LT_EQ_GT] = ACTIONS(2574),
    [anon_sym_cmp] = ACTIONS(2574),
    [anon_sym_TILDE_TILDE] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2576),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_lt] = ACTIONS(2574),
    [anon_sym_le] = ACTIONS(2574),
    [anon_sym_ge] = ACTIONS(2574),
    [anon_sym_gt] = ACTIONS(2574),
    [anon_sym_isa] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_QMARK] = ACTIONS(2574),
    [anon_sym_EQ_GT] = ACTIONS(2574),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_foreach] = ACTIONS(2574),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2574),
    [anon_sym___END__] = ACTIONS(2574),
    [anon_sym_EOT] = ACTIONS(2574),
    [anon_sym_if] = ACTIONS(2574),
    [anon_sym_unless] = ACTIONS(2574),
    [anon_sym_while] = ACTIONS(2574),
    [anon_sym_until] = ACTIONS(2574),
    [sym__PERLY_SEMICOLON] = ACTIONS(2574),
    [sym__ctrl_z_hack] = ACTIONS(2574),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1077] = {
    [sym_heredoc_content] = STATE(1077),
    [anon_sym_RBRACE] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2578),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2578),
    [anon_sym_and] = ACTIONS(2580),
    [anon_sym_or] = ACTIONS(2578),
    [anon_sym_xor] = ACTIONS(2580),
    [anon_sym_DASH_GT] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2580),
    [anon_sym_LT] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2580),
    [anon_sym_LT_LT] = ACTIONS(2580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2578),
    [anon_sym_PLUS_EQ] = ACTIONS(2578),
    [anon_sym_DASH_EQ] = ACTIONS(2578),
    [anon_sym_DOT_EQ] = ACTIONS(2578),
    [anon_sym_STAR_EQ] = ACTIONS(2578),
    [anon_sym_SLASH_EQ] = ACTIONS(2578),
    [anon_sym_PERCENT_EQ] = ACTIONS(2578),
    [anon_sym_x_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2578),
    [anon_sym_PIPE_EQ] = ACTIONS(2578),
    [anon_sym_CARET_EQ] = ACTIONS(2578),
    [anon_sym_LT_LT_EQ] = ACTIONS(2578),
    [anon_sym_GT_GT_EQ] = ACTIONS(2578),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2578),
    [anon_sym_DOT_DOT] = ACTIONS(2580),
    [anon_sym_STAR_STAR] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_SLASH_SLASH] = ACTIONS(2580),
    [anon_sym_CARET_CARET] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_GT_GT2] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2580),
    [anon_sym_x] = ACTIONS(2580),
    [anon_sym_EQ_TILDE] = ACTIONS(2578),
    [anon_sym_BANG_TILDE] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2578),
    [anon_sym_eq] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2578),
    [anon_sym_equ] = ACTIONS(2578),
    [anon_sym_eqr] = ACTIONS(2578),
    [anon_sym_ne] = ACTIONS(2580),
    [anon_sym_LT_EQ_GT] = ACTIONS(2578),
    [anon_sym_cmp] = ACTIONS(2578),
    [anon_sym_TILDE_TILDE] = ACTIONS(2578),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2578),
    [anon_sym_lt] = ACTIONS(2580),
    [anon_sym_le] = ACTIONS(2580),
    [anon_sym_ge] = ACTIONS(2578),
    [anon_sym_gt] = ACTIONS(2578),
    [anon_sym_isa] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_EQ_GT] = ACTIONS(2578),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_foreach] = ACTIONS(2578),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2578),
    [anon_sym___END__] = ACTIONS(2578),
    [anon_sym_EOT] = ACTIONS(2578),
    [sym_quoted_regexp_modifiers] = ACTIONS(2582),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_unless] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2578),
    [anon_sym_until] = ACTIONS(2580),
    [sym__PERLY_SEMICOLON] = ACTIONS(2578),
    [sym__ctrl_z_hack] = ACTIONS(2578),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1078] = {
    [sym_heredoc_content] = STATE(1078),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2584),
    [anon_sym_xor] = ACTIONS(2586),
    [anon_sym_DASH_GT] = ACTIONS(2584),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2586),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_DOT_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_x_EQ] = ACTIONS(2586),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2584),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_STAR_STAR] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2586),
    [anon_sym_SLASH_SLASH] = ACTIONS(2586),
    [anon_sym_CARET_CARET] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_GT_GT2] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_x] = ACTIONS(2586),
    [anon_sym_EQ_TILDE] = ACTIONS(2584),
    [anon_sym_BANG_TILDE] = ACTIONS(2584),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2584),
    [anon_sym_eq] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_equ] = ACTIONS(2584),
    [anon_sym_eqr] = ACTIONS(2584),
    [anon_sym_ne] = ACTIONS(2586),
    [anon_sym_LT_EQ_GT] = ACTIONS(2584),
    [anon_sym_cmp] = ACTIONS(2586),
    [anon_sym_TILDE_TILDE] = ACTIONS(2584),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_lt] = ACTIONS(2586),
    [anon_sym_le] = ACTIONS(2586),
    [anon_sym_ge] = ACTIONS(2586),
    [anon_sym_gt] = ACTIONS(2586),
    [anon_sym_isa] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_EQ_GT] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_foreach] = ACTIONS(2584),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2584),
    [anon_sym___END__] = ACTIONS(2584),
    [anon_sym_EOT] = ACTIONS(2584),
    [sym_match_regexp_modifiers] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2586),
    [anon_sym_unless] = ACTIONS(2586),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_until] = ACTIONS(2586),
    [sym__PERLY_SEMICOLON] = ACTIONS(2584),
    [sym__ctrl_z_hack] = ACTIONS(2584),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1079] = {
    [sym_heredoc_content] = STATE(1079),
    [anon_sym_RBRACE] = ACTIONS(2590),
    [anon_sym_COLON] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2590),
    [anon_sym_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2590),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2590),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_xor] = ACTIONS(2590),
    [anon_sym_DASH_GT] = ACTIONS(2590),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_LT] = ACTIONS(2592),
    [anon_sym_GT] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2590),
    [anon_sym_PLUS_EQ] = ACTIONS(2590),
    [anon_sym_DASH_EQ] = ACTIONS(2590),
    [anon_sym_DOT_EQ] = ACTIONS(2590),
    [anon_sym_STAR_EQ] = ACTIONS(2590),
    [anon_sym_SLASH_EQ] = ACTIONS(2590),
    [anon_sym_PERCENT_EQ] = ACTIONS(2590),
    [anon_sym_x_EQ] = ACTIONS(2590),
    [anon_sym_AMP_EQ] = ACTIONS(2590),
    [anon_sym_PIPE_EQ] = ACTIONS(2590),
    [anon_sym_CARET_EQ] = ACTIONS(2590),
    [anon_sym_LT_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT_GT_EQ] = ACTIONS(2590),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2590),
    [anon_sym_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR_STAR] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_SLASH_SLASH] = ACTIONS(2592),
    [anon_sym_CARET_CARET] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2592),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym_GT_GT2] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_x] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2590),
    [anon_sym_BANG_TILDE] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2592),
    [anon_sym_BANG_EQ] = ACTIONS(2590),
    [anon_sym_eq] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2590),
    [anon_sym_equ] = ACTIONS(2590),
    [anon_sym_eqr] = ACTIONS(2590),
    [anon_sym_ne] = ACTIONS(2590),
    [anon_sym_LT_EQ_GT] = ACTIONS(2590),
    [anon_sym_cmp] = ACTIONS(2590),
    [anon_sym_TILDE_TILDE] = ACTIONS(2590),
    [anon_sym_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_EQ] = ACTIONS(2590),
    [anon_sym_lt] = ACTIONS(2590),
    [anon_sym_le] = ACTIONS(2590),
    [anon_sym_ge] = ACTIONS(2590),
    [anon_sym_gt] = ACTIONS(2590),
    [anon_sym_isa] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2592),
    [anon_sym_foreach] = ACTIONS(2590),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2590),
    [anon_sym___END__] = ACTIONS(2590),
    [anon_sym_EOT] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [sym__PERLY_SEMICOLON] = ACTIONS(2590),
    [sym__ctrl_z_hack] = ACTIONS(2590),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1080] = {
    [sym_heredoc_content] = STATE(1080),
    [anon_sym_RBRACE] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2594),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2594),
    [anon_sym_COMMA] = ACTIONS(2594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2594),
    [anon_sym_and] = ACTIONS(2594),
    [anon_sym_or] = ACTIONS(2594),
    [anon_sym_xor] = ACTIONS(2594),
    [anon_sym_DASH_GT] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2596),
    [anon_sym_LT] = ACTIONS(2596),
    [anon_sym_GT] = ACTIONS(2596),
    [anon_sym_LT_LT] = ACTIONS(2596),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2594),
    [anon_sym_DASH_EQ] = ACTIONS(2594),
    [anon_sym_DOT_EQ] = ACTIONS(2594),
    [anon_sym_STAR_EQ] = ACTIONS(2594),
    [anon_sym_SLASH_EQ] = ACTIONS(2594),
    [anon_sym_PERCENT_EQ] = ACTIONS(2594),
    [anon_sym_x_EQ] = ACTIONS(2594),
    [anon_sym_AMP_EQ] = ACTIONS(2594),
    [anon_sym_PIPE_EQ] = ACTIONS(2594),
    [anon_sym_CARET_EQ] = ACTIONS(2594),
    [anon_sym_LT_LT_EQ] = ACTIONS(2594),
    [anon_sym_GT_GT_EQ] = ACTIONS(2594),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2594),
    [anon_sym_DOT_DOT] = ACTIONS(2596),
    [anon_sym_STAR_STAR] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_SLASH_SLASH] = ACTIONS(2596),
    [anon_sym_CARET_CARET] = ACTIONS(2594),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_PIPE] = ACTIONS(2596),
    [anon_sym_CARET] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym_GT_GT2] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2596),
    [anon_sym_x] = ACTIONS(2596),
    [anon_sym_EQ_TILDE] = ACTIONS(2594),
    [anon_sym_BANG_TILDE] = ACTIONS(2594),
    [anon_sym_EQ_EQ] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_eq] = ACTIONS(2596),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2594),
    [anon_sym_equ] = ACTIONS(2594),
    [anon_sym_eqr] = ACTIONS(2594),
    [anon_sym_ne] = ACTIONS(2594),
    [anon_sym_LT_EQ_GT] = ACTIONS(2594),
    [anon_sym_cmp] = ACTIONS(2596),
    [anon_sym_TILDE_TILDE] = ACTIONS(2594),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2594),
    [anon_sym_lt] = ACTIONS(2594),
    [anon_sym_le] = ACTIONS(2594),
    [anon_sym_ge] = ACTIONS(2594),
    [anon_sym_gt] = ACTIONS(2594),
    [anon_sym_isa] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_QMARK] = ACTIONS(2594),
    [anon_sym_EQ_GT] = ACTIONS(2594),
    [anon_sym_for] = ACTIONS(2596),
    [anon_sym_foreach] = ACTIONS(2594),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2594),
    [anon_sym___END__] = ACTIONS(2594),
    [anon_sym_EOT] = ACTIONS(2594),
    [sym_transliteration_modifiers] = ACTIONS(2598),
    [anon_sym_if] = ACTIONS(2594),
    [anon_sym_unless] = ACTIONS(2594),
    [anon_sym_while] = ACTIONS(2594),
    [anon_sym_until] = ACTIONS(2594),
    [sym__PERLY_SEMICOLON] = ACTIONS(2594),
    [sym__ctrl_z_hack] = ACTIONS(2594),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1081] = {
    [sym_heredoc_content] = STATE(1081),
    [anon_sym_RBRACE] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym_EQ] = ACTIONS(2602),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2600),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2600),
    [anon_sym_and] = ACTIONS(2600),
    [anon_sym_or] = ACTIONS(2600),
    [anon_sym_xor] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_DASH_GT] = ACTIONS(2600),
    [anon_sym_PERCENT] = ACTIONS(2602),
    [anon_sym_LT] = ACTIONS(2602),
    [anon_sym_GT] = ACTIONS(2602),
    [anon_sym_LT_LT] = ACTIONS(2602),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2600),
    [anon_sym_PLUS_EQ] = ACTIONS(2600),
    [anon_sym_DASH_EQ] = ACTIONS(2600),
    [anon_sym_DOT_EQ] = ACTIONS(2600),
    [anon_sym_STAR_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_PERCENT_EQ] = ACTIONS(2600),
    [anon_sym_x_EQ] = ACTIONS(2600),
    [anon_sym_AMP_EQ] = ACTIONS(2600),
    [anon_sym_PIPE_EQ] = ACTIONS(2600),
    [anon_sym_CARET_EQ] = ACTIONS(2600),
    [anon_sym_LT_LT_EQ] = ACTIONS(2600),
    [anon_sym_GT_GT_EQ] = ACTIONS(2600),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2600),
    [anon_sym_DOT_DOT] = ACTIONS(2602),
    [anon_sym_STAR_STAR] = ACTIONS(2602),
    [anon_sym_PIPE_PIPE] = ACTIONS(2602),
    [anon_sym_SLASH_SLASH] = ACTIONS(2602),
    [anon_sym_CARET_CARET] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_PIPE] = ACTIONS(2602),
    [anon_sym_CARET] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_GT_GT2] = ACTIONS(2602),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_DOT] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_SLASH] = ACTIONS(2602),
    [anon_sym_x] = ACTIONS(2602),
    [anon_sym_EQ_TILDE] = ACTIONS(2600),
    [anon_sym_BANG_TILDE] = ACTIONS(2600),
    [anon_sym_EQ_EQ] = ACTIONS(2602),
    [anon_sym_BANG_EQ] = ACTIONS(2600),
    [anon_sym_eq] = ACTIONS(2602),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2600),
    [anon_sym_equ] = ACTIONS(2600),
    [anon_sym_eqr] = ACTIONS(2600),
    [anon_sym_ne] = ACTIONS(2600),
    [anon_sym_LT_EQ_GT] = ACTIONS(2600),
    [anon_sym_cmp] = ACTIONS(2600),
    [anon_sym_TILDE_TILDE] = ACTIONS(2600),
    [anon_sym_LT_EQ] = ACTIONS(2602),
    [anon_sym_GT_EQ] = ACTIONS(2600),
    [anon_sym_lt] = ACTIONS(2600),
    [anon_sym_le] = ACTIONS(2600),
    [anon_sym_ge] = ACTIONS(2600),
    [anon_sym_gt] = ACTIONS(2600),
    [anon_sym_isa] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_QMARK] = ACTIONS(2600),
    [anon_sym_EQ_GT] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2602),
    [anon_sym_foreach] = ACTIONS(2600),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2600),
    [anon_sym___END__] = ACTIONS(2600),
    [anon_sym_EOT] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_unless] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_until] = ACTIONS(2600),
    [sym__PERLY_SEMICOLON] = ACTIONS(2600),
    [sym__ctrl_z_hack] = ACTIONS(2600),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1082] = {
    [sym_heredoc_content] = STATE(1082),
    [anon_sym_RBRACE] = ACTIONS(2604),
    [anon_sym_SEMI] = ACTIONS(2604),
    [anon_sym_EQ] = ACTIONS(2606),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2604),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2604),
    [anon_sym_COMMA] = ACTIONS(2604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2604),
    [anon_sym_and] = ACTIONS(2606),
    [anon_sym_or] = ACTIONS(2604),
    [anon_sym_xor] = ACTIONS(2606),
    [anon_sym_DASH_GT] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2606),
    [anon_sym_LT] = ACTIONS(2606),
    [anon_sym_GT] = ACTIONS(2606),
    [anon_sym_LT_LT] = ACTIONS(2606),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2604),
    [anon_sym_PLUS_EQ] = ACTIONS(2604),
    [anon_sym_DASH_EQ] = ACTIONS(2604),
    [anon_sym_DOT_EQ] = ACTIONS(2604),
    [anon_sym_STAR_EQ] = ACTIONS(2604),
    [anon_sym_SLASH_EQ] = ACTIONS(2604),
    [anon_sym_PERCENT_EQ] = ACTIONS(2604),
    [anon_sym_x_EQ] = ACTIONS(2606),
    [anon_sym_AMP_EQ] = ACTIONS(2604),
    [anon_sym_PIPE_EQ] = ACTIONS(2604),
    [anon_sym_CARET_EQ] = ACTIONS(2604),
    [anon_sym_LT_LT_EQ] = ACTIONS(2604),
    [anon_sym_GT_GT_EQ] = ACTIONS(2604),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2604),
    [anon_sym_DOT_DOT] = ACTIONS(2606),
    [anon_sym_STAR_STAR] = ACTIONS(2606),
    [anon_sym_PIPE_PIPE] = ACTIONS(2606),
    [anon_sym_SLASH_SLASH] = ACTIONS(2606),
    [anon_sym_CARET_CARET] = ACTIONS(2604),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym_GT_GT2] = ACTIONS(2606),
    [anon_sym_PLUS] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2606),
    [anon_sym_DOT] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_SLASH] = ACTIONS(2606),
    [anon_sym_x] = ACTIONS(2606),
    [anon_sym_EQ_TILDE] = ACTIONS(2604),
    [anon_sym_BANG_TILDE] = ACTIONS(2604),
    [anon_sym_EQ_EQ] = ACTIONS(2606),
    [anon_sym_BANG_EQ] = ACTIONS(2604),
    [anon_sym_eq] = ACTIONS(2606),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2604),
    [anon_sym_equ] = ACTIONS(2604),
    [anon_sym_eqr] = ACTIONS(2604),
    [anon_sym_ne] = ACTIONS(2606),
    [anon_sym_LT_EQ_GT] = ACTIONS(2604),
    [anon_sym_cmp] = ACTIONS(2606),
    [anon_sym_TILDE_TILDE] = ACTIONS(2604),
    [anon_sym_LT_EQ] = ACTIONS(2606),
    [anon_sym_GT_EQ] = ACTIONS(2604),
    [anon_sym_lt] = ACTIONS(2606),
    [anon_sym_le] = ACTIONS(2606),
    [anon_sym_ge] = ACTIONS(2606),
    [anon_sym_gt] = ACTIONS(2606),
    [anon_sym_isa] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2604),
    [anon_sym_QMARK] = ACTIONS(2604),
    [anon_sym_EQ_GT] = ACTIONS(2604),
    [anon_sym_for] = ACTIONS(2606),
    [anon_sym_foreach] = ACTIONS(2604),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2604),
    [anon_sym___END__] = ACTIONS(2604),
    [anon_sym_EOT] = ACTIONS(2604),
    [sym_match_regexp_modifiers] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2606),
    [anon_sym_unless] = ACTIONS(2606),
    [anon_sym_while] = ACTIONS(2604),
    [anon_sym_until] = ACTIONS(2606),
    [sym__PERLY_SEMICOLON] = ACTIONS(2604),
    [sym__ctrl_z_hack] = ACTIONS(2604),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1083] = {
    [sym_heredoc_content] = STATE(1083),
    [anon_sym_RBRACE] = ACTIONS(2610),
    [anon_sym_COLON] = ACTIONS(2612),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym_EQ] = ACTIONS(2614),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_COMMA] = ACTIONS(2610),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2610),
    [anon_sym_and] = ACTIONS(2610),
    [anon_sym_or] = ACTIONS(2610),
    [anon_sym_xor] = ACTIONS(2610),
    [anon_sym_DASH_GT] = ACTIONS(2610),
    [anon_sym_PERCENT] = ACTIONS(2614),
    [anon_sym_LT] = ACTIONS(2614),
    [anon_sym_GT] = ACTIONS(2614),
    [anon_sym_LT_LT] = ACTIONS(2614),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2610),
    [anon_sym_PLUS_EQ] = ACTIONS(2610),
    [anon_sym_DASH_EQ] = ACTIONS(2610),
    [anon_sym_DOT_EQ] = ACTIONS(2610),
    [anon_sym_STAR_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_PERCENT_EQ] = ACTIONS(2610),
    [anon_sym_x_EQ] = ACTIONS(2610),
    [anon_sym_AMP_EQ] = ACTIONS(2610),
    [anon_sym_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_CARET_EQ] = ACTIONS(2610),
    [anon_sym_LT_LT_EQ] = ACTIONS(2610),
    [anon_sym_GT_GT_EQ] = ACTIONS(2610),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2610),
    [anon_sym_DOT_DOT] = ACTIONS(2614),
    [anon_sym_STAR_STAR] = ACTIONS(2614),
    [anon_sym_PIPE_PIPE] = ACTIONS(2614),
    [anon_sym_SLASH_SLASH] = ACTIONS(2614),
    [anon_sym_CARET_CARET] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_PIPE] = ACTIONS(2614),
    [anon_sym_CARET] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym_GT_GT2] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_DOT] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_SLASH] = ACTIONS(2614),
    [anon_sym_x] = ACTIONS(2614),
    [anon_sym_EQ_TILDE] = ACTIONS(2610),
    [anon_sym_BANG_TILDE] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2614),
    [anon_sym_BANG_EQ] = ACTIONS(2610),
    [anon_sym_eq] = ACTIONS(2614),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2610),
    [anon_sym_equ] = ACTIONS(2610),
    [anon_sym_eqr] = ACTIONS(2610),
    [anon_sym_ne] = ACTIONS(2610),
    [anon_sym_LT_EQ_GT] = ACTIONS(2610),
    [anon_sym_cmp] = ACTIONS(2610),
    [anon_sym_TILDE_TILDE] = ACTIONS(2610),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_GT_EQ] = ACTIONS(2610),
    [anon_sym_lt] = ACTIONS(2610),
    [anon_sym_le] = ACTIONS(2610),
    [anon_sym_ge] = ACTIONS(2610),
    [anon_sym_gt] = ACTIONS(2610),
    [anon_sym_isa] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_QMARK] = ACTIONS(2610),
    [anon_sym_EQ_GT] = ACTIONS(2610),
    [anon_sym_for] = ACTIONS(2614),
    [anon_sym_foreach] = ACTIONS(2610),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2610),
    [anon_sym___END__] = ACTIONS(2610),
    [anon_sym_EOT] = ACTIONS(2610),
    [anon_sym_if] = ACTIONS(2610),
    [anon_sym_unless] = ACTIONS(2610),
    [anon_sym_while] = ACTIONS(2610),
    [anon_sym_until] = ACTIONS(2610),
    [sym__PERLY_SEMICOLON] = ACTIONS(2610),
    [sym__ctrl_z_hack] = ACTIONS(2610),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1084] = {
    [sym_heredoc_content] = STATE(1084),
    [anon_sym_RBRACE] = ACTIONS(2616),
    [anon_sym_COLON] = ACTIONS(2618),
    [anon_sym_SEMI] = ACTIONS(2616),
    [anon_sym_EQ] = ACTIONS(2620),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2616),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2616),
    [anon_sym_COMMA] = ACTIONS(2616),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2616),
    [anon_sym_and] = ACTIONS(2616),
    [anon_sym_or] = ACTIONS(2616),
    [anon_sym_xor] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2616),
    [anon_sym_PERCENT] = ACTIONS(2620),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_GT] = ACTIONS(2620),
    [anon_sym_LT_LT] = ACTIONS(2620),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2616),
    [anon_sym_PLUS_EQ] = ACTIONS(2616),
    [anon_sym_DASH_EQ] = ACTIONS(2616),
    [anon_sym_DOT_EQ] = ACTIONS(2616),
    [anon_sym_STAR_EQ] = ACTIONS(2616),
    [anon_sym_SLASH_EQ] = ACTIONS(2616),
    [anon_sym_PERCENT_EQ] = ACTIONS(2616),
    [anon_sym_x_EQ] = ACTIONS(2616),
    [anon_sym_AMP_EQ] = ACTIONS(2616),
    [anon_sym_PIPE_EQ] = ACTIONS(2616),
    [anon_sym_CARET_EQ] = ACTIONS(2616),
    [anon_sym_LT_LT_EQ] = ACTIONS(2616),
    [anon_sym_GT_GT_EQ] = ACTIONS(2616),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2616),
    [anon_sym_DOT_DOT] = ACTIONS(2620),
    [anon_sym_STAR_STAR] = ACTIONS(2620),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_SLASH_SLASH] = ACTIONS(2620),
    [anon_sym_CARET_CARET] = ACTIONS(2616),
    [anon_sym_AMP_AMP] = ACTIONS(2620),
    [anon_sym_PIPE] = ACTIONS(2620),
    [anon_sym_CARET] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym_GT_GT2] = ACTIONS(2620),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_DOT] = ACTIONS(2620),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_x] = ACTIONS(2620),
    [anon_sym_EQ_TILDE] = ACTIONS(2616),
    [anon_sym_BANG_TILDE] = ACTIONS(2616),
    [anon_sym_EQ_EQ] = ACTIONS(2620),
    [anon_sym_BANG_EQ] = ACTIONS(2616),
    [anon_sym_eq] = ACTIONS(2620),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2616),
    [anon_sym_equ] = ACTIONS(2616),
    [anon_sym_eqr] = ACTIONS(2616),
    [anon_sym_ne] = ACTIONS(2616),
    [anon_sym_LT_EQ_GT] = ACTIONS(2616),
    [anon_sym_cmp] = ACTIONS(2616),
    [anon_sym_TILDE_TILDE] = ACTIONS(2616),
    [anon_sym_LT_EQ] = ACTIONS(2620),
    [anon_sym_GT_EQ] = ACTIONS(2616),
    [anon_sym_lt] = ACTIONS(2616),
    [anon_sym_le] = ACTIONS(2616),
    [anon_sym_ge] = ACTIONS(2616),
    [anon_sym_gt] = ACTIONS(2616),
    [anon_sym_isa] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2616),
    [anon_sym_DASH_DASH] = ACTIONS(2616),
    [anon_sym_QMARK] = ACTIONS(2616),
    [anon_sym_EQ_GT] = ACTIONS(2616),
    [anon_sym_for] = ACTIONS(2620),
    [anon_sym_foreach] = ACTIONS(2616),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2616),
    [anon_sym___END__] = ACTIONS(2616),
    [anon_sym_EOT] = ACTIONS(2616),
    [anon_sym_if] = ACTIONS(2616),
    [anon_sym_unless] = ACTIONS(2616),
    [anon_sym_while] = ACTIONS(2616),
    [anon_sym_until] = ACTIONS(2616),
    [sym__PERLY_SEMICOLON] = ACTIONS(2616),
    [sym__ctrl_z_hack] = ACTIONS(2616),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1085] = {
    [sym_heredoc_content] = STATE(1085),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_COLON] = ACTIONS(2622),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_EQ] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2622),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2622),
    [anon_sym_COMMA] = ACTIONS(2622),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2622),
    [anon_sym_and] = ACTIONS(2622),
    [anon_sym_or] = ACTIONS(2622),
    [anon_sym_xor] = ACTIONS(2622),
    [anon_sym_DASH_GT] = ACTIONS(2622),
    [anon_sym_PERCENT] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2624),
    [anon_sym_GT] = ACTIONS(2624),
    [anon_sym_LT_LT] = ACTIONS(2624),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2622),
    [anon_sym_PLUS_EQ] = ACTIONS(2622),
    [anon_sym_DASH_EQ] = ACTIONS(2622),
    [anon_sym_DOT_EQ] = ACTIONS(2622),
    [anon_sym_STAR_EQ] = ACTIONS(2622),
    [anon_sym_SLASH_EQ] = ACTIONS(2622),
    [anon_sym_PERCENT_EQ] = ACTIONS(2622),
    [anon_sym_x_EQ] = ACTIONS(2622),
    [anon_sym_AMP_EQ] = ACTIONS(2622),
    [anon_sym_PIPE_EQ] = ACTIONS(2622),
    [anon_sym_CARET_EQ] = ACTIONS(2622),
    [anon_sym_LT_LT_EQ] = ACTIONS(2622),
    [anon_sym_GT_GT_EQ] = ACTIONS(2622),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2622),
    [anon_sym_DOT_DOT] = ACTIONS(2624),
    [anon_sym_STAR_STAR] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE] = ACTIONS(2624),
    [anon_sym_SLASH_SLASH] = ACTIONS(2624),
    [anon_sym_CARET_CARET] = ACTIONS(2622),
    [anon_sym_AMP_AMP] = ACTIONS(2624),
    [anon_sym_PIPE] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_GT_GT2] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_DOT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_SLASH] = ACTIONS(2624),
    [anon_sym_x] = ACTIONS(2624),
    [anon_sym_EQ_TILDE] = ACTIONS(2622),
    [anon_sym_BANG_TILDE] = ACTIONS(2622),
    [anon_sym_EQ_EQ] = ACTIONS(2624),
    [anon_sym_BANG_EQ] = ACTIONS(2622),
    [anon_sym_eq] = ACTIONS(2624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2622),
    [anon_sym_equ] = ACTIONS(2622),
    [anon_sym_eqr] = ACTIONS(2622),
    [anon_sym_ne] = ACTIONS(2622),
    [anon_sym_LT_EQ_GT] = ACTIONS(2622),
    [anon_sym_cmp] = ACTIONS(2622),
    [anon_sym_TILDE_TILDE] = ACTIONS(2622),
    [anon_sym_LT_EQ] = ACTIONS(2624),
    [anon_sym_GT_EQ] = ACTIONS(2622),
    [anon_sym_lt] = ACTIONS(2622),
    [anon_sym_le] = ACTIONS(2622),
    [anon_sym_ge] = ACTIONS(2622),
    [anon_sym_gt] = ACTIONS(2622),
    [anon_sym_isa] = ACTIONS(2622),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_QMARK] = ACTIONS(2622),
    [anon_sym_EQ_GT] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2624),
    [anon_sym_foreach] = ACTIONS(2622),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2622),
    [anon_sym___END__] = ACTIONS(2622),
    [anon_sym_EOT] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_unless] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_until] = ACTIONS(2622),
    [sym__PERLY_SEMICOLON] = ACTIONS(2622),
    [sym__ctrl_z_hack] = ACTIONS(2622),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1086] = {
    [sym_heredoc_content] = STATE(1086),
    [anon_sym_RBRACE] = ACTIONS(2626),
    [anon_sym_SEMI] = ACTIONS(2626),
    [anon_sym_EQ] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2626),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2626),
    [anon_sym_COMMA] = ACTIONS(2626),
    [anon_sym_LPAREN] = ACTIONS(2626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2626),
    [anon_sym_and] = ACTIONS(2626),
    [anon_sym_or] = ACTIONS(2626),
    [anon_sym_xor] = ACTIONS(2626),
    [anon_sym_DASH_GT] = ACTIONS(2626),
    [anon_sym_PERCENT] = ACTIONS(2628),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_GT] = ACTIONS(2628),
    [anon_sym_LT_LT] = ACTIONS(2628),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2626),
    [anon_sym_PLUS_EQ] = ACTIONS(2626),
    [anon_sym_DASH_EQ] = ACTIONS(2626),
    [anon_sym_DOT_EQ] = ACTIONS(2626),
    [anon_sym_STAR_EQ] = ACTIONS(2626),
    [anon_sym_SLASH_EQ] = ACTIONS(2626),
    [anon_sym_PERCENT_EQ] = ACTIONS(2626),
    [anon_sym_x_EQ] = ACTIONS(2626),
    [anon_sym_AMP_EQ] = ACTIONS(2626),
    [anon_sym_PIPE_EQ] = ACTIONS(2626),
    [anon_sym_CARET_EQ] = ACTIONS(2626),
    [anon_sym_LT_LT_EQ] = ACTIONS(2626),
    [anon_sym_GT_GT_EQ] = ACTIONS(2626),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2626),
    [anon_sym_DOT_DOT] = ACTIONS(2628),
    [anon_sym_STAR_STAR] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE] = ACTIONS(2628),
    [anon_sym_SLASH_SLASH] = ACTIONS(2628),
    [anon_sym_CARET_CARET] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2628),
    [anon_sym_PIPE] = ACTIONS(2628),
    [anon_sym_CARET] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_GT_GT2] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_DOT] = ACTIONS(2628),
    [anon_sym_STAR] = ACTIONS(2628),
    [anon_sym_SLASH] = ACTIONS(2628),
    [anon_sym_x] = ACTIONS(2628),
    [anon_sym_EQ_TILDE] = ACTIONS(2626),
    [anon_sym_BANG_TILDE] = ACTIONS(2626),
    [anon_sym_EQ_EQ] = ACTIONS(2628),
    [anon_sym_BANG_EQ] = ACTIONS(2626),
    [anon_sym_eq] = ACTIONS(2628),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2626),
    [anon_sym_equ] = ACTIONS(2626),
    [anon_sym_eqr] = ACTIONS(2626),
    [anon_sym_ne] = ACTIONS(2626),
    [anon_sym_LT_EQ_GT] = ACTIONS(2626),
    [anon_sym_cmp] = ACTIONS(2626),
    [anon_sym_TILDE_TILDE] = ACTIONS(2626),
    [anon_sym_LT_EQ] = ACTIONS(2628),
    [anon_sym_GT_EQ] = ACTIONS(2626),
    [anon_sym_lt] = ACTIONS(2626),
    [anon_sym_le] = ACTIONS(2626),
    [anon_sym_ge] = ACTIONS(2626),
    [anon_sym_gt] = ACTIONS(2626),
    [anon_sym_isa] = ACTIONS(2626),
    [anon_sym_PLUS_PLUS] = ACTIONS(2626),
    [anon_sym_DASH_DASH] = ACTIONS(2626),
    [anon_sym_QMARK] = ACTIONS(2626),
    [anon_sym_EQ_GT] = ACTIONS(2626),
    [anon_sym_for] = ACTIONS(2628),
    [anon_sym_foreach] = ACTIONS(2626),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2626),
    [anon_sym___END__] = ACTIONS(2626),
    [anon_sym_EOT] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_unless] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_until] = ACTIONS(2626),
    [sym__PERLY_SEMICOLON] = ACTIONS(2626),
    [sym__ctrl_z_hack] = ACTIONS(2626),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1087] = {
    [sym_heredoc_content] = STATE(1087),
    [anon_sym_RBRACE] = ACTIONS(2630),
    [anon_sym_SEMI] = ACTIONS(2630),
    [anon_sym_EQ] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2630),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2630),
    [anon_sym_LPAREN] = ACTIONS(2634),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2630),
    [anon_sym_and] = ACTIONS(2630),
    [anon_sym_or] = ACTIONS(2630),
    [anon_sym_xor] = ACTIONS(2630),
    [anon_sym_DASH_GT] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2632),
    [anon_sym_LT] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2632),
    [anon_sym_LT_LT] = ACTIONS(2632),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2630),
    [anon_sym_PLUS_EQ] = ACTIONS(2630),
    [anon_sym_DASH_EQ] = ACTIONS(2630),
    [anon_sym_DOT_EQ] = ACTIONS(2630),
    [anon_sym_STAR_EQ] = ACTIONS(2630),
    [anon_sym_SLASH_EQ] = ACTIONS(2630),
    [anon_sym_PERCENT_EQ] = ACTIONS(2630),
    [anon_sym_x_EQ] = ACTIONS(2630),
    [anon_sym_AMP_EQ] = ACTIONS(2630),
    [anon_sym_PIPE_EQ] = ACTIONS(2630),
    [anon_sym_CARET_EQ] = ACTIONS(2630),
    [anon_sym_LT_LT_EQ] = ACTIONS(2630),
    [anon_sym_GT_GT_EQ] = ACTIONS(2630),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2630),
    [anon_sym_DOT_DOT] = ACTIONS(2632),
    [anon_sym_STAR_STAR] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_SLASH_SLASH] = ACTIONS(2632),
    [anon_sym_CARET_CARET] = ACTIONS(2630),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_PIPE] = ACTIONS(2632),
    [anon_sym_CARET] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_GT_GT2] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2632),
    [anon_sym_DASH] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2632),
    [anon_sym_STAR] = ACTIONS(2632),
    [anon_sym_SLASH] = ACTIONS(2632),
    [anon_sym_x] = ACTIONS(2632),
    [anon_sym_EQ_TILDE] = ACTIONS(2630),
    [anon_sym_BANG_TILDE] = ACTIONS(2630),
    [anon_sym_EQ_EQ] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_eq] = ACTIONS(2632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2630),
    [anon_sym_equ] = ACTIONS(2630),
    [anon_sym_eqr] = ACTIONS(2630),
    [anon_sym_ne] = ACTIONS(2630),
    [anon_sym_LT_EQ_GT] = ACTIONS(2630),
    [anon_sym_cmp] = ACTIONS(2630),
    [anon_sym_TILDE_TILDE] = ACTIONS(2630),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2630),
    [anon_sym_lt] = ACTIONS(2630),
    [anon_sym_le] = ACTIONS(2630),
    [anon_sym_ge] = ACTIONS(2630),
    [anon_sym_gt] = ACTIONS(2630),
    [anon_sym_isa] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2630),
    [anon_sym_DASH_DASH] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_EQ_GT] = ACTIONS(2630),
    [anon_sym_for] = ACTIONS(2632),
    [anon_sym_foreach] = ACTIONS(2630),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2630),
    [anon_sym___END__] = ACTIONS(2630),
    [anon_sym_EOT] = ACTIONS(2630),
    [anon_sym_if] = ACTIONS(2630),
    [anon_sym_unless] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2630),
    [anon_sym_until] = ACTIONS(2630),
    [sym__PERLY_SEMICOLON] = ACTIONS(2630),
    [sym__ctrl_z_hack] = ACTIONS(2630),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1088] = {
    [sym_heredoc_content] = STATE(1088),
    [aux_sym__term_rightward_repeat1] = STATE(1088),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_COMMA] = ACTIONS(2640),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2636),
    [anon_sym_and] = ACTIONS(2636),
    [anon_sym_or] = ACTIONS(2636),
    [anon_sym_xor] = ACTIONS(2636),
    [anon_sym_DASH_GT] = ACTIONS(2636),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LT_LT] = ACTIONS(2638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2636),
    [anon_sym_PLUS_EQ] = ACTIONS(2636),
    [anon_sym_DASH_EQ] = ACTIONS(2636),
    [anon_sym_DOT_EQ] = ACTIONS(2636),
    [anon_sym_STAR_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_PERCENT_EQ] = ACTIONS(2636),
    [anon_sym_x_EQ] = ACTIONS(2636),
    [anon_sym_AMP_EQ] = ACTIONS(2636),
    [anon_sym_PIPE_EQ] = ACTIONS(2636),
    [anon_sym_CARET_EQ] = ACTIONS(2636),
    [anon_sym_LT_LT_EQ] = ACTIONS(2636),
    [anon_sym_GT_GT_EQ] = ACTIONS(2636),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2636),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_STAR_STAR] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2638),
    [anon_sym_SLASH_SLASH] = ACTIONS(2638),
    [anon_sym_CARET_CARET] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2638),
    [anon_sym_PIPE] = ACTIONS(2638),
    [anon_sym_CARET] = ACTIONS(2638),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym_GT_GT2] = ACTIONS(2638),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_x] = ACTIONS(2638),
    [anon_sym_EQ_TILDE] = ACTIONS(2636),
    [anon_sym_BANG_TILDE] = ACTIONS(2636),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ] = ACTIONS(2636),
    [anon_sym_eq] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2636),
    [anon_sym_equ] = ACTIONS(2636),
    [anon_sym_eqr] = ACTIONS(2636),
    [anon_sym_ne] = ACTIONS(2636),
    [anon_sym_LT_EQ_GT] = ACTIONS(2636),
    [anon_sym_cmp] = ACTIONS(2636),
    [anon_sym_TILDE_TILDE] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2638),
    [anon_sym_GT_EQ] = ACTIONS(2636),
    [anon_sym_lt] = ACTIONS(2636),
    [anon_sym_le] = ACTIONS(2636),
    [anon_sym_ge] = ACTIONS(2636),
    [anon_sym_gt] = ACTIONS(2636),
    [anon_sym_isa] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_QMARK] = ACTIONS(2636),
    [anon_sym_EQ_GT] = ACTIONS(2640),
    [anon_sym_for] = ACTIONS(2638),
    [anon_sym_foreach] = ACTIONS(2636),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2636),
    [anon_sym___END__] = ACTIONS(2636),
    [anon_sym_EOT] = ACTIONS(2636),
    [anon_sym_if] = ACTIONS(2636),
    [anon_sym_unless] = ACTIONS(2636),
    [anon_sym_while] = ACTIONS(2636),
    [anon_sym_until] = ACTIONS(2636),
    [sym__PERLY_SEMICOLON] = ACTIONS(2636),
    [sym__ctrl_z_hack] = ACTIONS(2636),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1089] = {
    [sym_heredoc_content] = STATE(1089),
    [aux_sym__term_rightward_repeat1] = STATE(2306),
    [anon_sym_RBRACE] = ACTIONS(2643),
    [anon_sym_SEMI] = ACTIONS(2643),
    [anon_sym_EQ] = ACTIONS(2478),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2480),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2480),
    [anon_sym_COMMA] = ACTIONS(2646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2482),
    [anon_sym_and] = ACTIONS(2643),
    [anon_sym_or] = ACTIONS(2643),
    [anon_sym_xor] = ACTIONS(2643),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2480),
    [anon_sym_PLUS_EQ] = ACTIONS(2480),
    [anon_sym_DASH_EQ] = ACTIONS(2480),
    [anon_sym_DOT_EQ] = ACTIONS(2480),
    [anon_sym_STAR_EQ] = ACTIONS(2480),
    [anon_sym_SLASH_EQ] = ACTIONS(2480),
    [anon_sym_PERCENT_EQ] = ACTIONS(2480),
    [anon_sym_x_EQ] = ACTIONS(2480),
    [anon_sym_AMP_EQ] = ACTIONS(2480),
    [anon_sym_PIPE_EQ] = ACTIONS(2480),
    [anon_sym_CARET_EQ] = ACTIONS(2480),
    [anon_sym_LT_LT_EQ] = ACTIONS(2480),
    [anon_sym_GT_GT_EQ] = ACTIONS(2480),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2480),
    [anon_sym_DOT_DOT] = ACTIONS(2492),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_SLASH_SLASH] = ACTIONS(2496),
    [anon_sym_CARET_CARET] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_PIPE] = ACTIONS(2502),
    [anon_sym_CARET] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_eq] = ACTIONS(2510),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2512),
    [anon_sym_equ] = ACTIONS(2512),
    [anon_sym_eqr] = ACTIONS(2512),
    [anon_sym_ne] = ACTIONS(2512),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_lt] = ACTIONS(2516),
    [anon_sym_le] = ACTIONS(2516),
    [anon_sym_ge] = ACTIONS(2516),
    [anon_sym_gt] = ACTIONS(2516),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2522),
    [anon_sym_EQ_GT] = ACTIONS(2646),
    [anon_sym_for] = ACTIONS(2648),
    [anon_sym_foreach] = ACTIONS(2643),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2643),
    [anon_sym___END__] = ACTIONS(2643),
    [anon_sym_EOT] = ACTIONS(2643),
    [anon_sym_if] = ACTIONS(2643),
    [anon_sym_unless] = ACTIONS(2643),
    [anon_sym_while] = ACTIONS(2643),
    [anon_sym_until] = ACTIONS(2643),
    [sym__PERLY_SEMICOLON] = ACTIONS(2643),
    [sym__ctrl_z_hack] = ACTIONS(2643),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1090] = {
    [sym_heredoc_content] = STATE(1090),
    [anon_sym_RBRACE] = ACTIONS(2651),
    [anon_sym_SEMI] = ACTIONS(2651),
    [anon_sym_EQ] = ACTIONS(2653),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2651),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2651),
    [anon_sym_COMMA] = ACTIONS(2651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2651),
    [anon_sym_and] = ACTIONS(2651),
    [anon_sym_or] = ACTIONS(2651),
    [anon_sym_xor] = ACTIONS(2651),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_DASH_GT] = ACTIONS(2651),
    [anon_sym_PERCENT] = ACTIONS(2653),
    [anon_sym_LT] = ACTIONS(2653),
    [anon_sym_GT] = ACTIONS(2653),
    [anon_sym_LT_LT] = ACTIONS(2653),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2651),
    [anon_sym_PLUS_EQ] = ACTIONS(2651),
    [anon_sym_DASH_EQ] = ACTIONS(2651),
    [anon_sym_DOT_EQ] = ACTIONS(2651),
    [anon_sym_STAR_EQ] = ACTIONS(2651),
    [anon_sym_SLASH_EQ] = ACTIONS(2651),
    [anon_sym_PERCENT_EQ] = ACTIONS(2651),
    [anon_sym_x_EQ] = ACTIONS(2651),
    [anon_sym_AMP_EQ] = ACTIONS(2651),
    [anon_sym_PIPE_EQ] = ACTIONS(2651),
    [anon_sym_CARET_EQ] = ACTIONS(2651),
    [anon_sym_LT_LT_EQ] = ACTIONS(2651),
    [anon_sym_GT_GT_EQ] = ACTIONS(2651),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2651),
    [anon_sym_DOT_DOT] = ACTIONS(2653),
    [anon_sym_STAR_STAR] = ACTIONS(2653),
    [anon_sym_PIPE_PIPE] = ACTIONS(2653),
    [anon_sym_SLASH_SLASH] = ACTIONS(2653),
    [anon_sym_CARET_CARET] = ACTIONS(2651),
    [anon_sym_AMP_AMP] = ACTIONS(2653),
    [anon_sym_PIPE] = ACTIONS(2653),
    [anon_sym_CARET] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_GT_GT2] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_DOT] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_SLASH] = ACTIONS(2653),
    [anon_sym_x] = ACTIONS(2653),
    [anon_sym_EQ_TILDE] = ACTIONS(2651),
    [anon_sym_BANG_TILDE] = ACTIONS(2651),
    [anon_sym_EQ_EQ] = ACTIONS(2653),
    [anon_sym_BANG_EQ] = ACTIONS(2651),
    [anon_sym_eq] = ACTIONS(2653),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2651),
    [anon_sym_equ] = ACTIONS(2651),
    [anon_sym_eqr] = ACTIONS(2651),
    [anon_sym_ne] = ACTIONS(2651),
    [anon_sym_LT_EQ_GT] = ACTIONS(2651),
    [anon_sym_cmp] = ACTIONS(2651),
    [anon_sym_TILDE_TILDE] = ACTIONS(2651),
    [anon_sym_LT_EQ] = ACTIONS(2653),
    [anon_sym_GT_EQ] = ACTIONS(2651),
    [anon_sym_lt] = ACTIONS(2651),
    [anon_sym_le] = ACTIONS(2651),
    [anon_sym_ge] = ACTIONS(2651),
    [anon_sym_gt] = ACTIONS(2651),
    [anon_sym_isa] = ACTIONS(2651),
    [anon_sym_PLUS_PLUS] = ACTIONS(2651),
    [anon_sym_DASH_DASH] = ACTIONS(2651),
    [anon_sym_QMARK] = ACTIONS(2651),
    [anon_sym_EQ_GT] = ACTIONS(2651),
    [anon_sym_for] = ACTIONS(2653),
    [anon_sym_foreach] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2651),
    [anon_sym___END__] = ACTIONS(2651),
    [anon_sym_EOT] = ACTIONS(2651),
    [anon_sym_if] = ACTIONS(2651),
    [anon_sym_unless] = ACTIONS(2651),
    [anon_sym_while] = ACTIONS(2651),
    [anon_sym_until] = ACTIONS(2651),
    [sym__PERLY_SEMICOLON] = ACTIONS(2651),
    [sym__ctrl_z_hack] = ACTIONS(2651),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1091] = {
    [sym_heredoc_content] = STATE(1091),
    [anon_sym_RBRACE] = ACTIONS(2655),
    [anon_sym_SEMI] = ACTIONS(2655),
    [anon_sym_EQ] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2655),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2655),
    [anon_sym_COMMA] = ACTIONS(2655),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2655),
    [anon_sym_and] = ACTIONS(2655),
    [anon_sym_or] = ACTIONS(2655),
    [anon_sym_xor] = ACTIONS(2655),
    [anon_sym_LBRACK] = ACTIONS(2655),
    [anon_sym_DASH_GT] = ACTIONS(2655),
    [anon_sym_PERCENT] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(2657),
    [anon_sym_GT] = ACTIONS(2657),
    [anon_sym_LT_LT] = ACTIONS(2657),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2655),
    [anon_sym_PLUS_EQ] = ACTIONS(2655),
    [anon_sym_DASH_EQ] = ACTIONS(2655),
    [anon_sym_DOT_EQ] = ACTIONS(2655),
    [anon_sym_STAR_EQ] = ACTIONS(2655),
    [anon_sym_SLASH_EQ] = ACTIONS(2655),
    [anon_sym_PERCENT_EQ] = ACTIONS(2655),
    [anon_sym_x_EQ] = ACTIONS(2655),
    [anon_sym_AMP_EQ] = ACTIONS(2655),
    [anon_sym_PIPE_EQ] = ACTIONS(2655),
    [anon_sym_CARET_EQ] = ACTIONS(2655),
    [anon_sym_LT_LT_EQ] = ACTIONS(2655),
    [anon_sym_GT_GT_EQ] = ACTIONS(2655),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2655),
    [anon_sym_DOT_DOT] = ACTIONS(2657),
    [anon_sym_STAR_STAR] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE] = ACTIONS(2657),
    [anon_sym_SLASH_SLASH] = ACTIONS(2657),
    [anon_sym_CARET_CARET] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2657),
    [anon_sym_PIPE] = ACTIONS(2657),
    [anon_sym_CARET] = ACTIONS(2657),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym_GT_GT2] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_DOT] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2657),
    [anon_sym_SLASH] = ACTIONS(2657),
    [anon_sym_x] = ACTIONS(2657),
    [anon_sym_EQ_TILDE] = ACTIONS(2655),
    [anon_sym_BANG_TILDE] = ACTIONS(2655),
    [anon_sym_EQ_EQ] = ACTIONS(2657),
    [anon_sym_BANG_EQ] = ACTIONS(2655),
    [anon_sym_eq] = ACTIONS(2657),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2655),
    [anon_sym_equ] = ACTIONS(2655),
    [anon_sym_eqr] = ACTIONS(2655),
    [anon_sym_ne] = ACTIONS(2655),
    [anon_sym_LT_EQ_GT] = ACTIONS(2655),
    [anon_sym_cmp] = ACTIONS(2655),
    [anon_sym_TILDE_TILDE] = ACTIONS(2655),
    [anon_sym_LT_EQ] = ACTIONS(2657),
    [anon_sym_GT_EQ] = ACTIONS(2655),
    [anon_sym_lt] = ACTIONS(2655),
    [anon_sym_le] = ACTIONS(2655),
    [anon_sym_ge] = ACTIONS(2655),
    [anon_sym_gt] = ACTIONS(2655),
    [anon_sym_isa] = ACTIONS(2655),
    [anon_sym_PLUS_PLUS] = ACTIONS(2655),
    [anon_sym_DASH_DASH] = ACTIONS(2655),
    [anon_sym_QMARK] = ACTIONS(2655),
    [anon_sym_EQ_GT] = ACTIONS(2655),
    [anon_sym_for] = ACTIONS(2657),
    [anon_sym_foreach] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2655),
    [anon_sym___END__] = ACTIONS(2655),
    [anon_sym_EOT] = ACTIONS(2655),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_unless] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(2655),
    [anon_sym_until] = ACTIONS(2655),
    [sym__PERLY_SEMICOLON] = ACTIONS(2655),
    [sym__ctrl_z_hack] = ACTIONS(2655),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1092] = {
    [sym_heredoc_content] = STATE(1092),
    [anon_sym_RBRACE] = ACTIONS(2659),
    [anon_sym_SEMI] = ACTIONS(2659),
    [anon_sym_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2659),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2659),
    [anon_sym_COMMA] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2663),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2659),
    [anon_sym_and] = ACTIONS(2659),
    [anon_sym_or] = ACTIONS(2659),
    [anon_sym_xor] = ACTIONS(2659),
    [anon_sym_DASH_GT] = ACTIONS(2659),
    [anon_sym_PERCENT] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_GT] = ACTIONS(2661),
    [anon_sym_LT_LT] = ACTIONS(2661),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2659),
    [anon_sym_PLUS_EQ] = ACTIONS(2659),
    [anon_sym_DASH_EQ] = ACTIONS(2659),
    [anon_sym_DOT_EQ] = ACTIONS(2659),
    [anon_sym_STAR_EQ] = ACTIONS(2659),
    [anon_sym_SLASH_EQ] = ACTIONS(2659),
    [anon_sym_PERCENT_EQ] = ACTIONS(2659),
    [anon_sym_x_EQ] = ACTIONS(2659),
    [anon_sym_AMP_EQ] = ACTIONS(2659),
    [anon_sym_PIPE_EQ] = ACTIONS(2659),
    [anon_sym_CARET_EQ] = ACTIONS(2659),
    [anon_sym_LT_LT_EQ] = ACTIONS(2659),
    [anon_sym_GT_GT_EQ] = ACTIONS(2659),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2659),
    [anon_sym_DOT_DOT] = ACTIONS(2661),
    [anon_sym_STAR_STAR] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_SLASH_SLASH] = ACTIONS(2661),
    [anon_sym_CARET_CARET] = ACTIONS(2659),
    [anon_sym_AMP_AMP] = ACTIONS(2661),
    [anon_sym_PIPE] = ACTIONS(2661),
    [anon_sym_CARET] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_GT_GT2] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_DOT] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2661),
    [anon_sym_SLASH] = ACTIONS(2661),
    [anon_sym_x] = ACTIONS(2661),
    [anon_sym_EQ_TILDE] = ACTIONS(2659),
    [anon_sym_BANG_TILDE] = ACTIONS(2659),
    [anon_sym_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ] = ACTIONS(2659),
    [anon_sym_eq] = ACTIONS(2661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2659),
    [anon_sym_equ] = ACTIONS(2659),
    [anon_sym_eqr] = ACTIONS(2659),
    [anon_sym_ne] = ACTIONS(2659),
    [anon_sym_LT_EQ_GT] = ACTIONS(2659),
    [anon_sym_cmp] = ACTIONS(2659),
    [anon_sym_TILDE_TILDE] = ACTIONS(2659),
    [anon_sym_LT_EQ] = ACTIONS(2661),
    [anon_sym_GT_EQ] = ACTIONS(2659),
    [anon_sym_lt] = ACTIONS(2659),
    [anon_sym_le] = ACTIONS(2659),
    [anon_sym_ge] = ACTIONS(2659),
    [anon_sym_gt] = ACTIONS(2659),
    [anon_sym_isa] = ACTIONS(2659),
    [anon_sym_PLUS_PLUS] = ACTIONS(2659),
    [anon_sym_DASH_DASH] = ACTIONS(2659),
    [anon_sym_QMARK] = ACTIONS(2659),
    [anon_sym_EQ_GT] = ACTIONS(2659),
    [anon_sym_for] = ACTIONS(2661),
    [anon_sym_foreach] = ACTIONS(2659),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2659),
    [anon_sym___END__] = ACTIONS(2659),
    [anon_sym_EOT] = ACTIONS(2659),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_unless] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2659),
    [anon_sym_until] = ACTIONS(2659),
    [sym__PERLY_SEMICOLON] = ACTIONS(2659),
    [sym__ctrl_z_hack] = ACTIONS(2659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1093] = {
    [sym_heredoc_content] = STATE(1093),
    [anon_sym_RBRACE] = ACTIONS(2665),
    [anon_sym_SEMI] = ACTIONS(2665),
    [anon_sym_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2665),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(2665),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2665),
    [anon_sym_and] = ACTIONS(2667),
    [anon_sym_or] = ACTIONS(2667),
    [anon_sym_xor] = ACTIONS(2667),
    [anon_sym_DASH_GT] = ACTIONS(2665),
    [anon_sym_PERCENT] = ACTIONS(2667),
    [anon_sym_LT] = ACTIONS(2667),
    [anon_sym_GT] = ACTIONS(2667),
    [anon_sym_LT_LT] = ACTIONS(2667),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2665),
    [anon_sym_PLUS_EQ] = ACTIONS(2665),
    [anon_sym_DASH_EQ] = ACTIONS(2665),
    [anon_sym_DOT_EQ] = ACTIONS(2665),
    [anon_sym_STAR_EQ] = ACTIONS(2665),
    [anon_sym_SLASH_EQ] = ACTIONS(2665),
    [anon_sym_PERCENT_EQ] = ACTIONS(2665),
    [anon_sym_x_EQ] = ACTIONS(2667),
    [anon_sym_AMP_EQ] = ACTIONS(2665),
    [anon_sym_PIPE_EQ] = ACTIONS(2665),
    [anon_sym_CARET_EQ] = ACTIONS(2665),
    [anon_sym_LT_LT_EQ] = ACTIONS(2665),
    [anon_sym_GT_GT_EQ] = ACTIONS(2665),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2665),
    [anon_sym_DOT_DOT] = ACTIONS(2667),
    [anon_sym_STAR_STAR] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_SLASH_SLASH] = ACTIONS(2667),
    [anon_sym_CARET_CARET] = ACTIONS(2665),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(2667),
    [anon_sym_CARET] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_GT_GT2] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_DOT] = ACTIONS(2667),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_SLASH] = ACTIONS(2667),
    [anon_sym_x] = ACTIONS(2667),
    [anon_sym_EQ_TILDE] = ACTIONS(2665),
    [anon_sym_BANG_TILDE] = ACTIONS(2665),
    [anon_sym_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ] = ACTIONS(2665),
    [anon_sym_eq] = ACTIONS(2667),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2665),
    [anon_sym_equ] = ACTIONS(2667),
    [anon_sym_eqr] = ACTIONS(2667),
    [anon_sym_ne] = ACTIONS(2665),
    [anon_sym_LT_EQ_GT] = ACTIONS(2665),
    [anon_sym_cmp] = ACTIONS(2667),
    [anon_sym_TILDE_TILDE] = ACTIONS(2665),
    [anon_sym_LT_EQ] = ACTIONS(2667),
    [anon_sym_GT_EQ] = ACTIONS(2665),
    [anon_sym_lt] = ACTIONS(2667),
    [anon_sym_le] = ACTIONS(2667),
    [anon_sym_ge] = ACTIONS(2667),
    [anon_sym_gt] = ACTIONS(2667),
    [anon_sym_isa] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2665),
    [anon_sym_DASH_DASH] = ACTIONS(2665),
    [anon_sym_QMARK] = ACTIONS(2665),
    [anon_sym_EQ_GT] = ACTIONS(2665),
    [anon_sym_for] = ACTIONS(2667),
    [anon_sym_foreach] = ACTIONS(2665),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2665),
    [anon_sym___END__] = ACTIONS(2665),
    [anon_sym_EOT] = ACTIONS(2665),
    [sym_substitution_regexp_modifiers] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2667),
    [anon_sym_unless] = ACTIONS(2667),
    [anon_sym_while] = ACTIONS(2665),
    [anon_sym_until] = ACTIONS(2667),
    [sym__PERLY_SEMICOLON] = ACTIONS(2665),
    [sym__ctrl_z_hack] = ACTIONS(2665),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1094] = {
    [sym_heredoc_content] = STATE(1094),
    [anon_sym_RBRACE] = ACTIONS(2671),
    [anon_sym_COLON] = ACTIONS(2671),
    [anon_sym_SEMI] = ACTIONS(2671),
    [anon_sym_EQ] = ACTIONS(2673),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2671),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2671),
    [anon_sym_COMMA] = ACTIONS(2671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2671),
    [anon_sym_and] = ACTIONS(2671),
    [anon_sym_or] = ACTIONS(2671),
    [anon_sym_xor] = ACTIONS(2671),
    [anon_sym_DASH_GT] = ACTIONS(2671),
    [anon_sym_PERCENT] = ACTIONS(2673),
    [anon_sym_LT] = ACTIONS(2673),
    [anon_sym_GT] = ACTIONS(2673),
    [anon_sym_LT_LT] = ACTIONS(2673),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2671),
    [anon_sym_PLUS_EQ] = ACTIONS(2671),
    [anon_sym_DASH_EQ] = ACTIONS(2671),
    [anon_sym_DOT_EQ] = ACTIONS(2671),
    [anon_sym_STAR_EQ] = ACTIONS(2671),
    [anon_sym_SLASH_EQ] = ACTIONS(2671),
    [anon_sym_PERCENT_EQ] = ACTIONS(2671),
    [anon_sym_x_EQ] = ACTIONS(2671),
    [anon_sym_AMP_EQ] = ACTIONS(2671),
    [anon_sym_PIPE_EQ] = ACTIONS(2671),
    [anon_sym_CARET_EQ] = ACTIONS(2671),
    [anon_sym_LT_LT_EQ] = ACTIONS(2671),
    [anon_sym_GT_GT_EQ] = ACTIONS(2671),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2671),
    [anon_sym_DOT_DOT] = ACTIONS(2673),
    [anon_sym_STAR_STAR] = ACTIONS(2673),
    [anon_sym_PIPE_PIPE] = ACTIONS(2673),
    [anon_sym_SLASH_SLASH] = ACTIONS(2673),
    [anon_sym_CARET_CARET] = ACTIONS(2671),
    [anon_sym_AMP_AMP] = ACTIONS(2673),
    [anon_sym_PIPE] = ACTIONS(2673),
    [anon_sym_CARET] = ACTIONS(2673),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym_GT_GT2] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_DOT] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2673),
    [anon_sym_x] = ACTIONS(2673),
    [anon_sym_EQ_TILDE] = ACTIONS(2671),
    [anon_sym_BANG_TILDE] = ACTIONS(2671),
    [anon_sym_EQ_EQ] = ACTIONS(2673),
    [anon_sym_BANG_EQ] = ACTIONS(2671),
    [anon_sym_eq] = ACTIONS(2673),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2671),
    [anon_sym_equ] = ACTIONS(2671),
    [anon_sym_eqr] = ACTIONS(2671),
    [anon_sym_ne] = ACTIONS(2671),
    [anon_sym_LT_EQ_GT] = ACTIONS(2671),
    [anon_sym_cmp] = ACTIONS(2671),
    [anon_sym_TILDE_TILDE] = ACTIONS(2671),
    [anon_sym_LT_EQ] = ACTIONS(2673),
    [anon_sym_GT_EQ] = ACTIONS(2671),
    [anon_sym_lt] = ACTIONS(2671),
    [anon_sym_le] = ACTIONS(2671),
    [anon_sym_ge] = ACTIONS(2671),
    [anon_sym_gt] = ACTIONS(2671),
    [anon_sym_isa] = ACTIONS(2671),
    [anon_sym_PLUS_PLUS] = ACTIONS(2671),
    [anon_sym_DASH_DASH] = ACTIONS(2671),
    [anon_sym_QMARK] = ACTIONS(2671),
    [anon_sym_EQ_GT] = ACTIONS(2671),
    [anon_sym_for] = ACTIONS(2673),
    [anon_sym_foreach] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2671),
    [anon_sym___END__] = ACTIONS(2671),
    [anon_sym_EOT] = ACTIONS(2671),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_unless] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(2671),
    [anon_sym_until] = ACTIONS(2671),
    [sym__PERLY_SEMICOLON] = ACTIONS(2671),
    [sym__ctrl_z_hack] = ACTIONS(2671),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1095] = {
    [sym_heredoc_content] = STATE(1095),
    [anon_sym_RBRACE] = ACTIONS(2675),
    [anon_sym_SEMI] = ACTIONS(2675),
    [anon_sym_EQ] = ACTIONS(2677),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2675),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2675),
    [anon_sym_COMMA] = ACTIONS(2675),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2675),
    [anon_sym_and] = ACTIONS(2677),
    [anon_sym_or] = ACTIONS(2677),
    [anon_sym_xor] = ACTIONS(2677),
    [anon_sym_DASH_GT] = ACTIONS(2675),
    [anon_sym_PERCENT] = ACTIONS(2677),
    [anon_sym_LT] = ACTIONS(2677),
    [anon_sym_GT] = ACTIONS(2677),
    [anon_sym_LT_LT] = ACTIONS(2677),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2675),
    [anon_sym_PLUS_EQ] = ACTIONS(2675),
    [anon_sym_DASH_EQ] = ACTIONS(2675),
    [anon_sym_DOT_EQ] = ACTIONS(2675),
    [anon_sym_STAR_EQ] = ACTIONS(2675),
    [anon_sym_SLASH_EQ] = ACTIONS(2675),
    [anon_sym_PERCENT_EQ] = ACTIONS(2675),
    [anon_sym_x_EQ] = ACTIONS(2677),
    [anon_sym_AMP_EQ] = ACTIONS(2675),
    [anon_sym_PIPE_EQ] = ACTIONS(2675),
    [anon_sym_CARET_EQ] = ACTIONS(2675),
    [anon_sym_LT_LT_EQ] = ACTIONS(2675),
    [anon_sym_GT_GT_EQ] = ACTIONS(2675),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2675),
    [anon_sym_DOT_DOT] = ACTIONS(2677),
    [anon_sym_STAR_STAR] = ACTIONS(2677),
    [anon_sym_PIPE_PIPE] = ACTIONS(2677),
    [anon_sym_SLASH_SLASH] = ACTIONS(2677),
    [anon_sym_CARET_CARET] = ACTIONS(2675),
    [anon_sym_AMP_AMP] = ACTIONS(2677),
    [anon_sym_PIPE] = ACTIONS(2677),
    [anon_sym_CARET] = ACTIONS(2677),
    [anon_sym_AMP] = ACTIONS(2677),
    [anon_sym_GT_GT2] = ACTIONS(2677),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_DASH] = ACTIONS(2677),
    [anon_sym_DOT] = ACTIONS(2677),
    [anon_sym_STAR] = ACTIONS(2677),
    [anon_sym_SLASH] = ACTIONS(2677),
    [anon_sym_x] = ACTIONS(2677),
    [anon_sym_EQ_TILDE] = ACTIONS(2675),
    [anon_sym_BANG_TILDE] = ACTIONS(2675),
    [anon_sym_EQ_EQ] = ACTIONS(2677),
    [anon_sym_BANG_EQ] = ACTIONS(2675),
    [anon_sym_eq] = ACTIONS(2677),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2675),
    [anon_sym_equ] = ACTIONS(2677),
    [anon_sym_eqr] = ACTIONS(2677),
    [anon_sym_ne] = ACTIONS(2675),
    [anon_sym_LT_EQ_GT] = ACTIONS(2675),
    [anon_sym_cmp] = ACTIONS(2677),
    [anon_sym_TILDE_TILDE] = ACTIONS(2675),
    [anon_sym_LT_EQ] = ACTIONS(2677),
    [anon_sym_GT_EQ] = ACTIONS(2675),
    [anon_sym_lt] = ACTIONS(2677),
    [anon_sym_le] = ACTIONS(2677),
    [anon_sym_ge] = ACTIONS(2677),
    [anon_sym_gt] = ACTIONS(2677),
    [anon_sym_isa] = ACTIONS(2677),
    [anon_sym_PLUS_PLUS] = ACTIONS(2675),
    [anon_sym_DASH_DASH] = ACTIONS(2675),
    [anon_sym_QMARK] = ACTIONS(2675),
    [anon_sym_EQ_GT] = ACTIONS(2675),
    [anon_sym_for] = ACTIONS(2677),
    [anon_sym_foreach] = ACTIONS(2675),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2675),
    [anon_sym___END__] = ACTIONS(2675),
    [anon_sym_EOT] = ACTIONS(2675),
    [sym_substitution_regexp_modifiers] = ACTIONS(2679),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_unless] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(2675),
    [anon_sym_until] = ACTIONS(2677),
    [sym__PERLY_SEMICOLON] = ACTIONS(2675),
    [sym__ctrl_z_hack] = ACTIONS(2675),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1096] = {
    [sym_heredoc_content] = STATE(1096),
    [anon_sym_RBRACE] = ACTIONS(2681),
    [anon_sym_COLON] = ACTIONS(2681),
    [anon_sym_SEMI] = ACTIONS(2681),
    [anon_sym_EQ] = ACTIONS(2683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2681),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2681),
    [anon_sym_COMMA] = ACTIONS(2681),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2681),
    [anon_sym_and] = ACTIONS(2681),
    [anon_sym_or] = ACTIONS(2681),
    [anon_sym_xor] = ACTIONS(2681),
    [anon_sym_DASH_GT] = ACTIONS(2681),
    [anon_sym_PERCENT] = ACTIONS(2683),
    [anon_sym_LT] = ACTIONS(2683),
    [anon_sym_GT] = ACTIONS(2683),
    [anon_sym_LT_LT] = ACTIONS(2683),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2681),
    [anon_sym_PLUS_EQ] = ACTIONS(2681),
    [anon_sym_DASH_EQ] = ACTIONS(2681),
    [anon_sym_DOT_EQ] = ACTIONS(2681),
    [anon_sym_STAR_EQ] = ACTIONS(2681),
    [anon_sym_SLASH_EQ] = ACTIONS(2681),
    [anon_sym_PERCENT_EQ] = ACTIONS(2681),
    [anon_sym_x_EQ] = ACTIONS(2681),
    [anon_sym_AMP_EQ] = ACTIONS(2681),
    [anon_sym_PIPE_EQ] = ACTIONS(2681),
    [anon_sym_CARET_EQ] = ACTIONS(2681),
    [anon_sym_LT_LT_EQ] = ACTIONS(2681),
    [anon_sym_GT_GT_EQ] = ACTIONS(2681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2681),
    [anon_sym_DOT_DOT] = ACTIONS(2683),
    [anon_sym_STAR_STAR] = ACTIONS(2683),
    [anon_sym_PIPE_PIPE] = ACTIONS(2683),
    [anon_sym_SLASH_SLASH] = ACTIONS(2683),
    [anon_sym_CARET_CARET] = ACTIONS(2681),
    [anon_sym_AMP_AMP] = ACTIONS(2683),
    [anon_sym_PIPE] = ACTIONS(2683),
    [anon_sym_CARET] = ACTIONS(2683),
    [anon_sym_AMP] = ACTIONS(2683),
    [anon_sym_GT_GT2] = ACTIONS(2683),
    [anon_sym_PLUS] = ACTIONS(2683),
    [anon_sym_DASH] = ACTIONS(2683),
    [anon_sym_DOT] = ACTIONS(2683),
    [anon_sym_STAR] = ACTIONS(2683),
    [anon_sym_SLASH] = ACTIONS(2683),
    [anon_sym_x] = ACTIONS(2683),
    [anon_sym_EQ_TILDE] = ACTIONS(2681),
    [anon_sym_BANG_TILDE] = ACTIONS(2681),
    [anon_sym_EQ_EQ] = ACTIONS(2683),
    [anon_sym_BANG_EQ] = ACTIONS(2681),
    [anon_sym_eq] = ACTIONS(2683),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2681),
    [anon_sym_equ] = ACTIONS(2681),
    [anon_sym_eqr] = ACTIONS(2681),
    [anon_sym_ne] = ACTIONS(2681),
    [anon_sym_LT_EQ_GT] = ACTIONS(2681),
    [anon_sym_cmp] = ACTIONS(2681),
    [anon_sym_TILDE_TILDE] = ACTIONS(2681),
    [anon_sym_LT_EQ] = ACTIONS(2683),
    [anon_sym_GT_EQ] = ACTIONS(2681),
    [anon_sym_lt] = ACTIONS(2681),
    [anon_sym_le] = ACTIONS(2681),
    [anon_sym_ge] = ACTIONS(2681),
    [anon_sym_gt] = ACTIONS(2681),
    [anon_sym_isa] = ACTIONS(2681),
    [anon_sym_PLUS_PLUS] = ACTIONS(2681),
    [anon_sym_DASH_DASH] = ACTIONS(2681),
    [anon_sym_QMARK] = ACTIONS(2681),
    [anon_sym_EQ_GT] = ACTIONS(2681),
    [anon_sym_for] = ACTIONS(2683),
    [anon_sym_foreach] = ACTIONS(2681),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2681),
    [anon_sym___END__] = ACTIONS(2681),
    [anon_sym_EOT] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2681),
    [anon_sym_unless] = ACTIONS(2681),
    [anon_sym_while] = ACTIONS(2681),
    [anon_sym_until] = ACTIONS(2681),
    [sym__PERLY_SEMICOLON] = ACTIONS(2681),
    [sym__ctrl_z_hack] = ACTIONS(2681),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1097] = {
    [sym_heredoc_content] = STATE(1097),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_PIPE] = ACTIONS(2502),
    [anon_sym_CARET] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_eq] = ACTIONS(2510),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2512),
    [anon_sym_equ] = ACTIONS(2512),
    [anon_sym_eqr] = ACTIONS(2512),
    [anon_sym_ne] = ACTIONS(2512),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_lt] = ACTIONS(2516),
    [anon_sym_le] = ACTIONS(2516),
    [anon_sym_ge] = ACTIONS(2516),
    [anon_sym_gt] = ACTIONS(2516),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [anon_sym_for] = ACTIONS(2687),
    [anon_sym_foreach] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2685),
    [anon_sym___END__] = ACTIONS(2685),
    [anon_sym_EOT] = ACTIONS(2685),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_unless] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(2685),
    [anon_sym_until] = ACTIONS(2685),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym__ctrl_z_hack] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1098] = {
    [sym_heredoc_content] = STATE(1098),
    [anon_sym_RBRACE] = ACTIONS(2689),
    [anon_sym_SEMI] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_COMMA] = ACTIONS(2689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2689),
    [anon_sym_and] = ACTIONS(2689),
    [anon_sym_or] = ACTIONS(2689),
    [anon_sym_xor] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2689),
    [anon_sym_DASH_EQ] = ACTIONS(2689),
    [anon_sym_DOT_EQ] = ACTIONS(2689),
    [anon_sym_STAR_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_PERCENT_EQ] = ACTIONS(2689),
    [anon_sym_x_EQ] = ACTIONS(2689),
    [anon_sym_AMP_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_CARET_EQ] = ACTIONS(2689),
    [anon_sym_LT_LT_EQ] = ACTIONS(2689),
    [anon_sym_GT_GT_EQ] = ACTIONS(2689),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2691),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_SLASH_SLASH] = ACTIONS(2691),
    [anon_sym_CARET_CARET] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_PIPE] = ACTIONS(2691),
    [anon_sym_CARET] = ACTIONS(2691),
    [anon_sym_AMP] = ACTIONS(2691),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_eq] = ACTIONS(2691),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2689),
    [anon_sym_equ] = ACTIONS(2689),
    [anon_sym_eqr] = ACTIONS(2689),
    [anon_sym_ne] = ACTIONS(2689),
    [anon_sym_LT_EQ_GT] = ACTIONS(2689),
    [anon_sym_cmp] = ACTIONS(2689),
    [anon_sym_TILDE_TILDE] = ACTIONS(2689),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_lt] = ACTIONS(2516),
    [anon_sym_le] = ACTIONS(2516),
    [anon_sym_ge] = ACTIONS(2516),
    [anon_sym_gt] = ACTIONS(2516),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2689),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_for] = ACTIONS(2691),
    [anon_sym_foreach] = ACTIONS(2689),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2689),
    [anon_sym___END__] = ACTIONS(2689),
    [anon_sym_EOT] = ACTIONS(2689),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_unless] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(2689),
    [anon_sym_until] = ACTIONS(2689),
    [sym__PERLY_SEMICOLON] = ACTIONS(2689),
    [sym__ctrl_z_hack] = ACTIONS(2689),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1099] = {
    [sym_heredoc_content] = STATE(1099),
    [anon_sym_RBRACE] = ACTIONS(2693),
    [anon_sym_SEMI] = ACTIONS(2693),
    [anon_sym_EQ] = ACTIONS(2695),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2693),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(2693),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2693),
    [anon_sym_and] = ACTIONS(2693),
    [anon_sym_or] = ACTIONS(2693),
    [anon_sym_xor] = ACTIONS(2693),
    [anon_sym_DASH_GT] = ACTIONS(2693),
    [anon_sym_PERCENT] = ACTIONS(2695),
    [anon_sym_LT] = ACTIONS(2695),
    [anon_sym_GT] = ACTIONS(2695),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2693),
    [anon_sym_PLUS_EQ] = ACTIONS(2693),
    [anon_sym_DASH_EQ] = ACTIONS(2693),
    [anon_sym_DOT_EQ] = ACTIONS(2693),
    [anon_sym_STAR_EQ] = ACTIONS(2693),
    [anon_sym_SLASH_EQ] = ACTIONS(2693),
    [anon_sym_PERCENT_EQ] = ACTIONS(2693),
    [anon_sym_x_EQ] = ACTIONS(2693),
    [anon_sym_AMP_EQ] = ACTIONS(2693),
    [anon_sym_PIPE_EQ] = ACTIONS(2693),
    [anon_sym_CARET_EQ] = ACTIONS(2693),
    [anon_sym_LT_LT_EQ] = ACTIONS(2693),
    [anon_sym_GT_GT_EQ] = ACTIONS(2693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2693),
    [anon_sym_DOT_DOT] = ACTIONS(2695),
    [anon_sym_STAR_STAR] = ACTIONS(2695),
    [anon_sym_PIPE_PIPE] = ACTIONS(2695),
    [anon_sym_SLASH_SLASH] = ACTIONS(2695),
    [anon_sym_CARET_CARET] = ACTIONS(2693),
    [anon_sym_AMP_AMP] = ACTIONS(2695),
    [anon_sym_PIPE] = ACTIONS(2695),
    [anon_sym_CARET] = ACTIONS(2695),
    [anon_sym_AMP] = ACTIONS(2695),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(2695),
    [anon_sym_STAR] = ACTIONS(2695),
    [anon_sym_SLASH] = ACTIONS(2695),
    [anon_sym_x] = ACTIONS(2695),
    [anon_sym_EQ_TILDE] = ACTIONS(2693),
    [anon_sym_BANG_TILDE] = ACTIONS(2693),
    [anon_sym_EQ_EQ] = ACTIONS(2695),
    [anon_sym_BANG_EQ] = ACTIONS(2693),
    [anon_sym_eq] = ACTIONS(2695),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2693),
    [anon_sym_equ] = ACTIONS(2693),
    [anon_sym_eqr] = ACTIONS(2693),
    [anon_sym_ne] = ACTIONS(2693),
    [anon_sym_LT_EQ_GT] = ACTIONS(2693),
    [anon_sym_cmp] = ACTIONS(2693),
    [anon_sym_TILDE_TILDE] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(2695),
    [anon_sym_GT_EQ] = ACTIONS(2693),
    [anon_sym_lt] = ACTIONS(2693),
    [anon_sym_le] = ACTIONS(2693),
    [anon_sym_ge] = ACTIONS(2693),
    [anon_sym_gt] = ACTIONS(2693),
    [anon_sym_isa] = ACTIONS(2693),
    [anon_sym_PLUS_PLUS] = ACTIONS(2693),
    [anon_sym_DASH_DASH] = ACTIONS(2693),
    [anon_sym_QMARK] = ACTIONS(2693),
    [anon_sym_EQ_GT] = ACTIONS(2693),
    [anon_sym_for] = ACTIONS(2695),
    [anon_sym_foreach] = ACTIONS(2693),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2693),
    [anon_sym___END__] = ACTIONS(2693),
    [anon_sym_EOT] = ACTIONS(2693),
    [anon_sym_if] = ACTIONS(2693),
    [anon_sym_unless] = ACTIONS(2693),
    [anon_sym_while] = ACTIONS(2693),
    [anon_sym_until] = ACTIONS(2693),
    [sym__PERLY_SEMICOLON] = ACTIONS(2693),
    [sym__ctrl_z_hack] = ACTIONS(2693),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1100] = {
    [sym_heredoc_content] = STATE(1100),
    [anon_sym_RBRACE] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1409),
    [anon_sym_COMMA] = ACTIONS(1409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1409),
    [anon_sym_and] = ACTIONS(1409),
    [anon_sym_or] = ACTIONS(1409),
    [anon_sym_xor] = ACTIONS(1409),
    [anon_sym_DASH_GT] = ACTIONS(1409),
    [anon_sym_PERCENT] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [anon_sym_LT_LT] = ACTIONS(1407),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1409),
    [anon_sym_PLUS_EQ] = ACTIONS(1409),
    [anon_sym_DASH_EQ] = ACTIONS(1409),
    [anon_sym_DOT_EQ] = ACTIONS(1409),
    [anon_sym_STAR_EQ] = ACTIONS(1409),
    [anon_sym_SLASH_EQ] = ACTIONS(1409),
    [anon_sym_PERCENT_EQ] = ACTIONS(1409),
    [anon_sym_x_EQ] = ACTIONS(1409),
    [anon_sym_AMP_EQ] = ACTIONS(1409),
    [anon_sym_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_CARET_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT_EQ] = ACTIONS(1409),
    [anon_sym_GT_GT_EQ] = ACTIONS(1409),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1409),
    [anon_sym_DOT_DOT] = ACTIONS(1407),
    [anon_sym_STAR_STAR] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH] = ACTIONS(1407),
    [anon_sym_CARET_CARET] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1407),
    [anon_sym_PIPE] = ACTIONS(1407),
    [anon_sym_CARET] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(1407),
    [anon_sym_GT_GT2] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_DOT] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_x] = ACTIONS(1407),
    [anon_sym_EQ_TILDE] = ACTIONS(1409),
    [anon_sym_BANG_TILDE] = ACTIONS(1409),
    [anon_sym_EQ_EQ] = ACTIONS(1407),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_eq] = ACTIONS(1407),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1409),
    [anon_sym_equ] = ACTIONS(1409),
    [anon_sym_eqr] = ACTIONS(1409),
    [anon_sym_ne] = ACTIONS(1409),
    [anon_sym_LT_EQ_GT] = ACTIONS(1409),
    [anon_sym_cmp] = ACTIONS(1409),
    [anon_sym_TILDE_TILDE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_lt] = ACTIONS(1409),
    [anon_sym_le] = ACTIONS(1409),
    [anon_sym_ge] = ACTIONS(1409),
    [anon_sym_gt] = ACTIONS(1409),
    [anon_sym_isa] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1409),
    [anon_sym_DASH_DASH] = ACTIONS(1409),
    [anon_sym_QMARK] = ACTIONS(1409),
    [anon_sym_EQ_GT] = ACTIONS(1409),
    [anon_sym_for] = ACTIONS(1407),
    [anon_sym_foreach] = ACTIONS(1409),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1409),
    [anon_sym___END__] = ACTIONS(1409),
    [anon_sym_EOT] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1409),
    [anon_sym_unless] = ACTIONS(1409),
    [anon_sym_while] = ACTIONS(1409),
    [anon_sym_until] = ACTIONS(1409),
    [sym__PERLY_SEMICOLON] = ACTIONS(1409),
    [sym__ctrl_z_hack] = ACTIONS(1409),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1101] = {
    [sym_heredoc_content] = STATE(1101),
    [anon_sym_RBRACE] = ACTIONS(2697),
    [anon_sym_SEMI] = ACTIONS(2697),
    [anon_sym_EQ] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2697),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2697),
    [anon_sym_COMMA] = ACTIONS(2697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2697),
    [anon_sym_and] = ACTIONS(2697),
    [anon_sym_or] = ACTIONS(2697),
    [anon_sym_xor] = ACTIONS(2697),
    [anon_sym_DASH_GT] = ACTIONS(2697),
    [anon_sym_PERCENT] = ACTIONS(2699),
    [anon_sym_LT] = ACTIONS(2699),
    [anon_sym_GT] = ACTIONS(2699),
    [anon_sym_LT_LT] = ACTIONS(2699),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2697),
    [anon_sym_DASH_EQ] = ACTIONS(2697),
    [anon_sym_DOT_EQ] = ACTIONS(2697),
    [anon_sym_STAR_EQ] = ACTIONS(2697),
    [anon_sym_SLASH_EQ] = ACTIONS(2697),
    [anon_sym_PERCENT_EQ] = ACTIONS(2697),
    [anon_sym_x_EQ] = ACTIONS(2697),
    [anon_sym_AMP_EQ] = ACTIONS(2697),
    [anon_sym_PIPE_EQ] = ACTIONS(2697),
    [anon_sym_CARET_EQ] = ACTIONS(2697),
    [anon_sym_LT_LT_EQ] = ACTIONS(2697),
    [anon_sym_GT_GT_EQ] = ACTIONS(2697),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2697),
    [anon_sym_DOT_DOT] = ACTIONS(2699),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2699),
    [anon_sym_SLASH_SLASH] = ACTIONS(2699),
    [anon_sym_CARET_CARET] = ACTIONS(2697),
    [anon_sym_AMP_AMP] = ACTIONS(2699),
    [anon_sym_PIPE] = ACTIONS(2699),
    [anon_sym_CARET] = ACTIONS(2699),
    [anon_sym_AMP] = ACTIONS(2699),
    [anon_sym_GT_GT2] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_DOT] = ACTIONS(2699),
    [anon_sym_STAR] = ACTIONS(2699),
    [anon_sym_SLASH] = ACTIONS(2699),
    [anon_sym_x] = ACTIONS(2699),
    [anon_sym_EQ_TILDE] = ACTIONS(2697),
    [anon_sym_BANG_TILDE] = ACTIONS(2697),
    [anon_sym_EQ_EQ] = ACTIONS(2699),
    [anon_sym_BANG_EQ] = ACTIONS(2697),
    [anon_sym_eq] = ACTIONS(2699),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2697),
    [anon_sym_equ] = ACTIONS(2697),
    [anon_sym_eqr] = ACTIONS(2697),
    [anon_sym_ne] = ACTIONS(2697),
    [anon_sym_LT_EQ_GT] = ACTIONS(2697),
    [anon_sym_cmp] = ACTIONS(2697),
    [anon_sym_TILDE_TILDE] = ACTIONS(2697),
    [anon_sym_LT_EQ] = ACTIONS(2699),
    [anon_sym_GT_EQ] = ACTIONS(2697),
    [anon_sym_lt] = ACTIONS(2697),
    [anon_sym_le] = ACTIONS(2697),
    [anon_sym_ge] = ACTIONS(2697),
    [anon_sym_gt] = ACTIONS(2697),
    [anon_sym_isa] = ACTIONS(2697),
    [anon_sym_PLUS_PLUS] = ACTIONS(2697),
    [anon_sym_DASH_DASH] = ACTIONS(2697),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_EQ_GT] = ACTIONS(2697),
    [anon_sym_for] = ACTIONS(2699),
    [anon_sym_foreach] = ACTIONS(2697),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2697),
    [anon_sym___END__] = ACTIONS(2697),
    [anon_sym_EOT] = ACTIONS(2697),
    [anon_sym_if] = ACTIONS(2697),
    [anon_sym_unless] = ACTIONS(2697),
    [anon_sym_while] = ACTIONS(2697),
    [anon_sym_until] = ACTIONS(2697),
    [sym__PERLY_SEMICOLON] = ACTIONS(2697),
    [sym__ctrl_z_hack] = ACTIONS(2697),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1102] = {
    [sym_heredoc_content] = STATE(1102),
    [anon_sym_RBRACE] = ACTIONS(2701),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym_EQ] = ACTIONS(2703),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2701),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2701),
    [anon_sym_COMMA] = ACTIONS(2701),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2701),
    [anon_sym_and] = ACTIONS(2701),
    [anon_sym_or] = ACTIONS(2701),
    [anon_sym_xor] = ACTIONS(2701),
    [anon_sym_DASH_GT] = ACTIONS(2701),
    [anon_sym_PERCENT] = ACTIONS(2703),
    [anon_sym_LT] = ACTIONS(2703),
    [anon_sym_GT] = ACTIONS(2703),
    [anon_sym_LT_LT] = ACTIONS(2703),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2701),
    [anon_sym_PLUS_EQ] = ACTIONS(2701),
    [anon_sym_DASH_EQ] = ACTIONS(2701),
    [anon_sym_DOT_EQ] = ACTIONS(2701),
    [anon_sym_STAR_EQ] = ACTIONS(2701),
    [anon_sym_SLASH_EQ] = ACTIONS(2701),
    [anon_sym_PERCENT_EQ] = ACTIONS(2701),
    [anon_sym_x_EQ] = ACTIONS(2701),
    [anon_sym_AMP_EQ] = ACTIONS(2701),
    [anon_sym_PIPE_EQ] = ACTIONS(2701),
    [anon_sym_CARET_EQ] = ACTIONS(2701),
    [anon_sym_LT_LT_EQ] = ACTIONS(2701),
    [anon_sym_GT_GT_EQ] = ACTIONS(2701),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2701),
    [anon_sym_DOT_DOT] = ACTIONS(2703),
    [anon_sym_STAR_STAR] = ACTIONS(2703),
    [anon_sym_PIPE_PIPE] = ACTIONS(2703),
    [anon_sym_SLASH_SLASH] = ACTIONS(2703),
    [anon_sym_CARET_CARET] = ACTIONS(2701),
    [anon_sym_AMP_AMP] = ACTIONS(2703),
    [anon_sym_PIPE] = ACTIONS(2703),
    [anon_sym_CARET] = ACTIONS(2703),
    [anon_sym_AMP] = ACTIONS(2703),
    [anon_sym_GT_GT2] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_DOT] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2703),
    [anon_sym_SLASH] = ACTIONS(2703),
    [anon_sym_x] = ACTIONS(2703),
    [anon_sym_EQ_TILDE] = ACTIONS(2701),
    [anon_sym_BANG_TILDE] = ACTIONS(2701),
    [anon_sym_EQ_EQ] = ACTIONS(2703),
    [anon_sym_BANG_EQ] = ACTIONS(2701),
    [anon_sym_eq] = ACTIONS(2703),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2701),
    [anon_sym_equ] = ACTIONS(2701),
    [anon_sym_eqr] = ACTIONS(2701),
    [anon_sym_ne] = ACTIONS(2701),
    [anon_sym_LT_EQ_GT] = ACTIONS(2701),
    [anon_sym_cmp] = ACTIONS(2701),
    [anon_sym_TILDE_TILDE] = ACTIONS(2701),
    [anon_sym_LT_EQ] = ACTIONS(2703),
    [anon_sym_GT_EQ] = ACTIONS(2701),
    [anon_sym_lt] = ACTIONS(2701),
    [anon_sym_le] = ACTIONS(2701),
    [anon_sym_ge] = ACTIONS(2701),
    [anon_sym_gt] = ACTIONS(2701),
    [anon_sym_isa] = ACTIONS(2701),
    [anon_sym_PLUS_PLUS] = ACTIONS(2701),
    [anon_sym_DASH_DASH] = ACTIONS(2701),
    [anon_sym_QMARK] = ACTIONS(2701),
    [anon_sym_EQ_GT] = ACTIONS(2701),
    [anon_sym_for] = ACTIONS(2703),
    [anon_sym_foreach] = ACTIONS(2701),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2701),
    [anon_sym___END__] = ACTIONS(2701),
    [anon_sym_EOT] = ACTIONS(2701),
    [anon_sym_if] = ACTIONS(2701),
    [anon_sym_unless] = ACTIONS(2701),
    [anon_sym_while] = ACTIONS(2701),
    [anon_sym_until] = ACTIONS(2701),
    [sym__PERLY_SEMICOLON] = ACTIONS(2701),
    [sym__ctrl_z_hack] = ACTIONS(2701),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1103] = {
    [sym_heredoc_content] = STATE(1103),
    [anon_sym_RBRACE] = ACTIONS(2705),
    [anon_sym_SEMI] = ACTIONS(2705),
    [anon_sym_EQ] = ACTIONS(2707),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2705),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2705),
    [anon_sym_COMMA] = ACTIONS(2705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2705),
    [anon_sym_and] = ACTIONS(2705),
    [anon_sym_or] = ACTIONS(2705),
    [anon_sym_xor] = ACTIONS(2705),
    [anon_sym_DASH_GT] = ACTIONS(2705),
    [anon_sym_PERCENT] = ACTIONS(2707),
    [anon_sym_LT] = ACTIONS(2707),
    [anon_sym_GT] = ACTIONS(2707),
    [anon_sym_LT_LT] = ACTIONS(2707),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2705),
    [anon_sym_PLUS_EQ] = ACTIONS(2705),
    [anon_sym_DASH_EQ] = ACTIONS(2705),
    [anon_sym_DOT_EQ] = ACTIONS(2705),
    [anon_sym_STAR_EQ] = ACTIONS(2705),
    [anon_sym_SLASH_EQ] = ACTIONS(2705),
    [anon_sym_PERCENT_EQ] = ACTIONS(2705),
    [anon_sym_x_EQ] = ACTIONS(2705),
    [anon_sym_AMP_EQ] = ACTIONS(2705),
    [anon_sym_PIPE_EQ] = ACTIONS(2705),
    [anon_sym_CARET_EQ] = ACTIONS(2705),
    [anon_sym_LT_LT_EQ] = ACTIONS(2705),
    [anon_sym_GT_GT_EQ] = ACTIONS(2705),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2705),
    [anon_sym_DOT_DOT] = ACTIONS(2707),
    [anon_sym_STAR_STAR] = ACTIONS(2707),
    [anon_sym_PIPE_PIPE] = ACTIONS(2707),
    [anon_sym_SLASH_SLASH] = ACTIONS(2707),
    [anon_sym_CARET_CARET] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(2707),
    [anon_sym_PIPE] = ACTIONS(2707),
    [anon_sym_CARET] = ACTIONS(2707),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_GT_GT2] = ACTIONS(2707),
    [anon_sym_PLUS] = ACTIONS(2707),
    [anon_sym_DASH] = ACTIONS(2707),
    [anon_sym_DOT] = ACTIONS(2707),
    [anon_sym_STAR] = ACTIONS(2707),
    [anon_sym_SLASH] = ACTIONS(2707),
    [anon_sym_x] = ACTIONS(2707),
    [anon_sym_EQ_TILDE] = ACTIONS(2705),
    [anon_sym_BANG_TILDE] = ACTIONS(2705),
    [anon_sym_EQ_EQ] = ACTIONS(2707),
    [anon_sym_BANG_EQ] = ACTIONS(2705),
    [anon_sym_eq] = ACTIONS(2707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2705),
    [anon_sym_equ] = ACTIONS(2705),
    [anon_sym_eqr] = ACTIONS(2705),
    [anon_sym_ne] = ACTIONS(2705),
    [anon_sym_LT_EQ_GT] = ACTIONS(2705),
    [anon_sym_cmp] = ACTIONS(2705),
    [anon_sym_TILDE_TILDE] = ACTIONS(2705),
    [anon_sym_LT_EQ] = ACTIONS(2707),
    [anon_sym_GT_EQ] = ACTIONS(2705),
    [anon_sym_lt] = ACTIONS(2705),
    [anon_sym_le] = ACTIONS(2705),
    [anon_sym_ge] = ACTIONS(2705),
    [anon_sym_gt] = ACTIONS(2705),
    [anon_sym_isa] = ACTIONS(2705),
    [anon_sym_PLUS_PLUS] = ACTIONS(2705),
    [anon_sym_DASH_DASH] = ACTIONS(2705),
    [anon_sym_QMARK] = ACTIONS(2705),
    [anon_sym_EQ_GT] = ACTIONS(2705),
    [anon_sym_for] = ACTIONS(2707),
    [anon_sym_foreach] = ACTIONS(2705),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2705),
    [anon_sym___END__] = ACTIONS(2705),
    [anon_sym_EOT] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_unless] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(2705),
    [anon_sym_until] = ACTIONS(2705),
    [sym__PERLY_SEMICOLON] = ACTIONS(2705),
    [sym__ctrl_z_hack] = ACTIONS(2705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1104] = {
    [sym_heredoc_content] = STATE(1104),
    [anon_sym_RBRACE] = ACTIONS(2709),
    [anon_sym_SEMI] = ACTIONS(2709),
    [anon_sym_EQ] = ACTIONS(2711),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2709),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2709),
    [anon_sym_COMMA] = ACTIONS(2709),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2709),
    [anon_sym_and] = ACTIONS(2709),
    [anon_sym_or] = ACTIONS(2709),
    [anon_sym_xor] = ACTIONS(2709),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2711),
    [anon_sym_GT] = ACTIONS(2711),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2709),
    [anon_sym_PLUS_EQ] = ACTIONS(2709),
    [anon_sym_DASH_EQ] = ACTIONS(2709),
    [anon_sym_DOT_EQ] = ACTIONS(2709),
    [anon_sym_STAR_EQ] = ACTIONS(2709),
    [anon_sym_SLASH_EQ] = ACTIONS(2709),
    [anon_sym_PERCENT_EQ] = ACTIONS(2709),
    [anon_sym_x_EQ] = ACTIONS(2709),
    [anon_sym_AMP_EQ] = ACTIONS(2709),
    [anon_sym_PIPE_EQ] = ACTIONS(2709),
    [anon_sym_CARET_EQ] = ACTIONS(2709),
    [anon_sym_LT_LT_EQ] = ACTIONS(2709),
    [anon_sym_GT_GT_EQ] = ACTIONS(2709),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2709),
    [anon_sym_DOT_DOT] = ACTIONS(2711),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2711),
    [anon_sym_SLASH_SLASH] = ACTIONS(2711),
    [anon_sym_CARET_CARET] = ACTIONS(2709),
    [anon_sym_AMP_AMP] = ACTIONS(2711),
    [anon_sym_PIPE] = ACTIONS(2711),
    [anon_sym_CARET] = ACTIONS(2711),
    [anon_sym_AMP] = ACTIONS(2711),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2711),
    [anon_sym_BANG_EQ] = ACTIONS(2709),
    [anon_sym_eq] = ACTIONS(2711),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2709),
    [anon_sym_equ] = ACTIONS(2709),
    [anon_sym_eqr] = ACTIONS(2709),
    [anon_sym_ne] = ACTIONS(2709),
    [anon_sym_LT_EQ_GT] = ACTIONS(2709),
    [anon_sym_cmp] = ACTIONS(2709),
    [anon_sym_TILDE_TILDE] = ACTIONS(2709),
    [anon_sym_LT_EQ] = ACTIONS(2711),
    [anon_sym_GT_EQ] = ACTIONS(2709),
    [anon_sym_lt] = ACTIONS(2709),
    [anon_sym_le] = ACTIONS(2709),
    [anon_sym_ge] = ACTIONS(2709),
    [anon_sym_gt] = ACTIONS(2709),
    [anon_sym_isa] = ACTIONS(2709),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2709),
    [anon_sym_EQ_GT] = ACTIONS(2709),
    [anon_sym_for] = ACTIONS(2711),
    [anon_sym_foreach] = ACTIONS(2709),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2709),
    [anon_sym___END__] = ACTIONS(2709),
    [anon_sym_EOT] = ACTIONS(2709),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_unless] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(2709),
    [anon_sym_until] = ACTIONS(2709),
    [sym__PERLY_SEMICOLON] = ACTIONS(2709),
    [sym__ctrl_z_hack] = ACTIONS(2709),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1105] = {
    [sym_heredoc_content] = STATE(1105),
    [anon_sym_RBRACE] = ACTIONS(2713),
    [anon_sym_SEMI] = ACTIONS(2713),
    [anon_sym_EQ] = ACTIONS(2715),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2713),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2713),
    [anon_sym_COMMA] = ACTIONS(2713),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2713),
    [anon_sym_and] = ACTIONS(2713),
    [anon_sym_or] = ACTIONS(2713),
    [anon_sym_xor] = ACTIONS(2713),
    [anon_sym_DASH_GT] = ACTIONS(2713),
    [anon_sym_PERCENT] = ACTIONS(2715),
    [anon_sym_LT] = ACTIONS(2715),
    [anon_sym_GT] = ACTIONS(2715),
    [anon_sym_LT_LT] = ACTIONS(2715),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2713),
    [anon_sym_PLUS_EQ] = ACTIONS(2713),
    [anon_sym_DASH_EQ] = ACTIONS(2713),
    [anon_sym_DOT_EQ] = ACTIONS(2713),
    [anon_sym_STAR_EQ] = ACTIONS(2713),
    [anon_sym_SLASH_EQ] = ACTIONS(2713),
    [anon_sym_PERCENT_EQ] = ACTIONS(2713),
    [anon_sym_x_EQ] = ACTIONS(2713),
    [anon_sym_AMP_EQ] = ACTIONS(2713),
    [anon_sym_PIPE_EQ] = ACTIONS(2713),
    [anon_sym_CARET_EQ] = ACTIONS(2713),
    [anon_sym_LT_LT_EQ] = ACTIONS(2713),
    [anon_sym_GT_GT_EQ] = ACTIONS(2713),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2713),
    [anon_sym_DOT_DOT] = ACTIONS(2715),
    [anon_sym_STAR_STAR] = ACTIONS(2715),
    [anon_sym_PIPE_PIPE] = ACTIONS(2715),
    [anon_sym_SLASH_SLASH] = ACTIONS(2715),
    [anon_sym_CARET_CARET] = ACTIONS(2713),
    [anon_sym_AMP_AMP] = ACTIONS(2715),
    [anon_sym_PIPE] = ACTIONS(2715),
    [anon_sym_CARET] = ACTIONS(2715),
    [anon_sym_AMP] = ACTIONS(2715),
    [anon_sym_GT_GT2] = ACTIONS(2715),
    [anon_sym_PLUS] = ACTIONS(2715),
    [anon_sym_DASH] = ACTIONS(2715),
    [anon_sym_DOT] = ACTIONS(2715),
    [anon_sym_STAR] = ACTIONS(2715),
    [anon_sym_SLASH] = ACTIONS(2715),
    [anon_sym_x] = ACTIONS(2715),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2715),
    [anon_sym_BANG_EQ] = ACTIONS(2713),
    [anon_sym_eq] = ACTIONS(2715),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2713),
    [anon_sym_equ] = ACTIONS(2713),
    [anon_sym_eqr] = ACTIONS(2713),
    [anon_sym_ne] = ACTIONS(2713),
    [anon_sym_LT_EQ_GT] = ACTIONS(2713),
    [anon_sym_cmp] = ACTIONS(2713),
    [anon_sym_TILDE_TILDE] = ACTIONS(2713),
    [anon_sym_LT_EQ] = ACTIONS(2715),
    [anon_sym_GT_EQ] = ACTIONS(2713),
    [anon_sym_lt] = ACTIONS(2713),
    [anon_sym_le] = ACTIONS(2713),
    [anon_sym_ge] = ACTIONS(2713),
    [anon_sym_gt] = ACTIONS(2713),
    [anon_sym_isa] = ACTIONS(2713),
    [anon_sym_PLUS_PLUS] = ACTIONS(2713),
    [anon_sym_DASH_DASH] = ACTIONS(2713),
    [anon_sym_QMARK] = ACTIONS(2713),
    [anon_sym_EQ_GT] = ACTIONS(2713),
    [anon_sym_for] = ACTIONS(2715),
    [anon_sym_foreach] = ACTIONS(2713),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2713),
    [anon_sym___END__] = ACTIONS(2713),
    [anon_sym_EOT] = ACTIONS(2713),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_unless] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2713),
    [anon_sym_until] = ACTIONS(2713),
    [sym__PERLY_SEMICOLON] = ACTIONS(2713),
    [sym__ctrl_z_hack] = ACTIONS(2713),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1106] = {
    [sym_heredoc_content] = STATE(1106),
    [anon_sym_RBRACE] = ACTIONS(2717),
    [anon_sym_SEMI] = ACTIONS(2717),
    [anon_sym_EQ] = ACTIONS(2719),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2717),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2717),
    [anon_sym_COMMA] = ACTIONS(2717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2717),
    [anon_sym_and] = ACTIONS(2717),
    [anon_sym_or] = ACTIONS(2717),
    [anon_sym_xor] = ACTIONS(2717),
    [anon_sym_DASH_GT] = ACTIONS(2717),
    [anon_sym_PERCENT] = ACTIONS(2719),
    [anon_sym_LT] = ACTIONS(2719),
    [anon_sym_GT] = ACTIONS(2719),
    [anon_sym_LT_LT] = ACTIONS(2719),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2717),
    [anon_sym_PLUS_EQ] = ACTIONS(2717),
    [anon_sym_DASH_EQ] = ACTIONS(2717),
    [anon_sym_DOT_EQ] = ACTIONS(2717),
    [anon_sym_STAR_EQ] = ACTIONS(2717),
    [anon_sym_SLASH_EQ] = ACTIONS(2717),
    [anon_sym_PERCENT_EQ] = ACTIONS(2717),
    [anon_sym_x_EQ] = ACTIONS(2717),
    [anon_sym_AMP_EQ] = ACTIONS(2717),
    [anon_sym_PIPE_EQ] = ACTIONS(2717),
    [anon_sym_CARET_EQ] = ACTIONS(2717),
    [anon_sym_LT_LT_EQ] = ACTIONS(2717),
    [anon_sym_GT_GT_EQ] = ACTIONS(2717),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2717),
    [anon_sym_DOT_DOT] = ACTIONS(2719),
    [anon_sym_STAR_STAR] = ACTIONS(2719),
    [anon_sym_PIPE_PIPE] = ACTIONS(2719),
    [anon_sym_SLASH_SLASH] = ACTIONS(2719),
    [anon_sym_CARET_CARET] = ACTIONS(2717),
    [anon_sym_AMP_AMP] = ACTIONS(2719),
    [anon_sym_PIPE] = ACTIONS(2719),
    [anon_sym_CARET] = ACTIONS(2719),
    [anon_sym_AMP] = ACTIONS(2719),
    [anon_sym_GT_GT2] = ACTIONS(2719),
    [anon_sym_PLUS] = ACTIONS(2719),
    [anon_sym_DASH] = ACTIONS(2719),
    [anon_sym_DOT] = ACTIONS(2719),
    [anon_sym_STAR] = ACTIONS(2719),
    [anon_sym_SLASH] = ACTIONS(2719),
    [anon_sym_x] = ACTIONS(2719),
    [anon_sym_EQ_TILDE] = ACTIONS(2717),
    [anon_sym_BANG_TILDE] = ACTIONS(2717),
    [anon_sym_EQ_EQ] = ACTIONS(2719),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_eq] = ACTIONS(2719),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2717),
    [anon_sym_equ] = ACTIONS(2717),
    [anon_sym_eqr] = ACTIONS(2717),
    [anon_sym_ne] = ACTIONS(2717),
    [anon_sym_LT_EQ_GT] = ACTIONS(2717),
    [anon_sym_cmp] = ACTIONS(2717),
    [anon_sym_TILDE_TILDE] = ACTIONS(2717),
    [anon_sym_LT_EQ] = ACTIONS(2719),
    [anon_sym_GT_EQ] = ACTIONS(2717),
    [anon_sym_lt] = ACTIONS(2717),
    [anon_sym_le] = ACTIONS(2717),
    [anon_sym_ge] = ACTIONS(2717),
    [anon_sym_gt] = ACTIONS(2717),
    [anon_sym_isa] = ACTIONS(2717),
    [anon_sym_PLUS_PLUS] = ACTIONS(2717),
    [anon_sym_DASH_DASH] = ACTIONS(2717),
    [anon_sym_QMARK] = ACTIONS(2717),
    [anon_sym_EQ_GT] = ACTIONS(2717),
    [anon_sym_for] = ACTIONS(2719),
    [anon_sym_foreach] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2717),
    [anon_sym___END__] = ACTIONS(2717),
    [anon_sym_EOT] = ACTIONS(2717),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_unless] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(2717),
    [anon_sym_until] = ACTIONS(2717),
    [sym__PERLY_SEMICOLON] = ACTIONS(2717),
    [sym__ctrl_z_hack] = ACTIONS(2717),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1107] = {
    [sym_heredoc_content] = STATE(1107),
    [anon_sym_RBRACE] = ACTIONS(2721),
    [anon_sym_SEMI] = ACTIONS(2721),
    [anon_sym_EQ] = ACTIONS(2723),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2721),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2721),
    [anon_sym_COMMA] = ACTIONS(2721),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2721),
    [anon_sym_and] = ACTIONS(2721),
    [anon_sym_or] = ACTIONS(2721),
    [anon_sym_xor] = ACTIONS(2721),
    [anon_sym_DASH_GT] = ACTIONS(2721),
    [anon_sym_PERCENT] = ACTIONS(2723),
    [anon_sym_LT] = ACTIONS(2723),
    [anon_sym_GT] = ACTIONS(2723),
    [anon_sym_LT_LT] = ACTIONS(2723),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2721),
    [anon_sym_PLUS_EQ] = ACTIONS(2721),
    [anon_sym_DASH_EQ] = ACTIONS(2721),
    [anon_sym_DOT_EQ] = ACTIONS(2721),
    [anon_sym_STAR_EQ] = ACTIONS(2721),
    [anon_sym_SLASH_EQ] = ACTIONS(2721),
    [anon_sym_PERCENT_EQ] = ACTIONS(2721),
    [anon_sym_x_EQ] = ACTIONS(2721),
    [anon_sym_AMP_EQ] = ACTIONS(2721),
    [anon_sym_PIPE_EQ] = ACTIONS(2721),
    [anon_sym_CARET_EQ] = ACTIONS(2721),
    [anon_sym_LT_LT_EQ] = ACTIONS(2721),
    [anon_sym_GT_GT_EQ] = ACTIONS(2721),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2721),
    [anon_sym_DOT_DOT] = ACTIONS(2723),
    [anon_sym_STAR_STAR] = ACTIONS(2723),
    [anon_sym_PIPE_PIPE] = ACTIONS(2723),
    [anon_sym_SLASH_SLASH] = ACTIONS(2723),
    [anon_sym_CARET_CARET] = ACTIONS(2721),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_PIPE] = ACTIONS(2723),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_AMP] = ACTIONS(2723),
    [anon_sym_GT_GT2] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2723),
    [anon_sym_DOT] = ACTIONS(2723),
    [anon_sym_STAR] = ACTIONS(2723),
    [anon_sym_SLASH] = ACTIONS(2723),
    [anon_sym_x] = ACTIONS(2723),
    [anon_sym_EQ_TILDE] = ACTIONS(2721),
    [anon_sym_BANG_TILDE] = ACTIONS(2721),
    [anon_sym_EQ_EQ] = ACTIONS(2723),
    [anon_sym_BANG_EQ] = ACTIONS(2721),
    [anon_sym_eq] = ACTIONS(2723),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2721),
    [anon_sym_equ] = ACTIONS(2721),
    [anon_sym_eqr] = ACTIONS(2721),
    [anon_sym_ne] = ACTIONS(2721),
    [anon_sym_LT_EQ_GT] = ACTIONS(2721),
    [anon_sym_cmp] = ACTIONS(2721),
    [anon_sym_TILDE_TILDE] = ACTIONS(2721),
    [anon_sym_LT_EQ] = ACTIONS(2723),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_lt] = ACTIONS(2721),
    [anon_sym_le] = ACTIONS(2721),
    [anon_sym_ge] = ACTIONS(2721),
    [anon_sym_gt] = ACTIONS(2721),
    [anon_sym_isa] = ACTIONS(2721),
    [anon_sym_PLUS_PLUS] = ACTIONS(2721),
    [anon_sym_DASH_DASH] = ACTIONS(2721),
    [anon_sym_QMARK] = ACTIONS(2721),
    [anon_sym_EQ_GT] = ACTIONS(2721),
    [anon_sym_for] = ACTIONS(2723),
    [anon_sym_foreach] = ACTIONS(2721),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2721),
    [anon_sym___END__] = ACTIONS(2721),
    [anon_sym_EOT] = ACTIONS(2721),
    [anon_sym_if] = ACTIONS(2721),
    [anon_sym_unless] = ACTIONS(2721),
    [anon_sym_while] = ACTIONS(2721),
    [anon_sym_until] = ACTIONS(2721),
    [sym__PERLY_SEMICOLON] = ACTIONS(2721),
    [sym__ctrl_z_hack] = ACTIONS(2721),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1108] = {
    [sym_heredoc_content] = STATE(1108),
    [anon_sym_RBRACE] = ACTIONS(2725),
    [anon_sym_SEMI] = ACTIONS(2725),
    [anon_sym_EQ] = ACTIONS(2727),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2725),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2725),
    [anon_sym_COMMA] = ACTIONS(2725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2725),
    [anon_sym_and] = ACTIONS(2725),
    [anon_sym_or] = ACTIONS(2725),
    [anon_sym_xor] = ACTIONS(2725),
    [anon_sym_DASH_GT] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2727),
    [anon_sym_LT] = ACTIONS(2727),
    [anon_sym_GT] = ACTIONS(2727),
    [anon_sym_LT_LT] = ACTIONS(2727),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2725),
    [anon_sym_PLUS_EQ] = ACTIONS(2725),
    [anon_sym_DASH_EQ] = ACTIONS(2725),
    [anon_sym_DOT_EQ] = ACTIONS(2725),
    [anon_sym_STAR_EQ] = ACTIONS(2725),
    [anon_sym_SLASH_EQ] = ACTIONS(2725),
    [anon_sym_PERCENT_EQ] = ACTIONS(2725),
    [anon_sym_x_EQ] = ACTIONS(2725),
    [anon_sym_AMP_EQ] = ACTIONS(2725),
    [anon_sym_PIPE_EQ] = ACTIONS(2725),
    [anon_sym_CARET_EQ] = ACTIONS(2725),
    [anon_sym_LT_LT_EQ] = ACTIONS(2725),
    [anon_sym_GT_GT_EQ] = ACTIONS(2725),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2725),
    [anon_sym_DOT_DOT] = ACTIONS(2727),
    [anon_sym_STAR_STAR] = ACTIONS(2727),
    [anon_sym_PIPE_PIPE] = ACTIONS(2727),
    [anon_sym_SLASH_SLASH] = ACTIONS(2727),
    [anon_sym_CARET_CARET] = ACTIONS(2725),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_PIPE] = ACTIONS(2727),
    [anon_sym_CARET] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_GT_GT2] = ACTIONS(2727),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2727),
    [anon_sym_DOT] = ACTIONS(2727),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_SLASH] = ACTIONS(2727),
    [anon_sym_x] = ACTIONS(2727),
    [anon_sym_EQ_TILDE] = ACTIONS(2725),
    [anon_sym_BANG_TILDE] = ACTIONS(2725),
    [anon_sym_EQ_EQ] = ACTIONS(2727),
    [anon_sym_BANG_EQ] = ACTIONS(2725),
    [anon_sym_eq] = ACTIONS(2727),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2725),
    [anon_sym_equ] = ACTIONS(2725),
    [anon_sym_eqr] = ACTIONS(2725),
    [anon_sym_ne] = ACTIONS(2725),
    [anon_sym_LT_EQ_GT] = ACTIONS(2725),
    [anon_sym_cmp] = ACTIONS(2725),
    [anon_sym_TILDE_TILDE] = ACTIONS(2725),
    [anon_sym_LT_EQ] = ACTIONS(2727),
    [anon_sym_GT_EQ] = ACTIONS(2725),
    [anon_sym_lt] = ACTIONS(2725),
    [anon_sym_le] = ACTIONS(2725),
    [anon_sym_ge] = ACTIONS(2725),
    [anon_sym_gt] = ACTIONS(2725),
    [anon_sym_isa] = ACTIONS(2725),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2725),
    [anon_sym_EQ_GT] = ACTIONS(2725),
    [anon_sym_for] = ACTIONS(2727),
    [anon_sym_foreach] = ACTIONS(2725),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2725),
    [anon_sym___END__] = ACTIONS(2725),
    [anon_sym_EOT] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2725),
    [anon_sym_unless] = ACTIONS(2725),
    [anon_sym_while] = ACTIONS(2725),
    [anon_sym_until] = ACTIONS(2725),
    [sym__PERLY_SEMICOLON] = ACTIONS(2725),
    [sym__ctrl_z_hack] = ACTIONS(2725),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1109] = {
    [sym_heredoc_content] = STATE(1109),
    [anon_sym_RBRACE] = ACTIONS(2729),
    [anon_sym_SEMI] = ACTIONS(2729),
    [anon_sym_EQ] = ACTIONS(2731),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2729),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2729),
    [anon_sym_COMMA] = ACTIONS(2729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2729),
    [anon_sym_and] = ACTIONS(2729),
    [anon_sym_or] = ACTIONS(2729),
    [anon_sym_xor] = ACTIONS(2729),
    [anon_sym_DASH_GT] = ACTIONS(2729),
    [anon_sym_PERCENT] = ACTIONS(2731),
    [anon_sym_LT] = ACTIONS(2731),
    [anon_sym_GT] = ACTIONS(2731),
    [anon_sym_LT_LT] = ACTIONS(2731),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2729),
    [anon_sym_PLUS_EQ] = ACTIONS(2729),
    [anon_sym_DASH_EQ] = ACTIONS(2729),
    [anon_sym_DOT_EQ] = ACTIONS(2729),
    [anon_sym_STAR_EQ] = ACTIONS(2729),
    [anon_sym_SLASH_EQ] = ACTIONS(2729),
    [anon_sym_PERCENT_EQ] = ACTIONS(2729),
    [anon_sym_x_EQ] = ACTIONS(2729),
    [anon_sym_AMP_EQ] = ACTIONS(2729),
    [anon_sym_PIPE_EQ] = ACTIONS(2729),
    [anon_sym_CARET_EQ] = ACTIONS(2729),
    [anon_sym_LT_LT_EQ] = ACTIONS(2729),
    [anon_sym_GT_GT_EQ] = ACTIONS(2729),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2729),
    [anon_sym_DOT_DOT] = ACTIONS(2731),
    [anon_sym_STAR_STAR] = ACTIONS(2731),
    [anon_sym_PIPE_PIPE] = ACTIONS(2731),
    [anon_sym_SLASH_SLASH] = ACTIONS(2731),
    [anon_sym_CARET_CARET] = ACTIONS(2729),
    [anon_sym_AMP_AMP] = ACTIONS(2731),
    [anon_sym_PIPE] = ACTIONS(2731),
    [anon_sym_CARET] = ACTIONS(2731),
    [anon_sym_AMP] = ACTIONS(2731),
    [anon_sym_GT_GT2] = ACTIONS(2731),
    [anon_sym_PLUS] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2731),
    [anon_sym_DOT] = ACTIONS(2731),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_SLASH] = ACTIONS(2731),
    [anon_sym_x] = ACTIONS(2731),
    [anon_sym_EQ_TILDE] = ACTIONS(2729),
    [anon_sym_BANG_TILDE] = ACTIONS(2729),
    [anon_sym_EQ_EQ] = ACTIONS(2731),
    [anon_sym_BANG_EQ] = ACTIONS(2729),
    [anon_sym_eq] = ACTIONS(2731),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2729),
    [anon_sym_equ] = ACTIONS(2729),
    [anon_sym_eqr] = ACTIONS(2729),
    [anon_sym_ne] = ACTIONS(2729),
    [anon_sym_LT_EQ_GT] = ACTIONS(2729),
    [anon_sym_cmp] = ACTIONS(2729),
    [anon_sym_TILDE_TILDE] = ACTIONS(2729),
    [anon_sym_LT_EQ] = ACTIONS(2731),
    [anon_sym_GT_EQ] = ACTIONS(2729),
    [anon_sym_lt] = ACTIONS(2729),
    [anon_sym_le] = ACTIONS(2729),
    [anon_sym_ge] = ACTIONS(2729),
    [anon_sym_gt] = ACTIONS(2729),
    [anon_sym_isa] = ACTIONS(2729),
    [anon_sym_PLUS_PLUS] = ACTIONS(2729),
    [anon_sym_DASH_DASH] = ACTIONS(2729),
    [anon_sym_QMARK] = ACTIONS(2729),
    [anon_sym_EQ_GT] = ACTIONS(2729),
    [anon_sym_for] = ACTIONS(2731),
    [anon_sym_foreach] = ACTIONS(2729),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2729),
    [anon_sym___END__] = ACTIONS(2729),
    [anon_sym_EOT] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(2729),
    [anon_sym_unless] = ACTIONS(2729),
    [anon_sym_while] = ACTIONS(2729),
    [anon_sym_until] = ACTIONS(2729),
    [sym__PERLY_SEMICOLON] = ACTIONS(2729),
    [sym__ctrl_z_hack] = ACTIONS(2729),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1110] = {
    [sym_heredoc_content] = STATE(1110),
    [anon_sym_RBRACE] = ACTIONS(2733),
    [anon_sym_SEMI] = ACTIONS(2733),
    [anon_sym_EQ] = ACTIONS(2735),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2733),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2733),
    [anon_sym_COMMA] = ACTIONS(2733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2733),
    [anon_sym_and] = ACTIONS(2733),
    [anon_sym_or] = ACTIONS(2733),
    [anon_sym_xor] = ACTIONS(2733),
    [anon_sym_DASH_GT] = ACTIONS(2733),
    [anon_sym_PERCENT] = ACTIONS(2735),
    [anon_sym_LT] = ACTIONS(2735),
    [anon_sym_GT] = ACTIONS(2735),
    [anon_sym_LT_LT] = ACTIONS(2735),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2733),
    [anon_sym_PLUS_EQ] = ACTIONS(2733),
    [anon_sym_DASH_EQ] = ACTIONS(2733),
    [anon_sym_DOT_EQ] = ACTIONS(2733),
    [anon_sym_STAR_EQ] = ACTIONS(2733),
    [anon_sym_SLASH_EQ] = ACTIONS(2733),
    [anon_sym_PERCENT_EQ] = ACTIONS(2733),
    [anon_sym_x_EQ] = ACTIONS(2733),
    [anon_sym_AMP_EQ] = ACTIONS(2733),
    [anon_sym_PIPE_EQ] = ACTIONS(2733),
    [anon_sym_CARET_EQ] = ACTIONS(2733),
    [anon_sym_LT_LT_EQ] = ACTIONS(2733),
    [anon_sym_GT_GT_EQ] = ACTIONS(2733),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2733),
    [anon_sym_DOT_DOT] = ACTIONS(2735),
    [anon_sym_STAR_STAR] = ACTIONS(2735),
    [anon_sym_PIPE_PIPE] = ACTIONS(2735),
    [anon_sym_SLASH_SLASH] = ACTIONS(2735),
    [anon_sym_CARET_CARET] = ACTIONS(2733),
    [anon_sym_AMP_AMP] = ACTIONS(2735),
    [anon_sym_PIPE] = ACTIONS(2735),
    [anon_sym_CARET] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym_GT_GT2] = ACTIONS(2735),
    [anon_sym_PLUS] = ACTIONS(2735),
    [anon_sym_DASH] = ACTIONS(2735),
    [anon_sym_DOT] = ACTIONS(2735),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_SLASH] = ACTIONS(2735),
    [anon_sym_x] = ACTIONS(2735),
    [anon_sym_EQ_TILDE] = ACTIONS(2733),
    [anon_sym_BANG_TILDE] = ACTIONS(2733),
    [anon_sym_EQ_EQ] = ACTIONS(2735),
    [anon_sym_BANG_EQ] = ACTIONS(2733),
    [anon_sym_eq] = ACTIONS(2735),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2733),
    [anon_sym_equ] = ACTIONS(2733),
    [anon_sym_eqr] = ACTIONS(2733),
    [anon_sym_ne] = ACTIONS(2733),
    [anon_sym_LT_EQ_GT] = ACTIONS(2733),
    [anon_sym_cmp] = ACTIONS(2733),
    [anon_sym_TILDE_TILDE] = ACTIONS(2733),
    [anon_sym_LT_EQ] = ACTIONS(2735),
    [anon_sym_GT_EQ] = ACTIONS(2733),
    [anon_sym_lt] = ACTIONS(2733),
    [anon_sym_le] = ACTIONS(2733),
    [anon_sym_ge] = ACTIONS(2733),
    [anon_sym_gt] = ACTIONS(2733),
    [anon_sym_isa] = ACTIONS(2733),
    [anon_sym_PLUS_PLUS] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2733),
    [anon_sym_QMARK] = ACTIONS(2733),
    [anon_sym_EQ_GT] = ACTIONS(2733),
    [anon_sym_for] = ACTIONS(2735),
    [anon_sym_foreach] = ACTIONS(2733),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2733),
    [anon_sym___END__] = ACTIONS(2733),
    [anon_sym_EOT] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2733),
    [anon_sym_unless] = ACTIONS(2733),
    [anon_sym_while] = ACTIONS(2733),
    [anon_sym_until] = ACTIONS(2733),
    [sym__PERLY_SEMICOLON] = ACTIONS(2733),
    [sym__ctrl_z_hack] = ACTIONS(2733),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1111] = {
    [sym_heredoc_content] = STATE(1111),
    [anon_sym_RBRACE] = ACTIONS(2737),
    [anon_sym_SEMI] = ACTIONS(2737),
    [anon_sym_EQ] = ACTIONS(2739),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_COMMA] = ACTIONS(2737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_and] = ACTIONS(2737),
    [anon_sym_or] = ACTIONS(2737),
    [anon_sym_xor] = ACTIONS(2737),
    [anon_sym_DASH_GT] = ACTIONS(2737),
    [anon_sym_PERCENT] = ACTIONS(2739),
    [anon_sym_LT] = ACTIONS(2739),
    [anon_sym_GT] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(2739),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2737),
    [anon_sym_PLUS_EQ] = ACTIONS(2737),
    [anon_sym_DASH_EQ] = ACTIONS(2737),
    [anon_sym_DOT_EQ] = ACTIONS(2737),
    [anon_sym_STAR_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_PERCENT_EQ] = ACTIONS(2737),
    [anon_sym_x_EQ] = ACTIONS(2737),
    [anon_sym_AMP_EQ] = ACTIONS(2737),
    [anon_sym_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_CARET_EQ] = ACTIONS(2737),
    [anon_sym_LT_LT_EQ] = ACTIONS(2737),
    [anon_sym_GT_GT_EQ] = ACTIONS(2737),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2737),
    [anon_sym_DOT_DOT] = ACTIONS(2739),
    [anon_sym_STAR_STAR] = ACTIONS(2739),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_SLASH_SLASH] = ACTIONS(2739),
    [anon_sym_CARET_CARET] = ACTIONS(2737),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2739),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_AMP] = ACTIONS(2739),
    [anon_sym_GT_GT2] = ACTIONS(2739),
    [anon_sym_PLUS] = ACTIONS(2739),
    [anon_sym_DASH] = ACTIONS(2739),
    [anon_sym_DOT] = ACTIONS(2739),
    [anon_sym_STAR] = ACTIONS(2739),
    [anon_sym_SLASH] = ACTIONS(2739),
    [anon_sym_x] = ACTIONS(2739),
    [anon_sym_EQ_TILDE] = ACTIONS(2737),
    [anon_sym_BANG_TILDE] = ACTIONS(2737),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2737),
    [anon_sym_eq] = ACTIONS(2739),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2737),
    [anon_sym_equ] = ACTIONS(2737),
    [anon_sym_eqr] = ACTIONS(2737),
    [anon_sym_ne] = ACTIONS(2737),
    [anon_sym_LT_EQ_GT] = ACTIONS(2737),
    [anon_sym_cmp] = ACTIONS(2737),
    [anon_sym_TILDE_TILDE] = ACTIONS(2737),
    [anon_sym_LT_EQ] = ACTIONS(2739),
    [anon_sym_GT_EQ] = ACTIONS(2737),
    [anon_sym_lt] = ACTIONS(2737),
    [anon_sym_le] = ACTIONS(2737),
    [anon_sym_ge] = ACTIONS(2737),
    [anon_sym_gt] = ACTIONS(2737),
    [anon_sym_isa] = ACTIONS(2737),
    [anon_sym_PLUS_PLUS] = ACTIONS(2737),
    [anon_sym_DASH_DASH] = ACTIONS(2737),
    [anon_sym_QMARK] = ACTIONS(2737),
    [anon_sym_EQ_GT] = ACTIONS(2737),
    [anon_sym_for] = ACTIONS(2739),
    [anon_sym_foreach] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2737),
    [anon_sym___END__] = ACTIONS(2737),
    [anon_sym_EOT] = ACTIONS(2737),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_unless] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(2737),
    [anon_sym_until] = ACTIONS(2737),
    [sym__PERLY_SEMICOLON] = ACTIONS(2737),
    [sym__ctrl_z_hack] = ACTIONS(2737),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1112] = {
    [sym_heredoc_content] = STATE(1112),
    [anon_sym_RBRACE] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1409),
    [anon_sym_COMMA] = ACTIONS(1409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1409),
    [anon_sym_and] = ACTIONS(1409),
    [anon_sym_or] = ACTIONS(1409),
    [anon_sym_xor] = ACTIONS(1409),
    [anon_sym_DASH_GT] = ACTIONS(1409),
    [anon_sym_PERCENT] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [anon_sym_LT_LT] = ACTIONS(1407),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1409),
    [anon_sym_PLUS_EQ] = ACTIONS(1409),
    [anon_sym_DASH_EQ] = ACTIONS(1409),
    [anon_sym_DOT_EQ] = ACTIONS(1409),
    [anon_sym_STAR_EQ] = ACTIONS(1409),
    [anon_sym_SLASH_EQ] = ACTIONS(1409),
    [anon_sym_PERCENT_EQ] = ACTIONS(1409),
    [anon_sym_x_EQ] = ACTIONS(1409),
    [anon_sym_AMP_EQ] = ACTIONS(1409),
    [anon_sym_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_CARET_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT_EQ] = ACTIONS(1409),
    [anon_sym_GT_GT_EQ] = ACTIONS(1409),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1409),
    [anon_sym_DOT_DOT] = ACTIONS(1407),
    [anon_sym_STAR_STAR] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH] = ACTIONS(1407),
    [anon_sym_CARET_CARET] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1407),
    [anon_sym_PIPE] = ACTIONS(1407),
    [anon_sym_CARET] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(1407),
    [anon_sym_GT_GT2] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_DOT] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_x] = ACTIONS(1407),
    [anon_sym_EQ_TILDE] = ACTIONS(1409),
    [anon_sym_BANG_TILDE] = ACTIONS(1409),
    [anon_sym_EQ_EQ] = ACTIONS(1407),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_eq] = ACTIONS(1407),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1409),
    [anon_sym_equ] = ACTIONS(1409),
    [anon_sym_eqr] = ACTIONS(1409),
    [anon_sym_ne] = ACTIONS(1409),
    [anon_sym_LT_EQ_GT] = ACTIONS(1409),
    [anon_sym_cmp] = ACTIONS(1409),
    [anon_sym_TILDE_TILDE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_lt] = ACTIONS(1409),
    [anon_sym_le] = ACTIONS(1409),
    [anon_sym_ge] = ACTIONS(1409),
    [anon_sym_gt] = ACTIONS(1409),
    [anon_sym_isa] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1409),
    [anon_sym_DASH_DASH] = ACTIONS(1409),
    [anon_sym_QMARK] = ACTIONS(1409),
    [anon_sym_EQ_GT] = ACTIONS(1409),
    [anon_sym_for] = ACTIONS(1407),
    [anon_sym_foreach] = ACTIONS(1409),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1409),
    [anon_sym___END__] = ACTIONS(1409),
    [anon_sym_EOT] = ACTIONS(1409),
    [anon_sym_if] = ACTIONS(1409),
    [anon_sym_unless] = ACTIONS(1409),
    [anon_sym_while] = ACTIONS(1409),
    [anon_sym_until] = ACTIONS(1409),
    [sym__PERLY_SEMICOLON] = ACTIONS(1409),
    [sym__ctrl_z_hack] = ACTIONS(1409),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1113] = {
    [sym_heredoc_content] = STATE(1113),
    [anon_sym_RBRACE] = ACTIONS(2741),
    [anon_sym_SEMI] = ACTIONS(2741),
    [anon_sym_EQ] = ACTIONS(2743),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2741),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2741),
    [anon_sym_COMMA] = ACTIONS(2741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2741),
    [anon_sym_and] = ACTIONS(2741),
    [anon_sym_or] = ACTIONS(2741),
    [anon_sym_xor] = ACTIONS(2741),
    [anon_sym_DASH_GT] = ACTIONS(2741),
    [anon_sym_PERCENT] = ACTIONS(2743),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_GT] = ACTIONS(2743),
    [anon_sym_LT_LT] = ACTIONS(2743),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2741),
    [anon_sym_PLUS_EQ] = ACTIONS(2741),
    [anon_sym_DASH_EQ] = ACTIONS(2741),
    [anon_sym_DOT_EQ] = ACTIONS(2741),
    [anon_sym_STAR_EQ] = ACTIONS(2741),
    [anon_sym_SLASH_EQ] = ACTIONS(2741),
    [anon_sym_PERCENT_EQ] = ACTIONS(2741),
    [anon_sym_x_EQ] = ACTIONS(2741),
    [anon_sym_AMP_EQ] = ACTIONS(2741),
    [anon_sym_PIPE_EQ] = ACTIONS(2741),
    [anon_sym_CARET_EQ] = ACTIONS(2741),
    [anon_sym_LT_LT_EQ] = ACTIONS(2741),
    [anon_sym_GT_GT_EQ] = ACTIONS(2741),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2741),
    [anon_sym_DOT_DOT] = ACTIONS(2743),
    [anon_sym_STAR_STAR] = ACTIONS(2743),
    [anon_sym_PIPE_PIPE] = ACTIONS(2743),
    [anon_sym_SLASH_SLASH] = ACTIONS(2743),
    [anon_sym_CARET_CARET] = ACTIONS(2741),
    [anon_sym_AMP_AMP] = ACTIONS(2743),
    [anon_sym_PIPE] = ACTIONS(2743),
    [anon_sym_CARET] = ACTIONS(2743),
    [anon_sym_AMP] = ACTIONS(2743),
    [anon_sym_GT_GT2] = ACTIONS(2743),
    [anon_sym_PLUS] = ACTIONS(2743),
    [anon_sym_DASH] = ACTIONS(2743),
    [anon_sym_DOT] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2743),
    [anon_sym_SLASH] = ACTIONS(2743),
    [anon_sym_x] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2741),
    [anon_sym_BANG_TILDE] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2743),
    [anon_sym_BANG_EQ] = ACTIONS(2741),
    [anon_sym_eq] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2741),
    [anon_sym_equ] = ACTIONS(2741),
    [anon_sym_eqr] = ACTIONS(2741),
    [anon_sym_ne] = ACTIONS(2741),
    [anon_sym_LT_EQ_GT] = ACTIONS(2741),
    [anon_sym_cmp] = ACTIONS(2741),
    [anon_sym_TILDE_TILDE] = ACTIONS(2741),
    [anon_sym_LT_EQ] = ACTIONS(2743),
    [anon_sym_GT_EQ] = ACTIONS(2741),
    [anon_sym_lt] = ACTIONS(2741),
    [anon_sym_le] = ACTIONS(2741),
    [anon_sym_ge] = ACTIONS(2741),
    [anon_sym_gt] = ACTIONS(2741),
    [anon_sym_isa] = ACTIONS(2741),
    [anon_sym_PLUS_PLUS] = ACTIONS(2741),
    [anon_sym_DASH_DASH] = ACTIONS(2741),
    [anon_sym_QMARK] = ACTIONS(2741),
    [anon_sym_EQ_GT] = ACTIONS(2741),
    [anon_sym_for] = ACTIONS(2743),
    [anon_sym_foreach] = ACTIONS(2741),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2741),
    [anon_sym___END__] = ACTIONS(2741),
    [anon_sym_EOT] = ACTIONS(2741),
    [anon_sym_if] = ACTIONS(2741),
    [anon_sym_unless] = ACTIONS(2741),
    [anon_sym_while] = ACTIONS(2741),
    [anon_sym_until] = ACTIONS(2741),
    [sym__PERLY_SEMICOLON] = ACTIONS(2741),
    [sym__ctrl_z_hack] = ACTIONS(2741),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1114] = {
    [sym_heredoc_content] = STATE(1114),
    [anon_sym_RBRACE] = ACTIONS(2745),
    [anon_sym_SEMI] = ACTIONS(2745),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2745),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2745),
    [anon_sym_COMMA] = ACTIONS(2745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2745),
    [anon_sym_and] = ACTIONS(2745),
    [anon_sym_or] = ACTIONS(2745),
    [anon_sym_xor] = ACTIONS(2745),
    [anon_sym_DASH_GT] = ACTIONS(2745),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LT_LT] = ACTIONS(2747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2745),
    [anon_sym_PLUS_EQ] = ACTIONS(2745),
    [anon_sym_DASH_EQ] = ACTIONS(2745),
    [anon_sym_DOT_EQ] = ACTIONS(2745),
    [anon_sym_STAR_EQ] = ACTIONS(2745),
    [anon_sym_SLASH_EQ] = ACTIONS(2745),
    [anon_sym_PERCENT_EQ] = ACTIONS(2745),
    [anon_sym_x_EQ] = ACTIONS(2745),
    [anon_sym_AMP_EQ] = ACTIONS(2745),
    [anon_sym_PIPE_EQ] = ACTIONS(2745),
    [anon_sym_CARET_EQ] = ACTIONS(2745),
    [anon_sym_LT_LT_EQ] = ACTIONS(2745),
    [anon_sym_GT_GT_EQ] = ACTIONS(2745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2745),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_STAR_STAR] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2747),
    [anon_sym_SLASH_SLASH] = ACTIONS(2747),
    [anon_sym_CARET_CARET] = ACTIONS(2745),
    [anon_sym_AMP_AMP] = ACTIONS(2747),
    [anon_sym_PIPE] = ACTIONS(2747),
    [anon_sym_CARET] = ACTIONS(2747),
    [anon_sym_AMP] = ACTIONS(2747),
    [anon_sym_GT_GT2] = ACTIONS(2747),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_x] = ACTIONS(2747),
    [anon_sym_EQ_TILDE] = ACTIONS(2745),
    [anon_sym_BANG_TILDE] = ACTIONS(2745),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ] = ACTIONS(2745),
    [anon_sym_eq] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2745),
    [anon_sym_equ] = ACTIONS(2745),
    [anon_sym_eqr] = ACTIONS(2745),
    [anon_sym_ne] = ACTIONS(2745),
    [anon_sym_LT_EQ_GT] = ACTIONS(2745),
    [anon_sym_cmp] = ACTIONS(2745),
    [anon_sym_TILDE_TILDE] = ACTIONS(2745),
    [anon_sym_LT_EQ] = ACTIONS(2747),
    [anon_sym_GT_EQ] = ACTIONS(2745),
    [anon_sym_lt] = ACTIONS(2745),
    [anon_sym_le] = ACTIONS(2745),
    [anon_sym_ge] = ACTIONS(2745),
    [anon_sym_gt] = ACTIONS(2745),
    [anon_sym_isa] = ACTIONS(2745),
    [anon_sym_PLUS_PLUS] = ACTIONS(2745),
    [anon_sym_DASH_DASH] = ACTIONS(2745),
    [anon_sym_QMARK] = ACTIONS(2745),
    [anon_sym_EQ_GT] = ACTIONS(2745),
    [anon_sym_for] = ACTIONS(2747),
    [anon_sym_foreach] = ACTIONS(2745),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2745),
    [anon_sym___END__] = ACTIONS(2745),
    [anon_sym_EOT] = ACTIONS(2745),
    [anon_sym_if] = ACTIONS(2745),
    [anon_sym_unless] = ACTIONS(2745),
    [anon_sym_while] = ACTIONS(2745),
    [anon_sym_until] = ACTIONS(2745),
    [sym__PERLY_SEMICOLON] = ACTIONS(2745),
    [sym__ctrl_z_hack] = ACTIONS(2745),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1115] = {
    [sym_heredoc_content] = STATE(1115),
    [anon_sym_RBRACE] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_COMMA] = ACTIONS(2749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2749),
    [anon_sym_and] = ACTIONS(2749),
    [anon_sym_or] = ACTIONS(2749),
    [anon_sym_xor] = ACTIONS(2749),
    [anon_sym_DASH_GT] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2751),
    [anon_sym_LT] = ACTIONS(2751),
    [anon_sym_GT] = ACTIONS(2751),
    [anon_sym_LT_LT] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_DOT_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_x_EQ] = ACTIONS(2749),
    [anon_sym_AMP_EQ] = ACTIONS(2749),
    [anon_sym_PIPE_EQ] = ACTIONS(2749),
    [anon_sym_CARET_EQ] = ACTIONS(2749),
    [anon_sym_LT_LT_EQ] = ACTIONS(2749),
    [anon_sym_GT_GT_EQ] = ACTIONS(2749),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2751),
    [anon_sym_STAR_STAR] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2751),
    [anon_sym_SLASH_SLASH] = ACTIONS(2751),
    [anon_sym_CARET_CARET] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2751),
    [anon_sym_AMP] = ACTIONS(2751),
    [anon_sym_GT_GT2] = ACTIONS(2751),
    [anon_sym_PLUS] = ACTIONS(2751),
    [anon_sym_DASH] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2751),
    [anon_sym_STAR] = ACTIONS(2751),
    [anon_sym_SLASH] = ACTIONS(2751),
    [anon_sym_x] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2749),
    [anon_sym_BANG_TILDE] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2751),
    [anon_sym_BANG_EQ] = ACTIONS(2749),
    [anon_sym_eq] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_equ] = ACTIONS(2749),
    [anon_sym_eqr] = ACTIONS(2749),
    [anon_sym_ne] = ACTIONS(2749),
    [anon_sym_LT_EQ_GT] = ACTIONS(2749),
    [anon_sym_cmp] = ACTIONS(2749),
    [anon_sym_TILDE_TILDE] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2751),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_lt] = ACTIONS(2749),
    [anon_sym_le] = ACTIONS(2749),
    [anon_sym_ge] = ACTIONS(2749),
    [anon_sym_gt] = ACTIONS(2749),
    [anon_sym_isa] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_QMARK] = ACTIONS(2749),
    [anon_sym_EQ_GT] = ACTIONS(2749),
    [anon_sym_for] = ACTIONS(2751),
    [anon_sym_foreach] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2749),
    [anon_sym___END__] = ACTIONS(2749),
    [anon_sym_EOT] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2749),
    [anon_sym_unless] = ACTIONS(2749),
    [anon_sym_while] = ACTIONS(2749),
    [anon_sym_until] = ACTIONS(2749),
    [sym__PERLY_SEMICOLON] = ACTIONS(2749),
    [sym__ctrl_z_hack] = ACTIONS(2749),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1116] = {
    [sym_heredoc_content] = STATE(1116),
    [anon_sym_RBRACE] = ACTIONS(2753),
    [anon_sym_SEMI] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2478),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2480),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2480),
    [anon_sym_COMMA] = ACTIONS(2753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2482),
    [anon_sym_and] = ACTIONS(2753),
    [anon_sym_or] = ACTIONS(2753),
    [anon_sym_xor] = ACTIONS(2753),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2480),
    [anon_sym_PLUS_EQ] = ACTIONS(2480),
    [anon_sym_DASH_EQ] = ACTIONS(2480),
    [anon_sym_DOT_EQ] = ACTIONS(2480),
    [anon_sym_STAR_EQ] = ACTIONS(2480),
    [anon_sym_SLASH_EQ] = ACTIONS(2480),
    [anon_sym_PERCENT_EQ] = ACTIONS(2480),
    [anon_sym_x_EQ] = ACTIONS(2480),
    [anon_sym_AMP_EQ] = ACTIONS(2480),
    [anon_sym_PIPE_EQ] = ACTIONS(2480),
    [anon_sym_CARET_EQ] = ACTIONS(2480),
    [anon_sym_LT_LT_EQ] = ACTIONS(2480),
    [anon_sym_GT_GT_EQ] = ACTIONS(2480),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2480),
    [anon_sym_DOT_DOT] = ACTIONS(2492),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_SLASH_SLASH] = ACTIONS(2496),
    [anon_sym_CARET_CARET] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_PIPE] = ACTIONS(2502),
    [anon_sym_CARET] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_eq] = ACTIONS(2510),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2512),
    [anon_sym_equ] = ACTIONS(2512),
    [anon_sym_eqr] = ACTIONS(2512),
    [anon_sym_ne] = ACTIONS(2512),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_lt] = ACTIONS(2516),
    [anon_sym_le] = ACTIONS(2516),
    [anon_sym_ge] = ACTIONS(2516),
    [anon_sym_gt] = ACTIONS(2516),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2522),
    [anon_sym_EQ_GT] = ACTIONS(2753),
    [anon_sym_for] = ACTIONS(2755),
    [anon_sym_foreach] = ACTIONS(2753),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2753),
    [anon_sym___END__] = ACTIONS(2753),
    [anon_sym_EOT] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_unless] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_until] = ACTIONS(2753),
    [sym__PERLY_SEMICOLON] = ACTIONS(2753),
    [sym__ctrl_z_hack] = ACTIONS(2753),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1117] = {
    [sym_heredoc_content] = STATE(1117),
    [anon_sym_RBRACE] = ACTIONS(2757),
    [anon_sym_SEMI] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2759),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2757),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2757),
    [anon_sym_COMMA] = ACTIONS(2757),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2757),
    [anon_sym_and] = ACTIONS(2757),
    [anon_sym_or] = ACTIONS(2757),
    [anon_sym_xor] = ACTIONS(2757),
    [anon_sym_DASH_GT] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2759),
    [anon_sym_LT] = ACTIONS(2759),
    [anon_sym_GT] = ACTIONS(2759),
    [anon_sym_LT_LT] = ACTIONS(2759),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2757),
    [anon_sym_PLUS_EQ] = ACTIONS(2757),
    [anon_sym_DASH_EQ] = ACTIONS(2757),
    [anon_sym_DOT_EQ] = ACTIONS(2757),
    [anon_sym_STAR_EQ] = ACTIONS(2757),
    [anon_sym_SLASH_EQ] = ACTIONS(2757),
    [anon_sym_PERCENT_EQ] = ACTIONS(2757),
    [anon_sym_x_EQ] = ACTIONS(2757),
    [anon_sym_AMP_EQ] = ACTIONS(2757),
    [anon_sym_PIPE_EQ] = ACTIONS(2757),
    [anon_sym_CARET_EQ] = ACTIONS(2757),
    [anon_sym_LT_LT_EQ] = ACTIONS(2757),
    [anon_sym_GT_GT_EQ] = ACTIONS(2757),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2757),
    [anon_sym_DOT_DOT] = ACTIONS(2759),
    [anon_sym_STAR_STAR] = ACTIONS(2759),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH] = ACTIONS(2759),
    [anon_sym_CARET_CARET] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_PIPE] = ACTIONS(2759),
    [anon_sym_CARET] = ACTIONS(2759),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym_GT_GT2] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2759),
    [anon_sym_DASH] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2759),
    [anon_sym_x] = ACTIONS(2759),
    [anon_sym_EQ_TILDE] = ACTIONS(2757),
    [anon_sym_BANG_TILDE] = ACTIONS(2757),
    [anon_sym_EQ_EQ] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_eq] = ACTIONS(2759),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2757),
    [anon_sym_equ] = ACTIONS(2757),
    [anon_sym_eqr] = ACTIONS(2757),
    [anon_sym_ne] = ACTIONS(2757),
    [anon_sym_LT_EQ_GT] = ACTIONS(2757),
    [anon_sym_cmp] = ACTIONS(2757),
    [anon_sym_TILDE_TILDE] = ACTIONS(2757),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2757),
    [anon_sym_lt] = ACTIONS(2757),
    [anon_sym_le] = ACTIONS(2757),
    [anon_sym_ge] = ACTIONS(2757),
    [anon_sym_gt] = ACTIONS(2757),
    [anon_sym_isa] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_DASH_DASH] = ACTIONS(2757),
    [anon_sym_QMARK] = ACTIONS(2757),
    [anon_sym_EQ_GT] = ACTIONS(2757),
    [anon_sym_for] = ACTIONS(2759),
    [anon_sym_foreach] = ACTIONS(2757),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2757),
    [anon_sym___END__] = ACTIONS(2757),
    [anon_sym_EOT] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_unless] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(2757),
    [anon_sym_until] = ACTIONS(2757),
    [sym__PERLY_SEMICOLON] = ACTIONS(2757),
    [sym__ctrl_z_hack] = ACTIONS(2757),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1118] = {
    [sym_heredoc_content] = STATE(1118),
    [anon_sym_RBRACE] = ACTIONS(2761),
    [anon_sym_SEMI] = ACTIONS(2761),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2761),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2761),
    [anon_sym_COMMA] = ACTIONS(2761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2761),
    [anon_sym_and] = ACTIONS(2761),
    [anon_sym_or] = ACTIONS(2761),
    [anon_sym_xor] = ACTIONS(2761),
    [anon_sym_DASH_GT] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2763),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_GT] = ACTIONS(2763),
    [anon_sym_LT_LT] = ACTIONS(2763),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2761),
    [anon_sym_PLUS_EQ] = ACTIONS(2761),
    [anon_sym_DASH_EQ] = ACTIONS(2761),
    [anon_sym_DOT_EQ] = ACTIONS(2761),
    [anon_sym_STAR_EQ] = ACTIONS(2761),
    [anon_sym_SLASH_EQ] = ACTIONS(2761),
    [anon_sym_PERCENT_EQ] = ACTIONS(2761),
    [anon_sym_x_EQ] = ACTIONS(2761),
    [anon_sym_AMP_EQ] = ACTIONS(2761),
    [anon_sym_PIPE_EQ] = ACTIONS(2761),
    [anon_sym_CARET_EQ] = ACTIONS(2761),
    [anon_sym_LT_LT_EQ] = ACTIONS(2761),
    [anon_sym_GT_GT_EQ] = ACTIONS(2761),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2761),
    [anon_sym_DOT_DOT] = ACTIONS(2763),
    [anon_sym_STAR_STAR] = ACTIONS(2763),
    [anon_sym_PIPE_PIPE] = ACTIONS(2763),
    [anon_sym_SLASH_SLASH] = ACTIONS(2763),
    [anon_sym_CARET_CARET] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2763),
    [anon_sym_PIPE] = ACTIONS(2763),
    [anon_sym_CARET] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2763),
    [anon_sym_GT_GT2] = ACTIONS(2763),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_DOT] = ACTIONS(2763),
    [anon_sym_STAR] = ACTIONS(2763),
    [anon_sym_SLASH] = ACTIONS(2763),
    [anon_sym_x] = ACTIONS(2763),
    [anon_sym_EQ_TILDE] = ACTIONS(2761),
    [anon_sym_BANG_TILDE] = ACTIONS(2761),
    [anon_sym_EQ_EQ] = ACTIONS(2763),
    [anon_sym_BANG_EQ] = ACTIONS(2761),
    [anon_sym_eq] = ACTIONS(2763),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2761),
    [anon_sym_equ] = ACTIONS(2761),
    [anon_sym_eqr] = ACTIONS(2761),
    [anon_sym_ne] = ACTIONS(2761),
    [anon_sym_LT_EQ_GT] = ACTIONS(2761),
    [anon_sym_cmp] = ACTIONS(2761),
    [anon_sym_TILDE_TILDE] = ACTIONS(2761),
    [anon_sym_LT_EQ] = ACTIONS(2763),
    [anon_sym_GT_EQ] = ACTIONS(2761),
    [anon_sym_lt] = ACTIONS(2761),
    [anon_sym_le] = ACTIONS(2761),
    [anon_sym_ge] = ACTIONS(2761),
    [anon_sym_gt] = ACTIONS(2761),
    [anon_sym_isa] = ACTIONS(2761),
    [anon_sym_PLUS_PLUS] = ACTIONS(2761),
    [anon_sym_DASH_DASH] = ACTIONS(2761),
    [anon_sym_QMARK] = ACTIONS(2761),
    [anon_sym_EQ_GT] = ACTIONS(2761),
    [anon_sym_for] = ACTIONS(2763),
    [anon_sym_foreach] = ACTIONS(2761),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2761),
    [anon_sym___END__] = ACTIONS(2761),
    [anon_sym_EOT] = ACTIONS(2761),
    [anon_sym_if] = ACTIONS(2761),
    [anon_sym_unless] = ACTIONS(2761),
    [anon_sym_while] = ACTIONS(2761),
    [anon_sym_until] = ACTIONS(2761),
    [sym__PERLY_SEMICOLON] = ACTIONS(2761),
    [sym__ctrl_z_hack] = ACTIONS(2761),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1119] = {
    [sym_heredoc_content] = STATE(1119),
    [anon_sym_RBRACE] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2765),
    [anon_sym_EQ] = ACTIONS(2767),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_COMMA] = ACTIONS(2765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2765),
    [anon_sym_and] = ACTIONS(2765),
    [anon_sym_or] = ACTIONS(2765),
    [anon_sym_xor] = ACTIONS(2765),
    [anon_sym_DASH_GT] = ACTIONS(2765),
    [anon_sym_PERCENT] = ACTIONS(2767),
    [anon_sym_LT] = ACTIONS(2767),
    [anon_sym_GT] = ACTIONS(2767),
    [anon_sym_LT_LT] = ACTIONS(2767),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2765),
    [anon_sym_PLUS_EQ] = ACTIONS(2765),
    [anon_sym_DASH_EQ] = ACTIONS(2765),
    [anon_sym_DOT_EQ] = ACTIONS(2765),
    [anon_sym_STAR_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_PERCENT_EQ] = ACTIONS(2765),
    [anon_sym_x_EQ] = ACTIONS(2765),
    [anon_sym_AMP_EQ] = ACTIONS(2765),
    [anon_sym_PIPE_EQ] = ACTIONS(2765),
    [anon_sym_CARET_EQ] = ACTIONS(2765),
    [anon_sym_LT_LT_EQ] = ACTIONS(2765),
    [anon_sym_GT_GT_EQ] = ACTIONS(2765),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2765),
    [anon_sym_DOT_DOT] = ACTIONS(2767),
    [anon_sym_STAR_STAR] = ACTIONS(2767),
    [anon_sym_PIPE_PIPE] = ACTIONS(2767),
    [anon_sym_SLASH_SLASH] = ACTIONS(2767),
    [anon_sym_CARET_CARET] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2767),
    [anon_sym_CARET] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_GT_GT2] = ACTIONS(2767),
    [anon_sym_PLUS] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_DOT] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_SLASH] = ACTIONS(2767),
    [anon_sym_x] = ACTIONS(2767),
    [anon_sym_EQ_TILDE] = ACTIONS(2765),
    [anon_sym_BANG_TILDE] = ACTIONS(2765),
    [anon_sym_EQ_EQ] = ACTIONS(2767),
    [anon_sym_BANG_EQ] = ACTIONS(2765),
    [anon_sym_eq] = ACTIONS(2767),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2765),
    [anon_sym_equ] = ACTIONS(2765),
    [anon_sym_eqr] = ACTIONS(2765),
    [anon_sym_ne] = ACTIONS(2765),
    [anon_sym_LT_EQ_GT] = ACTIONS(2765),
    [anon_sym_cmp] = ACTIONS(2765),
    [anon_sym_TILDE_TILDE] = ACTIONS(2765),
    [anon_sym_LT_EQ] = ACTIONS(2767),
    [anon_sym_GT_EQ] = ACTIONS(2765),
    [anon_sym_lt] = ACTIONS(2765),
    [anon_sym_le] = ACTIONS(2765),
    [anon_sym_ge] = ACTIONS(2765),
    [anon_sym_gt] = ACTIONS(2765),
    [anon_sym_isa] = ACTIONS(2765),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_QMARK] = ACTIONS(2765),
    [anon_sym_EQ_GT] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2767),
    [anon_sym_foreach] = ACTIONS(2765),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2765),
    [anon_sym___END__] = ACTIONS(2765),
    [anon_sym_EOT] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_unless] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_until] = ACTIONS(2765),
    [sym__PERLY_SEMICOLON] = ACTIONS(2765),
    [sym__ctrl_z_hack] = ACTIONS(2765),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1120] = {
    [sym_heredoc_content] = STATE(1120),
    [anon_sym_RBRACE] = ACTIONS(2769),
    [anon_sym_SEMI] = ACTIONS(2769),
    [anon_sym_EQ] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2769),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2769),
    [anon_sym_COMMA] = ACTIONS(2769),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2769),
    [anon_sym_and] = ACTIONS(2769),
    [anon_sym_or] = ACTIONS(2769),
    [anon_sym_xor] = ACTIONS(2769),
    [anon_sym_DASH_GT] = ACTIONS(2769),
    [anon_sym_PERCENT] = ACTIONS(2771),
    [anon_sym_LT] = ACTIONS(2771),
    [anon_sym_GT] = ACTIONS(2771),
    [anon_sym_LT_LT] = ACTIONS(2771),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2769),
    [anon_sym_PLUS_EQ] = ACTIONS(2769),
    [anon_sym_DASH_EQ] = ACTIONS(2769),
    [anon_sym_DOT_EQ] = ACTIONS(2769),
    [anon_sym_STAR_EQ] = ACTIONS(2769),
    [anon_sym_SLASH_EQ] = ACTIONS(2769),
    [anon_sym_PERCENT_EQ] = ACTIONS(2769),
    [anon_sym_x_EQ] = ACTIONS(2769),
    [anon_sym_AMP_EQ] = ACTIONS(2769),
    [anon_sym_PIPE_EQ] = ACTIONS(2769),
    [anon_sym_CARET_EQ] = ACTIONS(2769),
    [anon_sym_LT_LT_EQ] = ACTIONS(2769),
    [anon_sym_GT_GT_EQ] = ACTIONS(2769),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2769),
    [anon_sym_DOT_DOT] = ACTIONS(2771),
    [anon_sym_STAR_STAR] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE] = ACTIONS(2771),
    [anon_sym_SLASH_SLASH] = ACTIONS(2771),
    [anon_sym_CARET_CARET] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_PIPE] = ACTIONS(2771),
    [anon_sym_CARET] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2771),
    [anon_sym_GT_GT2] = ACTIONS(2771),
    [anon_sym_PLUS] = ACTIONS(2771),
    [anon_sym_DASH] = ACTIONS(2771),
    [anon_sym_DOT] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_x] = ACTIONS(2771),
    [anon_sym_EQ_TILDE] = ACTIONS(2769),
    [anon_sym_BANG_TILDE] = ACTIONS(2769),
    [anon_sym_EQ_EQ] = ACTIONS(2771),
    [anon_sym_BANG_EQ] = ACTIONS(2769),
    [anon_sym_eq] = ACTIONS(2771),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2769),
    [anon_sym_equ] = ACTIONS(2769),
    [anon_sym_eqr] = ACTIONS(2769),
    [anon_sym_ne] = ACTIONS(2769),
    [anon_sym_LT_EQ_GT] = ACTIONS(2769),
    [anon_sym_cmp] = ACTIONS(2769),
    [anon_sym_TILDE_TILDE] = ACTIONS(2769),
    [anon_sym_LT_EQ] = ACTIONS(2771),
    [anon_sym_GT_EQ] = ACTIONS(2769),
    [anon_sym_lt] = ACTIONS(2769),
    [anon_sym_le] = ACTIONS(2769),
    [anon_sym_ge] = ACTIONS(2769),
    [anon_sym_gt] = ACTIONS(2769),
    [anon_sym_isa] = ACTIONS(2769),
    [anon_sym_PLUS_PLUS] = ACTIONS(2769),
    [anon_sym_DASH_DASH] = ACTIONS(2769),
    [anon_sym_QMARK] = ACTIONS(2769),
    [anon_sym_EQ_GT] = ACTIONS(2769),
    [anon_sym_for] = ACTIONS(2771),
    [anon_sym_foreach] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2769),
    [anon_sym___END__] = ACTIONS(2769),
    [anon_sym_EOT] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_unless] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_until] = ACTIONS(2769),
    [sym__PERLY_SEMICOLON] = ACTIONS(2769),
    [sym__ctrl_z_hack] = ACTIONS(2769),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1121] = {
    [sym_heredoc_content] = STATE(1121),
    [anon_sym_RBRACE] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(2773),
    [anon_sym_EQ] = ACTIONS(2775),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2773),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2773),
    [anon_sym_and] = ACTIONS(2773),
    [anon_sym_or] = ACTIONS(2773),
    [anon_sym_xor] = ACTIONS(2773),
    [anon_sym_DASH_GT] = ACTIONS(2773),
    [anon_sym_PERCENT] = ACTIONS(2775),
    [anon_sym_LT] = ACTIONS(2775),
    [anon_sym_GT] = ACTIONS(2775),
    [anon_sym_LT_LT] = ACTIONS(2775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2773),
    [anon_sym_PLUS_EQ] = ACTIONS(2773),
    [anon_sym_DASH_EQ] = ACTIONS(2773),
    [anon_sym_DOT_EQ] = ACTIONS(2773),
    [anon_sym_STAR_EQ] = ACTIONS(2773),
    [anon_sym_SLASH_EQ] = ACTIONS(2773),
    [anon_sym_PERCENT_EQ] = ACTIONS(2773),
    [anon_sym_x_EQ] = ACTIONS(2773),
    [anon_sym_AMP_EQ] = ACTIONS(2773),
    [anon_sym_PIPE_EQ] = ACTIONS(2773),
    [anon_sym_CARET_EQ] = ACTIONS(2773),
    [anon_sym_LT_LT_EQ] = ACTIONS(2773),
    [anon_sym_GT_GT_EQ] = ACTIONS(2773),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2773),
    [anon_sym_DOT_DOT] = ACTIONS(2775),
    [anon_sym_STAR_STAR] = ACTIONS(2775),
    [anon_sym_PIPE_PIPE] = ACTIONS(2775),
    [anon_sym_SLASH_SLASH] = ACTIONS(2775),
    [anon_sym_CARET_CARET] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2775),
    [anon_sym_PIPE] = ACTIONS(2775),
    [anon_sym_CARET] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_GT_GT2] = ACTIONS(2775),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_DASH] = ACTIONS(2775),
    [anon_sym_DOT] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_SLASH] = ACTIONS(2775),
    [anon_sym_x] = ACTIONS(2775),
    [anon_sym_EQ_TILDE] = ACTIONS(2773),
    [anon_sym_BANG_TILDE] = ACTIONS(2773),
    [anon_sym_EQ_EQ] = ACTIONS(2775),
    [anon_sym_BANG_EQ] = ACTIONS(2773),
    [anon_sym_eq] = ACTIONS(2775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2773),
    [anon_sym_equ] = ACTIONS(2773),
    [anon_sym_eqr] = ACTIONS(2773),
    [anon_sym_ne] = ACTIONS(2773),
    [anon_sym_LT_EQ_GT] = ACTIONS(2773),
    [anon_sym_cmp] = ACTIONS(2773),
    [anon_sym_TILDE_TILDE] = ACTIONS(2773),
    [anon_sym_LT_EQ] = ACTIONS(2775),
    [anon_sym_GT_EQ] = ACTIONS(2773),
    [anon_sym_lt] = ACTIONS(2773),
    [anon_sym_le] = ACTIONS(2773),
    [anon_sym_ge] = ACTIONS(2773),
    [anon_sym_gt] = ACTIONS(2773),
    [anon_sym_isa] = ACTIONS(2773),
    [anon_sym_PLUS_PLUS] = ACTIONS(2773),
    [anon_sym_DASH_DASH] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2773),
    [anon_sym_EQ_GT] = ACTIONS(2773),
    [anon_sym_for] = ACTIONS(2775),
    [anon_sym_foreach] = ACTIONS(2773),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2773),
    [anon_sym___END__] = ACTIONS(2773),
    [anon_sym_EOT] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_unless] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_until] = ACTIONS(2773),
    [sym__PERLY_SEMICOLON] = ACTIONS(2773),
    [sym__ctrl_z_hack] = ACTIONS(2773),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1122] = {
    [sym_heredoc_content] = STATE(1122),
    [anon_sym_RBRACE] = ACTIONS(2777),
    [anon_sym_SEMI] = ACTIONS(2777),
    [anon_sym_EQ] = ACTIONS(2779),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2777),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2777),
    [anon_sym_COMMA] = ACTIONS(2777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2777),
    [anon_sym_and] = ACTIONS(2777),
    [anon_sym_or] = ACTIONS(2777),
    [anon_sym_xor] = ACTIONS(2777),
    [anon_sym_DASH_GT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(2779),
    [anon_sym_LT] = ACTIONS(2779),
    [anon_sym_GT] = ACTIONS(2779),
    [anon_sym_LT_LT] = ACTIONS(2779),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2777),
    [anon_sym_PLUS_EQ] = ACTIONS(2777),
    [anon_sym_DASH_EQ] = ACTIONS(2777),
    [anon_sym_DOT_EQ] = ACTIONS(2777),
    [anon_sym_STAR_EQ] = ACTIONS(2777),
    [anon_sym_SLASH_EQ] = ACTIONS(2777),
    [anon_sym_PERCENT_EQ] = ACTIONS(2777),
    [anon_sym_x_EQ] = ACTIONS(2777),
    [anon_sym_AMP_EQ] = ACTIONS(2777),
    [anon_sym_PIPE_EQ] = ACTIONS(2777),
    [anon_sym_CARET_EQ] = ACTIONS(2777),
    [anon_sym_LT_LT_EQ] = ACTIONS(2777),
    [anon_sym_GT_GT_EQ] = ACTIONS(2777),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2777),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_STAR_STAR] = ACTIONS(2779),
    [anon_sym_PIPE_PIPE] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH] = ACTIONS(2779),
    [anon_sym_CARET_CARET] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2779),
    [anon_sym_PIPE] = ACTIONS(2779),
    [anon_sym_CARET] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2779),
    [anon_sym_GT_GT2] = ACTIONS(2779),
    [anon_sym_PLUS] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2779),
    [anon_sym_DOT] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_SLASH] = ACTIONS(2779),
    [anon_sym_x] = ACTIONS(2779),
    [anon_sym_EQ_TILDE] = ACTIONS(2777),
    [anon_sym_BANG_TILDE] = ACTIONS(2777),
    [anon_sym_EQ_EQ] = ACTIONS(2779),
    [anon_sym_BANG_EQ] = ACTIONS(2777),
    [anon_sym_eq] = ACTIONS(2779),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2777),
    [anon_sym_equ] = ACTIONS(2777),
    [anon_sym_eqr] = ACTIONS(2777),
    [anon_sym_ne] = ACTIONS(2777),
    [anon_sym_LT_EQ_GT] = ACTIONS(2777),
    [anon_sym_cmp] = ACTIONS(2777),
    [anon_sym_TILDE_TILDE] = ACTIONS(2777),
    [anon_sym_LT_EQ] = ACTIONS(2779),
    [anon_sym_GT_EQ] = ACTIONS(2777),
    [anon_sym_lt] = ACTIONS(2777),
    [anon_sym_le] = ACTIONS(2777),
    [anon_sym_ge] = ACTIONS(2777),
    [anon_sym_gt] = ACTIONS(2777),
    [anon_sym_isa] = ACTIONS(2777),
    [anon_sym_PLUS_PLUS] = ACTIONS(2777),
    [anon_sym_DASH_DASH] = ACTIONS(2777),
    [anon_sym_QMARK] = ACTIONS(2777),
    [anon_sym_EQ_GT] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2779),
    [anon_sym_foreach] = ACTIONS(2777),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2777),
    [anon_sym___END__] = ACTIONS(2777),
    [anon_sym_EOT] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_unless] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_until] = ACTIONS(2777),
    [sym__PERLY_SEMICOLON] = ACTIONS(2777),
    [sym__ctrl_z_hack] = ACTIONS(2777),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1123] = {
    [sym_heredoc_content] = STATE(1123),
    [anon_sym_RBRACE] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2781),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2781),
    [anon_sym_COMMA] = ACTIONS(2781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2781),
    [anon_sym_and] = ACTIONS(2781),
    [anon_sym_or] = ACTIONS(2781),
    [anon_sym_xor] = ACTIONS(2781),
    [anon_sym_DASH_GT] = ACTIONS(2781),
    [anon_sym_PERCENT] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_GT] = ACTIONS(2783),
    [anon_sym_LT_LT] = ACTIONS(2783),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2781),
    [anon_sym_PLUS_EQ] = ACTIONS(2781),
    [anon_sym_DASH_EQ] = ACTIONS(2781),
    [anon_sym_DOT_EQ] = ACTIONS(2781),
    [anon_sym_STAR_EQ] = ACTIONS(2781),
    [anon_sym_SLASH_EQ] = ACTIONS(2781),
    [anon_sym_PERCENT_EQ] = ACTIONS(2781),
    [anon_sym_x_EQ] = ACTIONS(2781),
    [anon_sym_AMP_EQ] = ACTIONS(2781),
    [anon_sym_PIPE_EQ] = ACTIONS(2781),
    [anon_sym_CARET_EQ] = ACTIONS(2781),
    [anon_sym_LT_LT_EQ] = ACTIONS(2781),
    [anon_sym_GT_GT_EQ] = ACTIONS(2781),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2781),
    [anon_sym_DOT_DOT] = ACTIONS(2783),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH] = ACTIONS(2783),
    [anon_sym_CARET_CARET] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(2783),
    [anon_sym_CARET] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2783),
    [anon_sym_GT_GT2] = ACTIONS(2783),
    [anon_sym_PLUS] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_SLASH] = ACTIONS(2783),
    [anon_sym_x] = ACTIONS(2783),
    [anon_sym_EQ_TILDE] = ACTIONS(2781),
    [anon_sym_BANG_TILDE] = ACTIONS(2781),
    [anon_sym_EQ_EQ] = ACTIONS(2783),
    [anon_sym_BANG_EQ] = ACTIONS(2781),
    [anon_sym_eq] = ACTIONS(2783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2781),
    [anon_sym_equ] = ACTIONS(2781),
    [anon_sym_eqr] = ACTIONS(2781),
    [anon_sym_ne] = ACTIONS(2781),
    [anon_sym_LT_EQ_GT] = ACTIONS(2781),
    [anon_sym_cmp] = ACTIONS(2781),
    [anon_sym_TILDE_TILDE] = ACTIONS(2781),
    [anon_sym_LT_EQ] = ACTIONS(2783),
    [anon_sym_GT_EQ] = ACTIONS(2781),
    [anon_sym_lt] = ACTIONS(2781),
    [anon_sym_le] = ACTIONS(2781),
    [anon_sym_ge] = ACTIONS(2781),
    [anon_sym_gt] = ACTIONS(2781),
    [anon_sym_isa] = ACTIONS(2781),
    [anon_sym_PLUS_PLUS] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2781),
    [anon_sym_QMARK] = ACTIONS(2781),
    [anon_sym_EQ_GT] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2783),
    [anon_sym_foreach] = ACTIONS(2781),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2781),
    [anon_sym___END__] = ACTIONS(2781),
    [anon_sym_EOT] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_unless] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_until] = ACTIONS(2781),
    [sym__PERLY_SEMICOLON] = ACTIONS(2781),
    [sym__ctrl_z_hack] = ACTIONS(2781),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1124] = {
    [sym_heredoc_content] = STATE(1124),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_xor] = ACTIONS(2785),
    [anon_sym_DASH_GT] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_DOT_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_x_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_SLASH_SLASH] = ACTIONS(2787),
    [anon_sym_CARET_CARET] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_GT_GT2] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2787),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_x] = ACTIONS(2787),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_eq] = ACTIONS(2787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_equ] = ACTIONS(2785),
    [anon_sym_eqr] = ACTIONS(2785),
    [anon_sym_ne] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_cmp] = ACTIONS(2785),
    [anon_sym_TILDE_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_lt] = ACTIONS(2785),
    [anon_sym_le] = ACTIONS(2785),
    [anon_sym_ge] = ACTIONS(2785),
    [anon_sym_gt] = ACTIONS(2785),
    [anon_sym_isa] = ACTIONS(2785),
    [anon_sym_PLUS_PLUS] = ACTIONS(2785),
    [anon_sym_DASH_DASH] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_foreach] = ACTIONS(2785),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2785),
    [anon_sym___END__] = ACTIONS(2785),
    [anon_sym_EOT] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_until] = ACTIONS(2785),
    [sym__PERLY_SEMICOLON] = ACTIONS(2785),
    [sym__ctrl_z_hack] = ACTIONS(2785),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1125] = {
    [sym_heredoc_content] = STATE(1125),
    [anon_sym_RBRACE] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2791),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2789),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2789),
    [anon_sym_and] = ACTIONS(2789),
    [anon_sym_or] = ACTIONS(2789),
    [anon_sym_xor] = ACTIONS(2789),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2791),
    [anon_sym_GT] = ACTIONS(2791),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2789),
    [anon_sym_PLUS_EQ] = ACTIONS(2789),
    [anon_sym_DASH_EQ] = ACTIONS(2789),
    [anon_sym_DOT_EQ] = ACTIONS(2789),
    [anon_sym_STAR_EQ] = ACTIONS(2789),
    [anon_sym_SLASH_EQ] = ACTIONS(2789),
    [anon_sym_PERCENT_EQ] = ACTIONS(2789),
    [anon_sym_x_EQ] = ACTIONS(2789),
    [anon_sym_AMP_EQ] = ACTIONS(2789),
    [anon_sym_PIPE_EQ] = ACTIONS(2789),
    [anon_sym_CARET_EQ] = ACTIONS(2789),
    [anon_sym_LT_LT_EQ] = ACTIONS(2789),
    [anon_sym_GT_GT_EQ] = ACTIONS(2789),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2789),
    [anon_sym_DOT_DOT] = ACTIONS(2791),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2791),
    [anon_sym_SLASH_SLASH] = ACTIONS(2791),
    [anon_sym_CARET_CARET] = ACTIONS(2789),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_PIPE] = ACTIONS(2791),
    [anon_sym_CARET] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2791),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2791),
    [anon_sym_BANG_EQ] = ACTIONS(2789),
    [anon_sym_eq] = ACTIONS(2791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2789),
    [anon_sym_equ] = ACTIONS(2789),
    [anon_sym_eqr] = ACTIONS(2789),
    [anon_sym_ne] = ACTIONS(2789),
    [anon_sym_LT_EQ_GT] = ACTIONS(2789),
    [anon_sym_cmp] = ACTIONS(2789),
    [anon_sym_TILDE_TILDE] = ACTIONS(2789),
    [anon_sym_LT_EQ] = ACTIONS(2791),
    [anon_sym_GT_EQ] = ACTIONS(2789),
    [anon_sym_lt] = ACTIONS(2789),
    [anon_sym_le] = ACTIONS(2789),
    [anon_sym_ge] = ACTIONS(2789),
    [anon_sym_gt] = ACTIONS(2789),
    [anon_sym_isa] = ACTIONS(2789),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_EQ_GT] = ACTIONS(2789),
    [anon_sym_for] = ACTIONS(2791),
    [anon_sym_foreach] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2789),
    [anon_sym___END__] = ACTIONS(2789),
    [anon_sym_EOT] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_unless] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_until] = ACTIONS(2789),
    [sym__PERLY_SEMICOLON] = ACTIONS(2789),
    [sym__ctrl_z_hack] = ACTIONS(2789),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1126] = {
    [sym_heredoc_content] = STATE(1126),
    [anon_sym_RBRACE] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2793),
    [anon_sym_EQ] = ACTIONS(2795),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2793),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2793),
    [anon_sym_COMMA] = ACTIONS(2793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2793),
    [anon_sym_and] = ACTIONS(2793),
    [anon_sym_or] = ACTIONS(2793),
    [anon_sym_xor] = ACTIONS(2793),
    [anon_sym_DASH_GT] = ACTIONS(2793),
    [anon_sym_PERCENT] = ACTIONS(2795),
    [anon_sym_LT] = ACTIONS(2795),
    [anon_sym_GT] = ACTIONS(2795),
    [anon_sym_LT_LT] = ACTIONS(2795),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2793),
    [anon_sym_PLUS_EQ] = ACTIONS(2793),
    [anon_sym_DASH_EQ] = ACTIONS(2793),
    [anon_sym_DOT_EQ] = ACTIONS(2793),
    [anon_sym_STAR_EQ] = ACTIONS(2793),
    [anon_sym_SLASH_EQ] = ACTIONS(2793),
    [anon_sym_PERCENT_EQ] = ACTIONS(2793),
    [anon_sym_x_EQ] = ACTIONS(2793),
    [anon_sym_AMP_EQ] = ACTIONS(2793),
    [anon_sym_PIPE_EQ] = ACTIONS(2793),
    [anon_sym_CARET_EQ] = ACTIONS(2793),
    [anon_sym_LT_LT_EQ] = ACTIONS(2793),
    [anon_sym_GT_GT_EQ] = ACTIONS(2793),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2793),
    [anon_sym_DOT_DOT] = ACTIONS(2795),
    [anon_sym_STAR_STAR] = ACTIONS(2795),
    [anon_sym_PIPE_PIPE] = ACTIONS(2795),
    [anon_sym_SLASH_SLASH] = ACTIONS(2795),
    [anon_sym_CARET_CARET] = ACTIONS(2793),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_PIPE] = ACTIONS(2795),
    [anon_sym_CARET] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2795),
    [anon_sym_GT_GT2] = ACTIONS(2795),
    [anon_sym_PLUS] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2795),
    [anon_sym_DOT] = ACTIONS(2795),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_SLASH] = ACTIONS(2795),
    [anon_sym_x] = ACTIONS(2795),
    [anon_sym_EQ_TILDE] = ACTIONS(2793),
    [anon_sym_BANG_TILDE] = ACTIONS(2793),
    [anon_sym_EQ_EQ] = ACTIONS(2795),
    [anon_sym_BANG_EQ] = ACTIONS(2793),
    [anon_sym_eq] = ACTIONS(2795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2793),
    [anon_sym_equ] = ACTIONS(2793),
    [anon_sym_eqr] = ACTIONS(2793),
    [anon_sym_ne] = ACTIONS(2793),
    [anon_sym_LT_EQ_GT] = ACTIONS(2793),
    [anon_sym_cmp] = ACTIONS(2793),
    [anon_sym_TILDE_TILDE] = ACTIONS(2793),
    [anon_sym_LT_EQ] = ACTIONS(2795),
    [anon_sym_GT_EQ] = ACTIONS(2793),
    [anon_sym_lt] = ACTIONS(2793),
    [anon_sym_le] = ACTIONS(2793),
    [anon_sym_ge] = ACTIONS(2793),
    [anon_sym_gt] = ACTIONS(2793),
    [anon_sym_isa] = ACTIONS(2793),
    [anon_sym_PLUS_PLUS] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2793),
    [anon_sym_QMARK] = ACTIONS(2793),
    [anon_sym_EQ_GT] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2795),
    [anon_sym_foreach] = ACTIONS(2793),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2793),
    [anon_sym___END__] = ACTIONS(2793),
    [anon_sym_EOT] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_unless] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_until] = ACTIONS(2793),
    [sym__PERLY_SEMICOLON] = ACTIONS(2793),
    [sym__ctrl_z_hack] = ACTIONS(2793),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1127] = {
    [sym_heredoc_content] = STATE(1127),
    [anon_sym_RBRACE] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2797),
    [anon_sym_and] = ACTIONS(2797),
    [anon_sym_or] = ACTIONS(2797),
    [anon_sym_xor] = ACTIONS(2797),
    [anon_sym_DASH_GT] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2799),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_GT] = ACTIONS(2799),
    [anon_sym_LT_LT] = ACTIONS(2799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2797),
    [anon_sym_PLUS_EQ] = ACTIONS(2797),
    [anon_sym_DASH_EQ] = ACTIONS(2797),
    [anon_sym_DOT_EQ] = ACTIONS(2797),
    [anon_sym_STAR_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_PERCENT_EQ] = ACTIONS(2797),
    [anon_sym_x_EQ] = ACTIONS(2797),
    [anon_sym_AMP_EQ] = ACTIONS(2797),
    [anon_sym_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_CARET_EQ] = ACTIONS(2797),
    [anon_sym_LT_LT_EQ] = ACTIONS(2797),
    [anon_sym_GT_GT_EQ] = ACTIONS(2797),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2797),
    [anon_sym_DOT_DOT] = ACTIONS(2799),
    [anon_sym_STAR_STAR] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH] = ACTIONS(2799),
    [anon_sym_CARET_CARET] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_PIPE] = ACTIONS(2799),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2799),
    [anon_sym_GT_GT2] = ACTIONS(2799),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_SLASH] = ACTIONS(2799),
    [anon_sym_x] = ACTIONS(2799),
    [anon_sym_EQ_TILDE] = ACTIONS(2797),
    [anon_sym_BANG_TILDE] = ACTIONS(2797),
    [anon_sym_EQ_EQ] = ACTIONS(2799),
    [anon_sym_BANG_EQ] = ACTIONS(2797),
    [anon_sym_eq] = ACTIONS(2799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2797),
    [anon_sym_equ] = ACTIONS(2797),
    [anon_sym_eqr] = ACTIONS(2797),
    [anon_sym_ne] = ACTIONS(2797),
    [anon_sym_LT_EQ_GT] = ACTIONS(2797),
    [anon_sym_cmp] = ACTIONS(2797),
    [anon_sym_TILDE_TILDE] = ACTIONS(2797),
    [anon_sym_LT_EQ] = ACTIONS(2799),
    [anon_sym_GT_EQ] = ACTIONS(2797),
    [anon_sym_lt] = ACTIONS(2797),
    [anon_sym_le] = ACTIONS(2797),
    [anon_sym_ge] = ACTIONS(2797),
    [anon_sym_gt] = ACTIONS(2797),
    [anon_sym_isa] = ACTIONS(2797),
    [anon_sym_PLUS_PLUS] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_EQ_GT] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2799),
    [anon_sym_foreach] = ACTIONS(2797),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2797),
    [anon_sym___END__] = ACTIONS(2797),
    [anon_sym_EOT] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_unless] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_until] = ACTIONS(2797),
    [sym__PERLY_SEMICOLON] = ACTIONS(2797),
    [sym__ctrl_z_hack] = ACTIONS(2797),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1128] = {
    [sym_heredoc_content] = STATE(1128),
    [anon_sym_RBRACE] = ACTIONS(2801),
    [anon_sym_SEMI] = ACTIONS(2801),
    [anon_sym_EQ] = ACTIONS(2803),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2801),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2801),
    [anon_sym_COMMA] = ACTIONS(2801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2801),
    [anon_sym_and] = ACTIONS(2801),
    [anon_sym_or] = ACTIONS(2801),
    [anon_sym_xor] = ACTIONS(2801),
    [anon_sym_DASH_GT] = ACTIONS(2801),
    [anon_sym_PERCENT] = ACTIONS(2803),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_GT] = ACTIONS(2803),
    [anon_sym_LT_LT] = ACTIONS(2803),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2801),
    [anon_sym_PLUS_EQ] = ACTIONS(2801),
    [anon_sym_DASH_EQ] = ACTIONS(2801),
    [anon_sym_DOT_EQ] = ACTIONS(2801),
    [anon_sym_STAR_EQ] = ACTIONS(2801),
    [anon_sym_SLASH_EQ] = ACTIONS(2801),
    [anon_sym_PERCENT_EQ] = ACTIONS(2801),
    [anon_sym_x_EQ] = ACTIONS(2801),
    [anon_sym_AMP_EQ] = ACTIONS(2801),
    [anon_sym_PIPE_EQ] = ACTIONS(2801),
    [anon_sym_CARET_EQ] = ACTIONS(2801),
    [anon_sym_LT_LT_EQ] = ACTIONS(2801),
    [anon_sym_GT_GT_EQ] = ACTIONS(2801),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2801),
    [anon_sym_DOT_DOT] = ACTIONS(2803),
    [anon_sym_STAR_STAR] = ACTIONS(2803),
    [anon_sym_PIPE_PIPE] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH] = ACTIONS(2803),
    [anon_sym_CARET_CARET] = ACTIONS(2801),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_PIPE] = ACTIONS(2803),
    [anon_sym_CARET] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2803),
    [anon_sym_GT_GT2] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_DOT] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_SLASH] = ACTIONS(2803),
    [anon_sym_x] = ACTIONS(2803),
    [anon_sym_EQ_TILDE] = ACTIONS(2801),
    [anon_sym_BANG_TILDE] = ACTIONS(2801),
    [anon_sym_EQ_EQ] = ACTIONS(2803),
    [anon_sym_BANG_EQ] = ACTIONS(2801),
    [anon_sym_eq] = ACTIONS(2803),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2801),
    [anon_sym_equ] = ACTIONS(2801),
    [anon_sym_eqr] = ACTIONS(2801),
    [anon_sym_ne] = ACTIONS(2801),
    [anon_sym_LT_EQ_GT] = ACTIONS(2801),
    [anon_sym_cmp] = ACTIONS(2801),
    [anon_sym_TILDE_TILDE] = ACTIONS(2801),
    [anon_sym_LT_EQ] = ACTIONS(2803),
    [anon_sym_GT_EQ] = ACTIONS(2801),
    [anon_sym_lt] = ACTIONS(2801),
    [anon_sym_le] = ACTIONS(2801),
    [anon_sym_ge] = ACTIONS(2801),
    [anon_sym_gt] = ACTIONS(2801),
    [anon_sym_isa] = ACTIONS(2801),
    [anon_sym_PLUS_PLUS] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2801),
    [anon_sym_QMARK] = ACTIONS(2801),
    [anon_sym_EQ_GT] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2803),
    [anon_sym_foreach] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2801),
    [anon_sym___END__] = ACTIONS(2801),
    [anon_sym_EOT] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_unless] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_until] = ACTIONS(2801),
    [sym__PERLY_SEMICOLON] = ACTIONS(2801),
    [sym__ctrl_z_hack] = ACTIONS(2801),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1129] = {
    [sym_heredoc_content] = STATE(1129),
    [anon_sym_RBRACE] = ACTIONS(2805),
    [anon_sym_SEMI] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(2807),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2805),
    [anon_sym_and] = ACTIONS(2805),
    [anon_sym_or] = ACTIONS(2805),
    [anon_sym_xor] = ACTIONS(2805),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_GT] = ACTIONS(2807),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(2805),
    [anon_sym_DASH_EQ] = ACTIONS(2805),
    [anon_sym_DOT_EQ] = ACTIONS(2805),
    [anon_sym_STAR_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_PERCENT_EQ] = ACTIONS(2805),
    [anon_sym_x_EQ] = ACTIONS(2805),
    [anon_sym_AMP_EQ] = ACTIONS(2805),
    [anon_sym_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_CARET_EQ] = ACTIONS(2805),
    [anon_sym_LT_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT_GT_EQ] = ACTIONS(2805),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2805),
    [anon_sym_DOT_DOT] = ACTIONS(2807),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2807),
    [anon_sym_SLASH_SLASH] = ACTIONS(2807),
    [anon_sym_CARET_CARET] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_PIPE] = ACTIONS(2807),
    [anon_sym_CARET] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2807),
    [anon_sym_BANG_EQ] = ACTIONS(2805),
    [anon_sym_eq] = ACTIONS(2807),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2805),
    [anon_sym_equ] = ACTIONS(2805),
    [anon_sym_eqr] = ACTIONS(2805),
    [anon_sym_ne] = ACTIONS(2805),
    [anon_sym_LT_EQ_GT] = ACTIONS(2805),
    [anon_sym_cmp] = ACTIONS(2805),
    [anon_sym_TILDE_TILDE] = ACTIONS(2805),
    [anon_sym_LT_EQ] = ACTIONS(2807),
    [anon_sym_GT_EQ] = ACTIONS(2805),
    [anon_sym_lt] = ACTIONS(2805),
    [anon_sym_le] = ACTIONS(2805),
    [anon_sym_ge] = ACTIONS(2805),
    [anon_sym_gt] = ACTIONS(2805),
    [anon_sym_isa] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_EQ_GT] = ACTIONS(2805),
    [anon_sym_for] = ACTIONS(2807),
    [anon_sym_foreach] = ACTIONS(2805),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2805),
    [anon_sym___END__] = ACTIONS(2805),
    [anon_sym_EOT] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_unless] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_until] = ACTIONS(2805),
    [sym__PERLY_SEMICOLON] = ACTIONS(2805),
    [sym__ctrl_z_hack] = ACTIONS(2805),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1130] = {
    [sym_heredoc_content] = STATE(1130),
    [anon_sym_RBRACE] = ACTIONS(2809),
    [anon_sym_SEMI] = ACTIONS(2809),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2809),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2809),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2809),
    [anon_sym_and] = ACTIONS(2809),
    [anon_sym_or] = ACTIONS(2809),
    [anon_sym_xor] = ACTIONS(2809),
    [anon_sym_DASH_GT] = ACTIONS(2809),
    [anon_sym_PERCENT] = ACTIONS(2811),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_GT] = ACTIONS(2811),
    [anon_sym_LT_LT] = ACTIONS(2811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2809),
    [anon_sym_PLUS_EQ] = ACTIONS(2809),
    [anon_sym_DASH_EQ] = ACTIONS(2809),
    [anon_sym_DOT_EQ] = ACTIONS(2809),
    [anon_sym_STAR_EQ] = ACTIONS(2809),
    [anon_sym_SLASH_EQ] = ACTIONS(2809),
    [anon_sym_PERCENT_EQ] = ACTIONS(2809),
    [anon_sym_x_EQ] = ACTIONS(2809),
    [anon_sym_AMP_EQ] = ACTIONS(2809),
    [anon_sym_PIPE_EQ] = ACTIONS(2809),
    [anon_sym_CARET_EQ] = ACTIONS(2809),
    [anon_sym_LT_LT_EQ] = ACTIONS(2809),
    [anon_sym_GT_GT_EQ] = ACTIONS(2809),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2809),
    [anon_sym_DOT_DOT] = ACTIONS(2811),
    [anon_sym_STAR_STAR] = ACTIONS(2811),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH] = ACTIONS(2811),
    [anon_sym_CARET_CARET] = ACTIONS(2809),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_PIPE] = ACTIONS(2811),
    [anon_sym_CARET] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2811),
    [anon_sym_GT_GT2] = ACTIONS(2811),
    [anon_sym_PLUS] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(2811),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2811),
    [anon_sym_x] = ACTIONS(2811),
    [anon_sym_EQ_TILDE] = ACTIONS(2809),
    [anon_sym_BANG_TILDE] = ACTIONS(2809),
    [anon_sym_EQ_EQ] = ACTIONS(2811),
    [anon_sym_BANG_EQ] = ACTIONS(2809),
    [anon_sym_eq] = ACTIONS(2811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2809),
    [anon_sym_equ] = ACTIONS(2809),
    [anon_sym_eqr] = ACTIONS(2809),
    [anon_sym_ne] = ACTIONS(2809),
    [anon_sym_LT_EQ_GT] = ACTIONS(2809),
    [anon_sym_cmp] = ACTIONS(2809),
    [anon_sym_TILDE_TILDE] = ACTIONS(2809),
    [anon_sym_LT_EQ] = ACTIONS(2811),
    [anon_sym_GT_EQ] = ACTIONS(2809),
    [anon_sym_lt] = ACTIONS(2809),
    [anon_sym_le] = ACTIONS(2809),
    [anon_sym_ge] = ACTIONS(2809),
    [anon_sym_gt] = ACTIONS(2809),
    [anon_sym_isa] = ACTIONS(2809),
    [anon_sym_PLUS_PLUS] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2809),
    [anon_sym_QMARK] = ACTIONS(2809),
    [anon_sym_EQ_GT] = ACTIONS(2809),
    [anon_sym_for] = ACTIONS(2811),
    [anon_sym_foreach] = ACTIONS(2809),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2809),
    [anon_sym___END__] = ACTIONS(2809),
    [anon_sym_EOT] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_unless] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_until] = ACTIONS(2809),
    [sym__PERLY_SEMICOLON] = ACTIONS(2809),
    [sym__ctrl_z_hack] = ACTIONS(2809),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1131] = {
    [sym_heredoc_content] = STATE(1131),
    [anon_sym_RBRACE] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2813),
    [anon_sym_EQ] = ACTIONS(2815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2813),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2813),
    [anon_sym_COMMA] = ACTIONS(2813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2813),
    [anon_sym_and] = ACTIONS(2813),
    [anon_sym_or] = ACTIONS(2813),
    [anon_sym_xor] = ACTIONS(2813),
    [anon_sym_DASH_GT] = ACTIONS(2813),
    [anon_sym_PERCENT] = ACTIONS(2815),
    [anon_sym_LT] = ACTIONS(2815),
    [anon_sym_GT] = ACTIONS(2815),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2813),
    [anon_sym_PLUS_EQ] = ACTIONS(2813),
    [anon_sym_DASH_EQ] = ACTIONS(2813),
    [anon_sym_DOT_EQ] = ACTIONS(2813),
    [anon_sym_STAR_EQ] = ACTIONS(2813),
    [anon_sym_SLASH_EQ] = ACTIONS(2813),
    [anon_sym_PERCENT_EQ] = ACTIONS(2813),
    [anon_sym_x_EQ] = ACTIONS(2813),
    [anon_sym_AMP_EQ] = ACTIONS(2813),
    [anon_sym_PIPE_EQ] = ACTIONS(2813),
    [anon_sym_CARET_EQ] = ACTIONS(2813),
    [anon_sym_LT_LT_EQ] = ACTIONS(2813),
    [anon_sym_GT_GT_EQ] = ACTIONS(2813),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2813),
    [anon_sym_DOT_DOT] = ACTIONS(2815),
    [anon_sym_STAR_STAR] = ACTIONS(2815),
    [anon_sym_PIPE_PIPE] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH] = ACTIONS(2815),
    [anon_sym_CARET_CARET] = ACTIONS(2813),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_PIPE] = ACTIONS(2815),
    [anon_sym_CARET] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_GT_GT2] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_SLASH] = ACTIONS(2815),
    [anon_sym_x] = ACTIONS(2815),
    [anon_sym_EQ_TILDE] = ACTIONS(2813),
    [anon_sym_BANG_TILDE] = ACTIONS(2813),
    [anon_sym_EQ_EQ] = ACTIONS(2815),
    [anon_sym_BANG_EQ] = ACTIONS(2813),
    [anon_sym_eq] = ACTIONS(2815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2813),
    [anon_sym_equ] = ACTIONS(2813),
    [anon_sym_eqr] = ACTIONS(2813),
    [anon_sym_ne] = ACTIONS(2813),
    [anon_sym_LT_EQ_GT] = ACTIONS(2813),
    [anon_sym_cmp] = ACTIONS(2813),
    [anon_sym_TILDE_TILDE] = ACTIONS(2813),
    [anon_sym_LT_EQ] = ACTIONS(2815),
    [anon_sym_GT_EQ] = ACTIONS(2813),
    [anon_sym_lt] = ACTIONS(2813),
    [anon_sym_le] = ACTIONS(2813),
    [anon_sym_ge] = ACTIONS(2813),
    [anon_sym_gt] = ACTIONS(2813),
    [anon_sym_isa] = ACTIONS(2813),
    [anon_sym_PLUS_PLUS] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2813),
    [anon_sym_QMARK] = ACTIONS(2813),
    [anon_sym_EQ_GT] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2815),
    [anon_sym_foreach] = ACTIONS(2813),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2813),
    [anon_sym___END__] = ACTIONS(2813),
    [anon_sym_EOT] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_unless] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_until] = ACTIONS(2813),
    [sym__PERLY_SEMICOLON] = ACTIONS(2813),
    [sym__ctrl_z_hack] = ACTIONS(2813),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1132] = {
    [sym_heredoc_content] = STATE(1132),
    [anon_sym_RBRACE] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2817),
    [anon_sym_EQ] = ACTIONS(2819),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2817),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2817),
    [anon_sym_COMMA] = ACTIONS(2817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2817),
    [anon_sym_and] = ACTIONS(2817),
    [anon_sym_or] = ACTIONS(2817),
    [anon_sym_xor] = ACTIONS(2817),
    [anon_sym_DASH_GT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_GT] = ACTIONS(2819),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2817),
    [anon_sym_PLUS_EQ] = ACTIONS(2817),
    [anon_sym_DASH_EQ] = ACTIONS(2817),
    [anon_sym_DOT_EQ] = ACTIONS(2817),
    [anon_sym_STAR_EQ] = ACTIONS(2817),
    [anon_sym_SLASH_EQ] = ACTIONS(2817),
    [anon_sym_PERCENT_EQ] = ACTIONS(2817),
    [anon_sym_x_EQ] = ACTIONS(2817),
    [anon_sym_AMP_EQ] = ACTIONS(2817),
    [anon_sym_PIPE_EQ] = ACTIONS(2817),
    [anon_sym_CARET_EQ] = ACTIONS(2817),
    [anon_sym_LT_LT_EQ] = ACTIONS(2817),
    [anon_sym_GT_GT_EQ] = ACTIONS(2817),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2817),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_STAR_STAR] = ACTIONS(2819),
    [anon_sym_PIPE_PIPE] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH] = ACTIONS(2819),
    [anon_sym_CARET_CARET] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [anon_sym_GT_GT2] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_SLASH] = ACTIONS(2819),
    [anon_sym_x] = ACTIONS(2819),
    [anon_sym_EQ_TILDE] = ACTIONS(2817),
    [anon_sym_BANG_TILDE] = ACTIONS(2817),
    [anon_sym_EQ_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2817),
    [anon_sym_eq] = ACTIONS(2819),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2817),
    [anon_sym_equ] = ACTIONS(2817),
    [anon_sym_eqr] = ACTIONS(2817),
    [anon_sym_ne] = ACTIONS(2817),
    [anon_sym_LT_EQ_GT] = ACTIONS(2817),
    [anon_sym_cmp] = ACTIONS(2817),
    [anon_sym_TILDE_TILDE] = ACTIONS(2817),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2817),
    [anon_sym_lt] = ACTIONS(2817),
    [anon_sym_le] = ACTIONS(2817),
    [anon_sym_ge] = ACTIONS(2817),
    [anon_sym_gt] = ACTIONS(2817),
    [anon_sym_isa] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2817),
    [anon_sym_QMARK] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2819),
    [anon_sym_foreach] = ACTIONS(2817),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2817),
    [anon_sym___END__] = ACTIONS(2817),
    [anon_sym_EOT] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_unless] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_until] = ACTIONS(2817),
    [sym__PERLY_SEMICOLON] = ACTIONS(2817),
    [sym__ctrl_z_hack] = ACTIONS(2817),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1133] = {
    [sym_heredoc_content] = STATE(1133),
    [anon_sym_RBRACE] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2821),
    [anon_sym_EQ] = ACTIONS(2823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2821),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2821),
    [anon_sym_COMMA] = ACTIONS(2821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2821),
    [anon_sym_and] = ACTIONS(2821),
    [anon_sym_or] = ACTIONS(2821),
    [anon_sym_xor] = ACTIONS(2821),
    [anon_sym_DASH_GT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2823),
    [anon_sym_LT] = ACTIONS(2823),
    [anon_sym_GT] = ACTIONS(2823),
    [anon_sym_LT_LT] = ACTIONS(2823),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2821),
    [anon_sym_PLUS_EQ] = ACTIONS(2821),
    [anon_sym_DASH_EQ] = ACTIONS(2821),
    [anon_sym_DOT_EQ] = ACTIONS(2821),
    [anon_sym_STAR_EQ] = ACTIONS(2821),
    [anon_sym_SLASH_EQ] = ACTIONS(2821),
    [anon_sym_PERCENT_EQ] = ACTIONS(2821),
    [anon_sym_x_EQ] = ACTIONS(2821),
    [anon_sym_AMP_EQ] = ACTIONS(2821),
    [anon_sym_PIPE_EQ] = ACTIONS(2821),
    [anon_sym_CARET_EQ] = ACTIONS(2821),
    [anon_sym_LT_LT_EQ] = ACTIONS(2821),
    [anon_sym_GT_GT_EQ] = ACTIONS(2821),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2821),
    [anon_sym_DOT_DOT] = ACTIONS(2823),
    [anon_sym_STAR_STAR] = ACTIONS(2823),
    [anon_sym_PIPE_PIPE] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH] = ACTIONS(2823),
    [anon_sym_CARET_CARET] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_PIPE] = ACTIONS(2823),
    [anon_sym_CARET] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_GT_GT2] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_DOT] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_SLASH] = ACTIONS(2823),
    [anon_sym_x] = ACTIONS(2823),
    [anon_sym_EQ_TILDE] = ACTIONS(2821),
    [anon_sym_BANG_TILDE] = ACTIONS(2821),
    [anon_sym_EQ_EQ] = ACTIONS(2823),
    [anon_sym_BANG_EQ] = ACTIONS(2821),
    [anon_sym_eq] = ACTIONS(2823),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2821),
    [anon_sym_equ] = ACTIONS(2821),
    [anon_sym_eqr] = ACTIONS(2821),
    [anon_sym_ne] = ACTIONS(2821),
    [anon_sym_LT_EQ_GT] = ACTIONS(2821),
    [anon_sym_cmp] = ACTIONS(2821),
    [anon_sym_TILDE_TILDE] = ACTIONS(2821),
    [anon_sym_LT_EQ] = ACTIONS(2823),
    [anon_sym_GT_EQ] = ACTIONS(2821),
    [anon_sym_lt] = ACTIONS(2821),
    [anon_sym_le] = ACTIONS(2821),
    [anon_sym_ge] = ACTIONS(2821),
    [anon_sym_gt] = ACTIONS(2821),
    [anon_sym_isa] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2821),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_EQ_GT] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2823),
    [anon_sym_foreach] = ACTIONS(2821),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2821),
    [anon_sym___END__] = ACTIONS(2821),
    [anon_sym_EOT] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_unless] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_until] = ACTIONS(2821),
    [sym__PERLY_SEMICOLON] = ACTIONS(2821),
    [sym__ctrl_z_hack] = ACTIONS(2821),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1134] = {
    [sym_heredoc_content] = STATE(1134),
    [anon_sym_RBRACE] = ACTIONS(2825),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym_EQ] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2825),
    [anon_sym_COMMA] = ACTIONS(2825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2825),
    [anon_sym_and] = ACTIONS(2825),
    [anon_sym_or] = ACTIONS(2825),
    [anon_sym_xor] = ACTIONS(2825),
    [anon_sym_DASH_GT] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2827),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_GT] = ACTIONS(2827),
    [anon_sym_LT_LT] = ACTIONS(2827),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2825),
    [anon_sym_PLUS_EQ] = ACTIONS(2825),
    [anon_sym_DASH_EQ] = ACTIONS(2825),
    [anon_sym_DOT_EQ] = ACTIONS(2825),
    [anon_sym_STAR_EQ] = ACTIONS(2825),
    [anon_sym_SLASH_EQ] = ACTIONS(2825),
    [anon_sym_PERCENT_EQ] = ACTIONS(2825),
    [anon_sym_x_EQ] = ACTIONS(2825),
    [anon_sym_AMP_EQ] = ACTIONS(2825),
    [anon_sym_PIPE_EQ] = ACTIONS(2825),
    [anon_sym_CARET_EQ] = ACTIONS(2825),
    [anon_sym_LT_LT_EQ] = ACTIONS(2825),
    [anon_sym_GT_GT_EQ] = ACTIONS(2825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2825),
    [anon_sym_DOT_DOT] = ACTIONS(2827),
    [anon_sym_STAR_STAR] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH] = ACTIONS(2827),
    [anon_sym_CARET_CARET] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2827),
    [anon_sym_PIPE] = ACTIONS(2827),
    [anon_sym_CARET] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2827),
    [anon_sym_GT_GT2] = ACTIONS(2827),
    [anon_sym_PLUS] = ACTIONS(2827),
    [anon_sym_DASH] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_SLASH] = ACTIONS(2827),
    [anon_sym_x] = ACTIONS(2827),
    [anon_sym_EQ_TILDE] = ACTIONS(2825),
    [anon_sym_BANG_TILDE] = ACTIONS(2825),
    [anon_sym_EQ_EQ] = ACTIONS(2827),
    [anon_sym_BANG_EQ] = ACTIONS(2825),
    [anon_sym_eq] = ACTIONS(2827),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2825),
    [anon_sym_equ] = ACTIONS(2825),
    [anon_sym_eqr] = ACTIONS(2825),
    [anon_sym_ne] = ACTIONS(2825),
    [anon_sym_LT_EQ_GT] = ACTIONS(2825),
    [anon_sym_cmp] = ACTIONS(2825),
    [anon_sym_TILDE_TILDE] = ACTIONS(2825),
    [anon_sym_LT_EQ] = ACTIONS(2827),
    [anon_sym_GT_EQ] = ACTIONS(2825),
    [anon_sym_lt] = ACTIONS(2825),
    [anon_sym_le] = ACTIONS(2825),
    [anon_sym_ge] = ACTIONS(2825),
    [anon_sym_gt] = ACTIONS(2825),
    [anon_sym_isa] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2825),
    [anon_sym_EQ_GT] = ACTIONS(2825),
    [anon_sym_for] = ACTIONS(2827),
    [anon_sym_foreach] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2825),
    [anon_sym___END__] = ACTIONS(2825),
    [anon_sym_EOT] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_unless] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_until] = ACTIONS(2825),
    [sym__PERLY_SEMICOLON] = ACTIONS(2825),
    [sym__ctrl_z_hack] = ACTIONS(2825),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1135] = {
    [sym_heredoc_content] = STATE(1135),
    [anon_sym_RBRACE] = ACTIONS(2829),
    [anon_sym_SEMI] = ACTIONS(2829),
    [anon_sym_EQ] = ACTIONS(2831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2829),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2829),
    [anon_sym_COMMA] = ACTIONS(2829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2829),
    [anon_sym_and] = ACTIONS(2829),
    [anon_sym_or] = ACTIONS(2829),
    [anon_sym_xor] = ACTIONS(2829),
    [anon_sym_DASH_GT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(2831),
    [anon_sym_LT] = ACTIONS(2831),
    [anon_sym_GT] = ACTIONS(2831),
    [anon_sym_LT_LT] = ACTIONS(2831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2829),
    [anon_sym_PLUS_EQ] = ACTIONS(2829),
    [anon_sym_DASH_EQ] = ACTIONS(2829),
    [anon_sym_DOT_EQ] = ACTIONS(2829),
    [anon_sym_STAR_EQ] = ACTIONS(2829),
    [anon_sym_SLASH_EQ] = ACTIONS(2829),
    [anon_sym_PERCENT_EQ] = ACTIONS(2829),
    [anon_sym_x_EQ] = ACTIONS(2829),
    [anon_sym_AMP_EQ] = ACTIONS(2829),
    [anon_sym_PIPE_EQ] = ACTIONS(2829),
    [anon_sym_CARET_EQ] = ACTIONS(2829),
    [anon_sym_LT_LT_EQ] = ACTIONS(2829),
    [anon_sym_GT_GT_EQ] = ACTIONS(2829),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2829),
    [anon_sym_DOT_DOT] = ACTIONS(2831),
    [anon_sym_STAR_STAR] = ACTIONS(2831),
    [anon_sym_PIPE_PIPE] = ACTIONS(2831),
    [anon_sym_SLASH_SLASH] = ACTIONS(2831),
    [anon_sym_CARET_CARET] = ACTIONS(2829),
    [anon_sym_AMP_AMP] = ACTIONS(2831),
    [anon_sym_PIPE] = ACTIONS(2831),
    [anon_sym_CARET] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2831),
    [anon_sym_GT_GT2] = ACTIONS(2831),
    [anon_sym_PLUS] = ACTIONS(2831),
    [anon_sym_DASH] = ACTIONS(2831),
    [anon_sym_DOT] = ACTIONS(2831),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_SLASH] = ACTIONS(2831),
    [anon_sym_x] = ACTIONS(2831),
    [anon_sym_EQ_TILDE] = ACTIONS(2829),
    [anon_sym_BANG_TILDE] = ACTIONS(2829),
    [anon_sym_EQ_EQ] = ACTIONS(2831),
    [anon_sym_BANG_EQ] = ACTIONS(2829),
    [anon_sym_eq] = ACTIONS(2831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2829),
    [anon_sym_equ] = ACTIONS(2829),
    [anon_sym_eqr] = ACTIONS(2829),
    [anon_sym_ne] = ACTIONS(2829),
    [anon_sym_LT_EQ_GT] = ACTIONS(2829),
    [anon_sym_cmp] = ACTIONS(2829),
    [anon_sym_TILDE_TILDE] = ACTIONS(2829),
    [anon_sym_LT_EQ] = ACTIONS(2831),
    [anon_sym_GT_EQ] = ACTIONS(2829),
    [anon_sym_lt] = ACTIONS(2829),
    [anon_sym_le] = ACTIONS(2829),
    [anon_sym_ge] = ACTIONS(2829),
    [anon_sym_gt] = ACTIONS(2829),
    [anon_sym_isa] = ACTIONS(2829),
    [anon_sym_PLUS_PLUS] = ACTIONS(2829),
    [anon_sym_DASH_DASH] = ACTIONS(2829),
    [anon_sym_QMARK] = ACTIONS(2829),
    [anon_sym_EQ_GT] = ACTIONS(2829),
    [anon_sym_for] = ACTIONS(2831),
    [anon_sym_foreach] = ACTIONS(2829),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2829),
    [anon_sym___END__] = ACTIONS(2829),
    [anon_sym_EOT] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_unless] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_until] = ACTIONS(2829),
    [sym__PERLY_SEMICOLON] = ACTIONS(2829),
    [sym__ctrl_z_hack] = ACTIONS(2829),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1136] = {
    [sym_heredoc_content] = STATE(1136),
    [anon_sym_RBRACE] = ACTIONS(2737),
    [anon_sym_SEMI] = ACTIONS(2737),
    [anon_sym_EQ] = ACTIONS(2739),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_COMMA] = ACTIONS(2737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_and] = ACTIONS(2737),
    [anon_sym_or] = ACTIONS(2737),
    [anon_sym_xor] = ACTIONS(2737),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2739),
    [anon_sym_GT] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2737),
    [anon_sym_PLUS_EQ] = ACTIONS(2737),
    [anon_sym_DASH_EQ] = ACTIONS(2737),
    [anon_sym_DOT_EQ] = ACTIONS(2737),
    [anon_sym_STAR_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_PERCENT_EQ] = ACTIONS(2737),
    [anon_sym_x_EQ] = ACTIONS(2737),
    [anon_sym_AMP_EQ] = ACTIONS(2737),
    [anon_sym_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_CARET_EQ] = ACTIONS(2737),
    [anon_sym_LT_LT_EQ] = ACTIONS(2737),
    [anon_sym_GT_GT_EQ] = ACTIONS(2737),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2737),
    [anon_sym_DOT_DOT] = ACTIONS(2739),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_SLASH_SLASH] = ACTIONS(2739),
    [anon_sym_CARET_CARET] = ACTIONS(2737),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2739),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_AMP] = ACTIONS(2739),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2737),
    [anon_sym_eq] = ACTIONS(2739),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2737),
    [anon_sym_equ] = ACTIONS(2737),
    [anon_sym_eqr] = ACTIONS(2737),
    [anon_sym_ne] = ACTIONS(2737),
    [anon_sym_LT_EQ_GT] = ACTIONS(2737),
    [anon_sym_cmp] = ACTIONS(2737),
    [anon_sym_TILDE_TILDE] = ACTIONS(2737),
    [anon_sym_LT_EQ] = ACTIONS(2739),
    [anon_sym_GT_EQ] = ACTIONS(2737),
    [anon_sym_lt] = ACTIONS(2737),
    [anon_sym_le] = ACTIONS(2737),
    [anon_sym_ge] = ACTIONS(2737),
    [anon_sym_gt] = ACTIONS(2737),
    [anon_sym_isa] = ACTIONS(2737),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2737),
    [anon_sym_EQ_GT] = ACTIONS(2737),
    [anon_sym_for] = ACTIONS(2739),
    [anon_sym_foreach] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2737),
    [anon_sym___END__] = ACTIONS(2737),
    [anon_sym_EOT] = ACTIONS(2737),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_unless] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(2737),
    [anon_sym_until] = ACTIONS(2737),
    [sym__PERLY_SEMICOLON] = ACTIONS(2737),
    [sym__ctrl_z_hack] = ACTIONS(2737),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1137] = {
    [sym_heredoc_content] = STATE(1137),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2833),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2835),
    [anon_sym_foreach] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2833),
    [anon_sym___END__] = ACTIONS(2833),
    [anon_sym_EOT] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_unless] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_until] = ACTIONS(2833),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym__ctrl_z_hack] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1138] = {
    [sym_heredoc_content] = STATE(1138),
    [anon_sym_RBRACE] = ACTIONS(2837),
    [anon_sym_SEMI] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2839),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2837),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2837),
    [anon_sym_and] = ACTIONS(2837),
    [anon_sym_or] = ACTIONS(2837),
    [anon_sym_xor] = ACTIONS(2837),
    [anon_sym_DASH_GT] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2839),
    [anon_sym_LT] = ACTIONS(2839),
    [anon_sym_GT] = ACTIONS(2839),
    [anon_sym_LT_LT] = ACTIONS(2839),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2837),
    [anon_sym_PLUS_EQ] = ACTIONS(2837),
    [anon_sym_DASH_EQ] = ACTIONS(2837),
    [anon_sym_DOT_EQ] = ACTIONS(2837),
    [anon_sym_STAR_EQ] = ACTIONS(2837),
    [anon_sym_SLASH_EQ] = ACTIONS(2837),
    [anon_sym_PERCENT_EQ] = ACTIONS(2837),
    [anon_sym_x_EQ] = ACTIONS(2837),
    [anon_sym_AMP_EQ] = ACTIONS(2837),
    [anon_sym_PIPE_EQ] = ACTIONS(2837),
    [anon_sym_CARET_EQ] = ACTIONS(2837),
    [anon_sym_LT_LT_EQ] = ACTIONS(2837),
    [anon_sym_GT_GT_EQ] = ACTIONS(2837),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2837),
    [anon_sym_DOT_DOT] = ACTIONS(2839),
    [anon_sym_STAR_STAR] = ACTIONS(2839),
    [anon_sym_PIPE_PIPE] = ACTIONS(2839),
    [anon_sym_SLASH_SLASH] = ACTIONS(2839),
    [anon_sym_CARET_CARET] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_PIPE] = ACTIONS(2839),
    [anon_sym_CARET] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2839),
    [anon_sym_GT_GT2] = ACTIONS(2839),
    [anon_sym_PLUS] = ACTIONS(2839),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_SLASH] = ACTIONS(2839),
    [anon_sym_x] = ACTIONS(2839),
    [anon_sym_EQ_TILDE] = ACTIONS(2837),
    [anon_sym_BANG_TILDE] = ACTIONS(2837),
    [anon_sym_EQ_EQ] = ACTIONS(2839),
    [anon_sym_BANG_EQ] = ACTIONS(2837),
    [anon_sym_eq] = ACTIONS(2839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2837),
    [anon_sym_equ] = ACTIONS(2837),
    [anon_sym_eqr] = ACTIONS(2837),
    [anon_sym_ne] = ACTIONS(2837),
    [anon_sym_LT_EQ_GT] = ACTIONS(2837),
    [anon_sym_cmp] = ACTIONS(2837),
    [anon_sym_TILDE_TILDE] = ACTIONS(2837),
    [anon_sym_LT_EQ] = ACTIONS(2839),
    [anon_sym_GT_EQ] = ACTIONS(2837),
    [anon_sym_lt] = ACTIONS(2837),
    [anon_sym_le] = ACTIONS(2837),
    [anon_sym_ge] = ACTIONS(2837),
    [anon_sym_gt] = ACTIONS(2837),
    [anon_sym_isa] = ACTIONS(2837),
    [anon_sym_PLUS_PLUS] = ACTIONS(2837),
    [anon_sym_DASH_DASH] = ACTIONS(2837),
    [anon_sym_QMARK] = ACTIONS(2837),
    [anon_sym_EQ_GT] = ACTIONS(2837),
    [anon_sym_for] = ACTIONS(2839),
    [anon_sym_foreach] = ACTIONS(2837),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2837),
    [anon_sym___END__] = ACTIONS(2837),
    [anon_sym_EOT] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_unless] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_until] = ACTIONS(2837),
    [sym__PERLY_SEMICOLON] = ACTIONS(2837),
    [sym__ctrl_z_hack] = ACTIONS(2837),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1139] = {
    [sym_heredoc_content] = STATE(1139),
    [anon_sym_RBRACE] = ACTIONS(2841),
    [anon_sym_SEMI] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2841),
    [anon_sym_and] = ACTIONS(2841),
    [anon_sym_or] = ACTIONS(2841),
    [anon_sym_xor] = ACTIONS(2841),
    [anon_sym_DASH_GT] = ACTIONS(2841),
    [anon_sym_PERCENT] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_GT] = ACTIONS(2843),
    [anon_sym_LT_LT] = ACTIONS(2843),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2841),
    [anon_sym_PLUS_EQ] = ACTIONS(2841),
    [anon_sym_DASH_EQ] = ACTIONS(2841),
    [anon_sym_DOT_EQ] = ACTIONS(2841),
    [anon_sym_STAR_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_PERCENT_EQ] = ACTIONS(2841),
    [anon_sym_x_EQ] = ACTIONS(2841),
    [anon_sym_AMP_EQ] = ACTIONS(2841),
    [anon_sym_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_CARET_EQ] = ACTIONS(2841),
    [anon_sym_LT_LT_EQ] = ACTIONS(2841),
    [anon_sym_GT_GT_EQ] = ACTIONS(2841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2841),
    [anon_sym_DOT_DOT] = ACTIONS(2843),
    [anon_sym_STAR_STAR] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH] = ACTIONS(2843),
    [anon_sym_CARET_CARET] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_PIPE] = ACTIONS(2843),
    [anon_sym_CARET] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2843),
    [anon_sym_GT_GT2] = ACTIONS(2843),
    [anon_sym_PLUS] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2843),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_x] = ACTIONS(2843),
    [anon_sym_EQ_TILDE] = ACTIONS(2841),
    [anon_sym_BANG_TILDE] = ACTIONS(2841),
    [anon_sym_EQ_EQ] = ACTIONS(2843),
    [anon_sym_BANG_EQ] = ACTIONS(2841),
    [anon_sym_eq] = ACTIONS(2843),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2841),
    [anon_sym_equ] = ACTIONS(2841),
    [anon_sym_eqr] = ACTIONS(2841),
    [anon_sym_ne] = ACTIONS(2841),
    [anon_sym_LT_EQ_GT] = ACTIONS(2841),
    [anon_sym_cmp] = ACTIONS(2841),
    [anon_sym_TILDE_TILDE] = ACTIONS(2841),
    [anon_sym_LT_EQ] = ACTIONS(2843),
    [anon_sym_GT_EQ] = ACTIONS(2841),
    [anon_sym_lt] = ACTIONS(2841),
    [anon_sym_le] = ACTIONS(2841),
    [anon_sym_ge] = ACTIONS(2841),
    [anon_sym_gt] = ACTIONS(2841),
    [anon_sym_isa] = ACTIONS(2841),
    [anon_sym_PLUS_PLUS] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_EQ_GT] = ACTIONS(2841),
    [anon_sym_for] = ACTIONS(2843),
    [anon_sym_foreach] = ACTIONS(2841),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2841),
    [anon_sym___END__] = ACTIONS(2841),
    [anon_sym_EOT] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_unless] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_until] = ACTIONS(2841),
    [sym__PERLY_SEMICOLON] = ACTIONS(2841),
    [sym__ctrl_z_hack] = ACTIONS(2841),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1140] = {
    [sym_heredoc_content] = STATE(1140),
    [anon_sym_RBRACE] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2845),
    [anon_sym_and] = ACTIONS(2845),
    [anon_sym_or] = ACTIONS(2845),
    [anon_sym_xor] = ACTIONS(2845),
    [anon_sym_DASH_GT] = ACTIONS(2845),
    [anon_sym_PERCENT] = ACTIONS(2847),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_GT] = ACTIONS(2847),
    [anon_sym_LT_LT] = ACTIONS(2847),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2845),
    [anon_sym_PLUS_EQ] = ACTIONS(2845),
    [anon_sym_DASH_EQ] = ACTIONS(2845),
    [anon_sym_DOT_EQ] = ACTIONS(2845),
    [anon_sym_STAR_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_PERCENT_EQ] = ACTIONS(2845),
    [anon_sym_x_EQ] = ACTIONS(2845),
    [anon_sym_AMP_EQ] = ACTIONS(2845),
    [anon_sym_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_CARET_EQ] = ACTIONS(2845),
    [anon_sym_LT_LT_EQ] = ACTIONS(2845),
    [anon_sym_GT_GT_EQ] = ACTIONS(2845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2845),
    [anon_sym_DOT_DOT] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_CARET_CARET] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_GT_GT2] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_DOT] = ACTIONS(2847),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_SLASH] = ACTIONS(2847),
    [anon_sym_x] = ACTIONS(2847),
    [anon_sym_EQ_TILDE] = ACTIONS(2845),
    [anon_sym_BANG_TILDE] = ACTIONS(2845),
    [anon_sym_EQ_EQ] = ACTIONS(2847),
    [anon_sym_BANG_EQ] = ACTIONS(2845),
    [anon_sym_eq] = ACTIONS(2847),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2845),
    [anon_sym_equ] = ACTIONS(2845),
    [anon_sym_eqr] = ACTIONS(2845),
    [anon_sym_ne] = ACTIONS(2845),
    [anon_sym_LT_EQ_GT] = ACTIONS(2845),
    [anon_sym_cmp] = ACTIONS(2845),
    [anon_sym_TILDE_TILDE] = ACTIONS(2845),
    [anon_sym_LT_EQ] = ACTIONS(2847),
    [anon_sym_GT_EQ] = ACTIONS(2845),
    [anon_sym_lt] = ACTIONS(2845),
    [anon_sym_le] = ACTIONS(2845),
    [anon_sym_ge] = ACTIONS(2845),
    [anon_sym_gt] = ACTIONS(2845),
    [anon_sym_isa] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(2845),
    [anon_sym_DASH_DASH] = ACTIONS(2845),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_EQ_GT] = ACTIONS(2845),
    [anon_sym_for] = ACTIONS(2847),
    [anon_sym_foreach] = ACTIONS(2845),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2845),
    [anon_sym___END__] = ACTIONS(2845),
    [anon_sym_EOT] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_unless] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_until] = ACTIONS(2845),
    [sym__PERLY_SEMICOLON] = ACTIONS(2845),
    [sym__ctrl_z_hack] = ACTIONS(2845),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1141] = {
    [sym_heredoc_content] = STATE(1141),
    [anon_sym_RBRACE] = ACTIONS(2849),
    [anon_sym_SEMI] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2849),
    [anon_sym_and] = ACTIONS(2849),
    [anon_sym_or] = ACTIONS(2849),
    [anon_sym_xor] = ACTIONS(2849),
    [anon_sym_DASH_GT] = ACTIONS(2849),
    [anon_sym_PERCENT] = ACTIONS(2851),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_GT] = ACTIONS(2851),
    [anon_sym_LT_LT] = ACTIONS(2851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2849),
    [anon_sym_PLUS_EQ] = ACTIONS(2849),
    [anon_sym_DASH_EQ] = ACTIONS(2849),
    [anon_sym_DOT_EQ] = ACTIONS(2849),
    [anon_sym_STAR_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_PERCENT_EQ] = ACTIONS(2849),
    [anon_sym_x_EQ] = ACTIONS(2849),
    [anon_sym_AMP_EQ] = ACTIONS(2849),
    [anon_sym_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_CARET_EQ] = ACTIONS(2849),
    [anon_sym_LT_LT_EQ] = ACTIONS(2849),
    [anon_sym_GT_GT_EQ] = ACTIONS(2849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2849),
    [anon_sym_DOT_DOT] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH] = ACTIONS(2851),
    [anon_sym_CARET_CARET] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_CARET] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2851),
    [anon_sym_GT_GT2] = ACTIONS(2851),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2851),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_SLASH] = ACTIONS(2851),
    [anon_sym_x] = ACTIONS(2851),
    [anon_sym_EQ_TILDE] = ACTIONS(2849),
    [anon_sym_BANG_TILDE] = ACTIONS(2849),
    [anon_sym_EQ_EQ] = ACTIONS(2851),
    [anon_sym_BANG_EQ] = ACTIONS(2849),
    [anon_sym_eq] = ACTIONS(2851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2849),
    [anon_sym_equ] = ACTIONS(2849),
    [anon_sym_eqr] = ACTIONS(2849),
    [anon_sym_ne] = ACTIONS(2849),
    [anon_sym_LT_EQ_GT] = ACTIONS(2849),
    [anon_sym_cmp] = ACTIONS(2849),
    [anon_sym_TILDE_TILDE] = ACTIONS(2849),
    [anon_sym_LT_EQ] = ACTIONS(2851),
    [anon_sym_GT_EQ] = ACTIONS(2849),
    [anon_sym_lt] = ACTIONS(2849),
    [anon_sym_le] = ACTIONS(2849),
    [anon_sym_ge] = ACTIONS(2849),
    [anon_sym_gt] = ACTIONS(2849),
    [anon_sym_isa] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_EQ_GT] = ACTIONS(2849),
    [anon_sym_for] = ACTIONS(2851),
    [anon_sym_foreach] = ACTIONS(2849),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2849),
    [anon_sym___END__] = ACTIONS(2849),
    [anon_sym_EOT] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_unless] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_until] = ACTIONS(2849),
    [sym__PERLY_SEMICOLON] = ACTIONS(2849),
    [sym__ctrl_z_hack] = ACTIONS(2849),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1142] = {
    [sym_heredoc_content] = STATE(1142),
    [anon_sym_RBRACE] = ACTIONS(2853),
    [anon_sym_SEMI] = ACTIONS(2853),
    [anon_sym_EQ] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2853),
    [anon_sym_and] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2853),
    [anon_sym_xor] = ACTIONS(2853),
    [anon_sym_DASH_GT] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2855),
    [anon_sym_GT] = ACTIONS(2855),
    [anon_sym_LT_LT] = ACTIONS(2855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2853),
    [anon_sym_PLUS_EQ] = ACTIONS(2853),
    [anon_sym_DASH_EQ] = ACTIONS(2853),
    [anon_sym_DOT_EQ] = ACTIONS(2853),
    [anon_sym_STAR_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_PERCENT_EQ] = ACTIONS(2853),
    [anon_sym_x_EQ] = ACTIONS(2853),
    [anon_sym_AMP_EQ] = ACTIONS(2853),
    [anon_sym_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_CARET_EQ] = ACTIONS(2853),
    [anon_sym_LT_LT_EQ] = ACTIONS(2853),
    [anon_sym_GT_GT_EQ] = ACTIONS(2853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2853),
    [anon_sym_DOT_DOT] = ACTIONS(2855),
    [anon_sym_STAR_STAR] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_SLASH_SLASH] = ACTIONS(2855),
    [anon_sym_CARET_CARET] = ACTIONS(2853),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_PIPE] = ACTIONS(2855),
    [anon_sym_CARET] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_GT_GT2] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_SLASH] = ACTIONS(2855),
    [anon_sym_x] = ACTIONS(2855),
    [anon_sym_EQ_TILDE] = ACTIONS(2853),
    [anon_sym_BANG_TILDE] = ACTIONS(2853),
    [anon_sym_EQ_EQ] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_eq] = ACTIONS(2855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2853),
    [anon_sym_equ] = ACTIONS(2853),
    [anon_sym_eqr] = ACTIONS(2853),
    [anon_sym_ne] = ACTIONS(2853),
    [anon_sym_LT_EQ_GT] = ACTIONS(2853),
    [anon_sym_cmp] = ACTIONS(2853),
    [anon_sym_TILDE_TILDE] = ACTIONS(2853),
    [anon_sym_LT_EQ] = ACTIONS(2855),
    [anon_sym_GT_EQ] = ACTIONS(2853),
    [anon_sym_lt] = ACTIONS(2853),
    [anon_sym_le] = ACTIONS(2853),
    [anon_sym_ge] = ACTIONS(2853),
    [anon_sym_gt] = ACTIONS(2853),
    [anon_sym_isa] = ACTIONS(2853),
    [anon_sym_PLUS_PLUS] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2853),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_EQ_GT] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_foreach] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2853),
    [anon_sym___END__] = ACTIONS(2853),
    [anon_sym_EOT] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_unless] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(2853),
    [anon_sym_until] = ACTIONS(2853),
    [sym__PERLY_SEMICOLON] = ACTIONS(2853),
    [sym__ctrl_z_hack] = ACTIONS(2853),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1143] = {
    [sym_heredoc_content] = STATE(1143),
    [anon_sym_RBRACE] = ACTIONS(2857),
    [anon_sym_SEMI] = ACTIONS(2857),
    [anon_sym_EQ] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_COMMA] = ACTIONS(2857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2857),
    [anon_sym_and] = ACTIONS(2857),
    [anon_sym_or] = ACTIONS(2857),
    [anon_sym_xor] = ACTIONS(2857),
    [anon_sym_DASH_GT] = ACTIONS(2857),
    [anon_sym_PERCENT] = ACTIONS(2859),
    [anon_sym_LT] = ACTIONS(2859),
    [anon_sym_GT] = ACTIONS(2859),
    [anon_sym_LT_LT] = ACTIONS(2859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2857),
    [anon_sym_PLUS_EQ] = ACTIONS(2857),
    [anon_sym_DASH_EQ] = ACTIONS(2857),
    [anon_sym_DOT_EQ] = ACTIONS(2857),
    [anon_sym_STAR_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_PERCENT_EQ] = ACTIONS(2857),
    [anon_sym_x_EQ] = ACTIONS(2857),
    [anon_sym_AMP_EQ] = ACTIONS(2857),
    [anon_sym_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_CARET_EQ] = ACTIONS(2857),
    [anon_sym_LT_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT_GT_EQ] = ACTIONS(2857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2857),
    [anon_sym_DOT_DOT] = ACTIONS(2859),
    [anon_sym_STAR_STAR] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE] = ACTIONS(2859),
    [anon_sym_SLASH_SLASH] = ACTIONS(2859),
    [anon_sym_CARET_CARET] = ACTIONS(2857),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_PIPE] = ACTIONS(2859),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2859),
    [anon_sym_GT_GT2] = ACTIONS(2859),
    [anon_sym_PLUS] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2859),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_SLASH] = ACTIONS(2859),
    [anon_sym_x] = ACTIONS(2859),
    [anon_sym_EQ_TILDE] = ACTIONS(2857),
    [anon_sym_BANG_TILDE] = ACTIONS(2857),
    [anon_sym_EQ_EQ] = ACTIONS(2859),
    [anon_sym_BANG_EQ] = ACTIONS(2857),
    [anon_sym_eq] = ACTIONS(2859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2857),
    [anon_sym_equ] = ACTIONS(2857),
    [anon_sym_eqr] = ACTIONS(2857),
    [anon_sym_ne] = ACTIONS(2857),
    [anon_sym_LT_EQ_GT] = ACTIONS(2857),
    [anon_sym_cmp] = ACTIONS(2857),
    [anon_sym_TILDE_TILDE] = ACTIONS(2857),
    [anon_sym_LT_EQ] = ACTIONS(2859),
    [anon_sym_GT_EQ] = ACTIONS(2857),
    [anon_sym_lt] = ACTIONS(2857),
    [anon_sym_le] = ACTIONS(2857),
    [anon_sym_ge] = ACTIONS(2857),
    [anon_sym_gt] = ACTIONS(2857),
    [anon_sym_isa] = ACTIONS(2857),
    [anon_sym_PLUS_PLUS] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2857),
    [anon_sym_QMARK] = ACTIONS(2857),
    [anon_sym_EQ_GT] = ACTIONS(2857),
    [anon_sym_for] = ACTIONS(2859),
    [anon_sym_foreach] = ACTIONS(2857),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2857),
    [anon_sym___END__] = ACTIONS(2857),
    [anon_sym_EOT] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(2857),
    [anon_sym_unless] = ACTIONS(2857),
    [anon_sym_while] = ACTIONS(2857),
    [anon_sym_until] = ACTIONS(2857),
    [sym__PERLY_SEMICOLON] = ACTIONS(2857),
    [sym__ctrl_z_hack] = ACTIONS(2857),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1144] = {
    [sym_heredoc_content] = STATE(1144),
    [anon_sym_RBRACE] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2861),
    [anon_sym_EQ] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_COMMA] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2861),
    [anon_sym_and] = ACTIONS(2861),
    [anon_sym_or] = ACTIONS(2861),
    [anon_sym_xor] = ACTIONS(2861),
    [anon_sym_DASH_GT] = ACTIONS(2861),
    [anon_sym_PERCENT] = ACTIONS(2863),
    [anon_sym_LT] = ACTIONS(2863),
    [anon_sym_GT] = ACTIONS(2863),
    [anon_sym_LT_LT] = ACTIONS(2863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2861),
    [anon_sym_PLUS_EQ] = ACTIONS(2861),
    [anon_sym_DASH_EQ] = ACTIONS(2861),
    [anon_sym_DOT_EQ] = ACTIONS(2861),
    [anon_sym_STAR_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_PERCENT_EQ] = ACTIONS(2861),
    [anon_sym_x_EQ] = ACTIONS(2861),
    [anon_sym_AMP_EQ] = ACTIONS(2861),
    [anon_sym_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_CARET_EQ] = ACTIONS(2861),
    [anon_sym_LT_LT_EQ] = ACTIONS(2861),
    [anon_sym_GT_GT_EQ] = ACTIONS(2861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2861),
    [anon_sym_DOT_DOT] = ACTIONS(2863),
    [anon_sym_STAR_STAR] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE] = ACTIONS(2863),
    [anon_sym_SLASH_SLASH] = ACTIONS(2863),
    [anon_sym_CARET_CARET] = ACTIONS(2861),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_PIPE] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_GT_GT2] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_DOT] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_SLASH] = ACTIONS(2863),
    [anon_sym_x] = ACTIONS(2863),
    [anon_sym_EQ_TILDE] = ACTIONS(2861),
    [anon_sym_BANG_TILDE] = ACTIONS(2861),
    [anon_sym_EQ_EQ] = ACTIONS(2863),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_eq] = ACTIONS(2863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2861),
    [anon_sym_equ] = ACTIONS(2861),
    [anon_sym_eqr] = ACTIONS(2861),
    [anon_sym_ne] = ACTIONS(2861),
    [anon_sym_LT_EQ_GT] = ACTIONS(2861),
    [anon_sym_cmp] = ACTIONS(2861),
    [anon_sym_TILDE_TILDE] = ACTIONS(2861),
    [anon_sym_LT_EQ] = ACTIONS(2863),
    [anon_sym_GT_EQ] = ACTIONS(2861),
    [anon_sym_lt] = ACTIONS(2861),
    [anon_sym_le] = ACTIONS(2861),
    [anon_sym_ge] = ACTIONS(2861),
    [anon_sym_gt] = ACTIONS(2861),
    [anon_sym_isa] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2861),
    [anon_sym_QMARK] = ACTIONS(2861),
    [anon_sym_EQ_GT] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2863),
    [anon_sym_foreach] = ACTIONS(2861),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2861),
    [anon_sym___END__] = ACTIONS(2861),
    [anon_sym_EOT] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_unless] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_until] = ACTIONS(2861),
    [sym__PERLY_SEMICOLON] = ACTIONS(2861),
    [sym__ctrl_z_hack] = ACTIONS(2861),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1145] = {
    [sym_heredoc_content] = STATE(1145),
    [anon_sym_RBRACE] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2865),
    [anon_sym_EQ] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_COMMA] = ACTIONS(2865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2865),
    [anon_sym_and] = ACTIONS(2865),
    [anon_sym_or] = ACTIONS(2865),
    [anon_sym_xor] = ACTIONS(2865),
    [anon_sym_DASH_GT] = ACTIONS(2865),
    [anon_sym_PERCENT] = ACTIONS(2867),
    [anon_sym_LT] = ACTIONS(2867),
    [anon_sym_GT] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2867),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2865),
    [anon_sym_PLUS_EQ] = ACTIONS(2865),
    [anon_sym_DASH_EQ] = ACTIONS(2865),
    [anon_sym_DOT_EQ] = ACTIONS(2865),
    [anon_sym_STAR_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_PERCENT_EQ] = ACTIONS(2865),
    [anon_sym_x_EQ] = ACTIONS(2865),
    [anon_sym_AMP_EQ] = ACTIONS(2865),
    [anon_sym_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_CARET_EQ] = ACTIONS(2865),
    [anon_sym_LT_LT_EQ] = ACTIONS(2865),
    [anon_sym_GT_GT_EQ] = ACTIONS(2865),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2865),
    [anon_sym_DOT_DOT] = ACTIONS(2867),
    [anon_sym_STAR_STAR] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_SLASH_SLASH] = ACTIONS(2867),
    [anon_sym_CARET_CARET] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_PIPE] = ACTIONS(2867),
    [anon_sym_CARET] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_GT_GT2] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_DOT] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_SLASH] = ACTIONS(2867),
    [anon_sym_x] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2865),
    [anon_sym_BANG_TILDE] = ACTIONS(2865),
    [anon_sym_EQ_EQ] = ACTIONS(2867),
    [anon_sym_BANG_EQ] = ACTIONS(2865),
    [anon_sym_eq] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2865),
    [anon_sym_equ] = ACTIONS(2865),
    [anon_sym_eqr] = ACTIONS(2865),
    [anon_sym_ne] = ACTIONS(2865),
    [anon_sym_LT_EQ_GT] = ACTIONS(2865),
    [anon_sym_cmp] = ACTIONS(2865),
    [anon_sym_TILDE_TILDE] = ACTIONS(2865),
    [anon_sym_LT_EQ] = ACTIONS(2867),
    [anon_sym_GT_EQ] = ACTIONS(2865),
    [anon_sym_lt] = ACTIONS(2865),
    [anon_sym_le] = ACTIONS(2865),
    [anon_sym_ge] = ACTIONS(2865),
    [anon_sym_gt] = ACTIONS(2865),
    [anon_sym_isa] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2865),
    [anon_sym_EQ_GT] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_foreach] = ACTIONS(2865),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2865),
    [anon_sym___END__] = ACTIONS(2865),
    [anon_sym_EOT] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_unless] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_until] = ACTIONS(2865),
    [sym__PERLY_SEMICOLON] = ACTIONS(2865),
    [sym__ctrl_z_hack] = ACTIONS(2865),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1146] = {
    [sym_heredoc_content] = STATE(1146),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym_EQ] = ACTIONS(1846),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2871),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(2869),
    [anon_sym_or] = ACTIONS(2869),
    [anon_sym_xor] = ACTIONS(2869),
    [anon_sym_DASH_GT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1846),
    [anon_sym_LT] = ACTIONS(1846),
    [anon_sym_GT] = ACTIONS(1846),
    [anon_sym_LT_LT] = ACTIONS(1846),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2869),
    [anon_sym_PLUS_EQ] = ACTIONS(2869),
    [anon_sym_DASH_EQ] = ACTIONS(2869),
    [anon_sym_DOT_EQ] = ACTIONS(2869),
    [anon_sym_STAR_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_PERCENT_EQ] = ACTIONS(2869),
    [anon_sym_x_EQ] = ACTIONS(2869),
    [anon_sym_AMP_EQ] = ACTIONS(2869),
    [anon_sym_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_CARET_EQ] = ACTIONS(2869),
    [anon_sym_LT_LT_EQ] = ACTIONS(2869),
    [anon_sym_GT_GT_EQ] = ACTIONS(2869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2869),
    [anon_sym_DOT_DOT] = ACTIONS(1846),
    [anon_sym_STAR_STAR] = ACTIONS(1846),
    [anon_sym_PIPE_PIPE] = ACTIONS(1846),
    [anon_sym_SLASH_SLASH] = ACTIONS(1846),
    [anon_sym_CARET_CARET] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(1846),
    [anon_sym_PIPE] = ACTIONS(1846),
    [anon_sym_CARET] = ACTIONS(1846),
    [anon_sym_AMP] = ACTIONS(1846),
    [anon_sym_GT_GT2] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1846),
    [anon_sym_DASH] = ACTIONS(1846),
    [anon_sym_DOT] = ACTIONS(1846),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_SLASH] = ACTIONS(1846),
    [anon_sym_x] = ACTIONS(1846),
    [anon_sym_EQ_TILDE] = ACTIONS(2869),
    [anon_sym_BANG_TILDE] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(1846),
    [anon_sym_BANG_EQ] = ACTIONS(2869),
    [anon_sym_eq] = ACTIONS(1846),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2869),
    [anon_sym_equ] = ACTIONS(2869),
    [anon_sym_eqr] = ACTIONS(2869),
    [anon_sym_ne] = ACTIONS(2869),
    [anon_sym_LT_EQ_GT] = ACTIONS(2869),
    [anon_sym_cmp] = ACTIONS(2869),
    [anon_sym_TILDE_TILDE] = ACTIONS(2869),
    [anon_sym_LT_EQ] = ACTIONS(1846),
    [anon_sym_GT_EQ] = ACTIONS(2869),
    [anon_sym_lt] = ACTIONS(2869),
    [anon_sym_le] = ACTIONS(2869),
    [anon_sym_ge] = ACTIONS(2869),
    [anon_sym_gt] = ACTIONS(2869),
    [anon_sym_isa] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_QMARK] = ACTIONS(2869),
    [anon_sym_EQ_GT] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(1846),
    [anon_sym_foreach] = ACTIONS(2869),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2869),
    [anon_sym___END__] = ACTIONS(2869),
    [anon_sym_EOT] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_unless] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_until] = ACTIONS(2869),
    [sym__PERLY_SEMICOLON] = ACTIONS(2869),
    [sym__ctrl_z_hack] = ACTIONS(2869),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1147] = {
    [sym_heredoc_content] = STATE(1147),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_COMMA] = ACTIONS(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2873),
    [anon_sym_and] = ACTIONS(2873),
    [anon_sym_or] = ACTIONS(2873),
    [anon_sym_xor] = ACTIONS(2873),
    [anon_sym_DASH_GT] = ACTIONS(2873),
    [anon_sym_PERCENT] = ACTIONS(2875),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_LT_LT] = ACTIONS(2875),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2873),
    [anon_sym_PLUS_EQ] = ACTIONS(2873),
    [anon_sym_DASH_EQ] = ACTIONS(2873),
    [anon_sym_DOT_EQ] = ACTIONS(2873),
    [anon_sym_STAR_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_PERCENT_EQ] = ACTIONS(2873),
    [anon_sym_x_EQ] = ACTIONS(2873),
    [anon_sym_AMP_EQ] = ACTIONS(2873),
    [anon_sym_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_CARET_EQ] = ACTIONS(2873),
    [anon_sym_LT_LT_EQ] = ACTIONS(2873),
    [anon_sym_GT_GT_EQ] = ACTIONS(2873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2873),
    [anon_sym_DOT_DOT] = ACTIONS(2875),
    [anon_sym_STAR_STAR] = ACTIONS(2875),
    [anon_sym_PIPE_PIPE] = ACTIONS(2875),
    [anon_sym_SLASH_SLASH] = ACTIONS(2875),
    [anon_sym_CARET_CARET] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2875),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_GT_GT2] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_DOT] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_SLASH] = ACTIONS(2875),
    [anon_sym_x] = ACTIONS(2875),
    [anon_sym_EQ_TILDE] = ACTIONS(2873),
    [anon_sym_BANG_TILDE] = ACTIONS(2873),
    [anon_sym_EQ_EQ] = ACTIONS(2875),
    [anon_sym_BANG_EQ] = ACTIONS(2873),
    [anon_sym_eq] = ACTIONS(2875),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2873),
    [anon_sym_equ] = ACTIONS(2873),
    [anon_sym_eqr] = ACTIONS(2873),
    [anon_sym_ne] = ACTIONS(2873),
    [anon_sym_LT_EQ_GT] = ACTIONS(2873),
    [anon_sym_cmp] = ACTIONS(2873),
    [anon_sym_TILDE_TILDE] = ACTIONS(2873),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_lt] = ACTIONS(2873),
    [anon_sym_le] = ACTIONS(2873),
    [anon_sym_ge] = ACTIONS(2873),
    [anon_sym_gt] = ACTIONS(2873),
    [anon_sym_isa] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_QMARK] = ACTIONS(2873),
    [anon_sym_EQ_GT] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2875),
    [anon_sym_foreach] = ACTIONS(2873),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2873),
    [anon_sym___END__] = ACTIONS(2873),
    [anon_sym_EOT] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_unless] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_until] = ACTIONS(2873),
    [sym__PERLY_SEMICOLON] = ACTIONS(2873),
    [sym__ctrl_z_hack] = ACTIONS(2873),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1148] = {
    [sym_heredoc_content] = STATE(1148),
    [anon_sym_RBRACE] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_COMMA] = ACTIONS(2871),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2749),
    [anon_sym_and] = ACTIONS(2749),
    [anon_sym_or] = ACTIONS(2749),
    [anon_sym_xor] = ACTIONS(2749),
    [anon_sym_DASH_GT] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2751),
    [anon_sym_LT] = ACTIONS(2751),
    [anon_sym_GT] = ACTIONS(2751),
    [anon_sym_LT_LT] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_DOT_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_x_EQ] = ACTIONS(2749),
    [anon_sym_AMP_EQ] = ACTIONS(2749),
    [anon_sym_PIPE_EQ] = ACTIONS(2749),
    [anon_sym_CARET_EQ] = ACTIONS(2749),
    [anon_sym_LT_LT_EQ] = ACTIONS(2749),
    [anon_sym_GT_GT_EQ] = ACTIONS(2749),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2751),
    [anon_sym_STAR_STAR] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2751),
    [anon_sym_SLASH_SLASH] = ACTIONS(2751),
    [anon_sym_CARET_CARET] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2751),
    [anon_sym_AMP] = ACTIONS(2751),
    [anon_sym_GT_GT2] = ACTIONS(2751),
    [anon_sym_PLUS] = ACTIONS(2751),
    [anon_sym_DASH] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2751),
    [anon_sym_STAR] = ACTIONS(2751),
    [anon_sym_SLASH] = ACTIONS(2751),
    [anon_sym_x] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2749),
    [anon_sym_BANG_TILDE] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2751),
    [anon_sym_BANG_EQ] = ACTIONS(2749),
    [anon_sym_eq] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_equ] = ACTIONS(2749),
    [anon_sym_eqr] = ACTIONS(2749),
    [anon_sym_ne] = ACTIONS(2749),
    [anon_sym_LT_EQ_GT] = ACTIONS(2749),
    [anon_sym_cmp] = ACTIONS(2749),
    [anon_sym_TILDE_TILDE] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2751),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_lt] = ACTIONS(2749),
    [anon_sym_le] = ACTIONS(2749),
    [anon_sym_ge] = ACTIONS(2749),
    [anon_sym_gt] = ACTIONS(2749),
    [anon_sym_isa] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_QMARK] = ACTIONS(2749),
    [anon_sym_EQ_GT] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2751),
    [anon_sym_foreach] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2749),
    [anon_sym___END__] = ACTIONS(2749),
    [anon_sym_EOT] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2749),
    [anon_sym_unless] = ACTIONS(2749),
    [anon_sym_while] = ACTIONS(2749),
    [anon_sym_until] = ACTIONS(2749),
    [sym__PERLY_SEMICOLON] = ACTIONS(2749),
    [sym__ctrl_z_hack] = ACTIONS(2749),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1149] = {
    [sym_heredoc_content] = STATE(1149),
    [anon_sym_RBRACE] = ACTIONS(1796),
    [anon_sym_SEMI] = ACTIONS(1796),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_COMMA] = ACTIONS(2871),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1796),
    [anon_sym_and] = ACTIONS(1796),
    [anon_sym_or] = ACTIONS(1796),
    [anon_sym_xor] = ACTIONS(1796),
    [anon_sym_DASH_GT] = ACTIONS(1796),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1796),
    [anon_sym_PLUS_EQ] = ACTIONS(1796),
    [anon_sym_DASH_EQ] = ACTIONS(1796),
    [anon_sym_DOT_EQ] = ACTIONS(1796),
    [anon_sym_STAR_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_PERCENT_EQ] = ACTIONS(1796),
    [anon_sym_x_EQ] = ACTIONS(1796),
    [anon_sym_AMP_EQ] = ACTIONS(1796),
    [anon_sym_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_CARET_EQ] = ACTIONS(1796),
    [anon_sym_LT_LT_EQ] = ACTIONS(1796),
    [anon_sym_GT_GT_EQ] = ACTIONS(1796),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1796),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1787),
    [anon_sym_CARET_CARET] = ACTIONS(1796),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1796),
    [anon_sym_BANG_TILDE] = ACTIONS(1796),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1796),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1796),
    [anon_sym_equ] = ACTIONS(1796),
    [anon_sym_eqr] = ACTIONS(1796),
    [anon_sym_ne] = ACTIONS(1796),
    [anon_sym_LT_EQ_GT] = ACTIONS(1796),
    [anon_sym_cmp] = ACTIONS(1796),
    [anon_sym_TILDE_TILDE] = ACTIONS(1796),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1796),
    [anon_sym_lt] = ACTIONS(1796),
    [anon_sym_le] = ACTIONS(1796),
    [anon_sym_ge] = ACTIONS(1796),
    [anon_sym_gt] = ACTIONS(1796),
    [anon_sym_isa] = ACTIONS(1796),
    [anon_sym_PLUS_PLUS] = ACTIONS(1796),
    [anon_sym_DASH_DASH] = ACTIONS(1796),
    [anon_sym_QMARK] = ACTIONS(1796),
    [anon_sym_EQ_GT] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(1787),
    [anon_sym_foreach] = ACTIONS(1796),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1796),
    [anon_sym___END__] = ACTIONS(1796),
    [anon_sym_EOT] = ACTIONS(1796),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_unless] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_until] = ACTIONS(1796),
    [sym__PERLY_SEMICOLON] = ACTIONS(1796),
    [sym__ctrl_z_hack] = ACTIONS(1796),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1150] = {
    [sym_heredoc_content] = STATE(1150),
    [anon_sym_RBRACE] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym_EQ] = ACTIONS(2879),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_COMMA] = ACTIONS(2877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2877),
    [anon_sym_and] = ACTIONS(2877),
    [anon_sym_or] = ACTIONS(2877),
    [anon_sym_xor] = ACTIONS(2877),
    [anon_sym_DASH_GT] = ACTIONS(2877),
    [anon_sym_PERCENT] = ACTIONS(2879),
    [anon_sym_LT] = ACTIONS(2879),
    [anon_sym_GT] = ACTIONS(2879),
    [anon_sym_LT_LT] = ACTIONS(2879),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2877),
    [anon_sym_PLUS_EQ] = ACTIONS(2877),
    [anon_sym_DASH_EQ] = ACTIONS(2877),
    [anon_sym_DOT_EQ] = ACTIONS(2877),
    [anon_sym_STAR_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_PERCENT_EQ] = ACTIONS(2877),
    [anon_sym_x_EQ] = ACTIONS(2877),
    [anon_sym_AMP_EQ] = ACTIONS(2877),
    [anon_sym_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_CARET_EQ] = ACTIONS(2877),
    [anon_sym_LT_LT_EQ] = ACTIONS(2877),
    [anon_sym_GT_GT_EQ] = ACTIONS(2877),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2877),
    [anon_sym_DOT_DOT] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2879),
    [anon_sym_PIPE_PIPE] = ACTIONS(2879),
    [anon_sym_SLASH_SLASH] = ACTIONS(2879),
    [anon_sym_CARET_CARET] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_PIPE] = ACTIONS(2879),
    [anon_sym_CARET] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_GT_GT2] = ACTIONS(2879),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2879),
    [anon_sym_DOT] = ACTIONS(2879),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_x] = ACTIONS(2879),
    [anon_sym_EQ_TILDE] = ACTIONS(2877),
    [anon_sym_BANG_TILDE] = ACTIONS(2877),
    [anon_sym_EQ_EQ] = ACTIONS(2879),
    [anon_sym_BANG_EQ] = ACTIONS(2877),
    [anon_sym_eq] = ACTIONS(2879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2877),
    [anon_sym_equ] = ACTIONS(2877),
    [anon_sym_eqr] = ACTIONS(2877),
    [anon_sym_ne] = ACTIONS(2877),
    [anon_sym_LT_EQ_GT] = ACTIONS(2877),
    [anon_sym_cmp] = ACTIONS(2877),
    [anon_sym_TILDE_TILDE] = ACTIONS(2877),
    [anon_sym_LT_EQ] = ACTIONS(2879),
    [anon_sym_GT_EQ] = ACTIONS(2877),
    [anon_sym_lt] = ACTIONS(2877),
    [anon_sym_le] = ACTIONS(2877),
    [anon_sym_ge] = ACTIONS(2877),
    [anon_sym_gt] = ACTIONS(2877),
    [anon_sym_isa] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_QMARK] = ACTIONS(2877),
    [anon_sym_EQ_GT] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2879),
    [anon_sym_foreach] = ACTIONS(2877),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2877),
    [anon_sym___END__] = ACTIONS(2877),
    [anon_sym_EOT] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_unless] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_until] = ACTIONS(2877),
    [sym__PERLY_SEMICOLON] = ACTIONS(2877),
    [sym__ctrl_z_hack] = ACTIONS(2877),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1151] = {
    [sym_heredoc_content] = STATE(1151),
    [anon_sym_RBRACE] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2881),
    [anon_sym_EQ] = ACTIONS(2883),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2881),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2881),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2881),
    [anon_sym_and] = ACTIONS(2881),
    [anon_sym_or] = ACTIONS(2881),
    [anon_sym_xor] = ACTIONS(2881),
    [anon_sym_DASH_GT] = ACTIONS(2881),
    [anon_sym_PERCENT] = ACTIONS(2883),
    [anon_sym_LT] = ACTIONS(2883),
    [anon_sym_GT] = ACTIONS(2883),
    [anon_sym_LT_LT] = ACTIONS(2883),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2881),
    [anon_sym_PLUS_EQ] = ACTIONS(2881),
    [anon_sym_DASH_EQ] = ACTIONS(2881),
    [anon_sym_DOT_EQ] = ACTIONS(2881),
    [anon_sym_STAR_EQ] = ACTIONS(2881),
    [anon_sym_SLASH_EQ] = ACTIONS(2881),
    [anon_sym_PERCENT_EQ] = ACTIONS(2881),
    [anon_sym_x_EQ] = ACTIONS(2881),
    [anon_sym_AMP_EQ] = ACTIONS(2881),
    [anon_sym_PIPE_EQ] = ACTIONS(2881),
    [anon_sym_CARET_EQ] = ACTIONS(2881),
    [anon_sym_LT_LT_EQ] = ACTIONS(2881),
    [anon_sym_GT_GT_EQ] = ACTIONS(2881),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_STAR_STAR] = ACTIONS(2883),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_SLASH_SLASH] = ACTIONS(2883),
    [anon_sym_CARET_CARET] = ACTIONS(2881),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_PIPE] = ACTIONS(2883),
    [anon_sym_CARET] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_GT_GT2] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_DOT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2883),
    [anon_sym_x] = ACTIONS(2883),
    [anon_sym_EQ_TILDE] = ACTIONS(2881),
    [anon_sym_BANG_TILDE] = ACTIONS(2881),
    [anon_sym_EQ_EQ] = ACTIONS(2883),
    [anon_sym_BANG_EQ] = ACTIONS(2881),
    [anon_sym_eq] = ACTIONS(2883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2881),
    [anon_sym_equ] = ACTIONS(2881),
    [anon_sym_eqr] = ACTIONS(2881),
    [anon_sym_ne] = ACTIONS(2881),
    [anon_sym_LT_EQ_GT] = ACTIONS(2881),
    [anon_sym_cmp] = ACTIONS(2881),
    [anon_sym_TILDE_TILDE] = ACTIONS(2881),
    [anon_sym_LT_EQ] = ACTIONS(2883),
    [anon_sym_GT_EQ] = ACTIONS(2881),
    [anon_sym_lt] = ACTIONS(2881),
    [anon_sym_le] = ACTIONS(2881),
    [anon_sym_ge] = ACTIONS(2881),
    [anon_sym_gt] = ACTIONS(2881),
    [anon_sym_isa] = ACTIONS(2881),
    [anon_sym_PLUS_PLUS] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2881),
    [anon_sym_QMARK] = ACTIONS(2881),
    [anon_sym_EQ_GT] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2883),
    [anon_sym_foreach] = ACTIONS(2881),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2881),
    [anon_sym___END__] = ACTIONS(2881),
    [anon_sym_EOT] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_unless] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_until] = ACTIONS(2881),
    [sym__PERLY_SEMICOLON] = ACTIONS(2881),
    [sym__ctrl_z_hack] = ACTIONS(2881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1152] = {
    [sym_heredoc_content] = STATE(1152),
    [anon_sym_RBRACE] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2885),
    [anon_sym_EQ] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2885),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2885),
    [anon_sym_COMMA] = ACTIONS(2885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2885),
    [anon_sym_and] = ACTIONS(2885),
    [anon_sym_or] = ACTIONS(2885),
    [anon_sym_xor] = ACTIONS(2885),
    [anon_sym_DASH_GT] = ACTIONS(2885),
    [anon_sym_PERCENT] = ACTIONS(2887),
    [anon_sym_LT] = ACTIONS(2887),
    [anon_sym_GT] = ACTIONS(2887),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2885),
    [anon_sym_PLUS_EQ] = ACTIONS(2885),
    [anon_sym_DASH_EQ] = ACTIONS(2885),
    [anon_sym_DOT_EQ] = ACTIONS(2885),
    [anon_sym_STAR_EQ] = ACTIONS(2885),
    [anon_sym_SLASH_EQ] = ACTIONS(2885),
    [anon_sym_PERCENT_EQ] = ACTIONS(2885),
    [anon_sym_x_EQ] = ACTIONS(2885),
    [anon_sym_AMP_EQ] = ACTIONS(2885),
    [anon_sym_PIPE_EQ] = ACTIONS(2885),
    [anon_sym_CARET_EQ] = ACTIONS(2885),
    [anon_sym_LT_LT_EQ] = ACTIONS(2885),
    [anon_sym_GT_GT_EQ] = ACTIONS(2885),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2885),
    [anon_sym_DOT_DOT] = ACTIONS(2887),
    [anon_sym_STAR_STAR] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE] = ACTIONS(2887),
    [anon_sym_SLASH_SLASH] = ACTIONS(2887),
    [anon_sym_CARET_CARET] = ACTIONS(2885),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_PIPE] = ACTIONS(2887),
    [anon_sym_CARET] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_GT_GT2] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_DOT] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_SLASH] = ACTIONS(2887),
    [anon_sym_x] = ACTIONS(2887),
    [anon_sym_EQ_TILDE] = ACTIONS(2885),
    [anon_sym_BANG_TILDE] = ACTIONS(2885),
    [anon_sym_EQ_EQ] = ACTIONS(2887),
    [anon_sym_BANG_EQ] = ACTIONS(2885),
    [anon_sym_eq] = ACTIONS(2887),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2885),
    [anon_sym_equ] = ACTIONS(2885),
    [anon_sym_eqr] = ACTIONS(2885),
    [anon_sym_ne] = ACTIONS(2885),
    [anon_sym_LT_EQ_GT] = ACTIONS(2885),
    [anon_sym_cmp] = ACTIONS(2885),
    [anon_sym_TILDE_TILDE] = ACTIONS(2885),
    [anon_sym_LT_EQ] = ACTIONS(2887),
    [anon_sym_GT_EQ] = ACTIONS(2885),
    [anon_sym_lt] = ACTIONS(2885),
    [anon_sym_le] = ACTIONS(2885),
    [anon_sym_ge] = ACTIONS(2885),
    [anon_sym_gt] = ACTIONS(2885),
    [anon_sym_isa] = ACTIONS(2885),
    [anon_sym_PLUS_PLUS] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2885),
    [anon_sym_QMARK] = ACTIONS(2885),
    [anon_sym_EQ_GT] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2887),
    [anon_sym_foreach] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2885),
    [anon_sym___END__] = ACTIONS(2885),
    [anon_sym_EOT] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_unless] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_until] = ACTIONS(2885),
    [sym__PERLY_SEMICOLON] = ACTIONS(2885),
    [sym__ctrl_z_hack] = ACTIONS(2885),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1153] = {
    [sym_heredoc_content] = STATE(1153),
    [anon_sym_RBRACE] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2889),
    [anon_sym_EQ] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_COMMA] = ACTIONS(2889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2889),
    [anon_sym_and] = ACTIONS(2889),
    [anon_sym_or] = ACTIONS(2889),
    [anon_sym_xor] = ACTIONS(2889),
    [anon_sym_DASH_GT] = ACTIONS(2889),
    [anon_sym_PERCENT] = ACTIONS(2891),
    [anon_sym_LT] = ACTIONS(2891),
    [anon_sym_GT] = ACTIONS(2891),
    [anon_sym_LT_LT] = ACTIONS(2891),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2889),
    [anon_sym_PLUS_EQ] = ACTIONS(2889),
    [anon_sym_DASH_EQ] = ACTIONS(2889),
    [anon_sym_DOT_EQ] = ACTIONS(2889),
    [anon_sym_STAR_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_PERCENT_EQ] = ACTIONS(2889),
    [anon_sym_x_EQ] = ACTIONS(2889),
    [anon_sym_AMP_EQ] = ACTIONS(2889),
    [anon_sym_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_CARET_EQ] = ACTIONS(2889),
    [anon_sym_LT_LT_EQ] = ACTIONS(2889),
    [anon_sym_GT_GT_EQ] = ACTIONS(2889),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2889),
    [anon_sym_DOT_DOT] = ACTIONS(2891),
    [anon_sym_STAR_STAR] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE] = ACTIONS(2891),
    [anon_sym_SLASH_SLASH] = ACTIONS(2891),
    [anon_sym_CARET_CARET] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2891),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_GT_GT2] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_DOT] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_SLASH] = ACTIONS(2891),
    [anon_sym_x] = ACTIONS(2891),
    [anon_sym_EQ_TILDE] = ACTIONS(2889),
    [anon_sym_BANG_TILDE] = ACTIONS(2889),
    [anon_sym_EQ_EQ] = ACTIONS(2891),
    [anon_sym_BANG_EQ] = ACTIONS(2889),
    [anon_sym_eq] = ACTIONS(2891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2889),
    [anon_sym_equ] = ACTIONS(2889),
    [anon_sym_eqr] = ACTIONS(2889),
    [anon_sym_ne] = ACTIONS(2889),
    [anon_sym_LT_EQ_GT] = ACTIONS(2889),
    [anon_sym_cmp] = ACTIONS(2889),
    [anon_sym_TILDE_TILDE] = ACTIONS(2889),
    [anon_sym_LT_EQ] = ACTIONS(2891),
    [anon_sym_GT_EQ] = ACTIONS(2889),
    [anon_sym_lt] = ACTIONS(2889),
    [anon_sym_le] = ACTIONS(2889),
    [anon_sym_ge] = ACTIONS(2889),
    [anon_sym_gt] = ACTIONS(2889),
    [anon_sym_isa] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_QMARK] = ACTIONS(2889),
    [anon_sym_EQ_GT] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2891),
    [anon_sym_foreach] = ACTIONS(2889),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2889),
    [anon_sym___END__] = ACTIONS(2889),
    [anon_sym_EOT] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_unless] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_until] = ACTIONS(2889),
    [sym__PERLY_SEMICOLON] = ACTIONS(2889),
    [sym__ctrl_z_hack] = ACTIONS(2889),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1154] = {
    [sym_heredoc_content] = STATE(1154),
    [anon_sym_RBRACE] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_and] = ACTIONS(2893),
    [anon_sym_or] = ACTIONS(2893),
    [anon_sym_xor] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(2893),
    [anon_sym_PERCENT] = ACTIONS(2895),
    [anon_sym_LT] = ACTIONS(2895),
    [anon_sym_GT] = ACTIONS(2895),
    [anon_sym_LT_LT] = ACTIONS(2895),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2893),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_SLASH] = ACTIONS(2895),
    [anon_sym_x] = ACTIONS(2895),
    [anon_sym_EQ_TILDE] = ACTIONS(2893),
    [anon_sym_BANG_TILDE] = ACTIONS(2893),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT_EQ] = ACTIONS(2895),
    [anon_sym_GT_EQ] = ACTIONS(2893),
    [anon_sym_lt] = ACTIONS(2893),
    [anon_sym_le] = ACTIONS(2893),
    [anon_sym_ge] = ACTIONS(2893),
    [anon_sym_gt] = ACTIONS(2893),
    [anon_sym_isa] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_foreach] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2893),
    [anon_sym___END__] = ACTIONS(2893),
    [anon_sym_EOT] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_unless] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_until] = ACTIONS(2893),
    [sym__PERLY_SEMICOLON] = ACTIONS(2893),
    [sym__ctrl_z_hack] = ACTIONS(2893),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1155] = {
    [sym_heredoc_content] = STATE(1155),
    [anon_sym_RBRACE] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_and] = ACTIONS(2897),
    [anon_sym_or] = ACTIONS(2897),
    [anon_sym_xor] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(2897),
    [anon_sym_PERCENT] = ACTIONS(2899),
    [anon_sym_LT] = ACTIONS(2899),
    [anon_sym_GT] = ACTIONS(2899),
    [anon_sym_LT_LT] = ACTIONS(2899),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_DOT] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_SLASH] = ACTIONS(2899),
    [anon_sym_x] = ACTIONS(2899),
    [anon_sym_EQ_TILDE] = ACTIONS(2897),
    [anon_sym_BANG_TILDE] = ACTIONS(2897),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT_EQ] = ACTIONS(2899),
    [anon_sym_GT_EQ] = ACTIONS(2897),
    [anon_sym_lt] = ACTIONS(2897),
    [anon_sym_le] = ACTIONS(2897),
    [anon_sym_ge] = ACTIONS(2897),
    [anon_sym_gt] = ACTIONS(2897),
    [anon_sym_isa] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2899),
    [anon_sym_foreach] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2897),
    [anon_sym___END__] = ACTIONS(2897),
    [anon_sym_EOT] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_unless] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_until] = ACTIONS(2897),
    [sym__PERLY_SEMICOLON] = ACTIONS(2897),
    [sym__ctrl_z_hack] = ACTIONS(2897),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1156] = {
    [sym_heredoc_content] = STATE(1156),
    [anon_sym_RBRACE] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2901),
    [anon_sym_EQ] = ACTIONS(2903),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2901),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2901),
    [anon_sym_COMMA] = ACTIONS(2901),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2901),
    [anon_sym_and] = ACTIONS(2901),
    [anon_sym_or] = ACTIONS(2901),
    [anon_sym_xor] = ACTIONS(2901),
    [anon_sym_DASH_GT] = ACTIONS(2901),
    [anon_sym_PERCENT] = ACTIONS(2903),
    [anon_sym_LT] = ACTIONS(2903),
    [anon_sym_GT] = ACTIONS(2903),
    [anon_sym_LT_LT] = ACTIONS(2903),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2901),
    [anon_sym_PLUS_EQ] = ACTIONS(2901),
    [anon_sym_DASH_EQ] = ACTIONS(2901),
    [anon_sym_DOT_EQ] = ACTIONS(2901),
    [anon_sym_STAR_EQ] = ACTIONS(2901),
    [anon_sym_SLASH_EQ] = ACTIONS(2901),
    [anon_sym_PERCENT_EQ] = ACTIONS(2901),
    [anon_sym_x_EQ] = ACTIONS(2901),
    [anon_sym_AMP_EQ] = ACTIONS(2901),
    [anon_sym_PIPE_EQ] = ACTIONS(2901),
    [anon_sym_CARET_EQ] = ACTIONS(2901),
    [anon_sym_LT_LT_EQ] = ACTIONS(2901),
    [anon_sym_GT_GT_EQ] = ACTIONS(2901),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2901),
    [anon_sym_DOT_DOT] = ACTIONS(2903),
    [anon_sym_STAR_STAR] = ACTIONS(2903),
    [anon_sym_PIPE_PIPE] = ACTIONS(2903),
    [anon_sym_SLASH_SLASH] = ACTIONS(2903),
    [anon_sym_CARET_CARET] = ACTIONS(2901),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_PIPE] = ACTIONS(2903),
    [anon_sym_CARET] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym_GT_GT2] = ACTIONS(2903),
    [anon_sym_PLUS] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2903),
    [anon_sym_DOT] = ACTIONS(2903),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_SLASH] = ACTIONS(2903),
    [anon_sym_x] = ACTIONS(2903),
    [anon_sym_EQ_TILDE] = ACTIONS(2901),
    [anon_sym_BANG_TILDE] = ACTIONS(2901),
    [anon_sym_EQ_EQ] = ACTIONS(2903),
    [anon_sym_BANG_EQ] = ACTIONS(2901),
    [anon_sym_eq] = ACTIONS(2903),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2901),
    [anon_sym_equ] = ACTIONS(2901),
    [anon_sym_eqr] = ACTIONS(2901),
    [anon_sym_ne] = ACTIONS(2901),
    [anon_sym_LT_EQ_GT] = ACTIONS(2901),
    [anon_sym_cmp] = ACTIONS(2901),
    [anon_sym_TILDE_TILDE] = ACTIONS(2901),
    [anon_sym_LT_EQ] = ACTIONS(2903),
    [anon_sym_GT_EQ] = ACTIONS(2901),
    [anon_sym_lt] = ACTIONS(2901),
    [anon_sym_le] = ACTIONS(2901),
    [anon_sym_ge] = ACTIONS(2901),
    [anon_sym_gt] = ACTIONS(2901),
    [anon_sym_isa] = ACTIONS(2901),
    [anon_sym_PLUS_PLUS] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2901),
    [anon_sym_QMARK] = ACTIONS(2901),
    [anon_sym_EQ_GT] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2903),
    [anon_sym_foreach] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2901),
    [anon_sym___END__] = ACTIONS(2901),
    [anon_sym_EOT] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_unless] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_until] = ACTIONS(2901),
    [sym__PERLY_SEMICOLON] = ACTIONS(2901),
    [sym__ctrl_z_hack] = ACTIONS(2901),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1157] = {
    [sym_heredoc_content] = STATE(1157),
    [anon_sym_RBRACE] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2905),
    [anon_sym_EQ] = ACTIONS(2907),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2905),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2905),
    [anon_sym_COMMA] = ACTIONS(2905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2905),
    [anon_sym_and] = ACTIONS(2905),
    [anon_sym_or] = ACTIONS(2905),
    [anon_sym_xor] = ACTIONS(2905),
    [anon_sym_DASH_GT] = ACTIONS(2905),
    [anon_sym_PERCENT] = ACTIONS(2907),
    [anon_sym_LT] = ACTIONS(2907),
    [anon_sym_GT] = ACTIONS(2907),
    [anon_sym_LT_LT] = ACTIONS(2907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2905),
    [anon_sym_PLUS_EQ] = ACTIONS(2905),
    [anon_sym_DASH_EQ] = ACTIONS(2905),
    [anon_sym_DOT_EQ] = ACTIONS(2905),
    [anon_sym_STAR_EQ] = ACTIONS(2905),
    [anon_sym_SLASH_EQ] = ACTIONS(2905),
    [anon_sym_PERCENT_EQ] = ACTIONS(2905),
    [anon_sym_x_EQ] = ACTIONS(2905),
    [anon_sym_AMP_EQ] = ACTIONS(2905),
    [anon_sym_PIPE_EQ] = ACTIONS(2905),
    [anon_sym_CARET_EQ] = ACTIONS(2905),
    [anon_sym_LT_LT_EQ] = ACTIONS(2905),
    [anon_sym_GT_GT_EQ] = ACTIONS(2905),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2905),
    [anon_sym_DOT_DOT] = ACTIONS(2907),
    [anon_sym_STAR_STAR] = ACTIONS(2907),
    [anon_sym_PIPE_PIPE] = ACTIONS(2907),
    [anon_sym_SLASH_SLASH] = ACTIONS(2907),
    [anon_sym_CARET_CARET] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_PIPE] = ACTIONS(2907),
    [anon_sym_CARET] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_GT_GT2] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_DOT] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_SLASH] = ACTIONS(2907),
    [anon_sym_x] = ACTIONS(2907),
    [anon_sym_EQ_TILDE] = ACTIONS(2905),
    [anon_sym_BANG_TILDE] = ACTIONS(2905),
    [anon_sym_EQ_EQ] = ACTIONS(2907),
    [anon_sym_BANG_EQ] = ACTIONS(2905),
    [anon_sym_eq] = ACTIONS(2907),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2905),
    [anon_sym_equ] = ACTIONS(2905),
    [anon_sym_eqr] = ACTIONS(2905),
    [anon_sym_ne] = ACTIONS(2905),
    [anon_sym_LT_EQ_GT] = ACTIONS(2905),
    [anon_sym_cmp] = ACTIONS(2905),
    [anon_sym_TILDE_TILDE] = ACTIONS(2905),
    [anon_sym_LT_EQ] = ACTIONS(2907),
    [anon_sym_GT_EQ] = ACTIONS(2905),
    [anon_sym_lt] = ACTIONS(2905),
    [anon_sym_le] = ACTIONS(2905),
    [anon_sym_ge] = ACTIONS(2905),
    [anon_sym_gt] = ACTIONS(2905),
    [anon_sym_isa] = ACTIONS(2905),
    [anon_sym_PLUS_PLUS] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2905),
    [anon_sym_QMARK] = ACTIONS(2905),
    [anon_sym_EQ_GT] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2907),
    [anon_sym_foreach] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2905),
    [anon_sym___END__] = ACTIONS(2905),
    [anon_sym_EOT] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_unless] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_until] = ACTIONS(2905),
    [sym__PERLY_SEMICOLON] = ACTIONS(2905),
    [sym__ctrl_z_hack] = ACTIONS(2905),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1158] = {
    [sym_heredoc_content] = STATE(1158),
    [anon_sym_RBRACE] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym_EQ] = ACTIONS(2911),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_COMMA] = ACTIONS(2909),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2909),
    [anon_sym_and] = ACTIONS(2909),
    [anon_sym_or] = ACTIONS(2909),
    [anon_sym_xor] = ACTIONS(2909),
    [anon_sym_DASH_GT] = ACTIONS(2909),
    [anon_sym_PERCENT] = ACTIONS(2911),
    [anon_sym_LT] = ACTIONS(2911),
    [anon_sym_GT] = ACTIONS(2911),
    [anon_sym_LT_LT] = ACTIONS(2911),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2909),
    [anon_sym_PLUS_EQ] = ACTIONS(2909),
    [anon_sym_DASH_EQ] = ACTIONS(2909),
    [anon_sym_DOT_EQ] = ACTIONS(2909),
    [anon_sym_STAR_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_PERCENT_EQ] = ACTIONS(2909),
    [anon_sym_x_EQ] = ACTIONS(2909),
    [anon_sym_AMP_EQ] = ACTIONS(2909),
    [anon_sym_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_CARET_EQ] = ACTIONS(2909),
    [anon_sym_LT_LT_EQ] = ACTIONS(2909),
    [anon_sym_GT_GT_EQ] = ACTIONS(2909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2909),
    [anon_sym_DOT_DOT] = ACTIONS(2911),
    [anon_sym_STAR_STAR] = ACTIONS(2911),
    [anon_sym_PIPE_PIPE] = ACTIONS(2911),
    [anon_sym_SLASH_SLASH] = ACTIONS(2911),
    [anon_sym_CARET_CARET] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_PIPE] = ACTIONS(2911),
    [anon_sym_CARET] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_GT_GT2] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_DOT] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_SLASH] = ACTIONS(2911),
    [anon_sym_x] = ACTIONS(2911),
    [anon_sym_EQ_TILDE] = ACTIONS(2909),
    [anon_sym_BANG_TILDE] = ACTIONS(2909),
    [anon_sym_EQ_EQ] = ACTIONS(2911),
    [anon_sym_BANG_EQ] = ACTIONS(2909),
    [anon_sym_eq] = ACTIONS(2911),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2909),
    [anon_sym_equ] = ACTIONS(2909),
    [anon_sym_eqr] = ACTIONS(2909),
    [anon_sym_ne] = ACTIONS(2909),
    [anon_sym_LT_EQ_GT] = ACTIONS(2909),
    [anon_sym_cmp] = ACTIONS(2909),
    [anon_sym_TILDE_TILDE] = ACTIONS(2909),
    [anon_sym_LT_EQ] = ACTIONS(2911),
    [anon_sym_GT_EQ] = ACTIONS(2909),
    [anon_sym_lt] = ACTIONS(2909),
    [anon_sym_le] = ACTIONS(2909),
    [anon_sym_ge] = ACTIONS(2909),
    [anon_sym_gt] = ACTIONS(2909),
    [anon_sym_isa] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_QMARK] = ACTIONS(2909),
    [anon_sym_EQ_GT] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2911),
    [anon_sym_foreach] = ACTIONS(2909),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2909),
    [anon_sym___END__] = ACTIONS(2909),
    [anon_sym_EOT] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_unless] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_until] = ACTIONS(2909),
    [sym__PERLY_SEMICOLON] = ACTIONS(2909),
    [sym__ctrl_z_hack] = ACTIONS(2909),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1159] = {
    [sym_heredoc_content] = STATE(1159),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym_EQ] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2913),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2913),
    [anon_sym_COMMA] = ACTIONS(2913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2913),
    [anon_sym_and] = ACTIONS(2913),
    [anon_sym_or] = ACTIONS(2913),
    [anon_sym_xor] = ACTIONS(2913),
    [anon_sym_DASH_GT] = ACTIONS(2913),
    [anon_sym_PERCENT] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2915),
    [anon_sym_GT] = ACTIONS(2915),
    [anon_sym_LT_LT] = ACTIONS(2915),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2913),
    [anon_sym_PLUS_EQ] = ACTIONS(2913),
    [anon_sym_DASH_EQ] = ACTIONS(2913),
    [anon_sym_DOT_EQ] = ACTIONS(2913),
    [anon_sym_STAR_EQ] = ACTIONS(2913),
    [anon_sym_SLASH_EQ] = ACTIONS(2913),
    [anon_sym_PERCENT_EQ] = ACTIONS(2913),
    [anon_sym_x_EQ] = ACTIONS(2913),
    [anon_sym_AMP_EQ] = ACTIONS(2913),
    [anon_sym_PIPE_EQ] = ACTIONS(2913),
    [anon_sym_CARET_EQ] = ACTIONS(2913),
    [anon_sym_LT_LT_EQ] = ACTIONS(2913),
    [anon_sym_GT_GT_EQ] = ACTIONS(2913),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2913),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_STAR_STAR] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE] = ACTIONS(2915),
    [anon_sym_SLASH_SLASH] = ACTIONS(2915),
    [anon_sym_CARET_CARET] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_PIPE] = ACTIONS(2915),
    [anon_sym_CARET] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2915),
    [anon_sym_GT_GT2] = ACTIONS(2915),
    [anon_sym_PLUS] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2915),
    [anon_sym_DOT] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_x] = ACTIONS(2915),
    [anon_sym_EQ_TILDE] = ACTIONS(2913),
    [anon_sym_BANG_TILDE] = ACTIONS(2913),
    [anon_sym_EQ_EQ] = ACTIONS(2915),
    [anon_sym_BANG_EQ] = ACTIONS(2913),
    [anon_sym_eq] = ACTIONS(2915),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2913),
    [anon_sym_equ] = ACTIONS(2913),
    [anon_sym_eqr] = ACTIONS(2913),
    [anon_sym_ne] = ACTIONS(2913),
    [anon_sym_LT_EQ_GT] = ACTIONS(2913),
    [anon_sym_cmp] = ACTIONS(2913),
    [anon_sym_TILDE_TILDE] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(2915),
    [anon_sym_GT_EQ] = ACTIONS(2913),
    [anon_sym_lt] = ACTIONS(2913),
    [anon_sym_le] = ACTIONS(2913),
    [anon_sym_ge] = ACTIONS(2913),
    [anon_sym_gt] = ACTIONS(2913),
    [anon_sym_isa] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_QMARK] = ACTIONS(2913),
    [anon_sym_EQ_GT] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2915),
    [anon_sym_foreach] = ACTIONS(2913),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2913),
    [anon_sym___END__] = ACTIONS(2913),
    [anon_sym_EOT] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_unless] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_until] = ACTIONS(2913),
    [sym__PERLY_SEMICOLON] = ACTIONS(2913),
    [sym__ctrl_z_hack] = ACTIONS(2913),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1160] = {
    [sym_heredoc_content] = STATE(1160),
    [anon_sym_RBRACE] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2917),
    [anon_sym_EQ] = ACTIONS(2919),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2917),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2917),
    [anon_sym_COMMA] = ACTIONS(2917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2917),
    [anon_sym_and] = ACTIONS(2917),
    [anon_sym_or] = ACTIONS(2917),
    [anon_sym_xor] = ACTIONS(2917),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2919),
    [anon_sym_GT] = ACTIONS(2919),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2917),
    [anon_sym_PLUS_EQ] = ACTIONS(2917),
    [anon_sym_DASH_EQ] = ACTIONS(2917),
    [anon_sym_DOT_EQ] = ACTIONS(2917),
    [anon_sym_STAR_EQ] = ACTIONS(2917),
    [anon_sym_SLASH_EQ] = ACTIONS(2917),
    [anon_sym_PERCENT_EQ] = ACTIONS(2917),
    [anon_sym_x_EQ] = ACTIONS(2917),
    [anon_sym_AMP_EQ] = ACTIONS(2917),
    [anon_sym_PIPE_EQ] = ACTIONS(2917),
    [anon_sym_CARET_EQ] = ACTIONS(2917),
    [anon_sym_LT_LT_EQ] = ACTIONS(2917),
    [anon_sym_GT_GT_EQ] = ACTIONS(2917),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2917),
    [anon_sym_DOT_DOT] = ACTIONS(2919),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2919),
    [anon_sym_SLASH_SLASH] = ACTIONS(2919),
    [anon_sym_CARET_CARET] = ACTIONS(2917),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_PIPE] = ACTIONS(2919),
    [anon_sym_CARET] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2919),
    [anon_sym_BANG_EQ] = ACTIONS(2917),
    [anon_sym_eq] = ACTIONS(2919),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2917),
    [anon_sym_equ] = ACTIONS(2917),
    [anon_sym_eqr] = ACTIONS(2917),
    [anon_sym_ne] = ACTIONS(2917),
    [anon_sym_LT_EQ_GT] = ACTIONS(2917),
    [anon_sym_cmp] = ACTIONS(2917),
    [anon_sym_TILDE_TILDE] = ACTIONS(2917),
    [anon_sym_LT_EQ] = ACTIONS(2919),
    [anon_sym_GT_EQ] = ACTIONS(2917),
    [anon_sym_lt] = ACTIONS(2917),
    [anon_sym_le] = ACTIONS(2917),
    [anon_sym_ge] = ACTIONS(2917),
    [anon_sym_gt] = ACTIONS(2917),
    [anon_sym_isa] = ACTIONS(2917),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2917),
    [anon_sym_EQ_GT] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2919),
    [anon_sym_foreach] = ACTIONS(2917),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2917),
    [anon_sym___END__] = ACTIONS(2917),
    [anon_sym_EOT] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_unless] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_until] = ACTIONS(2917),
    [sym__PERLY_SEMICOLON] = ACTIONS(2917),
    [sym__ctrl_z_hack] = ACTIONS(2917),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1161] = {
    [sym_heredoc_content] = STATE(1161),
    [anon_sym_RBRACE] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2921),
    [anon_sym_EQ] = ACTIONS(2923),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2921),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2921),
    [anon_sym_COMMA] = ACTIONS(2921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2921),
    [anon_sym_and] = ACTIONS(2921),
    [anon_sym_or] = ACTIONS(2921),
    [anon_sym_xor] = ACTIONS(2921),
    [anon_sym_DASH_GT] = ACTIONS(2921),
    [anon_sym_PERCENT] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2923),
    [anon_sym_GT] = ACTIONS(2923),
    [anon_sym_LT_LT] = ACTIONS(2923),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2921),
    [anon_sym_PLUS_EQ] = ACTIONS(2921),
    [anon_sym_DASH_EQ] = ACTIONS(2921),
    [anon_sym_DOT_EQ] = ACTIONS(2921),
    [anon_sym_STAR_EQ] = ACTIONS(2921),
    [anon_sym_SLASH_EQ] = ACTIONS(2921),
    [anon_sym_PERCENT_EQ] = ACTIONS(2921),
    [anon_sym_x_EQ] = ACTIONS(2921),
    [anon_sym_AMP_EQ] = ACTIONS(2921),
    [anon_sym_PIPE_EQ] = ACTIONS(2921),
    [anon_sym_CARET_EQ] = ACTIONS(2921),
    [anon_sym_LT_LT_EQ] = ACTIONS(2921),
    [anon_sym_GT_GT_EQ] = ACTIONS(2921),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2921),
    [anon_sym_DOT_DOT] = ACTIONS(2923),
    [anon_sym_STAR_STAR] = ACTIONS(2923),
    [anon_sym_PIPE_PIPE] = ACTIONS(2923),
    [anon_sym_SLASH_SLASH] = ACTIONS(2923),
    [anon_sym_CARET_CARET] = ACTIONS(2921),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_PIPE] = ACTIONS(2923),
    [anon_sym_CARET] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2923),
    [anon_sym_GT_GT2] = ACTIONS(2923),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_SLASH] = ACTIONS(2923),
    [anon_sym_x] = ACTIONS(2923),
    [anon_sym_EQ_TILDE] = ACTIONS(2921),
    [anon_sym_BANG_TILDE] = ACTIONS(2921),
    [anon_sym_EQ_EQ] = ACTIONS(2923),
    [anon_sym_BANG_EQ] = ACTIONS(2921),
    [anon_sym_eq] = ACTIONS(2923),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2921),
    [anon_sym_equ] = ACTIONS(2921),
    [anon_sym_eqr] = ACTIONS(2921),
    [anon_sym_ne] = ACTIONS(2921),
    [anon_sym_LT_EQ_GT] = ACTIONS(2921),
    [anon_sym_cmp] = ACTIONS(2921),
    [anon_sym_TILDE_TILDE] = ACTIONS(2921),
    [anon_sym_LT_EQ] = ACTIONS(2923),
    [anon_sym_GT_EQ] = ACTIONS(2921),
    [anon_sym_lt] = ACTIONS(2921),
    [anon_sym_le] = ACTIONS(2921),
    [anon_sym_ge] = ACTIONS(2921),
    [anon_sym_gt] = ACTIONS(2921),
    [anon_sym_isa] = ACTIONS(2921),
    [anon_sym_PLUS_PLUS] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2921),
    [anon_sym_QMARK] = ACTIONS(2921),
    [anon_sym_EQ_GT] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2923),
    [anon_sym_foreach] = ACTIONS(2921),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2921),
    [anon_sym___END__] = ACTIONS(2921),
    [anon_sym_EOT] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_unless] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_until] = ACTIONS(2921),
    [sym__PERLY_SEMICOLON] = ACTIONS(2921),
    [sym__ctrl_z_hack] = ACTIONS(2921),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1162] = {
    [sym_heredoc_content] = STATE(1162),
    [anon_sym_RBRACE] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2925),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2925),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2925),
    [anon_sym_COMMA] = ACTIONS(2925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2925),
    [anon_sym_and] = ACTIONS(2925),
    [anon_sym_or] = ACTIONS(2925),
    [anon_sym_xor] = ACTIONS(2925),
    [anon_sym_DASH_GT] = ACTIONS(2925),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LT_LT] = ACTIONS(2927),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2925),
    [anon_sym_PLUS_EQ] = ACTIONS(2925),
    [anon_sym_DASH_EQ] = ACTIONS(2925),
    [anon_sym_DOT_EQ] = ACTIONS(2925),
    [anon_sym_STAR_EQ] = ACTIONS(2925),
    [anon_sym_SLASH_EQ] = ACTIONS(2925),
    [anon_sym_PERCENT_EQ] = ACTIONS(2925),
    [anon_sym_x_EQ] = ACTIONS(2925),
    [anon_sym_AMP_EQ] = ACTIONS(2925),
    [anon_sym_PIPE_EQ] = ACTIONS(2925),
    [anon_sym_CARET_EQ] = ACTIONS(2925),
    [anon_sym_LT_LT_EQ] = ACTIONS(2925),
    [anon_sym_GT_GT_EQ] = ACTIONS(2925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2925),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_STAR_STAR] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2927),
    [anon_sym_SLASH_SLASH] = ACTIONS(2927),
    [anon_sym_CARET_CARET] = ACTIONS(2925),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_PIPE] = ACTIONS(2927),
    [anon_sym_CARET] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2927),
    [anon_sym_GT_GT2] = ACTIONS(2927),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_x] = ACTIONS(2927),
    [anon_sym_EQ_TILDE] = ACTIONS(2925),
    [anon_sym_BANG_TILDE] = ACTIONS(2925),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ] = ACTIONS(2925),
    [anon_sym_eq] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2925),
    [anon_sym_equ] = ACTIONS(2925),
    [anon_sym_eqr] = ACTIONS(2925),
    [anon_sym_ne] = ACTIONS(2925),
    [anon_sym_LT_EQ_GT] = ACTIONS(2925),
    [anon_sym_cmp] = ACTIONS(2925),
    [anon_sym_TILDE_TILDE] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2927),
    [anon_sym_GT_EQ] = ACTIONS(2925),
    [anon_sym_lt] = ACTIONS(2925),
    [anon_sym_le] = ACTIONS(2925),
    [anon_sym_ge] = ACTIONS(2925),
    [anon_sym_gt] = ACTIONS(2925),
    [anon_sym_isa] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [anon_sym_QMARK] = ACTIONS(2925),
    [anon_sym_EQ_GT] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2927),
    [anon_sym_foreach] = ACTIONS(2925),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2925),
    [anon_sym___END__] = ACTIONS(2925),
    [anon_sym_EOT] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_unless] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_until] = ACTIONS(2925),
    [sym__PERLY_SEMICOLON] = ACTIONS(2925),
    [sym__ctrl_z_hack] = ACTIONS(2925),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1163] = {
    [sym_heredoc_content] = STATE(1163),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_COMMA] = ACTIONS(2929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2929),
    [anon_sym_and] = ACTIONS(2929),
    [anon_sym_or] = ACTIONS(2929),
    [anon_sym_xor] = ACTIONS(2929),
    [anon_sym_DASH_GT] = ACTIONS(2929),
    [anon_sym_PERCENT] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_LT_LT] = ACTIONS(2931),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_DOT_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_x_EQ] = ACTIONS(2929),
    [anon_sym_AMP_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_EQ] = ACTIONS(2929),
    [anon_sym_CARET_EQ] = ACTIONS(2929),
    [anon_sym_LT_LT_EQ] = ACTIONS(2929),
    [anon_sym_GT_GT_EQ] = ACTIONS(2929),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_STAR_STAR] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2931),
    [anon_sym_SLASH_SLASH] = ACTIONS(2931),
    [anon_sym_CARET_CARET] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_PIPE] = ACTIONS(2931),
    [anon_sym_CARET] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_GT_GT2] = ACTIONS(2931),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2931),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_SLASH] = ACTIONS(2931),
    [anon_sym_x] = ACTIONS(2931),
    [anon_sym_EQ_TILDE] = ACTIONS(2929),
    [anon_sym_BANG_TILDE] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ] = ACTIONS(2929),
    [anon_sym_eq] = ACTIONS(2931),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_equ] = ACTIONS(2929),
    [anon_sym_eqr] = ACTIONS(2929),
    [anon_sym_ne] = ACTIONS(2929),
    [anon_sym_LT_EQ_GT] = ACTIONS(2929),
    [anon_sym_cmp] = ACTIONS(2929),
    [anon_sym_TILDE_TILDE] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_lt] = ACTIONS(2929),
    [anon_sym_le] = ACTIONS(2929),
    [anon_sym_ge] = ACTIONS(2929),
    [anon_sym_gt] = ACTIONS(2929),
    [anon_sym_isa] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_EQ_GT] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2931),
    [anon_sym_foreach] = ACTIONS(2929),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2929),
    [anon_sym___END__] = ACTIONS(2929),
    [anon_sym_EOT] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_unless] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_until] = ACTIONS(2929),
    [sym__PERLY_SEMICOLON] = ACTIONS(2929),
    [sym__ctrl_z_hack] = ACTIONS(2929),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1164] = {
    [sym_heredoc_content] = STATE(1164),
    [anon_sym_RBRACE] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2933),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2933),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2933),
    [anon_sym_COMMA] = ACTIONS(2933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2933),
    [anon_sym_and] = ACTIONS(2933),
    [anon_sym_or] = ACTIONS(2933),
    [anon_sym_xor] = ACTIONS(2933),
    [anon_sym_DASH_GT] = ACTIONS(2933),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LT_LT] = ACTIONS(2935),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2933),
    [anon_sym_PLUS_EQ] = ACTIONS(2933),
    [anon_sym_DASH_EQ] = ACTIONS(2933),
    [anon_sym_DOT_EQ] = ACTIONS(2933),
    [anon_sym_STAR_EQ] = ACTIONS(2933),
    [anon_sym_SLASH_EQ] = ACTIONS(2933),
    [anon_sym_PERCENT_EQ] = ACTIONS(2933),
    [anon_sym_x_EQ] = ACTIONS(2933),
    [anon_sym_AMP_EQ] = ACTIONS(2933),
    [anon_sym_PIPE_EQ] = ACTIONS(2933),
    [anon_sym_CARET_EQ] = ACTIONS(2933),
    [anon_sym_LT_LT_EQ] = ACTIONS(2933),
    [anon_sym_GT_GT_EQ] = ACTIONS(2933),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2933),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_STAR_STAR] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2935),
    [anon_sym_SLASH_SLASH] = ACTIONS(2935),
    [anon_sym_CARET_CARET] = ACTIONS(2933),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_PIPE] = ACTIONS(2935),
    [anon_sym_CARET] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_GT_GT2] = ACTIONS(2935),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_x] = ACTIONS(2935),
    [anon_sym_EQ_TILDE] = ACTIONS(2933),
    [anon_sym_BANG_TILDE] = ACTIONS(2933),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ] = ACTIONS(2933),
    [anon_sym_eq] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2933),
    [anon_sym_equ] = ACTIONS(2933),
    [anon_sym_eqr] = ACTIONS(2933),
    [anon_sym_ne] = ACTIONS(2933),
    [anon_sym_LT_EQ_GT] = ACTIONS(2933),
    [anon_sym_cmp] = ACTIONS(2933),
    [anon_sym_TILDE_TILDE] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2935),
    [anon_sym_GT_EQ] = ACTIONS(2933),
    [anon_sym_lt] = ACTIONS(2933),
    [anon_sym_le] = ACTIONS(2933),
    [anon_sym_ge] = ACTIONS(2933),
    [anon_sym_gt] = ACTIONS(2933),
    [anon_sym_isa] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_QMARK] = ACTIONS(2933),
    [anon_sym_EQ_GT] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2935),
    [anon_sym_foreach] = ACTIONS(2933),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2933),
    [anon_sym___END__] = ACTIONS(2933),
    [anon_sym_EOT] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_unless] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_until] = ACTIONS(2933),
    [sym__PERLY_SEMICOLON] = ACTIONS(2933),
    [sym__ctrl_z_hack] = ACTIONS(2933),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1165] = {
    [sym_heredoc_content] = STATE(1165),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_COMMA] = ACTIONS(2937),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2937),
    [anon_sym_and] = ACTIONS(2937),
    [anon_sym_or] = ACTIONS(2937),
    [anon_sym_xor] = ACTIONS(2937),
    [anon_sym_DASH_GT] = ACTIONS(2937),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LT_LT] = ACTIONS(2939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_DOT_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_x_EQ] = ACTIONS(2937),
    [anon_sym_AMP_EQ] = ACTIONS(2937),
    [anon_sym_PIPE_EQ] = ACTIONS(2937),
    [anon_sym_CARET_EQ] = ACTIONS(2937),
    [anon_sym_LT_LT_EQ] = ACTIONS(2937),
    [anon_sym_GT_GT_EQ] = ACTIONS(2937),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_STAR_STAR] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2939),
    [anon_sym_SLASH_SLASH] = ACTIONS(2939),
    [anon_sym_CARET_CARET] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_PIPE] = ACTIONS(2939),
    [anon_sym_CARET] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2939),
    [anon_sym_GT_GT2] = ACTIONS(2939),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_x] = ACTIONS(2939),
    [anon_sym_EQ_TILDE] = ACTIONS(2937),
    [anon_sym_BANG_TILDE] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ] = ACTIONS(2937),
    [anon_sym_eq] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_equ] = ACTIONS(2937),
    [anon_sym_eqr] = ACTIONS(2937),
    [anon_sym_ne] = ACTIONS(2937),
    [anon_sym_LT_EQ_GT] = ACTIONS(2937),
    [anon_sym_cmp] = ACTIONS(2937),
    [anon_sym_TILDE_TILDE] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2939),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_lt] = ACTIONS(2937),
    [anon_sym_le] = ACTIONS(2937),
    [anon_sym_ge] = ACTIONS(2937),
    [anon_sym_gt] = ACTIONS(2937),
    [anon_sym_isa] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_QMARK] = ACTIONS(2937),
    [anon_sym_EQ_GT] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2939),
    [anon_sym_foreach] = ACTIONS(2937),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2937),
    [anon_sym___END__] = ACTIONS(2937),
    [anon_sym_EOT] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_unless] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_until] = ACTIONS(2937),
    [sym__PERLY_SEMICOLON] = ACTIONS(2937),
    [sym__ctrl_z_hack] = ACTIONS(2937),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1166] = {
    [sym_heredoc_content] = STATE(1166),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_COMMA] = ACTIONS(2941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2941),
    [anon_sym_and] = ACTIONS(2941),
    [anon_sym_or] = ACTIONS(2941),
    [anon_sym_xor] = ACTIONS(2941),
    [anon_sym_DASH_GT] = ACTIONS(2941),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LT_LT] = ACTIONS(2943),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_DOT_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_x_EQ] = ACTIONS(2941),
    [anon_sym_AMP_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_EQ] = ACTIONS(2941),
    [anon_sym_CARET_EQ] = ACTIONS(2941),
    [anon_sym_LT_LT_EQ] = ACTIONS(2941),
    [anon_sym_GT_GT_EQ] = ACTIONS(2941),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_STAR_STAR] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2943),
    [anon_sym_SLASH_SLASH] = ACTIONS(2943),
    [anon_sym_CARET_CARET] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_PIPE] = ACTIONS(2943),
    [anon_sym_CARET] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_GT_GT2] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_x] = ACTIONS(2943),
    [anon_sym_EQ_TILDE] = ACTIONS(2941),
    [anon_sym_BANG_TILDE] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ] = ACTIONS(2941),
    [anon_sym_eq] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_equ] = ACTIONS(2941),
    [anon_sym_eqr] = ACTIONS(2941),
    [anon_sym_ne] = ACTIONS(2941),
    [anon_sym_LT_EQ_GT] = ACTIONS(2941),
    [anon_sym_cmp] = ACTIONS(2941),
    [anon_sym_TILDE_TILDE] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_lt] = ACTIONS(2941),
    [anon_sym_le] = ACTIONS(2941),
    [anon_sym_ge] = ACTIONS(2941),
    [anon_sym_gt] = ACTIONS(2941),
    [anon_sym_isa] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_QMARK] = ACTIONS(2941),
    [anon_sym_EQ_GT] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2943),
    [anon_sym_foreach] = ACTIONS(2941),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2941),
    [anon_sym___END__] = ACTIONS(2941),
    [anon_sym_EOT] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_unless] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_until] = ACTIONS(2941),
    [sym__PERLY_SEMICOLON] = ACTIONS(2941),
    [sym__ctrl_z_hack] = ACTIONS(2941),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1167] = {
    [sym_heredoc_content] = STATE(1167),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_COMMA] = ACTIONS(2945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2945),
    [anon_sym_and] = ACTIONS(2945),
    [anon_sym_or] = ACTIONS(2945),
    [anon_sym_xor] = ACTIONS(2945),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2947),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_DOT_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_x_EQ] = ACTIONS(2945),
    [anon_sym_AMP_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_EQ] = ACTIONS(2945),
    [anon_sym_CARET_EQ] = ACTIONS(2945),
    [anon_sym_LT_LT_EQ] = ACTIONS(2945),
    [anon_sym_GT_GT_EQ] = ACTIONS(2945),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2947),
    [anon_sym_SLASH_SLASH] = ACTIONS(2947),
    [anon_sym_CARET_CARET] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_PIPE] = ACTIONS(2947),
    [anon_sym_CARET] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_GT_GT2] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_SLASH] = ACTIONS(2947),
    [anon_sym_x] = ACTIONS(2947),
    [anon_sym_EQ_TILDE] = ACTIONS(2945),
    [anon_sym_BANG_TILDE] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ] = ACTIONS(2945),
    [anon_sym_eq] = ACTIONS(2947),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_equ] = ACTIONS(2945),
    [anon_sym_eqr] = ACTIONS(2945),
    [anon_sym_ne] = ACTIONS(2945),
    [anon_sym_LT_EQ_GT] = ACTIONS(2945),
    [anon_sym_cmp] = ACTIONS(2945),
    [anon_sym_TILDE_TILDE] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_lt] = ACTIONS(2945),
    [anon_sym_le] = ACTIONS(2945),
    [anon_sym_ge] = ACTIONS(2945),
    [anon_sym_gt] = ACTIONS(2945),
    [anon_sym_isa] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2945),
    [anon_sym_EQ_GT] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2947),
    [anon_sym_foreach] = ACTIONS(2945),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2945),
    [anon_sym___END__] = ACTIONS(2945),
    [anon_sym_EOT] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_unless] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_until] = ACTIONS(2945),
    [sym__PERLY_SEMICOLON] = ACTIONS(2945),
    [sym__ctrl_z_hack] = ACTIONS(2945),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1168] = {
    [sym_heredoc_content] = STATE(1168),
    [anon_sym_RBRACE] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_EQ] = ACTIONS(2951),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_COMMA] = ACTIONS(2949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2949),
    [anon_sym_and] = ACTIONS(2949),
    [anon_sym_or] = ACTIONS(2949),
    [anon_sym_xor] = ACTIONS(2949),
    [anon_sym_DASH_GT] = ACTIONS(2949),
    [anon_sym_PERCENT] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_LT_LT] = ACTIONS(2951),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2949),
    [anon_sym_PLUS_EQ] = ACTIONS(2949),
    [anon_sym_DASH_EQ] = ACTIONS(2949),
    [anon_sym_DOT_EQ] = ACTIONS(2949),
    [anon_sym_STAR_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_PERCENT_EQ] = ACTIONS(2949),
    [anon_sym_x_EQ] = ACTIONS(2949),
    [anon_sym_AMP_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_EQ] = ACTIONS(2949),
    [anon_sym_CARET_EQ] = ACTIONS(2949),
    [anon_sym_LT_LT_EQ] = ACTIONS(2949),
    [anon_sym_GT_GT_EQ] = ACTIONS(2949),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_STAR_STAR] = ACTIONS(2951),
    [anon_sym_PIPE_PIPE] = ACTIONS(2951),
    [anon_sym_SLASH_SLASH] = ACTIONS(2951),
    [anon_sym_CARET_CARET] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_PIPE] = ACTIONS(2951),
    [anon_sym_CARET] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_GT_GT2] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_x] = ACTIONS(2951),
    [anon_sym_EQ_TILDE] = ACTIONS(2949),
    [anon_sym_BANG_TILDE] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2949),
    [anon_sym_eq] = ACTIONS(2951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_equ] = ACTIONS(2949),
    [anon_sym_eqr] = ACTIONS(2949),
    [anon_sym_ne] = ACTIONS(2949),
    [anon_sym_LT_EQ_GT] = ACTIONS(2949),
    [anon_sym_cmp] = ACTIONS(2949),
    [anon_sym_TILDE_TILDE] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_lt] = ACTIONS(2949),
    [anon_sym_le] = ACTIONS(2949),
    [anon_sym_ge] = ACTIONS(2949),
    [anon_sym_gt] = ACTIONS(2949),
    [anon_sym_isa] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_QMARK] = ACTIONS(2949),
    [anon_sym_EQ_GT] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_foreach] = ACTIONS(2949),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2949),
    [anon_sym___END__] = ACTIONS(2949),
    [anon_sym_EOT] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_unless] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_until] = ACTIONS(2949),
    [sym__PERLY_SEMICOLON] = ACTIONS(2949),
    [sym__ctrl_z_hack] = ACTIONS(2949),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1169] = {
    [sym_heredoc_content] = STATE(1169),
    [anon_sym_RBRACE] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2953),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(2953),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2953),
    [anon_sym_and] = ACTIONS(2953),
    [anon_sym_or] = ACTIONS(2953),
    [anon_sym_xor] = ACTIONS(2953),
    [anon_sym_DASH_GT] = ACTIONS(2953),
    [anon_sym_PERCENT] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_LT_LT] = ACTIONS(2955),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2953),
    [anon_sym_PLUS_EQ] = ACTIONS(2953),
    [anon_sym_DASH_EQ] = ACTIONS(2953),
    [anon_sym_DOT_EQ] = ACTIONS(2953),
    [anon_sym_STAR_EQ] = ACTIONS(2953),
    [anon_sym_SLASH_EQ] = ACTIONS(2953),
    [anon_sym_PERCENT_EQ] = ACTIONS(2953),
    [anon_sym_x_EQ] = ACTIONS(2953),
    [anon_sym_AMP_EQ] = ACTIONS(2953),
    [anon_sym_PIPE_EQ] = ACTIONS(2953),
    [anon_sym_CARET_EQ] = ACTIONS(2953),
    [anon_sym_LT_LT_EQ] = ACTIONS(2953),
    [anon_sym_GT_GT_EQ] = ACTIONS(2953),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2953),
    [anon_sym_DOT_DOT] = ACTIONS(2955),
    [anon_sym_STAR_STAR] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2955),
    [anon_sym_SLASH_SLASH] = ACTIONS(2955),
    [anon_sym_CARET_CARET] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_PIPE] = ACTIONS(2955),
    [anon_sym_CARET] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_GT_GT2] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2955),
    [anon_sym_x] = ACTIONS(2955),
    [anon_sym_EQ_TILDE] = ACTIONS(2953),
    [anon_sym_BANG_TILDE] = ACTIONS(2953),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ] = ACTIONS(2953),
    [anon_sym_eq] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2953),
    [anon_sym_equ] = ACTIONS(2953),
    [anon_sym_eqr] = ACTIONS(2953),
    [anon_sym_ne] = ACTIONS(2953),
    [anon_sym_LT_EQ_GT] = ACTIONS(2953),
    [anon_sym_cmp] = ACTIONS(2953),
    [anon_sym_TILDE_TILDE] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2955),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_lt] = ACTIONS(2953),
    [anon_sym_le] = ACTIONS(2953),
    [anon_sym_ge] = ACTIONS(2953),
    [anon_sym_gt] = ACTIONS(2953),
    [anon_sym_isa] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2953),
    [anon_sym_EQ_GT] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_foreach] = ACTIONS(2953),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2953),
    [anon_sym___END__] = ACTIONS(2953),
    [anon_sym_EOT] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_unless] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_until] = ACTIONS(2953),
    [sym__PERLY_SEMICOLON] = ACTIONS(2953),
    [sym__ctrl_z_hack] = ACTIONS(2953),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1170] = {
    [sym_heredoc_content] = STATE(1170),
    [anon_sym_RBRACE] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym_EQ] = ACTIONS(2959),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_COMMA] = ACTIONS(2957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2957),
    [anon_sym_and] = ACTIONS(2957),
    [anon_sym_or] = ACTIONS(2957),
    [anon_sym_xor] = ACTIONS(2957),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_PERCENT] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2959),
    [anon_sym_GT] = ACTIONS(2959),
    [anon_sym_LT_LT] = ACTIONS(2959),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2957),
    [anon_sym_PLUS_EQ] = ACTIONS(2957),
    [anon_sym_DASH_EQ] = ACTIONS(2957),
    [anon_sym_DOT_EQ] = ACTIONS(2957),
    [anon_sym_STAR_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_PERCENT_EQ] = ACTIONS(2957),
    [anon_sym_x_EQ] = ACTIONS(2957),
    [anon_sym_AMP_EQ] = ACTIONS(2957),
    [anon_sym_PIPE_EQ] = ACTIONS(2957),
    [anon_sym_CARET_EQ] = ACTIONS(2957),
    [anon_sym_LT_LT_EQ] = ACTIONS(2957),
    [anon_sym_GT_GT_EQ] = ACTIONS(2957),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2957),
    [anon_sym_DOT_DOT] = ACTIONS(2959),
    [anon_sym_STAR_STAR] = ACTIONS(2959),
    [anon_sym_PIPE_PIPE] = ACTIONS(2959),
    [anon_sym_SLASH_SLASH] = ACTIONS(2959),
    [anon_sym_CARET_CARET] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_PIPE] = ACTIONS(2959),
    [anon_sym_CARET] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_GT_GT2] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_DOT] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2959),
    [anon_sym_x] = ACTIONS(2959),
    [anon_sym_EQ_TILDE] = ACTIONS(2957),
    [anon_sym_BANG_TILDE] = ACTIONS(2957),
    [anon_sym_EQ_EQ] = ACTIONS(2959),
    [anon_sym_BANG_EQ] = ACTIONS(2957),
    [anon_sym_eq] = ACTIONS(2959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2957),
    [anon_sym_equ] = ACTIONS(2957),
    [anon_sym_eqr] = ACTIONS(2957),
    [anon_sym_ne] = ACTIONS(2957),
    [anon_sym_LT_EQ_GT] = ACTIONS(2957),
    [anon_sym_cmp] = ACTIONS(2957),
    [anon_sym_TILDE_TILDE] = ACTIONS(2957),
    [anon_sym_LT_EQ] = ACTIONS(2959),
    [anon_sym_GT_EQ] = ACTIONS(2957),
    [anon_sym_lt] = ACTIONS(2957),
    [anon_sym_le] = ACTIONS(2957),
    [anon_sym_ge] = ACTIONS(2957),
    [anon_sym_gt] = ACTIONS(2957),
    [anon_sym_isa] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_QMARK] = ACTIONS(2957),
    [anon_sym_EQ_GT] = ACTIONS(2957),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_foreach] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2957),
    [anon_sym___END__] = ACTIONS(2957),
    [anon_sym_EOT] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2957),
    [anon_sym_unless] = ACTIONS(2957),
    [anon_sym_while] = ACTIONS(2957),
    [anon_sym_until] = ACTIONS(2957),
    [sym__PERLY_SEMICOLON] = ACTIONS(2957),
    [sym__ctrl_z_hack] = ACTIONS(2957),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1171] = {
    [sym_heredoc_content] = STATE(1171),
    [anon_sym_RBRACE] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_EQ] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(2961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2961),
    [anon_sym_and] = ACTIONS(2961),
    [anon_sym_or] = ACTIONS(2961),
    [anon_sym_xor] = ACTIONS(2961),
    [anon_sym_DASH_GT] = ACTIONS(2961),
    [anon_sym_PERCENT] = ACTIONS(2963),
    [anon_sym_LT] = ACTIONS(2963),
    [anon_sym_GT] = ACTIONS(2963),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_DOT_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2961),
    [anon_sym_x_EQ] = ACTIONS(2961),
    [anon_sym_AMP_EQ] = ACTIONS(2961),
    [anon_sym_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_CARET_EQ] = ACTIONS(2961),
    [anon_sym_LT_LT_EQ] = ACTIONS(2961),
    [anon_sym_GT_GT_EQ] = ACTIONS(2961),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2963),
    [anon_sym_STAR_STAR] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE] = ACTIONS(2963),
    [anon_sym_SLASH_SLASH] = ACTIONS(2963),
    [anon_sym_CARET_CARET] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_CARET] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_GT_GT2] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_DOT] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_SLASH] = ACTIONS(2963),
    [anon_sym_x] = ACTIONS(2963),
    [anon_sym_EQ_TILDE] = ACTIONS(2961),
    [anon_sym_BANG_TILDE] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2963),
    [anon_sym_BANG_EQ] = ACTIONS(2961),
    [anon_sym_eq] = ACTIONS(2963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_equ] = ACTIONS(2961),
    [anon_sym_eqr] = ACTIONS(2961),
    [anon_sym_ne] = ACTIONS(2961),
    [anon_sym_LT_EQ_GT] = ACTIONS(2961),
    [anon_sym_cmp] = ACTIONS(2961),
    [anon_sym_TILDE_TILDE] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_lt] = ACTIONS(2961),
    [anon_sym_le] = ACTIONS(2961),
    [anon_sym_ge] = ACTIONS(2961),
    [anon_sym_gt] = ACTIONS(2961),
    [anon_sym_isa] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_QMARK] = ACTIONS(2961),
    [anon_sym_EQ_GT] = ACTIONS(2961),
    [anon_sym_for] = ACTIONS(2963),
    [anon_sym_foreach] = ACTIONS(2961),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2961),
    [anon_sym___END__] = ACTIONS(2961),
    [anon_sym_EOT] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_unless] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_until] = ACTIONS(2961),
    [sym__PERLY_SEMICOLON] = ACTIONS(2961),
    [sym__ctrl_z_hack] = ACTIONS(2961),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1172] = {
    [sym_heredoc_content] = STATE(1172),
    [anon_sym_RBRACE] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2967),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_COMMA] = ACTIONS(2965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2965),
    [anon_sym_and] = ACTIONS(2965),
    [anon_sym_or] = ACTIONS(2965),
    [anon_sym_xor] = ACTIONS(2965),
    [anon_sym_DASH_GT] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2967),
    [anon_sym_GT] = ACTIONS(2967),
    [anon_sym_LT_LT] = ACTIONS(2967),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2965),
    [anon_sym_DASH_EQ] = ACTIONS(2965),
    [anon_sym_DOT_EQ] = ACTIONS(2965),
    [anon_sym_STAR_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_PERCENT_EQ] = ACTIONS(2965),
    [anon_sym_x_EQ] = ACTIONS(2965),
    [anon_sym_AMP_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_CARET_EQ] = ACTIONS(2965),
    [anon_sym_LT_LT_EQ] = ACTIONS(2965),
    [anon_sym_GT_GT_EQ] = ACTIONS(2965),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2965),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_STAR_STAR] = ACTIONS(2967),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_SLASH_SLASH] = ACTIONS(2967),
    [anon_sym_CARET_CARET] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2967),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_GT_GT2] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2967),
    [anon_sym_x] = ACTIONS(2967),
    [anon_sym_EQ_TILDE] = ACTIONS(2965),
    [anon_sym_BANG_TILDE] = ACTIONS(2965),
    [anon_sym_EQ_EQ] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_eq] = ACTIONS(2967),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2965),
    [anon_sym_equ] = ACTIONS(2965),
    [anon_sym_eqr] = ACTIONS(2965),
    [anon_sym_ne] = ACTIONS(2965),
    [anon_sym_LT_EQ_GT] = ACTIONS(2965),
    [anon_sym_cmp] = ACTIONS(2965),
    [anon_sym_TILDE_TILDE] = ACTIONS(2965),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2965),
    [anon_sym_lt] = ACTIONS(2965),
    [anon_sym_le] = ACTIONS(2965),
    [anon_sym_ge] = ACTIONS(2965),
    [anon_sym_gt] = ACTIONS(2965),
    [anon_sym_isa] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_EQ_GT] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2967),
    [anon_sym_foreach] = ACTIONS(2965),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2965),
    [anon_sym___END__] = ACTIONS(2965),
    [anon_sym_EOT] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_unless] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_until] = ACTIONS(2965),
    [sym__PERLY_SEMICOLON] = ACTIONS(2965),
    [sym__ctrl_z_hack] = ACTIONS(2965),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1173] = {
    [sym_heredoc_content] = STATE(1173),
    [anon_sym_RBRACE] = ACTIONS(1796),
    [anon_sym_SEMI] = ACTIONS(1796),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_COMMA] = ACTIONS(1796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1796),
    [anon_sym_and] = ACTIONS(1796),
    [anon_sym_or] = ACTIONS(1796),
    [anon_sym_xor] = ACTIONS(1796),
    [anon_sym_DASH_GT] = ACTIONS(1796),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1796),
    [anon_sym_PLUS_EQ] = ACTIONS(1796),
    [anon_sym_DASH_EQ] = ACTIONS(1796),
    [anon_sym_DOT_EQ] = ACTIONS(1796),
    [anon_sym_STAR_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_PERCENT_EQ] = ACTIONS(1796),
    [anon_sym_x_EQ] = ACTIONS(1796),
    [anon_sym_AMP_EQ] = ACTIONS(1796),
    [anon_sym_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_CARET_EQ] = ACTIONS(1796),
    [anon_sym_LT_LT_EQ] = ACTIONS(1796),
    [anon_sym_GT_GT_EQ] = ACTIONS(1796),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1796),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1787),
    [anon_sym_CARET_CARET] = ACTIONS(1796),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1796),
    [anon_sym_BANG_TILDE] = ACTIONS(1796),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1796),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1796),
    [anon_sym_equ] = ACTIONS(1796),
    [anon_sym_eqr] = ACTIONS(1796),
    [anon_sym_ne] = ACTIONS(1796),
    [anon_sym_LT_EQ_GT] = ACTIONS(1796),
    [anon_sym_cmp] = ACTIONS(1796),
    [anon_sym_TILDE_TILDE] = ACTIONS(1796),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1796),
    [anon_sym_lt] = ACTIONS(1796),
    [anon_sym_le] = ACTIONS(1796),
    [anon_sym_ge] = ACTIONS(1796),
    [anon_sym_gt] = ACTIONS(1796),
    [anon_sym_isa] = ACTIONS(1796),
    [anon_sym_PLUS_PLUS] = ACTIONS(1796),
    [anon_sym_DASH_DASH] = ACTIONS(1796),
    [anon_sym_QMARK] = ACTIONS(1796),
    [anon_sym_EQ_GT] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1787),
    [anon_sym_foreach] = ACTIONS(1796),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1796),
    [anon_sym___END__] = ACTIONS(1796),
    [anon_sym_EOT] = ACTIONS(1796),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_unless] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_until] = ACTIONS(1796),
    [sym__PERLY_SEMICOLON] = ACTIONS(1796),
    [sym__ctrl_z_hack] = ACTIONS(1796),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1174] = {
    [sym_heredoc_content] = STATE(1174),
    [anon_sym_RBRACE] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym_EQ] = ACTIONS(2971),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2969),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2969),
    [anon_sym_COMMA] = ACTIONS(2969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2969),
    [anon_sym_and] = ACTIONS(2969),
    [anon_sym_or] = ACTIONS(2969),
    [anon_sym_xor] = ACTIONS(2969),
    [anon_sym_DASH_GT] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2971),
    [anon_sym_LT] = ACTIONS(2971),
    [anon_sym_GT] = ACTIONS(2971),
    [anon_sym_LT_LT] = ACTIONS(2971),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2969),
    [anon_sym_PLUS_EQ] = ACTIONS(2969),
    [anon_sym_DASH_EQ] = ACTIONS(2969),
    [anon_sym_DOT_EQ] = ACTIONS(2969),
    [anon_sym_STAR_EQ] = ACTIONS(2969),
    [anon_sym_SLASH_EQ] = ACTIONS(2969),
    [anon_sym_PERCENT_EQ] = ACTIONS(2969),
    [anon_sym_x_EQ] = ACTIONS(2969),
    [anon_sym_AMP_EQ] = ACTIONS(2969),
    [anon_sym_PIPE_EQ] = ACTIONS(2969),
    [anon_sym_CARET_EQ] = ACTIONS(2969),
    [anon_sym_LT_LT_EQ] = ACTIONS(2969),
    [anon_sym_GT_GT_EQ] = ACTIONS(2969),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2969),
    [anon_sym_DOT_DOT] = ACTIONS(2971),
    [anon_sym_STAR_STAR] = ACTIONS(2971),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_SLASH_SLASH] = ACTIONS(2971),
    [anon_sym_CARET_CARET] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2971),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [anon_sym_GT_GT2] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2971),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_SLASH] = ACTIONS(2971),
    [anon_sym_x] = ACTIONS(2971),
    [anon_sym_EQ_TILDE] = ACTIONS(2969),
    [anon_sym_BANG_TILDE] = ACTIONS(2969),
    [anon_sym_EQ_EQ] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_eq] = ACTIONS(2971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2969),
    [anon_sym_equ] = ACTIONS(2969),
    [anon_sym_eqr] = ACTIONS(2969),
    [anon_sym_ne] = ACTIONS(2969),
    [anon_sym_LT_EQ_GT] = ACTIONS(2969),
    [anon_sym_cmp] = ACTIONS(2969),
    [anon_sym_TILDE_TILDE] = ACTIONS(2969),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2969),
    [anon_sym_lt] = ACTIONS(2969),
    [anon_sym_le] = ACTIONS(2969),
    [anon_sym_ge] = ACTIONS(2969),
    [anon_sym_gt] = ACTIONS(2969),
    [anon_sym_isa] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2969),
    [anon_sym_DASH_DASH] = ACTIONS(2969),
    [anon_sym_QMARK] = ACTIONS(2969),
    [anon_sym_EQ_GT] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_foreach] = ACTIONS(2969),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2969),
    [anon_sym___END__] = ACTIONS(2969),
    [anon_sym_EOT] = ACTIONS(2969),
    [anon_sym_if] = ACTIONS(2969),
    [anon_sym_unless] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_until] = ACTIONS(2969),
    [sym__PERLY_SEMICOLON] = ACTIONS(2969),
    [sym__ctrl_z_hack] = ACTIONS(2969),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1175] = {
    [sym_heredoc_content] = STATE(1175),
    [anon_sym_RBRACE] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2973),
    [anon_sym_EQ] = ACTIONS(2975),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2973),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2973),
    [anon_sym_COMMA] = ACTIONS(2973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2973),
    [anon_sym_and] = ACTIONS(2973),
    [anon_sym_or] = ACTIONS(2973),
    [anon_sym_xor] = ACTIONS(2973),
    [anon_sym_DASH_GT] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2975),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_GT] = ACTIONS(2975),
    [anon_sym_LT_LT] = ACTIONS(2975),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2973),
    [anon_sym_PLUS_EQ] = ACTIONS(2973),
    [anon_sym_DASH_EQ] = ACTIONS(2973),
    [anon_sym_DOT_EQ] = ACTIONS(2973),
    [anon_sym_STAR_EQ] = ACTIONS(2973),
    [anon_sym_SLASH_EQ] = ACTIONS(2973),
    [anon_sym_PERCENT_EQ] = ACTIONS(2973),
    [anon_sym_x_EQ] = ACTIONS(2973),
    [anon_sym_AMP_EQ] = ACTIONS(2973),
    [anon_sym_PIPE_EQ] = ACTIONS(2973),
    [anon_sym_CARET_EQ] = ACTIONS(2973),
    [anon_sym_LT_LT_EQ] = ACTIONS(2973),
    [anon_sym_GT_GT_EQ] = ACTIONS(2973),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2973),
    [anon_sym_DOT_DOT] = ACTIONS(2975),
    [anon_sym_STAR_STAR] = ACTIONS(2975),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_SLASH_SLASH] = ACTIONS(2975),
    [anon_sym_CARET_CARET] = ACTIONS(2973),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_PIPE] = ACTIONS(2975),
    [anon_sym_CARET] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_GT_GT2] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2975),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2975),
    [anon_sym_x] = ACTIONS(2975),
    [anon_sym_EQ_TILDE] = ACTIONS(2973),
    [anon_sym_BANG_TILDE] = ACTIONS(2973),
    [anon_sym_EQ_EQ] = ACTIONS(2975),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_eq] = ACTIONS(2975),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2973),
    [anon_sym_equ] = ACTIONS(2973),
    [anon_sym_eqr] = ACTIONS(2973),
    [anon_sym_ne] = ACTIONS(2973),
    [anon_sym_LT_EQ_GT] = ACTIONS(2973),
    [anon_sym_cmp] = ACTIONS(2973),
    [anon_sym_TILDE_TILDE] = ACTIONS(2973),
    [anon_sym_LT_EQ] = ACTIONS(2975),
    [anon_sym_GT_EQ] = ACTIONS(2973),
    [anon_sym_lt] = ACTIONS(2973),
    [anon_sym_le] = ACTIONS(2973),
    [anon_sym_ge] = ACTIONS(2973),
    [anon_sym_gt] = ACTIONS(2973),
    [anon_sym_isa] = ACTIONS(2973),
    [anon_sym_PLUS_PLUS] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2975),
    [anon_sym_foreach] = ACTIONS(2973),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2973),
    [anon_sym___END__] = ACTIONS(2973),
    [anon_sym_EOT] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_unless] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_until] = ACTIONS(2973),
    [sym__PERLY_SEMICOLON] = ACTIONS(2973),
    [sym__ctrl_z_hack] = ACTIONS(2973),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1176] = {
    [sym_heredoc_content] = STATE(1176),
    [anon_sym_RBRACE] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(2979),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2977),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2977),
    [anon_sym_COMMA] = ACTIONS(2977),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2977),
    [anon_sym_and] = ACTIONS(2977),
    [anon_sym_or] = ACTIONS(2977),
    [anon_sym_xor] = ACTIONS(2977),
    [anon_sym_DASH_GT] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_LT] = ACTIONS(2979),
    [anon_sym_GT] = ACTIONS(2979),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2977),
    [anon_sym_DASH_EQ] = ACTIONS(2977),
    [anon_sym_DOT_EQ] = ACTIONS(2977),
    [anon_sym_STAR_EQ] = ACTIONS(2977),
    [anon_sym_SLASH_EQ] = ACTIONS(2977),
    [anon_sym_PERCENT_EQ] = ACTIONS(2977),
    [anon_sym_x_EQ] = ACTIONS(2977),
    [anon_sym_AMP_EQ] = ACTIONS(2977),
    [anon_sym_PIPE_EQ] = ACTIONS(2977),
    [anon_sym_CARET_EQ] = ACTIONS(2977),
    [anon_sym_LT_LT_EQ] = ACTIONS(2977),
    [anon_sym_GT_GT_EQ] = ACTIONS(2977),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2977),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_STAR_STAR] = ACTIONS(2979),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_SLASH_SLASH] = ACTIONS(2979),
    [anon_sym_CARET_CARET] = ACTIONS(2977),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_PIPE] = ACTIONS(2979),
    [anon_sym_CARET] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_GT_GT2] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2979),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2979),
    [anon_sym_x] = ACTIONS(2979),
    [anon_sym_EQ_TILDE] = ACTIONS(2977),
    [anon_sym_BANG_TILDE] = ACTIONS(2977),
    [anon_sym_EQ_EQ] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_eq] = ACTIONS(2979),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2977),
    [anon_sym_equ] = ACTIONS(2977),
    [anon_sym_eqr] = ACTIONS(2977),
    [anon_sym_ne] = ACTIONS(2977),
    [anon_sym_LT_EQ_GT] = ACTIONS(2977),
    [anon_sym_cmp] = ACTIONS(2977),
    [anon_sym_TILDE_TILDE] = ACTIONS(2977),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2977),
    [anon_sym_lt] = ACTIONS(2977),
    [anon_sym_le] = ACTIONS(2977),
    [anon_sym_ge] = ACTIONS(2977),
    [anon_sym_gt] = ACTIONS(2977),
    [anon_sym_isa] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2977),
    [anon_sym_EQ_GT] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2979),
    [anon_sym_foreach] = ACTIONS(2977),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2977),
    [anon_sym___END__] = ACTIONS(2977),
    [anon_sym_EOT] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_unless] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_until] = ACTIONS(2977),
    [sym__PERLY_SEMICOLON] = ACTIONS(2977),
    [sym__ctrl_z_hack] = ACTIONS(2977),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1177] = {
    [sym_heredoc_content] = STATE(1177),
    [anon_sym_RBRACE] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(2983),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2981),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2981),
    [anon_sym_COMMA] = ACTIONS(2981),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2981),
    [anon_sym_and] = ACTIONS(2981),
    [anon_sym_or] = ACTIONS(2981),
    [anon_sym_xor] = ACTIONS(2981),
    [anon_sym_DASH_GT] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2983),
    [anon_sym_LT] = ACTIONS(2983),
    [anon_sym_GT] = ACTIONS(2983),
    [anon_sym_LT_LT] = ACTIONS(2983),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2981),
    [anon_sym_DASH_EQ] = ACTIONS(2981),
    [anon_sym_DOT_EQ] = ACTIONS(2981),
    [anon_sym_STAR_EQ] = ACTIONS(2981),
    [anon_sym_SLASH_EQ] = ACTIONS(2981),
    [anon_sym_PERCENT_EQ] = ACTIONS(2981),
    [anon_sym_x_EQ] = ACTIONS(2981),
    [anon_sym_AMP_EQ] = ACTIONS(2981),
    [anon_sym_PIPE_EQ] = ACTIONS(2981),
    [anon_sym_CARET_EQ] = ACTIONS(2981),
    [anon_sym_LT_LT_EQ] = ACTIONS(2981),
    [anon_sym_GT_GT_EQ] = ACTIONS(2981),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2981),
    [anon_sym_DOT_DOT] = ACTIONS(2983),
    [anon_sym_STAR_STAR] = ACTIONS(2983),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_SLASH_SLASH] = ACTIONS(2983),
    [anon_sym_CARET_CARET] = ACTIONS(2981),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2983),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2983),
    [anon_sym_GT_GT2] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2983),
    [anon_sym_x] = ACTIONS(2983),
    [anon_sym_EQ_TILDE] = ACTIONS(2981),
    [anon_sym_BANG_TILDE] = ACTIONS(2981),
    [anon_sym_EQ_EQ] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_eq] = ACTIONS(2983),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2981),
    [anon_sym_equ] = ACTIONS(2981),
    [anon_sym_eqr] = ACTIONS(2981),
    [anon_sym_ne] = ACTIONS(2981),
    [anon_sym_LT_EQ_GT] = ACTIONS(2981),
    [anon_sym_cmp] = ACTIONS(2981),
    [anon_sym_TILDE_TILDE] = ACTIONS(2981),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2981),
    [anon_sym_lt] = ACTIONS(2981),
    [anon_sym_le] = ACTIONS(2981),
    [anon_sym_ge] = ACTIONS(2981),
    [anon_sym_gt] = ACTIONS(2981),
    [anon_sym_isa] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2981),
    [anon_sym_QMARK] = ACTIONS(2981),
    [anon_sym_EQ_GT] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2983),
    [anon_sym_foreach] = ACTIONS(2981),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2981),
    [anon_sym___END__] = ACTIONS(2981),
    [anon_sym_EOT] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_unless] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_until] = ACTIONS(2981),
    [sym__PERLY_SEMICOLON] = ACTIONS(2981),
    [sym__ctrl_z_hack] = ACTIONS(2981),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1178] = {
    [sym_heredoc_content] = STATE(1178),
    [anon_sym_RBRACE] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2985),
    [anon_sym_EQ] = ACTIONS(2987),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_COMMA] = ACTIONS(2985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2985),
    [anon_sym_and] = ACTIONS(2985),
    [anon_sym_or] = ACTIONS(2985),
    [anon_sym_xor] = ACTIONS(2985),
    [anon_sym_DASH_GT] = ACTIONS(2985),
    [anon_sym_PERCENT] = ACTIONS(2987),
    [anon_sym_LT] = ACTIONS(2987),
    [anon_sym_GT] = ACTIONS(2987),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_DOT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_x_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_DOT_DOT] = ACTIONS(2987),
    [anon_sym_STAR_STAR] = ACTIONS(2987),
    [anon_sym_PIPE_PIPE] = ACTIONS(2987),
    [anon_sym_SLASH_SLASH] = ACTIONS(2987),
    [anon_sym_CARET_CARET] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_PIPE] = ACTIONS(2987),
    [anon_sym_CARET] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_GT_GT2] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_DOT] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_SLASH] = ACTIONS(2987),
    [anon_sym_x] = ACTIONS(2987),
    [anon_sym_EQ_TILDE] = ACTIONS(2985),
    [anon_sym_BANG_TILDE] = ACTIONS(2985),
    [anon_sym_EQ_EQ] = ACTIONS(2987),
    [anon_sym_BANG_EQ] = ACTIONS(2985),
    [anon_sym_eq] = ACTIONS(2987),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2985),
    [anon_sym_equ] = ACTIONS(2985),
    [anon_sym_eqr] = ACTIONS(2985),
    [anon_sym_ne] = ACTIONS(2985),
    [anon_sym_LT_EQ_GT] = ACTIONS(2985),
    [anon_sym_cmp] = ACTIONS(2985),
    [anon_sym_TILDE_TILDE] = ACTIONS(2985),
    [anon_sym_LT_EQ] = ACTIONS(2987),
    [anon_sym_GT_EQ] = ACTIONS(2985),
    [anon_sym_lt] = ACTIONS(2985),
    [anon_sym_le] = ACTIONS(2985),
    [anon_sym_ge] = ACTIONS(2985),
    [anon_sym_gt] = ACTIONS(2985),
    [anon_sym_isa] = ACTIONS(2985),
    [anon_sym_PLUS_PLUS] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(2985),
    [anon_sym_EQ_GT] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2987),
    [anon_sym_foreach] = ACTIONS(2985),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2985),
    [anon_sym___END__] = ACTIONS(2985),
    [anon_sym_EOT] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_unless] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_until] = ACTIONS(2985),
    [sym__PERLY_SEMICOLON] = ACTIONS(2985),
    [sym__ctrl_z_hack] = ACTIONS(2985),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1179] = {
    [sym_heredoc_content] = STATE(1179),
    [anon_sym_RBRACE] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2989),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(2989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2989),
    [anon_sym_and] = ACTIONS(2989),
    [anon_sym_or] = ACTIONS(2989),
    [anon_sym_xor] = ACTIONS(2989),
    [anon_sym_DASH_GT] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_LT] = ACTIONS(2991),
    [anon_sym_GT] = ACTIONS(2991),
    [anon_sym_LT_LT] = ACTIONS(2991),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2989),
    [anon_sym_DASH_EQ] = ACTIONS(2989),
    [anon_sym_DOT_EQ] = ACTIONS(2989),
    [anon_sym_STAR_EQ] = ACTIONS(2989),
    [anon_sym_SLASH_EQ] = ACTIONS(2989),
    [anon_sym_PERCENT_EQ] = ACTIONS(2989),
    [anon_sym_x_EQ] = ACTIONS(2989),
    [anon_sym_AMP_EQ] = ACTIONS(2989),
    [anon_sym_PIPE_EQ] = ACTIONS(2989),
    [anon_sym_CARET_EQ] = ACTIONS(2989),
    [anon_sym_LT_LT_EQ] = ACTIONS(2989),
    [anon_sym_GT_GT_EQ] = ACTIONS(2989),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2989),
    [anon_sym_DOT_DOT] = ACTIONS(2991),
    [anon_sym_STAR_STAR] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_SLASH_SLASH] = ACTIONS(2991),
    [anon_sym_CARET_CARET] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_PIPE] = ACTIONS(2991),
    [anon_sym_CARET] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_GT_GT2] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2991),
    [anon_sym_x] = ACTIONS(2991),
    [anon_sym_EQ_TILDE] = ACTIONS(2989),
    [anon_sym_BANG_TILDE] = ACTIONS(2989),
    [anon_sym_EQ_EQ] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_eq] = ACTIONS(2991),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2989),
    [anon_sym_equ] = ACTIONS(2989),
    [anon_sym_eqr] = ACTIONS(2989),
    [anon_sym_ne] = ACTIONS(2989),
    [anon_sym_LT_EQ_GT] = ACTIONS(2989),
    [anon_sym_cmp] = ACTIONS(2989),
    [anon_sym_TILDE_TILDE] = ACTIONS(2989),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2989),
    [anon_sym_lt] = ACTIONS(2989),
    [anon_sym_le] = ACTIONS(2989),
    [anon_sym_ge] = ACTIONS(2989),
    [anon_sym_gt] = ACTIONS(2989),
    [anon_sym_isa] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(2989),
    [anon_sym_EQ_GT] = ACTIONS(2989),
    [anon_sym_for] = ACTIONS(2991),
    [anon_sym_foreach] = ACTIONS(2989),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2989),
    [anon_sym___END__] = ACTIONS(2989),
    [anon_sym_EOT] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_unless] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_until] = ACTIONS(2989),
    [sym__PERLY_SEMICOLON] = ACTIONS(2989),
    [sym__ctrl_z_hack] = ACTIONS(2989),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1180] = {
    [sym_heredoc_content] = STATE(1180),
    [anon_sym_RBRACE] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(2478),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2480),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2480),
    [anon_sym_COMMA] = ACTIONS(2993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2482),
    [anon_sym_and] = ACTIONS(2993),
    [anon_sym_or] = ACTIONS(2993),
    [anon_sym_xor] = ACTIONS(2993),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2480),
    [anon_sym_PLUS_EQ] = ACTIONS(2480),
    [anon_sym_DASH_EQ] = ACTIONS(2480),
    [anon_sym_DOT_EQ] = ACTIONS(2480),
    [anon_sym_STAR_EQ] = ACTIONS(2480),
    [anon_sym_SLASH_EQ] = ACTIONS(2480),
    [anon_sym_PERCENT_EQ] = ACTIONS(2480),
    [anon_sym_x_EQ] = ACTIONS(2480),
    [anon_sym_AMP_EQ] = ACTIONS(2480),
    [anon_sym_PIPE_EQ] = ACTIONS(2480),
    [anon_sym_CARET_EQ] = ACTIONS(2480),
    [anon_sym_LT_LT_EQ] = ACTIONS(2480),
    [anon_sym_GT_GT_EQ] = ACTIONS(2480),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2480),
    [anon_sym_DOT_DOT] = ACTIONS(2492),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_SLASH_SLASH] = ACTIONS(2496),
    [anon_sym_CARET_CARET] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_PIPE] = ACTIONS(2502),
    [anon_sym_CARET] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_eq] = ACTIONS(2510),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2512),
    [anon_sym_equ] = ACTIONS(2512),
    [anon_sym_eqr] = ACTIONS(2512),
    [anon_sym_ne] = ACTIONS(2512),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_lt] = ACTIONS(2516),
    [anon_sym_le] = ACTIONS(2516),
    [anon_sym_ge] = ACTIONS(2516),
    [anon_sym_gt] = ACTIONS(2516),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2522),
    [anon_sym_EQ_GT] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2995),
    [anon_sym_foreach] = ACTIONS(2993),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2993),
    [anon_sym___END__] = ACTIONS(2993),
    [anon_sym_EOT] = ACTIONS(2993),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_unless] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_until] = ACTIONS(2993),
    [sym__PERLY_SEMICOLON] = ACTIONS(2993),
    [sym__ctrl_z_hack] = ACTIONS(2993),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1181] = {
    [sym_heredoc_content] = STATE(1181),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_EQ] = ACTIONS(2478),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2480),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2480),
    [anon_sym_COMMA] = ACTIONS(2636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2482),
    [anon_sym_and] = ACTIONS(2636),
    [anon_sym_or] = ACTIONS(2636),
    [anon_sym_xor] = ACTIONS(2636),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2480),
    [anon_sym_PLUS_EQ] = ACTIONS(2480),
    [anon_sym_DASH_EQ] = ACTIONS(2480),
    [anon_sym_DOT_EQ] = ACTIONS(2480),
    [anon_sym_STAR_EQ] = ACTIONS(2480),
    [anon_sym_SLASH_EQ] = ACTIONS(2480),
    [anon_sym_PERCENT_EQ] = ACTIONS(2480),
    [anon_sym_x_EQ] = ACTIONS(2480),
    [anon_sym_AMP_EQ] = ACTIONS(2480),
    [anon_sym_PIPE_EQ] = ACTIONS(2480),
    [anon_sym_CARET_EQ] = ACTIONS(2480),
    [anon_sym_LT_LT_EQ] = ACTIONS(2480),
    [anon_sym_GT_GT_EQ] = ACTIONS(2480),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2480),
    [anon_sym_DOT_DOT] = ACTIONS(2492),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_SLASH_SLASH] = ACTIONS(2496),
    [anon_sym_CARET_CARET] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_PIPE] = ACTIONS(2502),
    [anon_sym_CARET] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_eq] = ACTIONS(2510),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2512),
    [anon_sym_equ] = ACTIONS(2512),
    [anon_sym_eqr] = ACTIONS(2512),
    [anon_sym_ne] = ACTIONS(2512),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_lt] = ACTIONS(2516),
    [anon_sym_le] = ACTIONS(2516),
    [anon_sym_ge] = ACTIONS(2516),
    [anon_sym_gt] = ACTIONS(2516),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2522),
    [anon_sym_EQ_GT] = ACTIONS(2636),
    [anon_sym_for] = ACTIONS(2638),
    [anon_sym_foreach] = ACTIONS(2636),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2636),
    [anon_sym___END__] = ACTIONS(2636),
    [anon_sym_EOT] = ACTIONS(2636),
    [anon_sym_if] = ACTIONS(2636),
    [anon_sym_unless] = ACTIONS(2636),
    [anon_sym_while] = ACTIONS(2636),
    [anon_sym_until] = ACTIONS(2636),
    [sym__PERLY_SEMICOLON] = ACTIONS(2636),
    [sym__ctrl_z_hack] = ACTIONS(2636),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1182] = {
    [sym_heredoc_content] = STATE(1182),
    [anon_sym_RBRACE] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2997),
    [anon_sym_EQ] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2997),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2997),
    [anon_sym_COMMA] = ACTIONS(2997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2997),
    [anon_sym_and] = ACTIONS(2997),
    [anon_sym_or] = ACTIONS(2997),
    [anon_sym_xor] = ACTIONS(2997),
    [anon_sym_DASH_GT] = ACTIONS(2997),
    [anon_sym_PERCENT] = ACTIONS(2999),
    [anon_sym_LT] = ACTIONS(2999),
    [anon_sym_GT] = ACTIONS(2999),
    [anon_sym_LT_LT] = ACTIONS(2999),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2997),
    [anon_sym_PLUS_EQ] = ACTIONS(2997),
    [anon_sym_DASH_EQ] = ACTIONS(2997),
    [anon_sym_DOT_EQ] = ACTIONS(2997),
    [anon_sym_STAR_EQ] = ACTIONS(2997),
    [anon_sym_SLASH_EQ] = ACTIONS(2997),
    [anon_sym_PERCENT_EQ] = ACTIONS(2997),
    [anon_sym_x_EQ] = ACTIONS(2997),
    [anon_sym_AMP_EQ] = ACTIONS(2997),
    [anon_sym_PIPE_EQ] = ACTIONS(2997),
    [anon_sym_CARET_EQ] = ACTIONS(2997),
    [anon_sym_LT_LT_EQ] = ACTIONS(2997),
    [anon_sym_GT_GT_EQ] = ACTIONS(2997),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2997),
    [anon_sym_DOT_DOT] = ACTIONS(2999),
    [anon_sym_STAR_STAR] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(2999),
    [anon_sym_SLASH_SLASH] = ACTIONS(2999),
    [anon_sym_CARET_CARET] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE] = ACTIONS(2999),
    [anon_sym_CARET] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2999),
    [anon_sym_GT_GT2] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_DOT] = ACTIONS(2999),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_SLASH] = ACTIONS(2999),
    [anon_sym_x] = ACTIONS(2999),
    [anon_sym_EQ_TILDE] = ACTIONS(2997),
    [anon_sym_BANG_TILDE] = ACTIONS(2997),
    [anon_sym_EQ_EQ] = ACTIONS(2999),
    [anon_sym_BANG_EQ] = ACTIONS(2997),
    [anon_sym_eq] = ACTIONS(2999),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2997),
    [anon_sym_equ] = ACTIONS(2997),
    [anon_sym_eqr] = ACTIONS(2997),
    [anon_sym_ne] = ACTIONS(2997),
    [anon_sym_LT_EQ_GT] = ACTIONS(2997),
    [anon_sym_cmp] = ACTIONS(2997),
    [anon_sym_TILDE_TILDE] = ACTIONS(2997),
    [anon_sym_LT_EQ] = ACTIONS(2999),
    [anon_sym_GT_EQ] = ACTIONS(2997),
    [anon_sym_lt] = ACTIONS(2997),
    [anon_sym_le] = ACTIONS(2997),
    [anon_sym_ge] = ACTIONS(2997),
    [anon_sym_gt] = ACTIONS(2997),
    [anon_sym_isa] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2997),
    [anon_sym_QMARK] = ACTIONS(2997),
    [anon_sym_EQ_GT] = ACTIONS(2997),
    [anon_sym_for] = ACTIONS(2999),
    [anon_sym_foreach] = ACTIONS(2997),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2997),
    [anon_sym___END__] = ACTIONS(2997),
    [anon_sym_EOT] = ACTIONS(2997),
    [anon_sym_if] = ACTIONS(2997),
    [anon_sym_unless] = ACTIONS(2997),
    [anon_sym_while] = ACTIONS(2997),
    [anon_sym_until] = ACTIONS(2997),
    [sym__PERLY_SEMICOLON] = ACTIONS(2997),
    [sym__ctrl_z_hack] = ACTIONS(2997),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1183] = {
    [sym_heredoc_content] = STATE(1183),
    [anon_sym_RBRACE] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3001),
    [anon_sym_EQ] = ACTIONS(3003),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3001),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3001),
    [anon_sym_COMMA] = ACTIONS(3001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3001),
    [anon_sym_and] = ACTIONS(3001),
    [anon_sym_or] = ACTIONS(3001),
    [anon_sym_xor] = ACTIONS(3001),
    [anon_sym_DASH_GT] = ACTIONS(3001),
    [anon_sym_PERCENT] = ACTIONS(3003),
    [anon_sym_LT] = ACTIONS(3003),
    [anon_sym_GT] = ACTIONS(3003),
    [anon_sym_LT_LT] = ACTIONS(3003),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3001),
    [anon_sym_PLUS_EQ] = ACTIONS(3001),
    [anon_sym_DASH_EQ] = ACTIONS(3001),
    [anon_sym_DOT_EQ] = ACTIONS(3001),
    [anon_sym_STAR_EQ] = ACTIONS(3001),
    [anon_sym_SLASH_EQ] = ACTIONS(3001),
    [anon_sym_PERCENT_EQ] = ACTIONS(3001),
    [anon_sym_x_EQ] = ACTIONS(3001),
    [anon_sym_AMP_EQ] = ACTIONS(3001),
    [anon_sym_PIPE_EQ] = ACTIONS(3001),
    [anon_sym_CARET_EQ] = ACTIONS(3001),
    [anon_sym_LT_LT_EQ] = ACTIONS(3001),
    [anon_sym_GT_GT_EQ] = ACTIONS(3001),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3001),
    [anon_sym_DOT_DOT] = ACTIONS(3003),
    [anon_sym_STAR_STAR] = ACTIONS(3003),
    [anon_sym_PIPE_PIPE] = ACTIONS(3003),
    [anon_sym_SLASH_SLASH] = ACTIONS(3003),
    [anon_sym_CARET_CARET] = ACTIONS(3001),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_PIPE] = ACTIONS(3003),
    [anon_sym_CARET] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_GT_GT2] = ACTIONS(3003),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_DOT] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_SLASH] = ACTIONS(3003),
    [anon_sym_x] = ACTIONS(3003),
    [anon_sym_EQ_TILDE] = ACTIONS(3001),
    [anon_sym_BANG_TILDE] = ACTIONS(3001),
    [anon_sym_EQ_EQ] = ACTIONS(3003),
    [anon_sym_BANG_EQ] = ACTIONS(3001),
    [anon_sym_eq] = ACTIONS(3003),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3001),
    [anon_sym_equ] = ACTIONS(3001),
    [anon_sym_eqr] = ACTIONS(3001),
    [anon_sym_ne] = ACTIONS(3001),
    [anon_sym_LT_EQ_GT] = ACTIONS(3001),
    [anon_sym_cmp] = ACTIONS(3001),
    [anon_sym_TILDE_TILDE] = ACTIONS(3001),
    [anon_sym_LT_EQ] = ACTIONS(3003),
    [anon_sym_GT_EQ] = ACTIONS(3001),
    [anon_sym_lt] = ACTIONS(3001),
    [anon_sym_le] = ACTIONS(3001),
    [anon_sym_ge] = ACTIONS(3001),
    [anon_sym_gt] = ACTIONS(3001),
    [anon_sym_isa] = ACTIONS(3001),
    [anon_sym_PLUS_PLUS] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3001),
    [anon_sym_QMARK] = ACTIONS(3001),
    [anon_sym_EQ_GT] = ACTIONS(3001),
    [anon_sym_for] = ACTIONS(3003),
    [anon_sym_foreach] = ACTIONS(3001),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3001),
    [anon_sym___END__] = ACTIONS(3001),
    [anon_sym_EOT] = ACTIONS(3001),
    [anon_sym_if] = ACTIONS(3001),
    [anon_sym_unless] = ACTIONS(3001),
    [anon_sym_while] = ACTIONS(3001),
    [anon_sym_until] = ACTIONS(3001),
    [sym__PERLY_SEMICOLON] = ACTIONS(3001),
    [sym__ctrl_z_hack] = ACTIONS(3001),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1184] = {
    [sym_heredoc_content] = STATE(1184),
    [anon_sym_RBRACE] = ACTIONS(3005),
    [anon_sym_SEMI] = ACTIONS(3005),
    [anon_sym_EQ] = ACTIONS(3007),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3005),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3005),
    [anon_sym_COMMA] = ACTIONS(3005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3005),
    [anon_sym_and] = ACTIONS(3005),
    [anon_sym_or] = ACTIONS(3005),
    [anon_sym_xor] = ACTIONS(3005),
    [anon_sym_DASH_GT] = ACTIONS(3005),
    [anon_sym_PERCENT] = ACTIONS(3007),
    [anon_sym_LT] = ACTIONS(3007),
    [anon_sym_GT] = ACTIONS(3007),
    [anon_sym_LT_LT] = ACTIONS(3007),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3005),
    [anon_sym_PLUS_EQ] = ACTIONS(3005),
    [anon_sym_DASH_EQ] = ACTIONS(3005),
    [anon_sym_DOT_EQ] = ACTIONS(3005),
    [anon_sym_STAR_EQ] = ACTIONS(3005),
    [anon_sym_SLASH_EQ] = ACTIONS(3005),
    [anon_sym_PERCENT_EQ] = ACTIONS(3005),
    [anon_sym_x_EQ] = ACTIONS(3005),
    [anon_sym_AMP_EQ] = ACTIONS(3005),
    [anon_sym_PIPE_EQ] = ACTIONS(3005),
    [anon_sym_CARET_EQ] = ACTIONS(3005),
    [anon_sym_LT_LT_EQ] = ACTIONS(3005),
    [anon_sym_GT_GT_EQ] = ACTIONS(3005),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3005),
    [anon_sym_DOT_DOT] = ACTIONS(3007),
    [anon_sym_STAR_STAR] = ACTIONS(3007),
    [anon_sym_PIPE_PIPE] = ACTIONS(3007),
    [anon_sym_SLASH_SLASH] = ACTIONS(3007),
    [anon_sym_CARET_CARET] = ACTIONS(3005),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_PIPE] = ACTIONS(3007),
    [anon_sym_CARET] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_GT_GT2] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_DOT] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_SLASH] = ACTIONS(3007),
    [anon_sym_x] = ACTIONS(3007),
    [anon_sym_EQ_TILDE] = ACTIONS(3005),
    [anon_sym_BANG_TILDE] = ACTIONS(3005),
    [anon_sym_EQ_EQ] = ACTIONS(3007),
    [anon_sym_BANG_EQ] = ACTIONS(3005),
    [anon_sym_eq] = ACTIONS(3007),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3005),
    [anon_sym_equ] = ACTIONS(3005),
    [anon_sym_eqr] = ACTIONS(3005),
    [anon_sym_ne] = ACTIONS(3005),
    [anon_sym_LT_EQ_GT] = ACTIONS(3005),
    [anon_sym_cmp] = ACTIONS(3005),
    [anon_sym_TILDE_TILDE] = ACTIONS(3005),
    [anon_sym_LT_EQ] = ACTIONS(3007),
    [anon_sym_GT_EQ] = ACTIONS(3005),
    [anon_sym_lt] = ACTIONS(3005),
    [anon_sym_le] = ACTIONS(3005),
    [anon_sym_ge] = ACTIONS(3005),
    [anon_sym_gt] = ACTIONS(3005),
    [anon_sym_isa] = ACTIONS(3005),
    [anon_sym_PLUS_PLUS] = ACTIONS(3005),
    [anon_sym_DASH_DASH] = ACTIONS(3005),
    [anon_sym_QMARK] = ACTIONS(3005),
    [anon_sym_EQ_GT] = ACTIONS(3005),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_foreach] = ACTIONS(3005),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3005),
    [anon_sym___END__] = ACTIONS(3005),
    [anon_sym_EOT] = ACTIONS(3005),
    [anon_sym_if] = ACTIONS(3005),
    [anon_sym_unless] = ACTIONS(3005),
    [anon_sym_while] = ACTIONS(3005),
    [anon_sym_until] = ACTIONS(3005),
    [sym__PERLY_SEMICOLON] = ACTIONS(3005),
    [sym__ctrl_z_hack] = ACTIONS(3005),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1185] = {
    [sym_heredoc_content] = STATE(1185),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3009),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(3011),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_SLASH_SLASH] = ACTIONS(2496),
    [anon_sym_CARET_CARET] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_PIPE] = ACTIONS(2502),
    [anon_sym_CARET] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_eq] = ACTIONS(2510),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2512),
    [anon_sym_equ] = ACTIONS(2512),
    [anon_sym_eqr] = ACTIONS(2512),
    [anon_sym_ne] = ACTIONS(2512),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_lt] = ACTIONS(2516),
    [anon_sym_le] = ACTIONS(2516),
    [anon_sym_ge] = ACTIONS(2516),
    [anon_sym_gt] = ACTIONS(2516),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [anon_sym_for] = ACTIONS(2687),
    [anon_sym_foreach] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2685),
    [anon_sym___END__] = ACTIONS(2685),
    [anon_sym_EOT] = ACTIONS(2685),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_unless] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(2685),
    [anon_sym_until] = ACTIONS(2685),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym__ctrl_z_hack] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1186] = {
    [sym_heredoc_content] = STATE(1186),
    [anon_sym_RBRACE] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3013),
    [anon_sym_EQ] = ACTIONS(3015),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3013),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3013),
    [anon_sym_COMMA] = ACTIONS(3013),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3013),
    [anon_sym_and] = ACTIONS(3013),
    [anon_sym_or] = ACTIONS(3013),
    [anon_sym_xor] = ACTIONS(3013),
    [anon_sym_DASH_GT] = ACTIONS(3013),
    [anon_sym_PERCENT] = ACTIONS(3015),
    [anon_sym_LT] = ACTIONS(3015),
    [anon_sym_GT] = ACTIONS(3015),
    [anon_sym_LT_LT] = ACTIONS(3015),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3013),
    [anon_sym_PLUS_EQ] = ACTIONS(3013),
    [anon_sym_DASH_EQ] = ACTIONS(3013),
    [anon_sym_DOT_EQ] = ACTIONS(3013),
    [anon_sym_STAR_EQ] = ACTIONS(3013),
    [anon_sym_SLASH_EQ] = ACTIONS(3013),
    [anon_sym_PERCENT_EQ] = ACTIONS(3013),
    [anon_sym_x_EQ] = ACTIONS(3013),
    [anon_sym_AMP_EQ] = ACTIONS(3013),
    [anon_sym_PIPE_EQ] = ACTIONS(3013),
    [anon_sym_CARET_EQ] = ACTIONS(3013),
    [anon_sym_LT_LT_EQ] = ACTIONS(3013),
    [anon_sym_GT_GT_EQ] = ACTIONS(3013),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3013),
    [anon_sym_DOT_DOT] = ACTIONS(3015),
    [anon_sym_STAR_STAR] = ACTIONS(3015),
    [anon_sym_PIPE_PIPE] = ACTIONS(3015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3015),
    [anon_sym_CARET_CARET] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_PIPE] = ACTIONS(3015),
    [anon_sym_CARET] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_GT_GT2] = ACTIONS(3015),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_SLASH] = ACTIONS(3015),
    [anon_sym_x] = ACTIONS(3015),
    [anon_sym_EQ_TILDE] = ACTIONS(3013),
    [anon_sym_BANG_TILDE] = ACTIONS(3013),
    [anon_sym_EQ_EQ] = ACTIONS(3015),
    [anon_sym_BANG_EQ] = ACTIONS(3013),
    [anon_sym_eq] = ACTIONS(3015),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3013),
    [anon_sym_equ] = ACTIONS(3013),
    [anon_sym_eqr] = ACTIONS(3013),
    [anon_sym_ne] = ACTIONS(3013),
    [anon_sym_LT_EQ_GT] = ACTIONS(3013),
    [anon_sym_cmp] = ACTIONS(3013),
    [anon_sym_TILDE_TILDE] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(3015),
    [anon_sym_GT_EQ] = ACTIONS(3013),
    [anon_sym_lt] = ACTIONS(3013),
    [anon_sym_le] = ACTIONS(3013),
    [anon_sym_ge] = ACTIONS(3013),
    [anon_sym_gt] = ACTIONS(3013),
    [anon_sym_isa] = ACTIONS(3013),
    [anon_sym_PLUS_PLUS] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3013),
    [anon_sym_QMARK] = ACTIONS(3013),
    [anon_sym_EQ_GT] = ACTIONS(3013),
    [anon_sym_for] = ACTIONS(3015),
    [anon_sym_foreach] = ACTIONS(3013),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3013),
    [anon_sym___END__] = ACTIONS(3013),
    [anon_sym_EOT] = ACTIONS(3013),
    [anon_sym_if] = ACTIONS(3013),
    [anon_sym_unless] = ACTIONS(3013),
    [anon_sym_while] = ACTIONS(3013),
    [anon_sym_until] = ACTIONS(3013),
    [sym__PERLY_SEMICOLON] = ACTIONS(3013),
    [sym__ctrl_z_hack] = ACTIONS(3013),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1187] = {
    [sym_heredoc_content] = STATE(1187),
    [anon_sym_RBRACE] = ACTIONS(3017),
    [anon_sym_SEMI] = ACTIONS(3017),
    [anon_sym_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3017),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3017),
    [anon_sym_COMMA] = ACTIONS(3017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3017),
    [anon_sym_and] = ACTIONS(3017),
    [anon_sym_or] = ACTIONS(3017),
    [anon_sym_xor] = ACTIONS(3017),
    [anon_sym_DASH_GT] = ACTIONS(3017),
    [anon_sym_PERCENT] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3019),
    [anon_sym_GT] = ACTIONS(3019),
    [anon_sym_LT_LT] = ACTIONS(3019),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3017),
    [anon_sym_PLUS_EQ] = ACTIONS(3017),
    [anon_sym_DASH_EQ] = ACTIONS(3017),
    [anon_sym_DOT_EQ] = ACTIONS(3017),
    [anon_sym_STAR_EQ] = ACTIONS(3017),
    [anon_sym_SLASH_EQ] = ACTIONS(3017),
    [anon_sym_PERCENT_EQ] = ACTIONS(3017),
    [anon_sym_x_EQ] = ACTIONS(3017),
    [anon_sym_AMP_EQ] = ACTIONS(3017),
    [anon_sym_PIPE_EQ] = ACTIONS(3017),
    [anon_sym_CARET_EQ] = ACTIONS(3017),
    [anon_sym_LT_LT_EQ] = ACTIONS(3017),
    [anon_sym_GT_GT_EQ] = ACTIONS(3017),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3017),
    [anon_sym_DOT_DOT] = ACTIONS(3019),
    [anon_sym_STAR_STAR] = ACTIONS(3019),
    [anon_sym_PIPE_PIPE] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH] = ACTIONS(3019),
    [anon_sym_CARET_CARET] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3019),
    [anon_sym_PIPE] = ACTIONS(3019),
    [anon_sym_CARET] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(3019),
    [anon_sym_GT_GT2] = ACTIONS(3019),
    [anon_sym_PLUS] = ACTIONS(3019),
    [anon_sym_DASH] = ACTIONS(3019),
    [anon_sym_DOT] = ACTIONS(3019),
    [anon_sym_STAR] = ACTIONS(3019),
    [anon_sym_SLASH] = ACTIONS(3019),
    [anon_sym_x] = ACTIONS(3019),
    [anon_sym_EQ_TILDE] = ACTIONS(3017),
    [anon_sym_BANG_TILDE] = ACTIONS(3017),
    [anon_sym_EQ_EQ] = ACTIONS(3019),
    [anon_sym_BANG_EQ] = ACTIONS(3017),
    [anon_sym_eq] = ACTIONS(3019),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3017),
    [anon_sym_equ] = ACTIONS(3017),
    [anon_sym_eqr] = ACTIONS(3017),
    [anon_sym_ne] = ACTIONS(3017),
    [anon_sym_LT_EQ_GT] = ACTIONS(3017),
    [anon_sym_cmp] = ACTIONS(3017),
    [anon_sym_TILDE_TILDE] = ACTIONS(3017),
    [anon_sym_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_EQ] = ACTIONS(3017),
    [anon_sym_lt] = ACTIONS(3017),
    [anon_sym_le] = ACTIONS(3017),
    [anon_sym_ge] = ACTIONS(3017),
    [anon_sym_gt] = ACTIONS(3017),
    [anon_sym_isa] = ACTIONS(3017),
    [anon_sym_PLUS_PLUS] = ACTIONS(3017),
    [anon_sym_DASH_DASH] = ACTIONS(3017),
    [anon_sym_QMARK] = ACTIONS(3017),
    [anon_sym_EQ_GT] = ACTIONS(3017),
    [anon_sym_for] = ACTIONS(3019),
    [anon_sym_foreach] = ACTIONS(3017),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3017),
    [anon_sym___END__] = ACTIONS(3017),
    [anon_sym_EOT] = ACTIONS(3017),
    [anon_sym_if] = ACTIONS(3017),
    [anon_sym_unless] = ACTIONS(3017),
    [anon_sym_while] = ACTIONS(3017),
    [anon_sym_until] = ACTIONS(3017),
    [sym__PERLY_SEMICOLON] = ACTIONS(3017),
    [sym__ctrl_z_hack] = ACTIONS(3017),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1188] = {
    [sym_heredoc_content] = STATE(1188),
    [anon_sym_RBRACE] = ACTIONS(3021),
    [anon_sym_SEMI] = ACTIONS(3021),
    [anon_sym_EQ] = ACTIONS(3023),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3021),
    [anon_sym_COMMA] = ACTIONS(3021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3021),
    [anon_sym_and] = ACTIONS(3021),
    [anon_sym_or] = ACTIONS(3021),
    [anon_sym_xor] = ACTIONS(3021),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3023),
    [anon_sym_LT] = ACTIONS(3023),
    [anon_sym_GT] = ACTIONS(3023),
    [anon_sym_LT_LT] = ACTIONS(3023),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3021),
    [anon_sym_PLUS_EQ] = ACTIONS(3021),
    [anon_sym_DASH_EQ] = ACTIONS(3021),
    [anon_sym_DOT_EQ] = ACTIONS(3021),
    [anon_sym_STAR_EQ] = ACTIONS(3021),
    [anon_sym_SLASH_EQ] = ACTIONS(3021),
    [anon_sym_PERCENT_EQ] = ACTIONS(3021),
    [anon_sym_x_EQ] = ACTIONS(3021),
    [anon_sym_AMP_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_EQ] = ACTIONS(3021),
    [anon_sym_CARET_EQ] = ACTIONS(3021),
    [anon_sym_LT_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_GT_EQ] = ACTIONS(3021),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3021),
    [anon_sym_DOT_DOT] = ACTIONS(3023),
    [anon_sym_STAR_STAR] = ACTIONS(3023),
    [anon_sym_PIPE_PIPE] = ACTIONS(3023),
    [anon_sym_SLASH_SLASH] = ACTIONS(3023),
    [anon_sym_CARET_CARET] = ACTIONS(3021),
    [anon_sym_AMP_AMP] = ACTIONS(3023),
    [anon_sym_PIPE] = ACTIONS(3023),
    [anon_sym_CARET] = ACTIONS(3023),
    [anon_sym_AMP] = ACTIONS(3023),
    [anon_sym_GT_GT2] = ACTIONS(3023),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_DOT] = ACTIONS(3023),
    [anon_sym_STAR] = ACTIONS(3023),
    [anon_sym_SLASH] = ACTIONS(3023),
    [anon_sym_x] = ACTIONS(3023),
    [anon_sym_EQ_TILDE] = ACTIONS(3021),
    [anon_sym_BANG_TILDE] = ACTIONS(3021),
    [anon_sym_EQ_EQ] = ACTIONS(3023),
    [anon_sym_BANG_EQ] = ACTIONS(3021),
    [anon_sym_eq] = ACTIONS(3023),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3021),
    [anon_sym_equ] = ACTIONS(3021),
    [anon_sym_eqr] = ACTIONS(3021),
    [anon_sym_ne] = ACTIONS(3021),
    [anon_sym_LT_EQ_GT] = ACTIONS(3021),
    [anon_sym_cmp] = ACTIONS(3021),
    [anon_sym_TILDE_TILDE] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3023),
    [anon_sym_GT_EQ] = ACTIONS(3021),
    [anon_sym_lt] = ACTIONS(3021),
    [anon_sym_le] = ACTIONS(3021),
    [anon_sym_ge] = ACTIONS(3021),
    [anon_sym_gt] = ACTIONS(3021),
    [anon_sym_isa] = ACTIONS(3021),
    [anon_sym_PLUS_PLUS] = ACTIONS(3025),
    [anon_sym_DASH_DASH] = ACTIONS(3025),
    [anon_sym_QMARK] = ACTIONS(3021),
    [anon_sym_EQ_GT] = ACTIONS(3021),
    [anon_sym_for] = ACTIONS(3023),
    [anon_sym_foreach] = ACTIONS(3021),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3021),
    [anon_sym___END__] = ACTIONS(3021),
    [anon_sym_EOT] = ACTIONS(3021),
    [anon_sym_if] = ACTIONS(3021),
    [anon_sym_unless] = ACTIONS(3021),
    [anon_sym_while] = ACTIONS(3021),
    [anon_sym_until] = ACTIONS(3021),
    [sym__PERLY_SEMICOLON] = ACTIONS(3021),
    [sym__ctrl_z_hack] = ACTIONS(3021),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1189] = {
    [sym_heredoc_content] = STATE(1189),
    [anon_sym_RBRACE] = ACTIONS(3028),
    [anon_sym_SEMI] = ACTIONS(3028),
    [anon_sym_EQ] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3028),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3028),
    [anon_sym_COMMA] = ACTIONS(3028),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3028),
    [anon_sym_and] = ACTIONS(3028),
    [anon_sym_or] = ACTIONS(3028),
    [anon_sym_xor] = ACTIONS(3028),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(3030),
    [anon_sym_GT] = ACTIONS(3030),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3028),
    [anon_sym_PLUS_EQ] = ACTIONS(3028),
    [anon_sym_DASH_EQ] = ACTIONS(3028),
    [anon_sym_DOT_EQ] = ACTIONS(3028),
    [anon_sym_STAR_EQ] = ACTIONS(3028),
    [anon_sym_SLASH_EQ] = ACTIONS(3028),
    [anon_sym_PERCENT_EQ] = ACTIONS(3028),
    [anon_sym_x_EQ] = ACTIONS(3028),
    [anon_sym_AMP_EQ] = ACTIONS(3028),
    [anon_sym_PIPE_EQ] = ACTIONS(3028),
    [anon_sym_CARET_EQ] = ACTIONS(3028),
    [anon_sym_LT_LT_EQ] = ACTIONS(3028),
    [anon_sym_GT_GT_EQ] = ACTIONS(3028),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3028),
    [anon_sym_DOT_DOT] = ACTIONS(3030),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(3030),
    [anon_sym_SLASH_SLASH] = ACTIONS(3030),
    [anon_sym_CARET_CARET] = ACTIONS(3028),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_CARET] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3030),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(3030),
    [anon_sym_BANG_EQ] = ACTIONS(3028),
    [anon_sym_eq] = ACTIONS(3030),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3028),
    [anon_sym_equ] = ACTIONS(3028),
    [anon_sym_eqr] = ACTIONS(3028),
    [anon_sym_ne] = ACTIONS(3028),
    [anon_sym_LT_EQ_GT] = ACTIONS(3028),
    [anon_sym_cmp] = ACTIONS(3028),
    [anon_sym_TILDE_TILDE] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(3030),
    [anon_sym_GT_EQ] = ACTIONS(3028),
    [anon_sym_lt] = ACTIONS(3028),
    [anon_sym_le] = ACTIONS(3028),
    [anon_sym_ge] = ACTIONS(3028),
    [anon_sym_gt] = ACTIONS(3028),
    [anon_sym_isa] = ACTIONS(3028),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(3028),
    [anon_sym_EQ_GT] = ACTIONS(3028),
    [anon_sym_for] = ACTIONS(3030),
    [anon_sym_foreach] = ACTIONS(3028),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3028),
    [anon_sym___END__] = ACTIONS(3028),
    [anon_sym_EOT] = ACTIONS(3028),
    [anon_sym_if] = ACTIONS(3028),
    [anon_sym_unless] = ACTIONS(3028),
    [anon_sym_while] = ACTIONS(3028),
    [anon_sym_until] = ACTIONS(3028),
    [sym__PERLY_SEMICOLON] = ACTIONS(3028),
    [sym__ctrl_z_hack] = ACTIONS(3028),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1190] = {
    [sym_heredoc_content] = STATE(1190),
    [anon_sym_RBRACE] = ACTIONS(3032),
    [anon_sym_SEMI] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3034),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3032),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3032),
    [anon_sym_COMMA] = ACTIONS(3032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3032),
    [anon_sym_and] = ACTIONS(3032),
    [anon_sym_or] = ACTIONS(3032),
    [anon_sym_xor] = ACTIONS(3032),
    [anon_sym_DASH_GT] = ACTIONS(3032),
    [anon_sym_PERCENT] = ACTIONS(3034),
    [anon_sym_LT] = ACTIONS(3034),
    [anon_sym_GT] = ACTIONS(3034),
    [anon_sym_LT_LT] = ACTIONS(3034),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3032),
    [anon_sym_DASH_EQ] = ACTIONS(3032),
    [anon_sym_DOT_EQ] = ACTIONS(3032),
    [anon_sym_STAR_EQ] = ACTIONS(3032),
    [anon_sym_SLASH_EQ] = ACTIONS(3032),
    [anon_sym_PERCENT_EQ] = ACTIONS(3032),
    [anon_sym_x_EQ] = ACTIONS(3032),
    [anon_sym_AMP_EQ] = ACTIONS(3032),
    [anon_sym_PIPE_EQ] = ACTIONS(3032),
    [anon_sym_CARET_EQ] = ACTIONS(3032),
    [anon_sym_LT_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_GT_EQ] = ACTIONS(3032),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3032),
    [anon_sym_DOT_DOT] = ACTIONS(3034),
    [anon_sym_STAR_STAR] = ACTIONS(3034),
    [anon_sym_PIPE_PIPE] = ACTIONS(3034),
    [anon_sym_SLASH_SLASH] = ACTIONS(3034),
    [anon_sym_CARET_CARET] = ACTIONS(3032),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_PIPE] = ACTIONS(3034),
    [anon_sym_CARET] = ACTIONS(3034),
    [anon_sym_AMP] = ACTIONS(3034),
    [anon_sym_GT_GT2] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_DOT] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3034),
    [anon_sym_SLASH] = ACTIONS(3034),
    [anon_sym_x] = ACTIONS(3034),
    [anon_sym_EQ_TILDE] = ACTIONS(3032),
    [anon_sym_BANG_TILDE] = ACTIONS(3032),
    [anon_sym_EQ_EQ] = ACTIONS(3034),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_eq] = ACTIONS(3034),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3032),
    [anon_sym_equ] = ACTIONS(3032),
    [anon_sym_eqr] = ACTIONS(3032),
    [anon_sym_ne] = ACTIONS(3032),
    [anon_sym_LT_EQ_GT] = ACTIONS(3032),
    [anon_sym_cmp] = ACTIONS(3032),
    [anon_sym_TILDE_TILDE] = ACTIONS(3032),
    [anon_sym_LT_EQ] = ACTIONS(3034),
    [anon_sym_GT_EQ] = ACTIONS(3032),
    [anon_sym_lt] = ACTIONS(3032),
    [anon_sym_le] = ACTIONS(3032),
    [anon_sym_ge] = ACTIONS(3032),
    [anon_sym_gt] = ACTIONS(3032),
    [anon_sym_isa] = ACTIONS(3032),
    [anon_sym_PLUS_PLUS] = ACTIONS(3032),
    [anon_sym_DASH_DASH] = ACTIONS(3032),
    [anon_sym_QMARK] = ACTIONS(3032),
    [anon_sym_EQ_GT] = ACTIONS(3032),
    [anon_sym_for] = ACTIONS(3034),
    [anon_sym_foreach] = ACTIONS(3032),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3032),
    [anon_sym___END__] = ACTIONS(3032),
    [anon_sym_EOT] = ACTIONS(3032),
    [anon_sym_if] = ACTIONS(3032),
    [anon_sym_unless] = ACTIONS(3032),
    [anon_sym_while] = ACTIONS(3032),
    [anon_sym_until] = ACTIONS(3032),
    [sym__PERLY_SEMICOLON] = ACTIONS(3032),
    [sym__ctrl_z_hack] = ACTIONS(3032),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1191] = {
    [sym_heredoc_content] = STATE(1191),
    [anon_sym_RBRACE] = ACTIONS(3036),
    [anon_sym_SEMI] = ACTIONS(3036),
    [anon_sym_EQ] = ACTIONS(3038),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3036),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3036),
    [anon_sym_COMMA] = ACTIONS(3036),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3036),
    [anon_sym_and] = ACTIONS(3036),
    [anon_sym_or] = ACTIONS(3036),
    [anon_sym_xor] = ACTIONS(3036),
    [anon_sym_DASH_GT] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3038),
    [anon_sym_LT] = ACTIONS(3038),
    [anon_sym_GT] = ACTIONS(3038),
    [anon_sym_LT_LT] = ACTIONS(3038),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3036),
    [anon_sym_PLUS_EQ] = ACTIONS(3036),
    [anon_sym_DASH_EQ] = ACTIONS(3036),
    [anon_sym_DOT_EQ] = ACTIONS(3036),
    [anon_sym_STAR_EQ] = ACTIONS(3036),
    [anon_sym_SLASH_EQ] = ACTIONS(3036),
    [anon_sym_PERCENT_EQ] = ACTIONS(3036),
    [anon_sym_x_EQ] = ACTIONS(3036),
    [anon_sym_AMP_EQ] = ACTIONS(3036),
    [anon_sym_PIPE_EQ] = ACTIONS(3036),
    [anon_sym_CARET_EQ] = ACTIONS(3036),
    [anon_sym_LT_LT_EQ] = ACTIONS(3036),
    [anon_sym_GT_GT_EQ] = ACTIONS(3036),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3036),
    [anon_sym_DOT_DOT] = ACTIONS(3038),
    [anon_sym_STAR_STAR] = ACTIONS(3038),
    [anon_sym_PIPE_PIPE] = ACTIONS(3038),
    [anon_sym_SLASH_SLASH] = ACTIONS(3038),
    [anon_sym_CARET_CARET] = ACTIONS(3036),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_PIPE] = ACTIONS(3038),
    [anon_sym_CARET] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3038),
    [anon_sym_GT_GT2] = ACTIONS(3038),
    [anon_sym_PLUS] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3038),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_SLASH] = ACTIONS(3038),
    [anon_sym_x] = ACTIONS(3038),
    [anon_sym_EQ_TILDE] = ACTIONS(3036),
    [anon_sym_BANG_TILDE] = ACTIONS(3036),
    [anon_sym_EQ_EQ] = ACTIONS(3038),
    [anon_sym_BANG_EQ] = ACTIONS(3036),
    [anon_sym_eq] = ACTIONS(3038),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3036),
    [anon_sym_equ] = ACTIONS(3036),
    [anon_sym_eqr] = ACTIONS(3036),
    [anon_sym_ne] = ACTIONS(3036),
    [anon_sym_LT_EQ_GT] = ACTIONS(3036),
    [anon_sym_cmp] = ACTIONS(3036),
    [anon_sym_TILDE_TILDE] = ACTIONS(3036),
    [anon_sym_LT_EQ] = ACTIONS(3038),
    [anon_sym_GT_EQ] = ACTIONS(3036),
    [anon_sym_lt] = ACTIONS(3036),
    [anon_sym_le] = ACTIONS(3036),
    [anon_sym_ge] = ACTIONS(3036),
    [anon_sym_gt] = ACTIONS(3036),
    [anon_sym_isa] = ACTIONS(3036),
    [anon_sym_PLUS_PLUS] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3036),
    [anon_sym_QMARK] = ACTIONS(3036),
    [anon_sym_EQ_GT] = ACTIONS(3036),
    [anon_sym_for] = ACTIONS(3038),
    [anon_sym_foreach] = ACTIONS(3036),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3036),
    [anon_sym___END__] = ACTIONS(3036),
    [anon_sym_EOT] = ACTIONS(3036),
    [anon_sym_if] = ACTIONS(3036),
    [anon_sym_unless] = ACTIONS(3036),
    [anon_sym_while] = ACTIONS(3036),
    [anon_sym_until] = ACTIONS(3036),
    [sym__PERLY_SEMICOLON] = ACTIONS(3036),
    [sym__ctrl_z_hack] = ACTIONS(3036),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1192] = {
    [sym_heredoc_content] = STATE(1192),
    [anon_sym_RBRACE] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_COMMA] = ACTIONS(3040),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3040),
    [anon_sym_and] = ACTIONS(3040),
    [anon_sym_or] = ACTIONS(3040),
    [anon_sym_xor] = ACTIONS(3040),
    [anon_sym_DASH_GT] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3042),
    [anon_sym_LT] = ACTIONS(3042),
    [anon_sym_GT] = ACTIONS(3042),
    [anon_sym_LT_LT] = ACTIONS(3042),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3040),
    [anon_sym_DASH_EQ] = ACTIONS(3040),
    [anon_sym_DOT_EQ] = ACTIONS(3040),
    [anon_sym_STAR_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_PERCENT_EQ] = ACTIONS(3040),
    [anon_sym_x_EQ] = ACTIONS(3040),
    [anon_sym_AMP_EQ] = ACTIONS(3040),
    [anon_sym_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_CARET_EQ] = ACTIONS(3040),
    [anon_sym_LT_LT_EQ] = ACTIONS(3040),
    [anon_sym_GT_GT_EQ] = ACTIONS(3040),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3040),
    [anon_sym_DOT_DOT] = ACTIONS(3042),
    [anon_sym_STAR_STAR] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_SLASH_SLASH] = ACTIONS(3042),
    [anon_sym_CARET_CARET] = ACTIONS(3040),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_PIPE] = ACTIONS(3042),
    [anon_sym_CARET] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3042),
    [anon_sym_GT_GT2] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3042),
    [anon_sym_x] = ACTIONS(3042),
    [anon_sym_EQ_TILDE] = ACTIONS(3040),
    [anon_sym_BANG_TILDE] = ACTIONS(3040),
    [anon_sym_EQ_EQ] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_eq] = ACTIONS(3042),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3040),
    [anon_sym_equ] = ACTIONS(3040),
    [anon_sym_eqr] = ACTIONS(3040),
    [anon_sym_ne] = ACTIONS(3040),
    [anon_sym_LT_EQ_GT] = ACTIONS(3040),
    [anon_sym_cmp] = ACTIONS(3040),
    [anon_sym_TILDE_TILDE] = ACTIONS(3040),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3040),
    [anon_sym_lt] = ACTIONS(3040),
    [anon_sym_le] = ACTIONS(3040),
    [anon_sym_ge] = ACTIONS(3040),
    [anon_sym_gt] = ACTIONS(3040),
    [anon_sym_isa] = ACTIONS(3040),
    [anon_sym_PLUS_PLUS] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3040),
    [anon_sym_QMARK] = ACTIONS(3040),
    [anon_sym_EQ_GT] = ACTIONS(3040),
    [anon_sym_for] = ACTIONS(3042),
    [anon_sym_foreach] = ACTIONS(3040),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3040),
    [anon_sym___END__] = ACTIONS(3040),
    [anon_sym_EOT] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_unless] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_until] = ACTIONS(3040),
    [sym__PERLY_SEMICOLON] = ACTIONS(3040),
    [sym__ctrl_z_hack] = ACTIONS(3040),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1193] = {
    [sym_heredoc_content] = STATE(1193),
    [anon_sym_RBRACE] = ACTIONS(3044),
    [anon_sym_SEMI] = ACTIONS(3044),
    [anon_sym_EQ] = ACTIONS(2478),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2480),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2480),
    [anon_sym_COMMA] = ACTIONS(3044),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2482),
    [anon_sym_and] = ACTIONS(3044),
    [anon_sym_or] = ACTIONS(3044),
    [anon_sym_xor] = ACTIONS(3044),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2480),
    [anon_sym_PLUS_EQ] = ACTIONS(2480),
    [anon_sym_DASH_EQ] = ACTIONS(2480),
    [anon_sym_DOT_EQ] = ACTIONS(2480),
    [anon_sym_STAR_EQ] = ACTIONS(2480),
    [anon_sym_SLASH_EQ] = ACTIONS(2480),
    [anon_sym_PERCENT_EQ] = ACTIONS(2480),
    [anon_sym_x_EQ] = ACTIONS(2480),
    [anon_sym_AMP_EQ] = ACTIONS(2480),
    [anon_sym_PIPE_EQ] = ACTIONS(2480),
    [anon_sym_CARET_EQ] = ACTIONS(2480),
    [anon_sym_LT_LT_EQ] = ACTIONS(2480),
    [anon_sym_GT_GT_EQ] = ACTIONS(2480),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2480),
    [anon_sym_DOT_DOT] = ACTIONS(2492),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_SLASH_SLASH] = ACTIONS(2496),
    [anon_sym_CARET_CARET] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_PIPE] = ACTIONS(2502),
    [anon_sym_CARET] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_eq] = ACTIONS(2510),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2512),
    [anon_sym_equ] = ACTIONS(2512),
    [anon_sym_eqr] = ACTIONS(2512),
    [anon_sym_ne] = ACTIONS(2512),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_lt] = ACTIONS(2516),
    [anon_sym_le] = ACTIONS(2516),
    [anon_sym_ge] = ACTIONS(2516),
    [anon_sym_gt] = ACTIONS(2516),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2522),
    [anon_sym_EQ_GT] = ACTIONS(3044),
    [anon_sym_for] = ACTIONS(3046),
    [anon_sym_foreach] = ACTIONS(3044),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3044),
    [anon_sym___END__] = ACTIONS(3044),
    [anon_sym_EOT] = ACTIONS(3044),
    [anon_sym_if] = ACTIONS(3044),
    [anon_sym_unless] = ACTIONS(3044),
    [anon_sym_while] = ACTIONS(3044),
    [anon_sym_until] = ACTIONS(3044),
    [sym__PERLY_SEMICOLON] = ACTIONS(3044),
    [sym__ctrl_z_hack] = ACTIONS(3044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1194] = {
    [sym_heredoc_content] = STATE(1194),
    [anon_sym_RBRACE] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_COMMA] = ACTIONS(3048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3040),
    [anon_sym_and] = ACTIONS(3040),
    [anon_sym_or] = ACTIONS(3040),
    [anon_sym_xor] = ACTIONS(3040),
    [anon_sym_DASH_GT] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3042),
    [anon_sym_LT] = ACTIONS(3042),
    [anon_sym_GT] = ACTIONS(3042),
    [anon_sym_LT_LT] = ACTIONS(3042),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3040),
    [anon_sym_DASH_EQ] = ACTIONS(3040),
    [anon_sym_DOT_EQ] = ACTIONS(3040),
    [anon_sym_STAR_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_PERCENT_EQ] = ACTIONS(3040),
    [anon_sym_x_EQ] = ACTIONS(3040),
    [anon_sym_AMP_EQ] = ACTIONS(3040),
    [anon_sym_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_CARET_EQ] = ACTIONS(3040),
    [anon_sym_LT_LT_EQ] = ACTIONS(3040),
    [anon_sym_GT_GT_EQ] = ACTIONS(3040),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3040),
    [anon_sym_DOT_DOT] = ACTIONS(3042),
    [anon_sym_STAR_STAR] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_SLASH_SLASH] = ACTIONS(3042),
    [anon_sym_CARET_CARET] = ACTIONS(3040),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_PIPE] = ACTIONS(3042),
    [anon_sym_CARET] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3042),
    [anon_sym_GT_GT2] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3042),
    [anon_sym_x] = ACTIONS(3042),
    [anon_sym_EQ_TILDE] = ACTIONS(3040),
    [anon_sym_BANG_TILDE] = ACTIONS(3040),
    [anon_sym_EQ_EQ] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_eq] = ACTIONS(3042),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3040),
    [anon_sym_equ] = ACTIONS(3040),
    [anon_sym_eqr] = ACTIONS(3040),
    [anon_sym_ne] = ACTIONS(3040),
    [anon_sym_LT_EQ_GT] = ACTIONS(3040),
    [anon_sym_cmp] = ACTIONS(3040),
    [anon_sym_TILDE_TILDE] = ACTIONS(3040),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3040),
    [anon_sym_lt] = ACTIONS(3040),
    [anon_sym_le] = ACTIONS(3040),
    [anon_sym_ge] = ACTIONS(3040),
    [anon_sym_gt] = ACTIONS(3040),
    [anon_sym_isa] = ACTIONS(3040),
    [anon_sym_PLUS_PLUS] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3040),
    [anon_sym_QMARK] = ACTIONS(3040),
    [anon_sym_EQ_GT] = ACTIONS(3048),
    [anon_sym_for] = ACTIONS(3042),
    [anon_sym_foreach] = ACTIONS(3040),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3040),
    [anon_sym___END__] = ACTIONS(3040),
    [anon_sym_EOT] = ACTIONS(3040),
    [anon_sym_if] = ACTIONS(3040),
    [anon_sym_unless] = ACTIONS(3040),
    [anon_sym_while] = ACTIONS(3040),
    [anon_sym_until] = ACTIONS(3040),
    [sym__PERLY_SEMICOLON] = ACTIONS(3040),
    [sym__ctrl_z_hack] = ACTIONS(3040),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1195] = {
    [sym_heredoc_content] = STATE(1195),
    [anon_sym_RBRACE] = ACTIONS(3050),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3050),
    [anon_sym_COMMA] = ACTIONS(3050),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3050),
    [anon_sym_and] = ACTIONS(3050),
    [anon_sym_or] = ACTIONS(3050),
    [anon_sym_xor] = ACTIONS(3050),
    [anon_sym_DASH_GT] = ACTIONS(3050),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LT_LT] = ACTIONS(3052),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3050),
    [anon_sym_PLUS_EQ] = ACTIONS(3050),
    [anon_sym_DASH_EQ] = ACTIONS(3050),
    [anon_sym_DOT_EQ] = ACTIONS(3050),
    [anon_sym_STAR_EQ] = ACTIONS(3050),
    [anon_sym_SLASH_EQ] = ACTIONS(3050),
    [anon_sym_PERCENT_EQ] = ACTIONS(3050),
    [anon_sym_x_EQ] = ACTIONS(3050),
    [anon_sym_AMP_EQ] = ACTIONS(3050),
    [anon_sym_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_CARET_EQ] = ACTIONS(3050),
    [anon_sym_LT_LT_EQ] = ACTIONS(3050),
    [anon_sym_GT_GT_EQ] = ACTIONS(3050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3050),
    [anon_sym_DOT_DOT] = ACTIONS(3052),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE] = ACTIONS(3052),
    [anon_sym_SLASH_SLASH] = ACTIONS(3052),
    [anon_sym_CARET_CARET] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3052),
    [anon_sym_PIPE] = ACTIONS(3052),
    [anon_sym_CARET] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_GT_GT2] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_x] = ACTIONS(3052),
    [anon_sym_EQ_TILDE] = ACTIONS(3050),
    [anon_sym_BANG_TILDE] = ACTIONS(3050),
    [anon_sym_EQ_EQ] = ACTIONS(3052),
    [anon_sym_BANG_EQ] = ACTIONS(3050),
    [anon_sym_eq] = ACTIONS(3052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3050),
    [anon_sym_equ] = ACTIONS(3050),
    [anon_sym_eqr] = ACTIONS(3050),
    [anon_sym_ne] = ACTIONS(3050),
    [anon_sym_LT_EQ_GT] = ACTIONS(3050),
    [anon_sym_cmp] = ACTIONS(3050),
    [anon_sym_TILDE_TILDE] = ACTIONS(3050),
    [anon_sym_LT_EQ] = ACTIONS(3052),
    [anon_sym_GT_EQ] = ACTIONS(3050),
    [anon_sym_lt] = ACTIONS(3050),
    [anon_sym_le] = ACTIONS(3050),
    [anon_sym_ge] = ACTIONS(3050),
    [anon_sym_gt] = ACTIONS(3050),
    [anon_sym_isa] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_QMARK] = ACTIONS(3050),
    [anon_sym_EQ_GT] = ACTIONS(3050),
    [anon_sym_for] = ACTIONS(3052),
    [anon_sym_foreach] = ACTIONS(3050),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3050),
    [anon_sym___END__] = ACTIONS(3050),
    [anon_sym_EOT] = ACTIONS(3050),
    [anon_sym_if] = ACTIONS(3050),
    [anon_sym_unless] = ACTIONS(3050),
    [anon_sym_while] = ACTIONS(3050),
    [anon_sym_until] = ACTIONS(3050),
    [sym__PERLY_SEMICOLON] = ACTIONS(3050),
    [sym__ctrl_z_hack] = ACTIONS(3050),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1196] = {
    [sym_heredoc_content] = STATE(1196),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_x] = ACTIONS(2687),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [anon_sym_for] = ACTIONS(2687),
    [anon_sym_foreach] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2685),
    [anon_sym___END__] = ACTIONS(2685),
    [anon_sym_EOT] = ACTIONS(2685),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_unless] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(2685),
    [anon_sym_until] = ACTIONS(2685),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym__ctrl_z_hack] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1197] = {
    [sym_heredoc_content] = STATE(1197),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_COMMA] = ACTIONS(3054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3054),
    [anon_sym_and] = ACTIONS(3054),
    [anon_sym_or] = ACTIONS(3054),
    [anon_sym_xor] = ACTIONS(3054),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_DOT_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_x_EQ] = ACTIONS(3054),
    [anon_sym_AMP_EQ] = ACTIONS(3054),
    [anon_sym_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_CARET_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT_EQ] = ACTIONS(3054),
    [anon_sym_GT_GT_EQ] = ACTIONS(3054),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(3056),
    [anon_sym_SLASH_SLASH] = ACTIONS(3056),
    [anon_sym_CARET_CARET] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3056),
    [anon_sym_PIPE] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_eq] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_equ] = ACTIONS(3054),
    [anon_sym_eqr] = ACTIONS(3054),
    [anon_sym_ne] = ACTIONS(3054),
    [anon_sym_LT_EQ_GT] = ACTIONS(3054),
    [anon_sym_cmp] = ACTIONS(3054),
    [anon_sym_TILDE_TILDE] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_lt] = ACTIONS(3054),
    [anon_sym_le] = ACTIONS(3054),
    [anon_sym_ge] = ACTIONS(3054),
    [anon_sym_gt] = ACTIONS(3054),
    [anon_sym_isa] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(3054),
    [anon_sym_EQ_GT] = ACTIONS(3054),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_foreach] = ACTIONS(3054),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3054),
    [anon_sym___END__] = ACTIONS(3054),
    [anon_sym_EOT] = ACTIONS(3054),
    [anon_sym_if] = ACTIONS(3054),
    [anon_sym_unless] = ACTIONS(3054),
    [anon_sym_while] = ACTIONS(3054),
    [anon_sym_until] = ACTIONS(3054),
    [sym__PERLY_SEMICOLON] = ACTIONS(3054),
    [sym__ctrl_z_hack] = ACTIONS(3054),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1198] = {
    [sym_heredoc_content] = STATE(1198),
    [anon_sym_RBRACE] = ACTIONS(3058),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym_EQ] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_COMMA] = ACTIONS(3058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3058),
    [anon_sym_and] = ACTIONS(3058),
    [anon_sym_or] = ACTIONS(3058),
    [anon_sym_xor] = ACTIONS(3058),
    [anon_sym_DASH_GT] = ACTIONS(3058),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LT_LT] = ACTIONS(3060),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3058),
    [anon_sym_PLUS_EQ] = ACTIONS(3058),
    [anon_sym_DASH_EQ] = ACTIONS(3058),
    [anon_sym_DOT_EQ] = ACTIONS(3058),
    [anon_sym_STAR_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_PERCENT_EQ] = ACTIONS(3058),
    [anon_sym_x_EQ] = ACTIONS(3058),
    [anon_sym_AMP_EQ] = ACTIONS(3058),
    [anon_sym_PIPE_EQ] = ACTIONS(3058),
    [anon_sym_CARET_EQ] = ACTIONS(3058),
    [anon_sym_LT_LT_EQ] = ACTIONS(3058),
    [anon_sym_GT_GT_EQ] = ACTIONS(3058),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_STAR_STAR] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE] = ACTIONS(3060),
    [anon_sym_SLASH_SLASH] = ACTIONS(3060),
    [anon_sym_CARET_CARET] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3060),
    [anon_sym_PIPE] = ACTIONS(3060),
    [anon_sym_CARET] = ACTIONS(3060),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_GT_GT2] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_x] = ACTIONS(3060),
    [anon_sym_EQ_TILDE] = ACTIONS(3058),
    [anon_sym_BANG_TILDE] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ] = ACTIONS(3058),
    [anon_sym_eq] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3058),
    [anon_sym_equ] = ACTIONS(3058),
    [anon_sym_eqr] = ACTIONS(3058),
    [anon_sym_ne] = ACTIONS(3058),
    [anon_sym_LT_EQ_GT] = ACTIONS(3058),
    [anon_sym_cmp] = ACTIONS(3058),
    [anon_sym_TILDE_TILDE] = ACTIONS(3058),
    [anon_sym_LT_EQ] = ACTIONS(3060),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_lt] = ACTIONS(3058),
    [anon_sym_le] = ACTIONS(3058),
    [anon_sym_ge] = ACTIONS(3058),
    [anon_sym_gt] = ACTIONS(3058),
    [anon_sym_isa] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_QMARK] = ACTIONS(3058),
    [anon_sym_EQ_GT] = ACTIONS(3058),
    [anon_sym_for] = ACTIONS(3060),
    [anon_sym_foreach] = ACTIONS(3058),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3058),
    [anon_sym___END__] = ACTIONS(3058),
    [anon_sym_EOT] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3058),
    [anon_sym_unless] = ACTIONS(3058),
    [anon_sym_while] = ACTIONS(3058),
    [anon_sym_until] = ACTIONS(3058),
    [sym__PERLY_SEMICOLON] = ACTIONS(3058),
    [sym__ctrl_z_hack] = ACTIONS(3058),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1199] = {
    [sym_heredoc_content] = STATE(1199),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [anon_sym_for] = ACTIONS(2687),
    [anon_sym_foreach] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2685),
    [anon_sym___END__] = ACTIONS(2685),
    [anon_sym_EOT] = ACTIONS(2685),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_unless] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(2685),
    [anon_sym_until] = ACTIONS(2685),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym__ctrl_z_hack] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1200] = {
    [sym_heredoc_content] = STATE(1200),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_COMMA] = ACTIONS(3062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_and] = ACTIONS(3062),
    [anon_sym_or] = ACTIONS(3062),
    [anon_sym_xor] = ACTIONS(3062),
    [anon_sym_DASH_GT] = ACTIONS(3062),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LT_LT] = ACTIONS(3064),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3062),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_DOT_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_x_EQ] = ACTIONS(3062),
    [anon_sym_AMP_EQ] = ACTIONS(3062),
    [anon_sym_PIPE_EQ] = ACTIONS(3062),
    [anon_sym_CARET_EQ] = ACTIONS(3062),
    [anon_sym_LT_LT_EQ] = ACTIONS(3062),
    [anon_sym_GT_GT_EQ] = ACTIONS(3062),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3062),
    [anon_sym_DOT_DOT] = ACTIONS(3064),
    [anon_sym_STAR_STAR] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_SLASH_SLASH] = ACTIONS(3064),
    [anon_sym_CARET_CARET] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3064),
    [anon_sym_PIPE] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_GT_GT2] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_x] = ACTIONS(3064),
    [anon_sym_EQ_TILDE] = ACTIONS(3062),
    [anon_sym_BANG_TILDE] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ] = ACTIONS(3062),
    [anon_sym_eq] = ACTIONS(3064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_equ] = ACTIONS(3062),
    [anon_sym_eqr] = ACTIONS(3062),
    [anon_sym_ne] = ACTIONS(3062),
    [anon_sym_LT_EQ_GT] = ACTIONS(3062),
    [anon_sym_cmp] = ACTIONS(3062),
    [anon_sym_TILDE_TILDE] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3064),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_lt] = ACTIONS(3062),
    [anon_sym_le] = ACTIONS(3062),
    [anon_sym_ge] = ACTIONS(3062),
    [anon_sym_gt] = ACTIONS(3062),
    [anon_sym_isa] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(3062),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_foreach] = ACTIONS(3062),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3062),
    [anon_sym___END__] = ACTIONS(3062),
    [anon_sym_EOT] = ACTIONS(3062),
    [anon_sym_if] = ACTIONS(3062),
    [anon_sym_unless] = ACTIONS(3062),
    [anon_sym_while] = ACTIONS(3062),
    [anon_sym_until] = ACTIONS(3062),
    [sym__PERLY_SEMICOLON] = ACTIONS(3062),
    [sym__ctrl_z_hack] = ACTIONS(3062),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1201] = {
    [sym_heredoc_content] = STATE(1201),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_EQ] = ACTIONS(3068),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_COMMA] = ACTIONS(3066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3066),
    [anon_sym_and] = ACTIONS(3066),
    [anon_sym_or] = ACTIONS(3066),
    [anon_sym_xor] = ACTIONS(3066),
    [anon_sym_DASH_GT] = ACTIONS(3066),
    [anon_sym_PERCENT] = ACTIONS(3068),
    [anon_sym_LT] = ACTIONS(3068),
    [anon_sym_GT] = ACTIONS(3068),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3066),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_DOT_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3066),
    [anon_sym_x_EQ] = ACTIONS(3066),
    [anon_sym_AMP_EQ] = ACTIONS(3066),
    [anon_sym_PIPE_EQ] = ACTIONS(3066),
    [anon_sym_CARET_EQ] = ACTIONS(3066),
    [anon_sym_LT_LT_EQ] = ACTIONS(3066),
    [anon_sym_GT_GT_EQ] = ACTIONS(3066),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3066),
    [anon_sym_DOT_DOT] = ACTIONS(3068),
    [anon_sym_STAR_STAR] = ACTIONS(3068),
    [anon_sym_PIPE_PIPE] = ACTIONS(3068),
    [anon_sym_SLASH_SLASH] = ACTIONS(3068),
    [anon_sym_CARET_CARET] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3068),
    [anon_sym_CARET] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_GT_GT2] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_DOT] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_SLASH] = ACTIONS(3068),
    [anon_sym_x] = ACTIONS(3068),
    [anon_sym_EQ_TILDE] = ACTIONS(3066),
    [anon_sym_BANG_TILDE] = ACTIONS(3066),
    [anon_sym_EQ_EQ] = ACTIONS(3068),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_eq] = ACTIONS(3068),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_equ] = ACTIONS(3066),
    [anon_sym_eqr] = ACTIONS(3066),
    [anon_sym_ne] = ACTIONS(3066),
    [anon_sym_LT_EQ_GT] = ACTIONS(3066),
    [anon_sym_cmp] = ACTIONS(3066),
    [anon_sym_TILDE_TILDE] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3068),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_lt] = ACTIONS(3066),
    [anon_sym_le] = ACTIONS(3066),
    [anon_sym_ge] = ACTIONS(3066),
    [anon_sym_gt] = ACTIONS(3066),
    [anon_sym_isa] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_QMARK] = ACTIONS(3066),
    [anon_sym_EQ_GT] = ACTIONS(3066),
    [anon_sym_for] = ACTIONS(3068),
    [anon_sym_foreach] = ACTIONS(3066),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3066),
    [anon_sym___END__] = ACTIONS(3066),
    [anon_sym_EOT] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(3066),
    [anon_sym_unless] = ACTIONS(3066),
    [anon_sym_while] = ACTIONS(3066),
    [anon_sym_until] = ACTIONS(3066),
    [sym__PERLY_SEMICOLON] = ACTIONS(3066),
    [sym__ctrl_z_hack] = ACTIONS(3066),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1202] = {
    [sym_heredoc_content] = STATE(1202),
    [anon_sym_RBRACE] = ACTIONS(3070),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym_EQ] = ACTIONS(3072),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3070),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3070),
    [anon_sym_COMMA] = ACTIONS(3070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3070),
    [anon_sym_and] = ACTIONS(3070),
    [anon_sym_or] = ACTIONS(3070),
    [anon_sym_xor] = ACTIONS(3070),
    [anon_sym_DASH_GT] = ACTIONS(3070),
    [anon_sym_PERCENT] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3072),
    [anon_sym_GT] = ACTIONS(3072),
    [anon_sym_LT_LT] = ACTIONS(3072),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3070),
    [anon_sym_PLUS_EQ] = ACTIONS(3070),
    [anon_sym_DASH_EQ] = ACTIONS(3070),
    [anon_sym_DOT_EQ] = ACTIONS(3070),
    [anon_sym_STAR_EQ] = ACTIONS(3070),
    [anon_sym_SLASH_EQ] = ACTIONS(3070),
    [anon_sym_PERCENT_EQ] = ACTIONS(3070),
    [anon_sym_x_EQ] = ACTIONS(3070),
    [anon_sym_AMP_EQ] = ACTIONS(3070),
    [anon_sym_PIPE_EQ] = ACTIONS(3070),
    [anon_sym_CARET_EQ] = ACTIONS(3070),
    [anon_sym_LT_LT_EQ] = ACTIONS(3070),
    [anon_sym_GT_GT_EQ] = ACTIONS(3070),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3070),
    [anon_sym_DOT_DOT] = ACTIONS(3072),
    [anon_sym_STAR_STAR] = ACTIONS(3072),
    [anon_sym_PIPE_PIPE] = ACTIONS(3072),
    [anon_sym_SLASH_SLASH] = ACTIONS(3072),
    [anon_sym_CARET_CARET] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_GT_GT2] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3072),
    [anon_sym_x] = ACTIONS(3072),
    [anon_sym_EQ_TILDE] = ACTIONS(3070),
    [anon_sym_BANG_TILDE] = ACTIONS(3070),
    [anon_sym_EQ_EQ] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3070),
    [anon_sym_eq] = ACTIONS(3072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3070),
    [anon_sym_equ] = ACTIONS(3070),
    [anon_sym_eqr] = ACTIONS(3070),
    [anon_sym_ne] = ACTIONS(3070),
    [anon_sym_LT_EQ_GT] = ACTIONS(3070),
    [anon_sym_cmp] = ACTIONS(3070),
    [anon_sym_TILDE_TILDE] = ACTIONS(3070),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3070),
    [anon_sym_lt] = ACTIONS(3070),
    [anon_sym_le] = ACTIONS(3070),
    [anon_sym_ge] = ACTIONS(3070),
    [anon_sym_gt] = ACTIONS(3070),
    [anon_sym_isa] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_QMARK] = ACTIONS(3070),
    [anon_sym_EQ_GT] = ACTIONS(3070),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_foreach] = ACTIONS(3070),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3070),
    [anon_sym___END__] = ACTIONS(3070),
    [anon_sym_EOT] = ACTIONS(3070),
    [anon_sym_if] = ACTIONS(3070),
    [anon_sym_unless] = ACTIONS(3070),
    [anon_sym_while] = ACTIONS(3070),
    [anon_sym_until] = ACTIONS(3070),
    [sym__PERLY_SEMICOLON] = ACTIONS(3070),
    [sym__ctrl_z_hack] = ACTIONS(3070),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1203] = {
    [sym_heredoc_content] = STATE(1203),
    [anon_sym_RBRACE] = ACTIONS(3074),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_COMMA] = ACTIONS(3074),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3074),
    [anon_sym_and] = ACTIONS(3074),
    [anon_sym_or] = ACTIONS(3074),
    [anon_sym_xor] = ACTIONS(3074),
    [anon_sym_DASH_GT] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3076),
    [anon_sym_LT] = ACTIONS(3076),
    [anon_sym_GT] = ACTIONS(3076),
    [anon_sym_LT_LT] = ACTIONS(3076),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3074),
    [anon_sym_DASH_EQ] = ACTIONS(3074),
    [anon_sym_DOT_EQ] = ACTIONS(3074),
    [anon_sym_STAR_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_PERCENT_EQ] = ACTIONS(3074),
    [anon_sym_x_EQ] = ACTIONS(3074),
    [anon_sym_AMP_EQ] = ACTIONS(3074),
    [anon_sym_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_CARET_EQ] = ACTIONS(3074),
    [anon_sym_LT_LT_EQ] = ACTIONS(3074),
    [anon_sym_GT_GT_EQ] = ACTIONS(3074),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3074),
    [anon_sym_DOT_DOT] = ACTIONS(3076),
    [anon_sym_STAR_STAR] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_SLASH_SLASH] = ACTIONS(3076),
    [anon_sym_CARET_CARET] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_CARET] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_GT_GT2] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3076),
    [anon_sym_x] = ACTIONS(3076),
    [anon_sym_EQ_TILDE] = ACTIONS(3074),
    [anon_sym_BANG_TILDE] = ACTIONS(3074),
    [anon_sym_EQ_EQ] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_eq] = ACTIONS(3076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3074),
    [anon_sym_equ] = ACTIONS(3074),
    [anon_sym_eqr] = ACTIONS(3074),
    [anon_sym_ne] = ACTIONS(3074),
    [anon_sym_LT_EQ_GT] = ACTIONS(3074),
    [anon_sym_cmp] = ACTIONS(3074),
    [anon_sym_TILDE_TILDE] = ACTIONS(3074),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3074),
    [anon_sym_lt] = ACTIONS(3074),
    [anon_sym_le] = ACTIONS(3074),
    [anon_sym_ge] = ACTIONS(3074),
    [anon_sym_gt] = ACTIONS(3074),
    [anon_sym_isa] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_QMARK] = ACTIONS(3074),
    [anon_sym_EQ_GT] = ACTIONS(3074),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_foreach] = ACTIONS(3074),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3074),
    [anon_sym___END__] = ACTIONS(3074),
    [anon_sym_EOT] = ACTIONS(3074),
    [anon_sym_if] = ACTIONS(3074),
    [anon_sym_unless] = ACTIONS(3074),
    [anon_sym_while] = ACTIONS(3074),
    [anon_sym_until] = ACTIONS(3074),
    [sym__PERLY_SEMICOLON] = ACTIONS(3074),
    [sym__ctrl_z_hack] = ACTIONS(3074),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1204] = {
    [sym_heredoc_content] = STATE(1204),
    [anon_sym_RBRACE] = ACTIONS(2689),
    [anon_sym_SEMI] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_COMMA] = ACTIONS(2689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2689),
    [anon_sym_and] = ACTIONS(2689),
    [anon_sym_or] = ACTIONS(2689),
    [anon_sym_xor] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2689),
    [anon_sym_DASH_EQ] = ACTIONS(2689),
    [anon_sym_DOT_EQ] = ACTIONS(2689),
    [anon_sym_STAR_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_PERCENT_EQ] = ACTIONS(2689),
    [anon_sym_x_EQ] = ACTIONS(2689),
    [anon_sym_AMP_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_CARET_EQ] = ACTIONS(2689),
    [anon_sym_LT_LT_EQ] = ACTIONS(2689),
    [anon_sym_GT_GT_EQ] = ACTIONS(2689),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2691),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_SLASH_SLASH] = ACTIONS(2691),
    [anon_sym_CARET_CARET] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_PIPE] = ACTIONS(2691),
    [anon_sym_CARET] = ACTIONS(2691),
    [anon_sym_AMP] = ACTIONS(2691),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_eq] = ACTIONS(2510),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2512),
    [anon_sym_equ] = ACTIONS(2512),
    [anon_sym_eqr] = ACTIONS(2512),
    [anon_sym_ne] = ACTIONS(2512),
    [anon_sym_LT_EQ_GT] = ACTIONS(3078),
    [anon_sym_cmp] = ACTIONS(3078),
    [anon_sym_TILDE_TILDE] = ACTIONS(3078),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_lt] = ACTIONS(2516),
    [anon_sym_le] = ACTIONS(2516),
    [anon_sym_ge] = ACTIONS(2516),
    [anon_sym_gt] = ACTIONS(2516),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2689),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [anon_sym_for] = ACTIONS(2691),
    [anon_sym_foreach] = ACTIONS(2689),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2689),
    [anon_sym___END__] = ACTIONS(2689),
    [anon_sym_EOT] = ACTIONS(2689),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_unless] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(2689),
    [anon_sym_until] = ACTIONS(2689),
    [sym__PERLY_SEMICOLON] = ACTIONS(2689),
    [sym__ctrl_z_hack] = ACTIONS(2689),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1205] = {
    [sym_heredoc_content] = STATE(1205),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_x] = ACTIONS(2687),
    [anon_sym_EQ_TILDE] = ACTIONS(2685),
    [anon_sym_BANG_TILDE] = ACTIONS(2685),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [anon_sym_for] = ACTIONS(2687),
    [anon_sym_foreach] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2685),
    [anon_sym___END__] = ACTIONS(2685),
    [anon_sym_EOT] = ACTIONS(2685),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_unless] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(2685),
    [anon_sym_until] = ACTIONS(2685),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym__ctrl_z_hack] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1206] = {
    [sym_heredoc_content] = STATE(1206),
    [anon_sym_RBRACE] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_EQ] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_COMMA] = ACTIONS(3080),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3080),
    [anon_sym_and] = ACTIONS(3080),
    [anon_sym_or] = ACTIONS(3080),
    [anon_sym_xor] = ACTIONS(3080),
    [anon_sym_DASH_GT] = ACTIONS(3080),
    [anon_sym_PERCENT] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3082),
    [anon_sym_GT] = ACTIONS(3082),
    [anon_sym_LT_LT] = ACTIONS(3082),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_DOT_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_x_EQ] = ACTIONS(3080),
    [anon_sym_AMP_EQ] = ACTIONS(3080),
    [anon_sym_PIPE_EQ] = ACTIONS(3080),
    [anon_sym_CARET_EQ] = ACTIONS(3080),
    [anon_sym_LT_LT_EQ] = ACTIONS(3080),
    [anon_sym_GT_GT_EQ] = ACTIONS(3080),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3080),
    [anon_sym_DOT_DOT] = ACTIONS(3082),
    [anon_sym_STAR_STAR] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE] = ACTIONS(3082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3082),
    [anon_sym_CARET_CARET] = ACTIONS(3080),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_PIPE] = ACTIONS(3082),
    [anon_sym_CARET] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3082),
    [anon_sym_GT_GT2] = ACTIONS(3082),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_DOT] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_SLASH] = ACTIONS(3082),
    [anon_sym_x] = ACTIONS(3082),
    [anon_sym_EQ_TILDE] = ACTIONS(3080),
    [anon_sym_BANG_TILDE] = ACTIONS(3080),
    [anon_sym_EQ_EQ] = ACTIONS(3082),
    [anon_sym_BANG_EQ] = ACTIONS(3080),
    [anon_sym_eq] = ACTIONS(3082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3080),
    [anon_sym_equ] = ACTIONS(3080),
    [anon_sym_eqr] = ACTIONS(3080),
    [anon_sym_ne] = ACTIONS(3080),
    [anon_sym_LT_EQ_GT] = ACTIONS(3080),
    [anon_sym_cmp] = ACTIONS(3080),
    [anon_sym_TILDE_TILDE] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3082),
    [anon_sym_GT_EQ] = ACTIONS(3080),
    [anon_sym_lt] = ACTIONS(3080),
    [anon_sym_le] = ACTIONS(3080),
    [anon_sym_ge] = ACTIONS(3080),
    [anon_sym_gt] = ACTIONS(3080),
    [anon_sym_isa] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [anon_sym_QMARK] = ACTIONS(3080),
    [anon_sym_EQ_GT] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3082),
    [anon_sym_foreach] = ACTIONS(3080),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3080),
    [anon_sym___END__] = ACTIONS(3080),
    [anon_sym_EOT] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_unless] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_until] = ACTIONS(3080),
    [sym__PERLY_SEMICOLON] = ACTIONS(3080),
    [sym__ctrl_z_hack] = ACTIONS(3080),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1207] = {
    [sym_heredoc_content] = STATE(1207),
    [anon_sym_RBRACE] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym_EQ] = ACTIONS(3086),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3084),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3084),
    [anon_sym_COMMA] = ACTIONS(3084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3084),
    [anon_sym_and] = ACTIONS(3084),
    [anon_sym_or] = ACTIONS(3084),
    [anon_sym_xor] = ACTIONS(3084),
    [anon_sym_DASH_GT] = ACTIONS(3084),
    [anon_sym_PERCENT] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3086),
    [anon_sym_GT] = ACTIONS(3086),
    [anon_sym_LT_LT] = ACTIONS(3086),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3084),
    [anon_sym_PLUS_EQ] = ACTIONS(3084),
    [anon_sym_DASH_EQ] = ACTIONS(3084),
    [anon_sym_DOT_EQ] = ACTIONS(3084),
    [anon_sym_STAR_EQ] = ACTIONS(3084),
    [anon_sym_SLASH_EQ] = ACTIONS(3084),
    [anon_sym_PERCENT_EQ] = ACTIONS(3084),
    [anon_sym_x_EQ] = ACTIONS(3084),
    [anon_sym_AMP_EQ] = ACTIONS(3084),
    [anon_sym_PIPE_EQ] = ACTIONS(3084),
    [anon_sym_CARET_EQ] = ACTIONS(3084),
    [anon_sym_LT_LT_EQ] = ACTIONS(3084),
    [anon_sym_GT_GT_EQ] = ACTIONS(3084),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3084),
    [anon_sym_DOT_DOT] = ACTIONS(3086),
    [anon_sym_STAR_STAR] = ACTIONS(3086),
    [anon_sym_PIPE_PIPE] = ACTIONS(3086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3086),
    [anon_sym_CARET_CARET] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_CARET] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_GT_GT2] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3086),
    [anon_sym_DOT] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_SLASH] = ACTIONS(3086),
    [anon_sym_x] = ACTIONS(3086),
    [anon_sym_EQ_TILDE] = ACTIONS(3084),
    [anon_sym_BANG_TILDE] = ACTIONS(3084),
    [anon_sym_EQ_EQ] = ACTIONS(3086),
    [anon_sym_BANG_EQ] = ACTIONS(3084),
    [anon_sym_eq] = ACTIONS(3086),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3084),
    [anon_sym_equ] = ACTIONS(3084),
    [anon_sym_eqr] = ACTIONS(3084),
    [anon_sym_ne] = ACTIONS(3084),
    [anon_sym_LT_EQ_GT] = ACTIONS(3084),
    [anon_sym_cmp] = ACTIONS(3084),
    [anon_sym_TILDE_TILDE] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_EQ] = ACTIONS(3084),
    [anon_sym_lt] = ACTIONS(3084),
    [anon_sym_le] = ACTIONS(3084),
    [anon_sym_ge] = ACTIONS(3084),
    [anon_sym_gt] = ACTIONS(3084),
    [anon_sym_isa] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_QMARK] = ACTIONS(3084),
    [anon_sym_EQ_GT] = ACTIONS(3084),
    [anon_sym_for] = ACTIONS(3086),
    [anon_sym_foreach] = ACTIONS(3084),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3084),
    [anon_sym___END__] = ACTIONS(3084),
    [anon_sym_EOT] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3084),
    [anon_sym_unless] = ACTIONS(3084),
    [anon_sym_while] = ACTIONS(3084),
    [anon_sym_until] = ACTIONS(3084),
    [sym__PERLY_SEMICOLON] = ACTIONS(3084),
    [sym__ctrl_z_hack] = ACTIONS(3084),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1208] = {
    [sym_heredoc_content] = STATE(1208),
    [anon_sym_RBRACE] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3088),
    [anon_sym_EQ] = ACTIONS(3090),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3088),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3088),
    [anon_sym_COMMA] = ACTIONS(3088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3088),
    [anon_sym_and] = ACTIONS(3088),
    [anon_sym_or] = ACTIONS(3088),
    [anon_sym_xor] = ACTIONS(3088),
    [anon_sym_DASH_GT] = ACTIONS(3088),
    [anon_sym_PERCENT] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3090),
    [anon_sym_GT] = ACTIONS(3090),
    [anon_sym_LT_LT] = ACTIONS(3090),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3088),
    [anon_sym_PLUS_EQ] = ACTIONS(3088),
    [anon_sym_DASH_EQ] = ACTIONS(3088),
    [anon_sym_DOT_EQ] = ACTIONS(3088),
    [anon_sym_STAR_EQ] = ACTIONS(3088),
    [anon_sym_SLASH_EQ] = ACTIONS(3088),
    [anon_sym_PERCENT_EQ] = ACTIONS(3088),
    [anon_sym_x_EQ] = ACTIONS(3088),
    [anon_sym_AMP_EQ] = ACTIONS(3088),
    [anon_sym_PIPE_EQ] = ACTIONS(3088),
    [anon_sym_CARET_EQ] = ACTIONS(3088),
    [anon_sym_LT_LT_EQ] = ACTIONS(3088),
    [anon_sym_GT_GT_EQ] = ACTIONS(3088),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3088),
    [anon_sym_DOT_DOT] = ACTIONS(3090),
    [anon_sym_STAR_STAR] = ACTIONS(3090),
    [anon_sym_PIPE_PIPE] = ACTIONS(3090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3090),
    [anon_sym_CARET_CARET] = ACTIONS(3088),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_PIPE] = ACTIONS(3090),
    [anon_sym_CARET] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_GT_GT2] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_DOT] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_SLASH] = ACTIONS(3090),
    [anon_sym_x] = ACTIONS(3090),
    [anon_sym_EQ_TILDE] = ACTIONS(3088),
    [anon_sym_BANG_TILDE] = ACTIONS(3088),
    [anon_sym_EQ_EQ] = ACTIONS(3090),
    [anon_sym_BANG_EQ] = ACTIONS(3088),
    [anon_sym_eq] = ACTIONS(3090),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3088),
    [anon_sym_equ] = ACTIONS(3088),
    [anon_sym_eqr] = ACTIONS(3088),
    [anon_sym_ne] = ACTIONS(3088),
    [anon_sym_LT_EQ_GT] = ACTIONS(3088),
    [anon_sym_cmp] = ACTIONS(3088),
    [anon_sym_TILDE_TILDE] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3090),
    [anon_sym_GT_EQ] = ACTIONS(3088),
    [anon_sym_lt] = ACTIONS(3088),
    [anon_sym_le] = ACTIONS(3088),
    [anon_sym_ge] = ACTIONS(3088),
    [anon_sym_gt] = ACTIONS(3088),
    [anon_sym_isa] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3088),
    [anon_sym_QMARK] = ACTIONS(3088),
    [anon_sym_EQ_GT] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3090),
    [anon_sym_foreach] = ACTIONS(3088),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3088),
    [anon_sym___END__] = ACTIONS(3088),
    [anon_sym_EOT] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_unless] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_until] = ACTIONS(3088),
    [sym__PERLY_SEMICOLON] = ACTIONS(3088),
    [sym__ctrl_z_hack] = ACTIONS(3088),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1209] = {
    [sym_heredoc_content] = STATE(1209),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2502),
    [anon_sym_CARET] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_eq] = ACTIONS(2510),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2512),
    [anon_sym_equ] = ACTIONS(2512),
    [anon_sym_eqr] = ACTIONS(2512),
    [anon_sym_ne] = ACTIONS(2512),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_lt] = ACTIONS(2516),
    [anon_sym_le] = ACTIONS(2516),
    [anon_sym_ge] = ACTIONS(2516),
    [anon_sym_gt] = ACTIONS(2516),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [anon_sym_for] = ACTIONS(2687),
    [anon_sym_foreach] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2685),
    [anon_sym___END__] = ACTIONS(2685),
    [anon_sym_EOT] = ACTIONS(2685),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_unless] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(2685),
    [anon_sym_until] = ACTIONS(2685),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym__ctrl_z_hack] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1210] = {
    [sym_heredoc_content] = STATE(1210),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3092),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3092),
    [anon_sym_COMMA] = ACTIONS(3092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3092),
    [anon_sym_and] = ACTIONS(3092),
    [anon_sym_or] = ACTIONS(3092),
    [anon_sym_xor] = ACTIONS(3092),
    [anon_sym_DASH_GT] = ACTIONS(3092),
    [anon_sym_PERCENT] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_GT] = ACTIONS(3094),
    [anon_sym_LT_LT] = ACTIONS(3094),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3092),
    [anon_sym_PLUS_EQ] = ACTIONS(3092),
    [anon_sym_DASH_EQ] = ACTIONS(3092),
    [anon_sym_DOT_EQ] = ACTIONS(3092),
    [anon_sym_STAR_EQ] = ACTIONS(3092),
    [anon_sym_SLASH_EQ] = ACTIONS(3092),
    [anon_sym_PERCENT_EQ] = ACTIONS(3092),
    [anon_sym_x_EQ] = ACTIONS(3092),
    [anon_sym_AMP_EQ] = ACTIONS(3092),
    [anon_sym_PIPE_EQ] = ACTIONS(3092),
    [anon_sym_CARET_EQ] = ACTIONS(3092),
    [anon_sym_LT_LT_EQ] = ACTIONS(3092),
    [anon_sym_GT_GT_EQ] = ACTIONS(3092),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3092),
    [anon_sym_DOT_DOT] = ACTIONS(3094),
    [anon_sym_STAR_STAR] = ACTIONS(3094),
    [anon_sym_PIPE_PIPE] = ACTIONS(3094),
    [anon_sym_SLASH_SLASH] = ACTIONS(3094),
    [anon_sym_CARET_CARET] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_PIPE] = ACTIONS(3094),
    [anon_sym_CARET] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_GT_GT2] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_DOT] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_SLASH] = ACTIONS(3094),
    [anon_sym_x] = ACTIONS(3094),
    [anon_sym_EQ_TILDE] = ACTIONS(3092),
    [anon_sym_BANG_TILDE] = ACTIONS(3092),
    [anon_sym_EQ_EQ] = ACTIONS(3094),
    [anon_sym_BANG_EQ] = ACTIONS(3092),
    [anon_sym_eq] = ACTIONS(3094),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3092),
    [anon_sym_equ] = ACTIONS(3092),
    [anon_sym_eqr] = ACTIONS(3092),
    [anon_sym_ne] = ACTIONS(3092),
    [anon_sym_LT_EQ_GT] = ACTIONS(3092),
    [anon_sym_cmp] = ACTIONS(3092),
    [anon_sym_TILDE_TILDE] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3094),
    [anon_sym_GT_EQ] = ACTIONS(3092),
    [anon_sym_lt] = ACTIONS(3092),
    [anon_sym_le] = ACTIONS(3092),
    [anon_sym_ge] = ACTIONS(3092),
    [anon_sym_gt] = ACTIONS(3092),
    [anon_sym_isa] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_QMARK] = ACTIONS(3092),
    [anon_sym_EQ_GT] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3094),
    [anon_sym_foreach] = ACTIONS(3092),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3092),
    [anon_sym___END__] = ACTIONS(3092),
    [anon_sym_EOT] = ACTIONS(3092),
    [anon_sym_if] = ACTIONS(3092),
    [anon_sym_unless] = ACTIONS(3092),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_until] = ACTIONS(3092),
    [sym__PERLY_SEMICOLON] = ACTIONS(3092),
    [sym__ctrl_z_hack] = ACTIONS(3092),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1211] = {
    [sym_heredoc_content] = STATE(1211),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym_EQ] = ACTIONS(3098),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_COMMA] = ACTIONS(3096),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3096),
    [anon_sym_and] = ACTIONS(3096),
    [anon_sym_or] = ACTIONS(3096),
    [anon_sym_xor] = ACTIONS(3096),
    [anon_sym_DASH_GT] = ACTIONS(3096),
    [anon_sym_PERCENT] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_GT] = ACTIONS(3098),
    [anon_sym_LT_LT] = ACTIONS(3098),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_DOT_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_x_EQ] = ACTIONS(3096),
    [anon_sym_AMP_EQ] = ACTIONS(3096),
    [anon_sym_PIPE_EQ] = ACTIONS(3096),
    [anon_sym_CARET_EQ] = ACTIONS(3096),
    [anon_sym_LT_LT_EQ] = ACTIONS(3096),
    [anon_sym_GT_GT_EQ] = ACTIONS(3096),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3096),
    [anon_sym_DOT_DOT] = ACTIONS(3098),
    [anon_sym_STAR_STAR] = ACTIONS(3098),
    [anon_sym_PIPE_PIPE] = ACTIONS(3098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3098),
    [anon_sym_CARET_CARET] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3098),
    [anon_sym_PIPE] = ACTIONS(3098),
    [anon_sym_CARET] = ACTIONS(3098),
    [anon_sym_AMP] = ACTIONS(3098),
    [anon_sym_GT_GT2] = ACTIONS(3098),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_DOT] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_SLASH] = ACTIONS(3098),
    [anon_sym_x] = ACTIONS(3098),
    [anon_sym_EQ_TILDE] = ACTIONS(3096),
    [anon_sym_BANG_TILDE] = ACTIONS(3096),
    [anon_sym_EQ_EQ] = ACTIONS(3098),
    [anon_sym_BANG_EQ] = ACTIONS(3096),
    [anon_sym_eq] = ACTIONS(3098),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3096),
    [anon_sym_equ] = ACTIONS(3096),
    [anon_sym_eqr] = ACTIONS(3096),
    [anon_sym_ne] = ACTIONS(3096),
    [anon_sym_LT_EQ_GT] = ACTIONS(3096),
    [anon_sym_cmp] = ACTIONS(3096),
    [anon_sym_TILDE_TILDE] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3098),
    [anon_sym_GT_EQ] = ACTIONS(3096),
    [anon_sym_lt] = ACTIONS(3096),
    [anon_sym_le] = ACTIONS(3096),
    [anon_sym_ge] = ACTIONS(3096),
    [anon_sym_gt] = ACTIONS(3096),
    [anon_sym_isa] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_QMARK] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(3096),
    [anon_sym_for] = ACTIONS(3098),
    [anon_sym_foreach] = ACTIONS(3096),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3096),
    [anon_sym___END__] = ACTIONS(3096),
    [anon_sym_EOT] = ACTIONS(3096),
    [anon_sym_if] = ACTIONS(3096),
    [anon_sym_unless] = ACTIONS(3096),
    [anon_sym_while] = ACTIONS(3096),
    [anon_sym_until] = ACTIONS(3096),
    [sym__PERLY_SEMICOLON] = ACTIONS(3096),
    [sym__ctrl_z_hack] = ACTIONS(3096),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1212] = {
    [sym_heredoc_content] = STATE(1212),
    [anon_sym_RBRACE] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3100),
    [anon_sym_EQ] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3100),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3100),
    [anon_sym_COMMA] = ACTIONS(3100),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3100),
    [anon_sym_and] = ACTIONS(3100),
    [anon_sym_or] = ACTIONS(3100),
    [anon_sym_xor] = ACTIONS(3100),
    [anon_sym_DASH_GT] = ACTIONS(3100),
    [anon_sym_PERCENT] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_GT] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(3102),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3100),
    [anon_sym_PLUS_EQ] = ACTIONS(3100),
    [anon_sym_DASH_EQ] = ACTIONS(3100),
    [anon_sym_DOT_EQ] = ACTIONS(3100),
    [anon_sym_STAR_EQ] = ACTIONS(3100),
    [anon_sym_SLASH_EQ] = ACTIONS(3100),
    [anon_sym_PERCENT_EQ] = ACTIONS(3100),
    [anon_sym_x_EQ] = ACTIONS(3100),
    [anon_sym_AMP_EQ] = ACTIONS(3100),
    [anon_sym_PIPE_EQ] = ACTIONS(3100),
    [anon_sym_CARET_EQ] = ACTIONS(3100),
    [anon_sym_LT_LT_EQ] = ACTIONS(3100),
    [anon_sym_GT_GT_EQ] = ACTIONS(3100),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3100),
    [anon_sym_DOT_DOT] = ACTIONS(3102),
    [anon_sym_STAR_STAR] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(3102),
    [anon_sym_CARET_CARET] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3102),
    [anon_sym_PIPE] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3102),
    [anon_sym_GT_GT2] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_DOT] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_x] = ACTIONS(3102),
    [anon_sym_EQ_TILDE] = ACTIONS(3100),
    [anon_sym_BANG_TILDE] = ACTIONS(3100),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3100),
    [anon_sym_eq] = ACTIONS(3102),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3100),
    [anon_sym_equ] = ACTIONS(3100),
    [anon_sym_eqr] = ACTIONS(3100),
    [anon_sym_ne] = ACTIONS(3100),
    [anon_sym_LT_EQ_GT] = ACTIONS(3100),
    [anon_sym_cmp] = ACTIONS(3100),
    [anon_sym_TILDE_TILDE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3100),
    [anon_sym_lt] = ACTIONS(3100),
    [anon_sym_le] = ACTIONS(3100),
    [anon_sym_ge] = ACTIONS(3100),
    [anon_sym_gt] = ACTIONS(3100),
    [anon_sym_isa] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [anon_sym_QMARK] = ACTIONS(3100),
    [anon_sym_EQ_GT] = ACTIONS(3100),
    [anon_sym_for] = ACTIONS(3102),
    [anon_sym_foreach] = ACTIONS(3100),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3100),
    [anon_sym___END__] = ACTIONS(3100),
    [anon_sym_EOT] = ACTIONS(3100),
    [anon_sym_if] = ACTIONS(3100),
    [anon_sym_unless] = ACTIONS(3100),
    [anon_sym_while] = ACTIONS(3100),
    [anon_sym_until] = ACTIONS(3100),
    [sym__PERLY_SEMICOLON] = ACTIONS(3100),
    [sym__ctrl_z_hack] = ACTIONS(3100),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1213] = {
    [sym_heredoc_content] = STATE(1213),
    [anon_sym_RBRACE] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym_EQ] = ACTIONS(3107),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_COMMA] = ACTIONS(3104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3104),
    [anon_sym_and] = ACTIONS(3104),
    [anon_sym_or] = ACTIONS(3104),
    [anon_sym_xor] = ACTIONS(3104),
    [anon_sym_DASH_GT] = ACTIONS(3104),
    [anon_sym_PERCENT] = ACTIONS(3107),
    [anon_sym_LT] = ACTIONS(3107),
    [anon_sym_GT] = ACTIONS(3107),
    [anon_sym_LT_LT] = ACTIONS(3107),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3104),
    [anon_sym_PLUS_EQ] = ACTIONS(3104),
    [anon_sym_DASH_EQ] = ACTIONS(3104),
    [anon_sym_DOT_EQ] = ACTIONS(3104),
    [anon_sym_STAR_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_PERCENT_EQ] = ACTIONS(3104),
    [anon_sym_x_EQ] = ACTIONS(3104),
    [anon_sym_AMP_EQ] = ACTIONS(3104),
    [anon_sym_PIPE_EQ] = ACTIONS(3104),
    [anon_sym_CARET_EQ] = ACTIONS(3104),
    [anon_sym_LT_LT_EQ] = ACTIONS(3104),
    [anon_sym_GT_GT_EQ] = ACTIONS(3104),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3104),
    [anon_sym_DOT_DOT] = ACTIONS(3107),
    [anon_sym_STAR_STAR] = ACTIONS(3107),
    [anon_sym_PIPE_PIPE] = ACTIONS(3107),
    [anon_sym_SLASH_SLASH] = ACTIONS(3107),
    [anon_sym_CARET_CARET] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3107),
    [anon_sym_PIPE] = ACTIONS(3107),
    [anon_sym_CARET] = ACTIONS(3107),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_GT_GT2] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_DOT] = ACTIONS(3107),
    [anon_sym_STAR] = ACTIONS(3107),
    [anon_sym_SLASH] = ACTIONS(3107),
    [anon_sym_x] = ACTIONS(3107),
    [anon_sym_EQ_TILDE] = ACTIONS(3104),
    [anon_sym_BANG_TILDE] = ACTIONS(3104),
    [anon_sym_EQ_EQ] = ACTIONS(3107),
    [anon_sym_BANG_EQ] = ACTIONS(3104),
    [anon_sym_eq] = ACTIONS(3107),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3104),
    [anon_sym_equ] = ACTIONS(3104),
    [anon_sym_eqr] = ACTIONS(3104),
    [anon_sym_ne] = ACTIONS(3104),
    [anon_sym_LT_EQ_GT] = ACTIONS(3104),
    [anon_sym_cmp] = ACTIONS(3104),
    [anon_sym_TILDE_TILDE] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3107),
    [anon_sym_GT_EQ] = ACTIONS(3104),
    [anon_sym_lt] = ACTIONS(3104),
    [anon_sym_le] = ACTIONS(3104),
    [anon_sym_ge] = ACTIONS(3104),
    [anon_sym_gt] = ACTIONS(3104),
    [anon_sym_isa] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_QMARK] = ACTIONS(3104),
    [anon_sym_EQ_GT] = ACTIONS(3104),
    [anon_sym_for] = ACTIONS(3107),
    [anon_sym_foreach] = ACTIONS(3104),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3104),
    [anon_sym___END__] = ACTIONS(3104),
    [anon_sym_EOT] = ACTIONS(3104),
    [anon_sym_if] = ACTIONS(3104),
    [anon_sym_unless] = ACTIONS(3104),
    [anon_sym_while] = ACTIONS(3104),
    [anon_sym_until] = ACTIONS(3104),
    [sym__PERLY_SEMICOLON] = ACTIONS(3104),
    [sym__ctrl_z_hack] = ACTIONS(3104),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1214] = {
    [sym_heredoc_content] = STATE(1214),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_COMMA] = ACTIONS(3110),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3110),
    [anon_sym_and] = ACTIONS(3110),
    [anon_sym_or] = ACTIONS(3110),
    [anon_sym_xor] = ACTIONS(3110),
    [anon_sym_DASH_GT] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3112),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [anon_sym_LT_LT] = ACTIONS(3112),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3110),
    [anon_sym_DASH_EQ] = ACTIONS(3110),
    [anon_sym_DOT_EQ] = ACTIONS(3110),
    [anon_sym_STAR_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_PERCENT_EQ] = ACTIONS(3110),
    [anon_sym_x_EQ] = ACTIONS(3110),
    [anon_sym_AMP_EQ] = ACTIONS(3110),
    [anon_sym_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_CARET_EQ] = ACTIONS(3110),
    [anon_sym_LT_LT_EQ] = ACTIONS(3110),
    [anon_sym_GT_GT_EQ] = ACTIONS(3110),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3110),
    [anon_sym_DOT_DOT] = ACTIONS(3112),
    [anon_sym_STAR_STAR] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_SLASH_SLASH] = ACTIONS(3112),
    [anon_sym_CARET_CARET] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_PIPE] = ACTIONS(3112),
    [anon_sym_CARET] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_GT_GT2] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3112),
    [anon_sym_x] = ACTIONS(3112),
    [anon_sym_EQ_TILDE] = ACTIONS(3110),
    [anon_sym_BANG_TILDE] = ACTIONS(3110),
    [anon_sym_EQ_EQ] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_eq] = ACTIONS(3112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3110),
    [anon_sym_equ] = ACTIONS(3110),
    [anon_sym_eqr] = ACTIONS(3110),
    [anon_sym_ne] = ACTIONS(3110),
    [anon_sym_LT_EQ_GT] = ACTIONS(3110),
    [anon_sym_cmp] = ACTIONS(3110),
    [anon_sym_TILDE_TILDE] = ACTIONS(3110),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3110),
    [anon_sym_lt] = ACTIONS(3110),
    [anon_sym_le] = ACTIONS(3110),
    [anon_sym_ge] = ACTIONS(3110),
    [anon_sym_gt] = ACTIONS(3110),
    [anon_sym_isa] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_QMARK] = ACTIONS(3110),
    [anon_sym_EQ_GT] = ACTIONS(3110),
    [anon_sym_for] = ACTIONS(3112),
    [anon_sym_foreach] = ACTIONS(3110),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3110),
    [anon_sym___END__] = ACTIONS(3110),
    [anon_sym_EOT] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3110),
    [anon_sym_unless] = ACTIONS(3110),
    [anon_sym_while] = ACTIONS(3110),
    [anon_sym_until] = ACTIONS(3110),
    [sym__PERLY_SEMICOLON] = ACTIONS(3110),
    [sym__ctrl_z_hack] = ACTIONS(3110),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1215] = {
    [sym_heredoc_content] = STATE(1215),
    [anon_sym_RBRACE] = ACTIONS(3114),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_COMMA] = ACTIONS(3114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_and] = ACTIONS(3114),
    [anon_sym_or] = ACTIONS(3114),
    [anon_sym_xor] = ACTIONS(3114),
    [anon_sym_DASH_GT] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3116),
    [anon_sym_GT] = ACTIONS(3116),
    [anon_sym_LT_LT] = ACTIONS(3116),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3114),
    [anon_sym_DASH_EQ] = ACTIONS(3114),
    [anon_sym_DOT_EQ] = ACTIONS(3114),
    [anon_sym_STAR_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_PERCENT_EQ] = ACTIONS(3114),
    [anon_sym_x_EQ] = ACTIONS(3114),
    [anon_sym_AMP_EQ] = ACTIONS(3114),
    [anon_sym_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_CARET_EQ] = ACTIONS(3114),
    [anon_sym_LT_LT_EQ] = ACTIONS(3114),
    [anon_sym_GT_GT_EQ] = ACTIONS(3114),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3114),
    [anon_sym_DOT_DOT] = ACTIONS(3116),
    [anon_sym_STAR_STAR] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_SLASH_SLASH] = ACTIONS(3116),
    [anon_sym_CARET_CARET] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_PIPE] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3116),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_GT_GT2] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3116),
    [anon_sym_x] = ACTIONS(3116),
    [anon_sym_EQ_TILDE] = ACTIONS(3114),
    [anon_sym_BANG_TILDE] = ACTIONS(3114),
    [anon_sym_EQ_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_eq] = ACTIONS(3116),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3114),
    [anon_sym_equ] = ACTIONS(3114),
    [anon_sym_eqr] = ACTIONS(3114),
    [anon_sym_ne] = ACTIONS(3114),
    [anon_sym_LT_EQ_GT] = ACTIONS(3114),
    [anon_sym_cmp] = ACTIONS(3114),
    [anon_sym_TILDE_TILDE] = ACTIONS(3114),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3114),
    [anon_sym_lt] = ACTIONS(3114),
    [anon_sym_le] = ACTIONS(3114),
    [anon_sym_ge] = ACTIONS(3114),
    [anon_sym_gt] = ACTIONS(3114),
    [anon_sym_isa] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_QMARK] = ACTIONS(3114),
    [anon_sym_EQ_GT] = ACTIONS(3114),
    [anon_sym_for] = ACTIONS(3116),
    [anon_sym_foreach] = ACTIONS(3114),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3114),
    [anon_sym___END__] = ACTIONS(3114),
    [anon_sym_EOT] = ACTIONS(3114),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_unless] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3114),
    [anon_sym_until] = ACTIONS(3114),
    [sym__PERLY_SEMICOLON] = ACTIONS(3114),
    [sym__ctrl_z_hack] = ACTIONS(3114),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1216] = {
    [sym_heredoc_content] = STATE(1216),
    [anon_sym_RBRACE] = ACTIONS(3118),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_COMMA] = ACTIONS(3118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3118),
    [anon_sym_and] = ACTIONS(3118),
    [anon_sym_or] = ACTIONS(3118),
    [anon_sym_xor] = ACTIONS(3118),
    [anon_sym_DASH_GT] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3120),
    [anon_sym_LT] = ACTIONS(3120),
    [anon_sym_GT] = ACTIONS(3120),
    [anon_sym_LT_LT] = ACTIONS(3120),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3118),
    [anon_sym_DASH_EQ] = ACTIONS(3118),
    [anon_sym_DOT_EQ] = ACTIONS(3118),
    [anon_sym_STAR_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_PERCENT_EQ] = ACTIONS(3118),
    [anon_sym_x_EQ] = ACTIONS(3118),
    [anon_sym_AMP_EQ] = ACTIONS(3118),
    [anon_sym_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_CARET_EQ] = ACTIONS(3118),
    [anon_sym_LT_LT_EQ] = ACTIONS(3118),
    [anon_sym_GT_GT_EQ] = ACTIONS(3118),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3118),
    [anon_sym_DOT_DOT] = ACTIONS(3120),
    [anon_sym_STAR_STAR] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_SLASH_SLASH] = ACTIONS(3120),
    [anon_sym_CARET_CARET] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_PIPE] = ACTIONS(3120),
    [anon_sym_CARET] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_GT_GT2] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3120),
    [anon_sym_x] = ACTIONS(3120),
    [anon_sym_EQ_TILDE] = ACTIONS(3118),
    [anon_sym_BANG_TILDE] = ACTIONS(3118),
    [anon_sym_EQ_EQ] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_eq] = ACTIONS(3120),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3118),
    [anon_sym_equ] = ACTIONS(3118),
    [anon_sym_eqr] = ACTIONS(3118),
    [anon_sym_ne] = ACTIONS(3118),
    [anon_sym_LT_EQ_GT] = ACTIONS(3118),
    [anon_sym_cmp] = ACTIONS(3118),
    [anon_sym_TILDE_TILDE] = ACTIONS(3118),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3118),
    [anon_sym_lt] = ACTIONS(3118),
    [anon_sym_le] = ACTIONS(3118),
    [anon_sym_ge] = ACTIONS(3118),
    [anon_sym_gt] = ACTIONS(3118),
    [anon_sym_isa] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_QMARK] = ACTIONS(3118),
    [anon_sym_EQ_GT] = ACTIONS(3118),
    [anon_sym_for] = ACTIONS(3120),
    [anon_sym_foreach] = ACTIONS(3118),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3118),
    [anon_sym___END__] = ACTIONS(3118),
    [anon_sym_EOT] = ACTIONS(3118),
    [anon_sym_if] = ACTIONS(3118),
    [anon_sym_unless] = ACTIONS(3118),
    [anon_sym_while] = ACTIONS(3118),
    [anon_sym_until] = ACTIONS(3118),
    [sym__PERLY_SEMICOLON] = ACTIONS(3118),
    [sym__ctrl_z_hack] = ACTIONS(3118),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1217] = {
    [sym_heredoc_content] = STATE(1217),
    [anon_sym_RBRACE] = ACTIONS(3122),
    [anon_sym_SEMI] = ACTIONS(3122),
    [anon_sym_EQ] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_COMMA] = ACTIONS(3122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3122),
    [anon_sym_and] = ACTIONS(3122),
    [anon_sym_or] = ACTIONS(3122),
    [anon_sym_xor] = ACTIONS(3122),
    [anon_sym_DASH_GT] = ACTIONS(3122),
    [anon_sym_PERCENT] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_GT] = ACTIONS(3124),
    [anon_sym_LT_LT] = ACTIONS(3124),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3122),
    [anon_sym_PLUS_EQ] = ACTIONS(3122),
    [anon_sym_DASH_EQ] = ACTIONS(3122),
    [anon_sym_DOT_EQ] = ACTIONS(3122),
    [anon_sym_STAR_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_PERCENT_EQ] = ACTIONS(3122),
    [anon_sym_x_EQ] = ACTIONS(3122),
    [anon_sym_AMP_EQ] = ACTIONS(3122),
    [anon_sym_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_CARET_EQ] = ACTIONS(3122),
    [anon_sym_LT_LT_EQ] = ACTIONS(3122),
    [anon_sym_GT_GT_EQ] = ACTIONS(3122),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3122),
    [anon_sym_DOT_DOT] = ACTIONS(3124),
    [anon_sym_STAR_STAR] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3124),
    [anon_sym_SLASH_SLASH] = ACTIONS(3124),
    [anon_sym_CARET_CARET] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_PIPE] = ACTIONS(3124),
    [anon_sym_CARET] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_GT_GT2] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_x] = ACTIONS(3124),
    [anon_sym_EQ_TILDE] = ACTIONS(3122),
    [anon_sym_BANG_TILDE] = ACTIONS(3122),
    [anon_sym_EQ_EQ] = ACTIONS(3124),
    [anon_sym_BANG_EQ] = ACTIONS(3122),
    [anon_sym_eq] = ACTIONS(3124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3122),
    [anon_sym_equ] = ACTIONS(3122),
    [anon_sym_eqr] = ACTIONS(3122),
    [anon_sym_ne] = ACTIONS(3122),
    [anon_sym_LT_EQ_GT] = ACTIONS(3122),
    [anon_sym_cmp] = ACTIONS(3122),
    [anon_sym_TILDE_TILDE] = ACTIONS(3122),
    [anon_sym_LT_EQ] = ACTIONS(3124),
    [anon_sym_GT_EQ] = ACTIONS(3122),
    [anon_sym_lt] = ACTIONS(3122),
    [anon_sym_le] = ACTIONS(3122),
    [anon_sym_ge] = ACTIONS(3122),
    [anon_sym_gt] = ACTIONS(3122),
    [anon_sym_isa] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_QMARK] = ACTIONS(3122),
    [anon_sym_EQ_GT] = ACTIONS(3122),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_foreach] = ACTIONS(3122),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3122),
    [anon_sym___END__] = ACTIONS(3122),
    [anon_sym_EOT] = ACTIONS(3122),
    [anon_sym_if] = ACTIONS(3122),
    [anon_sym_unless] = ACTIONS(3122),
    [anon_sym_while] = ACTIONS(3122),
    [anon_sym_until] = ACTIONS(3122),
    [sym__PERLY_SEMICOLON] = ACTIONS(3122),
    [sym__ctrl_z_hack] = ACTIONS(3122),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1218] = {
    [sym_heredoc_content] = STATE(1218),
    [anon_sym_RBRACE] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym_EQ] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_COMMA] = ACTIONS(3126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3126),
    [anon_sym_and] = ACTIONS(3126),
    [anon_sym_or] = ACTIONS(3126),
    [anon_sym_xor] = ACTIONS(3126),
    [anon_sym_DASH_GT] = ACTIONS(3126),
    [anon_sym_PERCENT] = ACTIONS(3128),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_GT] = ACTIONS(3128),
    [anon_sym_LT_LT] = ACTIONS(3128),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3126),
    [anon_sym_PLUS_EQ] = ACTIONS(3126),
    [anon_sym_DASH_EQ] = ACTIONS(3126),
    [anon_sym_DOT_EQ] = ACTIONS(3126),
    [anon_sym_STAR_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_PERCENT_EQ] = ACTIONS(3126),
    [anon_sym_x_EQ] = ACTIONS(3126),
    [anon_sym_AMP_EQ] = ACTIONS(3126),
    [anon_sym_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_CARET_EQ] = ACTIONS(3126),
    [anon_sym_LT_LT_EQ] = ACTIONS(3126),
    [anon_sym_GT_GT_EQ] = ACTIONS(3126),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3126),
    [anon_sym_DOT_DOT] = ACTIONS(3128),
    [anon_sym_STAR_STAR] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE] = ACTIONS(3128),
    [anon_sym_SLASH_SLASH] = ACTIONS(3128),
    [anon_sym_CARET_CARET] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_GT_GT2] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3128),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_SLASH] = ACTIONS(3128),
    [anon_sym_x] = ACTIONS(3128),
    [anon_sym_EQ_TILDE] = ACTIONS(3126),
    [anon_sym_BANG_TILDE] = ACTIONS(3126),
    [anon_sym_EQ_EQ] = ACTIONS(3128),
    [anon_sym_BANG_EQ] = ACTIONS(3126),
    [anon_sym_eq] = ACTIONS(3128),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3126),
    [anon_sym_equ] = ACTIONS(3126),
    [anon_sym_eqr] = ACTIONS(3126),
    [anon_sym_ne] = ACTIONS(3126),
    [anon_sym_LT_EQ_GT] = ACTIONS(3126),
    [anon_sym_cmp] = ACTIONS(3126),
    [anon_sym_TILDE_TILDE] = ACTIONS(3126),
    [anon_sym_LT_EQ] = ACTIONS(3128),
    [anon_sym_GT_EQ] = ACTIONS(3126),
    [anon_sym_lt] = ACTIONS(3126),
    [anon_sym_le] = ACTIONS(3126),
    [anon_sym_ge] = ACTIONS(3126),
    [anon_sym_gt] = ACTIONS(3126),
    [anon_sym_isa] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_EQ_GT] = ACTIONS(3126),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_foreach] = ACTIONS(3126),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3126),
    [anon_sym___END__] = ACTIONS(3126),
    [anon_sym_EOT] = ACTIONS(3126),
    [anon_sym_if] = ACTIONS(3126),
    [anon_sym_unless] = ACTIONS(3126),
    [anon_sym_while] = ACTIONS(3126),
    [anon_sym_until] = ACTIONS(3126),
    [sym__PERLY_SEMICOLON] = ACTIONS(3126),
    [sym__ctrl_z_hack] = ACTIONS(3126),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1219] = {
    [sym_heredoc_content] = STATE(1219),
    [anon_sym_RBRACE] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_COMMA] = ACTIONS(3130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3130),
    [anon_sym_and] = ACTIONS(3130),
    [anon_sym_or] = ACTIONS(3130),
    [anon_sym_xor] = ACTIONS(3130),
    [anon_sym_DASH_GT] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_GT] = ACTIONS(3132),
    [anon_sym_LT_LT] = ACTIONS(3132),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3130),
    [anon_sym_DASH_EQ] = ACTIONS(3130),
    [anon_sym_DOT_EQ] = ACTIONS(3130),
    [anon_sym_STAR_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_PERCENT_EQ] = ACTIONS(3130),
    [anon_sym_x_EQ] = ACTIONS(3130),
    [anon_sym_AMP_EQ] = ACTIONS(3130),
    [anon_sym_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_CARET_EQ] = ACTIONS(3130),
    [anon_sym_LT_LT_EQ] = ACTIONS(3130),
    [anon_sym_GT_GT_EQ] = ACTIONS(3130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3130),
    [anon_sym_DOT_DOT] = ACTIONS(3132),
    [anon_sym_STAR_STAR] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_SLASH_SLASH] = ACTIONS(3132),
    [anon_sym_CARET_CARET] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3132),
    [anon_sym_CARET] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_GT_GT2] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_x] = ACTIONS(3132),
    [anon_sym_EQ_TILDE] = ACTIONS(3130),
    [anon_sym_BANG_TILDE] = ACTIONS(3130),
    [anon_sym_EQ_EQ] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_eq] = ACTIONS(3132),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3130),
    [anon_sym_equ] = ACTIONS(3130),
    [anon_sym_eqr] = ACTIONS(3130),
    [anon_sym_ne] = ACTIONS(3130),
    [anon_sym_LT_EQ_GT] = ACTIONS(3130),
    [anon_sym_cmp] = ACTIONS(3130),
    [anon_sym_TILDE_TILDE] = ACTIONS(3130),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3130),
    [anon_sym_lt] = ACTIONS(3130),
    [anon_sym_le] = ACTIONS(3130),
    [anon_sym_ge] = ACTIONS(3130),
    [anon_sym_gt] = ACTIONS(3130),
    [anon_sym_isa] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_QMARK] = ACTIONS(3130),
    [anon_sym_EQ_GT] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_foreach] = ACTIONS(3130),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3130),
    [anon_sym___END__] = ACTIONS(3130),
    [anon_sym_EOT] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_unless] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_until] = ACTIONS(3130),
    [sym__PERLY_SEMICOLON] = ACTIONS(3130),
    [sym__ctrl_z_hack] = ACTIONS(3130),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1220] = {
    [sym_heredoc_content] = STATE(1220),
    [anon_sym_RBRACE] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_COMMA] = ACTIONS(3134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3134),
    [anon_sym_and] = ACTIONS(3134),
    [anon_sym_or] = ACTIONS(3134),
    [anon_sym_xor] = ACTIONS(3134),
    [anon_sym_DASH_GT] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_GT] = ACTIONS(3136),
    [anon_sym_LT_LT] = ACTIONS(3136),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3134),
    [anon_sym_DASH_EQ] = ACTIONS(3134),
    [anon_sym_DOT_EQ] = ACTIONS(3134),
    [anon_sym_STAR_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_PERCENT_EQ] = ACTIONS(3134),
    [anon_sym_x_EQ] = ACTIONS(3134),
    [anon_sym_AMP_EQ] = ACTIONS(3134),
    [anon_sym_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_CARET_EQ] = ACTIONS(3134),
    [anon_sym_LT_LT_EQ] = ACTIONS(3134),
    [anon_sym_GT_GT_EQ] = ACTIONS(3134),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3134),
    [anon_sym_DOT_DOT] = ACTIONS(3136),
    [anon_sym_STAR_STAR] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_SLASH_SLASH] = ACTIONS(3136),
    [anon_sym_CARET_CARET] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_PIPE] = ACTIONS(3136),
    [anon_sym_CARET] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_GT_GT2] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_x] = ACTIONS(3136),
    [anon_sym_EQ_TILDE] = ACTIONS(3134),
    [anon_sym_BANG_TILDE] = ACTIONS(3134),
    [anon_sym_EQ_EQ] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_eq] = ACTIONS(3136),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3134),
    [anon_sym_equ] = ACTIONS(3134),
    [anon_sym_eqr] = ACTIONS(3134),
    [anon_sym_ne] = ACTIONS(3134),
    [anon_sym_LT_EQ_GT] = ACTIONS(3134),
    [anon_sym_cmp] = ACTIONS(3134),
    [anon_sym_TILDE_TILDE] = ACTIONS(3134),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3134),
    [anon_sym_lt] = ACTIONS(3134),
    [anon_sym_le] = ACTIONS(3134),
    [anon_sym_ge] = ACTIONS(3134),
    [anon_sym_gt] = ACTIONS(3134),
    [anon_sym_isa] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_QMARK] = ACTIONS(3134),
    [anon_sym_EQ_GT] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3136),
    [anon_sym_foreach] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3134),
    [anon_sym___END__] = ACTIONS(3134),
    [anon_sym_EOT] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_unless] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_until] = ACTIONS(3134),
    [sym__PERLY_SEMICOLON] = ACTIONS(3134),
    [sym__ctrl_z_hack] = ACTIONS(3134),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1221] = {
    [sym_heredoc_content] = STATE(1221),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3138),
    [anon_sym_and] = ACTIONS(3138),
    [anon_sym_or] = ACTIONS(3138),
    [anon_sym_xor] = ACTIONS(3138),
    [anon_sym_DASH_GT] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_GT] = ACTIONS(3140),
    [anon_sym_LT_LT] = ACTIONS(3140),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3138),
    [anon_sym_DASH_EQ] = ACTIONS(3138),
    [anon_sym_DOT_EQ] = ACTIONS(3138),
    [anon_sym_STAR_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_PERCENT_EQ] = ACTIONS(3138),
    [anon_sym_x_EQ] = ACTIONS(3138),
    [anon_sym_AMP_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_CARET_EQ] = ACTIONS(3138),
    [anon_sym_LT_LT_EQ] = ACTIONS(3138),
    [anon_sym_GT_GT_EQ] = ACTIONS(3138),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3138),
    [anon_sym_DOT_DOT] = ACTIONS(3140),
    [anon_sym_STAR_STAR] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_SLASH_SLASH] = ACTIONS(3140),
    [anon_sym_CARET_CARET] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_PIPE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_GT_GT2] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_x] = ACTIONS(3140),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_EQ_EQ] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_eq] = ACTIONS(3140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_equ] = ACTIONS(3138),
    [anon_sym_eqr] = ACTIONS(3138),
    [anon_sym_ne] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_cmp] = ACTIONS(3138),
    [anon_sym_TILDE_TILDE] = ACTIONS(3138),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_lt] = ACTIONS(3138),
    [anon_sym_le] = ACTIONS(3138),
    [anon_sym_ge] = ACTIONS(3138),
    [anon_sym_gt] = ACTIONS(3138),
    [anon_sym_isa] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_EQ_GT] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_foreach] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3138),
    [anon_sym___END__] = ACTIONS(3138),
    [anon_sym_EOT] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_unless] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_until] = ACTIONS(3138),
    [sym__PERLY_SEMICOLON] = ACTIONS(3138),
    [sym__ctrl_z_hack] = ACTIONS(3138),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1222] = {
    [sym_heredoc_content] = STATE(1222),
    [anon_sym_RBRACE] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_COMMA] = ACTIONS(3142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2482),
    [anon_sym_and] = ACTIONS(3142),
    [anon_sym_or] = ACTIONS(3142),
    [anon_sym_xor] = ACTIONS(3142),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3142),
    [anon_sym_DASH_EQ] = ACTIONS(3142),
    [anon_sym_DOT_EQ] = ACTIONS(3142),
    [anon_sym_STAR_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_PERCENT_EQ] = ACTIONS(3142),
    [anon_sym_x_EQ] = ACTIONS(3142),
    [anon_sym_AMP_EQ] = ACTIONS(3142),
    [anon_sym_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_CARET_EQ] = ACTIONS(3142),
    [anon_sym_LT_LT_EQ] = ACTIONS(3142),
    [anon_sym_GT_GT_EQ] = ACTIONS(3142),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3142),
    [anon_sym_DOT_DOT] = ACTIONS(2492),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_SLASH_SLASH] = ACTIONS(2496),
    [anon_sym_CARET_CARET] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_PIPE] = ACTIONS(2502),
    [anon_sym_CARET] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_eq] = ACTIONS(2510),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2512),
    [anon_sym_equ] = ACTIONS(2512),
    [anon_sym_eqr] = ACTIONS(2512),
    [anon_sym_ne] = ACTIONS(2512),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_lt] = ACTIONS(2516),
    [anon_sym_le] = ACTIONS(2516),
    [anon_sym_ge] = ACTIONS(2516),
    [anon_sym_gt] = ACTIONS(2516),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2522),
    [anon_sym_EQ_GT] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_foreach] = ACTIONS(3142),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3142),
    [anon_sym___END__] = ACTIONS(3142),
    [anon_sym_EOT] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_unless] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_until] = ACTIONS(3142),
    [sym__PERLY_SEMICOLON] = ACTIONS(3142),
    [sym__ctrl_z_hack] = ACTIONS(3142),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1223] = {
    [sym_heredoc_content] = STATE(1223),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym_EQ] = ACTIONS(1846),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(2869),
    [anon_sym_or] = ACTIONS(2869),
    [anon_sym_xor] = ACTIONS(2869),
    [anon_sym_DASH_GT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1846),
    [anon_sym_LT] = ACTIONS(1846),
    [anon_sym_GT] = ACTIONS(1846),
    [anon_sym_LT_LT] = ACTIONS(1846),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2869),
    [anon_sym_PLUS_EQ] = ACTIONS(2869),
    [anon_sym_DASH_EQ] = ACTIONS(2869),
    [anon_sym_DOT_EQ] = ACTIONS(2869),
    [anon_sym_STAR_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_PERCENT_EQ] = ACTIONS(2869),
    [anon_sym_x_EQ] = ACTIONS(2869),
    [anon_sym_AMP_EQ] = ACTIONS(2869),
    [anon_sym_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_CARET_EQ] = ACTIONS(2869),
    [anon_sym_LT_LT_EQ] = ACTIONS(2869),
    [anon_sym_GT_GT_EQ] = ACTIONS(2869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2869),
    [anon_sym_DOT_DOT] = ACTIONS(1846),
    [anon_sym_STAR_STAR] = ACTIONS(1846),
    [anon_sym_PIPE_PIPE] = ACTIONS(1846),
    [anon_sym_SLASH_SLASH] = ACTIONS(1846),
    [anon_sym_CARET_CARET] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(1846),
    [anon_sym_PIPE] = ACTIONS(1846),
    [anon_sym_CARET] = ACTIONS(1846),
    [anon_sym_AMP] = ACTIONS(1846),
    [anon_sym_GT_GT2] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1846),
    [anon_sym_DASH] = ACTIONS(1846),
    [anon_sym_DOT] = ACTIONS(1846),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_SLASH] = ACTIONS(1846),
    [anon_sym_x] = ACTIONS(1846),
    [anon_sym_EQ_TILDE] = ACTIONS(2869),
    [anon_sym_BANG_TILDE] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(1846),
    [anon_sym_BANG_EQ] = ACTIONS(2869),
    [anon_sym_eq] = ACTIONS(1846),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2869),
    [anon_sym_equ] = ACTIONS(2869),
    [anon_sym_eqr] = ACTIONS(2869),
    [anon_sym_ne] = ACTIONS(2869),
    [anon_sym_LT_EQ_GT] = ACTIONS(2869),
    [anon_sym_cmp] = ACTIONS(2869),
    [anon_sym_TILDE_TILDE] = ACTIONS(2869),
    [anon_sym_LT_EQ] = ACTIONS(1846),
    [anon_sym_GT_EQ] = ACTIONS(2869),
    [anon_sym_lt] = ACTIONS(2869),
    [anon_sym_le] = ACTIONS(2869),
    [anon_sym_ge] = ACTIONS(2869),
    [anon_sym_gt] = ACTIONS(2869),
    [anon_sym_isa] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_QMARK] = ACTIONS(2869),
    [anon_sym_EQ_GT] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(1846),
    [anon_sym_foreach] = ACTIONS(2869),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2869),
    [anon_sym___END__] = ACTIONS(2869),
    [anon_sym_EOT] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_unless] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_until] = ACTIONS(2869),
    [sym__PERLY_SEMICOLON] = ACTIONS(2869),
    [sym__ctrl_z_hack] = ACTIONS(2869),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1224] = {
    [sym_heredoc_content] = STATE(1224),
    [anon_sym_RBRACE] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_COMMA] = ACTIONS(3146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3146),
    [anon_sym_and] = ACTIONS(3146),
    [anon_sym_or] = ACTIONS(3146),
    [anon_sym_xor] = ACTIONS(3146),
    [anon_sym_DASH_GT] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3148),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_GT] = ACTIONS(3148),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3146),
    [anon_sym_DASH_EQ] = ACTIONS(3146),
    [anon_sym_DOT_EQ] = ACTIONS(3146),
    [anon_sym_STAR_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_PERCENT_EQ] = ACTIONS(3146),
    [anon_sym_x_EQ] = ACTIONS(3146),
    [anon_sym_AMP_EQ] = ACTIONS(3146),
    [anon_sym_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_CARET_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT_EQ] = ACTIONS(3146),
    [anon_sym_GT_GT_EQ] = ACTIONS(3146),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3146),
    [anon_sym_DOT_DOT] = ACTIONS(3148),
    [anon_sym_STAR_STAR] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3148),
    [anon_sym_CARET_CARET] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_PIPE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3148),
    [anon_sym_GT_GT2] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_x] = ACTIONS(3148),
    [anon_sym_EQ_TILDE] = ACTIONS(3146),
    [anon_sym_BANG_TILDE] = ACTIONS(3146),
    [anon_sym_EQ_EQ] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_eq] = ACTIONS(3148),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3146),
    [anon_sym_equ] = ACTIONS(3146),
    [anon_sym_eqr] = ACTIONS(3146),
    [anon_sym_ne] = ACTIONS(3146),
    [anon_sym_LT_EQ_GT] = ACTIONS(3146),
    [anon_sym_cmp] = ACTIONS(3146),
    [anon_sym_TILDE_TILDE] = ACTIONS(3146),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_lt] = ACTIONS(3146),
    [anon_sym_le] = ACTIONS(3146),
    [anon_sym_ge] = ACTIONS(3146),
    [anon_sym_gt] = ACTIONS(3146),
    [anon_sym_isa] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_EQ_GT] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3148),
    [anon_sym_foreach] = ACTIONS(3146),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3146),
    [anon_sym___END__] = ACTIONS(3146),
    [anon_sym_EOT] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_unless] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_until] = ACTIONS(3146),
    [sym__PERLY_SEMICOLON] = ACTIONS(3146),
    [sym__ctrl_z_hack] = ACTIONS(3146),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1225] = {
    [sym_heredoc_content] = STATE(1225),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_COMMA] = ACTIONS(3150),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3150),
    [anon_sym_and] = ACTIONS(3150),
    [anon_sym_or] = ACTIONS(3150),
    [anon_sym_xor] = ACTIONS(3150),
    [anon_sym_DASH_GT] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_GT] = ACTIONS(3152),
    [anon_sym_LT_LT] = ACTIONS(3152),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3150),
    [anon_sym_DASH_EQ] = ACTIONS(3150),
    [anon_sym_DOT_EQ] = ACTIONS(3150),
    [anon_sym_STAR_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_PERCENT_EQ] = ACTIONS(3150),
    [anon_sym_x_EQ] = ACTIONS(3150),
    [anon_sym_AMP_EQ] = ACTIONS(3150),
    [anon_sym_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_CARET_EQ] = ACTIONS(3150),
    [anon_sym_LT_LT_EQ] = ACTIONS(3150),
    [anon_sym_GT_GT_EQ] = ACTIONS(3150),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3150),
    [anon_sym_DOT_DOT] = ACTIONS(3152),
    [anon_sym_STAR_STAR] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_SLASH_SLASH] = ACTIONS(3152),
    [anon_sym_CARET_CARET] = ACTIONS(3150),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_GT_GT2] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_x] = ACTIONS(3152),
    [anon_sym_EQ_TILDE] = ACTIONS(3150),
    [anon_sym_BANG_TILDE] = ACTIONS(3150),
    [anon_sym_EQ_EQ] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_eq] = ACTIONS(3152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3150),
    [anon_sym_equ] = ACTIONS(3150),
    [anon_sym_eqr] = ACTIONS(3150),
    [anon_sym_ne] = ACTIONS(3150),
    [anon_sym_LT_EQ_GT] = ACTIONS(3150),
    [anon_sym_cmp] = ACTIONS(3150),
    [anon_sym_TILDE_TILDE] = ACTIONS(3150),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3150),
    [anon_sym_lt] = ACTIONS(3150),
    [anon_sym_le] = ACTIONS(3150),
    [anon_sym_ge] = ACTIONS(3150),
    [anon_sym_gt] = ACTIONS(3150),
    [anon_sym_isa] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_EQ_GT] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_foreach] = ACTIONS(3150),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3150),
    [anon_sym___END__] = ACTIONS(3150),
    [anon_sym_EOT] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_unless] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_until] = ACTIONS(3150),
    [sym__PERLY_SEMICOLON] = ACTIONS(3150),
    [sym__ctrl_z_hack] = ACTIONS(3150),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1226] = {
    [sym_heredoc_content] = STATE(1226),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(2478),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2480),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2480),
    [anon_sym_COMMA] = ACTIONS(3154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2482),
    [anon_sym_and] = ACTIONS(3154),
    [anon_sym_or] = ACTIONS(3154),
    [anon_sym_xor] = ACTIONS(3154),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2480),
    [anon_sym_PLUS_EQ] = ACTIONS(2480),
    [anon_sym_DASH_EQ] = ACTIONS(2480),
    [anon_sym_DOT_EQ] = ACTIONS(2480),
    [anon_sym_STAR_EQ] = ACTIONS(2480),
    [anon_sym_SLASH_EQ] = ACTIONS(2480),
    [anon_sym_PERCENT_EQ] = ACTIONS(2480),
    [anon_sym_x_EQ] = ACTIONS(2480),
    [anon_sym_AMP_EQ] = ACTIONS(2480),
    [anon_sym_PIPE_EQ] = ACTIONS(2480),
    [anon_sym_CARET_EQ] = ACTIONS(2480),
    [anon_sym_LT_LT_EQ] = ACTIONS(2480),
    [anon_sym_GT_GT_EQ] = ACTIONS(2480),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2480),
    [anon_sym_DOT_DOT] = ACTIONS(2492),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_SLASH_SLASH] = ACTIONS(2496),
    [anon_sym_CARET_CARET] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_PIPE] = ACTIONS(2502),
    [anon_sym_CARET] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_eq] = ACTIONS(2510),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2512),
    [anon_sym_equ] = ACTIONS(2512),
    [anon_sym_eqr] = ACTIONS(2512),
    [anon_sym_ne] = ACTIONS(2512),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_lt] = ACTIONS(2516),
    [anon_sym_le] = ACTIONS(2516),
    [anon_sym_ge] = ACTIONS(2516),
    [anon_sym_gt] = ACTIONS(2516),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2522),
    [anon_sym_EQ_GT] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_foreach] = ACTIONS(3154),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3154),
    [anon_sym___END__] = ACTIONS(3154),
    [anon_sym_EOT] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_unless] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_until] = ACTIONS(3154),
    [sym__PERLY_SEMICOLON] = ACTIONS(3154),
    [sym__ctrl_z_hack] = ACTIONS(3154),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1227] = {
    [sym_heredoc_content] = STATE(1227),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(3158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3158),
    [anon_sym_and] = ACTIONS(3158),
    [anon_sym_or] = ACTIONS(3158),
    [anon_sym_xor] = ACTIONS(3158),
    [anon_sym_DASH_GT] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3160),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_GT] = ACTIONS(3160),
    [anon_sym_LT_LT] = ACTIONS(3160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3158),
    [anon_sym_DASH_EQ] = ACTIONS(3158),
    [anon_sym_DOT_EQ] = ACTIONS(3158),
    [anon_sym_STAR_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_PERCENT_EQ] = ACTIONS(3158),
    [anon_sym_x_EQ] = ACTIONS(3158),
    [anon_sym_AMP_EQ] = ACTIONS(3158),
    [anon_sym_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_CARET_EQ] = ACTIONS(3158),
    [anon_sym_LT_LT_EQ] = ACTIONS(3158),
    [anon_sym_GT_GT_EQ] = ACTIONS(3158),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3158),
    [anon_sym_DOT_DOT] = ACTIONS(3160),
    [anon_sym_STAR_STAR] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_SLASH_SLASH] = ACTIONS(3160),
    [anon_sym_CARET_CARET] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_PIPE] = ACTIONS(3160),
    [anon_sym_CARET] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym_GT_GT2] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_DOT] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_x] = ACTIONS(3160),
    [anon_sym_EQ_TILDE] = ACTIONS(3158),
    [anon_sym_BANG_TILDE] = ACTIONS(3158),
    [anon_sym_EQ_EQ] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_eq] = ACTIONS(3160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3158),
    [anon_sym_equ] = ACTIONS(3158),
    [anon_sym_eqr] = ACTIONS(3158),
    [anon_sym_ne] = ACTIONS(3158),
    [anon_sym_LT_EQ_GT] = ACTIONS(3158),
    [anon_sym_cmp] = ACTIONS(3158),
    [anon_sym_TILDE_TILDE] = ACTIONS(3158),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3158),
    [anon_sym_lt] = ACTIONS(3158),
    [anon_sym_le] = ACTIONS(3158),
    [anon_sym_ge] = ACTIONS(3158),
    [anon_sym_gt] = ACTIONS(3158),
    [anon_sym_isa] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_QMARK] = ACTIONS(3158),
    [anon_sym_EQ_GT] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3160),
    [anon_sym_foreach] = ACTIONS(3158),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3158),
    [anon_sym___END__] = ACTIONS(3158),
    [anon_sym_EOT] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_unless] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_until] = ACTIONS(3158),
    [sym__PERLY_SEMICOLON] = ACTIONS(3158),
    [sym__ctrl_z_hack] = ACTIONS(3158),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1228] = {
    [sym_heredoc_content] = STATE(1228),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_COMMA] = ACTIONS(3162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3162),
    [anon_sym_and] = ACTIONS(3162),
    [anon_sym_or] = ACTIONS(3162),
    [anon_sym_xor] = ACTIONS(3162),
    [anon_sym_DASH_GT] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3164),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_GT] = ACTIONS(3164),
    [anon_sym_LT_LT] = ACTIONS(3164),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3162),
    [anon_sym_DASH_EQ] = ACTIONS(3162),
    [anon_sym_DOT_EQ] = ACTIONS(3162),
    [anon_sym_STAR_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_PERCENT_EQ] = ACTIONS(3162),
    [anon_sym_x_EQ] = ACTIONS(3162),
    [anon_sym_AMP_EQ] = ACTIONS(3162),
    [anon_sym_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_CARET_EQ] = ACTIONS(3162),
    [anon_sym_LT_LT_EQ] = ACTIONS(3162),
    [anon_sym_GT_GT_EQ] = ACTIONS(3162),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3162),
    [anon_sym_DOT_DOT] = ACTIONS(3164),
    [anon_sym_STAR_STAR] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3164),
    [anon_sym_CARET_CARET] = ACTIONS(3162),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_PIPE] = ACTIONS(3164),
    [anon_sym_CARET] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_GT_GT2] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_x] = ACTIONS(3164),
    [anon_sym_EQ_TILDE] = ACTIONS(3162),
    [anon_sym_BANG_TILDE] = ACTIONS(3162),
    [anon_sym_EQ_EQ] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_eq] = ACTIONS(3164),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3162),
    [anon_sym_equ] = ACTIONS(3162),
    [anon_sym_eqr] = ACTIONS(3162),
    [anon_sym_ne] = ACTIONS(3162),
    [anon_sym_LT_EQ_GT] = ACTIONS(3162),
    [anon_sym_cmp] = ACTIONS(3162),
    [anon_sym_TILDE_TILDE] = ACTIONS(3162),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3162),
    [anon_sym_lt] = ACTIONS(3162),
    [anon_sym_le] = ACTIONS(3162),
    [anon_sym_ge] = ACTIONS(3162),
    [anon_sym_gt] = ACTIONS(3162),
    [anon_sym_isa] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_QMARK] = ACTIONS(3162),
    [anon_sym_EQ_GT] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_foreach] = ACTIONS(3162),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3162),
    [anon_sym___END__] = ACTIONS(3162),
    [anon_sym_EOT] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_unless] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_until] = ACTIONS(3162),
    [sym__PERLY_SEMICOLON] = ACTIONS(3162),
    [sym__ctrl_z_hack] = ACTIONS(3162),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1229] = {
    [sym_heredoc_content] = STATE(1229),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_eq] = ACTIONS(2510),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2512),
    [anon_sym_equ] = ACTIONS(2512),
    [anon_sym_eqr] = ACTIONS(2512),
    [anon_sym_ne] = ACTIONS(2512),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_lt] = ACTIONS(2516),
    [anon_sym_le] = ACTIONS(2516),
    [anon_sym_ge] = ACTIONS(2516),
    [anon_sym_gt] = ACTIONS(2516),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [anon_sym_for] = ACTIONS(2687),
    [anon_sym_foreach] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2685),
    [anon_sym___END__] = ACTIONS(2685),
    [anon_sym_EOT] = ACTIONS(2685),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_unless] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(2685),
    [anon_sym_until] = ACTIONS(2685),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym__ctrl_z_hack] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1230] = {
    [sym_heredoc_content] = STATE(1230),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_COMMA] = ACTIONS(3054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3054),
    [anon_sym_and] = ACTIONS(3054),
    [anon_sym_or] = ACTIONS(3054),
    [anon_sym_xor] = ACTIONS(3054),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_DOT_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_x_EQ] = ACTIONS(3054),
    [anon_sym_AMP_EQ] = ACTIONS(3054),
    [anon_sym_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_CARET_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT_EQ] = ACTIONS(3054),
    [anon_sym_GT_GT_EQ] = ACTIONS(3054),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(3056),
    [anon_sym_SLASH_SLASH] = ACTIONS(3056),
    [anon_sym_CARET_CARET] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3056),
    [anon_sym_PIPE] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_eq] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_equ] = ACTIONS(3054),
    [anon_sym_eqr] = ACTIONS(3054),
    [anon_sym_ne] = ACTIONS(3054),
    [anon_sym_LT_EQ_GT] = ACTIONS(3054),
    [anon_sym_cmp] = ACTIONS(3054),
    [anon_sym_TILDE_TILDE] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_lt] = ACTIONS(2516),
    [anon_sym_le] = ACTIONS(2516),
    [anon_sym_ge] = ACTIONS(2516),
    [anon_sym_gt] = ACTIONS(2516),
    [anon_sym_isa] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(3054),
    [anon_sym_EQ_GT] = ACTIONS(3054),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_foreach] = ACTIONS(3054),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3054),
    [anon_sym___END__] = ACTIONS(3054),
    [anon_sym_EOT] = ACTIONS(3054),
    [anon_sym_if] = ACTIONS(3054),
    [anon_sym_unless] = ACTIONS(3054),
    [anon_sym_while] = ACTIONS(3054),
    [anon_sym_until] = ACTIONS(3054),
    [sym__PERLY_SEMICOLON] = ACTIONS(3054),
    [sym__ctrl_z_hack] = ACTIONS(3054),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1231] = {
    [sym_heredoc_content] = STATE(1231),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2490),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_DOT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2510),
    [anon_sym_BANG_EQ] = ACTIONS(2512),
    [anon_sym_eq] = ACTIONS(2510),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2512),
    [anon_sym_equ] = ACTIONS(2512),
    [anon_sym_eqr] = ACTIONS(2512),
    [anon_sym_ne] = ACTIONS(2512),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2516),
    [anon_sym_lt] = ACTIONS(2516),
    [anon_sym_le] = ACTIONS(2516),
    [anon_sym_ge] = ACTIONS(2516),
    [anon_sym_gt] = ACTIONS(2516),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [anon_sym_for] = ACTIONS(2687),
    [anon_sym_foreach] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2685),
    [anon_sym___END__] = ACTIONS(2685),
    [anon_sym_EOT] = ACTIONS(2685),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_unless] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(2685),
    [anon_sym_until] = ACTIONS(2685),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym__ctrl_z_hack] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1232] = {
    [sym_heredoc_content] = STATE(1232),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_SLASH] = ACTIONS(2486),
    [anon_sym_x] = ACTIONS(2486),
    [anon_sym_EQ_TILDE] = ACTIONS(2508),
    [anon_sym_BANG_TILDE] = ACTIONS(2508),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [anon_sym_for] = ACTIONS(2687),
    [anon_sym_foreach] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2685),
    [anon_sym___END__] = ACTIONS(2685),
    [anon_sym_EOT] = ACTIONS(2685),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_unless] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(2685),
    [anon_sym_until] = ACTIONS(2685),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym__ctrl_z_hack] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1233] = {
    [sym_heredoc_content] = STATE(1233),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(2494),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_x] = ACTIONS(2687),
    [anon_sym_EQ_TILDE] = ACTIONS(2685),
    [anon_sym_BANG_TILDE] = ACTIONS(2685),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [anon_sym_for] = ACTIONS(2687),
    [anon_sym_foreach] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2685),
    [anon_sym___END__] = ACTIONS(2685),
    [anon_sym_EOT] = ACTIONS(2685),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_unless] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(2685),
    [anon_sym_until] = ACTIONS(2685),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym__ctrl_z_hack] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1234] = {
    [sym_heredoc_content] = STATE(1234),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_EQ] = ACTIONS(3170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_COMMA] = ACTIONS(3168),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3168),
    [anon_sym_and] = ACTIONS(3168),
    [anon_sym_or] = ACTIONS(3168),
    [anon_sym_xor] = ACTIONS(3168),
    [anon_sym_DASH_GT] = ACTIONS(3168),
    [anon_sym_PERCENT] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_GT] = ACTIONS(3170),
    [anon_sym_LT_LT] = ACTIONS(3170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_DOT_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_x_EQ] = ACTIONS(3168),
    [anon_sym_AMP_EQ] = ACTIONS(3168),
    [anon_sym_PIPE_EQ] = ACTIONS(3168),
    [anon_sym_CARET_EQ] = ACTIONS(3168),
    [anon_sym_LT_LT_EQ] = ACTIONS(3168),
    [anon_sym_GT_GT_EQ] = ACTIONS(3168),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3168),
    [anon_sym_DOT_DOT] = ACTIONS(3170),
    [anon_sym_STAR_STAR] = ACTIONS(3170),
    [anon_sym_PIPE_PIPE] = ACTIONS(3170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3170),
    [anon_sym_CARET_CARET] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_PIPE] = ACTIONS(3170),
    [anon_sym_CARET] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym_GT_GT2] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_DOT] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_x] = ACTIONS(3170),
    [anon_sym_EQ_TILDE] = ACTIONS(3168),
    [anon_sym_BANG_TILDE] = ACTIONS(3168),
    [anon_sym_EQ_EQ] = ACTIONS(3170),
    [anon_sym_BANG_EQ] = ACTIONS(3168),
    [anon_sym_eq] = ACTIONS(3170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3168),
    [anon_sym_equ] = ACTIONS(3168),
    [anon_sym_eqr] = ACTIONS(3168),
    [anon_sym_ne] = ACTIONS(3168),
    [anon_sym_LT_EQ_GT] = ACTIONS(3168),
    [anon_sym_cmp] = ACTIONS(3168),
    [anon_sym_TILDE_TILDE] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3170),
    [anon_sym_GT_EQ] = ACTIONS(3168),
    [anon_sym_lt] = ACTIONS(3168),
    [anon_sym_le] = ACTIONS(3168),
    [anon_sym_ge] = ACTIONS(3168),
    [anon_sym_gt] = ACTIONS(3168),
    [anon_sym_isa] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_QMARK] = ACTIONS(3168),
    [anon_sym_EQ_GT] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_foreach] = ACTIONS(3168),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3168),
    [anon_sym___END__] = ACTIONS(3168),
    [anon_sym_EOT] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_unless] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_until] = ACTIONS(3168),
    [sym__PERLY_SEMICOLON] = ACTIONS(3168),
    [sym__ctrl_z_hack] = ACTIONS(3168),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1235] = {
    [sym_attribute] = STATE(1246),
    [sym_attribute_name] = STATE(1243),
    [sym_heredoc_content] = STATE(1235),
    [aux_sym_attrlist_repeat1] = STATE(1235),
    [sym__identifier] = ACTIONS(3172),
    [anon_sym_COLON] = ACTIONS(3175),
    [anon_sym_SEMI] = ACTIONS(2311),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_COMMA] = ACTIONS(2311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2311),
    [anon_sym_and] = ACTIONS(2316),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_xor] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2311),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2316),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2311),
    [anon_sym_PLUS_EQ] = ACTIONS(2311),
    [anon_sym_DASH_EQ] = ACTIONS(2311),
    [anon_sym_DOT_EQ] = ACTIONS(2311),
    [anon_sym_STAR_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_PERCENT_EQ] = ACTIONS(2311),
    [anon_sym_x_EQ] = ACTIONS(2311),
    [anon_sym_AMP_EQ] = ACTIONS(2311),
    [anon_sym_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_CARET_EQ] = ACTIONS(2311),
    [anon_sym_LT_LT_EQ] = ACTIONS(2311),
    [anon_sym_GT_GT_EQ] = ACTIONS(2311),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2311),
    [anon_sym_DOT_DOT] = ACTIONS(2316),
    [anon_sym_STAR_STAR] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_SLASH_SLASH] = ACTIONS(2316),
    [anon_sym_CARET_CARET] = ACTIONS(2311),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_GT_GT2] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_x] = ACTIONS(2316),
    [anon_sym_EQ_TILDE] = ACTIONS(2311),
    [anon_sym_BANG_TILDE] = ACTIONS(2311),
    [anon_sym_EQ_EQ] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2311),
    [anon_sym_eq] = ACTIONS(2316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2311),
    [anon_sym_equ] = ACTIONS(2316),
    [anon_sym_eqr] = ACTIONS(2316),
    [anon_sym_ne] = ACTIONS(2316),
    [anon_sym_LT_EQ_GT] = ACTIONS(2311),
    [anon_sym_cmp] = ACTIONS(2316),
    [anon_sym_TILDE_TILDE] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(2316),
    [anon_sym_GT_EQ] = ACTIONS(2311),
    [anon_sym_lt] = ACTIONS(2316),
    [anon_sym_le] = ACTIONS(2316),
    [anon_sym_ge] = ACTIONS(2316),
    [anon_sym_gt] = ACTIONS(2316),
    [anon_sym_isa] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2311),
    [anon_sym_QMARK] = ACTIONS(2311),
    [anon_sym_EQ_GT] = ACTIONS(2311),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2316),
    [anon_sym___END__] = ACTIONS(2316),
    [anon_sym_EOT] = ACTIONS(2311),
    [aux_sym__bareword_token1] = ACTIONS(3172),
    [sym__PERLY_SEMICOLON] = ACTIONS(2311),
    [sym__ctrl_z_hack] = ACTIONS(2311),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1236] = {
    [sym_attribute] = STATE(1246),
    [sym_attribute_name] = STATE(1243),
    [sym_heredoc_content] = STATE(1236),
    [aux_sym_attrlist_repeat1] = STATE(1235),
    [sym__identifier] = ACTIONS(3178),
    [anon_sym_COLON] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_EQ] = ACTIONS(2306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2302),
    [anon_sym_COMMA] = ACTIONS(2302),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2302),
    [anon_sym_and] = ACTIONS(2306),
    [anon_sym_or] = ACTIONS(2306),
    [anon_sym_xor] = ACTIONS(2306),
    [anon_sym_DASH_GT] = ACTIONS(2302),
    [anon_sym_PERCENT] = ACTIONS(2306),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_LT_LT] = ACTIONS(2306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2302),
    [anon_sym_PLUS_EQ] = ACTIONS(2302),
    [anon_sym_DASH_EQ] = ACTIONS(2302),
    [anon_sym_DOT_EQ] = ACTIONS(2302),
    [anon_sym_STAR_EQ] = ACTIONS(2302),
    [anon_sym_SLASH_EQ] = ACTIONS(2302),
    [anon_sym_PERCENT_EQ] = ACTIONS(2302),
    [anon_sym_x_EQ] = ACTIONS(2302),
    [anon_sym_AMP_EQ] = ACTIONS(2302),
    [anon_sym_PIPE_EQ] = ACTIONS(2302),
    [anon_sym_CARET_EQ] = ACTIONS(2302),
    [anon_sym_LT_LT_EQ] = ACTIONS(2302),
    [anon_sym_GT_GT_EQ] = ACTIONS(2302),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2302),
    [anon_sym_DOT_DOT] = ACTIONS(2306),
    [anon_sym_STAR_STAR] = ACTIONS(2306),
    [anon_sym_PIPE_PIPE] = ACTIONS(2306),
    [anon_sym_SLASH_SLASH] = ACTIONS(2306),
    [anon_sym_CARET_CARET] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2306),
    [anon_sym_PIPE] = ACTIONS(2306),
    [anon_sym_CARET] = ACTIONS(2306),
    [anon_sym_AMP] = ACTIONS(2306),
    [anon_sym_GT_GT2] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_DOT] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2306),
    [anon_sym_x] = ACTIONS(2306),
    [anon_sym_EQ_TILDE] = ACTIONS(2302),
    [anon_sym_BANG_TILDE] = ACTIONS(2302),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ] = ACTIONS(2302),
    [anon_sym_eq] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2302),
    [anon_sym_equ] = ACTIONS(2306),
    [anon_sym_eqr] = ACTIONS(2306),
    [anon_sym_ne] = ACTIONS(2306),
    [anon_sym_LT_EQ_GT] = ACTIONS(2302),
    [anon_sym_cmp] = ACTIONS(2306),
    [anon_sym_TILDE_TILDE] = ACTIONS(2302),
    [anon_sym_LT_EQ] = ACTIONS(2306),
    [anon_sym_GT_EQ] = ACTIONS(2302),
    [anon_sym_lt] = ACTIONS(2306),
    [anon_sym_le] = ACTIONS(2306),
    [anon_sym_ge] = ACTIONS(2306),
    [anon_sym_gt] = ACTIONS(2306),
    [anon_sym_isa] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_QMARK] = ACTIONS(2302),
    [anon_sym_EQ_GT] = ACTIONS(2302),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2306),
    [anon_sym___END__] = ACTIONS(2306),
    [anon_sym_EOT] = ACTIONS(2302),
    [aux_sym__bareword_token1] = ACTIONS(3178),
    [sym__PERLY_SEMICOLON] = ACTIONS(2302),
    [sym__ctrl_z_hack] = ACTIONS(2302),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1237] = {
    [sym_attribute] = STATE(1246),
    [sym_attribute_name] = STATE(1243),
    [sym_heredoc_content] = STATE(1237),
    [aux_sym_attrlist_repeat1] = STATE(1236),
    [sym__identifier] = ACTIONS(3178),
    [anon_sym_COLON] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(2318),
    [anon_sym_EQ] = ACTIONS(2320),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2318),
    [anon_sym_and] = ACTIONS(2320),
    [anon_sym_or] = ACTIONS(2320),
    [anon_sym_xor] = ACTIONS(2320),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2320),
    [anon_sym_LT] = ACTIONS(2320),
    [anon_sym_GT] = ACTIONS(2320),
    [anon_sym_LT_LT] = ACTIONS(2320),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2318),
    [anon_sym_PLUS_EQ] = ACTIONS(2318),
    [anon_sym_DASH_EQ] = ACTIONS(2318),
    [anon_sym_DOT_EQ] = ACTIONS(2318),
    [anon_sym_STAR_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_PERCENT_EQ] = ACTIONS(2318),
    [anon_sym_x_EQ] = ACTIONS(2318),
    [anon_sym_AMP_EQ] = ACTIONS(2318),
    [anon_sym_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_CARET_EQ] = ACTIONS(2318),
    [anon_sym_LT_LT_EQ] = ACTIONS(2318),
    [anon_sym_GT_GT_EQ] = ACTIONS(2318),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2318),
    [anon_sym_DOT_DOT] = ACTIONS(2320),
    [anon_sym_STAR_STAR] = ACTIONS(2320),
    [anon_sym_PIPE_PIPE] = ACTIONS(2320),
    [anon_sym_SLASH_SLASH] = ACTIONS(2320),
    [anon_sym_CARET_CARET] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_PIPE] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_GT_GT2] = ACTIONS(2320),
    [anon_sym_PLUS] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2320),
    [anon_sym_DOT] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_SLASH] = ACTIONS(2320),
    [anon_sym_x] = ACTIONS(2320),
    [anon_sym_EQ_TILDE] = ACTIONS(2318),
    [anon_sym_BANG_TILDE] = ACTIONS(2318),
    [anon_sym_EQ_EQ] = ACTIONS(2320),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_eq] = ACTIONS(2320),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2318),
    [anon_sym_equ] = ACTIONS(2320),
    [anon_sym_eqr] = ACTIONS(2320),
    [anon_sym_ne] = ACTIONS(2320),
    [anon_sym_LT_EQ_GT] = ACTIONS(2318),
    [anon_sym_cmp] = ACTIONS(2320),
    [anon_sym_TILDE_TILDE] = ACTIONS(2318),
    [anon_sym_LT_EQ] = ACTIONS(2320),
    [anon_sym_GT_EQ] = ACTIONS(2318),
    [anon_sym_lt] = ACTIONS(2320),
    [anon_sym_le] = ACTIONS(2320),
    [anon_sym_ge] = ACTIONS(2320),
    [anon_sym_gt] = ACTIONS(2320),
    [anon_sym_isa] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_QMARK] = ACTIONS(2318),
    [anon_sym_EQ_GT] = ACTIONS(2318),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2320),
    [anon_sym___END__] = ACTIONS(2320),
    [anon_sym_EOT] = ACTIONS(2318),
    [aux_sym__bareword_token1] = ACTIONS(3178),
    [sym__PERLY_SEMICOLON] = ACTIONS(2318),
    [sym__ctrl_z_hack] = ACTIONS(2318),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1238] = {
    [sym_attrlist] = STATE(1206),
    [sym_attribute] = STATE(1237),
    [sym_attribute_name] = STATE(1243),
    [sym_heredoc_content] = STATE(1238),
    [sym__identifier] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(2322),
    [anon_sym_EQ] = ACTIONS(2324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2322),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2322),
    [anon_sym_COMMA] = ACTIONS(2322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_and] = ACTIONS(2324),
    [anon_sym_or] = ACTIONS(2324),
    [anon_sym_xor] = ACTIONS(2324),
    [anon_sym_DASH_GT] = ACTIONS(2322),
    [anon_sym_PERCENT] = ACTIONS(2324),
    [anon_sym_LT] = ACTIONS(2324),
    [anon_sym_GT] = ACTIONS(2324),
    [anon_sym_LT_LT] = ACTIONS(2324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2322),
    [anon_sym_PLUS_EQ] = ACTIONS(2322),
    [anon_sym_DASH_EQ] = ACTIONS(2322),
    [anon_sym_DOT_EQ] = ACTIONS(2322),
    [anon_sym_STAR_EQ] = ACTIONS(2322),
    [anon_sym_SLASH_EQ] = ACTIONS(2322),
    [anon_sym_PERCENT_EQ] = ACTIONS(2322),
    [anon_sym_x_EQ] = ACTIONS(2322),
    [anon_sym_AMP_EQ] = ACTIONS(2322),
    [anon_sym_PIPE_EQ] = ACTIONS(2322),
    [anon_sym_CARET_EQ] = ACTIONS(2322),
    [anon_sym_LT_LT_EQ] = ACTIONS(2322),
    [anon_sym_GT_GT_EQ] = ACTIONS(2322),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2322),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_STAR_STAR] = ACTIONS(2324),
    [anon_sym_PIPE_PIPE] = ACTIONS(2324),
    [anon_sym_SLASH_SLASH] = ACTIONS(2324),
    [anon_sym_CARET_CARET] = ACTIONS(2322),
    [anon_sym_AMP_AMP] = ACTIONS(2324),
    [anon_sym_PIPE] = ACTIONS(2324),
    [anon_sym_CARET] = ACTIONS(2324),
    [anon_sym_AMP] = ACTIONS(2324),
    [anon_sym_GT_GT2] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_DOT] = ACTIONS(2324),
    [anon_sym_STAR] = ACTIONS(2324),
    [anon_sym_SLASH] = ACTIONS(2324),
    [anon_sym_x] = ACTIONS(2324),
    [anon_sym_EQ_TILDE] = ACTIONS(2322),
    [anon_sym_BANG_TILDE] = ACTIONS(2322),
    [anon_sym_EQ_EQ] = ACTIONS(2324),
    [anon_sym_BANG_EQ] = ACTIONS(2322),
    [anon_sym_eq] = ACTIONS(2324),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2322),
    [anon_sym_equ] = ACTIONS(2324),
    [anon_sym_eqr] = ACTIONS(2324),
    [anon_sym_ne] = ACTIONS(2324),
    [anon_sym_LT_EQ_GT] = ACTIONS(2322),
    [anon_sym_cmp] = ACTIONS(2324),
    [anon_sym_TILDE_TILDE] = ACTIONS(2322),
    [anon_sym_LT_EQ] = ACTIONS(2324),
    [anon_sym_GT_EQ] = ACTIONS(2322),
    [anon_sym_lt] = ACTIONS(2324),
    [anon_sym_le] = ACTIONS(2324),
    [anon_sym_ge] = ACTIONS(2324),
    [anon_sym_gt] = ACTIONS(2324),
    [anon_sym_isa] = ACTIONS(2324),
    [anon_sym_PLUS_PLUS] = ACTIONS(2322),
    [anon_sym_DASH_DASH] = ACTIONS(2322),
    [anon_sym_QMARK] = ACTIONS(2322),
    [anon_sym_EQ_GT] = ACTIONS(2322),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2324),
    [anon_sym___END__] = ACTIONS(2324),
    [anon_sym_EOT] = ACTIONS(2322),
    [aux_sym__bareword_token1] = ACTIONS(3178),
    [sym__PERLY_SEMICOLON] = ACTIONS(2322),
    [sym__ctrl_z_hack] = ACTIONS(2322),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1239] = {
    [sym_attrlist] = STATE(1102),
    [sym_attribute] = STATE(1237),
    [sym_attribute_name] = STATE(1243),
    [sym_heredoc_content] = STATE(1239),
    [sym__identifier] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(2326),
    [anon_sym_EQ] = ACTIONS(2328),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2326),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2326),
    [anon_sym_COMMA] = ACTIONS(2326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2326),
    [anon_sym_and] = ACTIONS(2328),
    [anon_sym_or] = ACTIONS(2328),
    [anon_sym_xor] = ACTIONS(2328),
    [anon_sym_DASH_GT] = ACTIONS(2326),
    [anon_sym_PERCENT] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2328),
    [anon_sym_GT] = ACTIONS(2328),
    [anon_sym_LT_LT] = ACTIONS(2328),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2326),
    [anon_sym_PLUS_EQ] = ACTIONS(2326),
    [anon_sym_DASH_EQ] = ACTIONS(2326),
    [anon_sym_DOT_EQ] = ACTIONS(2326),
    [anon_sym_STAR_EQ] = ACTIONS(2326),
    [anon_sym_SLASH_EQ] = ACTIONS(2326),
    [anon_sym_PERCENT_EQ] = ACTIONS(2326),
    [anon_sym_x_EQ] = ACTIONS(2326),
    [anon_sym_AMP_EQ] = ACTIONS(2326),
    [anon_sym_PIPE_EQ] = ACTIONS(2326),
    [anon_sym_CARET_EQ] = ACTIONS(2326),
    [anon_sym_LT_LT_EQ] = ACTIONS(2326),
    [anon_sym_GT_GT_EQ] = ACTIONS(2326),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2326),
    [anon_sym_DOT_DOT] = ACTIONS(2328),
    [anon_sym_STAR_STAR] = ACTIONS(2328),
    [anon_sym_PIPE_PIPE] = ACTIONS(2328),
    [anon_sym_SLASH_SLASH] = ACTIONS(2328),
    [anon_sym_CARET_CARET] = ACTIONS(2326),
    [anon_sym_AMP_AMP] = ACTIONS(2328),
    [anon_sym_PIPE] = ACTIONS(2328),
    [anon_sym_CARET] = ACTIONS(2328),
    [anon_sym_AMP] = ACTIONS(2328),
    [anon_sym_GT_GT2] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_DOT] = ACTIONS(2328),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_x] = ACTIONS(2328),
    [anon_sym_EQ_TILDE] = ACTIONS(2326),
    [anon_sym_BANG_TILDE] = ACTIONS(2326),
    [anon_sym_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2326),
    [anon_sym_eq] = ACTIONS(2328),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2326),
    [anon_sym_equ] = ACTIONS(2328),
    [anon_sym_eqr] = ACTIONS(2328),
    [anon_sym_ne] = ACTIONS(2328),
    [anon_sym_LT_EQ_GT] = ACTIONS(2326),
    [anon_sym_cmp] = ACTIONS(2328),
    [anon_sym_TILDE_TILDE] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2326),
    [anon_sym_lt] = ACTIONS(2328),
    [anon_sym_le] = ACTIONS(2328),
    [anon_sym_ge] = ACTIONS(2328),
    [anon_sym_gt] = ACTIONS(2328),
    [anon_sym_isa] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2326),
    [anon_sym_DASH_DASH] = ACTIONS(2326),
    [anon_sym_QMARK] = ACTIONS(2326),
    [anon_sym_EQ_GT] = ACTIONS(2326),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2328),
    [anon_sym___END__] = ACTIONS(2328),
    [anon_sym_EOT] = ACTIONS(2326),
    [aux_sym__bareword_token1] = ACTIONS(3178),
    [sym__PERLY_SEMICOLON] = ACTIONS(2326),
    [sym__ctrl_z_hack] = ACTIONS(2326),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1240] = {
    [sym_heredoc_content] = STATE(1240),
    [sym__identifier] = ACTIONS(2330),
    [anon_sym_COLON] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_EQ] = ACTIONS(2330),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2332),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2332),
    [anon_sym_COMMA] = ACTIONS(2332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2332),
    [anon_sym_and] = ACTIONS(2330),
    [anon_sym_or] = ACTIONS(2330),
    [anon_sym_xor] = ACTIONS(2330),
    [anon_sym_DASH_GT] = ACTIONS(2332),
    [anon_sym_PERCENT] = ACTIONS(2330),
    [anon_sym_LT] = ACTIONS(2330),
    [anon_sym_GT] = ACTIONS(2330),
    [anon_sym_LT_LT] = ACTIONS(2330),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2332),
    [anon_sym_PLUS_EQ] = ACTIONS(2332),
    [anon_sym_DASH_EQ] = ACTIONS(2332),
    [anon_sym_DOT_EQ] = ACTIONS(2332),
    [anon_sym_STAR_EQ] = ACTIONS(2332),
    [anon_sym_SLASH_EQ] = ACTIONS(2332),
    [anon_sym_PERCENT_EQ] = ACTIONS(2332),
    [anon_sym_x_EQ] = ACTIONS(2332),
    [anon_sym_AMP_EQ] = ACTIONS(2332),
    [anon_sym_PIPE_EQ] = ACTIONS(2332),
    [anon_sym_CARET_EQ] = ACTIONS(2332),
    [anon_sym_LT_LT_EQ] = ACTIONS(2332),
    [anon_sym_GT_GT_EQ] = ACTIONS(2332),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2332),
    [anon_sym_DOT_DOT] = ACTIONS(2330),
    [anon_sym_STAR_STAR] = ACTIONS(2330),
    [anon_sym_PIPE_PIPE] = ACTIONS(2330),
    [anon_sym_SLASH_SLASH] = ACTIONS(2330),
    [anon_sym_CARET_CARET] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2330),
    [anon_sym_PIPE] = ACTIONS(2330),
    [anon_sym_CARET] = ACTIONS(2330),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_GT_GT2] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_DOT] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2330),
    [anon_sym_SLASH] = ACTIONS(2330),
    [anon_sym_x] = ACTIONS(2330),
    [anon_sym_EQ_TILDE] = ACTIONS(2332),
    [anon_sym_BANG_TILDE] = ACTIONS(2332),
    [anon_sym_EQ_EQ] = ACTIONS(2330),
    [anon_sym_BANG_EQ] = ACTIONS(2332),
    [anon_sym_eq] = ACTIONS(2330),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2332),
    [anon_sym_equ] = ACTIONS(2330),
    [anon_sym_eqr] = ACTIONS(2330),
    [anon_sym_ne] = ACTIONS(2330),
    [anon_sym_LT_EQ_GT] = ACTIONS(2332),
    [anon_sym_cmp] = ACTIONS(2330),
    [anon_sym_TILDE_TILDE] = ACTIONS(2332),
    [anon_sym_LT_EQ] = ACTIONS(2330),
    [anon_sym_GT_EQ] = ACTIONS(2332),
    [anon_sym_lt] = ACTIONS(2330),
    [anon_sym_le] = ACTIONS(2330),
    [anon_sym_ge] = ACTIONS(2330),
    [anon_sym_gt] = ACTIONS(2330),
    [anon_sym_isa] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_QMARK] = ACTIONS(2332),
    [anon_sym_EQ_GT] = ACTIONS(2332),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2330),
    [anon_sym___END__] = ACTIONS(2330),
    [anon_sym_EOT] = ACTIONS(2332),
    [aux_sym__bareword_token1] = ACTIONS(2330),
    [sym__PERLY_SEMICOLON] = ACTIONS(2332),
    [sym__ctrl_z_hack] = ACTIONS(2332),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(2332),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1241] = {
    [sym_attribute] = STATE(1264),
    [sym_attribute_name] = STATE(1251),
    [sym_heredoc_content] = STATE(1241),
    [aux_sym_attrlist_repeat1] = STATE(1242),
    [sym__identifier] = ACTIONS(3182),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_COLON] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_EQ] = ACTIONS(2306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2302),
    [anon_sym_COMMA] = ACTIONS(2302),
    [anon_sym_RPAREN] = ACTIONS(2302),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2302),
    [anon_sym_and] = ACTIONS(2306),
    [anon_sym_or] = ACTIONS(2306),
    [anon_sym_xor] = ACTIONS(2306),
    [anon_sym_RBRACK] = ACTIONS(2302),
    [anon_sym_DASH_GT] = ACTIONS(2302),
    [anon_sym_PERCENT] = ACTIONS(2306),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_LT_LT] = ACTIONS(2306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2302),
    [anon_sym_PLUS_EQ] = ACTIONS(2302),
    [anon_sym_DASH_EQ] = ACTIONS(2302),
    [anon_sym_DOT_EQ] = ACTIONS(2302),
    [anon_sym_STAR_EQ] = ACTIONS(2302),
    [anon_sym_SLASH_EQ] = ACTIONS(2302),
    [anon_sym_PERCENT_EQ] = ACTIONS(2302),
    [anon_sym_x_EQ] = ACTIONS(2302),
    [anon_sym_AMP_EQ] = ACTIONS(2302),
    [anon_sym_PIPE_EQ] = ACTIONS(2302),
    [anon_sym_CARET_EQ] = ACTIONS(2302),
    [anon_sym_LT_LT_EQ] = ACTIONS(2302),
    [anon_sym_GT_GT_EQ] = ACTIONS(2302),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2302),
    [anon_sym_DOT_DOT] = ACTIONS(2306),
    [anon_sym_STAR_STAR] = ACTIONS(2306),
    [anon_sym_PIPE_PIPE] = ACTIONS(2306),
    [anon_sym_SLASH_SLASH] = ACTIONS(2306),
    [anon_sym_CARET_CARET] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2306),
    [anon_sym_PIPE] = ACTIONS(2306),
    [anon_sym_CARET] = ACTIONS(2306),
    [anon_sym_AMP] = ACTIONS(2306),
    [anon_sym_GT_GT2] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_DOT] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2306),
    [anon_sym_x] = ACTIONS(2306),
    [anon_sym_EQ_TILDE] = ACTIONS(2302),
    [anon_sym_BANG_TILDE] = ACTIONS(2302),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ] = ACTIONS(2302),
    [anon_sym_eq] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2302),
    [anon_sym_equ] = ACTIONS(2306),
    [anon_sym_eqr] = ACTIONS(2306),
    [anon_sym_ne] = ACTIONS(2306),
    [anon_sym_LT_EQ_GT] = ACTIONS(2302),
    [anon_sym_cmp] = ACTIONS(2306),
    [anon_sym_TILDE_TILDE] = ACTIONS(2302),
    [anon_sym_LT_EQ] = ACTIONS(2306),
    [anon_sym_GT_EQ] = ACTIONS(2302),
    [anon_sym_lt] = ACTIONS(2306),
    [anon_sym_le] = ACTIONS(2306),
    [anon_sym_ge] = ACTIONS(2306),
    [anon_sym_gt] = ACTIONS(2306),
    [anon_sym_isa] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_QMARK] = ACTIONS(2302),
    [anon_sym_EQ_GT] = ACTIONS(2302),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3182),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1242] = {
    [sym_attribute] = STATE(1264),
    [sym_attribute_name] = STATE(1251),
    [sym_heredoc_content] = STATE(1242),
    [aux_sym_attrlist_repeat1] = STATE(1242),
    [sym__identifier] = ACTIONS(3186),
    [anon_sym_RBRACE] = ACTIONS(2311),
    [anon_sym_COLON] = ACTIONS(3189),
    [anon_sym_SEMI] = ACTIONS(2311),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_COMMA] = ACTIONS(2311),
    [anon_sym_RPAREN] = ACTIONS(2311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2311),
    [anon_sym_and] = ACTIONS(2316),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_xor] = ACTIONS(2316),
    [anon_sym_RBRACK] = ACTIONS(2311),
    [anon_sym_DASH_GT] = ACTIONS(2311),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2316),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2311),
    [anon_sym_PLUS_EQ] = ACTIONS(2311),
    [anon_sym_DASH_EQ] = ACTIONS(2311),
    [anon_sym_DOT_EQ] = ACTIONS(2311),
    [anon_sym_STAR_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_PERCENT_EQ] = ACTIONS(2311),
    [anon_sym_x_EQ] = ACTIONS(2311),
    [anon_sym_AMP_EQ] = ACTIONS(2311),
    [anon_sym_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_CARET_EQ] = ACTIONS(2311),
    [anon_sym_LT_LT_EQ] = ACTIONS(2311),
    [anon_sym_GT_GT_EQ] = ACTIONS(2311),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2311),
    [anon_sym_DOT_DOT] = ACTIONS(2316),
    [anon_sym_STAR_STAR] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_SLASH_SLASH] = ACTIONS(2316),
    [anon_sym_CARET_CARET] = ACTIONS(2311),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_GT_GT2] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_x] = ACTIONS(2316),
    [anon_sym_EQ_TILDE] = ACTIONS(2311),
    [anon_sym_BANG_TILDE] = ACTIONS(2311),
    [anon_sym_EQ_EQ] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2311),
    [anon_sym_eq] = ACTIONS(2316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2311),
    [anon_sym_equ] = ACTIONS(2316),
    [anon_sym_eqr] = ACTIONS(2316),
    [anon_sym_ne] = ACTIONS(2316),
    [anon_sym_LT_EQ_GT] = ACTIONS(2311),
    [anon_sym_cmp] = ACTIONS(2316),
    [anon_sym_TILDE_TILDE] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(2316),
    [anon_sym_GT_EQ] = ACTIONS(2311),
    [anon_sym_lt] = ACTIONS(2316),
    [anon_sym_le] = ACTIONS(2316),
    [anon_sym_ge] = ACTIONS(2316),
    [anon_sym_gt] = ACTIONS(2316),
    [anon_sym_isa] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2311),
    [anon_sym_QMARK] = ACTIONS(2311),
    [anon_sym_EQ_GT] = ACTIONS(2311),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3186),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1243] = {
    [sym_heredoc_content] = STATE(1243),
    [sym__identifier] = ACTIONS(2334),
    [anon_sym_COLON] = ACTIONS(2334),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym_EQ] = ACTIONS(2334),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2336),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2336),
    [anon_sym_COMMA] = ACTIONS(2336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2336),
    [anon_sym_and] = ACTIONS(2334),
    [anon_sym_or] = ACTIONS(2334),
    [anon_sym_xor] = ACTIONS(2334),
    [anon_sym_DASH_GT] = ACTIONS(2336),
    [anon_sym_PERCENT] = ACTIONS(2334),
    [anon_sym_LT] = ACTIONS(2334),
    [anon_sym_GT] = ACTIONS(2334),
    [anon_sym_LT_LT] = ACTIONS(2334),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2336),
    [anon_sym_PLUS_EQ] = ACTIONS(2336),
    [anon_sym_DASH_EQ] = ACTIONS(2336),
    [anon_sym_DOT_EQ] = ACTIONS(2336),
    [anon_sym_STAR_EQ] = ACTIONS(2336),
    [anon_sym_SLASH_EQ] = ACTIONS(2336),
    [anon_sym_PERCENT_EQ] = ACTIONS(2336),
    [anon_sym_x_EQ] = ACTIONS(2336),
    [anon_sym_AMP_EQ] = ACTIONS(2336),
    [anon_sym_PIPE_EQ] = ACTIONS(2336),
    [anon_sym_CARET_EQ] = ACTIONS(2336),
    [anon_sym_LT_LT_EQ] = ACTIONS(2336),
    [anon_sym_GT_GT_EQ] = ACTIONS(2336),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2336),
    [anon_sym_DOT_DOT] = ACTIONS(2334),
    [anon_sym_STAR_STAR] = ACTIONS(2334),
    [anon_sym_PIPE_PIPE] = ACTIONS(2334),
    [anon_sym_SLASH_SLASH] = ACTIONS(2334),
    [anon_sym_CARET_CARET] = ACTIONS(2336),
    [anon_sym_AMP_AMP] = ACTIONS(2334),
    [anon_sym_PIPE] = ACTIONS(2334),
    [anon_sym_CARET] = ACTIONS(2334),
    [anon_sym_AMP] = ACTIONS(2334),
    [anon_sym_GT_GT2] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2334),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_DOT] = ACTIONS(2334),
    [anon_sym_STAR] = ACTIONS(2334),
    [anon_sym_SLASH] = ACTIONS(2334),
    [anon_sym_x] = ACTIONS(2334),
    [anon_sym_EQ_TILDE] = ACTIONS(2336),
    [anon_sym_BANG_TILDE] = ACTIONS(2336),
    [anon_sym_EQ_EQ] = ACTIONS(2334),
    [anon_sym_BANG_EQ] = ACTIONS(2336),
    [anon_sym_eq] = ACTIONS(2334),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2336),
    [anon_sym_equ] = ACTIONS(2334),
    [anon_sym_eqr] = ACTIONS(2334),
    [anon_sym_ne] = ACTIONS(2334),
    [anon_sym_LT_EQ_GT] = ACTIONS(2336),
    [anon_sym_cmp] = ACTIONS(2334),
    [anon_sym_TILDE_TILDE] = ACTIONS(2336),
    [anon_sym_LT_EQ] = ACTIONS(2334),
    [anon_sym_GT_EQ] = ACTIONS(2336),
    [anon_sym_lt] = ACTIONS(2334),
    [anon_sym_le] = ACTIONS(2334),
    [anon_sym_ge] = ACTIONS(2334),
    [anon_sym_gt] = ACTIONS(2334),
    [anon_sym_isa] = ACTIONS(2334),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_QMARK] = ACTIONS(2336),
    [anon_sym_EQ_GT] = ACTIONS(2336),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2334),
    [anon_sym___END__] = ACTIONS(2334),
    [anon_sym_EOT] = ACTIONS(2336),
    [aux_sym__bareword_token1] = ACTIONS(2334),
    [sym__PERLY_SEMICOLON] = ACTIONS(2336),
    [sym__ctrl_z_hack] = ACTIONS(2336),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(3192),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1244] = {
    [sym_attribute] = STATE(1264),
    [sym_attribute_name] = STATE(1251),
    [sym_heredoc_content] = STATE(1244),
    [aux_sym_attrlist_repeat1] = STATE(1241),
    [sym__identifier] = ACTIONS(3182),
    [anon_sym_RBRACE] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(3184),
    [anon_sym_SEMI] = ACTIONS(2318),
    [anon_sym_EQ] = ACTIONS(2320),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_RPAREN] = ACTIONS(2318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2318),
    [anon_sym_and] = ACTIONS(2320),
    [anon_sym_or] = ACTIONS(2320),
    [anon_sym_xor] = ACTIONS(2320),
    [anon_sym_RBRACK] = ACTIONS(2318),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2320),
    [anon_sym_LT] = ACTIONS(2320),
    [anon_sym_GT] = ACTIONS(2320),
    [anon_sym_LT_LT] = ACTIONS(2320),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2318),
    [anon_sym_PLUS_EQ] = ACTIONS(2318),
    [anon_sym_DASH_EQ] = ACTIONS(2318),
    [anon_sym_DOT_EQ] = ACTIONS(2318),
    [anon_sym_STAR_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_PERCENT_EQ] = ACTIONS(2318),
    [anon_sym_x_EQ] = ACTIONS(2318),
    [anon_sym_AMP_EQ] = ACTIONS(2318),
    [anon_sym_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_CARET_EQ] = ACTIONS(2318),
    [anon_sym_LT_LT_EQ] = ACTIONS(2318),
    [anon_sym_GT_GT_EQ] = ACTIONS(2318),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2318),
    [anon_sym_DOT_DOT] = ACTIONS(2320),
    [anon_sym_STAR_STAR] = ACTIONS(2320),
    [anon_sym_PIPE_PIPE] = ACTIONS(2320),
    [anon_sym_SLASH_SLASH] = ACTIONS(2320),
    [anon_sym_CARET_CARET] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_PIPE] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_GT_GT2] = ACTIONS(2320),
    [anon_sym_PLUS] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2320),
    [anon_sym_DOT] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_SLASH] = ACTIONS(2320),
    [anon_sym_x] = ACTIONS(2320),
    [anon_sym_EQ_TILDE] = ACTIONS(2318),
    [anon_sym_BANG_TILDE] = ACTIONS(2318),
    [anon_sym_EQ_EQ] = ACTIONS(2320),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_eq] = ACTIONS(2320),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2318),
    [anon_sym_equ] = ACTIONS(2320),
    [anon_sym_eqr] = ACTIONS(2320),
    [anon_sym_ne] = ACTIONS(2320),
    [anon_sym_LT_EQ_GT] = ACTIONS(2318),
    [anon_sym_cmp] = ACTIONS(2320),
    [anon_sym_TILDE_TILDE] = ACTIONS(2318),
    [anon_sym_LT_EQ] = ACTIONS(2320),
    [anon_sym_GT_EQ] = ACTIONS(2318),
    [anon_sym_lt] = ACTIONS(2320),
    [anon_sym_le] = ACTIONS(2320),
    [anon_sym_ge] = ACTIONS(2320),
    [anon_sym_gt] = ACTIONS(2320),
    [anon_sym_isa] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_QMARK] = ACTIONS(2318),
    [anon_sym_EQ_GT] = ACTIONS(2318),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3182),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1245] = {
    [sym_heredoc_content] = STATE(1245),
    [sym__identifier] = ACTIONS(2348),
    [anon_sym_COLON] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_EQ] = ACTIONS(2348),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2350),
    [anon_sym_and] = ACTIONS(2348),
    [anon_sym_or] = ACTIONS(2348),
    [anon_sym_xor] = ACTIONS(2348),
    [anon_sym_DASH_GT] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2348),
    [anon_sym_LT] = ACTIONS(2348),
    [anon_sym_GT] = ACTIONS(2348),
    [anon_sym_LT_LT] = ACTIONS(2348),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2350),
    [anon_sym_PLUS_EQ] = ACTIONS(2350),
    [anon_sym_DASH_EQ] = ACTIONS(2350),
    [anon_sym_DOT_EQ] = ACTIONS(2350),
    [anon_sym_STAR_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT_EQ] = ACTIONS(2350),
    [anon_sym_x_EQ] = ACTIONS(2350),
    [anon_sym_AMP_EQ] = ACTIONS(2350),
    [anon_sym_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_CARET_EQ] = ACTIONS(2350),
    [anon_sym_LT_LT_EQ] = ACTIONS(2350),
    [anon_sym_GT_GT_EQ] = ACTIONS(2350),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2350),
    [anon_sym_DOT_DOT] = ACTIONS(2348),
    [anon_sym_STAR_STAR] = ACTIONS(2348),
    [anon_sym_PIPE_PIPE] = ACTIONS(2348),
    [anon_sym_SLASH_SLASH] = ACTIONS(2348),
    [anon_sym_CARET_CARET] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2348),
    [anon_sym_PIPE] = ACTIONS(2348),
    [anon_sym_CARET] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_GT_GT2] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2348),
    [anon_sym_DOT] = ACTIONS(2348),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_SLASH] = ACTIONS(2348),
    [anon_sym_x] = ACTIONS(2348),
    [anon_sym_EQ_TILDE] = ACTIONS(2350),
    [anon_sym_BANG_TILDE] = ACTIONS(2350),
    [anon_sym_EQ_EQ] = ACTIONS(2348),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_eq] = ACTIONS(2348),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2350),
    [anon_sym_equ] = ACTIONS(2348),
    [anon_sym_eqr] = ACTIONS(2348),
    [anon_sym_ne] = ACTIONS(2348),
    [anon_sym_LT_EQ_GT] = ACTIONS(2350),
    [anon_sym_cmp] = ACTIONS(2348),
    [anon_sym_TILDE_TILDE] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2348),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_lt] = ACTIONS(2348),
    [anon_sym_le] = ACTIONS(2348),
    [anon_sym_ge] = ACTIONS(2348),
    [anon_sym_gt] = ACTIONS(2348),
    [anon_sym_isa] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2350),
    [anon_sym_EQ_GT] = ACTIONS(2350),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2348),
    [anon_sym___END__] = ACTIONS(2348),
    [anon_sym_EOT] = ACTIONS(2350),
    [aux_sym__bareword_token1] = ACTIONS(2348),
    [sym__PERLY_SEMICOLON] = ACTIONS(2350),
    [sym__ctrl_z_hack] = ACTIONS(2350),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1246] = {
    [sym_heredoc_content] = STATE(1246),
    [sym__identifier] = ACTIONS(2398),
    [anon_sym_COLON] = ACTIONS(2398),
    [anon_sym_SEMI] = ACTIONS(2400),
    [anon_sym_EQ] = ACTIONS(2398),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2400),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2400),
    [anon_sym_COMMA] = ACTIONS(2400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2400),
    [anon_sym_and] = ACTIONS(2398),
    [anon_sym_or] = ACTIONS(2398),
    [anon_sym_xor] = ACTIONS(2398),
    [anon_sym_DASH_GT] = ACTIONS(2400),
    [anon_sym_PERCENT] = ACTIONS(2398),
    [anon_sym_LT] = ACTIONS(2398),
    [anon_sym_GT] = ACTIONS(2398),
    [anon_sym_LT_LT] = ACTIONS(2398),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2400),
    [anon_sym_PLUS_EQ] = ACTIONS(2400),
    [anon_sym_DASH_EQ] = ACTIONS(2400),
    [anon_sym_DOT_EQ] = ACTIONS(2400),
    [anon_sym_STAR_EQ] = ACTIONS(2400),
    [anon_sym_SLASH_EQ] = ACTIONS(2400),
    [anon_sym_PERCENT_EQ] = ACTIONS(2400),
    [anon_sym_x_EQ] = ACTIONS(2400),
    [anon_sym_AMP_EQ] = ACTIONS(2400),
    [anon_sym_PIPE_EQ] = ACTIONS(2400),
    [anon_sym_CARET_EQ] = ACTIONS(2400),
    [anon_sym_LT_LT_EQ] = ACTIONS(2400),
    [anon_sym_GT_GT_EQ] = ACTIONS(2400),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2400),
    [anon_sym_DOT_DOT] = ACTIONS(2398),
    [anon_sym_STAR_STAR] = ACTIONS(2398),
    [anon_sym_PIPE_PIPE] = ACTIONS(2398),
    [anon_sym_SLASH_SLASH] = ACTIONS(2398),
    [anon_sym_CARET_CARET] = ACTIONS(2400),
    [anon_sym_AMP_AMP] = ACTIONS(2398),
    [anon_sym_PIPE] = ACTIONS(2398),
    [anon_sym_CARET] = ACTIONS(2398),
    [anon_sym_AMP] = ACTIONS(2398),
    [anon_sym_GT_GT2] = ACTIONS(2398),
    [anon_sym_PLUS] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2398),
    [anon_sym_DOT] = ACTIONS(2398),
    [anon_sym_STAR] = ACTIONS(2398),
    [anon_sym_SLASH] = ACTIONS(2398),
    [anon_sym_x] = ACTIONS(2398),
    [anon_sym_EQ_TILDE] = ACTIONS(2400),
    [anon_sym_BANG_TILDE] = ACTIONS(2400),
    [anon_sym_EQ_EQ] = ACTIONS(2398),
    [anon_sym_BANG_EQ] = ACTIONS(2400),
    [anon_sym_eq] = ACTIONS(2398),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2400),
    [anon_sym_equ] = ACTIONS(2398),
    [anon_sym_eqr] = ACTIONS(2398),
    [anon_sym_ne] = ACTIONS(2398),
    [anon_sym_LT_EQ_GT] = ACTIONS(2400),
    [anon_sym_cmp] = ACTIONS(2398),
    [anon_sym_TILDE_TILDE] = ACTIONS(2400),
    [anon_sym_LT_EQ] = ACTIONS(2398),
    [anon_sym_GT_EQ] = ACTIONS(2400),
    [anon_sym_lt] = ACTIONS(2398),
    [anon_sym_le] = ACTIONS(2398),
    [anon_sym_ge] = ACTIONS(2398),
    [anon_sym_gt] = ACTIONS(2398),
    [anon_sym_isa] = ACTIONS(2398),
    [anon_sym_PLUS_PLUS] = ACTIONS(2400),
    [anon_sym_DASH_DASH] = ACTIONS(2400),
    [anon_sym_QMARK] = ACTIONS(2400),
    [anon_sym_EQ_GT] = ACTIONS(2400),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2398),
    [anon_sym___END__] = ACTIONS(2398),
    [anon_sym_EOT] = ACTIONS(2400),
    [aux_sym__bareword_token1] = ACTIONS(2398),
    [sym__PERLY_SEMICOLON] = ACTIONS(2400),
    [sym__ctrl_z_hack] = ACTIONS(2400),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1247] = {
    [sym_heredoc_content] = STATE(1247),
    [sym__identifier] = ACTIONS(2316),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2311),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_COMMA] = ACTIONS(2311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2311),
    [anon_sym_and] = ACTIONS(2316),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_xor] = ACTIONS(2316),
    [anon_sym_DASH_GT] = ACTIONS(2311),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2316),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2311),
    [anon_sym_PLUS_EQ] = ACTIONS(2311),
    [anon_sym_DASH_EQ] = ACTIONS(2311),
    [anon_sym_DOT_EQ] = ACTIONS(2311),
    [anon_sym_STAR_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_PERCENT_EQ] = ACTIONS(2311),
    [anon_sym_x_EQ] = ACTIONS(2311),
    [anon_sym_AMP_EQ] = ACTIONS(2311),
    [anon_sym_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_CARET_EQ] = ACTIONS(2311),
    [anon_sym_LT_LT_EQ] = ACTIONS(2311),
    [anon_sym_GT_GT_EQ] = ACTIONS(2311),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2311),
    [anon_sym_DOT_DOT] = ACTIONS(2316),
    [anon_sym_STAR_STAR] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_SLASH_SLASH] = ACTIONS(2316),
    [anon_sym_CARET_CARET] = ACTIONS(2311),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_GT_GT2] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_x] = ACTIONS(2316),
    [anon_sym_EQ_TILDE] = ACTIONS(2311),
    [anon_sym_BANG_TILDE] = ACTIONS(2311),
    [anon_sym_EQ_EQ] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2311),
    [anon_sym_eq] = ACTIONS(2316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2311),
    [anon_sym_equ] = ACTIONS(2316),
    [anon_sym_eqr] = ACTIONS(2316),
    [anon_sym_ne] = ACTIONS(2316),
    [anon_sym_LT_EQ_GT] = ACTIONS(2311),
    [anon_sym_cmp] = ACTIONS(2316),
    [anon_sym_TILDE_TILDE] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(2316),
    [anon_sym_GT_EQ] = ACTIONS(2311),
    [anon_sym_lt] = ACTIONS(2316),
    [anon_sym_le] = ACTIONS(2316),
    [anon_sym_ge] = ACTIONS(2316),
    [anon_sym_gt] = ACTIONS(2316),
    [anon_sym_isa] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2311),
    [anon_sym_QMARK] = ACTIONS(2311),
    [anon_sym_EQ_GT] = ACTIONS(2311),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2316),
    [anon_sym___END__] = ACTIONS(2316),
    [anon_sym_EOT] = ACTIONS(2311),
    [aux_sym__bareword_token1] = ACTIONS(2316),
    [sym__PERLY_SEMICOLON] = ACTIONS(2311),
    [sym__ctrl_z_hack] = ACTIONS(2311),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1248] = {
    [sym_attrlist] = STATE(1466),
    [sym_attribute] = STATE(1244),
    [sym_attribute_name] = STATE(1251),
    [sym_heredoc_content] = STATE(1248),
    [sym__identifier] = ACTIONS(3182),
    [anon_sym_RBRACE] = ACTIONS(2326),
    [anon_sym_SEMI] = ACTIONS(2326),
    [anon_sym_EQ] = ACTIONS(2328),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2326),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2326),
    [anon_sym_COMMA] = ACTIONS(2326),
    [anon_sym_RPAREN] = ACTIONS(2326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2326),
    [anon_sym_and] = ACTIONS(2328),
    [anon_sym_or] = ACTIONS(2328),
    [anon_sym_xor] = ACTIONS(2328),
    [anon_sym_RBRACK] = ACTIONS(2326),
    [anon_sym_DASH_GT] = ACTIONS(2326),
    [anon_sym_PERCENT] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2328),
    [anon_sym_GT] = ACTIONS(2328),
    [anon_sym_LT_LT] = ACTIONS(2328),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2326),
    [anon_sym_PLUS_EQ] = ACTIONS(2326),
    [anon_sym_DASH_EQ] = ACTIONS(2326),
    [anon_sym_DOT_EQ] = ACTIONS(2326),
    [anon_sym_STAR_EQ] = ACTIONS(2326),
    [anon_sym_SLASH_EQ] = ACTIONS(2326),
    [anon_sym_PERCENT_EQ] = ACTIONS(2326),
    [anon_sym_x_EQ] = ACTIONS(2326),
    [anon_sym_AMP_EQ] = ACTIONS(2326),
    [anon_sym_PIPE_EQ] = ACTIONS(2326),
    [anon_sym_CARET_EQ] = ACTIONS(2326),
    [anon_sym_LT_LT_EQ] = ACTIONS(2326),
    [anon_sym_GT_GT_EQ] = ACTIONS(2326),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2326),
    [anon_sym_DOT_DOT] = ACTIONS(2328),
    [anon_sym_STAR_STAR] = ACTIONS(2328),
    [anon_sym_PIPE_PIPE] = ACTIONS(2328),
    [anon_sym_SLASH_SLASH] = ACTIONS(2328),
    [anon_sym_CARET_CARET] = ACTIONS(2326),
    [anon_sym_AMP_AMP] = ACTIONS(2328),
    [anon_sym_PIPE] = ACTIONS(2328),
    [anon_sym_CARET] = ACTIONS(2328),
    [anon_sym_AMP] = ACTIONS(2328),
    [anon_sym_GT_GT2] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_DOT] = ACTIONS(2328),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_x] = ACTIONS(2328),
    [anon_sym_EQ_TILDE] = ACTIONS(2326),
    [anon_sym_BANG_TILDE] = ACTIONS(2326),
    [anon_sym_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2326),
    [anon_sym_eq] = ACTIONS(2328),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2326),
    [anon_sym_equ] = ACTIONS(2328),
    [anon_sym_eqr] = ACTIONS(2328),
    [anon_sym_ne] = ACTIONS(2328),
    [anon_sym_LT_EQ_GT] = ACTIONS(2326),
    [anon_sym_cmp] = ACTIONS(2328),
    [anon_sym_TILDE_TILDE] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2326),
    [anon_sym_lt] = ACTIONS(2328),
    [anon_sym_le] = ACTIONS(2328),
    [anon_sym_ge] = ACTIONS(2328),
    [anon_sym_gt] = ACTIONS(2328),
    [anon_sym_isa] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2326),
    [anon_sym_DASH_DASH] = ACTIONS(2326),
    [anon_sym_QMARK] = ACTIONS(2326),
    [anon_sym_EQ_GT] = ACTIONS(2326),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3182),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1249] = {
    [sym_attrlist] = STATE(1467),
    [sym_attribute] = STATE(1244),
    [sym_attribute_name] = STATE(1251),
    [sym_heredoc_content] = STATE(1249),
    [sym__identifier] = ACTIONS(3182),
    [anon_sym_RBRACE] = ACTIONS(2322),
    [anon_sym_SEMI] = ACTIONS(2322),
    [anon_sym_EQ] = ACTIONS(2324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2322),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2322),
    [anon_sym_COMMA] = ACTIONS(2322),
    [anon_sym_RPAREN] = ACTIONS(2322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_and] = ACTIONS(2324),
    [anon_sym_or] = ACTIONS(2324),
    [anon_sym_xor] = ACTIONS(2324),
    [anon_sym_RBRACK] = ACTIONS(2322),
    [anon_sym_DASH_GT] = ACTIONS(2322),
    [anon_sym_PERCENT] = ACTIONS(2324),
    [anon_sym_LT] = ACTIONS(2324),
    [anon_sym_GT] = ACTIONS(2324),
    [anon_sym_LT_LT] = ACTIONS(2324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2322),
    [anon_sym_PLUS_EQ] = ACTIONS(2322),
    [anon_sym_DASH_EQ] = ACTIONS(2322),
    [anon_sym_DOT_EQ] = ACTIONS(2322),
    [anon_sym_STAR_EQ] = ACTIONS(2322),
    [anon_sym_SLASH_EQ] = ACTIONS(2322),
    [anon_sym_PERCENT_EQ] = ACTIONS(2322),
    [anon_sym_x_EQ] = ACTIONS(2322),
    [anon_sym_AMP_EQ] = ACTIONS(2322),
    [anon_sym_PIPE_EQ] = ACTIONS(2322),
    [anon_sym_CARET_EQ] = ACTIONS(2322),
    [anon_sym_LT_LT_EQ] = ACTIONS(2322),
    [anon_sym_GT_GT_EQ] = ACTIONS(2322),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2322),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_STAR_STAR] = ACTIONS(2324),
    [anon_sym_PIPE_PIPE] = ACTIONS(2324),
    [anon_sym_SLASH_SLASH] = ACTIONS(2324),
    [anon_sym_CARET_CARET] = ACTIONS(2322),
    [anon_sym_AMP_AMP] = ACTIONS(2324),
    [anon_sym_PIPE] = ACTIONS(2324),
    [anon_sym_CARET] = ACTIONS(2324),
    [anon_sym_AMP] = ACTIONS(2324),
    [anon_sym_GT_GT2] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_DOT] = ACTIONS(2324),
    [anon_sym_STAR] = ACTIONS(2324),
    [anon_sym_SLASH] = ACTIONS(2324),
    [anon_sym_x] = ACTIONS(2324),
    [anon_sym_EQ_TILDE] = ACTIONS(2322),
    [anon_sym_BANG_TILDE] = ACTIONS(2322),
    [anon_sym_EQ_EQ] = ACTIONS(2324),
    [anon_sym_BANG_EQ] = ACTIONS(2322),
    [anon_sym_eq] = ACTIONS(2324),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2322),
    [anon_sym_equ] = ACTIONS(2324),
    [anon_sym_eqr] = ACTIONS(2324),
    [anon_sym_ne] = ACTIONS(2324),
    [anon_sym_LT_EQ_GT] = ACTIONS(2322),
    [anon_sym_cmp] = ACTIONS(2324),
    [anon_sym_TILDE_TILDE] = ACTIONS(2322),
    [anon_sym_LT_EQ] = ACTIONS(2324),
    [anon_sym_GT_EQ] = ACTIONS(2322),
    [anon_sym_lt] = ACTIONS(2324),
    [anon_sym_le] = ACTIONS(2324),
    [anon_sym_ge] = ACTIONS(2324),
    [anon_sym_gt] = ACTIONS(2324),
    [anon_sym_isa] = ACTIONS(2324),
    [anon_sym_PLUS_PLUS] = ACTIONS(2322),
    [anon_sym_DASH_DASH] = ACTIONS(2322),
    [anon_sym_QMARK] = ACTIONS(2322),
    [anon_sym_EQ_GT] = ACTIONS(2322),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3182),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1250] = {
    [sym_heredoc_content] = STATE(1250),
    [anon_sym_LBRACE] = ACTIONS(1775),
    [anon_sym_RBRACE] = ACTIONS(1775),
    [anon_sym_COLON] = ACTIONS(1775),
    [anon_sym_SEMI] = ACTIONS(1775),
    [anon_sym_EQ] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1775),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1775),
    [anon_sym_COMMA] = ACTIONS(1775),
    [anon_sym_RPAREN] = ACTIONS(1775),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1775),
    [anon_sym_and] = ACTIONS(1775),
    [anon_sym_or] = ACTIONS(1775),
    [anon_sym_xor] = ACTIONS(1775),
    [anon_sym_LBRACK] = ACTIONS(1775),
    [anon_sym_RBRACK] = ACTIONS(1775),
    [anon_sym_DASH_GT] = ACTIONS(1775),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [anon_sym_LT] = ACTIONS(1773),
    [anon_sym_GT] = ACTIONS(1773),
    [anon_sym_LT_LT] = ACTIONS(1773),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1775),
    [anon_sym_PLUS_EQ] = ACTIONS(1775),
    [anon_sym_DASH_EQ] = ACTIONS(1775),
    [anon_sym_DOT_EQ] = ACTIONS(1775),
    [anon_sym_STAR_EQ] = ACTIONS(1775),
    [anon_sym_SLASH_EQ] = ACTIONS(1775),
    [anon_sym_PERCENT_EQ] = ACTIONS(1775),
    [anon_sym_x_EQ] = ACTIONS(1775),
    [anon_sym_AMP_EQ] = ACTIONS(1775),
    [anon_sym_PIPE_EQ] = ACTIONS(1775),
    [anon_sym_CARET_EQ] = ACTIONS(1775),
    [anon_sym_LT_LT_EQ] = ACTIONS(1775),
    [anon_sym_GT_GT_EQ] = ACTIONS(1775),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1775),
    [anon_sym_DOT_DOT] = ACTIONS(1773),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE] = ACTIONS(1773),
    [anon_sym_SLASH_SLASH] = ACTIONS(1773),
    [anon_sym_CARET_CARET] = ACTIONS(1775),
    [anon_sym_AMP_AMP] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1773),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_GT_GT2] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_DOT] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_x] = ACTIONS(1773),
    [anon_sym_EQ_TILDE] = ACTIONS(1775),
    [anon_sym_BANG_TILDE] = ACTIONS(1775),
    [anon_sym_EQ_EQ] = ACTIONS(1773),
    [anon_sym_BANG_EQ] = ACTIONS(1775),
    [anon_sym_eq] = ACTIONS(1773),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1775),
    [anon_sym_equ] = ACTIONS(1775),
    [anon_sym_eqr] = ACTIONS(1775),
    [anon_sym_ne] = ACTIONS(1775),
    [anon_sym_LT_EQ_GT] = ACTIONS(1775),
    [anon_sym_cmp] = ACTIONS(1775),
    [anon_sym_TILDE_TILDE] = ACTIONS(1775),
    [anon_sym_LT_EQ] = ACTIONS(1773),
    [anon_sym_GT_EQ] = ACTIONS(1775),
    [anon_sym_lt] = ACTIONS(1775),
    [anon_sym_le] = ACTIONS(1775),
    [anon_sym_ge] = ACTIONS(1775),
    [anon_sym_gt] = ACTIONS(1775),
    [anon_sym_isa] = ACTIONS(1775),
    [anon_sym_PLUS_PLUS] = ACTIONS(1775),
    [anon_sym_DASH_DASH] = ACTIONS(1775),
    [anon_sym_QMARK] = ACTIONS(1775),
    [anon_sym_EQ_GT] = ACTIONS(1775),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1251] = {
    [sym_heredoc_content] = STATE(1251),
    [sym__identifier] = ACTIONS(2334),
    [anon_sym_RBRACE] = ACTIONS(2336),
    [anon_sym_COLON] = ACTIONS(2334),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym_EQ] = ACTIONS(2334),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2336),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2336),
    [anon_sym_COMMA] = ACTIONS(2336),
    [anon_sym_RPAREN] = ACTIONS(2336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2336),
    [anon_sym_and] = ACTIONS(2334),
    [anon_sym_or] = ACTIONS(2334),
    [anon_sym_xor] = ACTIONS(2334),
    [anon_sym_RBRACK] = ACTIONS(2336),
    [anon_sym_DASH_GT] = ACTIONS(2336),
    [anon_sym_PERCENT] = ACTIONS(2334),
    [anon_sym_LT] = ACTIONS(2334),
    [anon_sym_GT] = ACTIONS(2334),
    [anon_sym_LT_LT] = ACTIONS(2334),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2336),
    [anon_sym_PLUS_EQ] = ACTIONS(2336),
    [anon_sym_DASH_EQ] = ACTIONS(2336),
    [anon_sym_DOT_EQ] = ACTIONS(2336),
    [anon_sym_STAR_EQ] = ACTIONS(2336),
    [anon_sym_SLASH_EQ] = ACTIONS(2336),
    [anon_sym_PERCENT_EQ] = ACTIONS(2336),
    [anon_sym_x_EQ] = ACTIONS(2336),
    [anon_sym_AMP_EQ] = ACTIONS(2336),
    [anon_sym_PIPE_EQ] = ACTIONS(2336),
    [anon_sym_CARET_EQ] = ACTIONS(2336),
    [anon_sym_LT_LT_EQ] = ACTIONS(2336),
    [anon_sym_GT_GT_EQ] = ACTIONS(2336),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2336),
    [anon_sym_DOT_DOT] = ACTIONS(2334),
    [anon_sym_STAR_STAR] = ACTIONS(2334),
    [anon_sym_PIPE_PIPE] = ACTIONS(2334),
    [anon_sym_SLASH_SLASH] = ACTIONS(2334),
    [anon_sym_CARET_CARET] = ACTIONS(2336),
    [anon_sym_AMP_AMP] = ACTIONS(2334),
    [anon_sym_PIPE] = ACTIONS(2334),
    [anon_sym_CARET] = ACTIONS(2334),
    [anon_sym_AMP] = ACTIONS(2334),
    [anon_sym_GT_GT2] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2334),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_DOT] = ACTIONS(2334),
    [anon_sym_STAR] = ACTIONS(2334),
    [anon_sym_SLASH] = ACTIONS(2334),
    [anon_sym_x] = ACTIONS(2334),
    [anon_sym_EQ_TILDE] = ACTIONS(2336),
    [anon_sym_BANG_TILDE] = ACTIONS(2336),
    [anon_sym_EQ_EQ] = ACTIONS(2334),
    [anon_sym_BANG_EQ] = ACTIONS(2336),
    [anon_sym_eq] = ACTIONS(2334),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2336),
    [anon_sym_equ] = ACTIONS(2334),
    [anon_sym_eqr] = ACTIONS(2334),
    [anon_sym_ne] = ACTIONS(2334),
    [anon_sym_LT_EQ_GT] = ACTIONS(2336),
    [anon_sym_cmp] = ACTIONS(2334),
    [anon_sym_TILDE_TILDE] = ACTIONS(2336),
    [anon_sym_LT_EQ] = ACTIONS(2334),
    [anon_sym_GT_EQ] = ACTIONS(2336),
    [anon_sym_lt] = ACTIONS(2334),
    [anon_sym_le] = ACTIONS(2334),
    [anon_sym_ge] = ACTIONS(2334),
    [anon_sym_gt] = ACTIONS(2334),
    [anon_sym_isa] = ACTIONS(2334),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_QMARK] = ACTIONS(2336),
    [anon_sym_EQ_GT] = ACTIONS(2336),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2334),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(3194),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1252] = {
    [sym_heredoc_content] = STATE(1252),
    [sym__identifier] = ACTIONS(2330),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_COLON] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_EQ] = ACTIONS(2330),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2332),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2332),
    [anon_sym_COMMA] = ACTIONS(2332),
    [anon_sym_RPAREN] = ACTIONS(2332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2332),
    [anon_sym_and] = ACTIONS(2330),
    [anon_sym_or] = ACTIONS(2330),
    [anon_sym_xor] = ACTIONS(2330),
    [anon_sym_RBRACK] = ACTIONS(2332),
    [anon_sym_DASH_GT] = ACTIONS(2332),
    [anon_sym_PERCENT] = ACTIONS(2330),
    [anon_sym_LT] = ACTIONS(2330),
    [anon_sym_GT] = ACTIONS(2330),
    [anon_sym_LT_LT] = ACTIONS(2330),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2332),
    [anon_sym_PLUS_EQ] = ACTIONS(2332),
    [anon_sym_DASH_EQ] = ACTIONS(2332),
    [anon_sym_DOT_EQ] = ACTIONS(2332),
    [anon_sym_STAR_EQ] = ACTIONS(2332),
    [anon_sym_SLASH_EQ] = ACTIONS(2332),
    [anon_sym_PERCENT_EQ] = ACTIONS(2332),
    [anon_sym_x_EQ] = ACTIONS(2332),
    [anon_sym_AMP_EQ] = ACTIONS(2332),
    [anon_sym_PIPE_EQ] = ACTIONS(2332),
    [anon_sym_CARET_EQ] = ACTIONS(2332),
    [anon_sym_LT_LT_EQ] = ACTIONS(2332),
    [anon_sym_GT_GT_EQ] = ACTIONS(2332),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2332),
    [anon_sym_DOT_DOT] = ACTIONS(2330),
    [anon_sym_STAR_STAR] = ACTIONS(2330),
    [anon_sym_PIPE_PIPE] = ACTIONS(2330),
    [anon_sym_SLASH_SLASH] = ACTIONS(2330),
    [anon_sym_CARET_CARET] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2330),
    [anon_sym_PIPE] = ACTIONS(2330),
    [anon_sym_CARET] = ACTIONS(2330),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_GT_GT2] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_DOT] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2330),
    [anon_sym_SLASH] = ACTIONS(2330),
    [anon_sym_x] = ACTIONS(2330),
    [anon_sym_EQ_TILDE] = ACTIONS(2332),
    [anon_sym_BANG_TILDE] = ACTIONS(2332),
    [anon_sym_EQ_EQ] = ACTIONS(2330),
    [anon_sym_BANG_EQ] = ACTIONS(2332),
    [anon_sym_eq] = ACTIONS(2330),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2332),
    [anon_sym_equ] = ACTIONS(2330),
    [anon_sym_eqr] = ACTIONS(2330),
    [anon_sym_ne] = ACTIONS(2330),
    [anon_sym_LT_EQ_GT] = ACTIONS(2332),
    [anon_sym_cmp] = ACTIONS(2330),
    [anon_sym_TILDE_TILDE] = ACTIONS(2332),
    [anon_sym_LT_EQ] = ACTIONS(2330),
    [anon_sym_GT_EQ] = ACTIONS(2332),
    [anon_sym_lt] = ACTIONS(2330),
    [anon_sym_le] = ACTIONS(2330),
    [anon_sym_ge] = ACTIONS(2330),
    [anon_sym_gt] = ACTIONS(2330),
    [anon_sym_isa] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_QMARK] = ACTIONS(2332),
    [anon_sym_EQ_GT] = ACTIONS(2332),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2330),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(2332),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1253] = {
    [sym_heredoc_content] = STATE(1253),
    [anon_sym_LBRACE] = ACTIONS(1779),
    [anon_sym_RBRACE] = ACTIONS(1779),
    [anon_sym_COLON] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(1779),
    [anon_sym_EQ] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1779),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(1779),
    [anon_sym_RPAREN] = ACTIONS(1779),
    [anon_sym_LPAREN] = ACTIONS(1779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1779),
    [anon_sym_and] = ACTIONS(1779),
    [anon_sym_or] = ACTIONS(1779),
    [anon_sym_xor] = ACTIONS(1779),
    [anon_sym_LBRACK] = ACTIONS(1779),
    [anon_sym_RBRACK] = ACTIONS(1779),
    [anon_sym_DASH_GT] = ACTIONS(1779),
    [anon_sym_PERCENT] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_LT_LT] = ACTIONS(1777),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1779),
    [anon_sym_PLUS_EQ] = ACTIONS(1779),
    [anon_sym_DASH_EQ] = ACTIONS(1779),
    [anon_sym_DOT_EQ] = ACTIONS(1779),
    [anon_sym_STAR_EQ] = ACTIONS(1779),
    [anon_sym_SLASH_EQ] = ACTIONS(1779),
    [anon_sym_PERCENT_EQ] = ACTIONS(1779),
    [anon_sym_x_EQ] = ACTIONS(1779),
    [anon_sym_AMP_EQ] = ACTIONS(1779),
    [anon_sym_PIPE_EQ] = ACTIONS(1779),
    [anon_sym_CARET_EQ] = ACTIONS(1779),
    [anon_sym_LT_LT_EQ] = ACTIONS(1779),
    [anon_sym_GT_GT_EQ] = ACTIONS(1779),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1777),
    [anon_sym_STAR_STAR] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE] = ACTIONS(1777),
    [anon_sym_SLASH_SLASH] = ACTIONS(1777),
    [anon_sym_CARET_CARET] = ACTIONS(1779),
    [anon_sym_AMP_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_GT_GT2] = ACTIONS(1777),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_DOT] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1777),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_x] = ACTIONS(1777),
    [anon_sym_EQ_TILDE] = ACTIONS(1779),
    [anon_sym_BANG_TILDE] = ACTIONS(1779),
    [anon_sym_EQ_EQ] = ACTIONS(1777),
    [anon_sym_BANG_EQ] = ACTIONS(1779),
    [anon_sym_eq] = ACTIONS(1777),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1779),
    [anon_sym_equ] = ACTIONS(1779),
    [anon_sym_eqr] = ACTIONS(1779),
    [anon_sym_ne] = ACTIONS(1779),
    [anon_sym_LT_EQ_GT] = ACTIONS(1779),
    [anon_sym_cmp] = ACTIONS(1779),
    [anon_sym_TILDE_TILDE] = ACTIONS(1779),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT_EQ] = ACTIONS(1779),
    [anon_sym_lt] = ACTIONS(1779),
    [anon_sym_le] = ACTIONS(1779),
    [anon_sym_ge] = ACTIONS(1779),
    [anon_sym_gt] = ACTIONS(1779),
    [anon_sym_isa] = ACTIONS(1779),
    [anon_sym_PLUS_PLUS] = ACTIONS(1779),
    [anon_sym_DASH_DASH] = ACTIONS(1779),
    [anon_sym_QMARK] = ACTIONS(1779),
    [anon_sym_EQ_GT] = ACTIONS(1779),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1254] = {
    [sym_heredoc_content] = STATE(1254),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_RBRACE] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2374),
    [anon_sym_EQ] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2374),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2374),
    [anon_sym_COMMA] = ACTIONS(2374),
    [anon_sym_RPAREN] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2374),
    [anon_sym_and] = ACTIONS(2374),
    [anon_sym_or] = ACTIONS(2374),
    [anon_sym_xor] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_RBRACK] = ACTIONS(2374),
    [anon_sym_DASH_GT] = ACTIONS(2374),
    [anon_sym_PERCENT] = ACTIONS(2376),
    [anon_sym_LT] = ACTIONS(2376),
    [anon_sym_GT] = ACTIONS(2376),
    [anon_sym_LT_LT] = ACTIONS(2376),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2374),
    [anon_sym_PLUS_EQ] = ACTIONS(2374),
    [anon_sym_DASH_EQ] = ACTIONS(2374),
    [anon_sym_DOT_EQ] = ACTIONS(2374),
    [anon_sym_STAR_EQ] = ACTIONS(2374),
    [anon_sym_SLASH_EQ] = ACTIONS(2374),
    [anon_sym_PERCENT_EQ] = ACTIONS(2374),
    [anon_sym_x_EQ] = ACTIONS(2374),
    [anon_sym_AMP_EQ] = ACTIONS(2374),
    [anon_sym_PIPE_EQ] = ACTIONS(2374),
    [anon_sym_CARET_EQ] = ACTIONS(2374),
    [anon_sym_LT_LT_EQ] = ACTIONS(2374),
    [anon_sym_GT_GT_EQ] = ACTIONS(2374),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2374),
    [anon_sym_DOT_DOT] = ACTIONS(2376),
    [anon_sym_STAR_STAR] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2376),
    [anon_sym_SLASH_SLASH] = ACTIONS(2376),
    [anon_sym_CARET_CARET] = ACTIONS(2374),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_PIPE] = ACTIONS(2376),
    [anon_sym_CARET] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_GT_GT2] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_SLASH] = ACTIONS(2376),
    [anon_sym_x] = ACTIONS(2376),
    [anon_sym_EQ_TILDE] = ACTIONS(2374),
    [anon_sym_BANG_TILDE] = ACTIONS(2374),
    [anon_sym_EQ_EQ] = ACTIONS(2376),
    [anon_sym_BANG_EQ] = ACTIONS(2374),
    [anon_sym_eq] = ACTIONS(2376),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2374),
    [anon_sym_equ] = ACTIONS(2374),
    [anon_sym_eqr] = ACTIONS(2374),
    [anon_sym_ne] = ACTIONS(2374),
    [anon_sym_LT_EQ_GT] = ACTIONS(2374),
    [anon_sym_cmp] = ACTIONS(2374),
    [anon_sym_TILDE_TILDE] = ACTIONS(2374),
    [anon_sym_LT_EQ] = ACTIONS(2376),
    [anon_sym_GT_EQ] = ACTIONS(2374),
    [anon_sym_lt] = ACTIONS(2374),
    [anon_sym_le] = ACTIONS(2374),
    [anon_sym_ge] = ACTIONS(2374),
    [anon_sym_gt] = ACTIONS(2374),
    [anon_sym_isa] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_QMARK] = ACTIONS(2374),
    [anon_sym_EQ_GT] = ACTIONS(2374),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1255] = {
    [sym_heredoc_content] = STATE(1255),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_RBRACE] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym_EQ] = ACTIONS(2404),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2402),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2402),
    [anon_sym_COMMA] = ACTIONS(2402),
    [anon_sym_RPAREN] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(2402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2402),
    [anon_sym_and] = ACTIONS(2402),
    [anon_sym_or] = ACTIONS(2402),
    [anon_sym_xor] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_RBRACK] = ACTIONS(2402),
    [anon_sym_DASH_GT] = ACTIONS(2402),
    [anon_sym_PERCENT] = ACTIONS(2404),
    [anon_sym_LT] = ACTIONS(2404),
    [anon_sym_GT] = ACTIONS(2404),
    [anon_sym_LT_LT] = ACTIONS(2404),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2402),
    [anon_sym_PLUS_EQ] = ACTIONS(2402),
    [anon_sym_DASH_EQ] = ACTIONS(2402),
    [anon_sym_DOT_EQ] = ACTIONS(2402),
    [anon_sym_STAR_EQ] = ACTIONS(2402),
    [anon_sym_SLASH_EQ] = ACTIONS(2402),
    [anon_sym_PERCENT_EQ] = ACTIONS(2402),
    [anon_sym_x_EQ] = ACTIONS(2402),
    [anon_sym_AMP_EQ] = ACTIONS(2402),
    [anon_sym_PIPE_EQ] = ACTIONS(2402),
    [anon_sym_CARET_EQ] = ACTIONS(2402),
    [anon_sym_LT_LT_EQ] = ACTIONS(2402),
    [anon_sym_GT_GT_EQ] = ACTIONS(2402),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2402),
    [anon_sym_DOT_DOT] = ACTIONS(2404),
    [anon_sym_STAR_STAR] = ACTIONS(2404),
    [anon_sym_PIPE_PIPE] = ACTIONS(2404),
    [anon_sym_SLASH_SLASH] = ACTIONS(2404),
    [anon_sym_CARET_CARET] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_PIPE] = ACTIONS(2404),
    [anon_sym_CARET] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_GT_GT2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2404),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_SLASH] = ACTIONS(2404),
    [anon_sym_x] = ACTIONS(2404),
    [anon_sym_EQ_TILDE] = ACTIONS(2402),
    [anon_sym_BANG_TILDE] = ACTIONS(2402),
    [anon_sym_EQ_EQ] = ACTIONS(2404),
    [anon_sym_BANG_EQ] = ACTIONS(2402),
    [anon_sym_eq] = ACTIONS(2404),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2402),
    [anon_sym_equ] = ACTIONS(2402),
    [anon_sym_eqr] = ACTIONS(2402),
    [anon_sym_ne] = ACTIONS(2402),
    [anon_sym_LT_EQ_GT] = ACTIONS(2402),
    [anon_sym_cmp] = ACTIONS(2402),
    [anon_sym_TILDE_TILDE] = ACTIONS(2402),
    [anon_sym_LT_EQ] = ACTIONS(2404),
    [anon_sym_GT_EQ] = ACTIONS(2402),
    [anon_sym_lt] = ACTIONS(2402),
    [anon_sym_le] = ACTIONS(2402),
    [anon_sym_ge] = ACTIONS(2402),
    [anon_sym_gt] = ACTIONS(2402),
    [anon_sym_isa] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [anon_sym_QMARK] = ACTIONS(2402),
    [anon_sym_EQ_GT] = ACTIONS(2402),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1256] = {
    [sym_heredoc_content] = STATE(1256),
    [anon_sym_LBRACE] = ACTIONS(2360),
    [anon_sym_RBRACE] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2360),
    [anon_sym_EQ] = ACTIONS(2362),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2360),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2360),
    [anon_sym_COMMA] = ACTIONS(2360),
    [anon_sym_RPAREN] = ACTIONS(2360),
    [anon_sym_LPAREN] = ACTIONS(2360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2360),
    [anon_sym_and] = ACTIONS(2360),
    [anon_sym_or] = ACTIONS(2360),
    [anon_sym_xor] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_RBRACK] = ACTIONS(2360),
    [anon_sym_DASH_GT] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2362),
    [anon_sym_LT] = ACTIONS(2362),
    [anon_sym_GT] = ACTIONS(2362),
    [anon_sym_LT_LT] = ACTIONS(2362),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2360),
    [anon_sym_PLUS_EQ] = ACTIONS(2360),
    [anon_sym_DASH_EQ] = ACTIONS(2360),
    [anon_sym_DOT_EQ] = ACTIONS(2360),
    [anon_sym_STAR_EQ] = ACTIONS(2360),
    [anon_sym_SLASH_EQ] = ACTIONS(2360),
    [anon_sym_PERCENT_EQ] = ACTIONS(2360),
    [anon_sym_x_EQ] = ACTIONS(2360),
    [anon_sym_AMP_EQ] = ACTIONS(2360),
    [anon_sym_PIPE_EQ] = ACTIONS(2360),
    [anon_sym_CARET_EQ] = ACTIONS(2360),
    [anon_sym_LT_LT_EQ] = ACTIONS(2360),
    [anon_sym_GT_GT_EQ] = ACTIONS(2360),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2360),
    [anon_sym_DOT_DOT] = ACTIONS(2362),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_PIPE_PIPE] = ACTIONS(2362),
    [anon_sym_SLASH_SLASH] = ACTIONS(2362),
    [anon_sym_CARET_CARET] = ACTIONS(2360),
    [anon_sym_AMP_AMP] = ACTIONS(2362),
    [anon_sym_PIPE] = ACTIONS(2362),
    [anon_sym_CARET] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_GT_GT2] = ACTIONS(2362),
    [anon_sym_PLUS] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2362),
    [anon_sym_DOT] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_SLASH] = ACTIONS(2362),
    [anon_sym_x] = ACTIONS(2362),
    [anon_sym_EQ_TILDE] = ACTIONS(2360),
    [anon_sym_BANG_TILDE] = ACTIONS(2360),
    [anon_sym_EQ_EQ] = ACTIONS(2362),
    [anon_sym_BANG_EQ] = ACTIONS(2360),
    [anon_sym_eq] = ACTIONS(2362),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2360),
    [anon_sym_equ] = ACTIONS(2360),
    [anon_sym_eqr] = ACTIONS(2360),
    [anon_sym_ne] = ACTIONS(2360),
    [anon_sym_LT_EQ_GT] = ACTIONS(2360),
    [anon_sym_cmp] = ACTIONS(2360),
    [anon_sym_TILDE_TILDE] = ACTIONS(2360),
    [anon_sym_LT_EQ] = ACTIONS(2362),
    [anon_sym_GT_EQ] = ACTIONS(2360),
    [anon_sym_lt] = ACTIONS(2360),
    [anon_sym_le] = ACTIONS(2360),
    [anon_sym_ge] = ACTIONS(2360),
    [anon_sym_gt] = ACTIONS(2360),
    [anon_sym_isa] = ACTIONS(2360),
    [anon_sym_PLUS_PLUS] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2360),
    [anon_sym_QMARK] = ACTIONS(2360),
    [anon_sym_EQ_GT] = ACTIONS(2360),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1257] = {
    [sym_heredoc_content] = STATE(1257),
    [anon_sym_LBRACE] = ACTIONS(2352),
    [anon_sym_RBRACE] = ACTIONS(2352),
    [anon_sym_SEMI] = ACTIONS(2352),
    [anon_sym_EQ] = ACTIONS(2354),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2352),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2352),
    [anon_sym_COMMA] = ACTIONS(2352),
    [anon_sym_RPAREN] = ACTIONS(2352),
    [anon_sym_LPAREN] = ACTIONS(2352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2352),
    [anon_sym_and] = ACTIONS(2352),
    [anon_sym_or] = ACTIONS(2352),
    [anon_sym_xor] = ACTIONS(2352),
    [anon_sym_LBRACK] = ACTIONS(2352),
    [anon_sym_RBRACK] = ACTIONS(2352),
    [anon_sym_DASH_GT] = ACTIONS(2352),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_LT] = ACTIONS(2354),
    [anon_sym_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2352),
    [anon_sym_PLUS_EQ] = ACTIONS(2352),
    [anon_sym_DASH_EQ] = ACTIONS(2352),
    [anon_sym_DOT_EQ] = ACTIONS(2352),
    [anon_sym_STAR_EQ] = ACTIONS(2352),
    [anon_sym_SLASH_EQ] = ACTIONS(2352),
    [anon_sym_PERCENT_EQ] = ACTIONS(2352),
    [anon_sym_x_EQ] = ACTIONS(2352),
    [anon_sym_AMP_EQ] = ACTIONS(2352),
    [anon_sym_PIPE_EQ] = ACTIONS(2352),
    [anon_sym_CARET_EQ] = ACTIONS(2352),
    [anon_sym_LT_LT_EQ] = ACTIONS(2352),
    [anon_sym_GT_GT_EQ] = ACTIONS(2352),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2352),
    [anon_sym_DOT_DOT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2354),
    [anon_sym_PIPE_PIPE] = ACTIONS(2354),
    [anon_sym_SLASH_SLASH] = ACTIONS(2354),
    [anon_sym_CARET_CARET] = ACTIONS(2352),
    [anon_sym_AMP_AMP] = ACTIONS(2354),
    [anon_sym_PIPE] = ACTIONS(2354),
    [anon_sym_CARET] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym_GT_GT2] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_DOT] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2354),
    [anon_sym_SLASH] = ACTIONS(2354),
    [anon_sym_x] = ACTIONS(2354),
    [anon_sym_EQ_TILDE] = ACTIONS(2352),
    [anon_sym_BANG_TILDE] = ACTIONS(2352),
    [anon_sym_EQ_EQ] = ACTIONS(2354),
    [anon_sym_BANG_EQ] = ACTIONS(2352),
    [anon_sym_eq] = ACTIONS(2354),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2352),
    [anon_sym_equ] = ACTIONS(2352),
    [anon_sym_eqr] = ACTIONS(2352),
    [anon_sym_ne] = ACTIONS(2352),
    [anon_sym_LT_EQ_GT] = ACTIONS(2352),
    [anon_sym_cmp] = ACTIONS(2352),
    [anon_sym_TILDE_TILDE] = ACTIONS(2352),
    [anon_sym_LT_EQ] = ACTIONS(2354),
    [anon_sym_GT_EQ] = ACTIONS(2352),
    [anon_sym_lt] = ACTIONS(2352),
    [anon_sym_le] = ACTIONS(2352),
    [anon_sym_ge] = ACTIONS(2352),
    [anon_sym_gt] = ACTIONS(2352),
    [anon_sym_isa] = ACTIONS(2352),
    [anon_sym_PLUS_PLUS] = ACTIONS(2352),
    [anon_sym_DASH_DASH] = ACTIONS(2352),
    [anon_sym_QMARK] = ACTIONS(2352),
    [anon_sym_EQ_GT] = ACTIONS(2352),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1258] = {
    [sym_heredoc_content] = STATE(1258),
    [anon_sym_LBRACE] = ACTIONS(1783),
    [anon_sym_RBRACE] = ACTIONS(1783),
    [anon_sym_SEMI] = ACTIONS(1783),
    [anon_sym_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1783),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1783),
    [anon_sym_RPAREN] = ACTIONS(1783),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1783),
    [anon_sym_and] = ACTIONS(1783),
    [anon_sym_or] = ACTIONS(1783),
    [anon_sym_xor] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [anon_sym_RBRACK] = ACTIONS(1783),
    [anon_sym_DASH_GT] = ACTIONS(1783),
    [anon_sym_PERCENT] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1783),
    [anon_sym_PLUS_EQ] = ACTIONS(1783),
    [anon_sym_DASH_EQ] = ACTIONS(1783),
    [anon_sym_DOT_EQ] = ACTIONS(1783),
    [anon_sym_STAR_EQ] = ACTIONS(1783),
    [anon_sym_SLASH_EQ] = ACTIONS(1783),
    [anon_sym_PERCENT_EQ] = ACTIONS(1783),
    [anon_sym_x_EQ] = ACTIONS(1783),
    [anon_sym_AMP_EQ] = ACTIONS(1783),
    [anon_sym_PIPE_EQ] = ACTIONS(1783),
    [anon_sym_CARET_EQ] = ACTIONS(1783),
    [anon_sym_LT_LT_EQ] = ACTIONS(1783),
    [anon_sym_GT_GT_EQ] = ACTIONS(1783),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1783),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_STAR_STAR] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_CARET_CARET] = ACTIONS(1783),
    [anon_sym_AMP_AMP] = ACTIONS(1781),
    [anon_sym_PIPE] = ACTIONS(1781),
    [anon_sym_CARET] = ACTIONS(1781),
    [anon_sym_AMP] = ACTIONS(1781),
    [anon_sym_GT_GT2] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_x] = ACTIONS(1781),
    [anon_sym_EQ_TILDE] = ACTIONS(1783),
    [anon_sym_BANG_TILDE] = ACTIONS(1783),
    [anon_sym_EQ_EQ] = ACTIONS(1781),
    [anon_sym_BANG_EQ] = ACTIONS(1783),
    [anon_sym_eq] = ACTIONS(1781),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1783),
    [anon_sym_equ] = ACTIONS(1783),
    [anon_sym_eqr] = ACTIONS(1783),
    [anon_sym_ne] = ACTIONS(1783),
    [anon_sym_LT_EQ_GT] = ACTIONS(1783),
    [anon_sym_cmp] = ACTIONS(1783),
    [anon_sym_TILDE_TILDE] = ACTIONS(1783),
    [anon_sym_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_EQ] = ACTIONS(1783),
    [anon_sym_lt] = ACTIONS(1783),
    [anon_sym_le] = ACTIONS(1783),
    [anon_sym_ge] = ACTIONS(1783),
    [anon_sym_gt] = ACTIONS(1783),
    [anon_sym_isa] = ACTIONS(1783),
    [anon_sym_PLUS_PLUS] = ACTIONS(1783),
    [anon_sym_DASH_DASH] = ACTIONS(1783),
    [anon_sym_QMARK] = ACTIONS(1783),
    [anon_sym_EQ_GT] = ACTIONS(1783),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1259] = {
    [sym_attribute] = STATE(1449),
    [sym_attribute_name] = STATE(1329),
    [sym_heredoc_content] = STATE(1259),
    [aux_sym_attrlist_repeat1] = STATE(1259),
    [sym__identifier] = ACTIONS(3196),
    [anon_sym_COLON] = ACTIONS(3199),
    [anon_sym_DOLLAR] = ACTIONS(2311),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_AT] = ACTIONS(2311),
    [anon_sym_COMMA] = ACTIONS(2311),
    [anon_sym_RPAREN] = ACTIONS(2311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2311),
    [anon_sym_DASH_GT] = ACTIONS(2311),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2316),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2311),
    [anon_sym_PLUS_EQ] = ACTIONS(2311),
    [anon_sym_DASH_EQ] = ACTIONS(2311),
    [anon_sym_DOT_EQ] = ACTIONS(2311),
    [anon_sym_STAR_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_PERCENT_EQ] = ACTIONS(2316),
    [anon_sym_x_EQ] = ACTIONS(2311),
    [anon_sym_AMP_EQ] = ACTIONS(2311),
    [anon_sym_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_CARET_EQ] = ACTIONS(2311),
    [anon_sym_LT_LT_EQ] = ACTIONS(2311),
    [anon_sym_GT_GT_EQ] = ACTIONS(2311),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2311),
    [anon_sym_DOT_DOT] = ACTIONS(2316),
    [anon_sym_STAR_STAR] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_SLASH_SLASH] = ACTIONS(2316),
    [anon_sym_CARET_CARET] = ACTIONS(2311),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_GT_GT2] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_x] = ACTIONS(2316),
    [anon_sym_EQ_TILDE] = ACTIONS(2311),
    [anon_sym_BANG_TILDE] = ACTIONS(2311),
    [anon_sym_EQ_EQ] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2311),
    [anon_sym_eq] = ACTIONS(2316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2311),
    [anon_sym_equ] = ACTIONS(2316),
    [anon_sym_eqr] = ACTIONS(2316),
    [anon_sym_ne] = ACTIONS(2316),
    [anon_sym_LT_EQ_GT] = ACTIONS(2311),
    [anon_sym_cmp] = ACTIONS(2316),
    [anon_sym_TILDE_TILDE] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(2316),
    [anon_sym_GT_EQ] = ACTIONS(2311),
    [anon_sym_lt] = ACTIONS(2316),
    [anon_sym_le] = ACTIONS(2316),
    [anon_sym_ge] = ACTIONS(2316),
    [anon_sym_gt] = ACTIONS(2316),
    [anon_sym_isa] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2311),
    [anon_sym_QMARK] = ACTIONS(2311),
    [anon_sym_PERCENT2] = ACTIONS(2311),
    [anon_sym_EQ_GT] = ACTIONS(2311),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3196),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1260] = {
    [sym_heredoc_content] = STATE(1260),
    [aux_sym__term_rightward_repeat1] = STATE(1262),
    [anon_sym_SEMI] = ACTIONS(2428),
    [anon_sym_EQ] = ACTIONS(2430),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2428),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2428),
    [anon_sym_COMMA] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2428),
    [anon_sym_and] = ACTIONS(2428),
    [anon_sym_or] = ACTIONS(2428),
    [anon_sym_xor] = ACTIONS(2428),
    [anon_sym_DASH_GT] = ACTIONS(2428),
    [anon_sym_PERCENT] = ACTIONS(2430),
    [anon_sym_LT] = ACTIONS(2430),
    [anon_sym_GT] = ACTIONS(2430),
    [anon_sym_LT_LT] = ACTIONS(2430),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2428),
    [anon_sym_PLUS_EQ] = ACTIONS(2428),
    [anon_sym_DASH_EQ] = ACTIONS(2428),
    [anon_sym_DOT_EQ] = ACTIONS(2428),
    [anon_sym_STAR_EQ] = ACTIONS(2428),
    [anon_sym_SLASH_EQ] = ACTIONS(2428),
    [anon_sym_PERCENT_EQ] = ACTIONS(2428),
    [anon_sym_x_EQ] = ACTIONS(2428),
    [anon_sym_AMP_EQ] = ACTIONS(2428),
    [anon_sym_PIPE_EQ] = ACTIONS(2428),
    [anon_sym_CARET_EQ] = ACTIONS(2428),
    [anon_sym_LT_LT_EQ] = ACTIONS(2428),
    [anon_sym_GT_GT_EQ] = ACTIONS(2428),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2428),
    [anon_sym_DOT_DOT] = ACTIONS(2430),
    [anon_sym_STAR_STAR] = ACTIONS(2430),
    [anon_sym_PIPE_PIPE] = ACTIONS(2430),
    [anon_sym_SLASH_SLASH] = ACTIONS(2430),
    [anon_sym_CARET_CARET] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2430),
    [anon_sym_PIPE] = ACTIONS(2430),
    [anon_sym_CARET] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2430),
    [anon_sym_GT_GT2] = ACTIONS(2430),
    [anon_sym_PLUS] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2430),
    [anon_sym_DOT] = ACTIONS(2430),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_SLASH] = ACTIONS(2430),
    [anon_sym_x] = ACTIONS(2430),
    [anon_sym_EQ_TILDE] = ACTIONS(2428),
    [anon_sym_BANG_TILDE] = ACTIONS(2428),
    [anon_sym_EQ_EQ] = ACTIONS(2430),
    [anon_sym_BANG_EQ] = ACTIONS(2428),
    [anon_sym_eq] = ACTIONS(2430),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2428),
    [anon_sym_equ] = ACTIONS(2428),
    [anon_sym_eqr] = ACTIONS(2428),
    [anon_sym_ne] = ACTIONS(2428),
    [anon_sym_LT_EQ_GT] = ACTIONS(2428),
    [anon_sym_cmp] = ACTIONS(2428),
    [anon_sym_TILDE_TILDE] = ACTIONS(2428),
    [anon_sym_LT_EQ] = ACTIONS(2430),
    [anon_sym_GT_EQ] = ACTIONS(2428),
    [anon_sym_lt] = ACTIONS(2428),
    [anon_sym_le] = ACTIONS(2428),
    [anon_sym_ge] = ACTIONS(2428),
    [anon_sym_gt] = ACTIONS(2428),
    [anon_sym_isa] = ACTIONS(2428),
    [anon_sym_PLUS_PLUS] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2428),
    [anon_sym_QMARK] = ACTIONS(2428),
    [anon_sym_EQ_GT] = ACTIONS(3202),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2428),
    [anon_sym___END__] = ACTIONS(2428),
    [anon_sym_EOT] = ACTIONS(2428),
    [sym__PERLY_SEMICOLON] = ACTIONS(2428),
    [sym__ctrl_z_hack] = ACTIONS(2428),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1261] = {
    [sym_attribute] = STATE(1449),
    [sym_attribute_name] = STATE(1329),
    [sym_heredoc_content] = STATE(1261),
    [aux_sym_attrlist_repeat1] = STATE(1263),
    [sym__identifier] = ACTIONS(3204),
    [anon_sym_COLON] = ACTIONS(2320),
    [anon_sym_DOLLAR] = ACTIONS(2318),
    [anon_sym_EQ] = ACTIONS(2320),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_AT] = ACTIONS(2318),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_RPAREN] = ACTIONS(2318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2318),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2320),
    [anon_sym_LT] = ACTIONS(2320),
    [anon_sym_GT] = ACTIONS(2320),
    [anon_sym_LT_LT] = ACTIONS(2320),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2318),
    [anon_sym_PLUS_EQ] = ACTIONS(2318),
    [anon_sym_DASH_EQ] = ACTIONS(2318),
    [anon_sym_DOT_EQ] = ACTIONS(2318),
    [anon_sym_STAR_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_PERCENT_EQ] = ACTIONS(2320),
    [anon_sym_x_EQ] = ACTIONS(2318),
    [anon_sym_AMP_EQ] = ACTIONS(2318),
    [anon_sym_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_CARET_EQ] = ACTIONS(2318),
    [anon_sym_LT_LT_EQ] = ACTIONS(2318),
    [anon_sym_GT_GT_EQ] = ACTIONS(2318),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2318),
    [anon_sym_DOT_DOT] = ACTIONS(2320),
    [anon_sym_STAR_STAR] = ACTIONS(2320),
    [anon_sym_PIPE_PIPE] = ACTIONS(2320),
    [anon_sym_SLASH_SLASH] = ACTIONS(2320),
    [anon_sym_CARET_CARET] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_PIPE] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_GT_GT2] = ACTIONS(2320),
    [anon_sym_PLUS] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2320),
    [anon_sym_DOT] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_SLASH] = ACTIONS(2320),
    [anon_sym_x] = ACTIONS(2320),
    [anon_sym_EQ_TILDE] = ACTIONS(2318),
    [anon_sym_BANG_TILDE] = ACTIONS(2318),
    [anon_sym_EQ_EQ] = ACTIONS(2320),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_eq] = ACTIONS(2320),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2318),
    [anon_sym_equ] = ACTIONS(2320),
    [anon_sym_eqr] = ACTIONS(2320),
    [anon_sym_ne] = ACTIONS(2320),
    [anon_sym_LT_EQ_GT] = ACTIONS(2318),
    [anon_sym_cmp] = ACTIONS(2320),
    [anon_sym_TILDE_TILDE] = ACTIONS(2318),
    [anon_sym_LT_EQ] = ACTIONS(2320),
    [anon_sym_GT_EQ] = ACTIONS(2318),
    [anon_sym_lt] = ACTIONS(2320),
    [anon_sym_le] = ACTIONS(2320),
    [anon_sym_ge] = ACTIONS(2320),
    [anon_sym_gt] = ACTIONS(2320),
    [anon_sym_isa] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_QMARK] = ACTIONS(2318),
    [anon_sym_PERCENT2] = ACTIONS(2318),
    [anon_sym_EQ_GT] = ACTIONS(2318),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3204),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1262] = {
    [sym_heredoc_content] = STATE(1262),
    [aux_sym__term_rightward_repeat1] = STATE(1262),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_COMMA] = ACTIONS(3206),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2636),
    [anon_sym_and] = ACTIONS(2636),
    [anon_sym_or] = ACTIONS(2636),
    [anon_sym_xor] = ACTIONS(2636),
    [anon_sym_DASH_GT] = ACTIONS(2636),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LT_LT] = ACTIONS(2638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2636),
    [anon_sym_PLUS_EQ] = ACTIONS(2636),
    [anon_sym_DASH_EQ] = ACTIONS(2636),
    [anon_sym_DOT_EQ] = ACTIONS(2636),
    [anon_sym_STAR_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_PERCENT_EQ] = ACTIONS(2636),
    [anon_sym_x_EQ] = ACTIONS(2636),
    [anon_sym_AMP_EQ] = ACTIONS(2636),
    [anon_sym_PIPE_EQ] = ACTIONS(2636),
    [anon_sym_CARET_EQ] = ACTIONS(2636),
    [anon_sym_LT_LT_EQ] = ACTIONS(2636),
    [anon_sym_GT_GT_EQ] = ACTIONS(2636),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2636),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_STAR_STAR] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2638),
    [anon_sym_SLASH_SLASH] = ACTIONS(2638),
    [anon_sym_CARET_CARET] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2638),
    [anon_sym_PIPE] = ACTIONS(2638),
    [anon_sym_CARET] = ACTIONS(2638),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym_GT_GT2] = ACTIONS(2638),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_x] = ACTIONS(2638),
    [anon_sym_EQ_TILDE] = ACTIONS(2636),
    [anon_sym_BANG_TILDE] = ACTIONS(2636),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ] = ACTIONS(2636),
    [anon_sym_eq] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2636),
    [anon_sym_equ] = ACTIONS(2636),
    [anon_sym_eqr] = ACTIONS(2636),
    [anon_sym_ne] = ACTIONS(2636),
    [anon_sym_LT_EQ_GT] = ACTIONS(2636),
    [anon_sym_cmp] = ACTIONS(2636),
    [anon_sym_TILDE_TILDE] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2638),
    [anon_sym_GT_EQ] = ACTIONS(2636),
    [anon_sym_lt] = ACTIONS(2636),
    [anon_sym_le] = ACTIONS(2636),
    [anon_sym_ge] = ACTIONS(2636),
    [anon_sym_gt] = ACTIONS(2636),
    [anon_sym_isa] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_QMARK] = ACTIONS(2636),
    [anon_sym_EQ_GT] = ACTIONS(3206),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2636),
    [anon_sym___END__] = ACTIONS(2636),
    [anon_sym_EOT] = ACTIONS(2636),
    [sym__PERLY_SEMICOLON] = ACTIONS(2636),
    [sym__ctrl_z_hack] = ACTIONS(2636),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1263] = {
    [sym_attribute] = STATE(1449),
    [sym_attribute_name] = STATE(1329),
    [sym_heredoc_content] = STATE(1263),
    [aux_sym_attrlist_repeat1] = STATE(1259),
    [sym__identifier] = ACTIONS(3204),
    [anon_sym_COLON] = ACTIONS(2306),
    [anon_sym_DOLLAR] = ACTIONS(2302),
    [anon_sym_EQ] = ACTIONS(2306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_COMMA] = ACTIONS(2302),
    [anon_sym_RPAREN] = ACTIONS(2302),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2302),
    [anon_sym_DASH_GT] = ACTIONS(2302),
    [anon_sym_PERCENT] = ACTIONS(2306),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_LT_LT] = ACTIONS(2306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2302),
    [anon_sym_PLUS_EQ] = ACTIONS(2302),
    [anon_sym_DASH_EQ] = ACTIONS(2302),
    [anon_sym_DOT_EQ] = ACTIONS(2302),
    [anon_sym_STAR_EQ] = ACTIONS(2302),
    [anon_sym_SLASH_EQ] = ACTIONS(2302),
    [anon_sym_PERCENT_EQ] = ACTIONS(2306),
    [anon_sym_x_EQ] = ACTIONS(2302),
    [anon_sym_AMP_EQ] = ACTIONS(2302),
    [anon_sym_PIPE_EQ] = ACTIONS(2302),
    [anon_sym_CARET_EQ] = ACTIONS(2302),
    [anon_sym_LT_LT_EQ] = ACTIONS(2302),
    [anon_sym_GT_GT_EQ] = ACTIONS(2302),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2302),
    [anon_sym_DOT_DOT] = ACTIONS(2306),
    [anon_sym_STAR_STAR] = ACTIONS(2306),
    [anon_sym_PIPE_PIPE] = ACTIONS(2306),
    [anon_sym_SLASH_SLASH] = ACTIONS(2306),
    [anon_sym_CARET_CARET] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2306),
    [anon_sym_PIPE] = ACTIONS(2306),
    [anon_sym_CARET] = ACTIONS(2306),
    [anon_sym_AMP] = ACTIONS(2306),
    [anon_sym_GT_GT2] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_DOT] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2306),
    [anon_sym_x] = ACTIONS(2306),
    [anon_sym_EQ_TILDE] = ACTIONS(2302),
    [anon_sym_BANG_TILDE] = ACTIONS(2302),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ] = ACTIONS(2302),
    [anon_sym_eq] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2302),
    [anon_sym_equ] = ACTIONS(2306),
    [anon_sym_eqr] = ACTIONS(2306),
    [anon_sym_ne] = ACTIONS(2306),
    [anon_sym_LT_EQ_GT] = ACTIONS(2302),
    [anon_sym_cmp] = ACTIONS(2306),
    [anon_sym_TILDE_TILDE] = ACTIONS(2302),
    [anon_sym_LT_EQ] = ACTIONS(2306),
    [anon_sym_GT_EQ] = ACTIONS(2302),
    [anon_sym_lt] = ACTIONS(2306),
    [anon_sym_le] = ACTIONS(2306),
    [anon_sym_ge] = ACTIONS(2306),
    [anon_sym_gt] = ACTIONS(2306),
    [anon_sym_isa] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_QMARK] = ACTIONS(2302),
    [anon_sym_PERCENT2] = ACTIONS(2302),
    [anon_sym_EQ_GT] = ACTIONS(2302),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3204),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1264] = {
    [sym_heredoc_content] = STATE(1264),
    [sym__identifier] = ACTIONS(2398),
    [anon_sym_RBRACE] = ACTIONS(2400),
    [anon_sym_COLON] = ACTIONS(2398),
    [anon_sym_SEMI] = ACTIONS(2400),
    [anon_sym_EQ] = ACTIONS(2398),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2400),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2400),
    [anon_sym_COMMA] = ACTIONS(2400),
    [anon_sym_RPAREN] = ACTIONS(2400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2400),
    [anon_sym_and] = ACTIONS(2398),
    [anon_sym_or] = ACTIONS(2398),
    [anon_sym_xor] = ACTIONS(2398),
    [anon_sym_RBRACK] = ACTIONS(2400),
    [anon_sym_DASH_GT] = ACTIONS(2400),
    [anon_sym_PERCENT] = ACTIONS(2398),
    [anon_sym_LT] = ACTIONS(2398),
    [anon_sym_GT] = ACTIONS(2398),
    [anon_sym_LT_LT] = ACTIONS(2398),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2400),
    [anon_sym_PLUS_EQ] = ACTIONS(2400),
    [anon_sym_DASH_EQ] = ACTIONS(2400),
    [anon_sym_DOT_EQ] = ACTIONS(2400),
    [anon_sym_STAR_EQ] = ACTIONS(2400),
    [anon_sym_SLASH_EQ] = ACTIONS(2400),
    [anon_sym_PERCENT_EQ] = ACTIONS(2400),
    [anon_sym_x_EQ] = ACTIONS(2400),
    [anon_sym_AMP_EQ] = ACTIONS(2400),
    [anon_sym_PIPE_EQ] = ACTIONS(2400),
    [anon_sym_CARET_EQ] = ACTIONS(2400),
    [anon_sym_LT_LT_EQ] = ACTIONS(2400),
    [anon_sym_GT_GT_EQ] = ACTIONS(2400),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2400),
    [anon_sym_DOT_DOT] = ACTIONS(2398),
    [anon_sym_STAR_STAR] = ACTIONS(2398),
    [anon_sym_PIPE_PIPE] = ACTIONS(2398),
    [anon_sym_SLASH_SLASH] = ACTIONS(2398),
    [anon_sym_CARET_CARET] = ACTIONS(2400),
    [anon_sym_AMP_AMP] = ACTIONS(2398),
    [anon_sym_PIPE] = ACTIONS(2398),
    [anon_sym_CARET] = ACTIONS(2398),
    [anon_sym_AMP] = ACTIONS(2398),
    [anon_sym_GT_GT2] = ACTIONS(2398),
    [anon_sym_PLUS] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2398),
    [anon_sym_DOT] = ACTIONS(2398),
    [anon_sym_STAR] = ACTIONS(2398),
    [anon_sym_SLASH] = ACTIONS(2398),
    [anon_sym_x] = ACTIONS(2398),
    [anon_sym_EQ_TILDE] = ACTIONS(2400),
    [anon_sym_BANG_TILDE] = ACTIONS(2400),
    [anon_sym_EQ_EQ] = ACTIONS(2398),
    [anon_sym_BANG_EQ] = ACTIONS(2400),
    [anon_sym_eq] = ACTIONS(2398),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2400),
    [anon_sym_equ] = ACTIONS(2398),
    [anon_sym_eqr] = ACTIONS(2398),
    [anon_sym_ne] = ACTIONS(2398),
    [anon_sym_LT_EQ_GT] = ACTIONS(2400),
    [anon_sym_cmp] = ACTIONS(2398),
    [anon_sym_TILDE_TILDE] = ACTIONS(2400),
    [anon_sym_LT_EQ] = ACTIONS(2398),
    [anon_sym_GT_EQ] = ACTIONS(2400),
    [anon_sym_lt] = ACTIONS(2398),
    [anon_sym_le] = ACTIONS(2398),
    [anon_sym_ge] = ACTIONS(2398),
    [anon_sym_gt] = ACTIONS(2398),
    [anon_sym_isa] = ACTIONS(2398),
    [anon_sym_PLUS_PLUS] = ACTIONS(2400),
    [anon_sym_DASH_DASH] = ACTIONS(2400),
    [anon_sym_QMARK] = ACTIONS(2400),
    [anon_sym_EQ_GT] = ACTIONS(2400),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2398),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1265] = {
    [sym_heredoc_content] = STATE(1265),
    [sym__identifier] = ACTIONS(2316),
    [anon_sym_RBRACE] = ACTIONS(2311),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2311),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_COMMA] = ACTIONS(2311),
    [anon_sym_RPAREN] = ACTIONS(2311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2311),
    [anon_sym_and] = ACTIONS(2316),
    [anon_sym_or] = ACTIONS(2316),
    [anon_sym_xor] = ACTIONS(2316),
    [anon_sym_RBRACK] = ACTIONS(2311),
    [anon_sym_DASH_GT] = ACTIONS(2311),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2316),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2311),
    [anon_sym_PLUS_EQ] = ACTIONS(2311),
    [anon_sym_DASH_EQ] = ACTIONS(2311),
    [anon_sym_DOT_EQ] = ACTIONS(2311),
    [anon_sym_STAR_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_PERCENT_EQ] = ACTIONS(2311),
    [anon_sym_x_EQ] = ACTIONS(2311),
    [anon_sym_AMP_EQ] = ACTIONS(2311),
    [anon_sym_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_CARET_EQ] = ACTIONS(2311),
    [anon_sym_LT_LT_EQ] = ACTIONS(2311),
    [anon_sym_GT_GT_EQ] = ACTIONS(2311),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2311),
    [anon_sym_DOT_DOT] = ACTIONS(2316),
    [anon_sym_STAR_STAR] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_SLASH_SLASH] = ACTIONS(2316),
    [anon_sym_CARET_CARET] = ACTIONS(2311),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_GT_GT2] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_x] = ACTIONS(2316),
    [anon_sym_EQ_TILDE] = ACTIONS(2311),
    [anon_sym_BANG_TILDE] = ACTIONS(2311),
    [anon_sym_EQ_EQ] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2311),
    [anon_sym_eq] = ACTIONS(2316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2311),
    [anon_sym_equ] = ACTIONS(2316),
    [anon_sym_eqr] = ACTIONS(2316),
    [anon_sym_ne] = ACTIONS(2316),
    [anon_sym_LT_EQ_GT] = ACTIONS(2311),
    [anon_sym_cmp] = ACTIONS(2316),
    [anon_sym_TILDE_TILDE] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(2316),
    [anon_sym_GT_EQ] = ACTIONS(2311),
    [anon_sym_lt] = ACTIONS(2316),
    [anon_sym_le] = ACTIONS(2316),
    [anon_sym_ge] = ACTIONS(2316),
    [anon_sym_gt] = ACTIONS(2316),
    [anon_sym_isa] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2311),
    [anon_sym_QMARK] = ACTIONS(2311),
    [anon_sym_EQ_GT] = ACTIONS(2311),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2316),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1266] = {
    [sym_heredoc_content] = STATE(1266),
    [sym__identifier] = ACTIONS(2348),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_COLON] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_EQ] = ACTIONS(2348),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_RPAREN] = ACTIONS(2350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2350),
    [anon_sym_and] = ACTIONS(2348),
    [anon_sym_or] = ACTIONS(2348),
    [anon_sym_xor] = ACTIONS(2348),
    [anon_sym_RBRACK] = ACTIONS(2350),
    [anon_sym_DASH_GT] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2348),
    [anon_sym_LT] = ACTIONS(2348),
    [anon_sym_GT] = ACTIONS(2348),
    [anon_sym_LT_LT] = ACTIONS(2348),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2350),
    [anon_sym_PLUS_EQ] = ACTIONS(2350),
    [anon_sym_DASH_EQ] = ACTIONS(2350),
    [anon_sym_DOT_EQ] = ACTIONS(2350),
    [anon_sym_STAR_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT_EQ] = ACTIONS(2350),
    [anon_sym_x_EQ] = ACTIONS(2350),
    [anon_sym_AMP_EQ] = ACTIONS(2350),
    [anon_sym_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_CARET_EQ] = ACTIONS(2350),
    [anon_sym_LT_LT_EQ] = ACTIONS(2350),
    [anon_sym_GT_GT_EQ] = ACTIONS(2350),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2350),
    [anon_sym_DOT_DOT] = ACTIONS(2348),
    [anon_sym_STAR_STAR] = ACTIONS(2348),
    [anon_sym_PIPE_PIPE] = ACTIONS(2348),
    [anon_sym_SLASH_SLASH] = ACTIONS(2348),
    [anon_sym_CARET_CARET] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2348),
    [anon_sym_PIPE] = ACTIONS(2348),
    [anon_sym_CARET] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_GT_GT2] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2348),
    [anon_sym_DOT] = ACTIONS(2348),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_SLASH] = ACTIONS(2348),
    [anon_sym_x] = ACTIONS(2348),
    [anon_sym_EQ_TILDE] = ACTIONS(2350),
    [anon_sym_BANG_TILDE] = ACTIONS(2350),
    [anon_sym_EQ_EQ] = ACTIONS(2348),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_eq] = ACTIONS(2348),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2350),
    [anon_sym_equ] = ACTIONS(2348),
    [anon_sym_eqr] = ACTIONS(2348),
    [anon_sym_ne] = ACTIONS(2348),
    [anon_sym_LT_EQ_GT] = ACTIONS(2350),
    [anon_sym_cmp] = ACTIONS(2348),
    [anon_sym_TILDE_TILDE] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2348),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_lt] = ACTIONS(2348),
    [anon_sym_le] = ACTIONS(2348),
    [anon_sym_ge] = ACTIONS(2348),
    [anon_sym_gt] = ACTIONS(2348),
    [anon_sym_isa] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2350),
    [anon_sym_EQ_GT] = ACTIONS(2350),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2348),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1267] = {
    [sym_heredoc_content] = STATE(1267),
    [anon_sym_LBRACE] = ACTIONS(2390),
    [anon_sym_RBRACE] = ACTIONS(2390),
    [anon_sym_SEMI] = ACTIONS(2390),
    [anon_sym_EQ] = ACTIONS(2392),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2390),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2390),
    [anon_sym_COMMA] = ACTIONS(2390),
    [anon_sym_RPAREN] = ACTIONS(2390),
    [anon_sym_LPAREN] = ACTIONS(2390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2390),
    [anon_sym_and] = ACTIONS(2390),
    [anon_sym_or] = ACTIONS(2390),
    [anon_sym_xor] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2390),
    [anon_sym_RBRACK] = ACTIONS(2390),
    [anon_sym_DASH_GT] = ACTIONS(2390),
    [anon_sym_PERCENT] = ACTIONS(2392),
    [anon_sym_LT] = ACTIONS(2392),
    [anon_sym_GT] = ACTIONS(2392),
    [anon_sym_LT_LT] = ACTIONS(2392),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2390),
    [anon_sym_PLUS_EQ] = ACTIONS(2390),
    [anon_sym_DASH_EQ] = ACTIONS(2390),
    [anon_sym_DOT_EQ] = ACTIONS(2390),
    [anon_sym_STAR_EQ] = ACTIONS(2390),
    [anon_sym_SLASH_EQ] = ACTIONS(2390),
    [anon_sym_PERCENT_EQ] = ACTIONS(2390),
    [anon_sym_x_EQ] = ACTIONS(2390),
    [anon_sym_AMP_EQ] = ACTIONS(2390),
    [anon_sym_PIPE_EQ] = ACTIONS(2390),
    [anon_sym_CARET_EQ] = ACTIONS(2390),
    [anon_sym_LT_LT_EQ] = ACTIONS(2390),
    [anon_sym_GT_GT_EQ] = ACTIONS(2390),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2390),
    [anon_sym_DOT_DOT] = ACTIONS(2392),
    [anon_sym_STAR_STAR] = ACTIONS(2392),
    [anon_sym_PIPE_PIPE] = ACTIONS(2392),
    [anon_sym_SLASH_SLASH] = ACTIONS(2392),
    [anon_sym_CARET_CARET] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2392),
    [anon_sym_PIPE] = ACTIONS(2392),
    [anon_sym_CARET] = ACTIONS(2392),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym_GT_GT2] = ACTIONS(2392),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_DASH] = ACTIONS(2392),
    [anon_sym_DOT] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2392),
    [anon_sym_SLASH] = ACTIONS(2392),
    [anon_sym_x] = ACTIONS(2392),
    [anon_sym_EQ_TILDE] = ACTIONS(2390),
    [anon_sym_BANG_TILDE] = ACTIONS(2390),
    [anon_sym_EQ_EQ] = ACTIONS(2392),
    [anon_sym_BANG_EQ] = ACTIONS(2390),
    [anon_sym_eq] = ACTIONS(2392),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2390),
    [anon_sym_equ] = ACTIONS(2390),
    [anon_sym_eqr] = ACTIONS(2390),
    [anon_sym_ne] = ACTIONS(2390),
    [anon_sym_LT_EQ_GT] = ACTIONS(2390),
    [anon_sym_cmp] = ACTIONS(2390),
    [anon_sym_TILDE_TILDE] = ACTIONS(2390),
    [anon_sym_LT_EQ] = ACTIONS(2392),
    [anon_sym_GT_EQ] = ACTIONS(2390),
    [anon_sym_lt] = ACTIONS(2390),
    [anon_sym_le] = ACTIONS(2390),
    [anon_sym_ge] = ACTIONS(2390),
    [anon_sym_gt] = ACTIONS(2390),
    [anon_sym_isa] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2390),
    [anon_sym_DASH_DASH] = ACTIONS(2390),
    [anon_sym_QMARK] = ACTIONS(2390),
    [anon_sym_EQ_GT] = ACTIONS(2390),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1268] = {
    [sym_heredoc_content] = STATE(1268),
    [anon_sym_LBRACE] = ACTIONS(1771),
    [anon_sym_RBRACE] = ACTIONS(1771),
    [anon_sym_SEMI] = ACTIONS(1771),
    [anon_sym_EQ] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1771),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1771),
    [anon_sym_COMMA] = ACTIONS(1771),
    [anon_sym_RPAREN] = ACTIONS(1771),
    [anon_sym_LPAREN] = ACTIONS(1771),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1771),
    [anon_sym_and] = ACTIONS(1771),
    [anon_sym_or] = ACTIONS(1771),
    [anon_sym_xor] = ACTIONS(1771),
    [anon_sym_LBRACK] = ACTIONS(1771),
    [anon_sym_RBRACK] = ACTIONS(1771),
    [anon_sym_DASH_GT] = ACTIONS(1771),
    [anon_sym_PERCENT] = ACTIONS(1769),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_GT] = ACTIONS(1769),
    [anon_sym_LT_LT] = ACTIONS(1769),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1771),
    [anon_sym_PLUS_EQ] = ACTIONS(1771),
    [anon_sym_DASH_EQ] = ACTIONS(1771),
    [anon_sym_DOT_EQ] = ACTIONS(1771),
    [anon_sym_STAR_EQ] = ACTIONS(1771),
    [anon_sym_SLASH_EQ] = ACTIONS(1771),
    [anon_sym_PERCENT_EQ] = ACTIONS(1771),
    [anon_sym_x_EQ] = ACTIONS(1771),
    [anon_sym_AMP_EQ] = ACTIONS(1771),
    [anon_sym_PIPE_EQ] = ACTIONS(1771),
    [anon_sym_CARET_EQ] = ACTIONS(1771),
    [anon_sym_LT_LT_EQ] = ACTIONS(1771),
    [anon_sym_GT_GT_EQ] = ACTIONS(1771),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1771),
    [anon_sym_DOT_DOT] = ACTIONS(1769),
    [anon_sym_STAR_STAR] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE] = ACTIONS(1769),
    [anon_sym_SLASH_SLASH] = ACTIONS(1769),
    [anon_sym_CARET_CARET] = ACTIONS(1771),
    [anon_sym_AMP_AMP] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1769),
    [anon_sym_CARET] = ACTIONS(1769),
    [anon_sym_AMP] = ACTIONS(1769),
    [anon_sym_GT_GT2] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_DOT] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1769),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_x] = ACTIONS(1769),
    [anon_sym_EQ_TILDE] = ACTIONS(1771),
    [anon_sym_BANG_TILDE] = ACTIONS(1771),
    [anon_sym_EQ_EQ] = ACTIONS(1769),
    [anon_sym_BANG_EQ] = ACTIONS(1771),
    [anon_sym_eq] = ACTIONS(1769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1771),
    [anon_sym_equ] = ACTIONS(1771),
    [anon_sym_eqr] = ACTIONS(1771),
    [anon_sym_ne] = ACTIONS(1771),
    [anon_sym_LT_EQ_GT] = ACTIONS(1771),
    [anon_sym_cmp] = ACTIONS(1771),
    [anon_sym_TILDE_TILDE] = ACTIONS(1771),
    [anon_sym_LT_EQ] = ACTIONS(1769),
    [anon_sym_GT_EQ] = ACTIONS(1771),
    [anon_sym_lt] = ACTIONS(1771),
    [anon_sym_le] = ACTIONS(1771),
    [anon_sym_ge] = ACTIONS(1771),
    [anon_sym_gt] = ACTIONS(1771),
    [anon_sym_isa] = ACTIONS(1771),
    [anon_sym_PLUS_PLUS] = ACTIONS(1771),
    [anon_sym_DASH_DASH] = ACTIONS(1771),
    [anon_sym_QMARK] = ACTIONS(1771),
    [anon_sym_EQ_GT] = ACTIONS(1771),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1269] = {
    [sym_heredoc_content] = STATE(1269),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_RBRACE] = ACTIONS(2394),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym_EQ] = ACTIONS(2396),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2394),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2394),
    [anon_sym_COMMA] = ACTIONS(2394),
    [anon_sym_RPAREN] = ACTIONS(2394),
    [anon_sym_LPAREN] = ACTIONS(2394),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2394),
    [anon_sym_and] = ACTIONS(2394),
    [anon_sym_or] = ACTIONS(2394),
    [anon_sym_xor] = ACTIONS(2394),
    [anon_sym_LBRACK] = ACTIONS(2394),
    [anon_sym_RBRACK] = ACTIONS(2394),
    [anon_sym_DASH_GT] = ACTIONS(2394),
    [anon_sym_PERCENT] = ACTIONS(2396),
    [anon_sym_LT] = ACTIONS(2396),
    [anon_sym_GT] = ACTIONS(2396),
    [anon_sym_LT_LT] = ACTIONS(2396),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2394),
    [anon_sym_PLUS_EQ] = ACTIONS(2394),
    [anon_sym_DASH_EQ] = ACTIONS(2394),
    [anon_sym_DOT_EQ] = ACTIONS(2394),
    [anon_sym_STAR_EQ] = ACTIONS(2394),
    [anon_sym_SLASH_EQ] = ACTIONS(2394),
    [anon_sym_PERCENT_EQ] = ACTIONS(2394),
    [anon_sym_x_EQ] = ACTIONS(2394),
    [anon_sym_AMP_EQ] = ACTIONS(2394),
    [anon_sym_PIPE_EQ] = ACTIONS(2394),
    [anon_sym_CARET_EQ] = ACTIONS(2394),
    [anon_sym_LT_LT_EQ] = ACTIONS(2394),
    [anon_sym_GT_GT_EQ] = ACTIONS(2394),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2394),
    [anon_sym_DOT_DOT] = ACTIONS(2396),
    [anon_sym_STAR_STAR] = ACTIONS(2396),
    [anon_sym_PIPE_PIPE] = ACTIONS(2396),
    [anon_sym_SLASH_SLASH] = ACTIONS(2396),
    [anon_sym_CARET_CARET] = ACTIONS(2394),
    [anon_sym_AMP_AMP] = ACTIONS(2396),
    [anon_sym_PIPE] = ACTIONS(2396),
    [anon_sym_CARET] = ACTIONS(2396),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_GT_GT2] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2396),
    [anon_sym_DASH] = ACTIONS(2396),
    [anon_sym_DOT] = ACTIONS(2396),
    [anon_sym_STAR] = ACTIONS(2396),
    [anon_sym_SLASH] = ACTIONS(2396),
    [anon_sym_x] = ACTIONS(2396),
    [anon_sym_EQ_TILDE] = ACTIONS(2394),
    [anon_sym_BANG_TILDE] = ACTIONS(2394),
    [anon_sym_EQ_EQ] = ACTIONS(2396),
    [anon_sym_BANG_EQ] = ACTIONS(2394),
    [anon_sym_eq] = ACTIONS(2396),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2394),
    [anon_sym_equ] = ACTIONS(2394),
    [anon_sym_eqr] = ACTIONS(2394),
    [anon_sym_ne] = ACTIONS(2394),
    [anon_sym_LT_EQ_GT] = ACTIONS(2394),
    [anon_sym_cmp] = ACTIONS(2394),
    [anon_sym_TILDE_TILDE] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(2396),
    [anon_sym_GT_EQ] = ACTIONS(2394),
    [anon_sym_lt] = ACTIONS(2394),
    [anon_sym_le] = ACTIONS(2394),
    [anon_sym_ge] = ACTIONS(2394),
    [anon_sym_gt] = ACTIONS(2394),
    [anon_sym_isa] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [anon_sym_QMARK] = ACTIONS(2394),
    [anon_sym_EQ_GT] = ACTIONS(2394),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1270] = {
    [sym_heredoc_content] = STATE(1270),
    [anon_sym_LBRACE] = ACTIONS(2406),
    [anon_sym_RBRACE] = ACTIONS(2406),
    [anon_sym_SEMI] = ACTIONS(2406),
    [anon_sym_EQ] = ACTIONS(2408),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2406),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2406),
    [anon_sym_COMMA] = ACTIONS(2406),
    [anon_sym_RPAREN] = ACTIONS(2406),
    [anon_sym_LPAREN] = ACTIONS(2406),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2406),
    [anon_sym_and] = ACTIONS(2406),
    [anon_sym_or] = ACTIONS(2406),
    [anon_sym_xor] = ACTIONS(2406),
    [anon_sym_LBRACK] = ACTIONS(2406),
    [anon_sym_RBRACK] = ACTIONS(2406),
    [anon_sym_DASH_GT] = ACTIONS(2406),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_LT] = ACTIONS(2408),
    [anon_sym_GT] = ACTIONS(2408),
    [anon_sym_LT_LT] = ACTIONS(2408),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2406),
    [anon_sym_PLUS_EQ] = ACTIONS(2406),
    [anon_sym_DASH_EQ] = ACTIONS(2406),
    [anon_sym_DOT_EQ] = ACTIONS(2406),
    [anon_sym_STAR_EQ] = ACTIONS(2406),
    [anon_sym_SLASH_EQ] = ACTIONS(2406),
    [anon_sym_PERCENT_EQ] = ACTIONS(2406),
    [anon_sym_x_EQ] = ACTIONS(2406),
    [anon_sym_AMP_EQ] = ACTIONS(2406),
    [anon_sym_PIPE_EQ] = ACTIONS(2406),
    [anon_sym_CARET_EQ] = ACTIONS(2406),
    [anon_sym_LT_LT_EQ] = ACTIONS(2406),
    [anon_sym_GT_GT_EQ] = ACTIONS(2406),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2406),
    [anon_sym_DOT_DOT] = ACTIONS(2408),
    [anon_sym_STAR_STAR] = ACTIONS(2408),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_SLASH_SLASH] = ACTIONS(2408),
    [anon_sym_CARET_CARET] = ACTIONS(2406),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_PIPE] = ACTIONS(2408),
    [anon_sym_CARET] = ACTIONS(2408),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_GT_GT2] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2408),
    [anon_sym_x] = ACTIONS(2408),
    [anon_sym_EQ_TILDE] = ACTIONS(2406),
    [anon_sym_BANG_TILDE] = ACTIONS(2406),
    [anon_sym_EQ_EQ] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2406),
    [anon_sym_eq] = ACTIONS(2408),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2406),
    [anon_sym_equ] = ACTIONS(2406),
    [anon_sym_eqr] = ACTIONS(2406),
    [anon_sym_ne] = ACTIONS(2406),
    [anon_sym_LT_EQ_GT] = ACTIONS(2406),
    [anon_sym_cmp] = ACTIONS(2406),
    [anon_sym_TILDE_TILDE] = ACTIONS(2406),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2406),
    [anon_sym_lt] = ACTIONS(2406),
    [anon_sym_le] = ACTIONS(2406),
    [anon_sym_ge] = ACTIONS(2406),
    [anon_sym_gt] = ACTIONS(2406),
    [anon_sym_isa] = ACTIONS(2406),
    [anon_sym_PLUS_PLUS] = ACTIONS(2406),
    [anon_sym_DASH_DASH] = ACTIONS(2406),
    [anon_sym_QMARK] = ACTIONS(2406),
    [anon_sym_EQ_GT] = ACTIONS(2406),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1271] = {
    [sym_heredoc_content] = STATE(1271),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(2356),
    [anon_sym_SEMI] = ACTIONS(2356),
    [anon_sym_EQ] = ACTIONS(2358),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2356),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2356),
    [anon_sym_COMMA] = ACTIONS(2356),
    [anon_sym_RPAREN] = ACTIONS(2356),
    [anon_sym_LPAREN] = ACTIONS(2356),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2356),
    [anon_sym_and] = ACTIONS(2356),
    [anon_sym_or] = ACTIONS(2356),
    [anon_sym_xor] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_RBRACK] = ACTIONS(2356),
    [anon_sym_DASH_GT] = ACTIONS(2356),
    [anon_sym_PERCENT] = ACTIONS(2358),
    [anon_sym_LT] = ACTIONS(2358),
    [anon_sym_GT] = ACTIONS(2358),
    [anon_sym_LT_LT] = ACTIONS(2358),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2356),
    [anon_sym_PLUS_EQ] = ACTIONS(2356),
    [anon_sym_DASH_EQ] = ACTIONS(2356),
    [anon_sym_DOT_EQ] = ACTIONS(2356),
    [anon_sym_STAR_EQ] = ACTIONS(2356),
    [anon_sym_SLASH_EQ] = ACTIONS(2356),
    [anon_sym_PERCENT_EQ] = ACTIONS(2356),
    [anon_sym_x_EQ] = ACTIONS(2356),
    [anon_sym_AMP_EQ] = ACTIONS(2356),
    [anon_sym_PIPE_EQ] = ACTIONS(2356),
    [anon_sym_CARET_EQ] = ACTIONS(2356),
    [anon_sym_LT_LT_EQ] = ACTIONS(2356),
    [anon_sym_GT_GT_EQ] = ACTIONS(2356),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2356),
    [anon_sym_DOT_DOT] = ACTIONS(2358),
    [anon_sym_STAR_STAR] = ACTIONS(2358),
    [anon_sym_PIPE_PIPE] = ACTIONS(2358),
    [anon_sym_SLASH_SLASH] = ACTIONS(2358),
    [anon_sym_CARET_CARET] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2358),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_CARET] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2358),
    [anon_sym_GT_GT2] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2358),
    [anon_sym_DOT] = ACTIONS(2358),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_SLASH] = ACTIONS(2358),
    [anon_sym_x] = ACTIONS(2358),
    [anon_sym_EQ_TILDE] = ACTIONS(2356),
    [anon_sym_BANG_TILDE] = ACTIONS(2356),
    [anon_sym_EQ_EQ] = ACTIONS(2358),
    [anon_sym_BANG_EQ] = ACTIONS(2356),
    [anon_sym_eq] = ACTIONS(2358),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2356),
    [anon_sym_equ] = ACTIONS(2356),
    [anon_sym_eqr] = ACTIONS(2356),
    [anon_sym_ne] = ACTIONS(2356),
    [anon_sym_LT_EQ_GT] = ACTIONS(2356),
    [anon_sym_cmp] = ACTIONS(2356),
    [anon_sym_TILDE_TILDE] = ACTIONS(2356),
    [anon_sym_LT_EQ] = ACTIONS(2358),
    [anon_sym_GT_EQ] = ACTIONS(2356),
    [anon_sym_lt] = ACTIONS(2356),
    [anon_sym_le] = ACTIONS(2356),
    [anon_sym_ge] = ACTIONS(2356),
    [anon_sym_gt] = ACTIONS(2356),
    [anon_sym_isa] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_QMARK] = ACTIONS(2356),
    [anon_sym_EQ_GT] = ACTIONS(2356),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1272] = {
    [sym_heredoc_content] = STATE(1272),
    [aux_sym__term_rightward_repeat1] = STATE(2408),
    [anon_sym_SEMI] = ACTIONS(2643),
    [anon_sym_EQ] = ACTIONS(3209),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3211),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3211),
    [anon_sym_COMMA] = ACTIONS(3213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3215),
    [anon_sym_and] = ACTIONS(2643),
    [anon_sym_or] = ACTIONS(2643),
    [anon_sym_xor] = ACTIONS(2643),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_GT] = ACTIONS(3219),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3211),
    [anon_sym_PLUS_EQ] = ACTIONS(3211),
    [anon_sym_DASH_EQ] = ACTIONS(3211),
    [anon_sym_DOT_EQ] = ACTIONS(3211),
    [anon_sym_STAR_EQ] = ACTIONS(3211),
    [anon_sym_SLASH_EQ] = ACTIONS(3211),
    [anon_sym_PERCENT_EQ] = ACTIONS(3211),
    [anon_sym_x_EQ] = ACTIONS(3211),
    [anon_sym_AMP_EQ] = ACTIONS(3211),
    [anon_sym_PIPE_EQ] = ACTIONS(3211),
    [anon_sym_CARET_EQ] = ACTIONS(3211),
    [anon_sym_LT_LT_EQ] = ACTIONS(3211),
    [anon_sym_GT_GT_EQ] = ACTIONS(3211),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3211),
    [anon_sym_DOT_DOT] = ACTIONS(3223),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(3227),
    [anon_sym_SLASH_SLASH] = ACTIONS(3227),
    [anon_sym_CARET_CARET] = ACTIONS(3229),
    [anon_sym_AMP_AMP] = ACTIONS(3231),
    [anon_sym_PIPE] = ACTIONS(3233),
    [anon_sym_CARET] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(3241),
    [anon_sym_BANG_EQ] = ACTIONS(3243),
    [anon_sym_eq] = ACTIONS(3241),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3243),
    [anon_sym_equ] = ACTIONS(3243),
    [anon_sym_eqr] = ACTIONS(3243),
    [anon_sym_ne] = ACTIONS(3243),
    [anon_sym_LT_EQ_GT] = ACTIONS(3245),
    [anon_sym_cmp] = ACTIONS(3245),
    [anon_sym_TILDE_TILDE] = ACTIONS(3245),
    [anon_sym_LT_EQ] = ACTIONS(3219),
    [anon_sym_GT_EQ] = ACTIONS(3247),
    [anon_sym_lt] = ACTIONS(3247),
    [anon_sym_le] = ACTIONS(3247),
    [anon_sym_ge] = ACTIONS(3247),
    [anon_sym_gt] = ACTIONS(3247),
    [anon_sym_isa] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(3251),
    [anon_sym_EQ_GT] = ACTIONS(3213),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2643),
    [anon_sym___END__] = ACTIONS(2643),
    [anon_sym_EOT] = ACTIONS(2643),
    [sym__PERLY_SEMICOLON] = ACTIONS(2643),
    [sym__ctrl_z_hack] = ACTIONS(2643),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1273] = {
    [sym_heredoc_content] = STATE(1273),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2372),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2370),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2370),
    [anon_sym_RPAREN] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2370),
    [anon_sym_and] = ACTIONS(2370),
    [anon_sym_or] = ACTIONS(2370),
    [anon_sym_xor] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_RBRACK] = ACTIONS(2370),
    [anon_sym_DASH_GT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2372),
    [anon_sym_LT] = ACTIONS(2372),
    [anon_sym_GT] = ACTIONS(2372),
    [anon_sym_LT_LT] = ACTIONS(2372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2370),
    [anon_sym_PLUS_EQ] = ACTIONS(2370),
    [anon_sym_DASH_EQ] = ACTIONS(2370),
    [anon_sym_DOT_EQ] = ACTIONS(2370),
    [anon_sym_STAR_EQ] = ACTIONS(2370),
    [anon_sym_SLASH_EQ] = ACTIONS(2370),
    [anon_sym_PERCENT_EQ] = ACTIONS(2370),
    [anon_sym_x_EQ] = ACTIONS(2370),
    [anon_sym_AMP_EQ] = ACTIONS(2370),
    [anon_sym_PIPE_EQ] = ACTIONS(2370),
    [anon_sym_CARET_EQ] = ACTIONS(2370),
    [anon_sym_LT_LT_EQ] = ACTIONS(2370),
    [anon_sym_GT_GT_EQ] = ACTIONS(2370),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2370),
    [anon_sym_DOT_DOT] = ACTIONS(2372),
    [anon_sym_STAR_STAR] = ACTIONS(2372),
    [anon_sym_PIPE_PIPE] = ACTIONS(2372),
    [anon_sym_SLASH_SLASH] = ACTIONS(2372),
    [anon_sym_CARET_CARET] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2372),
    [anon_sym_PIPE] = ACTIONS(2372),
    [anon_sym_CARET] = ACTIONS(2372),
    [anon_sym_AMP] = ACTIONS(2372),
    [anon_sym_GT_GT2] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_DASH] = ACTIONS(2372),
    [anon_sym_DOT] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2372),
    [anon_sym_SLASH] = ACTIONS(2372),
    [anon_sym_x] = ACTIONS(2372),
    [anon_sym_EQ_TILDE] = ACTIONS(2370),
    [anon_sym_BANG_TILDE] = ACTIONS(2370),
    [anon_sym_EQ_EQ] = ACTIONS(2372),
    [anon_sym_BANG_EQ] = ACTIONS(2370),
    [anon_sym_eq] = ACTIONS(2372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2370),
    [anon_sym_equ] = ACTIONS(2370),
    [anon_sym_eqr] = ACTIONS(2370),
    [anon_sym_ne] = ACTIONS(2370),
    [anon_sym_LT_EQ_GT] = ACTIONS(2370),
    [anon_sym_cmp] = ACTIONS(2370),
    [anon_sym_TILDE_TILDE] = ACTIONS(2370),
    [anon_sym_LT_EQ] = ACTIONS(2372),
    [anon_sym_GT_EQ] = ACTIONS(2370),
    [anon_sym_lt] = ACTIONS(2370),
    [anon_sym_le] = ACTIONS(2370),
    [anon_sym_ge] = ACTIONS(2370),
    [anon_sym_gt] = ACTIONS(2370),
    [anon_sym_isa] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_EQ_GT] = ACTIONS(2370),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1274] = {
    [sym_heredoc_content] = STATE(1274),
    [anon_sym_COLON] = ACTIONS(3253),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym_EQ] = ACTIONS(2614),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_COMMA] = ACTIONS(2610),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2610),
    [anon_sym_and] = ACTIONS(2610),
    [anon_sym_or] = ACTIONS(2610),
    [anon_sym_xor] = ACTIONS(2610),
    [anon_sym_DASH_GT] = ACTIONS(2610),
    [anon_sym_PERCENT] = ACTIONS(2614),
    [anon_sym_LT] = ACTIONS(2614),
    [anon_sym_GT] = ACTIONS(2614),
    [anon_sym_LT_LT] = ACTIONS(2614),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2610),
    [anon_sym_PLUS_EQ] = ACTIONS(2610),
    [anon_sym_DASH_EQ] = ACTIONS(2610),
    [anon_sym_DOT_EQ] = ACTIONS(2610),
    [anon_sym_STAR_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_PERCENT_EQ] = ACTIONS(2610),
    [anon_sym_x_EQ] = ACTIONS(2610),
    [anon_sym_AMP_EQ] = ACTIONS(2610),
    [anon_sym_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_CARET_EQ] = ACTIONS(2610),
    [anon_sym_LT_LT_EQ] = ACTIONS(2610),
    [anon_sym_GT_GT_EQ] = ACTIONS(2610),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2610),
    [anon_sym_DOT_DOT] = ACTIONS(2614),
    [anon_sym_STAR_STAR] = ACTIONS(2614),
    [anon_sym_PIPE_PIPE] = ACTIONS(2614),
    [anon_sym_SLASH_SLASH] = ACTIONS(2614),
    [anon_sym_CARET_CARET] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_PIPE] = ACTIONS(2614),
    [anon_sym_CARET] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym_GT_GT2] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_DOT] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_SLASH] = ACTIONS(2614),
    [anon_sym_x] = ACTIONS(2614),
    [anon_sym_EQ_TILDE] = ACTIONS(2610),
    [anon_sym_BANG_TILDE] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2614),
    [anon_sym_BANG_EQ] = ACTIONS(2610),
    [anon_sym_eq] = ACTIONS(2614),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2610),
    [anon_sym_equ] = ACTIONS(2610),
    [anon_sym_eqr] = ACTIONS(2610),
    [anon_sym_ne] = ACTIONS(2610),
    [anon_sym_LT_EQ_GT] = ACTIONS(2610),
    [anon_sym_cmp] = ACTIONS(2610),
    [anon_sym_TILDE_TILDE] = ACTIONS(2610),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_GT_EQ] = ACTIONS(2610),
    [anon_sym_lt] = ACTIONS(2610),
    [anon_sym_le] = ACTIONS(2610),
    [anon_sym_ge] = ACTIONS(2610),
    [anon_sym_gt] = ACTIONS(2610),
    [anon_sym_isa] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_QMARK] = ACTIONS(2610),
    [anon_sym_EQ_GT] = ACTIONS(2610),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2610),
    [anon_sym___END__] = ACTIONS(2610),
    [anon_sym_EOT] = ACTIONS(2610),
    [sym__PERLY_SEMICOLON] = ACTIONS(2610),
    [sym__ctrl_z_hack] = ACTIONS(2610),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1275] = {
    [sym_heredoc_content] = STATE(1275),
    [anon_sym_COLON] = ACTIONS(3255),
    [anon_sym_SEMI] = ACTIONS(2616),
    [anon_sym_EQ] = ACTIONS(2620),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2616),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2616),
    [anon_sym_COMMA] = ACTIONS(2616),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2616),
    [anon_sym_and] = ACTIONS(2616),
    [anon_sym_or] = ACTIONS(2616),
    [anon_sym_xor] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2616),
    [anon_sym_PERCENT] = ACTIONS(2620),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_GT] = ACTIONS(2620),
    [anon_sym_LT_LT] = ACTIONS(2620),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2616),
    [anon_sym_PLUS_EQ] = ACTIONS(2616),
    [anon_sym_DASH_EQ] = ACTIONS(2616),
    [anon_sym_DOT_EQ] = ACTIONS(2616),
    [anon_sym_STAR_EQ] = ACTIONS(2616),
    [anon_sym_SLASH_EQ] = ACTIONS(2616),
    [anon_sym_PERCENT_EQ] = ACTIONS(2616),
    [anon_sym_x_EQ] = ACTIONS(2616),
    [anon_sym_AMP_EQ] = ACTIONS(2616),
    [anon_sym_PIPE_EQ] = ACTIONS(2616),
    [anon_sym_CARET_EQ] = ACTIONS(2616),
    [anon_sym_LT_LT_EQ] = ACTIONS(2616),
    [anon_sym_GT_GT_EQ] = ACTIONS(2616),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2616),
    [anon_sym_DOT_DOT] = ACTIONS(2620),
    [anon_sym_STAR_STAR] = ACTIONS(2620),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_SLASH_SLASH] = ACTIONS(2620),
    [anon_sym_CARET_CARET] = ACTIONS(2616),
    [anon_sym_AMP_AMP] = ACTIONS(2620),
    [anon_sym_PIPE] = ACTIONS(2620),
    [anon_sym_CARET] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym_GT_GT2] = ACTIONS(2620),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_DOT] = ACTIONS(2620),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_x] = ACTIONS(2620),
    [anon_sym_EQ_TILDE] = ACTIONS(2616),
    [anon_sym_BANG_TILDE] = ACTIONS(2616),
    [anon_sym_EQ_EQ] = ACTIONS(2620),
    [anon_sym_BANG_EQ] = ACTIONS(2616),
    [anon_sym_eq] = ACTIONS(2620),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2616),
    [anon_sym_equ] = ACTIONS(2616),
    [anon_sym_eqr] = ACTIONS(2616),
    [anon_sym_ne] = ACTIONS(2616),
    [anon_sym_LT_EQ_GT] = ACTIONS(2616),
    [anon_sym_cmp] = ACTIONS(2616),
    [anon_sym_TILDE_TILDE] = ACTIONS(2616),
    [anon_sym_LT_EQ] = ACTIONS(2620),
    [anon_sym_GT_EQ] = ACTIONS(2616),
    [anon_sym_lt] = ACTIONS(2616),
    [anon_sym_le] = ACTIONS(2616),
    [anon_sym_ge] = ACTIONS(2616),
    [anon_sym_gt] = ACTIONS(2616),
    [anon_sym_isa] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2616),
    [anon_sym_DASH_DASH] = ACTIONS(2616),
    [anon_sym_QMARK] = ACTIONS(2616),
    [anon_sym_EQ_GT] = ACTIONS(2616),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2616),
    [anon_sym___END__] = ACTIONS(2616),
    [anon_sym_EOT] = ACTIONS(2616),
    [sym__PERLY_SEMICOLON] = ACTIONS(2616),
    [sym__ctrl_z_hack] = ACTIONS(2616),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1276] = {
    [sym_heredoc_content] = STATE(1276),
    [aux_sym__term_rightward_repeat1] = STATE(1260),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym_EQ] = ACTIONS(3209),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3211),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3211),
    [anon_sym_COMMA] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3215),
    [anon_sym_and] = ACTIONS(2476),
    [anon_sym_or] = ACTIONS(2476),
    [anon_sym_xor] = ACTIONS(2476),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_GT] = ACTIONS(3219),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3211),
    [anon_sym_PLUS_EQ] = ACTIONS(3211),
    [anon_sym_DASH_EQ] = ACTIONS(3211),
    [anon_sym_DOT_EQ] = ACTIONS(3211),
    [anon_sym_STAR_EQ] = ACTIONS(3211),
    [anon_sym_SLASH_EQ] = ACTIONS(3211),
    [anon_sym_PERCENT_EQ] = ACTIONS(3211),
    [anon_sym_x_EQ] = ACTIONS(3211),
    [anon_sym_AMP_EQ] = ACTIONS(3211),
    [anon_sym_PIPE_EQ] = ACTIONS(3211),
    [anon_sym_CARET_EQ] = ACTIONS(3211),
    [anon_sym_LT_LT_EQ] = ACTIONS(3211),
    [anon_sym_GT_GT_EQ] = ACTIONS(3211),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3211),
    [anon_sym_DOT_DOT] = ACTIONS(3223),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(3227),
    [anon_sym_SLASH_SLASH] = ACTIONS(3227),
    [anon_sym_CARET_CARET] = ACTIONS(3229),
    [anon_sym_AMP_AMP] = ACTIONS(3231),
    [anon_sym_PIPE] = ACTIONS(3233),
    [anon_sym_CARET] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(3241),
    [anon_sym_BANG_EQ] = ACTIONS(3243),
    [anon_sym_eq] = ACTIONS(3241),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3243),
    [anon_sym_equ] = ACTIONS(3243),
    [anon_sym_eqr] = ACTIONS(3243),
    [anon_sym_ne] = ACTIONS(3243),
    [anon_sym_LT_EQ_GT] = ACTIONS(3245),
    [anon_sym_cmp] = ACTIONS(3245),
    [anon_sym_TILDE_TILDE] = ACTIONS(3245),
    [anon_sym_LT_EQ] = ACTIONS(3219),
    [anon_sym_GT_EQ] = ACTIONS(3247),
    [anon_sym_lt] = ACTIONS(3247),
    [anon_sym_le] = ACTIONS(3247),
    [anon_sym_ge] = ACTIONS(3247),
    [anon_sym_gt] = ACTIONS(3247),
    [anon_sym_isa] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(3251),
    [anon_sym_EQ_GT] = ACTIONS(3202),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2476),
    [anon_sym___END__] = ACTIONS(2476),
    [anon_sym_EOT] = ACTIONS(2476),
    [sym__PERLY_SEMICOLON] = ACTIONS(2476),
    [sym__ctrl_z_hack] = ACTIONS(2476),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1277] = {
    [sym_heredoc_content] = STATE(1277),
    [anon_sym_LBRACE] = ACTIONS(1738),
    [anon_sym_RBRACE] = ACTIONS(1738),
    [anon_sym_SEMI] = ACTIONS(1738),
    [anon_sym_EQ] = ACTIONS(1736),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1738),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1738),
    [anon_sym_COMMA] = ACTIONS(1738),
    [anon_sym_RPAREN] = ACTIONS(1738),
    [anon_sym_LPAREN] = ACTIONS(1738),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1738),
    [anon_sym_and] = ACTIONS(1738),
    [anon_sym_or] = ACTIONS(1738),
    [anon_sym_xor] = ACTIONS(1738),
    [anon_sym_LBRACK] = ACTIONS(1738),
    [anon_sym_RBRACK] = ACTIONS(1738),
    [anon_sym_DASH_GT] = ACTIONS(1738),
    [anon_sym_PERCENT] = ACTIONS(1736),
    [anon_sym_LT] = ACTIONS(1736),
    [anon_sym_GT] = ACTIONS(1736),
    [anon_sym_LT_LT] = ACTIONS(1736),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1738),
    [anon_sym_PLUS_EQ] = ACTIONS(1738),
    [anon_sym_DASH_EQ] = ACTIONS(1738),
    [anon_sym_DOT_EQ] = ACTIONS(1738),
    [anon_sym_STAR_EQ] = ACTIONS(1738),
    [anon_sym_SLASH_EQ] = ACTIONS(1738),
    [anon_sym_PERCENT_EQ] = ACTIONS(1738),
    [anon_sym_x_EQ] = ACTIONS(1738),
    [anon_sym_AMP_EQ] = ACTIONS(1738),
    [anon_sym_PIPE_EQ] = ACTIONS(1738),
    [anon_sym_CARET_EQ] = ACTIONS(1738),
    [anon_sym_LT_LT_EQ] = ACTIONS(1738),
    [anon_sym_GT_GT_EQ] = ACTIONS(1738),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1738),
    [anon_sym_DOT_DOT] = ACTIONS(1736),
    [anon_sym_STAR_STAR] = ACTIONS(1736),
    [anon_sym_PIPE_PIPE] = ACTIONS(1736),
    [anon_sym_SLASH_SLASH] = ACTIONS(1736),
    [anon_sym_CARET_CARET] = ACTIONS(1738),
    [anon_sym_AMP_AMP] = ACTIONS(1736),
    [anon_sym_PIPE] = ACTIONS(1736),
    [anon_sym_CARET] = ACTIONS(1736),
    [anon_sym_AMP] = ACTIONS(1736),
    [anon_sym_GT_GT2] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1736),
    [anon_sym_DOT] = ACTIONS(1736),
    [anon_sym_STAR] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1736),
    [anon_sym_x] = ACTIONS(1736),
    [anon_sym_EQ_TILDE] = ACTIONS(1738),
    [anon_sym_BANG_TILDE] = ACTIONS(1738),
    [anon_sym_EQ_EQ] = ACTIONS(1736),
    [anon_sym_BANG_EQ] = ACTIONS(1738),
    [anon_sym_eq] = ACTIONS(1736),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1738),
    [anon_sym_equ] = ACTIONS(1738),
    [anon_sym_eqr] = ACTIONS(1738),
    [anon_sym_ne] = ACTIONS(1738),
    [anon_sym_LT_EQ_GT] = ACTIONS(1738),
    [anon_sym_cmp] = ACTIONS(1738),
    [anon_sym_TILDE_TILDE] = ACTIONS(1738),
    [anon_sym_LT_EQ] = ACTIONS(1736),
    [anon_sym_GT_EQ] = ACTIONS(1738),
    [anon_sym_lt] = ACTIONS(1738),
    [anon_sym_le] = ACTIONS(1738),
    [anon_sym_ge] = ACTIONS(1738),
    [anon_sym_gt] = ACTIONS(1738),
    [anon_sym_isa] = ACTIONS(1738),
    [anon_sym_PLUS_PLUS] = ACTIONS(1738),
    [anon_sym_DASH_DASH] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(1738),
    [anon_sym_EQ_GT] = ACTIONS(1738),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1278] = {
    [sym_heredoc_content] = STATE(1278),
    [anon_sym_LBRACE] = ACTIONS(1767),
    [anon_sym_RBRACE] = ACTIONS(1767),
    [anon_sym_SEMI] = ACTIONS(1767),
    [anon_sym_EQ] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1767),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1767),
    [anon_sym_COMMA] = ACTIONS(1767),
    [anon_sym_RPAREN] = ACTIONS(1767),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_and] = ACTIONS(1767),
    [anon_sym_or] = ACTIONS(1767),
    [anon_sym_xor] = ACTIONS(1767),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [anon_sym_RBRACK] = ACTIONS(1767),
    [anon_sym_DASH_GT] = ACTIONS(1767),
    [anon_sym_PERCENT] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1765),
    [anon_sym_LT_LT] = ACTIONS(1765),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1767),
    [anon_sym_PLUS_EQ] = ACTIONS(1767),
    [anon_sym_DASH_EQ] = ACTIONS(1767),
    [anon_sym_DOT_EQ] = ACTIONS(1767),
    [anon_sym_STAR_EQ] = ACTIONS(1767),
    [anon_sym_SLASH_EQ] = ACTIONS(1767),
    [anon_sym_PERCENT_EQ] = ACTIONS(1767),
    [anon_sym_x_EQ] = ACTIONS(1767),
    [anon_sym_AMP_EQ] = ACTIONS(1767),
    [anon_sym_PIPE_EQ] = ACTIONS(1767),
    [anon_sym_CARET_EQ] = ACTIONS(1767),
    [anon_sym_LT_LT_EQ] = ACTIONS(1767),
    [anon_sym_GT_GT_EQ] = ACTIONS(1767),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1767),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_STAR_STAR] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1765),
    [anon_sym_SLASH_SLASH] = ACTIONS(1765),
    [anon_sym_CARET_CARET] = ACTIONS(1767),
    [anon_sym_AMP_AMP] = ACTIONS(1765),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_CARET] = ACTIONS(1765),
    [anon_sym_AMP] = ACTIONS(1765),
    [anon_sym_GT_GT2] = ACTIONS(1765),
    [anon_sym_PLUS] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_DOT] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1765),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_x] = ACTIONS(1765),
    [anon_sym_EQ_TILDE] = ACTIONS(1767),
    [anon_sym_BANG_TILDE] = ACTIONS(1767),
    [anon_sym_EQ_EQ] = ACTIONS(1765),
    [anon_sym_BANG_EQ] = ACTIONS(1767),
    [anon_sym_eq] = ACTIONS(1765),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1767),
    [anon_sym_equ] = ACTIONS(1767),
    [anon_sym_eqr] = ACTIONS(1767),
    [anon_sym_ne] = ACTIONS(1767),
    [anon_sym_LT_EQ_GT] = ACTIONS(1767),
    [anon_sym_cmp] = ACTIONS(1767),
    [anon_sym_TILDE_TILDE] = ACTIONS(1767),
    [anon_sym_LT_EQ] = ACTIONS(1765),
    [anon_sym_GT_EQ] = ACTIONS(1767),
    [anon_sym_lt] = ACTIONS(1767),
    [anon_sym_le] = ACTIONS(1767),
    [anon_sym_ge] = ACTIONS(1767),
    [anon_sym_gt] = ACTIONS(1767),
    [anon_sym_isa] = ACTIONS(1767),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_QMARK] = ACTIONS(1767),
    [anon_sym_EQ_GT] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1279] = {
    [sym_heredoc_content] = STATE(1279),
    [anon_sym_LBRACE] = ACTIONS(1759),
    [anon_sym_RBRACE] = ACTIONS(1759),
    [anon_sym_SEMI] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(1759),
    [anon_sym_RPAREN] = ACTIONS(1759),
    [anon_sym_LPAREN] = ACTIONS(1759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1759),
    [anon_sym_and] = ACTIONS(1759),
    [anon_sym_or] = ACTIONS(1759),
    [anon_sym_xor] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_RBRACK] = ACTIONS(1759),
    [anon_sym_DASH_GT] = ACTIONS(1759),
    [anon_sym_PERCENT] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1759),
    [anon_sym_PLUS_EQ] = ACTIONS(1759),
    [anon_sym_DASH_EQ] = ACTIONS(1759),
    [anon_sym_DOT_EQ] = ACTIONS(1759),
    [anon_sym_STAR_EQ] = ACTIONS(1759),
    [anon_sym_SLASH_EQ] = ACTIONS(1759),
    [anon_sym_PERCENT_EQ] = ACTIONS(1759),
    [anon_sym_x_EQ] = ACTIONS(1759),
    [anon_sym_AMP_EQ] = ACTIONS(1759),
    [anon_sym_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_CARET_EQ] = ACTIONS(1759),
    [anon_sym_LT_LT_EQ] = ACTIONS(1759),
    [anon_sym_GT_GT_EQ] = ACTIONS(1759),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1759),
    [anon_sym_DOT_DOT] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH] = ACTIONS(1755),
    [anon_sym_CARET_CARET] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_GT_GT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1755),
    [anon_sym_x] = ACTIONS(1755),
    [anon_sym_EQ_TILDE] = ACTIONS(1759),
    [anon_sym_BANG_TILDE] = ACTIONS(1759),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1759),
    [anon_sym_eq] = ACTIONS(1755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1759),
    [anon_sym_equ] = ACTIONS(1759),
    [anon_sym_eqr] = ACTIONS(1759),
    [anon_sym_ne] = ACTIONS(1759),
    [anon_sym_LT_EQ_GT] = ACTIONS(1759),
    [anon_sym_cmp] = ACTIONS(1759),
    [anon_sym_TILDE_TILDE] = ACTIONS(1759),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1759),
    [anon_sym_lt] = ACTIONS(1759),
    [anon_sym_le] = ACTIONS(1759),
    [anon_sym_ge] = ACTIONS(1759),
    [anon_sym_gt] = ACTIONS(1759),
    [anon_sym_isa] = ACTIONS(1759),
    [anon_sym_PLUS_PLUS] = ACTIONS(1759),
    [anon_sym_DASH_DASH] = ACTIONS(1759),
    [anon_sym_QMARK] = ACTIONS(1759),
    [anon_sym_EQ_GT] = ACTIONS(1759),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1280] = {
    [sym_heredoc_content] = STATE(1280),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym_RBRACE] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(1403),
    [anon_sym_EQ] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1403),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1403),
    [anon_sym_COMMA] = ACTIONS(1403),
    [anon_sym_RPAREN] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_and] = ACTIONS(1403),
    [anon_sym_or] = ACTIONS(1403),
    [anon_sym_xor] = ACTIONS(1403),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_RBRACK] = ACTIONS(1403),
    [anon_sym_DASH_GT] = ACTIONS(1403),
    [anon_sym_PERCENT] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1405),
    [anon_sym_GT] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1403),
    [anon_sym_PLUS_EQ] = ACTIONS(1403),
    [anon_sym_DASH_EQ] = ACTIONS(1403),
    [anon_sym_DOT_EQ] = ACTIONS(1403),
    [anon_sym_STAR_EQ] = ACTIONS(1403),
    [anon_sym_SLASH_EQ] = ACTIONS(1403),
    [anon_sym_PERCENT_EQ] = ACTIONS(1403),
    [anon_sym_x_EQ] = ACTIONS(1403),
    [anon_sym_AMP_EQ] = ACTIONS(1403),
    [anon_sym_PIPE_EQ] = ACTIONS(1403),
    [anon_sym_CARET_EQ] = ACTIONS(1403),
    [anon_sym_LT_LT_EQ] = ACTIONS(1403),
    [anon_sym_GT_GT_EQ] = ACTIONS(1403),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1403),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_STAR_STAR] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH] = ACTIONS(1405),
    [anon_sym_CARET_CARET] = ACTIONS(1403),
    [anon_sym_AMP_AMP] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_GT_GT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1405),
    [anon_sym_DOT] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1405),
    [anon_sym_x] = ACTIONS(1405),
    [anon_sym_EQ_TILDE] = ACTIONS(1403),
    [anon_sym_BANG_TILDE] = ACTIONS(1403),
    [anon_sym_EQ_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1403),
    [anon_sym_eq] = ACTIONS(1405),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1403),
    [anon_sym_equ] = ACTIONS(1403),
    [anon_sym_eqr] = ACTIONS(1403),
    [anon_sym_ne] = ACTIONS(1403),
    [anon_sym_LT_EQ_GT] = ACTIONS(1403),
    [anon_sym_cmp] = ACTIONS(1403),
    [anon_sym_TILDE_TILDE] = ACTIONS(1403),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1403),
    [anon_sym_lt] = ACTIONS(1403),
    [anon_sym_le] = ACTIONS(1403),
    [anon_sym_ge] = ACTIONS(1403),
    [anon_sym_gt] = ACTIONS(1403),
    [anon_sym_isa] = ACTIONS(1403),
    [anon_sym_PLUS_PLUS] = ACTIONS(1403),
    [anon_sym_DASH_DASH] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(1403),
    [anon_sym_EQ_GT] = ACTIONS(1403),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1281] = {
    [sym_heredoc_content] = STATE(1281),
    [anon_sym_LBRACE] = ACTIONS(3257),
    [anon_sym_RBRACE] = ACTIONS(1796),
    [anon_sym_SEMI] = ACTIONS(1796),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_COMMA] = ACTIONS(1796),
    [anon_sym_RPAREN] = ACTIONS(1796),
    [anon_sym_LPAREN] = ACTIONS(3259),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1796),
    [anon_sym_and] = ACTIONS(1796),
    [anon_sym_or] = ACTIONS(1796),
    [anon_sym_xor] = ACTIONS(1796),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_RBRACK] = ACTIONS(1796),
    [anon_sym_DASH_GT] = ACTIONS(1796),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1796),
    [anon_sym_PLUS_EQ] = ACTIONS(1796),
    [anon_sym_DASH_EQ] = ACTIONS(1796),
    [anon_sym_DOT_EQ] = ACTIONS(1796),
    [anon_sym_STAR_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_PERCENT_EQ] = ACTIONS(1796),
    [anon_sym_x_EQ] = ACTIONS(1796),
    [anon_sym_AMP_EQ] = ACTIONS(1796),
    [anon_sym_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_CARET_EQ] = ACTIONS(1796),
    [anon_sym_LT_LT_EQ] = ACTIONS(1796),
    [anon_sym_GT_GT_EQ] = ACTIONS(1796),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1796),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1787),
    [anon_sym_CARET_CARET] = ACTIONS(1796),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1796),
    [anon_sym_BANG_TILDE] = ACTIONS(1796),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1796),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1796),
    [anon_sym_equ] = ACTIONS(1796),
    [anon_sym_eqr] = ACTIONS(1796),
    [anon_sym_ne] = ACTIONS(1796),
    [anon_sym_LT_EQ_GT] = ACTIONS(1796),
    [anon_sym_cmp] = ACTIONS(1796),
    [anon_sym_TILDE_TILDE] = ACTIONS(1796),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1796),
    [anon_sym_lt] = ACTIONS(1796),
    [anon_sym_le] = ACTIONS(1796),
    [anon_sym_ge] = ACTIONS(1796),
    [anon_sym_gt] = ACTIONS(1796),
    [anon_sym_isa] = ACTIONS(1796),
    [anon_sym_PLUS_PLUS] = ACTIONS(1796),
    [anon_sym_DASH_DASH] = ACTIONS(1796),
    [anon_sym_QMARK] = ACTIONS(1796),
    [anon_sym_EQ_GT] = ACTIONS(1796),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1282] = {
    [sym_heredoc_content] = STATE(1282),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_RBRACE] = ACTIONS(2340),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym_EQ] = ACTIONS(2342),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2340),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2340),
    [anon_sym_COMMA] = ACTIONS(2340),
    [anon_sym_RPAREN] = ACTIONS(2340),
    [anon_sym_LPAREN] = ACTIONS(2340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2340),
    [anon_sym_and] = ACTIONS(2340),
    [anon_sym_or] = ACTIONS(2340),
    [anon_sym_xor] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_RBRACK] = ACTIONS(2340),
    [anon_sym_DASH_GT] = ACTIONS(2340),
    [anon_sym_PERCENT] = ACTIONS(2342),
    [anon_sym_LT] = ACTIONS(2342),
    [anon_sym_GT] = ACTIONS(2342),
    [anon_sym_LT_LT] = ACTIONS(2342),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2340),
    [anon_sym_PLUS_EQ] = ACTIONS(2340),
    [anon_sym_DASH_EQ] = ACTIONS(2340),
    [anon_sym_DOT_EQ] = ACTIONS(2340),
    [anon_sym_STAR_EQ] = ACTIONS(2340),
    [anon_sym_SLASH_EQ] = ACTIONS(2340),
    [anon_sym_PERCENT_EQ] = ACTIONS(2340),
    [anon_sym_x_EQ] = ACTIONS(2340),
    [anon_sym_AMP_EQ] = ACTIONS(2340),
    [anon_sym_PIPE_EQ] = ACTIONS(2340),
    [anon_sym_CARET_EQ] = ACTIONS(2340),
    [anon_sym_LT_LT_EQ] = ACTIONS(2340),
    [anon_sym_GT_GT_EQ] = ACTIONS(2340),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2340),
    [anon_sym_DOT_DOT] = ACTIONS(2342),
    [anon_sym_STAR_STAR] = ACTIONS(2342),
    [anon_sym_PIPE_PIPE] = ACTIONS(2342),
    [anon_sym_SLASH_SLASH] = ACTIONS(2342),
    [anon_sym_CARET_CARET] = ACTIONS(2340),
    [anon_sym_AMP_AMP] = ACTIONS(2342),
    [anon_sym_PIPE] = ACTIONS(2342),
    [anon_sym_CARET] = ACTIONS(2342),
    [anon_sym_AMP] = ACTIONS(2342),
    [anon_sym_GT_GT2] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_DOT] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2342),
    [anon_sym_SLASH] = ACTIONS(2342),
    [anon_sym_x] = ACTIONS(2342),
    [anon_sym_EQ_TILDE] = ACTIONS(2340),
    [anon_sym_BANG_TILDE] = ACTIONS(2340),
    [anon_sym_EQ_EQ] = ACTIONS(2342),
    [anon_sym_BANG_EQ] = ACTIONS(2340),
    [anon_sym_eq] = ACTIONS(2342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2340),
    [anon_sym_equ] = ACTIONS(2340),
    [anon_sym_eqr] = ACTIONS(2340),
    [anon_sym_ne] = ACTIONS(2340),
    [anon_sym_LT_EQ_GT] = ACTIONS(2340),
    [anon_sym_cmp] = ACTIONS(2340),
    [anon_sym_TILDE_TILDE] = ACTIONS(2340),
    [anon_sym_LT_EQ] = ACTIONS(2342),
    [anon_sym_GT_EQ] = ACTIONS(2340),
    [anon_sym_lt] = ACTIONS(2340),
    [anon_sym_le] = ACTIONS(2340),
    [anon_sym_ge] = ACTIONS(2340),
    [anon_sym_gt] = ACTIONS(2340),
    [anon_sym_isa] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_QMARK] = ACTIONS(2340),
    [anon_sym_EQ_GT] = ACTIONS(2340),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1283] = {
    [sym_heredoc_content] = STATE(1283),
    [anon_sym_LBRACE] = ACTIONS(1763),
    [anon_sym_RBRACE] = ACTIONS(1763),
    [anon_sym_SEMI] = ACTIONS(1763),
    [anon_sym_EQ] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1763),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1763),
    [anon_sym_COMMA] = ACTIONS(1763),
    [anon_sym_RPAREN] = ACTIONS(1763),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1763),
    [anon_sym_and] = ACTIONS(1763),
    [anon_sym_or] = ACTIONS(1763),
    [anon_sym_xor] = ACTIONS(1763),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [anon_sym_RBRACK] = ACTIONS(1763),
    [anon_sym_DASH_GT] = ACTIONS(1763),
    [anon_sym_PERCENT] = ACTIONS(1761),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_GT] = ACTIONS(1761),
    [anon_sym_LT_LT] = ACTIONS(1761),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1763),
    [anon_sym_PLUS_EQ] = ACTIONS(1763),
    [anon_sym_DASH_EQ] = ACTIONS(1763),
    [anon_sym_DOT_EQ] = ACTIONS(1763),
    [anon_sym_STAR_EQ] = ACTIONS(1763),
    [anon_sym_SLASH_EQ] = ACTIONS(1763),
    [anon_sym_PERCENT_EQ] = ACTIONS(1763),
    [anon_sym_x_EQ] = ACTIONS(1763),
    [anon_sym_AMP_EQ] = ACTIONS(1763),
    [anon_sym_PIPE_EQ] = ACTIONS(1763),
    [anon_sym_CARET_EQ] = ACTIONS(1763),
    [anon_sym_LT_LT_EQ] = ACTIONS(1763),
    [anon_sym_GT_GT_EQ] = ACTIONS(1763),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1761),
    [anon_sym_STAR_STAR] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE] = ACTIONS(1761),
    [anon_sym_SLASH_SLASH] = ACTIONS(1761),
    [anon_sym_CARET_CARET] = ACTIONS(1763),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_PIPE] = ACTIONS(1761),
    [anon_sym_CARET] = ACTIONS(1761),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT2] = ACTIONS(1761),
    [anon_sym_PLUS] = ACTIONS(1761),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_DOT] = ACTIONS(1761),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_x] = ACTIONS(1761),
    [anon_sym_EQ_TILDE] = ACTIONS(1763),
    [anon_sym_BANG_TILDE] = ACTIONS(1763),
    [anon_sym_EQ_EQ] = ACTIONS(1761),
    [anon_sym_BANG_EQ] = ACTIONS(1763),
    [anon_sym_eq] = ACTIONS(1761),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1763),
    [anon_sym_equ] = ACTIONS(1763),
    [anon_sym_eqr] = ACTIONS(1763),
    [anon_sym_ne] = ACTIONS(1763),
    [anon_sym_LT_EQ_GT] = ACTIONS(1763),
    [anon_sym_cmp] = ACTIONS(1763),
    [anon_sym_TILDE_TILDE] = ACTIONS(1763),
    [anon_sym_LT_EQ] = ACTIONS(1761),
    [anon_sym_GT_EQ] = ACTIONS(1763),
    [anon_sym_lt] = ACTIONS(1763),
    [anon_sym_le] = ACTIONS(1763),
    [anon_sym_ge] = ACTIONS(1763),
    [anon_sym_gt] = ACTIONS(1763),
    [anon_sym_isa] = ACTIONS(1763),
    [anon_sym_PLUS_PLUS] = ACTIONS(1763),
    [anon_sym_DASH_DASH] = ACTIONS(1763),
    [anon_sym_QMARK] = ACTIONS(1763),
    [anon_sym_EQ_GT] = ACTIONS(1763),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1284] = {
    [sym_heredoc_content] = STATE(1284),
    [anon_sym_LBRACE] = ACTIONS(2378),
    [anon_sym_RBRACE] = ACTIONS(2378),
    [anon_sym_SEMI] = ACTIONS(2378),
    [anon_sym_EQ] = ACTIONS(2380),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2378),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2378),
    [anon_sym_COMMA] = ACTIONS(2378),
    [anon_sym_RPAREN] = ACTIONS(2378),
    [anon_sym_LPAREN] = ACTIONS(2378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2378),
    [anon_sym_and] = ACTIONS(2378),
    [anon_sym_or] = ACTIONS(2378),
    [anon_sym_xor] = ACTIONS(2378),
    [anon_sym_LBRACK] = ACTIONS(2378),
    [anon_sym_RBRACK] = ACTIONS(2378),
    [anon_sym_DASH_GT] = ACTIONS(2378),
    [anon_sym_PERCENT] = ACTIONS(2380),
    [anon_sym_LT] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2380),
    [anon_sym_LT_LT] = ACTIONS(2380),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2378),
    [anon_sym_PLUS_EQ] = ACTIONS(2378),
    [anon_sym_DASH_EQ] = ACTIONS(2378),
    [anon_sym_DOT_EQ] = ACTIONS(2378),
    [anon_sym_STAR_EQ] = ACTIONS(2378),
    [anon_sym_SLASH_EQ] = ACTIONS(2378),
    [anon_sym_PERCENT_EQ] = ACTIONS(2378),
    [anon_sym_x_EQ] = ACTIONS(2378),
    [anon_sym_AMP_EQ] = ACTIONS(2378),
    [anon_sym_PIPE_EQ] = ACTIONS(2378),
    [anon_sym_CARET_EQ] = ACTIONS(2378),
    [anon_sym_LT_LT_EQ] = ACTIONS(2378),
    [anon_sym_GT_GT_EQ] = ACTIONS(2378),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2378),
    [anon_sym_DOT_DOT] = ACTIONS(2380),
    [anon_sym_STAR_STAR] = ACTIONS(2380),
    [anon_sym_PIPE_PIPE] = ACTIONS(2380),
    [anon_sym_SLASH_SLASH] = ACTIONS(2380),
    [anon_sym_CARET_CARET] = ACTIONS(2378),
    [anon_sym_AMP_AMP] = ACTIONS(2380),
    [anon_sym_PIPE] = ACTIONS(2380),
    [anon_sym_CARET] = ACTIONS(2380),
    [anon_sym_AMP] = ACTIONS(2380),
    [anon_sym_GT_GT2] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2380),
    [anon_sym_DASH] = ACTIONS(2380),
    [anon_sym_DOT] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2380),
    [anon_sym_SLASH] = ACTIONS(2380),
    [anon_sym_x] = ACTIONS(2380),
    [anon_sym_EQ_TILDE] = ACTIONS(2378),
    [anon_sym_BANG_TILDE] = ACTIONS(2378),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2378),
    [anon_sym_eq] = ACTIONS(2380),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2378),
    [anon_sym_equ] = ACTIONS(2378),
    [anon_sym_eqr] = ACTIONS(2378),
    [anon_sym_ne] = ACTIONS(2378),
    [anon_sym_LT_EQ_GT] = ACTIONS(2378),
    [anon_sym_cmp] = ACTIONS(2378),
    [anon_sym_TILDE_TILDE] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2378),
    [anon_sym_lt] = ACTIONS(2378),
    [anon_sym_le] = ACTIONS(2378),
    [anon_sym_ge] = ACTIONS(2378),
    [anon_sym_gt] = ACTIONS(2378),
    [anon_sym_isa] = ACTIONS(2378),
    [anon_sym_PLUS_PLUS] = ACTIONS(2378),
    [anon_sym_DASH_DASH] = ACTIONS(2378),
    [anon_sym_QMARK] = ACTIONS(2378),
    [anon_sym_EQ_GT] = ACTIONS(2378),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1285] = {
    [sym_heredoc_content] = STATE(1285),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_RBRACE] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym_EQ] = ACTIONS(2384),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2382),
    [anon_sym_COMMA] = ACTIONS(2382),
    [anon_sym_RPAREN] = ACTIONS(2382),
    [anon_sym_LPAREN] = ACTIONS(2382),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2382),
    [anon_sym_and] = ACTIONS(2382),
    [anon_sym_or] = ACTIONS(2382),
    [anon_sym_xor] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_RBRACK] = ACTIONS(2382),
    [anon_sym_DASH_GT] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2384),
    [anon_sym_LT] = ACTIONS(2384),
    [anon_sym_GT] = ACTIONS(2384),
    [anon_sym_LT_LT] = ACTIONS(2384),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2382),
    [anon_sym_PLUS_EQ] = ACTIONS(2382),
    [anon_sym_DASH_EQ] = ACTIONS(2382),
    [anon_sym_DOT_EQ] = ACTIONS(2382),
    [anon_sym_STAR_EQ] = ACTIONS(2382),
    [anon_sym_SLASH_EQ] = ACTIONS(2382),
    [anon_sym_PERCENT_EQ] = ACTIONS(2382),
    [anon_sym_x_EQ] = ACTIONS(2382),
    [anon_sym_AMP_EQ] = ACTIONS(2382),
    [anon_sym_PIPE_EQ] = ACTIONS(2382),
    [anon_sym_CARET_EQ] = ACTIONS(2382),
    [anon_sym_LT_LT_EQ] = ACTIONS(2382),
    [anon_sym_GT_GT_EQ] = ACTIONS(2382),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2382),
    [anon_sym_DOT_DOT] = ACTIONS(2384),
    [anon_sym_STAR_STAR] = ACTIONS(2384),
    [anon_sym_PIPE_PIPE] = ACTIONS(2384),
    [anon_sym_SLASH_SLASH] = ACTIONS(2384),
    [anon_sym_CARET_CARET] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_PIPE] = ACTIONS(2384),
    [anon_sym_CARET] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_GT_GT2] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_DASH] = ACTIONS(2384),
    [anon_sym_DOT] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_SLASH] = ACTIONS(2384),
    [anon_sym_x] = ACTIONS(2384),
    [anon_sym_EQ_TILDE] = ACTIONS(2382),
    [anon_sym_BANG_TILDE] = ACTIONS(2382),
    [anon_sym_EQ_EQ] = ACTIONS(2384),
    [anon_sym_BANG_EQ] = ACTIONS(2382),
    [anon_sym_eq] = ACTIONS(2384),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2382),
    [anon_sym_equ] = ACTIONS(2382),
    [anon_sym_eqr] = ACTIONS(2382),
    [anon_sym_ne] = ACTIONS(2382),
    [anon_sym_LT_EQ_GT] = ACTIONS(2382),
    [anon_sym_cmp] = ACTIONS(2382),
    [anon_sym_TILDE_TILDE] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2384),
    [anon_sym_GT_EQ] = ACTIONS(2382),
    [anon_sym_lt] = ACTIONS(2382),
    [anon_sym_le] = ACTIONS(2382),
    [anon_sym_ge] = ACTIONS(2382),
    [anon_sym_gt] = ACTIONS(2382),
    [anon_sym_isa] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [anon_sym_QMARK] = ACTIONS(2382),
    [anon_sym_EQ_GT] = ACTIONS(2382),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1286] = {
    [sym_heredoc_content] = STATE(1286),
    [anon_sym_LBRACE] = ACTIONS(2386),
    [anon_sym_RBRACE] = ACTIONS(2386),
    [anon_sym_SEMI] = ACTIONS(2386),
    [anon_sym_EQ] = ACTIONS(2388),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2386),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2386),
    [anon_sym_COMMA] = ACTIONS(2386),
    [anon_sym_RPAREN] = ACTIONS(2386),
    [anon_sym_LPAREN] = ACTIONS(2386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2386),
    [anon_sym_and] = ACTIONS(2386),
    [anon_sym_or] = ACTIONS(2386),
    [anon_sym_xor] = ACTIONS(2386),
    [anon_sym_LBRACK] = ACTIONS(2386),
    [anon_sym_RBRACK] = ACTIONS(2386),
    [anon_sym_DASH_GT] = ACTIONS(2386),
    [anon_sym_PERCENT] = ACTIONS(2388),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_GT] = ACTIONS(2388),
    [anon_sym_LT_LT] = ACTIONS(2388),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2386),
    [anon_sym_PLUS_EQ] = ACTIONS(2386),
    [anon_sym_DASH_EQ] = ACTIONS(2386),
    [anon_sym_DOT_EQ] = ACTIONS(2386),
    [anon_sym_STAR_EQ] = ACTIONS(2386),
    [anon_sym_SLASH_EQ] = ACTIONS(2386),
    [anon_sym_PERCENT_EQ] = ACTIONS(2386),
    [anon_sym_x_EQ] = ACTIONS(2386),
    [anon_sym_AMP_EQ] = ACTIONS(2386),
    [anon_sym_PIPE_EQ] = ACTIONS(2386),
    [anon_sym_CARET_EQ] = ACTIONS(2386),
    [anon_sym_LT_LT_EQ] = ACTIONS(2386),
    [anon_sym_GT_GT_EQ] = ACTIONS(2386),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2386),
    [anon_sym_DOT_DOT] = ACTIONS(2388),
    [anon_sym_STAR_STAR] = ACTIONS(2388),
    [anon_sym_PIPE_PIPE] = ACTIONS(2388),
    [anon_sym_SLASH_SLASH] = ACTIONS(2388),
    [anon_sym_CARET_CARET] = ACTIONS(2386),
    [anon_sym_AMP_AMP] = ACTIONS(2388),
    [anon_sym_PIPE] = ACTIONS(2388),
    [anon_sym_CARET] = ACTIONS(2388),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym_GT_GT2] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2388),
    [anon_sym_DASH] = ACTIONS(2388),
    [anon_sym_DOT] = ACTIONS(2388),
    [anon_sym_STAR] = ACTIONS(2388),
    [anon_sym_SLASH] = ACTIONS(2388),
    [anon_sym_x] = ACTIONS(2388),
    [anon_sym_EQ_TILDE] = ACTIONS(2386),
    [anon_sym_BANG_TILDE] = ACTIONS(2386),
    [anon_sym_EQ_EQ] = ACTIONS(2388),
    [anon_sym_BANG_EQ] = ACTIONS(2386),
    [anon_sym_eq] = ACTIONS(2388),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2386),
    [anon_sym_equ] = ACTIONS(2386),
    [anon_sym_eqr] = ACTIONS(2386),
    [anon_sym_ne] = ACTIONS(2386),
    [anon_sym_LT_EQ_GT] = ACTIONS(2386),
    [anon_sym_cmp] = ACTIONS(2386),
    [anon_sym_TILDE_TILDE] = ACTIONS(2386),
    [anon_sym_LT_EQ] = ACTIONS(2388),
    [anon_sym_GT_EQ] = ACTIONS(2386),
    [anon_sym_lt] = ACTIONS(2386),
    [anon_sym_le] = ACTIONS(2386),
    [anon_sym_ge] = ACTIONS(2386),
    [anon_sym_gt] = ACTIONS(2386),
    [anon_sym_isa] = ACTIONS(2386),
    [anon_sym_PLUS_PLUS] = ACTIONS(2386),
    [anon_sym_DASH_DASH] = ACTIONS(2386),
    [anon_sym_QMARK] = ACTIONS(2386),
    [anon_sym_EQ_GT] = ACTIONS(2386),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1287] = {
    [sym_heredoc_content] = STATE(1287),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2344),
    [anon_sym_EQ] = ACTIONS(2346),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2344),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2344),
    [anon_sym_COMMA] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2344),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2344),
    [anon_sym_and] = ACTIONS(2344),
    [anon_sym_or] = ACTIONS(2344),
    [anon_sym_xor] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [anon_sym_RBRACK] = ACTIONS(2344),
    [anon_sym_DASH_GT] = ACTIONS(2344),
    [anon_sym_PERCENT] = ACTIONS(2346),
    [anon_sym_LT] = ACTIONS(2346),
    [anon_sym_GT] = ACTIONS(2346),
    [anon_sym_LT_LT] = ACTIONS(2346),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2344),
    [anon_sym_PLUS_EQ] = ACTIONS(2344),
    [anon_sym_DASH_EQ] = ACTIONS(2344),
    [anon_sym_DOT_EQ] = ACTIONS(2344),
    [anon_sym_STAR_EQ] = ACTIONS(2344),
    [anon_sym_SLASH_EQ] = ACTIONS(2344),
    [anon_sym_PERCENT_EQ] = ACTIONS(2344),
    [anon_sym_x_EQ] = ACTIONS(2344),
    [anon_sym_AMP_EQ] = ACTIONS(2344),
    [anon_sym_PIPE_EQ] = ACTIONS(2344),
    [anon_sym_CARET_EQ] = ACTIONS(2344),
    [anon_sym_LT_LT_EQ] = ACTIONS(2344),
    [anon_sym_GT_GT_EQ] = ACTIONS(2344),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2344),
    [anon_sym_DOT_DOT] = ACTIONS(2346),
    [anon_sym_STAR_STAR] = ACTIONS(2346),
    [anon_sym_PIPE_PIPE] = ACTIONS(2346),
    [anon_sym_SLASH_SLASH] = ACTIONS(2346),
    [anon_sym_CARET_CARET] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2346),
    [anon_sym_PIPE] = ACTIONS(2346),
    [anon_sym_CARET] = ACTIONS(2346),
    [anon_sym_AMP] = ACTIONS(2346),
    [anon_sym_GT_GT2] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_DOT] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_x] = ACTIONS(2346),
    [anon_sym_EQ_TILDE] = ACTIONS(2344),
    [anon_sym_BANG_TILDE] = ACTIONS(2344),
    [anon_sym_EQ_EQ] = ACTIONS(2346),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_eq] = ACTIONS(2346),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2344),
    [anon_sym_equ] = ACTIONS(2344),
    [anon_sym_eqr] = ACTIONS(2344),
    [anon_sym_ne] = ACTIONS(2344),
    [anon_sym_LT_EQ_GT] = ACTIONS(2344),
    [anon_sym_cmp] = ACTIONS(2344),
    [anon_sym_TILDE_TILDE] = ACTIONS(2344),
    [anon_sym_LT_EQ] = ACTIONS(2346),
    [anon_sym_GT_EQ] = ACTIONS(2344),
    [anon_sym_lt] = ACTIONS(2344),
    [anon_sym_le] = ACTIONS(2344),
    [anon_sym_ge] = ACTIONS(2344),
    [anon_sym_gt] = ACTIONS(2344),
    [anon_sym_isa] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_QMARK] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(2344),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1288] = {
    [sym_heredoc_content] = STATE(1288),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_x] = ACTIONS(2687),
    [anon_sym_EQ_TILDE] = ACTIONS(2685),
    [anon_sym_BANG_TILDE] = ACTIONS(2685),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2685),
    [anon_sym___END__] = ACTIONS(2685),
    [anon_sym_EOT] = ACTIONS(2685),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym__ctrl_z_hack] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1289] = {
    [sym_heredoc_content] = STATE(1289),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_GT] = ACTIONS(3219),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(3231),
    [anon_sym_PIPE] = ACTIONS(3233),
    [anon_sym_CARET] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(3241),
    [anon_sym_BANG_EQ] = ACTIONS(3243),
    [anon_sym_eq] = ACTIONS(3241),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3243),
    [anon_sym_equ] = ACTIONS(3243),
    [anon_sym_eqr] = ACTIONS(3243),
    [anon_sym_ne] = ACTIONS(3243),
    [anon_sym_LT_EQ_GT] = ACTIONS(3245),
    [anon_sym_cmp] = ACTIONS(3245),
    [anon_sym_TILDE_TILDE] = ACTIONS(3245),
    [anon_sym_LT_EQ] = ACTIONS(3219),
    [anon_sym_GT_EQ] = ACTIONS(3247),
    [anon_sym_lt] = ACTIONS(3247),
    [anon_sym_le] = ACTIONS(3247),
    [anon_sym_ge] = ACTIONS(3247),
    [anon_sym_gt] = ACTIONS(3247),
    [anon_sym_isa] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2685),
    [anon_sym___END__] = ACTIONS(2685),
    [anon_sym_EOT] = ACTIONS(2685),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym__ctrl_z_hack] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1290] = {
    [sym_heredoc_content] = STATE(1290),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_GT] = ACTIONS(3219),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(3233),
    [anon_sym_CARET] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(3241),
    [anon_sym_BANG_EQ] = ACTIONS(3243),
    [anon_sym_eq] = ACTIONS(3241),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3243),
    [anon_sym_equ] = ACTIONS(3243),
    [anon_sym_eqr] = ACTIONS(3243),
    [anon_sym_ne] = ACTIONS(3243),
    [anon_sym_LT_EQ_GT] = ACTIONS(3245),
    [anon_sym_cmp] = ACTIONS(3245),
    [anon_sym_TILDE_TILDE] = ACTIONS(3245),
    [anon_sym_LT_EQ] = ACTIONS(3219),
    [anon_sym_GT_EQ] = ACTIONS(3247),
    [anon_sym_lt] = ACTIONS(3247),
    [anon_sym_le] = ACTIONS(3247),
    [anon_sym_ge] = ACTIONS(3247),
    [anon_sym_gt] = ACTIONS(3247),
    [anon_sym_isa] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2685),
    [anon_sym___END__] = ACTIONS(2685),
    [anon_sym_EOT] = ACTIONS(2685),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym__ctrl_z_hack] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1291] = {
    [sym_heredoc_content] = STATE(1291),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_GT] = ACTIONS(3219),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(3241),
    [anon_sym_BANG_EQ] = ACTIONS(3243),
    [anon_sym_eq] = ACTIONS(3241),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3243),
    [anon_sym_equ] = ACTIONS(3243),
    [anon_sym_eqr] = ACTIONS(3243),
    [anon_sym_ne] = ACTIONS(3243),
    [anon_sym_LT_EQ_GT] = ACTIONS(3245),
    [anon_sym_cmp] = ACTIONS(3245),
    [anon_sym_TILDE_TILDE] = ACTIONS(3245),
    [anon_sym_LT_EQ] = ACTIONS(3219),
    [anon_sym_GT_EQ] = ACTIONS(3247),
    [anon_sym_lt] = ACTIONS(3247),
    [anon_sym_le] = ACTIONS(3247),
    [anon_sym_ge] = ACTIONS(3247),
    [anon_sym_gt] = ACTIONS(3247),
    [anon_sym_isa] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2685),
    [anon_sym___END__] = ACTIONS(2685),
    [anon_sym_EOT] = ACTIONS(2685),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym__ctrl_z_hack] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1292] = {
    [sym_heredoc_content] = STATE(1292),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_GT] = ACTIONS(3219),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(3241),
    [anon_sym_BANG_EQ] = ACTIONS(3243),
    [anon_sym_eq] = ACTIONS(3241),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3243),
    [anon_sym_equ] = ACTIONS(3243),
    [anon_sym_eqr] = ACTIONS(3243),
    [anon_sym_ne] = ACTIONS(3243),
    [anon_sym_LT_EQ_GT] = ACTIONS(3245),
    [anon_sym_cmp] = ACTIONS(3245),
    [anon_sym_TILDE_TILDE] = ACTIONS(3245),
    [anon_sym_LT_EQ] = ACTIONS(3219),
    [anon_sym_GT_EQ] = ACTIONS(3247),
    [anon_sym_lt] = ACTIONS(3247),
    [anon_sym_le] = ACTIONS(3247),
    [anon_sym_ge] = ACTIONS(3247),
    [anon_sym_gt] = ACTIONS(3247),
    [anon_sym_isa] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2685),
    [anon_sym___END__] = ACTIONS(2685),
    [anon_sym_EOT] = ACTIONS(2685),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym__ctrl_z_hack] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1293] = {
    [sym_heredoc_content] = STATE(1293),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(3209),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3211),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3211),
    [anon_sym_COMMA] = ACTIONS(2993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3215),
    [anon_sym_and] = ACTIONS(2993),
    [anon_sym_or] = ACTIONS(2993),
    [anon_sym_xor] = ACTIONS(2993),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_GT] = ACTIONS(3219),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3211),
    [anon_sym_PLUS_EQ] = ACTIONS(3211),
    [anon_sym_DASH_EQ] = ACTIONS(3211),
    [anon_sym_DOT_EQ] = ACTIONS(3211),
    [anon_sym_STAR_EQ] = ACTIONS(3211),
    [anon_sym_SLASH_EQ] = ACTIONS(3211),
    [anon_sym_PERCENT_EQ] = ACTIONS(3211),
    [anon_sym_x_EQ] = ACTIONS(3211),
    [anon_sym_AMP_EQ] = ACTIONS(3211),
    [anon_sym_PIPE_EQ] = ACTIONS(3211),
    [anon_sym_CARET_EQ] = ACTIONS(3211),
    [anon_sym_LT_LT_EQ] = ACTIONS(3211),
    [anon_sym_GT_GT_EQ] = ACTIONS(3211),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3211),
    [anon_sym_DOT_DOT] = ACTIONS(3223),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(3227),
    [anon_sym_SLASH_SLASH] = ACTIONS(3227),
    [anon_sym_CARET_CARET] = ACTIONS(3229),
    [anon_sym_AMP_AMP] = ACTIONS(3231),
    [anon_sym_PIPE] = ACTIONS(3233),
    [anon_sym_CARET] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(3241),
    [anon_sym_BANG_EQ] = ACTIONS(3243),
    [anon_sym_eq] = ACTIONS(3241),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3243),
    [anon_sym_equ] = ACTIONS(3243),
    [anon_sym_eqr] = ACTIONS(3243),
    [anon_sym_ne] = ACTIONS(3243),
    [anon_sym_LT_EQ_GT] = ACTIONS(3245),
    [anon_sym_cmp] = ACTIONS(3245),
    [anon_sym_TILDE_TILDE] = ACTIONS(3245),
    [anon_sym_LT_EQ] = ACTIONS(3219),
    [anon_sym_GT_EQ] = ACTIONS(3247),
    [anon_sym_lt] = ACTIONS(3247),
    [anon_sym_le] = ACTIONS(3247),
    [anon_sym_ge] = ACTIONS(3247),
    [anon_sym_gt] = ACTIONS(3247),
    [anon_sym_isa] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(3251),
    [anon_sym_EQ_GT] = ACTIONS(2993),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2993),
    [anon_sym___END__] = ACTIONS(2993),
    [anon_sym_EOT] = ACTIONS(2993),
    [sym__PERLY_SEMICOLON] = ACTIONS(2993),
    [sym__ctrl_z_hack] = ACTIONS(2993),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1294] = {
    [sym_heredoc_content] = STATE(1294),
    [anon_sym_SEMI] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2791),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2789),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2789),
    [anon_sym_and] = ACTIONS(2789),
    [anon_sym_or] = ACTIONS(2789),
    [anon_sym_xor] = ACTIONS(2789),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(2791),
    [anon_sym_GT] = ACTIONS(2791),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2789),
    [anon_sym_PLUS_EQ] = ACTIONS(2789),
    [anon_sym_DASH_EQ] = ACTIONS(2789),
    [anon_sym_DOT_EQ] = ACTIONS(2789),
    [anon_sym_STAR_EQ] = ACTIONS(2789),
    [anon_sym_SLASH_EQ] = ACTIONS(2789),
    [anon_sym_PERCENT_EQ] = ACTIONS(2789),
    [anon_sym_x_EQ] = ACTIONS(2789),
    [anon_sym_AMP_EQ] = ACTIONS(2789),
    [anon_sym_PIPE_EQ] = ACTIONS(2789),
    [anon_sym_CARET_EQ] = ACTIONS(2789),
    [anon_sym_LT_LT_EQ] = ACTIONS(2789),
    [anon_sym_GT_GT_EQ] = ACTIONS(2789),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2789),
    [anon_sym_DOT_DOT] = ACTIONS(2791),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(2791),
    [anon_sym_SLASH_SLASH] = ACTIONS(2791),
    [anon_sym_CARET_CARET] = ACTIONS(2789),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_PIPE] = ACTIONS(2791),
    [anon_sym_CARET] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2791),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(2791),
    [anon_sym_BANG_EQ] = ACTIONS(2789),
    [anon_sym_eq] = ACTIONS(2791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2789),
    [anon_sym_equ] = ACTIONS(2789),
    [anon_sym_eqr] = ACTIONS(2789),
    [anon_sym_ne] = ACTIONS(2789),
    [anon_sym_LT_EQ_GT] = ACTIONS(2789),
    [anon_sym_cmp] = ACTIONS(2789),
    [anon_sym_TILDE_TILDE] = ACTIONS(2789),
    [anon_sym_LT_EQ] = ACTIONS(2791),
    [anon_sym_GT_EQ] = ACTIONS(2789),
    [anon_sym_lt] = ACTIONS(2789),
    [anon_sym_le] = ACTIONS(2789),
    [anon_sym_ge] = ACTIONS(2789),
    [anon_sym_gt] = ACTIONS(2789),
    [anon_sym_isa] = ACTIONS(2789),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_EQ_GT] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2789),
    [anon_sym___END__] = ACTIONS(2789),
    [anon_sym_EOT] = ACTIONS(2789),
    [sym__PERLY_SEMICOLON] = ACTIONS(2789),
    [sym__ctrl_z_hack] = ACTIONS(2789),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1295] = {
    [sym_heredoc_content] = STATE(1295),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2685),
    [anon_sym___END__] = ACTIONS(2685),
    [anon_sym_EOT] = ACTIONS(2685),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym__ctrl_z_hack] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1296] = {
    [sym_heredoc_content] = STATE(1296),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_EQ] = ACTIONS(3209),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3211),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3211),
    [anon_sym_COMMA] = ACTIONS(2636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3215),
    [anon_sym_and] = ACTIONS(2636),
    [anon_sym_or] = ACTIONS(2636),
    [anon_sym_xor] = ACTIONS(2636),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_GT] = ACTIONS(3219),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3211),
    [anon_sym_PLUS_EQ] = ACTIONS(3211),
    [anon_sym_DASH_EQ] = ACTIONS(3211),
    [anon_sym_DOT_EQ] = ACTIONS(3211),
    [anon_sym_STAR_EQ] = ACTIONS(3211),
    [anon_sym_SLASH_EQ] = ACTIONS(3211),
    [anon_sym_PERCENT_EQ] = ACTIONS(3211),
    [anon_sym_x_EQ] = ACTIONS(3211),
    [anon_sym_AMP_EQ] = ACTIONS(3211),
    [anon_sym_PIPE_EQ] = ACTIONS(3211),
    [anon_sym_CARET_EQ] = ACTIONS(3211),
    [anon_sym_LT_LT_EQ] = ACTIONS(3211),
    [anon_sym_GT_GT_EQ] = ACTIONS(3211),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3211),
    [anon_sym_DOT_DOT] = ACTIONS(3223),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(3227),
    [anon_sym_SLASH_SLASH] = ACTIONS(3227),
    [anon_sym_CARET_CARET] = ACTIONS(3229),
    [anon_sym_AMP_AMP] = ACTIONS(3231),
    [anon_sym_PIPE] = ACTIONS(3233),
    [anon_sym_CARET] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(3241),
    [anon_sym_BANG_EQ] = ACTIONS(3243),
    [anon_sym_eq] = ACTIONS(3241),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3243),
    [anon_sym_equ] = ACTIONS(3243),
    [anon_sym_eqr] = ACTIONS(3243),
    [anon_sym_ne] = ACTIONS(3243),
    [anon_sym_LT_EQ_GT] = ACTIONS(3245),
    [anon_sym_cmp] = ACTIONS(3245),
    [anon_sym_TILDE_TILDE] = ACTIONS(3245),
    [anon_sym_LT_EQ] = ACTIONS(3219),
    [anon_sym_GT_EQ] = ACTIONS(3247),
    [anon_sym_lt] = ACTIONS(3247),
    [anon_sym_le] = ACTIONS(3247),
    [anon_sym_ge] = ACTIONS(3247),
    [anon_sym_gt] = ACTIONS(3247),
    [anon_sym_isa] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(3251),
    [anon_sym_EQ_GT] = ACTIONS(2636),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2636),
    [anon_sym___END__] = ACTIONS(2636),
    [anon_sym_EOT] = ACTIONS(2636),
    [sym__PERLY_SEMICOLON] = ACTIONS(2636),
    [sym__ctrl_z_hack] = ACTIONS(2636),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1297] = {
    [sym_heredoc_content] = STATE(1297),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_COMMA] = ACTIONS(2945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2945),
    [anon_sym_and] = ACTIONS(2945),
    [anon_sym_or] = ACTIONS(2945),
    [anon_sym_xor] = ACTIONS(2945),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2947),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_DOT_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_x_EQ] = ACTIONS(2945),
    [anon_sym_AMP_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_EQ] = ACTIONS(2945),
    [anon_sym_CARET_EQ] = ACTIONS(2945),
    [anon_sym_LT_LT_EQ] = ACTIONS(2945),
    [anon_sym_GT_GT_EQ] = ACTIONS(2945),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(2947),
    [anon_sym_SLASH_SLASH] = ACTIONS(2947),
    [anon_sym_CARET_CARET] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_PIPE] = ACTIONS(2947),
    [anon_sym_CARET] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_GT_GT2] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_SLASH] = ACTIONS(2947),
    [anon_sym_x] = ACTIONS(2947),
    [anon_sym_EQ_TILDE] = ACTIONS(2945),
    [anon_sym_BANG_TILDE] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ] = ACTIONS(2945),
    [anon_sym_eq] = ACTIONS(2947),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_equ] = ACTIONS(2945),
    [anon_sym_eqr] = ACTIONS(2945),
    [anon_sym_ne] = ACTIONS(2945),
    [anon_sym_LT_EQ_GT] = ACTIONS(2945),
    [anon_sym_cmp] = ACTIONS(2945),
    [anon_sym_TILDE_TILDE] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_lt] = ACTIONS(2945),
    [anon_sym_le] = ACTIONS(2945),
    [anon_sym_ge] = ACTIONS(2945),
    [anon_sym_gt] = ACTIONS(2945),
    [anon_sym_isa] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2945),
    [anon_sym_EQ_GT] = ACTIONS(2945),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2945),
    [anon_sym___END__] = ACTIONS(2945),
    [anon_sym_EOT] = ACTIONS(2945),
    [sym__PERLY_SEMICOLON] = ACTIONS(2945),
    [sym__ctrl_z_hack] = ACTIONS(2945),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1298] = {
    [sym_heredoc_content] = STATE(1298),
    [anon_sym_SEMI] = ACTIONS(3044),
    [anon_sym_EQ] = ACTIONS(3209),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3211),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3211),
    [anon_sym_COMMA] = ACTIONS(3044),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3215),
    [anon_sym_and] = ACTIONS(3044),
    [anon_sym_or] = ACTIONS(3044),
    [anon_sym_xor] = ACTIONS(3044),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_GT] = ACTIONS(3219),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3211),
    [anon_sym_PLUS_EQ] = ACTIONS(3211),
    [anon_sym_DASH_EQ] = ACTIONS(3211),
    [anon_sym_DOT_EQ] = ACTIONS(3211),
    [anon_sym_STAR_EQ] = ACTIONS(3211),
    [anon_sym_SLASH_EQ] = ACTIONS(3211),
    [anon_sym_PERCENT_EQ] = ACTIONS(3211),
    [anon_sym_x_EQ] = ACTIONS(3211),
    [anon_sym_AMP_EQ] = ACTIONS(3211),
    [anon_sym_PIPE_EQ] = ACTIONS(3211),
    [anon_sym_CARET_EQ] = ACTIONS(3211),
    [anon_sym_LT_LT_EQ] = ACTIONS(3211),
    [anon_sym_GT_GT_EQ] = ACTIONS(3211),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3211),
    [anon_sym_DOT_DOT] = ACTIONS(3223),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(3227),
    [anon_sym_SLASH_SLASH] = ACTIONS(3227),
    [anon_sym_CARET_CARET] = ACTIONS(3229),
    [anon_sym_AMP_AMP] = ACTIONS(3231),
    [anon_sym_PIPE] = ACTIONS(3233),
    [anon_sym_CARET] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(3241),
    [anon_sym_BANG_EQ] = ACTIONS(3243),
    [anon_sym_eq] = ACTIONS(3241),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3243),
    [anon_sym_equ] = ACTIONS(3243),
    [anon_sym_eqr] = ACTIONS(3243),
    [anon_sym_ne] = ACTIONS(3243),
    [anon_sym_LT_EQ_GT] = ACTIONS(3245),
    [anon_sym_cmp] = ACTIONS(3245),
    [anon_sym_TILDE_TILDE] = ACTIONS(3245),
    [anon_sym_LT_EQ] = ACTIONS(3219),
    [anon_sym_GT_EQ] = ACTIONS(3247),
    [anon_sym_lt] = ACTIONS(3247),
    [anon_sym_le] = ACTIONS(3247),
    [anon_sym_ge] = ACTIONS(3247),
    [anon_sym_gt] = ACTIONS(3247),
    [anon_sym_isa] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(3251),
    [anon_sym_EQ_GT] = ACTIONS(3044),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3044),
    [anon_sym___END__] = ACTIONS(3044),
    [anon_sym_EOT] = ACTIONS(3044),
    [sym__PERLY_SEMICOLON] = ACTIONS(3044),
    [sym__ctrl_z_hack] = ACTIONS(3044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1299] = {
    [sym_heredoc_content] = STATE(1299),
    [anon_sym_SEMI] = ACTIONS(2709),
    [anon_sym_EQ] = ACTIONS(2711),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2709),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2709),
    [anon_sym_COMMA] = ACTIONS(2709),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2709),
    [anon_sym_and] = ACTIONS(2709),
    [anon_sym_or] = ACTIONS(2709),
    [anon_sym_xor] = ACTIONS(2709),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(2711),
    [anon_sym_GT] = ACTIONS(2711),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2709),
    [anon_sym_PLUS_EQ] = ACTIONS(2709),
    [anon_sym_DASH_EQ] = ACTIONS(2709),
    [anon_sym_DOT_EQ] = ACTIONS(2709),
    [anon_sym_STAR_EQ] = ACTIONS(2709),
    [anon_sym_SLASH_EQ] = ACTIONS(2709),
    [anon_sym_PERCENT_EQ] = ACTIONS(2709),
    [anon_sym_x_EQ] = ACTIONS(2709),
    [anon_sym_AMP_EQ] = ACTIONS(2709),
    [anon_sym_PIPE_EQ] = ACTIONS(2709),
    [anon_sym_CARET_EQ] = ACTIONS(2709),
    [anon_sym_LT_LT_EQ] = ACTIONS(2709),
    [anon_sym_GT_GT_EQ] = ACTIONS(2709),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2709),
    [anon_sym_DOT_DOT] = ACTIONS(2711),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(2711),
    [anon_sym_SLASH_SLASH] = ACTIONS(2711),
    [anon_sym_CARET_CARET] = ACTIONS(2709),
    [anon_sym_AMP_AMP] = ACTIONS(2711),
    [anon_sym_PIPE] = ACTIONS(2711),
    [anon_sym_CARET] = ACTIONS(2711),
    [anon_sym_AMP] = ACTIONS(2711),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(2711),
    [anon_sym_BANG_EQ] = ACTIONS(2709),
    [anon_sym_eq] = ACTIONS(2711),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2709),
    [anon_sym_equ] = ACTIONS(2709),
    [anon_sym_eqr] = ACTIONS(2709),
    [anon_sym_ne] = ACTIONS(2709),
    [anon_sym_LT_EQ_GT] = ACTIONS(2709),
    [anon_sym_cmp] = ACTIONS(2709),
    [anon_sym_TILDE_TILDE] = ACTIONS(2709),
    [anon_sym_LT_EQ] = ACTIONS(2711),
    [anon_sym_GT_EQ] = ACTIONS(2709),
    [anon_sym_lt] = ACTIONS(2709),
    [anon_sym_le] = ACTIONS(2709),
    [anon_sym_ge] = ACTIONS(2709),
    [anon_sym_gt] = ACTIONS(2709),
    [anon_sym_isa] = ACTIONS(2709),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2709),
    [anon_sym_EQ_GT] = ACTIONS(2709),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2709),
    [anon_sym___END__] = ACTIONS(2709),
    [anon_sym_EOT] = ACTIONS(2709),
    [sym__PERLY_SEMICOLON] = ACTIONS(2709),
    [sym__ctrl_z_hack] = ACTIONS(2709),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1300] = {
    [sym_heredoc_content] = STATE(1300),
    [anon_sym_SEMI] = ACTIONS(2737),
    [anon_sym_EQ] = ACTIONS(2739),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_COMMA] = ACTIONS(2737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_and] = ACTIONS(2737),
    [anon_sym_or] = ACTIONS(2737),
    [anon_sym_xor] = ACTIONS(2737),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(2739),
    [anon_sym_GT] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2737),
    [anon_sym_PLUS_EQ] = ACTIONS(2737),
    [anon_sym_DASH_EQ] = ACTIONS(2737),
    [anon_sym_DOT_EQ] = ACTIONS(2737),
    [anon_sym_STAR_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_PERCENT_EQ] = ACTIONS(2737),
    [anon_sym_x_EQ] = ACTIONS(2737),
    [anon_sym_AMP_EQ] = ACTIONS(2737),
    [anon_sym_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_CARET_EQ] = ACTIONS(2737),
    [anon_sym_LT_LT_EQ] = ACTIONS(2737),
    [anon_sym_GT_GT_EQ] = ACTIONS(2737),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2737),
    [anon_sym_DOT_DOT] = ACTIONS(2739),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_SLASH_SLASH] = ACTIONS(2739),
    [anon_sym_CARET_CARET] = ACTIONS(2737),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2739),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_AMP] = ACTIONS(2739),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2737),
    [anon_sym_eq] = ACTIONS(2739),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2737),
    [anon_sym_equ] = ACTIONS(2737),
    [anon_sym_eqr] = ACTIONS(2737),
    [anon_sym_ne] = ACTIONS(2737),
    [anon_sym_LT_EQ_GT] = ACTIONS(2737),
    [anon_sym_cmp] = ACTIONS(2737),
    [anon_sym_TILDE_TILDE] = ACTIONS(2737),
    [anon_sym_LT_EQ] = ACTIONS(2739),
    [anon_sym_GT_EQ] = ACTIONS(2737),
    [anon_sym_lt] = ACTIONS(2737),
    [anon_sym_le] = ACTIONS(2737),
    [anon_sym_ge] = ACTIONS(2737),
    [anon_sym_gt] = ACTIONS(2737),
    [anon_sym_isa] = ACTIONS(2737),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2737),
    [anon_sym_EQ_GT] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2737),
    [anon_sym___END__] = ACTIONS(2737),
    [anon_sym_EOT] = ACTIONS(2737),
    [sym__PERLY_SEMICOLON] = ACTIONS(2737),
    [sym__ctrl_z_hack] = ACTIONS(2737),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1301] = {
    [sym_heredoc_content] = STATE(1301),
    [anon_sym_SEMI] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(3209),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3211),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3211),
    [anon_sym_COMMA] = ACTIONS(2753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3215),
    [anon_sym_and] = ACTIONS(2753),
    [anon_sym_or] = ACTIONS(2753),
    [anon_sym_xor] = ACTIONS(2753),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_GT] = ACTIONS(3219),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3211),
    [anon_sym_PLUS_EQ] = ACTIONS(3211),
    [anon_sym_DASH_EQ] = ACTIONS(3211),
    [anon_sym_DOT_EQ] = ACTIONS(3211),
    [anon_sym_STAR_EQ] = ACTIONS(3211),
    [anon_sym_SLASH_EQ] = ACTIONS(3211),
    [anon_sym_PERCENT_EQ] = ACTIONS(3211),
    [anon_sym_x_EQ] = ACTIONS(3211),
    [anon_sym_AMP_EQ] = ACTIONS(3211),
    [anon_sym_PIPE_EQ] = ACTIONS(3211),
    [anon_sym_CARET_EQ] = ACTIONS(3211),
    [anon_sym_LT_LT_EQ] = ACTIONS(3211),
    [anon_sym_GT_GT_EQ] = ACTIONS(3211),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3211),
    [anon_sym_DOT_DOT] = ACTIONS(3223),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(3227),
    [anon_sym_SLASH_SLASH] = ACTIONS(3227),
    [anon_sym_CARET_CARET] = ACTIONS(3229),
    [anon_sym_AMP_AMP] = ACTIONS(3231),
    [anon_sym_PIPE] = ACTIONS(3233),
    [anon_sym_CARET] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(3241),
    [anon_sym_BANG_EQ] = ACTIONS(3243),
    [anon_sym_eq] = ACTIONS(3241),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3243),
    [anon_sym_equ] = ACTIONS(3243),
    [anon_sym_eqr] = ACTIONS(3243),
    [anon_sym_ne] = ACTIONS(3243),
    [anon_sym_LT_EQ_GT] = ACTIONS(3245),
    [anon_sym_cmp] = ACTIONS(3245),
    [anon_sym_TILDE_TILDE] = ACTIONS(3245),
    [anon_sym_LT_EQ] = ACTIONS(3219),
    [anon_sym_GT_EQ] = ACTIONS(3247),
    [anon_sym_lt] = ACTIONS(3247),
    [anon_sym_le] = ACTIONS(3247),
    [anon_sym_ge] = ACTIONS(3247),
    [anon_sym_gt] = ACTIONS(3247),
    [anon_sym_isa] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(3251),
    [anon_sym_EQ_GT] = ACTIONS(2753),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2753),
    [anon_sym___END__] = ACTIONS(2753),
    [anon_sym_EOT] = ACTIONS(2753),
    [sym__PERLY_SEMICOLON] = ACTIONS(2753),
    [sym__ctrl_z_hack] = ACTIONS(2753),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1302] = {
    [sym_heredoc_content] = STATE(1302),
    [anon_sym_SEMI] = ACTIONS(2917),
    [anon_sym_EQ] = ACTIONS(2919),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2917),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2917),
    [anon_sym_COMMA] = ACTIONS(2917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2917),
    [anon_sym_and] = ACTIONS(2917),
    [anon_sym_or] = ACTIONS(2917),
    [anon_sym_xor] = ACTIONS(2917),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(2919),
    [anon_sym_GT] = ACTIONS(2919),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2917),
    [anon_sym_PLUS_EQ] = ACTIONS(2917),
    [anon_sym_DASH_EQ] = ACTIONS(2917),
    [anon_sym_DOT_EQ] = ACTIONS(2917),
    [anon_sym_STAR_EQ] = ACTIONS(2917),
    [anon_sym_SLASH_EQ] = ACTIONS(2917),
    [anon_sym_PERCENT_EQ] = ACTIONS(2917),
    [anon_sym_x_EQ] = ACTIONS(2917),
    [anon_sym_AMP_EQ] = ACTIONS(2917),
    [anon_sym_PIPE_EQ] = ACTIONS(2917),
    [anon_sym_CARET_EQ] = ACTIONS(2917),
    [anon_sym_LT_LT_EQ] = ACTIONS(2917),
    [anon_sym_GT_GT_EQ] = ACTIONS(2917),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2917),
    [anon_sym_DOT_DOT] = ACTIONS(2919),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(2919),
    [anon_sym_SLASH_SLASH] = ACTIONS(2919),
    [anon_sym_CARET_CARET] = ACTIONS(2917),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_PIPE] = ACTIONS(2919),
    [anon_sym_CARET] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(2919),
    [anon_sym_BANG_EQ] = ACTIONS(2917),
    [anon_sym_eq] = ACTIONS(2919),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2917),
    [anon_sym_equ] = ACTIONS(2917),
    [anon_sym_eqr] = ACTIONS(2917),
    [anon_sym_ne] = ACTIONS(2917),
    [anon_sym_LT_EQ_GT] = ACTIONS(2917),
    [anon_sym_cmp] = ACTIONS(2917),
    [anon_sym_TILDE_TILDE] = ACTIONS(2917),
    [anon_sym_LT_EQ] = ACTIONS(2919),
    [anon_sym_GT_EQ] = ACTIONS(2917),
    [anon_sym_lt] = ACTIONS(2917),
    [anon_sym_le] = ACTIONS(2917),
    [anon_sym_ge] = ACTIONS(2917),
    [anon_sym_gt] = ACTIONS(2917),
    [anon_sym_isa] = ACTIONS(2917),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2917),
    [anon_sym_EQ_GT] = ACTIONS(2917),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2917),
    [anon_sym___END__] = ACTIONS(2917),
    [anon_sym_EOT] = ACTIONS(2917),
    [sym__PERLY_SEMICOLON] = ACTIONS(2917),
    [sym__ctrl_z_hack] = ACTIONS(2917),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1303] = {
    [sym_heredoc_content] = STATE(1303),
    [anon_sym_SEMI] = ACTIONS(3028),
    [anon_sym_EQ] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3028),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3028),
    [anon_sym_COMMA] = ACTIONS(3028),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3028),
    [anon_sym_and] = ACTIONS(3028),
    [anon_sym_or] = ACTIONS(3028),
    [anon_sym_xor] = ACTIONS(3028),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3030),
    [anon_sym_GT] = ACTIONS(3030),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3028),
    [anon_sym_PLUS_EQ] = ACTIONS(3028),
    [anon_sym_DASH_EQ] = ACTIONS(3028),
    [anon_sym_DOT_EQ] = ACTIONS(3028),
    [anon_sym_STAR_EQ] = ACTIONS(3028),
    [anon_sym_SLASH_EQ] = ACTIONS(3028),
    [anon_sym_PERCENT_EQ] = ACTIONS(3028),
    [anon_sym_x_EQ] = ACTIONS(3028),
    [anon_sym_AMP_EQ] = ACTIONS(3028),
    [anon_sym_PIPE_EQ] = ACTIONS(3028),
    [anon_sym_CARET_EQ] = ACTIONS(3028),
    [anon_sym_LT_LT_EQ] = ACTIONS(3028),
    [anon_sym_GT_GT_EQ] = ACTIONS(3028),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3028),
    [anon_sym_DOT_DOT] = ACTIONS(3030),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(3030),
    [anon_sym_SLASH_SLASH] = ACTIONS(3030),
    [anon_sym_CARET_CARET] = ACTIONS(3028),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_CARET] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3030),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(3030),
    [anon_sym_BANG_EQ] = ACTIONS(3028),
    [anon_sym_eq] = ACTIONS(3030),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3028),
    [anon_sym_equ] = ACTIONS(3028),
    [anon_sym_eqr] = ACTIONS(3028),
    [anon_sym_ne] = ACTIONS(3028),
    [anon_sym_LT_EQ_GT] = ACTIONS(3028),
    [anon_sym_cmp] = ACTIONS(3028),
    [anon_sym_TILDE_TILDE] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(3030),
    [anon_sym_GT_EQ] = ACTIONS(3028),
    [anon_sym_lt] = ACTIONS(3028),
    [anon_sym_le] = ACTIONS(3028),
    [anon_sym_ge] = ACTIONS(3028),
    [anon_sym_gt] = ACTIONS(3028),
    [anon_sym_isa] = ACTIONS(3028),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(3028),
    [anon_sym_EQ_GT] = ACTIONS(3028),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3028),
    [anon_sym___END__] = ACTIONS(3028),
    [anon_sym_EOT] = ACTIONS(3028),
    [sym__PERLY_SEMICOLON] = ACTIONS(3028),
    [sym__ctrl_z_hack] = ACTIONS(3028),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1304] = {
    [sym_heredoc_content] = STATE(1304),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_x] = ACTIONS(2687),
    [anon_sym_EQ_TILDE] = ACTIONS(2685),
    [anon_sym_BANG_TILDE] = ACTIONS(2685),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2685),
    [anon_sym___END__] = ACTIONS(2685),
    [anon_sym_EOT] = ACTIONS(2685),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym__ctrl_z_hack] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1305] = {
    [sym_heredoc_content] = STATE(1305),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3209),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3211),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3211),
    [anon_sym_COMMA] = ACTIONS(3154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3215),
    [anon_sym_and] = ACTIONS(3154),
    [anon_sym_or] = ACTIONS(3154),
    [anon_sym_xor] = ACTIONS(3154),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_GT] = ACTIONS(3219),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3211),
    [anon_sym_PLUS_EQ] = ACTIONS(3211),
    [anon_sym_DASH_EQ] = ACTIONS(3211),
    [anon_sym_DOT_EQ] = ACTIONS(3211),
    [anon_sym_STAR_EQ] = ACTIONS(3211),
    [anon_sym_SLASH_EQ] = ACTIONS(3211),
    [anon_sym_PERCENT_EQ] = ACTIONS(3211),
    [anon_sym_x_EQ] = ACTIONS(3211),
    [anon_sym_AMP_EQ] = ACTIONS(3211),
    [anon_sym_PIPE_EQ] = ACTIONS(3211),
    [anon_sym_CARET_EQ] = ACTIONS(3211),
    [anon_sym_LT_LT_EQ] = ACTIONS(3211),
    [anon_sym_GT_GT_EQ] = ACTIONS(3211),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3211),
    [anon_sym_DOT_DOT] = ACTIONS(3223),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(3227),
    [anon_sym_SLASH_SLASH] = ACTIONS(3227),
    [anon_sym_CARET_CARET] = ACTIONS(3229),
    [anon_sym_AMP_AMP] = ACTIONS(3231),
    [anon_sym_PIPE] = ACTIONS(3233),
    [anon_sym_CARET] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(3241),
    [anon_sym_BANG_EQ] = ACTIONS(3243),
    [anon_sym_eq] = ACTIONS(3241),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3243),
    [anon_sym_equ] = ACTIONS(3243),
    [anon_sym_eqr] = ACTIONS(3243),
    [anon_sym_ne] = ACTIONS(3243),
    [anon_sym_LT_EQ_GT] = ACTIONS(3245),
    [anon_sym_cmp] = ACTIONS(3245),
    [anon_sym_TILDE_TILDE] = ACTIONS(3245),
    [anon_sym_LT_EQ] = ACTIONS(3219),
    [anon_sym_GT_EQ] = ACTIONS(3247),
    [anon_sym_lt] = ACTIONS(3247),
    [anon_sym_le] = ACTIONS(3247),
    [anon_sym_ge] = ACTIONS(3247),
    [anon_sym_gt] = ACTIONS(3247),
    [anon_sym_isa] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(3251),
    [anon_sym_EQ_GT] = ACTIONS(3154),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3154),
    [anon_sym___END__] = ACTIONS(3154),
    [anon_sym_EOT] = ACTIONS(3154),
    [sym__PERLY_SEMICOLON] = ACTIONS(3154),
    [sym__ctrl_z_hack] = ACTIONS(3154),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1306] = {
    [sym_heredoc_content] = STATE(1306),
    [anon_sym_SEMI] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(2807),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2805),
    [anon_sym_and] = ACTIONS(2805),
    [anon_sym_or] = ACTIONS(2805),
    [anon_sym_xor] = ACTIONS(2805),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_GT] = ACTIONS(2807),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(2805),
    [anon_sym_DASH_EQ] = ACTIONS(2805),
    [anon_sym_DOT_EQ] = ACTIONS(2805),
    [anon_sym_STAR_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_PERCENT_EQ] = ACTIONS(2805),
    [anon_sym_x_EQ] = ACTIONS(2805),
    [anon_sym_AMP_EQ] = ACTIONS(2805),
    [anon_sym_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_CARET_EQ] = ACTIONS(2805),
    [anon_sym_LT_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT_GT_EQ] = ACTIONS(2805),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2805),
    [anon_sym_DOT_DOT] = ACTIONS(2807),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(2807),
    [anon_sym_SLASH_SLASH] = ACTIONS(2807),
    [anon_sym_CARET_CARET] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_PIPE] = ACTIONS(2807),
    [anon_sym_CARET] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(2807),
    [anon_sym_BANG_EQ] = ACTIONS(2805),
    [anon_sym_eq] = ACTIONS(2807),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2805),
    [anon_sym_equ] = ACTIONS(2805),
    [anon_sym_eqr] = ACTIONS(2805),
    [anon_sym_ne] = ACTIONS(2805),
    [anon_sym_LT_EQ_GT] = ACTIONS(2805),
    [anon_sym_cmp] = ACTIONS(2805),
    [anon_sym_TILDE_TILDE] = ACTIONS(2805),
    [anon_sym_LT_EQ] = ACTIONS(2807),
    [anon_sym_GT_EQ] = ACTIONS(2805),
    [anon_sym_lt] = ACTIONS(2805),
    [anon_sym_le] = ACTIONS(2805),
    [anon_sym_ge] = ACTIONS(2805),
    [anon_sym_gt] = ACTIONS(2805),
    [anon_sym_isa] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_EQ_GT] = ACTIONS(2805),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2805),
    [anon_sym___END__] = ACTIONS(2805),
    [anon_sym_EOT] = ACTIONS(2805),
    [sym__PERLY_SEMICOLON] = ACTIONS(2805),
    [sym__ctrl_z_hack] = ACTIONS(2805),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1307] = {
    [sym_heredoc_content] = STATE(1307),
    [anon_sym_SEMI] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_COMMA] = ACTIONS(3263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3040),
    [anon_sym_and] = ACTIONS(3040),
    [anon_sym_or] = ACTIONS(3040),
    [anon_sym_xor] = ACTIONS(3040),
    [anon_sym_DASH_GT] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3042),
    [anon_sym_LT] = ACTIONS(3042),
    [anon_sym_GT] = ACTIONS(3042),
    [anon_sym_LT_LT] = ACTIONS(3042),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3040),
    [anon_sym_DASH_EQ] = ACTIONS(3040),
    [anon_sym_DOT_EQ] = ACTIONS(3040),
    [anon_sym_STAR_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_PERCENT_EQ] = ACTIONS(3040),
    [anon_sym_x_EQ] = ACTIONS(3040),
    [anon_sym_AMP_EQ] = ACTIONS(3040),
    [anon_sym_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_CARET_EQ] = ACTIONS(3040),
    [anon_sym_LT_LT_EQ] = ACTIONS(3040),
    [anon_sym_GT_GT_EQ] = ACTIONS(3040),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3040),
    [anon_sym_DOT_DOT] = ACTIONS(3042),
    [anon_sym_STAR_STAR] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_SLASH_SLASH] = ACTIONS(3042),
    [anon_sym_CARET_CARET] = ACTIONS(3040),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_PIPE] = ACTIONS(3042),
    [anon_sym_CARET] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3042),
    [anon_sym_GT_GT2] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3042),
    [anon_sym_x] = ACTIONS(3042),
    [anon_sym_EQ_TILDE] = ACTIONS(3040),
    [anon_sym_BANG_TILDE] = ACTIONS(3040),
    [anon_sym_EQ_EQ] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_eq] = ACTIONS(3042),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3040),
    [anon_sym_equ] = ACTIONS(3040),
    [anon_sym_eqr] = ACTIONS(3040),
    [anon_sym_ne] = ACTIONS(3040),
    [anon_sym_LT_EQ_GT] = ACTIONS(3040),
    [anon_sym_cmp] = ACTIONS(3040),
    [anon_sym_TILDE_TILDE] = ACTIONS(3040),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3040),
    [anon_sym_lt] = ACTIONS(3040),
    [anon_sym_le] = ACTIONS(3040),
    [anon_sym_ge] = ACTIONS(3040),
    [anon_sym_gt] = ACTIONS(3040),
    [anon_sym_isa] = ACTIONS(3040),
    [anon_sym_PLUS_PLUS] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3040),
    [anon_sym_QMARK] = ACTIONS(3040),
    [anon_sym_EQ_GT] = ACTIONS(3263),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3040),
    [anon_sym___END__] = ACTIONS(3040),
    [anon_sym_EOT] = ACTIONS(3040),
    [sym__PERLY_SEMICOLON] = ACTIONS(3040),
    [sym__ctrl_z_hack] = ACTIONS(3040),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1308] = {
    [sym_heredoc_content] = STATE(1308),
    [anon_sym_SEMI] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_COMMA] = ACTIONS(2689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2689),
    [anon_sym_and] = ACTIONS(2689),
    [anon_sym_or] = ACTIONS(2689),
    [anon_sym_xor] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_GT] = ACTIONS(3219),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2689),
    [anon_sym_DASH_EQ] = ACTIONS(2689),
    [anon_sym_DOT_EQ] = ACTIONS(2689),
    [anon_sym_STAR_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_PERCENT_EQ] = ACTIONS(2689),
    [anon_sym_x_EQ] = ACTIONS(2689),
    [anon_sym_AMP_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_CARET_EQ] = ACTIONS(2689),
    [anon_sym_LT_LT_EQ] = ACTIONS(2689),
    [anon_sym_GT_GT_EQ] = ACTIONS(2689),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2691),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_SLASH_SLASH] = ACTIONS(2691),
    [anon_sym_CARET_CARET] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_PIPE] = ACTIONS(2691),
    [anon_sym_CARET] = ACTIONS(2691),
    [anon_sym_AMP] = ACTIONS(2691),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_eq] = ACTIONS(2691),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2689),
    [anon_sym_equ] = ACTIONS(2689),
    [anon_sym_eqr] = ACTIONS(2689),
    [anon_sym_ne] = ACTIONS(2689),
    [anon_sym_LT_EQ_GT] = ACTIONS(2689),
    [anon_sym_cmp] = ACTIONS(2689),
    [anon_sym_TILDE_TILDE] = ACTIONS(2689),
    [anon_sym_LT_EQ] = ACTIONS(3219),
    [anon_sym_GT_EQ] = ACTIONS(3247),
    [anon_sym_lt] = ACTIONS(3247),
    [anon_sym_le] = ACTIONS(3247),
    [anon_sym_ge] = ACTIONS(3247),
    [anon_sym_gt] = ACTIONS(3247),
    [anon_sym_isa] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2689),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2689),
    [anon_sym___END__] = ACTIONS(2689),
    [anon_sym_EOT] = ACTIONS(2689),
    [sym__PERLY_SEMICOLON] = ACTIONS(2689),
    [sym__ctrl_z_hack] = ACTIONS(2689),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1309] = {
    [sym_heredoc_content] = STATE(1309),
    [anon_sym_SEMI] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_COMMA] = ACTIONS(2689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2689),
    [anon_sym_and] = ACTIONS(2689),
    [anon_sym_or] = ACTIONS(2689),
    [anon_sym_xor] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_GT] = ACTIONS(3219),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2689),
    [anon_sym_DASH_EQ] = ACTIONS(2689),
    [anon_sym_DOT_EQ] = ACTIONS(2689),
    [anon_sym_STAR_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_PERCENT_EQ] = ACTIONS(2689),
    [anon_sym_x_EQ] = ACTIONS(2689),
    [anon_sym_AMP_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_CARET_EQ] = ACTIONS(2689),
    [anon_sym_LT_LT_EQ] = ACTIONS(2689),
    [anon_sym_GT_GT_EQ] = ACTIONS(2689),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2691),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_SLASH_SLASH] = ACTIONS(2691),
    [anon_sym_CARET_CARET] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_PIPE] = ACTIONS(2691),
    [anon_sym_CARET] = ACTIONS(2691),
    [anon_sym_AMP] = ACTIONS(2691),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(3241),
    [anon_sym_BANG_EQ] = ACTIONS(3243),
    [anon_sym_eq] = ACTIONS(3241),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3243),
    [anon_sym_equ] = ACTIONS(3243),
    [anon_sym_eqr] = ACTIONS(3243),
    [anon_sym_ne] = ACTIONS(3243),
    [anon_sym_LT_EQ_GT] = ACTIONS(3265),
    [anon_sym_cmp] = ACTIONS(3265),
    [anon_sym_TILDE_TILDE] = ACTIONS(3265),
    [anon_sym_LT_EQ] = ACTIONS(3219),
    [anon_sym_GT_EQ] = ACTIONS(3247),
    [anon_sym_lt] = ACTIONS(3247),
    [anon_sym_le] = ACTIONS(3247),
    [anon_sym_ge] = ACTIONS(3247),
    [anon_sym_gt] = ACTIONS(3247),
    [anon_sym_isa] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2689),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2689),
    [anon_sym___END__] = ACTIONS(2689),
    [anon_sym_EOT] = ACTIONS(2689),
    [sym__PERLY_SEMICOLON] = ACTIONS(2689),
    [sym__ctrl_z_hack] = ACTIONS(2689),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1310] = {
    [sym_heredoc_content] = STATE(1310),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3267),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_GT] = ACTIONS(3219),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(3269),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(3227),
    [anon_sym_SLASH_SLASH] = ACTIONS(3227),
    [anon_sym_CARET_CARET] = ACTIONS(3229),
    [anon_sym_AMP_AMP] = ACTIONS(3231),
    [anon_sym_PIPE] = ACTIONS(3233),
    [anon_sym_CARET] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(3241),
    [anon_sym_BANG_EQ] = ACTIONS(3243),
    [anon_sym_eq] = ACTIONS(3241),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3243),
    [anon_sym_equ] = ACTIONS(3243),
    [anon_sym_eqr] = ACTIONS(3243),
    [anon_sym_ne] = ACTIONS(3243),
    [anon_sym_LT_EQ_GT] = ACTIONS(3245),
    [anon_sym_cmp] = ACTIONS(3245),
    [anon_sym_TILDE_TILDE] = ACTIONS(3245),
    [anon_sym_LT_EQ] = ACTIONS(3219),
    [anon_sym_GT_EQ] = ACTIONS(3247),
    [anon_sym_lt] = ACTIONS(3247),
    [anon_sym_le] = ACTIONS(3247),
    [anon_sym_ge] = ACTIONS(3247),
    [anon_sym_gt] = ACTIONS(3247),
    [anon_sym_isa] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2685),
    [anon_sym___END__] = ACTIONS(2685),
    [anon_sym_EOT] = ACTIONS(2685),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym__ctrl_z_hack] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1311] = {
    [sym_heredoc_content] = STATE(1311),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_x] = ACTIONS(2687),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2685),
    [anon_sym___END__] = ACTIONS(2685),
    [anon_sym_EOT] = ACTIONS(2685),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym__ctrl_z_hack] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1312] = {
    [sym_heredoc_content] = STATE(1312),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_COMMA] = ACTIONS(3054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3054),
    [anon_sym_and] = ACTIONS(3054),
    [anon_sym_or] = ACTIONS(3054),
    [anon_sym_xor] = ACTIONS(3054),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_GT] = ACTIONS(3219),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_DOT_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_x_EQ] = ACTIONS(3054),
    [anon_sym_AMP_EQ] = ACTIONS(3054),
    [anon_sym_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_CARET_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT_EQ] = ACTIONS(3054),
    [anon_sym_GT_GT_EQ] = ACTIONS(3054),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(3056),
    [anon_sym_SLASH_SLASH] = ACTIONS(3056),
    [anon_sym_CARET_CARET] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3056),
    [anon_sym_PIPE] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_eq] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_equ] = ACTIONS(3054),
    [anon_sym_eqr] = ACTIONS(3054),
    [anon_sym_ne] = ACTIONS(3054),
    [anon_sym_LT_EQ_GT] = ACTIONS(3054),
    [anon_sym_cmp] = ACTIONS(3054),
    [anon_sym_TILDE_TILDE] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3219),
    [anon_sym_GT_EQ] = ACTIONS(3247),
    [anon_sym_lt] = ACTIONS(3247),
    [anon_sym_le] = ACTIONS(3247),
    [anon_sym_ge] = ACTIONS(3247),
    [anon_sym_gt] = ACTIONS(3247),
    [anon_sym_isa] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(3054),
    [anon_sym_EQ_GT] = ACTIONS(3054),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3054),
    [anon_sym___END__] = ACTIONS(3054),
    [anon_sym_EOT] = ACTIONS(3054),
    [sym__PERLY_SEMICOLON] = ACTIONS(3054),
    [sym__ctrl_z_hack] = ACTIONS(3054),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1313] = {
    [sym_heredoc_content] = STATE(1313),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_COMMA] = ACTIONS(3054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3054),
    [anon_sym_and] = ACTIONS(3054),
    [anon_sym_or] = ACTIONS(3054),
    [anon_sym_xor] = ACTIONS(3054),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_DOT_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_x_EQ] = ACTIONS(3054),
    [anon_sym_AMP_EQ] = ACTIONS(3054),
    [anon_sym_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_CARET_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT_EQ] = ACTIONS(3054),
    [anon_sym_GT_GT_EQ] = ACTIONS(3054),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(3056),
    [anon_sym_SLASH_SLASH] = ACTIONS(3056),
    [anon_sym_CARET_CARET] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3056),
    [anon_sym_PIPE] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_eq] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_equ] = ACTIONS(3054),
    [anon_sym_eqr] = ACTIONS(3054),
    [anon_sym_ne] = ACTIONS(3054),
    [anon_sym_LT_EQ_GT] = ACTIONS(3054),
    [anon_sym_cmp] = ACTIONS(3054),
    [anon_sym_TILDE_TILDE] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_lt] = ACTIONS(3054),
    [anon_sym_le] = ACTIONS(3054),
    [anon_sym_ge] = ACTIONS(3054),
    [anon_sym_gt] = ACTIONS(3054),
    [anon_sym_isa] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(3054),
    [anon_sym_EQ_GT] = ACTIONS(3054),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3054),
    [anon_sym___END__] = ACTIONS(3054),
    [anon_sym_EOT] = ACTIONS(3054),
    [sym__PERLY_SEMICOLON] = ACTIONS(3054),
    [sym__ctrl_z_hack] = ACTIONS(3054),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1314] = {
    [sym_heredoc_content] = STATE(1314),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2685),
    [anon_sym___END__] = ACTIONS(2685),
    [anon_sym_EOT] = ACTIONS(2685),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym__ctrl_z_hack] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1315] = {
    [sym_heredoc_content] = STATE(1315),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_RBRACE] = ACTIONS(1759),
    [anon_sym_SEMI] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(1759),
    [anon_sym_RPAREN] = ACTIONS(1759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1759),
    [anon_sym_and] = ACTIONS(1759),
    [anon_sym_or] = ACTIONS(1759),
    [anon_sym_xor] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_RBRACK] = ACTIONS(1759),
    [anon_sym_DASH_GT] = ACTIONS(1759),
    [anon_sym_PERCENT] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1759),
    [anon_sym_PLUS_EQ] = ACTIONS(1759),
    [anon_sym_DASH_EQ] = ACTIONS(1759),
    [anon_sym_DOT_EQ] = ACTIONS(1759),
    [anon_sym_STAR_EQ] = ACTIONS(1759),
    [anon_sym_SLASH_EQ] = ACTIONS(1759),
    [anon_sym_PERCENT_EQ] = ACTIONS(1759),
    [anon_sym_x_EQ] = ACTIONS(1759),
    [anon_sym_AMP_EQ] = ACTIONS(1759),
    [anon_sym_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_CARET_EQ] = ACTIONS(1759),
    [anon_sym_LT_LT_EQ] = ACTIONS(1759),
    [anon_sym_GT_GT_EQ] = ACTIONS(1759),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1759),
    [anon_sym_DOT_DOT] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH] = ACTIONS(1755),
    [anon_sym_CARET_CARET] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_GT_GT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1755),
    [anon_sym_x] = ACTIONS(1755),
    [anon_sym_EQ_TILDE] = ACTIONS(1759),
    [anon_sym_BANG_TILDE] = ACTIONS(1759),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1759),
    [anon_sym_eq] = ACTIONS(1755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1759),
    [anon_sym_equ] = ACTIONS(1759),
    [anon_sym_eqr] = ACTIONS(1759),
    [anon_sym_ne] = ACTIONS(1759),
    [anon_sym_LT_EQ_GT] = ACTIONS(1759),
    [anon_sym_cmp] = ACTIONS(1759),
    [anon_sym_TILDE_TILDE] = ACTIONS(1759),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1759),
    [anon_sym_lt] = ACTIONS(1759),
    [anon_sym_le] = ACTIONS(1759),
    [anon_sym_ge] = ACTIONS(1759),
    [anon_sym_gt] = ACTIONS(1759),
    [anon_sym_isa] = ACTIONS(1759),
    [anon_sym_PLUS_PLUS] = ACTIONS(1759),
    [anon_sym_DASH_DASH] = ACTIONS(1759),
    [anon_sym_QMARK] = ACTIONS(1759),
    [anon_sym_EQ_GT] = ACTIONS(1759),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1316] = {
    [sym_heredoc_content] = STATE(1316),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_RBRACE] = ACTIONS(2424),
    [anon_sym_SEMI] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(2424),
    [anon_sym_RPAREN] = ACTIONS(2424),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2424),
    [anon_sym_and] = ACTIONS(2424),
    [anon_sym_or] = ACTIONS(2424),
    [anon_sym_xor] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym_RBRACK] = ACTIONS(2424),
    [anon_sym_DASH_GT] = ACTIONS(2424),
    [anon_sym_PERCENT] = ACTIONS(2426),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_GT] = ACTIONS(2426),
    [anon_sym_LT_LT] = ACTIONS(2426),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(2424),
    [anon_sym_DASH_EQ] = ACTIONS(2424),
    [anon_sym_DOT_EQ] = ACTIONS(2424),
    [anon_sym_STAR_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_PERCENT_EQ] = ACTIONS(2424),
    [anon_sym_x_EQ] = ACTIONS(2424),
    [anon_sym_AMP_EQ] = ACTIONS(2424),
    [anon_sym_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_CARET_EQ] = ACTIONS(2424),
    [anon_sym_LT_LT_EQ] = ACTIONS(2424),
    [anon_sym_GT_GT_EQ] = ACTIONS(2424),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2424),
    [anon_sym_DOT_DOT] = ACTIONS(2426),
    [anon_sym_STAR_STAR] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH] = ACTIONS(2426),
    [anon_sym_CARET_CARET] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_PIPE] = ACTIONS(2426),
    [anon_sym_CARET] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_GT_GT2] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_DOT] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_SLASH] = ACTIONS(2426),
    [anon_sym_x] = ACTIONS(2426),
    [anon_sym_EQ_TILDE] = ACTIONS(2424),
    [anon_sym_BANG_TILDE] = ACTIONS(2424),
    [anon_sym_EQ_EQ] = ACTIONS(2426),
    [anon_sym_BANG_EQ] = ACTIONS(2424),
    [anon_sym_eq] = ACTIONS(2426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2424),
    [anon_sym_equ] = ACTIONS(2424),
    [anon_sym_eqr] = ACTIONS(2424),
    [anon_sym_ne] = ACTIONS(2424),
    [anon_sym_LT_EQ_GT] = ACTIONS(2424),
    [anon_sym_cmp] = ACTIONS(2424),
    [anon_sym_TILDE_TILDE] = ACTIONS(2424),
    [anon_sym_LT_EQ] = ACTIONS(2426),
    [anon_sym_GT_EQ] = ACTIONS(2424),
    [anon_sym_lt] = ACTIONS(2424),
    [anon_sym_le] = ACTIONS(2424),
    [anon_sym_ge] = ACTIONS(2424),
    [anon_sym_gt] = ACTIONS(2424),
    [anon_sym_isa] = ACTIONS(2424),
    [anon_sym_PLUS_PLUS] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(2424),
    [anon_sym_EQ_GT] = ACTIONS(2424),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1317] = {
    [sym_heredoc_content] = STATE(1317),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_COMMA] = ACTIONS(3142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3215),
    [anon_sym_and] = ACTIONS(3142),
    [anon_sym_or] = ACTIONS(3142),
    [anon_sym_xor] = ACTIONS(3142),
    [anon_sym_DASH_GT] = ACTIONS(2484),
    [anon_sym_PERCENT] = ACTIONS(3217),
    [anon_sym_LT] = ACTIONS(3219),
    [anon_sym_GT] = ACTIONS(3219),
    [anon_sym_LT_LT] = ACTIONS(3221),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3142),
    [anon_sym_DASH_EQ] = ACTIONS(3142),
    [anon_sym_DOT_EQ] = ACTIONS(3142),
    [anon_sym_STAR_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_PERCENT_EQ] = ACTIONS(3142),
    [anon_sym_x_EQ] = ACTIONS(3142),
    [anon_sym_AMP_EQ] = ACTIONS(3142),
    [anon_sym_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_CARET_EQ] = ACTIONS(3142),
    [anon_sym_LT_LT_EQ] = ACTIONS(3142),
    [anon_sym_GT_GT_EQ] = ACTIONS(3142),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3142),
    [anon_sym_DOT_DOT] = ACTIONS(3223),
    [anon_sym_STAR_STAR] = ACTIONS(3225),
    [anon_sym_PIPE_PIPE] = ACTIONS(3227),
    [anon_sym_SLASH_SLASH] = ACTIONS(3227),
    [anon_sym_CARET_CARET] = ACTIONS(3229),
    [anon_sym_AMP_AMP] = ACTIONS(3231),
    [anon_sym_PIPE] = ACTIONS(3233),
    [anon_sym_CARET] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3235),
    [anon_sym_GT_GT2] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_DOT] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3217),
    [anon_sym_SLASH] = ACTIONS(3217),
    [anon_sym_x] = ACTIONS(3217),
    [anon_sym_EQ_TILDE] = ACTIONS(3239),
    [anon_sym_BANG_TILDE] = ACTIONS(3239),
    [anon_sym_EQ_EQ] = ACTIONS(3241),
    [anon_sym_BANG_EQ] = ACTIONS(3243),
    [anon_sym_eq] = ACTIONS(3241),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3243),
    [anon_sym_equ] = ACTIONS(3243),
    [anon_sym_eqr] = ACTIONS(3243),
    [anon_sym_ne] = ACTIONS(3243),
    [anon_sym_LT_EQ_GT] = ACTIONS(3245),
    [anon_sym_cmp] = ACTIONS(3245),
    [anon_sym_TILDE_TILDE] = ACTIONS(3245),
    [anon_sym_LT_EQ] = ACTIONS(3219),
    [anon_sym_GT_EQ] = ACTIONS(3247),
    [anon_sym_lt] = ACTIONS(3247),
    [anon_sym_le] = ACTIONS(3247),
    [anon_sym_ge] = ACTIONS(3247),
    [anon_sym_gt] = ACTIONS(3247),
    [anon_sym_isa] = ACTIONS(3249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2520),
    [anon_sym_QMARK] = ACTIONS(3251),
    [anon_sym_EQ_GT] = ACTIONS(3142),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3142),
    [anon_sym___END__] = ACTIONS(3142),
    [anon_sym_EOT] = ACTIONS(3142),
    [sym__PERLY_SEMICOLON] = ACTIONS(3142),
    [sym__ctrl_z_hack] = ACTIONS(3142),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1318] = {
    [sym_heredoc_content] = STATE(1318),
    [anon_sym_RBRACE] = ACTIONS(2412),
    [anon_sym_SEMI] = ACTIONS(2412),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_RPAREN] = ACTIONS(2412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2412),
    [anon_sym_and] = ACTIONS(2412),
    [anon_sym_or] = ACTIONS(2412),
    [anon_sym_xor] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2412),
    [anon_sym_RBRACK] = ACTIONS(2412),
    [anon_sym_DASH_GT] = ACTIONS(2412),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_GT] = ACTIONS(2414),
    [anon_sym_LT_LT] = ACTIONS(2414),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2412),
    [anon_sym_PLUS_EQ] = ACTIONS(2412),
    [anon_sym_DASH_EQ] = ACTIONS(2412),
    [anon_sym_DOT_EQ] = ACTIONS(2412),
    [anon_sym_STAR_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_PERCENT_EQ] = ACTIONS(2412),
    [anon_sym_x_EQ] = ACTIONS(2412),
    [anon_sym_AMP_EQ] = ACTIONS(2412),
    [anon_sym_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_CARET_EQ] = ACTIONS(2412),
    [anon_sym_LT_LT_EQ] = ACTIONS(2412),
    [anon_sym_GT_GT_EQ] = ACTIONS(2412),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2414),
    [anon_sym_STAR_STAR] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH] = ACTIONS(2414),
    [anon_sym_CARET_CARET] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_PIPE] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_GT_GT2] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_SLASH] = ACTIONS(2414),
    [anon_sym_x] = ACTIONS(2414),
    [anon_sym_EQ_TILDE] = ACTIONS(2412),
    [anon_sym_BANG_TILDE] = ACTIONS(2412),
    [anon_sym_EQ_EQ] = ACTIONS(2414),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_eq] = ACTIONS(2414),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2412),
    [anon_sym_equ] = ACTIONS(2412),
    [anon_sym_eqr] = ACTIONS(2412),
    [anon_sym_ne] = ACTIONS(2412),
    [anon_sym_LT_EQ_GT] = ACTIONS(2412),
    [anon_sym_cmp] = ACTIONS(2414),
    [anon_sym_TILDE_TILDE] = ACTIONS(2412),
    [anon_sym_LT_EQ] = ACTIONS(2414),
    [anon_sym_GT_EQ] = ACTIONS(2412),
    [anon_sym_lt] = ACTIONS(2412),
    [anon_sym_le] = ACTIONS(2412),
    [anon_sym_ge] = ACTIONS(2412),
    [anon_sym_gt] = ACTIONS(2412),
    [anon_sym_isa] = ACTIONS(2412),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_QMARK] = ACTIONS(2412),
    [anon_sym_EQ_GT] = ACTIONS(2412),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(2412),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1319] = {
    [sym_heredoc_content] = STATE(1319),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_RBRACE] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym_EQ] = ACTIONS(2420),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_RPAREN] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2418),
    [anon_sym_and] = ACTIONS(2418),
    [anon_sym_or] = ACTIONS(2418),
    [anon_sym_xor] = ACTIONS(2418),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_RBRACK] = ACTIONS(2418),
    [anon_sym_DASH_GT] = ACTIONS(2418),
    [anon_sym_PERCENT] = ACTIONS(2420),
    [anon_sym_LT] = ACTIONS(2420),
    [anon_sym_GT] = ACTIONS(2420),
    [anon_sym_LT_LT] = ACTIONS(2420),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2418),
    [anon_sym_PLUS_EQ] = ACTIONS(2418),
    [anon_sym_DASH_EQ] = ACTIONS(2418),
    [anon_sym_DOT_EQ] = ACTIONS(2418),
    [anon_sym_STAR_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_PERCENT_EQ] = ACTIONS(2418),
    [anon_sym_x_EQ] = ACTIONS(2418),
    [anon_sym_AMP_EQ] = ACTIONS(2418),
    [anon_sym_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_CARET_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT_EQ] = ACTIONS(2418),
    [anon_sym_GT_GT_EQ] = ACTIONS(2418),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(2420),
    [anon_sym_STAR_STAR] = ACTIONS(2420),
    [anon_sym_PIPE_PIPE] = ACTIONS(2420),
    [anon_sym_SLASH_SLASH] = ACTIONS(2420),
    [anon_sym_CARET_CARET] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2420),
    [anon_sym_PIPE] = ACTIONS(2420),
    [anon_sym_CARET] = ACTIONS(2420),
    [anon_sym_AMP] = ACTIONS(2420),
    [anon_sym_GT_GT2] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_DOT] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2420),
    [anon_sym_SLASH] = ACTIONS(2420),
    [anon_sym_x] = ACTIONS(2420),
    [anon_sym_EQ_TILDE] = ACTIONS(2418),
    [anon_sym_BANG_TILDE] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2420),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_eq] = ACTIONS(2420),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_equ] = ACTIONS(2418),
    [anon_sym_eqr] = ACTIONS(2418),
    [anon_sym_ne] = ACTIONS(2418),
    [anon_sym_LT_EQ_GT] = ACTIONS(2418),
    [anon_sym_cmp] = ACTIONS(2418),
    [anon_sym_TILDE_TILDE] = ACTIONS(2418),
    [anon_sym_LT_EQ] = ACTIONS(2420),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_lt] = ACTIONS(2418),
    [anon_sym_le] = ACTIONS(2418),
    [anon_sym_ge] = ACTIONS(2418),
    [anon_sym_gt] = ACTIONS(2418),
    [anon_sym_isa] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_QMARK] = ACTIONS(2418),
    [anon_sym_EQ_GT] = ACTIONS(2418),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1320] = {
    [sym_heredoc_content] = STATE(1320),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym_COLON] = ACTIONS(1403),
    [anon_sym_DOLLAR] = ACTIONS(1403),
    [anon_sym_EQ] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1403),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1403),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_COMMA] = ACTIONS(1403),
    [anon_sym_RPAREN] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_DASH_GT] = ACTIONS(1403),
    [anon_sym_PERCENT] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1405),
    [anon_sym_GT] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1403),
    [anon_sym_PLUS_EQ] = ACTIONS(1403),
    [anon_sym_DASH_EQ] = ACTIONS(1403),
    [anon_sym_DOT_EQ] = ACTIONS(1403),
    [anon_sym_STAR_EQ] = ACTIONS(1403),
    [anon_sym_SLASH_EQ] = ACTIONS(1403),
    [anon_sym_PERCENT_EQ] = ACTIONS(1405),
    [anon_sym_x_EQ] = ACTIONS(1403),
    [anon_sym_AMP_EQ] = ACTIONS(1403),
    [anon_sym_PIPE_EQ] = ACTIONS(1403),
    [anon_sym_CARET_EQ] = ACTIONS(1403),
    [anon_sym_LT_LT_EQ] = ACTIONS(1403),
    [anon_sym_GT_GT_EQ] = ACTIONS(1403),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1403),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_STAR_STAR] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH] = ACTIONS(1405),
    [anon_sym_CARET_CARET] = ACTIONS(1403),
    [anon_sym_AMP_AMP] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_GT_GT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1405),
    [anon_sym_DOT] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1405),
    [anon_sym_x] = ACTIONS(1405),
    [anon_sym_EQ_TILDE] = ACTIONS(1403),
    [anon_sym_BANG_TILDE] = ACTIONS(1403),
    [anon_sym_EQ_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1403),
    [anon_sym_eq] = ACTIONS(1405),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1403),
    [anon_sym_equ] = ACTIONS(1403),
    [anon_sym_eqr] = ACTIONS(1403),
    [anon_sym_ne] = ACTIONS(1403),
    [anon_sym_LT_EQ_GT] = ACTIONS(1403),
    [anon_sym_cmp] = ACTIONS(1403),
    [anon_sym_TILDE_TILDE] = ACTIONS(1403),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1403),
    [anon_sym_lt] = ACTIONS(1403),
    [anon_sym_le] = ACTIONS(1403),
    [anon_sym_ge] = ACTIONS(1403),
    [anon_sym_gt] = ACTIONS(1403),
    [anon_sym_isa] = ACTIONS(1403),
    [anon_sym_PLUS_PLUS] = ACTIONS(1403),
    [anon_sym_DASH_DASH] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(1403),
    [anon_sym_PERCENT2] = ACTIONS(1403),
    [anon_sym_EQ_GT] = ACTIONS(1403),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1321] = {
    [sym_heredoc_content] = STATE(1321),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_COLON] = ACTIONS(2622),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_EQ] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2622),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2622),
    [anon_sym_COMMA] = ACTIONS(2622),
    [anon_sym_RPAREN] = ACTIONS(2622),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2622),
    [anon_sym_and] = ACTIONS(2622),
    [anon_sym_or] = ACTIONS(2622),
    [anon_sym_xor] = ACTIONS(2622),
    [anon_sym_RBRACK] = ACTIONS(2622),
    [anon_sym_DASH_GT] = ACTIONS(2622),
    [anon_sym_PERCENT] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2624),
    [anon_sym_GT] = ACTIONS(2624),
    [anon_sym_LT_LT] = ACTIONS(2624),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2622),
    [anon_sym_PLUS_EQ] = ACTIONS(2622),
    [anon_sym_DASH_EQ] = ACTIONS(2622),
    [anon_sym_DOT_EQ] = ACTIONS(2622),
    [anon_sym_STAR_EQ] = ACTIONS(2622),
    [anon_sym_SLASH_EQ] = ACTIONS(2622),
    [anon_sym_PERCENT_EQ] = ACTIONS(2622),
    [anon_sym_x_EQ] = ACTIONS(2622),
    [anon_sym_AMP_EQ] = ACTIONS(2622),
    [anon_sym_PIPE_EQ] = ACTIONS(2622),
    [anon_sym_CARET_EQ] = ACTIONS(2622),
    [anon_sym_LT_LT_EQ] = ACTIONS(2622),
    [anon_sym_GT_GT_EQ] = ACTIONS(2622),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2622),
    [anon_sym_DOT_DOT] = ACTIONS(2624),
    [anon_sym_STAR_STAR] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE] = ACTIONS(2624),
    [anon_sym_SLASH_SLASH] = ACTIONS(2624),
    [anon_sym_CARET_CARET] = ACTIONS(2622),
    [anon_sym_AMP_AMP] = ACTIONS(2624),
    [anon_sym_PIPE] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_GT_GT2] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_DOT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_SLASH] = ACTIONS(2624),
    [anon_sym_x] = ACTIONS(2624),
    [anon_sym_EQ_TILDE] = ACTIONS(2622),
    [anon_sym_BANG_TILDE] = ACTIONS(2622),
    [anon_sym_EQ_EQ] = ACTIONS(2624),
    [anon_sym_BANG_EQ] = ACTIONS(2622),
    [anon_sym_eq] = ACTIONS(2624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2622),
    [anon_sym_equ] = ACTIONS(2622),
    [anon_sym_eqr] = ACTIONS(2622),
    [anon_sym_ne] = ACTIONS(2622),
    [anon_sym_LT_EQ_GT] = ACTIONS(2622),
    [anon_sym_cmp] = ACTIONS(2622),
    [anon_sym_TILDE_TILDE] = ACTIONS(2622),
    [anon_sym_LT_EQ] = ACTIONS(2624),
    [anon_sym_GT_EQ] = ACTIONS(2622),
    [anon_sym_lt] = ACTIONS(2622),
    [anon_sym_le] = ACTIONS(2622),
    [anon_sym_ge] = ACTIONS(2622),
    [anon_sym_gt] = ACTIONS(2622),
    [anon_sym_isa] = ACTIONS(2622),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_QMARK] = ACTIONS(2622),
    [anon_sym_EQ_GT] = ACTIONS(2622),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1322] = {
    [sym_heredoc_content] = STATE(1322),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_COLON] = ACTIONS(2550),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym_EQ] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2550),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2550),
    [anon_sym_COMMA] = ACTIONS(2550),
    [anon_sym_RPAREN] = ACTIONS(2550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2550),
    [anon_sym_and] = ACTIONS(2550),
    [anon_sym_or] = ACTIONS(2550),
    [anon_sym_xor] = ACTIONS(2550),
    [anon_sym_RBRACK] = ACTIONS(2550),
    [anon_sym_DASH_GT] = ACTIONS(2550),
    [anon_sym_PERCENT] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(2552),
    [anon_sym_GT] = ACTIONS(2552),
    [anon_sym_LT_LT] = ACTIONS(2552),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2550),
    [anon_sym_PLUS_EQ] = ACTIONS(2550),
    [anon_sym_DASH_EQ] = ACTIONS(2550),
    [anon_sym_DOT_EQ] = ACTIONS(2550),
    [anon_sym_STAR_EQ] = ACTIONS(2550),
    [anon_sym_SLASH_EQ] = ACTIONS(2550),
    [anon_sym_PERCENT_EQ] = ACTIONS(2550),
    [anon_sym_x_EQ] = ACTIONS(2550),
    [anon_sym_AMP_EQ] = ACTIONS(2550),
    [anon_sym_PIPE_EQ] = ACTIONS(2550),
    [anon_sym_CARET_EQ] = ACTIONS(2550),
    [anon_sym_LT_LT_EQ] = ACTIONS(2550),
    [anon_sym_GT_GT_EQ] = ACTIONS(2550),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2550),
    [anon_sym_DOT_DOT] = ACTIONS(2552),
    [anon_sym_STAR_STAR] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE] = ACTIONS(2552),
    [anon_sym_SLASH_SLASH] = ACTIONS(2552),
    [anon_sym_CARET_CARET] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2552),
    [anon_sym_PIPE] = ACTIONS(2552),
    [anon_sym_CARET] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_GT_GT2] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_SLASH] = ACTIONS(2552),
    [anon_sym_x] = ACTIONS(2552),
    [anon_sym_EQ_TILDE] = ACTIONS(2550),
    [anon_sym_BANG_TILDE] = ACTIONS(2550),
    [anon_sym_EQ_EQ] = ACTIONS(2552),
    [anon_sym_BANG_EQ] = ACTIONS(2550),
    [anon_sym_eq] = ACTIONS(2552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2550),
    [anon_sym_equ] = ACTIONS(2550),
    [anon_sym_eqr] = ACTIONS(2550),
    [anon_sym_ne] = ACTIONS(2550),
    [anon_sym_LT_EQ_GT] = ACTIONS(2550),
    [anon_sym_cmp] = ACTIONS(2550),
    [anon_sym_TILDE_TILDE] = ACTIONS(2550),
    [anon_sym_LT_EQ] = ACTIONS(2552),
    [anon_sym_GT_EQ] = ACTIONS(2550),
    [anon_sym_lt] = ACTIONS(2550),
    [anon_sym_le] = ACTIONS(2550),
    [anon_sym_ge] = ACTIONS(2550),
    [anon_sym_gt] = ACTIONS(2550),
    [anon_sym_isa] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_QMARK] = ACTIONS(2550),
    [anon_sym_EQ_GT] = ACTIONS(2550),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1323] = {
    [sym_heredoc_content] = STATE(1323),
    [anon_sym_RBRACE] = ACTIONS(2554),
    [anon_sym_COLON] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym_EQ] = ACTIONS(2556),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2554),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2554),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_RPAREN] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2554),
    [anon_sym_and] = ACTIONS(2554),
    [anon_sym_or] = ACTIONS(2554),
    [anon_sym_xor] = ACTIONS(2554),
    [anon_sym_RBRACK] = ACTIONS(2554),
    [anon_sym_DASH_GT] = ACTIONS(2554),
    [anon_sym_PERCENT] = ACTIONS(2556),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_GT] = ACTIONS(2556),
    [anon_sym_LT_LT] = ACTIONS(2556),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2554),
    [anon_sym_PLUS_EQ] = ACTIONS(2554),
    [anon_sym_DASH_EQ] = ACTIONS(2554),
    [anon_sym_DOT_EQ] = ACTIONS(2554),
    [anon_sym_STAR_EQ] = ACTIONS(2554),
    [anon_sym_SLASH_EQ] = ACTIONS(2554),
    [anon_sym_PERCENT_EQ] = ACTIONS(2554),
    [anon_sym_x_EQ] = ACTIONS(2554),
    [anon_sym_AMP_EQ] = ACTIONS(2554),
    [anon_sym_PIPE_EQ] = ACTIONS(2554),
    [anon_sym_CARET_EQ] = ACTIONS(2554),
    [anon_sym_LT_LT_EQ] = ACTIONS(2554),
    [anon_sym_GT_GT_EQ] = ACTIONS(2554),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2554),
    [anon_sym_DOT_DOT] = ACTIONS(2556),
    [anon_sym_STAR_STAR] = ACTIONS(2556),
    [anon_sym_PIPE_PIPE] = ACTIONS(2556),
    [anon_sym_SLASH_SLASH] = ACTIONS(2556),
    [anon_sym_CARET_CARET] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2556),
    [anon_sym_PIPE] = ACTIONS(2556),
    [anon_sym_CARET] = ACTIONS(2556),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_GT_GT2] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_DOT] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2556),
    [anon_sym_SLASH] = ACTIONS(2556),
    [anon_sym_x] = ACTIONS(2556),
    [anon_sym_EQ_TILDE] = ACTIONS(2554),
    [anon_sym_BANG_TILDE] = ACTIONS(2554),
    [anon_sym_EQ_EQ] = ACTIONS(2556),
    [anon_sym_BANG_EQ] = ACTIONS(2554),
    [anon_sym_eq] = ACTIONS(2556),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2554),
    [anon_sym_equ] = ACTIONS(2554),
    [anon_sym_eqr] = ACTIONS(2554),
    [anon_sym_ne] = ACTIONS(2554),
    [anon_sym_LT_EQ_GT] = ACTIONS(2554),
    [anon_sym_cmp] = ACTIONS(2554),
    [anon_sym_TILDE_TILDE] = ACTIONS(2554),
    [anon_sym_LT_EQ] = ACTIONS(2556),
    [anon_sym_GT_EQ] = ACTIONS(2554),
    [anon_sym_lt] = ACTIONS(2554),
    [anon_sym_le] = ACTIONS(2554),
    [anon_sym_ge] = ACTIONS(2554),
    [anon_sym_gt] = ACTIONS(2554),
    [anon_sym_isa] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_QMARK] = ACTIONS(2554),
    [anon_sym_EQ_GT] = ACTIONS(2554),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1324] = {
    [sym_heredoc_content] = STATE(1324),
    [anon_sym_RBRACE] = ACTIONS(2558),
    [anon_sym_COLON] = ACTIONS(2558),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2560),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2558),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2558),
    [anon_sym_RPAREN] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2558),
    [anon_sym_and] = ACTIONS(2558),
    [anon_sym_or] = ACTIONS(2558),
    [anon_sym_xor] = ACTIONS(2558),
    [anon_sym_RBRACK] = ACTIONS(2558),
    [anon_sym_DASH_GT] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2560),
    [anon_sym_LT] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2560),
    [anon_sym_LT_LT] = ACTIONS(2560),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2558),
    [anon_sym_PLUS_EQ] = ACTIONS(2558),
    [anon_sym_DASH_EQ] = ACTIONS(2558),
    [anon_sym_DOT_EQ] = ACTIONS(2558),
    [anon_sym_STAR_EQ] = ACTIONS(2558),
    [anon_sym_SLASH_EQ] = ACTIONS(2558),
    [anon_sym_PERCENT_EQ] = ACTIONS(2558),
    [anon_sym_x_EQ] = ACTIONS(2558),
    [anon_sym_AMP_EQ] = ACTIONS(2558),
    [anon_sym_PIPE_EQ] = ACTIONS(2558),
    [anon_sym_CARET_EQ] = ACTIONS(2558),
    [anon_sym_LT_LT_EQ] = ACTIONS(2558),
    [anon_sym_GT_GT_EQ] = ACTIONS(2558),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2558),
    [anon_sym_DOT_DOT] = ACTIONS(2560),
    [anon_sym_STAR_STAR] = ACTIONS(2560),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_SLASH_SLASH] = ACTIONS(2560),
    [anon_sym_CARET_CARET] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_PIPE] = ACTIONS(2560),
    [anon_sym_CARET] = ACTIONS(2560),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_GT_GT2] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2560),
    [anon_sym_x] = ACTIONS(2560),
    [anon_sym_EQ_TILDE] = ACTIONS(2558),
    [anon_sym_BANG_TILDE] = ACTIONS(2558),
    [anon_sym_EQ_EQ] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_eq] = ACTIONS(2560),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2558),
    [anon_sym_equ] = ACTIONS(2558),
    [anon_sym_eqr] = ACTIONS(2558),
    [anon_sym_ne] = ACTIONS(2558),
    [anon_sym_LT_EQ_GT] = ACTIONS(2558),
    [anon_sym_cmp] = ACTIONS(2558),
    [anon_sym_TILDE_TILDE] = ACTIONS(2558),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2558),
    [anon_sym_lt] = ACTIONS(2558),
    [anon_sym_le] = ACTIONS(2558),
    [anon_sym_ge] = ACTIONS(2558),
    [anon_sym_gt] = ACTIONS(2558),
    [anon_sym_isa] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2558),
    [anon_sym_EQ_GT] = ACTIONS(2558),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1325] = {
    [sym_heredoc_content] = STATE(1325),
    [anon_sym_RBRACE] = ACTIONS(2681),
    [anon_sym_COLON] = ACTIONS(2681),
    [anon_sym_SEMI] = ACTIONS(2681),
    [anon_sym_EQ] = ACTIONS(2683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2681),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2681),
    [anon_sym_COMMA] = ACTIONS(2681),
    [anon_sym_RPAREN] = ACTIONS(2681),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2681),
    [anon_sym_and] = ACTIONS(2681),
    [anon_sym_or] = ACTIONS(2681),
    [anon_sym_xor] = ACTIONS(2681),
    [anon_sym_RBRACK] = ACTIONS(2681),
    [anon_sym_DASH_GT] = ACTIONS(2681),
    [anon_sym_PERCENT] = ACTIONS(2683),
    [anon_sym_LT] = ACTIONS(2683),
    [anon_sym_GT] = ACTIONS(2683),
    [anon_sym_LT_LT] = ACTIONS(2683),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2681),
    [anon_sym_PLUS_EQ] = ACTIONS(2681),
    [anon_sym_DASH_EQ] = ACTIONS(2681),
    [anon_sym_DOT_EQ] = ACTIONS(2681),
    [anon_sym_STAR_EQ] = ACTIONS(2681),
    [anon_sym_SLASH_EQ] = ACTIONS(2681),
    [anon_sym_PERCENT_EQ] = ACTIONS(2681),
    [anon_sym_x_EQ] = ACTIONS(2681),
    [anon_sym_AMP_EQ] = ACTIONS(2681),
    [anon_sym_PIPE_EQ] = ACTIONS(2681),
    [anon_sym_CARET_EQ] = ACTIONS(2681),
    [anon_sym_LT_LT_EQ] = ACTIONS(2681),
    [anon_sym_GT_GT_EQ] = ACTIONS(2681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2681),
    [anon_sym_DOT_DOT] = ACTIONS(2683),
    [anon_sym_STAR_STAR] = ACTIONS(2683),
    [anon_sym_PIPE_PIPE] = ACTIONS(2683),
    [anon_sym_SLASH_SLASH] = ACTIONS(2683),
    [anon_sym_CARET_CARET] = ACTIONS(2681),
    [anon_sym_AMP_AMP] = ACTIONS(2683),
    [anon_sym_PIPE] = ACTIONS(2683),
    [anon_sym_CARET] = ACTIONS(2683),
    [anon_sym_AMP] = ACTIONS(2683),
    [anon_sym_GT_GT2] = ACTIONS(2683),
    [anon_sym_PLUS] = ACTIONS(2683),
    [anon_sym_DASH] = ACTIONS(2683),
    [anon_sym_DOT] = ACTIONS(2683),
    [anon_sym_STAR] = ACTIONS(2683),
    [anon_sym_SLASH] = ACTIONS(2683),
    [anon_sym_x] = ACTIONS(2683),
    [anon_sym_EQ_TILDE] = ACTIONS(2681),
    [anon_sym_BANG_TILDE] = ACTIONS(2681),
    [anon_sym_EQ_EQ] = ACTIONS(2683),
    [anon_sym_BANG_EQ] = ACTIONS(2681),
    [anon_sym_eq] = ACTIONS(2683),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2681),
    [anon_sym_equ] = ACTIONS(2681),
    [anon_sym_eqr] = ACTIONS(2681),
    [anon_sym_ne] = ACTIONS(2681),
    [anon_sym_LT_EQ_GT] = ACTIONS(2681),
    [anon_sym_cmp] = ACTIONS(2681),
    [anon_sym_TILDE_TILDE] = ACTIONS(2681),
    [anon_sym_LT_EQ] = ACTIONS(2683),
    [anon_sym_GT_EQ] = ACTIONS(2681),
    [anon_sym_lt] = ACTIONS(2681),
    [anon_sym_le] = ACTIONS(2681),
    [anon_sym_ge] = ACTIONS(2681),
    [anon_sym_gt] = ACTIONS(2681),
    [anon_sym_isa] = ACTIONS(2681),
    [anon_sym_PLUS_PLUS] = ACTIONS(2681),
    [anon_sym_DASH_DASH] = ACTIONS(2681),
    [anon_sym_QMARK] = ACTIONS(2681),
    [anon_sym_EQ_GT] = ACTIONS(2681),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1326] = {
    [sym_heredoc_content] = STATE(1326),
    [anon_sym_RBRACE] = ACTIONS(2590),
    [anon_sym_COLON] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2590),
    [anon_sym_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2590),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2590),
    [anon_sym_RPAREN] = ACTIONS(2590),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_xor] = ACTIONS(2590),
    [anon_sym_RBRACK] = ACTIONS(2590),
    [anon_sym_DASH_GT] = ACTIONS(2590),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_LT] = ACTIONS(2592),
    [anon_sym_GT] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2590),
    [anon_sym_PLUS_EQ] = ACTIONS(2590),
    [anon_sym_DASH_EQ] = ACTIONS(2590),
    [anon_sym_DOT_EQ] = ACTIONS(2590),
    [anon_sym_STAR_EQ] = ACTIONS(2590),
    [anon_sym_SLASH_EQ] = ACTIONS(2590),
    [anon_sym_PERCENT_EQ] = ACTIONS(2590),
    [anon_sym_x_EQ] = ACTIONS(2590),
    [anon_sym_AMP_EQ] = ACTIONS(2590),
    [anon_sym_PIPE_EQ] = ACTIONS(2590),
    [anon_sym_CARET_EQ] = ACTIONS(2590),
    [anon_sym_LT_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT_GT_EQ] = ACTIONS(2590),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2590),
    [anon_sym_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR_STAR] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_SLASH_SLASH] = ACTIONS(2592),
    [anon_sym_CARET_CARET] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2592),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym_GT_GT2] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_x] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2590),
    [anon_sym_BANG_TILDE] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2592),
    [anon_sym_BANG_EQ] = ACTIONS(2590),
    [anon_sym_eq] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2590),
    [anon_sym_equ] = ACTIONS(2590),
    [anon_sym_eqr] = ACTIONS(2590),
    [anon_sym_ne] = ACTIONS(2590),
    [anon_sym_LT_EQ_GT] = ACTIONS(2590),
    [anon_sym_cmp] = ACTIONS(2590),
    [anon_sym_TILDE_TILDE] = ACTIONS(2590),
    [anon_sym_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_EQ] = ACTIONS(2590),
    [anon_sym_lt] = ACTIONS(2590),
    [anon_sym_le] = ACTIONS(2590),
    [anon_sym_ge] = ACTIONS(2590),
    [anon_sym_gt] = ACTIONS(2590),
    [anon_sym_isa] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2590),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1327] = {
    [sym_heredoc_content] = STATE(1327),
    [anon_sym_LBRACE] = ACTIONS(1771),
    [anon_sym_COLON] = ACTIONS(1771),
    [anon_sym_DOLLAR] = ACTIONS(1771),
    [anon_sym_EQ] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1771),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1771),
    [anon_sym_AT] = ACTIONS(1771),
    [anon_sym_COMMA] = ACTIONS(1771),
    [anon_sym_RPAREN] = ACTIONS(1771),
    [anon_sym_LPAREN] = ACTIONS(1771),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1771),
    [anon_sym_LBRACK] = ACTIONS(1771),
    [anon_sym_DASH_GT] = ACTIONS(1771),
    [anon_sym_PERCENT] = ACTIONS(1769),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_GT] = ACTIONS(1769),
    [anon_sym_LT_LT] = ACTIONS(1769),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1771),
    [anon_sym_PLUS_EQ] = ACTIONS(1771),
    [anon_sym_DASH_EQ] = ACTIONS(1771),
    [anon_sym_DOT_EQ] = ACTIONS(1771),
    [anon_sym_STAR_EQ] = ACTIONS(1771),
    [anon_sym_SLASH_EQ] = ACTIONS(1771),
    [anon_sym_PERCENT_EQ] = ACTIONS(1769),
    [anon_sym_x_EQ] = ACTIONS(1771),
    [anon_sym_AMP_EQ] = ACTIONS(1771),
    [anon_sym_PIPE_EQ] = ACTIONS(1771),
    [anon_sym_CARET_EQ] = ACTIONS(1771),
    [anon_sym_LT_LT_EQ] = ACTIONS(1771),
    [anon_sym_GT_GT_EQ] = ACTIONS(1771),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1771),
    [anon_sym_DOT_DOT] = ACTIONS(1769),
    [anon_sym_STAR_STAR] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE] = ACTIONS(1769),
    [anon_sym_SLASH_SLASH] = ACTIONS(1769),
    [anon_sym_CARET_CARET] = ACTIONS(1771),
    [anon_sym_AMP_AMP] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1769),
    [anon_sym_CARET] = ACTIONS(1769),
    [anon_sym_AMP] = ACTIONS(1769),
    [anon_sym_GT_GT2] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_DOT] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1769),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_x] = ACTIONS(1769),
    [anon_sym_EQ_TILDE] = ACTIONS(1771),
    [anon_sym_BANG_TILDE] = ACTIONS(1771),
    [anon_sym_EQ_EQ] = ACTIONS(1769),
    [anon_sym_BANG_EQ] = ACTIONS(1771),
    [anon_sym_eq] = ACTIONS(1769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1771),
    [anon_sym_equ] = ACTIONS(1771),
    [anon_sym_eqr] = ACTIONS(1771),
    [anon_sym_ne] = ACTIONS(1771),
    [anon_sym_LT_EQ_GT] = ACTIONS(1771),
    [anon_sym_cmp] = ACTIONS(1771),
    [anon_sym_TILDE_TILDE] = ACTIONS(1771),
    [anon_sym_LT_EQ] = ACTIONS(1769),
    [anon_sym_GT_EQ] = ACTIONS(1771),
    [anon_sym_lt] = ACTIONS(1771),
    [anon_sym_le] = ACTIONS(1771),
    [anon_sym_ge] = ACTIONS(1771),
    [anon_sym_gt] = ACTIONS(1771),
    [anon_sym_isa] = ACTIONS(1771),
    [anon_sym_PLUS_PLUS] = ACTIONS(1771),
    [anon_sym_DASH_DASH] = ACTIONS(1771),
    [anon_sym_QMARK] = ACTIONS(1771),
    [anon_sym_PERCENT2] = ACTIONS(1771),
    [anon_sym_EQ_GT] = ACTIONS(1771),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1328] = {
    [sym_heredoc_content] = STATE(1328),
    [anon_sym_RBRACE] = ACTIONS(2464),
    [anon_sym_SEMI] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(2466),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_COMMA] = ACTIONS(2464),
    [anon_sym_RPAREN] = ACTIONS(2464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2464),
    [anon_sym_and] = ACTIONS(2464),
    [anon_sym_or] = ACTIONS(2464),
    [anon_sym_xor] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(3273),
    [anon_sym_RBRACK] = ACTIONS(2464),
    [anon_sym_DASH_GT] = ACTIONS(2464),
    [anon_sym_PERCENT] = ACTIONS(2466),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_GT] = ACTIONS(2466),
    [anon_sym_LT_LT] = ACTIONS(2466),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(2464),
    [anon_sym_DASH_EQ] = ACTIONS(2464),
    [anon_sym_DOT_EQ] = ACTIONS(2464),
    [anon_sym_STAR_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_PERCENT_EQ] = ACTIONS(2464),
    [anon_sym_x_EQ] = ACTIONS(2464),
    [anon_sym_AMP_EQ] = ACTIONS(2464),
    [anon_sym_PIPE_EQ] = ACTIONS(2464),
    [anon_sym_CARET_EQ] = ACTIONS(2464),
    [anon_sym_LT_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_GT_EQ] = ACTIONS(2464),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2464),
    [anon_sym_DOT_DOT] = ACTIONS(2466),
    [anon_sym_STAR_STAR] = ACTIONS(2466),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH] = ACTIONS(2466),
    [anon_sym_CARET_CARET] = ACTIONS(2464),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_PIPE] = ACTIONS(2466),
    [anon_sym_CARET] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2466),
    [anon_sym_GT_GT2] = ACTIONS(2466),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_SLASH] = ACTIONS(2466),
    [anon_sym_x] = ACTIONS(2466),
    [anon_sym_EQ_TILDE] = ACTIONS(2464),
    [anon_sym_BANG_TILDE] = ACTIONS(2464),
    [anon_sym_EQ_EQ] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_eq] = ACTIONS(2466),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2464),
    [anon_sym_equ] = ACTIONS(2464),
    [anon_sym_eqr] = ACTIONS(2464),
    [anon_sym_ne] = ACTIONS(2464),
    [anon_sym_LT_EQ_GT] = ACTIONS(2464),
    [anon_sym_cmp] = ACTIONS(2464),
    [anon_sym_TILDE_TILDE] = ACTIONS(2464),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2464),
    [anon_sym_lt] = ACTIONS(2464),
    [anon_sym_le] = ACTIONS(2464),
    [anon_sym_ge] = ACTIONS(2464),
    [anon_sym_gt] = ACTIONS(2464),
    [anon_sym_isa] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2464),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1329] = {
    [sym_heredoc_content] = STATE(1329),
    [sym__identifier] = ACTIONS(2334),
    [anon_sym_COLON] = ACTIONS(2334),
    [anon_sym_DOLLAR] = ACTIONS(2336),
    [anon_sym_EQ] = ACTIONS(2334),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2336),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2336),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_COMMA] = ACTIONS(2336),
    [anon_sym_RPAREN] = ACTIONS(2336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2336),
    [anon_sym_DASH_GT] = ACTIONS(2336),
    [anon_sym_PERCENT] = ACTIONS(2334),
    [anon_sym_LT] = ACTIONS(2334),
    [anon_sym_GT] = ACTIONS(2334),
    [anon_sym_LT_LT] = ACTIONS(2334),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2336),
    [anon_sym_PLUS_EQ] = ACTIONS(2336),
    [anon_sym_DASH_EQ] = ACTIONS(2336),
    [anon_sym_DOT_EQ] = ACTIONS(2336),
    [anon_sym_STAR_EQ] = ACTIONS(2336),
    [anon_sym_SLASH_EQ] = ACTIONS(2336),
    [anon_sym_PERCENT_EQ] = ACTIONS(2334),
    [anon_sym_x_EQ] = ACTIONS(2336),
    [anon_sym_AMP_EQ] = ACTIONS(2336),
    [anon_sym_PIPE_EQ] = ACTIONS(2336),
    [anon_sym_CARET_EQ] = ACTIONS(2336),
    [anon_sym_LT_LT_EQ] = ACTIONS(2336),
    [anon_sym_GT_GT_EQ] = ACTIONS(2336),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2336),
    [anon_sym_DOT_DOT] = ACTIONS(2334),
    [anon_sym_STAR_STAR] = ACTIONS(2334),
    [anon_sym_PIPE_PIPE] = ACTIONS(2334),
    [anon_sym_SLASH_SLASH] = ACTIONS(2334),
    [anon_sym_CARET_CARET] = ACTIONS(2336),
    [anon_sym_AMP_AMP] = ACTIONS(2334),
    [anon_sym_PIPE] = ACTIONS(2334),
    [anon_sym_CARET] = ACTIONS(2334),
    [anon_sym_AMP] = ACTIONS(2334),
    [anon_sym_GT_GT2] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2334),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_DOT] = ACTIONS(2334),
    [anon_sym_STAR] = ACTIONS(2334),
    [anon_sym_SLASH] = ACTIONS(2334),
    [anon_sym_x] = ACTIONS(2334),
    [anon_sym_EQ_TILDE] = ACTIONS(2336),
    [anon_sym_BANG_TILDE] = ACTIONS(2336),
    [anon_sym_EQ_EQ] = ACTIONS(2334),
    [anon_sym_BANG_EQ] = ACTIONS(2336),
    [anon_sym_eq] = ACTIONS(2334),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2336),
    [anon_sym_equ] = ACTIONS(2334),
    [anon_sym_eqr] = ACTIONS(2334),
    [anon_sym_ne] = ACTIONS(2334),
    [anon_sym_LT_EQ_GT] = ACTIONS(2336),
    [anon_sym_cmp] = ACTIONS(2334),
    [anon_sym_TILDE_TILDE] = ACTIONS(2336),
    [anon_sym_LT_EQ] = ACTIONS(2334),
    [anon_sym_GT_EQ] = ACTIONS(2336),
    [anon_sym_lt] = ACTIONS(2334),
    [anon_sym_le] = ACTIONS(2334),
    [anon_sym_ge] = ACTIONS(2334),
    [anon_sym_gt] = ACTIONS(2334),
    [anon_sym_isa] = ACTIONS(2334),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_QMARK] = ACTIONS(2336),
    [anon_sym_PERCENT2] = ACTIONS(2336),
    [anon_sym_EQ_GT] = ACTIONS(2336),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2334),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(3275),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1330] = {
    [sym_heredoc_content] = STATE(1330),
    [anon_sym_RBRACE] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym_EQ] = ACTIONS(2602),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2600),
    [anon_sym_RPAREN] = ACTIONS(2600),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2600),
    [anon_sym_and] = ACTIONS(2600),
    [anon_sym_or] = ACTIONS(2600),
    [anon_sym_xor] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_RBRACK] = ACTIONS(2600),
    [anon_sym_DASH_GT] = ACTIONS(2600),
    [anon_sym_PERCENT] = ACTIONS(2602),
    [anon_sym_LT] = ACTIONS(2602),
    [anon_sym_GT] = ACTIONS(2602),
    [anon_sym_LT_LT] = ACTIONS(2602),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2600),
    [anon_sym_PLUS_EQ] = ACTIONS(2600),
    [anon_sym_DASH_EQ] = ACTIONS(2600),
    [anon_sym_DOT_EQ] = ACTIONS(2600),
    [anon_sym_STAR_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_PERCENT_EQ] = ACTIONS(2600),
    [anon_sym_x_EQ] = ACTIONS(2600),
    [anon_sym_AMP_EQ] = ACTIONS(2600),
    [anon_sym_PIPE_EQ] = ACTIONS(2600),
    [anon_sym_CARET_EQ] = ACTIONS(2600),
    [anon_sym_LT_LT_EQ] = ACTIONS(2600),
    [anon_sym_GT_GT_EQ] = ACTIONS(2600),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2600),
    [anon_sym_DOT_DOT] = ACTIONS(2602),
    [anon_sym_STAR_STAR] = ACTIONS(2602),
    [anon_sym_PIPE_PIPE] = ACTIONS(2602),
    [anon_sym_SLASH_SLASH] = ACTIONS(2602),
    [anon_sym_CARET_CARET] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_PIPE] = ACTIONS(2602),
    [anon_sym_CARET] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_GT_GT2] = ACTIONS(2602),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_DOT] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_SLASH] = ACTIONS(2602),
    [anon_sym_x] = ACTIONS(2602),
    [anon_sym_EQ_TILDE] = ACTIONS(2600),
    [anon_sym_BANG_TILDE] = ACTIONS(2600),
    [anon_sym_EQ_EQ] = ACTIONS(2602),
    [anon_sym_BANG_EQ] = ACTIONS(2600),
    [anon_sym_eq] = ACTIONS(2602),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2600),
    [anon_sym_equ] = ACTIONS(2600),
    [anon_sym_eqr] = ACTIONS(2600),
    [anon_sym_ne] = ACTIONS(2600),
    [anon_sym_LT_EQ_GT] = ACTIONS(2600),
    [anon_sym_cmp] = ACTIONS(2600),
    [anon_sym_TILDE_TILDE] = ACTIONS(2600),
    [anon_sym_LT_EQ] = ACTIONS(2602),
    [anon_sym_GT_EQ] = ACTIONS(2600),
    [anon_sym_lt] = ACTIONS(2600),
    [anon_sym_le] = ACTIONS(2600),
    [anon_sym_ge] = ACTIONS(2600),
    [anon_sym_gt] = ACTIONS(2600),
    [anon_sym_isa] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_QMARK] = ACTIONS(2600),
    [anon_sym_EQ_GT] = ACTIONS(2600),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1331] = {
    [sym_heredoc_content] = STATE(1331),
    [aux_sym__term_rightward_repeat1] = STATE(1356),
    [anon_sym_RBRACE] = ACTIONS(2428),
    [anon_sym_SEMI] = ACTIONS(2428),
    [anon_sym_EQ] = ACTIONS(2430),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2428),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2428),
    [anon_sym_COMMA] = ACTIONS(3279),
    [anon_sym_RPAREN] = ACTIONS(2428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2428),
    [anon_sym_and] = ACTIONS(2428),
    [anon_sym_or] = ACTIONS(2428),
    [anon_sym_xor] = ACTIONS(2428),
    [anon_sym_RBRACK] = ACTIONS(2428),
    [anon_sym_DASH_GT] = ACTIONS(2428),
    [anon_sym_PERCENT] = ACTIONS(2430),
    [anon_sym_LT] = ACTIONS(2430),
    [anon_sym_GT] = ACTIONS(2430),
    [anon_sym_LT_LT] = ACTIONS(2430),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2428),
    [anon_sym_PLUS_EQ] = ACTIONS(2428),
    [anon_sym_DASH_EQ] = ACTIONS(2428),
    [anon_sym_DOT_EQ] = ACTIONS(2428),
    [anon_sym_STAR_EQ] = ACTIONS(2428),
    [anon_sym_SLASH_EQ] = ACTIONS(2428),
    [anon_sym_PERCENT_EQ] = ACTIONS(2428),
    [anon_sym_x_EQ] = ACTIONS(2428),
    [anon_sym_AMP_EQ] = ACTIONS(2428),
    [anon_sym_PIPE_EQ] = ACTIONS(2428),
    [anon_sym_CARET_EQ] = ACTIONS(2428),
    [anon_sym_LT_LT_EQ] = ACTIONS(2428),
    [anon_sym_GT_GT_EQ] = ACTIONS(2428),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2428),
    [anon_sym_DOT_DOT] = ACTIONS(2430),
    [anon_sym_STAR_STAR] = ACTIONS(2430),
    [anon_sym_PIPE_PIPE] = ACTIONS(2430),
    [anon_sym_SLASH_SLASH] = ACTIONS(2430),
    [anon_sym_CARET_CARET] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2430),
    [anon_sym_PIPE] = ACTIONS(2430),
    [anon_sym_CARET] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2430),
    [anon_sym_GT_GT2] = ACTIONS(2430),
    [anon_sym_PLUS] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2430),
    [anon_sym_DOT] = ACTIONS(2430),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_SLASH] = ACTIONS(2430),
    [anon_sym_x] = ACTIONS(2430),
    [anon_sym_EQ_TILDE] = ACTIONS(2428),
    [anon_sym_BANG_TILDE] = ACTIONS(2428),
    [anon_sym_EQ_EQ] = ACTIONS(2430),
    [anon_sym_BANG_EQ] = ACTIONS(2428),
    [anon_sym_eq] = ACTIONS(2430),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2428),
    [anon_sym_equ] = ACTIONS(2428),
    [anon_sym_eqr] = ACTIONS(2428),
    [anon_sym_ne] = ACTIONS(2428),
    [anon_sym_LT_EQ_GT] = ACTIONS(2428),
    [anon_sym_cmp] = ACTIONS(2428),
    [anon_sym_TILDE_TILDE] = ACTIONS(2428),
    [anon_sym_LT_EQ] = ACTIONS(2430),
    [anon_sym_GT_EQ] = ACTIONS(2428),
    [anon_sym_lt] = ACTIONS(2428),
    [anon_sym_le] = ACTIONS(2428),
    [anon_sym_ge] = ACTIONS(2428),
    [anon_sym_gt] = ACTIONS(2428),
    [anon_sym_isa] = ACTIONS(2428),
    [anon_sym_PLUS_PLUS] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2428),
    [anon_sym_QMARK] = ACTIONS(2428),
    [anon_sym_EQ_GT] = ACTIONS(3279),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1332] = {
    [sym_heredoc_content] = STATE(1332),
    [anon_sym_RBRACE] = ACTIONS(2659),
    [anon_sym_SEMI] = ACTIONS(2659),
    [anon_sym_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2659),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2659),
    [anon_sym_COMMA] = ACTIONS(2659),
    [anon_sym_RPAREN] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2659),
    [anon_sym_and] = ACTIONS(2659),
    [anon_sym_or] = ACTIONS(2659),
    [anon_sym_xor] = ACTIONS(2659),
    [anon_sym_RBRACK] = ACTIONS(2659),
    [anon_sym_DASH_GT] = ACTIONS(2659),
    [anon_sym_PERCENT] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_GT] = ACTIONS(2661),
    [anon_sym_LT_LT] = ACTIONS(2661),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2659),
    [anon_sym_PLUS_EQ] = ACTIONS(2659),
    [anon_sym_DASH_EQ] = ACTIONS(2659),
    [anon_sym_DOT_EQ] = ACTIONS(2659),
    [anon_sym_STAR_EQ] = ACTIONS(2659),
    [anon_sym_SLASH_EQ] = ACTIONS(2659),
    [anon_sym_PERCENT_EQ] = ACTIONS(2659),
    [anon_sym_x_EQ] = ACTIONS(2659),
    [anon_sym_AMP_EQ] = ACTIONS(2659),
    [anon_sym_PIPE_EQ] = ACTIONS(2659),
    [anon_sym_CARET_EQ] = ACTIONS(2659),
    [anon_sym_LT_LT_EQ] = ACTIONS(2659),
    [anon_sym_GT_GT_EQ] = ACTIONS(2659),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2659),
    [anon_sym_DOT_DOT] = ACTIONS(2661),
    [anon_sym_STAR_STAR] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_SLASH_SLASH] = ACTIONS(2661),
    [anon_sym_CARET_CARET] = ACTIONS(2659),
    [anon_sym_AMP_AMP] = ACTIONS(2661),
    [anon_sym_PIPE] = ACTIONS(2661),
    [anon_sym_CARET] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_GT_GT2] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_DOT] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2661),
    [anon_sym_SLASH] = ACTIONS(2661),
    [anon_sym_x] = ACTIONS(2661),
    [anon_sym_EQ_TILDE] = ACTIONS(2659),
    [anon_sym_BANG_TILDE] = ACTIONS(2659),
    [anon_sym_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ] = ACTIONS(2659),
    [anon_sym_eq] = ACTIONS(2661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2659),
    [anon_sym_equ] = ACTIONS(2659),
    [anon_sym_eqr] = ACTIONS(2659),
    [anon_sym_ne] = ACTIONS(2659),
    [anon_sym_LT_EQ_GT] = ACTIONS(2659),
    [anon_sym_cmp] = ACTIONS(2659),
    [anon_sym_TILDE_TILDE] = ACTIONS(2659),
    [anon_sym_LT_EQ] = ACTIONS(2661),
    [anon_sym_GT_EQ] = ACTIONS(2659),
    [anon_sym_lt] = ACTIONS(2659),
    [anon_sym_le] = ACTIONS(2659),
    [anon_sym_ge] = ACTIONS(2659),
    [anon_sym_gt] = ACTIONS(2659),
    [anon_sym_isa] = ACTIONS(2659),
    [anon_sym_PLUS_PLUS] = ACTIONS(2659),
    [anon_sym_DASH_DASH] = ACTIONS(2659),
    [anon_sym_QMARK] = ACTIONS(2659),
    [anon_sym_EQ_GT] = ACTIONS(2659),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1333] = {
    [sym_heredoc_content] = STATE(1333),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_COMMA] = ACTIONS(2574),
    [anon_sym_RPAREN] = ACTIONS(2574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2574),
    [anon_sym_and] = ACTIONS(2574),
    [anon_sym_or] = ACTIONS(2574),
    [anon_sym_xor] = ACTIONS(2574),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_RBRACK] = ACTIONS(2574),
    [anon_sym_DASH_GT] = ACTIONS(2574),
    [anon_sym_PERCENT] = ACTIONS(2576),
    [anon_sym_LT] = ACTIONS(2576),
    [anon_sym_GT] = ACTIONS(2576),
    [anon_sym_LT_LT] = ACTIONS(2576),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_DOT_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_x_EQ] = ACTIONS(2574),
    [anon_sym_AMP_EQ] = ACTIONS(2574),
    [anon_sym_PIPE_EQ] = ACTIONS(2574),
    [anon_sym_CARET_EQ] = ACTIONS(2574),
    [anon_sym_LT_LT_EQ] = ACTIONS(2574),
    [anon_sym_GT_GT_EQ] = ACTIONS(2574),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2576),
    [anon_sym_STAR_STAR] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE] = ACTIONS(2576),
    [anon_sym_SLASH_SLASH] = ACTIONS(2576),
    [anon_sym_CARET_CARET] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2576),
    [anon_sym_CARET] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_GT_GT2] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_DOT] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2576),
    [anon_sym_SLASH] = ACTIONS(2576),
    [anon_sym_x] = ACTIONS(2576),
    [anon_sym_EQ_TILDE] = ACTIONS(2574),
    [anon_sym_BANG_TILDE] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2576),
    [anon_sym_BANG_EQ] = ACTIONS(2574),
    [anon_sym_eq] = ACTIONS(2576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_equ] = ACTIONS(2574),
    [anon_sym_eqr] = ACTIONS(2574),
    [anon_sym_ne] = ACTIONS(2574),
    [anon_sym_LT_EQ_GT] = ACTIONS(2574),
    [anon_sym_cmp] = ACTIONS(2574),
    [anon_sym_TILDE_TILDE] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2576),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_lt] = ACTIONS(2574),
    [anon_sym_le] = ACTIONS(2574),
    [anon_sym_ge] = ACTIONS(2574),
    [anon_sym_gt] = ACTIONS(2574),
    [anon_sym_isa] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_QMARK] = ACTIONS(2574),
    [anon_sym_EQ_GT] = ACTIONS(2574),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1334] = {
    [sym_heredoc_content] = STATE(1334),
    [anon_sym_RBRACE] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2578),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2578),
    [anon_sym_RPAREN] = ACTIONS(2578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2578),
    [anon_sym_and] = ACTIONS(2580),
    [anon_sym_or] = ACTIONS(2578),
    [anon_sym_xor] = ACTIONS(2580),
    [anon_sym_RBRACK] = ACTIONS(2578),
    [anon_sym_DASH_GT] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2580),
    [anon_sym_LT] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2580),
    [anon_sym_LT_LT] = ACTIONS(2580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2578),
    [anon_sym_PLUS_EQ] = ACTIONS(2578),
    [anon_sym_DASH_EQ] = ACTIONS(2578),
    [anon_sym_DOT_EQ] = ACTIONS(2578),
    [anon_sym_STAR_EQ] = ACTIONS(2578),
    [anon_sym_SLASH_EQ] = ACTIONS(2578),
    [anon_sym_PERCENT_EQ] = ACTIONS(2578),
    [anon_sym_x_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2578),
    [anon_sym_PIPE_EQ] = ACTIONS(2578),
    [anon_sym_CARET_EQ] = ACTIONS(2578),
    [anon_sym_LT_LT_EQ] = ACTIONS(2578),
    [anon_sym_GT_GT_EQ] = ACTIONS(2578),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2578),
    [anon_sym_DOT_DOT] = ACTIONS(2580),
    [anon_sym_STAR_STAR] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_SLASH_SLASH] = ACTIONS(2580),
    [anon_sym_CARET_CARET] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_GT_GT2] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2580),
    [anon_sym_x] = ACTIONS(2580),
    [anon_sym_EQ_TILDE] = ACTIONS(2578),
    [anon_sym_BANG_TILDE] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2578),
    [anon_sym_eq] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2578),
    [anon_sym_equ] = ACTIONS(2578),
    [anon_sym_eqr] = ACTIONS(2578),
    [anon_sym_ne] = ACTIONS(2580),
    [anon_sym_LT_EQ_GT] = ACTIONS(2578),
    [anon_sym_cmp] = ACTIONS(2578),
    [anon_sym_TILDE_TILDE] = ACTIONS(2578),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2578),
    [anon_sym_lt] = ACTIONS(2580),
    [anon_sym_le] = ACTIONS(2580),
    [anon_sym_ge] = ACTIONS(2578),
    [anon_sym_gt] = ACTIONS(2578),
    [anon_sym_isa] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_EQ_GT] = ACTIONS(2578),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3283),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1335] = {
    [sym_heredoc_content] = STATE(1335),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_RPAREN] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_and] = ACTIONS(2586),
    [anon_sym_or] = ACTIONS(2584),
    [anon_sym_xor] = ACTIONS(2586),
    [anon_sym_RBRACK] = ACTIONS(2584),
    [anon_sym_DASH_GT] = ACTIONS(2584),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2586),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_DOT_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_x_EQ] = ACTIONS(2586),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2584),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_STAR_STAR] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2586),
    [anon_sym_SLASH_SLASH] = ACTIONS(2586),
    [anon_sym_CARET_CARET] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_GT_GT2] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_x] = ACTIONS(2586),
    [anon_sym_EQ_TILDE] = ACTIONS(2584),
    [anon_sym_BANG_TILDE] = ACTIONS(2584),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2584),
    [anon_sym_eq] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_equ] = ACTIONS(2584),
    [anon_sym_eqr] = ACTIONS(2584),
    [anon_sym_ne] = ACTIONS(2586),
    [anon_sym_LT_EQ_GT] = ACTIONS(2584),
    [anon_sym_cmp] = ACTIONS(2586),
    [anon_sym_TILDE_TILDE] = ACTIONS(2584),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_lt] = ACTIONS(2586),
    [anon_sym_le] = ACTIONS(2586),
    [anon_sym_ge] = ACTIONS(2586),
    [anon_sym_gt] = ACTIONS(2586),
    [anon_sym_isa] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_EQ_GT] = ACTIONS(2584),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3285),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1336] = {
    [sym_heredoc_content] = STATE(1336),
    [anon_sym_RBRACE] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2544),
    [anon_sym_EQ] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_COMMA] = ACTIONS(2544),
    [anon_sym_RPAREN] = ACTIONS(2544),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2544),
    [anon_sym_and] = ACTIONS(2544),
    [anon_sym_or] = ACTIONS(2544),
    [anon_sym_xor] = ACTIONS(2544),
    [anon_sym_RBRACK] = ACTIONS(2544),
    [anon_sym_DASH_GT] = ACTIONS(2544),
    [anon_sym_PERCENT] = ACTIONS(2546),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_GT] = ACTIONS(2546),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2544),
    [anon_sym_PLUS_EQ] = ACTIONS(2544),
    [anon_sym_DASH_EQ] = ACTIONS(2544),
    [anon_sym_DOT_EQ] = ACTIONS(2544),
    [anon_sym_STAR_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_PERCENT_EQ] = ACTIONS(2544),
    [anon_sym_x_EQ] = ACTIONS(2544),
    [anon_sym_AMP_EQ] = ACTIONS(2544),
    [anon_sym_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_CARET_EQ] = ACTIONS(2544),
    [anon_sym_LT_LT_EQ] = ACTIONS(2544),
    [anon_sym_GT_GT_EQ] = ACTIONS(2544),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2544),
    [anon_sym_DOT_DOT] = ACTIONS(2546),
    [anon_sym_STAR_STAR] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE] = ACTIONS(2546),
    [anon_sym_SLASH_SLASH] = ACTIONS(2546),
    [anon_sym_CARET_CARET] = ACTIONS(2544),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_GT_GT2] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_DOT] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_SLASH] = ACTIONS(2546),
    [anon_sym_x] = ACTIONS(2546),
    [anon_sym_EQ_TILDE] = ACTIONS(2544),
    [anon_sym_BANG_TILDE] = ACTIONS(2544),
    [anon_sym_EQ_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2544),
    [anon_sym_eq] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2544),
    [anon_sym_equ] = ACTIONS(2544),
    [anon_sym_eqr] = ACTIONS(2544),
    [anon_sym_ne] = ACTIONS(2544),
    [anon_sym_LT_EQ_GT] = ACTIONS(2544),
    [anon_sym_cmp] = ACTIONS(2546),
    [anon_sym_TILDE_TILDE] = ACTIONS(2544),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2544),
    [anon_sym_lt] = ACTIONS(2544),
    [anon_sym_le] = ACTIONS(2544),
    [anon_sym_ge] = ACTIONS(2544),
    [anon_sym_gt] = ACTIONS(2544),
    [anon_sym_isa] = ACTIONS(2544),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [anon_sym_QMARK] = ACTIONS(2544),
    [anon_sym_EQ_GT] = ACTIONS(2544),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3287),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1337] = {
    [sym_heredoc_content] = STATE(1337),
    [aux_sym__term_rightward_repeat1] = STATE(1331),
    [anon_sym_RBRACE] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym_EQ] = ACTIONS(3289),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_COMMA] = ACTIONS(3279),
    [anon_sym_RPAREN] = ACTIONS(2476),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3293),
    [anon_sym_and] = ACTIONS(2476),
    [anon_sym_or] = ACTIONS(2476),
    [anon_sym_xor] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(2476),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_GT] = ACTIONS(3299),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3291),
    [anon_sym_PLUS_EQ] = ACTIONS(3291),
    [anon_sym_DASH_EQ] = ACTIONS(3291),
    [anon_sym_DOT_EQ] = ACTIONS(3291),
    [anon_sym_STAR_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_PERCENT_EQ] = ACTIONS(3291),
    [anon_sym_x_EQ] = ACTIONS(3291),
    [anon_sym_AMP_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_CARET_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT_EQ] = ACTIONS(3291),
    [anon_sym_GT_GT_EQ] = ACTIONS(3291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3291),
    [anon_sym_DOT_DOT] = ACTIONS(3303),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(3307),
    [anon_sym_SLASH_SLASH] = ACTIONS(3307),
    [anon_sym_CARET_CARET] = ACTIONS(3309),
    [anon_sym_AMP_AMP] = ACTIONS(3311),
    [anon_sym_PIPE] = ACTIONS(3313),
    [anon_sym_CARET] = ACTIONS(3313),
    [anon_sym_AMP] = ACTIONS(3315),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(3321),
    [anon_sym_BANG_EQ] = ACTIONS(3323),
    [anon_sym_eq] = ACTIONS(3321),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3323),
    [anon_sym_equ] = ACTIONS(3323),
    [anon_sym_eqr] = ACTIONS(3323),
    [anon_sym_ne] = ACTIONS(3323),
    [anon_sym_LT_EQ_GT] = ACTIONS(3325),
    [anon_sym_cmp] = ACTIONS(3325),
    [anon_sym_TILDE_TILDE] = ACTIONS(3325),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_EQ] = ACTIONS(3327),
    [anon_sym_lt] = ACTIONS(3327),
    [anon_sym_le] = ACTIONS(3327),
    [anon_sym_ge] = ACTIONS(3327),
    [anon_sym_gt] = ACTIONS(3327),
    [anon_sym_isa] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(3333),
    [anon_sym_EQ_GT] = ACTIONS(3279),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1338] = {
    [sym_heredoc_content] = STATE(1338),
    [anon_sym_LBRACE] = ACTIONS(1783),
    [anon_sym_COLON] = ACTIONS(1783),
    [anon_sym_DOLLAR] = ACTIONS(1783),
    [anon_sym_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1783),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1783),
    [anon_sym_AT] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1783),
    [anon_sym_RPAREN] = ACTIONS(1783),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [anon_sym_DASH_GT] = ACTIONS(1783),
    [anon_sym_PERCENT] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1783),
    [anon_sym_PLUS_EQ] = ACTIONS(1783),
    [anon_sym_DASH_EQ] = ACTIONS(1783),
    [anon_sym_DOT_EQ] = ACTIONS(1783),
    [anon_sym_STAR_EQ] = ACTIONS(1783),
    [anon_sym_SLASH_EQ] = ACTIONS(1783),
    [anon_sym_PERCENT_EQ] = ACTIONS(1781),
    [anon_sym_x_EQ] = ACTIONS(1783),
    [anon_sym_AMP_EQ] = ACTIONS(1783),
    [anon_sym_PIPE_EQ] = ACTIONS(1783),
    [anon_sym_CARET_EQ] = ACTIONS(1783),
    [anon_sym_LT_LT_EQ] = ACTIONS(1783),
    [anon_sym_GT_GT_EQ] = ACTIONS(1783),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1783),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_STAR_STAR] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_CARET_CARET] = ACTIONS(1783),
    [anon_sym_AMP_AMP] = ACTIONS(1781),
    [anon_sym_PIPE] = ACTIONS(1781),
    [anon_sym_CARET] = ACTIONS(1781),
    [anon_sym_AMP] = ACTIONS(1781),
    [anon_sym_GT_GT2] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_x] = ACTIONS(1781),
    [anon_sym_EQ_TILDE] = ACTIONS(1783),
    [anon_sym_BANG_TILDE] = ACTIONS(1783),
    [anon_sym_EQ_EQ] = ACTIONS(1781),
    [anon_sym_BANG_EQ] = ACTIONS(1783),
    [anon_sym_eq] = ACTIONS(1781),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1783),
    [anon_sym_equ] = ACTIONS(1783),
    [anon_sym_eqr] = ACTIONS(1783),
    [anon_sym_ne] = ACTIONS(1783),
    [anon_sym_LT_EQ_GT] = ACTIONS(1783),
    [anon_sym_cmp] = ACTIONS(1783),
    [anon_sym_TILDE_TILDE] = ACTIONS(1783),
    [anon_sym_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_EQ] = ACTIONS(1783),
    [anon_sym_lt] = ACTIONS(1783),
    [anon_sym_le] = ACTIONS(1783),
    [anon_sym_ge] = ACTIONS(1783),
    [anon_sym_gt] = ACTIONS(1783),
    [anon_sym_isa] = ACTIONS(1783),
    [anon_sym_PLUS_PLUS] = ACTIONS(1783),
    [anon_sym_DASH_DASH] = ACTIONS(1783),
    [anon_sym_QMARK] = ACTIONS(1783),
    [anon_sym_PERCENT2] = ACTIONS(1783),
    [anon_sym_EQ_GT] = ACTIONS(1783),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1339] = {
    [sym_heredoc_content] = STATE(1339),
    [anon_sym_RBRACE] = ACTIONS(2626),
    [anon_sym_SEMI] = ACTIONS(2626),
    [anon_sym_EQ] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2626),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2626),
    [anon_sym_COMMA] = ACTIONS(2626),
    [anon_sym_RPAREN] = ACTIONS(2626),
    [anon_sym_LPAREN] = ACTIONS(2626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2626),
    [anon_sym_and] = ACTIONS(2626),
    [anon_sym_or] = ACTIONS(2626),
    [anon_sym_xor] = ACTIONS(2626),
    [anon_sym_RBRACK] = ACTIONS(2626),
    [anon_sym_DASH_GT] = ACTIONS(2626),
    [anon_sym_PERCENT] = ACTIONS(2628),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_GT] = ACTIONS(2628),
    [anon_sym_LT_LT] = ACTIONS(2628),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2626),
    [anon_sym_PLUS_EQ] = ACTIONS(2626),
    [anon_sym_DASH_EQ] = ACTIONS(2626),
    [anon_sym_DOT_EQ] = ACTIONS(2626),
    [anon_sym_STAR_EQ] = ACTIONS(2626),
    [anon_sym_SLASH_EQ] = ACTIONS(2626),
    [anon_sym_PERCENT_EQ] = ACTIONS(2626),
    [anon_sym_x_EQ] = ACTIONS(2626),
    [anon_sym_AMP_EQ] = ACTIONS(2626),
    [anon_sym_PIPE_EQ] = ACTIONS(2626),
    [anon_sym_CARET_EQ] = ACTIONS(2626),
    [anon_sym_LT_LT_EQ] = ACTIONS(2626),
    [anon_sym_GT_GT_EQ] = ACTIONS(2626),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2626),
    [anon_sym_DOT_DOT] = ACTIONS(2628),
    [anon_sym_STAR_STAR] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE] = ACTIONS(2628),
    [anon_sym_SLASH_SLASH] = ACTIONS(2628),
    [anon_sym_CARET_CARET] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2628),
    [anon_sym_PIPE] = ACTIONS(2628),
    [anon_sym_CARET] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_GT_GT2] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_DOT] = ACTIONS(2628),
    [anon_sym_STAR] = ACTIONS(2628),
    [anon_sym_SLASH] = ACTIONS(2628),
    [anon_sym_x] = ACTIONS(2628),
    [anon_sym_EQ_TILDE] = ACTIONS(2626),
    [anon_sym_BANG_TILDE] = ACTIONS(2626),
    [anon_sym_EQ_EQ] = ACTIONS(2628),
    [anon_sym_BANG_EQ] = ACTIONS(2626),
    [anon_sym_eq] = ACTIONS(2628),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2626),
    [anon_sym_equ] = ACTIONS(2626),
    [anon_sym_eqr] = ACTIONS(2626),
    [anon_sym_ne] = ACTIONS(2626),
    [anon_sym_LT_EQ_GT] = ACTIONS(2626),
    [anon_sym_cmp] = ACTIONS(2626),
    [anon_sym_TILDE_TILDE] = ACTIONS(2626),
    [anon_sym_LT_EQ] = ACTIONS(2628),
    [anon_sym_GT_EQ] = ACTIONS(2626),
    [anon_sym_lt] = ACTIONS(2626),
    [anon_sym_le] = ACTIONS(2626),
    [anon_sym_ge] = ACTIONS(2626),
    [anon_sym_gt] = ACTIONS(2626),
    [anon_sym_isa] = ACTIONS(2626),
    [anon_sym_PLUS_PLUS] = ACTIONS(2626),
    [anon_sym_DASH_DASH] = ACTIONS(2626),
    [anon_sym_QMARK] = ACTIONS(2626),
    [anon_sym_EQ_GT] = ACTIONS(2626),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1340] = {
    [sym_heredoc_content] = STATE(1340),
    [anon_sym_RBRACE] = ACTIONS(2630),
    [anon_sym_SEMI] = ACTIONS(2630),
    [anon_sym_EQ] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2630),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2630),
    [anon_sym_RPAREN] = ACTIONS(2630),
    [anon_sym_LPAREN] = ACTIONS(3335),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2630),
    [anon_sym_and] = ACTIONS(2630),
    [anon_sym_or] = ACTIONS(2630),
    [anon_sym_xor] = ACTIONS(2630),
    [anon_sym_RBRACK] = ACTIONS(2630),
    [anon_sym_DASH_GT] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2632),
    [anon_sym_LT] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2632),
    [anon_sym_LT_LT] = ACTIONS(2632),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2630),
    [anon_sym_PLUS_EQ] = ACTIONS(2630),
    [anon_sym_DASH_EQ] = ACTIONS(2630),
    [anon_sym_DOT_EQ] = ACTIONS(2630),
    [anon_sym_STAR_EQ] = ACTIONS(2630),
    [anon_sym_SLASH_EQ] = ACTIONS(2630),
    [anon_sym_PERCENT_EQ] = ACTIONS(2630),
    [anon_sym_x_EQ] = ACTIONS(2630),
    [anon_sym_AMP_EQ] = ACTIONS(2630),
    [anon_sym_PIPE_EQ] = ACTIONS(2630),
    [anon_sym_CARET_EQ] = ACTIONS(2630),
    [anon_sym_LT_LT_EQ] = ACTIONS(2630),
    [anon_sym_GT_GT_EQ] = ACTIONS(2630),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2630),
    [anon_sym_DOT_DOT] = ACTIONS(2632),
    [anon_sym_STAR_STAR] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_SLASH_SLASH] = ACTIONS(2632),
    [anon_sym_CARET_CARET] = ACTIONS(2630),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_PIPE] = ACTIONS(2632),
    [anon_sym_CARET] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_GT_GT2] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2632),
    [anon_sym_DASH] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2632),
    [anon_sym_STAR] = ACTIONS(2632),
    [anon_sym_SLASH] = ACTIONS(2632),
    [anon_sym_x] = ACTIONS(2632),
    [anon_sym_EQ_TILDE] = ACTIONS(2630),
    [anon_sym_BANG_TILDE] = ACTIONS(2630),
    [anon_sym_EQ_EQ] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_eq] = ACTIONS(2632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2630),
    [anon_sym_equ] = ACTIONS(2630),
    [anon_sym_eqr] = ACTIONS(2630),
    [anon_sym_ne] = ACTIONS(2630),
    [anon_sym_LT_EQ_GT] = ACTIONS(2630),
    [anon_sym_cmp] = ACTIONS(2630),
    [anon_sym_TILDE_TILDE] = ACTIONS(2630),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2630),
    [anon_sym_lt] = ACTIONS(2630),
    [anon_sym_le] = ACTIONS(2630),
    [anon_sym_ge] = ACTIONS(2630),
    [anon_sym_gt] = ACTIONS(2630),
    [anon_sym_isa] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2630),
    [anon_sym_DASH_DASH] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_EQ_GT] = ACTIONS(2630),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1341] = {
    [sym_heredoc_content] = STATE(1341),
    [anon_sym_LBRACE] = ACTIONS(2406),
    [anon_sym_COLON] = ACTIONS(2406),
    [anon_sym_DOLLAR] = ACTIONS(2406),
    [anon_sym_EQ] = ACTIONS(2408),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2406),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2406),
    [anon_sym_AT] = ACTIONS(2406),
    [anon_sym_COMMA] = ACTIONS(2406),
    [anon_sym_RPAREN] = ACTIONS(2406),
    [anon_sym_LPAREN] = ACTIONS(2406),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2406),
    [anon_sym_LBRACK] = ACTIONS(2406),
    [anon_sym_DASH_GT] = ACTIONS(2406),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_LT] = ACTIONS(2408),
    [anon_sym_GT] = ACTIONS(2408),
    [anon_sym_LT_LT] = ACTIONS(2408),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2406),
    [anon_sym_PLUS_EQ] = ACTIONS(2406),
    [anon_sym_DASH_EQ] = ACTIONS(2406),
    [anon_sym_DOT_EQ] = ACTIONS(2406),
    [anon_sym_STAR_EQ] = ACTIONS(2406),
    [anon_sym_SLASH_EQ] = ACTIONS(2406),
    [anon_sym_PERCENT_EQ] = ACTIONS(2408),
    [anon_sym_x_EQ] = ACTIONS(2406),
    [anon_sym_AMP_EQ] = ACTIONS(2406),
    [anon_sym_PIPE_EQ] = ACTIONS(2406),
    [anon_sym_CARET_EQ] = ACTIONS(2406),
    [anon_sym_LT_LT_EQ] = ACTIONS(2406),
    [anon_sym_GT_GT_EQ] = ACTIONS(2406),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2406),
    [anon_sym_DOT_DOT] = ACTIONS(2408),
    [anon_sym_STAR_STAR] = ACTIONS(2408),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_SLASH_SLASH] = ACTIONS(2408),
    [anon_sym_CARET_CARET] = ACTIONS(2406),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_PIPE] = ACTIONS(2408),
    [anon_sym_CARET] = ACTIONS(2408),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_GT_GT2] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2408),
    [anon_sym_x] = ACTIONS(2408),
    [anon_sym_EQ_TILDE] = ACTIONS(2406),
    [anon_sym_BANG_TILDE] = ACTIONS(2406),
    [anon_sym_EQ_EQ] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2406),
    [anon_sym_eq] = ACTIONS(2408),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2406),
    [anon_sym_equ] = ACTIONS(2406),
    [anon_sym_eqr] = ACTIONS(2406),
    [anon_sym_ne] = ACTIONS(2406),
    [anon_sym_LT_EQ_GT] = ACTIONS(2406),
    [anon_sym_cmp] = ACTIONS(2406),
    [anon_sym_TILDE_TILDE] = ACTIONS(2406),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2406),
    [anon_sym_lt] = ACTIONS(2406),
    [anon_sym_le] = ACTIONS(2406),
    [anon_sym_ge] = ACTIONS(2406),
    [anon_sym_gt] = ACTIONS(2406),
    [anon_sym_isa] = ACTIONS(2406),
    [anon_sym_PLUS_PLUS] = ACTIONS(2406),
    [anon_sym_DASH_DASH] = ACTIONS(2406),
    [anon_sym_QMARK] = ACTIONS(2406),
    [anon_sym_PERCENT2] = ACTIONS(2406),
    [anon_sym_EQ_GT] = ACTIONS(2406),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1342] = {
    [sym_heredoc_content] = STATE(1342),
    [anon_sym_RBRACE] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(2562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2562),
    [anon_sym_and] = ACTIONS(2562),
    [anon_sym_or] = ACTIONS(2562),
    [anon_sym_xor] = ACTIONS(2562),
    [anon_sym_RBRACK] = ACTIONS(2562),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2562),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_DOT_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_x_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2564),
    [anon_sym_STAR_STAR] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE] = ACTIONS(2564),
    [anon_sym_SLASH_SLASH] = ACTIONS(2564),
    [anon_sym_CARET_CARET] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_GT_GT2] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_x] = ACTIONS(2564),
    [anon_sym_EQ_TILDE] = ACTIONS(2562),
    [anon_sym_BANG_TILDE] = ACTIONS(2562),
    [anon_sym_EQ_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_eq] = ACTIONS(2564),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2562),
    [anon_sym_equ] = ACTIONS(2562),
    [anon_sym_eqr] = ACTIONS(2562),
    [anon_sym_ne] = ACTIONS(2562),
    [anon_sym_LT_EQ_GT] = ACTIONS(2562),
    [anon_sym_cmp] = ACTIONS(2564),
    [anon_sym_TILDE_TILDE] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_lt] = ACTIONS(2562),
    [anon_sym_le] = ACTIONS(2562),
    [anon_sym_ge] = ACTIONS(2562),
    [anon_sym_gt] = ACTIONS(2562),
    [anon_sym_isa] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2562),
    [anon_sym_EQ_GT] = ACTIONS(2562),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3337),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1343] = {
    [sym_heredoc_content] = STATE(1343),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym_EQ] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2458),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2458),
    [anon_sym_COMMA] = ACTIONS(2458),
    [anon_sym_RPAREN] = ACTIONS(2458),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2458),
    [anon_sym_and] = ACTIONS(2460),
    [anon_sym_or] = ACTIONS(2458),
    [anon_sym_xor] = ACTIONS(2460),
    [anon_sym_RBRACK] = ACTIONS(2458),
    [anon_sym_DASH_GT] = ACTIONS(2458),
    [anon_sym_PERCENT] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2460),
    [anon_sym_GT] = ACTIONS(2460),
    [anon_sym_LT_LT] = ACTIONS(2460),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2458),
    [anon_sym_PLUS_EQ] = ACTIONS(2458),
    [anon_sym_DASH_EQ] = ACTIONS(2458),
    [anon_sym_DOT_EQ] = ACTIONS(2458),
    [anon_sym_STAR_EQ] = ACTIONS(2458),
    [anon_sym_SLASH_EQ] = ACTIONS(2458),
    [anon_sym_PERCENT_EQ] = ACTIONS(2458),
    [anon_sym_x_EQ] = ACTIONS(2460),
    [anon_sym_AMP_EQ] = ACTIONS(2458),
    [anon_sym_PIPE_EQ] = ACTIONS(2458),
    [anon_sym_CARET_EQ] = ACTIONS(2458),
    [anon_sym_LT_LT_EQ] = ACTIONS(2458),
    [anon_sym_GT_GT_EQ] = ACTIONS(2458),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2458),
    [anon_sym_DOT_DOT] = ACTIONS(2460),
    [anon_sym_STAR_STAR] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE] = ACTIONS(2460),
    [anon_sym_SLASH_SLASH] = ACTIONS(2460),
    [anon_sym_CARET_CARET] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_PIPE] = ACTIONS(2460),
    [anon_sym_CARET] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_GT_GT2] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_DOT] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_SLASH] = ACTIONS(2460),
    [anon_sym_x] = ACTIONS(2460),
    [anon_sym_EQ_TILDE] = ACTIONS(2458),
    [anon_sym_BANG_TILDE] = ACTIONS(2458),
    [anon_sym_EQ_EQ] = ACTIONS(2460),
    [anon_sym_BANG_EQ] = ACTIONS(2458),
    [anon_sym_eq] = ACTIONS(2460),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2458),
    [anon_sym_equ] = ACTIONS(2458),
    [anon_sym_eqr] = ACTIONS(2458),
    [anon_sym_ne] = ACTIONS(2460),
    [anon_sym_LT_EQ_GT] = ACTIONS(2458),
    [anon_sym_cmp] = ACTIONS(2460),
    [anon_sym_TILDE_TILDE] = ACTIONS(2458),
    [anon_sym_LT_EQ] = ACTIONS(2460),
    [anon_sym_GT_EQ] = ACTIONS(2458),
    [anon_sym_lt] = ACTIONS(2460),
    [anon_sym_le] = ACTIONS(2460),
    [anon_sym_ge] = ACTIONS(2460),
    [anon_sym_gt] = ACTIONS(2460),
    [anon_sym_isa] = ACTIONS(2460),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_QMARK] = ACTIONS(2458),
    [anon_sym_EQ_GT] = ACTIONS(2458),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3339),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1344] = {
    [sym_heredoc_content] = STATE(1344),
    [anon_sym_RBRACE] = ACTIONS(2412),
    [anon_sym_SEMI] = ACTIONS(2412),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_RPAREN] = ACTIONS(2412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2412),
    [anon_sym_and] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2412),
    [anon_sym_xor] = ACTIONS(2414),
    [anon_sym_RBRACK] = ACTIONS(2412),
    [anon_sym_DASH_GT] = ACTIONS(2412),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_GT] = ACTIONS(2414),
    [anon_sym_LT_LT] = ACTIONS(2414),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2412),
    [anon_sym_PLUS_EQ] = ACTIONS(2412),
    [anon_sym_DASH_EQ] = ACTIONS(2412),
    [anon_sym_DOT_EQ] = ACTIONS(2412),
    [anon_sym_STAR_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_PERCENT_EQ] = ACTIONS(2412),
    [anon_sym_x_EQ] = ACTIONS(2414),
    [anon_sym_AMP_EQ] = ACTIONS(2412),
    [anon_sym_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_CARET_EQ] = ACTIONS(2412),
    [anon_sym_LT_LT_EQ] = ACTIONS(2412),
    [anon_sym_GT_GT_EQ] = ACTIONS(2412),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2414),
    [anon_sym_STAR_STAR] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH] = ACTIONS(2414),
    [anon_sym_CARET_CARET] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_PIPE] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_GT_GT2] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_SLASH] = ACTIONS(2414),
    [anon_sym_x] = ACTIONS(2414),
    [anon_sym_EQ_TILDE] = ACTIONS(2412),
    [anon_sym_BANG_TILDE] = ACTIONS(2412),
    [anon_sym_EQ_EQ] = ACTIONS(2414),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_eq] = ACTIONS(2414),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2412),
    [anon_sym_equ] = ACTIONS(2412),
    [anon_sym_eqr] = ACTIONS(2412),
    [anon_sym_ne] = ACTIONS(2414),
    [anon_sym_LT_EQ_GT] = ACTIONS(2412),
    [anon_sym_cmp] = ACTIONS(2414),
    [anon_sym_TILDE_TILDE] = ACTIONS(2412),
    [anon_sym_LT_EQ] = ACTIONS(2414),
    [anon_sym_GT_EQ] = ACTIONS(2412),
    [anon_sym_lt] = ACTIONS(2414),
    [anon_sym_le] = ACTIONS(2414),
    [anon_sym_ge] = ACTIONS(2414),
    [anon_sym_gt] = ACTIONS(2414),
    [anon_sym_isa] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_QMARK] = ACTIONS(2412),
    [anon_sym_EQ_GT] = ACTIONS(2412),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(2412),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1345] = {
    [sym_heredoc_content] = STATE(1345),
    [anon_sym_LBRACE] = ACTIONS(3341),
    [anon_sym_COLON] = ACTIONS(1796),
    [anon_sym_DOLLAR] = ACTIONS(1796),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_AT] = ACTIONS(1796),
    [anon_sym_COMMA] = ACTIONS(1796),
    [anon_sym_RPAREN] = ACTIONS(1796),
    [anon_sym_LPAREN] = ACTIONS(3343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1796),
    [anon_sym_LBRACK] = ACTIONS(3345),
    [anon_sym_DASH_GT] = ACTIONS(1796),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1796),
    [anon_sym_PLUS_EQ] = ACTIONS(1796),
    [anon_sym_DASH_EQ] = ACTIONS(1796),
    [anon_sym_DOT_EQ] = ACTIONS(1796),
    [anon_sym_STAR_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_PERCENT_EQ] = ACTIONS(1787),
    [anon_sym_x_EQ] = ACTIONS(1796),
    [anon_sym_AMP_EQ] = ACTIONS(1796),
    [anon_sym_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_CARET_EQ] = ACTIONS(1796),
    [anon_sym_LT_LT_EQ] = ACTIONS(1796),
    [anon_sym_GT_GT_EQ] = ACTIONS(1796),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1796),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1787),
    [anon_sym_CARET_CARET] = ACTIONS(1796),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1796),
    [anon_sym_BANG_TILDE] = ACTIONS(1796),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1796),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1796),
    [anon_sym_equ] = ACTIONS(1796),
    [anon_sym_eqr] = ACTIONS(1796),
    [anon_sym_ne] = ACTIONS(1796),
    [anon_sym_LT_EQ_GT] = ACTIONS(1796),
    [anon_sym_cmp] = ACTIONS(1796),
    [anon_sym_TILDE_TILDE] = ACTIONS(1796),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1796),
    [anon_sym_lt] = ACTIONS(1796),
    [anon_sym_le] = ACTIONS(1796),
    [anon_sym_ge] = ACTIONS(1796),
    [anon_sym_gt] = ACTIONS(1796),
    [anon_sym_isa] = ACTIONS(1796),
    [anon_sym_PLUS_PLUS] = ACTIONS(1796),
    [anon_sym_DASH_DASH] = ACTIONS(1796),
    [anon_sym_QMARK] = ACTIONS(1796),
    [anon_sym_PERCENT2] = ACTIONS(1796),
    [anon_sym_EQ_GT] = ACTIONS(1796),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1346] = {
    [sym_heredoc_content] = STATE(1346),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_COLON] = ACTIONS(2340),
    [anon_sym_DOLLAR] = ACTIONS(2340),
    [anon_sym_EQ] = ACTIONS(2342),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2340),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2340),
    [anon_sym_AT] = ACTIONS(2340),
    [anon_sym_COMMA] = ACTIONS(2340),
    [anon_sym_RPAREN] = ACTIONS(2340),
    [anon_sym_LPAREN] = ACTIONS(2340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_DASH_GT] = ACTIONS(2340),
    [anon_sym_PERCENT] = ACTIONS(2342),
    [anon_sym_LT] = ACTIONS(2342),
    [anon_sym_GT] = ACTIONS(2342),
    [anon_sym_LT_LT] = ACTIONS(2342),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2340),
    [anon_sym_PLUS_EQ] = ACTIONS(2340),
    [anon_sym_DASH_EQ] = ACTIONS(2340),
    [anon_sym_DOT_EQ] = ACTIONS(2340),
    [anon_sym_STAR_EQ] = ACTIONS(2340),
    [anon_sym_SLASH_EQ] = ACTIONS(2340),
    [anon_sym_PERCENT_EQ] = ACTIONS(2342),
    [anon_sym_x_EQ] = ACTIONS(2340),
    [anon_sym_AMP_EQ] = ACTIONS(2340),
    [anon_sym_PIPE_EQ] = ACTIONS(2340),
    [anon_sym_CARET_EQ] = ACTIONS(2340),
    [anon_sym_LT_LT_EQ] = ACTIONS(2340),
    [anon_sym_GT_GT_EQ] = ACTIONS(2340),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2340),
    [anon_sym_DOT_DOT] = ACTIONS(2342),
    [anon_sym_STAR_STAR] = ACTIONS(2342),
    [anon_sym_PIPE_PIPE] = ACTIONS(2342),
    [anon_sym_SLASH_SLASH] = ACTIONS(2342),
    [anon_sym_CARET_CARET] = ACTIONS(2340),
    [anon_sym_AMP_AMP] = ACTIONS(2342),
    [anon_sym_PIPE] = ACTIONS(2342),
    [anon_sym_CARET] = ACTIONS(2342),
    [anon_sym_AMP] = ACTIONS(2342),
    [anon_sym_GT_GT2] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_DOT] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2342),
    [anon_sym_SLASH] = ACTIONS(2342),
    [anon_sym_x] = ACTIONS(2342),
    [anon_sym_EQ_TILDE] = ACTIONS(2340),
    [anon_sym_BANG_TILDE] = ACTIONS(2340),
    [anon_sym_EQ_EQ] = ACTIONS(2342),
    [anon_sym_BANG_EQ] = ACTIONS(2340),
    [anon_sym_eq] = ACTIONS(2342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2340),
    [anon_sym_equ] = ACTIONS(2340),
    [anon_sym_eqr] = ACTIONS(2340),
    [anon_sym_ne] = ACTIONS(2340),
    [anon_sym_LT_EQ_GT] = ACTIONS(2340),
    [anon_sym_cmp] = ACTIONS(2340),
    [anon_sym_TILDE_TILDE] = ACTIONS(2340),
    [anon_sym_LT_EQ] = ACTIONS(2342),
    [anon_sym_GT_EQ] = ACTIONS(2340),
    [anon_sym_lt] = ACTIONS(2340),
    [anon_sym_le] = ACTIONS(2340),
    [anon_sym_ge] = ACTIONS(2340),
    [anon_sym_gt] = ACTIONS(2340),
    [anon_sym_isa] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_QMARK] = ACTIONS(2340),
    [anon_sym_PERCENT2] = ACTIONS(2340),
    [anon_sym_EQ_GT] = ACTIONS(2340),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1347] = {
    [sym_heredoc_content] = STATE(1347),
    [anon_sym_RBRACE] = ACTIONS(2604),
    [anon_sym_SEMI] = ACTIONS(2604),
    [anon_sym_EQ] = ACTIONS(2606),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2604),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2604),
    [anon_sym_COMMA] = ACTIONS(2604),
    [anon_sym_RPAREN] = ACTIONS(2604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2604),
    [anon_sym_and] = ACTIONS(2606),
    [anon_sym_or] = ACTIONS(2604),
    [anon_sym_xor] = ACTIONS(2606),
    [anon_sym_RBRACK] = ACTIONS(2604),
    [anon_sym_DASH_GT] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2606),
    [anon_sym_LT] = ACTIONS(2606),
    [anon_sym_GT] = ACTIONS(2606),
    [anon_sym_LT_LT] = ACTIONS(2606),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2604),
    [anon_sym_PLUS_EQ] = ACTIONS(2604),
    [anon_sym_DASH_EQ] = ACTIONS(2604),
    [anon_sym_DOT_EQ] = ACTIONS(2604),
    [anon_sym_STAR_EQ] = ACTIONS(2604),
    [anon_sym_SLASH_EQ] = ACTIONS(2604),
    [anon_sym_PERCENT_EQ] = ACTIONS(2604),
    [anon_sym_x_EQ] = ACTIONS(2606),
    [anon_sym_AMP_EQ] = ACTIONS(2604),
    [anon_sym_PIPE_EQ] = ACTIONS(2604),
    [anon_sym_CARET_EQ] = ACTIONS(2604),
    [anon_sym_LT_LT_EQ] = ACTIONS(2604),
    [anon_sym_GT_GT_EQ] = ACTIONS(2604),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2604),
    [anon_sym_DOT_DOT] = ACTIONS(2606),
    [anon_sym_STAR_STAR] = ACTIONS(2606),
    [anon_sym_PIPE_PIPE] = ACTIONS(2606),
    [anon_sym_SLASH_SLASH] = ACTIONS(2606),
    [anon_sym_CARET_CARET] = ACTIONS(2604),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym_GT_GT2] = ACTIONS(2606),
    [anon_sym_PLUS] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2606),
    [anon_sym_DOT] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_SLASH] = ACTIONS(2606),
    [anon_sym_x] = ACTIONS(2606),
    [anon_sym_EQ_TILDE] = ACTIONS(2604),
    [anon_sym_BANG_TILDE] = ACTIONS(2604),
    [anon_sym_EQ_EQ] = ACTIONS(2606),
    [anon_sym_BANG_EQ] = ACTIONS(2604),
    [anon_sym_eq] = ACTIONS(2606),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2604),
    [anon_sym_equ] = ACTIONS(2604),
    [anon_sym_eqr] = ACTIONS(2604),
    [anon_sym_ne] = ACTIONS(2606),
    [anon_sym_LT_EQ_GT] = ACTIONS(2604),
    [anon_sym_cmp] = ACTIONS(2606),
    [anon_sym_TILDE_TILDE] = ACTIONS(2604),
    [anon_sym_LT_EQ] = ACTIONS(2606),
    [anon_sym_GT_EQ] = ACTIONS(2604),
    [anon_sym_lt] = ACTIONS(2606),
    [anon_sym_le] = ACTIONS(2606),
    [anon_sym_ge] = ACTIONS(2606),
    [anon_sym_gt] = ACTIONS(2606),
    [anon_sym_isa] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2604),
    [anon_sym_QMARK] = ACTIONS(2604),
    [anon_sym_EQ_GT] = ACTIONS(2604),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3347),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1348] = {
    [sym_heredoc_content] = STATE(1348),
    [anon_sym_RBRACE] = ACTIONS(2412),
    [anon_sym_SEMI] = ACTIONS(2412),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_RPAREN] = ACTIONS(2412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2412),
    [anon_sym_and] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2412),
    [anon_sym_xor] = ACTIONS(2414),
    [anon_sym_RBRACK] = ACTIONS(2412),
    [anon_sym_DASH_GT] = ACTIONS(2412),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_GT] = ACTIONS(2414),
    [anon_sym_LT_LT] = ACTIONS(2414),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2412),
    [anon_sym_PLUS_EQ] = ACTIONS(2412),
    [anon_sym_DASH_EQ] = ACTIONS(2412),
    [anon_sym_DOT_EQ] = ACTIONS(2412),
    [anon_sym_STAR_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_PERCENT_EQ] = ACTIONS(2412),
    [anon_sym_x_EQ] = ACTIONS(2414),
    [anon_sym_AMP_EQ] = ACTIONS(2412),
    [anon_sym_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_CARET_EQ] = ACTIONS(2412),
    [anon_sym_LT_LT_EQ] = ACTIONS(2412),
    [anon_sym_GT_GT_EQ] = ACTIONS(2412),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2414),
    [anon_sym_STAR_STAR] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH] = ACTIONS(2414),
    [anon_sym_CARET_CARET] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_PIPE] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_GT_GT2] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_SLASH] = ACTIONS(2414),
    [anon_sym_x] = ACTIONS(2414),
    [anon_sym_EQ_TILDE] = ACTIONS(2412),
    [anon_sym_BANG_TILDE] = ACTIONS(2412),
    [anon_sym_EQ_EQ] = ACTIONS(2414),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_eq] = ACTIONS(2414),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2412),
    [anon_sym_equ] = ACTIONS(2412),
    [anon_sym_eqr] = ACTIONS(2412),
    [anon_sym_ne] = ACTIONS(2414),
    [anon_sym_LT_EQ_GT] = ACTIONS(2412),
    [anon_sym_cmp] = ACTIONS(2412),
    [anon_sym_TILDE_TILDE] = ACTIONS(2412),
    [anon_sym_LT_EQ] = ACTIONS(2414),
    [anon_sym_GT_EQ] = ACTIONS(2412),
    [anon_sym_lt] = ACTIONS(2414),
    [anon_sym_le] = ACTIONS(2414),
    [anon_sym_ge] = ACTIONS(2412),
    [anon_sym_gt] = ACTIONS(2412),
    [anon_sym_isa] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_QMARK] = ACTIONS(2412),
    [anon_sym_EQ_GT] = ACTIONS(2412),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(2412),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1349] = {
    [sym_heredoc_content] = STATE(1349),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_COLON] = ACTIONS(2374),
    [anon_sym_DOLLAR] = ACTIONS(2374),
    [anon_sym_EQ] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2374),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2374),
    [anon_sym_AT] = ACTIONS(2374),
    [anon_sym_COMMA] = ACTIONS(2374),
    [anon_sym_RPAREN] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_DASH_GT] = ACTIONS(2374),
    [anon_sym_PERCENT] = ACTIONS(2376),
    [anon_sym_LT] = ACTIONS(2376),
    [anon_sym_GT] = ACTIONS(2376),
    [anon_sym_LT_LT] = ACTIONS(2376),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2374),
    [anon_sym_PLUS_EQ] = ACTIONS(2374),
    [anon_sym_DASH_EQ] = ACTIONS(2374),
    [anon_sym_DOT_EQ] = ACTIONS(2374),
    [anon_sym_STAR_EQ] = ACTIONS(2374),
    [anon_sym_SLASH_EQ] = ACTIONS(2374),
    [anon_sym_PERCENT_EQ] = ACTIONS(2376),
    [anon_sym_x_EQ] = ACTIONS(2374),
    [anon_sym_AMP_EQ] = ACTIONS(2374),
    [anon_sym_PIPE_EQ] = ACTIONS(2374),
    [anon_sym_CARET_EQ] = ACTIONS(2374),
    [anon_sym_LT_LT_EQ] = ACTIONS(2374),
    [anon_sym_GT_GT_EQ] = ACTIONS(2374),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2374),
    [anon_sym_DOT_DOT] = ACTIONS(2376),
    [anon_sym_STAR_STAR] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2376),
    [anon_sym_SLASH_SLASH] = ACTIONS(2376),
    [anon_sym_CARET_CARET] = ACTIONS(2374),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_PIPE] = ACTIONS(2376),
    [anon_sym_CARET] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_GT_GT2] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_SLASH] = ACTIONS(2376),
    [anon_sym_x] = ACTIONS(2376),
    [anon_sym_EQ_TILDE] = ACTIONS(2374),
    [anon_sym_BANG_TILDE] = ACTIONS(2374),
    [anon_sym_EQ_EQ] = ACTIONS(2376),
    [anon_sym_BANG_EQ] = ACTIONS(2374),
    [anon_sym_eq] = ACTIONS(2376),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2374),
    [anon_sym_equ] = ACTIONS(2374),
    [anon_sym_eqr] = ACTIONS(2374),
    [anon_sym_ne] = ACTIONS(2374),
    [anon_sym_LT_EQ_GT] = ACTIONS(2374),
    [anon_sym_cmp] = ACTIONS(2374),
    [anon_sym_TILDE_TILDE] = ACTIONS(2374),
    [anon_sym_LT_EQ] = ACTIONS(2376),
    [anon_sym_GT_EQ] = ACTIONS(2374),
    [anon_sym_lt] = ACTIONS(2374),
    [anon_sym_le] = ACTIONS(2374),
    [anon_sym_ge] = ACTIONS(2374),
    [anon_sym_gt] = ACTIONS(2374),
    [anon_sym_isa] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_QMARK] = ACTIONS(2374),
    [anon_sym_PERCENT2] = ACTIONS(2374),
    [anon_sym_EQ_GT] = ACTIONS(2374),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1350] = {
    [sym_heredoc_content] = STATE(1350),
    [anon_sym_LBRACE] = ACTIONS(2378),
    [anon_sym_COLON] = ACTIONS(2378),
    [anon_sym_DOLLAR] = ACTIONS(2378),
    [anon_sym_EQ] = ACTIONS(2380),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2378),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2378),
    [anon_sym_AT] = ACTIONS(2378),
    [anon_sym_COMMA] = ACTIONS(2378),
    [anon_sym_RPAREN] = ACTIONS(2378),
    [anon_sym_LPAREN] = ACTIONS(2378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2378),
    [anon_sym_LBRACK] = ACTIONS(2378),
    [anon_sym_DASH_GT] = ACTIONS(2378),
    [anon_sym_PERCENT] = ACTIONS(2380),
    [anon_sym_LT] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2380),
    [anon_sym_LT_LT] = ACTIONS(2380),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2378),
    [anon_sym_PLUS_EQ] = ACTIONS(2378),
    [anon_sym_DASH_EQ] = ACTIONS(2378),
    [anon_sym_DOT_EQ] = ACTIONS(2378),
    [anon_sym_STAR_EQ] = ACTIONS(2378),
    [anon_sym_SLASH_EQ] = ACTIONS(2378),
    [anon_sym_PERCENT_EQ] = ACTIONS(2380),
    [anon_sym_x_EQ] = ACTIONS(2378),
    [anon_sym_AMP_EQ] = ACTIONS(2378),
    [anon_sym_PIPE_EQ] = ACTIONS(2378),
    [anon_sym_CARET_EQ] = ACTIONS(2378),
    [anon_sym_LT_LT_EQ] = ACTIONS(2378),
    [anon_sym_GT_GT_EQ] = ACTIONS(2378),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2378),
    [anon_sym_DOT_DOT] = ACTIONS(2380),
    [anon_sym_STAR_STAR] = ACTIONS(2380),
    [anon_sym_PIPE_PIPE] = ACTIONS(2380),
    [anon_sym_SLASH_SLASH] = ACTIONS(2380),
    [anon_sym_CARET_CARET] = ACTIONS(2378),
    [anon_sym_AMP_AMP] = ACTIONS(2380),
    [anon_sym_PIPE] = ACTIONS(2380),
    [anon_sym_CARET] = ACTIONS(2380),
    [anon_sym_AMP] = ACTIONS(2380),
    [anon_sym_GT_GT2] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2380),
    [anon_sym_DASH] = ACTIONS(2380),
    [anon_sym_DOT] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2380),
    [anon_sym_SLASH] = ACTIONS(2380),
    [anon_sym_x] = ACTIONS(2380),
    [anon_sym_EQ_TILDE] = ACTIONS(2378),
    [anon_sym_BANG_TILDE] = ACTIONS(2378),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2378),
    [anon_sym_eq] = ACTIONS(2380),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2378),
    [anon_sym_equ] = ACTIONS(2378),
    [anon_sym_eqr] = ACTIONS(2378),
    [anon_sym_ne] = ACTIONS(2378),
    [anon_sym_LT_EQ_GT] = ACTIONS(2378),
    [anon_sym_cmp] = ACTIONS(2378),
    [anon_sym_TILDE_TILDE] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2378),
    [anon_sym_lt] = ACTIONS(2378),
    [anon_sym_le] = ACTIONS(2378),
    [anon_sym_ge] = ACTIONS(2378),
    [anon_sym_gt] = ACTIONS(2378),
    [anon_sym_isa] = ACTIONS(2378),
    [anon_sym_PLUS_PLUS] = ACTIONS(2378),
    [anon_sym_DASH_DASH] = ACTIONS(2378),
    [anon_sym_QMARK] = ACTIONS(2378),
    [anon_sym_PERCENT2] = ACTIONS(2378),
    [anon_sym_EQ_GT] = ACTIONS(2378),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1351] = {
    [sym_heredoc_content] = STATE(1351),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_COLON] = ACTIONS(2382),
    [anon_sym_DOLLAR] = ACTIONS(2382),
    [anon_sym_EQ] = ACTIONS(2384),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2382),
    [anon_sym_AT] = ACTIONS(2382),
    [anon_sym_COMMA] = ACTIONS(2382),
    [anon_sym_RPAREN] = ACTIONS(2382),
    [anon_sym_LPAREN] = ACTIONS(2382),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_DASH_GT] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2384),
    [anon_sym_LT] = ACTIONS(2384),
    [anon_sym_GT] = ACTIONS(2384),
    [anon_sym_LT_LT] = ACTIONS(2384),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2382),
    [anon_sym_PLUS_EQ] = ACTIONS(2382),
    [anon_sym_DASH_EQ] = ACTIONS(2382),
    [anon_sym_DOT_EQ] = ACTIONS(2382),
    [anon_sym_STAR_EQ] = ACTIONS(2382),
    [anon_sym_SLASH_EQ] = ACTIONS(2382),
    [anon_sym_PERCENT_EQ] = ACTIONS(2384),
    [anon_sym_x_EQ] = ACTIONS(2382),
    [anon_sym_AMP_EQ] = ACTIONS(2382),
    [anon_sym_PIPE_EQ] = ACTIONS(2382),
    [anon_sym_CARET_EQ] = ACTIONS(2382),
    [anon_sym_LT_LT_EQ] = ACTIONS(2382),
    [anon_sym_GT_GT_EQ] = ACTIONS(2382),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2382),
    [anon_sym_DOT_DOT] = ACTIONS(2384),
    [anon_sym_STAR_STAR] = ACTIONS(2384),
    [anon_sym_PIPE_PIPE] = ACTIONS(2384),
    [anon_sym_SLASH_SLASH] = ACTIONS(2384),
    [anon_sym_CARET_CARET] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_PIPE] = ACTIONS(2384),
    [anon_sym_CARET] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_GT_GT2] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_DASH] = ACTIONS(2384),
    [anon_sym_DOT] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_SLASH] = ACTIONS(2384),
    [anon_sym_x] = ACTIONS(2384),
    [anon_sym_EQ_TILDE] = ACTIONS(2382),
    [anon_sym_BANG_TILDE] = ACTIONS(2382),
    [anon_sym_EQ_EQ] = ACTIONS(2384),
    [anon_sym_BANG_EQ] = ACTIONS(2382),
    [anon_sym_eq] = ACTIONS(2384),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2382),
    [anon_sym_equ] = ACTIONS(2382),
    [anon_sym_eqr] = ACTIONS(2382),
    [anon_sym_ne] = ACTIONS(2382),
    [anon_sym_LT_EQ_GT] = ACTIONS(2382),
    [anon_sym_cmp] = ACTIONS(2382),
    [anon_sym_TILDE_TILDE] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2384),
    [anon_sym_GT_EQ] = ACTIONS(2382),
    [anon_sym_lt] = ACTIONS(2382),
    [anon_sym_le] = ACTIONS(2382),
    [anon_sym_ge] = ACTIONS(2382),
    [anon_sym_gt] = ACTIONS(2382),
    [anon_sym_isa] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [anon_sym_QMARK] = ACTIONS(2382),
    [anon_sym_PERCENT2] = ACTIONS(2382),
    [anon_sym_EQ_GT] = ACTIONS(2382),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1352] = {
    [sym_heredoc_content] = STATE(1352),
    [anon_sym_RBRACE] = ACTIONS(2651),
    [anon_sym_SEMI] = ACTIONS(2651),
    [anon_sym_EQ] = ACTIONS(2653),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2651),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2651),
    [anon_sym_COMMA] = ACTIONS(2651),
    [anon_sym_RPAREN] = ACTIONS(2651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2651),
    [anon_sym_and] = ACTIONS(2651),
    [anon_sym_or] = ACTIONS(2651),
    [anon_sym_xor] = ACTIONS(2651),
    [anon_sym_LBRACK] = ACTIONS(3273),
    [anon_sym_RBRACK] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2651),
    [anon_sym_PERCENT] = ACTIONS(2653),
    [anon_sym_LT] = ACTIONS(2653),
    [anon_sym_GT] = ACTIONS(2653),
    [anon_sym_LT_LT] = ACTIONS(2653),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2651),
    [anon_sym_PLUS_EQ] = ACTIONS(2651),
    [anon_sym_DASH_EQ] = ACTIONS(2651),
    [anon_sym_DOT_EQ] = ACTIONS(2651),
    [anon_sym_STAR_EQ] = ACTIONS(2651),
    [anon_sym_SLASH_EQ] = ACTIONS(2651),
    [anon_sym_PERCENT_EQ] = ACTIONS(2651),
    [anon_sym_x_EQ] = ACTIONS(2651),
    [anon_sym_AMP_EQ] = ACTIONS(2651),
    [anon_sym_PIPE_EQ] = ACTIONS(2651),
    [anon_sym_CARET_EQ] = ACTIONS(2651),
    [anon_sym_LT_LT_EQ] = ACTIONS(2651),
    [anon_sym_GT_GT_EQ] = ACTIONS(2651),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2651),
    [anon_sym_DOT_DOT] = ACTIONS(2653),
    [anon_sym_STAR_STAR] = ACTIONS(2653),
    [anon_sym_PIPE_PIPE] = ACTIONS(2653),
    [anon_sym_SLASH_SLASH] = ACTIONS(2653),
    [anon_sym_CARET_CARET] = ACTIONS(2651),
    [anon_sym_AMP_AMP] = ACTIONS(2653),
    [anon_sym_PIPE] = ACTIONS(2653),
    [anon_sym_CARET] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_GT_GT2] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_DOT] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_SLASH] = ACTIONS(2653),
    [anon_sym_x] = ACTIONS(2653),
    [anon_sym_EQ_TILDE] = ACTIONS(2651),
    [anon_sym_BANG_TILDE] = ACTIONS(2651),
    [anon_sym_EQ_EQ] = ACTIONS(2653),
    [anon_sym_BANG_EQ] = ACTIONS(2651),
    [anon_sym_eq] = ACTIONS(2653),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2651),
    [anon_sym_equ] = ACTIONS(2651),
    [anon_sym_eqr] = ACTIONS(2651),
    [anon_sym_ne] = ACTIONS(2651),
    [anon_sym_LT_EQ_GT] = ACTIONS(2651),
    [anon_sym_cmp] = ACTIONS(2651),
    [anon_sym_TILDE_TILDE] = ACTIONS(2651),
    [anon_sym_LT_EQ] = ACTIONS(2653),
    [anon_sym_GT_EQ] = ACTIONS(2651),
    [anon_sym_lt] = ACTIONS(2651),
    [anon_sym_le] = ACTIONS(2651),
    [anon_sym_ge] = ACTIONS(2651),
    [anon_sym_gt] = ACTIONS(2651),
    [anon_sym_isa] = ACTIONS(2651),
    [anon_sym_PLUS_PLUS] = ACTIONS(2651),
    [anon_sym_DASH_DASH] = ACTIONS(2651),
    [anon_sym_QMARK] = ACTIONS(2651),
    [anon_sym_EQ_GT] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1353] = {
    [sym_heredoc_content] = STATE(1353),
    [anon_sym_LBRACE] = ACTIONS(2386),
    [anon_sym_COLON] = ACTIONS(2386),
    [anon_sym_DOLLAR] = ACTIONS(2386),
    [anon_sym_EQ] = ACTIONS(2388),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2386),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2386),
    [anon_sym_AT] = ACTIONS(2386),
    [anon_sym_COMMA] = ACTIONS(2386),
    [anon_sym_RPAREN] = ACTIONS(2386),
    [anon_sym_LPAREN] = ACTIONS(2386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2386),
    [anon_sym_LBRACK] = ACTIONS(2386),
    [anon_sym_DASH_GT] = ACTIONS(2386),
    [anon_sym_PERCENT] = ACTIONS(2388),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_GT] = ACTIONS(2388),
    [anon_sym_LT_LT] = ACTIONS(2388),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2386),
    [anon_sym_PLUS_EQ] = ACTIONS(2386),
    [anon_sym_DASH_EQ] = ACTIONS(2386),
    [anon_sym_DOT_EQ] = ACTIONS(2386),
    [anon_sym_STAR_EQ] = ACTIONS(2386),
    [anon_sym_SLASH_EQ] = ACTIONS(2386),
    [anon_sym_PERCENT_EQ] = ACTIONS(2388),
    [anon_sym_x_EQ] = ACTIONS(2386),
    [anon_sym_AMP_EQ] = ACTIONS(2386),
    [anon_sym_PIPE_EQ] = ACTIONS(2386),
    [anon_sym_CARET_EQ] = ACTIONS(2386),
    [anon_sym_LT_LT_EQ] = ACTIONS(2386),
    [anon_sym_GT_GT_EQ] = ACTIONS(2386),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2386),
    [anon_sym_DOT_DOT] = ACTIONS(2388),
    [anon_sym_STAR_STAR] = ACTIONS(2388),
    [anon_sym_PIPE_PIPE] = ACTIONS(2388),
    [anon_sym_SLASH_SLASH] = ACTIONS(2388),
    [anon_sym_CARET_CARET] = ACTIONS(2386),
    [anon_sym_AMP_AMP] = ACTIONS(2388),
    [anon_sym_PIPE] = ACTIONS(2388),
    [anon_sym_CARET] = ACTIONS(2388),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym_GT_GT2] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2388),
    [anon_sym_DASH] = ACTIONS(2388),
    [anon_sym_DOT] = ACTIONS(2388),
    [anon_sym_STAR] = ACTIONS(2388),
    [anon_sym_SLASH] = ACTIONS(2388),
    [anon_sym_x] = ACTIONS(2388),
    [anon_sym_EQ_TILDE] = ACTIONS(2386),
    [anon_sym_BANG_TILDE] = ACTIONS(2386),
    [anon_sym_EQ_EQ] = ACTIONS(2388),
    [anon_sym_BANG_EQ] = ACTIONS(2386),
    [anon_sym_eq] = ACTIONS(2388),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2386),
    [anon_sym_equ] = ACTIONS(2386),
    [anon_sym_eqr] = ACTIONS(2386),
    [anon_sym_ne] = ACTIONS(2386),
    [anon_sym_LT_EQ_GT] = ACTIONS(2386),
    [anon_sym_cmp] = ACTIONS(2386),
    [anon_sym_TILDE_TILDE] = ACTIONS(2386),
    [anon_sym_LT_EQ] = ACTIONS(2388),
    [anon_sym_GT_EQ] = ACTIONS(2386),
    [anon_sym_lt] = ACTIONS(2386),
    [anon_sym_le] = ACTIONS(2386),
    [anon_sym_ge] = ACTIONS(2386),
    [anon_sym_gt] = ACTIONS(2386),
    [anon_sym_isa] = ACTIONS(2386),
    [anon_sym_PLUS_PLUS] = ACTIONS(2386),
    [anon_sym_DASH_DASH] = ACTIONS(2386),
    [anon_sym_QMARK] = ACTIONS(2386),
    [anon_sym_PERCENT2] = ACTIONS(2386),
    [anon_sym_EQ_GT] = ACTIONS(2386),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1354] = {
    [sym_heredoc_content] = STATE(1354),
    [anon_sym_LBRACE] = ACTIONS(2390),
    [anon_sym_COLON] = ACTIONS(2390),
    [anon_sym_DOLLAR] = ACTIONS(2390),
    [anon_sym_EQ] = ACTIONS(2392),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2390),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2390),
    [anon_sym_AT] = ACTIONS(2390),
    [anon_sym_COMMA] = ACTIONS(2390),
    [anon_sym_RPAREN] = ACTIONS(2390),
    [anon_sym_LPAREN] = ACTIONS(2390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2390),
    [anon_sym_DASH_GT] = ACTIONS(2390),
    [anon_sym_PERCENT] = ACTIONS(2392),
    [anon_sym_LT] = ACTIONS(2392),
    [anon_sym_GT] = ACTIONS(2392),
    [anon_sym_LT_LT] = ACTIONS(2392),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2390),
    [anon_sym_PLUS_EQ] = ACTIONS(2390),
    [anon_sym_DASH_EQ] = ACTIONS(2390),
    [anon_sym_DOT_EQ] = ACTIONS(2390),
    [anon_sym_STAR_EQ] = ACTIONS(2390),
    [anon_sym_SLASH_EQ] = ACTIONS(2390),
    [anon_sym_PERCENT_EQ] = ACTIONS(2392),
    [anon_sym_x_EQ] = ACTIONS(2390),
    [anon_sym_AMP_EQ] = ACTIONS(2390),
    [anon_sym_PIPE_EQ] = ACTIONS(2390),
    [anon_sym_CARET_EQ] = ACTIONS(2390),
    [anon_sym_LT_LT_EQ] = ACTIONS(2390),
    [anon_sym_GT_GT_EQ] = ACTIONS(2390),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2390),
    [anon_sym_DOT_DOT] = ACTIONS(2392),
    [anon_sym_STAR_STAR] = ACTIONS(2392),
    [anon_sym_PIPE_PIPE] = ACTIONS(2392),
    [anon_sym_SLASH_SLASH] = ACTIONS(2392),
    [anon_sym_CARET_CARET] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2392),
    [anon_sym_PIPE] = ACTIONS(2392),
    [anon_sym_CARET] = ACTIONS(2392),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym_GT_GT2] = ACTIONS(2392),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_DASH] = ACTIONS(2392),
    [anon_sym_DOT] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2392),
    [anon_sym_SLASH] = ACTIONS(2392),
    [anon_sym_x] = ACTIONS(2392),
    [anon_sym_EQ_TILDE] = ACTIONS(2390),
    [anon_sym_BANG_TILDE] = ACTIONS(2390),
    [anon_sym_EQ_EQ] = ACTIONS(2392),
    [anon_sym_BANG_EQ] = ACTIONS(2390),
    [anon_sym_eq] = ACTIONS(2392),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2390),
    [anon_sym_equ] = ACTIONS(2390),
    [anon_sym_eqr] = ACTIONS(2390),
    [anon_sym_ne] = ACTIONS(2390),
    [anon_sym_LT_EQ_GT] = ACTIONS(2390),
    [anon_sym_cmp] = ACTIONS(2390),
    [anon_sym_TILDE_TILDE] = ACTIONS(2390),
    [anon_sym_LT_EQ] = ACTIONS(2392),
    [anon_sym_GT_EQ] = ACTIONS(2390),
    [anon_sym_lt] = ACTIONS(2390),
    [anon_sym_le] = ACTIONS(2390),
    [anon_sym_ge] = ACTIONS(2390),
    [anon_sym_gt] = ACTIONS(2390),
    [anon_sym_isa] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2390),
    [anon_sym_DASH_DASH] = ACTIONS(2390),
    [anon_sym_QMARK] = ACTIONS(2390),
    [anon_sym_PERCENT2] = ACTIONS(2390),
    [anon_sym_EQ_GT] = ACTIONS(2390),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1355] = {
    [sym_heredoc_content] = STATE(1355),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2372),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2370),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2370),
    [anon_sym_RPAREN] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_DASH_GT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2372),
    [anon_sym_LT] = ACTIONS(2372),
    [anon_sym_GT] = ACTIONS(2372),
    [anon_sym_LT_LT] = ACTIONS(2372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2370),
    [anon_sym_PLUS_EQ] = ACTIONS(2370),
    [anon_sym_DASH_EQ] = ACTIONS(2370),
    [anon_sym_DOT_EQ] = ACTIONS(2370),
    [anon_sym_STAR_EQ] = ACTIONS(2370),
    [anon_sym_SLASH_EQ] = ACTIONS(2370),
    [anon_sym_PERCENT_EQ] = ACTIONS(2372),
    [anon_sym_x_EQ] = ACTIONS(2370),
    [anon_sym_AMP_EQ] = ACTIONS(2370),
    [anon_sym_PIPE_EQ] = ACTIONS(2370),
    [anon_sym_CARET_EQ] = ACTIONS(2370),
    [anon_sym_LT_LT_EQ] = ACTIONS(2370),
    [anon_sym_GT_GT_EQ] = ACTIONS(2370),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2370),
    [anon_sym_DOT_DOT] = ACTIONS(2372),
    [anon_sym_STAR_STAR] = ACTIONS(2372),
    [anon_sym_PIPE_PIPE] = ACTIONS(2372),
    [anon_sym_SLASH_SLASH] = ACTIONS(2372),
    [anon_sym_CARET_CARET] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2372),
    [anon_sym_PIPE] = ACTIONS(2372),
    [anon_sym_CARET] = ACTIONS(2372),
    [anon_sym_AMP] = ACTIONS(2372),
    [anon_sym_GT_GT2] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_DASH] = ACTIONS(2372),
    [anon_sym_DOT] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2372),
    [anon_sym_SLASH] = ACTIONS(2372),
    [anon_sym_x] = ACTIONS(2372),
    [anon_sym_EQ_TILDE] = ACTIONS(2370),
    [anon_sym_BANG_TILDE] = ACTIONS(2370),
    [anon_sym_EQ_EQ] = ACTIONS(2372),
    [anon_sym_BANG_EQ] = ACTIONS(2370),
    [anon_sym_eq] = ACTIONS(2372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2370),
    [anon_sym_equ] = ACTIONS(2370),
    [anon_sym_eqr] = ACTIONS(2370),
    [anon_sym_ne] = ACTIONS(2370),
    [anon_sym_LT_EQ_GT] = ACTIONS(2370),
    [anon_sym_cmp] = ACTIONS(2370),
    [anon_sym_TILDE_TILDE] = ACTIONS(2370),
    [anon_sym_LT_EQ] = ACTIONS(2372),
    [anon_sym_GT_EQ] = ACTIONS(2370),
    [anon_sym_lt] = ACTIONS(2370),
    [anon_sym_le] = ACTIONS(2370),
    [anon_sym_ge] = ACTIONS(2370),
    [anon_sym_gt] = ACTIONS(2370),
    [anon_sym_isa] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_PERCENT2] = ACTIONS(2370),
    [anon_sym_EQ_GT] = ACTIONS(2370),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1356] = {
    [sym_heredoc_content] = STATE(1356),
    [aux_sym__term_rightward_repeat1] = STATE(1356),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_COMMA] = ACTIONS(3349),
    [anon_sym_RPAREN] = ACTIONS(2636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2636),
    [anon_sym_and] = ACTIONS(2636),
    [anon_sym_or] = ACTIONS(2636),
    [anon_sym_xor] = ACTIONS(2636),
    [anon_sym_RBRACK] = ACTIONS(2636),
    [anon_sym_DASH_GT] = ACTIONS(2636),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LT_LT] = ACTIONS(2638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2636),
    [anon_sym_PLUS_EQ] = ACTIONS(2636),
    [anon_sym_DASH_EQ] = ACTIONS(2636),
    [anon_sym_DOT_EQ] = ACTIONS(2636),
    [anon_sym_STAR_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_PERCENT_EQ] = ACTIONS(2636),
    [anon_sym_x_EQ] = ACTIONS(2636),
    [anon_sym_AMP_EQ] = ACTIONS(2636),
    [anon_sym_PIPE_EQ] = ACTIONS(2636),
    [anon_sym_CARET_EQ] = ACTIONS(2636),
    [anon_sym_LT_LT_EQ] = ACTIONS(2636),
    [anon_sym_GT_GT_EQ] = ACTIONS(2636),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2636),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_STAR_STAR] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2638),
    [anon_sym_SLASH_SLASH] = ACTIONS(2638),
    [anon_sym_CARET_CARET] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2638),
    [anon_sym_PIPE] = ACTIONS(2638),
    [anon_sym_CARET] = ACTIONS(2638),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym_GT_GT2] = ACTIONS(2638),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_x] = ACTIONS(2638),
    [anon_sym_EQ_TILDE] = ACTIONS(2636),
    [anon_sym_BANG_TILDE] = ACTIONS(2636),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ] = ACTIONS(2636),
    [anon_sym_eq] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2636),
    [anon_sym_equ] = ACTIONS(2636),
    [anon_sym_eqr] = ACTIONS(2636),
    [anon_sym_ne] = ACTIONS(2636),
    [anon_sym_LT_EQ_GT] = ACTIONS(2636),
    [anon_sym_cmp] = ACTIONS(2636),
    [anon_sym_TILDE_TILDE] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2638),
    [anon_sym_GT_EQ] = ACTIONS(2636),
    [anon_sym_lt] = ACTIONS(2636),
    [anon_sym_le] = ACTIONS(2636),
    [anon_sym_ge] = ACTIONS(2636),
    [anon_sym_gt] = ACTIONS(2636),
    [anon_sym_isa] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_QMARK] = ACTIONS(2636),
    [anon_sym_EQ_GT] = ACTIONS(3349),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1357] = {
    [sym_heredoc_content] = STATE(1357),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_COLON] = ACTIONS(2344),
    [anon_sym_DOLLAR] = ACTIONS(2344),
    [anon_sym_EQ] = ACTIONS(2346),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2344),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2344),
    [anon_sym_AT] = ACTIONS(2344),
    [anon_sym_COMMA] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2344),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [anon_sym_DASH_GT] = ACTIONS(2344),
    [anon_sym_PERCENT] = ACTIONS(2346),
    [anon_sym_LT] = ACTIONS(2346),
    [anon_sym_GT] = ACTIONS(2346),
    [anon_sym_LT_LT] = ACTIONS(2346),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2344),
    [anon_sym_PLUS_EQ] = ACTIONS(2344),
    [anon_sym_DASH_EQ] = ACTIONS(2344),
    [anon_sym_DOT_EQ] = ACTIONS(2344),
    [anon_sym_STAR_EQ] = ACTIONS(2344),
    [anon_sym_SLASH_EQ] = ACTIONS(2344),
    [anon_sym_PERCENT_EQ] = ACTIONS(2346),
    [anon_sym_x_EQ] = ACTIONS(2344),
    [anon_sym_AMP_EQ] = ACTIONS(2344),
    [anon_sym_PIPE_EQ] = ACTIONS(2344),
    [anon_sym_CARET_EQ] = ACTIONS(2344),
    [anon_sym_LT_LT_EQ] = ACTIONS(2344),
    [anon_sym_GT_GT_EQ] = ACTIONS(2344),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2344),
    [anon_sym_DOT_DOT] = ACTIONS(2346),
    [anon_sym_STAR_STAR] = ACTIONS(2346),
    [anon_sym_PIPE_PIPE] = ACTIONS(2346),
    [anon_sym_SLASH_SLASH] = ACTIONS(2346),
    [anon_sym_CARET_CARET] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2346),
    [anon_sym_PIPE] = ACTIONS(2346),
    [anon_sym_CARET] = ACTIONS(2346),
    [anon_sym_AMP] = ACTIONS(2346),
    [anon_sym_GT_GT2] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_DOT] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_x] = ACTIONS(2346),
    [anon_sym_EQ_TILDE] = ACTIONS(2344),
    [anon_sym_BANG_TILDE] = ACTIONS(2344),
    [anon_sym_EQ_EQ] = ACTIONS(2346),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_eq] = ACTIONS(2346),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2344),
    [anon_sym_equ] = ACTIONS(2344),
    [anon_sym_eqr] = ACTIONS(2344),
    [anon_sym_ne] = ACTIONS(2344),
    [anon_sym_LT_EQ_GT] = ACTIONS(2344),
    [anon_sym_cmp] = ACTIONS(2344),
    [anon_sym_TILDE_TILDE] = ACTIONS(2344),
    [anon_sym_LT_EQ] = ACTIONS(2346),
    [anon_sym_GT_EQ] = ACTIONS(2344),
    [anon_sym_lt] = ACTIONS(2344),
    [anon_sym_le] = ACTIONS(2344),
    [anon_sym_ge] = ACTIONS(2344),
    [anon_sym_gt] = ACTIONS(2344),
    [anon_sym_isa] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_QMARK] = ACTIONS(2344),
    [anon_sym_PERCENT2] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(2344),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1358] = {
    [sym_attribute] = STATE(1757),
    [sym_attribute_name] = STATE(1590),
    [sym_heredoc_content] = STATE(1358),
    [aux_sym_attrlist_repeat1] = STATE(1366),
    [sym__identifier] = ACTIONS(3352),
    [anon_sym_COLON] = ACTIONS(3354),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_EQ] = ACTIONS(2306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2302),
    [anon_sym_COMMA] = ACTIONS(2302),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2302),
    [anon_sym_DASH_GT] = ACTIONS(2302),
    [anon_sym_PERCENT] = ACTIONS(2306),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_LT_LT] = ACTIONS(2306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2302),
    [anon_sym_PLUS_EQ] = ACTIONS(2302),
    [anon_sym_DASH_EQ] = ACTIONS(2302),
    [anon_sym_DOT_EQ] = ACTIONS(2302),
    [anon_sym_STAR_EQ] = ACTIONS(2302),
    [anon_sym_SLASH_EQ] = ACTIONS(2302),
    [anon_sym_PERCENT_EQ] = ACTIONS(2302),
    [anon_sym_x_EQ] = ACTIONS(2302),
    [anon_sym_AMP_EQ] = ACTIONS(2302),
    [anon_sym_PIPE_EQ] = ACTIONS(2302),
    [anon_sym_CARET_EQ] = ACTIONS(2302),
    [anon_sym_LT_LT_EQ] = ACTIONS(2302),
    [anon_sym_GT_GT_EQ] = ACTIONS(2302),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2302),
    [anon_sym_DOT_DOT] = ACTIONS(2306),
    [anon_sym_STAR_STAR] = ACTIONS(2306),
    [anon_sym_PIPE_PIPE] = ACTIONS(2306),
    [anon_sym_SLASH_SLASH] = ACTIONS(2306),
    [anon_sym_CARET_CARET] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2306),
    [anon_sym_PIPE] = ACTIONS(2306),
    [anon_sym_CARET] = ACTIONS(2306),
    [anon_sym_AMP] = ACTIONS(2306),
    [anon_sym_GT_GT2] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_DOT] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2306),
    [anon_sym_x] = ACTIONS(2306),
    [anon_sym_EQ_TILDE] = ACTIONS(2302),
    [anon_sym_BANG_TILDE] = ACTIONS(2302),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ] = ACTIONS(2302),
    [anon_sym_eq] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2302),
    [anon_sym_equ] = ACTIONS(2306),
    [anon_sym_eqr] = ACTIONS(2306),
    [anon_sym_ne] = ACTIONS(2306),
    [anon_sym_LT_EQ_GT] = ACTIONS(2302),
    [anon_sym_cmp] = ACTIONS(2306),
    [anon_sym_TILDE_TILDE] = ACTIONS(2302),
    [anon_sym_LT_EQ] = ACTIONS(2306),
    [anon_sym_GT_EQ] = ACTIONS(2302),
    [anon_sym_lt] = ACTIONS(2306),
    [anon_sym_le] = ACTIONS(2306),
    [anon_sym_ge] = ACTIONS(2306),
    [anon_sym_gt] = ACTIONS(2306),
    [anon_sym_isa] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_QMARK] = ACTIONS(2302),
    [anon_sym_EQ_GT] = ACTIONS(2302),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3352),
    [sym__PERLY_SEMICOLON] = ACTIONS(2302),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1359] = {
    [sym_heredoc_content] = STATE(1359),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_COLON] = ACTIONS(2394),
    [anon_sym_DOLLAR] = ACTIONS(2394),
    [anon_sym_EQ] = ACTIONS(2396),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2394),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2394),
    [anon_sym_AT] = ACTIONS(2394),
    [anon_sym_COMMA] = ACTIONS(2394),
    [anon_sym_RPAREN] = ACTIONS(2394),
    [anon_sym_LPAREN] = ACTIONS(2394),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2394),
    [anon_sym_LBRACK] = ACTIONS(2394),
    [anon_sym_DASH_GT] = ACTIONS(2394),
    [anon_sym_PERCENT] = ACTIONS(2396),
    [anon_sym_LT] = ACTIONS(2396),
    [anon_sym_GT] = ACTIONS(2396),
    [anon_sym_LT_LT] = ACTIONS(2396),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2394),
    [anon_sym_PLUS_EQ] = ACTIONS(2394),
    [anon_sym_DASH_EQ] = ACTIONS(2394),
    [anon_sym_DOT_EQ] = ACTIONS(2394),
    [anon_sym_STAR_EQ] = ACTIONS(2394),
    [anon_sym_SLASH_EQ] = ACTIONS(2394),
    [anon_sym_PERCENT_EQ] = ACTIONS(2396),
    [anon_sym_x_EQ] = ACTIONS(2394),
    [anon_sym_AMP_EQ] = ACTIONS(2394),
    [anon_sym_PIPE_EQ] = ACTIONS(2394),
    [anon_sym_CARET_EQ] = ACTIONS(2394),
    [anon_sym_LT_LT_EQ] = ACTIONS(2394),
    [anon_sym_GT_GT_EQ] = ACTIONS(2394),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2394),
    [anon_sym_DOT_DOT] = ACTIONS(2396),
    [anon_sym_STAR_STAR] = ACTIONS(2396),
    [anon_sym_PIPE_PIPE] = ACTIONS(2396),
    [anon_sym_SLASH_SLASH] = ACTIONS(2396),
    [anon_sym_CARET_CARET] = ACTIONS(2394),
    [anon_sym_AMP_AMP] = ACTIONS(2396),
    [anon_sym_PIPE] = ACTIONS(2396),
    [anon_sym_CARET] = ACTIONS(2396),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_GT_GT2] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2396),
    [anon_sym_DASH] = ACTIONS(2396),
    [anon_sym_DOT] = ACTIONS(2396),
    [anon_sym_STAR] = ACTIONS(2396),
    [anon_sym_SLASH] = ACTIONS(2396),
    [anon_sym_x] = ACTIONS(2396),
    [anon_sym_EQ_TILDE] = ACTIONS(2394),
    [anon_sym_BANG_TILDE] = ACTIONS(2394),
    [anon_sym_EQ_EQ] = ACTIONS(2396),
    [anon_sym_BANG_EQ] = ACTIONS(2394),
    [anon_sym_eq] = ACTIONS(2396),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2394),
    [anon_sym_equ] = ACTIONS(2394),
    [anon_sym_eqr] = ACTIONS(2394),
    [anon_sym_ne] = ACTIONS(2394),
    [anon_sym_LT_EQ_GT] = ACTIONS(2394),
    [anon_sym_cmp] = ACTIONS(2394),
    [anon_sym_TILDE_TILDE] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(2396),
    [anon_sym_GT_EQ] = ACTIONS(2394),
    [anon_sym_lt] = ACTIONS(2394),
    [anon_sym_le] = ACTIONS(2394),
    [anon_sym_ge] = ACTIONS(2394),
    [anon_sym_gt] = ACTIONS(2394),
    [anon_sym_isa] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [anon_sym_QMARK] = ACTIONS(2394),
    [anon_sym_PERCENT2] = ACTIONS(2394),
    [anon_sym_EQ_GT] = ACTIONS(2394),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1360] = {
    [sym_attribute] = STATE(1757),
    [sym_attribute_name] = STATE(1590),
    [sym_heredoc_content] = STATE(1360),
    [aux_sym_attrlist_repeat1] = STATE(1358),
    [sym__identifier] = ACTIONS(3352),
    [anon_sym_COLON] = ACTIONS(3354),
    [anon_sym_SEMI] = ACTIONS(2318),
    [anon_sym_EQ] = ACTIONS(2320),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2318),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2320),
    [anon_sym_LT] = ACTIONS(2320),
    [anon_sym_GT] = ACTIONS(2320),
    [anon_sym_LT_LT] = ACTIONS(2320),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2318),
    [anon_sym_PLUS_EQ] = ACTIONS(2318),
    [anon_sym_DASH_EQ] = ACTIONS(2318),
    [anon_sym_DOT_EQ] = ACTIONS(2318),
    [anon_sym_STAR_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_PERCENT_EQ] = ACTIONS(2318),
    [anon_sym_x_EQ] = ACTIONS(2318),
    [anon_sym_AMP_EQ] = ACTIONS(2318),
    [anon_sym_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_CARET_EQ] = ACTIONS(2318),
    [anon_sym_LT_LT_EQ] = ACTIONS(2318),
    [anon_sym_GT_GT_EQ] = ACTIONS(2318),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2318),
    [anon_sym_DOT_DOT] = ACTIONS(2320),
    [anon_sym_STAR_STAR] = ACTIONS(2320),
    [anon_sym_PIPE_PIPE] = ACTIONS(2320),
    [anon_sym_SLASH_SLASH] = ACTIONS(2320),
    [anon_sym_CARET_CARET] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_PIPE] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_GT_GT2] = ACTIONS(2320),
    [anon_sym_PLUS] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2320),
    [anon_sym_DOT] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_SLASH] = ACTIONS(2320),
    [anon_sym_x] = ACTIONS(2320),
    [anon_sym_EQ_TILDE] = ACTIONS(2318),
    [anon_sym_BANG_TILDE] = ACTIONS(2318),
    [anon_sym_EQ_EQ] = ACTIONS(2320),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_eq] = ACTIONS(2320),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2318),
    [anon_sym_equ] = ACTIONS(2320),
    [anon_sym_eqr] = ACTIONS(2320),
    [anon_sym_ne] = ACTIONS(2320),
    [anon_sym_LT_EQ_GT] = ACTIONS(2318),
    [anon_sym_cmp] = ACTIONS(2320),
    [anon_sym_TILDE_TILDE] = ACTIONS(2318),
    [anon_sym_LT_EQ] = ACTIONS(2320),
    [anon_sym_GT_EQ] = ACTIONS(2318),
    [anon_sym_lt] = ACTIONS(2320),
    [anon_sym_le] = ACTIONS(2320),
    [anon_sym_ge] = ACTIONS(2320),
    [anon_sym_gt] = ACTIONS(2320),
    [anon_sym_isa] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_QMARK] = ACTIONS(2318),
    [anon_sym_EQ_GT] = ACTIONS(2318),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3352),
    [sym__PERLY_SEMICOLON] = ACTIONS(2318),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1361] = {
    [sym_heredoc_content] = STATE(1361),
    [anon_sym_RBRACE] = ACTIONS(2568),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym_EQ] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_RPAREN] = ACTIONS(2568),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2568),
    [anon_sym_and] = ACTIONS(2570),
    [anon_sym_or] = ACTIONS(2570),
    [anon_sym_xor] = ACTIONS(2570),
    [anon_sym_RBRACK] = ACTIONS(2568),
    [anon_sym_DASH_GT] = ACTIONS(2568),
    [anon_sym_PERCENT] = ACTIONS(2570),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_GT] = ACTIONS(2570),
    [anon_sym_LT_LT] = ACTIONS(2570),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2568),
    [anon_sym_PLUS_EQ] = ACTIONS(2568),
    [anon_sym_DASH_EQ] = ACTIONS(2568),
    [anon_sym_DOT_EQ] = ACTIONS(2568),
    [anon_sym_STAR_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_PERCENT_EQ] = ACTIONS(2568),
    [anon_sym_x_EQ] = ACTIONS(2570),
    [anon_sym_AMP_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_CARET_EQ] = ACTIONS(2568),
    [anon_sym_LT_LT_EQ] = ACTIONS(2568),
    [anon_sym_GT_GT_EQ] = ACTIONS(2568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2568),
    [anon_sym_DOT_DOT] = ACTIONS(2570),
    [anon_sym_STAR_STAR] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE] = ACTIONS(2570),
    [anon_sym_SLASH_SLASH] = ACTIONS(2570),
    [anon_sym_CARET_CARET] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_PIPE] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_GT_GT2] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_DOT] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_SLASH] = ACTIONS(2570),
    [anon_sym_x] = ACTIONS(2570),
    [anon_sym_EQ_TILDE] = ACTIONS(2568),
    [anon_sym_BANG_TILDE] = ACTIONS(2568),
    [anon_sym_EQ_EQ] = ACTIONS(2570),
    [anon_sym_BANG_EQ] = ACTIONS(2568),
    [anon_sym_eq] = ACTIONS(2570),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2568),
    [anon_sym_equ] = ACTIONS(2570),
    [anon_sym_eqr] = ACTIONS(2570),
    [anon_sym_ne] = ACTIONS(2568),
    [anon_sym_LT_EQ_GT] = ACTIONS(2568),
    [anon_sym_cmp] = ACTIONS(2570),
    [anon_sym_TILDE_TILDE] = ACTIONS(2568),
    [anon_sym_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_EQ] = ACTIONS(2568),
    [anon_sym_lt] = ACTIONS(2570),
    [anon_sym_le] = ACTIONS(2570),
    [anon_sym_ge] = ACTIONS(2570),
    [anon_sym_gt] = ACTIONS(2570),
    [anon_sym_isa] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_QMARK] = ACTIONS(2568),
    [anon_sym_EQ_GT] = ACTIONS(2568),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3356),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1362] = {
    [sym_heredoc_content] = STATE(1362),
    [anon_sym_RBRACE] = ACTIONS(2532),
    [anon_sym_COLON] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_and] = ACTIONS(2532),
    [anon_sym_or] = ACTIONS(2532),
    [anon_sym_xor] = ACTIONS(2532),
    [anon_sym_RBRACK] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2532),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2532),
    [anon_sym_eqr] = ACTIONS(2532),
    [anon_sym_ne] = ACTIONS(2532),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2532),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2532),
    [anon_sym_le] = ACTIONS(2532),
    [anon_sym_ge] = ACTIONS(2532),
    [anon_sym_gt] = ACTIONS(2532),
    [anon_sym_isa] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1363] = {
    [sym_heredoc_content] = STATE(1363),
    [anon_sym_LBRACE] = ACTIONS(2360),
    [anon_sym_COLON] = ACTIONS(2360),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [anon_sym_EQ] = ACTIONS(2362),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2360),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2360),
    [anon_sym_AT] = ACTIONS(2360),
    [anon_sym_COMMA] = ACTIONS(2360),
    [anon_sym_RPAREN] = ACTIONS(2360),
    [anon_sym_LPAREN] = ACTIONS(2360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_DASH_GT] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2362),
    [anon_sym_LT] = ACTIONS(2362),
    [anon_sym_GT] = ACTIONS(2362),
    [anon_sym_LT_LT] = ACTIONS(2362),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2360),
    [anon_sym_PLUS_EQ] = ACTIONS(2360),
    [anon_sym_DASH_EQ] = ACTIONS(2360),
    [anon_sym_DOT_EQ] = ACTIONS(2360),
    [anon_sym_STAR_EQ] = ACTIONS(2360),
    [anon_sym_SLASH_EQ] = ACTIONS(2360),
    [anon_sym_PERCENT_EQ] = ACTIONS(2362),
    [anon_sym_x_EQ] = ACTIONS(2360),
    [anon_sym_AMP_EQ] = ACTIONS(2360),
    [anon_sym_PIPE_EQ] = ACTIONS(2360),
    [anon_sym_CARET_EQ] = ACTIONS(2360),
    [anon_sym_LT_LT_EQ] = ACTIONS(2360),
    [anon_sym_GT_GT_EQ] = ACTIONS(2360),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2360),
    [anon_sym_DOT_DOT] = ACTIONS(2362),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_PIPE_PIPE] = ACTIONS(2362),
    [anon_sym_SLASH_SLASH] = ACTIONS(2362),
    [anon_sym_CARET_CARET] = ACTIONS(2360),
    [anon_sym_AMP_AMP] = ACTIONS(2362),
    [anon_sym_PIPE] = ACTIONS(2362),
    [anon_sym_CARET] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_GT_GT2] = ACTIONS(2362),
    [anon_sym_PLUS] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2362),
    [anon_sym_DOT] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_SLASH] = ACTIONS(2362),
    [anon_sym_x] = ACTIONS(2362),
    [anon_sym_EQ_TILDE] = ACTIONS(2360),
    [anon_sym_BANG_TILDE] = ACTIONS(2360),
    [anon_sym_EQ_EQ] = ACTIONS(2362),
    [anon_sym_BANG_EQ] = ACTIONS(2360),
    [anon_sym_eq] = ACTIONS(2362),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2360),
    [anon_sym_equ] = ACTIONS(2360),
    [anon_sym_eqr] = ACTIONS(2360),
    [anon_sym_ne] = ACTIONS(2360),
    [anon_sym_LT_EQ_GT] = ACTIONS(2360),
    [anon_sym_cmp] = ACTIONS(2360),
    [anon_sym_TILDE_TILDE] = ACTIONS(2360),
    [anon_sym_LT_EQ] = ACTIONS(2362),
    [anon_sym_GT_EQ] = ACTIONS(2360),
    [anon_sym_lt] = ACTIONS(2360),
    [anon_sym_le] = ACTIONS(2360),
    [anon_sym_ge] = ACTIONS(2360),
    [anon_sym_gt] = ACTIONS(2360),
    [anon_sym_isa] = ACTIONS(2360),
    [anon_sym_PLUS_PLUS] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2360),
    [anon_sym_QMARK] = ACTIONS(2360),
    [anon_sym_PERCENT2] = ACTIONS(2360),
    [anon_sym_EQ_GT] = ACTIONS(2360),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1364] = {
    [sym_heredoc_content] = STATE(1364),
    [anon_sym_RBRACE] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2594),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2594),
    [anon_sym_COMMA] = ACTIONS(2594),
    [anon_sym_RPAREN] = ACTIONS(2594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2594),
    [anon_sym_and] = ACTIONS(2594),
    [anon_sym_or] = ACTIONS(2594),
    [anon_sym_xor] = ACTIONS(2594),
    [anon_sym_RBRACK] = ACTIONS(2594),
    [anon_sym_DASH_GT] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2596),
    [anon_sym_LT] = ACTIONS(2596),
    [anon_sym_GT] = ACTIONS(2596),
    [anon_sym_LT_LT] = ACTIONS(2596),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2594),
    [anon_sym_DASH_EQ] = ACTIONS(2594),
    [anon_sym_DOT_EQ] = ACTIONS(2594),
    [anon_sym_STAR_EQ] = ACTIONS(2594),
    [anon_sym_SLASH_EQ] = ACTIONS(2594),
    [anon_sym_PERCENT_EQ] = ACTIONS(2594),
    [anon_sym_x_EQ] = ACTIONS(2594),
    [anon_sym_AMP_EQ] = ACTIONS(2594),
    [anon_sym_PIPE_EQ] = ACTIONS(2594),
    [anon_sym_CARET_EQ] = ACTIONS(2594),
    [anon_sym_LT_LT_EQ] = ACTIONS(2594),
    [anon_sym_GT_GT_EQ] = ACTIONS(2594),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2594),
    [anon_sym_DOT_DOT] = ACTIONS(2596),
    [anon_sym_STAR_STAR] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_SLASH_SLASH] = ACTIONS(2596),
    [anon_sym_CARET_CARET] = ACTIONS(2594),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_PIPE] = ACTIONS(2596),
    [anon_sym_CARET] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym_GT_GT2] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2596),
    [anon_sym_x] = ACTIONS(2596),
    [anon_sym_EQ_TILDE] = ACTIONS(2594),
    [anon_sym_BANG_TILDE] = ACTIONS(2594),
    [anon_sym_EQ_EQ] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_eq] = ACTIONS(2596),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2594),
    [anon_sym_equ] = ACTIONS(2594),
    [anon_sym_eqr] = ACTIONS(2594),
    [anon_sym_ne] = ACTIONS(2594),
    [anon_sym_LT_EQ_GT] = ACTIONS(2594),
    [anon_sym_cmp] = ACTIONS(2596),
    [anon_sym_TILDE_TILDE] = ACTIONS(2594),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2594),
    [anon_sym_lt] = ACTIONS(2594),
    [anon_sym_le] = ACTIONS(2594),
    [anon_sym_ge] = ACTIONS(2594),
    [anon_sym_gt] = ACTIONS(2594),
    [anon_sym_isa] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_QMARK] = ACTIONS(2594),
    [anon_sym_EQ_GT] = ACTIONS(2594),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3358),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1365] = {
    [sym_heredoc_content] = STATE(1365),
    [anon_sym_LBRACE] = ACTIONS(2352),
    [anon_sym_COLON] = ACTIONS(2352),
    [anon_sym_DOLLAR] = ACTIONS(2352),
    [anon_sym_EQ] = ACTIONS(2354),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2352),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2352),
    [anon_sym_AT] = ACTIONS(2352),
    [anon_sym_COMMA] = ACTIONS(2352),
    [anon_sym_RPAREN] = ACTIONS(2352),
    [anon_sym_LPAREN] = ACTIONS(2352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2352),
    [anon_sym_LBRACK] = ACTIONS(2352),
    [anon_sym_DASH_GT] = ACTIONS(2352),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_LT] = ACTIONS(2354),
    [anon_sym_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2352),
    [anon_sym_PLUS_EQ] = ACTIONS(2352),
    [anon_sym_DASH_EQ] = ACTIONS(2352),
    [anon_sym_DOT_EQ] = ACTIONS(2352),
    [anon_sym_STAR_EQ] = ACTIONS(2352),
    [anon_sym_SLASH_EQ] = ACTIONS(2352),
    [anon_sym_PERCENT_EQ] = ACTIONS(2354),
    [anon_sym_x_EQ] = ACTIONS(2352),
    [anon_sym_AMP_EQ] = ACTIONS(2352),
    [anon_sym_PIPE_EQ] = ACTIONS(2352),
    [anon_sym_CARET_EQ] = ACTIONS(2352),
    [anon_sym_LT_LT_EQ] = ACTIONS(2352),
    [anon_sym_GT_GT_EQ] = ACTIONS(2352),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2352),
    [anon_sym_DOT_DOT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2354),
    [anon_sym_PIPE_PIPE] = ACTIONS(2354),
    [anon_sym_SLASH_SLASH] = ACTIONS(2354),
    [anon_sym_CARET_CARET] = ACTIONS(2352),
    [anon_sym_AMP_AMP] = ACTIONS(2354),
    [anon_sym_PIPE] = ACTIONS(2354),
    [anon_sym_CARET] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym_GT_GT2] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_DOT] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2354),
    [anon_sym_SLASH] = ACTIONS(2354),
    [anon_sym_x] = ACTIONS(2354),
    [anon_sym_EQ_TILDE] = ACTIONS(2352),
    [anon_sym_BANG_TILDE] = ACTIONS(2352),
    [anon_sym_EQ_EQ] = ACTIONS(2354),
    [anon_sym_BANG_EQ] = ACTIONS(2352),
    [anon_sym_eq] = ACTIONS(2354),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2352),
    [anon_sym_equ] = ACTIONS(2352),
    [anon_sym_eqr] = ACTIONS(2352),
    [anon_sym_ne] = ACTIONS(2352),
    [anon_sym_LT_EQ_GT] = ACTIONS(2352),
    [anon_sym_cmp] = ACTIONS(2352),
    [anon_sym_TILDE_TILDE] = ACTIONS(2352),
    [anon_sym_LT_EQ] = ACTIONS(2354),
    [anon_sym_GT_EQ] = ACTIONS(2352),
    [anon_sym_lt] = ACTIONS(2352),
    [anon_sym_le] = ACTIONS(2352),
    [anon_sym_ge] = ACTIONS(2352),
    [anon_sym_gt] = ACTIONS(2352),
    [anon_sym_isa] = ACTIONS(2352),
    [anon_sym_PLUS_PLUS] = ACTIONS(2352),
    [anon_sym_DASH_DASH] = ACTIONS(2352),
    [anon_sym_QMARK] = ACTIONS(2352),
    [anon_sym_PERCENT2] = ACTIONS(2352),
    [anon_sym_EQ_GT] = ACTIONS(2352),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1366] = {
    [sym_attribute] = STATE(1757),
    [sym_attribute_name] = STATE(1590),
    [sym_heredoc_content] = STATE(1366),
    [aux_sym_attrlist_repeat1] = STATE(1366),
    [sym__identifier] = ACTIONS(3360),
    [anon_sym_COLON] = ACTIONS(3363),
    [anon_sym_SEMI] = ACTIONS(2311),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_COMMA] = ACTIONS(2311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2311),
    [anon_sym_DASH_GT] = ACTIONS(2311),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2316),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2311),
    [anon_sym_PLUS_EQ] = ACTIONS(2311),
    [anon_sym_DASH_EQ] = ACTIONS(2311),
    [anon_sym_DOT_EQ] = ACTIONS(2311),
    [anon_sym_STAR_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_PERCENT_EQ] = ACTIONS(2311),
    [anon_sym_x_EQ] = ACTIONS(2311),
    [anon_sym_AMP_EQ] = ACTIONS(2311),
    [anon_sym_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_CARET_EQ] = ACTIONS(2311),
    [anon_sym_LT_LT_EQ] = ACTIONS(2311),
    [anon_sym_GT_GT_EQ] = ACTIONS(2311),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2311),
    [anon_sym_DOT_DOT] = ACTIONS(2316),
    [anon_sym_STAR_STAR] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_SLASH_SLASH] = ACTIONS(2316),
    [anon_sym_CARET_CARET] = ACTIONS(2311),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_GT_GT2] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_x] = ACTIONS(2316),
    [anon_sym_EQ_TILDE] = ACTIONS(2311),
    [anon_sym_BANG_TILDE] = ACTIONS(2311),
    [anon_sym_EQ_EQ] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2311),
    [anon_sym_eq] = ACTIONS(2316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2311),
    [anon_sym_equ] = ACTIONS(2316),
    [anon_sym_eqr] = ACTIONS(2316),
    [anon_sym_ne] = ACTIONS(2316),
    [anon_sym_LT_EQ_GT] = ACTIONS(2311),
    [anon_sym_cmp] = ACTIONS(2316),
    [anon_sym_TILDE_TILDE] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(2316),
    [anon_sym_GT_EQ] = ACTIONS(2311),
    [anon_sym_lt] = ACTIONS(2316),
    [anon_sym_le] = ACTIONS(2316),
    [anon_sym_ge] = ACTIONS(2316),
    [anon_sym_gt] = ACTIONS(2316),
    [anon_sym_isa] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2311),
    [anon_sym_QMARK] = ACTIONS(2311),
    [anon_sym_EQ_GT] = ACTIONS(2311),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3360),
    [sym__PERLY_SEMICOLON] = ACTIONS(2311),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1367] = {
    [sym_heredoc_content] = STATE(1367),
    [anon_sym_LBRACE] = ACTIONS(1738),
    [anon_sym_COLON] = ACTIONS(1738),
    [anon_sym_DOLLAR] = ACTIONS(1738),
    [anon_sym_EQ] = ACTIONS(1736),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1738),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1738),
    [anon_sym_AT] = ACTIONS(1738),
    [anon_sym_COMMA] = ACTIONS(1738),
    [anon_sym_RPAREN] = ACTIONS(1738),
    [anon_sym_LPAREN] = ACTIONS(1738),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1738),
    [anon_sym_LBRACK] = ACTIONS(1738),
    [anon_sym_DASH_GT] = ACTIONS(1738),
    [anon_sym_PERCENT] = ACTIONS(1736),
    [anon_sym_LT] = ACTIONS(1736),
    [anon_sym_GT] = ACTIONS(1736),
    [anon_sym_LT_LT] = ACTIONS(1736),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1738),
    [anon_sym_PLUS_EQ] = ACTIONS(1738),
    [anon_sym_DASH_EQ] = ACTIONS(1738),
    [anon_sym_DOT_EQ] = ACTIONS(1738),
    [anon_sym_STAR_EQ] = ACTIONS(1738),
    [anon_sym_SLASH_EQ] = ACTIONS(1738),
    [anon_sym_PERCENT_EQ] = ACTIONS(1736),
    [anon_sym_x_EQ] = ACTIONS(1738),
    [anon_sym_AMP_EQ] = ACTIONS(1738),
    [anon_sym_PIPE_EQ] = ACTIONS(1738),
    [anon_sym_CARET_EQ] = ACTIONS(1738),
    [anon_sym_LT_LT_EQ] = ACTIONS(1738),
    [anon_sym_GT_GT_EQ] = ACTIONS(1738),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1738),
    [anon_sym_DOT_DOT] = ACTIONS(1736),
    [anon_sym_STAR_STAR] = ACTIONS(1736),
    [anon_sym_PIPE_PIPE] = ACTIONS(1736),
    [anon_sym_SLASH_SLASH] = ACTIONS(1736),
    [anon_sym_CARET_CARET] = ACTIONS(1738),
    [anon_sym_AMP_AMP] = ACTIONS(1736),
    [anon_sym_PIPE] = ACTIONS(1736),
    [anon_sym_CARET] = ACTIONS(1736),
    [anon_sym_AMP] = ACTIONS(1736),
    [anon_sym_GT_GT2] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1736),
    [anon_sym_DOT] = ACTIONS(1736),
    [anon_sym_STAR] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1736),
    [anon_sym_x] = ACTIONS(1736),
    [anon_sym_EQ_TILDE] = ACTIONS(1738),
    [anon_sym_BANG_TILDE] = ACTIONS(1738),
    [anon_sym_EQ_EQ] = ACTIONS(1736),
    [anon_sym_BANG_EQ] = ACTIONS(1738),
    [anon_sym_eq] = ACTIONS(1736),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1738),
    [anon_sym_equ] = ACTIONS(1738),
    [anon_sym_eqr] = ACTIONS(1738),
    [anon_sym_ne] = ACTIONS(1738),
    [anon_sym_LT_EQ_GT] = ACTIONS(1738),
    [anon_sym_cmp] = ACTIONS(1738),
    [anon_sym_TILDE_TILDE] = ACTIONS(1738),
    [anon_sym_LT_EQ] = ACTIONS(1736),
    [anon_sym_GT_EQ] = ACTIONS(1738),
    [anon_sym_lt] = ACTIONS(1738),
    [anon_sym_le] = ACTIONS(1738),
    [anon_sym_ge] = ACTIONS(1738),
    [anon_sym_gt] = ACTIONS(1738),
    [anon_sym_isa] = ACTIONS(1738),
    [anon_sym_PLUS_PLUS] = ACTIONS(1738),
    [anon_sym_DASH_DASH] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(1738),
    [anon_sym_PERCENT2] = ACTIONS(1738),
    [anon_sym_EQ_GT] = ACTIONS(1738),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1368] = {
    [sym_attribute] = STATE(1750),
    [sym_attribute_name] = STATE(1586),
    [sym_heredoc_content] = STATE(1368),
    [aux_sym_attrlist_repeat1] = STATE(1374),
    [sym__identifier] = ACTIONS(3366),
    [anon_sym_RBRACE] = ACTIONS(2318),
    [anon_sym_COLON] = ACTIONS(3368),
    [anon_sym_EQ] = ACTIONS(2320),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_RPAREN] = ACTIONS(2318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2318),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2320),
    [anon_sym_LT] = ACTIONS(2320),
    [anon_sym_GT] = ACTIONS(2320),
    [anon_sym_LT_LT] = ACTIONS(2320),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2318),
    [anon_sym_PLUS_EQ] = ACTIONS(2318),
    [anon_sym_DASH_EQ] = ACTIONS(2318),
    [anon_sym_DOT_EQ] = ACTIONS(2318),
    [anon_sym_STAR_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_PERCENT_EQ] = ACTIONS(2318),
    [anon_sym_x_EQ] = ACTIONS(2318),
    [anon_sym_AMP_EQ] = ACTIONS(2318),
    [anon_sym_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_CARET_EQ] = ACTIONS(2318),
    [anon_sym_LT_LT_EQ] = ACTIONS(2318),
    [anon_sym_GT_GT_EQ] = ACTIONS(2318),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2318),
    [anon_sym_DOT_DOT] = ACTIONS(2320),
    [anon_sym_STAR_STAR] = ACTIONS(2320),
    [anon_sym_PIPE_PIPE] = ACTIONS(2320),
    [anon_sym_SLASH_SLASH] = ACTIONS(2320),
    [anon_sym_CARET_CARET] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_PIPE] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_GT_GT2] = ACTIONS(2320),
    [anon_sym_PLUS] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2320),
    [anon_sym_DOT] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_SLASH] = ACTIONS(2320),
    [anon_sym_x] = ACTIONS(2320),
    [anon_sym_EQ_TILDE] = ACTIONS(2318),
    [anon_sym_BANG_TILDE] = ACTIONS(2318),
    [anon_sym_EQ_EQ] = ACTIONS(2320),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_eq] = ACTIONS(2320),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2318),
    [anon_sym_equ] = ACTIONS(2320),
    [anon_sym_eqr] = ACTIONS(2320),
    [anon_sym_ne] = ACTIONS(2320),
    [anon_sym_LT_EQ_GT] = ACTIONS(2318),
    [anon_sym_cmp] = ACTIONS(2320),
    [anon_sym_TILDE_TILDE] = ACTIONS(2318),
    [anon_sym_LT_EQ] = ACTIONS(2320),
    [anon_sym_GT_EQ] = ACTIONS(2318),
    [anon_sym_lt] = ACTIONS(2320),
    [anon_sym_le] = ACTIONS(2320),
    [anon_sym_ge] = ACTIONS(2320),
    [anon_sym_gt] = ACTIONS(2320),
    [anon_sym_isa] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_QMARK] = ACTIONS(2318),
    [anon_sym_EQ_GT] = ACTIONS(2318),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3366),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1369] = {
    [sym_heredoc_content] = STATE(1369),
    [anon_sym_RBRACE] = ACTIONS(2655),
    [anon_sym_SEMI] = ACTIONS(2655),
    [anon_sym_EQ] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2655),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2655),
    [anon_sym_COMMA] = ACTIONS(2655),
    [anon_sym_RPAREN] = ACTIONS(2655),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2655),
    [anon_sym_and] = ACTIONS(2655),
    [anon_sym_or] = ACTIONS(2655),
    [anon_sym_xor] = ACTIONS(2655),
    [anon_sym_LBRACK] = ACTIONS(2655),
    [anon_sym_RBRACK] = ACTIONS(2655),
    [anon_sym_DASH_GT] = ACTIONS(2655),
    [anon_sym_PERCENT] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(2657),
    [anon_sym_GT] = ACTIONS(2657),
    [anon_sym_LT_LT] = ACTIONS(2657),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2655),
    [anon_sym_PLUS_EQ] = ACTIONS(2655),
    [anon_sym_DASH_EQ] = ACTIONS(2655),
    [anon_sym_DOT_EQ] = ACTIONS(2655),
    [anon_sym_STAR_EQ] = ACTIONS(2655),
    [anon_sym_SLASH_EQ] = ACTIONS(2655),
    [anon_sym_PERCENT_EQ] = ACTIONS(2655),
    [anon_sym_x_EQ] = ACTIONS(2655),
    [anon_sym_AMP_EQ] = ACTIONS(2655),
    [anon_sym_PIPE_EQ] = ACTIONS(2655),
    [anon_sym_CARET_EQ] = ACTIONS(2655),
    [anon_sym_LT_LT_EQ] = ACTIONS(2655),
    [anon_sym_GT_GT_EQ] = ACTIONS(2655),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2655),
    [anon_sym_DOT_DOT] = ACTIONS(2657),
    [anon_sym_STAR_STAR] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE] = ACTIONS(2657),
    [anon_sym_SLASH_SLASH] = ACTIONS(2657),
    [anon_sym_CARET_CARET] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2657),
    [anon_sym_PIPE] = ACTIONS(2657),
    [anon_sym_CARET] = ACTIONS(2657),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym_GT_GT2] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_DOT] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2657),
    [anon_sym_SLASH] = ACTIONS(2657),
    [anon_sym_x] = ACTIONS(2657),
    [anon_sym_EQ_TILDE] = ACTIONS(2655),
    [anon_sym_BANG_TILDE] = ACTIONS(2655),
    [anon_sym_EQ_EQ] = ACTIONS(2657),
    [anon_sym_BANG_EQ] = ACTIONS(2655),
    [anon_sym_eq] = ACTIONS(2657),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2655),
    [anon_sym_equ] = ACTIONS(2655),
    [anon_sym_eqr] = ACTIONS(2655),
    [anon_sym_ne] = ACTIONS(2655),
    [anon_sym_LT_EQ_GT] = ACTIONS(2655),
    [anon_sym_cmp] = ACTIONS(2655),
    [anon_sym_TILDE_TILDE] = ACTIONS(2655),
    [anon_sym_LT_EQ] = ACTIONS(2657),
    [anon_sym_GT_EQ] = ACTIONS(2655),
    [anon_sym_lt] = ACTIONS(2655),
    [anon_sym_le] = ACTIONS(2655),
    [anon_sym_ge] = ACTIONS(2655),
    [anon_sym_gt] = ACTIONS(2655),
    [anon_sym_isa] = ACTIONS(2655),
    [anon_sym_PLUS_PLUS] = ACTIONS(2655),
    [anon_sym_DASH_DASH] = ACTIONS(2655),
    [anon_sym_QMARK] = ACTIONS(2655),
    [anon_sym_EQ_GT] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1370] = {
    [sym_heredoc_content] = STATE(1370),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_RPAREN] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2434),
    [anon_sym_and] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2434),
    [anon_sym_xor] = ACTIONS(2436),
    [anon_sym_RBRACK] = ACTIONS(2434),
    [anon_sym_DASH_GT] = ACTIONS(2434),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2434),
    [anon_sym_PLUS_EQ] = ACTIONS(2434),
    [anon_sym_DASH_EQ] = ACTIONS(2434),
    [anon_sym_DOT_EQ] = ACTIONS(2434),
    [anon_sym_STAR_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_PERCENT_EQ] = ACTIONS(2434),
    [anon_sym_x_EQ] = ACTIONS(2436),
    [anon_sym_AMP_EQ] = ACTIONS(2434),
    [anon_sym_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_CARET_EQ] = ACTIONS(2434),
    [anon_sym_LT_LT_EQ] = ACTIONS(2434),
    [anon_sym_GT_GT_EQ] = ACTIONS(2434),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2434),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2434),
    [anon_sym_BANG_TILDE] = ACTIONS(2434),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2434),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2434),
    [anon_sym_equ] = ACTIONS(2434),
    [anon_sym_eqr] = ACTIONS(2434),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2434),
    [anon_sym_cmp] = ACTIONS(2434),
    [anon_sym_TILDE_TILDE] = ACTIONS(2434),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2434),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2434),
    [anon_sym_gt] = ACTIONS(2434),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2434),
    [anon_sym_EQ_GT] = ACTIONS(2434),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3370),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1371] = {
    [sym_heredoc_content] = STATE(1371),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_COLON] = ACTIONS(2356),
    [anon_sym_DOLLAR] = ACTIONS(2356),
    [anon_sym_EQ] = ACTIONS(2358),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2356),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2356),
    [anon_sym_AT] = ACTIONS(2356),
    [anon_sym_COMMA] = ACTIONS(2356),
    [anon_sym_RPAREN] = ACTIONS(2356),
    [anon_sym_LPAREN] = ACTIONS(2356),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_DASH_GT] = ACTIONS(2356),
    [anon_sym_PERCENT] = ACTIONS(2358),
    [anon_sym_LT] = ACTIONS(2358),
    [anon_sym_GT] = ACTIONS(2358),
    [anon_sym_LT_LT] = ACTIONS(2358),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2356),
    [anon_sym_PLUS_EQ] = ACTIONS(2356),
    [anon_sym_DASH_EQ] = ACTIONS(2356),
    [anon_sym_DOT_EQ] = ACTIONS(2356),
    [anon_sym_STAR_EQ] = ACTIONS(2356),
    [anon_sym_SLASH_EQ] = ACTIONS(2356),
    [anon_sym_PERCENT_EQ] = ACTIONS(2358),
    [anon_sym_x_EQ] = ACTIONS(2356),
    [anon_sym_AMP_EQ] = ACTIONS(2356),
    [anon_sym_PIPE_EQ] = ACTIONS(2356),
    [anon_sym_CARET_EQ] = ACTIONS(2356),
    [anon_sym_LT_LT_EQ] = ACTIONS(2356),
    [anon_sym_GT_GT_EQ] = ACTIONS(2356),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2356),
    [anon_sym_DOT_DOT] = ACTIONS(2358),
    [anon_sym_STAR_STAR] = ACTIONS(2358),
    [anon_sym_PIPE_PIPE] = ACTIONS(2358),
    [anon_sym_SLASH_SLASH] = ACTIONS(2358),
    [anon_sym_CARET_CARET] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2358),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_CARET] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2358),
    [anon_sym_GT_GT2] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2358),
    [anon_sym_DOT] = ACTIONS(2358),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_SLASH] = ACTIONS(2358),
    [anon_sym_x] = ACTIONS(2358),
    [anon_sym_EQ_TILDE] = ACTIONS(2356),
    [anon_sym_BANG_TILDE] = ACTIONS(2356),
    [anon_sym_EQ_EQ] = ACTIONS(2358),
    [anon_sym_BANG_EQ] = ACTIONS(2356),
    [anon_sym_eq] = ACTIONS(2358),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2356),
    [anon_sym_equ] = ACTIONS(2356),
    [anon_sym_eqr] = ACTIONS(2356),
    [anon_sym_ne] = ACTIONS(2356),
    [anon_sym_LT_EQ_GT] = ACTIONS(2356),
    [anon_sym_cmp] = ACTIONS(2356),
    [anon_sym_TILDE_TILDE] = ACTIONS(2356),
    [anon_sym_LT_EQ] = ACTIONS(2358),
    [anon_sym_GT_EQ] = ACTIONS(2356),
    [anon_sym_lt] = ACTIONS(2356),
    [anon_sym_le] = ACTIONS(2356),
    [anon_sym_ge] = ACTIONS(2356),
    [anon_sym_gt] = ACTIONS(2356),
    [anon_sym_isa] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_QMARK] = ACTIONS(2356),
    [anon_sym_PERCENT2] = ACTIONS(2356),
    [anon_sym_EQ_GT] = ACTIONS(2356),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1372] = {
    [sym_heredoc_content] = STATE(1372),
    [anon_sym_LBRACE] = ACTIONS(1767),
    [anon_sym_COLON] = ACTIONS(1767),
    [anon_sym_DOLLAR] = ACTIONS(1767),
    [anon_sym_EQ] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1767),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1767),
    [anon_sym_AT] = ACTIONS(1767),
    [anon_sym_COMMA] = ACTIONS(1767),
    [anon_sym_RPAREN] = ACTIONS(1767),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [anon_sym_DASH_GT] = ACTIONS(1767),
    [anon_sym_PERCENT] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1765),
    [anon_sym_LT_LT] = ACTIONS(1765),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1767),
    [anon_sym_PLUS_EQ] = ACTIONS(1767),
    [anon_sym_DASH_EQ] = ACTIONS(1767),
    [anon_sym_DOT_EQ] = ACTIONS(1767),
    [anon_sym_STAR_EQ] = ACTIONS(1767),
    [anon_sym_SLASH_EQ] = ACTIONS(1767),
    [anon_sym_PERCENT_EQ] = ACTIONS(1765),
    [anon_sym_x_EQ] = ACTIONS(1767),
    [anon_sym_AMP_EQ] = ACTIONS(1767),
    [anon_sym_PIPE_EQ] = ACTIONS(1767),
    [anon_sym_CARET_EQ] = ACTIONS(1767),
    [anon_sym_LT_LT_EQ] = ACTIONS(1767),
    [anon_sym_GT_GT_EQ] = ACTIONS(1767),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1767),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_STAR_STAR] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1765),
    [anon_sym_SLASH_SLASH] = ACTIONS(1765),
    [anon_sym_CARET_CARET] = ACTIONS(1767),
    [anon_sym_AMP_AMP] = ACTIONS(1765),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_CARET] = ACTIONS(1765),
    [anon_sym_AMP] = ACTIONS(1765),
    [anon_sym_GT_GT2] = ACTIONS(1765),
    [anon_sym_PLUS] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_DOT] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1765),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_x] = ACTIONS(1765),
    [anon_sym_EQ_TILDE] = ACTIONS(1767),
    [anon_sym_BANG_TILDE] = ACTIONS(1767),
    [anon_sym_EQ_EQ] = ACTIONS(1765),
    [anon_sym_BANG_EQ] = ACTIONS(1767),
    [anon_sym_eq] = ACTIONS(1765),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1767),
    [anon_sym_equ] = ACTIONS(1767),
    [anon_sym_eqr] = ACTIONS(1767),
    [anon_sym_ne] = ACTIONS(1767),
    [anon_sym_LT_EQ_GT] = ACTIONS(1767),
    [anon_sym_cmp] = ACTIONS(1767),
    [anon_sym_TILDE_TILDE] = ACTIONS(1767),
    [anon_sym_LT_EQ] = ACTIONS(1765),
    [anon_sym_GT_EQ] = ACTIONS(1767),
    [anon_sym_lt] = ACTIONS(1767),
    [anon_sym_le] = ACTIONS(1767),
    [anon_sym_ge] = ACTIONS(1767),
    [anon_sym_gt] = ACTIONS(1767),
    [anon_sym_isa] = ACTIONS(1767),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_QMARK] = ACTIONS(1767),
    [anon_sym_PERCENT2] = ACTIONS(1767),
    [anon_sym_EQ_GT] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1373] = {
    [sym_heredoc_content] = STATE(1373),
    [anon_sym_LBRACE] = ACTIONS(1763),
    [anon_sym_COLON] = ACTIONS(1763),
    [anon_sym_DOLLAR] = ACTIONS(1763),
    [anon_sym_EQ] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1763),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1763),
    [anon_sym_AT] = ACTIONS(1763),
    [anon_sym_COMMA] = ACTIONS(1763),
    [anon_sym_RPAREN] = ACTIONS(1763),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1763),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [anon_sym_DASH_GT] = ACTIONS(1763),
    [anon_sym_PERCENT] = ACTIONS(1761),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_GT] = ACTIONS(1761),
    [anon_sym_LT_LT] = ACTIONS(1761),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1763),
    [anon_sym_PLUS_EQ] = ACTIONS(1763),
    [anon_sym_DASH_EQ] = ACTIONS(1763),
    [anon_sym_DOT_EQ] = ACTIONS(1763),
    [anon_sym_STAR_EQ] = ACTIONS(1763),
    [anon_sym_SLASH_EQ] = ACTIONS(1763),
    [anon_sym_PERCENT_EQ] = ACTIONS(1761),
    [anon_sym_x_EQ] = ACTIONS(1763),
    [anon_sym_AMP_EQ] = ACTIONS(1763),
    [anon_sym_PIPE_EQ] = ACTIONS(1763),
    [anon_sym_CARET_EQ] = ACTIONS(1763),
    [anon_sym_LT_LT_EQ] = ACTIONS(1763),
    [anon_sym_GT_GT_EQ] = ACTIONS(1763),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1761),
    [anon_sym_STAR_STAR] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE] = ACTIONS(1761),
    [anon_sym_SLASH_SLASH] = ACTIONS(1761),
    [anon_sym_CARET_CARET] = ACTIONS(1763),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_PIPE] = ACTIONS(1761),
    [anon_sym_CARET] = ACTIONS(1761),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT2] = ACTIONS(1761),
    [anon_sym_PLUS] = ACTIONS(1761),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_DOT] = ACTIONS(1761),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_x] = ACTIONS(1761),
    [anon_sym_EQ_TILDE] = ACTIONS(1763),
    [anon_sym_BANG_TILDE] = ACTIONS(1763),
    [anon_sym_EQ_EQ] = ACTIONS(1761),
    [anon_sym_BANG_EQ] = ACTIONS(1763),
    [anon_sym_eq] = ACTIONS(1761),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1763),
    [anon_sym_equ] = ACTIONS(1763),
    [anon_sym_eqr] = ACTIONS(1763),
    [anon_sym_ne] = ACTIONS(1763),
    [anon_sym_LT_EQ_GT] = ACTIONS(1763),
    [anon_sym_cmp] = ACTIONS(1763),
    [anon_sym_TILDE_TILDE] = ACTIONS(1763),
    [anon_sym_LT_EQ] = ACTIONS(1761),
    [anon_sym_GT_EQ] = ACTIONS(1763),
    [anon_sym_lt] = ACTIONS(1763),
    [anon_sym_le] = ACTIONS(1763),
    [anon_sym_ge] = ACTIONS(1763),
    [anon_sym_gt] = ACTIONS(1763),
    [anon_sym_isa] = ACTIONS(1763),
    [anon_sym_PLUS_PLUS] = ACTIONS(1763),
    [anon_sym_DASH_DASH] = ACTIONS(1763),
    [anon_sym_QMARK] = ACTIONS(1763),
    [anon_sym_PERCENT2] = ACTIONS(1763),
    [anon_sym_EQ_GT] = ACTIONS(1763),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1374] = {
    [sym_attribute] = STATE(1750),
    [sym_attribute_name] = STATE(1586),
    [sym_heredoc_content] = STATE(1374),
    [aux_sym_attrlist_repeat1] = STATE(1377),
    [sym__identifier] = ACTIONS(3366),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_COLON] = ACTIONS(3368),
    [anon_sym_EQ] = ACTIONS(2306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2302),
    [anon_sym_COMMA] = ACTIONS(2302),
    [anon_sym_RPAREN] = ACTIONS(2302),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2302),
    [anon_sym_DASH_GT] = ACTIONS(2302),
    [anon_sym_PERCENT] = ACTIONS(2306),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_LT_LT] = ACTIONS(2306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2302),
    [anon_sym_PLUS_EQ] = ACTIONS(2302),
    [anon_sym_DASH_EQ] = ACTIONS(2302),
    [anon_sym_DOT_EQ] = ACTIONS(2302),
    [anon_sym_STAR_EQ] = ACTIONS(2302),
    [anon_sym_SLASH_EQ] = ACTIONS(2302),
    [anon_sym_PERCENT_EQ] = ACTIONS(2302),
    [anon_sym_x_EQ] = ACTIONS(2302),
    [anon_sym_AMP_EQ] = ACTIONS(2302),
    [anon_sym_PIPE_EQ] = ACTIONS(2302),
    [anon_sym_CARET_EQ] = ACTIONS(2302),
    [anon_sym_LT_LT_EQ] = ACTIONS(2302),
    [anon_sym_GT_GT_EQ] = ACTIONS(2302),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2302),
    [anon_sym_DOT_DOT] = ACTIONS(2306),
    [anon_sym_STAR_STAR] = ACTIONS(2306),
    [anon_sym_PIPE_PIPE] = ACTIONS(2306),
    [anon_sym_SLASH_SLASH] = ACTIONS(2306),
    [anon_sym_CARET_CARET] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2306),
    [anon_sym_PIPE] = ACTIONS(2306),
    [anon_sym_CARET] = ACTIONS(2306),
    [anon_sym_AMP] = ACTIONS(2306),
    [anon_sym_GT_GT2] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_DOT] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2306),
    [anon_sym_x] = ACTIONS(2306),
    [anon_sym_EQ_TILDE] = ACTIONS(2302),
    [anon_sym_BANG_TILDE] = ACTIONS(2302),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ] = ACTIONS(2302),
    [anon_sym_eq] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2302),
    [anon_sym_equ] = ACTIONS(2306),
    [anon_sym_eqr] = ACTIONS(2306),
    [anon_sym_ne] = ACTIONS(2306),
    [anon_sym_LT_EQ_GT] = ACTIONS(2302),
    [anon_sym_cmp] = ACTIONS(2306),
    [anon_sym_TILDE_TILDE] = ACTIONS(2302),
    [anon_sym_LT_EQ] = ACTIONS(2306),
    [anon_sym_GT_EQ] = ACTIONS(2302),
    [anon_sym_lt] = ACTIONS(2306),
    [anon_sym_le] = ACTIONS(2306),
    [anon_sym_ge] = ACTIONS(2306),
    [anon_sym_gt] = ACTIONS(2306),
    [anon_sym_isa] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_QMARK] = ACTIONS(2302),
    [anon_sym_EQ_GT] = ACTIONS(2302),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3366),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1375] = {
    [sym_heredoc_content] = STATE(1375),
    [aux_sym__term_rightward_repeat1] = STATE(2616),
    [anon_sym_RBRACE] = ACTIONS(2643),
    [anon_sym_SEMI] = ACTIONS(2643),
    [anon_sym_EQ] = ACTIONS(3289),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_COMMA] = ACTIONS(3372),
    [anon_sym_RPAREN] = ACTIONS(2643),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3293),
    [anon_sym_and] = ACTIONS(2643),
    [anon_sym_or] = ACTIONS(2643),
    [anon_sym_xor] = ACTIONS(2643),
    [anon_sym_RBRACK] = ACTIONS(2643),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_GT] = ACTIONS(3299),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3291),
    [anon_sym_PLUS_EQ] = ACTIONS(3291),
    [anon_sym_DASH_EQ] = ACTIONS(3291),
    [anon_sym_DOT_EQ] = ACTIONS(3291),
    [anon_sym_STAR_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_PERCENT_EQ] = ACTIONS(3291),
    [anon_sym_x_EQ] = ACTIONS(3291),
    [anon_sym_AMP_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_CARET_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT_EQ] = ACTIONS(3291),
    [anon_sym_GT_GT_EQ] = ACTIONS(3291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3291),
    [anon_sym_DOT_DOT] = ACTIONS(3303),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(3307),
    [anon_sym_SLASH_SLASH] = ACTIONS(3307),
    [anon_sym_CARET_CARET] = ACTIONS(3309),
    [anon_sym_AMP_AMP] = ACTIONS(3311),
    [anon_sym_PIPE] = ACTIONS(3313),
    [anon_sym_CARET] = ACTIONS(3313),
    [anon_sym_AMP] = ACTIONS(3315),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(3321),
    [anon_sym_BANG_EQ] = ACTIONS(3323),
    [anon_sym_eq] = ACTIONS(3321),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3323),
    [anon_sym_equ] = ACTIONS(3323),
    [anon_sym_eqr] = ACTIONS(3323),
    [anon_sym_ne] = ACTIONS(3323),
    [anon_sym_LT_EQ_GT] = ACTIONS(3325),
    [anon_sym_cmp] = ACTIONS(3325),
    [anon_sym_TILDE_TILDE] = ACTIONS(3325),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_EQ] = ACTIONS(3327),
    [anon_sym_lt] = ACTIONS(3327),
    [anon_sym_le] = ACTIONS(3327),
    [anon_sym_ge] = ACTIONS(3327),
    [anon_sym_gt] = ACTIONS(3327),
    [anon_sym_isa] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(3333),
    [anon_sym_EQ_GT] = ACTIONS(3372),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1376] = {
    [sym_heredoc_content] = STATE(1376),
    [anon_sym_RBRACE] = ACTIONS(2470),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym_EQ] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2470),
    [anon_sym_COMMA] = ACTIONS(2470),
    [anon_sym_RPAREN] = ACTIONS(2470),
    [anon_sym_LPAREN] = ACTIONS(3374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2470),
    [anon_sym_and] = ACTIONS(2470),
    [anon_sym_or] = ACTIONS(2470),
    [anon_sym_xor] = ACTIONS(2470),
    [anon_sym_RBRACK] = ACTIONS(2470),
    [anon_sym_DASH_GT] = ACTIONS(2470),
    [anon_sym_PERCENT] = ACTIONS(2472),
    [anon_sym_LT] = ACTIONS(2472),
    [anon_sym_GT] = ACTIONS(2472),
    [anon_sym_LT_LT] = ACTIONS(2472),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2470),
    [anon_sym_PLUS_EQ] = ACTIONS(2470),
    [anon_sym_DASH_EQ] = ACTIONS(2470),
    [anon_sym_DOT_EQ] = ACTIONS(2470),
    [anon_sym_STAR_EQ] = ACTIONS(2470),
    [anon_sym_SLASH_EQ] = ACTIONS(2470),
    [anon_sym_PERCENT_EQ] = ACTIONS(2470),
    [anon_sym_x_EQ] = ACTIONS(2470),
    [anon_sym_AMP_EQ] = ACTIONS(2470),
    [anon_sym_PIPE_EQ] = ACTIONS(2470),
    [anon_sym_CARET_EQ] = ACTIONS(2470),
    [anon_sym_LT_LT_EQ] = ACTIONS(2470),
    [anon_sym_GT_GT_EQ] = ACTIONS(2470),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2470),
    [anon_sym_DOT_DOT] = ACTIONS(2472),
    [anon_sym_STAR_STAR] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE] = ACTIONS(2472),
    [anon_sym_SLASH_SLASH] = ACTIONS(2472),
    [anon_sym_CARET_CARET] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_PIPE] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_GT_GT2] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_DOT] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_SLASH] = ACTIONS(2472),
    [anon_sym_x] = ACTIONS(2472),
    [anon_sym_EQ_TILDE] = ACTIONS(2470),
    [anon_sym_BANG_TILDE] = ACTIONS(2470),
    [anon_sym_EQ_EQ] = ACTIONS(2472),
    [anon_sym_BANG_EQ] = ACTIONS(2470),
    [anon_sym_eq] = ACTIONS(2472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2470),
    [anon_sym_equ] = ACTIONS(2470),
    [anon_sym_eqr] = ACTIONS(2470),
    [anon_sym_ne] = ACTIONS(2470),
    [anon_sym_LT_EQ_GT] = ACTIONS(2470),
    [anon_sym_cmp] = ACTIONS(2470),
    [anon_sym_TILDE_TILDE] = ACTIONS(2470),
    [anon_sym_LT_EQ] = ACTIONS(2472),
    [anon_sym_GT_EQ] = ACTIONS(2470),
    [anon_sym_lt] = ACTIONS(2470),
    [anon_sym_le] = ACTIONS(2470),
    [anon_sym_ge] = ACTIONS(2470),
    [anon_sym_gt] = ACTIONS(2470),
    [anon_sym_isa] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_QMARK] = ACTIONS(2470),
    [anon_sym_EQ_GT] = ACTIONS(2470),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1377] = {
    [sym_attribute] = STATE(1750),
    [sym_attribute_name] = STATE(1586),
    [sym_heredoc_content] = STATE(1377),
    [aux_sym_attrlist_repeat1] = STATE(1377),
    [sym__identifier] = ACTIONS(3376),
    [anon_sym_RBRACE] = ACTIONS(2311),
    [anon_sym_COLON] = ACTIONS(3379),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_COMMA] = ACTIONS(2311),
    [anon_sym_RPAREN] = ACTIONS(2311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2311),
    [anon_sym_DASH_GT] = ACTIONS(2311),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2316),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2311),
    [anon_sym_PLUS_EQ] = ACTIONS(2311),
    [anon_sym_DASH_EQ] = ACTIONS(2311),
    [anon_sym_DOT_EQ] = ACTIONS(2311),
    [anon_sym_STAR_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_PERCENT_EQ] = ACTIONS(2311),
    [anon_sym_x_EQ] = ACTIONS(2311),
    [anon_sym_AMP_EQ] = ACTIONS(2311),
    [anon_sym_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_CARET_EQ] = ACTIONS(2311),
    [anon_sym_LT_LT_EQ] = ACTIONS(2311),
    [anon_sym_GT_GT_EQ] = ACTIONS(2311),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2311),
    [anon_sym_DOT_DOT] = ACTIONS(2316),
    [anon_sym_STAR_STAR] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_SLASH_SLASH] = ACTIONS(2316),
    [anon_sym_CARET_CARET] = ACTIONS(2311),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_GT_GT2] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_x] = ACTIONS(2316),
    [anon_sym_EQ_TILDE] = ACTIONS(2311),
    [anon_sym_BANG_TILDE] = ACTIONS(2311),
    [anon_sym_EQ_EQ] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2311),
    [anon_sym_eq] = ACTIONS(2316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2311),
    [anon_sym_equ] = ACTIONS(2316),
    [anon_sym_eqr] = ACTIONS(2316),
    [anon_sym_ne] = ACTIONS(2316),
    [anon_sym_LT_EQ_GT] = ACTIONS(2311),
    [anon_sym_cmp] = ACTIONS(2316),
    [anon_sym_TILDE_TILDE] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(2316),
    [anon_sym_GT_EQ] = ACTIONS(2311),
    [anon_sym_lt] = ACTIONS(2316),
    [anon_sym_le] = ACTIONS(2316),
    [anon_sym_ge] = ACTIONS(2316),
    [anon_sym_gt] = ACTIONS(2316),
    [anon_sym_isa] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2311),
    [anon_sym_QMARK] = ACTIONS(2311),
    [anon_sym_EQ_GT] = ACTIONS(2311),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3376),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1378] = {
    [sym_heredoc_content] = STATE(1378),
    [anon_sym_RBRACE] = ACTIONS(1796),
    [anon_sym_SEMI] = ACTIONS(1796),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_COMMA] = ACTIONS(1796),
    [anon_sym_RPAREN] = ACTIONS(1796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1796),
    [anon_sym_and] = ACTIONS(1796),
    [anon_sym_or] = ACTIONS(1796),
    [anon_sym_xor] = ACTIONS(1796),
    [anon_sym_LBRACK] = ACTIONS(3382),
    [anon_sym_RBRACK] = ACTIONS(1796),
    [anon_sym_DASH_GT] = ACTIONS(1796),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1796),
    [anon_sym_PLUS_EQ] = ACTIONS(1796),
    [anon_sym_DASH_EQ] = ACTIONS(1796),
    [anon_sym_DOT_EQ] = ACTIONS(1796),
    [anon_sym_STAR_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_PERCENT_EQ] = ACTIONS(1796),
    [anon_sym_x_EQ] = ACTIONS(1796),
    [anon_sym_AMP_EQ] = ACTIONS(1796),
    [anon_sym_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_CARET_EQ] = ACTIONS(1796),
    [anon_sym_LT_LT_EQ] = ACTIONS(1796),
    [anon_sym_GT_GT_EQ] = ACTIONS(1796),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1796),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1787),
    [anon_sym_CARET_CARET] = ACTIONS(1796),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1796),
    [anon_sym_BANG_TILDE] = ACTIONS(1796),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1796),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1796),
    [anon_sym_equ] = ACTIONS(1796),
    [anon_sym_eqr] = ACTIONS(1796),
    [anon_sym_ne] = ACTIONS(1796),
    [anon_sym_LT_EQ_GT] = ACTIONS(1796),
    [anon_sym_cmp] = ACTIONS(1796),
    [anon_sym_TILDE_TILDE] = ACTIONS(1796),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1796),
    [anon_sym_lt] = ACTIONS(1796),
    [anon_sym_le] = ACTIONS(1796),
    [anon_sym_ge] = ACTIONS(1796),
    [anon_sym_gt] = ACTIONS(1796),
    [anon_sym_isa] = ACTIONS(1796),
    [anon_sym_PLUS_PLUS] = ACTIONS(1796),
    [anon_sym_DASH_DASH] = ACTIONS(1796),
    [anon_sym_QMARK] = ACTIONS(1796),
    [anon_sym_EQ_GT] = ACTIONS(1796),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1379] = {
    [sym_heredoc_content] = STATE(1379),
    [anon_sym_RBRACE] = ACTIONS(2665),
    [anon_sym_SEMI] = ACTIONS(2665),
    [anon_sym_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2665),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(2665),
    [anon_sym_RPAREN] = ACTIONS(2665),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2665),
    [anon_sym_and] = ACTIONS(2667),
    [anon_sym_or] = ACTIONS(2667),
    [anon_sym_xor] = ACTIONS(2667),
    [anon_sym_RBRACK] = ACTIONS(2665),
    [anon_sym_DASH_GT] = ACTIONS(2665),
    [anon_sym_PERCENT] = ACTIONS(2667),
    [anon_sym_LT] = ACTIONS(2667),
    [anon_sym_GT] = ACTIONS(2667),
    [anon_sym_LT_LT] = ACTIONS(2667),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2665),
    [anon_sym_PLUS_EQ] = ACTIONS(2665),
    [anon_sym_DASH_EQ] = ACTIONS(2665),
    [anon_sym_DOT_EQ] = ACTIONS(2665),
    [anon_sym_STAR_EQ] = ACTIONS(2665),
    [anon_sym_SLASH_EQ] = ACTIONS(2665),
    [anon_sym_PERCENT_EQ] = ACTIONS(2665),
    [anon_sym_x_EQ] = ACTIONS(2667),
    [anon_sym_AMP_EQ] = ACTIONS(2665),
    [anon_sym_PIPE_EQ] = ACTIONS(2665),
    [anon_sym_CARET_EQ] = ACTIONS(2665),
    [anon_sym_LT_LT_EQ] = ACTIONS(2665),
    [anon_sym_GT_GT_EQ] = ACTIONS(2665),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2665),
    [anon_sym_DOT_DOT] = ACTIONS(2667),
    [anon_sym_STAR_STAR] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_SLASH_SLASH] = ACTIONS(2667),
    [anon_sym_CARET_CARET] = ACTIONS(2665),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(2667),
    [anon_sym_CARET] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_GT_GT2] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_DOT] = ACTIONS(2667),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_SLASH] = ACTIONS(2667),
    [anon_sym_x] = ACTIONS(2667),
    [anon_sym_EQ_TILDE] = ACTIONS(2665),
    [anon_sym_BANG_TILDE] = ACTIONS(2665),
    [anon_sym_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ] = ACTIONS(2665),
    [anon_sym_eq] = ACTIONS(2667),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2665),
    [anon_sym_equ] = ACTIONS(2667),
    [anon_sym_eqr] = ACTIONS(2667),
    [anon_sym_ne] = ACTIONS(2665),
    [anon_sym_LT_EQ_GT] = ACTIONS(2665),
    [anon_sym_cmp] = ACTIONS(2667),
    [anon_sym_TILDE_TILDE] = ACTIONS(2665),
    [anon_sym_LT_EQ] = ACTIONS(2667),
    [anon_sym_GT_EQ] = ACTIONS(2665),
    [anon_sym_lt] = ACTIONS(2667),
    [anon_sym_le] = ACTIONS(2667),
    [anon_sym_ge] = ACTIONS(2667),
    [anon_sym_gt] = ACTIONS(2667),
    [anon_sym_isa] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2665),
    [anon_sym_DASH_DASH] = ACTIONS(2665),
    [anon_sym_QMARK] = ACTIONS(2665),
    [anon_sym_EQ_GT] = ACTIONS(2665),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3384),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1380] = {
    [sym_heredoc_content] = STATE(1380),
    [sym__identifier] = ACTIONS(2330),
    [anon_sym_COLON] = ACTIONS(2330),
    [anon_sym_DOLLAR] = ACTIONS(2332),
    [anon_sym_EQ] = ACTIONS(2330),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2332),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_COMMA] = ACTIONS(2332),
    [anon_sym_RPAREN] = ACTIONS(2332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2332),
    [anon_sym_DASH_GT] = ACTIONS(2332),
    [anon_sym_PERCENT] = ACTIONS(2330),
    [anon_sym_LT] = ACTIONS(2330),
    [anon_sym_GT] = ACTIONS(2330),
    [anon_sym_LT_LT] = ACTIONS(2330),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2332),
    [anon_sym_PLUS_EQ] = ACTIONS(2332),
    [anon_sym_DASH_EQ] = ACTIONS(2332),
    [anon_sym_DOT_EQ] = ACTIONS(2332),
    [anon_sym_STAR_EQ] = ACTIONS(2332),
    [anon_sym_SLASH_EQ] = ACTIONS(2332),
    [anon_sym_PERCENT_EQ] = ACTIONS(2330),
    [anon_sym_x_EQ] = ACTIONS(2332),
    [anon_sym_AMP_EQ] = ACTIONS(2332),
    [anon_sym_PIPE_EQ] = ACTIONS(2332),
    [anon_sym_CARET_EQ] = ACTIONS(2332),
    [anon_sym_LT_LT_EQ] = ACTIONS(2332),
    [anon_sym_GT_GT_EQ] = ACTIONS(2332),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2332),
    [anon_sym_DOT_DOT] = ACTIONS(2330),
    [anon_sym_STAR_STAR] = ACTIONS(2330),
    [anon_sym_PIPE_PIPE] = ACTIONS(2330),
    [anon_sym_SLASH_SLASH] = ACTIONS(2330),
    [anon_sym_CARET_CARET] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2330),
    [anon_sym_PIPE] = ACTIONS(2330),
    [anon_sym_CARET] = ACTIONS(2330),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_GT_GT2] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_DOT] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2330),
    [anon_sym_SLASH] = ACTIONS(2330),
    [anon_sym_x] = ACTIONS(2330),
    [anon_sym_EQ_TILDE] = ACTIONS(2332),
    [anon_sym_BANG_TILDE] = ACTIONS(2332),
    [anon_sym_EQ_EQ] = ACTIONS(2330),
    [anon_sym_BANG_EQ] = ACTIONS(2332),
    [anon_sym_eq] = ACTIONS(2330),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2332),
    [anon_sym_equ] = ACTIONS(2330),
    [anon_sym_eqr] = ACTIONS(2330),
    [anon_sym_ne] = ACTIONS(2330),
    [anon_sym_LT_EQ_GT] = ACTIONS(2332),
    [anon_sym_cmp] = ACTIONS(2330),
    [anon_sym_TILDE_TILDE] = ACTIONS(2332),
    [anon_sym_LT_EQ] = ACTIONS(2330),
    [anon_sym_GT_EQ] = ACTIONS(2332),
    [anon_sym_lt] = ACTIONS(2330),
    [anon_sym_le] = ACTIONS(2330),
    [anon_sym_ge] = ACTIONS(2330),
    [anon_sym_gt] = ACTIONS(2330),
    [anon_sym_isa] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_QMARK] = ACTIONS(2332),
    [anon_sym_PERCENT2] = ACTIONS(2332),
    [anon_sym_EQ_GT] = ACTIONS(2332),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2330),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(2332),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1381] = {
    [sym_heredoc_content] = STATE(1381),
    [anon_sym_LBRACE] = ACTIONS(1759),
    [anon_sym_COLON] = ACTIONS(1759),
    [anon_sym_DOLLAR] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1759),
    [anon_sym_AT] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(1759),
    [anon_sym_RPAREN] = ACTIONS(1759),
    [anon_sym_LPAREN] = ACTIONS(1759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_DASH_GT] = ACTIONS(1759),
    [anon_sym_PERCENT] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1759),
    [anon_sym_PLUS_EQ] = ACTIONS(1759),
    [anon_sym_DASH_EQ] = ACTIONS(1759),
    [anon_sym_DOT_EQ] = ACTIONS(1759),
    [anon_sym_STAR_EQ] = ACTIONS(1759),
    [anon_sym_SLASH_EQ] = ACTIONS(1759),
    [anon_sym_PERCENT_EQ] = ACTIONS(1755),
    [anon_sym_x_EQ] = ACTIONS(1759),
    [anon_sym_AMP_EQ] = ACTIONS(1759),
    [anon_sym_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_CARET_EQ] = ACTIONS(1759),
    [anon_sym_LT_LT_EQ] = ACTIONS(1759),
    [anon_sym_GT_GT_EQ] = ACTIONS(1759),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1759),
    [anon_sym_DOT_DOT] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH] = ACTIONS(1755),
    [anon_sym_CARET_CARET] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_GT_GT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1755),
    [anon_sym_x] = ACTIONS(1755),
    [anon_sym_EQ_TILDE] = ACTIONS(1759),
    [anon_sym_BANG_TILDE] = ACTIONS(1759),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1759),
    [anon_sym_eq] = ACTIONS(1755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1759),
    [anon_sym_equ] = ACTIONS(1759),
    [anon_sym_eqr] = ACTIONS(1759),
    [anon_sym_ne] = ACTIONS(1759),
    [anon_sym_LT_EQ_GT] = ACTIONS(1759),
    [anon_sym_cmp] = ACTIONS(1759),
    [anon_sym_TILDE_TILDE] = ACTIONS(1759),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1759),
    [anon_sym_lt] = ACTIONS(1759),
    [anon_sym_le] = ACTIONS(1759),
    [anon_sym_ge] = ACTIONS(1759),
    [anon_sym_gt] = ACTIONS(1759),
    [anon_sym_isa] = ACTIONS(1759),
    [anon_sym_PLUS_PLUS] = ACTIONS(1759),
    [anon_sym_DASH_DASH] = ACTIONS(1759),
    [anon_sym_QMARK] = ACTIONS(1759),
    [anon_sym_PERCENT2] = ACTIONS(1759),
    [anon_sym_EQ_GT] = ACTIONS(1759),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1382] = {
    [sym_heredoc_content] = STATE(1382),
    [anon_sym_RBRACE] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym_EQ] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2526),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2526),
    [anon_sym_RPAREN] = ACTIONS(2526),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2526),
    [anon_sym_and] = ACTIONS(2528),
    [anon_sym_or] = ACTIONS(2526),
    [anon_sym_xor] = ACTIONS(2528),
    [anon_sym_RBRACK] = ACTIONS(2526),
    [anon_sym_DASH_GT] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2528),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_GT] = ACTIONS(2528),
    [anon_sym_LT_LT] = ACTIONS(2528),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2526),
    [anon_sym_PLUS_EQ] = ACTIONS(2526),
    [anon_sym_DASH_EQ] = ACTIONS(2526),
    [anon_sym_DOT_EQ] = ACTIONS(2526),
    [anon_sym_STAR_EQ] = ACTIONS(2526),
    [anon_sym_SLASH_EQ] = ACTIONS(2526),
    [anon_sym_PERCENT_EQ] = ACTIONS(2526),
    [anon_sym_x_EQ] = ACTIONS(2528),
    [anon_sym_AMP_EQ] = ACTIONS(2526),
    [anon_sym_PIPE_EQ] = ACTIONS(2526),
    [anon_sym_CARET_EQ] = ACTIONS(2526),
    [anon_sym_LT_LT_EQ] = ACTIONS(2526),
    [anon_sym_GT_GT_EQ] = ACTIONS(2526),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2526),
    [anon_sym_DOT_DOT] = ACTIONS(2528),
    [anon_sym_STAR_STAR] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH] = ACTIONS(2528),
    [anon_sym_CARET_CARET] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_PIPE] = ACTIONS(2528),
    [anon_sym_CARET] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_GT_GT2] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_DOT] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_SLASH] = ACTIONS(2528),
    [anon_sym_x] = ACTIONS(2528),
    [anon_sym_EQ_TILDE] = ACTIONS(2526),
    [anon_sym_BANG_TILDE] = ACTIONS(2526),
    [anon_sym_EQ_EQ] = ACTIONS(2528),
    [anon_sym_BANG_EQ] = ACTIONS(2526),
    [anon_sym_eq] = ACTIONS(2528),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2526),
    [anon_sym_equ] = ACTIONS(2526),
    [anon_sym_eqr] = ACTIONS(2526),
    [anon_sym_ne] = ACTIONS(2528),
    [anon_sym_LT_EQ_GT] = ACTIONS(2526),
    [anon_sym_cmp] = ACTIONS(2528),
    [anon_sym_TILDE_TILDE] = ACTIONS(2526),
    [anon_sym_LT_EQ] = ACTIONS(2528),
    [anon_sym_GT_EQ] = ACTIONS(2526),
    [anon_sym_lt] = ACTIONS(2528),
    [anon_sym_le] = ACTIONS(2528),
    [anon_sym_ge] = ACTIONS(2528),
    [anon_sym_gt] = ACTIONS(2528),
    [anon_sym_isa] = ACTIONS(2528),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3386),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1383] = {
    [sym_heredoc_content] = STATE(1383),
    [anon_sym_RBRACE] = ACTIONS(2440),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym_EQ] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2440),
    [anon_sym_COMMA] = ACTIONS(2440),
    [anon_sym_RPAREN] = ACTIONS(2440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2440),
    [anon_sym_and] = ACTIONS(2442),
    [anon_sym_or] = ACTIONS(2440),
    [anon_sym_xor] = ACTIONS(2442),
    [anon_sym_RBRACK] = ACTIONS(2440),
    [anon_sym_DASH_GT] = ACTIONS(2440),
    [anon_sym_PERCENT] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2442),
    [anon_sym_GT] = ACTIONS(2442),
    [anon_sym_LT_LT] = ACTIONS(2442),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2440),
    [anon_sym_PLUS_EQ] = ACTIONS(2440),
    [anon_sym_DASH_EQ] = ACTIONS(2440),
    [anon_sym_DOT_EQ] = ACTIONS(2440),
    [anon_sym_STAR_EQ] = ACTIONS(2440),
    [anon_sym_SLASH_EQ] = ACTIONS(2440),
    [anon_sym_PERCENT_EQ] = ACTIONS(2440),
    [anon_sym_x_EQ] = ACTIONS(2442),
    [anon_sym_AMP_EQ] = ACTIONS(2440),
    [anon_sym_PIPE_EQ] = ACTIONS(2440),
    [anon_sym_CARET_EQ] = ACTIONS(2440),
    [anon_sym_LT_LT_EQ] = ACTIONS(2440),
    [anon_sym_GT_GT_EQ] = ACTIONS(2440),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2440),
    [anon_sym_DOT_DOT] = ACTIONS(2442),
    [anon_sym_STAR_STAR] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE] = ACTIONS(2442),
    [anon_sym_SLASH_SLASH] = ACTIONS(2442),
    [anon_sym_CARET_CARET] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_PIPE] = ACTIONS(2442),
    [anon_sym_CARET] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_GT_GT2] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_DOT] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_SLASH] = ACTIONS(2442),
    [anon_sym_x] = ACTIONS(2442),
    [anon_sym_EQ_TILDE] = ACTIONS(2440),
    [anon_sym_BANG_TILDE] = ACTIONS(2440),
    [anon_sym_EQ_EQ] = ACTIONS(2442),
    [anon_sym_BANG_EQ] = ACTIONS(2440),
    [anon_sym_eq] = ACTIONS(2442),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2440),
    [anon_sym_equ] = ACTIONS(2440),
    [anon_sym_eqr] = ACTIONS(2440),
    [anon_sym_ne] = ACTIONS(2442),
    [anon_sym_LT_EQ_GT] = ACTIONS(2440),
    [anon_sym_cmp] = ACTIONS(2442),
    [anon_sym_TILDE_TILDE] = ACTIONS(2440),
    [anon_sym_LT_EQ] = ACTIONS(2442),
    [anon_sym_GT_EQ] = ACTIONS(2440),
    [anon_sym_lt] = ACTIONS(2442),
    [anon_sym_le] = ACTIONS(2442),
    [anon_sym_ge] = ACTIONS(2442),
    [anon_sym_gt] = ACTIONS(2442),
    [anon_sym_isa] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2440),
    [anon_sym_DASH_DASH] = ACTIONS(2440),
    [anon_sym_QMARK] = ACTIONS(2440),
    [anon_sym_EQ_GT] = ACTIONS(2440),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3388),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1384] = {
    [sym_heredoc_content] = STATE(1384),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_EQ] = ACTIONS(2448),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(2446),
    [anon_sym_RPAREN] = ACTIONS(2446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2446),
    [anon_sym_and] = ACTIONS(2448),
    [anon_sym_or] = ACTIONS(2448),
    [anon_sym_xor] = ACTIONS(2448),
    [anon_sym_RBRACK] = ACTIONS(2446),
    [anon_sym_DASH_GT] = ACTIONS(2446),
    [anon_sym_PERCENT] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(2448),
    [anon_sym_LT_LT] = ACTIONS(2448),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2446),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_DOT_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_x_EQ] = ACTIONS(2448),
    [anon_sym_AMP_EQ] = ACTIONS(2446),
    [anon_sym_PIPE_EQ] = ACTIONS(2446),
    [anon_sym_CARET_EQ] = ACTIONS(2446),
    [anon_sym_LT_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_GT_EQ] = ACTIONS(2446),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2446),
    [anon_sym_DOT_DOT] = ACTIONS(2448),
    [anon_sym_STAR_STAR] = ACTIONS(2448),
    [anon_sym_PIPE_PIPE] = ACTIONS(2448),
    [anon_sym_SLASH_SLASH] = ACTIONS(2448),
    [anon_sym_CARET_CARET] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_PIPE] = ACTIONS(2448),
    [anon_sym_CARET] = ACTIONS(2448),
    [anon_sym_AMP] = ACTIONS(2448),
    [anon_sym_GT_GT2] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_DOT] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2448),
    [anon_sym_SLASH] = ACTIONS(2448),
    [anon_sym_x] = ACTIONS(2448),
    [anon_sym_EQ_TILDE] = ACTIONS(2446),
    [anon_sym_BANG_TILDE] = ACTIONS(2446),
    [anon_sym_EQ_EQ] = ACTIONS(2448),
    [anon_sym_BANG_EQ] = ACTIONS(2446),
    [anon_sym_eq] = ACTIONS(2448),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2446),
    [anon_sym_equ] = ACTIONS(2448),
    [anon_sym_eqr] = ACTIONS(2448),
    [anon_sym_ne] = ACTIONS(2446),
    [anon_sym_LT_EQ_GT] = ACTIONS(2446),
    [anon_sym_cmp] = ACTIONS(2448),
    [anon_sym_TILDE_TILDE] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2448),
    [anon_sym_GT_EQ] = ACTIONS(2446),
    [anon_sym_lt] = ACTIONS(2448),
    [anon_sym_le] = ACTIONS(2448),
    [anon_sym_ge] = ACTIONS(2448),
    [anon_sym_gt] = ACTIONS(2448),
    [anon_sym_isa] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_QMARK] = ACTIONS(2446),
    [anon_sym_EQ_GT] = ACTIONS(2446),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3390),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1385] = {
    [sym_heredoc_content] = STATE(1385),
    [anon_sym_RBRACE] = ACTIONS(2452),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym_EQ] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_RPAREN] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2452),
    [anon_sym_and] = ACTIONS(2452),
    [anon_sym_or] = ACTIONS(2452),
    [anon_sym_xor] = ACTIONS(2452),
    [anon_sym_RBRACK] = ACTIONS(2452),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_LT] = ACTIONS(2454),
    [anon_sym_GT] = ACTIONS(2454),
    [anon_sym_LT_LT] = ACTIONS(2454),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2452),
    [anon_sym_DASH_EQ] = ACTIONS(2452),
    [anon_sym_DOT_EQ] = ACTIONS(2452),
    [anon_sym_STAR_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_PERCENT_EQ] = ACTIONS(2452),
    [anon_sym_x_EQ] = ACTIONS(2452),
    [anon_sym_AMP_EQ] = ACTIONS(2452),
    [anon_sym_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_CARET_EQ] = ACTIONS(2452),
    [anon_sym_LT_LT_EQ] = ACTIONS(2452),
    [anon_sym_GT_GT_EQ] = ACTIONS(2452),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(2454),
    [anon_sym_STAR_STAR] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2454),
    [anon_sym_SLASH_SLASH] = ACTIONS(2454),
    [anon_sym_CARET_CARET] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_PIPE] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_GT_GT2] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_DOT] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_SLASH] = ACTIONS(2454),
    [anon_sym_x] = ACTIONS(2454),
    [anon_sym_EQ_TILDE] = ACTIONS(2452),
    [anon_sym_BANG_TILDE] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2454),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_eq] = ACTIONS(2454),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_equ] = ACTIONS(2452),
    [anon_sym_eqr] = ACTIONS(2452),
    [anon_sym_ne] = ACTIONS(2452),
    [anon_sym_LT_EQ_GT] = ACTIONS(2452),
    [anon_sym_cmp] = ACTIONS(2454),
    [anon_sym_TILDE_TILDE] = ACTIONS(2452),
    [anon_sym_LT_EQ] = ACTIONS(2454),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_lt] = ACTIONS(2452),
    [anon_sym_le] = ACTIONS(2452),
    [anon_sym_ge] = ACTIONS(2452),
    [anon_sym_gt] = ACTIONS(2452),
    [anon_sym_isa] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [anon_sym_QMARK] = ACTIONS(2452),
    [anon_sym_EQ_GT] = ACTIONS(2452),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3392),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1386] = {
    [sym_heredoc_content] = STATE(1386),
    [anon_sym_RBRACE] = ACTIONS(2610),
    [anon_sym_COLON] = ACTIONS(3394),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym_EQ] = ACTIONS(2614),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_COMMA] = ACTIONS(2610),
    [anon_sym_RPAREN] = ACTIONS(2610),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2610),
    [anon_sym_and] = ACTIONS(2610),
    [anon_sym_or] = ACTIONS(2610),
    [anon_sym_xor] = ACTIONS(2610),
    [anon_sym_RBRACK] = ACTIONS(2610),
    [anon_sym_DASH_GT] = ACTIONS(2610),
    [anon_sym_PERCENT] = ACTIONS(2614),
    [anon_sym_LT] = ACTIONS(2614),
    [anon_sym_GT] = ACTIONS(2614),
    [anon_sym_LT_LT] = ACTIONS(2614),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2610),
    [anon_sym_PLUS_EQ] = ACTIONS(2610),
    [anon_sym_DASH_EQ] = ACTIONS(2610),
    [anon_sym_DOT_EQ] = ACTIONS(2610),
    [anon_sym_STAR_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_PERCENT_EQ] = ACTIONS(2610),
    [anon_sym_x_EQ] = ACTIONS(2610),
    [anon_sym_AMP_EQ] = ACTIONS(2610),
    [anon_sym_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_CARET_EQ] = ACTIONS(2610),
    [anon_sym_LT_LT_EQ] = ACTIONS(2610),
    [anon_sym_GT_GT_EQ] = ACTIONS(2610),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2610),
    [anon_sym_DOT_DOT] = ACTIONS(2614),
    [anon_sym_STAR_STAR] = ACTIONS(2614),
    [anon_sym_PIPE_PIPE] = ACTIONS(2614),
    [anon_sym_SLASH_SLASH] = ACTIONS(2614),
    [anon_sym_CARET_CARET] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_PIPE] = ACTIONS(2614),
    [anon_sym_CARET] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym_GT_GT2] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_DOT] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_SLASH] = ACTIONS(2614),
    [anon_sym_x] = ACTIONS(2614),
    [anon_sym_EQ_TILDE] = ACTIONS(2610),
    [anon_sym_BANG_TILDE] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2614),
    [anon_sym_BANG_EQ] = ACTIONS(2610),
    [anon_sym_eq] = ACTIONS(2614),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2610),
    [anon_sym_equ] = ACTIONS(2610),
    [anon_sym_eqr] = ACTIONS(2610),
    [anon_sym_ne] = ACTIONS(2610),
    [anon_sym_LT_EQ_GT] = ACTIONS(2610),
    [anon_sym_cmp] = ACTIONS(2610),
    [anon_sym_TILDE_TILDE] = ACTIONS(2610),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_GT_EQ] = ACTIONS(2610),
    [anon_sym_lt] = ACTIONS(2610),
    [anon_sym_le] = ACTIONS(2610),
    [anon_sym_ge] = ACTIONS(2610),
    [anon_sym_gt] = ACTIONS(2610),
    [anon_sym_isa] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_QMARK] = ACTIONS(2610),
    [anon_sym_EQ_GT] = ACTIONS(2610),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1387] = {
    [sym_heredoc_content] = STATE(1387),
    [anon_sym_LBRACE] = ACTIONS(1775),
    [anon_sym_COLON] = ACTIONS(1775),
    [anon_sym_DOLLAR] = ACTIONS(1775),
    [anon_sym_EQ] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1775),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1775),
    [anon_sym_AT] = ACTIONS(1775),
    [anon_sym_COMMA] = ACTIONS(1775),
    [anon_sym_RPAREN] = ACTIONS(1775),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1775),
    [anon_sym_LBRACK] = ACTIONS(1775),
    [anon_sym_DASH_GT] = ACTIONS(1775),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [anon_sym_LT] = ACTIONS(1773),
    [anon_sym_GT] = ACTIONS(1773),
    [anon_sym_LT_LT] = ACTIONS(1773),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1775),
    [anon_sym_PLUS_EQ] = ACTIONS(1775),
    [anon_sym_DASH_EQ] = ACTIONS(1775),
    [anon_sym_DOT_EQ] = ACTIONS(1775),
    [anon_sym_STAR_EQ] = ACTIONS(1775),
    [anon_sym_SLASH_EQ] = ACTIONS(1775),
    [anon_sym_PERCENT_EQ] = ACTIONS(1773),
    [anon_sym_x_EQ] = ACTIONS(1775),
    [anon_sym_AMP_EQ] = ACTIONS(1775),
    [anon_sym_PIPE_EQ] = ACTIONS(1775),
    [anon_sym_CARET_EQ] = ACTIONS(1775),
    [anon_sym_LT_LT_EQ] = ACTIONS(1775),
    [anon_sym_GT_GT_EQ] = ACTIONS(1775),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1775),
    [anon_sym_DOT_DOT] = ACTIONS(1773),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE] = ACTIONS(1773),
    [anon_sym_SLASH_SLASH] = ACTIONS(1773),
    [anon_sym_CARET_CARET] = ACTIONS(1775),
    [anon_sym_AMP_AMP] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1773),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_GT_GT2] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_DOT] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_x] = ACTIONS(1773),
    [anon_sym_EQ_TILDE] = ACTIONS(1775),
    [anon_sym_BANG_TILDE] = ACTIONS(1775),
    [anon_sym_EQ_EQ] = ACTIONS(1773),
    [anon_sym_BANG_EQ] = ACTIONS(1775),
    [anon_sym_eq] = ACTIONS(1773),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1775),
    [anon_sym_equ] = ACTIONS(1775),
    [anon_sym_eqr] = ACTIONS(1775),
    [anon_sym_ne] = ACTIONS(1775),
    [anon_sym_LT_EQ_GT] = ACTIONS(1775),
    [anon_sym_cmp] = ACTIONS(1775),
    [anon_sym_TILDE_TILDE] = ACTIONS(1775),
    [anon_sym_LT_EQ] = ACTIONS(1773),
    [anon_sym_GT_EQ] = ACTIONS(1775),
    [anon_sym_lt] = ACTIONS(1775),
    [anon_sym_le] = ACTIONS(1775),
    [anon_sym_ge] = ACTIONS(1775),
    [anon_sym_gt] = ACTIONS(1775),
    [anon_sym_isa] = ACTIONS(1775),
    [anon_sym_PLUS_PLUS] = ACTIONS(1775),
    [anon_sym_DASH_DASH] = ACTIONS(1775),
    [anon_sym_QMARK] = ACTIONS(1775),
    [anon_sym_PERCENT2] = ACTIONS(1775),
    [anon_sym_EQ_GT] = ACTIONS(1775),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1388] = {
    [sym_heredoc_content] = STATE(1388),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_and] = ACTIONS(2538),
    [anon_sym_or] = ACTIONS(2538),
    [anon_sym_xor] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(3277),
    [anon_sym_RBRACK] = ACTIONS(2538),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2538),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2538),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2538),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2538),
    [anon_sym_le] = ACTIONS(2538),
    [anon_sym_ge] = ACTIONS(2538),
    [anon_sym_gt] = ACTIONS(2538),
    [anon_sym_isa] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1389] = {
    [sym_heredoc_content] = STATE(1389),
    [anon_sym_LBRACE] = ACTIONS(1779),
    [anon_sym_COLON] = ACTIONS(1779),
    [anon_sym_DOLLAR] = ACTIONS(1779),
    [anon_sym_EQ] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1779),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1779),
    [anon_sym_AT] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(1779),
    [anon_sym_RPAREN] = ACTIONS(1779),
    [anon_sym_LPAREN] = ACTIONS(1779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1779),
    [anon_sym_LBRACK] = ACTIONS(1779),
    [anon_sym_DASH_GT] = ACTIONS(1779),
    [anon_sym_PERCENT] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_LT_LT] = ACTIONS(1777),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1779),
    [anon_sym_PLUS_EQ] = ACTIONS(1779),
    [anon_sym_DASH_EQ] = ACTIONS(1779),
    [anon_sym_DOT_EQ] = ACTIONS(1779),
    [anon_sym_STAR_EQ] = ACTIONS(1779),
    [anon_sym_SLASH_EQ] = ACTIONS(1779),
    [anon_sym_PERCENT_EQ] = ACTIONS(1777),
    [anon_sym_x_EQ] = ACTIONS(1779),
    [anon_sym_AMP_EQ] = ACTIONS(1779),
    [anon_sym_PIPE_EQ] = ACTIONS(1779),
    [anon_sym_CARET_EQ] = ACTIONS(1779),
    [anon_sym_LT_LT_EQ] = ACTIONS(1779),
    [anon_sym_GT_GT_EQ] = ACTIONS(1779),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1777),
    [anon_sym_STAR_STAR] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE] = ACTIONS(1777),
    [anon_sym_SLASH_SLASH] = ACTIONS(1777),
    [anon_sym_CARET_CARET] = ACTIONS(1779),
    [anon_sym_AMP_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_GT_GT2] = ACTIONS(1777),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_DOT] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1777),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_x] = ACTIONS(1777),
    [anon_sym_EQ_TILDE] = ACTIONS(1779),
    [anon_sym_BANG_TILDE] = ACTIONS(1779),
    [anon_sym_EQ_EQ] = ACTIONS(1777),
    [anon_sym_BANG_EQ] = ACTIONS(1779),
    [anon_sym_eq] = ACTIONS(1777),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1779),
    [anon_sym_equ] = ACTIONS(1779),
    [anon_sym_eqr] = ACTIONS(1779),
    [anon_sym_ne] = ACTIONS(1779),
    [anon_sym_LT_EQ_GT] = ACTIONS(1779),
    [anon_sym_cmp] = ACTIONS(1779),
    [anon_sym_TILDE_TILDE] = ACTIONS(1779),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT_EQ] = ACTIONS(1779),
    [anon_sym_lt] = ACTIONS(1779),
    [anon_sym_le] = ACTIONS(1779),
    [anon_sym_ge] = ACTIONS(1779),
    [anon_sym_gt] = ACTIONS(1779),
    [anon_sym_isa] = ACTIONS(1779),
    [anon_sym_PLUS_PLUS] = ACTIONS(1779),
    [anon_sym_DASH_DASH] = ACTIONS(1779),
    [anon_sym_QMARK] = ACTIONS(1779),
    [anon_sym_PERCENT2] = ACTIONS(1779),
    [anon_sym_EQ_GT] = ACTIONS(1779),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1390] = {
    [sym_heredoc_content] = STATE(1390),
    [anon_sym_RBRACE] = ACTIONS(2412),
    [anon_sym_SEMI] = ACTIONS(2412),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_RPAREN] = ACTIONS(2412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2412),
    [anon_sym_and] = ACTIONS(2414),
    [anon_sym_or] = ACTIONS(2414),
    [anon_sym_xor] = ACTIONS(2414),
    [anon_sym_RBRACK] = ACTIONS(2412),
    [anon_sym_DASH_GT] = ACTIONS(2412),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_GT] = ACTIONS(2414),
    [anon_sym_LT_LT] = ACTIONS(2414),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2412),
    [anon_sym_PLUS_EQ] = ACTIONS(2412),
    [anon_sym_DASH_EQ] = ACTIONS(2412),
    [anon_sym_DOT_EQ] = ACTIONS(2412),
    [anon_sym_STAR_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_PERCENT_EQ] = ACTIONS(2412),
    [anon_sym_x_EQ] = ACTIONS(2414),
    [anon_sym_AMP_EQ] = ACTIONS(2412),
    [anon_sym_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_CARET_EQ] = ACTIONS(2412),
    [anon_sym_LT_LT_EQ] = ACTIONS(2412),
    [anon_sym_GT_GT_EQ] = ACTIONS(2412),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2414),
    [anon_sym_STAR_STAR] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH] = ACTIONS(2414),
    [anon_sym_CARET_CARET] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_PIPE] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_GT_GT2] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_SLASH] = ACTIONS(2414),
    [anon_sym_x] = ACTIONS(2414),
    [anon_sym_EQ_TILDE] = ACTIONS(2412),
    [anon_sym_BANG_TILDE] = ACTIONS(2412),
    [anon_sym_EQ_EQ] = ACTIONS(2414),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_eq] = ACTIONS(2414),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2412),
    [anon_sym_equ] = ACTIONS(2414),
    [anon_sym_eqr] = ACTIONS(2414),
    [anon_sym_ne] = ACTIONS(2412),
    [anon_sym_LT_EQ_GT] = ACTIONS(2412),
    [anon_sym_cmp] = ACTIONS(2414),
    [anon_sym_TILDE_TILDE] = ACTIONS(2412),
    [anon_sym_LT_EQ] = ACTIONS(2414),
    [anon_sym_GT_EQ] = ACTIONS(2412),
    [anon_sym_lt] = ACTIONS(2414),
    [anon_sym_le] = ACTIONS(2414),
    [anon_sym_ge] = ACTIONS(2414),
    [anon_sym_gt] = ACTIONS(2414),
    [anon_sym_isa] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_QMARK] = ACTIONS(2412),
    [anon_sym_EQ_GT] = ACTIONS(2412),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(2412),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1391] = {
    [sym_heredoc_content] = STATE(1391),
    [anon_sym_RBRACE] = ACTIONS(2616),
    [anon_sym_COLON] = ACTIONS(3396),
    [anon_sym_SEMI] = ACTIONS(2616),
    [anon_sym_EQ] = ACTIONS(2620),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2616),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2616),
    [anon_sym_COMMA] = ACTIONS(2616),
    [anon_sym_RPAREN] = ACTIONS(2616),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2616),
    [anon_sym_and] = ACTIONS(2616),
    [anon_sym_or] = ACTIONS(2616),
    [anon_sym_xor] = ACTIONS(2616),
    [anon_sym_RBRACK] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2616),
    [anon_sym_PERCENT] = ACTIONS(2620),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_GT] = ACTIONS(2620),
    [anon_sym_LT_LT] = ACTIONS(2620),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2616),
    [anon_sym_PLUS_EQ] = ACTIONS(2616),
    [anon_sym_DASH_EQ] = ACTIONS(2616),
    [anon_sym_DOT_EQ] = ACTIONS(2616),
    [anon_sym_STAR_EQ] = ACTIONS(2616),
    [anon_sym_SLASH_EQ] = ACTIONS(2616),
    [anon_sym_PERCENT_EQ] = ACTIONS(2616),
    [anon_sym_x_EQ] = ACTIONS(2616),
    [anon_sym_AMP_EQ] = ACTIONS(2616),
    [anon_sym_PIPE_EQ] = ACTIONS(2616),
    [anon_sym_CARET_EQ] = ACTIONS(2616),
    [anon_sym_LT_LT_EQ] = ACTIONS(2616),
    [anon_sym_GT_GT_EQ] = ACTIONS(2616),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2616),
    [anon_sym_DOT_DOT] = ACTIONS(2620),
    [anon_sym_STAR_STAR] = ACTIONS(2620),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_SLASH_SLASH] = ACTIONS(2620),
    [anon_sym_CARET_CARET] = ACTIONS(2616),
    [anon_sym_AMP_AMP] = ACTIONS(2620),
    [anon_sym_PIPE] = ACTIONS(2620),
    [anon_sym_CARET] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym_GT_GT2] = ACTIONS(2620),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_DOT] = ACTIONS(2620),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_x] = ACTIONS(2620),
    [anon_sym_EQ_TILDE] = ACTIONS(2616),
    [anon_sym_BANG_TILDE] = ACTIONS(2616),
    [anon_sym_EQ_EQ] = ACTIONS(2620),
    [anon_sym_BANG_EQ] = ACTIONS(2616),
    [anon_sym_eq] = ACTIONS(2620),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2616),
    [anon_sym_equ] = ACTIONS(2616),
    [anon_sym_eqr] = ACTIONS(2616),
    [anon_sym_ne] = ACTIONS(2616),
    [anon_sym_LT_EQ_GT] = ACTIONS(2616),
    [anon_sym_cmp] = ACTIONS(2616),
    [anon_sym_TILDE_TILDE] = ACTIONS(2616),
    [anon_sym_LT_EQ] = ACTIONS(2620),
    [anon_sym_GT_EQ] = ACTIONS(2616),
    [anon_sym_lt] = ACTIONS(2616),
    [anon_sym_le] = ACTIONS(2616),
    [anon_sym_ge] = ACTIONS(2616),
    [anon_sym_gt] = ACTIONS(2616),
    [anon_sym_isa] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2616),
    [anon_sym_DASH_DASH] = ACTIONS(2616),
    [anon_sym_QMARK] = ACTIONS(2616),
    [anon_sym_EQ_GT] = ACTIONS(2616),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1392] = {
    [sym_heredoc_content] = STATE(1392),
    [anon_sym_RBRACE] = ACTIONS(2671),
    [anon_sym_COLON] = ACTIONS(2671),
    [anon_sym_SEMI] = ACTIONS(2671),
    [anon_sym_EQ] = ACTIONS(2673),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2671),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2671),
    [anon_sym_COMMA] = ACTIONS(2671),
    [anon_sym_RPAREN] = ACTIONS(2671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2671),
    [anon_sym_and] = ACTIONS(2671),
    [anon_sym_or] = ACTIONS(2671),
    [anon_sym_xor] = ACTIONS(2671),
    [anon_sym_RBRACK] = ACTIONS(2671),
    [anon_sym_DASH_GT] = ACTIONS(2671),
    [anon_sym_PERCENT] = ACTIONS(2673),
    [anon_sym_LT] = ACTIONS(2673),
    [anon_sym_GT] = ACTIONS(2673),
    [anon_sym_LT_LT] = ACTIONS(2673),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2671),
    [anon_sym_PLUS_EQ] = ACTIONS(2671),
    [anon_sym_DASH_EQ] = ACTIONS(2671),
    [anon_sym_DOT_EQ] = ACTIONS(2671),
    [anon_sym_STAR_EQ] = ACTIONS(2671),
    [anon_sym_SLASH_EQ] = ACTIONS(2671),
    [anon_sym_PERCENT_EQ] = ACTIONS(2671),
    [anon_sym_x_EQ] = ACTIONS(2671),
    [anon_sym_AMP_EQ] = ACTIONS(2671),
    [anon_sym_PIPE_EQ] = ACTIONS(2671),
    [anon_sym_CARET_EQ] = ACTIONS(2671),
    [anon_sym_LT_LT_EQ] = ACTIONS(2671),
    [anon_sym_GT_GT_EQ] = ACTIONS(2671),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2671),
    [anon_sym_DOT_DOT] = ACTIONS(2673),
    [anon_sym_STAR_STAR] = ACTIONS(2673),
    [anon_sym_PIPE_PIPE] = ACTIONS(2673),
    [anon_sym_SLASH_SLASH] = ACTIONS(2673),
    [anon_sym_CARET_CARET] = ACTIONS(2671),
    [anon_sym_AMP_AMP] = ACTIONS(2673),
    [anon_sym_PIPE] = ACTIONS(2673),
    [anon_sym_CARET] = ACTIONS(2673),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym_GT_GT2] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_DOT] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2673),
    [anon_sym_x] = ACTIONS(2673),
    [anon_sym_EQ_TILDE] = ACTIONS(2671),
    [anon_sym_BANG_TILDE] = ACTIONS(2671),
    [anon_sym_EQ_EQ] = ACTIONS(2673),
    [anon_sym_BANG_EQ] = ACTIONS(2671),
    [anon_sym_eq] = ACTIONS(2673),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2671),
    [anon_sym_equ] = ACTIONS(2671),
    [anon_sym_eqr] = ACTIONS(2671),
    [anon_sym_ne] = ACTIONS(2671),
    [anon_sym_LT_EQ_GT] = ACTIONS(2671),
    [anon_sym_cmp] = ACTIONS(2671),
    [anon_sym_TILDE_TILDE] = ACTIONS(2671),
    [anon_sym_LT_EQ] = ACTIONS(2673),
    [anon_sym_GT_EQ] = ACTIONS(2671),
    [anon_sym_lt] = ACTIONS(2671),
    [anon_sym_le] = ACTIONS(2671),
    [anon_sym_ge] = ACTIONS(2671),
    [anon_sym_gt] = ACTIONS(2671),
    [anon_sym_isa] = ACTIONS(2671),
    [anon_sym_PLUS_PLUS] = ACTIONS(2671),
    [anon_sym_DASH_DASH] = ACTIONS(2671),
    [anon_sym_QMARK] = ACTIONS(2671),
    [anon_sym_EQ_GT] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1393] = {
    [sym_heredoc_content] = STATE(1393),
    [anon_sym_RBRACE] = ACTIONS(2675),
    [anon_sym_SEMI] = ACTIONS(2675),
    [anon_sym_EQ] = ACTIONS(2677),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2675),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2675),
    [anon_sym_COMMA] = ACTIONS(2675),
    [anon_sym_RPAREN] = ACTIONS(2675),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2675),
    [anon_sym_and] = ACTIONS(2677),
    [anon_sym_or] = ACTIONS(2677),
    [anon_sym_xor] = ACTIONS(2677),
    [anon_sym_RBRACK] = ACTIONS(2675),
    [anon_sym_DASH_GT] = ACTIONS(2675),
    [anon_sym_PERCENT] = ACTIONS(2677),
    [anon_sym_LT] = ACTIONS(2677),
    [anon_sym_GT] = ACTIONS(2677),
    [anon_sym_LT_LT] = ACTIONS(2677),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2675),
    [anon_sym_PLUS_EQ] = ACTIONS(2675),
    [anon_sym_DASH_EQ] = ACTIONS(2675),
    [anon_sym_DOT_EQ] = ACTIONS(2675),
    [anon_sym_STAR_EQ] = ACTIONS(2675),
    [anon_sym_SLASH_EQ] = ACTIONS(2675),
    [anon_sym_PERCENT_EQ] = ACTIONS(2675),
    [anon_sym_x_EQ] = ACTIONS(2677),
    [anon_sym_AMP_EQ] = ACTIONS(2675),
    [anon_sym_PIPE_EQ] = ACTIONS(2675),
    [anon_sym_CARET_EQ] = ACTIONS(2675),
    [anon_sym_LT_LT_EQ] = ACTIONS(2675),
    [anon_sym_GT_GT_EQ] = ACTIONS(2675),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2675),
    [anon_sym_DOT_DOT] = ACTIONS(2677),
    [anon_sym_STAR_STAR] = ACTIONS(2677),
    [anon_sym_PIPE_PIPE] = ACTIONS(2677),
    [anon_sym_SLASH_SLASH] = ACTIONS(2677),
    [anon_sym_CARET_CARET] = ACTIONS(2675),
    [anon_sym_AMP_AMP] = ACTIONS(2677),
    [anon_sym_PIPE] = ACTIONS(2677),
    [anon_sym_CARET] = ACTIONS(2677),
    [anon_sym_AMP] = ACTIONS(2677),
    [anon_sym_GT_GT2] = ACTIONS(2677),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_DASH] = ACTIONS(2677),
    [anon_sym_DOT] = ACTIONS(2677),
    [anon_sym_STAR] = ACTIONS(2677),
    [anon_sym_SLASH] = ACTIONS(2677),
    [anon_sym_x] = ACTIONS(2677),
    [anon_sym_EQ_TILDE] = ACTIONS(2675),
    [anon_sym_BANG_TILDE] = ACTIONS(2675),
    [anon_sym_EQ_EQ] = ACTIONS(2677),
    [anon_sym_BANG_EQ] = ACTIONS(2675),
    [anon_sym_eq] = ACTIONS(2677),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2675),
    [anon_sym_equ] = ACTIONS(2677),
    [anon_sym_eqr] = ACTIONS(2677),
    [anon_sym_ne] = ACTIONS(2675),
    [anon_sym_LT_EQ_GT] = ACTIONS(2675),
    [anon_sym_cmp] = ACTIONS(2677),
    [anon_sym_TILDE_TILDE] = ACTIONS(2675),
    [anon_sym_LT_EQ] = ACTIONS(2677),
    [anon_sym_GT_EQ] = ACTIONS(2675),
    [anon_sym_lt] = ACTIONS(2677),
    [anon_sym_le] = ACTIONS(2677),
    [anon_sym_ge] = ACTIONS(2677),
    [anon_sym_gt] = ACTIONS(2677),
    [anon_sym_isa] = ACTIONS(2677),
    [anon_sym_PLUS_PLUS] = ACTIONS(2675),
    [anon_sym_DASH_DASH] = ACTIONS(2675),
    [anon_sym_QMARK] = ACTIONS(2675),
    [anon_sym_EQ_GT] = ACTIONS(2675),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3398),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1394] = {
    [sym_heredoc_content] = STATE(1394),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_COLON] = ACTIONS(2402),
    [anon_sym_DOLLAR] = ACTIONS(2402),
    [anon_sym_EQ] = ACTIONS(2404),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2402),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2402),
    [anon_sym_AT] = ACTIONS(2402),
    [anon_sym_COMMA] = ACTIONS(2402),
    [anon_sym_RPAREN] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(2402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_DASH_GT] = ACTIONS(2402),
    [anon_sym_PERCENT] = ACTIONS(2404),
    [anon_sym_LT] = ACTIONS(2404),
    [anon_sym_GT] = ACTIONS(2404),
    [anon_sym_LT_LT] = ACTIONS(2404),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2402),
    [anon_sym_PLUS_EQ] = ACTIONS(2402),
    [anon_sym_DASH_EQ] = ACTIONS(2402),
    [anon_sym_DOT_EQ] = ACTIONS(2402),
    [anon_sym_STAR_EQ] = ACTIONS(2402),
    [anon_sym_SLASH_EQ] = ACTIONS(2402),
    [anon_sym_PERCENT_EQ] = ACTIONS(2404),
    [anon_sym_x_EQ] = ACTIONS(2402),
    [anon_sym_AMP_EQ] = ACTIONS(2402),
    [anon_sym_PIPE_EQ] = ACTIONS(2402),
    [anon_sym_CARET_EQ] = ACTIONS(2402),
    [anon_sym_LT_LT_EQ] = ACTIONS(2402),
    [anon_sym_GT_GT_EQ] = ACTIONS(2402),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2402),
    [anon_sym_DOT_DOT] = ACTIONS(2404),
    [anon_sym_STAR_STAR] = ACTIONS(2404),
    [anon_sym_PIPE_PIPE] = ACTIONS(2404),
    [anon_sym_SLASH_SLASH] = ACTIONS(2404),
    [anon_sym_CARET_CARET] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_PIPE] = ACTIONS(2404),
    [anon_sym_CARET] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_GT_GT2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2404),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_SLASH] = ACTIONS(2404),
    [anon_sym_x] = ACTIONS(2404),
    [anon_sym_EQ_TILDE] = ACTIONS(2402),
    [anon_sym_BANG_TILDE] = ACTIONS(2402),
    [anon_sym_EQ_EQ] = ACTIONS(2404),
    [anon_sym_BANG_EQ] = ACTIONS(2402),
    [anon_sym_eq] = ACTIONS(2404),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2402),
    [anon_sym_equ] = ACTIONS(2402),
    [anon_sym_eqr] = ACTIONS(2402),
    [anon_sym_ne] = ACTIONS(2402),
    [anon_sym_LT_EQ_GT] = ACTIONS(2402),
    [anon_sym_cmp] = ACTIONS(2402),
    [anon_sym_TILDE_TILDE] = ACTIONS(2402),
    [anon_sym_LT_EQ] = ACTIONS(2404),
    [anon_sym_GT_EQ] = ACTIONS(2402),
    [anon_sym_lt] = ACTIONS(2402),
    [anon_sym_le] = ACTIONS(2402),
    [anon_sym_ge] = ACTIONS(2402),
    [anon_sym_gt] = ACTIONS(2402),
    [anon_sym_isa] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [anon_sym_QMARK] = ACTIONS(2402),
    [anon_sym_PERCENT2] = ACTIONS(2402),
    [anon_sym_EQ_GT] = ACTIONS(2402),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1395] = {
    [sym_heredoc_content] = STATE(1395),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_RBRACK] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1396] = {
    [sym_heredoc_content] = STATE(1396),
    [anon_sym_RBRACE] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_COMMA] = ACTIONS(3130),
    [anon_sym_RPAREN] = ACTIONS(3130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3130),
    [anon_sym_and] = ACTIONS(3130),
    [anon_sym_or] = ACTIONS(3130),
    [anon_sym_xor] = ACTIONS(3130),
    [anon_sym_RBRACK] = ACTIONS(3130),
    [anon_sym_DASH_GT] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_GT] = ACTIONS(3132),
    [anon_sym_LT_LT] = ACTIONS(3132),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3130),
    [anon_sym_DASH_EQ] = ACTIONS(3130),
    [anon_sym_DOT_EQ] = ACTIONS(3130),
    [anon_sym_STAR_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_PERCENT_EQ] = ACTIONS(3130),
    [anon_sym_x_EQ] = ACTIONS(3130),
    [anon_sym_AMP_EQ] = ACTIONS(3130),
    [anon_sym_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_CARET_EQ] = ACTIONS(3130),
    [anon_sym_LT_LT_EQ] = ACTIONS(3130),
    [anon_sym_GT_GT_EQ] = ACTIONS(3130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3130),
    [anon_sym_DOT_DOT] = ACTIONS(3132),
    [anon_sym_STAR_STAR] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_SLASH_SLASH] = ACTIONS(3132),
    [anon_sym_CARET_CARET] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3132),
    [anon_sym_CARET] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_GT_GT2] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_x] = ACTIONS(3132),
    [anon_sym_EQ_TILDE] = ACTIONS(3130),
    [anon_sym_BANG_TILDE] = ACTIONS(3130),
    [anon_sym_EQ_EQ] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_eq] = ACTIONS(3132),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3130),
    [anon_sym_equ] = ACTIONS(3130),
    [anon_sym_eqr] = ACTIONS(3130),
    [anon_sym_ne] = ACTIONS(3130),
    [anon_sym_LT_EQ_GT] = ACTIONS(3130),
    [anon_sym_cmp] = ACTIONS(3130),
    [anon_sym_TILDE_TILDE] = ACTIONS(3130),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3130),
    [anon_sym_lt] = ACTIONS(3130),
    [anon_sym_le] = ACTIONS(3130),
    [anon_sym_ge] = ACTIONS(3130),
    [anon_sym_gt] = ACTIONS(3130),
    [anon_sym_isa] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_QMARK] = ACTIONS(3130),
    [anon_sym_EQ_GT] = ACTIONS(3130),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1397] = {
    [sym_heredoc_content] = STATE(1397),
    [anon_sym_RBRACE] = ACTIONS(2745),
    [anon_sym_SEMI] = ACTIONS(2745),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2745),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2745),
    [anon_sym_COMMA] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(2745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2745),
    [anon_sym_and] = ACTIONS(2745),
    [anon_sym_or] = ACTIONS(2745),
    [anon_sym_xor] = ACTIONS(2745),
    [anon_sym_RBRACK] = ACTIONS(2745),
    [anon_sym_DASH_GT] = ACTIONS(2745),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LT_LT] = ACTIONS(2747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2745),
    [anon_sym_PLUS_EQ] = ACTIONS(2745),
    [anon_sym_DASH_EQ] = ACTIONS(2745),
    [anon_sym_DOT_EQ] = ACTIONS(2745),
    [anon_sym_STAR_EQ] = ACTIONS(2745),
    [anon_sym_SLASH_EQ] = ACTIONS(2745),
    [anon_sym_PERCENT_EQ] = ACTIONS(2745),
    [anon_sym_x_EQ] = ACTIONS(2745),
    [anon_sym_AMP_EQ] = ACTIONS(2745),
    [anon_sym_PIPE_EQ] = ACTIONS(2745),
    [anon_sym_CARET_EQ] = ACTIONS(2745),
    [anon_sym_LT_LT_EQ] = ACTIONS(2745),
    [anon_sym_GT_GT_EQ] = ACTIONS(2745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2745),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_STAR_STAR] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2747),
    [anon_sym_SLASH_SLASH] = ACTIONS(2747),
    [anon_sym_CARET_CARET] = ACTIONS(2745),
    [anon_sym_AMP_AMP] = ACTIONS(2747),
    [anon_sym_PIPE] = ACTIONS(2747),
    [anon_sym_CARET] = ACTIONS(2747),
    [anon_sym_AMP] = ACTIONS(2747),
    [anon_sym_GT_GT2] = ACTIONS(2747),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_x] = ACTIONS(2747),
    [anon_sym_EQ_TILDE] = ACTIONS(2745),
    [anon_sym_BANG_TILDE] = ACTIONS(2745),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ] = ACTIONS(2745),
    [anon_sym_eq] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2745),
    [anon_sym_equ] = ACTIONS(2745),
    [anon_sym_eqr] = ACTIONS(2745),
    [anon_sym_ne] = ACTIONS(2745),
    [anon_sym_LT_EQ_GT] = ACTIONS(2745),
    [anon_sym_cmp] = ACTIONS(2745),
    [anon_sym_TILDE_TILDE] = ACTIONS(2745),
    [anon_sym_LT_EQ] = ACTIONS(2747),
    [anon_sym_GT_EQ] = ACTIONS(2745),
    [anon_sym_lt] = ACTIONS(2745),
    [anon_sym_le] = ACTIONS(2745),
    [anon_sym_ge] = ACTIONS(2745),
    [anon_sym_gt] = ACTIONS(2745),
    [anon_sym_isa] = ACTIONS(2745),
    [anon_sym_PLUS_PLUS] = ACTIONS(2745),
    [anon_sym_DASH_DASH] = ACTIONS(2745),
    [anon_sym_QMARK] = ACTIONS(2745),
    [anon_sym_EQ_GT] = ACTIONS(2745),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1398] = {
    [sym_heredoc_content] = STATE(1398),
    [anon_sym_RBRACE] = ACTIONS(2709),
    [anon_sym_SEMI] = ACTIONS(2709),
    [anon_sym_EQ] = ACTIONS(2711),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2709),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2709),
    [anon_sym_COMMA] = ACTIONS(2709),
    [anon_sym_RPAREN] = ACTIONS(2709),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2709),
    [anon_sym_and] = ACTIONS(2709),
    [anon_sym_or] = ACTIONS(2709),
    [anon_sym_xor] = ACTIONS(2709),
    [anon_sym_RBRACK] = ACTIONS(2709),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(2711),
    [anon_sym_GT] = ACTIONS(2711),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2709),
    [anon_sym_PLUS_EQ] = ACTIONS(2709),
    [anon_sym_DASH_EQ] = ACTIONS(2709),
    [anon_sym_DOT_EQ] = ACTIONS(2709),
    [anon_sym_STAR_EQ] = ACTIONS(2709),
    [anon_sym_SLASH_EQ] = ACTIONS(2709),
    [anon_sym_PERCENT_EQ] = ACTIONS(2709),
    [anon_sym_x_EQ] = ACTIONS(2709),
    [anon_sym_AMP_EQ] = ACTIONS(2709),
    [anon_sym_PIPE_EQ] = ACTIONS(2709),
    [anon_sym_CARET_EQ] = ACTIONS(2709),
    [anon_sym_LT_LT_EQ] = ACTIONS(2709),
    [anon_sym_GT_GT_EQ] = ACTIONS(2709),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2709),
    [anon_sym_DOT_DOT] = ACTIONS(2711),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(2711),
    [anon_sym_SLASH_SLASH] = ACTIONS(2711),
    [anon_sym_CARET_CARET] = ACTIONS(2709),
    [anon_sym_AMP_AMP] = ACTIONS(2711),
    [anon_sym_PIPE] = ACTIONS(2711),
    [anon_sym_CARET] = ACTIONS(2711),
    [anon_sym_AMP] = ACTIONS(2711),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(2711),
    [anon_sym_BANG_EQ] = ACTIONS(2709),
    [anon_sym_eq] = ACTIONS(2711),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2709),
    [anon_sym_equ] = ACTIONS(2709),
    [anon_sym_eqr] = ACTIONS(2709),
    [anon_sym_ne] = ACTIONS(2709),
    [anon_sym_LT_EQ_GT] = ACTIONS(2709),
    [anon_sym_cmp] = ACTIONS(2709),
    [anon_sym_TILDE_TILDE] = ACTIONS(2709),
    [anon_sym_LT_EQ] = ACTIONS(2711),
    [anon_sym_GT_EQ] = ACTIONS(2709),
    [anon_sym_lt] = ACTIONS(2709),
    [anon_sym_le] = ACTIONS(2709),
    [anon_sym_ge] = ACTIONS(2709),
    [anon_sym_gt] = ACTIONS(2709),
    [anon_sym_isa] = ACTIONS(2709),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(2709),
    [anon_sym_EQ_GT] = ACTIONS(2709),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1399] = {
    [sym_heredoc_content] = STATE(1399),
    [anon_sym_RBRACE] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_EQ] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(2961),
    [anon_sym_RPAREN] = ACTIONS(2961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2961),
    [anon_sym_and] = ACTIONS(2961),
    [anon_sym_or] = ACTIONS(2961),
    [anon_sym_xor] = ACTIONS(2961),
    [anon_sym_RBRACK] = ACTIONS(2961),
    [anon_sym_DASH_GT] = ACTIONS(2961),
    [anon_sym_PERCENT] = ACTIONS(2963),
    [anon_sym_LT] = ACTIONS(2963),
    [anon_sym_GT] = ACTIONS(2963),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_DOT_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2961),
    [anon_sym_x_EQ] = ACTIONS(2961),
    [anon_sym_AMP_EQ] = ACTIONS(2961),
    [anon_sym_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_CARET_EQ] = ACTIONS(2961),
    [anon_sym_LT_LT_EQ] = ACTIONS(2961),
    [anon_sym_GT_GT_EQ] = ACTIONS(2961),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2963),
    [anon_sym_STAR_STAR] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE] = ACTIONS(2963),
    [anon_sym_SLASH_SLASH] = ACTIONS(2963),
    [anon_sym_CARET_CARET] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_CARET] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_GT_GT2] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_DOT] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_SLASH] = ACTIONS(2963),
    [anon_sym_x] = ACTIONS(2963),
    [anon_sym_EQ_TILDE] = ACTIONS(2961),
    [anon_sym_BANG_TILDE] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2963),
    [anon_sym_BANG_EQ] = ACTIONS(2961),
    [anon_sym_eq] = ACTIONS(2963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_equ] = ACTIONS(2961),
    [anon_sym_eqr] = ACTIONS(2961),
    [anon_sym_ne] = ACTIONS(2961),
    [anon_sym_LT_EQ_GT] = ACTIONS(2961),
    [anon_sym_cmp] = ACTIONS(2961),
    [anon_sym_TILDE_TILDE] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_lt] = ACTIONS(2961),
    [anon_sym_le] = ACTIONS(2961),
    [anon_sym_ge] = ACTIONS(2961),
    [anon_sym_gt] = ACTIONS(2961),
    [anon_sym_isa] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_QMARK] = ACTIONS(2961),
    [anon_sym_EQ_GT] = ACTIONS(2961),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1400] = {
    [sym_heredoc_content] = STATE(1400),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(3158),
    [anon_sym_RPAREN] = ACTIONS(3158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3158),
    [anon_sym_and] = ACTIONS(3158),
    [anon_sym_or] = ACTIONS(3158),
    [anon_sym_xor] = ACTIONS(3158),
    [anon_sym_RBRACK] = ACTIONS(3158),
    [anon_sym_DASH_GT] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3160),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_GT] = ACTIONS(3160),
    [anon_sym_LT_LT] = ACTIONS(3160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3158),
    [anon_sym_DASH_EQ] = ACTIONS(3158),
    [anon_sym_DOT_EQ] = ACTIONS(3158),
    [anon_sym_STAR_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_PERCENT_EQ] = ACTIONS(3158),
    [anon_sym_x_EQ] = ACTIONS(3158),
    [anon_sym_AMP_EQ] = ACTIONS(3158),
    [anon_sym_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_CARET_EQ] = ACTIONS(3158),
    [anon_sym_LT_LT_EQ] = ACTIONS(3158),
    [anon_sym_GT_GT_EQ] = ACTIONS(3158),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3158),
    [anon_sym_DOT_DOT] = ACTIONS(3160),
    [anon_sym_STAR_STAR] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_SLASH_SLASH] = ACTIONS(3160),
    [anon_sym_CARET_CARET] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_PIPE] = ACTIONS(3160),
    [anon_sym_CARET] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym_GT_GT2] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_DOT] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_x] = ACTIONS(3160),
    [anon_sym_EQ_TILDE] = ACTIONS(3158),
    [anon_sym_BANG_TILDE] = ACTIONS(3158),
    [anon_sym_EQ_EQ] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_eq] = ACTIONS(3160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3158),
    [anon_sym_equ] = ACTIONS(3158),
    [anon_sym_eqr] = ACTIONS(3158),
    [anon_sym_ne] = ACTIONS(3158),
    [anon_sym_LT_EQ_GT] = ACTIONS(3158),
    [anon_sym_cmp] = ACTIONS(3158),
    [anon_sym_TILDE_TILDE] = ACTIONS(3158),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3158),
    [anon_sym_lt] = ACTIONS(3158),
    [anon_sym_le] = ACTIONS(3158),
    [anon_sym_ge] = ACTIONS(3158),
    [anon_sym_gt] = ACTIONS(3158),
    [anon_sym_isa] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_QMARK] = ACTIONS(3158),
    [anon_sym_EQ_GT] = ACTIONS(3158),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1401] = {
    [sym_heredoc_content] = STATE(1401),
    [anon_sym_RBRACE] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2967),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_COMMA] = ACTIONS(2965),
    [anon_sym_RPAREN] = ACTIONS(2965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2965),
    [anon_sym_and] = ACTIONS(2965),
    [anon_sym_or] = ACTIONS(2965),
    [anon_sym_xor] = ACTIONS(2965),
    [anon_sym_RBRACK] = ACTIONS(2965),
    [anon_sym_DASH_GT] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2967),
    [anon_sym_GT] = ACTIONS(2967),
    [anon_sym_LT_LT] = ACTIONS(2967),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2965),
    [anon_sym_DASH_EQ] = ACTIONS(2965),
    [anon_sym_DOT_EQ] = ACTIONS(2965),
    [anon_sym_STAR_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_PERCENT_EQ] = ACTIONS(2965),
    [anon_sym_x_EQ] = ACTIONS(2965),
    [anon_sym_AMP_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_CARET_EQ] = ACTIONS(2965),
    [anon_sym_LT_LT_EQ] = ACTIONS(2965),
    [anon_sym_GT_GT_EQ] = ACTIONS(2965),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2965),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_STAR_STAR] = ACTIONS(2967),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_SLASH_SLASH] = ACTIONS(2967),
    [anon_sym_CARET_CARET] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2967),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_GT_GT2] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2967),
    [anon_sym_x] = ACTIONS(2967),
    [anon_sym_EQ_TILDE] = ACTIONS(2965),
    [anon_sym_BANG_TILDE] = ACTIONS(2965),
    [anon_sym_EQ_EQ] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_eq] = ACTIONS(2967),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2965),
    [anon_sym_equ] = ACTIONS(2965),
    [anon_sym_eqr] = ACTIONS(2965),
    [anon_sym_ne] = ACTIONS(2965),
    [anon_sym_LT_EQ_GT] = ACTIONS(2965),
    [anon_sym_cmp] = ACTIONS(2965),
    [anon_sym_TILDE_TILDE] = ACTIONS(2965),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2965),
    [anon_sym_lt] = ACTIONS(2965),
    [anon_sym_le] = ACTIONS(2965),
    [anon_sym_ge] = ACTIONS(2965),
    [anon_sym_gt] = ACTIONS(2965),
    [anon_sym_isa] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_EQ_GT] = ACTIONS(2965),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1402] = {
    [sym_heredoc_content] = STATE(1402),
    [anon_sym_RBRACE] = ACTIONS(2737),
    [anon_sym_SEMI] = ACTIONS(2737),
    [anon_sym_EQ] = ACTIONS(2739),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_COMMA] = ACTIONS(2737),
    [anon_sym_RPAREN] = ACTIONS(2737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_and] = ACTIONS(2737),
    [anon_sym_or] = ACTIONS(2737),
    [anon_sym_xor] = ACTIONS(2737),
    [anon_sym_RBRACK] = ACTIONS(2737),
    [anon_sym_DASH_GT] = ACTIONS(2737),
    [anon_sym_PERCENT] = ACTIONS(2739),
    [anon_sym_LT] = ACTIONS(2739),
    [anon_sym_GT] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(2739),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2737),
    [anon_sym_PLUS_EQ] = ACTIONS(2737),
    [anon_sym_DASH_EQ] = ACTIONS(2737),
    [anon_sym_DOT_EQ] = ACTIONS(2737),
    [anon_sym_STAR_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_PERCENT_EQ] = ACTIONS(2737),
    [anon_sym_x_EQ] = ACTIONS(2737),
    [anon_sym_AMP_EQ] = ACTIONS(2737),
    [anon_sym_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_CARET_EQ] = ACTIONS(2737),
    [anon_sym_LT_LT_EQ] = ACTIONS(2737),
    [anon_sym_GT_GT_EQ] = ACTIONS(2737),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2737),
    [anon_sym_DOT_DOT] = ACTIONS(2739),
    [anon_sym_STAR_STAR] = ACTIONS(2739),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_SLASH_SLASH] = ACTIONS(2739),
    [anon_sym_CARET_CARET] = ACTIONS(2737),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2739),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_AMP] = ACTIONS(2739),
    [anon_sym_GT_GT2] = ACTIONS(2739),
    [anon_sym_PLUS] = ACTIONS(2739),
    [anon_sym_DASH] = ACTIONS(2739),
    [anon_sym_DOT] = ACTIONS(2739),
    [anon_sym_STAR] = ACTIONS(2739),
    [anon_sym_SLASH] = ACTIONS(2739),
    [anon_sym_x] = ACTIONS(2739),
    [anon_sym_EQ_TILDE] = ACTIONS(2737),
    [anon_sym_BANG_TILDE] = ACTIONS(2737),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2737),
    [anon_sym_eq] = ACTIONS(2739),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2737),
    [anon_sym_equ] = ACTIONS(2737),
    [anon_sym_eqr] = ACTIONS(2737),
    [anon_sym_ne] = ACTIONS(2737),
    [anon_sym_LT_EQ_GT] = ACTIONS(2737),
    [anon_sym_cmp] = ACTIONS(2737),
    [anon_sym_TILDE_TILDE] = ACTIONS(2737),
    [anon_sym_LT_EQ] = ACTIONS(2739),
    [anon_sym_GT_EQ] = ACTIONS(2737),
    [anon_sym_lt] = ACTIONS(2737),
    [anon_sym_le] = ACTIONS(2737),
    [anon_sym_ge] = ACTIONS(2737),
    [anon_sym_gt] = ACTIONS(2737),
    [anon_sym_isa] = ACTIONS(2737),
    [anon_sym_PLUS_PLUS] = ACTIONS(2737),
    [anon_sym_DASH_DASH] = ACTIONS(2737),
    [anon_sym_QMARK] = ACTIONS(2737),
    [anon_sym_EQ_GT] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1403] = {
    [sym_heredoc_content] = STATE(1403),
    [anon_sym_RBRACE] = ACTIONS(2737),
    [anon_sym_SEMI] = ACTIONS(2737),
    [anon_sym_EQ] = ACTIONS(2739),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_COMMA] = ACTIONS(2737),
    [anon_sym_RPAREN] = ACTIONS(2737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_and] = ACTIONS(2737),
    [anon_sym_or] = ACTIONS(2737),
    [anon_sym_xor] = ACTIONS(2737),
    [anon_sym_RBRACK] = ACTIONS(2737),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(2739),
    [anon_sym_GT] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2737),
    [anon_sym_PLUS_EQ] = ACTIONS(2737),
    [anon_sym_DASH_EQ] = ACTIONS(2737),
    [anon_sym_DOT_EQ] = ACTIONS(2737),
    [anon_sym_STAR_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_PERCENT_EQ] = ACTIONS(2737),
    [anon_sym_x_EQ] = ACTIONS(2737),
    [anon_sym_AMP_EQ] = ACTIONS(2737),
    [anon_sym_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_CARET_EQ] = ACTIONS(2737),
    [anon_sym_LT_LT_EQ] = ACTIONS(2737),
    [anon_sym_GT_GT_EQ] = ACTIONS(2737),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2737),
    [anon_sym_DOT_DOT] = ACTIONS(2739),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_SLASH_SLASH] = ACTIONS(2739),
    [anon_sym_CARET_CARET] = ACTIONS(2737),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2739),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_AMP] = ACTIONS(2739),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2737),
    [anon_sym_eq] = ACTIONS(2739),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2737),
    [anon_sym_equ] = ACTIONS(2737),
    [anon_sym_eqr] = ACTIONS(2737),
    [anon_sym_ne] = ACTIONS(2737),
    [anon_sym_LT_EQ_GT] = ACTIONS(2737),
    [anon_sym_cmp] = ACTIONS(2737),
    [anon_sym_TILDE_TILDE] = ACTIONS(2737),
    [anon_sym_LT_EQ] = ACTIONS(2739),
    [anon_sym_GT_EQ] = ACTIONS(2737),
    [anon_sym_lt] = ACTIONS(2737),
    [anon_sym_le] = ACTIONS(2737),
    [anon_sym_ge] = ACTIONS(2737),
    [anon_sym_gt] = ACTIONS(2737),
    [anon_sym_isa] = ACTIONS(2737),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(2737),
    [anon_sym_EQ_GT] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1404] = {
    [sym_heredoc_content] = STATE(1404),
    [anon_sym_RBRACE] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym_EQ] = ACTIONS(2971),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2969),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2969),
    [anon_sym_COMMA] = ACTIONS(2969),
    [anon_sym_RPAREN] = ACTIONS(2969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2969),
    [anon_sym_and] = ACTIONS(2969),
    [anon_sym_or] = ACTIONS(2969),
    [anon_sym_xor] = ACTIONS(2969),
    [anon_sym_RBRACK] = ACTIONS(2969),
    [anon_sym_DASH_GT] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2971),
    [anon_sym_LT] = ACTIONS(2971),
    [anon_sym_GT] = ACTIONS(2971),
    [anon_sym_LT_LT] = ACTIONS(2971),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2969),
    [anon_sym_PLUS_EQ] = ACTIONS(2969),
    [anon_sym_DASH_EQ] = ACTIONS(2969),
    [anon_sym_DOT_EQ] = ACTIONS(2969),
    [anon_sym_STAR_EQ] = ACTIONS(2969),
    [anon_sym_SLASH_EQ] = ACTIONS(2969),
    [anon_sym_PERCENT_EQ] = ACTIONS(2969),
    [anon_sym_x_EQ] = ACTIONS(2969),
    [anon_sym_AMP_EQ] = ACTIONS(2969),
    [anon_sym_PIPE_EQ] = ACTIONS(2969),
    [anon_sym_CARET_EQ] = ACTIONS(2969),
    [anon_sym_LT_LT_EQ] = ACTIONS(2969),
    [anon_sym_GT_GT_EQ] = ACTIONS(2969),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2969),
    [anon_sym_DOT_DOT] = ACTIONS(2971),
    [anon_sym_STAR_STAR] = ACTIONS(2971),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_SLASH_SLASH] = ACTIONS(2971),
    [anon_sym_CARET_CARET] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2971),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [anon_sym_GT_GT2] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2971),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_SLASH] = ACTIONS(2971),
    [anon_sym_x] = ACTIONS(2971),
    [anon_sym_EQ_TILDE] = ACTIONS(2969),
    [anon_sym_BANG_TILDE] = ACTIONS(2969),
    [anon_sym_EQ_EQ] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_eq] = ACTIONS(2971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2969),
    [anon_sym_equ] = ACTIONS(2969),
    [anon_sym_eqr] = ACTIONS(2969),
    [anon_sym_ne] = ACTIONS(2969),
    [anon_sym_LT_EQ_GT] = ACTIONS(2969),
    [anon_sym_cmp] = ACTIONS(2969),
    [anon_sym_TILDE_TILDE] = ACTIONS(2969),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2969),
    [anon_sym_lt] = ACTIONS(2969),
    [anon_sym_le] = ACTIONS(2969),
    [anon_sym_ge] = ACTIONS(2969),
    [anon_sym_gt] = ACTIONS(2969),
    [anon_sym_isa] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2969),
    [anon_sym_DASH_DASH] = ACTIONS(2969),
    [anon_sym_QMARK] = ACTIONS(2969),
    [anon_sym_EQ_GT] = ACTIONS(2969),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1405] = {
    [sym_heredoc_content] = STATE(1405),
    [anon_sym_RBRACE] = ACTIONS(2825),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym_EQ] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2825),
    [anon_sym_COMMA] = ACTIONS(2825),
    [anon_sym_RPAREN] = ACTIONS(2825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2825),
    [anon_sym_and] = ACTIONS(2825),
    [anon_sym_or] = ACTIONS(2825),
    [anon_sym_xor] = ACTIONS(2825),
    [anon_sym_RBRACK] = ACTIONS(2825),
    [anon_sym_DASH_GT] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2827),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_GT] = ACTIONS(2827),
    [anon_sym_LT_LT] = ACTIONS(2827),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2825),
    [anon_sym_PLUS_EQ] = ACTIONS(2825),
    [anon_sym_DASH_EQ] = ACTIONS(2825),
    [anon_sym_DOT_EQ] = ACTIONS(2825),
    [anon_sym_STAR_EQ] = ACTIONS(2825),
    [anon_sym_SLASH_EQ] = ACTIONS(2825),
    [anon_sym_PERCENT_EQ] = ACTIONS(2825),
    [anon_sym_x_EQ] = ACTIONS(2825),
    [anon_sym_AMP_EQ] = ACTIONS(2825),
    [anon_sym_PIPE_EQ] = ACTIONS(2825),
    [anon_sym_CARET_EQ] = ACTIONS(2825),
    [anon_sym_LT_LT_EQ] = ACTIONS(2825),
    [anon_sym_GT_GT_EQ] = ACTIONS(2825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2825),
    [anon_sym_DOT_DOT] = ACTIONS(2827),
    [anon_sym_STAR_STAR] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH] = ACTIONS(2827),
    [anon_sym_CARET_CARET] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2827),
    [anon_sym_PIPE] = ACTIONS(2827),
    [anon_sym_CARET] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2827),
    [anon_sym_GT_GT2] = ACTIONS(2827),
    [anon_sym_PLUS] = ACTIONS(2827),
    [anon_sym_DASH] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_SLASH] = ACTIONS(2827),
    [anon_sym_x] = ACTIONS(2827),
    [anon_sym_EQ_TILDE] = ACTIONS(2825),
    [anon_sym_BANG_TILDE] = ACTIONS(2825),
    [anon_sym_EQ_EQ] = ACTIONS(2827),
    [anon_sym_BANG_EQ] = ACTIONS(2825),
    [anon_sym_eq] = ACTIONS(2827),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2825),
    [anon_sym_equ] = ACTIONS(2825),
    [anon_sym_eqr] = ACTIONS(2825),
    [anon_sym_ne] = ACTIONS(2825),
    [anon_sym_LT_EQ_GT] = ACTIONS(2825),
    [anon_sym_cmp] = ACTIONS(2825),
    [anon_sym_TILDE_TILDE] = ACTIONS(2825),
    [anon_sym_LT_EQ] = ACTIONS(2827),
    [anon_sym_GT_EQ] = ACTIONS(2825),
    [anon_sym_lt] = ACTIONS(2825),
    [anon_sym_le] = ACTIONS(2825),
    [anon_sym_ge] = ACTIONS(2825),
    [anon_sym_gt] = ACTIONS(2825),
    [anon_sym_isa] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2825),
    [anon_sym_EQ_GT] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1406] = {
    [sym_heredoc_content] = STATE(1406),
    [anon_sym_RBRACE] = ACTIONS(2753),
    [anon_sym_SEMI] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(3289),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_COMMA] = ACTIONS(2753),
    [anon_sym_RPAREN] = ACTIONS(2753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3293),
    [anon_sym_and] = ACTIONS(2753),
    [anon_sym_or] = ACTIONS(2753),
    [anon_sym_xor] = ACTIONS(2753),
    [anon_sym_RBRACK] = ACTIONS(2753),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_GT] = ACTIONS(3299),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3291),
    [anon_sym_PLUS_EQ] = ACTIONS(3291),
    [anon_sym_DASH_EQ] = ACTIONS(3291),
    [anon_sym_DOT_EQ] = ACTIONS(3291),
    [anon_sym_STAR_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_PERCENT_EQ] = ACTIONS(3291),
    [anon_sym_x_EQ] = ACTIONS(3291),
    [anon_sym_AMP_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_CARET_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT_EQ] = ACTIONS(3291),
    [anon_sym_GT_GT_EQ] = ACTIONS(3291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3291),
    [anon_sym_DOT_DOT] = ACTIONS(3303),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(3307),
    [anon_sym_SLASH_SLASH] = ACTIONS(3307),
    [anon_sym_CARET_CARET] = ACTIONS(3309),
    [anon_sym_AMP_AMP] = ACTIONS(3311),
    [anon_sym_PIPE] = ACTIONS(3313),
    [anon_sym_CARET] = ACTIONS(3313),
    [anon_sym_AMP] = ACTIONS(3315),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(3321),
    [anon_sym_BANG_EQ] = ACTIONS(3323),
    [anon_sym_eq] = ACTIONS(3321),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3323),
    [anon_sym_equ] = ACTIONS(3323),
    [anon_sym_eqr] = ACTIONS(3323),
    [anon_sym_ne] = ACTIONS(3323),
    [anon_sym_LT_EQ_GT] = ACTIONS(3325),
    [anon_sym_cmp] = ACTIONS(3325),
    [anon_sym_TILDE_TILDE] = ACTIONS(3325),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_EQ] = ACTIONS(3327),
    [anon_sym_lt] = ACTIONS(3327),
    [anon_sym_le] = ACTIONS(3327),
    [anon_sym_ge] = ACTIONS(3327),
    [anon_sym_gt] = ACTIONS(3327),
    [anon_sym_isa] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(3333),
    [anon_sym_EQ_GT] = ACTIONS(2753),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1407] = {
    [sym_heredoc_content] = STATE(1407),
    [anon_sym_RBRACE] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(2979),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2977),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2977),
    [anon_sym_COMMA] = ACTIONS(2977),
    [anon_sym_RPAREN] = ACTIONS(2977),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2977),
    [anon_sym_and] = ACTIONS(2977),
    [anon_sym_or] = ACTIONS(2977),
    [anon_sym_xor] = ACTIONS(2977),
    [anon_sym_RBRACK] = ACTIONS(2977),
    [anon_sym_DASH_GT] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_LT] = ACTIONS(2979),
    [anon_sym_GT] = ACTIONS(2979),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2977),
    [anon_sym_DASH_EQ] = ACTIONS(2977),
    [anon_sym_DOT_EQ] = ACTIONS(2977),
    [anon_sym_STAR_EQ] = ACTIONS(2977),
    [anon_sym_SLASH_EQ] = ACTIONS(2977),
    [anon_sym_PERCENT_EQ] = ACTIONS(2977),
    [anon_sym_x_EQ] = ACTIONS(2977),
    [anon_sym_AMP_EQ] = ACTIONS(2977),
    [anon_sym_PIPE_EQ] = ACTIONS(2977),
    [anon_sym_CARET_EQ] = ACTIONS(2977),
    [anon_sym_LT_LT_EQ] = ACTIONS(2977),
    [anon_sym_GT_GT_EQ] = ACTIONS(2977),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2977),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_STAR_STAR] = ACTIONS(2979),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_SLASH_SLASH] = ACTIONS(2979),
    [anon_sym_CARET_CARET] = ACTIONS(2977),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_PIPE] = ACTIONS(2979),
    [anon_sym_CARET] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_GT_GT2] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2979),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2979),
    [anon_sym_x] = ACTIONS(2979),
    [anon_sym_EQ_TILDE] = ACTIONS(2977),
    [anon_sym_BANG_TILDE] = ACTIONS(2977),
    [anon_sym_EQ_EQ] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_eq] = ACTIONS(2979),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2977),
    [anon_sym_equ] = ACTIONS(2977),
    [anon_sym_eqr] = ACTIONS(2977),
    [anon_sym_ne] = ACTIONS(2977),
    [anon_sym_LT_EQ_GT] = ACTIONS(2977),
    [anon_sym_cmp] = ACTIONS(2977),
    [anon_sym_TILDE_TILDE] = ACTIONS(2977),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2977),
    [anon_sym_lt] = ACTIONS(2977),
    [anon_sym_le] = ACTIONS(2977),
    [anon_sym_ge] = ACTIONS(2977),
    [anon_sym_gt] = ACTIONS(2977),
    [anon_sym_isa] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2977),
    [anon_sym_EQ_GT] = ACTIONS(2977),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1408] = {
    [sym_heredoc_content] = STATE(1408),
    [anon_sym_RBRACE] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_COMMA] = ACTIONS(3134),
    [anon_sym_RPAREN] = ACTIONS(3134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3134),
    [anon_sym_and] = ACTIONS(3134),
    [anon_sym_or] = ACTIONS(3134),
    [anon_sym_xor] = ACTIONS(3134),
    [anon_sym_RBRACK] = ACTIONS(3134),
    [anon_sym_DASH_GT] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_GT] = ACTIONS(3136),
    [anon_sym_LT_LT] = ACTIONS(3136),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3134),
    [anon_sym_DASH_EQ] = ACTIONS(3134),
    [anon_sym_DOT_EQ] = ACTIONS(3134),
    [anon_sym_STAR_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_PERCENT_EQ] = ACTIONS(3134),
    [anon_sym_x_EQ] = ACTIONS(3134),
    [anon_sym_AMP_EQ] = ACTIONS(3134),
    [anon_sym_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_CARET_EQ] = ACTIONS(3134),
    [anon_sym_LT_LT_EQ] = ACTIONS(3134),
    [anon_sym_GT_GT_EQ] = ACTIONS(3134),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3134),
    [anon_sym_DOT_DOT] = ACTIONS(3136),
    [anon_sym_STAR_STAR] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_SLASH_SLASH] = ACTIONS(3136),
    [anon_sym_CARET_CARET] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_PIPE] = ACTIONS(3136),
    [anon_sym_CARET] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_GT_GT2] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_x] = ACTIONS(3136),
    [anon_sym_EQ_TILDE] = ACTIONS(3134),
    [anon_sym_BANG_TILDE] = ACTIONS(3134),
    [anon_sym_EQ_EQ] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_eq] = ACTIONS(3136),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3134),
    [anon_sym_equ] = ACTIONS(3134),
    [anon_sym_eqr] = ACTIONS(3134),
    [anon_sym_ne] = ACTIONS(3134),
    [anon_sym_LT_EQ_GT] = ACTIONS(3134),
    [anon_sym_cmp] = ACTIONS(3134),
    [anon_sym_TILDE_TILDE] = ACTIONS(3134),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3134),
    [anon_sym_lt] = ACTIONS(3134),
    [anon_sym_le] = ACTIONS(3134),
    [anon_sym_ge] = ACTIONS(3134),
    [anon_sym_gt] = ACTIONS(3134),
    [anon_sym_isa] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_QMARK] = ACTIONS(3134),
    [anon_sym_EQ_GT] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1409] = {
    [sym_heredoc_content] = STATE(1409),
    [anon_sym_RBRACE] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2917),
    [anon_sym_EQ] = ACTIONS(2919),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2917),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2917),
    [anon_sym_COMMA] = ACTIONS(2917),
    [anon_sym_RPAREN] = ACTIONS(2917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2917),
    [anon_sym_and] = ACTIONS(2917),
    [anon_sym_or] = ACTIONS(2917),
    [anon_sym_xor] = ACTIONS(2917),
    [anon_sym_RBRACK] = ACTIONS(2917),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(2919),
    [anon_sym_GT] = ACTIONS(2919),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2917),
    [anon_sym_PLUS_EQ] = ACTIONS(2917),
    [anon_sym_DASH_EQ] = ACTIONS(2917),
    [anon_sym_DOT_EQ] = ACTIONS(2917),
    [anon_sym_STAR_EQ] = ACTIONS(2917),
    [anon_sym_SLASH_EQ] = ACTIONS(2917),
    [anon_sym_PERCENT_EQ] = ACTIONS(2917),
    [anon_sym_x_EQ] = ACTIONS(2917),
    [anon_sym_AMP_EQ] = ACTIONS(2917),
    [anon_sym_PIPE_EQ] = ACTIONS(2917),
    [anon_sym_CARET_EQ] = ACTIONS(2917),
    [anon_sym_LT_LT_EQ] = ACTIONS(2917),
    [anon_sym_GT_GT_EQ] = ACTIONS(2917),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2917),
    [anon_sym_DOT_DOT] = ACTIONS(2919),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(2919),
    [anon_sym_SLASH_SLASH] = ACTIONS(2919),
    [anon_sym_CARET_CARET] = ACTIONS(2917),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_PIPE] = ACTIONS(2919),
    [anon_sym_CARET] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(2919),
    [anon_sym_BANG_EQ] = ACTIONS(2917),
    [anon_sym_eq] = ACTIONS(2919),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2917),
    [anon_sym_equ] = ACTIONS(2917),
    [anon_sym_eqr] = ACTIONS(2917),
    [anon_sym_ne] = ACTIONS(2917),
    [anon_sym_LT_EQ_GT] = ACTIONS(2917),
    [anon_sym_cmp] = ACTIONS(2917),
    [anon_sym_TILDE_TILDE] = ACTIONS(2917),
    [anon_sym_LT_EQ] = ACTIONS(2919),
    [anon_sym_GT_EQ] = ACTIONS(2917),
    [anon_sym_lt] = ACTIONS(2917),
    [anon_sym_le] = ACTIONS(2917),
    [anon_sym_ge] = ACTIONS(2917),
    [anon_sym_gt] = ACTIONS(2917),
    [anon_sym_isa] = ACTIONS(2917),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(2917),
    [anon_sym_EQ_GT] = ACTIONS(2917),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1410] = {
    [sym_attrlist] = STATE(2108),
    [sym_attribute] = STATE(1360),
    [sym_attribute_name] = STATE(1590),
    [sym_heredoc_content] = STATE(1410),
    [sym__identifier] = ACTIONS(3352),
    [anon_sym_SEMI] = ACTIONS(2326),
    [anon_sym_EQ] = ACTIONS(2328),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2326),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2326),
    [anon_sym_COMMA] = ACTIONS(2326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2326),
    [anon_sym_DASH_GT] = ACTIONS(2326),
    [anon_sym_PERCENT] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2328),
    [anon_sym_GT] = ACTIONS(2328),
    [anon_sym_LT_LT] = ACTIONS(2328),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2326),
    [anon_sym_PLUS_EQ] = ACTIONS(2326),
    [anon_sym_DASH_EQ] = ACTIONS(2326),
    [anon_sym_DOT_EQ] = ACTIONS(2326),
    [anon_sym_STAR_EQ] = ACTIONS(2326),
    [anon_sym_SLASH_EQ] = ACTIONS(2326),
    [anon_sym_PERCENT_EQ] = ACTIONS(2326),
    [anon_sym_x_EQ] = ACTIONS(2326),
    [anon_sym_AMP_EQ] = ACTIONS(2326),
    [anon_sym_PIPE_EQ] = ACTIONS(2326),
    [anon_sym_CARET_EQ] = ACTIONS(2326),
    [anon_sym_LT_LT_EQ] = ACTIONS(2326),
    [anon_sym_GT_GT_EQ] = ACTIONS(2326),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2326),
    [anon_sym_DOT_DOT] = ACTIONS(2328),
    [anon_sym_STAR_STAR] = ACTIONS(2328),
    [anon_sym_PIPE_PIPE] = ACTIONS(2328),
    [anon_sym_SLASH_SLASH] = ACTIONS(2328),
    [anon_sym_CARET_CARET] = ACTIONS(2326),
    [anon_sym_AMP_AMP] = ACTIONS(2328),
    [anon_sym_PIPE] = ACTIONS(2328),
    [anon_sym_CARET] = ACTIONS(2328),
    [anon_sym_AMP] = ACTIONS(2328),
    [anon_sym_GT_GT2] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_DOT] = ACTIONS(2328),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_x] = ACTIONS(2328),
    [anon_sym_EQ_TILDE] = ACTIONS(2326),
    [anon_sym_BANG_TILDE] = ACTIONS(2326),
    [anon_sym_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2326),
    [anon_sym_eq] = ACTIONS(2328),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2326),
    [anon_sym_equ] = ACTIONS(2328),
    [anon_sym_eqr] = ACTIONS(2328),
    [anon_sym_ne] = ACTIONS(2328),
    [anon_sym_LT_EQ_GT] = ACTIONS(2326),
    [anon_sym_cmp] = ACTIONS(2328),
    [anon_sym_TILDE_TILDE] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2326),
    [anon_sym_lt] = ACTIONS(2328),
    [anon_sym_le] = ACTIONS(2328),
    [anon_sym_ge] = ACTIONS(2328),
    [anon_sym_gt] = ACTIONS(2328),
    [anon_sym_isa] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2326),
    [anon_sym_DASH_DASH] = ACTIONS(2326),
    [anon_sym_QMARK] = ACTIONS(2326),
    [anon_sym_EQ_GT] = ACTIONS(2326),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3352),
    [sym__PERLY_SEMICOLON] = ACTIONS(2326),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1411] = {
    [sym_heredoc_content] = STATE(1411),
    [anon_sym_RBRACE] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(3289),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_COMMA] = ACTIONS(2993),
    [anon_sym_RPAREN] = ACTIONS(2993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3293),
    [anon_sym_and] = ACTIONS(2993),
    [anon_sym_or] = ACTIONS(2993),
    [anon_sym_xor] = ACTIONS(2993),
    [anon_sym_RBRACK] = ACTIONS(2993),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_GT] = ACTIONS(3299),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3291),
    [anon_sym_PLUS_EQ] = ACTIONS(3291),
    [anon_sym_DASH_EQ] = ACTIONS(3291),
    [anon_sym_DOT_EQ] = ACTIONS(3291),
    [anon_sym_STAR_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_PERCENT_EQ] = ACTIONS(3291),
    [anon_sym_x_EQ] = ACTIONS(3291),
    [anon_sym_AMP_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_CARET_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT_EQ] = ACTIONS(3291),
    [anon_sym_GT_GT_EQ] = ACTIONS(3291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3291),
    [anon_sym_DOT_DOT] = ACTIONS(3303),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(3307),
    [anon_sym_SLASH_SLASH] = ACTIONS(3307),
    [anon_sym_CARET_CARET] = ACTIONS(3309),
    [anon_sym_AMP_AMP] = ACTIONS(3311),
    [anon_sym_PIPE] = ACTIONS(3313),
    [anon_sym_CARET] = ACTIONS(3313),
    [anon_sym_AMP] = ACTIONS(3315),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(3321),
    [anon_sym_BANG_EQ] = ACTIONS(3323),
    [anon_sym_eq] = ACTIONS(3321),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3323),
    [anon_sym_equ] = ACTIONS(3323),
    [anon_sym_eqr] = ACTIONS(3323),
    [anon_sym_ne] = ACTIONS(3323),
    [anon_sym_LT_EQ_GT] = ACTIONS(3325),
    [anon_sym_cmp] = ACTIONS(3325),
    [anon_sym_TILDE_TILDE] = ACTIONS(3325),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_EQ] = ACTIONS(3327),
    [anon_sym_lt] = ACTIONS(3327),
    [anon_sym_le] = ACTIONS(3327),
    [anon_sym_ge] = ACTIONS(3327),
    [anon_sym_gt] = ACTIONS(3327),
    [anon_sym_isa] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(3333),
    [anon_sym_EQ_GT] = ACTIONS(2993),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1412] = {
    [sym_heredoc_content] = STATE(1412),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_EQ] = ACTIONS(3289),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_COMMA] = ACTIONS(2636),
    [anon_sym_RPAREN] = ACTIONS(2636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3293),
    [anon_sym_and] = ACTIONS(2636),
    [anon_sym_or] = ACTIONS(2636),
    [anon_sym_xor] = ACTIONS(2636),
    [anon_sym_RBRACK] = ACTIONS(2636),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_GT] = ACTIONS(3299),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3291),
    [anon_sym_PLUS_EQ] = ACTIONS(3291),
    [anon_sym_DASH_EQ] = ACTIONS(3291),
    [anon_sym_DOT_EQ] = ACTIONS(3291),
    [anon_sym_STAR_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_PERCENT_EQ] = ACTIONS(3291),
    [anon_sym_x_EQ] = ACTIONS(3291),
    [anon_sym_AMP_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_CARET_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT_EQ] = ACTIONS(3291),
    [anon_sym_GT_GT_EQ] = ACTIONS(3291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3291),
    [anon_sym_DOT_DOT] = ACTIONS(3303),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(3307),
    [anon_sym_SLASH_SLASH] = ACTIONS(3307),
    [anon_sym_CARET_CARET] = ACTIONS(3309),
    [anon_sym_AMP_AMP] = ACTIONS(3311),
    [anon_sym_PIPE] = ACTIONS(3313),
    [anon_sym_CARET] = ACTIONS(3313),
    [anon_sym_AMP] = ACTIONS(3315),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(3321),
    [anon_sym_BANG_EQ] = ACTIONS(3323),
    [anon_sym_eq] = ACTIONS(3321),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3323),
    [anon_sym_equ] = ACTIONS(3323),
    [anon_sym_eqr] = ACTIONS(3323),
    [anon_sym_ne] = ACTIONS(3323),
    [anon_sym_LT_EQ_GT] = ACTIONS(3325),
    [anon_sym_cmp] = ACTIONS(3325),
    [anon_sym_TILDE_TILDE] = ACTIONS(3325),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_EQ] = ACTIONS(3327),
    [anon_sym_lt] = ACTIONS(3327),
    [anon_sym_le] = ACTIONS(3327),
    [anon_sym_ge] = ACTIONS(3327),
    [anon_sym_gt] = ACTIONS(3327),
    [anon_sym_isa] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(3333),
    [anon_sym_EQ_GT] = ACTIONS(2636),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1413] = {
    [sym_heredoc_content] = STATE(1413),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3400),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_RBRACK] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_GT] = ACTIONS(3299),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(3402),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(3307),
    [anon_sym_SLASH_SLASH] = ACTIONS(3307),
    [anon_sym_CARET_CARET] = ACTIONS(3309),
    [anon_sym_AMP_AMP] = ACTIONS(3311),
    [anon_sym_PIPE] = ACTIONS(3313),
    [anon_sym_CARET] = ACTIONS(3313),
    [anon_sym_AMP] = ACTIONS(3315),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(3321),
    [anon_sym_BANG_EQ] = ACTIONS(3323),
    [anon_sym_eq] = ACTIONS(3321),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3323),
    [anon_sym_equ] = ACTIONS(3323),
    [anon_sym_eqr] = ACTIONS(3323),
    [anon_sym_ne] = ACTIONS(3323),
    [anon_sym_LT_EQ_GT] = ACTIONS(3325),
    [anon_sym_cmp] = ACTIONS(3325),
    [anon_sym_TILDE_TILDE] = ACTIONS(3325),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_EQ] = ACTIONS(3327),
    [anon_sym_lt] = ACTIONS(3327),
    [anon_sym_le] = ACTIONS(3327),
    [anon_sym_ge] = ACTIONS(3327),
    [anon_sym_gt] = ACTIONS(3327),
    [anon_sym_isa] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1414] = {
    [sym_heredoc_content] = STATE(1414),
    [anon_sym_RBRACE] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym_EQ] = ACTIONS(2911),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_COMMA] = ACTIONS(2909),
    [anon_sym_RPAREN] = ACTIONS(2909),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2909),
    [anon_sym_and] = ACTIONS(2909),
    [anon_sym_or] = ACTIONS(2909),
    [anon_sym_xor] = ACTIONS(2909),
    [anon_sym_RBRACK] = ACTIONS(2909),
    [anon_sym_DASH_GT] = ACTIONS(2909),
    [anon_sym_PERCENT] = ACTIONS(2911),
    [anon_sym_LT] = ACTIONS(2911),
    [anon_sym_GT] = ACTIONS(2911),
    [anon_sym_LT_LT] = ACTIONS(2911),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2909),
    [anon_sym_PLUS_EQ] = ACTIONS(2909),
    [anon_sym_DASH_EQ] = ACTIONS(2909),
    [anon_sym_DOT_EQ] = ACTIONS(2909),
    [anon_sym_STAR_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_PERCENT_EQ] = ACTIONS(2909),
    [anon_sym_x_EQ] = ACTIONS(2909),
    [anon_sym_AMP_EQ] = ACTIONS(2909),
    [anon_sym_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_CARET_EQ] = ACTIONS(2909),
    [anon_sym_LT_LT_EQ] = ACTIONS(2909),
    [anon_sym_GT_GT_EQ] = ACTIONS(2909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2909),
    [anon_sym_DOT_DOT] = ACTIONS(2911),
    [anon_sym_STAR_STAR] = ACTIONS(2911),
    [anon_sym_PIPE_PIPE] = ACTIONS(2911),
    [anon_sym_SLASH_SLASH] = ACTIONS(2911),
    [anon_sym_CARET_CARET] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_PIPE] = ACTIONS(2911),
    [anon_sym_CARET] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_GT_GT2] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_DOT] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_SLASH] = ACTIONS(2911),
    [anon_sym_x] = ACTIONS(2911),
    [anon_sym_EQ_TILDE] = ACTIONS(2909),
    [anon_sym_BANG_TILDE] = ACTIONS(2909),
    [anon_sym_EQ_EQ] = ACTIONS(2911),
    [anon_sym_BANG_EQ] = ACTIONS(2909),
    [anon_sym_eq] = ACTIONS(2911),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2909),
    [anon_sym_equ] = ACTIONS(2909),
    [anon_sym_eqr] = ACTIONS(2909),
    [anon_sym_ne] = ACTIONS(2909),
    [anon_sym_LT_EQ_GT] = ACTIONS(2909),
    [anon_sym_cmp] = ACTIONS(2909),
    [anon_sym_TILDE_TILDE] = ACTIONS(2909),
    [anon_sym_LT_EQ] = ACTIONS(2911),
    [anon_sym_GT_EQ] = ACTIONS(2909),
    [anon_sym_lt] = ACTIONS(2909),
    [anon_sym_le] = ACTIONS(2909),
    [anon_sym_ge] = ACTIONS(2909),
    [anon_sym_gt] = ACTIONS(2909),
    [anon_sym_isa] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_QMARK] = ACTIONS(2909),
    [anon_sym_EQ_GT] = ACTIONS(2909),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1415] = {
    [sym_heredoc_content] = STATE(1415),
    [anon_sym_RBRACE] = ACTIONS(2769),
    [anon_sym_SEMI] = ACTIONS(2769),
    [anon_sym_EQ] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2769),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2769),
    [anon_sym_COMMA] = ACTIONS(2769),
    [anon_sym_RPAREN] = ACTIONS(2769),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2769),
    [anon_sym_and] = ACTIONS(2769),
    [anon_sym_or] = ACTIONS(2769),
    [anon_sym_xor] = ACTIONS(2769),
    [anon_sym_RBRACK] = ACTIONS(2769),
    [anon_sym_DASH_GT] = ACTIONS(2769),
    [anon_sym_PERCENT] = ACTIONS(2771),
    [anon_sym_LT] = ACTIONS(2771),
    [anon_sym_GT] = ACTIONS(2771),
    [anon_sym_LT_LT] = ACTIONS(2771),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2769),
    [anon_sym_PLUS_EQ] = ACTIONS(2769),
    [anon_sym_DASH_EQ] = ACTIONS(2769),
    [anon_sym_DOT_EQ] = ACTIONS(2769),
    [anon_sym_STAR_EQ] = ACTIONS(2769),
    [anon_sym_SLASH_EQ] = ACTIONS(2769),
    [anon_sym_PERCENT_EQ] = ACTIONS(2769),
    [anon_sym_x_EQ] = ACTIONS(2769),
    [anon_sym_AMP_EQ] = ACTIONS(2769),
    [anon_sym_PIPE_EQ] = ACTIONS(2769),
    [anon_sym_CARET_EQ] = ACTIONS(2769),
    [anon_sym_LT_LT_EQ] = ACTIONS(2769),
    [anon_sym_GT_GT_EQ] = ACTIONS(2769),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2769),
    [anon_sym_DOT_DOT] = ACTIONS(2771),
    [anon_sym_STAR_STAR] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE] = ACTIONS(2771),
    [anon_sym_SLASH_SLASH] = ACTIONS(2771),
    [anon_sym_CARET_CARET] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_PIPE] = ACTIONS(2771),
    [anon_sym_CARET] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2771),
    [anon_sym_GT_GT2] = ACTIONS(2771),
    [anon_sym_PLUS] = ACTIONS(2771),
    [anon_sym_DASH] = ACTIONS(2771),
    [anon_sym_DOT] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_x] = ACTIONS(2771),
    [anon_sym_EQ_TILDE] = ACTIONS(2769),
    [anon_sym_BANG_TILDE] = ACTIONS(2769),
    [anon_sym_EQ_EQ] = ACTIONS(2771),
    [anon_sym_BANG_EQ] = ACTIONS(2769),
    [anon_sym_eq] = ACTIONS(2771),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2769),
    [anon_sym_equ] = ACTIONS(2769),
    [anon_sym_eqr] = ACTIONS(2769),
    [anon_sym_ne] = ACTIONS(2769),
    [anon_sym_LT_EQ_GT] = ACTIONS(2769),
    [anon_sym_cmp] = ACTIONS(2769),
    [anon_sym_TILDE_TILDE] = ACTIONS(2769),
    [anon_sym_LT_EQ] = ACTIONS(2771),
    [anon_sym_GT_EQ] = ACTIONS(2769),
    [anon_sym_lt] = ACTIONS(2769),
    [anon_sym_le] = ACTIONS(2769),
    [anon_sym_ge] = ACTIONS(2769),
    [anon_sym_gt] = ACTIONS(2769),
    [anon_sym_isa] = ACTIONS(2769),
    [anon_sym_PLUS_PLUS] = ACTIONS(2769),
    [anon_sym_DASH_DASH] = ACTIONS(2769),
    [anon_sym_QMARK] = ACTIONS(2769),
    [anon_sym_EQ_GT] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1416] = {
    [sym_attrlist] = STATE(2109),
    [sym_attribute] = STATE(1360),
    [sym_attribute_name] = STATE(1590),
    [sym_heredoc_content] = STATE(1416),
    [sym__identifier] = ACTIONS(3352),
    [anon_sym_SEMI] = ACTIONS(2322),
    [anon_sym_EQ] = ACTIONS(2324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2322),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2322),
    [anon_sym_COMMA] = ACTIONS(2322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_DASH_GT] = ACTIONS(2322),
    [anon_sym_PERCENT] = ACTIONS(2324),
    [anon_sym_LT] = ACTIONS(2324),
    [anon_sym_GT] = ACTIONS(2324),
    [anon_sym_LT_LT] = ACTIONS(2324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2322),
    [anon_sym_PLUS_EQ] = ACTIONS(2322),
    [anon_sym_DASH_EQ] = ACTIONS(2322),
    [anon_sym_DOT_EQ] = ACTIONS(2322),
    [anon_sym_STAR_EQ] = ACTIONS(2322),
    [anon_sym_SLASH_EQ] = ACTIONS(2322),
    [anon_sym_PERCENT_EQ] = ACTIONS(2322),
    [anon_sym_x_EQ] = ACTIONS(2322),
    [anon_sym_AMP_EQ] = ACTIONS(2322),
    [anon_sym_PIPE_EQ] = ACTIONS(2322),
    [anon_sym_CARET_EQ] = ACTIONS(2322),
    [anon_sym_LT_LT_EQ] = ACTIONS(2322),
    [anon_sym_GT_GT_EQ] = ACTIONS(2322),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2322),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_STAR_STAR] = ACTIONS(2324),
    [anon_sym_PIPE_PIPE] = ACTIONS(2324),
    [anon_sym_SLASH_SLASH] = ACTIONS(2324),
    [anon_sym_CARET_CARET] = ACTIONS(2322),
    [anon_sym_AMP_AMP] = ACTIONS(2324),
    [anon_sym_PIPE] = ACTIONS(2324),
    [anon_sym_CARET] = ACTIONS(2324),
    [anon_sym_AMP] = ACTIONS(2324),
    [anon_sym_GT_GT2] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_DOT] = ACTIONS(2324),
    [anon_sym_STAR] = ACTIONS(2324),
    [anon_sym_SLASH] = ACTIONS(2324),
    [anon_sym_x] = ACTIONS(2324),
    [anon_sym_EQ_TILDE] = ACTIONS(2322),
    [anon_sym_BANG_TILDE] = ACTIONS(2322),
    [anon_sym_EQ_EQ] = ACTIONS(2324),
    [anon_sym_BANG_EQ] = ACTIONS(2322),
    [anon_sym_eq] = ACTIONS(2324),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2322),
    [anon_sym_equ] = ACTIONS(2324),
    [anon_sym_eqr] = ACTIONS(2324),
    [anon_sym_ne] = ACTIONS(2324),
    [anon_sym_LT_EQ_GT] = ACTIONS(2322),
    [anon_sym_cmp] = ACTIONS(2324),
    [anon_sym_TILDE_TILDE] = ACTIONS(2322),
    [anon_sym_LT_EQ] = ACTIONS(2324),
    [anon_sym_GT_EQ] = ACTIONS(2322),
    [anon_sym_lt] = ACTIONS(2324),
    [anon_sym_le] = ACTIONS(2324),
    [anon_sym_ge] = ACTIONS(2324),
    [anon_sym_gt] = ACTIONS(2324),
    [anon_sym_isa] = ACTIONS(2324),
    [anon_sym_PLUS_PLUS] = ACTIONS(2322),
    [anon_sym_DASH_DASH] = ACTIONS(2322),
    [anon_sym_QMARK] = ACTIONS(2322),
    [anon_sym_EQ_GT] = ACTIONS(2322),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3352),
    [sym__PERLY_SEMICOLON] = ACTIONS(2322),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1417] = {
    [sym_heredoc_content] = STATE(1417),
    [anon_sym_RBRACE] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2889),
    [anon_sym_EQ] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_COMMA] = ACTIONS(2889),
    [anon_sym_RPAREN] = ACTIONS(2889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2889),
    [anon_sym_and] = ACTIONS(2889),
    [anon_sym_or] = ACTIONS(2889),
    [anon_sym_xor] = ACTIONS(2889),
    [anon_sym_RBRACK] = ACTIONS(2889),
    [anon_sym_DASH_GT] = ACTIONS(2889),
    [anon_sym_PERCENT] = ACTIONS(2891),
    [anon_sym_LT] = ACTIONS(2891),
    [anon_sym_GT] = ACTIONS(2891),
    [anon_sym_LT_LT] = ACTIONS(2891),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2889),
    [anon_sym_PLUS_EQ] = ACTIONS(2889),
    [anon_sym_DASH_EQ] = ACTIONS(2889),
    [anon_sym_DOT_EQ] = ACTIONS(2889),
    [anon_sym_STAR_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_PERCENT_EQ] = ACTIONS(2889),
    [anon_sym_x_EQ] = ACTIONS(2889),
    [anon_sym_AMP_EQ] = ACTIONS(2889),
    [anon_sym_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_CARET_EQ] = ACTIONS(2889),
    [anon_sym_LT_LT_EQ] = ACTIONS(2889),
    [anon_sym_GT_GT_EQ] = ACTIONS(2889),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2889),
    [anon_sym_DOT_DOT] = ACTIONS(2891),
    [anon_sym_STAR_STAR] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE] = ACTIONS(2891),
    [anon_sym_SLASH_SLASH] = ACTIONS(2891),
    [anon_sym_CARET_CARET] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2891),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_GT_GT2] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_DOT] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_SLASH] = ACTIONS(2891),
    [anon_sym_x] = ACTIONS(2891),
    [anon_sym_EQ_TILDE] = ACTIONS(2889),
    [anon_sym_BANG_TILDE] = ACTIONS(2889),
    [anon_sym_EQ_EQ] = ACTIONS(2891),
    [anon_sym_BANG_EQ] = ACTIONS(2889),
    [anon_sym_eq] = ACTIONS(2891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2889),
    [anon_sym_equ] = ACTIONS(2889),
    [anon_sym_eqr] = ACTIONS(2889),
    [anon_sym_ne] = ACTIONS(2889),
    [anon_sym_LT_EQ_GT] = ACTIONS(2889),
    [anon_sym_cmp] = ACTIONS(2889),
    [anon_sym_TILDE_TILDE] = ACTIONS(2889),
    [anon_sym_LT_EQ] = ACTIONS(2891),
    [anon_sym_GT_EQ] = ACTIONS(2889),
    [anon_sym_lt] = ACTIONS(2889),
    [anon_sym_le] = ACTIONS(2889),
    [anon_sym_ge] = ACTIONS(2889),
    [anon_sym_gt] = ACTIONS(2889),
    [anon_sym_isa] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_QMARK] = ACTIONS(2889),
    [anon_sym_EQ_GT] = ACTIONS(2889),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1418] = {
    [sym_heredoc_content] = STATE(1418),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_COMMA] = ACTIONS(2937),
    [anon_sym_RPAREN] = ACTIONS(2937),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2937),
    [anon_sym_and] = ACTIONS(2937),
    [anon_sym_or] = ACTIONS(2937),
    [anon_sym_xor] = ACTIONS(2937),
    [anon_sym_RBRACK] = ACTIONS(2937),
    [anon_sym_DASH_GT] = ACTIONS(2937),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LT_LT] = ACTIONS(2939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_DOT_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_x_EQ] = ACTIONS(2937),
    [anon_sym_AMP_EQ] = ACTIONS(2937),
    [anon_sym_PIPE_EQ] = ACTIONS(2937),
    [anon_sym_CARET_EQ] = ACTIONS(2937),
    [anon_sym_LT_LT_EQ] = ACTIONS(2937),
    [anon_sym_GT_GT_EQ] = ACTIONS(2937),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_STAR_STAR] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2939),
    [anon_sym_SLASH_SLASH] = ACTIONS(2939),
    [anon_sym_CARET_CARET] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_PIPE] = ACTIONS(2939),
    [anon_sym_CARET] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2939),
    [anon_sym_GT_GT2] = ACTIONS(2939),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_x] = ACTIONS(2939),
    [anon_sym_EQ_TILDE] = ACTIONS(2937),
    [anon_sym_BANG_TILDE] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ] = ACTIONS(2937),
    [anon_sym_eq] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_equ] = ACTIONS(2937),
    [anon_sym_eqr] = ACTIONS(2937),
    [anon_sym_ne] = ACTIONS(2937),
    [anon_sym_LT_EQ_GT] = ACTIONS(2937),
    [anon_sym_cmp] = ACTIONS(2937),
    [anon_sym_TILDE_TILDE] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2939),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_lt] = ACTIONS(2937),
    [anon_sym_le] = ACTIONS(2937),
    [anon_sym_ge] = ACTIONS(2937),
    [anon_sym_gt] = ACTIONS(2937),
    [anon_sym_isa] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_QMARK] = ACTIONS(2937),
    [anon_sym_EQ_GT] = ACTIONS(2937),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1419] = {
    [sym_heredoc_content] = STATE(1419),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_RBRACK] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_x] = ACTIONS(2687),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1420] = {
    [sym_heredoc_content] = STATE(1420),
    [anon_sym_RBRACE] = ACTIONS(2837),
    [anon_sym_SEMI] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2839),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2837),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(2837),
    [anon_sym_RPAREN] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2837),
    [anon_sym_and] = ACTIONS(2837),
    [anon_sym_or] = ACTIONS(2837),
    [anon_sym_xor] = ACTIONS(2837),
    [anon_sym_RBRACK] = ACTIONS(2837),
    [anon_sym_DASH_GT] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2839),
    [anon_sym_LT] = ACTIONS(2839),
    [anon_sym_GT] = ACTIONS(2839),
    [anon_sym_LT_LT] = ACTIONS(2839),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2837),
    [anon_sym_PLUS_EQ] = ACTIONS(2837),
    [anon_sym_DASH_EQ] = ACTIONS(2837),
    [anon_sym_DOT_EQ] = ACTIONS(2837),
    [anon_sym_STAR_EQ] = ACTIONS(2837),
    [anon_sym_SLASH_EQ] = ACTIONS(2837),
    [anon_sym_PERCENT_EQ] = ACTIONS(2837),
    [anon_sym_x_EQ] = ACTIONS(2837),
    [anon_sym_AMP_EQ] = ACTIONS(2837),
    [anon_sym_PIPE_EQ] = ACTIONS(2837),
    [anon_sym_CARET_EQ] = ACTIONS(2837),
    [anon_sym_LT_LT_EQ] = ACTIONS(2837),
    [anon_sym_GT_GT_EQ] = ACTIONS(2837),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2837),
    [anon_sym_DOT_DOT] = ACTIONS(2839),
    [anon_sym_STAR_STAR] = ACTIONS(2839),
    [anon_sym_PIPE_PIPE] = ACTIONS(2839),
    [anon_sym_SLASH_SLASH] = ACTIONS(2839),
    [anon_sym_CARET_CARET] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_PIPE] = ACTIONS(2839),
    [anon_sym_CARET] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2839),
    [anon_sym_GT_GT2] = ACTIONS(2839),
    [anon_sym_PLUS] = ACTIONS(2839),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_SLASH] = ACTIONS(2839),
    [anon_sym_x] = ACTIONS(2839),
    [anon_sym_EQ_TILDE] = ACTIONS(2837),
    [anon_sym_BANG_TILDE] = ACTIONS(2837),
    [anon_sym_EQ_EQ] = ACTIONS(2839),
    [anon_sym_BANG_EQ] = ACTIONS(2837),
    [anon_sym_eq] = ACTIONS(2839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2837),
    [anon_sym_equ] = ACTIONS(2837),
    [anon_sym_eqr] = ACTIONS(2837),
    [anon_sym_ne] = ACTIONS(2837),
    [anon_sym_LT_EQ_GT] = ACTIONS(2837),
    [anon_sym_cmp] = ACTIONS(2837),
    [anon_sym_TILDE_TILDE] = ACTIONS(2837),
    [anon_sym_LT_EQ] = ACTIONS(2839),
    [anon_sym_GT_EQ] = ACTIONS(2837),
    [anon_sym_lt] = ACTIONS(2837),
    [anon_sym_le] = ACTIONS(2837),
    [anon_sym_ge] = ACTIONS(2837),
    [anon_sym_gt] = ACTIONS(2837),
    [anon_sym_isa] = ACTIONS(2837),
    [anon_sym_PLUS_PLUS] = ACTIONS(2837),
    [anon_sym_DASH_DASH] = ACTIONS(2837),
    [anon_sym_QMARK] = ACTIONS(2837),
    [anon_sym_EQ_GT] = ACTIONS(2837),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1421] = {
    [sym_heredoc_content] = STATE(1421),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_COMMA] = ACTIONS(3054),
    [anon_sym_RPAREN] = ACTIONS(3054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3054),
    [anon_sym_and] = ACTIONS(3054),
    [anon_sym_or] = ACTIONS(3054),
    [anon_sym_xor] = ACTIONS(3054),
    [anon_sym_RBRACK] = ACTIONS(3054),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_DOT_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_x_EQ] = ACTIONS(3054),
    [anon_sym_AMP_EQ] = ACTIONS(3054),
    [anon_sym_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_CARET_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT_EQ] = ACTIONS(3054),
    [anon_sym_GT_GT_EQ] = ACTIONS(3054),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(3056),
    [anon_sym_SLASH_SLASH] = ACTIONS(3056),
    [anon_sym_CARET_CARET] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3056),
    [anon_sym_PIPE] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_eq] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_equ] = ACTIONS(3054),
    [anon_sym_eqr] = ACTIONS(3054),
    [anon_sym_ne] = ACTIONS(3054),
    [anon_sym_LT_EQ_GT] = ACTIONS(3054),
    [anon_sym_cmp] = ACTIONS(3054),
    [anon_sym_TILDE_TILDE] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_lt] = ACTIONS(3054),
    [anon_sym_le] = ACTIONS(3054),
    [anon_sym_ge] = ACTIONS(3054),
    [anon_sym_gt] = ACTIONS(3054),
    [anon_sym_isa] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(3054),
    [anon_sym_EQ_GT] = ACTIONS(3054),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1422] = {
    [sym_heredoc_content] = STATE(1422),
    [anon_sym_RBRACE] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2985),
    [anon_sym_EQ] = ACTIONS(2987),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_COMMA] = ACTIONS(2985),
    [anon_sym_RPAREN] = ACTIONS(2985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2985),
    [anon_sym_and] = ACTIONS(2985),
    [anon_sym_or] = ACTIONS(2985),
    [anon_sym_xor] = ACTIONS(2985),
    [anon_sym_RBRACK] = ACTIONS(2985),
    [anon_sym_DASH_GT] = ACTIONS(2985),
    [anon_sym_PERCENT] = ACTIONS(2987),
    [anon_sym_LT] = ACTIONS(2987),
    [anon_sym_GT] = ACTIONS(2987),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_DOT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_x_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_DOT_DOT] = ACTIONS(2987),
    [anon_sym_STAR_STAR] = ACTIONS(2987),
    [anon_sym_PIPE_PIPE] = ACTIONS(2987),
    [anon_sym_SLASH_SLASH] = ACTIONS(2987),
    [anon_sym_CARET_CARET] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_PIPE] = ACTIONS(2987),
    [anon_sym_CARET] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_GT_GT2] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_DOT] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_SLASH] = ACTIONS(2987),
    [anon_sym_x] = ACTIONS(2987),
    [anon_sym_EQ_TILDE] = ACTIONS(2985),
    [anon_sym_BANG_TILDE] = ACTIONS(2985),
    [anon_sym_EQ_EQ] = ACTIONS(2987),
    [anon_sym_BANG_EQ] = ACTIONS(2985),
    [anon_sym_eq] = ACTIONS(2987),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2985),
    [anon_sym_equ] = ACTIONS(2985),
    [anon_sym_eqr] = ACTIONS(2985),
    [anon_sym_ne] = ACTIONS(2985),
    [anon_sym_LT_EQ_GT] = ACTIONS(2985),
    [anon_sym_cmp] = ACTIONS(2985),
    [anon_sym_TILDE_TILDE] = ACTIONS(2985),
    [anon_sym_LT_EQ] = ACTIONS(2987),
    [anon_sym_GT_EQ] = ACTIONS(2985),
    [anon_sym_lt] = ACTIONS(2985),
    [anon_sym_le] = ACTIONS(2985),
    [anon_sym_ge] = ACTIONS(2985),
    [anon_sym_gt] = ACTIONS(2985),
    [anon_sym_isa] = ACTIONS(2985),
    [anon_sym_PLUS_PLUS] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(2985),
    [anon_sym_EQ_GT] = ACTIONS(2985),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1423] = {
    [sym_heredoc_content] = STATE(1423),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_RBRACK] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_x] = ACTIONS(2687),
    [anon_sym_EQ_TILDE] = ACTIONS(2685),
    [anon_sym_BANG_TILDE] = ACTIONS(2685),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1424] = {
    [sym_heredoc_content] = STATE(1424),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_RBRACK] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_GT] = ACTIONS(3299),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(3311),
    [anon_sym_PIPE] = ACTIONS(3313),
    [anon_sym_CARET] = ACTIONS(3313),
    [anon_sym_AMP] = ACTIONS(3315),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(3321),
    [anon_sym_BANG_EQ] = ACTIONS(3323),
    [anon_sym_eq] = ACTIONS(3321),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3323),
    [anon_sym_equ] = ACTIONS(3323),
    [anon_sym_eqr] = ACTIONS(3323),
    [anon_sym_ne] = ACTIONS(3323),
    [anon_sym_LT_EQ_GT] = ACTIONS(3325),
    [anon_sym_cmp] = ACTIONS(3325),
    [anon_sym_TILDE_TILDE] = ACTIONS(3325),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_EQ] = ACTIONS(3327),
    [anon_sym_lt] = ACTIONS(3327),
    [anon_sym_le] = ACTIONS(3327),
    [anon_sym_ge] = ACTIONS(3327),
    [anon_sym_gt] = ACTIONS(3327),
    [anon_sym_isa] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1425] = {
    [sym_heredoc_content] = STATE(1425),
    [anon_sym_RBRACE] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2797),
    [anon_sym_RPAREN] = ACTIONS(2797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2797),
    [anon_sym_and] = ACTIONS(2797),
    [anon_sym_or] = ACTIONS(2797),
    [anon_sym_xor] = ACTIONS(2797),
    [anon_sym_RBRACK] = ACTIONS(2797),
    [anon_sym_DASH_GT] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2799),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_GT] = ACTIONS(2799),
    [anon_sym_LT_LT] = ACTIONS(2799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2797),
    [anon_sym_PLUS_EQ] = ACTIONS(2797),
    [anon_sym_DASH_EQ] = ACTIONS(2797),
    [anon_sym_DOT_EQ] = ACTIONS(2797),
    [anon_sym_STAR_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_PERCENT_EQ] = ACTIONS(2797),
    [anon_sym_x_EQ] = ACTIONS(2797),
    [anon_sym_AMP_EQ] = ACTIONS(2797),
    [anon_sym_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_CARET_EQ] = ACTIONS(2797),
    [anon_sym_LT_LT_EQ] = ACTIONS(2797),
    [anon_sym_GT_GT_EQ] = ACTIONS(2797),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2797),
    [anon_sym_DOT_DOT] = ACTIONS(2799),
    [anon_sym_STAR_STAR] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH] = ACTIONS(2799),
    [anon_sym_CARET_CARET] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_PIPE] = ACTIONS(2799),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2799),
    [anon_sym_GT_GT2] = ACTIONS(2799),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_SLASH] = ACTIONS(2799),
    [anon_sym_x] = ACTIONS(2799),
    [anon_sym_EQ_TILDE] = ACTIONS(2797),
    [anon_sym_BANG_TILDE] = ACTIONS(2797),
    [anon_sym_EQ_EQ] = ACTIONS(2799),
    [anon_sym_BANG_EQ] = ACTIONS(2797),
    [anon_sym_eq] = ACTIONS(2799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2797),
    [anon_sym_equ] = ACTIONS(2797),
    [anon_sym_eqr] = ACTIONS(2797),
    [anon_sym_ne] = ACTIONS(2797),
    [anon_sym_LT_EQ_GT] = ACTIONS(2797),
    [anon_sym_cmp] = ACTIONS(2797),
    [anon_sym_TILDE_TILDE] = ACTIONS(2797),
    [anon_sym_LT_EQ] = ACTIONS(2799),
    [anon_sym_GT_EQ] = ACTIONS(2797),
    [anon_sym_lt] = ACTIONS(2797),
    [anon_sym_le] = ACTIONS(2797),
    [anon_sym_ge] = ACTIONS(2797),
    [anon_sym_gt] = ACTIONS(2797),
    [anon_sym_isa] = ACTIONS(2797),
    [anon_sym_PLUS_PLUS] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_EQ_GT] = ACTIONS(2797),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1426] = {
    [sym_heredoc_content] = STATE(1426),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_RBRACK] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_GT] = ACTIONS(3299),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(3313),
    [anon_sym_CARET] = ACTIONS(3313),
    [anon_sym_AMP] = ACTIONS(3315),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(3321),
    [anon_sym_BANG_EQ] = ACTIONS(3323),
    [anon_sym_eq] = ACTIONS(3321),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3323),
    [anon_sym_equ] = ACTIONS(3323),
    [anon_sym_eqr] = ACTIONS(3323),
    [anon_sym_ne] = ACTIONS(3323),
    [anon_sym_LT_EQ_GT] = ACTIONS(3325),
    [anon_sym_cmp] = ACTIONS(3325),
    [anon_sym_TILDE_TILDE] = ACTIONS(3325),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_EQ] = ACTIONS(3327),
    [anon_sym_lt] = ACTIONS(3327),
    [anon_sym_le] = ACTIONS(3327),
    [anon_sym_ge] = ACTIONS(3327),
    [anon_sym_gt] = ACTIONS(3327),
    [anon_sym_isa] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1427] = {
    [sym_heredoc_content] = STATE(1427),
    [anon_sym_RBRACE] = ACTIONS(2705),
    [anon_sym_SEMI] = ACTIONS(2705),
    [anon_sym_EQ] = ACTIONS(2707),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2705),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2705),
    [anon_sym_COMMA] = ACTIONS(2705),
    [anon_sym_RPAREN] = ACTIONS(2705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2705),
    [anon_sym_and] = ACTIONS(2705),
    [anon_sym_or] = ACTIONS(2705),
    [anon_sym_xor] = ACTIONS(2705),
    [anon_sym_RBRACK] = ACTIONS(2705),
    [anon_sym_DASH_GT] = ACTIONS(2705),
    [anon_sym_PERCENT] = ACTIONS(2707),
    [anon_sym_LT] = ACTIONS(2707),
    [anon_sym_GT] = ACTIONS(2707),
    [anon_sym_LT_LT] = ACTIONS(2707),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2705),
    [anon_sym_PLUS_EQ] = ACTIONS(2705),
    [anon_sym_DASH_EQ] = ACTIONS(2705),
    [anon_sym_DOT_EQ] = ACTIONS(2705),
    [anon_sym_STAR_EQ] = ACTIONS(2705),
    [anon_sym_SLASH_EQ] = ACTIONS(2705),
    [anon_sym_PERCENT_EQ] = ACTIONS(2705),
    [anon_sym_x_EQ] = ACTIONS(2705),
    [anon_sym_AMP_EQ] = ACTIONS(2705),
    [anon_sym_PIPE_EQ] = ACTIONS(2705),
    [anon_sym_CARET_EQ] = ACTIONS(2705),
    [anon_sym_LT_LT_EQ] = ACTIONS(2705),
    [anon_sym_GT_GT_EQ] = ACTIONS(2705),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2705),
    [anon_sym_DOT_DOT] = ACTIONS(2707),
    [anon_sym_STAR_STAR] = ACTIONS(2707),
    [anon_sym_PIPE_PIPE] = ACTIONS(2707),
    [anon_sym_SLASH_SLASH] = ACTIONS(2707),
    [anon_sym_CARET_CARET] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(2707),
    [anon_sym_PIPE] = ACTIONS(2707),
    [anon_sym_CARET] = ACTIONS(2707),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_GT_GT2] = ACTIONS(2707),
    [anon_sym_PLUS] = ACTIONS(2707),
    [anon_sym_DASH] = ACTIONS(2707),
    [anon_sym_DOT] = ACTIONS(2707),
    [anon_sym_STAR] = ACTIONS(2707),
    [anon_sym_SLASH] = ACTIONS(2707),
    [anon_sym_x] = ACTIONS(2707),
    [anon_sym_EQ_TILDE] = ACTIONS(2705),
    [anon_sym_BANG_TILDE] = ACTIONS(2705),
    [anon_sym_EQ_EQ] = ACTIONS(2707),
    [anon_sym_BANG_EQ] = ACTIONS(2705),
    [anon_sym_eq] = ACTIONS(2707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2705),
    [anon_sym_equ] = ACTIONS(2705),
    [anon_sym_eqr] = ACTIONS(2705),
    [anon_sym_ne] = ACTIONS(2705),
    [anon_sym_LT_EQ_GT] = ACTIONS(2705),
    [anon_sym_cmp] = ACTIONS(2705),
    [anon_sym_TILDE_TILDE] = ACTIONS(2705),
    [anon_sym_LT_EQ] = ACTIONS(2707),
    [anon_sym_GT_EQ] = ACTIONS(2705),
    [anon_sym_lt] = ACTIONS(2705),
    [anon_sym_le] = ACTIONS(2705),
    [anon_sym_ge] = ACTIONS(2705),
    [anon_sym_gt] = ACTIONS(2705),
    [anon_sym_isa] = ACTIONS(2705),
    [anon_sym_PLUS_PLUS] = ACTIONS(2705),
    [anon_sym_DASH_DASH] = ACTIONS(2705),
    [anon_sym_QMARK] = ACTIONS(2705),
    [anon_sym_EQ_GT] = ACTIONS(2705),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1428] = {
    [sym_heredoc_content] = STATE(1428),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_RBRACK] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_GT] = ACTIONS(3299),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(3315),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(3321),
    [anon_sym_BANG_EQ] = ACTIONS(3323),
    [anon_sym_eq] = ACTIONS(3321),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3323),
    [anon_sym_equ] = ACTIONS(3323),
    [anon_sym_eqr] = ACTIONS(3323),
    [anon_sym_ne] = ACTIONS(3323),
    [anon_sym_LT_EQ_GT] = ACTIONS(3325),
    [anon_sym_cmp] = ACTIONS(3325),
    [anon_sym_TILDE_TILDE] = ACTIONS(3325),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_EQ] = ACTIONS(3327),
    [anon_sym_lt] = ACTIONS(3327),
    [anon_sym_le] = ACTIONS(3327),
    [anon_sym_ge] = ACTIONS(3327),
    [anon_sym_gt] = ACTIONS(3327),
    [anon_sym_isa] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1429] = {
    [sym_heredoc_content] = STATE(1429),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_RBRACK] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_GT] = ACTIONS(3299),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(3321),
    [anon_sym_BANG_EQ] = ACTIONS(3323),
    [anon_sym_eq] = ACTIONS(3321),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3323),
    [anon_sym_equ] = ACTIONS(3323),
    [anon_sym_eqr] = ACTIONS(3323),
    [anon_sym_ne] = ACTIONS(3323),
    [anon_sym_LT_EQ_GT] = ACTIONS(3325),
    [anon_sym_cmp] = ACTIONS(3325),
    [anon_sym_TILDE_TILDE] = ACTIONS(3325),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_EQ] = ACTIONS(3327),
    [anon_sym_lt] = ACTIONS(3327),
    [anon_sym_le] = ACTIONS(3327),
    [anon_sym_ge] = ACTIONS(3327),
    [anon_sym_gt] = ACTIONS(3327),
    [anon_sym_isa] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1430] = {
    [sym_heredoc_content] = STATE(1430),
    [anon_sym_RBRACE] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2765),
    [anon_sym_EQ] = ACTIONS(2767),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_COMMA] = ACTIONS(2765),
    [anon_sym_RPAREN] = ACTIONS(2765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2765),
    [anon_sym_and] = ACTIONS(2765),
    [anon_sym_or] = ACTIONS(2765),
    [anon_sym_xor] = ACTIONS(2765),
    [anon_sym_RBRACK] = ACTIONS(2765),
    [anon_sym_DASH_GT] = ACTIONS(2765),
    [anon_sym_PERCENT] = ACTIONS(2767),
    [anon_sym_LT] = ACTIONS(2767),
    [anon_sym_GT] = ACTIONS(2767),
    [anon_sym_LT_LT] = ACTIONS(2767),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2765),
    [anon_sym_PLUS_EQ] = ACTIONS(2765),
    [anon_sym_DASH_EQ] = ACTIONS(2765),
    [anon_sym_DOT_EQ] = ACTIONS(2765),
    [anon_sym_STAR_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_PERCENT_EQ] = ACTIONS(2765),
    [anon_sym_x_EQ] = ACTIONS(2765),
    [anon_sym_AMP_EQ] = ACTIONS(2765),
    [anon_sym_PIPE_EQ] = ACTIONS(2765),
    [anon_sym_CARET_EQ] = ACTIONS(2765),
    [anon_sym_LT_LT_EQ] = ACTIONS(2765),
    [anon_sym_GT_GT_EQ] = ACTIONS(2765),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2765),
    [anon_sym_DOT_DOT] = ACTIONS(2767),
    [anon_sym_STAR_STAR] = ACTIONS(2767),
    [anon_sym_PIPE_PIPE] = ACTIONS(2767),
    [anon_sym_SLASH_SLASH] = ACTIONS(2767),
    [anon_sym_CARET_CARET] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2767),
    [anon_sym_CARET] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_GT_GT2] = ACTIONS(2767),
    [anon_sym_PLUS] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_DOT] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_SLASH] = ACTIONS(2767),
    [anon_sym_x] = ACTIONS(2767),
    [anon_sym_EQ_TILDE] = ACTIONS(2765),
    [anon_sym_BANG_TILDE] = ACTIONS(2765),
    [anon_sym_EQ_EQ] = ACTIONS(2767),
    [anon_sym_BANG_EQ] = ACTIONS(2765),
    [anon_sym_eq] = ACTIONS(2767),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2765),
    [anon_sym_equ] = ACTIONS(2765),
    [anon_sym_eqr] = ACTIONS(2765),
    [anon_sym_ne] = ACTIONS(2765),
    [anon_sym_LT_EQ_GT] = ACTIONS(2765),
    [anon_sym_cmp] = ACTIONS(2765),
    [anon_sym_TILDE_TILDE] = ACTIONS(2765),
    [anon_sym_LT_EQ] = ACTIONS(2767),
    [anon_sym_GT_EQ] = ACTIONS(2765),
    [anon_sym_lt] = ACTIONS(2765),
    [anon_sym_le] = ACTIONS(2765),
    [anon_sym_ge] = ACTIONS(2765),
    [anon_sym_gt] = ACTIONS(2765),
    [anon_sym_isa] = ACTIONS(2765),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_QMARK] = ACTIONS(2765),
    [anon_sym_EQ_GT] = ACTIONS(2765),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1431] = {
    [sym_heredoc_content] = STATE(1431),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_RBRACK] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1432] = {
    [sym_heredoc_content] = STATE(1432),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_and] = ACTIONS(2685),
    [anon_sym_or] = ACTIONS(2685),
    [anon_sym_xor] = ACTIONS(2685),
    [anon_sym_RBRACK] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_x] = ACTIONS(2687),
    [anon_sym_EQ_TILDE] = ACTIONS(2685),
    [anon_sym_BANG_TILDE] = ACTIONS(2685),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1433] = {
    [sym_heredoc_content] = STATE(1433),
    [anon_sym_RBRACE] = ACTIONS(3028),
    [anon_sym_SEMI] = ACTIONS(3028),
    [anon_sym_EQ] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3028),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3028),
    [anon_sym_COMMA] = ACTIONS(3028),
    [anon_sym_RPAREN] = ACTIONS(3028),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3028),
    [anon_sym_and] = ACTIONS(3028),
    [anon_sym_or] = ACTIONS(3028),
    [anon_sym_xor] = ACTIONS(3028),
    [anon_sym_RBRACK] = ACTIONS(3028),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3030),
    [anon_sym_GT] = ACTIONS(3030),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3028),
    [anon_sym_PLUS_EQ] = ACTIONS(3028),
    [anon_sym_DASH_EQ] = ACTIONS(3028),
    [anon_sym_DOT_EQ] = ACTIONS(3028),
    [anon_sym_STAR_EQ] = ACTIONS(3028),
    [anon_sym_SLASH_EQ] = ACTIONS(3028),
    [anon_sym_PERCENT_EQ] = ACTIONS(3028),
    [anon_sym_x_EQ] = ACTIONS(3028),
    [anon_sym_AMP_EQ] = ACTIONS(3028),
    [anon_sym_PIPE_EQ] = ACTIONS(3028),
    [anon_sym_CARET_EQ] = ACTIONS(3028),
    [anon_sym_LT_LT_EQ] = ACTIONS(3028),
    [anon_sym_GT_GT_EQ] = ACTIONS(3028),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3028),
    [anon_sym_DOT_DOT] = ACTIONS(3030),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(3030),
    [anon_sym_SLASH_SLASH] = ACTIONS(3030),
    [anon_sym_CARET_CARET] = ACTIONS(3028),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_CARET] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3030),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(3030),
    [anon_sym_BANG_EQ] = ACTIONS(3028),
    [anon_sym_eq] = ACTIONS(3030),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3028),
    [anon_sym_equ] = ACTIONS(3028),
    [anon_sym_eqr] = ACTIONS(3028),
    [anon_sym_ne] = ACTIONS(3028),
    [anon_sym_LT_EQ_GT] = ACTIONS(3028),
    [anon_sym_cmp] = ACTIONS(3028),
    [anon_sym_TILDE_TILDE] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(3030),
    [anon_sym_GT_EQ] = ACTIONS(3028),
    [anon_sym_lt] = ACTIONS(3028),
    [anon_sym_le] = ACTIONS(3028),
    [anon_sym_ge] = ACTIONS(3028),
    [anon_sym_gt] = ACTIONS(3028),
    [anon_sym_isa] = ACTIONS(3028),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(3028),
    [anon_sym_EQ_GT] = ACTIONS(3028),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1434] = {
    [sym_heredoc_content] = STATE(1434),
    [anon_sym_RBRACE] = ACTIONS(2689),
    [anon_sym_SEMI] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_COMMA] = ACTIONS(2689),
    [anon_sym_RPAREN] = ACTIONS(2689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2689),
    [anon_sym_and] = ACTIONS(2689),
    [anon_sym_or] = ACTIONS(2689),
    [anon_sym_xor] = ACTIONS(2689),
    [anon_sym_RBRACK] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_GT] = ACTIONS(3299),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2689),
    [anon_sym_DASH_EQ] = ACTIONS(2689),
    [anon_sym_DOT_EQ] = ACTIONS(2689),
    [anon_sym_STAR_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_PERCENT_EQ] = ACTIONS(2689),
    [anon_sym_x_EQ] = ACTIONS(2689),
    [anon_sym_AMP_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_CARET_EQ] = ACTIONS(2689),
    [anon_sym_LT_LT_EQ] = ACTIONS(2689),
    [anon_sym_GT_GT_EQ] = ACTIONS(2689),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2691),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_SLASH_SLASH] = ACTIONS(2691),
    [anon_sym_CARET_CARET] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_PIPE] = ACTIONS(2691),
    [anon_sym_CARET] = ACTIONS(2691),
    [anon_sym_AMP] = ACTIONS(2691),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_eq] = ACTIONS(2691),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2689),
    [anon_sym_equ] = ACTIONS(2689),
    [anon_sym_eqr] = ACTIONS(2689),
    [anon_sym_ne] = ACTIONS(2689),
    [anon_sym_LT_EQ_GT] = ACTIONS(2689),
    [anon_sym_cmp] = ACTIONS(2689),
    [anon_sym_TILDE_TILDE] = ACTIONS(2689),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_EQ] = ACTIONS(3327),
    [anon_sym_lt] = ACTIONS(3327),
    [anon_sym_le] = ACTIONS(3327),
    [anon_sym_ge] = ACTIONS(3327),
    [anon_sym_gt] = ACTIONS(3327),
    [anon_sym_isa] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(2689),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1435] = {
    [sym_heredoc_content] = STATE(1435),
    [anon_sym_RBRACE] = ACTIONS(2689),
    [anon_sym_SEMI] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_COMMA] = ACTIONS(2689),
    [anon_sym_RPAREN] = ACTIONS(2689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2689),
    [anon_sym_and] = ACTIONS(2689),
    [anon_sym_or] = ACTIONS(2689),
    [anon_sym_xor] = ACTIONS(2689),
    [anon_sym_RBRACK] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_GT] = ACTIONS(3299),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2689),
    [anon_sym_DASH_EQ] = ACTIONS(2689),
    [anon_sym_DOT_EQ] = ACTIONS(2689),
    [anon_sym_STAR_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_PERCENT_EQ] = ACTIONS(2689),
    [anon_sym_x_EQ] = ACTIONS(2689),
    [anon_sym_AMP_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_CARET_EQ] = ACTIONS(2689),
    [anon_sym_LT_LT_EQ] = ACTIONS(2689),
    [anon_sym_GT_GT_EQ] = ACTIONS(2689),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2691),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_SLASH_SLASH] = ACTIONS(2691),
    [anon_sym_CARET_CARET] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_PIPE] = ACTIONS(2691),
    [anon_sym_CARET] = ACTIONS(2691),
    [anon_sym_AMP] = ACTIONS(2691),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(3321),
    [anon_sym_BANG_EQ] = ACTIONS(3323),
    [anon_sym_eq] = ACTIONS(3321),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3323),
    [anon_sym_equ] = ACTIONS(3323),
    [anon_sym_eqr] = ACTIONS(3323),
    [anon_sym_ne] = ACTIONS(3323),
    [anon_sym_LT_EQ_GT] = ACTIONS(3404),
    [anon_sym_cmp] = ACTIONS(3404),
    [anon_sym_TILDE_TILDE] = ACTIONS(3404),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_EQ] = ACTIONS(3327),
    [anon_sym_lt] = ACTIONS(3327),
    [anon_sym_le] = ACTIONS(3327),
    [anon_sym_ge] = ACTIONS(3327),
    [anon_sym_gt] = ACTIONS(3327),
    [anon_sym_isa] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(2689),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1436] = {
    [sym_heredoc_content] = STATE(1436),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_COMMA] = ACTIONS(3054),
    [anon_sym_RPAREN] = ACTIONS(3054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3054),
    [anon_sym_and] = ACTIONS(3054),
    [anon_sym_or] = ACTIONS(3054),
    [anon_sym_xor] = ACTIONS(3054),
    [anon_sym_RBRACK] = ACTIONS(3054),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_GT] = ACTIONS(3299),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_DOT_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_x_EQ] = ACTIONS(3054),
    [anon_sym_AMP_EQ] = ACTIONS(3054),
    [anon_sym_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_CARET_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT_EQ] = ACTIONS(3054),
    [anon_sym_GT_GT_EQ] = ACTIONS(3054),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(3056),
    [anon_sym_SLASH_SLASH] = ACTIONS(3056),
    [anon_sym_CARET_CARET] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3056),
    [anon_sym_PIPE] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_eq] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_equ] = ACTIONS(3054),
    [anon_sym_eqr] = ACTIONS(3054),
    [anon_sym_ne] = ACTIONS(3054),
    [anon_sym_LT_EQ_GT] = ACTIONS(3054),
    [anon_sym_cmp] = ACTIONS(3054),
    [anon_sym_TILDE_TILDE] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_EQ] = ACTIONS(3327),
    [anon_sym_lt] = ACTIONS(3327),
    [anon_sym_le] = ACTIONS(3327),
    [anon_sym_ge] = ACTIONS(3327),
    [anon_sym_gt] = ACTIONS(3327),
    [anon_sym_isa] = ACTIONS(3406),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(3054),
    [anon_sym_EQ_GT] = ACTIONS(3054),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1437] = {
    [sym_heredoc_content] = STATE(1437),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_EQ] = ACTIONS(3170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_COMMA] = ACTIONS(3168),
    [anon_sym_RPAREN] = ACTIONS(3168),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3168),
    [anon_sym_and] = ACTIONS(3168),
    [anon_sym_or] = ACTIONS(3168),
    [anon_sym_xor] = ACTIONS(3168),
    [anon_sym_RBRACK] = ACTIONS(3168),
    [anon_sym_DASH_GT] = ACTIONS(3168),
    [anon_sym_PERCENT] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_GT] = ACTIONS(3170),
    [anon_sym_LT_LT] = ACTIONS(3170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_DOT_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_x_EQ] = ACTIONS(3168),
    [anon_sym_AMP_EQ] = ACTIONS(3168),
    [anon_sym_PIPE_EQ] = ACTIONS(3168),
    [anon_sym_CARET_EQ] = ACTIONS(3168),
    [anon_sym_LT_LT_EQ] = ACTIONS(3168),
    [anon_sym_GT_GT_EQ] = ACTIONS(3168),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3168),
    [anon_sym_DOT_DOT] = ACTIONS(3170),
    [anon_sym_STAR_STAR] = ACTIONS(3170),
    [anon_sym_PIPE_PIPE] = ACTIONS(3170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3170),
    [anon_sym_CARET_CARET] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_PIPE] = ACTIONS(3170),
    [anon_sym_CARET] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym_GT_GT2] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_DOT] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_x] = ACTIONS(3170),
    [anon_sym_EQ_TILDE] = ACTIONS(3168),
    [anon_sym_BANG_TILDE] = ACTIONS(3168),
    [anon_sym_EQ_EQ] = ACTIONS(3170),
    [anon_sym_BANG_EQ] = ACTIONS(3168),
    [anon_sym_eq] = ACTIONS(3170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3168),
    [anon_sym_equ] = ACTIONS(3168),
    [anon_sym_eqr] = ACTIONS(3168),
    [anon_sym_ne] = ACTIONS(3168),
    [anon_sym_LT_EQ_GT] = ACTIONS(3168),
    [anon_sym_cmp] = ACTIONS(3168),
    [anon_sym_TILDE_TILDE] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3170),
    [anon_sym_GT_EQ] = ACTIONS(3168),
    [anon_sym_lt] = ACTIONS(3168),
    [anon_sym_le] = ACTIONS(3168),
    [anon_sym_ge] = ACTIONS(3168),
    [anon_sym_gt] = ACTIONS(3168),
    [anon_sym_isa] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_QMARK] = ACTIONS(3168),
    [anon_sym_EQ_GT] = ACTIONS(3168),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1438] = {
    [sym_heredoc_content] = STATE(1438),
    [anon_sym_RBRACE] = ACTIONS(2725),
    [anon_sym_SEMI] = ACTIONS(2725),
    [anon_sym_EQ] = ACTIONS(2727),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2725),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2725),
    [anon_sym_COMMA] = ACTIONS(2725),
    [anon_sym_RPAREN] = ACTIONS(2725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2725),
    [anon_sym_and] = ACTIONS(2725),
    [anon_sym_or] = ACTIONS(2725),
    [anon_sym_xor] = ACTIONS(2725),
    [anon_sym_RBRACK] = ACTIONS(2725),
    [anon_sym_DASH_GT] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2727),
    [anon_sym_LT] = ACTIONS(2727),
    [anon_sym_GT] = ACTIONS(2727),
    [anon_sym_LT_LT] = ACTIONS(2727),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2725),
    [anon_sym_PLUS_EQ] = ACTIONS(2725),
    [anon_sym_DASH_EQ] = ACTIONS(2725),
    [anon_sym_DOT_EQ] = ACTIONS(2725),
    [anon_sym_STAR_EQ] = ACTIONS(2725),
    [anon_sym_SLASH_EQ] = ACTIONS(2725),
    [anon_sym_PERCENT_EQ] = ACTIONS(2725),
    [anon_sym_x_EQ] = ACTIONS(2725),
    [anon_sym_AMP_EQ] = ACTIONS(2725),
    [anon_sym_PIPE_EQ] = ACTIONS(2725),
    [anon_sym_CARET_EQ] = ACTIONS(2725),
    [anon_sym_LT_LT_EQ] = ACTIONS(2725),
    [anon_sym_GT_GT_EQ] = ACTIONS(2725),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2725),
    [anon_sym_DOT_DOT] = ACTIONS(2727),
    [anon_sym_STAR_STAR] = ACTIONS(2727),
    [anon_sym_PIPE_PIPE] = ACTIONS(2727),
    [anon_sym_SLASH_SLASH] = ACTIONS(2727),
    [anon_sym_CARET_CARET] = ACTIONS(2725),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_PIPE] = ACTIONS(2727),
    [anon_sym_CARET] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_GT_GT2] = ACTIONS(2727),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2727),
    [anon_sym_DOT] = ACTIONS(2727),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_SLASH] = ACTIONS(2727),
    [anon_sym_x] = ACTIONS(2727),
    [anon_sym_EQ_TILDE] = ACTIONS(2725),
    [anon_sym_BANG_TILDE] = ACTIONS(2725),
    [anon_sym_EQ_EQ] = ACTIONS(2727),
    [anon_sym_BANG_EQ] = ACTIONS(2725),
    [anon_sym_eq] = ACTIONS(2727),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2725),
    [anon_sym_equ] = ACTIONS(2725),
    [anon_sym_eqr] = ACTIONS(2725),
    [anon_sym_ne] = ACTIONS(2725),
    [anon_sym_LT_EQ_GT] = ACTIONS(2725),
    [anon_sym_cmp] = ACTIONS(2725),
    [anon_sym_TILDE_TILDE] = ACTIONS(2725),
    [anon_sym_LT_EQ] = ACTIONS(2727),
    [anon_sym_GT_EQ] = ACTIONS(2725),
    [anon_sym_lt] = ACTIONS(2725),
    [anon_sym_le] = ACTIONS(2725),
    [anon_sym_ge] = ACTIONS(2725),
    [anon_sym_gt] = ACTIONS(2725),
    [anon_sym_isa] = ACTIONS(2725),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2725),
    [anon_sym_EQ_GT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1439] = {
    [sym_heredoc_content] = STATE(1439),
    [anon_sym_RBRACE] = ACTIONS(3032),
    [anon_sym_SEMI] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3034),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3032),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3032),
    [anon_sym_COMMA] = ACTIONS(3032),
    [anon_sym_RPAREN] = ACTIONS(3032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3032),
    [anon_sym_and] = ACTIONS(3032),
    [anon_sym_or] = ACTIONS(3032),
    [anon_sym_xor] = ACTIONS(3032),
    [anon_sym_RBRACK] = ACTIONS(3032),
    [anon_sym_DASH_GT] = ACTIONS(3032),
    [anon_sym_PERCENT] = ACTIONS(3034),
    [anon_sym_LT] = ACTIONS(3034),
    [anon_sym_GT] = ACTIONS(3034),
    [anon_sym_LT_LT] = ACTIONS(3034),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3032),
    [anon_sym_DASH_EQ] = ACTIONS(3032),
    [anon_sym_DOT_EQ] = ACTIONS(3032),
    [anon_sym_STAR_EQ] = ACTIONS(3032),
    [anon_sym_SLASH_EQ] = ACTIONS(3032),
    [anon_sym_PERCENT_EQ] = ACTIONS(3032),
    [anon_sym_x_EQ] = ACTIONS(3032),
    [anon_sym_AMP_EQ] = ACTIONS(3032),
    [anon_sym_PIPE_EQ] = ACTIONS(3032),
    [anon_sym_CARET_EQ] = ACTIONS(3032),
    [anon_sym_LT_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_GT_EQ] = ACTIONS(3032),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3032),
    [anon_sym_DOT_DOT] = ACTIONS(3034),
    [anon_sym_STAR_STAR] = ACTIONS(3034),
    [anon_sym_PIPE_PIPE] = ACTIONS(3034),
    [anon_sym_SLASH_SLASH] = ACTIONS(3034),
    [anon_sym_CARET_CARET] = ACTIONS(3032),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_PIPE] = ACTIONS(3034),
    [anon_sym_CARET] = ACTIONS(3034),
    [anon_sym_AMP] = ACTIONS(3034),
    [anon_sym_GT_GT2] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_DOT] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3034),
    [anon_sym_SLASH] = ACTIONS(3034),
    [anon_sym_x] = ACTIONS(3034),
    [anon_sym_EQ_TILDE] = ACTIONS(3032),
    [anon_sym_BANG_TILDE] = ACTIONS(3032),
    [anon_sym_EQ_EQ] = ACTIONS(3034),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_eq] = ACTIONS(3034),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3032),
    [anon_sym_equ] = ACTIONS(3032),
    [anon_sym_eqr] = ACTIONS(3032),
    [anon_sym_ne] = ACTIONS(3032),
    [anon_sym_LT_EQ_GT] = ACTIONS(3032),
    [anon_sym_cmp] = ACTIONS(3032),
    [anon_sym_TILDE_TILDE] = ACTIONS(3032),
    [anon_sym_LT_EQ] = ACTIONS(3034),
    [anon_sym_GT_EQ] = ACTIONS(3032),
    [anon_sym_lt] = ACTIONS(3032),
    [anon_sym_le] = ACTIONS(3032),
    [anon_sym_ge] = ACTIONS(3032),
    [anon_sym_gt] = ACTIONS(3032),
    [anon_sym_isa] = ACTIONS(3032),
    [anon_sym_PLUS_PLUS] = ACTIONS(3032),
    [anon_sym_DASH_DASH] = ACTIONS(3032),
    [anon_sym_QMARK] = ACTIONS(3032),
    [anon_sym_EQ_GT] = ACTIONS(3032),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1440] = {
    [sym_heredoc_content] = STATE(1440),
    [anon_sym_RBRACE] = ACTIONS(2841),
    [anon_sym_SEMI] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2841),
    [anon_sym_RPAREN] = ACTIONS(2841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2841),
    [anon_sym_and] = ACTIONS(2841),
    [anon_sym_or] = ACTIONS(2841),
    [anon_sym_xor] = ACTIONS(2841),
    [anon_sym_RBRACK] = ACTIONS(2841),
    [anon_sym_DASH_GT] = ACTIONS(2841),
    [anon_sym_PERCENT] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_GT] = ACTIONS(2843),
    [anon_sym_LT_LT] = ACTIONS(2843),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2841),
    [anon_sym_PLUS_EQ] = ACTIONS(2841),
    [anon_sym_DASH_EQ] = ACTIONS(2841),
    [anon_sym_DOT_EQ] = ACTIONS(2841),
    [anon_sym_STAR_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_PERCENT_EQ] = ACTIONS(2841),
    [anon_sym_x_EQ] = ACTIONS(2841),
    [anon_sym_AMP_EQ] = ACTIONS(2841),
    [anon_sym_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_CARET_EQ] = ACTIONS(2841),
    [anon_sym_LT_LT_EQ] = ACTIONS(2841),
    [anon_sym_GT_GT_EQ] = ACTIONS(2841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2841),
    [anon_sym_DOT_DOT] = ACTIONS(2843),
    [anon_sym_STAR_STAR] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH] = ACTIONS(2843),
    [anon_sym_CARET_CARET] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_PIPE] = ACTIONS(2843),
    [anon_sym_CARET] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2843),
    [anon_sym_GT_GT2] = ACTIONS(2843),
    [anon_sym_PLUS] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2843),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_x] = ACTIONS(2843),
    [anon_sym_EQ_TILDE] = ACTIONS(2841),
    [anon_sym_BANG_TILDE] = ACTIONS(2841),
    [anon_sym_EQ_EQ] = ACTIONS(2843),
    [anon_sym_BANG_EQ] = ACTIONS(2841),
    [anon_sym_eq] = ACTIONS(2843),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2841),
    [anon_sym_equ] = ACTIONS(2841),
    [anon_sym_eqr] = ACTIONS(2841),
    [anon_sym_ne] = ACTIONS(2841),
    [anon_sym_LT_EQ_GT] = ACTIONS(2841),
    [anon_sym_cmp] = ACTIONS(2841),
    [anon_sym_TILDE_TILDE] = ACTIONS(2841),
    [anon_sym_LT_EQ] = ACTIONS(2843),
    [anon_sym_GT_EQ] = ACTIONS(2841),
    [anon_sym_lt] = ACTIONS(2841),
    [anon_sym_le] = ACTIONS(2841),
    [anon_sym_ge] = ACTIONS(2841),
    [anon_sym_gt] = ACTIONS(2841),
    [anon_sym_isa] = ACTIONS(2841),
    [anon_sym_PLUS_PLUS] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_EQ_GT] = ACTIONS(2841),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1441] = {
    [sym_heredoc_content] = STATE(1441),
    [anon_sym_RBRACE] = ACTIONS(3050),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3050),
    [anon_sym_COMMA] = ACTIONS(3050),
    [anon_sym_RPAREN] = ACTIONS(3050),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3050),
    [anon_sym_and] = ACTIONS(3050),
    [anon_sym_or] = ACTIONS(3050),
    [anon_sym_xor] = ACTIONS(3050),
    [anon_sym_RBRACK] = ACTIONS(3050),
    [anon_sym_DASH_GT] = ACTIONS(3050),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LT_LT] = ACTIONS(3052),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3050),
    [anon_sym_PLUS_EQ] = ACTIONS(3050),
    [anon_sym_DASH_EQ] = ACTIONS(3050),
    [anon_sym_DOT_EQ] = ACTIONS(3050),
    [anon_sym_STAR_EQ] = ACTIONS(3050),
    [anon_sym_SLASH_EQ] = ACTIONS(3050),
    [anon_sym_PERCENT_EQ] = ACTIONS(3050),
    [anon_sym_x_EQ] = ACTIONS(3050),
    [anon_sym_AMP_EQ] = ACTIONS(3050),
    [anon_sym_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_CARET_EQ] = ACTIONS(3050),
    [anon_sym_LT_LT_EQ] = ACTIONS(3050),
    [anon_sym_GT_GT_EQ] = ACTIONS(3050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3050),
    [anon_sym_DOT_DOT] = ACTIONS(3052),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE] = ACTIONS(3052),
    [anon_sym_SLASH_SLASH] = ACTIONS(3052),
    [anon_sym_CARET_CARET] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3052),
    [anon_sym_PIPE] = ACTIONS(3052),
    [anon_sym_CARET] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_GT_GT2] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_x] = ACTIONS(3052),
    [anon_sym_EQ_TILDE] = ACTIONS(3050),
    [anon_sym_BANG_TILDE] = ACTIONS(3050),
    [anon_sym_EQ_EQ] = ACTIONS(3052),
    [anon_sym_BANG_EQ] = ACTIONS(3050),
    [anon_sym_eq] = ACTIONS(3052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3050),
    [anon_sym_equ] = ACTIONS(3050),
    [anon_sym_eqr] = ACTIONS(3050),
    [anon_sym_ne] = ACTIONS(3050),
    [anon_sym_LT_EQ_GT] = ACTIONS(3050),
    [anon_sym_cmp] = ACTIONS(3050),
    [anon_sym_TILDE_TILDE] = ACTIONS(3050),
    [anon_sym_LT_EQ] = ACTIONS(3052),
    [anon_sym_GT_EQ] = ACTIONS(3050),
    [anon_sym_lt] = ACTIONS(3050),
    [anon_sym_le] = ACTIONS(3050),
    [anon_sym_ge] = ACTIONS(3050),
    [anon_sym_gt] = ACTIONS(3050),
    [anon_sym_isa] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_QMARK] = ACTIONS(3050),
    [anon_sym_EQ_GT] = ACTIONS(3050),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1442] = {
    [sym_heredoc_content] = STATE(1442),
    [anon_sym_RBRACE] = ACTIONS(2729),
    [anon_sym_SEMI] = ACTIONS(2729),
    [anon_sym_EQ] = ACTIONS(2731),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2729),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2729),
    [anon_sym_COMMA] = ACTIONS(2729),
    [anon_sym_RPAREN] = ACTIONS(2729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2729),
    [anon_sym_and] = ACTIONS(2729),
    [anon_sym_or] = ACTIONS(2729),
    [anon_sym_xor] = ACTIONS(2729),
    [anon_sym_RBRACK] = ACTIONS(2729),
    [anon_sym_DASH_GT] = ACTIONS(2729),
    [anon_sym_PERCENT] = ACTIONS(2731),
    [anon_sym_LT] = ACTIONS(2731),
    [anon_sym_GT] = ACTIONS(2731),
    [anon_sym_LT_LT] = ACTIONS(2731),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2729),
    [anon_sym_PLUS_EQ] = ACTIONS(2729),
    [anon_sym_DASH_EQ] = ACTIONS(2729),
    [anon_sym_DOT_EQ] = ACTIONS(2729),
    [anon_sym_STAR_EQ] = ACTIONS(2729),
    [anon_sym_SLASH_EQ] = ACTIONS(2729),
    [anon_sym_PERCENT_EQ] = ACTIONS(2729),
    [anon_sym_x_EQ] = ACTIONS(2729),
    [anon_sym_AMP_EQ] = ACTIONS(2729),
    [anon_sym_PIPE_EQ] = ACTIONS(2729),
    [anon_sym_CARET_EQ] = ACTIONS(2729),
    [anon_sym_LT_LT_EQ] = ACTIONS(2729),
    [anon_sym_GT_GT_EQ] = ACTIONS(2729),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2729),
    [anon_sym_DOT_DOT] = ACTIONS(2731),
    [anon_sym_STAR_STAR] = ACTIONS(2731),
    [anon_sym_PIPE_PIPE] = ACTIONS(2731),
    [anon_sym_SLASH_SLASH] = ACTIONS(2731),
    [anon_sym_CARET_CARET] = ACTIONS(2729),
    [anon_sym_AMP_AMP] = ACTIONS(2731),
    [anon_sym_PIPE] = ACTIONS(2731),
    [anon_sym_CARET] = ACTIONS(2731),
    [anon_sym_AMP] = ACTIONS(2731),
    [anon_sym_GT_GT2] = ACTIONS(2731),
    [anon_sym_PLUS] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2731),
    [anon_sym_DOT] = ACTIONS(2731),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_SLASH] = ACTIONS(2731),
    [anon_sym_x] = ACTIONS(2731),
    [anon_sym_EQ_TILDE] = ACTIONS(2729),
    [anon_sym_BANG_TILDE] = ACTIONS(2729),
    [anon_sym_EQ_EQ] = ACTIONS(2731),
    [anon_sym_BANG_EQ] = ACTIONS(2729),
    [anon_sym_eq] = ACTIONS(2731),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2729),
    [anon_sym_equ] = ACTIONS(2729),
    [anon_sym_eqr] = ACTIONS(2729),
    [anon_sym_ne] = ACTIONS(2729),
    [anon_sym_LT_EQ_GT] = ACTIONS(2729),
    [anon_sym_cmp] = ACTIONS(2729),
    [anon_sym_TILDE_TILDE] = ACTIONS(2729),
    [anon_sym_LT_EQ] = ACTIONS(2731),
    [anon_sym_GT_EQ] = ACTIONS(2729),
    [anon_sym_lt] = ACTIONS(2729),
    [anon_sym_le] = ACTIONS(2729),
    [anon_sym_ge] = ACTIONS(2729),
    [anon_sym_gt] = ACTIONS(2729),
    [anon_sym_isa] = ACTIONS(2729),
    [anon_sym_PLUS_PLUS] = ACTIONS(2729),
    [anon_sym_DASH_DASH] = ACTIONS(2729),
    [anon_sym_QMARK] = ACTIONS(2729),
    [anon_sym_EQ_GT] = ACTIONS(2729),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1443] = {
    [sym_heredoc_content] = STATE(1443),
    [anon_sym_RBRACE] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym_EQ] = ACTIONS(2879),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_COMMA] = ACTIONS(2877),
    [anon_sym_RPAREN] = ACTIONS(2877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2877),
    [anon_sym_and] = ACTIONS(2877),
    [anon_sym_or] = ACTIONS(2877),
    [anon_sym_xor] = ACTIONS(2877),
    [anon_sym_RBRACK] = ACTIONS(2877),
    [anon_sym_DASH_GT] = ACTIONS(2877),
    [anon_sym_PERCENT] = ACTIONS(2879),
    [anon_sym_LT] = ACTIONS(2879),
    [anon_sym_GT] = ACTIONS(2879),
    [anon_sym_LT_LT] = ACTIONS(2879),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2877),
    [anon_sym_PLUS_EQ] = ACTIONS(2877),
    [anon_sym_DASH_EQ] = ACTIONS(2877),
    [anon_sym_DOT_EQ] = ACTIONS(2877),
    [anon_sym_STAR_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_PERCENT_EQ] = ACTIONS(2877),
    [anon_sym_x_EQ] = ACTIONS(2877),
    [anon_sym_AMP_EQ] = ACTIONS(2877),
    [anon_sym_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_CARET_EQ] = ACTIONS(2877),
    [anon_sym_LT_LT_EQ] = ACTIONS(2877),
    [anon_sym_GT_GT_EQ] = ACTIONS(2877),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2877),
    [anon_sym_DOT_DOT] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2879),
    [anon_sym_PIPE_PIPE] = ACTIONS(2879),
    [anon_sym_SLASH_SLASH] = ACTIONS(2879),
    [anon_sym_CARET_CARET] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_PIPE] = ACTIONS(2879),
    [anon_sym_CARET] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_GT_GT2] = ACTIONS(2879),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2879),
    [anon_sym_DOT] = ACTIONS(2879),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_x] = ACTIONS(2879),
    [anon_sym_EQ_TILDE] = ACTIONS(2877),
    [anon_sym_BANG_TILDE] = ACTIONS(2877),
    [anon_sym_EQ_EQ] = ACTIONS(2879),
    [anon_sym_BANG_EQ] = ACTIONS(2877),
    [anon_sym_eq] = ACTIONS(2879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2877),
    [anon_sym_equ] = ACTIONS(2877),
    [anon_sym_eqr] = ACTIONS(2877),
    [anon_sym_ne] = ACTIONS(2877),
    [anon_sym_LT_EQ_GT] = ACTIONS(2877),
    [anon_sym_cmp] = ACTIONS(2877),
    [anon_sym_TILDE_TILDE] = ACTIONS(2877),
    [anon_sym_LT_EQ] = ACTIONS(2879),
    [anon_sym_GT_EQ] = ACTIONS(2877),
    [anon_sym_lt] = ACTIONS(2877),
    [anon_sym_le] = ACTIONS(2877),
    [anon_sym_ge] = ACTIONS(2877),
    [anon_sym_gt] = ACTIONS(2877),
    [anon_sym_isa] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_QMARK] = ACTIONS(2877),
    [anon_sym_EQ_GT] = ACTIONS(2877),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1444] = {
    [sym_heredoc_content] = STATE(1444),
    [anon_sym_RBRACE] = ACTIONS(2721),
    [anon_sym_SEMI] = ACTIONS(2721),
    [anon_sym_EQ] = ACTIONS(2723),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2721),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2721),
    [anon_sym_COMMA] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(2721),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2721),
    [anon_sym_and] = ACTIONS(2721),
    [anon_sym_or] = ACTIONS(2721),
    [anon_sym_xor] = ACTIONS(2721),
    [anon_sym_RBRACK] = ACTIONS(2721),
    [anon_sym_DASH_GT] = ACTIONS(2721),
    [anon_sym_PERCENT] = ACTIONS(2723),
    [anon_sym_LT] = ACTIONS(2723),
    [anon_sym_GT] = ACTIONS(2723),
    [anon_sym_LT_LT] = ACTIONS(2723),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2721),
    [anon_sym_PLUS_EQ] = ACTIONS(2721),
    [anon_sym_DASH_EQ] = ACTIONS(2721),
    [anon_sym_DOT_EQ] = ACTIONS(2721),
    [anon_sym_STAR_EQ] = ACTIONS(2721),
    [anon_sym_SLASH_EQ] = ACTIONS(2721),
    [anon_sym_PERCENT_EQ] = ACTIONS(2721),
    [anon_sym_x_EQ] = ACTIONS(2721),
    [anon_sym_AMP_EQ] = ACTIONS(2721),
    [anon_sym_PIPE_EQ] = ACTIONS(2721),
    [anon_sym_CARET_EQ] = ACTIONS(2721),
    [anon_sym_LT_LT_EQ] = ACTIONS(2721),
    [anon_sym_GT_GT_EQ] = ACTIONS(2721),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2721),
    [anon_sym_DOT_DOT] = ACTIONS(2723),
    [anon_sym_STAR_STAR] = ACTIONS(2723),
    [anon_sym_PIPE_PIPE] = ACTIONS(2723),
    [anon_sym_SLASH_SLASH] = ACTIONS(2723),
    [anon_sym_CARET_CARET] = ACTIONS(2721),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_PIPE] = ACTIONS(2723),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_AMP] = ACTIONS(2723),
    [anon_sym_GT_GT2] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2723),
    [anon_sym_DOT] = ACTIONS(2723),
    [anon_sym_STAR] = ACTIONS(2723),
    [anon_sym_SLASH] = ACTIONS(2723),
    [anon_sym_x] = ACTIONS(2723),
    [anon_sym_EQ_TILDE] = ACTIONS(2721),
    [anon_sym_BANG_TILDE] = ACTIONS(2721),
    [anon_sym_EQ_EQ] = ACTIONS(2723),
    [anon_sym_BANG_EQ] = ACTIONS(2721),
    [anon_sym_eq] = ACTIONS(2723),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2721),
    [anon_sym_equ] = ACTIONS(2721),
    [anon_sym_eqr] = ACTIONS(2721),
    [anon_sym_ne] = ACTIONS(2721),
    [anon_sym_LT_EQ_GT] = ACTIONS(2721),
    [anon_sym_cmp] = ACTIONS(2721),
    [anon_sym_TILDE_TILDE] = ACTIONS(2721),
    [anon_sym_LT_EQ] = ACTIONS(2723),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_lt] = ACTIONS(2721),
    [anon_sym_le] = ACTIONS(2721),
    [anon_sym_ge] = ACTIONS(2721),
    [anon_sym_gt] = ACTIONS(2721),
    [anon_sym_isa] = ACTIONS(2721),
    [anon_sym_PLUS_PLUS] = ACTIONS(2721),
    [anon_sym_DASH_DASH] = ACTIONS(2721),
    [anon_sym_QMARK] = ACTIONS(2721),
    [anon_sym_EQ_GT] = ACTIONS(2721),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1445] = {
    [sym_heredoc_content] = STATE(1445),
    [anon_sym_RBRACE] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2997),
    [anon_sym_EQ] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2997),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2997),
    [anon_sym_COMMA] = ACTIONS(2997),
    [anon_sym_RPAREN] = ACTIONS(2997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2997),
    [anon_sym_and] = ACTIONS(2997),
    [anon_sym_or] = ACTIONS(2997),
    [anon_sym_xor] = ACTIONS(2997),
    [anon_sym_RBRACK] = ACTIONS(2997),
    [anon_sym_DASH_GT] = ACTIONS(2997),
    [anon_sym_PERCENT] = ACTIONS(2999),
    [anon_sym_LT] = ACTIONS(2999),
    [anon_sym_GT] = ACTIONS(2999),
    [anon_sym_LT_LT] = ACTIONS(2999),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2997),
    [anon_sym_PLUS_EQ] = ACTIONS(2997),
    [anon_sym_DASH_EQ] = ACTIONS(2997),
    [anon_sym_DOT_EQ] = ACTIONS(2997),
    [anon_sym_STAR_EQ] = ACTIONS(2997),
    [anon_sym_SLASH_EQ] = ACTIONS(2997),
    [anon_sym_PERCENT_EQ] = ACTIONS(2997),
    [anon_sym_x_EQ] = ACTIONS(2997),
    [anon_sym_AMP_EQ] = ACTIONS(2997),
    [anon_sym_PIPE_EQ] = ACTIONS(2997),
    [anon_sym_CARET_EQ] = ACTIONS(2997),
    [anon_sym_LT_LT_EQ] = ACTIONS(2997),
    [anon_sym_GT_GT_EQ] = ACTIONS(2997),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2997),
    [anon_sym_DOT_DOT] = ACTIONS(2999),
    [anon_sym_STAR_STAR] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(2999),
    [anon_sym_SLASH_SLASH] = ACTIONS(2999),
    [anon_sym_CARET_CARET] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE] = ACTIONS(2999),
    [anon_sym_CARET] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2999),
    [anon_sym_GT_GT2] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_DOT] = ACTIONS(2999),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_SLASH] = ACTIONS(2999),
    [anon_sym_x] = ACTIONS(2999),
    [anon_sym_EQ_TILDE] = ACTIONS(2997),
    [anon_sym_BANG_TILDE] = ACTIONS(2997),
    [anon_sym_EQ_EQ] = ACTIONS(2999),
    [anon_sym_BANG_EQ] = ACTIONS(2997),
    [anon_sym_eq] = ACTIONS(2999),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2997),
    [anon_sym_equ] = ACTIONS(2997),
    [anon_sym_eqr] = ACTIONS(2997),
    [anon_sym_ne] = ACTIONS(2997),
    [anon_sym_LT_EQ_GT] = ACTIONS(2997),
    [anon_sym_cmp] = ACTIONS(2997),
    [anon_sym_TILDE_TILDE] = ACTIONS(2997),
    [anon_sym_LT_EQ] = ACTIONS(2999),
    [anon_sym_GT_EQ] = ACTIONS(2997),
    [anon_sym_lt] = ACTIONS(2997),
    [anon_sym_le] = ACTIONS(2997),
    [anon_sym_ge] = ACTIONS(2997),
    [anon_sym_gt] = ACTIONS(2997),
    [anon_sym_isa] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2997),
    [anon_sym_QMARK] = ACTIONS(2997),
    [anon_sym_EQ_GT] = ACTIONS(2997),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1446] = {
    [sym_heredoc_content] = STATE(1446),
    [anon_sym_RBRACE] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2865),
    [anon_sym_EQ] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_COMMA] = ACTIONS(2865),
    [anon_sym_RPAREN] = ACTIONS(2865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2865),
    [anon_sym_and] = ACTIONS(2865),
    [anon_sym_or] = ACTIONS(2865),
    [anon_sym_xor] = ACTIONS(2865),
    [anon_sym_RBRACK] = ACTIONS(2865),
    [anon_sym_DASH_GT] = ACTIONS(2865),
    [anon_sym_PERCENT] = ACTIONS(2867),
    [anon_sym_LT] = ACTIONS(2867),
    [anon_sym_GT] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2867),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2865),
    [anon_sym_PLUS_EQ] = ACTIONS(2865),
    [anon_sym_DASH_EQ] = ACTIONS(2865),
    [anon_sym_DOT_EQ] = ACTIONS(2865),
    [anon_sym_STAR_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_PERCENT_EQ] = ACTIONS(2865),
    [anon_sym_x_EQ] = ACTIONS(2865),
    [anon_sym_AMP_EQ] = ACTIONS(2865),
    [anon_sym_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_CARET_EQ] = ACTIONS(2865),
    [anon_sym_LT_LT_EQ] = ACTIONS(2865),
    [anon_sym_GT_GT_EQ] = ACTIONS(2865),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2865),
    [anon_sym_DOT_DOT] = ACTIONS(2867),
    [anon_sym_STAR_STAR] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_SLASH_SLASH] = ACTIONS(2867),
    [anon_sym_CARET_CARET] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_PIPE] = ACTIONS(2867),
    [anon_sym_CARET] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_GT_GT2] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_DOT] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_SLASH] = ACTIONS(2867),
    [anon_sym_x] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2865),
    [anon_sym_BANG_TILDE] = ACTIONS(2865),
    [anon_sym_EQ_EQ] = ACTIONS(2867),
    [anon_sym_BANG_EQ] = ACTIONS(2865),
    [anon_sym_eq] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2865),
    [anon_sym_equ] = ACTIONS(2865),
    [anon_sym_eqr] = ACTIONS(2865),
    [anon_sym_ne] = ACTIONS(2865),
    [anon_sym_LT_EQ_GT] = ACTIONS(2865),
    [anon_sym_cmp] = ACTIONS(2865),
    [anon_sym_TILDE_TILDE] = ACTIONS(2865),
    [anon_sym_LT_EQ] = ACTIONS(2867),
    [anon_sym_GT_EQ] = ACTIONS(2865),
    [anon_sym_lt] = ACTIONS(2865),
    [anon_sym_le] = ACTIONS(2865),
    [anon_sym_ge] = ACTIONS(2865),
    [anon_sym_gt] = ACTIONS(2865),
    [anon_sym_isa] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2865),
    [anon_sym_EQ_GT] = ACTIONS(2865),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1447] = {
    [sym_heredoc_content] = STATE(1447),
    [anon_sym_RBRACE] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym_EQ] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_COMMA] = ACTIONS(3126),
    [anon_sym_RPAREN] = ACTIONS(3126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3126),
    [anon_sym_and] = ACTIONS(3126),
    [anon_sym_or] = ACTIONS(3126),
    [anon_sym_xor] = ACTIONS(3126),
    [anon_sym_RBRACK] = ACTIONS(3126),
    [anon_sym_DASH_GT] = ACTIONS(3126),
    [anon_sym_PERCENT] = ACTIONS(3128),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_GT] = ACTIONS(3128),
    [anon_sym_LT_LT] = ACTIONS(3128),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3126),
    [anon_sym_PLUS_EQ] = ACTIONS(3126),
    [anon_sym_DASH_EQ] = ACTIONS(3126),
    [anon_sym_DOT_EQ] = ACTIONS(3126),
    [anon_sym_STAR_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_PERCENT_EQ] = ACTIONS(3126),
    [anon_sym_x_EQ] = ACTIONS(3126),
    [anon_sym_AMP_EQ] = ACTIONS(3126),
    [anon_sym_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_CARET_EQ] = ACTIONS(3126),
    [anon_sym_LT_LT_EQ] = ACTIONS(3126),
    [anon_sym_GT_GT_EQ] = ACTIONS(3126),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3126),
    [anon_sym_DOT_DOT] = ACTIONS(3128),
    [anon_sym_STAR_STAR] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE] = ACTIONS(3128),
    [anon_sym_SLASH_SLASH] = ACTIONS(3128),
    [anon_sym_CARET_CARET] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_GT_GT2] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3128),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_SLASH] = ACTIONS(3128),
    [anon_sym_x] = ACTIONS(3128),
    [anon_sym_EQ_TILDE] = ACTIONS(3126),
    [anon_sym_BANG_TILDE] = ACTIONS(3126),
    [anon_sym_EQ_EQ] = ACTIONS(3128),
    [anon_sym_BANG_EQ] = ACTIONS(3126),
    [anon_sym_eq] = ACTIONS(3128),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3126),
    [anon_sym_equ] = ACTIONS(3126),
    [anon_sym_eqr] = ACTIONS(3126),
    [anon_sym_ne] = ACTIONS(3126),
    [anon_sym_LT_EQ_GT] = ACTIONS(3126),
    [anon_sym_cmp] = ACTIONS(3126),
    [anon_sym_TILDE_TILDE] = ACTIONS(3126),
    [anon_sym_LT_EQ] = ACTIONS(3128),
    [anon_sym_GT_EQ] = ACTIONS(3126),
    [anon_sym_lt] = ACTIONS(3126),
    [anon_sym_le] = ACTIONS(3126),
    [anon_sym_ge] = ACTIONS(3126),
    [anon_sym_gt] = ACTIONS(3126),
    [anon_sym_isa] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_EQ_GT] = ACTIONS(3126),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1448] = {
    [sym_heredoc_content] = STATE(1448),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_COMMA] = ACTIONS(2945),
    [anon_sym_RPAREN] = ACTIONS(2945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2945),
    [anon_sym_and] = ACTIONS(2945),
    [anon_sym_or] = ACTIONS(2945),
    [anon_sym_xor] = ACTIONS(2945),
    [anon_sym_RBRACK] = ACTIONS(2945),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2947),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_DOT_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_x_EQ] = ACTIONS(2945),
    [anon_sym_AMP_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_EQ] = ACTIONS(2945),
    [anon_sym_CARET_EQ] = ACTIONS(2945),
    [anon_sym_LT_LT_EQ] = ACTIONS(2945),
    [anon_sym_GT_GT_EQ] = ACTIONS(2945),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(2947),
    [anon_sym_SLASH_SLASH] = ACTIONS(2947),
    [anon_sym_CARET_CARET] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_PIPE] = ACTIONS(2947),
    [anon_sym_CARET] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_GT_GT2] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_SLASH] = ACTIONS(2947),
    [anon_sym_x] = ACTIONS(2947),
    [anon_sym_EQ_TILDE] = ACTIONS(2945),
    [anon_sym_BANG_TILDE] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ] = ACTIONS(2945),
    [anon_sym_eq] = ACTIONS(2947),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_equ] = ACTIONS(2945),
    [anon_sym_eqr] = ACTIONS(2945),
    [anon_sym_ne] = ACTIONS(2945),
    [anon_sym_LT_EQ_GT] = ACTIONS(2945),
    [anon_sym_cmp] = ACTIONS(2945),
    [anon_sym_TILDE_TILDE] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_lt] = ACTIONS(2945),
    [anon_sym_le] = ACTIONS(2945),
    [anon_sym_ge] = ACTIONS(2945),
    [anon_sym_gt] = ACTIONS(2945),
    [anon_sym_isa] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(2945),
    [anon_sym_EQ_GT] = ACTIONS(2945),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1449] = {
    [sym_heredoc_content] = STATE(1449),
    [sym__identifier] = ACTIONS(2398),
    [anon_sym_COLON] = ACTIONS(2398),
    [anon_sym_DOLLAR] = ACTIONS(2400),
    [anon_sym_EQ] = ACTIONS(2398),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2400),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2400),
    [anon_sym_AT] = ACTIONS(2400),
    [anon_sym_COMMA] = ACTIONS(2400),
    [anon_sym_RPAREN] = ACTIONS(2400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2400),
    [anon_sym_DASH_GT] = ACTIONS(2400),
    [anon_sym_PERCENT] = ACTIONS(2398),
    [anon_sym_LT] = ACTIONS(2398),
    [anon_sym_GT] = ACTIONS(2398),
    [anon_sym_LT_LT] = ACTIONS(2398),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2400),
    [anon_sym_PLUS_EQ] = ACTIONS(2400),
    [anon_sym_DASH_EQ] = ACTIONS(2400),
    [anon_sym_DOT_EQ] = ACTIONS(2400),
    [anon_sym_STAR_EQ] = ACTIONS(2400),
    [anon_sym_SLASH_EQ] = ACTIONS(2400),
    [anon_sym_PERCENT_EQ] = ACTIONS(2398),
    [anon_sym_x_EQ] = ACTIONS(2400),
    [anon_sym_AMP_EQ] = ACTIONS(2400),
    [anon_sym_PIPE_EQ] = ACTIONS(2400),
    [anon_sym_CARET_EQ] = ACTIONS(2400),
    [anon_sym_LT_LT_EQ] = ACTIONS(2400),
    [anon_sym_GT_GT_EQ] = ACTIONS(2400),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2400),
    [anon_sym_DOT_DOT] = ACTIONS(2398),
    [anon_sym_STAR_STAR] = ACTIONS(2398),
    [anon_sym_PIPE_PIPE] = ACTIONS(2398),
    [anon_sym_SLASH_SLASH] = ACTIONS(2398),
    [anon_sym_CARET_CARET] = ACTIONS(2400),
    [anon_sym_AMP_AMP] = ACTIONS(2398),
    [anon_sym_PIPE] = ACTIONS(2398),
    [anon_sym_CARET] = ACTIONS(2398),
    [anon_sym_AMP] = ACTIONS(2398),
    [anon_sym_GT_GT2] = ACTIONS(2398),
    [anon_sym_PLUS] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2398),
    [anon_sym_DOT] = ACTIONS(2398),
    [anon_sym_STAR] = ACTIONS(2398),
    [anon_sym_SLASH] = ACTIONS(2398),
    [anon_sym_x] = ACTIONS(2398),
    [anon_sym_EQ_TILDE] = ACTIONS(2400),
    [anon_sym_BANG_TILDE] = ACTIONS(2400),
    [anon_sym_EQ_EQ] = ACTIONS(2398),
    [anon_sym_BANG_EQ] = ACTIONS(2400),
    [anon_sym_eq] = ACTIONS(2398),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2400),
    [anon_sym_equ] = ACTIONS(2398),
    [anon_sym_eqr] = ACTIONS(2398),
    [anon_sym_ne] = ACTIONS(2398),
    [anon_sym_LT_EQ_GT] = ACTIONS(2400),
    [anon_sym_cmp] = ACTIONS(2398),
    [anon_sym_TILDE_TILDE] = ACTIONS(2400),
    [anon_sym_LT_EQ] = ACTIONS(2398),
    [anon_sym_GT_EQ] = ACTIONS(2400),
    [anon_sym_lt] = ACTIONS(2398),
    [anon_sym_le] = ACTIONS(2398),
    [anon_sym_ge] = ACTIONS(2398),
    [anon_sym_gt] = ACTIONS(2398),
    [anon_sym_isa] = ACTIONS(2398),
    [anon_sym_PLUS_PLUS] = ACTIONS(2400),
    [anon_sym_DASH_DASH] = ACTIONS(2400),
    [anon_sym_QMARK] = ACTIONS(2400),
    [anon_sym_PERCENT2] = ACTIONS(2400),
    [anon_sym_EQ_GT] = ACTIONS(2400),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2398),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1450] = {
    [sym_heredoc_content] = STATE(1450),
    [anon_sym_RBRACE] = ACTIONS(3005),
    [anon_sym_SEMI] = ACTIONS(3005),
    [anon_sym_EQ] = ACTIONS(3007),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3005),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3005),
    [anon_sym_COMMA] = ACTIONS(3005),
    [anon_sym_RPAREN] = ACTIONS(3005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3005),
    [anon_sym_and] = ACTIONS(3005),
    [anon_sym_or] = ACTIONS(3005),
    [anon_sym_xor] = ACTIONS(3005),
    [anon_sym_RBRACK] = ACTIONS(3005),
    [anon_sym_DASH_GT] = ACTIONS(3005),
    [anon_sym_PERCENT] = ACTIONS(3007),
    [anon_sym_LT] = ACTIONS(3007),
    [anon_sym_GT] = ACTIONS(3007),
    [anon_sym_LT_LT] = ACTIONS(3007),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3005),
    [anon_sym_PLUS_EQ] = ACTIONS(3005),
    [anon_sym_DASH_EQ] = ACTIONS(3005),
    [anon_sym_DOT_EQ] = ACTIONS(3005),
    [anon_sym_STAR_EQ] = ACTIONS(3005),
    [anon_sym_SLASH_EQ] = ACTIONS(3005),
    [anon_sym_PERCENT_EQ] = ACTIONS(3005),
    [anon_sym_x_EQ] = ACTIONS(3005),
    [anon_sym_AMP_EQ] = ACTIONS(3005),
    [anon_sym_PIPE_EQ] = ACTIONS(3005),
    [anon_sym_CARET_EQ] = ACTIONS(3005),
    [anon_sym_LT_LT_EQ] = ACTIONS(3005),
    [anon_sym_GT_GT_EQ] = ACTIONS(3005),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3005),
    [anon_sym_DOT_DOT] = ACTIONS(3007),
    [anon_sym_STAR_STAR] = ACTIONS(3007),
    [anon_sym_PIPE_PIPE] = ACTIONS(3007),
    [anon_sym_SLASH_SLASH] = ACTIONS(3007),
    [anon_sym_CARET_CARET] = ACTIONS(3005),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_PIPE] = ACTIONS(3007),
    [anon_sym_CARET] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_GT_GT2] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_DOT] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_SLASH] = ACTIONS(3007),
    [anon_sym_x] = ACTIONS(3007),
    [anon_sym_EQ_TILDE] = ACTIONS(3005),
    [anon_sym_BANG_TILDE] = ACTIONS(3005),
    [anon_sym_EQ_EQ] = ACTIONS(3007),
    [anon_sym_BANG_EQ] = ACTIONS(3005),
    [anon_sym_eq] = ACTIONS(3007),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3005),
    [anon_sym_equ] = ACTIONS(3005),
    [anon_sym_eqr] = ACTIONS(3005),
    [anon_sym_ne] = ACTIONS(3005),
    [anon_sym_LT_EQ_GT] = ACTIONS(3005),
    [anon_sym_cmp] = ACTIONS(3005),
    [anon_sym_TILDE_TILDE] = ACTIONS(3005),
    [anon_sym_LT_EQ] = ACTIONS(3007),
    [anon_sym_GT_EQ] = ACTIONS(3005),
    [anon_sym_lt] = ACTIONS(3005),
    [anon_sym_le] = ACTIONS(3005),
    [anon_sym_ge] = ACTIONS(3005),
    [anon_sym_gt] = ACTIONS(3005),
    [anon_sym_isa] = ACTIONS(3005),
    [anon_sym_PLUS_PLUS] = ACTIONS(3005),
    [anon_sym_DASH_DASH] = ACTIONS(3005),
    [anon_sym_QMARK] = ACTIONS(3005),
    [anon_sym_EQ_GT] = ACTIONS(3005),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1451] = {
    [sym_heredoc_content] = STATE(1451),
    [sym__identifier] = ACTIONS(2316),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_DOLLAR] = ACTIONS(2311),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_AT] = ACTIONS(2311),
    [anon_sym_COMMA] = ACTIONS(2311),
    [anon_sym_RPAREN] = ACTIONS(2311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2311),
    [anon_sym_DASH_GT] = ACTIONS(2311),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2316),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2311),
    [anon_sym_PLUS_EQ] = ACTIONS(2311),
    [anon_sym_DASH_EQ] = ACTIONS(2311),
    [anon_sym_DOT_EQ] = ACTIONS(2311),
    [anon_sym_STAR_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_PERCENT_EQ] = ACTIONS(2316),
    [anon_sym_x_EQ] = ACTIONS(2311),
    [anon_sym_AMP_EQ] = ACTIONS(2311),
    [anon_sym_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_CARET_EQ] = ACTIONS(2311),
    [anon_sym_LT_LT_EQ] = ACTIONS(2311),
    [anon_sym_GT_GT_EQ] = ACTIONS(2311),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2311),
    [anon_sym_DOT_DOT] = ACTIONS(2316),
    [anon_sym_STAR_STAR] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_SLASH_SLASH] = ACTIONS(2316),
    [anon_sym_CARET_CARET] = ACTIONS(2311),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_GT_GT2] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_x] = ACTIONS(2316),
    [anon_sym_EQ_TILDE] = ACTIONS(2311),
    [anon_sym_BANG_TILDE] = ACTIONS(2311),
    [anon_sym_EQ_EQ] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2311),
    [anon_sym_eq] = ACTIONS(2316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2311),
    [anon_sym_equ] = ACTIONS(2316),
    [anon_sym_eqr] = ACTIONS(2316),
    [anon_sym_ne] = ACTIONS(2316),
    [anon_sym_LT_EQ_GT] = ACTIONS(2311),
    [anon_sym_cmp] = ACTIONS(2316),
    [anon_sym_TILDE_TILDE] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(2316),
    [anon_sym_GT_EQ] = ACTIONS(2311),
    [anon_sym_lt] = ACTIONS(2316),
    [anon_sym_le] = ACTIONS(2316),
    [anon_sym_ge] = ACTIONS(2316),
    [anon_sym_gt] = ACTIONS(2316),
    [anon_sym_isa] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2311),
    [anon_sym_QMARK] = ACTIONS(2311),
    [anon_sym_PERCENT2] = ACTIONS(2311),
    [anon_sym_EQ_GT] = ACTIONS(2311),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2316),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1452] = {
    [sym_heredoc_content] = STATE(1452),
    [anon_sym_RBRACE] = ACTIONS(3104),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym_EQ] = ACTIONS(3107),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_COMMA] = ACTIONS(3104),
    [anon_sym_RPAREN] = ACTIONS(3104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3104),
    [anon_sym_and] = ACTIONS(3104),
    [anon_sym_or] = ACTIONS(3104),
    [anon_sym_xor] = ACTIONS(3104),
    [anon_sym_RBRACK] = ACTIONS(3104),
    [anon_sym_DASH_GT] = ACTIONS(3104),
    [anon_sym_PERCENT] = ACTIONS(3107),
    [anon_sym_LT] = ACTIONS(3107),
    [anon_sym_GT] = ACTIONS(3107),
    [anon_sym_LT_LT] = ACTIONS(3107),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3104),
    [anon_sym_PLUS_EQ] = ACTIONS(3104),
    [anon_sym_DASH_EQ] = ACTIONS(3104),
    [anon_sym_DOT_EQ] = ACTIONS(3104),
    [anon_sym_STAR_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_PERCENT_EQ] = ACTIONS(3104),
    [anon_sym_x_EQ] = ACTIONS(3104),
    [anon_sym_AMP_EQ] = ACTIONS(3104),
    [anon_sym_PIPE_EQ] = ACTIONS(3104),
    [anon_sym_CARET_EQ] = ACTIONS(3104),
    [anon_sym_LT_LT_EQ] = ACTIONS(3104),
    [anon_sym_GT_GT_EQ] = ACTIONS(3104),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3104),
    [anon_sym_DOT_DOT] = ACTIONS(3107),
    [anon_sym_STAR_STAR] = ACTIONS(3107),
    [anon_sym_PIPE_PIPE] = ACTIONS(3107),
    [anon_sym_SLASH_SLASH] = ACTIONS(3107),
    [anon_sym_CARET_CARET] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3107),
    [anon_sym_PIPE] = ACTIONS(3107),
    [anon_sym_CARET] = ACTIONS(3107),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_GT_GT2] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_DOT] = ACTIONS(3107),
    [anon_sym_STAR] = ACTIONS(3107),
    [anon_sym_SLASH] = ACTIONS(3107),
    [anon_sym_x] = ACTIONS(3107),
    [anon_sym_EQ_TILDE] = ACTIONS(3104),
    [anon_sym_BANG_TILDE] = ACTIONS(3104),
    [anon_sym_EQ_EQ] = ACTIONS(3107),
    [anon_sym_BANG_EQ] = ACTIONS(3104),
    [anon_sym_eq] = ACTIONS(3107),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3104),
    [anon_sym_equ] = ACTIONS(3104),
    [anon_sym_eqr] = ACTIONS(3104),
    [anon_sym_ne] = ACTIONS(3104),
    [anon_sym_LT_EQ_GT] = ACTIONS(3104),
    [anon_sym_cmp] = ACTIONS(3104),
    [anon_sym_TILDE_TILDE] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3107),
    [anon_sym_GT_EQ] = ACTIONS(3104),
    [anon_sym_lt] = ACTIONS(3104),
    [anon_sym_le] = ACTIONS(3104),
    [anon_sym_ge] = ACTIONS(3104),
    [anon_sym_gt] = ACTIONS(3104),
    [anon_sym_isa] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_QMARK] = ACTIONS(3104),
    [anon_sym_EQ_GT] = ACTIONS(3104),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1453] = {
    [sym_heredoc_content] = STATE(1453),
    [anon_sym_RBRACE] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_COMMA] = ACTIONS(3040),
    [anon_sym_RPAREN] = ACTIONS(3040),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3040),
    [anon_sym_and] = ACTIONS(3040),
    [anon_sym_or] = ACTIONS(3040),
    [anon_sym_xor] = ACTIONS(3040),
    [anon_sym_RBRACK] = ACTIONS(3040),
    [anon_sym_DASH_GT] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3042),
    [anon_sym_LT] = ACTIONS(3042),
    [anon_sym_GT] = ACTIONS(3042),
    [anon_sym_LT_LT] = ACTIONS(3042),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3040),
    [anon_sym_DASH_EQ] = ACTIONS(3040),
    [anon_sym_DOT_EQ] = ACTIONS(3040),
    [anon_sym_STAR_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_PERCENT_EQ] = ACTIONS(3040),
    [anon_sym_x_EQ] = ACTIONS(3040),
    [anon_sym_AMP_EQ] = ACTIONS(3040),
    [anon_sym_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_CARET_EQ] = ACTIONS(3040),
    [anon_sym_LT_LT_EQ] = ACTIONS(3040),
    [anon_sym_GT_GT_EQ] = ACTIONS(3040),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3040),
    [anon_sym_DOT_DOT] = ACTIONS(3042),
    [anon_sym_STAR_STAR] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_SLASH_SLASH] = ACTIONS(3042),
    [anon_sym_CARET_CARET] = ACTIONS(3040),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_PIPE] = ACTIONS(3042),
    [anon_sym_CARET] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3042),
    [anon_sym_GT_GT2] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3042),
    [anon_sym_x] = ACTIONS(3042),
    [anon_sym_EQ_TILDE] = ACTIONS(3040),
    [anon_sym_BANG_TILDE] = ACTIONS(3040),
    [anon_sym_EQ_EQ] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_eq] = ACTIONS(3042),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3040),
    [anon_sym_equ] = ACTIONS(3040),
    [anon_sym_eqr] = ACTIONS(3040),
    [anon_sym_ne] = ACTIONS(3040),
    [anon_sym_LT_EQ_GT] = ACTIONS(3040),
    [anon_sym_cmp] = ACTIONS(3040),
    [anon_sym_TILDE_TILDE] = ACTIONS(3040),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3040),
    [anon_sym_lt] = ACTIONS(3040),
    [anon_sym_le] = ACTIONS(3040),
    [anon_sym_ge] = ACTIONS(3040),
    [anon_sym_gt] = ACTIONS(3040),
    [anon_sym_isa] = ACTIONS(3040),
    [anon_sym_PLUS_PLUS] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3040),
    [anon_sym_QMARK] = ACTIONS(3040),
    [anon_sym_EQ_GT] = ACTIONS(3040),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1454] = {
    [sym_heredoc_content] = STATE(1454),
    [sym__identifier] = ACTIONS(2348),
    [anon_sym_COLON] = ACTIONS(2348),
    [anon_sym_DOLLAR] = ACTIONS(2350),
    [anon_sym_EQ] = ACTIONS(2348),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_RPAREN] = ACTIONS(2350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2350),
    [anon_sym_DASH_GT] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2348),
    [anon_sym_LT] = ACTIONS(2348),
    [anon_sym_GT] = ACTIONS(2348),
    [anon_sym_LT_LT] = ACTIONS(2348),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2350),
    [anon_sym_PLUS_EQ] = ACTIONS(2350),
    [anon_sym_DASH_EQ] = ACTIONS(2350),
    [anon_sym_DOT_EQ] = ACTIONS(2350),
    [anon_sym_STAR_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT_EQ] = ACTIONS(2348),
    [anon_sym_x_EQ] = ACTIONS(2350),
    [anon_sym_AMP_EQ] = ACTIONS(2350),
    [anon_sym_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_CARET_EQ] = ACTIONS(2350),
    [anon_sym_LT_LT_EQ] = ACTIONS(2350),
    [anon_sym_GT_GT_EQ] = ACTIONS(2350),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2350),
    [anon_sym_DOT_DOT] = ACTIONS(2348),
    [anon_sym_STAR_STAR] = ACTIONS(2348),
    [anon_sym_PIPE_PIPE] = ACTIONS(2348),
    [anon_sym_SLASH_SLASH] = ACTIONS(2348),
    [anon_sym_CARET_CARET] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2348),
    [anon_sym_PIPE] = ACTIONS(2348),
    [anon_sym_CARET] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_GT_GT2] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2348),
    [anon_sym_DOT] = ACTIONS(2348),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_SLASH] = ACTIONS(2348),
    [anon_sym_x] = ACTIONS(2348),
    [anon_sym_EQ_TILDE] = ACTIONS(2350),
    [anon_sym_BANG_TILDE] = ACTIONS(2350),
    [anon_sym_EQ_EQ] = ACTIONS(2348),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_eq] = ACTIONS(2348),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2350),
    [anon_sym_equ] = ACTIONS(2348),
    [anon_sym_eqr] = ACTIONS(2348),
    [anon_sym_ne] = ACTIONS(2348),
    [anon_sym_LT_EQ_GT] = ACTIONS(2350),
    [anon_sym_cmp] = ACTIONS(2348),
    [anon_sym_TILDE_TILDE] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2348),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_lt] = ACTIONS(2348),
    [anon_sym_le] = ACTIONS(2348),
    [anon_sym_ge] = ACTIONS(2348),
    [anon_sym_gt] = ACTIONS(2348),
    [anon_sym_isa] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2350),
    [anon_sym_PERCENT2] = ACTIONS(2350),
    [anon_sym_EQ_GT] = ACTIONS(2350),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2348),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1455] = {
    [sym_heredoc_content] = STATE(1455),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3289),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_COMMA] = ACTIONS(3154),
    [anon_sym_RPAREN] = ACTIONS(3154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3293),
    [anon_sym_and] = ACTIONS(3154),
    [anon_sym_or] = ACTIONS(3154),
    [anon_sym_xor] = ACTIONS(3154),
    [anon_sym_RBRACK] = ACTIONS(3154),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_GT] = ACTIONS(3299),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3291),
    [anon_sym_PLUS_EQ] = ACTIONS(3291),
    [anon_sym_DASH_EQ] = ACTIONS(3291),
    [anon_sym_DOT_EQ] = ACTIONS(3291),
    [anon_sym_STAR_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_PERCENT_EQ] = ACTIONS(3291),
    [anon_sym_x_EQ] = ACTIONS(3291),
    [anon_sym_AMP_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_CARET_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT_EQ] = ACTIONS(3291),
    [anon_sym_GT_GT_EQ] = ACTIONS(3291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3291),
    [anon_sym_DOT_DOT] = ACTIONS(3303),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(3307),
    [anon_sym_SLASH_SLASH] = ACTIONS(3307),
    [anon_sym_CARET_CARET] = ACTIONS(3309),
    [anon_sym_AMP_AMP] = ACTIONS(3311),
    [anon_sym_PIPE] = ACTIONS(3313),
    [anon_sym_CARET] = ACTIONS(3313),
    [anon_sym_AMP] = ACTIONS(3315),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(3321),
    [anon_sym_BANG_EQ] = ACTIONS(3323),
    [anon_sym_eq] = ACTIONS(3321),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3323),
    [anon_sym_equ] = ACTIONS(3323),
    [anon_sym_eqr] = ACTIONS(3323),
    [anon_sym_ne] = ACTIONS(3323),
    [anon_sym_LT_EQ_GT] = ACTIONS(3325),
    [anon_sym_cmp] = ACTIONS(3325),
    [anon_sym_TILDE_TILDE] = ACTIONS(3325),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_EQ] = ACTIONS(3327),
    [anon_sym_lt] = ACTIONS(3327),
    [anon_sym_le] = ACTIONS(3327),
    [anon_sym_ge] = ACTIONS(3327),
    [anon_sym_gt] = ACTIONS(3327),
    [anon_sym_isa] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(3333),
    [anon_sym_EQ_GT] = ACTIONS(3154),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1456] = {
    [sym_heredoc_content] = STATE(1456),
    [anon_sym_RBRACE] = ACTIONS(3040),
    [anon_sym_SEMI] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_COMMA] = ACTIONS(3408),
    [anon_sym_RPAREN] = ACTIONS(3040),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3040),
    [anon_sym_and] = ACTIONS(3040),
    [anon_sym_or] = ACTIONS(3040),
    [anon_sym_xor] = ACTIONS(3040),
    [anon_sym_RBRACK] = ACTIONS(3040),
    [anon_sym_DASH_GT] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3042),
    [anon_sym_LT] = ACTIONS(3042),
    [anon_sym_GT] = ACTIONS(3042),
    [anon_sym_LT_LT] = ACTIONS(3042),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3040),
    [anon_sym_DASH_EQ] = ACTIONS(3040),
    [anon_sym_DOT_EQ] = ACTIONS(3040),
    [anon_sym_STAR_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_PERCENT_EQ] = ACTIONS(3040),
    [anon_sym_x_EQ] = ACTIONS(3040),
    [anon_sym_AMP_EQ] = ACTIONS(3040),
    [anon_sym_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_CARET_EQ] = ACTIONS(3040),
    [anon_sym_LT_LT_EQ] = ACTIONS(3040),
    [anon_sym_GT_GT_EQ] = ACTIONS(3040),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3040),
    [anon_sym_DOT_DOT] = ACTIONS(3042),
    [anon_sym_STAR_STAR] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_SLASH_SLASH] = ACTIONS(3042),
    [anon_sym_CARET_CARET] = ACTIONS(3040),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_PIPE] = ACTIONS(3042),
    [anon_sym_CARET] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3042),
    [anon_sym_GT_GT2] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3042),
    [anon_sym_x] = ACTIONS(3042),
    [anon_sym_EQ_TILDE] = ACTIONS(3040),
    [anon_sym_BANG_TILDE] = ACTIONS(3040),
    [anon_sym_EQ_EQ] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_eq] = ACTIONS(3042),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3040),
    [anon_sym_equ] = ACTIONS(3040),
    [anon_sym_eqr] = ACTIONS(3040),
    [anon_sym_ne] = ACTIONS(3040),
    [anon_sym_LT_EQ_GT] = ACTIONS(3040),
    [anon_sym_cmp] = ACTIONS(3040),
    [anon_sym_TILDE_TILDE] = ACTIONS(3040),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3040),
    [anon_sym_lt] = ACTIONS(3040),
    [anon_sym_le] = ACTIONS(3040),
    [anon_sym_ge] = ACTIONS(3040),
    [anon_sym_gt] = ACTIONS(3040),
    [anon_sym_isa] = ACTIONS(3040),
    [anon_sym_PLUS_PLUS] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3040),
    [anon_sym_QMARK] = ACTIONS(3040),
    [anon_sym_EQ_GT] = ACTIONS(3408),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1457] = {
    [sym_heredoc_content] = STATE(1457),
    [anon_sym_RBRACE] = ACTIONS(2717),
    [anon_sym_SEMI] = ACTIONS(2717),
    [anon_sym_EQ] = ACTIONS(2719),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2717),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2717),
    [anon_sym_COMMA] = ACTIONS(2717),
    [anon_sym_RPAREN] = ACTIONS(2717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2717),
    [anon_sym_and] = ACTIONS(2717),
    [anon_sym_or] = ACTIONS(2717),
    [anon_sym_xor] = ACTIONS(2717),
    [anon_sym_RBRACK] = ACTIONS(2717),
    [anon_sym_DASH_GT] = ACTIONS(2717),
    [anon_sym_PERCENT] = ACTIONS(2719),
    [anon_sym_LT] = ACTIONS(2719),
    [anon_sym_GT] = ACTIONS(2719),
    [anon_sym_LT_LT] = ACTIONS(2719),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2717),
    [anon_sym_PLUS_EQ] = ACTIONS(2717),
    [anon_sym_DASH_EQ] = ACTIONS(2717),
    [anon_sym_DOT_EQ] = ACTIONS(2717),
    [anon_sym_STAR_EQ] = ACTIONS(2717),
    [anon_sym_SLASH_EQ] = ACTIONS(2717),
    [anon_sym_PERCENT_EQ] = ACTIONS(2717),
    [anon_sym_x_EQ] = ACTIONS(2717),
    [anon_sym_AMP_EQ] = ACTIONS(2717),
    [anon_sym_PIPE_EQ] = ACTIONS(2717),
    [anon_sym_CARET_EQ] = ACTIONS(2717),
    [anon_sym_LT_LT_EQ] = ACTIONS(2717),
    [anon_sym_GT_GT_EQ] = ACTIONS(2717),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2717),
    [anon_sym_DOT_DOT] = ACTIONS(2719),
    [anon_sym_STAR_STAR] = ACTIONS(2719),
    [anon_sym_PIPE_PIPE] = ACTIONS(2719),
    [anon_sym_SLASH_SLASH] = ACTIONS(2719),
    [anon_sym_CARET_CARET] = ACTIONS(2717),
    [anon_sym_AMP_AMP] = ACTIONS(2719),
    [anon_sym_PIPE] = ACTIONS(2719),
    [anon_sym_CARET] = ACTIONS(2719),
    [anon_sym_AMP] = ACTIONS(2719),
    [anon_sym_GT_GT2] = ACTIONS(2719),
    [anon_sym_PLUS] = ACTIONS(2719),
    [anon_sym_DASH] = ACTIONS(2719),
    [anon_sym_DOT] = ACTIONS(2719),
    [anon_sym_STAR] = ACTIONS(2719),
    [anon_sym_SLASH] = ACTIONS(2719),
    [anon_sym_x] = ACTIONS(2719),
    [anon_sym_EQ_TILDE] = ACTIONS(2717),
    [anon_sym_BANG_TILDE] = ACTIONS(2717),
    [anon_sym_EQ_EQ] = ACTIONS(2719),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_eq] = ACTIONS(2719),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2717),
    [anon_sym_equ] = ACTIONS(2717),
    [anon_sym_eqr] = ACTIONS(2717),
    [anon_sym_ne] = ACTIONS(2717),
    [anon_sym_LT_EQ_GT] = ACTIONS(2717),
    [anon_sym_cmp] = ACTIONS(2717),
    [anon_sym_TILDE_TILDE] = ACTIONS(2717),
    [anon_sym_LT_EQ] = ACTIONS(2719),
    [anon_sym_GT_EQ] = ACTIONS(2717),
    [anon_sym_lt] = ACTIONS(2717),
    [anon_sym_le] = ACTIONS(2717),
    [anon_sym_ge] = ACTIONS(2717),
    [anon_sym_gt] = ACTIONS(2717),
    [anon_sym_isa] = ACTIONS(2717),
    [anon_sym_PLUS_PLUS] = ACTIONS(2717),
    [anon_sym_DASH_DASH] = ACTIONS(2717),
    [anon_sym_QMARK] = ACTIONS(2717),
    [anon_sym_EQ_GT] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1458] = {
    [sym_heredoc_content] = STATE(1458),
    [anon_sym_RBRACE] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3088),
    [anon_sym_EQ] = ACTIONS(3090),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3088),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3088),
    [anon_sym_COMMA] = ACTIONS(3088),
    [anon_sym_RPAREN] = ACTIONS(3088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3088),
    [anon_sym_and] = ACTIONS(3088),
    [anon_sym_or] = ACTIONS(3088),
    [anon_sym_xor] = ACTIONS(3088),
    [anon_sym_RBRACK] = ACTIONS(3088),
    [anon_sym_DASH_GT] = ACTIONS(3088),
    [anon_sym_PERCENT] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3090),
    [anon_sym_GT] = ACTIONS(3090),
    [anon_sym_LT_LT] = ACTIONS(3090),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3088),
    [anon_sym_PLUS_EQ] = ACTIONS(3088),
    [anon_sym_DASH_EQ] = ACTIONS(3088),
    [anon_sym_DOT_EQ] = ACTIONS(3088),
    [anon_sym_STAR_EQ] = ACTIONS(3088),
    [anon_sym_SLASH_EQ] = ACTIONS(3088),
    [anon_sym_PERCENT_EQ] = ACTIONS(3088),
    [anon_sym_x_EQ] = ACTIONS(3088),
    [anon_sym_AMP_EQ] = ACTIONS(3088),
    [anon_sym_PIPE_EQ] = ACTIONS(3088),
    [anon_sym_CARET_EQ] = ACTIONS(3088),
    [anon_sym_LT_LT_EQ] = ACTIONS(3088),
    [anon_sym_GT_GT_EQ] = ACTIONS(3088),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3088),
    [anon_sym_DOT_DOT] = ACTIONS(3090),
    [anon_sym_STAR_STAR] = ACTIONS(3090),
    [anon_sym_PIPE_PIPE] = ACTIONS(3090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3090),
    [anon_sym_CARET_CARET] = ACTIONS(3088),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_PIPE] = ACTIONS(3090),
    [anon_sym_CARET] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_GT_GT2] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_DOT] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_SLASH] = ACTIONS(3090),
    [anon_sym_x] = ACTIONS(3090),
    [anon_sym_EQ_TILDE] = ACTIONS(3088),
    [anon_sym_BANG_TILDE] = ACTIONS(3088),
    [anon_sym_EQ_EQ] = ACTIONS(3090),
    [anon_sym_BANG_EQ] = ACTIONS(3088),
    [anon_sym_eq] = ACTIONS(3090),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3088),
    [anon_sym_equ] = ACTIONS(3088),
    [anon_sym_eqr] = ACTIONS(3088),
    [anon_sym_ne] = ACTIONS(3088),
    [anon_sym_LT_EQ_GT] = ACTIONS(3088),
    [anon_sym_cmp] = ACTIONS(3088),
    [anon_sym_TILDE_TILDE] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3090),
    [anon_sym_GT_EQ] = ACTIONS(3088),
    [anon_sym_lt] = ACTIONS(3088),
    [anon_sym_le] = ACTIONS(3088),
    [anon_sym_ge] = ACTIONS(3088),
    [anon_sym_gt] = ACTIONS(3088),
    [anon_sym_isa] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3088),
    [anon_sym_QMARK] = ACTIONS(3088),
    [anon_sym_EQ_GT] = ACTIONS(3088),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1459] = {
    [sym_heredoc_content] = STATE(1459),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_COMMA] = ACTIONS(3062),
    [anon_sym_RPAREN] = ACTIONS(3062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_and] = ACTIONS(3062),
    [anon_sym_or] = ACTIONS(3062),
    [anon_sym_xor] = ACTIONS(3062),
    [anon_sym_RBRACK] = ACTIONS(3062),
    [anon_sym_DASH_GT] = ACTIONS(3062),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LT_LT] = ACTIONS(3064),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3062),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_DOT_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_x_EQ] = ACTIONS(3062),
    [anon_sym_AMP_EQ] = ACTIONS(3062),
    [anon_sym_PIPE_EQ] = ACTIONS(3062),
    [anon_sym_CARET_EQ] = ACTIONS(3062),
    [anon_sym_LT_LT_EQ] = ACTIONS(3062),
    [anon_sym_GT_GT_EQ] = ACTIONS(3062),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3062),
    [anon_sym_DOT_DOT] = ACTIONS(3064),
    [anon_sym_STAR_STAR] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_SLASH_SLASH] = ACTIONS(3064),
    [anon_sym_CARET_CARET] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3064),
    [anon_sym_PIPE] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_GT_GT2] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_x] = ACTIONS(3064),
    [anon_sym_EQ_TILDE] = ACTIONS(3062),
    [anon_sym_BANG_TILDE] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ] = ACTIONS(3062),
    [anon_sym_eq] = ACTIONS(3064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_equ] = ACTIONS(3062),
    [anon_sym_eqr] = ACTIONS(3062),
    [anon_sym_ne] = ACTIONS(3062),
    [anon_sym_LT_EQ_GT] = ACTIONS(3062),
    [anon_sym_cmp] = ACTIONS(3062),
    [anon_sym_TILDE_TILDE] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3064),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_lt] = ACTIONS(3062),
    [anon_sym_le] = ACTIONS(3062),
    [anon_sym_ge] = ACTIONS(3062),
    [anon_sym_gt] = ACTIONS(3062),
    [anon_sym_isa] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(3062),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1460] = {
    [sym_heredoc_content] = STATE(1460),
    [anon_sym_RBRACE] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym_EQ] = ACTIONS(3086),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3084),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3084),
    [anon_sym_COMMA] = ACTIONS(3084),
    [anon_sym_RPAREN] = ACTIONS(3084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3084),
    [anon_sym_and] = ACTIONS(3084),
    [anon_sym_or] = ACTIONS(3084),
    [anon_sym_xor] = ACTIONS(3084),
    [anon_sym_RBRACK] = ACTIONS(3084),
    [anon_sym_DASH_GT] = ACTIONS(3084),
    [anon_sym_PERCENT] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3086),
    [anon_sym_GT] = ACTIONS(3086),
    [anon_sym_LT_LT] = ACTIONS(3086),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3084),
    [anon_sym_PLUS_EQ] = ACTIONS(3084),
    [anon_sym_DASH_EQ] = ACTIONS(3084),
    [anon_sym_DOT_EQ] = ACTIONS(3084),
    [anon_sym_STAR_EQ] = ACTIONS(3084),
    [anon_sym_SLASH_EQ] = ACTIONS(3084),
    [anon_sym_PERCENT_EQ] = ACTIONS(3084),
    [anon_sym_x_EQ] = ACTIONS(3084),
    [anon_sym_AMP_EQ] = ACTIONS(3084),
    [anon_sym_PIPE_EQ] = ACTIONS(3084),
    [anon_sym_CARET_EQ] = ACTIONS(3084),
    [anon_sym_LT_LT_EQ] = ACTIONS(3084),
    [anon_sym_GT_GT_EQ] = ACTIONS(3084),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3084),
    [anon_sym_DOT_DOT] = ACTIONS(3086),
    [anon_sym_STAR_STAR] = ACTIONS(3086),
    [anon_sym_PIPE_PIPE] = ACTIONS(3086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3086),
    [anon_sym_CARET_CARET] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_CARET] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_GT_GT2] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3086),
    [anon_sym_DOT] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_SLASH] = ACTIONS(3086),
    [anon_sym_x] = ACTIONS(3086),
    [anon_sym_EQ_TILDE] = ACTIONS(3084),
    [anon_sym_BANG_TILDE] = ACTIONS(3084),
    [anon_sym_EQ_EQ] = ACTIONS(3086),
    [anon_sym_BANG_EQ] = ACTIONS(3084),
    [anon_sym_eq] = ACTIONS(3086),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3084),
    [anon_sym_equ] = ACTIONS(3084),
    [anon_sym_eqr] = ACTIONS(3084),
    [anon_sym_ne] = ACTIONS(3084),
    [anon_sym_LT_EQ_GT] = ACTIONS(3084),
    [anon_sym_cmp] = ACTIONS(3084),
    [anon_sym_TILDE_TILDE] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_EQ] = ACTIONS(3084),
    [anon_sym_lt] = ACTIONS(3084),
    [anon_sym_le] = ACTIONS(3084),
    [anon_sym_ge] = ACTIONS(3084),
    [anon_sym_gt] = ACTIONS(3084),
    [anon_sym_isa] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_QMARK] = ACTIONS(3084),
    [anon_sym_EQ_GT] = ACTIONS(3084),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1461] = {
    [sym_heredoc_content] = STATE(1461),
    [anon_sym_RBRACE] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_EQ] = ACTIONS(2951),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_COMMA] = ACTIONS(2949),
    [anon_sym_RPAREN] = ACTIONS(2949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2949),
    [anon_sym_and] = ACTIONS(2949),
    [anon_sym_or] = ACTIONS(2949),
    [anon_sym_xor] = ACTIONS(2949),
    [anon_sym_RBRACK] = ACTIONS(2949),
    [anon_sym_DASH_GT] = ACTIONS(2949),
    [anon_sym_PERCENT] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_LT_LT] = ACTIONS(2951),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2949),
    [anon_sym_PLUS_EQ] = ACTIONS(2949),
    [anon_sym_DASH_EQ] = ACTIONS(2949),
    [anon_sym_DOT_EQ] = ACTIONS(2949),
    [anon_sym_STAR_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_PERCENT_EQ] = ACTIONS(2949),
    [anon_sym_x_EQ] = ACTIONS(2949),
    [anon_sym_AMP_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_EQ] = ACTIONS(2949),
    [anon_sym_CARET_EQ] = ACTIONS(2949),
    [anon_sym_LT_LT_EQ] = ACTIONS(2949),
    [anon_sym_GT_GT_EQ] = ACTIONS(2949),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_STAR_STAR] = ACTIONS(2951),
    [anon_sym_PIPE_PIPE] = ACTIONS(2951),
    [anon_sym_SLASH_SLASH] = ACTIONS(2951),
    [anon_sym_CARET_CARET] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_PIPE] = ACTIONS(2951),
    [anon_sym_CARET] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_GT_GT2] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_x] = ACTIONS(2951),
    [anon_sym_EQ_TILDE] = ACTIONS(2949),
    [anon_sym_BANG_TILDE] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2949),
    [anon_sym_eq] = ACTIONS(2951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_equ] = ACTIONS(2949),
    [anon_sym_eqr] = ACTIONS(2949),
    [anon_sym_ne] = ACTIONS(2949),
    [anon_sym_LT_EQ_GT] = ACTIONS(2949),
    [anon_sym_cmp] = ACTIONS(2949),
    [anon_sym_TILDE_TILDE] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_lt] = ACTIONS(2949),
    [anon_sym_le] = ACTIONS(2949),
    [anon_sym_ge] = ACTIONS(2949),
    [anon_sym_gt] = ACTIONS(2949),
    [anon_sym_isa] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_QMARK] = ACTIONS(2949),
    [anon_sym_EQ_GT] = ACTIONS(2949),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1462] = {
    [sym_heredoc_content] = STATE(1462),
    [anon_sym_RBRACE] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2953),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(2953),
    [anon_sym_RPAREN] = ACTIONS(2953),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2953),
    [anon_sym_and] = ACTIONS(2953),
    [anon_sym_or] = ACTIONS(2953),
    [anon_sym_xor] = ACTIONS(2953),
    [anon_sym_RBRACK] = ACTIONS(2953),
    [anon_sym_DASH_GT] = ACTIONS(2953),
    [anon_sym_PERCENT] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_LT_LT] = ACTIONS(2955),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2953),
    [anon_sym_PLUS_EQ] = ACTIONS(2953),
    [anon_sym_DASH_EQ] = ACTIONS(2953),
    [anon_sym_DOT_EQ] = ACTIONS(2953),
    [anon_sym_STAR_EQ] = ACTIONS(2953),
    [anon_sym_SLASH_EQ] = ACTIONS(2953),
    [anon_sym_PERCENT_EQ] = ACTIONS(2953),
    [anon_sym_x_EQ] = ACTIONS(2953),
    [anon_sym_AMP_EQ] = ACTIONS(2953),
    [anon_sym_PIPE_EQ] = ACTIONS(2953),
    [anon_sym_CARET_EQ] = ACTIONS(2953),
    [anon_sym_LT_LT_EQ] = ACTIONS(2953),
    [anon_sym_GT_GT_EQ] = ACTIONS(2953),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2953),
    [anon_sym_DOT_DOT] = ACTIONS(2955),
    [anon_sym_STAR_STAR] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2955),
    [anon_sym_SLASH_SLASH] = ACTIONS(2955),
    [anon_sym_CARET_CARET] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_PIPE] = ACTIONS(2955),
    [anon_sym_CARET] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_GT_GT2] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2955),
    [anon_sym_x] = ACTIONS(2955),
    [anon_sym_EQ_TILDE] = ACTIONS(2953),
    [anon_sym_BANG_TILDE] = ACTIONS(2953),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ] = ACTIONS(2953),
    [anon_sym_eq] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2953),
    [anon_sym_equ] = ACTIONS(2953),
    [anon_sym_eqr] = ACTIONS(2953),
    [anon_sym_ne] = ACTIONS(2953),
    [anon_sym_LT_EQ_GT] = ACTIONS(2953),
    [anon_sym_cmp] = ACTIONS(2953),
    [anon_sym_TILDE_TILDE] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2955),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_lt] = ACTIONS(2953),
    [anon_sym_le] = ACTIONS(2953),
    [anon_sym_ge] = ACTIONS(2953),
    [anon_sym_gt] = ACTIONS(2953),
    [anon_sym_isa] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2953),
    [anon_sym_EQ_GT] = ACTIONS(2953),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1463] = {
    [sym_heredoc_content] = STATE(1463),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_COMMA] = ACTIONS(3110),
    [anon_sym_RPAREN] = ACTIONS(3110),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3110),
    [anon_sym_and] = ACTIONS(3110),
    [anon_sym_or] = ACTIONS(3110),
    [anon_sym_xor] = ACTIONS(3110),
    [anon_sym_RBRACK] = ACTIONS(3110),
    [anon_sym_DASH_GT] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3112),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [anon_sym_LT_LT] = ACTIONS(3112),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3110),
    [anon_sym_DASH_EQ] = ACTIONS(3110),
    [anon_sym_DOT_EQ] = ACTIONS(3110),
    [anon_sym_STAR_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_PERCENT_EQ] = ACTIONS(3110),
    [anon_sym_x_EQ] = ACTIONS(3110),
    [anon_sym_AMP_EQ] = ACTIONS(3110),
    [anon_sym_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_CARET_EQ] = ACTIONS(3110),
    [anon_sym_LT_LT_EQ] = ACTIONS(3110),
    [anon_sym_GT_GT_EQ] = ACTIONS(3110),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3110),
    [anon_sym_DOT_DOT] = ACTIONS(3112),
    [anon_sym_STAR_STAR] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_SLASH_SLASH] = ACTIONS(3112),
    [anon_sym_CARET_CARET] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_PIPE] = ACTIONS(3112),
    [anon_sym_CARET] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_GT_GT2] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3112),
    [anon_sym_x] = ACTIONS(3112),
    [anon_sym_EQ_TILDE] = ACTIONS(3110),
    [anon_sym_BANG_TILDE] = ACTIONS(3110),
    [anon_sym_EQ_EQ] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_eq] = ACTIONS(3112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3110),
    [anon_sym_equ] = ACTIONS(3110),
    [anon_sym_eqr] = ACTIONS(3110),
    [anon_sym_ne] = ACTIONS(3110),
    [anon_sym_LT_EQ_GT] = ACTIONS(3110),
    [anon_sym_cmp] = ACTIONS(3110),
    [anon_sym_TILDE_TILDE] = ACTIONS(3110),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3110),
    [anon_sym_lt] = ACTIONS(3110),
    [anon_sym_le] = ACTIONS(3110),
    [anon_sym_ge] = ACTIONS(3110),
    [anon_sym_gt] = ACTIONS(3110),
    [anon_sym_isa] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_QMARK] = ACTIONS(3110),
    [anon_sym_EQ_GT] = ACTIONS(3110),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1464] = {
    [sym_heredoc_content] = STATE(1464),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_COLON] = ACTIONS(1759),
    [anon_sym_DOLLAR] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1759),
    [anon_sym_AT] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(1759),
    [anon_sym_RPAREN] = ACTIONS(1759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_DASH_GT] = ACTIONS(1759),
    [anon_sym_PERCENT] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1759),
    [anon_sym_PLUS_EQ] = ACTIONS(1759),
    [anon_sym_DASH_EQ] = ACTIONS(1759),
    [anon_sym_DOT_EQ] = ACTIONS(1759),
    [anon_sym_STAR_EQ] = ACTIONS(1759),
    [anon_sym_SLASH_EQ] = ACTIONS(1759),
    [anon_sym_PERCENT_EQ] = ACTIONS(1755),
    [anon_sym_x_EQ] = ACTIONS(1759),
    [anon_sym_AMP_EQ] = ACTIONS(1759),
    [anon_sym_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_CARET_EQ] = ACTIONS(1759),
    [anon_sym_LT_LT_EQ] = ACTIONS(1759),
    [anon_sym_GT_GT_EQ] = ACTIONS(1759),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1759),
    [anon_sym_DOT_DOT] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH] = ACTIONS(1755),
    [anon_sym_CARET_CARET] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_GT_GT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1755),
    [anon_sym_x] = ACTIONS(1755),
    [anon_sym_EQ_TILDE] = ACTIONS(1759),
    [anon_sym_BANG_TILDE] = ACTIONS(1759),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1759),
    [anon_sym_eq] = ACTIONS(1755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1759),
    [anon_sym_equ] = ACTIONS(1759),
    [anon_sym_eqr] = ACTIONS(1759),
    [anon_sym_ne] = ACTIONS(1759),
    [anon_sym_LT_EQ_GT] = ACTIONS(1759),
    [anon_sym_cmp] = ACTIONS(1759),
    [anon_sym_TILDE_TILDE] = ACTIONS(1759),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1759),
    [anon_sym_lt] = ACTIONS(1759),
    [anon_sym_le] = ACTIONS(1759),
    [anon_sym_ge] = ACTIONS(1759),
    [anon_sym_gt] = ACTIONS(1759),
    [anon_sym_isa] = ACTIONS(1759),
    [anon_sym_PLUS_PLUS] = ACTIONS(1759),
    [anon_sym_DASH_DASH] = ACTIONS(1759),
    [anon_sym_QMARK] = ACTIONS(1759),
    [anon_sym_PERCENT2] = ACTIONS(1759),
    [anon_sym_EQ_GT] = ACTIONS(1759),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1465] = {
    [sym_heredoc_content] = STATE(1465),
    [anon_sym_RBRACE] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym_EQ] = ACTIONS(2959),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_COMMA] = ACTIONS(2957),
    [anon_sym_RPAREN] = ACTIONS(2957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2957),
    [anon_sym_and] = ACTIONS(2957),
    [anon_sym_or] = ACTIONS(2957),
    [anon_sym_xor] = ACTIONS(2957),
    [anon_sym_RBRACK] = ACTIONS(2957),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_PERCENT] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2959),
    [anon_sym_GT] = ACTIONS(2959),
    [anon_sym_LT_LT] = ACTIONS(2959),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2957),
    [anon_sym_PLUS_EQ] = ACTIONS(2957),
    [anon_sym_DASH_EQ] = ACTIONS(2957),
    [anon_sym_DOT_EQ] = ACTIONS(2957),
    [anon_sym_STAR_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_PERCENT_EQ] = ACTIONS(2957),
    [anon_sym_x_EQ] = ACTIONS(2957),
    [anon_sym_AMP_EQ] = ACTIONS(2957),
    [anon_sym_PIPE_EQ] = ACTIONS(2957),
    [anon_sym_CARET_EQ] = ACTIONS(2957),
    [anon_sym_LT_LT_EQ] = ACTIONS(2957),
    [anon_sym_GT_GT_EQ] = ACTIONS(2957),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2957),
    [anon_sym_DOT_DOT] = ACTIONS(2959),
    [anon_sym_STAR_STAR] = ACTIONS(2959),
    [anon_sym_PIPE_PIPE] = ACTIONS(2959),
    [anon_sym_SLASH_SLASH] = ACTIONS(2959),
    [anon_sym_CARET_CARET] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_PIPE] = ACTIONS(2959),
    [anon_sym_CARET] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_GT_GT2] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_DOT] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2959),
    [anon_sym_x] = ACTIONS(2959),
    [anon_sym_EQ_TILDE] = ACTIONS(2957),
    [anon_sym_BANG_TILDE] = ACTIONS(2957),
    [anon_sym_EQ_EQ] = ACTIONS(2959),
    [anon_sym_BANG_EQ] = ACTIONS(2957),
    [anon_sym_eq] = ACTIONS(2959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2957),
    [anon_sym_equ] = ACTIONS(2957),
    [anon_sym_eqr] = ACTIONS(2957),
    [anon_sym_ne] = ACTIONS(2957),
    [anon_sym_LT_EQ_GT] = ACTIONS(2957),
    [anon_sym_cmp] = ACTIONS(2957),
    [anon_sym_TILDE_TILDE] = ACTIONS(2957),
    [anon_sym_LT_EQ] = ACTIONS(2959),
    [anon_sym_GT_EQ] = ACTIONS(2957),
    [anon_sym_lt] = ACTIONS(2957),
    [anon_sym_le] = ACTIONS(2957),
    [anon_sym_ge] = ACTIONS(2957),
    [anon_sym_gt] = ACTIONS(2957),
    [anon_sym_isa] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_QMARK] = ACTIONS(2957),
    [anon_sym_EQ_GT] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1466] = {
    [sym_heredoc_content] = STATE(1466),
    [anon_sym_RBRACE] = ACTIONS(2701),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym_EQ] = ACTIONS(2703),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2701),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2701),
    [anon_sym_COMMA] = ACTIONS(2701),
    [anon_sym_RPAREN] = ACTIONS(2701),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2701),
    [anon_sym_and] = ACTIONS(2701),
    [anon_sym_or] = ACTIONS(2701),
    [anon_sym_xor] = ACTIONS(2701),
    [anon_sym_RBRACK] = ACTIONS(2701),
    [anon_sym_DASH_GT] = ACTIONS(2701),
    [anon_sym_PERCENT] = ACTIONS(2703),
    [anon_sym_LT] = ACTIONS(2703),
    [anon_sym_GT] = ACTIONS(2703),
    [anon_sym_LT_LT] = ACTIONS(2703),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2701),
    [anon_sym_PLUS_EQ] = ACTIONS(2701),
    [anon_sym_DASH_EQ] = ACTIONS(2701),
    [anon_sym_DOT_EQ] = ACTIONS(2701),
    [anon_sym_STAR_EQ] = ACTIONS(2701),
    [anon_sym_SLASH_EQ] = ACTIONS(2701),
    [anon_sym_PERCENT_EQ] = ACTIONS(2701),
    [anon_sym_x_EQ] = ACTIONS(2701),
    [anon_sym_AMP_EQ] = ACTIONS(2701),
    [anon_sym_PIPE_EQ] = ACTIONS(2701),
    [anon_sym_CARET_EQ] = ACTIONS(2701),
    [anon_sym_LT_LT_EQ] = ACTIONS(2701),
    [anon_sym_GT_GT_EQ] = ACTIONS(2701),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2701),
    [anon_sym_DOT_DOT] = ACTIONS(2703),
    [anon_sym_STAR_STAR] = ACTIONS(2703),
    [anon_sym_PIPE_PIPE] = ACTIONS(2703),
    [anon_sym_SLASH_SLASH] = ACTIONS(2703),
    [anon_sym_CARET_CARET] = ACTIONS(2701),
    [anon_sym_AMP_AMP] = ACTIONS(2703),
    [anon_sym_PIPE] = ACTIONS(2703),
    [anon_sym_CARET] = ACTIONS(2703),
    [anon_sym_AMP] = ACTIONS(2703),
    [anon_sym_GT_GT2] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_DOT] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2703),
    [anon_sym_SLASH] = ACTIONS(2703),
    [anon_sym_x] = ACTIONS(2703),
    [anon_sym_EQ_TILDE] = ACTIONS(2701),
    [anon_sym_BANG_TILDE] = ACTIONS(2701),
    [anon_sym_EQ_EQ] = ACTIONS(2703),
    [anon_sym_BANG_EQ] = ACTIONS(2701),
    [anon_sym_eq] = ACTIONS(2703),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2701),
    [anon_sym_equ] = ACTIONS(2701),
    [anon_sym_eqr] = ACTIONS(2701),
    [anon_sym_ne] = ACTIONS(2701),
    [anon_sym_LT_EQ_GT] = ACTIONS(2701),
    [anon_sym_cmp] = ACTIONS(2701),
    [anon_sym_TILDE_TILDE] = ACTIONS(2701),
    [anon_sym_LT_EQ] = ACTIONS(2703),
    [anon_sym_GT_EQ] = ACTIONS(2701),
    [anon_sym_lt] = ACTIONS(2701),
    [anon_sym_le] = ACTIONS(2701),
    [anon_sym_ge] = ACTIONS(2701),
    [anon_sym_gt] = ACTIONS(2701),
    [anon_sym_isa] = ACTIONS(2701),
    [anon_sym_PLUS_PLUS] = ACTIONS(2701),
    [anon_sym_DASH_DASH] = ACTIONS(2701),
    [anon_sym_QMARK] = ACTIONS(2701),
    [anon_sym_EQ_GT] = ACTIONS(2701),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1467] = {
    [sym_heredoc_content] = STATE(1467),
    [anon_sym_RBRACE] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_EQ] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_COMMA] = ACTIONS(3080),
    [anon_sym_RPAREN] = ACTIONS(3080),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3080),
    [anon_sym_and] = ACTIONS(3080),
    [anon_sym_or] = ACTIONS(3080),
    [anon_sym_xor] = ACTIONS(3080),
    [anon_sym_RBRACK] = ACTIONS(3080),
    [anon_sym_DASH_GT] = ACTIONS(3080),
    [anon_sym_PERCENT] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3082),
    [anon_sym_GT] = ACTIONS(3082),
    [anon_sym_LT_LT] = ACTIONS(3082),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_DOT_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_x_EQ] = ACTIONS(3080),
    [anon_sym_AMP_EQ] = ACTIONS(3080),
    [anon_sym_PIPE_EQ] = ACTIONS(3080),
    [anon_sym_CARET_EQ] = ACTIONS(3080),
    [anon_sym_LT_LT_EQ] = ACTIONS(3080),
    [anon_sym_GT_GT_EQ] = ACTIONS(3080),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3080),
    [anon_sym_DOT_DOT] = ACTIONS(3082),
    [anon_sym_STAR_STAR] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE] = ACTIONS(3082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3082),
    [anon_sym_CARET_CARET] = ACTIONS(3080),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_PIPE] = ACTIONS(3082),
    [anon_sym_CARET] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3082),
    [anon_sym_GT_GT2] = ACTIONS(3082),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_DOT] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_SLASH] = ACTIONS(3082),
    [anon_sym_x] = ACTIONS(3082),
    [anon_sym_EQ_TILDE] = ACTIONS(3080),
    [anon_sym_BANG_TILDE] = ACTIONS(3080),
    [anon_sym_EQ_EQ] = ACTIONS(3082),
    [anon_sym_BANG_EQ] = ACTIONS(3080),
    [anon_sym_eq] = ACTIONS(3082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3080),
    [anon_sym_equ] = ACTIONS(3080),
    [anon_sym_eqr] = ACTIONS(3080),
    [anon_sym_ne] = ACTIONS(3080),
    [anon_sym_LT_EQ_GT] = ACTIONS(3080),
    [anon_sym_cmp] = ACTIONS(3080),
    [anon_sym_TILDE_TILDE] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3082),
    [anon_sym_GT_EQ] = ACTIONS(3080),
    [anon_sym_lt] = ACTIONS(3080),
    [anon_sym_le] = ACTIONS(3080),
    [anon_sym_ge] = ACTIONS(3080),
    [anon_sym_gt] = ACTIONS(3080),
    [anon_sym_isa] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [anon_sym_QMARK] = ACTIONS(3080),
    [anon_sym_EQ_GT] = ACTIONS(3080),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1468] = {
    [sym_heredoc_content] = STATE(1468),
    [anon_sym_RBRACE] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2845),
    [anon_sym_RPAREN] = ACTIONS(2845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2845),
    [anon_sym_and] = ACTIONS(2845),
    [anon_sym_or] = ACTIONS(2845),
    [anon_sym_xor] = ACTIONS(2845),
    [anon_sym_RBRACK] = ACTIONS(2845),
    [anon_sym_DASH_GT] = ACTIONS(2845),
    [anon_sym_PERCENT] = ACTIONS(2847),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_GT] = ACTIONS(2847),
    [anon_sym_LT_LT] = ACTIONS(2847),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2845),
    [anon_sym_PLUS_EQ] = ACTIONS(2845),
    [anon_sym_DASH_EQ] = ACTIONS(2845),
    [anon_sym_DOT_EQ] = ACTIONS(2845),
    [anon_sym_STAR_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_PERCENT_EQ] = ACTIONS(2845),
    [anon_sym_x_EQ] = ACTIONS(2845),
    [anon_sym_AMP_EQ] = ACTIONS(2845),
    [anon_sym_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_CARET_EQ] = ACTIONS(2845),
    [anon_sym_LT_LT_EQ] = ACTIONS(2845),
    [anon_sym_GT_GT_EQ] = ACTIONS(2845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2845),
    [anon_sym_DOT_DOT] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_CARET_CARET] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_GT_GT2] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_DOT] = ACTIONS(2847),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_SLASH] = ACTIONS(2847),
    [anon_sym_x] = ACTIONS(2847),
    [anon_sym_EQ_TILDE] = ACTIONS(2845),
    [anon_sym_BANG_TILDE] = ACTIONS(2845),
    [anon_sym_EQ_EQ] = ACTIONS(2847),
    [anon_sym_BANG_EQ] = ACTIONS(2845),
    [anon_sym_eq] = ACTIONS(2847),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2845),
    [anon_sym_equ] = ACTIONS(2845),
    [anon_sym_eqr] = ACTIONS(2845),
    [anon_sym_ne] = ACTIONS(2845),
    [anon_sym_LT_EQ_GT] = ACTIONS(2845),
    [anon_sym_cmp] = ACTIONS(2845),
    [anon_sym_TILDE_TILDE] = ACTIONS(2845),
    [anon_sym_LT_EQ] = ACTIONS(2847),
    [anon_sym_GT_EQ] = ACTIONS(2845),
    [anon_sym_lt] = ACTIONS(2845),
    [anon_sym_le] = ACTIONS(2845),
    [anon_sym_ge] = ACTIONS(2845),
    [anon_sym_gt] = ACTIONS(2845),
    [anon_sym_isa] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(2845),
    [anon_sym_DASH_DASH] = ACTIONS(2845),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_EQ_GT] = ACTIONS(2845),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1469] = {
    [sym_heredoc_content] = STATE(1469),
    [anon_sym_RBRACE] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_and] = ACTIONS(2897),
    [anon_sym_or] = ACTIONS(2897),
    [anon_sym_xor] = ACTIONS(2897),
    [anon_sym_RBRACK] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(2897),
    [anon_sym_PERCENT] = ACTIONS(2899),
    [anon_sym_LT] = ACTIONS(2899),
    [anon_sym_GT] = ACTIONS(2899),
    [anon_sym_LT_LT] = ACTIONS(2899),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_DOT] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_SLASH] = ACTIONS(2899),
    [anon_sym_x] = ACTIONS(2899),
    [anon_sym_EQ_TILDE] = ACTIONS(2897),
    [anon_sym_BANG_TILDE] = ACTIONS(2897),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT_EQ] = ACTIONS(2899),
    [anon_sym_GT_EQ] = ACTIONS(2897),
    [anon_sym_lt] = ACTIONS(2897),
    [anon_sym_le] = ACTIONS(2897),
    [anon_sym_ge] = ACTIONS(2897),
    [anon_sym_gt] = ACTIONS(2897),
    [anon_sym_isa] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1470] = {
    [sym_heredoc_content] = STATE(1470),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_COLON] = ACTIONS(2424),
    [anon_sym_DOLLAR] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_AT] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(2424),
    [anon_sym_RPAREN] = ACTIONS(2424),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym_DASH_GT] = ACTIONS(2424),
    [anon_sym_PERCENT] = ACTIONS(2426),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_GT] = ACTIONS(2426),
    [anon_sym_LT_LT] = ACTIONS(2426),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(2424),
    [anon_sym_DASH_EQ] = ACTIONS(2424),
    [anon_sym_DOT_EQ] = ACTIONS(2424),
    [anon_sym_STAR_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_PERCENT_EQ] = ACTIONS(2426),
    [anon_sym_x_EQ] = ACTIONS(2424),
    [anon_sym_AMP_EQ] = ACTIONS(2424),
    [anon_sym_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_CARET_EQ] = ACTIONS(2424),
    [anon_sym_LT_LT_EQ] = ACTIONS(2424),
    [anon_sym_GT_GT_EQ] = ACTIONS(2424),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2424),
    [anon_sym_DOT_DOT] = ACTIONS(2426),
    [anon_sym_STAR_STAR] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH] = ACTIONS(2426),
    [anon_sym_CARET_CARET] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_PIPE] = ACTIONS(2426),
    [anon_sym_CARET] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_GT_GT2] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_DOT] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_SLASH] = ACTIONS(2426),
    [anon_sym_x] = ACTIONS(2426),
    [anon_sym_EQ_TILDE] = ACTIONS(2424),
    [anon_sym_BANG_TILDE] = ACTIONS(2424),
    [anon_sym_EQ_EQ] = ACTIONS(2426),
    [anon_sym_BANG_EQ] = ACTIONS(2424),
    [anon_sym_eq] = ACTIONS(2426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2424),
    [anon_sym_equ] = ACTIONS(2424),
    [anon_sym_eqr] = ACTIONS(2424),
    [anon_sym_ne] = ACTIONS(2424),
    [anon_sym_LT_EQ_GT] = ACTIONS(2424),
    [anon_sym_cmp] = ACTIONS(2424),
    [anon_sym_TILDE_TILDE] = ACTIONS(2424),
    [anon_sym_LT_EQ] = ACTIONS(2426),
    [anon_sym_GT_EQ] = ACTIONS(2424),
    [anon_sym_lt] = ACTIONS(2424),
    [anon_sym_le] = ACTIONS(2424),
    [anon_sym_ge] = ACTIONS(2424),
    [anon_sym_gt] = ACTIONS(2424),
    [anon_sym_isa] = ACTIONS(2424),
    [anon_sym_PLUS_PLUS] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(2424),
    [anon_sym_PERCENT2] = ACTIONS(2424),
    [anon_sym_EQ_GT] = ACTIONS(2424),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1471] = {
    [sym_heredoc_content] = STATE(1471),
    [anon_sym_RBRACE] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2901),
    [anon_sym_EQ] = ACTIONS(2903),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2901),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2901),
    [anon_sym_COMMA] = ACTIONS(2901),
    [anon_sym_RPAREN] = ACTIONS(2901),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2901),
    [anon_sym_and] = ACTIONS(2901),
    [anon_sym_or] = ACTIONS(2901),
    [anon_sym_xor] = ACTIONS(2901),
    [anon_sym_RBRACK] = ACTIONS(2901),
    [anon_sym_DASH_GT] = ACTIONS(2901),
    [anon_sym_PERCENT] = ACTIONS(2903),
    [anon_sym_LT] = ACTIONS(2903),
    [anon_sym_GT] = ACTIONS(2903),
    [anon_sym_LT_LT] = ACTIONS(2903),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2901),
    [anon_sym_PLUS_EQ] = ACTIONS(2901),
    [anon_sym_DASH_EQ] = ACTIONS(2901),
    [anon_sym_DOT_EQ] = ACTIONS(2901),
    [anon_sym_STAR_EQ] = ACTIONS(2901),
    [anon_sym_SLASH_EQ] = ACTIONS(2901),
    [anon_sym_PERCENT_EQ] = ACTIONS(2901),
    [anon_sym_x_EQ] = ACTIONS(2901),
    [anon_sym_AMP_EQ] = ACTIONS(2901),
    [anon_sym_PIPE_EQ] = ACTIONS(2901),
    [anon_sym_CARET_EQ] = ACTIONS(2901),
    [anon_sym_LT_LT_EQ] = ACTIONS(2901),
    [anon_sym_GT_GT_EQ] = ACTIONS(2901),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2901),
    [anon_sym_DOT_DOT] = ACTIONS(2903),
    [anon_sym_STAR_STAR] = ACTIONS(2903),
    [anon_sym_PIPE_PIPE] = ACTIONS(2903),
    [anon_sym_SLASH_SLASH] = ACTIONS(2903),
    [anon_sym_CARET_CARET] = ACTIONS(2901),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_PIPE] = ACTIONS(2903),
    [anon_sym_CARET] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym_GT_GT2] = ACTIONS(2903),
    [anon_sym_PLUS] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2903),
    [anon_sym_DOT] = ACTIONS(2903),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_SLASH] = ACTIONS(2903),
    [anon_sym_x] = ACTIONS(2903),
    [anon_sym_EQ_TILDE] = ACTIONS(2901),
    [anon_sym_BANG_TILDE] = ACTIONS(2901),
    [anon_sym_EQ_EQ] = ACTIONS(2903),
    [anon_sym_BANG_EQ] = ACTIONS(2901),
    [anon_sym_eq] = ACTIONS(2903),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2901),
    [anon_sym_equ] = ACTIONS(2901),
    [anon_sym_eqr] = ACTIONS(2901),
    [anon_sym_ne] = ACTIONS(2901),
    [anon_sym_LT_EQ_GT] = ACTIONS(2901),
    [anon_sym_cmp] = ACTIONS(2901),
    [anon_sym_TILDE_TILDE] = ACTIONS(2901),
    [anon_sym_LT_EQ] = ACTIONS(2903),
    [anon_sym_GT_EQ] = ACTIONS(2901),
    [anon_sym_lt] = ACTIONS(2901),
    [anon_sym_le] = ACTIONS(2901),
    [anon_sym_ge] = ACTIONS(2901),
    [anon_sym_gt] = ACTIONS(2901),
    [anon_sym_isa] = ACTIONS(2901),
    [anon_sym_PLUS_PLUS] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2901),
    [anon_sym_QMARK] = ACTIONS(2901),
    [anon_sym_EQ_GT] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1472] = {
    [sym_heredoc_content] = STATE(1472),
    [anon_sym_RBRACE] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(2983),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2981),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2981),
    [anon_sym_COMMA] = ACTIONS(2981),
    [anon_sym_RPAREN] = ACTIONS(2981),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2981),
    [anon_sym_and] = ACTIONS(2981),
    [anon_sym_or] = ACTIONS(2981),
    [anon_sym_xor] = ACTIONS(2981),
    [anon_sym_RBRACK] = ACTIONS(2981),
    [anon_sym_DASH_GT] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2983),
    [anon_sym_LT] = ACTIONS(2983),
    [anon_sym_GT] = ACTIONS(2983),
    [anon_sym_LT_LT] = ACTIONS(2983),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2981),
    [anon_sym_DASH_EQ] = ACTIONS(2981),
    [anon_sym_DOT_EQ] = ACTIONS(2981),
    [anon_sym_STAR_EQ] = ACTIONS(2981),
    [anon_sym_SLASH_EQ] = ACTIONS(2981),
    [anon_sym_PERCENT_EQ] = ACTIONS(2981),
    [anon_sym_x_EQ] = ACTIONS(2981),
    [anon_sym_AMP_EQ] = ACTIONS(2981),
    [anon_sym_PIPE_EQ] = ACTIONS(2981),
    [anon_sym_CARET_EQ] = ACTIONS(2981),
    [anon_sym_LT_LT_EQ] = ACTIONS(2981),
    [anon_sym_GT_GT_EQ] = ACTIONS(2981),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2981),
    [anon_sym_DOT_DOT] = ACTIONS(2983),
    [anon_sym_STAR_STAR] = ACTIONS(2983),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_SLASH_SLASH] = ACTIONS(2983),
    [anon_sym_CARET_CARET] = ACTIONS(2981),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2983),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2983),
    [anon_sym_GT_GT2] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2983),
    [anon_sym_x] = ACTIONS(2983),
    [anon_sym_EQ_TILDE] = ACTIONS(2981),
    [anon_sym_BANG_TILDE] = ACTIONS(2981),
    [anon_sym_EQ_EQ] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_eq] = ACTIONS(2983),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2981),
    [anon_sym_equ] = ACTIONS(2981),
    [anon_sym_eqr] = ACTIONS(2981),
    [anon_sym_ne] = ACTIONS(2981),
    [anon_sym_LT_EQ_GT] = ACTIONS(2981),
    [anon_sym_cmp] = ACTIONS(2981),
    [anon_sym_TILDE_TILDE] = ACTIONS(2981),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2981),
    [anon_sym_lt] = ACTIONS(2981),
    [anon_sym_le] = ACTIONS(2981),
    [anon_sym_ge] = ACTIONS(2981),
    [anon_sym_gt] = ACTIONS(2981),
    [anon_sym_isa] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2981),
    [anon_sym_QMARK] = ACTIONS(2981),
    [anon_sym_EQ_GT] = ACTIONS(2981),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1473] = {
    [sym_heredoc_content] = STATE(1473),
    [anon_sym_RBRACE] = ACTIONS(2849),
    [anon_sym_SEMI] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2849),
    [anon_sym_RPAREN] = ACTIONS(2849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2849),
    [anon_sym_and] = ACTIONS(2849),
    [anon_sym_or] = ACTIONS(2849),
    [anon_sym_xor] = ACTIONS(2849),
    [anon_sym_RBRACK] = ACTIONS(2849),
    [anon_sym_DASH_GT] = ACTIONS(2849),
    [anon_sym_PERCENT] = ACTIONS(2851),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_GT] = ACTIONS(2851),
    [anon_sym_LT_LT] = ACTIONS(2851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2849),
    [anon_sym_PLUS_EQ] = ACTIONS(2849),
    [anon_sym_DASH_EQ] = ACTIONS(2849),
    [anon_sym_DOT_EQ] = ACTIONS(2849),
    [anon_sym_STAR_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_PERCENT_EQ] = ACTIONS(2849),
    [anon_sym_x_EQ] = ACTIONS(2849),
    [anon_sym_AMP_EQ] = ACTIONS(2849),
    [anon_sym_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_CARET_EQ] = ACTIONS(2849),
    [anon_sym_LT_LT_EQ] = ACTIONS(2849),
    [anon_sym_GT_GT_EQ] = ACTIONS(2849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2849),
    [anon_sym_DOT_DOT] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH] = ACTIONS(2851),
    [anon_sym_CARET_CARET] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_CARET] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2851),
    [anon_sym_GT_GT2] = ACTIONS(2851),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2851),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_SLASH] = ACTIONS(2851),
    [anon_sym_x] = ACTIONS(2851),
    [anon_sym_EQ_TILDE] = ACTIONS(2849),
    [anon_sym_BANG_TILDE] = ACTIONS(2849),
    [anon_sym_EQ_EQ] = ACTIONS(2851),
    [anon_sym_BANG_EQ] = ACTIONS(2849),
    [anon_sym_eq] = ACTIONS(2851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2849),
    [anon_sym_equ] = ACTIONS(2849),
    [anon_sym_eqr] = ACTIONS(2849),
    [anon_sym_ne] = ACTIONS(2849),
    [anon_sym_LT_EQ_GT] = ACTIONS(2849),
    [anon_sym_cmp] = ACTIONS(2849),
    [anon_sym_TILDE_TILDE] = ACTIONS(2849),
    [anon_sym_LT_EQ] = ACTIONS(2851),
    [anon_sym_GT_EQ] = ACTIONS(2849),
    [anon_sym_lt] = ACTIONS(2849),
    [anon_sym_le] = ACTIONS(2849),
    [anon_sym_ge] = ACTIONS(2849),
    [anon_sym_gt] = ACTIONS(2849),
    [anon_sym_isa] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_EQ_GT] = ACTIONS(2849),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1474] = {
    [sym_heredoc_content] = STATE(1474),
    [anon_sym_RBRACE] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3001),
    [anon_sym_EQ] = ACTIONS(3003),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3001),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3001),
    [anon_sym_COMMA] = ACTIONS(3001),
    [anon_sym_RPAREN] = ACTIONS(3001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3001),
    [anon_sym_and] = ACTIONS(3001),
    [anon_sym_or] = ACTIONS(3001),
    [anon_sym_xor] = ACTIONS(3001),
    [anon_sym_RBRACK] = ACTIONS(3001),
    [anon_sym_DASH_GT] = ACTIONS(3001),
    [anon_sym_PERCENT] = ACTIONS(3003),
    [anon_sym_LT] = ACTIONS(3003),
    [anon_sym_GT] = ACTIONS(3003),
    [anon_sym_LT_LT] = ACTIONS(3003),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3001),
    [anon_sym_PLUS_EQ] = ACTIONS(3001),
    [anon_sym_DASH_EQ] = ACTIONS(3001),
    [anon_sym_DOT_EQ] = ACTIONS(3001),
    [anon_sym_STAR_EQ] = ACTIONS(3001),
    [anon_sym_SLASH_EQ] = ACTIONS(3001),
    [anon_sym_PERCENT_EQ] = ACTIONS(3001),
    [anon_sym_x_EQ] = ACTIONS(3001),
    [anon_sym_AMP_EQ] = ACTIONS(3001),
    [anon_sym_PIPE_EQ] = ACTIONS(3001),
    [anon_sym_CARET_EQ] = ACTIONS(3001),
    [anon_sym_LT_LT_EQ] = ACTIONS(3001),
    [anon_sym_GT_GT_EQ] = ACTIONS(3001),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3001),
    [anon_sym_DOT_DOT] = ACTIONS(3003),
    [anon_sym_STAR_STAR] = ACTIONS(3003),
    [anon_sym_PIPE_PIPE] = ACTIONS(3003),
    [anon_sym_SLASH_SLASH] = ACTIONS(3003),
    [anon_sym_CARET_CARET] = ACTIONS(3001),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_PIPE] = ACTIONS(3003),
    [anon_sym_CARET] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_GT_GT2] = ACTIONS(3003),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_DOT] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_SLASH] = ACTIONS(3003),
    [anon_sym_x] = ACTIONS(3003),
    [anon_sym_EQ_TILDE] = ACTIONS(3001),
    [anon_sym_BANG_TILDE] = ACTIONS(3001),
    [anon_sym_EQ_EQ] = ACTIONS(3003),
    [anon_sym_BANG_EQ] = ACTIONS(3001),
    [anon_sym_eq] = ACTIONS(3003),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3001),
    [anon_sym_equ] = ACTIONS(3001),
    [anon_sym_eqr] = ACTIONS(3001),
    [anon_sym_ne] = ACTIONS(3001),
    [anon_sym_LT_EQ_GT] = ACTIONS(3001),
    [anon_sym_cmp] = ACTIONS(3001),
    [anon_sym_TILDE_TILDE] = ACTIONS(3001),
    [anon_sym_LT_EQ] = ACTIONS(3003),
    [anon_sym_GT_EQ] = ACTIONS(3001),
    [anon_sym_lt] = ACTIONS(3001),
    [anon_sym_le] = ACTIONS(3001),
    [anon_sym_ge] = ACTIONS(3001),
    [anon_sym_gt] = ACTIONS(3001),
    [anon_sym_isa] = ACTIONS(3001),
    [anon_sym_PLUS_PLUS] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3001),
    [anon_sym_QMARK] = ACTIONS(3001),
    [anon_sym_EQ_GT] = ACTIONS(3001),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1475] = {
    [sym_heredoc_content] = STATE(1475),
    [anon_sym_RBRACE] = ACTIONS(3118),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_COMMA] = ACTIONS(3118),
    [anon_sym_RPAREN] = ACTIONS(3118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3118),
    [anon_sym_and] = ACTIONS(3118),
    [anon_sym_or] = ACTIONS(3118),
    [anon_sym_xor] = ACTIONS(3118),
    [anon_sym_RBRACK] = ACTIONS(3118),
    [anon_sym_DASH_GT] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3120),
    [anon_sym_LT] = ACTIONS(3120),
    [anon_sym_GT] = ACTIONS(3120),
    [anon_sym_LT_LT] = ACTIONS(3120),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3118),
    [anon_sym_DASH_EQ] = ACTIONS(3118),
    [anon_sym_DOT_EQ] = ACTIONS(3118),
    [anon_sym_STAR_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_PERCENT_EQ] = ACTIONS(3118),
    [anon_sym_x_EQ] = ACTIONS(3118),
    [anon_sym_AMP_EQ] = ACTIONS(3118),
    [anon_sym_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_CARET_EQ] = ACTIONS(3118),
    [anon_sym_LT_LT_EQ] = ACTIONS(3118),
    [anon_sym_GT_GT_EQ] = ACTIONS(3118),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3118),
    [anon_sym_DOT_DOT] = ACTIONS(3120),
    [anon_sym_STAR_STAR] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_SLASH_SLASH] = ACTIONS(3120),
    [anon_sym_CARET_CARET] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_PIPE] = ACTIONS(3120),
    [anon_sym_CARET] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_GT_GT2] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3120),
    [anon_sym_x] = ACTIONS(3120),
    [anon_sym_EQ_TILDE] = ACTIONS(3118),
    [anon_sym_BANG_TILDE] = ACTIONS(3118),
    [anon_sym_EQ_EQ] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_eq] = ACTIONS(3120),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3118),
    [anon_sym_equ] = ACTIONS(3118),
    [anon_sym_eqr] = ACTIONS(3118),
    [anon_sym_ne] = ACTIONS(3118),
    [anon_sym_LT_EQ_GT] = ACTIONS(3118),
    [anon_sym_cmp] = ACTIONS(3118),
    [anon_sym_TILDE_TILDE] = ACTIONS(3118),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3118),
    [anon_sym_lt] = ACTIONS(3118),
    [anon_sym_le] = ACTIONS(3118),
    [anon_sym_ge] = ACTIONS(3118),
    [anon_sym_gt] = ACTIONS(3118),
    [anon_sym_isa] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_QMARK] = ACTIONS(3118),
    [anon_sym_EQ_GT] = ACTIONS(3118),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1476] = {
    [sym_heredoc_content] = STATE(1476),
    [anon_sym_RBRACE] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2989),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(2989),
    [anon_sym_RPAREN] = ACTIONS(2989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2989),
    [anon_sym_and] = ACTIONS(2989),
    [anon_sym_or] = ACTIONS(2989),
    [anon_sym_xor] = ACTIONS(2989),
    [anon_sym_RBRACK] = ACTIONS(2989),
    [anon_sym_DASH_GT] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_LT] = ACTIONS(2991),
    [anon_sym_GT] = ACTIONS(2991),
    [anon_sym_LT_LT] = ACTIONS(2991),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2989),
    [anon_sym_DASH_EQ] = ACTIONS(2989),
    [anon_sym_DOT_EQ] = ACTIONS(2989),
    [anon_sym_STAR_EQ] = ACTIONS(2989),
    [anon_sym_SLASH_EQ] = ACTIONS(2989),
    [anon_sym_PERCENT_EQ] = ACTIONS(2989),
    [anon_sym_x_EQ] = ACTIONS(2989),
    [anon_sym_AMP_EQ] = ACTIONS(2989),
    [anon_sym_PIPE_EQ] = ACTIONS(2989),
    [anon_sym_CARET_EQ] = ACTIONS(2989),
    [anon_sym_LT_LT_EQ] = ACTIONS(2989),
    [anon_sym_GT_GT_EQ] = ACTIONS(2989),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2989),
    [anon_sym_DOT_DOT] = ACTIONS(2991),
    [anon_sym_STAR_STAR] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_SLASH_SLASH] = ACTIONS(2991),
    [anon_sym_CARET_CARET] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_PIPE] = ACTIONS(2991),
    [anon_sym_CARET] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_GT_GT2] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2991),
    [anon_sym_x] = ACTIONS(2991),
    [anon_sym_EQ_TILDE] = ACTIONS(2989),
    [anon_sym_BANG_TILDE] = ACTIONS(2989),
    [anon_sym_EQ_EQ] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_eq] = ACTIONS(2991),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2989),
    [anon_sym_equ] = ACTIONS(2989),
    [anon_sym_eqr] = ACTIONS(2989),
    [anon_sym_ne] = ACTIONS(2989),
    [anon_sym_LT_EQ_GT] = ACTIONS(2989),
    [anon_sym_cmp] = ACTIONS(2989),
    [anon_sym_TILDE_TILDE] = ACTIONS(2989),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2989),
    [anon_sym_lt] = ACTIONS(2989),
    [anon_sym_le] = ACTIONS(2989),
    [anon_sym_ge] = ACTIONS(2989),
    [anon_sym_gt] = ACTIONS(2989),
    [anon_sym_isa] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(2989),
    [anon_sym_EQ_GT] = ACTIONS(2989),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1477] = {
    [sym_heredoc_content] = STATE(1477),
    [anon_sym_RBRACE] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_COMMA] = ACTIONS(3146),
    [anon_sym_RPAREN] = ACTIONS(3146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3146),
    [anon_sym_and] = ACTIONS(3146),
    [anon_sym_or] = ACTIONS(3146),
    [anon_sym_xor] = ACTIONS(3146),
    [anon_sym_RBRACK] = ACTIONS(3146),
    [anon_sym_DASH_GT] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3148),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_GT] = ACTIONS(3148),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3146),
    [anon_sym_DASH_EQ] = ACTIONS(3146),
    [anon_sym_DOT_EQ] = ACTIONS(3146),
    [anon_sym_STAR_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_PERCENT_EQ] = ACTIONS(3146),
    [anon_sym_x_EQ] = ACTIONS(3146),
    [anon_sym_AMP_EQ] = ACTIONS(3146),
    [anon_sym_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_CARET_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT_EQ] = ACTIONS(3146),
    [anon_sym_GT_GT_EQ] = ACTIONS(3146),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3146),
    [anon_sym_DOT_DOT] = ACTIONS(3148),
    [anon_sym_STAR_STAR] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3148),
    [anon_sym_CARET_CARET] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_PIPE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3148),
    [anon_sym_GT_GT2] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_x] = ACTIONS(3148),
    [anon_sym_EQ_TILDE] = ACTIONS(3146),
    [anon_sym_BANG_TILDE] = ACTIONS(3146),
    [anon_sym_EQ_EQ] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_eq] = ACTIONS(3148),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3146),
    [anon_sym_equ] = ACTIONS(3146),
    [anon_sym_eqr] = ACTIONS(3146),
    [anon_sym_ne] = ACTIONS(3146),
    [anon_sym_LT_EQ_GT] = ACTIONS(3146),
    [anon_sym_cmp] = ACTIONS(3146),
    [anon_sym_TILDE_TILDE] = ACTIONS(3146),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_lt] = ACTIONS(3146),
    [anon_sym_le] = ACTIONS(3146),
    [anon_sym_ge] = ACTIONS(3146),
    [anon_sym_gt] = ACTIONS(3146),
    [anon_sym_isa] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_EQ_GT] = ACTIONS(3146),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1478] = {
    [sym_heredoc_content] = STATE(1478),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_COLON] = ACTIONS(2418),
    [anon_sym_DOLLAR] = ACTIONS(2418),
    [anon_sym_EQ] = ACTIONS(2420),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_AT] = ACTIONS(2418),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_RPAREN] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2418),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_DASH_GT] = ACTIONS(2418),
    [anon_sym_PERCENT] = ACTIONS(2420),
    [anon_sym_LT] = ACTIONS(2420),
    [anon_sym_GT] = ACTIONS(2420),
    [anon_sym_LT_LT] = ACTIONS(2420),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2418),
    [anon_sym_PLUS_EQ] = ACTIONS(2418),
    [anon_sym_DASH_EQ] = ACTIONS(2418),
    [anon_sym_DOT_EQ] = ACTIONS(2418),
    [anon_sym_STAR_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_PERCENT_EQ] = ACTIONS(2420),
    [anon_sym_x_EQ] = ACTIONS(2418),
    [anon_sym_AMP_EQ] = ACTIONS(2418),
    [anon_sym_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_CARET_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT_EQ] = ACTIONS(2418),
    [anon_sym_GT_GT_EQ] = ACTIONS(2418),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(2420),
    [anon_sym_STAR_STAR] = ACTIONS(2420),
    [anon_sym_PIPE_PIPE] = ACTIONS(2420),
    [anon_sym_SLASH_SLASH] = ACTIONS(2420),
    [anon_sym_CARET_CARET] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2420),
    [anon_sym_PIPE] = ACTIONS(2420),
    [anon_sym_CARET] = ACTIONS(2420),
    [anon_sym_AMP] = ACTIONS(2420),
    [anon_sym_GT_GT2] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_DOT] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2420),
    [anon_sym_SLASH] = ACTIONS(2420),
    [anon_sym_x] = ACTIONS(2420),
    [anon_sym_EQ_TILDE] = ACTIONS(2418),
    [anon_sym_BANG_TILDE] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2420),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_eq] = ACTIONS(2420),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_equ] = ACTIONS(2418),
    [anon_sym_eqr] = ACTIONS(2418),
    [anon_sym_ne] = ACTIONS(2418),
    [anon_sym_LT_EQ_GT] = ACTIONS(2418),
    [anon_sym_cmp] = ACTIONS(2418),
    [anon_sym_TILDE_TILDE] = ACTIONS(2418),
    [anon_sym_LT_EQ] = ACTIONS(2420),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_lt] = ACTIONS(2418),
    [anon_sym_le] = ACTIONS(2418),
    [anon_sym_ge] = ACTIONS(2418),
    [anon_sym_gt] = ACTIONS(2418),
    [anon_sym_isa] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_QMARK] = ACTIONS(2418),
    [anon_sym_PERCENT2] = ACTIONS(2418),
    [anon_sym_EQ_GT] = ACTIONS(2418),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1479] = {
    [sym_heredoc_content] = STATE(1479),
    [anon_sym_RBRACE] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1409),
    [anon_sym_COMMA] = ACTIONS(1409),
    [anon_sym_RPAREN] = ACTIONS(1409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1409),
    [anon_sym_and] = ACTIONS(1409),
    [anon_sym_or] = ACTIONS(1409),
    [anon_sym_xor] = ACTIONS(1409),
    [anon_sym_RBRACK] = ACTIONS(1409),
    [anon_sym_DASH_GT] = ACTIONS(1409),
    [anon_sym_PERCENT] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [anon_sym_LT_LT] = ACTIONS(1407),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1409),
    [anon_sym_PLUS_EQ] = ACTIONS(1409),
    [anon_sym_DASH_EQ] = ACTIONS(1409),
    [anon_sym_DOT_EQ] = ACTIONS(1409),
    [anon_sym_STAR_EQ] = ACTIONS(1409),
    [anon_sym_SLASH_EQ] = ACTIONS(1409),
    [anon_sym_PERCENT_EQ] = ACTIONS(1409),
    [anon_sym_x_EQ] = ACTIONS(1409),
    [anon_sym_AMP_EQ] = ACTIONS(1409),
    [anon_sym_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_CARET_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT_EQ] = ACTIONS(1409),
    [anon_sym_GT_GT_EQ] = ACTIONS(1409),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1409),
    [anon_sym_DOT_DOT] = ACTIONS(1407),
    [anon_sym_STAR_STAR] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH] = ACTIONS(1407),
    [anon_sym_CARET_CARET] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1407),
    [anon_sym_PIPE] = ACTIONS(1407),
    [anon_sym_CARET] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(1407),
    [anon_sym_GT_GT2] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_DOT] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_x] = ACTIONS(1407),
    [anon_sym_EQ_TILDE] = ACTIONS(1409),
    [anon_sym_BANG_TILDE] = ACTIONS(1409),
    [anon_sym_EQ_EQ] = ACTIONS(1407),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_eq] = ACTIONS(1407),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1409),
    [anon_sym_equ] = ACTIONS(1409),
    [anon_sym_eqr] = ACTIONS(1409),
    [anon_sym_ne] = ACTIONS(1409),
    [anon_sym_LT_EQ_GT] = ACTIONS(1409),
    [anon_sym_cmp] = ACTIONS(1409),
    [anon_sym_TILDE_TILDE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_lt] = ACTIONS(1409),
    [anon_sym_le] = ACTIONS(1409),
    [anon_sym_ge] = ACTIONS(1409),
    [anon_sym_gt] = ACTIONS(1409),
    [anon_sym_isa] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1409),
    [anon_sym_DASH_DASH] = ACTIONS(1409),
    [anon_sym_QMARK] = ACTIONS(1409),
    [anon_sym_EQ_GT] = ACTIONS(1409),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1480] = {
    [sym_heredoc_content] = STATE(1480),
    [anon_sym_RBRACE] = ACTIONS(3017),
    [anon_sym_SEMI] = ACTIONS(3017),
    [anon_sym_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3017),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3017),
    [anon_sym_COMMA] = ACTIONS(3017),
    [anon_sym_RPAREN] = ACTIONS(3017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3017),
    [anon_sym_and] = ACTIONS(3017),
    [anon_sym_or] = ACTIONS(3017),
    [anon_sym_xor] = ACTIONS(3017),
    [anon_sym_RBRACK] = ACTIONS(3017),
    [anon_sym_DASH_GT] = ACTIONS(3017),
    [anon_sym_PERCENT] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3019),
    [anon_sym_GT] = ACTIONS(3019),
    [anon_sym_LT_LT] = ACTIONS(3019),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3017),
    [anon_sym_PLUS_EQ] = ACTIONS(3017),
    [anon_sym_DASH_EQ] = ACTIONS(3017),
    [anon_sym_DOT_EQ] = ACTIONS(3017),
    [anon_sym_STAR_EQ] = ACTIONS(3017),
    [anon_sym_SLASH_EQ] = ACTIONS(3017),
    [anon_sym_PERCENT_EQ] = ACTIONS(3017),
    [anon_sym_x_EQ] = ACTIONS(3017),
    [anon_sym_AMP_EQ] = ACTIONS(3017),
    [anon_sym_PIPE_EQ] = ACTIONS(3017),
    [anon_sym_CARET_EQ] = ACTIONS(3017),
    [anon_sym_LT_LT_EQ] = ACTIONS(3017),
    [anon_sym_GT_GT_EQ] = ACTIONS(3017),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3017),
    [anon_sym_DOT_DOT] = ACTIONS(3019),
    [anon_sym_STAR_STAR] = ACTIONS(3019),
    [anon_sym_PIPE_PIPE] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH] = ACTIONS(3019),
    [anon_sym_CARET_CARET] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3019),
    [anon_sym_PIPE] = ACTIONS(3019),
    [anon_sym_CARET] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(3019),
    [anon_sym_GT_GT2] = ACTIONS(3019),
    [anon_sym_PLUS] = ACTIONS(3019),
    [anon_sym_DASH] = ACTIONS(3019),
    [anon_sym_DOT] = ACTIONS(3019),
    [anon_sym_STAR] = ACTIONS(3019),
    [anon_sym_SLASH] = ACTIONS(3019),
    [anon_sym_x] = ACTIONS(3019),
    [anon_sym_EQ_TILDE] = ACTIONS(3017),
    [anon_sym_BANG_TILDE] = ACTIONS(3017),
    [anon_sym_EQ_EQ] = ACTIONS(3019),
    [anon_sym_BANG_EQ] = ACTIONS(3017),
    [anon_sym_eq] = ACTIONS(3019),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3017),
    [anon_sym_equ] = ACTIONS(3017),
    [anon_sym_eqr] = ACTIONS(3017),
    [anon_sym_ne] = ACTIONS(3017),
    [anon_sym_LT_EQ_GT] = ACTIONS(3017),
    [anon_sym_cmp] = ACTIONS(3017),
    [anon_sym_TILDE_TILDE] = ACTIONS(3017),
    [anon_sym_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_EQ] = ACTIONS(3017),
    [anon_sym_lt] = ACTIONS(3017),
    [anon_sym_le] = ACTIONS(3017),
    [anon_sym_ge] = ACTIONS(3017),
    [anon_sym_gt] = ACTIONS(3017),
    [anon_sym_isa] = ACTIONS(3017),
    [anon_sym_PLUS_PLUS] = ACTIONS(3017),
    [anon_sym_DASH_DASH] = ACTIONS(3017),
    [anon_sym_QMARK] = ACTIONS(3017),
    [anon_sym_EQ_GT] = ACTIONS(3017),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1481] = {
    [sym_heredoc_content] = STATE(1481),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_EQ] = ACTIONS(3068),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_COMMA] = ACTIONS(3066),
    [anon_sym_RPAREN] = ACTIONS(3066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3066),
    [anon_sym_and] = ACTIONS(3066),
    [anon_sym_or] = ACTIONS(3066),
    [anon_sym_xor] = ACTIONS(3066),
    [anon_sym_RBRACK] = ACTIONS(3066),
    [anon_sym_DASH_GT] = ACTIONS(3066),
    [anon_sym_PERCENT] = ACTIONS(3068),
    [anon_sym_LT] = ACTIONS(3068),
    [anon_sym_GT] = ACTIONS(3068),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3066),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_DOT_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3066),
    [anon_sym_x_EQ] = ACTIONS(3066),
    [anon_sym_AMP_EQ] = ACTIONS(3066),
    [anon_sym_PIPE_EQ] = ACTIONS(3066),
    [anon_sym_CARET_EQ] = ACTIONS(3066),
    [anon_sym_LT_LT_EQ] = ACTIONS(3066),
    [anon_sym_GT_GT_EQ] = ACTIONS(3066),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3066),
    [anon_sym_DOT_DOT] = ACTIONS(3068),
    [anon_sym_STAR_STAR] = ACTIONS(3068),
    [anon_sym_PIPE_PIPE] = ACTIONS(3068),
    [anon_sym_SLASH_SLASH] = ACTIONS(3068),
    [anon_sym_CARET_CARET] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3068),
    [anon_sym_CARET] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_GT_GT2] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_DOT] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_SLASH] = ACTIONS(3068),
    [anon_sym_x] = ACTIONS(3068),
    [anon_sym_EQ_TILDE] = ACTIONS(3066),
    [anon_sym_BANG_TILDE] = ACTIONS(3066),
    [anon_sym_EQ_EQ] = ACTIONS(3068),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_eq] = ACTIONS(3068),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_equ] = ACTIONS(3066),
    [anon_sym_eqr] = ACTIONS(3066),
    [anon_sym_ne] = ACTIONS(3066),
    [anon_sym_LT_EQ_GT] = ACTIONS(3066),
    [anon_sym_cmp] = ACTIONS(3066),
    [anon_sym_TILDE_TILDE] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3068),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_lt] = ACTIONS(3066),
    [anon_sym_le] = ACTIONS(3066),
    [anon_sym_ge] = ACTIONS(3066),
    [anon_sym_gt] = ACTIONS(3066),
    [anon_sym_isa] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_QMARK] = ACTIONS(3066),
    [anon_sym_EQ_GT] = ACTIONS(3066),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1482] = {
    [sym_heredoc_content] = STATE(1482),
    [anon_sym_RBRACE] = ACTIONS(3070),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym_EQ] = ACTIONS(3072),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3070),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3070),
    [anon_sym_COMMA] = ACTIONS(3070),
    [anon_sym_RPAREN] = ACTIONS(3070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3070),
    [anon_sym_and] = ACTIONS(3070),
    [anon_sym_or] = ACTIONS(3070),
    [anon_sym_xor] = ACTIONS(3070),
    [anon_sym_RBRACK] = ACTIONS(3070),
    [anon_sym_DASH_GT] = ACTIONS(3070),
    [anon_sym_PERCENT] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3072),
    [anon_sym_GT] = ACTIONS(3072),
    [anon_sym_LT_LT] = ACTIONS(3072),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3070),
    [anon_sym_PLUS_EQ] = ACTIONS(3070),
    [anon_sym_DASH_EQ] = ACTIONS(3070),
    [anon_sym_DOT_EQ] = ACTIONS(3070),
    [anon_sym_STAR_EQ] = ACTIONS(3070),
    [anon_sym_SLASH_EQ] = ACTIONS(3070),
    [anon_sym_PERCENT_EQ] = ACTIONS(3070),
    [anon_sym_x_EQ] = ACTIONS(3070),
    [anon_sym_AMP_EQ] = ACTIONS(3070),
    [anon_sym_PIPE_EQ] = ACTIONS(3070),
    [anon_sym_CARET_EQ] = ACTIONS(3070),
    [anon_sym_LT_LT_EQ] = ACTIONS(3070),
    [anon_sym_GT_GT_EQ] = ACTIONS(3070),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3070),
    [anon_sym_DOT_DOT] = ACTIONS(3072),
    [anon_sym_STAR_STAR] = ACTIONS(3072),
    [anon_sym_PIPE_PIPE] = ACTIONS(3072),
    [anon_sym_SLASH_SLASH] = ACTIONS(3072),
    [anon_sym_CARET_CARET] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_GT_GT2] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3072),
    [anon_sym_x] = ACTIONS(3072),
    [anon_sym_EQ_TILDE] = ACTIONS(3070),
    [anon_sym_BANG_TILDE] = ACTIONS(3070),
    [anon_sym_EQ_EQ] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3070),
    [anon_sym_eq] = ACTIONS(3072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3070),
    [anon_sym_equ] = ACTIONS(3070),
    [anon_sym_eqr] = ACTIONS(3070),
    [anon_sym_ne] = ACTIONS(3070),
    [anon_sym_LT_EQ_GT] = ACTIONS(3070),
    [anon_sym_cmp] = ACTIONS(3070),
    [anon_sym_TILDE_TILDE] = ACTIONS(3070),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3070),
    [anon_sym_lt] = ACTIONS(3070),
    [anon_sym_le] = ACTIONS(3070),
    [anon_sym_ge] = ACTIONS(3070),
    [anon_sym_gt] = ACTIONS(3070),
    [anon_sym_isa] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_QMARK] = ACTIONS(3070),
    [anon_sym_EQ_GT] = ACTIONS(3070),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1483] = {
    [sym_heredoc_content] = STATE(1483),
    [anon_sym_RBRACE] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2973),
    [anon_sym_EQ] = ACTIONS(2975),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2973),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2973),
    [anon_sym_COMMA] = ACTIONS(2973),
    [anon_sym_RPAREN] = ACTIONS(2973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2973),
    [anon_sym_and] = ACTIONS(2973),
    [anon_sym_or] = ACTIONS(2973),
    [anon_sym_xor] = ACTIONS(2973),
    [anon_sym_RBRACK] = ACTIONS(2973),
    [anon_sym_DASH_GT] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2975),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_GT] = ACTIONS(2975),
    [anon_sym_LT_LT] = ACTIONS(2975),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2973),
    [anon_sym_PLUS_EQ] = ACTIONS(2973),
    [anon_sym_DASH_EQ] = ACTIONS(2973),
    [anon_sym_DOT_EQ] = ACTIONS(2973),
    [anon_sym_STAR_EQ] = ACTIONS(2973),
    [anon_sym_SLASH_EQ] = ACTIONS(2973),
    [anon_sym_PERCENT_EQ] = ACTIONS(2973),
    [anon_sym_x_EQ] = ACTIONS(2973),
    [anon_sym_AMP_EQ] = ACTIONS(2973),
    [anon_sym_PIPE_EQ] = ACTIONS(2973),
    [anon_sym_CARET_EQ] = ACTIONS(2973),
    [anon_sym_LT_LT_EQ] = ACTIONS(2973),
    [anon_sym_GT_GT_EQ] = ACTIONS(2973),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2973),
    [anon_sym_DOT_DOT] = ACTIONS(2975),
    [anon_sym_STAR_STAR] = ACTIONS(2975),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_SLASH_SLASH] = ACTIONS(2975),
    [anon_sym_CARET_CARET] = ACTIONS(2973),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_PIPE] = ACTIONS(2975),
    [anon_sym_CARET] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_GT_GT2] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2975),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2975),
    [anon_sym_x] = ACTIONS(2975),
    [anon_sym_EQ_TILDE] = ACTIONS(2973),
    [anon_sym_BANG_TILDE] = ACTIONS(2973),
    [anon_sym_EQ_EQ] = ACTIONS(2975),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_eq] = ACTIONS(2975),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2973),
    [anon_sym_equ] = ACTIONS(2973),
    [anon_sym_eqr] = ACTIONS(2973),
    [anon_sym_ne] = ACTIONS(2973),
    [anon_sym_LT_EQ_GT] = ACTIONS(2973),
    [anon_sym_cmp] = ACTIONS(2973),
    [anon_sym_TILDE_TILDE] = ACTIONS(2973),
    [anon_sym_LT_EQ] = ACTIONS(2975),
    [anon_sym_GT_EQ] = ACTIONS(2973),
    [anon_sym_lt] = ACTIONS(2973),
    [anon_sym_le] = ACTIONS(2973),
    [anon_sym_ge] = ACTIONS(2973),
    [anon_sym_gt] = ACTIONS(2973),
    [anon_sym_isa] = ACTIONS(2973),
    [anon_sym_PLUS_PLUS] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(2973),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1484] = {
    [sym_heredoc_content] = STATE(1484),
    [anon_sym_RBRACE] = ACTIONS(3074),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_COMMA] = ACTIONS(3074),
    [anon_sym_RPAREN] = ACTIONS(3074),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3074),
    [anon_sym_and] = ACTIONS(3074),
    [anon_sym_or] = ACTIONS(3074),
    [anon_sym_xor] = ACTIONS(3074),
    [anon_sym_RBRACK] = ACTIONS(3074),
    [anon_sym_DASH_GT] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3076),
    [anon_sym_LT] = ACTIONS(3076),
    [anon_sym_GT] = ACTIONS(3076),
    [anon_sym_LT_LT] = ACTIONS(3076),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3074),
    [anon_sym_DASH_EQ] = ACTIONS(3074),
    [anon_sym_DOT_EQ] = ACTIONS(3074),
    [anon_sym_STAR_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_PERCENT_EQ] = ACTIONS(3074),
    [anon_sym_x_EQ] = ACTIONS(3074),
    [anon_sym_AMP_EQ] = ACTIONS(3074),
    [anon_sym_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_CARET_EQ] = ACTIONS(3074),
    [anon_sym_LT_LT_EQ] = ACTIONS(3074),
    [anon_sym_GT_GT_EQ] = ACTIONS(3074),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3074),
    [anon_sym_DOT_DOT] = ACTIONS(3076),
    [anon_sym_STAR_STAR] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_SLASH_SLASH] = ACTIONS(3076),
    [anon_sym_CARET_CARET] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_CARET] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_GT_GT2] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3076),
    [anon_sym_x] = ACTIONS(3076),
    [anon_sym_EQ_TILDE] = ACTIONS(3074),
    [anon_sym_BANG_TILDE] = ACTIONS(3074),
    [anon_sym_EQ_EQ] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_eq] = ACTIONS(3076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3074),
    [anon_sym_equ] = ACTIONS(3074),
    [anon_sym_eqr] = ACTIONS(3074),
    [anon_sym_ne] = ACTIONS(3074),
    [anon_sym_LT_EQ_GT] = ACTIONS(3074),
    [anon_sym_cmp] = ACTIONS(3074),
    [anon_sym_TILDE_TILDE] = ACTIONS(3074),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3074),
    [anon_sym_lt] = ACTIONS(3074),
    [anon_sym_le] = ACTIONS(3074),
    [anon_sym_ge] = ACTIONS(3074),
    [anon_sym_gt] = ACTIONS(3074),
    [anon_sym_isa] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_QMARK] = ACTIONS(3074),
    [anon_sym_EQ_GT] = ACTIONS(3074),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1485] = {
    [sym_heredoc_content] = STATE(1485),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym_EQ] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2913),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2913),
    [anon_sym_COMMA] = ACTIONS(2913),
    [anon_sym_RPAREN] = ACTIONS(2913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2913),
    [anon_sym_and] = ACTIONS(2913),
    [anon_sym_or] = ACTIONS(2913),
    [anon_sym_xor] = ACTIONS(2913),
    [anon_sym_RBRACK] = ACTIONS(2913),
    [anon_sym_DASH_GT] = ACTIONS(2913),
    [anon_sym_PERCENT] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2915),
    [anon_sym_GT] = ACTIONS(2915),
    [anon_sym_LT_LT] = ACTIONS(2915),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2913),
    [anon_sym_PLUS_EQ] = ACTIONS(2913),
    [anon_sym_DASH_EQ] = ACTIONS(2913),
    [anon_sym_DOT_EQ] = ACTIONS(2913),
    [anon_sym_STAR_EQ] = ACTIONS(2913),
    [anon_sym_SLASH_EQ] = ACTIONS(2913),
    [anon_sym_PERCENT_EQ] = ACTIONS(2913),
    [anon_sym_x_EQ] = ACTIONS(2913),
    [anon_sym_AMP_EQ] = ACTIONS(2913),
    [anon_sym_PIPE_EQ] = ACTIONS(2913),
    [anon_sym_CARET_EQ] = ACTIONS(2913),
    [anon_sym_LT_LT_EQ] = ACTIONS(2913),
    [anon_sym_GT_GT_EQ] = ACTIONS(2913),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2913),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_STAR_STAR] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE] = ACTIONS(2915),
    [anon_sym_SLASH_SLASH] = ACTIONS(2915),
    [anon_sym_CARET_CARET] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_PIPE] = ACTIONS(2915),
    [anon_sym_CARET] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2915),
    [anon_sym_GT_GT2] = ACTIONS(2915),
    [anon_sym_PLUS] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2915),
    [anon_sym_DOT] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_x] = ACTIONS(2915),
    [anon_sym_EQ_TILDE] = ACTIONS(2913),
    [anon_sym_BANG_TILDE] = ACTIONS(2913),
    [anon_sym_EQ_EQ] = ACTIONS(2915),
    [anon_sym_BANG_EQ] = ACTIONS(2913),
    [anon_sym_eq] = ACTIONS(2915),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2913),
    [anon_sym_equ] = ACTIONS(2913),
    [anon_sym_eqr] = ACTIONS(2913),
    [anon_sym_ne] = ACTIONS(2913),
    [anon_sym_LT_EQ_GT] = ACTIONS(2913),
    [anon_sym_cmp] = ACTIONS(2913),
    [anon_sym_TILDE_TILDE] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(2915),
    [anon_sym_GT_EQ] = ACTIONS(2913),
    [anon_sym_lt] = ACTIONS(2913),
    [anon_sym_le] = ACTIONS(2913),
    [anon_sym_ge] = ACTIONS(2913),
    [anon_sym_gt] = ACTIONS(2913),
    [anon_sym_isa] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_QMARK] = ACTIONS(2913),
    [anon_sym_EQ_GT] = ACTIONS(2913),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1486] = {
    [sym_heredoc_content] = STATE(1486),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_RPAREN] = ACTIONS(2785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_xor] = ACTIONS(2785),
    [anon_sym_RBRACK] = ACTIONS(2785),
    [anon_sym_DASH_GT] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_DOT_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_x_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_SLASH_SLASH] = ACTIONS(2787),
    [anon_sym_CARET_CARET] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_GT_GT2] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2787),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_x] = ACTIONS(2787),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_eq] = ACTIONS(2787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_equ] = ACTIONS(2785),
    [anon_sym_eqr] = ACTIONS(2785),
    [anon_sym_ne] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_cmp] = ACTIONS(2785),
    [anon_sym_TILDE_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_lt] = ACTIONS(2785),
    [anon_sym_le] = ACTIONS(2785),
    [anon_sym_ge] = ACTIONS(2785),
    [anon_sym_gt] = ACTIONS(2785),
    [anon_sym_isa] = ACTIONS(2785),
    [anon_sym_PLUS_PLUS] = ACTIONS(2785),
    [anon_sym_DASH_DASH] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1487] = {
    [sym_heredoc_content] = STATE(1487),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_COMMA] = ACTIONS(3150),
    [anon_sym_RPAREN] = ACTIONS(3150),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3150),
    [anon_sym_and] = ACTIONS(3150),
    [anon_sym_or] = ACTIONS(3150),
    [anon_sym_xor] = ACTIONS(3150),
    [anon_sym_RBRACK] = ACTIONS(3150),
    [anon_sym_DASH_GT] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_GT] = ACTIONS(3152),
    [anon_sym_LT_LT] = ACTIONS(3152),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3150),
    [anon_sym_DASH_EQ] = ACTIONS(3150),
    [anon_sym_DOT_EQ] = ACTIONS(3150),
    [anon_sym_STAR_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_PERCENT_EQ] = ACTIONS(3150),
    [anon_sym_x_EQ] = ACTIONS(3150),
    [anon_sym_AMP_EQ] = ACTIONS(3150),
    [anon_sym_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_CARET_EQ] = ACTIONS(3150),
    [anon_sym_LT_LT_EQ] = ACTIONS(3150),
    [anon_sym_GT_GT_EQ] = ACTIONS(3150),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3150),
    [anon_sym_DOT_DOT] = ACTIONS(3152),
    [anon_sym_STAR_STAR] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_SLASH_SLASH] = ACTIONS(3152),
    [anon_sym_CARET_CARET] = ACTIONS(3150),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_GT_GT2] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_x] = ACTIONS(3152),
    [anon_sym_EQ_TILDE] = ACTIONS(3150),
    [anon_sym_BANG_TILDE] = ACTIONS(3150),
    [anon_sym_EQ_EQ] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_eq] = ACTIONS(3152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3150),
    [anon_sym_equ] = ACTIONS(3150),
    [anon_sym_eqr] = ACTIONS(3150),
    [anon_sym_ne] = ACTIONS(3150),
    [anon_sym_LT_EQ_GT] = ACTIONS(3150),
    [anon_sym_cmp] = ACTIONS(3150),
    [anon_sym_TILDE_TILDE] = ACTIONS(3150),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3150),
    [anon_sym_lt] = ACTIONS(3150),
    [anon_sym_le] = ACTIONS(3150),
    [anon_sym_ge] = ACTIONS(3150),
    [anon_sym_gt] = ACTIONS(3150),
    [anon_sym_isa] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_EQ_GT] = ACTIONS(3150),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1488] = {
    [sym_heredoc_content] = STATE(1488),
    [anon_sym_RBRACE] = ACTIONS(2801),
    [anon_sym_SEMI] = ACTIONS(2801),
    [anon_sym_EQ] = ACTIONS(2803),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2801),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2801),
    [anon_sym_COMMA] = ACTIONS(2801),
    [anon_sym_RPAREN] = ACTIONS(2801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2801),
    [anon_sym_and] = ACTIONS(2801),
    [anon_sym_or] = ACTIONS(2801),
    [anon_sym_xor] = ACTIONS(2801),
    [anon_sym_RBRACK] = ACTIONS(2801),
    [anon_sym_DASH_GT] = ACTIONS(2801),
    [anon_sym_PERCENT] = ACTIONS(2803),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_GT] = ACTIONS(2803),
    [anon_sym_LT_LT] = ACTIONS(2803),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2801),
    [anon_sym_PLUS_EQ] = ACTIONS(2801),
    [anon_sym_DASH_EQ] = ACTIONS(2801),
    [anon_sym_DOT_EQ] = ACTIONS(2801),
    [anon_sym_STAR_EQ] = ACTIONS(2801),
    [anon_sym_SLASH_EQ] = ACTIONS(2801),
    [anon_sym_PERCENT_EQ] = ACTIONS(2801),
    [anon_sym_x_EQ] = ACTIONS(2801),
    [anon_sym_AMP_EQ] = ACTIONS(2801),
    [anon_sym_PIPE_EQ] = ACTIONS(2801),
    [anon_sym_CARET_EQ] = ACTIONS(2801),
    [anon_sym_LT_LT_EQ] = ACTIONS(2801),
    [anon_sym_GT_GT_EQ] = ACTIONS(2801),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2801),
    [anon_sym_DOT_DOT] = ACTIONS(2803),
    [anon_sym_STAR_STAR] = ACTIONS(2803),
    [anon_sym_PIPE_PIPE] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH] = ACTIONS(2803),
    [anon_sym_CARET_CARET] = ACTIONS(2801),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_PIPE] = ACTIONS(2803),
    [anon_sym_CARET] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2803),
    [anon_sym_GT_GT2] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_DOT] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_SLASH] = ACTIONS(2803),
    [anon_sym_x] = ACTIONS(2803),
    [anon_sym_EQ_TILDE] = ACTIONS(2801),
    [anon_sym_BANG_TILDE] = ACTIONS(2801),
    [anon_sym_EQ_EQ] = ACTIONS(2803),
    [anon_sym_BANG_EQ] = ACTIONS(2801),
    [anon_sym_eq] = ACTIONS(2803),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2801),
    [anon_sym_equ] = ACTIONS(2801),
    [anon_sym_eqr] = ACTIONS(2801),
    [anon_sym_ne] = ACTIONS(2801),
    [anon_sym_LT_EQ_GT] = ACTIONS(2801),
    [anon_sym_cmp] = ACTIONS(2801),
    [anon_sym_TILDE_TILDE] = ACTIONS(2801),
    [anon_sym_LT_EQ] = ACTIONS(2803),
    [anon_sym_GT_EQ] = ACTIONS(2801),
    [anon_sym_lt] = ACTIONS(2801),
    [anon_sym_le] = ACTIONS(2801),
    [anon_sym_ge] = ACTIONS(2801),
    [anon_sym_gt] = ACTIONS(2801),
    [anon_sym_isa] = ACTIONS(2801),
    [anon_sym_PLUS_PLUS] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2801),
    [anon_sym_QMARK] = ACTIONS(2801),
    [anon_sym_EQ_GT] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1489] = {
    [sym_heredoc_content] = STATE(1489),
    [anon_sym_RBRACE] = ACTIONS(2733),
    [anon_sym_SEMI] = ACTIONS(2733),
    [anon_sym_EQ] = ACTIONS(2735),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2733),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2733),
    [anon_sym_COMMA] = ACTIONS(2733),
    [anon_sym_RPAREN] = ACTIONS(2733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2733),
    [anon_sym_and] = ACTIONS(2733),
    [anon_sym_or] = ACTIONS(2733),
    [anon_sym_xor] = ACTIONS(2733),
    [anon_sym_RBRACK] = ACTIONS(2733),
    [anon_sym_DASH_GT] = ACTIONS(2733),
    [anon_sym_PERCENT] = ACTIONS(2735),
    [anon_sym_LT] = ACTIONS(2735),
    [anon_sym_GT] = ACTIONS(2735),
    [anon_sym_LT_LT] = ACTIONS(2735),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2733),
    [anon_sym_PLUS_EQ] = ACTIONS(2733),
    [anon_sym_DASH_EQ] = ACTIONS(2733),
    [anon_sym_DOT_EQ] = ACTIONS(2733),
    [anon_sym_STAR_EQ] = ACTIONS(2733),
    [anon_sym_SLASH_EQ] = ACTIONS(2733),
    [anon_sym_PERCENT_EQ] = ACTIONS(2733),
    [anon_sym_x_EQ] = ACTIONS(2733),
    [anon_sym_AMP_EQ] = ACTIONS(2733),
    [anon_sym_PIPE_EQ] = ACTIONS(2733),
    [anon_sym_CARET_EQ] = ACTIONS(2733),
    [anon_sym_LT_LT_EQ] = ACTIONS(2733),
    [anon_sym_GT_GT_EQ] = ACTIONS(2733),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2733),
    [anon_sym_DOT_DOT] = ACTIONS(2735),
    [anon_sym_STAR_STAR] = ACTIONS(2735),
    [anon_sym_PIPE_PIPE] = ACTIONS(2735),
    [anon_sym_SLASH_SLASH] = ACTIONS(2735),
    [anon_sym_CARET_CARET] = ACTIONS(2733),
    [anon_sym_AMP_AMP] = ACTIONS(2735),
    [anon_sym_PIPE] = ACTIONS(2735),
    [anon_sym_CARET] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym_GT_GT2] = ACTIONS(2735),
    [anon_sym_PLUS] = ACTIONS(2735),
    [anon_sym_DASH] = ACTIONS(2735),
    [anon_sym_DOT] = ACTIONS(2735),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_SLASH] = ACTIONS(2735),
    [anon_sym_x] = ACTIONS(2735),
    [anon_sym_EQ_TILDE] = ACTIONS(2733),
    [anon_sym_BANG_TILDE] = ACTIONS(2733),
    [anon_sym_EQ_EQ] = ACTIONS(2735),
    [anon_sym_BANG_EQ] = ACTIONS(2733),
    [anon_sym_eq] = ACTIONS(2735),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2733),
    [anon_sym_equ] = ACTIONS(2733),
    [anon_sym_eqr] = ACTIONS(2733),
    [anon_sym_ne] = ACTIONS(2733),
    [anon_sym_LT_EQ_GT] = ACTIONS(2733),
    [anon_sym_cmp] = ACTIONS(2733),
    [anon_sym_TILDE_TILDE] = ACTIONS(2733),
    [anon_sym_LT_EQ] = ACTIONS(2735),
    [anon_sym_GT_EQ] = ACTIONS(2733),
    [anon_sym_lt] = ACTIONS(2733),
    [anon_sym_le] = ACTIONS(2733),
    [anon_sym_ge] = ACTIONS(2733),
    [anon_sym_gt] = ACTIONS(2733),
    [anon_sym_isa] = ACTIONS(2733),
    [anon_sym_PLUS_PLUS] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2733),
    [anon_sym_QMARK] = ACTIONS(2733),
    [anon_sym_EQ_GT] = ACTIONS(2733),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1490] = {
    [sym_heredoc_content] = STATE(1490),
    [anon_sym_RBRACE] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1409),
    [anon_sym_COMMA] = ACTIONS(1409),
    [anon_sym_RPAREN] = ACTIONS(1409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1409),
    [anon_sym_and] = ACTIONS(1409),
    [anon_sym_or] = ACTIONS(1409),
    [anon_sym_xor] = ACTIONS(1409),
    [anon_sym_RBRACK] = ACTIONS(1409),
    [anon_sym_DASH_GT] = ACTIONS(1409),
    [anon_sym_PERCENT] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [anon_sym_LT_LT] = ACTIONS(1407),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1409),
    [anon_sym_PLUS_EQ] = ACTIONS(1409),
    [anon_sym_DASH_EQ] = ACTIONS(1409),
    [anon_sym_DOT_EQ] = ACTIONS(1409),
    [anon_sym_STAR_EQ] = ACTIONS(1409),
    [anon_sym_SLASH_EQ] = ACTIONS(1409),
    [anon_sym_PERCENT_EQ] = ACTIONS(1409),
    [anon_sym_x_EQ] = ACTIONS(1409),
    [anon_sym_AMP_EQ] = ACTIONS(1409),
    [anon_sym_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_CARET_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT_EQ] = ACTIONS(1409),
    [anon_sym_GT_GT_EQ] = ACTIONS(1409),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1409),
    [anon_sym_DOT_DOT] = ACTIONS(1407),
    [anon_sym_STAR_STAR] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH] = ACTIONS(1407),
    [anon_sym_CARET_CARET] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1407),
    [anon_sym_PIPE] = ACTIONS(1407),
    [anon_sym_CARET] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(1407),
    [anon_sym_GT_GT2] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_DOT] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_x] = ACTIONS(1407),
    [anon_sym_EQ_TILDE] = ACTIONS(1409),
    [anon_sym_BANG_TILDE] = ACTIONS(1409),
    [anon_sym_EQ_EQ] = ACTIONS(1407),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_eq] = ACTIONS(1407),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1409),
    [anon_sym_equ] = ACTIONS(1409),
    [anon_sym_eqr] = ACTIONS(1409),
    [anon_sym_ne] = ACTIONS(1409),
    [anon_sym_LT_EQ_GT] = ACTIONS(1409),
    [anon_sym_cmp] = ACTIONS(1409),
    [anon_sym_TILDE_TILDE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_lt] = ACTIONS(1409),
    [anon_sym_le] = ACTIONS(1409),
    [anon_sym_ge] = ACTIONS(1409),
    [anon_sym_gt] = ACTIONS(1409),
    [anon_sym_isa] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1409),
    [anon_sym_DASH_DASH] = ACTIONS(1409),
    [anon_sym_QMARK] = ACTIONS(1409),
    [anon_sym_EQ_GT] = ACTIONS(1409),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1491] = {
    [sym_heredoc_content] = STATE(1491),
    [anon_sym_RBRACE] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2813),
    [anon_sym_EQ] = ACTIONS(2815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2813),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2813),
    [anon_sym_COMMA] = ACTIONS(2813),
    [anon_sym_RPAREN] = ACTIONS(2813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2813),
    [anon_sym_and] = ACTIONS(2813),
    [anon_sym_or] = ACTIONS(2813),
    [anon_sym_xor] = ACTIONS(2813),
    [anon_sym_RBRACK] = ACTIONS(2813),
    [anon_sym_DASH_GT] = ACTIONS(2813),
    [anon_sym_PERCENT] = ACTIONS(2815),
    [anon_sym_LT] = ACTIONS(2815),
    [anon_sym_GT] = ACTIONS(2815),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2813),
    [anon_sym_PLUS_EQ] = ACTIONS(2813),
    [anon_sym_DASH_EQ] = ACTIONS(2813),
    [anon_sym_DOT_EQ] = ACTIONS(2813),
    [anon_sym_STAR_EQ] = ACTIONS(2813),
    [anon_sym_SLASH_EQ] = ACTIONS(2813),
    [anon_sym_PERCENT_EQ] = ACTIONS(2813),
    [anon_sym_x_EQ] = ACTIONS(2813),
    [anon_sym_AMP_EQ] = ACTIONS(2813),
    [anon_sym_PIPE_EQ] = ACTIONS(2813),
    [anon_sym_CARET_EQ] = ACTIONS(2813),
    [anon_sym_LT_LT_EQ] = ACTIONS(2813),
    [anon_sym_GT_GT_EQ] = ACTIONS(2813),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2813),
    [anon_sym_DOT_DOT] = ACTIONS(2815),
    [anon_sym_STAR_STAR] = ACTIONS(2815),
    [anon_sym_PIPE_PIPE] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH] = ACTIONS(2815),
    [anon_sym_CARET_CARET] = ACTIONS(2813),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_PIPE] = ACTIONS(2815),
    [anon_sym_CARET] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_GT_GT2] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_SLASH] = ACTIONS(2815),
    [anon_sym_x] = ACTIONS(2815),
    [anon_sym_EQ_TILDE] = ACTIONS(2813),
    [anon_sym_BANG_TILDE] = ACTIONS(2813),
    [anon_sym_EQ_EQ] = ACTIONS(2815),
    [anon_sym_BANG_EQ] = ACTIONS(2813),
    [anon_sym_eq] = ACTIONS(2815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2813),
    [anon_sym_equ] = ACTIONS(2813),
    [anon_sym_eqr] = ACTIONS(2813),
    [anon_sym_ne] = ACTIONS(2813),
    [anon_sym_LT_EQ_GT] = ACTIONS(2813),
    [anon_sym_cmp] = ACTIONS(2813),
    [anon_sym_TILDE_TILDE] = ACTIONS(2813),
    [anon_sym_LT_EQ] = ACTIONS(2815),
    [anon_sym_GT_EQ] = ACTIONS(2813),
    [anon_sym_lt] = ACTIONS(2813),
    [anon_sym_le] = ACTIONS(2813),
    [anon_sym_ge] = ACTIONS(2813),
    [anon_sym_gt] = ACTIONS(2813),
    [anon_sym_isa] = ACTIONS(2813),
    [anon_sym_PLUS_PLUS] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2813),
    [anon_sym_QMARK] = ACTIONS(2813),
    [anon_sym_EQ_GT] = ACTIONS(2813),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1492] = {
    [sym_heredoc_content] = STATE(1492),
    [anon_sym_RBRACE] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2821),
    [anon_sym_EQ] = ACTIONS(2823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2821),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2821),
    [anon_sym_COMMA] = ACTIONS(2821),
    [anon_sym_RPAREN] = ACTIONS(2821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2821),
    [anon_sym_and] = ACTIONS(2821),
    [anon_sym_or] = ACTIONS(2821),
    [anon_sym_xor] = ACTIONS(2821),
    [anon_sym_RBRACK] = ACTIONS(2821),
    [anon_sym_DASH_GT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2823),
    [anon_sym_LT] = ACTIONS(2823),
    [anon_sym_GT] = ACTIONS(2823),
    [anon_sym_LT_LT] = ACTIONS(2823),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2821),
    [anon_sym_PLUS_EQ] = ACTIONS(2821),
    [anon_sym_DASH_EQ] = ACTIONS(2821),
    [anon_sym_DOT_EQ] = ACTIONS(2821),
    [anon_sym_STAR_EQ] = ACTIONS(2821),
    [anon_sym_SLASH_EQ] = ACTIONS(2821),
    [anon_sym_PERCENT_EQ] = ACTIONS(2821),
    [anon_sym_x_EQ] = ACTIONS(2821),
    [anon_sym_AMP_EQ] = ACTIONS(2821),
    [anon_sym_PIPE_EQ] = ACTIONS(2821),
    [anon_sym_CARET_EQ] = ACTIONS(2821),
    [anon_sym_LT_LT_EQ] = ACTIONS(2821),
    [anon_sym_GT_GT_EQ] = ACTIONS(2821),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2821),
    [anon_sym_DOT_DOT] = ACTIONS(2823),
    [anon_sym_STAR_STAR] = ACTIONS(2823),
    [anon_sym_PIPE_PIPE] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH] = ACTIONS(2823),
    [anon_sym_CARET_CARET] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_PIPE] = ACTIONS(2823),
    [anon_sym_CARET] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_GT_GT2] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_DOT] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_SLASH] = ACTIONS(2823),
    [anon_sym_x] = ACTIONS(2823),
    [anon_sym_EQ_TILDE] = ACTIONS(2821),
    [anon_sym_BANG_TILDE] = ACTIONS(2821),
    [anon_sym_EQ_EQ] = ACTIONS(2823),
    [anon_sym_BANG_EQ] = ACTIONS(2821),
    [anon_sym_eq] = ACTIONS(2823),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2821),
    [anon_sym_equ] = ACTIONS(2821),
    [anon_sym_eqr] = ACTIONS(2821),
    [anon_sym_ne] = ACTIONS(2821),
    [anon_sym_LT_EQ_GT] = ACTIONS(2821),
    [anon_sym_cmp] = ACTIONS(2821),
    [anon_sym_TILDE_TILDE] = ACTIONS(2821),
    [anon_sym_LT_EQ] = ACTIONS(2823),
    [anon_sym_GT_EQ] = ACTIONS(2821),
    [anon_sym_lt] = ACTIONS(2821),
    [anon_sym_le] = ACTIONS(2821),
    [anon_sym_ge] = ACTIONS(2821),
    [anon_sym_gt] = ACTIONS(2821),
    [anon_sym_isa] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2821),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_EQ_GT] = ACTIONS(2821),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1493] = {
    [sym_attrlist] = STATE(1977),
    [sym_attribute] = STATE(1368),
    [sym_attribute_name] = STATE(1586),
    [sym_heredoc_content] = STATE(1493),
    [sym__identifier] = ACTIONS(3366),
    [anon_sym_RBRACE] = ACTIONS(2326),
    [anon_sym_EQ] = ACTIONS(2328),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2326),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2326),
    [anon_sym_COMMA] = ACTIONS(2326),
    [anon_sym_RPAREN] = ACTIONS(2326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2326),
    [anon_sym_DASH_GT] = ACTIONS(2326),
    [anon_sym_PERCENT] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2328),
    [anon_sym_GT] = ACTIONS(2328),
    [anon_sym_LT_LT] = ACTIONS(2328),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2326),
    [anon_sym_PLUS_EQ] = ACTIONS(2326),
    [anon_sym_DASH_EQ] = ACTIONS(2326),
    [anon_sym_DOT_EQ] = ACTIONS(2326),
    [anon_sym_STAR_EQ] = ACTIONS(2326),
    [anon_sym_SLASH_EQ] = ACTIONS(2326),
    [anon_sym_PERCENT_EQ] = ACTIONS(2326),
    [anon_sym_x_EQ] = ACTIONS(2326),
    [anon_sym_AMP_EQ] = ACTIONS(2326),
    [anon_sym_PIPE_EQ] = ACTIONS(2326),
    [anon_sym_CARET_EQ] = ACTIONS(2326),
    [anon_sym_LT_LT_EQ] = ACTIONS(2326),
    [anon_sym_GT_GT_EQ] = ACTIONS(2326),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2326),
    [anon_sym_DOT_DOT] = ACTIONS(2328),
    [anon_sym_STAR_STAR] = ACTIONS(2328),
    [anon_sym_PIPE_PIPE] = ACTIONS(2328),
    [anon_sym_SLASH_SLASH] = ACTIONS(2328),
    [anon_sym_CARET_CARET] = ACTIONS(2326),
    [anon_sym_AMP_AMP] = ACTIONS(2328),
    [anon_sym_PIPE] = ACTIONS(2328),
    [anon_sym_CARET] = ACTIONS(2328),
    [anon_sym_AMP] = ACTIONS(2328),
    [anon_sym_GT_GT2] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2328),
    [anon_sym_DOT] = ACTIONS(2328),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_SLASH] = ACTIONS(2328),
    [anon_sym_x] = ACTIONS(2328),
    [anon_sym_EQ_TILDE] = ACTIONS(2326),
    [anon_sym_BANG_TILDE] = ACTIONS(2326),
    [anon_sym_EQ_EQ] = ACTIONS(2328),
    [anon_sym_BANG_EQ] = ACTIONS(2326),
    [anon_sym_eq] = ACTIONS(2328),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2326),
    [anon_sym_equ] = ACTIONS(2328),
    [anon_sym_eqr] = ACTIONS(2328),
    [anon_sym_ne] = ACTIONS(2328),
    [anon_sym_LT_EQ_GT] = ACTIONS(2326),
    [anon_sym_cmp] = ACTIONS(2328),
    [anon_sym_TILDE_TILDE] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2326),
    [anon_sym_lt] = ACTIONS(2328),
    [anon_sym_le] = ACTIONS(2328),
    [anon_sym_ge] = ACTIONS(2328),
    [anon_sym_gt] = ACTIONS(2328),
    [anon_sym_isa] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2326),
    [anon_sym_DASH_DASH] = ACTIONS(2326),
    [anon_sym_QMARK] = ACTIONS(2326),
    [anon_sym_EQ_GT] = ACTIONS(2326),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3366),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1494] = {
    [sym_heredoc_content] = STATE(1494),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym_EQ] = ACTIONS(1846),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_RPAREN] = ACTIONS(2869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(2869),
    [anon_sym_or] = ACTIONS(2869),
    [anon_sym_xor] = ACTIONS(2869),
    [anon_sym_RBRACK] = ACTIONS(2869),
    [anon_sym_DASH_GT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1846),
    [anon_sym_LT] = ACTIONS(1846),
    [anon_sym_GT] = ACTIONS(1846),
    [anon_sym_LT_LT] = ACTIONS(1846),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2869),
    [anon_sym_PLUS_EQ] = ACTIONS(2869),
    [anon_sym_DASH_EQ] = ACTIONS(2869),
    [anon_sym_DOT_EQ] = ACTIONS(2869),
    [anon_sym_STAR_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_PERCENT_EQ] = ACTIONS(2869),
    [anon_sym_x_EQ] = ACTIONS(2869),
    [anon_sym_AMP_EQ] = ACTIONS(2869),
    [anon_sym_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_CARET_EQ] = ACTIONS(2869),
    [anon_sym_LT_LT_EQ] = ACTIONS(2869),
    [anon_sym_GT_GT_EQ] = ACTIONS(2869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2869),
    [anon_sym_DOT_DOT] = ACTIONS(1846),
    [anon_sym_STAR_STAR] = ACTIONS(1846),
    [anon_sym_PIPE_PIPE] = ACTIONS(1846),
    [anon_sym_SLASH_SLASH] = ACTIONS(1846),
    [anon_sym_CARET_CARET] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(1846),
    [anon_sym_PIPE] = ACTIONS(1846),
    [anon_sym_CARET] = ACTIONS(1846),
    [anon_sym_AMP] = ACTIONS(1846),
    [anon_sym_GT_GT2] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1846),
    [anon_sym_DASH] = ACTIONS(1846),
    [anon_sym_DOT] = ACTIONS(1846),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_SLASH] = ACTIONS(1846),
    [anon_sym_x] = ACTIONS(1846),
    [anon_sym_EQ_TILDE] = ACTIONS(2869),
    [anon_sym_BANG_TILDE] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(1846),
    [anon_sym_BANG_EQ] = ACTIONS(2869),
    [anon_sym_eq] = ACTIONS(1846),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2869),
    [anon_sym_equ] = ACTIONS(2869),
    [anon_sym_eqr] = ACTIONS(2869),
    [anon_sym_ne] = ACTIONS(2869),
    [anon_sym_LT_EQ_GT] = ACTIONS(2869),
    [anon_sym_cmp] = ACTIONS(2869),
    [anon_sym_TILDE_TILDE] = ACTIONS(2869),
    [anon_sym_LT_EQ] = ACTIONS(1846),
    [anon_sym_GT_EQ] = ACTIONS(2869),
    [anon_sym_lt] = ACTIONS(2869),
    [anon_sym_le] = ACTIONS(2869),
    [anon_sym_ge] = ACTIONS(2869),
    [anon_sym_gt] = ACTIONS(2869),
    [anon_sym_isa] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_QMARK] = ACTIONS(2869),
    [anon_sym_EQ_GT] = ACTIONS(2869),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1495] = {
    [sym_heredoc_content] = STATE(1495),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_COMMA] = ACTIONS(3162),
    [anon_sym_RPAREN] = ACTIONS(3162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3162),
    [anon_sym_and] = ACTIONS(3162),
    [anon_sym_or] = ACTIONS(3162),
    [anon_sym_xor] = ACTIONS(3162),
    [anon_sym_RBRACK] = ACTIONS(3162),
    [anon_sym_DASH_GT] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3164),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_GT] = ACTIONS(3164),
    [anon_sym_LT_LT] = ACTIONS(3164),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3162),
    [anon_sym_DASH_EQ] = ACTIONS(3162),
    [anon_sym_DOT_EQ] = ACTIONS(3162),
    [anon_sym_STAR_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_PERCENT_EQ] = ACTIONS(3162),
    [anon_sym_x_EQ] = ACTIONS(3162),
    [anon_sym_AMP_EQ] = ACTIONS(3162),
    [anon_sym_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_CARET_EQ] = ACTIONS(3162),
    [anon_sym_LT_LT_EQ] = ACTIONS(3162),
    [anon_sym_GT_GT_EQ] = ACTIONS(3162),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3162),
    [anon_sym_DOT_DOT] = ACTIONS(3164),
    [anon_sym_STAR_STAR] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3164),
    [anon_sym_CARET_CARET] = ACTIONS(3162),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_PIPE] = ACTIONS(3164),
    [anon_sym_CARET] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_GT_GT2] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_x] = ACTIONS(3164),
    [anon_sym_EQ_TILDE] = ACTIONS(3162),
    [anon_sym_BANG_TILDE] = ACTIONS(3162),
    [anon_sym_EQ_EQ] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_eq] = ACTIONS(3164),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3162),
    [anon_sym_equ] = ACTIONS(3162),
    [anon_sym_eqr] = ACTIONS(3162),
    [anon_sym_ne] = ACTIONS(3162),
    [anon_sym_LT_EQ_GT] = ACTIONS(3162),
    [anon_sym_cmp] = ACTIONS(3162),
    [anon_sym_TILDE_TILDE] = ACTIONS(3162),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3162),
    [anon_sym_lt] = ACTIONS(3162),
    [anon_sym_le] = ACTIONS(3162),
    [anon_sym_ge] = ACTIONS(3162),
    [anon_sym_gt] = ACTIONS(3162),
    [anon_sym_isa] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_QMARK] = ACTIONS(3162),
    [anon_sym_EQ_GT] = ACTIONS(3162),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1496] = {
    [sym_heredoc_content] = STATE(1496),
    [anon_sym_RBRACE] = ACTIONS(2829),
    [anon_sym_SEMI] = ACTIONS(2829),
    [anon_sym_EQ] = ACTIONS(2831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2829),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2829),
    [anon_sym_COMMA] = ACTIONS(2829),
    [anon_sym_RPAREN] = ACTIONS(2829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2829),
    [anon_sym_and] = ACTIONS(2829),
    [anon_sym_or] = ACTIONS(2829),
    [anon_sym_xor] = ACTIONS(2829),
    [anon_sym_RBRACK] = ACTIONS(2829),
    [anon_sym_DASH_GT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(2831),
    [anon_sym_LT] = ACTIONS(2831),
    [anon_sym_GT] = ACTIONS(2831),
    [anon_sym_LT_LT] = ACTIONS(2831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2829),
    [anon_sym_PLUS_EQ] = ACTIONS(2829),
    [anon_sym_DASH_EQ] = ACTIONS(2829),
    [anon_sym_DOT_EQ] = ACTIONS(2829),
    [anon_sym_STAR_EQ] = ACTIONS(2829),
    [anon_sym_SLASH_EQ] = ACTIONS(2829),
    [anon_sym_PERCENT_EQ] = ACTIONS(2829),
    [anon_sym_x_EQ] = ACTIONS(2829),
    [anon_sym_AMP_EQ] = ACTIONS(2829),
    [anon_sym_PIPE_EQ] = ACTIONS(2829),
    [anon_sym_CARET_EQ] = ACTIONS(2829),
    [anon_sym_LT_LT_EQ] = ACTIONS(2829),
    [anon_sym_GT_GT_EQ] = ACTIONS(2829),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2829),
    [anon_sym_DOT_DOT] = ACTIONS(2831),
    [anon_sym_STAR_STAR] = ACTIONS(2831),
    [anon_sym_PIPE_PIPE] = ACTIONS(2831),
    [anon_sym_SLASH_SLASH] = ACTIONS(2831),
    [anon_sym_CARET_CARET] = ACTIONS(2829),
    [anon_sym_AMP_AMP] = ACTIONS(2831),
    [anon_sym_PIPE] = ACTIONS(2831),
    [anon_sym_CARET] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2831),
    [anon_sym_GT_GT2] = ACTIONS(2831),
    [anon_sym_PLUS] = ACTIONS(2831),
    [anon_sym_DASH] = ACTIONS(2831),
    [anon_sym_DOT] = ACTIONS(2831),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_SLASH] = ACTIONS(2831),
    [anon_sym_x] = ACTIONS(2831),
    [anon_sym_EQ_TILDE] = ACTIONS(2829),
    [anon_sym_BANG_TILDE] = ACTIONS(2829),
    [anon_sym_EQ_EQ] = ACTIONS(2831),
    [anon_sym_BANG_EQ] = ACTIONS(2829),
    [anon_sym_eq] = ACTIONS(2831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2829),
    [anon_sym_equ] = ACTIONS(2829),
    [anon_sym_eqr] = ACTIONS(2829),
    [anon_sym_ne] = ACTIONS(2829),
    [anon_sym_LT_EQ_GT] = ACTIONS(2829),
    [anon_sym_cmp] = ACTIONS(2829),
    [anon_sym_TILDE_TILDE] = ACTIONS(2829),
    [anon_sym_LT_EQ] = ACTIONS(2831),
    [anon_sym_GT_EQ] = ACTIONS(2829),
    [anon_sym_lt] = ACTIONS(2829),
    [anon_sym_le] = ACTIONS(2829),
    [anon_sym_ge] = ACTIONS(2829),
    [anon_sym_gt] = ACTIONS(2829),
    [anon_sym_isa] = ACTIONS(2829),
    [anon_sym_PLUS_PLUS] = ACTIONS(2829),
    [anon_sym_DASH_DASH] = ACTIONS(2829),
    [anon_sym_QMARK] = ACTIONS(2829),
    [anon_sym_EQ_GT] = ACTIONS(2829),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1497] = {
    [sym_heredoc_content] = STATE(1497),
    [anon_sym_RBRACE] = ACTIONS(3021),
    [anon_sym_SEMI] = ACTIONS(3021),
    [anon_sym_EQ] = ACTIONS(3023),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3021),
    [anon_sym_COMMA] = ACTIONS(3021),
    [anon_sym_RPAREN] = ACTIONS(3021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3021),
    [anon_sym_and] = ACTIONS(3021),
    [anon_sym_or] = ACTIONS(3021),
    [anon_sym_xor] = ACTIONS(3021),
    [anon_sym_RBRACK] = ACTIONS(3021),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3023),
    [anon_sym_LT] = ACTIONS(3023),
    [anon_sym_GT] = ACTIONS(3023),
    [anon_sym_LT_LT] = ACTIONS(3023),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3021),
    [anon_sym_PLUS_EQ] = ACTIONS(3021),
    [anon_sym_DASH_EQ] = ACTIONS(3021),
    [anon_sym_DOT_EQ] = ACTIONS(3021),
    [anon_sym_STAR_EQ] = ACTIONS(3021),
    [anon_sym_SLASH_EQ] = ACTIONS(3021),
    [anon_sym_PERCENT_EQ] = ACTIONS(3021),
    [anon_sym_x_EQ] = ACTIONS(3021),
    [anon_sym_AMP_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_EQ] = ACTIONS(3021),
    [anon_sym_CARET_EQ] = ACTIONS(3021),
    [anon_sym_LT_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_GT_EQ] = ACTIONS(3021),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3021),
    [anon_sym_DOT_DOT] = ACTIONS(3023),
    [anon_sym_STAR_STAR] = ACTIONS(3023),
    [anon_sym_PIPE_PIPE] = ACTIONS(3023),
    [anon_sym_SLASH_SLASH] = ACTIONS(3023),
    [anon_sym_CARET_CARET] = ACTIONS(3021),
    [anon_sym_AMP_AMP] = ACTIONS(3023),
    [anon_sym_PIPE] = ACTIONS(3023),
    [anon_sym_CARET] = ACTIONS(3023),
    [anon_sym_AMP] = ACTIONS(3023),
    [anon_sym_GT_GT2] = ACTIONS(3023),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_DOT] = ACTIONS(3023),
    [anon_sym_STAR] = ACTIONS(3023),
    [anon_sym_SLASH] = ACTIONS(3023),
    [anon_sym_x] = ACTIONS(3023),
    [anon_sym_EQ_TILDE] = ACTIONS(3021),
    [anon_sym_BANG_TILDE] = ACTIONS(3021),
    [anon_sym_EQ_EQ] = ACTIONS(3023),
    [anon_sym_BANG_EQ] = ACTIONS(3021),
    [anon_sym_eq] = ACTIONS(3023),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3021),
    [anon_sym_equ] = ACTIONS(3021),
    [anon_sym_eqr] = ACTIONS(3021),
    [anon_sym_ne] = ACTIONS(3021),
    [anon_sym_LT_EQ_GT] = ACTIONS(3021),
    [anon_sym_cmp] = ACTIONS(3021),
    [anon_sym_TILDE_TILDE] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3023),
    [anon_sym_GT_EQ] = ACTIONS(3021),
    [anon_sym_lt] = ACTIONS(3021),
    [anon_sym_le] = ACTIONS(3021),
    [anon_sym_ge] = ACTIONS(3021),
    [anon_sym_gt] = ACTIONS(3021),
    [anon_sym_isa] = ACTIONS(3021),
    [anon_sym_PLUS_PLUS] = ACTIONS(3410),
    [anon_sym_DASH_DASH] = ACTIONS(3410),
    [anon_sym_QMARK] = ACTIONS(3021),
    [anon_sym_EQ_GT] = ACTIONS(3021),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1498] = {
    [sym_heredoc_content] = STATE(1498),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3092),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3092),
    [anon_sym_COMMA] = ACTIONS(3092),
    [anon_sym_RPAREN] = ACTIONS(3092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3092),
    [anon_sym_and] = ACTIONS(3092),
    [anon_sym_or] = ACTIONS(3092),
    [anon_sym_xor] = ACTIONS(3092),
    [anon_sym_RBRACK] = ACTIONS(3092),
    [anon_sym_DASH_GT] = ACTIONS(3092),
    [anon_sym_PERCENT] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_GT] = ACTIONS(3094),
    [anon_sym_LT_LT] = ACTIONS(3094),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3092),
    [anon_sym_PLUS_EQ] = ACTIONS(3092),
    [anon_sym_DASH_EQ] = ACTIONS(3092),
    [anon_sym_DOT_EQ] = ACTIONS(3092),
    [anon_sym_STAR_EQ] = ACTIONS(3092),
    [anon_sym_SLASH_EQ] = ACTIONS(3092),
    [anon_sym_PERCENT_EQ] = ACTIONS(3092),
    [anon_sym_x_EQ] = ACTIONS(3092),
    [anon_sym_AMP_EQ] = ACTIONS(3092),
    [anon_sym_PIPE_EQ] = ACTIONS(3092),
    [anon_sym_CARET_EQ] = ACTIONS(3092),
    [anon_sym_LT_LT_EQ] = ACTIONS(3092),
    [anon_sym_GT_GT_EQ] = ACTIONS(3092),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3092),
    [anon_sym_DOT_DOT] = ACTIONS(3094),
    [anon_sym_STAR_STAR] = ACTIONS(3094),
    [anon_sym_PIPE_PIPE] = ACTIONS(3094),
    [anon_sym_SLASH_SLASH] = ACTIONS(3094),
    [anon_sym_CARET_CARET] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_PIPE] = ACTIONS(3094),
    [anon_sym_CARET] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_GT_GT2] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_DOT] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_SLASH] = ACTIONS(3094),
    [anon_sym_x] = ACTIONS(3094),
    [anon_sym_EQ_TILDE] = ACTIONS(3092),
    [anon_sym_BANG_TILDE] = ACTIONS(3092),
    [anon_sym_EQ_EQ] = ACTIONS(3094),
    [anon_sym_BANG_EQ] = ACTIONS(3092),
    [anon_sym_eq] = ACTIONS(3094),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3092),
    [anon_sym_equ] = ACTIONS(3092),
    [anon_sym_eqr] = ACTIONS(3092),
    [anon_sym_ne] = ACTIONS(3092),
    [anon_sym_LT_EQ_GT] = ACTIONS(3092),
    [anon_sym_cmp] = ACTIONS(3092),
    [anon_sym_TILDE_TILDE] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3094),
    [anon_sym_GT_EQ] = ACTIONS(3092),
    [anon_sym_lt] = ACTIONS(3092),
    [anon_sym_le] = ACTIONS(3092),
    [anon_sym_ge] = ACTIONS(3092),
    [anon_sym_gt] = ACTIONS(3092),
    [anon_sym_isa] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_QMARK] = ACTIONS(3092),
    [anon_sym_EQ_GT] = ACTIONS(3092),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1499] = {
    [sym_heredoc_content] = STATE(1499),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym_EQ] = ACTIONS(3098),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_COMMA] = ACTIONS(3096),
    [anon_sym_RPAREN] = ACTIONS(3096),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3096),
    [anon_sym_and] = ACTIONS(3096),
    [anon_sym_or] = ACTIONS(3096),
    [anon_sym_xor] = ACTIONS(3096),
    [anon_sym_RBRACK] = ACTIONS(3096),
    [anon_sym_DASH_GT] = ACTIONS(3096),
    [anon_sym_PERCENT] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_GT] = ACTIONS(3098),
    [anon_sym_LT_LT] = ACTIONS(3098),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_DOT_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_x_EQ] = ACTIONS(3096),
    [anon_sym_AMP_EQ] = ACTIONS(3096),
    [anon_sym_PIPE_EQ] = ACTIONS(3096),
    [anon_sym_CARET_EQ] = ACTIONS(3096),
    [anon_sym_LT_LT_EQ] = ACTIONS(3096),
    [anon_sym_GT_GT_EQ] = ACTIONS(3096),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3096),
    [anon_sym_DOT_DOT] = ACTIONS(3098),
    [anon_sym_STAR_STAR] = ACTIONS(3098),
    [anon_sym_PIPE_PIPE] = ACTIONS(3098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3098),
    [anon_sym_CARET_CARET] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3098),
    [anon_sym_PIPE] = ACTIONS(3098),
    [anon_sym_CARET] = ACTIONS(3098),
    [anon_sym_AMP] = ACTIONS(3098),
    [anon_sym_GT_GT2] = ACTIONS(3098),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_DOT] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_SLASH] = ACTIONS(3098),
    [anon_sym_x] = ACTIONS(3098),
    [anon_sym_EQ_TILDE] = ACTIONS(3096),
    [anon_sym_BANG_TILDE] = ACTIONS(3096),
    [anon_sym_EQ_EQ] = ACTIONS(3098),
    [anon_sym_BANG_EQ] = ACTIONS(3096),
    [anon_sym_eq] = ACTIONS(3098),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3096),
    [anon_sym_equ] = ACTIONS(3096),
    [anon_sym_eqr] = ACTIONS(3096),
    [anon_sym_ne] = ACTIONS(3096),
    [anon_sym_LT_EQ_GT] = ACTIONS(3096),
    [anon_sym_cmp] = ACTIONS(3096),
    [anon_sym_TILDE_TILDE] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3098),
    [anon_sym_GT_EQ] = ACTIONS(3096),
    [anon_sym_lt] = ACTIONS(3096),
    [anon_sym_le] = ACTIONS(3096),
    [anon_sym_ge] = ACTIONS(3096),
    [anon_sym_gt] = ACTIONS(3096),
    [anon_sym_isa] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_QMARK] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(3096),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1500] = {
    [sym_heredoc_content] = STATE(1500),
    [anon_sym_RBRACE] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2921),
    [anon_sym_EQ] = ACTIONS(2923),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2921),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2921),
    [anon_sym_COMMA] = ACTIONS(2921),
    [anon_sym_RPAREN] = ACTIONS(2921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2921),
    [anon_sym_and] = ACTIONS(2921),
    [anon_sym_or] = ACTIONS(2921),
    [anon_sym_xor] = ACTIONS(2921),
    [anon_sym_RBRACK] = ACTIONS(2921),
    [anon_sym_DASH_GT] = ACTIONS(2921),
    [anon_sym_PERCENT] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2923),
    [anon_sym_GT] = ACTIONS(2923),
    [anon_sym_LT_LT] = ACTIONS(2923),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2921),
    [anon_sym_PLUS_EQ] = ACTIONS(2921),
    [anon_sym_DASH_EQ] = ACTIONS(2921),
    [anon_sym_DOT_EQ] = ACTIONS(2921),
    [anon_sym_STAR_EQ] = ACTIONS(2921),
    [anon_sym_SLASH_EQ] = ACTIONS(2921),
    [anon_sym_PERCENT_EQ] = ACTIONS(2921),
    [anon_sym_x_EQ] = ACTIONS(2921),
    [anon_sym_AMP_EQ] = ACTIONS(2921),
    [anon_sym_PIPE_EQ] = ACTIONS(2921),
    [anon_sym_CARET_EQ] = ACTIONS(2921),
    [anon_sym_LT_LT_EQ] = ACTIONS(2921),
    [anon_sym_GT_GT_EQ] = ACTIONS(2921),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2921),
    [anon_sym_DOT_DOT] = ACTIONS(2923),
    [anon_sym_STAR_STAR] = ACTIONS(2923),
    [anon_sym_PIPE_PIPE] = ACTIONS(2923),
    [anon_sym_SLASH_SLASH] = ACTIONS(2923),
    [anon_sym_CARET_CARET] = ACTIONS(2921),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_PIPE] = ACTIONS(2923),
    [anon_sym_CARET] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2923),
    [anon_sym_GT_GT2] = ACTIONS(2923),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_SLASH] = ACTIONS(2923),
    [anon_sym_x] = ACTIONS(2923),
    [anon_sym_EQ_TILDE] = ACTIONS(2921),
    [anon_sym_BANG_TILDE] = ACTIONS(2921),
    [anon_sym_EQ_EQ] = ACTIONS(2923),
    [anon_sym_BANG_EQ] = ACTIONS(2921),
    [anon_sym_eq] = ACTIONS(2923),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2921),
    [anon_sym_equ] = ACTIONS(2921),
    [anon_sym_eqr] = ACTIONS(2921),
    [anon_sym_ne] = ACTIONS(2921),
    [anon_sym_LT_EQ_GT] = ACTIONS(2921),
    [anon_sym_cmp] = ACTIONS(2921),
    [anon_sym_TILDE_TILDE] = ACTIONS(2921),
    [anon_sym_LT_EQ] = ACTIONS(2923),
    [anon_sym_GT_EQ] = ACTIONS(2921),
    [anon_sym_lt] = ACTIONS(2921),
    [anon_sym_le] = ACTIONS(2921),
    [anon_sym_ge] = ACTIONS(2921),
    [anon_sym_gt] = ACTIONS(2921),
    [anon_sym_isa] = ACTIONS(2921),
    [anon_sym_PLUS_PLUS] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2921),
    [anon_sym_QMARK] = ACTIONS(2921),
    [anon_sym_EQ_GT] = ACTIONS(2921),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1501] = {
    [sym_attrlist] = STATE(1978),
    [sym_attribute] = STATE(1368),
    [sym_attribute_name] = STATE(1586),
    [sym_heredoc_content] = STATE(1501),
    [sym__identifier] = ACTIONS(3366),
    [anon_sym_RBRACE] = ACTIONS(2322),
    [anon_sym_EQ] = ACTIONS(2324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2322),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2322),
    [anon_sym_COMMA] = ACTIONS(2322),
    [anon_sym_RPAREN] = ACTIONS(2322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2322),
    [anon_sym_DASH_GT] = ACTIONS(2322),
    [anon_sym_PERCENT] = ACTIONS(2324),
    [anon_sym_LT] = ACTIONS(2324),
    [anon_sym_GT] = ACTIONS(2324),
    [anon_sym_LT_LT] = ACTIONS(2324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2322),
    [anon_sym_PLUS_EQ] = ACTIONS(2322),
    [anon_sym_DASH_EQ] = ACTIONS(2322),
    [anon_sym_DOT_EQ] = ACTIONS(2322),
    [anon_sym_STAR_EQ] = ACTIONS(2322),
    [anon_sym_SLASH_EQ] = ACTIONS(2322),
    [anon_sym_PERCENT_EQ] = ACTIONS(2322),
    [anon_sym_x_EQ] = ACTIONS(2322),
    [anon_sym_AMP_EQ] = ACTIONS(2322),
    [anon_sym_PIPE_EQ] = ACTIONS(2322),
    [anon_sym_CARET_EQ] = ACTIONS(2322),
    [anon_sym_LT_LT_EQ] = ACTIONS(2322),
    [anon_sym_GT_GT_EQ] = ACTIONS(2322),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2322),
    [anon_sym_DOT_DOT] = ACTIONS(2324),
    [anon_sym_STAR_STAR] = ACTIONS(2324),
    [anon_sym_PIPE_PIPE] = ACTIONS(2324),
    [anon_sym_SLASH_SLASH] = ACTIONS(2324),
    [anon_sym_CARET_CARET] = ACTIONS(2322),
    [anon_sym_AMP_AMP] = ACTIONS(2324),
    [anon_sym_PIPE] = ACTIONS(2324),
    [anon_sym_CARET] = ACTIONS(2324),
    [anon_sym_AMP] = ACTIONS(2324),
    [anon_sym_GT_GT2] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2324),
    [anon_sym_DOT] = ACTIONS(2324),
    [anon_sym_STAR] = ACTIONS(2324),
    [anon_sym_SLASH] = ACTIONS(2324),
    [anon_sym_x] = ACTIONS(2324),
    [anon_sym_EQ_TILDE] = ACTIONS(2322),
    [anon_sym_BANG_TILDE] = ACTIONS(2322),
    [anon_sym_EQ_EQ] = ACTIONS(2324),
    [anon_sym_BANG_EQ] = ACTIONS(2322),
    [anon_sym_eq] = ACTIONS(2324),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2322),
    [anon_sym_equ] = ACTIONS(2324),
    [anon_sym_eqr] = ACTIONS(2324),
    [anon_sym_ne] = ACTIONS(2324),
    [anon_sym_LT_EQ_GT] = ACTIONS(2322),
    [anon_sym_cmp] = ACTIONS(2324),
    [anon_sym_TILDE_TILDE] = ACTIONS(2322),
    [anon_sym_LT_EQ] = ACTIONS(2324),
    [anon_sym_GT_EQ] = ACTIONS(2322),
    [anon_sym_lt] = ACTIONS(2324),
    [anon_sym_le] = ACTIONS(2324),
    [anon_sym_ge] = ACTIONS(2324),
    [anon_sym_gt] = ACTIONS(2324),
    [anon_sym_isa] = ACTIONS(2324),
    [anon_sym_PLUS_PLUS] = ACTIONS(2322),
    [anon_sym_DASH_DASH] = ACTIONS(2322),
    [anon_sym_QMARK] = ACTIONS(2322),
    [anon_sym_EQ_GT] = ACTIONS(2322),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3366),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1502] = {
    [sym_heredoc_content] = STATE(1502),
    [anon_sym_RBRACE] = ACTIONS(3044),
    [anon_sym_SEMI] = ACTIONS(3044),
    [anon_sym_EQ] = ACTIONS(3289),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_COMMA] = ACTIONS(3044),
    [anon_sym_RPAREN] = ACTIONS(3044),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3293),
    [anon_sym_and] = ACTIONS(3044),
    [anon_sym_or] = ACTIONS(3044),
    [anon_sym_xor] = ACTIONS(3044),
    [anon_sym_RBRACK] = ACTIONS(3044),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_GT] = ACTIONS(3299),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3291),
    [anon_sym_PLUS_EQ] = ACTIONS(3291),
    [anon_sym_DASH_EQ] = ACTIONS(3291),
    [anon_sym_DOT_EQ] = ACTIONS(3291),
    [anon_sym_STAR_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_PERCENT_EQ] = ACTIONS(3291),
    [anon_sym_x_EQ] = ACTIONS(3291),
    [anon_sym_AMP_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_CARET_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT_EQ] = ACTIONS(3291),
    [anon_sym_GT_GT_EQ] = ACTIONS(3291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3291),
    [anon_sym_DOT_DOT] = ACTIONS(3303),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(3307),
    [anon_sym_SLASH_SLASH] = ACTIONS(3307),
    [anon_sym_CARET_CARET] = ACTIONS(3309),
    [anon_sym_AMP_AMP] = ACTIONS(3311),
    [anon_sym_PIPE] = ACTIONS(3313),
    [anon_sym_CARET] = ACTIONS(3313),
    [anon_sym_AMP] = ACTIONS(3315),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(3321),
    [anon_sym_BANG_EQ] = ACTIONS(3323),
    [anon_sym_eq] = ACTIONS(3321),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3323),
    [anon_sym_equ] = ACTIONS(3323),
    [anon_sym_eqr] = ACTIONS(3323),
    [anon_sym_ne] = ACTIONS(3323),
    [anon_sym_LT_EQ_GT] = ACTIONS(3325),
    [anon_sym_cmp] = ACTIONS(3325),
    [anon_sym_TILDE_TILDE] = ACTIONS(3325),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_EQ] = ACTIONS(3327),
    [anon_sym_lt] = ACTIONS(3327),
    [anon_sym_le] = ACTIONS(3327),
    [anon_sym_ge] = ACTIONS(3327),
    [anon_sym_gt] = ACTIONS(3327),
    [anon_sym_isa] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(3333),
    [anon_sym_EQ_GT] = ACTIONS(3044),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1503] = {
    [sym_heredoc_content] = STATE(1503),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_RBRACK] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2833),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1504] = {
    [sym_heredoc_content] = STATE(1504),
    [anon_sym_RBRACE] = ACTIONS(1796),
    [anon_sym_SEMI] = ACTIONS(1796),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_COMMA] = ACTIONS(1796),
    [anon_sym_RPAREN] = ACTIONS(1796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1796),
    [anon_sym_and] = ACTIONS(1796),
    [anon_sym_or] = ACTIONS(1796),
    [anon_sym_xor] = ACTIONS(1796),
    [anon_sym_RBRACK] = ACTIONS(1796),
    [anon_sym_DASH_GT] = ACTIONS(1796),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1796),
    [anon_sym_PLUS_EQ] = ACTIONS(1796),
    [anon_sym_DASH_EQ] = ACTIONS(1796),
    [anon_sym_DOT_EQ] = ACTIONS(1796),
    [anon_sym_STAR_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_PERCENT_EQ] = ACTIONS(1796),
    [anon_sym_x_EQ] = ACTIONS(1796),
    [anon_sym_AMP_EQ] = ACTIONS(1796),
    [anon_sym_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_CARET_EQ] = ACTIONS(1796),
    [anon_sym_LT_LT_EQ] = ACTIONS(1796),
    [anon_sym_GT_GT_EQ] = ACTIONS(1796),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1796),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1787),
    [anon_sym_CARET_CARET] = ACTIONS(1796),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1796),
    [anon_sym_BANG_TILDE] = ACTIONS(1796),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1796),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1796),
    [anon_sym_equ] = ACTIONS(1796),
    [anon_sym_eqr] = ACTIONS(1796),
    [anon_sym_ne] = ACTIONS(1796),
    [anon_sym_LT_EQ_GT] = ACTIONS(1796),
    [anon_sym_cmp] = ACTIONS(1796),
    [anon_sym_TILDE_TILDE] = ACTIONS(1796),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1796),
    [anon_sym_lt] = ACTIONS(1796),
    [anon_sym_le] = ACTIONS(1796),
    [anon_sym_ge] = ACTIONS(1796),
    [anon_sym_gt] = ACTIONS(1796),
    [anon_sym_isa] = ACTIONS(1796),
    [anon_sym_PLUS_PLUS] = ACTIONS(1796),
    [anon_sym_DASH_DASH] = ACTIONS(1796),
    [anon_sym_QMARK] = ACTIONS(1796),
    [anon_sym_EQ_GT] = ACTIONS(1796),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1505] = {
    [sym_heredoc_content] = STATE(1505),
    [anon_sym_RBRACE] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2793),
    [anon_sym_EQ] = ACTIONS(2795),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2793),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2793),
    [anon_sym_COMMA] = ACTIONS(2793),
    [anon_sym_RPAREN] = ACTIONS(2793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2793),
    [anon_sym_and] = ACTIONS(2793),
    [anon_sym_or] = ACTIONS(2793),
    [anon_sym_xor] = ACTIONS(2793),
    [anon_sym_RBRACK] = ACTIONS(2793),
    [anon_sym_DASH_GT] = ACTIONS(2793),
    [anon_sym_PERCENT] = ACTIONS(2795),
    [anon_sym_LT] = ACTIONS(2795),
    [anon_sym_GT] = ACTIONS(2795),
    [anon_sym_LT_LT] = ACTIONS(2795),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2793),
    [anon_sym_PLUS_EQ] = ACTIONS(2793),
    [anon_sym_DASH_EQ] = ACTIONS(2793),
    [anon_sym_DOT_EQ] = ACTIONS(2793),
    [anon_sym_STAR_EQ] = ACTIONS(2793),
    [anon_sym_SLASH_EQ] = ACTIONS(2793),
    [anon_sym_PERCENT_EQ] = ACTIONS(2793),
    [anon_sym_x_EQ] = ACTIONS(2793),
    [anon_sym_AMP_EQ] = ACTIONS(2793),
    [anon_sym_PIPE_EQ] = ACTIONS(2793),
    [anon_sym_CARET_EQ] = ACTIONS(2793),
    [anon_sym_LT_LT_EQ] = ACTIONS(2793),
    [anon_sym_GT_GT_EQ] = ACTIONS(2793),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2793),
    [anon_sym_DOT_DOT] = ACTIONS(2795),
    [anon_sym_STAR_STAR] = ACTIONS(2795),
    [anon_sym_PIPE_PIPE] = ACTIONS(2795),
    [anon_sym_SLASH_SLASH] = ACTIONS(2795),
    [anon_sym_CARET_CARET] = ACTIONS(2793),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_PIPE] = ACTIONS(2795),
    [anon_sym_CARET] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2795),
    [anon_sym_GT_GT2] = ACTIONS(2795),
    [anon_sym_PLUS] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2795),
    [anon_sym_DOT] = ACTIONS(2795),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_SLASH] = ACTIONS(2795),
    [anon_sym_x] = ACTIONS(2795),
    [anon_sym_EQ_TILDE] = ACTIONS(2793),
    [anon_sym_BANG_TILDE] = ACTIONS(2793),
    [anon_sym_EQ_EQ] = ACTIONS(2795),
    [anon_sym_BANG_EQ] = ACTIONS(2793),
    [anon_sym_eq] = ACTIONS(2795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2793),
    [anon_sym_equ] = ACTIONS(2793),
    [anon_sym_eqr] = ACTIONS(2793),
    [anon_sym_ne] = ACTIONS(2793),
    [anon_sym_LT_EQ_GT] = ACTIONS(2793),
    [anon_sym_cmp] = ACTIONS(2793),
    [anon_sym_TILDE_TILDE] = ACTIONS(2793),
    [anon_sym_LT_EQ] = ACTIONS(2795),
    [anon_sym_GT_EQ] = ACTIONS(2793),
    [anon_sym_lt] = ACTIONS(2793),
    [anon_sym_le] = ACTIONS(2793),
    [anon_sym_ge] = ACTIONS(2793),
    [anon_sym_gt] = ACTIONS(2793),
    [anon_sym_isa] = ACTIONS(2793),
    [anon_sym_PLUS_PLUS] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2793),
    [anon_sym_QMARK] = ACTIONS(2793),
    [anon_sym_EQ_GT] = ACTIONS(2793),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1506] = {
    [sym_heredoc_content] = STATE(1506),
    [anon_sym_RBRACE] = ACTIONS(3100),
    [anon_sym_SEMI] = ACTIONS(3100),
    [anon_sym_EQ] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3100),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3100),
    [anon_sym_COMMA] = ACTIONS(3100),
    [anon_sym_RPAREN] = ACTIONS(3100),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3100),
    [anon_sym_and] = ACTIONS(3100),
    [anon_sym_or] = ACTIONS(3100),
    [anon_sym_xor] = ACTIONS(3100),
    [anon_sym_RBRACK] = ACTIONS(3100),
    [anon_sym_DASH_GT] = ACTIONS(3100),
    [anon_sym_PERCENT] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_GT] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(3102),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3100),
    [anon_sym_PLUS_EQ] = ACTIONS(3100),
    [anon_sym_DASH_EQ] = ACTIONS(3100),
    [anon_sym_DOT_EQ] = ACTIONS(3100),
    [anon_sym_STAR_EQ] = ACTIONS(3100),
    [anon_sym_SLASH_EQ] = ACTIONS(3100),
    [anon_sym_PERCENT_EQ] = ACTIONS(3100),
    [anon_sym_x_EQ] = ACTIONS(3100),
    [anon_sym_AMP_EQ] = ACTIONS(3100),
    [anon_sym_PIPE_EQ] = ACTIONS(3100),
    [anon_sym_CARET_EQ] = ACTIONS(3100),
    [anon_sym_LT_LT_EQ] = ACTIONS(3100),
    [anon_sym_GT_GT_EQ] = ACTIONS(3100),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3100),
    [anon_sym_DOT_DOT] = ACTIONS(3102),
    [anon_sym_STAR_STAR] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(3102),
    [anon_sym_CARET_CARET] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3102),
    [anon_sym_PIPE] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3102),
    [anon_sym_GT_GT2] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_DOT] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_x] = ACTIONS(3102),
    [anon_sym_EQ_TILDE] = ACTIONS(3100),
    [anon_sym_BANG_TILDE] = ACTIONS(3100),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3100),
    [anon_sym_eq] = ACTIONS(3102),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3100),
    [anon_sym_equ] = ACTIONS(3100),
    [anon_sym_eqr] = ACTIONS(3100),
    [anon_sym_ne] = ACTIONS(3100),
    [anon_sym_LT_EQ_GT] = ACTIONS(3100),
    [anon_sym_cmp] = ACTIONS(3100),
    [anon_sym_TILDE_TILDE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3100),
    [anon_sym_lt] = ACTIONS(3100),
    [anon_sym_le] = ACTIONS(3100),
    [anon_sym_ge] = ACTIONS(3100),
    [anon_sym_gt] = ACTIONS(3100),
    [anon_sym_isa] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [anon_sym_QMARK] = ACTIONS(3100),
    [anon_sym_EQ_GT] = ACTIONS(3100),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1507] = {
    [sym_heredoc_content] = STATE(1507),
    [anon_sym_RBRACE] = ACTIONS(3114),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_COMMA] = ACTIONS(3114),
    [anon_sym_RPAREN] = ACTIONS(3114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_and] = ACTIONS(3114),
    [anon_sym_or] = ACTIONS(3114),
    [anon_sym_xor] = ACTIONS(3114),
    [anon_sym_RBRACK] = ACTIONS(3114),
    [anon_sym_DASH_GT] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3116),
    [anon_sym_GT] = ACTIONS(3116),
    [anon_sym_LT_LT] = ACTIONS(3116),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3114),
    [anon_sym_DASH_EQ] = ACTIONS(3114),
    [anon_sym_DOT_EQ] = ACTIONS(3114),
    [anon_sym_STAR_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_PERCENT_EQ] = ACTIONS(3114),
    [anon_sym_x_EQ] = ACTIONS(3114),
    [anon_sym_AMP_EQ] = ACTIONS(3114),
    [anon_sym_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_CARET_EQ] = ACTIONS(3114),
    [anon_sym_LT_LT_EQ] = ACTIONS(3114),
    [anon_sym_GT_GT_EQ] = ACTIONS(3114),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3114),
    [anon_sym_DOT_DOT] = ACTIONS(3116),
    [anon_sym_STAR_STAR] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_SLASH_SLASH] = ACTIONS(3116),
    [anon_sym_CARET_CARET] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_PIPE] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3116),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_GT_GT2] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3116),
    [anon_sym_x] = ACTIONS(3116),
    [anon_sym_EQ_TILDE] = ACTIONS(3114),
    [anon_sym_BANG_TILDE] = ACTIONS(3114),
    [anon_sym_EQ_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_eq] = ACTIONS(3116),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3114),
    [anon_sym_equ] = ACTIONS(3114),
    [anon_sym_eqr] = ACTIONS(3114),
    [anon_sym_ne] = ACTIONS(3114),
    [anon_sym_LT_EQ_GT] = ACTIONS(3114),
    [anon_sym_cmp] = ACTIONS(3114),
    [anon_sym_TILDE_TILDE] = ACTIONS(3114),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3114),
    [anon_sym_lt] = ACTIONS(3114),
    [anon_sym_le] = ACTIONS(3114),
    [anon_sym_ge] = ACTIONS(3114),
    [anon_sym_gt] = ACTIONS(3114),
    [anon_sym_isa] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_QMARK] = ACTIONS(3114),
    [anon_sym_EQ_GT] = ACTIONS(3114),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1508] = {
    [sym_heredoc_content] = STATE(1508),
    [anon_sym_RBRACE] = ACTIONS(3122),
    [anon_sym_SEMI] = ACTIONS(3122),
    [anon_sym_EQ] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_COMMA] = ACTIONS(3122),
    [anon_sym_RPAREN] = ACTIONS(3122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3122),
    [anon_sym_and] = ACTIONS(3122),
    [anon_sym_or] = ACTIONS(3122),
    [anon_sym_xor] = ACTIONS(3122),
    [anon_sym_RBRACK] = ACTIONS(3122),
    [anon_sym_DASH_GT] = ACTIONS(3122),
    [anon_sym_PERCENT] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_GT] = ACTIONS(3124),
    [anon_sym_LT_LT] = ACTIONS(3124),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3122),
    [anon_sym_PLUS_EQ] = ACTIONS(3122),
    [anon_sym_DASH_EQ] = ACTIONS(3122),
    [anon_sym_DOT_EQ] = ACTIONS(3122),
    [anon_sym_STAR_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_PERCENT_EQ] = ACTIONS(3122),
    [anon_sym_x_EQ] = ACTIONS(3122),
    [anon_sym_AMP_EQ] = ACTIONS(3122),
    [anon_sym_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_CARET_EQ] = ACTIONS(3122),
    [anon_sym_LT_LT_EQ] = ACTIONS(3122),
    [anon_sym_GT_GT_EQ] = ACTIONS(3122),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3122),
    [anon_sym_DOT_DOT] = ACTIONS(3124),
    [anon_sym_STAR_STAR] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3124),
    [anon_sym_SLASH_SLASH] = ACTIONS(3124),
    [anon_sym_CARET_CARET] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_PIPE] = ACTIONS(3124),
    [anon_sym_CARET] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_GT_GT2] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_x] = ACTIONS(3124),
    [anon_sym_EQ_TILDE] = ACTIONS(3122),
    [anon_sym_BANG_TILDE] = ACTIONS(3122),
    [anon_sym_EQ_EQ] = ACTIONS(3124),
    [anon_sym_BANG_EQ] = ACTIONS(3122),
    [anon_sym_eq] = ACTIONS(3124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3122),
    [anon_sym_equ] = ACTIONS(3122),
    [anon_sym_eqr] = ACTIONS(3122),
    [anon_sym_ne] = ACTIONS(3122),
    [anon_sym_LT_EQ_GT] = ACTIONS(3122),
    [anon_sym_cmp] = ACTIONS(3122),
    [anon_sym_TILDE_TILDE] = ACTIONS(3122),
    [anon_sym_LT_EQ] = ACTIONS(3124),
    [anon_sym_GT_EQ] = ACTIONS(3122),
    [anon_sym_lt] = ACTIONS(3122),
    [anon_sym_le] = ACTIONS(3122),
    [anon_sym_ge] = ACTIONS(3122),
    [anon_sym_gt] = ACTIONS(3122),
    [anon_sym_isa] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_QMARK] = ACTIONS(3122),
    [anon_sym_EQ_GT] = ACTIONS(3122),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1509] = {
    [sym_heredoc_content] = STATE(1509),
    [anon_sym_RBRACE] = ACTIONS(2693),
    [anon_sym_SEMI] = ACTIONS(2693),
    [anon_sym_EQ] = ACTIONS(2695),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2693),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(2693),
    [anon_sym_RPAREN] = ACTIONS(2693),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2693),
    [anon_sym_and] = ACTIONS(2693),
    [anon_sym_or] = ACTIONS(2693),
    [anon_sym_xor] = ACTIONS(2693),
    [anon_sym_RBRACK] = ACTIONS(2693),
    [anon_sym_DASH_GT] = ACTIONS(2693),
    [anon_sym_PERCENT] = ACTIONS(2695),
    [anon_sym_LT] = ACTIONS(2695),
    [anon_sym_GT] = ACTIONS(2695),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2693),
    [anon_sym_PLUS_EQ] = ACTIONS(2693),
    [anon_sym_DASH_EQ] = ACTIONS(2693),
    [anon_sym_DOT_EQ] = ACTIONS(2693),
    [anon_sym_STAR_EQ] = ACTIONS(2693),
    [anon_sym_SLASH_EQ] = ACTIONS(2693),
    [anon_sym_PERCENT_EQ] = ACTIONS(2693),
    [anon_sym_x_EQ] = ACTIONS(2693),
    [anon_sym_AMP_EQ] = ACTIONS(2693),
    [anon_sym_PIPE_EQ] = ACTIONS(2693),
    [anon_sym_CARET_EQ] = ACTIONS(2693),
    [anon_sym_LT_LT_EQ] = ACTIONS(2693),
    [anon_sym_GT_GT_EQ] = ACTIONS(2693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2693),
    [anon_sym_DOT_DOT] = ACTIONS(2695),
    [anon_sym_STAR_STAR] = ACTIONS(2695),
    [anon_sym_PIPE_PIPE] = ACTIONS(2695),
    [anon_sym_SLASH_SLASH] = ACTIONS(2695),
    [anon_sym_CARET_CARET] = ACTIONS(2693),
    [anon_sym_AMP_AMP] = ACTIONS(2695),
    [anon_sym_PIPE] = ACTIONS(2695),
    [anon_sym_CARET] = ACTIONS(2695),
    [anon_sym_AMP] = ACTIONS(2695),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(2695),
    [anon_sym_STAR] = ACTIONS(2695),
    [anon_sym_SLASH] = ACTIONS(2695),
    [anon_sym_x] = ACTIONS(2695),
    [anon_sym_EQ_TILDE] = ACTIONS(2693),
    [anon_sym_BANG_TILDE] = ACTIONS(2693),
    [anon_sym_EQ_EQ] = ACTIONS(2695),
    [anon_sym_BANG_EQ] = ACTIONS(2693),
    [anon_sym_eq] = ACTIONS(2695),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2693),
    [anon_sym_equ] = ACTIONS(2693),
    [anon_sym_eqr] = ACTIONS(2693),
    [anon_sym_ne] = ACTIONS(2693),
    [anon_sym_LT_EQ_GT] = ACTIONS(2693),
    [anon_sym_cmp] = ACTIONS(2693),
    [anon_sym_TILDE_TILDE] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(2695),
    [anon_sym_GT_EQ] = ACTIONS(2693),
    [anon_sym_lt] = ACTIONS(2693),
    [anon_sym_le] = ACTIONS(2693),
    [anon_sym_ge] = ACTIONS(2693),
    [anon_sym_gt] = ACTIONS(2693),
    [anon_sym_isa] = ACTIONS(2693),
    [anon_sym_PLUS_PLUS] = ACTIONS(2693),
    [anon_sym_DASH_DASH] = ACTIONS(2693),
    [anon_sym_QMARK] = ACTIONS(2693),
    [anon_sym_EQ_GT] = ACTIONS(2693),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1510] = {
    [sym_heredoc_content] = STATE(1510),
    [anon_sym_RBRACE] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_COMMA] = ACTIONS(3142),
    [anon_sym_RPAREN] = ACTIONS(3142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3293),
    [anon_sym_and] = ACTIONS(3142),
    [anon_sym_or] = ACTIONS(3142),
    [anon_sym_xor] = ACTIONS(3142),
    [anon_sym_RBRACK] = ACTIONS(3142),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(3299),
    [anon_sym_GT] = ACTIONS(3299),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3142),
    [anon_sym_DASH_EQ] = ACTIONS(3142),
    [anon_sym_DOT_EQ] = ACTIONS(3142),
    [anon_sym_STAR_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_PERCENT_EQ] = ACTIONS(3142),
    [anon_sym_x_EQ] = ACTIONS(3142),
    [anon_sym_AMP_EQ] = ACTIONS(3142),
    [anon_sym_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_CARET_EQ] = ACTIONS(3142),
    [anon_sym_LT_LT_EQ] = ACTIONS(3142),
    [anon_sym_GT_GT_EQ] = ACTIONS(3142),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3142),
    [anon_sym_DOT_DOT] = ACTIONS(3303),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(3307),
    [anon_sym_SLASH_SLASH] = ACTIONS(3307),
    [anon_sym_CARET_CARET] = ACTIONS(3309),
    [anon_sym_AMP_AMP] = ACTIONS(3311),
    [anon_sym_PIPE] = ACTIONS(3313),
    [anon_sym_CARET] = ACTIONS(3313),
    [anon_sym_AMP] = ACTIONS(3315),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(3321),
    [anon_sym_BANG_EQ] = ACTIONS(3323),
    [anon_sym_eq] = ACTIONS(3321),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3323),
    [anon_sym_equ] = ACTIONS(3323),
    [anon_sym_eqr] = ACTIONS(3323),
    [anon_sym_ne] = ACTIONS(3323),
    [anon_sym_LT_EQ_GT] = ACTIONS(3325),
    [anon_sym_cmp] = ACTIONS(3325),
    [anon_sym_TILDE_TILDE] = ACTIONS(3325),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_EQ] = ACTIONS(3327),
    [anon_sym_lt] = ACTIONS(3327),
    [anon_sym_le] = ACTIONS(3327),
    [anon_sym_ge] = ACTIONS(3327),
    [anon_sym_gt] = ACTIONS(3327),
    [anon_sym_isa] = ACTIONS(3329),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(3333),
    [anon_sym_EQ_GT] = ACTIONS(3142),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1511] = {
    [sym_heredoc_content] = STATE(1511),
    [anon_sym_RBRACE] = ACTIONS(2749),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_COMMA] = ACTIONS(2749),
    [anon_sym_RPAREN] = ACTIONS(2749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2749),
    [anon_sym_and] = ACTIONS(2749),
    [anon_sym_or] = ACTIONS(2749),
    [anon_sym_xor] = ACTIONS(2749),
    [anon_sym_RBRACK] = ACTIONS(2749),
    [anon_sym_DASH_GT] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2751),
    [anon_sym_LT] = ACTIONS(2751),
    [anon_sym_GT] = ACTIONS(2751),
    [anon_sym_LT_LT] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_DOT_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_x_EQ] = ACTIONS(2749),
    [anon_sym_AMP_EQ] = ACTIONS(2749),
    [anon_sym_PIPE_EQ] = ACTIONS(2749),
    [anon_sym_CARET_EQ] = ACTIONS(2749),
    [anon_sym_LT_LT_EQ] = ACTIONS(2749),
    [anon_sym_GT_GT_EQ] = ACTIONS(2749),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2751),
    [anon_sym_STAR_STAR] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2751),
    [anon_sym_SLASH_SLASH] = ACTIONS(2751),
    [anon_sym_CARET_CARET] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2751),
    [anon_sym_AMP] = ACTIONS(2751),
    [anon_sym_GT_GT2] = ACTIONS(2751),
    [anon_sym_PLUS] = ACTIONS(2751),
    [anon_sym_DASH] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2751),
    [anon_sym_STAR] = ACTIONS(2751),
    [anon_sym_SLASH] = ACTIONS(2751),
    [anon_sym_x] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2749),
    [anon_sym_BANG_TILDE] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2751),
    [anon_sym_BANG_EQ] = ACTIONS(2749),
    [anon_sym_eq] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_equ] = ACTIONS(2749),
    [anon_sym_eqr] = ACTIONS(2749),
    [anon_sym_ne] = ACTIONS(2749),
    [anon_sym_LT_EQ_GT] = ACTIONS(2749),
    [anon_sym_cmp] = ACTIONS(2749),
    [anon_sym_TILDE_TILDE] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2751),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_lt] = ACTIONS(2749),
    [anon_sym_le] = ACTIONS(2749),
    [anon_sym_ge] = ACTIONS(2749),
    [anon_sym_gt] = ACTIONS(2749),
    [anon_sym_isa] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_QMARK] = ACTIONS(2749),
    [anon_sym_EQ_GT] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1512] = {
    [sym_heredoc_content] = STATE(1512),
    [anon_sym_RBRACE] = ACTIONS(2757),
    [anon_sym_SEMI] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2759),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2757),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2757),
    [anon_sym_COMMA] = ACTIONS(2757),
    [anon_sym_RPAREN] = ACTIONS(2757),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2757),
    [anon_sym_and] = ACTIONS(2757),
    [anon_sym_or] = ACTIONS(2757),
    [anon_sym_xor] = ACTIONS(2757),
    [anon_sym_RBRACK] = ACTIONS(2757),
    [anon_sym_DASH_GT] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2759),
    [anon_sym_LT] = ACTIONS(2759),
    [anon_sym_GT] = ACTIONS(2759),
    [anon_sym_LT_LT] = ACTIONS(2759),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2757),
    [anon_sym_PLUS_EQ] = ACTIONS(2757),
    [anon_sym_DASH_EQ] = ACTIONS(2757),
    [anon_sym_DOT_EQ] = ACTIONS(2757),
    [anon_sym_STAR_EQ] = ACTIONS(2757),
    [anon_sym_SLASH_EQ] = ACTIONS(2757),
    [anon_sym_PERCENT_EQ] = ACTIONS(2757),
    [anon_sym_x_EQ] = ACTIONS(2757),
    [anon_sym_AMP_EQ] = ACTIONS(2757),
    [anon_sym_PIPE_EQ] = ACTIONS(2757),
    [anon_sym_CARET_EQ] = ACTIONS(2757),
    [anon_sym_LT_LT_EQ] = ACTIONS(2757),
    [anon_sym_GT_GT_EQ] = ACTIONS(2757),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2757),
    [anon_sym_DOT_DOT] = ACTIONS(2759),
    [anon_sym_STAR_STAR] = ACTIONS(2759),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH] = ACTIONS(2759),
    [anon_sym_CARET_CARET] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_PIPE] = ACTIONS(2759),
    [anon_sym_CARET] = ACTIONS(2759),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym_GT_GT2] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2759),
    [anon_sym_DASH] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2759),
    [anon_sym_x] = ACTIONS(2759),
    [anon_sym_EQ_TILDE] = ACTIONS(2757),
    [anon_sym_BANG_TILDE] = ACTIONS(2757),
    [anon_sym_EQ_EQ] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_eq] = ACTIONS(2759),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2757),
    [anon_sym_equ] = ACTIONS(2757),
    [anon_sym_eqr] = ACTIONS(2757),
    [anon_sym_ne] = ACTIONS(2757),
    [anon_sym_LT_EQ_GT] = ACTIONS(2757),
    [anon_sym_cmp] = ACTIONS(2757),
    [anon_sym_TILDE_TILDE] = ACTIONS(2757),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2757),
    [anon_sym_lt] = ACTIONS(2757),
    [anon_sym_le] = ACTIONS(2757),
    [anon_sym_ge] = ACTIONS(2757),
    [anon_sym_gt] = ACTIONS(2757),
    [anon_sym_isa] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_DASH_DASH] = ACTIONS(2757),
    [anon_sym_QMARK] = ACTIONS(2757),
    [anon_sym_EQ_GT] = ACTIONS(2757),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1513] = {
    [sym_heredoc_content] = STATE(1513),
    [anon_sym_RBRACE] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2905),
    [anon_sym_EQ] = ACTIONS(2907),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2905),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2905),
    [anon_sym_COMMA] = ACTIONS(2905),
    [anon_sym_RPAREN] = ACTIONS(2905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2905),
    [anon_sym_and] = ACTIONS(2905),
    [anon_sym_or] = ACTIONS(2905),
    [anon_sym_xor] = ACTIONS(2905),
    [anon_sym_RBRACK] = ACTIONS(2905),
    [anon_sym_DASH_GT] = ACTIONS(2905),
    [anon_sym_PERCENT] = ACTIONS(2907),
    [anon_sym_LT] = ACTIONS(2907),
    [anon_sym_GT] = ACTIONS(2907),
    [anon_sym_LT_LT] = ACTIONS(2907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2905),
    [anon_sym_PLUS_EQ] = ACTIONS(2905),
    [anon_sym_DASH_EQ] = ACTIONS(2905),
    [anon_sym_DOT_EQ] = ACTIONS(2905),
    [anon_sym_STAR_EQ] = ACTIONS(2905),
    [anon_sym_SLASH_EQ] = ACTIONS(2905),
    [anon_sym_PERCENT_EQ] = ACTIONS(2905),
    [anon_sym_x_EQ] = ACTIONS(2905),
    [anon_sym_AMP_EQ] = ACTIONS(2905),
    [anon_sym_PIPE_EQ] = ACTIONS(2905),
    [anon_sym_CARET_EQ] = ACTIONS(2905),
    [anon_sym_LT_LT_EQ] = ACTIONS(2905),
    [anon_sym_GT_GT_EQ] = ACTIONS(2905),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2905),
    [anon_sym_DOT_DOT] = ACTIONS(2907),
    [anon_sym_STAR_STAR] = ACTIONS(2907),
    [anon_sym_PIPE_PIPE] = ACTIONS(2907),
    [anon_sym_SLASH_SLASH] = ACTIONS(2907),
    [anon_sym_CARET_CARET] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_PIPE] = ACTIONS(2907),
    [anon_sym_CARET] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_GT_GT2] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_DOT] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_SLASH] = ACTIONS(2907),
    [anon_sym_x] = ACTIONS(2907),
    [anon_sym_EQ_TILDE] = ACTIONS(2905),
    [anon_sym_BANG_TILDE] = ACTIONS(2905),
    [anon_sym_EQ_EQ] = ACTIONS(2907),
    [anon_sym_BANG_EQ] = ACTIONS(2905),
    [anon_sym_eq] = ACTIONS(2907),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2905),
    [anon_sym_equ] = ACTIONS(2905),
    [anon_sym_eqr] = ACTIONS(2905),
    [anon_sym_ne] = ACTIONS(2905),
    [anon_sym_LT_EQ_GT] = ACTIONS(2905),
    [anon_sym_cmp] = ACTIONS(2905),
    [anon_sym_TILDE_TILDE] = ACTIONS(2905),
    [anon_sym_LT_EQ] = ACTIONS(2907),
    [anon_sym_GT_EQ] = ACTIONS(2905),
    [anon_sym_lt] = ACTIONS(2905),
    [anon_sym_le] = ACTIONS(2905),
    [anon_sym_ge] = ACTIONS(2905),
    [anon_sym_gt] = ACTIONS(2905),
    [anon_sym_isa] = ACTIONS(2905),
    [anon_sym_PLUS_PLUS] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2905),
    [anon_sym_QMARK] = ACTIONS(2905),
    [anon_sym_EQ_GT] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1514] = {
    [sym_heredoc_content] = STATE(1514),
    [anon_sym_RBRACE] = ACTIONS(2773),
    [anon_sym_SEMI] = ACTIONS(2773),
    [anon_sym_EQ] = ACTIONS(2775),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2773),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2773),
    [anon_sym_RPAREN] = ACTIONS(2773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2773),
    [anon_sym_and] = ACTIONS(2773),
    [anon_sym_or] = ACTIONS(2773),
    [anon_sym_xor] = ACTIONS(2773),
    [anon_sym_RBRACK] = ACTIONS(2773),
    [anon_sym_DASH_GT] = ACTIONS(2773),
    [anon_sym_PERCENT] = ACTIONS(2775),
    [anon_sym_LT] = ACTIONS(2775),
    [anon_sym_GT] = ACTIONS(2775),
    [anon_sym_LT_LT] = ACTIONS(2775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2773),
    [anon_sym_PLUS_EQ] = ACTIONS(2773),
    [anon_sym_DASH_EQ] = ACTIONS(2773),
    [anon_sym_DOT_EQ] = ACTIONS(2773),
    [anon_sym_STAR_EQ] = ACTIONS(2773),
    [anon_sym_SLASH_EQ] = ACTIONS(2773),
    [anon_sym_PERCENT_EQ] = ACTIONS(2773),
    [anon_sym_x_EQ] = ACTIONS(2773),
    [anon_sym_AMP_EQ] = ACTIONS(2773),
    [anon_sym_PIPE_EQ] = ACTIONS(2773),
    [anon_sym_CARET_EQ] = ACTIONS(2773),
    [anon_sym_LT_LT_EQ] = ACTIONS(2773),
    [anon_sym_GT_GT_EQ] = ACTIONS(2773),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2773),
    [anon_sym_DOT_DOT] = ACTIONS(2775),
    [anon_sym_STAR_STAR] = ACTIONS(2775),
    [anon_sym_PIPE_PIPE] = ACTIONS(2775),
    [anon_sym_SLASH_SLASH] = ACTIONS(2775),
    [anon_sym_CARET_CARET] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2775),
    [anon_sym_PIPE] = ACTIONS(2775),
    [anon_sym_CARET] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_GT_GT2] = ACTIONS(2775),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_DASH] = ACTIONS(2775),
    [anon_sym_DOT] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_SLASH] = ACTIONS(2775),
    [anon_sym_x] = ACTIONS(2775),
    [anon_sym_EQ_TILDE] = ACTIONS(2773),
    [anon_sym_BANG_TILDE] = ACTIONS(2773),
    [anon_sym_EQ_EQ] = ACTIONS(2775),
    [anon_sym_BANG_EQ] = ACTIONS(2773),
    [anon_sym_eq] = ACTIONS(2775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2773),
    [anon_sym_equ] = ACTIONS(2773),
    [anon_sym_eqr] = ACTIONS(2773),
    [anon_sym_ne] = ACTIONS(2773),
    [anon_sym_LT_EQ_GT] = ACTIONS(2773),
    [anon_sym_cmp] = ACTIONS(2773),
    [anon_sym_TILDE_TILDE] = ACTIONS(2773),
    [anon_sym_LT_EQ] = ACTIONS(2775),
    [anon_sym_GT_EQ] = ACTIONS(2773),
    [anon_sym_lt] = ACTIONS(2773),
    [anon_sym_le] = ACTIONS(2773),
    [anon_sym_ge] = ACTIONS(2773),
    [anon_sym_gt] = ACTIONS(2773),
    [anon_sym_isa] = ACTIONS(2773),
    [anon_sym_PLUS_PLUS] = ACTIONS(2773),
    [anon_sym_DASH_DASH] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2773),
    [anon_sym_EQ_GT] = ACTIONS(2773),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1515] = {
    [sym_heredoc_content] = STATE(1515),
    [anon_sym_RBRACE] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2861),
    [anon_sym_EQ] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_COMMA] = ACTIONS(2861),
    [anon_sym_RPAREN] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2861),
    [anon_sym_and] = ACTIONS(2861),
    [anon_sym_or] = ACTIONS(2861),
    [anon_sym_xor] = ACTIONS(2861),
    [anon_sym_RBRACK] = ACTIONS(2861),
    [anon_sym_DASH_GT] = ACTIONS(2861),
    [anon_sym_PERCENT] = ACTIONS(2863),
    [anon_sym_LT] = ACTIONS(2863),
    [anon_sym_GT] = ACTIONS(2863),
    [anon_sym_LT_LT] = ACTIONS(2863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2861),
    [anon_sym_PLUS_EQ] = ACTIONS(2861),
    [anon_sym_DASH_EQ] = ACTIONS(2861),
    [anon_sym_DOT_EQ] = ACTIONS(2861),
    [anon_sym_STAR_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_PERCENT_EQ] = ACTIONS(2861),
    [anon_sym_x_EQ] = ACTIONS(2861),
    [anon_sym_AMP_EQ] = ACTIONS(2861),
    [anon_sym_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_CARET_EQ] = ACTIONS(2861),
    [anon_sym_LT_LT_EQ] = ACTIONS(2861),
    [anon_sym_GT_GT_EQ] = ACTIONS(2861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2861),
    [anon_sym_DOT_DOT] = ACTIONS(2863),
    [anon_sym_STAR_STAR] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE] = ACTIONS(2863),
    [anon_sym_SLASH_SLASH] = ACTIONS(2863),
    [anon_sym_CARET_CARET] = ACTIONS(2861),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_PIPE] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_GT_GT2] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_DOT] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_SLASH] = ACTIONS(2863),
    [anon_sym_x] = ACTIONS(2863),
    [anon_sym_EQ_TILDE] = ACTIONS(2861),
    [anon_sym_BANG_TILDE] = ACTIONS(2861),
    [anon_sym_EQ_EQ] = ACTIONS(2863),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_eq] = ACTIONS(2863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2861),
    [anon_sym_equ] = ACTIONS(2861),
    [anon_sym_eqr] = ACTIONS(2861),
    [anon_sym_ne] = ACTIONS(2861),
    [anon_sym_LT_EQ_GT] = ACTIONS(2861),
    [anon_sym_cmp] = ACTIONS(2861),
    [anon_sym_TILDE_TILDE] = ACTIONS(2861),
    [anon_sym_LT_EQ] = ACTIONS(2863),
    [anon_sym_GT_EQ] = ACTIONS(2861),
    [anon_sym_lt] = ACTIONS(2861),
    [anon_sym_le] = ACTIONS(2861),
    [anon_sym_ge] = ACTIONS(2861),
    [anon_sym_gt] = ACTIONS(2861),
    [anon_sym_isa] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2861),
    [anon_sym_QMARK] = ACTIONS(2861),
    [anon_sym_EQ_GT] = ACTIONS(2861),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1516] = {
    [sym_heredoc_content] = STATE(1516),
    [anon_sym_RBRACE] = ACTIONS(3036),
    [anon_sym_SEMI] = ACTIONS(3036),
    [anon_sym_EQ] = ACTIONS(3038),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3036),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3036),
    [anon_sym_COMMA] = ACTIONS(3036),
    [anon_sym_RPAREN] = ACTIONS(3036),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3036),
    [anon_sym_and] = ACTIONS(3036),
    [anon_sym_or] = ACTIONS(3036),
    [anon_sym_xor] = ACTIONS(3036),
    [anon_sym_RBRACK] = ACTIONS(3036),
    [anon_sym_DASH_GT] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3038),
    [anon_sym_LT] = ACTIONS(3038),
    [anon_sym_GT] = ACTIONS(3038),
    [anon_sym_LT_LT] = ACTIONS(3038),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3036),
    [anon_sym_PLUS_EQ] = ACTIONS(3036),
    [anon_sym_DASH_EQ] = ACTIONS(3036),
    [anon_sym_DOT_EQ] = ACTIONS(3036),
    [anon_sym_STAR_EQ] = ACTIONS(3036),
    [anon_sym_SLASH_EQ] = ACTIONS(3036),
    [anon_sym_PERCENT_EQ] = ACTIONS(3036),
    [anon_sym_x_EQ] = ACTIONS(3036),
    [anon_sym_AMP_EQ] = ACTIONS(3036),
    [anon_sym_PIPE_EQ] = ACTIONS(3036),
    [anon_sym_CARET_EQ] = ACTIONS(3036),
    [anon_sym_LT_LT_EQ] = ACTIONS(3036),
    [anon_sym_GT_GT_EQ] = ACTIONS(3036),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3036),
    [anon_sym_DOT_DOT] = ACTIONS(3038),
    [anon_sym_STAR_STAR] = ACTIONS(3038),
    [anon_sym_PIPE_PIPE] = ACTIONS(3038),
    [anon_sym_SLASH_SLASH] = ACTIONS(3038),
    [anon_sym_CARET_CARET] = ACTIONS(3036),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_PIPE] = ACTIONS(3038),
    [anon_sym_CARET] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3038),
    [anon_sym_GT_GT2] = ACTIONS(3038),
    [anon_sym_PLUS] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3038),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_SLASH] = ACTIONS(3038),
    [anon_sym_x] = ACTIONS(3038),
    [anon_sym_EQ_TILDE] = ACTIONS(3036),
    [anon_sym_BANG_TILDE] = ACTIONS(3036),
    [anon_sym_EQ_EQ] = ACTIONS(3038),
    [anon_sym_BANG_EQ] = ACTIONS(3036),
    [anon_sym_eq] = ACTIONS(3038),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3036),
    [anon_sym_equ] = ACTIONS(3036),
    [anon_sym_eqr] = ACTIONS(3036),
    [anon_sym_ne] = ACTIONS(3036),
    [anon_sym_LT_EQ_GT] = ACTIONS(3036),
    [anon_sym_cmp] = ACTIONS(3036),
    [anon_sym_TILDE_TILDE] = ACTIONS(3036),
    [anon_sym_LT_EQ] = ACTIONS(3038),
    [anon_sym_GT_EQ] = ACTIONS(3036),
    [anon_sym_lt] = ACTIONS(3036),
    [anon_sym_le] = ACTIONS(3036),
    [anon_sym_ge] = ACTIONS(3036),
    [anon_sym_gt] = ACTIONS(3036),
    [anon_sym_isa] = ACTIONS(3036),
    [anon_sym_PLUS_PLUS] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3036),
    [anon_sym_QMARK] = ACTIONS(3036),
    [anon_sym_EQ_GT] = ACTIONS(3036),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1517] = {
    [sym_heredoc_content] = STATE(1517),
    [anon_sym_RBRACE] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2791),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2789),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(2789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2789),
    [anon_sym_and] = ACTIONS(2789),
    [anon_sym_or] = ACTIONS(2789),
    [anon_sym_xor] = ACTIONS(2789),
    [anon_sym_RBRACK] = ACTIONS(2789),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(2791),
    [anon_sym_GT] = ACTIONS(2791),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2789),
    [anon_sym_PLUS_EQ] = ACTIONS(2789),
    [anon_sym_DASH_EQ] = ACTIONS(2789),
    [anon_sym_DOT_EQ] = ACTIONS(2789),
    [anon_sym_STAR_EQ] = ACTIONS(2789),
    [anon_sym_SLASH_EQ] = ACTIONS(2789),
    [anon_sym_PERCENT_EQ] = ACTIONS(2789),
    [anon_sym_x_EQ] = ACTIONS(2789),
    [anon_sym_AMP_EQ] = ACTIONS(2789),
    [anon_sym_PIPE_EQ] = ACTIONS(2789),
    [anon_sym_CARET_EQ] = ACTIONS(2789),
    [anon_sym_LT_LT_EQ] = ACTIONS(2789),
    [anon_sym_GT_GT_EQ] = ACTIONS(2789),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2789),
    [anon_sym_DOT_DOT] = ACTIONS(2791),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(2791),
    [anon_sym_SLASH_SLASH] = ACTIONS(2791),
    [anon_sym_CARET_CARET] = ACTIONS(2789),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_PIPE] = ACTIONS(2791),
    [anon_sym_CARET] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2791),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(2791),
    [anon_sym_BANG_EQ] = ACTIONS(2789),
    [anon_sym_eq] = ACTIONS(2791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2789),
    [anon_sym_equ] = ACTIONS(2789),
    [anon_sym_eqr] = ACTIONS(2789),
    [anon_sym_ne] = ACTIONS(2789),
    [anon_sym_LT_EQ_GT] = ACTIONS(2789),
    [anon_sym_cmp] = ACTIONS(2789),
    [anon_sym_TILDE_TILDE] = ACTIONS(2789),
    [anon_sym_LT_EQ] = ACTIONS(2791),
    [anon_sym_GT_EQ] = ACTIONS(2789),
    [anon_sym_lt] = ACTIONS(2789),
    [anon_sym_le] = ACTIONS(2789),
    [anon_sym_ge] = ACTIONS(2789),
    [anon_sym_gt] = ACTIONS(2789),
    [anon_sym_isa] = ACTIONS(2789),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_EQ_GT] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1518] = {
    [sym_heredoc_content] = STATE(1518),
    [anon_sym_RBRACE] = ACTIONS(3058),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym_EQ] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_COMMA] = ACTIONS(3058),
    [anon_sym_RPAREN] = ACTIONS(3058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3058),
    [anon_sym_and] = ACTIONS(3058),
    [anon_sym_or] = ACTIONS(3058),
    [anon_sym_xor] = ACTIONS(3058),
    [anon_sym_RBRACK] = ACTIONS(3058),
    [anon_sym_DASH_GT] = ACTIONS(3058),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LT_LT] = ACTIONS(3060),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3058),
    [anon_sym_PLUS_EQ] = ACTIONS(3058),
    [anon_sym_DASH_EQ] = ACTIONS(3058),
    [anon_sym_DOT_EQ] = ACTIONS(3058),
    [anon_sym_STAR_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_PERCENT_EQ] = ACTIONS(3058),
    [anon_sym_x_EQ] = ACTIONS(3058),
    [anon_sym_AMP_EQ] = ACTIONS(3058),
    [anon_sym_PIPE_EQ] = ACTIONS(3058),
    [anon_sym_CARET_EQ] = ACTIONS(3058),
    [anon_sym_LT_LT_EQ] = ACTIONS(3058),
    [anon_sym_GT_GT_EQ] = ACTIONS(3058),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_STAR_STAR] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE] = ACTIONS(3060),
    [anon_sym_SLASH_SLASH] = ACTIONS(3060),
    [anon_sym_CARET_CARET] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3060),
    [anon_sym_PIPE] = ACTIONS(3060),
    [anon_sym_CARET] = ACTIONS(3060),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_GT_GT2] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_x] = ACTIONS(3060),
    [anon_sym_EQ_TILDE] = ACTIONS(3058),
    [anon_sym_BANG_TILDE] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ] = ACTIONS(3058),
    [anon_sym_eq] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3058),
    [anon_sym_equ] = ACTIONS(3058),
    [anon_sym_eqr] = ACTIONS(3058),
    [anon_sym_ne] = ACTIONS(3058),
    [anon_sym_LT_EQ_GT] = ACTIONS(3058),
    [anon_sym_cmp] = ACTIONS(3058),
    [anon_sym_TILDE_TILDE] = ACTIONS(3058),
    [anon_sym_LT_EQ] = ACTIONS(3060),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_lt] = ACTIONS(3058),
    [anon_sym_le] = ACTIONS(3058),
    [anon_sym_ge] = ACTIONS(3058),
    [anon_sym_gt] = ACTIONS(3058),
    [anon_sym_isa] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_QMARK] = ACTIONS(3058),
    [anon_sym_EQ_GT] = ACTIONS(3058),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1519] = {
    [sym_heredoc_content] = STATE(1519),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3138),
    [anon_sym_and] = ACTIONS(3138),
    [anon_sym_or] = ACTIONS(3138),
    [anon_sym_xor] = ACTIONS(3138),
    [anon_sym_RBRACK] = ACTIONS(3138),
    [anon_sym_DASH_GT] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_GT] = ACTIONS(3140),
    [anon_sym_LT_LT] = ACTIONS(3140),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3138),
    [anon_sym_DASH_EQ] = ACTIONS(3138),
    [anon_sym_DOT_EQ] = ACTIONS(3138),
    [anon_sym_STAR_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_PERCENT_EQ] = ACTIONS(3138),
    [anon_sym_x_EQ] = ACTIONS(3138),
    [anon_sym_AMP_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_CARET_EQ] = ACTIONS(3138),
    [anon_sym_LT_LT_EQ] = ACTIONS(3138),
    [anon_sym_GT_GT_EQ] = ACTIONS(3138),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3138),
    [anon_sym_DOT_DOT] = ACTIONS(3140),
    [anon_sym_STAR_STAR] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_SLASH_SLASH] = ACTIONS(3140),
    [anon_sym_CARET_CARET] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_PIPE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_GT_GT2] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_x] = ACTIONS(3140),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_EQ_EQ] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_eq] = ACTIONS(3140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_equ] = ACTIONS(3138),
    [anon_sym_eqr] = ACTIONS(3138),
    [anon_sym_ne] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_cmp] = ACTIONS(3138),
    [anon_sym_TILDE_TILDE] = ACTIONS(3138),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_lt] = ACTIONS(3138),
    [anon_sym_le] = ACTIONS(3138),
    [anon_sym_ge] = ACTIONS(3138),
    [anon_sym_gt] = ACTIONS(3138),
    [anon_sym_isa] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_EQ_GT] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1520] = {
    [sym_heredoc_content] = STATE(1520),
    [anon_sym_RBRACE] = ACTIONS(2741),
    [anon_sym_SEMI] = ACTIONS(2741),
    [anon_sym_EQ] = ACTIONS(2743),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2741),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2741),
    [anon_sym_COMMA] = ACTIONS(2741),
    [anon_sym_RPAREN] = ACTIONS(2741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2741),
    [anon_sym_and] = ACTIONS(2741),
    [anon_sym_or] = ACTIONS(2741),
    [anon_sym_xor] = ACTIONS(2741),
    [anon_sym_RBRACK] = ACTIONS(2741),
    [anon_sym_DASH_GT] = ACTIONS(2741),
    [anon_sym_PERCENT] = ACTIONS(2743),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_GT] = ACTIONS(2743),
    [anon_sym_LT_LT] = ACTIONS(2743),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2741),
    [anon_sym_PLUS_EQ] = ACTIONS(2741),
    [anon_sym_DASH_EQ] = ACTIONS(2741),
    [anon_sym_DOT_EQ] = ACTIONS(2741),
    [anon_sym_STAR_EQ] = ACTIONS(2741),
    [anon_sym_SLASH_EQ] = ACTIONS(2741),
    [anon_sym_PERCENT_EQ] = ACTIONS(2741),
    [anon_sym_x_EQ] = ACTIONS(2741),
    [anon_sym_AMP_EQ] = ACTIONS(2741),
    [anon_sym_PIPE_EQ] = ACTIONS(2741),
    [anon_sym_CARET_EQ] = ACTIONS(2741),
    [anon_sym_LT_LT_EQ] = ACTIONS(2741),
    [anon_sym_GT_GT_EQ] = ACTIONS(2741),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2741),
    [anon_sym_DOT_DOT] = ACTIONS(2743),
    [anon_sym_STAR_STAR] = ACTIONS(2743),
    [anon_sym_PIPE_PIPE] = ACTIONS(2743),
    [anon_sym_SLASH_SLASH] = ACTIONS(2743),
    [anon_sym_CARET_CARET] = ACTIONS(2741),
    [anon_sym_AMP_AMP] = ACTIONS(2743),
    [anon_sym_PIPE] = ACTIONS(2743),
    [anon_sym_CARET] = ACTIONS(2743),
    [anon_sym_AMP] = ACTIONS(2743),
    [anon_sym_GT_GT2] = ACTIONS(2743),
    [anon_sym_PLUS] = ACTIONS(2743),
    [anon_sym_DASH] = ACTIONS(2743),
    [anon_sym_DOT] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2743),
    [anon_sym_SLASH] = ACTIONS(2743),
    [anon_sym_x] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2741),
    [anon_sym_BANG_TILDE] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2743),
    [anon_sym_BANG_EQ] = ACTIONS(2741),
    [anon_sym_eq] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2741),
    [anon_sym_equ] = ACTIONS(2741),
    [anon_sym_eqr] = ACTIONS(2741),
    [anon_sym_ne] = ACTIONS(2741),
    [anon_sym_LT_EQ_GT] = ACTIONS(2741),
    [anon_sym_cmp] = ACTIONS(2741),
    [anon_sym_TILDE_TILDE] = ACTIONS(2741),
    [anon_sym_LT_EQ] = ACTIONS(2743),
    [anon_sym_GT_EQ] = ACTIONS(2741),
    [anon_sym_lt] = ACTIONS(2741),
    [anon_sym_le] = ACTIONS(2741),
    [anon_sym_ge] = ACTIONS(2741),
    [anon_sym_gt] = ACTIONS(2741),
    [anon_sym_isa] = ACTIONS(2741),
    [anon_sym_PLUS_PLUS] = ACTIONS(2741),
    [anon_sym_DASH_DASH] = ACTIONS(2741),
    [anon_sym_QMARK] = ACTIONS(2741),
    [anon_sym_EQ_GT] = ACTIONS(2741),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1521] = {
    [sym_heredoc_content] = STATE(1521),
    [anon_sym_RBRACE] = ACTIONS(2777),
    [anon_sym_SEMI] = ACTIONS(2777),
    [anon_sym_EQ] = ACTIONS(2779),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2777),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2777),
    [anon_sym_COMMA] = ACTIONS(2777),
    [anon_sym_RPAREN] = ACTIONS(2777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2777),
    [anon_sym_and] = ACTIONS(2777),
    [anon_sym_or] = ACTIONS(2777),
    [anon_sym_xor] = ACTIONS(2777),
    [anon_sym_RBRACK] = ACTIONS(2777),
    [anon_sym_DASH_GT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(2779),
    [anon_sym_LT] = ACTIONS(2779),
    [anon_sym_GT] = ACTIONS(2779),
    [anon_sym_LT_LT] = ACTIONS(2779),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2777),
    [anon_sym_PLUS_EQ] = ACTIONS(2777),
    [anon_sym_DASH_EQ] = ACTIONS(2777),
    [anon_sym_DOT_EQ] = ACTIONS(2777),
    [anon_sym_STAR_EQ] = ACTIONS(2777),
    [anon_sym_SLASH_EQ] = ACTIONS(2777),
    [anon_sym_PERCENT_EQ] = ACTIONS(2777),
    [anon_sym_x_EQ] = ACTIONS(2777),
    [anon_sym_AMP_EQ] = ACTIONS(2777),
    [anon_sym_PIPE_EQ] = ACTIONS(2777),
    [anon_sym_CARET_EQ] = ACTIONS(2777),
    [anon_sym_LT_LT_EQ] = ACTIONS(2777),
    [anon_sym_GT_GT_EQ] = ACTIONS(2777),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2777),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_STAR_STAR] = ACTIONS(2779),
    [anon_sym_PIPE_PIPE] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH] = ACTIONS(2779),
    [anon_sym_CARET_CARET] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2779),
    [anon_sym_PIPE] = ACTIONS(2779),
    [anon_sym_CARET] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2779),
    [anon_sym_GT_GT2] = ACTIONS(2779),
    [anon_sym_PLUS] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2779),
    [anon_sym_DOT] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_SLASH] = ACTIONS(2779),
    [anon_sym_x] = ACTIONS(2779),
    [anon_sym_EQ_TILDE] = ACTIONS(2777),
    [anon_sym_BANG_TILDE] = ACTIONS(2777),
    [anon_sym_EQ_EQ] = ACTIONS(2779),
    [anon_sym_BANG_EQ] = ACTIONS(2777),
    [anon_sym_eq] = ACTIONS(2779),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2777),
    [anon_sym_equ] = ACTIONS(2777),
    [anon_sym_eqr] = ACTIONS(2777),
    [anon_sym_ne] = ACTIONS(2777),
    [anon_sym_LT_EQ_GT] = ACTIONS(2777),
    [anon_sym_cmp] = ACTIONS(2777),
    [anon_sym_TILDE_TILDE] = ACTIONS(2777),
    [anon_sym_LT_EQ] = ACTIONS(2779),
    [anon_sym_GT_EQ] = ACTIONS(2777),
    [anon_sym_lt] = ACTIONS(2777),
    [anon_sym_le] = ACTIONS(2777),
    [anon_sym_ge] = ACTIONS(2777),
    [anon_sym_gt] = ACTIONS(2777),
    [anon_sym_isa] = ACTIONS(2777),
    [anon_sym_PLUS_PLUS] = ACTIONS(2777),
    [anon_sym_DASH_DASH] = ACTIONS(2777),
    [anon_sym_QMARK] = ACTIONS(2777),
    [anon_sym_EQ_GT] = ACTIONS(2777),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1522] = {
    [sym_heredoc_content] = STATE(1522),
    [anon_sym_COLON] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2412),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_AT] = ACTIONS(2412),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_RPAREN] = ACTIONS(2412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2412),
    [anon_sym_DASH_GT] = ACTIONS(2412),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_GT] = ACTIONS(2414),
    [anon_sym_LT_LT] = ACTIONS(2414),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2412),
    [anon_sym_PLUS_EQ] = ACTIONS(2412),
    [anon_sym_DASH_EQ] = ACTIONS(2412),
    [anon_sym_DOT_EQ] = ACTIONS(2412),
    [anon_sym_STAR_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_PERCENT_EQ] = ACTIONS(2414),
    [anon_sym_x_EQ] = ACTIONS(2412),
    [anon_sym_AMP_EQ] = ACTIONS(2412),
    [anon_sym_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_CARET_EQ] = ACTIONS(2412),
    [anon_sym_LT_LT_EQ] = ACTIONS(2412),
    [anon_sym_GT_GT_EQ] = ACTIONS(2412),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2414),
    [anon_sym_STAR_STAR] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH] = ACTIONS(2414),
    [anon_sym_CARET_CARET] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_PIPE] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_GT_GT2] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_SLASH] = ACTIONS(2414),
    [anon_sym_x] = ACTIONS(2414),
    [anon_sym_EQ_TILDE] = ACTIONS(2412),
    [anon_sym_BANG_TILDE] = ACTIONS(2412),
    [anon_sym_EQ_EQ] = ACTIONS(2414),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_eq] = ACTIONS(2414),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2412),
    [anon_sym_equ] = ACTIONS(2412),
    [anon_sym_eqr] = ACTIONS(2412),
    [anon_sym_ne] = ACTIONS(2412),
    [anon_sym_LT_EQ_GT] = ACTIONS(2412),
    [anon_sym_cmp] = ACTIONS(2414),
    [anon_sym_TILDE_TILDE] = ACTIONS(2412),
    [anon_sym_LT_EQ] = ACTIONS(2414),
    [anon_sym_GT_EQ] = ACTIONS(2412),
    [anon_sym_lt] = ACTIONS(2412),
    [anon_sym_le] = ACTIONS(2412),
    [anon_sym_ge] = ACTIONS(2412),
    [anon_sym_gt] = ACTIONS(2412),
    [anon_sym_isa] = ACTIONS(2412),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_QMARK] = ACTIONS(2412),
    [anon_sym_PERCENT2] = ACTIONS(2412),
    [anon_sym_EQ_GT] = ACTIONS(2412),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(2412),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1523] = {
    [sym_heredoc_content] = STATE(1523),
    [anon_sym_RBRACE] = ACTIONS(2781),
    [anon_sym_SEMI] = ACTIONS(2781),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2781),
    [anon_sym_COMMA] = ACTIONS(2781),
    [anon_sym_RPAREN] = ACTIONS(2781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2781),
    [anon_sym_and] = ACTIONS(2781),
    [anon_sym_or] = ACTIONS(2781),
    [anon_sym_xor] = ACTIONS(2781),
    [anon_sym_RBRACK] = ACTIONS(2781),
    [anon_sym_DASH_GT] = ACTIONS(2781),
    [anon_sym_PERCENT] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_GT] = ACTIONS(2783),
    [anon_sym_LT_LT] = ACTIONS(2783),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2781),
    [anon_sym_PLUS_EQ] = ACTIONS(2781),
    [anon_sym_DASH_EQ] = ACTIONS(2781),
    [anon_sym_DOT_EQ] = ACTIONS(2781),
    [anon_sym_STAR_EQ] = ACTIONS(2781),
    [anon_sym_SLASH_EQ] = ACTIONS(2781),
    [anon_sym_PERCENT_EQ] = ACTIONS(2781),
    [anon_sym_x_EQ] = ACTIONS(2781),
    [anon_sym_AMP_EQ] = ACTIONS(2781),
    [anon_sym_PIPE_EQ] = ACTIONS(2781),
    [anon_sym_CARET_EQ] = ACTIONS(2781),
    [anon_sym_LT_LT_EQ] = ACTIONS(2781),
    [anon_sym_GT_GT_EQ] = ACTIONS(2781),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2781),
    [anon_sym_DOT_DOT] = ACTIONS(2783),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH] = ACTIONS(2783),
    [anon_sym_CARET_CARET] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(2783),
    [anon_sym_CARET] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2783),
    [anon_sym_GT_GT2] = ACTIONS(2783),
    [anon_sym_PLUS] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_SLASH] = ACTIONS(2783),
    [anon_sym_x] = ACTIONS(2783),
    [anon_sym_EQ_TILDE] = ACTIONS(2781),
    [anon_sym_BANG_TILDE] = ACTIONS(2781),
    [anon_sym_EQ_EQ] = ACTIONS(2783),
    [anon_sym_BANG_EQ] = ACTIONS(2781),
    [anon_sym_eq] = ACTIONS(2783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2781),
    [anon_sym_equ] = ACTIONS(2781),
    [anon_sym_eqr] = ACTIONS(2781),
    [anon_sym_ne] = ACTIONS(2781),
    [anon_sym_LT_EQ_GT] = ACTIONS(2781),
    [anon_sym_cmp] = ACTIONS(2781),
    [anon_sym_TILDE_TILDE] = ACTIONS(2781),
    [anon_sym_LT_EQ] = ACTIONS(2783),
    [anon_sym_GT_EQ] = ACTIONS(2781),
    [anon_sym_lt] = ACTIONS(2781),
    [anon_sym_le] = ACTIONS(2781),
    [anon_sym_ge] = ACTIONS(2781),
    [anon_sym_gt] = ACTIONS(2781),
    [anon_sym_isa] = ACTIONS(2781),
    [anon_sym_PLUS_PLUS] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2781),
    [anon_sym_QMARK] = ACTIONS(2781),
    [anon_sym_EQ_GT] = ACTIONS(2781),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1524] = {
    [sym_heredoc_content] = STATE(1524),
    [anon_sym_RBRACE] = ACTIONS(2853),
    [anon_sym_SEMI] = ACTIONS(2853),
    [anon_sym_EQ] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_RPAREN] = ACTIONS(2853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2853),
    [anon_sym_and] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2853),
    [anon_sym_xor] = ACTIONS(2853),
    [anon_sym_RBRACK] = ACTIONS(2853),
    [anon_sym_DASH_GT] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2855),
    [anon_sym_GT] = ACTIONS(2855),
    [anon_sym_LT_LT] = ACTIONS(2855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2853),
    [anon_sym_PLUS_EQ] = ACTIONS(2853),
    [anon_sym_DASH_EQ] = ACTIONS(2853),
    [anon_sym_DOT_EQ] = ACTIONS(2853),
    [anon_sym_STAR_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_PERCENT_EQ] = ACTIONS(2853),
    [anon_sym_x_EQ] = ACTIONS(2853),
    [anon_sym_AMP_EQ] = ACTIONS(2853),
    [anon_sym_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_CARET_EQ] = ACTIONS(2853),
    [anon_sym_LT_LT_EQ] = ACTIONS(2853),
    [anon_sym_GT_GT_EQ] = ACTIONS(2853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2853),
    [anon_sym_DOT_DOT] = ACTIONS(2855),
    [anon_sym_STAR_STAR] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_SLASH_SLASH] = ACTIONS(2855),
    [anon_sym_CARET_CARET] = ACTIONS(2853),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_PIPE] = ACTIONS(2855),
    [anon_sym_CARET] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_GT_GT2] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_SLASH] = ACTIONS(2855),
    [anon_sym_x] = ACTIONS(2855),
    [anon_sym_EQ_TILDE] = ACTIONS(2853),
    [anon_sym_BANG_TILDE] = ACTIONS(2853),
    [anon_sym_EQ_EQ] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_eq] = ACTIONS(2855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2853),
    [anon_sym_equ] = ACTIONS(2853),
    [anon_sym_eqr] = ACTIONS(2853),
    [anon_sym_ne] = ACTIONS(2853),
    [anon_sym_LT_EQ_GT] = ACTIONS(2853),
    [anon_sym_cmp] = ACTIONS(2853),
    [anon_sym_TILDE_TILDE] = ACTIONS(2853),
    [anon_sym_LT_EQ] = ACTIONS(2855),
    [anon_sym_GT_EQ] = ACTIONS(2853),
    [anon_sym_lt] = ACTIONS(2853),
    [anon_sym_le] = ACTIONS(2853),
    [anon_sym_ge] = ACTIONS(2853),
    [anon_sym_gt] = ACTIONS(2853),
    [anon_sym_isa] = ACTIONS(2853),
    [anon_sym_PLUS_PLUS] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2853),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_EQ_GT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1525] = {
    [sym_heredoc_content] = STATE(1525),
    [anon_sym_RBRACE] = ACTIONS(2809),
    [anon_sym_SEMI] = ACTIONS(2809),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2809),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2809),
    [anon_sym_RPAREN] = ACTIONS(2809),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2809),
    [anon_sym_and] = ACTIONS(2809),
    [anon_sym_or] = ACTIONS(2809),
    [anon_sym_xor] = ACTIONS(2809),
    [anon_sym_RBRACK] = ACTIONS(2809),
    [anon_sym_DASH_GT] = ACTIONS(2809),
    [anon_sym_PERCENT] = ACTIONS(2811),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_GT] = ACTIONS(2811),
    [anon_sym_LT_LT] = ACTIONS(2811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2809),
    [anon_sym_PLUS_EQ] = ACTIONS(2809),
    [anon_sym_DASH_EQ] = ACTIONS(2809),
    [anon_sym_DOT_EQ] = ACTIONS(2809),
    [anon_sym_STAR_EQ] = ACTIONS(2809),
    [anon_sym_SLASH_EQ] = ACTIONS(2809),
    [anon_sym_PERCENT_EQ] = ACTIONS(2809),
    [anon_sym_x_EQ] = ACTIONS(2809),
    [anon_sym_AMP_EQ] = ACTIONS(2809),
    [anon_sym_PIPE_EQ] = ACTIONS(2809),
    [anon_sym_CARET_EQ] = ACTIONS(2809),
    [anon_sym_LT_LT_EQ] = ACTIONS(2809),
    [anon_sym_GT_GT_EQ] = ACTIONS(2809),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2809),
    [anon_sym_DOT_DOT] = ACTIONS(2811),
    [anon_sym_STAR_STAR] = ACTIONS(2811),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH] = ACTIONS(2811),
    [anon_sym_CARET_CARET] = ACTIONS(2809),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_PIPE] = ACTIONS(2811),
    [anon_sym_CARET] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2811),
    [anon_sym_GT_GT2] = ACTIONS(2811),
    [anon_sym_PLUS] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(2811),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2811),
    [anon_sym_x] = ACTIONS(2811),
    [anon_sym_EQ_TILDE] = ACTIONS(2809),
    [anon_sym_BANG_TILDE] = ACTIONS(2809),
    [anon_sym_EQ_EQ] = ACTIONS(2811),
    [anon_sym_BANG_EQ] = ACTIONS(2809),
    [anon_sym_eq] = ACTIONS(2811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2809),
    [anon_sym_equ] = ACTIONS(2809),
    [anon_sym_eqr] = ACTIONS(2809),
    [anon_sym_ne] = ACTIONS(2809),
    [anon_sym_LT_EQ_GT] = ACTIONS(2809),
    [anon_sym_cmp] = ACTIONS(2809),
    [anon_sym_TILDE_TILDE] = ACTIONS(2809),
    [anon_sym_LT_EQ] = ACTIONS(2811),
    [anon_sym_GT_EQ] = ACTIONS(2809),
    [anon_sym_lt] = ACTIONS(2809),
    [anon_sym_le] = ACTIONS(2809),
    [anon_sym_ge] = ACTIONS(2809),
    [anon_sym_gt] = ACTIONS(2809),
    [anon_sym_isa] = ACTIONS(2809),
    [anon_sym_PLUS_PLUS] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2809),
    [anon_sym_QMARK] = ACTIONS(2809),
    [anon_sym_EQ_GT] = ACTIONS(2809),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1526] = {
    [sym_heredoc_content] = STATE(1526),
    [anon_sym_RBRACE] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2817),
    [anon_sym_EQ] = ACTIONS(2819),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2817),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2817),
    [anon_sym_COMMA] = ACTIONS(2817),
    [anon_sym_RPAREN] = ACTIONS(2817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2817),
    [anon_sym_and] = ACTIONS(2817),
    [anon_sym_or] = ACTIONS(2817),
    [anon_sym_xor] = ACTIONS(2817),
    [anon_sym_RBRACK] = ACTIONS(2817),
    [anon_sym_DASH_GT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_GT] = ACTIONS(2819),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2817),
    [anon_sym_PLUS_EQ] = ACTIONS(2817),
    [anon_sym_DASH_EQ] = ACTIONS(2817),
    [anon_sym_DOT_EQ] = ACTIONS(2817),
    [anon_sym_STAR_EQ] = ACTIONS(2817),
    [anon_sym_SLASH_EQ] = ACTIONS(2817),
    [anon_sym_PERCENT_EQ] = ACTIONS(2817),
    [anon_sym_x_EQ] = ACTIONS(2817),
    [anon_sym_AMP_EQ] = ACTIONS(2817),
    [anon_sym_PIPE_EQ] = ACTIONS(2817),
    [anon_sym_CARET_EQ] = ACTIONS(2817),
    [anon_sym_LT_LT_EQ] = ACTIONS(2817),
    [anon_sym_GT_GT_EQ] = ACTIONS(2817),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2817),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_STAR_STAR] = ACTIONS(2819),
    [anon_sym_PIPE_PIPE] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH] = ACTIONS(2819),
    [anon_sym_CARET_CARET] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [anon_sym_GT_GT2] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_SLASH] = ACTIONS(2819),
    [anon_sym_x] = ACTIONS(2819),
    [anon_sym_EQ_TILDE] = ACTIONS(2817),
    [anon_sym_BANG_TILDE] = ACTIONS(2817),
    [anon_sym_EQ_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2817),
    [anon_sym_eq] = ACTIONS(2819),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2817),
    [anon_sym_equ] = ACTIONS(2817),
    [anon_sym_eqr] = ACTIONS(2817),
    [anon_sym_ne] = ACTIONS(2817),
    [anon_sym_LT_EQ_GT] = ACTIONS(2817),
    [anon_sym_cmp] = ACTIONS(2817),
    [anon_sym_TILDE_TILDE] = ACTIONS(2817),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2817),
    [anon_sym_lt] = ACTIONS(2817),
    [anon_sym_le] = ACTIONS(2817),
    [anon_sym_ge] = ACTIONS(2817),
    [anon_sym_gt] = ACTIONS(2817),
    [anon_sym_isa] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2817),
    [anon_sym_QMARK] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(2817),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1527] = {
    [sym_heredoc_content] = STATE(1527),
    [anon_sym_RBRACE] = ACTIONS(2761),
    [anon_sym_SEMI] = ACTIONS(2761),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2761),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2761),
    [anon_sym_COMMA] = ACTIONS(2761),
    [anon_sym_RPAREN] = ACTIONS(2761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2761),
    [anon_sym_and] = ACTIONS(2761),
    [anon_sym_or] = ACTIONS(2761),
    [anon_sym_xor] = ACTIONS(2761),
    [anon_sym_RBRACK] = ACTIONS(2761),
    [anon_sym_DASH_GT] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2763),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_GT] = ACTIONS(2763),
    [anon_sym_LT_LT] = ACTIONS(2763),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2761),
    [anon_sym_PLUS_EQ] = ACTIONS(2761),
    [anon_sym_DASH_EQ] = ACTIONS(2761),
    [anon_sym_DOT_EQ] = ACTIONS(2761),
    [anon_sym_STAR_EQ] = ACTIONS(2761),
    [anon_sym_SLASH_EQ] = ACTIONS(2761),
    [anon_sym_PERCENT_EQ] = ACTIONS(2761),
    [anon_sym_x_EQ] = ACTIONS(2761),
    [anon_sym_AMP_EQ] = ACTIONS(2761),
    [anon_sym_PIPE_EQ] = ACTIONS(2761),
    [anon_sym_CARET_EQ] = ACTIONS(2761),
    [anon_sym_LT_LT_EQ] = ACTIONS(2761),
    [anon_sym_GT_GT_EQ] = ACTIONS(2761),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2761),
    [anon_sym_DOT_DOT] = ACTIONS(2763),
    [anon_sym_STAR_STAR] = ACTIONS(2763),
    [anon_sym_PIPE_PIPE] = ACTIONS(2763),
    [anon_sym_SLASH_SLASH] = ACTIONS(2763),
    [anon_sym_CARET_CARET] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2763),
    [anon_sym_PIPE] = ACTIONS(2763),
    [anon_sym_CARET] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2763),
    [anon_sym_GT_GT2] = ACTIONS(2763),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_DOT] = ACTIONS(2763),
    [anon_sym_STAR] = ACTIONS(2763),
    [anon_sym_SLASH] = ACTIONS(2763),
    [anon_sym_x] = ACTIONS(2763),
    [anon_sym_EQ_TILDE] = ACTIONS(2761),
    [anon_sym_BANG_TILDE] = ACTIONS(2761),
    [anon_sym_EQ_EQ] = ACTIONS(2763),
    [anon_sym_BANG_EQ] = ACTIONS(2761),
    [anon_sym_eq] = ACTIONS(2763),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2761),
    [anon_sym_equ] = ACTIONS(2761),
    [anon_sym_eqr] = ACTIONS(2761),
    [anon_sym_ne] = ACTIONS(2761),
    [anon_sym_LT_EQ_GT] = ACTIONS(2761),
    [anon_sym_cmp] = ACTIONS(2761),
    [anon_sym_TILDE_TILDE] = ACTIONS(2761),
    [anon_sym_LT_EQ] = ACTIONS(2763),
    [anon_sym_GT_EQ] = ACTIONS(2761),
    [anon_sym_lt] = ACTIONS(2761),
    [anon_sym_le] = ACTIONS(2761),
    [anon_sym_ge] = ACTIONS(2761),
    [anon_sym_gt] = ACTIONS(2761),
    [anon_sym_isa] = ACTIONS(2761),
    [anon_sym_PLUS_PLUS] = ACTIONS(2761),
    [anon_sym_DASH_DASH] = ACTIONS(2761),
    [anon_sym_QMARK] = ACTIONS(2761),
    [anon_sym_EQ_GT] = ACTIONS(2761),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1528] = {
    [sym_heredoc_content] = STATE(1528),
    [anon_sym_RBRACE] = ACTIONS(2857),
    [anon_sym_SEMI] = ACTIONS(2857),
    [anon_sym_EQ] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_COMMA] = ACTIONS(2857),
    [anon_sym_RPAREN] = ACTIONS(2857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2857),
    [anon_sym_and] = ACTIONS(2857),
    [anon_sym_or] = ACTIONS(2857),
    [anon_sym_xor] = ACTIONS(2857),
    [anon_sym_RBRACK] = ACTIONS(2857),
    [anon_sym_DASH_GT] = ACTIONS(2857),
    [anon_sym_PERCENT] = ACTIONS(2859),
    [anon_sym_LT] = ACTIONS(2859),
    [anon_sym_GT] = ACTIONS(2859),
    [anon_sym_LT_LT] = ACTIONS(2859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2857),
    [anon_sym_PLUS_EQ] = ACTIONS(2857),
    [anon_sym_DASH_EQ] = ACTIONS(2857),
    [anon_sym_DOT_EQ] = ACTIONS(2857),
    [anon_sym_STAR_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_PERCENT_EQ] = ACTIONS(2857),
    [anon_sym_x_EQ] = ACTIONS(2857),
    [anon_sym_AMP_EQ] = ACTIONS(2857),
    [anon_sym_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_CARET_EQ] = ACTIONS(2857),
    [anon_sym_LT_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT_GT_EQ] = ACTIONS(2857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2857),
    [anon_sym_DOT_DOT] = ACTIONS(2859),
    [anon_sym_STAR_STAR] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE] = ACTIONS(2859),
    [anon_sym_SLASH_SLASH] = ACTIONS(2859),
    [anon_sym_CARET_CARET] = ACTIONS(2857),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_PIPE] = ACTIONS(2859),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2859),
    [anon_sym_GT_GT2] = ACTIONS(2859),
    [anon_sym_PLUS] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2859),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_SLASH] = ACTIONS(2859),
    [anon_sym_x] = ACTIONS(2859),
    [anon_sym_EQ_TILDE] = ACTIONS(2857),
    [anon_sym_BANG_TILDE] = ACTIONS(2857),
    [anon_sym_EQ_EQ] = ACTIONS(2859),
    [anon_sym_BANG_EQ] = ACTIONS(2857),
    [anon_sym_eq] = ACTIONS(2859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2857),
    [anon_sym_equ] = ACTIONS(2857),
    [anon_sym_eqr] = ACTIONS(2857),
    [anon_sym_ne] = ACTIONS(2857),
    [anon_sym_LT_EQ_GT] = ACTIONS(2857),
    [anon_sym_cmp] = ACTIONS(2857),
    [anon_sym_TILDE_TILDE] = ACTIONS(2857),
    [anon_sym_LT_EQ] = ACTIONS(2859),
    [anon_sym_GT_EQ] = ACTIONS(2857),
    [anon_sym_lt] = ACTIONS(2857),
    [anon_sym_le] = ACTIONS(2857),
    [anon_sym_ge] = ACTIONS(2857),
    [anon_sym_gt] = ACTIONS(2857),
    [anon_sym_isa] = ACTIONS(2857),
    [anon_sym_PLUS_PLUS] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2857),
    [anon_sym_QMARK] = ACTIONS(2857),
    [anon_sym_EQ_GT] = ACTIONS(2857),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1529] = {
    [sym_heredoc_content] = STATE(1529),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_COMMA] = ACTIONS(2873),
    [anon_sym_RPAREN] = ACTIONS(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2873),
    [anon_sym_and] = ACTIONS(2873),
    [anon_sym_or] = ACTIONS(2873),
    [anon_sym_xor] = ACTIONS(2873),
    [anon_sym_RBRACK] = ACTIONS(2873),
    [anon_sym_DASH_GT] = ACTIONS(2873),
    [anon_sym_PERCENT] = ACTIONS(2875),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_LT_LT] = ACTIONS(2875),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2873),
    [anon_sym_PLUS_EQ] = ACTIONS(2873),
    [anon_sym_DASH_EQ] = ACTIONS(2873),
    [anon_sym_DOT_EQ] = ACTIONS(2873),
    [anon_sym_STAR_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_PERCENT_EQ] = ACTIONS(2873),
    [anon_sym_x_EQ] = ACTIONS(2873),
    [anon_sym_AMP_EQ] = ACTIONS(2873),
    [anon_sym_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_CARET_EQ] = ACTIONS(2873),
    [anon_sym_LT_LT_EQ] = ACTIONS(2873),
    [anon_sym_GT_GT_EQ] = ACTIONS(2873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2873),
    [anon_sym_DOT_DOT] = ACTIONS(2875),
    [anon_sym_STAR_STAR] = ACTIONS(2875),
    [anon_sym_PIPE_PIPE] = ACTIONS(2875),
    [anon_sym_SLASH_SLASH] = ACTIONS(2875),
    [anon_sym_CARET_CARET] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2875),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_GT_GT2] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_DOT] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_SLASH] = ACTIONS(2875),
    [anon_sym_x] = ACTIONS(2875),
    [anon_sym_EQ_TILDE] = ACTIONS(2873),
    [anon_sym_BANG_TILDE] = ACTIONS(2873),
    [anon_sym_EQ_EQ] = ACTIONS(2875),
    [anon_sym_BANG_EQ] = ACTIONS(2873),
    [anon_sym_eq] = ACTIONS(2875),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2873),
    [anon_sym_equ] = ACTIONS(2873),
    [anon_sym_eqr] = ACTIONS(2873),
    [anon_sym_ne] = ACTIONS(2873),
    [anon_sym_LT_EQ_GT] = ACTIONS(2873),
    [anon_sym_cmp] = ACTIONS(2873),
    [anon_sym_TILDE_TILDE] = ACTIONS(2873),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_lt] = ACTIONS(2873),
    [anon_sym_le] = ACTIONS(2873),
    [anon_sym_ge] = ACTIONS(2873),
    [anon_sym_gt] = ACTIONS(2873),
    [anon_sym_isa] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_QMARK] = ACTIONS(2873),
    [anon_sym_EQ_GT] = ACTIONS(2873),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1530] = {
    [sym_heredoc_content] = STATE(1530),
    [anon_sym_RBRACE] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2881),
    [anon_sym_EQ] = ACTIONS(2883),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2881),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2881),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_RPAREN] = ACTIONS(2881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2881),
    [anon_sym_and] = ACTIONS(2881),
    [anon_sym_or] = ACTIONS(2881),
    [anon_sym_xor] = ACTIONS(2881),
    [anon_sym_RBRACK] = ACTIONS(2881),
    [anon_sym_DASH_GT] = ACTIONS(2881),
    [anon_sym_PERCENT] = ACTIONS(2883),
    [anon_sym_LT] = ACTIONS(2883),
    [anon_sym_GT] = ACTIONS(2883),
    [anon_sym_LT_LT] = ACTIONS(2883),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2881),
    [anon_sym_PLUS_EQ] = ACTIONS(2881),
    [anon_sym_DASH_EQ] = ACTIONS(2881),
    [anon_sym_DOT_EQ] = ACTIONS(2881),
    [anon_sym_STAR_EQ] = ACTIONS(2881),
    [anon_sym_SLASH_EQ] = ACTIONS(2881),
    [anon_sym_PERCENT_EQ] = ACTIONS(2881),
    [anon_sym_x_EQ] = ACTIONS(2881),
    [anon_sym_AMP_EQ] = ACTIONS(2881),
    [anon_sym_PIPE_EQ] = ACTIONS(2881),
    [anon_sym_CARET_EQ] = ACTIONS(2881),
    [anon_sym_LT_LT_EQ] = ACTIONS(2881),
    [anon_sym_GT_GT_EQ] = ACTIONS(2881),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_STAR_STAR] = ACTIONS(2883),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_SLASH_SLASH] = ACTIONS(2883),
    [anon_sym_CARET_CARET] = ACTIONS(2881),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_PIPE] = ACTIONS(2883),
    [anon_sym_CARET] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_GT_GT2] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_DOT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2883),
    [anon_sym_x] = ACTIONS(2883),
    [anon_sym_EQ_TILDE] = ACTIONS(2881),
    [anon_sym_BANG_TILDE] = ACTIONS(2881),
    [anon_sym_EQ_EQ] = ACTIONS(2883),
    [anon_sym_BANG_EQ] = ACTIONS(2881),
    [anon_sym_eq] = ACTIONS(2883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2881),
    [anon_sym_equ] = ACTIONS(2881),
    [anon_sym_eqr] = ACTIONS(2881),
    [anon_sym_ne] = ACTIONS(2881),
    [anon_sym_LT_EQ_GT] = ACTIONS(2881),
    [anon_sym_cmp] = ACTIONS(2881),
    [anon_sym_TILDE_TILDE] = ACTIONS(2881),
    [anon_sym_LT_EQ] = ACTIONS(2883),
    [anon_sym_GT_EQ] = ACTIONS(2881),
    [anon_sym_lt] = ACTIONS(2881),
    [anon_sym_le] = ACTIONS(2881),
    [anon_sym_ge] = ACTIONS(2881),
    [anon_sym_gt] = ACTIONS(2881),
    [anon_sym_isa] = ACTIONS(2881),
    [anon_sym_PLUS_PLUS] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2881),
    [anon_sym_QMARK] = ACTIONS(2881),
    [anon_sym_EQ_GT] = ACTIONS(2881),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1531] = {
    [sym_heredoc_content] = STATE(1531),
    [anon_sym_RBRACE] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_RPAREN] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_and] = ACTIONS(2893),
    [anon_sym_or] = ACTIONS(2893),
    [anon_sym_xor] = ACTIONS(2893),
    [anon_sym_RBRACK] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(2893),
    [anon_sym_PERCENT] = ACTIONS(2895),
    [anon_sym_LT] = ACTIONS(2895),
    [anon_sym_GT] = ACTIONS(2895),
    [anon_sym_LT_LT] = ACTIONS(2895),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2893),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_SLASH] = ACTIONS(2895),
    [anon_sym_x] = ACTIONS(2895),
    [anon_sym_EQ_TILDE] = ACTIONS(2893),
    [anon_sym_BANG_TILDE] = ACTIONS(2893),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT_EQ] = ACTIONS(2895),
    [anon_sym_GT_EQ] = ACTIONS(2893),
    [anon_sym_lt] = ACTIONS(2893),
    [anon_sym_le] = ACTIONS(2893),
    [anon_sym_ge] = ACTIONS(2893),
    [anon_sym_gt] = ACTIONS(2893),
    [anon_sym_isa] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1532] = {
    [sym_heredoc_content] = STATE(1532),
    [anon_sym_RBRACE] = ACTIONS(2805),
    [anon_sym_SEMI] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(2807),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2805),
    [anon_sym_RPAREN] = ACTIONS(2805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2805),
    [anon_sym_and] = ACTIONS(2805),
    [anon_sym_or] = ACTIONS(2805),
    [anon_sym_xor] = ACTIONS(2805),
    [anon_sym_RBRACK] = ACTIONS(2805),
    [anon_sym_DASH_GT] = ACTIONS(3295),
    [anon_sym_PERCENT] = ACTIONS(3297),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_GT] = ACTIONS(2807),
    [anon_sym_LT_LT] = ACTIONS(3301),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(2805),
    [anon_sym_DASH_EQ] = ACTIONS(2805),
    [anon_sym_DOT_EQ] = ACTIONS(2805),
    [anon_sym_STAR_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_PERCENT_EQ] = ACTIONS(2805),
    [anon_sym_x_EQ] = ACTIONS(2805),
    [anon_sym_AMP_EQ] = ACTIONS(2805),
    [anon_sym_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_CARET_EQ] = ACTIONS(2805),
    [anon_sym_LT_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT_GT_EQ] = ACTIONS(2805),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2805),
    [anon_sym_DOT_DOT] = ACTIONS(2807),
    [anon_sym_STAR_STAR] = ACTIONS(3305),
    [anon_sym_PIPE_PIPE] = ACTIONS(2807),
    [anon_sym_SLASH_SLASH] = ACTIONS(2807),
    [anon_sym_CARET_CARET] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_PIPE] = ACTIONS(2807),
    [anon_sym_CARET] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_GT_GT2] = ACTIONS(3301),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_DOT] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_SLASH] = ACTIONS(3297),
    [anon_sym_x] = ACTIONS(3297),
    [anon_sym_EQ_TILDE] = ACTIONS(3319),
    [anon_sym_BANG_TILDE] = ACTIONS(3319),
    [anon_sym_EQ_EQ] = ACTIONS(2807),
    [anon_sym_BANG_EQ] = ACTIONS(2805),
    [anon_sym_eq] = ACTIONS(2807),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2805),
    [anon_sym_equ] = ACTIONS(2805),
    [anon_sym_eqr] = ACTIONS(2805),
    [anon_sym_ne] = ACTIONS(2805),
    [anon_sym_LT_EQ_GT] = ACTIONS(2805),
    [anon_sym_cmp] = ACTIONS(2805),
    [anon_sym_TILDE_TILDE] = ACTIONS(2805),
    [anon_sym_LT_EQ] = ACTIONS(2807),
    [anon_sym_GT_EQ] = ACTIONS(2805),
    [anon_sym_lt] = ACTIONS(2805),
    [anon_sym_le] = ACTIONS(2805),
    [anon_sym_ge] = ACTIONS(2805),
    [anon_sym_gt] = ACTIONS(2805),
    [anon_sym_isa] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(3331),
    [anon_sym_DASH_DASH] = ACTIONS(3331),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_EQ_GT] = ACTIONS(2805),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1533] = {
    [sym_heredoc_content] = STATE(1533),
    [anon_sym_RBRACE] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2885),
    [anon_sym_EQ] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2885),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2885),
    [anon_sym_COMMA] = ACTIONS(2885),
    [anon_sym_RPAREN] = ACTIONS(2885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2885),
    [anon_sym_and] = ACTIONS(2885),
    [anon_sym_or] = ACTIONS(2885),
    [anon_sym_xor] = ACTIONS(2885),
    [anon_sym_RBRACK] = ACTIONS(2885),
    [anon_sym_DASH_GT] = ACTIONS(2885),
    [anon_sym_PERCENT] = ACTIONS(2887),
    [anon_sym_LT] = ACTIONS(2887),
    [anon_sym_GT] = ACTIONS(2887),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2885),
    [anon_sym_PLUS_EQ] = ACTIONS(2885),
    [anon_sym_DASH_EQ] = ACTIONS(2885),
    [anon_sym_DOT_EQ] = ACTIONS(2885),
    [anon_sym_STAR_EQ] = ACTIONS(2885),
    [anon_sym_SLASH_EQ] = ACTIONS(2885),
    [anon_sym_PERCENT_EQ] = ACTIONS(2885),
    [anon_sym_x_EQ] = ACTIONS(2885),
    [anon_sym_AMP_EQ] = ACTIONS(2885),
    [anon_sym_PIPE_EQ] = ACTIONS(2885),
    [anon_sym_CARET_EQ] = ACTIONS(2885),
    [anon_sym_LT_LT_EQ] = ACTIONS(2885),
    [anon_sym_GT_GT_EQ] = ACTIONS(2885),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2885),
    [anon_sym_DOT_DOT] = ACTIONS(2887),
    [anon_sym_STAR_STAR] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE] = ACTIONS(2887),
    [anon_sym_SLASH_SLASH] = ACTIONS(2887),
    [anon_sym_CARET_CARET] = ACTIONS(2885),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_PIPE] = ACTIONS(2887),
    [anon_sym_CARET] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_GT_GT2] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_DOT] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_SLASH] = ACTIONS(2887),
    [anon_sym_x] = ACTIONS(2887),
    [anon_sym_EQ_TILDE] = ACTIONS(2885),
    [anon_sym_BANG_TILDE] = ACTIONS(2885),
    [anon_sym_EQ_EQ] = ACTIONS(2887),
    [anon_sym_BANG_EQ] = ACTIONS(2885),
    [anon_sym_eq] = ACTIONS(2887),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2885),
    [anon_sym_equ] = ACTIONS(2885),
    [anon_sym_eqr] = ACTIONS(2885),
    [anon_sym_ne] = ACTIONS(2885),
    [anon_sym_LT_EQ_GT] = ACTIONS(2885),
    [anon_sym_cmp] = ACTIONS(2885),
    [anon_sym_TILDE_TILDE] = ACTIONS(2885),
    [anon_sym_LT_EQ] = ACTIONS(2887),
    [anon_sym_GT_EQ] = ACTIONS(2885),
    [anon_sym_lt] = ACTIONS(2885),
    [anon_sym_le] = ACTIONS(2885),
    [anon_sym_ge] = ACTIONS(2885),
    [anon_sym_gt] = ACTIONS(2885),
    [anon_sym_isa] = ACTIONS(2885),
    [anon_sym_PLUS_PLUS] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2885),
    [anon_sym_QMARK] = ACTIONS(2885),
    [anon_sym_EQ_GT] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1534] = {
    [sym_heredoc_content] = STATE(1534),
    [anon_sym_RBRACE] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2925),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2925),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2925),
    [anon_sym_COMMA] = ACTIONS(2925),
    [anon_sym_RPAREN] = ACTIONS(2925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2925),
    [anon_sym_and] = ACTIONS(2925),
    [anon_sym_or] = ACTIONS(2925),
    [anon_sym_xor] = ACTIONS(2925),
    [anon_sym_RBRACK] = ACTIONS(2925),
    [anon_sym_DASH_GT] = ACTIONS(2925),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LT_LT] = ACTIONS(2927),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2925),
    [anon_sym_PLUS_EQ] = ACTIONS(2925),
    [anon_sym_DASH_EQ] = ACTIONS(2925),
    [anon_sym_DOT_EQ] = ACTIONS(2925),
    [anon_sym_STAR_EQ] = ACTIONS(2925),
    [anon_sym_SLASH_EQ] = ACTIONS(2925),
    [anon_sym_PERCENT_EQ] = ACTIONS(2925),
    [anon_sym_x_EQ] = ACTIONS(2925),
    [anon_sym_AMP_EQ] = ACTIONS(2925),
    [anon_sym_PIPE_EQ] = ACTIONS(2925),
    [anon_sym_CARET_EQ] = ACTIONS(2925),
    [anon_sym_LT_LT_EQ] = ACTIONS(2925),
    [anon_sym_GT_GT_EQ] = ACTIONS(2925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2925),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_STAR_STAR] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2927),
    [anon_sym_SLASH_SLASH] = ACTIONS(2927),
    [anon_sym_CARET_CARET] = ACTIONS(2925),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_PIPE] = ACTIONS(2927),
    [anon_sym_CARET] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2927),
    [anon_sym_GT_GT2] = ACTIONS(2927),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_x] = ACTIONS(2927),
    [anon_sym_EQ_TILDE] = ACTIONS(2925),
    [anon_sym_BANG_TILDE] = ACTIONS(2925),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ] = ACTIONS(2925),
    [anon_sym_eq] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2925),
    [anon_sym_equ] = ACTIONS(2925),
    [anon_sym_eqr] = ACTIONS(2925),
    [anon_sym_ne] = ACTIONS(2925),
    [anon_sym_LT_EQ_GT] = ACTIONS(2925),
    [anon_sym_cmp] = ACTIONS(2925),
    [anon_sym_TILDE_TILDE] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2927),
    [anon_sym_GT_EQ] = ACTIONS(2925),
    [anon_sym_lt] = ACTIONS(2925),
    [anon_sym_le] = ACTIONS(2925),
    [anon_sym_ge] = ACTIONS(2925),
    [anon_sym_gt] = ACTIONS(2925),
    [anon_sym_isa] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [anon_sym_QMARK] = ACTIONS(2925),
    [anon_sym_EQ_GT] = ACTIONS(2925),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1535] = {
    [sym_heredoc_content] = STATE(1535),
    [anon_sym_RBRACE] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2933),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2933),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2933),
    [anon_sym_COMMA] = ACTIONS(2933),
    [anon_sym_RPAREN] = ACTIONS(2933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2933),
    [anon_sym_and] = ACTIONS(2933),
    [anon_sym_or] = ACTIONS(2933),
    [anon_sym_xor] = ACTIONS(2933),
    [anon_sym_RBRACK] = ACTIONS(2933),
    [anon_sym_DASH_GT] = ACTIONS(2933),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LT_LT] = ACTIONS(2935),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2933),
    [anon_sym_PLUS_EQ] = ACTIONS(2933),
    [anon_sym_DASH_EQ] = ACTIONS(2933),
    [anon_sym_DOT_EQ] = ACTIONS(2933),
    [anon_sym_STAR_EQ] = ACTIONS(2933),
    [anon_sym_SLASH_EQ] = ACTIONS(2933),
    [anon_sym_PERCENT_EQ] = ACTIONS(2933),
    [anon_sym_x_EQ] = ACTIONS(2933),
    [anon_sym_AMP_EQ] = ACTIONS(2933),
    [anon_sym_PIPE_EQ] = ACTIONS(2933),
    [anon_sym_CARET_EQ] = ACTIONS(2933),
    [anon_sym_LT_LT_EQ] = ACTIONS(2933),
    [anon_sym_GT_GT_EQ] = ACTIONS(2933),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2933),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_STAR_STAR] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2935),
    [anon_sym_SLASH_SLASH] = ACTIONS(2935),
    [anon_sym_CARET_CARET] = ACTIONS(2933),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_PIPE] = ACTIONS(2935),
    [anon_sym_CARET] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_GT_GT2] = ACTIONS(2935),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_x] = ACTIONS(2935),
    [anon_sym_EQ_TILDE] = ACTIONS(2933),
    [anon_sym_BANG_TILDE] = ACTIONS(2933),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ] = ACTIONS(2933),
    [anon_sym_eq] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2933),
    [anon_sym_equ] = ACTIONS(2933),
    [anon_sym_eqr] = ACTIONS(2933),
    [anon_sym_ne] = ACTIONS(2933),
    [anon_sym_LT_EQ_GT] = ACTIONS(2933),
    [anon_sym_cmp] = ACTIONS(2933),
    [anon_sym_TILDE_TILDE] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2935),
    [anon_sym_GT_EQ] = ACTIONS(2933),
    [anon_sym_lt] = ACTIONS(2933),
    [anon_sym_le] = ACTIONS(2933),
    [anon_sym_ge] = ACTIONS(2933),
    [anon_sym_gt] = ACTIONS(2933),
    [anon_sym_isa] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_QMARK] = ACTIONS(2933),
    [anon_sym_EQ_GT] = ACTIONS(2933),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1536] = {
    [sym_heredoc_content] = STATE(1536),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_COMMA] = ACTIONS(2941),
    [anon_sym_RPAREN] = ACTIONS(2941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2941),
    [anon_sym_and] = ACTIONS(2941),
    [anon_sym_or] = ACTIONS(2941),
    [anon_sym_xor] = ACTIONS(2941),
    [anon_sym_RBRACK] = ACTIONS(2941),
    [anon_sym_DASH_GT] = ACTIONS(2941),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LT_LT] = ACTIONS(2943),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_DOT_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_x_EQ] = ACTIONS(2941),
    [anon_sym_AMP_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_EQ] = ACTIONS(2941),
    [anon_sym_CARET_EQ] = ACTIONS(2941),
    [anon_sym_LT_LT_EQ] = ACTIONS(2941),
    [anon_sym_GT_GT_EQ] = ACTIONS(2941),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_STAR_STAR] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2943),
    [anon_sym_SLASH_SLASH] = ACTIONS(2943),
    [anon_sym_CARET_CARET] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_PIPE] = ACTIONS(2943),
    [anon_sym_CARET] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_GT_GT2] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_x] = ACTIONS(2943),
    [anon_sym_EQ_TILDE] = ACTIONS(2941),
    [anon_sym_BANG_TILDE] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ] = ACTIONS(2941),
    [anon_sym_eq] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_equ] = ACTIONS(2941),
    [anon_sym_eqr] = ACTIONS(2941),
    [anon_sym_ne] = ACTIONS(2941),
    [anon_sym_LT_EQ_GT] = ACTIONS(2941),
    [anon_sym_cmp] = ACTIONS(2941),
    [anon_sym_TILDE_TILDE] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_lt] = ACTIONS(2941),
    [anon_sym_le] = ACTIONS(2941),
    [anon_sym_ge] = ACTIONS(2941),
    [anon_sym_gt] = ACTIONS(2941),
    [anon_sym_isa] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_QMARK] = ACTIONS(2941),
    [anon_sym_EQ_GT] = ACTIONS(2941),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1537] = {
    [sym_heredoc_content] = STATE(1537),
    [anon_sym_RBRACE] = ACTIONS(2697),
    [anon_sym_SEMI] = ACTIONS(2697),
    [anon_sym_EQ] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2697),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2697),
    [anon_sym_COMMA] = ACTIONS(2697),
    [anon_sym_RPAREN] = ACTIONS(2697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2697),
    [anon_sym_and] = ACTIONS(2697),
    [anon_sym_or] = ACTIONS(2697),
    [anon_sym_xor] = ACTIONS(2697),
    [anon_sym_RBRACK] = ACTIONS(2697),
    [anon_sym_DASH_GT] = ACTIONS(2697),
    [anon_sym_PERCENT] = ACTIONS(2699),
    [anon_sym_LT] = ACTIONS(2699),
    [anon_sym_GT] = ACTIONS(2699),
    [anon_sym_LT_LT] = ACTIONS(2699),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2697),
    [anon_sym_DASH_EQ] = ACTIONS(2697),
    [anon_sym_DOT_EQ] = ACTIONS(2697),
    [anon_sym_STAR_EQ] = ACTIONS(2697),
    [anon_sym_SLASH_EQ] = ACTIONS(2697),
    [anon_sym_PERCENT_EQ] = ACTIONS(2697),
    [anon_sym_x_EQ] = ACTIONS(2697),
    [anon_sym_AMP_EQ] = ACTIONS(2697),
    [anon_sym_PIPE_EQ] = ACTIONS(2697),
    [anon_sym_CARET_EQ] = ACTIONS(2697),
    [anon_sym_LT_LT_EQ] = ACTIONS(2697),
    [anon_sym_GT_GT_EQ] = ACTIONS(2697),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2697),
    [anon_sym_DOT_DOT] = ACTIONS(2699),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2699),
    [anon_sym_SLASH_SLASH] = ACTIONS(2699),
    [anon_sym_CARET_CARET] = ACTIONS(2697),
    [anon_sym_AMP_AMP] = ACTIONS(2699),
    [anon_sym_PIPE] = ACTIONS(2699),
    [anon_sym_CARET] = ACTIONS(2699),
    [anon_sym_AMP] = ACTIONS(2699),
    [anon_sym_GT_GT2] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_DOT] = ACTIONS(2699),
    [anon_sym_STAR] = ACTIONS(2699),
    [anon_sym_SLASH] = ACTIONS(2699),
    [anon_sym_x] = ACTIONS(2699),
    [anon_sym_EQ_TILDE] = ACTIONS(2697),
    [anon_sym_BANG_TILDE] = ACTIONS(2697),
    [anon_sym_EQ_EQ] = ACTIONS(2699),
    [anon_sym_BANG_EQ] = ACTIONS(2697),
    [anon_sym_eq] = ACTIONS(2699),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2697),
    [anon_sym_equ] = ACTIONS(2697),
    [anon_sym_eqr] = ACTIONS(2697),
    [anon_sym_ne] = ACTIONS(2697),
    [anon_sym_LT_EQ_GT] = ACTIONS(2697),
    [anon_sym_cmp] = ACTIONS(2697),
    [anon_sym_TILDE_TILDE] = ACTIONS(2697),
    [anon_sym_LT_EQ] = ACTIONS(2699),
    [anon_sym_GT_EQ] = ACTIONS(2697),
    [anon_sym_lt] = ACTIONS(2697),
    [anon_sym_le] = ACTIONS(2697),
    [anon_sym_ge] = ACTIONS(2697),
    [anon_sym_gt] = ACTIONS(2697),
    [anon_sym_isa] = ACTIONS(2697),
    [anon_sym_PLUS_PLUS] = ACTIONS(2697),
    [anon_sym_DASH_DASH] = ACTIONS(2697),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_EQ_GT] = ACTIONS(2697),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1538] = {
    [sym_heredoc_content] = STATE(1538),
    [anon_sym_RBRACE] = ACTIONS(2713),
    [anon_sym_SEMI] = ACTIONS(2713),
    [anon_sym_EQ] = ACTIONS(2715),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2713),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2713),
    [anon_sym_COMMA] = ACTIONS(2713),
    [anon_sym_RPAREN] = ACTIONS(2713),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2713),
    [anon_sym_and] = ACTIONS(2713),
    [anon_sym_or] = ACTIONS(2713),
    [anon_sym_xor] = ACTIONS(2713),
    [anon_sym_RBRACK] = ACTIONS(2713),
    [anon_sym_DASH_GT] = ACTIONS(2713),
    [anon_sym_PERCENT] = ACTIONS(2715),
    [anon_sym_LT] = ACTIONS(2715),
    [anon_sym_GT] = ACTIONS(2715),
    [anon_sym_LT_LT] = ACTIONS(2715),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2713),
    [anon_sym_PLUS_EQ] = ACTIONS(2713),
    [anon_sym_DASH_EQ] = ACTIONS(2713),
    [anon_sym_DOT_EQ] = ACTIONS(2713),
    [anon_sym_STAR_EQ] = ACTIONS(2713),
    [anon_sym_SLASH_EQ] = ACTIONS(2713),
    [anon_sym_PERCENT_EQ] = ACTIONS(2713),
    [anon_sym_x_EQ] = ACTIONS(2713),
    [anon_sym_AMP_EQ] = ACTIONS(2713),
    [anon_sym_PIPE_EQ] = ACTIONS(2713),
    [anon_sym_CARET_EQ] = ACTIONS(2713),
    [anon_sym_LT_LT_EQ] = ACTIONS(2713),
    [anon_sym_GT_GT_EQ] = ACTIONS(2713),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2713),
    [anon_sym_DOT_DOT] = ACTIONS(2715),
    [anon_sym_STAR_STAR] = ACTIONS(2715),
    [anon_sym_PIPE_PIPE] = ACTIONS(2715),
    [anon_sym_SLASH_SLASH] = ACTIONS(2715),
    [anon_sym_CARET_CARET] = ACTIONS(2713),
    [anon_sym_AMP_AMP] = ACTIONS(2715),
    [anon_sym_PIPE] = ACTIONS(2715),
    [anon_sym_CARET] = ACTIONS(2715),
    [anon_sym_AMP] = ACTIONS(2715),
    [anon_sym_GT_GT2] = ACTIONS(2715),
    [anon_sym_PLUS] = ACTIONS(2715),
    [anon_sym_DASH] = ACTIONS(2715),
    [anon_sym_DOT] = ACTIONS(2715),
    [anon_sym_STAR] = ACTIONS(2715),
    [anon_sym_SLASH] = ACTIONS(2715),
    [anon_sym_x] = ACTIONS(2715),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2715),
    [anon_sym_BANG_EQ] = ACTIONS(2713),
    [anon_sym_eq] = ACTIONS(2715),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2713),
    [anon_sym_equ] = ACTIONS(2713),
    [anon_sym_eqr] = ACTIONS(2713),
    [anon_sym_ne] = ACTIONS(2713),
    [anon_sym_LT_EQ_GT] = ACTIONS(2713),
    [anon_sym_cmp] = ACTIONS(2713),
    [anon_sym_TILDE_TILDE] = ACTIONS(2713),
    [anon_sym_LT_EQ] = ACTIONS(2715),
    [anon_sym_GT_EQ] = ACTIONS(2713),
    [anon_sym_lt] = ACTIONS(2713),
    [anon_sym_le] = ACTIONS(2713),
    [anon_sym_ge] = ACTIONS(2713),
    [anon_sym_gt] = ACTIONS(2713),
    [anon_sym_isa] = ACTIONS(2713),
    [anon_sym_PLUS_PLUS] = ACTIONS(2713),
    [anon_sym_DASH_DASH] = ACTIONS(2713),
    [anon_sym_QMARK] = ACTIONS(2713),
    [anon_sym_EQ_GT] = ACTIONS(2713),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1539] = {
    [sym_heredoc_content] = STATE(1539),
    [anon_sym_RBRACE] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3013),
    [anon_sym_EQ] = ACTIONS(3015),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3013),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3013),
    [anon_sym_COMMA] = ACTIONS(3013),
    [anon_sym_RPAREN] = ACTIONS(3013),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3013),
    [anon_sym_and] = ACTIONS(3013),
    [anon_sym_or] = ACTIONS(3013),
    [anon_sym_xor] = ACTIONS(3013),
    [anon_sym_RBRACK] = ACTIONS(3013),
    [anon_sym_DASH_GT] = ACTIONS(3013),
    [anon_sym_PERCENT] = ACTIONS(3015),
    [anon_sym_LT] = ACTIONS(3015),
    [anon_sym_GT] = ACTIONS(3015),
    [anon_sym_LT_LT] = ACTIONS(3015),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3013),
    [anon_sym_PLUS_EQ] = ACTIONS(3013),
    [anon_sym_DASH_EQ] = ACTIONS(3013),
    [anon_sym_DOT_EQ] = ACTIONS(3013),
    [anon_sym_STAR_EQ] = ACTIONS(3013),
    [anon_sym_SLASH_EQ] = ACTIONS(3013),
    [anon_sym_PERCENT_EQ] = ACTIONS(3013),
    [anon_sym_x_EQ] = ACTIONS(3013),
    [anon_sym_AMP_EQ] = ACTIONS(3013),
    [anon_sym_PIPE_EQ] = ACTIONS(3013),
    [anon_sym_CARET_EQ] = ACTIONS(3013),
    [anon_sym_LT_LT_EQ] = ACTIONS(3013),
    [anon_sym_GT_GT_EQ] = ACTIONS(3013),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3013),
    [anon_sym_DOT_DOT] = ACTIONS(3015),
    [anon_sym_STAR_STAR] = ACTIONS(3015),
    [anon_sym_PIPE_PIPE] = ACTIONS(3015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3015),
    [anon_sym_CARET_CARET] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_PIPE] = ACTIONS(3015),
    [anon_sym_CARET] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_GT_GT2] = ACTIONS(3015),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_SLASH] = ACTIONS(3015),
    [anon_sym_x] = ACTIONS(3015),
    [anon_sym_EQ_TILDE] = ACTIONS(3013),
    [anon_sym_BANG_TILDE] = ACTIONS(3013),
    [anon_sym_EQ_EQ] = ACTIONS(3015),
    [anon_sym_BANG_EQ] = ACTIONS(3013),
    [anon_sym_eq] = ACTIONS(3015),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3013),
    [anon_sym_equ] = ACTIONS(3013),
    [anon_sym_eqr] = ACTIONS(3013),
    [anon_sym_ne] = ACTIONS(3013),
    [anon_sym_LT_EQ_GT] = ACTIONS(3013),
    [anon_sym_cmp] = ACTIONS(3013),
    [anon_sym_TILDE_TILDE] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(3015),
    [anon_sym_GT_EQ] = ACTIONS(3013),
    [anon_sym_lt] = ACTIONS(3013),
    [anon_sym_le] = ACTIONS(3013),
    [anon_sym_ge] = ACTIONS(3013),
    [anon_sym_gt] = ACTIONS(3013),
    [anon_sym_isa] = ACTIONS(3013),
    [anon_sym_PLUS_PLUS] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3013),
    [anon_sym_QMARK] = ACTIONS(3013),
    [anon_sym_EQ_GT] = ACTIONS(3013),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1540] = {
    [sym_heredoc_content] = STATE(1540),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_COMMA] = ACTIONS(2929),
    [anon_sym_RPAREN] = ACTIONS(2929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2929),
    [anon_sym_and] = ACTIONS(2929),
    [anon_sym_or] = ACTIONS(2929),
    [anon_sym_xor] = ACTIONS(2929),
    [anon_sym_RBRACK] = ACTIONS(2929),
    [anon_sym_DASH_GT] = ACTIONS(2929),
    [anon_sym_PERCENT] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_LT_LT] = ACTIONS(2931),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_DOT_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_x_EQ] = ACTIONS(2929),
    [anon_sym_AMP_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_EQ] = ACTIONS(2929),
    [anon_sym_CARET_EQ] = ACTIONS(2929),
    [anon_sym_LT_LT_EQ] = ACTIONS(2929),
    [anon_sym_GT_GT_EQ] = ACTIONS(2929),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_STAR_STAR] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2931),
    [anon_sym_SLASH_SLASH] = ACTIONS(2931),
    [anon_sym_CARET_CARET] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_PIPE] = ACTIONS(2931),
    [anon_sym_CARET] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_GT_GT2] = ACTIONS(2931),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2931),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_SLASH] = ACTIONS(2931),
    [anon_sym_x] = ACTIONS(2931),
    [anon_sym_EQ_TILDE] = ACTIONS(2929),
    [anon_sym_BANG_TILDE] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ] = ACTIONS(2929),
    [anon_sym_eq] = ACTIONS(2931),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_equ] = ACTIONS(2929),
    [anon_sym_eqr] = ACTIONS(2929),
    [anon_sym_ne] = ACTIONS(2929),
    [anon_sym_LT_EQ_GT] = ACTIONS(2929),
    [anon_sym_cmp] = ACTIONS(2929),
    [anon_sym_TILDE_TILDE] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_lt] = ACTIONS(2929),
    [anon_sym_le] = ACTIONS(2929),
    [anon_sym_ge] = ACTIONS(2929),
    [anon_sym_gt] = ACTIONS(2929),
    [anon_sym_isa] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_EQ_GT] = ACTIONS(2929),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1541] = {
    [sym_heredoc_content] = STATE(1541),
    [anon_sym_COLON] = ACTIONS(2626),
    [anon_sym_DOLLAR] = ACTIONS(2626),
    [anon_sym_EQ] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2626),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2626),
    [anon_sym_AT] = ACTIONS(2626),
    [anon_sym_COMMA] = ACTIONS(2626),
    [anon_sym_RPAREN] = ACTIONS(2626),
    [anon_sym_LPAREN] = ACTIONS(2626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2626),
    [anon_sym_DASH_GT] = ACTIONS(2626),
    [anon_sym_PERCENT] = ACTIONS(2628),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_GT] = ACTIONS(2628),
    [anon_sym_LT_LT] = ACTIONS(2628),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2626),
    [anon_sym_PLUS_EQ] = ACTIONS(2626),
    [anon_sym_DASH_EQ] = ACTIONS(2626),
    [anon_sym_DOT_EQ] = ACTIONS(2626),
    [anon_sym_STAR_EQ] = ACTIONS(2626),
    [anon_sym_SLASH_EQ] = ACTIONS(2626),
    [anon_sym_PERCENT_EQ] = ACTIONS(2628),
    [anon_sym_x_EQ] = ACTIONS(2626),
    [anon_sym_AMP_EQ] = ACTIONS(2626),
    [anon_sym_PIPE_EQ] = ACTIONS(2626),
    [anon_sym_CARET_EQ] = ACTIONS(2626),
    [anon_sym_LT_LT_EQ] = ACTIONS(2626),
    [anon_sym_GT_GT_EQ] = ACTIONS(2626),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2626),
    [anon_sym_DOT_DOT] = ACTIONS(2628),
    [anon_sym_STAR_STAR] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE] = ACTIONS(2628),
    [anon_sym_SLASH_SLASH] = ACTIONS(2628),
    [anon_sym_CARET_CARET] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2628),
    [anon_sym_PIPE] = ACTIONS(2628),
    [anon_sym_CARET] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_GT_GT2] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_DOT] = ACTIONS(2628),
    [anon_sym_STAR] = ACTIONS(2628),
    [anon_sym_SLASH] = ACTIONS(2628),
    [anon_sym_x] = ACTIONS(2628),
    [anon_sym_EQ_TILDE] = ACTIONS(2626),
    [anon_sym_BANG_TILDE] = ACTIONS(2626),
    [anon_sym_EQ_EQ] = ACTIONS(2628),
    [anon_sym_BANG_EQ] = ACTIONS(2626),
    [anon_sym_eq] = ACTIONS(2628),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2626),
    [anon_sym_equ] = ACTIONS(2626),
    [anon_sym_eqr] = ACTIONS(2626),
    [anon_sym_ne] = ACTIONS(2626),
    [anon_sym_LT_EQ_GT] = ACTIONS(2626),
    [anon_sym_cmp] = ACTIONS(2626),
    [anon_sym_TILDE_TILDE] = ACTIONS(2626),
    [anon_sym_LT_EQ] = ACTIONS(2628),
    [anon_sym_GT_EQ] = ACTIONS(2626),
    [anon_sym_lt] = ACTIONS(2626),
    [anon_sym_le] = ACTIONS(2626),
    [anon_sym_ge] = ACTIONS(2626),
    [anon_sym_gt] = ACTIONS(2626),
    [anon_sym_isa] = ACTIONS(2626),
    [anon_sym_PLUS_PLUS] = ACTIONS(2626),
    [anon_sym_DASH_DASH] = ACTIONS(2626),
    [anon_sym_QMARK] = ACTIONS(2626),
    [anon_sym_PERCENT2] = ACTIONS(2626),
    [anon_sym_EQ_GT] = ACTIONS(2626),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1542] = {
    [sym_heredoc_content] = STATE(1542),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_RBRACE] = ACTIONS(2374),
    [anon_sym_COLON] = ACTIONS(2374),
    [anon_sym_EQ] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2374),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2374),
    [anon_sym_COMMA] = ACTIONS(2374),
    [anon_sym_RPAREN] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_DASH_GT] = ACTIONS(2374),
    [anon_sym_PERCENT] = ACTIONS(2376),
    [anon_sym_LT] = ACTIONS(2376),
    [anon_sym_GT] = ACTIONS(2376),
    [anon_sym_LT_LT] = ACTIONS(2376),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2374),
    [anon_sym_PLUS_EQ] = ACTIONS(2374),
    [anon_sym_DASH_EQ] = ACTIONS(2374),
    [anon_sym_DOT_EQ] = ACTIONS(2374),
    [anon_sym_STAR_EQ] = ACTIONS(2374),
    [anon_sym_SLASH_EQ] = ACTIONS(2374),
    [anon_sym_PERCENT_EQ] = ACTIONS(2374),
    [anon_sym_x_EQ] = ACTIONS(2374),
    [anon_sym_AMP_EQ] = ACTIONS(2374),
    [anon_sym_PIPE_EQ] = ACTIONS(2374),
    [anon_sym_CARET_EQ] = ACTIONS(2374),
    [anon_sym_LT_LT_EQ] = ACTIONS(2374),
    [anon_sym_GT_GT_EQ] = ACTIONS(2374),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2374),
    [anon_sym_DOT_DOT] = ACTIONS(2376),
    [anon_sym_STAR_STAR] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2376),
    [anon_sym_SLASH_SLASH] = ACTIONS(2376),
    [anon_sym_CARET_CARET] = ACTIONS(2374),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_PIPE] = ACTIONS(2376),
    [anon_sym_CARET] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_GT_GT2] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_SLASH] = ACTIONS(2376),
    [anon_sym_x] = ACTIONS(2376),
    [anon_sym_EQ_TILDE] = ACTIONS(2374),
    [anon_sym_BANG_TILDE] = ACTIONS(2374),
    [anon_sym_EQ_EQ] = ACTIONS(2376),
    [anon_sym_BANG_EQ] = ACTIONS(2374),
    [anon_sym_eq] = ACTIONS(2376),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2374),
    [anon_sym_equ] = ACTIONS(2374),
    [anon_sym_eqr] = ACTIONS(2374),
    [anon_sym_ne] = ACTIONS(2374),
    [anon_sym_LT_EQ_GT] = ACTIONS(2374),
    [anon_sym_cmp] = ACTIONS(2374),
    [anon_sym_TILDE_TILDE] = ACTIONS(2374),
    [anon_sym_LT_EQ] = ACTIONS(2376),
    [anon_sym_GT_EQ] = ACTIONS(2374),
    [anon_sym_lt] = ACTIONS(2374),
    [anon_sym_le] = ACTIONS(2374),
    [anon_sym_ge] = ACTIONS(2374),
    [anon_sym_gt] = ACTIONS(2374),
    [anon_sym_isa] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_QMARK] = ACTIONS(2374),
    [anon_sym_EQ_GT] = ACTIONS(2374),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1543] = {
    [sym_heredoc_content] = STATE(1543),
    [anon_sym_LBRACE] = ACTIONS(2378),
    [anon_sym_RBRACE] = ACTIONS(2378),
    [anon_sym_COLON] = ACTIONS(2378),
    [anon_sym_EQ] = ACTIONS(2380),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2378),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2378),
    [anon_sym_COMMA] = ACTIONS(2378),
    [anon_sym_RPAREN] = ACTIONS(2378),
    [anon_sym_LPAREN] = ACTIONS(2378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2378),
    [anon_sym_LBRACK] = ACTIONS(2378),
    [anon_sym_DASH_GT] = ACTIONS(2378),
    [anon_sym_PERCENT] = ACTIONS(2380),
    [anon_sym_LT] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2380),
    [anon_sym_LT_LT] = ACTIONS(2380),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2378),
    [anon_sym_PLUS_EQ] = ACTIONS(2378),
    [anon_sym_DASH_EQ] = ACTIONS(2378),
    [anon_sym_DOT_EQ] = ACTIONS(2378),
    [anon_sym_STAR_EQ] = ACTIONS(2378),
    [anon_sym_SLASH_EQ] = ACTIONS(2378),
    [anon_sym_PERCENT_EQ] = ACTIONS(2378),
    [anon_sym_x_EQ] = ACTIONS(2378),
    [anon_sym_AMP_EQ] = ACTIONS(2378),
    [anon_sym_PIPE_EQ] = ACTIONS(2378),
    [anon_sym_CARET_EQ] = ACTIONS(2378),
    [anon_sym_LT_LT_EQ] = ACTIONS(2378),
    [anon_sym_GT_GT_EQ] = ACTIONS(2378),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2378),
    [anon_sym_DOT_DOT] = ACTIONS(2380),
    [anon_sym_STAR_STAR] = ACTIONS(2380),
    [anon_sym_PIPE_PIPE] = ACTIONS(2380),
    [anon_sym_SLASH_SLASH] = ACTIONS(2380),
    [anon_sym_CARET_CARET] = ACTIONS(2378),
    [anon_sym_AMP_AMP] = ACTIONS(2380),
    [anon_sym_PIPE] = ACTIONS(2380),
    [anon_sym_CARET] = ACTIONS(2380),
    [anon_sym_AMP] = ACTIONS(2380),
    [anon_sym_GT_GT2] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2380),
    [anon_sym_DASH] = ACTIONS(2380),
    [anon_sym_DOT] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2380),
    [anon_sym_SLASH] = ACTIONS(2380),
    [anon_sym_x] = ACTIONS(2380),
    [anon_sym_EQ_TILDE] = ACTIONS(2378),
    [anon_sym_BANG_TILDE] = ACTIONS(2378),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2378),
    [anon_sym_eq] = ACTIONS(2380),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2378),
    [anon_sym_equ] = ACTIONS(2378),
    [anon_sym_eqr] = ACTIONS(2378),
    [anon_sym_ne] = ACTIONS(2378),
    [anon_sym_LT_EQ_GT] = ACTIONS(2378),
    [anon_sym_cmp] = ACTIONS(2378),
    [anon_sym_TILDE_TILDE] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2378),
    [anon_sym_lt] = ACTIONS(2378),
    [anon_sym_le] = ACTIONS(2378),
    [anon_sym_ge] = ACTIONS(2378),
    [anon_sym_gt] = ACTIONS(2378),
    [anon_sym_isa] = ACTIONS(2378),
    [anon_sym_PLUS_PLUS] = ACTIONS(2378),
    [anon_sym_DASH_DASH] = ACTIONS(2378),
    [anon_sym_QMARK] = ACTIONS(2378),
    [anon_sym_EQ_GT] = ACTIONS(2378),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1544] = {
    [sym_heredoc_content] = STATE(1544),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_RBRACE] = ACTIONS(2382),
    [anon_sym_COLON] = ACTIONS(2382),
    [anon_sym_EQ] = ACTIONS(2384),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2382),
    [anon_sym_COMMA] = ACTIONS(2382),
    [anon_sym_RPAREN] = ACTIONS(2382),
    [anon_sym_LPAREN] = ACTIONS(2382),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_DASH_GT] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2384),
    [anon_sym_LT] = ACTIONS(2384),
    [anon_sym_GT] = ACTIONS(2384),
    [anon_sym_LT_LT] = ACTIONS(2384),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2382),
    [anon_sym_PLUS_EQ] = ACTIONS(2382),
    [anon_sym_DASH_EQ] = ACTIONS(2382),
    [anon_sym_DOT_EQ] = ACTIONS(2382),
    [anon_sym_STAR_EQ] = ACTIONS(2382),
    [anon_sym_SLASH_EQ] = ACTIONS(2382),
    [anon_sym_PERCENT_EQ] = ACTIONS(2382),
    [anon_sym_x_EQ] = ACTIONS(2382),
    [anon_sym_AMP_EQ] = ACTIONS(2382),
    [anon_sym_PIPE_EQ] = ACTIONS(2382),
    [anon_sym_CARET_EQ] = ACTIONS(2382),
    [anon_sym_LT_LT_EQ] = ACTIONS(2382),
    [anon_sym_GT_GT_EQ] = ACTIONS(2382),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2382),
    [anon_sym_DOT_DOT] = ACTIONS(2384),
    [anon_sym_STAR_STAR] = ACTIONS(2384),
    [anon_sym_PIPE_PIPE] = ACTIONS(2384),
    [anon_sym_SLASH_SLASH] = ACTIONS(2384),
    [anon_sym_CARET_CARET] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_PIPE] = ACTIONS(2384),
    [anon_sym_CARET] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_GT_GT2] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_DASH] = ACTIONS(2384),
    [anon_sym_DOT] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_SLASH] = ACTIONS(2384),
    [anon_sym_x] = ACTIONS(2384),
    [anon_sym_EQ_TILDE] = ACTIONS(2382),
    [anon_sym_BANG_TILDE] = ACTIONS(2382),
    [anon_sym_EQ_EQ] = ACTIONS(2384),
    [anon_sym_BANG_EQ] = ACTIONS(2382),
    [anon_sym_eq] = ACTIONS(2384),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2382),
    [anon_sym_equ] = ACTIONS(2382),
    [anon_sym_eqr] = ACTIONS(2382),
    [anon_sym_ne] = ACTIONS(2382),
    [anon_sym_LT_EQ_GT] = ACTIONS(2382),
    [anon_sym_cmp] = ACTIONS(2382),
    [anon_sym_TILDE_TILDE] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2384),
    [anon_sym_GT_EQ] = ACTIONS(2382),
    [anon_sym_lt] = ACTIONS(2382),
    [anon_sym_le] = ACTIONS(2382),
    [anon_sym_ge] = ACTIONS(2382),
    [anon_sym_gt] = ACTIONS(2382),
    [anon_sym_isa] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [anon_sym_QMARK] = ACTIONS(2382),
    [anon_sym_EQ_GT] = ACTIONS(2382),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1545] = {
    [sym_heredoc_content] = STATE(1545),
    [anon_sym_LBRACE] = ACTIONS(2386),
    [anon_sym_RBRACE] = ACTIONS(2386),
    [anon_sym_COLON] = ACTIONS(2386),
    [anon_sym_EQ] = ACTIONS(2388),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2386),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2386),
    [anon_sym_COMMA] = ACTIONS(2386),
    [anon_sym_RPAREN] = ACTIONS(2386),
    [anon_sym_LPAREN] = ACTIONS(2386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2386),
    [anon_sym_LBRACK] = ACTIONS(2386),
    [anon_sym_DASH_GT] = ACTIONS(2386),
    [anon_sym_PERCENT] = ACTIONS(2388),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_GT] = ACTIONS(2388),
    [anon_sym_LT_LT] = ACTIONS(2388),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2386),
    [anon_sym_PLUS_EQ] = ACTIONS(2386),
    [anon_sym_DASH_EQ] = ACTIONS(2386),
    [anon_sym_DOT_EQ] = ACTIONS(2386),
    [anon_sym_STAR_EQ] = ACTIONS(2386),
    [anon_sym_SLASH_EQ] = ACTIONS(2386),
    [anon_sym_PERCENT_EQ] = ACTIONS(2386),
    [anon_sym_x_EQ] = ACTIONS(2386),
    [anon_sym_AMP_EQ] = ACTIONS(2386),
    [anon_sym_PIPE_EQ] = ACTIONS(2386),
    [anon_sym_CARET_EQ] = ACTIONS(2386),
    [anon_sym_LT_LT_EQ] = ACTIONS(2386),
    [anon_sym_GT_GT_EQ] = ACTIONS(2386),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2386),
    [anon_sym_DOT_DOT] = ACTIONS(2388),
    [anon_sym_STAR_STAR] = ACTIONS(2388),
    [anon_sym_PIPE_PIPE] = ACTIONS(2388),
    [anon_sym_SLASH_SLASH] = ACTIONS(2388),
    [anon_sym_CARET_CARET] = ACTIONS(2386),
    [anon_sym_AMP_AMP] = ACTIONS(2388),
    [anon_sym_PIPE] = ACTIONS(2388),
    [anon_sym_CARET] = ACTIONS(2388),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym_GT_GT2] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2388),
    [anon_sym_DASH] = ACTIONS(2388),
    [anon_sym_DOT] = ACTIONS(2388),
    [anon_sym_STAR] = ACTIONS(2388),
    [anon_sym_SLASH] = ACTIONS(2388),
    [anon_sym_x] = ACTIONS(2388),
    [anon_sym_EQ_TILDE] = ACTIONS(2386),
    [anon_sym_BANG_TILDE] = ACTIONS(2386),
    [anon_sym_EQ_EQ] = ACTIONS(2388),
    [anon_sym_BANG_EQ] = ACTIONS(2386),
    [anon_sym_eq] = ACTIONS(2388),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2386),
    [anon_sym_equ] = ACTIONS(2386),
    [anon_sym_eqr] = ACTIONS(2386),
    [anon_sym_ne] = ACTIONS(2386),
    [anon_sym_LT_EQ_GT] = ACTIONS(2386),
    [anon_sym_cmp] = ACTIONS(2386),
    [anon_sym_TILDE_TILDE] = ACTIONS(2386),
    [anon_sym_LT_EQ] = ACTIONS(2388),
    [anon_sym_GT_EQ] = ACTIONS(2386),
    [anon_sym_lt] = ACTIONS(2386),
    [anon_sym_le] = ACTIONS(2386),
    [anon_sym_ge] = ACTIONS(2386),
    [anon_sym_gt] = ACTIONS(2386),
    [anon_sym_isa] = ACTIONS(2386),
    [anon_sym_PLUS_PLUS] = ACTIONS(2386),
    [anon_sym_DASH_DASH] = ACTIONS(2386),
    [anon_sym_QMARK] = ACTIONS(2386),
    [anon_sym_EQ_GT] = ACTIONS(2386),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1546] = {
    [sym_heredoc_content] = STATE(1546),
    [anon_sym_LBRACE] = ACTIONS(2390),
    [anon_sym_RBRACE] = ACTIONS(2390),
    [anon_sym_COLON] = ACTIONS(2390),
    [anon_sym_EQ] = ACTIONS(2392),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2390),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2390),
    [anon_sym_COMMA] = ACTIONS(2390),
    [anon_sym_RPAREN] = ACTIONS(2390),
    [anon_sym_LPAREN] = ACTIONS(2390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2390),
    [anon_sym_DASH_GT] = ACTIONS(2390),
    [anon_sym_PERCENT] = ACTIONS(2392),
    [anon_sym_LT] = ACTIONS(2392),
    [anon_sym_GT] = ACTIONS(2392),
    [anon_sym_LT_LT] = ACTIONS(2392),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2390),
    [anon_sym_PLUS_EQ] = ACTIONS(2390),
    [anon_sym_DASH_EQ] = ACTIONS(2390),
    [anon_sym_DOT_EQ] = ACTIONS(2390),
    [anon_sym_STAR_EQ] = ACTIONS(2390),
    [anon_sym_SLASH_EQ] = ACTIONS(2390),
    [anon_sym_PERCENT_EQ] = ACTIONS(2390),
    [anon_sym_x_EQ] = ACTIONS(2390),
    [anon_sym_AMP_EQ] = ACTIONS(2390),
    [anon_sym_PIPE_EQ] = ACTIONS(2390),
    [anon_sym_CARET_EQ] = ACTIONS(2390),
    [anon_sym_LT_LT_EQ] = ACTIONS(2390),
    [anon_sym_GT_GT_EQ] = ACTIONS(2390),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2390),
    [anon_sym_DOT_DOT] = ACTIONS(2392),
    [anon_sym_STAR_STAR] = ACTIONS(2392),
    [anon_sym_PIPE_PIPE] = ACTIONS(2392),
    [anon_sym_SLASH_SLASH] = ACTIONS(2392),
    [anon_sym_CARET_CARET] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2392),
    [anon_sym_PIPE] = ACTIONS(2392),
    [anon_sym_CARET] = ACTIONS(2392),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym_GT_GT2] = ACTIONS(2392),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_DASH] = ACTIONS(2392),
    [anon_sym_DOT] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2392),
    [anon_sym_SLASH] = ACTIONS(2392),
    [anon_sym_x] = ACTIONS(2392),
    [anon_sym_EQ_TILDE] = ACTIONS(2390),
    [anon_sym_BANG_TILDE] = ACTIONS(2390),
    [anon_sym_EQ_EQ] = ACTIONS(2392),
    [anon_sym_BANG_EQ] = ACTIONS(2390),
    [anon_sym_eq] = ACTIONS(2392),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2390),
    [anon_sym_equ] = ACTIONS(2390),
    [anon_sym_eqr] = ACTIONS(2390),
    [anon_sym_ne] = ACTIONS(2390),
    [anon_sym_LT_EQ_GT] = ACTIONS(2390),
    [anon_sym_cmp] = ACTIONS(2390),
    [anon_sym_TILDE_TILDE] = ACTIONS(2390),
    [anon_sym_LT_EQ] = ACTIONS(2392),
    [anon_sym_GT_EQ] = ACTIONS(2390),
    [anon_sym_lt] = ACTIONS(2390),
    [anon_sym_le] = ACTIONS(2390),
    [anon_sym_ge] = ACTIONS(2390),
    [anon_sym_gt] = ACTIONS(2390),
    [anon_sym_isa] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2390),
    [anon_sym_DASH_DASH] = ACTIONS(2390),
    [anon_sym_QMARK] = ACTIONS(2390),
    [anon_sym_EQ_GT] = ACTIONS(2390),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1547] = {
    [sym_heredoc_content] = STATE(1547),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2372),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2370),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2370),
    [anon_sym_RPAREN] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_DASH_GT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2372),
    [anon_sym_LT] = ACTIONS(2372),
    [anon_sym_GT] = ACTIONS(2372),
    [anon_sym_LT_LT] = ACTIONS(2372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2370),
    [anon_sym_PLUS_EQ] = ACTIONS(2370),
    [anon_sym_DASH_EQ] = ACTIONS(2370),
    [anon_sym_DOT_EQ] = ACTIONS(2370),
    [anon_sym_STAR_EQ] = ACTIONS(2370),
    [anon_sym_SLASH_EQ] = ACTIONS(2370),
    [anon_sym_PERCENT_EQ] = ACTIONS(2370),
    [anon_sym_x_EQ] = ACTIONS(2370),
    [anon_sym_AMP_EQ] = ACTIONS(2370),
    [anon_sym_PIPE_EQ] = ACTIONS(2370),
    [anon_sym_CARET_EQ] = ACTIONS(2370),
    [anon_sym_LT_LT_EQ] = ACTIONS(2370),
    [anon_sym_GT_GT_EQ] = ACTIONS(2370),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2370),
    [anon_sym_DOT_DOT] = ACTIONS(2372),
    [anon_sym_STAR_STAR] = ACTIONS(2372),
    [anon_sym_PIPE_PIPE] = ACTIONS(2372),
    [anon_sym_SLASH_SLASH] = ACTIONS(2372),
    [anon_sym_CARET_CARET] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2372),
    [anon_sym_PIPE] = ACTIONS(2372),
    [anon_sym_CARET] = ACTIONS(2372),
    [anon_sym_AMP] = ACTIONS(2372),
    [anon_sym_GT_GT2] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_DASH] = ACTIONS(2372),
    [anon_sym_DOT] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2372),
    [anon_sym_SLASH] = ACTIONS(2372),
    [anon_sym_x] = ACTIONS(2372),
    [anon_sym_EQ_TILDE] = ACTIONS(2370),
    [anon_sym_BANG_TILDE] = ACTIONS(2370),
    [anon_sym_EQ_EQ] = ACTIONS(2372),
    [anon_sym_BANG_EQ] = ACTIONS(2370),
    [anon_sym_eq] = ACTIONS(2372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2370),
    [anon_sym_equ] = ACTIONS(2370),
    [anon_sym_eqr] = ACTIONS(2370),
    [anon_sym_ne] = ACTIONS(2370),
    [anon_sym_LT_EQ_GT] = ACTIONS(2370),
    [anon_sym_cmp] = ACTIONS(2370),
    [anon_sym_TILDE_TILDE] = ACTIONS(2370),
    [anon_sym_LT_EQ] = ACTIONS(2372),
    [anon_sym_GT_EQ] = ACTIONS(2370),
    [anon_sym_lt] = ACTIONS(2370),
    [anon_sym_le] = ACTIONS(2370),
    [anon_sym_ge] = ACTIONS(2370),
    [anon_sym_gt] = ACTIONS(2370),
    [anon_sym_isa] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_EQ_GT] = ACTIONS(2370),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1548] = {
    [sym_heredoc_content] = STATE(1548),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(2344),
    [anon_sym_COLON] = ACTIONS(2344),
    [anon_sym_EQ] = ACTIONS(2346),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2344),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2344),
    [anon_sym_COMMA] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2344),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [anon_sym_DASH_GT] = ACTIONS(2344),
    [anon_sym_PERCENT] = ACTIONS(2346),
    [anon_sym_LT] = ACTIONS(2346),
    [anon_sym_GT] = ACTIONS(2346),
    [anon_sym_LT_LT] = ACTIONS(2346),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2344),
    [anon_sym_PLUS_EQ] = ACTIONS(2344),
    [anon_sym_DASH_EQ] = ACTIONS(2344),
    [anon_sym_DOT_EQ] = ACTIONS(2344),
    [anon_sym_STAR_EQ] = ACTIONS(2344),
    [anon_sym_SLASH_EQ] = ACTIONS(2344),
    [anon_sym_PERCENT_EQ] = ACTIONS(2344),
    [anon_sym_x_EQ] = ACTIONS(2344),
    [anon_sym_AMP_EQ] = ACTIONS(2344),
    [anon_sym_PIPE_EQ] = ACTIONS(2344),
    [anon_sym_CARET_EQ] = ACTIONS(2344),
    [anon_sym_LT_LT_EQ] = ACTIONS(2344),
    [anon_sym_GT_GT_EQ] = ACTIONS(2344),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2344),
    [anon_sym_DOT_DOT] = ACTIONS(2346),
    [anon_sym_STAR_STAR] = ACTIONS(2346),
    [anon_sym_PIPE_PIPE] = ACTIONS(2346),
    [anon_sym_SLASH_SLASH] = ACTIONS(2346),
    [anon_sym_CARET_CARET] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2346),
    [anon_sym_PIPE] = ACTIONS(2346),
    [anon_sym_CARET] = ACTIONS(2346),
    [anon_sym_AMP] = ACTIONS(2346),
    [anon_sym_GT_GT2] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_DOT] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_x] = ACTIONS(2346),
    [anon_sym_EQ_TILDE] = ACTIONS(2344),
    [anon_sym_BANG_TILDE] = ACTIONS(2344),
    [anon_sym_EQ_EQ] = ACTIONS(2346),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_eq] = ACTIONS(2346),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2344),
    [anon_sym_equ] = ACTIONS(2344),
    [anon_sym_eqr] = ACTIONS(2344),
    [anon_sym_ne] = ACTIONS(2344),
    [anon_sym_LT_EQ_GT] = ACTIONS(2344),
    [anon_sym_cmp] = ACTIONS(2344),
    [anon_sym_TILDE_TILDE] = ACTIONS(2344),
    [anon_sym_LT_EQ] = ACTIONS(2346),
    [anon_sym_GT_EQ] = ACTIONS(2344),
    [anon_sym_lt] = ACTIONS(2344),
    [anon_sym_le] = ACTIONS(2344),
    [anon_sym_ge] = ACTIONS(2344),
    [anon_sym_gt] = ACTIONS(2344),
    [anon_sym_isa] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_QMARK] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(2344),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1549] = {
    [sym_heredoc_content] = STATE(1549),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_RBRACE] = ACTIONS(2394),
    [anon_sym_COLON] = ACTIONS(2394),
    [anon_sym_EQ] = ACTIONS(2396),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2394),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2394),
    [anon_sym_COMMA] = ACTIONS(2394),
    [anon_sym_RPAREN] = ACTIONS(2394),
    [anon_sym_LPAREN] = ACTIONS(2394),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2394),
    [anon_sym_LBRACK] = ACTIONS(2394),
    [anon_sym_DASH_GT] = ACTIONS(2394),
    [anon_sym_PERCENT] = ACTIONS(2396),
    [anon_sym_LT] = ACTIONS(2396),
    [anon_sym_GT] = ACTIONS(2396),
    [anon_sym_LT_LT] = ACTIONS(2396),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2394),
    [anon_sym_PLUS_EQ] = ACTIONS(2394),
    [anon_sym_DASH_EQ] = ACTIONS(2394),
    [anon_sym_DOT_EQ] = ACTIONS(2394),
    [anon_sym_STAR_EQ] = ACTIONS(2394),
    [anon_sym_SLASH_EQ] = ACTIONS(2394),
    [anon_sym_PERCENT_EQ] = ACTIONS(2394),
    [anon_sym_x_EQ] = ACTIONS(2394),
    [anon_sym_AMP_EQ] = ACTIONS(2394),
    [anon_sym_PIPE_EQ] = ACTIONS(2394),
    [anon_sym_CARET_EQ] = ACTIONS(2394),
    [anon_sym_LT_LT_EQ] = ACTIONS(2394),
    [anon_sym_GT_GT_EQ] = ACTIONS(2394),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2394),
    [anon_sym_DOT_DOT] = ACTIONS(2396),
    [anon_sym_STAR_STAR] = ACTIONS(2396),
    [anon_sym_PIPE_PIPE] = ACTIONS(2396),
    [anon_sym_SLASH_SLASH] = ACTIONS(2396),
    [anon_sym_CARET_CARET] = ACTIONS(2394),
    [anon_sym_AMP_AMP] = ACTIONS(2396),
    [anon_sym_PIPE] = ACTIONS(2396),
    [anon_sym_CARET] = ACTIONS(2396),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_GT_GT2] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2396),
    [anon_sym_DASH] = ACTIONS(2396),
    [anon_sym_DOT] = ACTIONS(2396),
    [anon_sym_STAR] = ACTIONS(2396),
    [anon_sym_SLASH] = ACTIONS(2396),
    [anon_sym_x] = ACTIONS(2396),
    [anon_sym_EQ_TILDE] = ACTIONS(2394),
    [anon_sym_BANG_TILDE] = ACTIONS(2394),
    [anon_sym_EQ_EQ] = ACTIONS(2396),
    [anon_sym_BANG_EQ] = ACTIONS(2394),
    [anon_sym_eq] = ACTIONS(2396),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2394),
    [anon_sym_equ] = ACTIONS(2394),
    [anon_sym_eqr] = ACTIONS(2394),
    [anon_sym_ne] = ACTIONS(2394),
    [anon_sym_LT_EQ_GT] = ACTIONS(2394),
    [anon_sym_cmp] = ACTIONS(2394),
    [anon_sym_TILDE_TILDE] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(2396),
    [anon_sym_GT_EQ] = ACTIONS(2394),
    [anon_sym_lt] = ACTIONS(2394),
    [anon_sym_le] = ACTIONS(2394),
    [anon_sym_ge] = ACTIONS(2394),
    [anon_sym_gt] = ACTIONS(2394),
    [anon_sym_isa] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [anon_sym_QMARK] = ACTIONS(2394),
    [anon_sym_EQ_GT] = ACTIONS(2394),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1550] = {
    [sym_heredoc_content] = STATE(1550),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_RBRACE] = ACTIONS(2402),
    [anon_sym_COLON] = ACTIONS(2402),
    [anon_sym_EQ] = ACTIONS(2404),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2402),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2402),
    [anon_sym_COMMA] = ACTIONS(2402),
    [anon_sym_RPAREN] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(2402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_DASH_GT] = ACTIONS(2402),
    [anon_sym_PERCENT] = ACTIONS(2404),
    [anon_sym_LT] = ACTIONS(2404),
    [anon_sym_GT] = ACTIONS(2404),
    [anon_sym_LT_LT] = ACTIONS(2404),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2402),
    [anon_sym_PLUS_EQ] = ACTIONS(2402),
    [anon_sym_DASH_EQ] = ACTIONS(2402),
    [anon_sym_DOT_EQ] = ACTIONS(2402),
    [anon_sym_STAR_EQ] = ACTIONS(2402),
    [anon_sym_SLASH_EQ] = ACTIONS(2402),
    [anon_sym_PERCENT_EQ] = ACTIONS(2402),
    [anon_sym_x_EQ] = ACTIONS(2402),
    [anon_sym_AMP_EQ] = ACTIONS(2402),
    [anon_sym_PIPE_EQ] = ACTIONS(2402),
    [anon_sym_CARET_EQ] = ACTIONS(2402),
    [anon_sym_LT_LT_EQ] = ACTIONS(2402),
    [anon_sym_GT_GT_EQ] = ACTIONS(2402),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2402),
    [anon_sym_DOT_DOT] = ACTIONS(2404),
    [anon_sym_STAR_STAR] = ACTIONS(2404),
    [anon_sym_PIPE_PIPE] = ACTIONS(2404),
    [anon_sym_SLASH_SLASH] = ACTIONS(2404),
    [anon_sym_CARET_CARET] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_PIPE] = ACTIONS(2404),
    [anon_sym_CARET] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_GT_GT2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2404),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_SLASH] = ACTIONS(2404),
    [anon_sym_x] = ACTIONS(2404),
    [anon_sym_EQ_TILDE] = ACTIONS(2402),
    [anon_sym_BANG_TILDE] = ACTIONS(2402),
    [anon_sym_EQ_EQ] = ACTIONS(2404),
    [anon_sym_BANG_EQ] = ACTIONS(2402),
    [anon_sym_eq] = ACTIONS(2404),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2402),
    [anon_sym_equ] = ACTIONS(2402),
    [anon_sym_eqr] = ACTIONS(2402),
    [anon_sym_ne] = ACTIONS(2402),
    [anon_sym_LT_EQ_GT] = ACTIONS(2402),
    [anon_sym_cmp] = ACTIONS(2402),
    [anon_sym_TILDE_TILDE] = ACTIONS(2402),
    [anon_sym_LT_EQ] = ACTIONS(2404),
    [anon_sym_GT_EQ] = ACTIONS(2402),
    [anon_sym_lt] = ACTIONS(2402),
    [anon_sym_le] = ACTIONS(2402),
    [anon_sym_ge] = ACTIONS(2402),
    [anon_sym_gt] = ACTIONS(2402),
    [anon_sym_isa] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [anon_sym_QMARK] = ACTIONS(2402),
    [anon_sym_EQ_GT] = ACTIONS(2402),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1551] = {
    [sym_heredoc_content] = STATE(1551),
    [anon_sym_LBRACE] = ACTIONS(2360),
    [anon_sym_RBRACE] = ACTIONS(2360),
    [anon_sym_COLON] = ACTIONS(2360),
    [anon_sym_EQ] = ACTIONS(2362),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2360),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2360),
    [anon_sym_COMMA] = ACTIONS(2360),
    [anon_sym_RPAREN] = ACTIONS(2360),
    [anon_sym_LPAREN] = ACTIONS(2360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_DASH_GT] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2362),
    [anon_sym_LT] = ACTIONS(2362),
    [anon_sym_GT] = ACTIONS(2362),
    [anon_sym_LT_LT] = ACTIONS(2362),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2360),
    [anon_sym_PLUS_EQ] = ACTIONS(2360),
    [anon_sym_DASH_EQ] = ACTIONS(2360),
    [anon_sym_DOT_EQ] = ACTIONS(2360),
    [anon_sym_STAR_EQ] = ACTIONS(2360),
    [anon_sym_SLASH_EQ] = ACTIONS(2360),
    [anon_sym_PERCENT_EQ] = ACTIONS(2360),
    [anon_sym_x_EQ] = ACTIONS(2360),
    [anon_sym_AMP_EQ] = ACTIONS(2360),
    [anon_sym_PIPE_EQ] = ACTIONS(2360),
    [anon_sym_CARET_EQ] = ACTIONS(2360),
    [anon_sym_LT_LT_EQ] = ACTIONS(2360),
    [anon_sym_GT_GT_EQ] = ACTIONS(2360),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2360),
    [anon_sym_DOT_DOT] = ACTIONS(2362),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_PIPE_PIPE] = ACTIONS(2362),
    [anon_sym_SLASH_SLASH] = ACTIONS(2362),
    [anon_sym_CARET_CARET] = ACTIONS(2360),
    [anon_sym_AMP_AMP] = ACTIONS(2362),
    [anon_sym_PIPE] = ACTIONS(2362),
    [anon_sym_CARET] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_GT_GT2] = ACTIONS(2362),
    [anon_sym_PLUS] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2362),
    [anon_sym_DOT] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_SLASH] = ACTIONS(2362),
    [anon_sym_x] = ACTIONS(2362),
    [anon_sym_EQ_TILDE] = ACTIONS(2360),
    [anon_sym_BANG_TILDE] = ACTIONS(2360),
    [anon_sym_EQ_EQ] = ACTIONS(2362),
    [anon_sym_BANG_EQ] = ACTIONS(2360),
    [anon_sym_eq] = ACTIONS(2362),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2360),
    [anon_sym_equ] = ACTIONS(2360),
    [anon_sym_eqr] = ACTIONS(2360),
    [anon_sym_ne] = ACTIONS(2360),
    [anon_sym_LT_EQ_GT] = ACTIONS(2360),
    [anon_sym_cmp] = ACTIONS(2360),
    [anon_sym_TILDE_TILDE] = ACTIONS(2360),
    [anon_sym_LT_EQ] = ACTIONS(2362),
    [anon_sym_GT_EQ] = ACTIONS(2360),
    [anon_sym_lt] = ACTIONS(2360),
    [anon_sym_le] = ACTIONS(2360),
    [anon_sym_ge] = ACTIONS(2360),
    [anon_sym_gt] = ACTIONS(2360),
    [anon_sym_isa] = ACTIONS(2360),
    [anon_sym_PLUS_PLUS] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2360),
    [anon_sym_QMARK] = ACTIONS(2360),
    [anon_sym_EQ_GT] = ACTIONS(2360),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1552] = {
    [sym_heredoc_content] = STATE(1552),
    [anon_sym_LBRACE] = ACTIONS(2352),
    [anon_sym_RBRACE] = ACTIONS(2352),
    [anon_sym_COLON] = ACTIONS(2352),
    [anon_sym_EQ] = ACTIONS(2354),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2352),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2352),
    [anon_sym_COMMA] = ACTIONS(2352),
    [anon_sym_RPAREN] = ACTIONS(2352),
    [anon_sym_LPAREN] = ACTIONS(2352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2352),
    [anon_sym_LBRACK] = ACTIONS(2352),
    [anon_sym_DASH_GT] = ACTIONS(2352),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_LT] = ACTIONS(2354),
    [anon_sym_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2352),
    [anon_sym_PLUS_EQ] = ACTIONS(2352),
    [anon_sym_DASH_EQ] = ACTIONS(2352),
    [anon_sym_DOT_EQ] = ACTIONS(2352),
    [anon_sym_STAR_EQ] = ACTIONS(2352),
    [anon_sym_SLASH_EQ] = ACTIONS(2352),
    [anon_sym_PERCENT_EQ] = ACTIONS(2352),
    [anon_sym_x_EQ] = ACTIONS(2352),
    [anon_sym_AMP_EQ] = ACTIONS(2352),
    [anon_sym_PIPE_EQ] = ACTIONS(2352),
    [anon_sym_CARET_EQ] = ACTIONS(2352),
    [anon_sym_LT_LT_EQ] = ACTIONS(2352),
    [anon_sym_GT_GT_EQ] = ACTIONS(2352),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2352),
    [anon_sym_DOT_DOT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2354),
    [anon_sym_PIPE_PIPE] = ACTIONS(2354),
    [anon_sym_SLASH_SLASH] = ACTIONS(2354),
    [anon_sym_CARET_CARET] = ACTIONS(2352),
    [anon_sym_AMP_AMP] = ACTIONS(2354),
    [anon_sym_PIPE] = ACTIONS(2354),
    [anon_sym_CARET] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym_GT_GT2] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_DOT] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2354),
    [anon_sym_SLASH] = ACTIONS(2354),
    [anon_sym_x] = ACTIONS(2354),
    [anon_sym_EQ_TILDE] = ACTIONS(2352),
    [anon_sym_BANG_TILDE] = ACTIONS(2352),
    [anon_sym_EQ_EQ] = ACTIONS(2354),
    [anon_sym_BANG_EQ] = ACTIONS(2352),
    [anon_sym_eq] = ACTIONS(2354),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2352),
    [anon_sym_equ] = ACTIONS(2352),
    [anon_sym_eqr] = ACTIONS(2352),
    [anon_sym_ne] = ACTIONS(2352),
    [anon_sym_LT_EQ_GT] = ACTIONS(2352),
    [anon_sym_cmp] = ACTIONS(2352),
    [anon_sym_TILDE_TILDE] = ACTIONS(2352),
    [anon_sym_LT_EQ] = ACTIONS(2354),
    [anon_sym_GT_EQ] = ACTIONS(2352),
    [anon_sym_lt] = ACTIONS(2352),
    [anon_sym_le] = ACTIONS(2352),
    [anon_sym_ge] = ACTIONS(2352),
    [anon_sym_gt] = ACTIONS(2352),
    [anon_sym_isa] = ACTIONS(2352),
    [anon_sym_PLUS_PLUS] = ACTIONS(2352),
    [anon_sym_DASH_DASH] = ACTIONS(2352),
    [anon_sym_QMARK] = ACTIONS(2352),
    [anon_sym_EQ_GT] = ACTIONS(2352),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1553] = {
    [sym_heredoc_content] = STATE(1553),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(2356),
    [anon_sym_COLON] = ACTIONS(2356),
    [anon_sym_EQ] = ACTIONS(2358),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2356),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2356),
    [anon_sym_COMMA] = ACTIONS(2356),
    [anon_sym_RPAREN] = ACTIONS(2356),
    [anon_sym_LPAREN] = ACTIONS(2356),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_DASH_GT] = ACTIONS(2356),
    [anon_sym_PERCENT] = ACTIONS(2358),
    [anon_sym_LT] = ACTIONS(2358),
    [anon_sym_GT] = ACTIONS(2358),
    [anon_sym_LT_LT] = ACTIONS(2358),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2356),
    [anon_sym_PLUS_EQ] = ACTIONS(2356),
    [anon_sym_DASH_EQ] = ACTIONS(2356),
    [anon_sym_DOT_EQ] = ACTIONS(2356),
    [anon_sym_STAR_EQ] = ACTIONS(2356),
    [anon_sym_SLASH_EQ] = ACTIONS(2356),
    [anon_sym_PERCENT_EQ] = ACTIONS(2356),
    [anon_sym_x_EQ] = ACTIONS(2356),
    [anon_sym_AMP_EQ] = ACTIONS(2356),
    [anon_sym_PIPE_EQ] = ACTIONS(2356),
    [anon_sym_CARET_EQ] = ACTIONS(2356),
    [anon_sym_LT_LT_EQ] = ACTIONS(2356),
    [anon_sym_GT_GT_EQ] = ACTIONS(2356),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2356),
    [anon_sym_DOT_DOT] = ACTIONS(2358),
    [anon_sym_STAR_STAR] = ACTIONS(2358),
    [anon_sym_PIPE_PIPE] = ACTIONS(2358),
    [anon_sym_SLASH_SLASH] = ACTIONS(2358),
    [anon_sym_CARET_CARET] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2358),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_CARET] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2358),
    [anon_sym_GT_GT2] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2358),
    [anon_sym_DOT] = ACTIONS(2358),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_SLASH] = ACTIONS(2358),
    [anon_sym_x] = ACTIONS(2358),
    [anon_sym_EQ_TILDE] = ACTIONS(2356),
    [anon_sym_BANG_TILDE] = ACTIONS(2356),
    [anon_sym_EQ_EQ] = ACTIONS(2358),
    [anon_sym_BANG_EQ] = ACTIONS(2356),
    [anon_sym_eq] = ACTIONS(2358),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2356),
    [anon_sym_equ] = ACTIONS(2356),
    [anon_sym_eqr] = ACTIONS(2356),
    [anon_sym_ne] = ACTIONS(2356),
    [anon_sym_LT_EQ_GT] = ACTIONS(2356),
    [anon_sym_cmp] = ACTIONS(2356),
    [anon_sym_TILDE_TILDE] = ACTIONS(2356),
    [anon_sym_LT_EQ] = ACTIONS(2358),
    [anon_sym_GT_EQ] = ACTIONS(2356),
    [anon_sym_lt] = ACTIONS(2356),
    [anon_sym_le] = ACTIONS(2356),
    [anon_sym_ge] = ACTIONS(2356),
    [anon_sym_gt] = ACTIONS(2356),
    [anon_sym_isa] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_QMARK] = ACTIONS(2356),
    [anon_sym_EQ_GT] = ACTIONS(2356),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1554] = {
    [sym_heredoc_content] = STATE(1554),
    [anon_sym_LBRACE] = ACTIONS(1763),
    [anon_sym_RBRACE] = ACTIONS(1763),
    [anon_sym_COLON] = ACTIONS(1763),
    [anon_sym_EQ] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1763),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1763),
    [anon_sym_COMMA] = ACTIONS(1763),
    [anon_sym_RPAREN] = ACTIONS(1763),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1763),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [anon_sym_DASH_GT] = ACTIONS(1763),
    [anon_sym_PERCENT] = ACTIONS(1761),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_GT] = ACTIONS(1761),
    [anon_sym_LT_LT] = ACTIONS(1761),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1763),
    [anon_sym_PLUS_EQ] = ACTIONS(1763),
    [anon_sym_DASH_EQ] = ACTIONS(1763),
    [anon_sym_DOT_EQ] = ACTIONS(1763),
    [anon_sym_STAR_EQ] = ACTIONS(1763),
    [anon_sym_SLASH_EQ] = ACTIONS(1763),
    [anon_sym_PERCENT_EQ] = ACTIONS(1763),
    [anon_sym_x_EQ] = ACTIONS(1763),
    [anon_sym_AMP_EQ] = ACTIONS(1763),
    [anon_sym_PIPE_EQ] = ACTIONS(1763),
    [anon_sym_CARET_EQ] = ACTIONS(1763),
    [anon_sym_LT_LT_EQ] = ACTIONS(1763),
    [anon_sym_GT_GT_EQ] = ACTIONS(1763),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1761),
    [anon_sym_STAR_STAR] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE] = ACTIONS(1761),
    [anon_sym_SLASH_SLASH] = ACTIONS(1761),
    [anon_sym_CARET_CARET] = ACTIONS(1763),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_PIPE] = ACTIONS(1761),
    [anon_sym_CARET] = ACTIONS(1761),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT2] = ACTIONS(1761),
    [anon_sym_PLUS] = ACTIONS(1761),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_DOT] = ACTIONS(1761),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_x] = ACTIONS(1761),
    [anon_sym_EQ_TILDE] = ACTIONS(1763),
    [anon_sym_BANG_TILDE] = ACTIONS(1763),
    [anon_sym_EQ_EQ] = ACTIONS(1761),
    [anon_sym_BANG_EQ] = ACTIONS(1763),
    [anon_sym_eq] = ACTIONS(1761),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1763),
    [anon_sym_equ] = ACTIONS(1763),
    [anon_sym_eqr] = ACTIONS(1763),
    [anon_sym_ne] = ACTIONS(1763),
    [anon_sym_LT_EQ_GT] = ACTIONS(1763),
    [anon_sym_cmp] = ACTIONS(1763),
    [anon_sym_TILDE_TILDE] = ACTIONS(1763),
    [anon_sym_LT_EQ] = ACTIONS(1761),
    [anon_sym_GT_EQ] = ACTIONS(1763),
    [anon_sym_lt] = ACTIONS(1763),
    [anon_sym_le] = ACTIONS(1763),
    [anon_sym_ge] = ACTIONS(1763),
    [anon_sym_gt] = ACTIONS(1763),
    [anon_sym_isa] = ACTIONS(1763),
    [anon_sym_PLUS_PLUS] = ACTIONS(1763),
    [anon_sym_DASH_DASH] = ACTIONS(1763),
    [anon_sym_QMARK] = ACTIONS(1763),
    [anon_sym_EQ_GT] = ACTIONS(1763),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1555] = {
    [sym_heredoc_content] = STATE(1555),
    [anon_sym_COLON] = ACTIONS(2470),
    [anon_sym_DOLLAR] = ACTIONS(2470),
    [anon_sym_EQ] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2470),
    [anon_sym_AT] = ACTIONS(2470),
    [anon_sym_COMMA] = ACTIONS(2470),
    [anon_sym_RPAREN] = ACTIONS(2470),
    [anon_sym_LPAREN] = ACTIONS(3413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2470),
    [anon_sym_DASH_GT] = ACTIONS(2470),
    [anon_sym_PERCENT] = ACTIONS(2472),
    [anon_sym_LT] = ACTIONS(2472),
    [anon_sym_GT] = ACTIONS(2472),
    [anon_sym_LT_LT] = ACTIONS(2472),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2470),
    [anon_sym_PLUS_EQ] = ACTIONS(2470),
    [anon_sym_DASH_EQ] = ACTIONS(2470),
    [anon_sym_DOT_EQ] = ACTIONS(2470),
    [anon_sym_STAR_EQ] = ACTIONS(2470),
    [anon_sym_SLASH_EQ] = ACTIONS(2470),
    [anon_sym_PERCENT_EQ] = ACTIONS(2472),
    [anon_sym_x_EQ] = ACTIONS(2470),
    [anon_sym_AMP_EQ] = ACTIONS(2470),
    [anon_sym_PIPE_EQ] = ACTIONS(2470),
    [anon_sym_CARET_EQ] = ACTIONS(2470),
    [anon_sym_LT_LT_EQ] = ACTIONS(2470),
    [anon_sym_GT_GT_EQ] = ACTIONS(2470),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2470),
    [anon_sym_DOT_DOT] = ACTIONS(2472),
    [anon_sym_STAR_STAR] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE] = ACTIONS(2472),
    [anon_sym_SLASH_SLASH] = ACTIONS(2472),
    [anon_sym_CARET_CARET] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_PIPE] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_GT_GT2] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_DOT] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_SLASH] = ACTIONS(2472),
    [anon_sym_x] = ACTIONS(2472),
    [anon_sym_EQ_TILDE] = ACTIONS(2470),
    [anon_sym_BANG_TILDE] = ACTIONS(2470),
    [anon_sym_EQ_EQ] = ACTIONS(2472),
    [anon_sym_BANG_EQ] = ACTIONS(2470),
    [anon_sym_eq] = ACTIONS(2472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2470),
    [anon_sym_equ] = ACTIONS(2470),
    [anon_sym_eqr] = ACTIONS(2470),
    [anon_sym_ne] = ACTIONS(2470),
    [anon_sym_LT_EQ_GT] = ACTIONS(2470),
    [anon_sym_cmp] = ACTIONS(2470),
    [anon_sym_TILDE_TILDE] = ACTIONS(2470),
    [anon_sym_LT_EQ] = ACTIONS(2472),
    [anon_sym_GT_EQ] = ACTIONS(2470),
    [anon_sym_lt] = ACTIONS(2470),
    [anon_sym_le] = ACTIONS(2470),
    [anon_sym_ge] = ACTIONS(2470),
    [anon_sym_gt] = ACTIONS(2470),
    [anon_sym_isa] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_QMARK] = ACTIONS(2470),
    [anon_sym_PERCENT2] = ACTIONS(2470),
    [anon_sym_EQ_GT] = ACTIONS(2470),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1556] = {
    [sym_heredoc_content] = STATE(1556),
    [anon_sym_COLON] = ACTIONS(2458),
    [anon_sym_DOLLAR] = ACTIONS(2458),
    [anon_sym_EQ] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2458),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2458),
    [anon_sym_COMMA] = ACTIONS(2458),
    [anon_sym_RPAREN] = ACTIONS(2458),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2458),
    [anon_sym_DASH_GT] = ACTIONS(2458),
    [anon_sym_PERCENT] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2460),
    [anon_sym_GT] = ACTIONS(2460),
    [anon_sym_LT_LT] = ACTIONS(2460),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2458),
    [anon_sym_PLUS_EQ] = ACTIONS(2458),
    [anon_sym_DASH_EQ] = ACTIONS(2458),
    [anon_sym_DOT_EQ] = ACTIONS(2458),
    [anon_sym_STAR_EQ] = ACTIONS(2458),
    [anon_sym_SLASH_EQ] = ACTIONS(2458),
    [anon_sym_PERCENT_EQ] = ACTIONS(2460),
    [anon_sym_x_EQ] = ACTIONS(2460),
    [anon_sym_AMP_EQ] = ACTIONS(2458),
    [anon_sym_PIPE_EQ] = ACTIONS(2458),
    [anon_sym_CARET_EQ] = ACTIONS(2458),
    [anon_sym_LT_LT_EQ] = ACTIONS(2458),
    [anon_sym_GT_GT_EQ] = ACTIONS(2458),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2458),
    [anon_sym_DOT_DOT] = ACTIONS(2460),
    [anon_sym_STAR_STAR] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE] = ACTIONS(2460),
    [anon_sym_SLASH_SLASH] = ACTIONS(2460),
    [anon_sym_CARET_CARET] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_PIPE] = ACTIONS(2460),
    [anon_sym_CARET] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_GT_GT2] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_DOT] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_SLASH] = ACTIONS(2460),
    [anon_sym_x] = ACTIONS(2460),
    [anon_sym_EQ_TILDE] = ACTIONS(2458),
    [anon_sym_BANG_TILDE] = ACTIONS(2458),
    [anon_sym_EQ_EQ] = ACTIONS(2460),
    [anon_sym_BANG_EQ] = ACTIONS(2458),
    [anon_sym_eq] = ACTIONS(2460),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2458),
    [anon_sym_equ] = ACTIONS(2458),
    [anon_sym_eqr] = ACTIONS(2458),
    [anon_sym_ne] = ACTIONS(2460),
    [anon_sym_LT_EQ_GT] = ACTIONS(2458),
    [anon_sym_cmp] = ACTIONS(2460),
    [anon_sym_TILDE_TILDE] = ACTIONS(2458),
    [anon_sym_LT_EQ] = ACTIONS(2460),
    [anon_sym_GT_EQ] = ACTIONS(2458),
    [anon_sym_lt] = ACTIONS(2460),
    [anon_sym_le] = ACTIONS(2460),
    [anon_sym_ge] = ACTIONS(2460),
    [anon_sym_gt] = ACTIONS(2460),
    [anon_sym_isa] = ACTIONS(2460),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_QMARK] = ACTIONS(2458),
    [anon_sym_PERCENT2] = ACTIONS(2458),
    [anon_sym_EQ_GT] = ACTIONS(2458),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3415),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1557] = {
    [sym_heredoc_content] = STATE(1557),
    [anon_sym_COLON] = ACTIONS(1796),
    [anon_sym_DOLLAR] = ACTIONS(1796),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_AT] = ACTIONS(1796),
    [anon_sym_COMMA] = ACTIONS(1796),
    [anon_sym_RPAREN] = ACTIONS(1796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1796),
    [anon_sym_LBRACK] = ACTIONS(3417),
    [anon_sym_DASH_GT] = ACTIONS(1796),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1796),
    [anon_sym_PLUS_EQ] = ACTIONS(1796),
    [anon_sym_DASH_EQ] = ACTIONS(1796),
    [anon_sym_DOT_EQ] = ACTIONS(1796),
    [anon_sym_STAR_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_PERCENT_EQ] = ACTIONS(1787),
    [anon_sym_x_EQ] = ACTIONS(1796),
    [anon_sym_AMP_EQ] = ACTIONS(1796),
    [anon_sym_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_CARET_EQ] = ACTIONS(1796),
    [anon_sym_LT_LT_EQ] = ACTIONS(1796),
    [anon_sym_GT_GT_EQ] = ACTIONS(1796),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1796),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1787),
    [anon_sym_CARET_CARET] = ACTIONS(1796),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1796),
    [anon_sym_BANG_TILDE] = ACTIONS(1796),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1796),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1796),
    [anon_sym_equ] = ACTIONS(1796),
    [anon_sym_eqr] = ACTIONS(1796),
    [anon_sym_ne] = ACTIONS(1796),
    [anon_sym_LT_EQ_GT] = ACTIONS(1796),
    [anon_sym_cmp] = ACTIONS(1796),
    [anon_sym_TILDE_TILDE] = ACTIONS(1796),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1796),
    [anon_sym_lt] = ACTIONS(1796),
    [anon_sym_le] = ACTIONS(1796),
    [anon_sym_ge] = ACTIONS(1796),
    [anon_sym_gt] = ACTIONS(1796),
    [anon_sym_isa] = ACTIONS(1796),
    [anon_sym_PLUS_PLUS] = ACTIONS(1796),
    [anon_sym_DASH_DASH] = ACTIONS(1796),
    [anon_sym_QMARK] = ACTIONS(1796),
    [anon_sym_PERCENT2] = ACTIONS(1796),
    [anon_sym_EQ_GT] = ACTIONS(1796),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1558] = {
    [sym_heredoc_content] = STATE(1558),
    [anon_sym_LBRACE] = ACTIONS(1738),
    [anon_sym_RBRACE] = ACTIONS(1738),
    [anon_sym_COLON] = ACTIONS(1738),
    [anon_sym_EQ] = ACTIONS(1736),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1738),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1738),
    [anon_sym_COMMA] = ACTIONS(1738),
    [anon_sym_RPAREN] = ACTIONS(1738),
    [anon_sym_LPAREN] = ACTIONS(1738),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1738),
    [anon_sym_LBRACK] = ACTIONS(1738),
    [anon_sym_DASH_GT] = ACTIONS(1738),
    [anon_sym_PERCENT] = ACTIONS(1736),
    [anon_sym_LT] = ACTIONS(1736),
    [anon_sym_GT] = ACTIONS(1736),
    [anon_sym_LT_LT] = ACTIONS(1736),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1738),
    [anon_sym_PLUS_EQ] = ACTIONS(1738),
    [anon_sym_DASH_EQ] = ACTIONS(1738),
    [anon_sym_DOT_EQ] = ACTIONS(1738),
    [anon_sym_STAR_EQ] = ACTIONS(1738),
    [anon_sym_SLASH_EQ] = ACTIONS(1738),
    [anon_sym_PERCENT_EQ] = ACTIONS(1738),
    [anon_sym_x_EQ] = ACTIONS(1738),
    [anon_sym_AMP_EQ] = ACTIONS(1738),
    [anon_sym_PIPE_EQ] = ACTIONS(1738),
    [anon_sym_CARET_EQ] = ACTIONS(1738),
    [anon_sym_LT_LT_EQ] = ACTIONS(1738),
    [anon_sym_GT_GT_EQ] = ACTIONS(1738),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1738),
    [anon_sym_DOT_DOT] = ACTIONS(1736),
    [anon_sym_STAR_STAR] = ACTIONS(1736),
    [anon_sym_PIPE_PIPE] = ACTIONS(1736),
    [anon_sym_SLASH_SLASH] = ACTIONS(1736),
    [anon_sym_CARET_CARET] = ACTIONS(1738),
    [anon_sym_AMP_AMP] = ACTIONS(1736),
    [anon_sym_PIPE] = ACTIONS(1736),
    [anon_sym_CARET] = ACTIONS(1736),
    [anon_sym_AMP] = ACTIONS(1736),
    [anon_sym_GT_GT2] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1736),
    [anon_sym_DOT] = ACTIONS(1736),
    [anon_sym_STAR] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1736),
    [anon_sym_x] = ACTIONS(1736),
    [anon_sym_EQ_TILDE] = ACTIONS(1738),
    [anon_sym_BANG_TILDE] = ACTIONS(1738),
    [anon_sym_EQ_EQ] = ACTIONS(1736),
    [anon_sym_BANG_EQ] = ACTIONS(1738),
    [anon_sym_eq] = ACTIONS(1736),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1738),
    [anon_sym_equ] = ACTIONS(1738),
    [anon_sym_eqr] = ACTIONS(1738),
    [anon_sym_ne] = ACTIONS(1738),
    [anon_sym_LT_EQ_GT] = ACTIONS(1738),
    [anon_sym_cmp] = ACTIONS(1738),
    [anon_sym_TILDE_TILDE] = ACTIONS(1738),
    [anon_sym_LT_EQ] = ACTIONS(1736),
    [anon_sym_GT_EQ] = ACTIONS(1738),
    [anon_sym_lt] = ACTIONS(1738),
    [anon_sym_le] = ACTIONS(1738),
    [anon_sym_ge] = ACTIONS(1738),
    [anon_sym_gt] = ACTIONS(1738),
    [anon_sym_isa] = ACTIONS(1738),
    [anon_sym_PLUS_PLUS] = ACTIONS(1738),
    [anon_sym_DASH_DASH] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(1738),
    [anon_sym_EQ_GT] = ACTIONS(1738),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1559] = {
    [sym_heredoc_content] = STATE(1559),
    [anon_sym_LBRACE] = ACTIONS(1767),
    [anon_sym_RBRACE] = ACTIONS(1767),
    [anon_sym_COLON] = ACTIONS(1767),
    [anon_sym_EQ] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1767),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1767),
    [anon_sym_COMMA] = ACTIONS(1767),
    [anon_sym_RPAREN] = ACTIONS(1767),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [anon_sym_DASH_GT] = ACTIONS(1767),
    [anon_sym_PERCENT] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1765),
    [anon_sym_LT_LT] = ACTIONS(1765),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1767),
    [anon_sym_PLUS_EQ] = ACTIONS(1767),
    [anon_sym_DASH_EQ] = ACTIONS(1767),
    [anon_sym_DOT_EQ] = ACTIONS(1767),
    [anon_sym_STAR_EQ] = ACTIONS(1767),
    [anon_sym_SLASH_EQ] = ACTIONS(1767),
    [anon_sym_PERCENT_EQ] = ACTIONS(1767),
    [anon_sym_x_EQ] = ACTIONS(1767),
    [anon_sym_AMP_EQ] = ACTIONS(1767),
    [anon_sym_PIPE_EQ] = ACTIONS(1767),
    [anon_sym_CARET_EQ] = ACTIONS(1767),
    [anon_sym_LT_LT_EQ] = ACTIONS(1767),
    [anon_sym_GT_GT_EQ] = ACTIONS(1767),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1767),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_STAR_STAR] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1765),
    [anon_sym_SLASH_SLASH] = ACTIONS(1765),
    [anon_sym_CARET_CARET] = ACTIONS(1767),
    [anon_sym_AMP_AMP] = ACTIONS(1765),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_CARET] = ACTIONS(1765),
    [anon_sym_AMP] = ACTIONS(1765),
    [anon_sym_GT_GT2] = ACTIONS(1765),
    [anon_sym_PLUS] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_DOT] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1765),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_x] = ACTIONS(1765),
    [anon_sym_EQ_TILDE] = ACTIONS(1767),
    [anon_sym_BANG_TILDE] = ACTIONS(1767),
    [anon_sym_EQ_EQ] = ACTIONS(1765),
    [anon_sym_BANG_EQ] = ACTIONS(1767),
    [anon_sym_eq] = ACTIONS(1765),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1767),
    [anon_sym_equ] = ACTIONS(1767),
    [anon_sym_eqr] = ACTIONS(1767),
    [anon_sym_ne] = ACTIONS(1767),
    [anon_sym_LT_EQ_GT] = ACTIONS(1767),
    [anon_sym_cmp] = ACTIONS(1767),
    [anon_sym_TILDE_TILDE] = ACTIONS(1767),
    [anon_sym_LT_EQ] = ACTIONS(1765),
    [anon_sym_GT_EQ] = ACTIONS(1767),
    [anon_sym_lt] = ACTIONS(1767),
    [anon_sym_le] = ACTIONS(1767),
    [anon_sym_ge] = ACTIONS(1767),
    [anon_sym_gt] = ACTIONS(1767),
    [anon_sym_isa] = ACTIONS(1767),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_QMARK] = ACTIONS(1767),
    [anon_sym_EQ_GT] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1560] = {
    [sym_heredoc_content] = STATE(1560),
    [anon_sym_COLON] = ACTIONS(2600),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [anon_sym_EQ] = ACTIONS(2602),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_AT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2600),
    [anon_sym_RPAREN] = ACTIONS(2600),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(3419),
    [anon_sym_DASH_GT] = ACTIONS(2600),
    [anon_sym_PERCENT] = ACTIONS(2602),
    [anon_sym_LT] = ACTIONS(2602),
    [anon_sym_GT] = ACTIONS(2602),
    [anon_sym_LT_LT] = ACTIONS(2602),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2600),
    [anon_sym_PLUS_EQ] = ACTIONS(2600),
    [anon_sym_DASH_EQ] = ACTIONS(2600),
    [anon_sym_DOT_EQ] = ACTIONS(2600),
    [anon_sym_STAR_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_PERCENT_EQ] = ACTIONS(2602),
    [anon_sym_x_EQ] = ACTIONS(2600),
    [anon_sym_AMP_EQ] = ACTIONS(2600),
    [anon_sym_PIPE_EQ] = ACTIONS(2600),
    [anon_sym_CARET_EQ] = ACTIONS(2600),
    [anon_sym_LT_LT_EQ] = ACTIONS(2600),
    [anon_sym_GT_GT_EQ] = ACTIONS(2600),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2600),
    [anon_sym_DOT_DOT] = ACTIONS(2602),
    [anon_sym_STAR_STAR] = ACTIONS(2602),
    [anon_sym_PIPE_PIPE] = ACTIONS(2602),
    [anon_sym_SLASH_SLASH] = ACTIONS(2602),
    [anon_sym_CARET_CARET] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_PIPE] = ACTIONS(2602),
    [anon_sym_CARET] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_GT_GT2] = ACTIONS(2602),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_DOT] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_SLASH] = ACTIONS(2602),
    [anon_sym_x] = ACTIONS(2602),
    [anon_sym_EQ_TILDE] = ACTIONS(2600),
    [anon_sym_BANG_TILDE] = ACTIONS(2600),
    [anon_sym_EQ_EQ] = ACTIONS(2602),
    [anon_sym_BANG_EQ] = ACTIONS(2600),
    [anon_sym_eq] = ACTIONS(2602),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2600),
    [anon_sym_equ] = ACTIONS(2600),
    [anon_sym_eqr] = ACTIONS(2600),
    [anon_sym_ne] = ACTIONS(2600),
    [anon_sym_LT_EQ_GT] = ACTIONS(2600),
    [anon_sym_cmp] = ACTIONS(2600),
    [anon_sym_TILDE_TILDE] = ACTIONS(2600),
    [anon_sym_LT_EQ] = ACTIONS(2602),
    [anon_sym_GT_EQ] = ACTIONS(2600),
    [anon_sym_lt] = ACTIONS(2600),
    [anon_sym_le] = ACTIONS(2600),
    [anon_sym_ge] = ACTIONS(2600),
    [anon_sym_gt] = ACTIONS(2600),
    [anon_sym_isa] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_QMARK] = ACTIONS(2600),
    [anon_sym_PERCENT2] = ACTIONS(2600),
    [anon_sym_EQ_GT] = ACTIONS(2600),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1561] = {
    [sym_heredoc_content] = STATE(1561),
    [aux_sym__term_rightward_repeat1] = STATE(1594),
    [anon_sym_COLON] = ACTIONS(2476),
    [anon_sym_DOLLAR] = ACTIONS(2476),
    [anon_sym_EQ] = ACTIONS(3421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3423),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3423),
    [anon_sym_AT] = ACTIONS(2476),
    [anon_sym_COMMA] = ACTIONS(3425),
    [anon_sym_RPAREN] = ACTIONS(2476),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3427),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_GT] = ACTIONS(3433),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3423),
    [anon_sym_PLUS_EQ] = ACTIONS(3423),
    [anon_sym_DASH_EQ] = ACTIONS(3423),
    [anon_sym_DOT_EQ] = ACTIONS(3423),
    [anon_sym_STAR_EQ] = ACTIONS(3423),
    [anon_sym_SLASH_EQ] = ACTIONS(3423),
    [anon_sym_PERCENT_EQ] = ACTIONS(3421),
    [anon_sym_x_EQ] = ACTIONS(3423),
    [anon_sym_AMP_EQ] = ACTIONS(3423),
    [anon_sym_PIPE_EQ] = ACTIONS(3423),
    [anon_sym_CARET_EQ] = ACTIONS(3423),
    [anon_sym_LT_LT_EQ] = ACTIONS(3423),
    [anon_sym_GT_GT_EQ] = ACTIONS(3423),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3423),
    [anon_sym_DOT_DOT] = ACTIONS(3437),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(3441),
    [anon_sym_SLASH_SLASH] = ACTIONS(3441),
    [anon_sym_CARET_CARET] = ACTIONS(3443),
    [anon_sym_AMP_AMP] = ACTIONS(3445),
    [anon_sym_PIPE] = ACTIONS(3447),
    [anon_sym_CARET] = ACTIONS(3447),
    [anon_sym_AMP] = ACTIONS(3449),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(3455),
    [anon_sym_BANG_EQ] = ACTIONS(3457),
    [anon_sym_eq] = ACTIONS(3455),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3457),
    [anon_sym_equ] = ACTIONS(3457),
    [anon_sym_eqr] = ACTIONS(3457),
    [anon_sym_ne] = ACTIONS(3457),
    [anon_sym_LT_EQ_GT] = ACTIONS(3459),
    [anon_sym_cmp] = ACTIONS(3459),
    [anon_sym_TILDE_TILDE] = ACTIONS(3459),
    [anon_sym_LT_EQ] = ACTIONS(3433),
    [anon_sym_GT_EQ] = ACTIONS(3461),
    [anon_sym_lt] = ACTIONS(3461),
    [anon_sym_le] = ACTIONS(3461),
    [anon_sym_ge] = ACTIONS(3461),
    [anon_sym_gt] = ACTIONS(3461),
    [anon_sym_isa] = ACTIONS(3463),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(3467),
    [anon_sym_PERCENT2] = ACTIONS(2476),
    [anon_sym_EQ_GT] = ACTIONS(3425),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1562] = {
    [sym_heredoc_content] = STATE(1562),
    [anon_sym_COLON] = ACTIONS(2526),
    [anon_sym_DOLLAR] = ACTIONS(2526),
    [anon_sym_EQ] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2526),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2526),
    [anon_sym_AT] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2526),
    [anon_sym_RPAREN] = ACTIONS(2526),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2526),
    [anon_sym_DASH_GT] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2528),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_GT] = ACTIONS(2528),
    [anon_sym_LT_LT] = ACTIONS(2528),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2526),
    [anon_sym_PLUS_EQ] = ACTIONS(2526),
    [anon_sym_DASH_EQ] = ACTIONS(2526),
    [anon_sym_DOT_EQ] = ACTIONS(2526),
    [anon_sym_STAR_EQ] = ACTIONS(2526),
    [anon_sym_SLASH_EQ] = ACTIONS(2526),
    [anon_sym_PERCENT_EQ] = ACTIONS(2528),
    [anon_sym_x_EQ] = ACTIONS(2528),
    [anon_sym_AMP_EQ] = ACTIONS(2526),
    [anon_sym_PIPE_EQ] = ACTIONS(2526),
    [anon_sym_CARET_EQ] = ACTIONS(2526),
    [anon_sym_LT_LT_EQ] = ACTIONS(2526),
    [anon_sym_GT_GT_EQ] = ACTIONS(2526),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2526),
    [anon_sym_DOT_DOT] = ACTIONS(2528),
    [anon_sym_STAR_STAR] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH] = ACTIONS(2528),
    [anon_sym_CARET_CARET] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_PIPE] = ACTIONS(2528),
    [anon_sym_CARET] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_GT_GT2] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_DOT] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_SLASH] = ACTIONS(2528),
    [anon_sym_x] = ACTIONS(2528),
    [anon_sym_EQ_TILDE] = ACTIONS(2526),
    [anon_sym_BANG_TILDE] = ACTIONS(2526),
    [anon_sym_EQ_EQ] = ACTIONS(2528),
    [anon_sym_BANG_EQ] = ACTIONS(2526),
    [anon_sym_eq] = ACTIONS(2528),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2526),
    [anon_sym_equ] = ACTIONS(2526),
    [anon_sym_eqr] = ACTIONS(2526),
    [anon_sym_ne] = ACTIONS(2528),
    [anon_sym_LT_EQ_GT] = ACTIONS(2526),
    [anon_sym_cmp] = ACTIONS(2528),
    [anon_sym_TILDE_TILDE] = ACTIONS(2526),
    [anon_sym_LT_EQ] = ACTIONS(2528),
    [anon_sym_GT_EQ] = ACTIONS(2526),
    [anon_sym_lt] = ACTIONS(2528),
    [anon_sym_le] = ACTIONS(2528),
    [anon_sym_ge] = ACTIONS(2528),
    [anon_sym_gt] = ACTIONS(2528),
    [anon_sym_isa] = ACTIONS(2528),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_PERCENT2] = ACTIONS(2526),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3469),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1563] = {
    [sym_heredoc_content] = STATE(1563),
    [anon_sym_COLON] = ACTIONS(2538),
    [anon_sym_DOLLAR] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(3419),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2540),
    [anon_sym_x_EQ] = ACTIONS(2538),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2538),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2538),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2538),
    [anon_sym_le] = ACTIONS(2538),
    [anon_sym_ge] = ACTIONS(2538),
    [anon_sym_gt] = ACTIONS(2538),
    [anon_sym_isa] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_PERCENT2] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1564] = {
    [sym_heredoc_content] = STATE(1564),
    [anon_sym_COLON] = ACTIONS(2464),
    [anon_sym_DOLLAR] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(2466),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2464),
    [anon_sym_COMMA] = ACTIONS(2464),
    [anon_sym_RPAREN] = ACTIONS(2464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(3471),
    [anon_sym_DASH_GT] = ACTIONS(2464),
    [anon_sym_PERCENT] = ACTIONS(2466),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_GT] = ACTIONS(2466),
    [anon_sym_LT_LT] = ACTIONS(2466),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(2464),
    [anon_sym_DASH_EQ] = ACTIONS(2464),
    [anon_sym_DOT_EQ] = ACTIONS(2464),
    [anon_sym_STAR_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_PERCENT_EQ] = ACTIONS(2466),
    [anon_sym_x_EQ] = ACTIONS(2464),
    [anon_sym_AMP_EQ] = ACTIONS(2464),
    [anon_sym_PIPE_EQ] = ACTIONS(2464),
    [anon_sym_CARET_EQ] = ACTIONS(2464),
    [anon_sym_LT_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_GT_EQ] = ACTIONS(2464),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2464),
    [anon_sym_DOT_DOT] = ACTIONS(2466),
    [anon_sym_STAR_STAR] = ACTIONS(2466),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH] = ACTIONS(2466),
    [anon_sym_CARET_CARET] = ACTIONS(2464),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_PIPE] = ACTIONS(2466),
    [anon_sym_CARET] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2466),
    [anon_sym_GT_GT2] = ACTIONS(2466),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_SLASH] = ACTIONS(2466),
    [anon_sym_x] = ACTIONS(2466),
    [anon_sym_EQ_TILDE] = ACTIONS(2464),
    [anon_sym_BANG_TILDE] = ACTIONS(2464),
    [anon_sym_EQ_EQ] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_eq] = ACTIONS(2466),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2464),
    [anon_sym_equ] = ACTIONS(2464),
    [anon_sym_eqr] = ACTIONS(2464),
    [anon_sym_ne] = ACTIONS(2464),
    [anon_sym_LT_EQ_GT] = ACTIONS(2464),
    [anon_sym_cmp] = ACTIONS(2464),
    [anon_sym_TILDE_TILDE] = ACTIONS(2464),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2464),
    [anon_sym_lt] = ACTIONS(2464),
    [anon_sym_le] = ACTIONS(2464),
    [anon_sym_ge] = ACTIONS(2464),
    [anon_sym_gt] = ACTIONS(2464),
    [anon_sym_isa] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2464),
    [anon_sym_PERCENT2] = ACTIONS(2464),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1565] = {
    [sym_heredoc_content] = STATE(1565),
    [anon_sym_COLON] = ACTIONS(2574),
    [anon_sym_DOLLAR] = ACTIONS(2574),
    [anon_sym_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_AT] = ACTIONS(2574),
    [anon_sym_COMMA] = ACTIONS(2574),
    [anon_sym_RPAREN] = ACTIONS(2574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2574),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_DASH_GT] = ACTIONS(2574),
    [anon_sym_PERCENT] = ACTIONS(2576),
    [anon_sym_LT] = ACTIONS(2576),
    [anon_sym_GT] = ACTIONS(2576),
    [anon_sym_LT_LT] = ACTIONS(2576),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_DOT_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2576),
    [anon_sym_x_EQ] = ACTIONS(2574),
    [anon_sym_AMP_EQ] = ACTIONS(2574),
    [anon_sym_PIPE_EQ] = ACTIONS(2574),
    [anon_sym_CARET_EQ] = ACTIONS(2574),
    [anon_sym_LT_LT_EQ] = ACTIONS(2574),
    [anon_sym_GT_GT_EQ] = ACTIONS(2574),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2576),
    [anon_sym_STAR_STAR] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE] = ACTIONS(2576),
    [anon_sym_SLASH_SLASH] = ACTIONS(2576),
    [anon_sym_CARET_CARET] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2576),
    [anon_sym_CARET] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_GT_GT2] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_DOT] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2576),
    [anon_sym_SLASH] = ACTIONS(2576),
    [anon_sym_x] = ACTIONS(2576),
    [anon_sym_EQ_TILDE] = ACTIONS(2574),
    [anon_sym_BANG_TILDE] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2576),
    [anon_sym_BANG_EQ] = ACTIONS(2574),
    [anon_sym_eq] = ACTIONS(2576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_equ] = ACTIONS(2574),
    [anon_sym_eqr] = ACTIONS(2574),
    [anon_sym_ne] = ACTIONS(2574),
    [anon_sym_LT_EQ_GT] = ACTIONS(2574),
    [anon_sym_cmp] = ACTIONS(2574),
    [anon_sym_TILDE_TILDE] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2576),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_lt] = ACTIONS(2574),
    [anon_sym_le] = ACTIONS(2574),
    [anon_sym_ge] = ACTIONS(2574),
    [anon_sym_gt] = ACTIONS(2574),
    [anon_sym_isa] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_QMARK] = ACTIONS(2574),
    [anon_sym_PERCENT2] = ACTIONS(2574),
    [anon_sym_EQ_GT] = ACTIONS(2574),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1566] = {
    [sym_heredoc_content] = STATE(1566),
    [anon_sym_COLON] = ACTIONS(2578),
    [anon_sym_DOLLAR] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2578),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2578),
    [anon_sym_AT] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2578),
    [anon_sym_RPAREN] = ACTIONS(2578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2578),
    [anon_sym_DASH_GT] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2580),
    [anon_sym_LT] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2580),
    [anon_sym_LT_LT] = ACTIONS(2580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2578),
    [anon_sym_PLUS_EQ] = ACTIONS(2578),
    [anon_sym_DASH_EQ] = ACTIONS(2578),
    [anon_sym_DOT_EQ] = ACTIONS(2578),
    [anon_sym_STAR_EQ] = ACTIONS(2578),
    [anon_sym_SLASH_EQ] = ACTIONS(2578),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_x_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2578),
    [anon_sym_PIPE_EQ] = ACTIONS(2578),
    [anon_sym_CARET_EQ] = ACTIONS(2578),
    [anon_sym_LT_LT_EQ] = ACTIONS(2578),
    [anon_sym_GT_GT_EQ] = ACTIONS(2578),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2578),
    [anon_sym_DOT_DOT] = ACTIONS(2580),
    [anon_sym_STAR_STAR] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_SLASH_SLASH] = ACTIONS(2580),
    [anon_sym_CARET_CARET] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_GT_GT2] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2580),
    [anon_sym_x] = ACTIONS(2580),
    [anon_sym_EQ_TILDE] = ACTIONS(2578),
    [anon_sym_BANG_TILDE] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2578),
    [anon_sym_eq] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2578),
    [anon_sym_equ] = ACTIONS(2578),
    [anon_sym_eqr] = ACTIONS(2578),
    [anon_sym_ne] = ACTIONS(2580),
    [anon_sym_LT_EQ_GT] = ACTIONS(2578),
    [anon_sym_cmp] = ACTIONS(2578),
    [anon_sym_TILDE_TILDE] = ACTIONS(2578),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2578),
    [anon_sym_lt] = ACTIONS(2580),
    [anon_sym_le] = ACTIONS(2580),
    [anon_sym_ge] = ACTIONS(2578),
    [anon_sym_gt] = ACTIONS(2578),
    [anon_sym_isa] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_PERCENT2] = ACTIONS(2578),
    [anon_sym_EQ_GT] = ACTIONS(2578),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3473),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1567] = {
    [sym_heredoc_content] = STATE(1567),
    [anon_sym_COLON] = ACTIONS(2584),
    [anon_sym_DOLLAR] = ACTIONS(2584),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_AT] = ACTIONS(2584),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_RPAREN] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_DASH_GT] = ACTIONS(2584),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2586),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_DOT_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2586),
    [anon_sym_x_EQ] = ACTIONS(2586),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2584),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_STAR_STAR] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2586),
    [anon_sym_SLASH_SLASH] = ACTIONS(2586),
    [anon_sym_CARET_CARET] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_GT_GT2] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_x] = ACTIONS(2586),
    [anon_sym_EQ_TILDE] = ACTIONS(2584),
    [anon_sym_BANG_TILDE] = ACTIONS(2584),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2584),
    [anon_sym_eq] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_equ] = ACTIONS(2584),
    [anon_sym_eqr] = ACTIONS(2584),
    [anon_sym_ne] = ACTIONS(2586),
    [anon_sym_LT_EQ_GT] = ACTIONS(2584),
    [anon_sym_cmp] = ACTIONS(2586),
    [anon_sym_TILDE_TILDE] = ACTIONS(2584),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_lt] = ACTIONS(2586),
    [anon_sym_le] = ACTIONS(2586),
    [anon_sym_ge] = ACTIONS(2586),
    [anon_sym_gt] = ACTIONS(2586),
    [anon_sym_isa] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_PERCENT2] = ACTIONS(2584),
    [anon_sym_EQ_GT] = ACTIONS(2584),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3475),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1568] = {
    [sym_heredoc_content] = STATE(1568),
    [anon_sym_COLON] = ACTIONS(2630),
    [anon_sym_DOLLAR] = ACTIONS(2630),
    [anon_sym_EQ] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2630),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2630),
    [anon_sym_AT] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2630),
    [anon_sym_RPAREN] = ACTIONS(2630),
    [anon_sym_LPAREN] = ACTIONS(3477),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2630),
    [anon_sym_DASH_GT] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2632),
    [anon_sym_LT] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2632),
    [anon_sym_LT_LT] = ACTIONS(2632),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2630),
    [anon_sym_PLUS_EQ] = ACTIONS(2630),
    [anon_sym_DASH_EQ] = ACTIONS(2630),
    [anon_sym_DOT_EQ] = ACTIONS(2630),
    [anon_sym_STAR_EQ] = ACTIONS(2630),
    [anon_sym_SLASH_EQ] = ACTIONS(2630),
    [anon_sym_PERCENT_EQ] = ACTIONS(2632),
    [anon_sym_x_EQ] = ACTIONS(2630),
    [anon_sym_AMP_EQ] = ACTIONS(2630),
    [anon_sym_PIPE_EQ] = ACTIONS(2630),
    [anon_sym_CARET_EQ] = ACTIONS(2630),
    [anon_sym_LT_LT_EQ] = ACTIONS(2630),
    [anon_sym_GT_GT_EQ] = ACTIONS(2630),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2630),
    [anon_sym_DOT_DOT] = ACTIONS(2632),
    [anon_sym_STAR_STAR] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_SLASH_SLASH] = ACTIONS(2632),
    [anon_sym_CARET_CARET] = ACTIONS(2630),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_PIPE] = ACTIONS(2632),
    [anon_sym_CARET] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_GT_GT2] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2632),
    [anon_sym_DASH] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2632),
    [anon_sym_STAR] = ACTIONS(2632),
    [anon_sym_SLASH] = ACTIONS(2632),
    [anon_sym_x] = ACTIONS(2632),
    [anon_sym_EQ_TILDE] = ACTIONS(2630),
    [anon_sym_BANG_TILDE] = ACTIONS(2630),
    [anon_sym_EQ_EQ] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_eq] = ACTIONS(2632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2630),
    [anon_sym_equ] = ACTIONS(2630),
    [anon_sym_eqr] = ACTIONS(2630),
    [anon_sym_ne] = ACTIONS(2630),
    [anon_sym_LT_EQ_GT] = ACTIONS(2630),
    [anon_sym_cmp] = ACTIONS(2630),
    [anon_sym_TILDE_TILDE] = ACTIONS(2630),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2630),
    [anon_sym_lt] = ACTIONS(2630),
    [anon_sym_le] = ACTIONS(2630),
    [anon_sym_ge] = ACTIONS(2630),
    [anon_sym_gt] = ACTIONS(2630),
    [anon_sym_isa] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2630),
    [anon_sym_DASH_DASH] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_PERCENT2] = ACTIONS(2630),
    [anon_sym_EQ_GT] = ACTIONS(2630),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1569] = {
    [sym_heredoc_content] = STATE(1569),
    [anon_sym_LBRACE] = ACTIONS(2406),
    [anon_sym_RBRACE] = ACTIONS(2406),
    [anon_sym_COLON] = ACTIONS(2406),
    [anon_sym_EQ] = ACTIONS(2408),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2406),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2406),
    [anon_sym_COMMA] = ACTIONS(2406),
    [anon_sym_RPAREN] = ACTIONS(2406),
    [anon_sym_LPAREN] = ACTIONS(2406),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2406),
    [anon_sym_LBRACK] = ACTIONS(2406),
    [anon_sym_DASH_GT] = ACTIONS(2406),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_LT] = ACTIONS(2408),
    [anon_sym_GT] = ACTIONS(2408),
    [anon_sym_LT_LT] = ACTIONS(2408),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2406),
    [anon_sym_PLUS_EQ] = ACTIONS(2406),
    [anon_sym_DASH_EQ] = ACTIONS(2406),
    [anon_sym_DOT_EQ] = ACTIONS(2406),
    [anon_sym_STAR_EQ] = ACTIONS(2406),
    [anon_sym_SLASH_EQ] = ACTIONS(2406),
    [anon_sym_PERCENT_EQ] = ACTIONS(2406),
    [anon_sym_x_EQ] = ACTIONS(2406),
    [anon_sym_AMP_EQ] = ACTIONS(2406),
    [anon_sym_PIPE_EQ] = ACTIONS(2406),
    [anon_sym_CARET_EQ] = ACTIONS(2406),
    [anon_sym_LT_LT_EQ] = ACTIONS(2406),
    [anon_sym_GT_GT_EQ] = ACTIONS(2406),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2406),
    [anon_sym_DOT_DOT] = ACTIONS(2408),
    [anon_sym_STAR_STAR] = ACTIONS(2408),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_SLASH_SLASH] = ACTIONS(2408),
    [anon_sym_CARET_CARET] = ACTIONS(2406),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_PIPE] = ACTIONS(2408),
    [anon_sym_CARET] = ACTIONS(2408),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_GT_GT2] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2408),
    [anon_sym_x] = ACTIONS(2408),
    [anon_sym_EQ_TILDE] = ACTIONS(2406),
    [anon_sym_BANG_TILDE] = ACTIONS(2406),
    [anon_sym_EQ_EQ] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2406),
    [anon_sym_eq] = ACTIONS(2408),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2406),
    [anon_sym_equ] = ACTIONS(2406),
    [anon_sym_eqr] = ACTIONS(2406),
    [anon_sym_ne] = ACTIONS(2406),
    [anon_sym_LT_EQ_GT] = ACTIONS(2406),
    [anon_sym_cmp] = ACTIONS(2406),
    [anon_sym_TILDE_TILDE] = ACTIONS(2406),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2406),
    [anon_sym_lt] = ACTIONS(2406),
    [anon_sym_le] = ACTIONS(2406),
    [anon_sym_ge] = ACTIONS(2406),
    [anon_sym_gt] = ACTIONS(2406),
    [anon_sym_isa] = ACTIONS(2406),
    [anon_sym_PLUS_PLUS] = ACTIONS(2406),
    [anon_sym_DASH_DASH] = ACTIONS(2406),
    [anon_sym_QMARK] = ACTIONS(2406),
    [anon_sym_EQ_GT] = ACTIONS(2406),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1570] = {
    [sym_heredoc_content] = STATE(1570),
    [anon_sym_COLON] = ACTIONS(2651),
    [anon_sym_DOLLAR] = ACTIONS(2651),
    [anon_sym_EQ] = ACTIONS(2653),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2651),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2651),
    [anon_sym_AT] = ACTIONS(2651),
    [anon_sym_COMMA] = ACTIONS(2651),
    [anon_sym_RPAREN] = ACTIONS(2651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2651),
    [anon_sym_LBRACK] = ACTIONS(3471),
    [anon_sym_DASH_GT] = ACTIONS(2651),
    [anon_sym_PERCENT] = ACTIONS(2653),
    [anon_sym_LT] = ACTIONS(2653),
    [anon_sym_GT] = ACTIONS(2653),
    [anon_sym_LT_LT] = ACTIONS(2653),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2651),
    [anon_sym_PLUS_EQ] = ACTIONS(2651),
    [anon_sym_DASH_EQ] = ACTIONS(2651),
    [anon_sym_DOT_EQ] = ACTIONS(2651),
    [anon_sym_STAR_EQ] = ACTIONS(2651),
    [anon_sym_SLASH_EQ] = ACTIONS(2651),
    [anon_sym_PERCENT_EQ] = ACTIONS(2653),
    [anon_sym_x_EQ] = ACTIONS(2651),
    [anon_sym_AMP_EQ] = ACTIONS(2651),
    [anon_sym_PIPE_EQ] = ACTIONS(2651),
    [anon_sym_CARET_EQ] = ACTIONS(2651),
    [anon_sym_LT_LT_EQ] = ACTIONS(2651),
    [anon_sym_GT_GT_EQ] = ACTIONS(2651),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2651),
    [anon_sym_DOT_DOT] = ACTIONS(2653),
    [anon_sym_STAR_STAR] = ACTIONS(2653),
    [anon_sym_PIPE_PIPE] = ACTIONS(2653),
    [anon_sym_SLASH_SLASH] = ACTIONS(2653),
    [anon_sym_CARET_CARET] = ACTIONS(2651),
    [anon_sym_AMP_AMP] = ACTIONS(2653),
    [anon_sym_PIPE] = ACTIONS(2653),
    [anon_sym_CARET] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_GT_GT2] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_DOT] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_SLASH] = ACTIONS(2653),
    [anon_sym_x] = ACTIONS(2653),
    [anon_sym_EQ_TILDE] = ACTIONS(2651),
    [anon_sym_BANG_TILDE] = ACTIONS(2651),
    [anon_sym_EQ_EQ] = ACTIONS(2653),
    [anon_sym_BANG_EQ] = ACTIONS(2651),
    [anon_sym_eq] = ACTIONS(2653),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2651),
    [anon_sym_equ] = ACTIONS(2651),
    [anon_sym_eqr] = ACTIONS(2651),
    [anon_sym_ne] = ACTIONS(2651),
    [anon_sym_LT_EQ_GT] = ACTIONS(2651),
    [anon_sym_cmp] = ACTIONS(2651),
    [anon_sym_TILDE_TILDE] = ACTIONS(2651),
    [anon_sym_LT_EQ] = ACTIONS(2653),
    [anon_sym_GT_EQ] = ACTIONS(2651),
    [anon_sym_lt] = ACTIONS(2651),
    [anon_sym_le] = ACTIONS(2651),
    [anon_sym_ge] = ACTIONS(2651),
    [anon_sym_gt] = ACTIONS(2651),
    [anon_sym_isa] = ACTIONS(2651),
    [anon_sym_PLUS_PLUS] = ACTIONS(2651),
    [anon_sym_DASH_DASH] = ACTIONS(2651),
    [anon_sym_QMARK] = ACTIONS(2651),
    [anon_sym_PERCENT2] = ACTIONS(2651),
    [anon_sym_EQ_GT] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1571] = {
    [sym_heredoc_content] = STATE(1571),
    [anon_sym_COLON] = ACTIONS(2655),
    [anon_sym_DOLLAR] = ACTIONS(2655),
    [anon_sym_EQ] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2655),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2655),
    [anon_sym_AT] = ACTIONS(2655),
    [anon_sym_COMMA] = ACTIONS(2655),
    [anon_sym_RPAREN] = ACTIONS(2655),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2655),
    [anon_sym_LBRACK] = ACTIONS(2655),
    [anon_sym_DASH_GT] = ACTIONS(2655),
    [anon_sym_PERCENT] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(2657),
    [anon_sym_GT] = ACTIONS(2657),
    [anon_sym_LT_LT] = ACTIONS(2657),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2655),
    [anon_sym_PLUS_EQ] = ACTIONS(2655),
    [anon_sym_DASH_EQ] = ACTIONS(2655),
    [anon_sym_DOT_EQ] = ACTIONS(2655),
    [anon_sym_STAR_EQ] = ACTIONS(2655),
    [anon_sym_SLASH_EQ] = ACTIONS(2655),
    [anon_sym_PERCENT_EQ] = ACTIONS(2657),
    [anon_sym_x_EQ] = ACTIONS(2655),
    [anon_sym_AMP_EQ] = ACTIONS(2655),
    [anon_sym_PIPE_EQ] = ACTIONS(2655),
    [anon_sym_CARET_EQ] = ACTIONS(2655),
    [anon_sym_LT_LT_EQ] = ACTIONS(2655),
    [anon_sym_GT_GT_EQ] = ACTIONS(2655),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2655),
    [anon_sym_DOT_DOT] = ACTIONS(2657),
    [anon_sym_STAR_STAR] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE] = ACTIONS(2657),
    [anon_sym_SLASH_SLASH] = ACTIONS(2657),
    [anon_sym_CARET_CARET] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2657),
    [anon_sym_PIPE] = ACTIONS(2657),
    [anon_sym_CARET] = ACTIONS(2657),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym_GT_GT2] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_DOT] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2657),
    [anon_sym_SLASH] = ACTIONS(2657),
    [anon_sym_x] = ACTIONS(2657),
    [anon_sym_EQ_TILDE] = ACTIONS(2655),
    [anon_sym_BANG_TILDE] = ACTIONS(2655),
    [anon_sym_EQ_EQ] = ACTIONS(2657),
    [anon_sym_BANG_EQ] = ACTIONS(2655),
    [anon_sym_eq] = ACTIONS(2657),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2655),
    [anon_sym_equ] = ACTIONS(2655),
    [anon_sym_eqr] = ACTIONS(2655),
    [anon_sym_ne] = ACTIONS(2655),
    [anon_sym_LT_EQ_GT] = ACTIONS(2655),
    [anon_sym_cmp] = ACTIONS(2655),
    [anon_sym_TILDE_TILDE] = ACTIONS(2655),
    [anon_sym_LT_EQ] = ACTIONS(2657),
    [anon_sym_GT_EQ] = ACTIONS(2655),
    [anon_sym_lt] = ACTIONS(2655),
    [anon_sym_le] = ACTIONS(2655),
    [anon_sym_ge] = ACTIONS(2655),
    [anon_sym_gt] = ACTIONS(2655),
    [anon_sym_isa] = ACTIONS(2655),
    [anon_sym_PLUS_PLUS] = ACTIONS(2655),
    [anon_sym_DASH_DASH] = ACTIONS(2655),
    [anon_sym_QMARK] = ACTIONS(2655),
    [anon_sym_PERCENT2] = ACTIONS(2655),
    [anon_sym_EQ_GT] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1572] = {
    [sym_heredoc_content] = STATE(1572),
    [anon_sym_COLON] = ACTIONS(2434),
    [anon_sym_DOLLAR] = ACTIONS(2434),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_AT] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_RPAREN] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2434),
    [anon_sym_DASH_GT] = ACTIONS(2434),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2434),
    [anon_sym_PLUS_EQ] = ACTIONS(2434),
    [anon_sym_DASH_EQ] = ACTIONS(2434),
    [anon_sym_DOT_EQ] = ACTIONS(2434),
    [anon_sym_STAR_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_PERCENT_EQ] = ACTIONS(2436),
    [anon_sym_x_EQ] = ACTIONS(2436),
    [anon_sym_AMP_EQ] = ACTIONS(2434),
    [anon_sym_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_CARET_EQ] = ACTIONS(2434),
    [anon_sym_LT_LT_EQ] = ACTIONS(2434),
    [anon_sym_GT_GT_EQ] = ACTIONS(2434),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2434),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2434),
    [anon_sym_BANG_TILDE] = ACTIONS(2434),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2434),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2434),
    [anon_sym_equ] = ACTIONS(2434),
    [anon_sym_eqr] = ACTIONS(2434),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2434),
    [anon_sym_cmp] = ACTIONS(2434),
    [anon_sym_TILDE_TILDE] = ACTIONS(2434),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2434),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2434),
    [anon_sym_gt] = ACTIONS(2434),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2434),
    [anon_sym_PERCENT2] = ACTIONS(2434),
    [anon_sym_EQ_GT] = ACTIONS(2434),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3479),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1573] = {
    [sym_heredoc_content] = STATE(1573),
    [anon_sym_COLON] = ACTIONS(2440),
    [anon_sym_DOLLAR] = ACTIONS(2440),
    [anon_sym_EQ] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2440),
    [anon_sym_AT] = ACTIONS(2440),
    [anon_sym_COMMA] = ACTIONS(2440),
    [anon_sym_RPAREN] = ACTIONS(2440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2440),
    [anon_sym_DASH_GT] = ACTIONS(2440),
    [anon_sym_PERCENT] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2442),
    [anon_sym_GT] = ACTIONS(2442),
    [anon_sym_LT_LT] = ACTIONS(2442),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2440),
    [anon_sym_PLUS_EQ] = ACTIONS(2440),
    [anon_sym_DASH_EQ] = ACTIONS(2440),
    [anon_sym_DOT_EQ] = ACTIONS(2440),
    [anon_sym_STAR_EQ] = ACTIONS(2440),
    [anon_sym_SLASH_EQ] = ACTIONS(2440),
    [anon_sym_PERCENT_EQ] = ACTIONS(2442),
    [anon_sym_x_EQ] = ACTIONS(2442),
    [anon_sym_AMP_EQ] = ACTIONS(2440),
    [anon_sym_PIPE_EQ] = ACTIONS(2440),
    [anon_sym_CARET_EQ] = ACTIONS(2440),
    [anon_sym_LT_LT_EQ] = ACTIONS(2440),
    [anon_sym_GT_GT_EQ] = ACTIONS(2440),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2440),
    [anon_sym_DOT_DOT] = ACTIONS(2442),
    [anon_sym_STAR_STAR] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE] = ACTIONS(2442),
    [anon_sym_SLASH_SLASH] = ACTIONS(2442),
    [anon_sym_CARET_CARET] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_PIPE] = ACTIONS(2442),
    [anon_sym_CARET] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_GT_GT2] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_DOT] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_SLASH] = ACTIONS(2442),
    [anon_sym_x] = ACTIONS(2442),
    [anon_sym_EQ_TILDE] = ACTIONS(2440),
    [anon_sym_BANG_TILDE] = ACTIONS(2440),
    [anon_sym_EQ_EQ] = ACTIONS(2442),
    [anon_sym_BANG_EQ] = ACTIONS(2440),
    [anon_sym_eq] = ACTIONS(2442),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2440),
    [anon_sym_equ] = ACTIONS(2440),
    [anon_sym_eqr] = ACTIONS(2440),
    [anon_sym_ne] = ACTIONS(2442),
    [anon_sym_LT_EQ_GT] = ACTIONS(2440),
    [anon_sym_cmp] = ACTIONS(2442),
    [anon_sym_TILDE_TILDE] = ACTIONS(2440),
    [anon_sym_LT_EQ] = ACTIONS(2442),
    [anon_sym_GT_EQ] = ACTIONS(2440),
    [anon_sym_lt] = ACTIONS(2442),
    [anon_sym_le] = ACTIONS(2442),
    [anon_sym_ge] = ACTIONS(2442),
    [anon_sym_gt] = ACTIONS(2442),
    [anon_sym_isa] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2440),
    [anon_sym_DASH_DASH] = ACTIONS(2440),
    [anon_sym_QMARK] = ACTIONS(2440),
    [anon_sym_PERCENT2] = ACTIONS(2440),
    [anon_sym_EQ_GT] = ACTIONS(2440),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3481),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1574] = {
    [sym_heredoc_content] = STATE(1574),
    [anon_sym_COLON] = ACTIONS(2446),
    [anon_sym_DOLLAR] = ACTIONS(2446),
    [anon_sym_EQ] = ACTIONS(2448),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_AT] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(2446),
    [anon_sym_RPAREN] = ACTIONS(2446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2446),
    [anon_sym_DASH_GT] = ACTIONS(2446),
    [anon_sym_PERCENT] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(2448),
    [anon_sym_LT_LT] = ACTIONS(2448),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2446),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_DOT_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2448),
    [anon_sym_x_EQ] = ACTIONS(2448),
    [anon_sym_AMP_EQ] = ACTIONS(2446),
    [anon_sym_PIPE_EQ] = ACTIONS(2446),
    [anon_sym_CARET_EQ] = ACTIONS(2446),
    [anon_sym_LT_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_GT_EQ] = ACTIONS(2446),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2446),
    [anon_sym_DOT_DOT] = ACTIONS(2448),
    [anon_sym_STAR_STAR] = ACTIONS(2448),
    [anon_sym_PIPE_PIPE] = ACTIONS(2448),
    [anon_sym_SLASH_SLASH] = ACTIONS(2448),
    [anon_sym_CARET_CARET] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_PIPE] = ACTIONS(2448),
    [anon_sym_CARET] = ACTIONS(2448),
    [anon_sym_AMP] = ACTIONS(2448),
    [anon_sym_GT_GT2] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_DOT] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2448),
    [anon_sym_SLASH] = ACTIONS(2448),
    [anon_sym_x] = ACTIONS(2448),
    [anon_sym_EQ_TILDE] = ACTIONS(2446),
    [anon_sym_BANG_TILDE] = ACTIONS(2446),
    [anon_sym_EQ_EQ] = ACTIONS(2448),
    [anon_sym_BANG_EQ] = ACTIONS(2446),
    [anon_sym_eq] = ACTIONS(2448),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2446),
    [anon_sym_equ] = ACTIONS(2448),
    [anon_sym_eqr] = ACTIONS(2448),
    [anon_sym_ne] = ACTIONS(2446),
    [anon_sym_LT_EQ_GT] = ACTIONS(2446),
    [anon_sym_cmp] = ACTIONS(2448),
    [anon_sym_TILDE_TILDE] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2448),
    [anon_sym_GT_EQ] = ACTIONS(2446),
    [anon_sym_lt] = ACTIONS(2448),
    [anon_sym_le] = ACTIONS(2448),
    [anon_sym_ge] = ACTIONS(2448),
    [anon_sym_gt] = ACTIONS(2448),
    [anon_sym_isa] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_QMARK] = ACTIONS(2446),
    [anon_sym_PERCENT2] = ACTIONS(2446),
    [anon_sym_EQ_GT] = ACTIONS(2446),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3483),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1575] = {
    [sym_heredoc_content] = STATE(1575),
    [anon_sym_COLON] = ACTIONS(2452),
    [anon_sym_DOLLAR] = ACTIONS(2452),
    [anon_sym_EQ] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_AT] = ACTIONS(2452),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_RPAREN] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2452),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_LT] = ACTIONS(2454),
    [anon_sym_GT] = ACTIONS(2454),
    [anon_sym_LT_LT] = ACTIONS(2454),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2452),
    [anon_sym_DASH_EQ] = ACTIONS(2452),
    [anon_sym_DOT_EQ] = ACTIONS(2452),
    [anon_sym_STAR_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_PERCENT_EQ] = ACTIONS(2454),
    [anon_sym_x_EQ] = ACTIONS(2452),
    [anon_sym_AMP_EQ] = ACTIONS(2452),
    [anon_sym_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_CARET_EQ] = ACTIONS(2452),
    [anon_sym_LT_LT_EQ] = ACTIONS(2452),
    [anon_sym_GT_GT_EQ] = ACTIONS(2452),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(2454),
    [anon_sym_STAR_STAR] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2454),
    [anon_sym_SLASH_SLASH] = ACTIONS(2454),
    [anon_sym_CARET_CARET] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_PIPE] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_GT_GT2] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_DOT] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_SLASH] = ACTIONS(2454),
    [anon_sym_x] = ACTIONS(2454),
    [anon_sym_EQ_TILDE] = ACTIONS(2452),
    [anon_sym_BANG_TILDE] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2454),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_eq] = ACTIONS(2454),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_equ] = ACTIONS(2452),
    [anon_sym_eqr] = ACTIONS(2452),
    [anon_sym_ne] = ACTIONS(2452),
    [anon_sym_LT_EQ_GT] = ACTIONS(2452),
    [anon_sym_cmp] = ACTIONS(2454),
    [anon_sym_TILDE_TILDE] = ACTIONS(2452),
    [anon_sym_LT_EQ] = ACTIONS(2454),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_lt] = ACTIONS(2452),
    [anon_sym_le] = ACTIONS(2452),
    [anon_sym_ge] = ACTIONS(2452),
    [anon_sym_gt] = ACTIONS(2452),
    [anon_sym_isa] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [anon_sym_QMARK] = ACTIONS(2452),
    [anon_sym_PERCENT2] = ACTIONS(2452),
    [anon_sym_EQ_GT] = ACTIONS(2452),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3485),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1576] = {
    [sym_heredoc_content] = STATE(1576),
    [anon_sym_COLON] = ACTIONS(2659),
    [anon_sym_DOLLAR] = ACTIONS(2659),
    [anon_sym_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2659),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2659),
    [anon_sym_AT] = ACTIONS(2659),
    [anon_sym_COMMA] = ACTIONS(2659),
    [anon_sym_RPAREN] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(3487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2659),
    [anon_sym_DASH_GT] = ACTIONS(2659),
    [anon_sym_PERCENT] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_GT] = ACTIONS(2661),
    [anon_sym_LT_LT] = ACTIONS(2661),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2659),
    [anon_sym_PLUS_EQ] = ACTIONS(2659),
    [anon_sym_DASH_EQ] = ACTIONS(2659),
    [anon_sym_DOT_EQ] = ACTIONS(2659),
    [anon_sym_STAR_EQ] = ACTIONS(2659),
    [anon_sym_SLASH_EQ] = ACTIONS(2659),
    [anon_sym_PERCENT_EQ] = ACTIONS(2661),
    [anon_sym_x_EQ] = ACTIONS(2659),
    [anon_sym_AMP_EQ] = ACTIONS(2659),
    [anon_sym_PIPE_EQ] = ACTIONS(2659),
    [anon_sym_CARET_EQ] = ACTIONS(2659),
    [anon_sym_LT_LT_EQ] = ACTIONS(2659),
    [anon_sym_GT_GT_EQ] = ACTIONS(2659),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2659),
    [anon_sym_DOT_DOT] = ACTIONS(2661),
    [anon_sym_STAR_STAR] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_SLASH_SLASH] = ACTIONS(2661),
    [anon_sym_CARET_CARET] = ACTIONS(2659),
    [anon_sym_AMP_AMP] = ACTIONS(2661),
    [anon_sym_PIPE] = ACTIONS(2661),
    [anon_sym_CARET] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_GT_GT2] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_DOT] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2661),
    [anon_sym_SLASH] = ACTIONS(2661),
    [anon_sym_x] = ACTIONS(2661),
    [anon_sym_EQ_TILDE] = ACTIONS(2659),
    [anon_sym_BANG_TILDE] = ACTIONS(2659),
    [anon_sym_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ] = ACTIONS(2659),
    [anon_sym_eq] = ACTIONS(2661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2659),
    [anon_sym_equ] = ACTIONS(2659),
    [anon_sym_eqr] = ACTIONS(2659),
    [anon_sym_ne] = ACTIONS(2659),
    [anon_sym_LT_EQ_GT] = ACTIONS(2659),
    [anon_sym_cmp] = ACTIONS(2659),
    [anon_sym_TILDE_TILDE] = ACTIONS(2659),
    [anon_sym_LT_EQ] = ACTIONS(2661),
    [anon_sym_GT_EQ] = ACTIONS(2659),
    [anon_sym_lt] = ACTIONS(2659),
    [anon_sym_le] = ACTIONS(2659),
    [anon_sym_ge] = ACTIONS(2659),
    [anon_sym_gt] = ACTIONS(2659),
    [anon_sym_isa] = ACTIONS(2659),
    [anon_sym_PLUS_PLUS] = ACTIONS(2659),
    [anon_sym_DASH_DASH] = ACTIONS(2659),
    [anon_sym_QMARK] = ACTIONS(2659),
    [anon_sym_PERCENT2] = ACTIONS(2659),
    [anon_sym_EQ_GT] = ACTIONS(2659),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1577] = {
    [sym_heredoc_content] = STATE(1577),
    [anon_sym_LBRACE] = ACTIONS(1771),
    [anon_sym_RBRACE] = ACTIONS(1771),
    [anon_sym_COLON] = ACTIONS(1771),
    [anon_sym_EQ] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1771),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1771),
    [anon_sym_COMMA] = ACTIONS(1771),
    [anon_sym_RPAREN] = ACTIONS(1771),
    [anon_sym_LPAREN] = ACTIONS(1771),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1771),
    [anon_sym_LBRACK] = ACTIONS(1771),
    [anon_sym_DASH_GT] = ACTIONS(1771),
    [anon_sym_PERCENT] = ACTIONS(1769),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_GT] = ACTIONS(1769),
    [anon_sym_LT_LT] = ACTIONS(1769),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1771),
    [anon_sym_PLUS_EQ] = ACTIONS(1771),
    [anon_sym_DASH_EQ] = ACTIONS(1771),
    [anon_sym_DOT_EQ] = ACTIONS(1771),
    [anon_sym_STAR_EQ] = ACTIONS(1771),
    [anon_sym_SLASH_EQ] = ACTIONS(1771),
    [anon_sym_PERCENT_EQ] = ACTIONS(1771),
    [anon_sym_x_EQ] = ACTIONS(1771),
    [anon_sym_AMP_EQ] = ACTIONS(1771),
    [anon_sym_PIPE_EQ] = ACTIONS(1771),
    [anon_sym_CARET_EQ] = ACTIONS(1771),
    [anon_sym_LT_LT_EQ] = ACTIONS(1771),
    [anon_sym_GT_GT_EQ] = ACTIONS(1771),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1771),
    [anon_sym_DOT_DOT] = ACTIONS(1769),
    [anon_sym_STAR_STAR] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE] = ACTIONS(1769),
    [anon_sym_SLASH_SLASH] = ACTIONS(1769),
    [anon_sym_CARET_CARET] = ACTIONS(1771),
    [anon_sym_AMP_AMP] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1769),
    [anon_sym_CARET] = ACTIONS(1769),
    [anon_sym_AMP] = ACTIONS(1769),
    [anon_sym_GT_GT2] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_DOT] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1769),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_x] = ACTIONS(1769),
    [anon_sym_EQ_TILDE] = ACTIONS(1771),
    [anon_sym_BANG_TILDE] = ACTIONS(1771),
    [anon_sym_EQ_EQ] = ACTIONS(1769),
    [anon_sym_BANG_EQ] = ACTIONS(1771),
    [anon_sym_eq] = ACTIONS(1769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1771),
    [anon_sym_equ] = ACTIONS(1771),
    [anon_sym_eqr] = ACTIONS(1771),
    [anon_sym_ne] = ACTIONS(1771),
    [anon_sym_LT_EQ_GT] = ACTIONS(1771),
    [anon_sym_cmp] = ACTIONS(1771),
    [anon_sym_TILDE_TILDE] = ACTIONS(1771),
    [anon_sym_LT_EQ] = ACTIONS(1769),
    [anon_sym_GT_EQ] = ACTIONS(1771),
    [anon_sym_lt] = ACTIONS(1771),
    [anon_sym_le] = ACTIONS(1771),
    [anon_sym_ge] = ACTIONS(1771),
    [anon_sym_gt] = ACTIONS(1771),
    [anon_sym_isa] = ACTIONS(1771),
    [anon_sym_PLUS_PLUS] = ACTIONS(1771),
    [anon_sym_DASH_DASH] = ACTIONS(1771),
    [anon_sym_QMARK] = ACTIONS(1771),
    [anon_sym_EQ_GT] = ACTIONS(1771),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1578] = {
    [sym_heredoc_content] = STATE(1578),
    [anon_sym_COLON] = ACTIONS(2665),
    [anon_sym_DOLLAR] = ACTIONS(2665),
    [anon_sym_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2665),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2665),
    [anon_sym_AT] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(2665),
    [anon_sym_RPAREN] = ACTIONS(2665),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2665),
    [anon_sym_DASH_GT] = ACTIONS(2665),
    [anon_sym_PERCENT] = ACTIONS(2667),
    [anon_sym_LT] = ACTIONS(2667),
    [anon_sym_GT] = ACTIONS(2667),
    [anon_sym_LT_LT] = ACTIONS(2667),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2665),
    [anon_sym_PLUS_EQ] = ACTIONS(2665),
    [anon_sym_DASH_EQ] = ACTIONS(2665),
    [anon_sym_DOT_EQ] = ACTIONS(2665),
    [anon_sym_STAR_EQ] = ACTIONS(2665),
    [anon_sym_SLASH_EQ] = ACTIONS(2665),
    [anon_sym_PERCENT_EQ] = ACTIONS(2667),
    [anon_sym_x_EQ] = ACTIONS(2667),
    [anon_sym_AMP_EQ] = ACTIONS(2665),
    [anon_sym_PIPE_EQ] = ACTIONS(2665),
    [anon_sym_CARET_EQ] = ACTIONS(2665),
    [anon_sym_LT_LT_EQ] = ACTIONS(2665),
    [anon_sym_GT_GT_EQ] = ACTIONS(2665),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2665),
    [anon_sym_DOT_DOT] = ACTIONS(2667),
    [anon_sym_STAR_STAR] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_SLASH_SLASH] = ACTIONS(2667),
    [anon_sym_CARET_CARET] = ACTIONS(2665),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(2667),
    [anon_sym_CARET] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_GT_GT2] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_DOT] = ACTIONS(2667),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_SLASH] = ACTIONS(2667),
    [anon_sym_x] = ACTIONS(2667),
    [anon_sym_EQ_TILDE] = ACTIONS(2665),
    [anon_sym_BANG_TILDE] = ACTIONS(2665),
    [anon_sym_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ] = ACTIONS(2665),
    [anon_sym_eq] = ACTIONS(2667),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2665),
    [anon_sym_equ] = ACTIONS(2667),
    [anon_sym_eqr] = ACTIONS(2667),
    [anon_sym_ne] = ACTIONS(2665),
    [anon_sym_LT_EQ_GT] = ACTIONS(2665),
    [anon_sym_cmp] = ACTIONS(2667),
    [anon_sym_TILDE_TILDE] = ACTIONS(2665),
    [anon_sym_LT_EQ] = ACTIONS(2667),
    [anon_sym_GT_EQ] = ACTIONS(2665),
    [anon_sym_lt] = ACTIONS(2667),
    [anon_sym_le] = ACTIONS(2667),
    [anon_sym_ge] = ACTIONS(2667),
    [anon_sym_gt] = ACTIONS(2667),
    [anon_sym_isa] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2665),
    [anon_sym_DASH_DASH] = ACTIONS(2665),
    [anon_sym_QMARK] = ACTIONS(2665),
    [anon_sym_PERCENT2] = ACTIONS(2665),
    [anon_sym_EQ_GT] = ACTIONS(2665),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3489),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1579] = {
    [sym_heredoc_content] = STATE(1579),
    [anon_sym_COLON] = ACTIONS(2675),
    [anon_sym_DOLLAR] = ACTIONS(2675),
    [anon_sym_EQ] = ACTIONS(2677),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2675),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2675),
    [anon_sym_AT] = ACTIONS(2675),
    [anon_sym_COMMA] = ACTIONS(2675),
    [anon_sym_RPAREN] = ACTIONS(2675),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2675),
    [anon_sym_DASH_GT] = ACTIONS(2675),
    [anon_sym_PERCENT] = ACTIONS(2677),
    [anon_sym_LT] = ACTIONS(2677),
    [anon_sym_GT] = ACTIONS(2677),
    [anon_sym_LT_LT] = ACTIONS(2677),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2675),
    [anon_sym_PLUS_EQ] = ACTIONS(2675),
    [anon_sym_DASH_EQ] = ACTIONS(2675),
    [anon_sym_DOT_EQ] = ACTIONS(2675),
    [anon_sym_STAR_EQ] = ACTIONS(2675),
    [anon_sym_SLASH_EQ] = ACTIONS(2675),
    [anon_sym_PERCENT_EQ] = ACTIONS(2677),
    [anon_sym_x_EQ] = ACTIONS(2677),
    [anon_sym_AMP_EQ] = ACTIONS(2675),
    [anon_sym_PIPE_EQ] = ACTIONS(2675),
    [anon_sym_CARET_EQ] = ACTIONS(2675),
    [anon_sym_LT_LT_EQ] = ACTIONS(2675),
    [anon_sym_GT_GT_EQ] = ACTIONS(2675),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2675),
    [anon_sym_DOT_DOT] = ACTIONS(2677),
    [anon_sym_STAR_STAR] = ACTIONS(2677),
    [anon_sym_PIPE_PIPE] = ACTIONS(2677),
    [anon_sym_SLASH_SLASH] = ACTIONS(2677),
    [anon_sym_CARET_CARET] = ACTIONS(2675),
    [anon_sym_AMP_AMP] = ACTIONS(2677),
    [anon_sym_PIPE] = ACTIONS(2677),
    [anon_sym_CARET] = ACTIONS(2677),
    [anon_sym_AMP] = ACTIONS(2677),
    [anon_sym_GT_GT2] = ACTIONS(2677),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_DASH] = ACTIONS(2677),
    [anon_sym_DOT] = ACTIONS(2677),
    [anon_sym_STAR] = ACTIONS(2677),
    [anon_sym_SLASH] = ACTIONS(2677),
    [anon_sym_x] = ACTIONS(2677),
    [anon_sym_EQ_TILDE] = ACTIONS(2675),
    [anon_sym_BANG_TILDE] = ACTIONS(2675),
    [anon_sym_EQ_EQ] = ACTIONS(2677),
    [anon_sym_BANG_EQ] = ACTIONS(2675),
    [anon_sym_eq] = ACTIONS(2677),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2675),
    [anon_sym_equ] = ACTIONS(2677),
    [anon_sym_eqr] = ACTIONS(2677),
    [anon_sym_ne] = ACTIONS(2675),
    [anon_sym_LT_EQ_GT] = ACTIONS(2675),
    [anon_sym_cmp] = ACTIONS(2677),
    [anon_sym_TILDE_TILDE] = ACTIONS(2675),
    [anon_sym_LT_EQ] = ACTIONS(2677),
    [anon_sym_GT_EQ] = ACTIONS(2675),
    [anon_sym_lt] = ACTIONS(2677),
    [anon_sym_le] = ACTIONS(2677),
    [anon_sym_ge] = ACTIONS(2677),
    [anon_sym_gt] = ACTIONS(2677),
    [anon_sym_isa] = ACTIONS(2677),
    [anon_sym_PLUS_PLUS] = ACTIONS(2675),
    [anon_sym_DASH_DASH] = ACTIONS(2675),
    [anon_sym_QMARK] = ACTIONS(2675),
    [anon_sym_PERCENT2] = ACTIONS(2675),
    [anon_sym_EQ_GT] = ACTIONS(2675),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3491),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1580] = {
    [sym_heredoc_content] = STATE(1580),
    [anon_sym_COLON] = ACTIONS(2562),
    [anon_sym_DOLLAR] = ACTIONS(2562),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_AT] = ACTIONS(2562),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(2562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2562),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2562),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_DOT_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2564),
    [anon_sym_x_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2564),
    [anon_sym_STAR_STAR] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE] = ACTIONS(2564),
    [anon_sym_SLASH_SLASH] = ACTIONS(2564),
    [anon_sym_CARET_CARET] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_GT_GT2] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_x] = ACTIONS(2564),
    [anon_sym_EQ_TILDE] = ACTIONS(2562),
    [anon_sym_BANG_TILDE] = ACTIONS(2562),
    [anon_sym_EQ_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_eq] = ACTIONS(2564),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2562),
    [anon_sym_equ] = ACTIONS(2562),
    [anon_sym_eqr] = ACTIONS(2562),
    [anon_sym_ne] = ACTIONS(2562),
    [anon_sym_LT_EQ_GT] = ACTIONS(2562),
    [anon_sym_cmp] = ACTIONS(2564),
    [anon_sym_TILDE_TILDE] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_lt] = ACTIONS(2562),
    [anon_sym_le] = ACTIONS(2562),
    [anon_sym_ge] = ACTIONS(2562),
    [anon_sym_gt] = ACTIONS(2562),
    [anon_sym_isa] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2562),
    [anon_sym_PERCENT2] = ACTIONS(2562),
    [anon_sym_EQ_GT] = ACTIONS(2562),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3493),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1581] = {
    [sym_heredoc_content] = STATE(1581),
    [anon_sym_COLON] = ACTIONS(2544),
    [anon_sym_DOLLAR] = ACTIONS(2544),
    [anon_sym_EQ] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_AT] = ACTIONS(2544),
    [anon_sym_COMMA] = ACTIONS(2544),
    [anon_sym_RPAREN] = ACTIONS(2544),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2544),
    [anon_sym_DASH_GT] = ACTIONS(2544),
    [anon_sym_PERCENT] = ACTIONS(2546),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_GT] = ACTIONS(2546),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2544),
    [anon_sym_PLUS_EQ] = ACTIONS(2544),
    [anon_sym_DASH_EQ] = ACTIONS(2544),
    [anon_sym_DOT_EQ] = ACTIONS(2544),
    [anon_sym_STAR_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_PERCENT_EQ] = ACTIONS(2546),
    [anon_sym_x_EQ] = ACTIONS(2544),
    [anon_sym_AMP_EQ] = ACTIONS(2544),
    [anon_sym_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_CARET_EQ] = ACTIONS(2544),
    [anon_sym_LT_LT_EQ] = ACTIONS(2544),
    [anon_sym_GT_GT_EQ] = ACTIONS(2544),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2544),
    [anon_sym_DOT_DOT] = ACTIONS(2546),
    [anon_sym_STAR_STAR] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE] = ACTIONS(2546),
    [anon_sym_SLASH_SLASH] = ACTIONS(2546),
    [anon_sym_CARET_CARET] = ACTIONS(2544),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_GT_GT2] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_DOT] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_SLASH] = ACTIONS(2546),
    [anon_sym_x] = ACTIONS(2546),
    [anon_sym_EQ_TILDE] = ACTIONS(2544),
    [anon_sym_BANG_TILDE] = ACTIONS(2544),
    [anon_sym_EQ_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2544),
    [anon_sym_eq] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2544),
    [anon_sym_equ] = ACTIONS(2544),
    [anon_sym_eqr] = ACTIONS(2544),
    [anon_sym_ne] = ACTIONS(2544),
    [anon_sym_LT_EQ_GT] = ACTIONS(2544),
    [anon_sym_cmp] = ACTIONS(2546),
    [anon_sym_TILDE_TILDE] = ACTIONS(2544),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2544),
    [anon_sym_lt] = ACTIONS(2544),
    [anon_sym_le] = ACTIONS(2544),
    [anon_sym_ge] = ACTIONS(2544),
    [anon_sym_gt] = ACTIONS(2544),
    [anon_sym_isa] = ACTIONS(2544),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [anon_sym_QMARK] = ACTIONS(2544),
    [anon_sym_PERCENT2] = ACTIONS(2544),
    [anon_sym_EQ_GT] = ACTIONS(2544),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3495),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1582] = {
    [sym_heredoc_content] = STATE(1582),
    [anon_sym_COLON] = ACTIONS(2568),
    [anon_sym_DOLLAR] = ACTIONS(2568),
    [anon_sym_EQ] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_AT] = ACTIONS(2568),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_RPAREN] = ACTIONS(2568),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2568),
    [anon_sym_DASH_GT] = ACTIONS(2568),
    [anon_sym_PERCENT] = ACTIONS(2570),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_GT] = ACTIONS(2570),
    [anon_sym_LT_LT] = ACTIONS(2570),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2568),
    [anon_sym_PLUS_EQ] = ACTIONS(2568),
    [anon_sym_DASH_EQ] = ACTIONS(2568),
    [anon_sym_DOT_EQ] = ACTIONS(2568),
    [anon_sym_STAR_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_PERCENT_EQ] = ACTIONS(2570),
    [anon_sym_x_EQ] = ACTIONS(2570),
    [anon_sym_AMP_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_CARET_EQ] = ACTIONS(2568),
    [anon_sym_LT_LT_EQ] = ACTIONS(2568),
    [anon_sym_GT_GT_EQ] = ACTIONS(2568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2568),
    [anon_sym_DOT_DOT] = ACTIONS(2570),
    [anon_sym_STAR_STAR] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE] = ACTIONS(2570),
    [anon_sym_SLASH_SLASH] = ACTIONS(2570),
    [anon_sym_CARET_CARET] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_PIPE] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_GT_GT2] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_DOT] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_SLASH] = ACTIONS(2570),
    [anon_sym_x] = ACTIONS(2570),
    [anon_sym_EQ_TILDE] = ACTIONS(2568),
    [anon_sym_BANG_TILDE] = ACTIONS(2568),
    [anon_sym_EQ_EQ] = ACTIONS(2570),
    [anon_sym_BANG_EQ] = ACTIONS(2568),
    [anon_sym_eq] = ACTIONS(2570),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2568),
    [anon_sym_equ] = ACTIONS(2570),
    [anon_sym_eqr] = ACTIONS(2570),
    [anon_sym_ne] = ACTIONS(2568),
    [anon_sym_LT_EQ_GT] = ACTIONS(2568),
    [anon_sym_cmp] = ACTIONS(2570),
    [anon_sym_TILDE_TILDE] = ACTIONS(2568),
    [anon_sym_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_EQ] = ACTIONS(2568),
    [anon_sym_lt] = ACTIONS(2570),
    [anon_sym_le] = ACTIONS(2570),
    [anon_sym_ge] = ACTIONS(2570),
    [anon_sym_gt] = ACTIONS(2570),
    [anon_sym_isa] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_QMARK] = ACTIONS(2568),
    [anon_sym_PERCENT2] = ACTIONS(2568),
    [anon_sym_EQ_GT] = ACTIONS(2568),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3497),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1583] = {
    [sym_heredoc_content] = STATE(1583),
    [anon_sym_COLON] = ACTIONS(2594),
    [anon_sym_DOLLAR] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2594),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2594),
    [anon_sym_COMMA] = ACTIONS(2594),
    [anon_sym_RPAREN] = ACTIONS(2594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DASH_GT] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2596),
    [anon_sym_LT] = ACTIONS(2596),
    [anon_sym_GT] = ACTIONS(2596),
    [anon_sym_LT_LT] = ACTIONS(2596),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2594),
    [anon_sym_DASH_EQ] = ACTIONS(2594),
    [anon_sym_DOT_EQ] = ACTIONS(2594),
    [anon_sym_STAR_EQ] = ACTIONS(2594),
    [anon_sym_SLASH_EQ] = ACTIONS(2594),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_x_EQ] = ACTIONS(2594),
    [anon_sym_AMP_EQ] = ACTIONS(2594),
    [anon_sym_PIPE_EQ] = ACTIONS(2594),
    [anon_sym_CARET_EQ] = ACTIONS(2594),
    [anon_sym_LT_LT_EQ] = ACTIONS(2594),
    [anon_sym_GT_GT_EQ] = ACTIONS(2594),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2594),
    [anon_sym_DOT_DOT] = ACTIONS(2596),
    [anon_sym_STAR_STAR] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_SLASH_SLASH] = ACTIONS(2596),
    [anon_sym_CARET_CARET] = ACTIONS(2594),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_PIPE] = ACTIONS(2596),
    [anon_sym_CARET] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym_GT_GT2] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2596),
    [anon_sym_x] = ACTIONS(2596),
    [anon_sym_EQ_TILDE] = ACTIONS(2594),
    [anon_sym_BANG_TILDE] = ACTIONS(2594),
    [anon_sym_EQ_EQ] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_eq] = ACTIONS(2596),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2594),
    [anon_sym_equ] = ACTIONS(2594),
    [anon_sym_eqr] = ACTIONS(2594),
    [anon_sym_ne] = ACTIONS(2594),
    [anon_sym_LT_EQ_GT] = ACTIONS(2594),
    [anon_sym_cmp] = ACTIONS(2596),
    [anon_sym_TILDE_TILDE] = ACTIONS(2594),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2594),
    [anon_sym_lt] = ACTIONS(2594),
    [anon_sym_le] = ACTIONS(2594),
    [anon_sym_ge] = ACTIONS(2594),
    [anon_sym_gt] = ACTIONS(2594),
    [anon_sym_isa] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_QMARK] = ACTIONS(2594),
    [anon_sym_PERCENT2] = ACTIONS(2594),
    [anon_sym_EQ_GT] = ACTIONS(2594),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1584] = {
    [sym_heredoc_content] = STATE(1584),
    [anon_sym_LBRACE] = ACTIONS(1775),
    [anon_sym_RBRACE] = ACTIONS(1775),
    [anon_sym_COLON] = ACTIONS(1775),
    [anon_sym_EQ] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1775),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1775),
    [anon_sym_COMMA] = ACTIONS(1775),
    [anon_sym_RPAREN] = ACTIONS(1775),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1775),
    [anon_sym_LBRACK] = ACTIONS(1775),
    [anon_sym_DASH_GT] = ACTIONS(1775),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [anon_sym_LT] = ACTIONS(1773),
    [anon_sym_GT] = ACTIONS(1773),
    [anon_sym_LT_LT] = ACTIONS(1773),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1775),
    [anon_sym_PLUS_EQ] = ACTIONS(1775),
    [anon_sym_DASH_EQ] = ACTIONS(1775),
    [anon_sym_DOT_EQ] = ACTIONS(1775),
    [anon_sym_STAR_EQ] = ACTIONS(1775),
    [anon_sym_SLASH_EQ] = ACTIONS(1775),
    [anon_sym_PERCENT_EQ] = ACTIONS(1775),
    [anon_sym_x_EQ] = ACTIONS(1775),
    [anon_sym_AMP_EQ] = ACTIONS(1775),
    [anon_sym_PIPE_EQ] = ACTIONS(1775),
    [anon_sym_CARET_EQ] = ACTIONS(1775),
    [anon_sym_LT_LT_EQ] = ACTIONS(1775),
    [anon_sym_GT_GT_EQ] = ACTIONS(1775),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1775),
    [anon_sym_DOT_DOT] = ACTIONS(1773),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE] = ACTIONS(1773),
    [anon_sym_SLASH_SLASH] = ACTIONS(1773),
    [anon_sym_CARET_CARET] = ACTIONS(1775),
    [anon_sym_AMP_AMP] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1773),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_GT_GT2] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_DOT] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_x] = ACTIONS(1773),
    [anon_sym_EQ_TILDE] = ACTIONS(1775),
    [anon_sym_BANG_TILDE] = ACTIONS(1775),
    [anon_sym_EQ_EQ] = ACTIONS(1773),
    [anon_sym_BANG_EQ] = ACTIONS(1775),
    [anon_sym_eq] = ACTIONS(1773),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1775),
    [anon_sym_equ] = ACTIONS(1775),
    [anon_sym_eqr] = ACTIONS(1775),
    [anon_sym_ne] = ACTIONS(1775),
    [anon_sym_LT_EQ_GT] = ACTIONS(1775),
    [anon_sym_cmp] = ACTIONS(1775),
    [anon_sym_TILDE_TILDE] = ACTIONS(1775),
    [anon_sym_LT_EQ] = ACTIONS(1773),
    [anon_sym_GT_EQ] = ACTIONS(1775),
    [anon_sym_lt] = ACTIONS(1775),
    [anon_sym_le] = ACTIONS(1775),
    [anon_sym_ge] = ACTIONS(1775),
    [anon_sym_gt] = ACTIONS(1775),
    [anon_sym_isa] = ACTIONS(1775),
    [anon_sym_PLUS_PLUS] = ACTIONS(1775),
    [anon_sym_DASH_DASH] = ACTIONS(1775),
    [anon_sym_QMARK] = ACTIONS(1775),
    [anon_sym_EQ_GT] = ACTIONS(1775),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1585] = {
    [sym_heredoc_content] = STATE(1585),
    [sym__identifier] = ACTIONS(2330),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_COLON] = ACTIONS(2330),
    [anon_sym_EQ] = ACTIONS(2330),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2332),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2332),
    [anon_sym_COMMA] = ACTIONS(2332),
    [anon_sym_RPAREN] = ACTIONS(2332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2332),
    [anon_sym_DASH_GT] = ACTIONS(2332),
    [anon_sym_PERCENT] = ACTIONS(2330),
    [anon_sym_LT] = ACTIONS(2330),
    [anon_sym_GT] = ACTIONS(2330),
    [anon_sym_LT_LT] = ACTIONS(2330),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2332),
    [anon_sym_PLUS_EQ] = ACTIONS(2332),
    [anon_sym_DASH_EQ] = ACTIONS(2332),
    [anon_sym_DOT_EQ] = ACTIONS(2332),
    [anon_sym_STAR_EQ] = ACTIONS(2332),
    [anon_sym_SLASH_EQ] = ACTIONS(2332),
    [anon_sym_PERCENT_EQ] = ACTIONS(2332),
    [anon_sym_x_EQ] = ACTIONS(2332),
    [anon_sym_AMP_EQ] = ACTIONS(2332),
    [anon_sym_PIPE_EQ] = ACTIONS(2332),
    [anon_sym_CARET_EQ] = ACTIONS(2332),
    [anon_sym_LT_LT_EQ] = ACTIONS(2332),
    [anon_sym_GT_GT_EQ] = ACTIONS(2332),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2332),
    [anon_sym_DOT_DOT] = ACTIONS(2330),
    [anon_sym_STAR_STAR] = ACTIONS(2330),
    [anon_sym_PIPE_PIPE] = ACTIONS(2330),
    [anon_sym_SLASH_SLASH] = ACTIONS(2330),
    [anon_sym_CARET_CARET] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2330),
    [anon_sym_PIPE] = ACTIONS(2330),
    [anon_sym_CARET] = ACTIONS(2330),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_GT_GT2] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_DOT] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2330),
    [anon_sym_SLASH] = ACTIONS(2330),
    [anon_sym_x] = ACTIONS(2330),
    [anon_sym_EQ_TILDE] = ACTIONS(2332),
    [anon_sym_BANG_TILDE] = ACTIONS(2332),
    [anon_sym_EQ_EQ] = ACTIONS(2330),
    [anon_sym_BANG_EQ] = ACTIONS(2332),
    [anon_sym_eq] = ACTIONS(2330),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2332),
    [anon_sym_equ] = ACTIONS(2330),
    [anon_sym_eqr] = ACTIONS(2330),
    [anon_sym_ne] = ACTIONS(2330),
    [anon_sym_LT_EQ_GT] = ACTIONS(2332),
    [anon_sym_cmp] = ACTIONS(2330),
    [anon_sym_TILDE_TILDE] = ACTIONS(2332),
    [anon_sym_LT_EQ] = ACTIONS(2330),
    [anon_sym_GT_EQ] = ACTIONS(2332),
    [anon_sym_lt] = ACTIONS(2330),
    [anon_sym_le] = ACTIONS(2330),
    [anon_sym_ge] = ACTIONS(2330),
    [anon_sym_gt] = ACTIONS(2330),
    [anon_sym_isa] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_QMARK] = ACTIONS(2332),
    [anon_sym_EQ_GT] = ACTIONS(2332),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2330),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(2332),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1586] = {
    [sym_heredoc_content] = STATE(1586),
    [sym__identifier] = ACTIONS(2334),
    [anon_sym_RBRACE] = ACTIONS(2336),
    [anon_sym_COLON] = ACTIONS(2334),
    [anon_sym_EQ] = ACTIONS(2334),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2336),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2336),
    [anon_sym_COMMA] = ACTIONS(2336),
    [anon_sym_RPAREN] = ACTIONS(2336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2336),
    [anon_sym_DASH_GT] = ACTIONS(2336),
    [anon_sym_PERCENT] = ACTIONS(2334),
    [anon_sym_LT] = ACTIONS(2334),
    [anon_sym_GT] = ACTIONS(2334),
    [anon_sym_LT_LT] = ACTIONS(2334),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2336),
    [anon_sym_PLUS_EQ] = ACTIONS(2336),
    [anon_sym_DASH_EQ] = ACTIONS(2336),
    [anon_sym_DOT_EQ] = ACTIONS(2336),
    [anon_sym_STAR_EQ] = ACTIONS(2336),
    [anon_sym_SLASH_EQ] = ACTIONS(2336),
    [anon_sym_PERCENT_EQ] = ACTIONS(2336),
    [anon_sym_x_EQ] = ACTIONS(2336),
    [anon_sym_AMP_EQ] = ACTIONS(2336),
    [anon_sym_PIPE_EQ] = ACTIONS(2336),
    [anon_sym_CARET_EQ] = ACTIONS(2336),
    [anon_sym_LT_LT_EQ] = ACTIONS(2336),
    [anon_sym_GT_GT_EQ] = ACTIONS(2336),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2336),
    [anon_sym_DOT_DOT] = ACTIONS(2334),
    [anon_sym_STAR_STAR] = ACTIONS(2334),
    [anon_sym_PIPE_PIPE] = ACTIONS(2334),
    [anon_sym_SLASH_SLASH] = ACTIONS(2334),
    [anon_sym_CARET_CARET] = ACTIONS(2336),
    [anon_sym_AMP_AMP] = ACTIONS(2334),
    [anon_sym_PIPE] = ACTIONS(2334),
    [anon_sym_CARET] = ACTIONS(2334),
    [anon_sym_AMP] = ACTIONS(2334),
    [anon_sym_GT_GT2] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2334),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_DOT] = ACTIONS(2334),
    [anon_sym_STAR] = ACTIONS(2334),
    [anon_sym_SLASH] = ACTIONS(2334),
    [anon_sym_x] = ACTIONS(2334),
    [anon_sym_EQ_TILDE] = ACTIONS(2336),
    [anon_sym_BANG_TILDE] = ACTIONS(2336),
    [anon_sym_EQ_EQ] = ACTIONS(2334),
    [anon_sym_BANG_EQ] = ACTIONS(2336),
    [anon_sym_eq] = ACTIONS(2334),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2336),
    [anon_sym_equ] = ACTIONS(2334),
    [anon_sym_eqr] = ACTIONS(2334),
    [anon_sym_ne] = ACTIONS(2334),
    [anon_sym_LT_EQ_GT] = ACTIONS(2336),
    [anon_sym_cmp] = ACTIONS(2334),
    [anon_sym_TILDE_TILDE] = ACTIONS(2336),
    [anon_sym_LT_EQ] = ACTIONS(2334),
    [anon_sym_GT_EQ] = ACTIONS(2336),
    [anon_sym_lt] = ACTIONS(2334),
    [anon_sym_le] = ACTIONS(2334),
    [anon_sym_ge] = ACTIONS(2334),
    [anon_sym_gt] = ACTIONS(2334),
    [anon_sym_isa] = ACTIONS(2334),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_QMARK] = ACTIONS(2336),
    [anon_sym_EQ_GT] = ACTIONS(2336),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2334),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(3501),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1587] = {
    [sym_heredoc_content] = STATE(1587),
    [anon_sym_LBRACE] = ACTIONS(1779),
    [anon_sym_RBRACE] = ACTIONS(1779),
    [anon_sym_COLON] = ACTIONS(1779),
    [anon_sym_EQ] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1779),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(1779),
    [anon_sym_RPAREN] = ACTIONS(1779),
    [anon_sym_LPAREN] = ACTIONS(1779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1779),
    [anon_sym_LBRACK] = ACTIONS(1779),
    [anon_sym_DASH_GT] = ACTIONS(1779),
    [anon_sym_PERCENT] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_LT_LT] = ACTIONS(1777),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1779),
    [anon_sym_PLUS_EQ] = ACTIONS(1779),
    [anon_sym_DASH_EQ] = ACTIONS(1779),
    [anon_sym_DOT_EQ] = ACTIONS(1779),
    [anon_sym_STAR_EQ] = ACTIONS(1779),
    [anon_sym_SLASH_EQ] = ACTIONS(1779),
    [anon_sym_PERCENT_EQ] = ACTIONS(1779),
    [anon_sym_x_EQ] = ACTIONS(1779),
    [anon_sym_AMP_EQ] = ACTIONS(1779),
    [anon_sym_PIPE_EQ] = ACTIONS(1779),
    [anon_sym_CARET_EQ] = ACTIONS(1779),
    [anon_sym_LT_LT_EQ] = ACTIONS(1779),
    [anon_sym_GT_GT_EQ] = ACTIONS(1779),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1777),
    [anon_sym_STAR_STAR] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE] = ACTIONS(1777),
    [anon_sym_SLASH_SLASH] = ACTIONS(1777),
    [anon_sym_CARET_CARET] = ACTIONS(1779),
    [anon_sym_AMP_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_GT_GT2] = ACTIONS(1777),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_DOT] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1777),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_x] = ACTIONS(1777),
    [anon_sym_EQ_TILDE] = ACTIONS(1779),
    [anon_sym_BANG_TILDE] = ACTIONS(1779),
    [anon_sym_EQ_EQ] = ACTIONS(1777),
    [anon_sym_BANG_EQ] = ACTIONS(1779),
    [anon_sym_eq] = ACTIONS(1777),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1779),
    [anon_sym_equ] = ACTIONS(1779),
    [anon_sym_eqr] = ACTIONS(1779),
    [anon_sym_ne] = ACTIONS(1779),
    [anon_sym_LT_EQ_GT] = ACTIONS(1779),
    [anon_sym_cmp] = ACTIONS(1779),
    [anon_sym_TILDE_TILDE] = ACTIONS(1779),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT_EQ] = ACTIONS(1779),
    [anon_sym_lt] = ACTIONS(1779),
    [anon_sym_le] = ACTIONS(1779),
    [anon_sym_ge] = ACTIONS(1779),
    [anon_sym_gt] = ACTIONS(1779),
    [anon_sym_isa] = ACTIONS(1779),
    [anon_sym_PLUS_PLUS] = ACTIONS(1779),
    [anon_sym_DASH_DASH] = ACTIONS(1779),
    [anon_sym_QMARK] = ACTIONS(1779),
    [anon_sym_EQ_GT] = ACTIONS(1779),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1588] = {
    [sym_heredoc_content] = STATE(1588),
    [anon_sym_LBRACE] = ACTIONS(1759),
    [anon_sym_RBRACE] = ACTIONS(1759),
    [anon_sym_COLON] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(1759),
    [anon_sym_RPAREN] = ACTIONS(1759),
    [anon_sym_LPAREN] = ACTIONS(1759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_DASH_GT] = ACTIONS(1759),
    [anon_sym_PERCENT] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1759),
    [anon_sym_PLUS_EQ] = ACTIONS(1759),
    [anon_sym_DASH_EQ] = ACTIONS(1759),
    [anon_sym_DOT_EQ] = ACTIONS(1759),
    [anon_sym_STAR_EQ] = ACTIONS(1759),
    [anon_sym_SLASH_EQ] = ACTIONS(1759),
    [anon_sym_PERCENT_EQ] = ACTIONS(1759),
    [anon_sym_x_EQ] = ACTIONS(1759),
    [anon_sym_AMP_EQ] = ACTIONS(1759),
    [anon_sym_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_CARET_EQ] = ACTIONS(1759),
    [anon_sym_LT_LT_EQ] = ACTIONS(1759),
    [anon_sym_GT_GT_EQ] = ACTIONS(1759),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1759),
    [anon_sym_DOT_DOT] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH] = ACTIONS(1755),
    [anon_sym_CARET_CARET] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_GT_GT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1755),
    [anon_sym_x] = ACTIONS(1755),
    [anon_sym_EQ_TILDE] = ACTIONS(1759),
    [anon_sym_BANG_TILDE] = ACTIONS(1759),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1759),
    [anon_sym_eq] = ACTIONS(1755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1759),
    [anon_sym_equ] = ACTIONS(1759),
    [anon_sym_eqr] = ACTIONS(1759),
    [anon_sym_ne] = ACTIONS(1759),
    [anon_sym_LT_EQ_GT] = ACTIONS(1759),
    [anon_sym_cmp] = ACTIONS(1759),
    [anon_sym_TILDE_TILDE] = ACTIONS(1759),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1759),
    [anon_sym_lt] = ACTIONS(1759),
    [anon_sym_le] = ACTIONS(1759),
    [anon_sym_ge] = ACTIONS(1759),
    [anon_sym_gt] = ACTIONS(1759),
    [anon_sym_isa] = ACTIONS(1759),
    [anon_sym_PLUS_PLUS] = ACTIONS(1759),
    [anon_sym_DASH_DASH] = ACTIONS(1759),
    [anon_sym_QMARK] = ACTIONS(1759),
    [anon_sym_EQ_GT] = ACTIONS(1759),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1589] = {
    [sym_heredoc_content] = STATE(1589),
    [sym__identifier] = ACTIONS(2330),
    [anon_sym_COLON] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_EQ] = ACTIONS(2330),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2332),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2332),
    [anon_sym_COMMA] = ACTIONS(2332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2332),
    [anon_sym_DASH_GT] = ACTIONS(2332),
    [anon_sym_PERCENT] = ACTIONS(2330),
    [anon_sym_LT] = ACTIONS(2330),
    [anon_sym_GT] = ACTIONS(2330),
    [anon_sym_LT_LT] = ACTIONS(2330),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2332),
    [anon_sym_PLUS_EQ] = ACTIONS(2332),
    [anon_sym_DASH_EQ] = ACTIONS(2332),
    [anon_sym_DOT_EQ] = ACTIONS(2332),
    [anon_sym_STAR_EQ] = ACTIONS(2332),
    [anon_sym_SLASH_EQ] = ACTIONS(2332),
    [anon_sym_PERCENT_EQ] = ACTIONS(2332),
    [anon_sym_x_EQ] = ACTIONS(2332),
    [anon_sym_AMP_EQ] = ACTIONS(2332),
    [anon_sym_PIPE_EQ] = ACTIONS(2332),
    [anon_sym_CARET_EQ] = ACTIONS(2332),
    [anon_sym_LT_LT_EQ] = ACTIONS(2332),
    [anon_sym_GT_GT_EQ] = ACTIONS(2332),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2332),
    [anon_sym_DOT_DOT] = ACTIONS(2330),
    [anon_sym_STAR_STAR] = ACTIONS(2330),
    [anon_sym_PIPE_PIPE] = ACTIONS(2330),
    [anon_sym_SLASH_SLASH] = ACTIONS(2330),
    [anon_sym_CARET_CARET] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(2330),
    [anon_sym_PIPE] = ACTIONS(2330),
    [anon_sym_CARET] = ACTIONS(2330),
    [anon_sym_AMP] = ACTIONS(2330),
    [anon_sym_GT_GT2] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_DOT] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(2330),
    [anon_sym_SLASH] = ACTIONS(2330),
    [anon_sym_x] = ACTIONS(2330),
    [anon_sym_EQ_TILDE] = ACTIONS(2332),
    [anon_sym_BANG_TILDE] = ACTIONS(2332),
    [anon_sym_EQ_EQ] = ACTIONS(2330),
    [anon_sym_BANG_EQ] = ACTIONS(2332),
    [anon_sym_eq] = ACTIONS(2330),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2332),
    [anon_sym_equ] = ACTIONS(2330),
    [anon_sym_eqr] = ACTIONS(2330),
    [anon_sym_ne] = ACTIONS(2330),
    [anon_sym_LT_EQ_GT] = ACTIONS(2332),
    [anon_sym_cmp] = ACTIONS(2330),
    [anon_sym_TILDE_TILDE] = ACTIONS(2332),
    [anon_sym_LT_EQ] = ACTIONS(2330),
    [anon_sym_GT_EQ] = ACTIONS(2332),
    [anon_sym_lt] = ACTIONS(2330),
    [anon_sym_le] = ACTIONS(2330),
    [anon_sym_ge] = ACTIONS(2330),
    [anon_sym_gt] = ACTIONS(2330),
    [anon_sym_isa] = ACTIONS(2330),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_QMARK] = ACTIONS(2332),
    [anon_sym_EQ_GT] = ACTIONS(2332),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2330),
    [sym__PERLY_SEMICOLON] = ACTIONS(2332),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(2332),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1590] = {
    [sym_heredoc_content] = STATE(1590),
    [sym__identifier] = ACTIONS(2334),
    [anon_sym_COLON] = ACTIONS(2334),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym_EQ] = ACTIONS(2334),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2336),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2336),
    [anon_sym_COMMA] = ACTIONS(2336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2336),
    [anon_sym_DASH_GT] = ACTIONS(2336),
    [anon_sym_PERCENT] = ACTIONS(2334),
    [anon_sym_LT] = ACTIONS(2334),
    [anon_sym_GT] = ACTIONS(2334),
    [anon_sym_LT_LT] = ACTIONS(2334),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2336),
    [anon_sym_PLUS_EQ] = ACTIONS(2336),
    [anon_sym_DASH_EQ] = ACTIONS(2336),
    [anon_sym_DOT_EQ] = ACTIONS(2336),
    [anon_sym_STAR_EQ] = ACTIONS(2336),
    [anon_sym_SLASH_EQ] = ACTIONS(2336),
    [anon_sym_PERCENT_EQ] = ACTIONS(2336),
    [anon_sym_x_EQ] = ACTIONS(2336),
    [anon_sym_AMP_EQ] = ACTIONS(2336),
    [anon_sym_PIPE_EQ] = ACTIONS(2336),
    [anon_sym_CARET_EQ] = ACTIONS(2336),
    [anon_sym_LT_LT_EQ] = ACTIONS(2336),
    [anon_sym_GT_GT_EQ] = ACTIONS(2336),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2336),
    [anon_sym_DOT_DOT] = ACTIONS(2334),
    [anon_sym_STAR_STAR] = ACTIONS(2334),
    [anon_sym_PIPE_PIPE] = ACTIONS(2334),
    [anon_sym_SLASH_SLASH] = ACTIONS(2334),
    [anon_sym_CARET_CARET] = ACTIONS(2336),
    [anon_sym_AMP_AMP] = ACTIONS(2334),
    [anon_sym_PIPE] = ACTIONS(2334),
    [anon_sym_CARET] = ACTIONS(2334),
    [anon_sym_AMP] = ACTIONS(2334),
    [anon_sym_GT_GT2] = ACTIONS(2334),
    [anon_sym_PLUS] = ACTIONS(2334),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_DOT] = ACTIONS(2334),
    [anon_sym_STAR] = ACTIONS(2334),
    [anon_sym_SLASH] = ACTIONS(2334),
    [anon_sym_x] = ACTIONS(2334),
    [anon_sym_EQ_TILDE] = ACTIONS(2336),
    [anon_sym_BANG_TILDE] = ACTIONS(2336),
    [anon_sym_EQ_EQ] = ACTIONS(2334),
    [anon_sym_BANG_EQ] = ACTIONS(2336),
    [anon_sym_eq] = ACTIONS(2334),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2336),
    [anon_sym_equ] = ACTIONS(2334),
    [anon_sym_eqr] = ACTIONS(2334),
    [anon_sym_ne] = ACTIONS(2334),
    [anon_sym_LT_EQ_GT] = ACTIONS(2336),
    [anon_sym_cmp] = ACTIONS(2334),
    [anon_sym_TILDE_TILDE] = ACTIONS(2336),
    [anon_sym_LT_EQ] = ACTIONS(2334),
    [anon_sym_GT_EQ] = ACTIONS(2336),
    [anon_sym_lt] = ACTIONS(2334),
    [anon_sym_le] = ACTIONS(2334),
    [anon_sym_ge] = ACTIONS(2334),
    [anon_sym_gt] = ACTIONS(2334),
    [anon_sym_isa] = ACTIONS(2334),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_QMARK] = ACTIONS(2336),
    [anon_sym_EQ_GT] = ACTIONS(2336),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2334),
    [sym__PERLY_SEMICOLON] = ACTIONS(2336),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(3503),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1591] = {
    [sym_heredoc_content] = STATE(1591),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym_RBRACE] = ACTIONS(1403),
    [anon_sym_COLON] = ACTIONS(1403),
    [anon_sym_EQ] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1403),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1403),
    [anon_sym_COMMA] = ACTIONS(1403),
    [anon_sym_RPAREN] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_DASH_GT] = ACTIONS(1403),
    [anon_sym_PERCENT] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1405),
    [anon_sym_GT] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1403),
    [anon_sym_PLUS_EQ] = ACTIONS(1403),
    [anon_sym_DASH_EQ] = ACTIONS(1403),
    [anon_sym_DOT_EQ] = ACTIONS(1403),
    [anon_sym_STAR_EQ] = ACTIONS(1403),
    [anon_sym_SLASH_EQ] = ACTIONS(1403),
    [anon_sym_PERCENT_EQ] = ACTIONS(1403),
    [anon_sym_x_EQ] = ACTIONS(1403),
    [anon_sym_AMP_EQ] = ACTIONS(1403),
    [anon_sym_PIPE_EQ] = ACTIONS(1403),
    [anon_sym_CARET_EQ] = ACTIONS(1403),
    [anon_sym_LT_LT_EQ] = ACTIONS(1403),
    [anon_sym_GT_GT_EQ] = ACTIONS(1403),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1403),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_STAR_STAR] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH] = ACTIONS(1405),
    [anon_sym_CARET_CARET] = ACTIONS(1403),
    [anon_sym_AMP_AMP] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_GT_GT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1405),
    [anon_sym_DOT] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1405),
    [anon_sym_x] = ACTIONS(1405),
    [anon_sym_EQ_TILDE] = ACTIONS(1403),
    [anon_sym_BANG_TILDE] = ACTIONS(1403),
    [anon_sym_EQ_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1403),
    [anon_sym_eq] = ACTIONS(1405),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1403),
    [anon_sym_equ] = ACTIONS(1403),
    [anon_sym_eqr] = ACTIONS(1403),
    [anon_sym_ne] = ACTIONS(1403),
    [anon_sym_LT_EQ_GT] = ACTIONS(1403),
    [anon_sym_cmp] = ACTIONS(1403),
    [anon_sym_TILDE_TILDE] = ACTIONS(1403),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1403),
    [anon_sym_lt] = ACTIONS(1403),
    [anon_sym_le] = ACTIONS(1403),
    [anon_sym_ge] = ACTIONS(1403),
    [anon_sym_gt] = ACTIONS(1403),
    [anon_sym_isa] = ACTIONS(1403),
    [anon_sym_PLUS_PLUS] = ACTIONS(1403),
    [anon_sym_DASH_DASH] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(1403),
    [anon_sym_EQ_GT] = ACTIONS(1403),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1592] = {
    [sym_attribute] = STATE(1750),
    [sym_attribute_name] = STATE(1586),
    [sym_heredoc_content] = STATE(1592),
    [aux_sym_attrlist_repeat1] = STATE(1593),
    [sym__identifier] = ACTIONS(3366),
    [anon_sym_COLON] = ACTIONS(2320),
    [anon_sym_EQ] = ACTIONS(2320),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_COMMA] = ACTIONS(2318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2318),
    [anon_sym_DASH_GT] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2320),
    [anon_sym_LT] = ACTIONS(2320),
    [anon_sym_GT] = ACTIONS(2320),
    [anon_sym_LT_LT] = ACTIONS(2320),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2318),
    [anon_sym_PLUS_EQ] = ACTIONS(2318),
    [anon_sym_DASH_EQ] = ACTIONS(2318),
    [anon_sym_DOT_EQ] = ACTIONS(2318),
    [anon_sym_STAR_EQ] = ACTIONS(2318),
    [anon_sym_SLASH_EQ] = ACTIONS(2318),
    [anon_sym_PERCENT_EQ] = ACTIONS(2318),
    [anon_sym_x_EQ] = ACTIONS(2318),
    [anon_sym_AMP_EQ] = ACTIONS(2318),
    [anon_sym_PIPE_EQ] = ACTIONS(2318),
    [anon_sym_CARET_EQ] = ACTIONS(2318),
    [anon_sym_LT_LT_EQ] = ACTIONS(2318),
    [anon_sym_GT_GT_EQ] = ACTIONS(2318),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2318),
    [anon_sym_DOT_DOT] = ACTIONS(2320),
    [anon_sym_STAR_STAR] = ACTIONS(2320),
    [anon_sym_PIPE_PIPE] = ACTIONS(2320),
    [anon_sym_SLASH_SLASH] = ACTIONS(2320),
    [anon_sym_CARET_CARET] = ACTIONS(2318),
    [anon_sym_AMP_AMP] = ACTIONS(2320),
    [anon_sym_PIPE] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_GT_GT2] = ACTIONS(2320),
    [anon_sym_PLUS] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2320),
    [anon_sym_DOT] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_SLASH] = ACTIONS(2320),
    [anon_sym_x] = ACTIONS(2320),
    [anon_sym_EQ_TILDE] = ACTIONS(2318),
    [anon_sym_BANG_TILDE] = ACTIONS(2318),
    [anon_sym_EQ_EQ] = ACTIONS(2320),
    [anon_sym_BANG_EQ] = ACTIONS(2318),
    [anon_sym_eq] = ACTIONS(2320),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2318),
    [anon_sym_equ] = ACTIONS(2320),
    [anon_sym_eqr] = ACTIONS(2320),
    [anon_sym_ne] = ACTIONS(2320),
    [anon_sym_LT_EQ_GT] = ACTIONS(2318),
    [anon_sym_cmp] = ACTIONS(2320),
    [anon_sym_TILDE_TILDE] = ACTIONS(2318),
    [anon_sym_LT_EQ] = ACTIONS(2320),
    [anon_sym_GT_EQ] = ACTIONS(2318),
    [anon_sym_lt] = ACTIONS(2320),
    [anon_sym_le] = ACTIONS(2320),
    [anon_sym_ge] = ACTIONS(2320),
    [anon_sym_gt] = ACTIONS(2320),
    [anon_sym_isa] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2318),
    [anon_sym_QMARK] = ACTIONS(2318),
    [anon_sym_EQ_GT] = ACTIONS(2318),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3366),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1593] = {
    [sym_attribute] = STATE(1750),
    [sym_attribute_name] = STATE(1586),
    [sym_heredoc_content] = STATE(1593),
    [aux_sym_attrlist_repeat1] = STATE(1377),
    [sym__identifier] = ACTIONS(3366),
    [anon_sym_COLON] = ACTIONS(2306),
    [anon_sym_EQ] = ACTIONS(2306),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2302),
    [anon_sym_COMMA] = ACTIONS(2302),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2302),
    [anon_sym_DASH_GT] = ACTIONS(2302),
    [anon_sym_PERCENT] = ACTIONS(2306),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_LT_LT] = ACTIONS(2306),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2302),
    [anon_sym_PLUS_EQ] = ACTIONS(2302),
    [anon_sym_DASH_EQ] = ACTIONS(2302),
    [anon_sym_DOT_EQ] = ACTIONS(2302),
    [anon_sym_STAR_EQ] = ACTIONS(2302),
    [anon_sym_SLASH_EQ] = ACTIONS(2302),
    [anon_sym_PERCENT_EQ] = ACTIONS(2302),
    [anon_sym_x_EQ] = ACTIONS(2302),
    [anon_sym_AMP_EQ] = ACTIONS(2302),
    [anon_sym_PIPE_EQ] = ACTIONS(2302),
    [anon_sym_CARET_EQ] = ACTIONS(2302),
    [anon_sym_LT_LT_EQ] = ACTIONS(2302),
    [anon_sym_GT_GT_EQ] = ACTIONS(2302),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2302),
    [anon_sym_DOT_DOT] = ACTIONS(2306),
    [anon_sym_STAR_STAR] = ACTIONS(2306),
    [anon_sym_PIPE_PIPE] = ACTIONS(2306),
    [anon_sym_SLASH_SLASH] = ACTIONS(2306),
    [anon_sym_CARET_CARET] = ACTIONS(2302),
    [anon_sym_AMP_AMP] = ACTIONS(2306),
    [anon_sym_PIPE] = ACTIONS(2306),
    [anon_sym_CARET] = ACTIONS(2306),
    [anon_sym_AMP] = ACTIONS(2306),
    [anon_sym_GT_GT2] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_DOT] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2306),
    [anon_sym_x] = ACTIONS(2306),
    [anon_sym_EQ_TILDE] = ACTIONS(2302),
    [anon_sym_BANG_TILDE] = ACTIONS(2302),
    [anon_sym_EQ_EQ] = ACTIONS(2306),
    [anon_sym_BANG_EQ] = ACTIONS(2302),
    [anon_sym_eq] = ACTIONS(2306),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2302),
    [anon_sym_equ] = ACTIONS(2306),
    [anon_sym_eqr] = ACTIONS(2306),
    [anon_sym_ne] = ACTIONS(2306),
    [anon_sym_LT_EQ_GT] = ACTIONS(2302),
    [anon_sym_cmp] = ACTIONS(2306),
    [anon_sym_TILDE_TILDE] = ACTIONS(2302),
    [anon_sym_LT_EQ] = ACTIONS(2306),
    [anon_sym_GT_EQ] = ACTIONS(2302),
    [anon_sym_lt] = ACTIONS(2306),
    [anon_sym_le] = ACTIONS(2306),
    [anon_sym_ge] = ACTIONS(2306),
    [anon_sym_gt] = ACTIONS(2306),
    [anon_sym_isa] = ACTIONS(2306),
    [anon_sym_PLUS_PLUS] = ACTIONS(2302),
    [anon_sym_DASH_DASH] = ACTIONS(2302),
    [anon_sym_QMARK] = ACTIONS(2302),
    [anon_sym_EQ_GT] = ACTIONS(2302),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3366),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1594] = {
    [sym_heredoc_content] = STATE(1594),
    [aux_sym__term_rightward_repeat1] = STATE(1596),
    [anon_sym_COLON] = ACTIONS(2428),
    [anon_sym_DOLLAR] = ACTIONS(2428),
    [anon_sym_EQ] = ACTIONS(2430),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2428),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2428),
    [anon_sym_AT] = ACTIONS(2428),
    [anon_sym_COMMA] = ACTIONS(3425),
    [anon_sym_RPAREN] = ACTIONS(2428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2428),
    [anon_sym_DASH_GT] = ACTIONS(2428),
    [anon_sym_PERCENT] = ACTIONS(2430),
    [anon_sym_LT] = ACTIONS(2430),
    [anon_sym_GT] = ACTIONS(2430),
    [anon_sym_LT_LT] = ACTIONS(2430),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2428),
    [anon_sym_PLUS_EQ] = ACTIONS(2428),
    [anon_sym_DASH_EQ] = ACTIONS(2428),
    [anon_sym_DOT_EQ] = ACTIONS(2428),
    [anon_sym_STAR_EQ] = ACTIONS(2428),
    [anon_sym_SLASH_EQ] = ACTIONS(2428),
    [anon_sym_PERCENT_EQ] = ACTIONS(2430),
    [anon_sym_x_EQ] = ACTIONS(2428),
    [anon_sym_AMP_EQ] = ACTIONS(2428),
    [anon_sym_PIPE_EQ] = ACTIONS(2428),
    [anon_sym_CARET_EQ] = ACTIONS(2428),
    [anon_sym_LT_LT_EQ] = ACTIONS(2428),
    [anon_sym_GT_GT_EQ] = ACTIONS(2428),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2428),
    [anon_sym_DOT_DOT] = ACTIONS(2430),
    [anon_sym_STAR_STAR] = ACTIONS(2430),
    [anon_sym_PIPE_PIPE] = ACTIONS(2430),
    [anon_sym_SLASH_SLASH] = ACTIONS(2430),
    [anon_sym_CARET_CARET] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2430),
    [anon_sym_PIPE] = ACTIONS(2430),
    [anon_sym_CARET] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2430),
    [anon_sym_GT_GT2] = ACTIONS(2430),
    [anon_sym_PLUS] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2430),
    [anon_sym_DOT] = ACTIONS(2430),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_SLASH] = ACTIONS(2430),
    [anon_sym_x] = ACTIONS(2430),
    [anon_sym_EQ_TILDE] = ACTIONS(2428),
    [anon_sym_BANG_TILDE] = ACTIONS(2428),
    [anon_sym_EQ_EQ] = ACTIONS(2430),
    [anon_sym_BANG_EQ] = ACTIONS(2428),
    [anon_sym_eq] = ACTIONS(2430),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2428),
    [anon_sym_equ] = ACTIONS(2428),
    [anon_sym_eqr] = ACTIONS(2428),
    [anon_sym_ne] = ACTIONS(2428),
    [anon_sym_LT_EQ_GT] = ACTIONS(2428),
    [anon_sym_cmp] = ACTIONS(2428),
    [anon_sym_TILDE_TILDE] = ACTIONS(2428),
    [anon_sym_LT_EQ] = ACTIONS(2430),
    [anon_sym_GT_EQ] = ACTIONS(2428),
    [anon_sym_lt] = ACTIONS(2428),
    [anon_sym_le] = ACTIONS(2428),
    [anon_sym_ge] = ACTIONS(2428),
    [anon_sym_gt] = ACTIONS(2428),
    [anon_sym_isa] = ACTIONS(2428),
    [anon_sym_PLUS_PLUS] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2428),
    [anon_sym_QMARK] = ACTIONS(2428),
    [anon_sym_PERCENT2] = ACTIONS(2428),
    [anon_sym_EQ_GT] = ACTIONS(3425),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1595] = {
    [sym_heredoc_content] = STATE(1595),
    [anon_sym_LBRACE] = ACTIONS(1783),
    [anon_sym_RBRACE] = ACTIONS(1783),
    [anon_sym_COLON] = ACTIONS(1783),
    [anon_sym_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1783),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1783),
    [anon_sym_RPAREN] = ACTIONS(1783),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [anon_sym_DASH_GT] = ACTIONS(1783),
    [anon_sym_PERCENT] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1783),
    [anon_sym_PLUS_EQ] = ACTIONS(1783),
    [anon_sym_DASH_EQ] = ACTIONS(1783),
    [anon_sym_DOT_EQ] = ACTIONS(1783),
    [anon_sym_STAR_EQ] = ACTIONS(1783),
    [anon_sym_SLASH_EQ] = ACTIONS(1783),
    [anon_sym_PERCENT_EQ] = ACTIONS(1783),
    [anon_sym_x_EQ] = ACTIONS(1783),
    [anon_sym_AMP_EQ] = ACTIONS(1783),
    [anon_sym_PIPE_EQ] = ACTIONS(1783),
    [anon_sym_CARET_EQ] = ACTIONS(1783),
    [anon_sym_LT_LT_EQ] = ACTIONS(1783),
    [anon_sym_GT_GT_EQ] = ACTIONS(1783),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1783),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_STAR_STAR] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_CARET_CARET] = ACTIONS(1783),
    [anon_sym_AMP_AMP] = ACTIONS(1781),
    [anon_sym_PIPE] = ACTIONS(1781),
    [anon_sym_CARET] = ACTIONS(1781),
    [anon_sym_AMP] = ACTIONS(1781),
    [anon_sym_GT_GT2] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_x] = ACTIONS(1781),
    [anon_sym_EQ_TILDE] = ACTIONS(1783),
    [anon_sym_BANG_TILDE] = ACTIONS(1783),
    [anon_sym_EQ_EQ] = ACTIONS(1781),
    [anon_sym_BANG_EQ] = ACTIONS(1783),
    [anon_sym_eq] = ACTIONS(1781),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1783),
    [anon_sym_equ] = ACTIONS(1783),
    [anon_sym_eqr] = ACTIONS(1783),
    [anon_sym_ne] = ACTIONS(1783),
    [anon_sym_LT_EQ_GT] = ACTIONS(1783),
    [anon_sym_cmp] = ACTIONS(1783),
    [anon_sym_TILDE_TILDE] = ACTIONS(1783),
    [anon_sym_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_EQ] = ACTIONS(1783),
    [anon_sym_lt] = ACTIONS(1783),
    [anon_sym_le] = ACTIONS(1783),
    [anon_sym_ge] = ACTIONS(1783),
    [anon_sym_gt] = ACTIONS(1783),
    [anon_sym_isa] = ACTIONS(1783),
    [anon_sym_PLUS_PLUS] = ACTIONS(1783),
    [anon_sym_DASH_DASH] = ACTIONS(1783),
    [anon_sym_QMARK] = ACTIONS(1783),
    [anon_sym_EQ_GT] = ACTIONS(1783),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1596] = {
    [sym_heredoc_content] = STATE(1596),
    [aux_sym__term_rightward_repeat1] = STATE(1596),
    [anon_sym_COLON] = ACTIONS(2636),
    [anon_sym_DOLLAR] = ACTIONS(2636),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_AT] = ACTIONS(2636),
    [anon_sym_COMMA] = ACTIONS(3505),
    [anon_sym_RPAREN] = ACTIONS(2636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2636),
    [anon_sym_DASH_GT] = ACTIONS(2636),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LT_LT] = ACTIONS(2638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2636),
    [anon_sym_PLUS_EQ] = ACTIONS(2636),
    [anon_sym_DASH_EQ] = ACTIONS(2636),
    [anon_sym_DOT_EQ] = ACTIONS(2636),
    [anon_sym_STAR_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_PERCENT_EQ] = ACTIONS(2638),
    [anon_sym_x_EQ] = ACTIONS(2636),
    [anon_sym_AMP_EQ] = ACTIONS(2636),
    [anon_sym_PIPE_EQ] = ACTIONS(2636),
    [anon_sym_CARET_EQ] = ACTIONS(2636),
    [anon_sym_LT_LT_EQ] = ACTIONS(2636),
    [anon_sym_GT_GT_EQ] = ACTIONS(2636),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2636),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_STAR_STAR] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2638),
    [anon_sym_SLASH_SLASH] = ACTIONS(2638),
    [anon_sym_CARET_CARET] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2638),
    [anon_sym_PIPE] = ACTIONS(2638),
    [anon_sym_CARET] = ACTIONS(2638),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym_GT_GT2] = ACTIONS(2638),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_x] = ACTIONS(2638),
    [anon_sym_EQ_TILDE] = ACTIONS(2636),
    [anon_sym_BANG_TILDE] = ACTIONS(2636),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ] = ACTIONS(2636),
    [anon_sym_eq] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2636),
    [anon_sym_equ] = ACTIONS(2636),
    [anon_sym_eqr] = ACTIONS(2636),
    [anon_sym_ne] = ACTIONS(2636),
    [anon_sym_LT_EQ_GT] = ACTIONS(2636),
    [anon_sym_cmp] = ACTIONS(2636),
    [anon_sym_TILDE_TILDE] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2638),
    [anon_sym_GT_EQ] = ACTIONS(2636),
    [anon_sym_lt] = ACTIONS(2636),
    [anon_sym_le] = ACTIONS(2636),
    [anon_sym_ge] = ACTIONS(2636),
    [anon_sym_gt] = ACTIONS(2636),
    [anon_sym_isa] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_QMARK] = ACTIONS(2636),
    [anon_sym_PERCENT2] = ACTIONS(2636),
    [anon_sym_EQ_GT] = ACTIONS(3505),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1597] = {
    [sym_heredoc_content] = STATE(1597),
    [anon_sym_LBRACE] = ACTIONS(1775),
    [anon_sym_COLON] = ACTIONS(1775),
    [anon_sym_SEMI] = ACTIONS(1775),
    [anon_sym_EQ] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1775),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1775),
    [anon_sym_COMMA] = ACTIONS(1775),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1775),
    [anon_sym_LBRACK] = ACTIONS(1775),
    [anon_sym_DASH_GT] = ACTIONS(1775),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [anon_sym_LT] = ACTIONS(1773),
    [anon_sym_GT] = ACTIONS(1773),
    [anon_sym_LT_LT] = ACTIONS(1773),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1775),
    [anon_sym_PLUS_EQ] = ACTIONS(1775),
    [anon_sym_DASH_EQ] = ACTIONS(1775),
    [anon_sym_DOT_EQ] = ACTIONS(1775),
    [anon_sym_STAR_EQ] = ACTIONS(1775),
    [anon_sym_SLASH_EQ] = ACTIONS(1775),
    [anon_sym_PERCENT_EQ] = ACTIONS(1775),
    [anon_sym_x_EQ] = ACTIONS(1775),
    [anon_sym_AMP_EQ] = ACTIONS(1775),
    [anon_sym_PIPE_EQ] = ACTIONS(1775),
    [anon_sym_CARET_EQ] = ACTIONS(1775),
    [anon_sym_LT_LT_EQ] = ACTIONS(1775),
    [anon_sym_GT_GT_EQ] = ACTIONS(1775),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1775),
    [anon_sym_DOT_DOT] = ACTIONS(1773),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE] = ACTIONS(1773),
    [anon_sym_SLASH_SLASH] = ACTIONS(1773),
    [anon_sym_CARET_CARET] = ACTIONS(1775),
    [anon_sym_AMP_AMP] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1773),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1773),
    [anon_sym_GT_GT2] = ACTIONS(1773),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_DOT] = ACTIONS(1773),
    [anon_sym_STAR] = ACTIONS(1773),
    [anon_sym_SLASH] = ACTIONS(1773),
    [anon_sym_x] = ACTIONS(1773),
    [anon_sym_EQ_TILDE] = ACTIONS(1775),
    [anon_sym_BANG_TILDE] = ACTIONS(1775),
    [anon_sym_EQ_EQ] = ACTIONS(1773),
    [anon_sym_BANG_EQ] = ACTIONS(1775),
    [anon_sym_eq] = ACTIONS(1773),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1775),
    [anon_sym_equ] = ACTIONS(1775),
    [anon_sym_eqr] = ACTIONS(1775),
    [anon_sym_ne] = ACTIONS(1775),
    [anon_sym_LT_EQ_GT] = ACTIONS(1775),
    [anon_sym_cmp] = ACTIONS(1775),
    [anon_sym_TILDE_TILDE] = ACTIONS(1775),
    [anon_sym_LT_EQ] = ACTIONS(1773),
    [anon_sym_GT_EQ] = ACTIONS(1775),
    [anon_sym_lt] = ACTIONS(1775),
    [anon_sym_le] = ACTIONS(1775),
    [anon_sym_ge] = ACTIONS(1775),
    [anon_sym_gt] = ACTIONS(1775),
    [anon_sym_isa] = ACTIONS(1775),
    [anon_sym_PLUS_PLUS] = ACTIONS(1775),
    [anon_sym_DASH_DASH] = ACTIONS(1775),
    [anon_sym_QMARK] = ACTIONS(1775),
    [anon_sym_EQ_GT] = ACTIONS(1775),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1775),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1598] = {
    [sym_heredoc_content] = STATE(1598),
    [anon_sym_LBRACE] = ACTIONS(1779),
    [anon_sym_COLON] = ACTIONS(1779),
    [anon_sym_SEMI] = ACTIONS(1779),
    [anon_sym_EQ] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1779),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(1779),
    [anon_sym_LPAREN] = ACTIONS(1779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1779),
    [anon_sym_LBRACK] = ACTIONS(1779),
    [anon_sym_DASH_GT] = ACTIONS(1779),
    [anon_sym_PERCENT] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1777),
    [anon_sym_LT_LT] = ACTIONS(1777),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1779),
    [anon_sym_PLUS_EQ] = ACTIONS(1779),
    [anon_sym_DASH_EQ] = ACTIONS(1779),
    [anon_sym_DOT_EQ] = ACTIONS(1779),
    [anon_sym_STAR_EQ] = ACTIONS(1779),
    [anon_sym_SLASH_EQ] = ACTIONS(1779),
    [anon_sym_PERCENT_EQ] = ACTIONS(1779),
    [anon_sym_x_EQ] = ACTIONS(1779),
    [anon_sym_AMP_EQ] = ACTIONS(1779),
    [anon_sym_PIPE_EQ] = ACTIONS(1779),
    [anon_sym_CARET_EQ] = ACTIONS(1779),
    [anon_sym_LT_LT_EQ] = ACTIONS(1779),
    [anon_sym_GT_GT_EQ] = ACTIONS(1779),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1779),
    [anon_sym_DOT_DOT] = ACTIONS(1777),
    [anon_sym_STAR_STAR] = ACTIONS(1777),
    [anon_sym_PIPE_PIPE] = ACTIONS(1777),
    [anon_sym_SLASH_SLASH] = ACTIONS(1777),
    [anon_sym_CARET_CARET] = ACTIONS(1779),
    [anon_sym_AMP_AMP] = ACTIONS(1777),
    [anon_sym_PIPE] = ACTIONS(1777),
    [anon_sym_CARET] = ACTIONS(1777),
    [anon_sym_AMP] = ACTIONS(1777),
    [anon_sym_GT_GT2] = ACTIONS(1777),
    [anon_sym_PLUS] = ACTIONS(1777),
    [anon_sym_DASH] = ACTIONS(1777),
    [anon_sym_DOT] = ACTIONS(1777),
    [anon_sym_STAR] = ACTIONS(1777),
    [anon_sym_SLASH] = ACTIONS(1777),
    [anon_sym_x] = ACTIONS(1777),
    [anon_sym_EQ_TILDE] = ACTIONS(1779),
    [anon_sym_BANG_TILDE] = ACTIONS(1779),
    [anon_sym_EQ_EQ] = ACTIONS(1777),
    [anon_sym_BANG_EQ] = ACTIONS(1779),
    [anon_sym_eq] = ACTIONS(1777),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1779),
    [anon_sym_equ] = ACTIONS(1779),
    [anon_sym_eqr] = ACTIONS(1779),
    [anon_sym_ne] = ACTIONS(1779),
    [anon_sym_LT_EQ_GT] = ACTIONS(1779),
    [anon_sym_cmp] = ACTIONS(1779),
    [anon_sym_TILDE_TILDE] = ACTIONS(1779),
    [anon_sym_LT_EQ] = ACTIONS(1777),
    [anon_sym_GT_EQ] = ACTIONS(1779),
    [anon_sym_lt] = ACTIONS(1779),
    [anon_sym_le] = ACTIONS(1779),
    [anon_sym_ge] = ACTIONS(1779),
    [anon_sym_gt] = ACTIONS(1779),
    [anon_sym_isa] = ACTIONS(1779),
    [anon_sym_PLUS_PLUS] = ACTIONS(1779),
    [anon_sym_DASH_DASH] = ACTIONS(1779),
    [anon_sym_QMARK] = ACTIONS(1779),
    [anon_sym_EQ_GT] = ACTIONS(1779),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1779),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1599] = {
    [sym_heredoc_content] = STATE(1599),
    [anon_sym_COLON] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2412),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_AT] = ACTIONS(2412),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_RPAREN] = ACTIONS(2412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2412),
    [anon_sym_DASH_GT] = ACTIONS(2412),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_GT] = ACTIONS(2414),
    [anon_sym_LT_LT] = ACTIONS(2414),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2412),
    [anon_sym_PLUS_EQ] = ACTIONS(2412),
    [anon_sym_DASH_EQ] = ACTIONS(2412),
    [anon_sym_DOT_EQ] = ACTIONS(2412),
    [anon_sym_STAR_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_PERCENT_EQ] = ACTIONS(2414),
    [anon_sym_x_EQ] = ACTIONS(2414),
    [anon_sym_AMP_EQ] = ACTIONS(2412),
    [anon_sym_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_CARET_EQ] = ACTIONS(2412),
    [anon_sym_LT_LT_EQ] = ACTIONS(2412),
    [anon_sym_GT_GT_EQ] = ACTIONS(2412),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2414),
    [anon_sym_STAR_STAR] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH] = ACTIONS(2414),
    [anon_sym_CARET_CARET] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_PIPE] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_GT_GT2] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_SLASH] = ACTIONS(2414),
    [anon_sym_x] = ACTIONS(2414),
    [anon_sym_EQ_TILDE] = ACTIONS(2412),
    [anon_sym_BANG_TILDE] = ACTIONS(2412),
    [anon_sym_EQ_EQ] = ACTIONS(2414),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_eq] = ACTIONS(2414),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2412),
    [anon_sym_equ] = ACTIONS(2412),
    [anon_sym_eqr] = ACTIONS(2412),
    [anon_sym_ne] = ACTIONS(2414),
    [anon_sym_LT_EQ_GT] = ACTIONS(2412),
    [anon_sym_cmp] = ACTIONS(2414),
    [anon_sym_TILDE_TILDE] = ACTIONS(2412),
    [anon_sym_LT_EQ] = ACTIONS(2414),
    [anon_sym_GT_EQ] = ACTIONS(2412),
    [anon_sym_lt] = ACTIONS(2414),
    [anon_sym_le] = ACTIONS(2414),
    [anon_sym_ge] = ACTIONS(2414),
    [anon_sym_gt] = ACTIONS(2414),
    [anon_sym_isa] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_QMARK] = ACTIONS(2412),
    [anon_sym_PERCENT2] = ACTIONS(2412),
    [anon_sym_EQ_GT] = ACTIONS(2412),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(2412),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1600] = {
    [sym_heredoc_content] = STATE(1600),
    [anon_sym_COLON] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2412),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_AT] = ACTIONS(2412),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_RPAREN] = ACTIONS(2412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2412),
    [anon_sym_DASH_GT] = ACTIONS(2412),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_GT] = ACTIONS(2414),
    [anon_sym_LT_LT] = ACTIONS(2414),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2412),
    [anon_sym_PLUS_EQ] = ACTIONS(2412),
    [anon_sym_DASH_EQ] = ACTIONS(2412),
    [anon_sym_DOT_EQ] = ACTIONS(2412),
    [anon_sym_STAR_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_PERCENT_EQ] = ACTIONS(2414),
    [anon_sym_x_EQ] = ACTIONS(2414),
    [anon_sym_AMP_EQ] = ACTIONS(2412),
    [anon_sym_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_CARET_EQ] = ACTIONS(2412),
    [anon_sym_LT_LT_EQ] = ACTIONS(2412),
    [anon_sym_GT_GT_EQ] = ACTIONS(2412),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2414),
    [anon_sym_STAR_STAR] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH] = ACTIONS(2414),
    [anon_sym_CARET_CARET] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_PIPE] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_GT_GT2] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_SLASH] = ACTIONS(2414),
    [anon_sym_x] = ACTIONS(2414),
    [anon_sym_EQ_TILDE] = ACTIONS(2412),
    [anon_sym_BANG_TILDE] = ACTIONS(2412),
    [anon_sym_EQ_EQ] = ACTIONS(2414),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_eq] = ACTIONS(2414),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2412),
    [anon_sym_equ] = ACTIONS(2412),
    [anon_sym_eqr] = ACTIONS(2412),
    [anon_sym_ne] = ACTIONS(2414),
    [anon_sym_LT_EQ_GT] = ACTIONS(2412),
    [anon_sym_cmp] = ACTIONS(2412),
    [anon_sym_TILDE_TILDE] = ACTIONS(2412),
    [anon_sym_LT_EQ] = ACTIONS(2414),
    [anon_sym_GT_EQ] = ACTIONS(2412),
    [anon_sym_lt] = ACTIONS(2414),
    [anon_sym_le] = ACTIONS(2414),
    [anon_sym_ge] = ACTIONS(2412),
    [anon_sym_gt] = ACTIONS(2412),
    [anon_sym_isa] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_QMARK] = ACTIONS(2412),
    [anon_sym_PERCENT2] = ACTIONS(2412),
    [anon_sym_EQ_GT] = ACTIONS(2412),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(2412),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1601] = {
    [sym_heredoc_content] = STATE(1601),
    [anon_sym_COLON] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2412),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_AT] = ACTIONS(2412),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_RPAREN] = ACTIONS(2412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2412),
    [anon_sym_DASH_GT] = ACTIONS(2412),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_GT] = ACTIONS(2414),
    [anon_sym_LT_LT] = ACTIONS(2414),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2412),
    [anon_sym_PLUS_EQ] = ACTIONS(2412),
    [anon_sym_DASH_EQ] = ACTIONS(2412),
    [anon_sym_DOT_EQ] = ACTIONS(2412),
    [anon_sym_STAR_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_PERCENT_EQ] = ACTIONS(2414),
    [anon_sym_x_EQ] = ACTIONS(2414),
    [anon_sym_AMP_EQ] = ACTIONS(2412),
    [anon_sym_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_CARET_EQ] = ACTIONS(2412),
    [anon_sym_LT_LT_EQ] = ACTIONS(2412),
    [anon_sym_GT_GT_EQ] = ACTIONS(2412),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2414),
    [anon_sym_STAR_STAR] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH] = ACTIONS(2414),
    [anon_sym_CARET_CARET] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_PIPE] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_GT_GT2] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_SLASH] = ACTIONS(2414),
    [anon_sym_x] = ACTIONS(2414),
    [anon_sym_EQ_TILDE] = ACTIONS(2412),
    [anon_sym_BANG_TILDE] = ACTIONS(2412),
    [anon_sym_EQ_EQ] = ACTIONS(2414),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_eq] = ACTIONS(2414),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2412),
    [anon_sym_equ] = ACTIONS(2414),
    [anon_sym_eqr] = ACTIONS(2414),
    [anon_sym_ne] = ACTIONS(2412),
    [anon_sym_LT_EQ_GT] = ACTIONS(2412),
    [anon_sym_cmp] = ACTIONS(2414),
    [anon_sym_TILDE_TILDE] = ACTIONS(2412),
    [anon_sym_LT_EQ] = ACTIONS(2414),
    [anon_sym_GT_EQ] = ACTIONS(2412),
    [anon_sym_lt] = ACTIONS(2414),
    [anon_sym_le] = ACTIONS(2414),
    [anon_sym_ge] = ACTIONS(2414),
    [anon_sym_gt] = ACTIONS(2414),
    [anon_sym_isa] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_QMARK] = ACTIONS(2412),
    [anon_sym_PERCENT2] = ACTIONS(2412),
    [anon_sym_EQ_GT] = ACTIONS(2412),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(2412),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1602] = {
    [sym_heredoc_content] = STATE(1602),
    [anon_sym_LBRACE] = ACTIONS(3508),
    [anon_sym_RBRACE] = ACTIONS(1796),
    [anon_sym_COLON] = ACTIONS(1796),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_COMMA] = ACTIONS(1796),
    [anon_sym_RPAREN] = ACTIONS(1796),
    [anon_sym_LPAREN] = ACTIONS(3510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1796),
    [anon_sym_LBRACK] = ACTIONS(3512),
    [anon_sym_DASH_GT] = ACTIONS(1796),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1796),
    [anon_sym_PLUS_EQ] = ACTIONS(1796),
    [anon_sym_DASH_EQ] = ACTIONS(1796),
    [anon_sym_DOT_EQ] = ACTIONS(1796),
    [anon_sym_STAR_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_PERCENT_EQ] = ACTIONS(1796),
    [anon_sym_x_EQ] = ACTIONS(1796),
    [anon_sym_AMP_EQ] = ACTIONS(1796),
    [anon_sym_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_CARET_EQ] = ACTIONS(1796),
    [anon_sym_LT_LT_EQ] = ACTIONS(1796),
    [anon_sym_GT_GT_EQ] = ACTIONS(1796),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1796),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1787),
    [anon_sym_CARET_CARET] = ACTIONS(1796),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1796),
    [anon_sym_BANG_TILDE] = ACTIONS(1796),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1796),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1796),
    [anon_sym_equ] = ACTIONS(1796),
    [anon_sym_eqr] = ACTIONS(1796),
    [anon_sym_ne] = ACTIONS(1796),
    [anon_sym_LT_EQ_GT] = ACTIONS(1796),
    [anon_sym_cmp] = ACTIONS(1796),
    [anon_sym_TILDE_TILDE] = ACTIONS(1796),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1796),
    [anon_sym_lt] = ACTIONS(1796),
    [anon_sym_le] = ACTIONS(1796),
    [anon_sym_ge] = ACTIONS(1796),
    [anon_sym_gt] = ACTIONS(1796),
    [anon_sym_isa] = ACTIONS(1796),
    [anon_sym_PLUS_PLUS] = ACTIONS(1796),
    [anon_sym_DASH_DASH] = ACTIONS(1796),
    [anon_sym_QMARK] = ACTIONS(1796),
    [anon_sym_EQ_GT] = ACTIONS(1796),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1603] = {
    [sym_heredoc_content] = STATE(1603),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_RBRACE] = ACTIONS(2340),
    [anon_sym_COLON] = ACTIONS(2340),
    [anon_sym_EQ] = ACTIONS(2342),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2340),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2340),
    [anon_sym_COMMA] = ACTIONS(2340),
    [anon_sym_RPAREN] = ACTIONS(2340),
    [anon_sym_LPAREN] = ACTIONS(2340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_DASH_GT] = ACTIONS(2340),
    [anon_sym_PERCENT] = ACTIONS(2342),
    [anon_sym_LT] = ACTIONS(2342),
    [anon_sym_GT] = ACTIONS(2342),
    [anon_sym_LT_LT] = ACTIONS(2342),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2340),
    [anon_sym_PLUS_EQ] = ACTIONS(2340),
    [anon_sym_DASH_EQ] = ACTIONS(2340),
    [anon_sym_DOT_EQ] = ACTIONS(2340),
    [anon_sym_STAR_EQ] = ACTIONS(2340),
    [anon_sym_SLASH_EQ] = ACTIONS(2340),
    [anon_sym_PERCENT_EQ] = ACTIONS(2340),
    [anon_sym_x_EQ] = ACTIONS(2340),
    [anon_sym_AMP_EQ] = ACTIONS(2340),
    [anon_sym_PIPE_EQ] = ACTIONS(2340),
    [anon_sym_CARET_EQ] = ACTIONS(2340),
    [anon_sym_LT_LT_EQ] = ACTIONS(2340),
    [anon_sym_GT_GT_EQ] = ACTIONS(2340),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2340),
    [anon_sym_DOT_DOT] = ACTIONS(2342),
    [anon_sym_STAR_STAR] = ACTIONS(2342),
    [anon_sym_PIPE_PIPE] = ACTIONS(2342),
    [anon_sym_SLASH_SLASH] = ACTIONS(2342),
    [anon_sym_CARET_CARET] = ACTIONS(2340),
    [anon_sym_AMP_AMP] = ACTIONS(2342),
    [anon_sym_PIPE] = ACTIONS(2342),
    [anon_sym_CARET] = ACTIONS(2342),
    [anon_sym_AMP] = ACTIONS(2342),
    [anon_sym_GT_GT2] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_DOT] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2342),
    [anon_sym_SLASH] = ACTIONS(2342),
    [anon_sym_x] = ACTIONS(2342),
    [anon_sym_EQ_TILDE] = ACTIONS(2340),
    [anon_sym_BANG_TILDE] = ACTIONS(2340),
    [anon_sym_EQ_EQ] = ACTIONS(2342),
    [anon_sym_BANG_EQ] = ACTIONS(2340),
    [anon_sym_eq] = ACTIONS(2342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2340),
    [anon_sym_equ] = ACTIONS(2340),
    [anon_sym_eqr] = ACTIONS(2340),
    [anon_sym_ne] = ACTIONS(2340),
    [anon_sym_LT_EQ_GT] = ACTIONS(2340),
    [anon_sym_cmp] = ACTIONS(2340),
    [anon_sym_TILDE_TILDE] = ACTIONS(2340),
    [anon_sym_LT_EQ] = ACTIONS(2342),
    [anon_sym_GT_EQ] = ACTIONS(2340),
    [anon_sym_lt] = ACTIONS(2340),
    [anon_sym_le] = ACTIONS(2340),
    [anon_sym_ge] = ACTIONS(2340),
    [anon_sym_gt] = ACTIONS(2340),
    [anon_sym_isa] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_QMARK] = ACTIONS(2340),
    [anon_sym_EQ_GT] = ACTIONS(2340),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1604] = {
    [sym_heredoc_content] = STATE(1604),
    [anon_sym_COLON] = ACTIONS(2604),
    [anon_sym_DOLLAR] = ACTIONS(2604),
    [anon_sym_EQ] = ACTIONS(2606),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2604),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2604),
    [anon_sym_AT] = ACTIONS(2604),
    [anon_sym_COMMA] = ACTIONS(2604),
    [anon_sym_RPAREN] = ACTIONS(2604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2604),
    [anon_sym_DASH_GT] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2606),
    [anon_sym_LT] = ACTIONS(2606),
    [anon_sym_GT] = ACTIONS(2606),
    [anon_sym_LT_LT] = ACTIONS(2606),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2604),
    [anon_sym_PLUS_EQ] = ACTIONS(2604),
    [anon_sym_DASH_EQ] = ACTIONS(2604),
    [anon_sym_DOT_EQ] = ACTIONS(2604),
    [anon_sym_STAR_EQ] = ACTIONS(2604),
    [anon_sym_SLASH_EQ] = ACTIONS(2604),
    [anon_sym_PERCENT_EQ] = ACTIONS(2606),
    [anon_sym_x_EQ] = ACTIONS(2606),
    [anon_sym_AMP_EQ] = ACTIONS(2604),
    [anon_sym_PIPE_EQ] = ACTIONS(2604),
    [anon_sym_CARET_EQ] = ACTIONS(2604),
    [anon_sym_LT_LT_EQ] = ACTIONS(2604),
    [anon_sym_GT_GT_EQ] = ACTIONS(2604),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2604),
    [anon_sym_DOT_DOT] = ACTIONS(2606),
    [anon_sym_STAR_STAR] = ACTIONS(2606),
    [anon_sym_PIPE_PIPE] = ACTIONS(2606),
    [anon_sym_SLASH_SLASH] = ACTIONS(2606),
    [anon_sym_CARET_CARET] = ACTIONS(2604),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym_GT_GT2] = ACTIONS(2606),
    [anon_sym_PLUS] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2606),
    [anon_sym_DOT] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_SLASH] = ACTIONS(2606),
    [anon_sym_x] = ACTIONS(2606),
    [anon_sym_EQ_TILDE] = ACTIONS(2604),
    [anon_sym_BANG_TILDE] = ACTIONS(2604),
    [anon_sym_EQ_EQ] = ACTIONS(2606),
    [anon_sym_BANG_EQ] = ACTIONS(2604),
    [anon_sym_eq] = ACTIONS(2606),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2604),
    [anon_sym_equ] = ACTIONS(2604),
    [anon_sym_eqr] = ACTIONS(2604),
    [anon_sym_ne] = ACTIONS(2606),
    [anon_sym_LT_EQ_GT] = ACTIONS(2604),
    [anon_sym_cmp] = ACTIONS(2606),
    [anon_sym_TILDE_TILDE] = ACTIONS(2604),
    [anon_sym_LT_EQ] = ACTIONS(2606),
    [anon_sym_GT_EQ] = ACTIONS(2604),
    [anon_sym_lt] = ACTIONS(2606),
    [anon_sym_le] = ACTIONS(2606),
    [anon_sym_ge] = ACTIONS(2606),
    [anon_sym_gt] = ACTIONS(2606),
    [anon_sym_isa] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2604),
    [anon_sym_QMARK] = ACTIONS(2604),
    [anon_sym_PERCENT2] = ACTIONS(2604),
    [anon_sym_EQ_GT] = ACTIONS(2604),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3514),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1605] = {
    [sym_heredoc_content] = STATE(1605),
    [anon_sym_COLON] = ACTIONS(3088),
    [anon_sym_DOLLAR] = ACTIONS(3088),
    [anon_sym_EQ] = ACTIONS(3090),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3088),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3088),
    [anon_sym_AT] = ACTIONS(3088),
    [anon_sym_COMMA] = ACTIONS(3088),
    [anon_sym_RPAREN] = ACTIONS(3088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3088),
    [anon_sym_DASH_GT] = ACTIONS(3088),
    [anon_sym_PERCENT] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3090),
    [anon_sym_GT] = ACTIONS(3090),
    [anon_sym_LT_LT] = ACTIONS(3090),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3088),
    [anon_sym_PLUS_EQ] = ACTIONS(3088),
    [anon_sym_DASH_EQ] = ACTIONS(3088),
    [anon_sym_DOT_EQ] = ACTIONS(3088),
    [anon_sym_STAR_EQ] = ACTIONS(3088),
    [anon_sym_SLASH_EQ] = ACTIONS(3088),
    [anon_sym_PERCENT_EQ] = ACTIONS(3090),
    [anon_sym_x_EQ] = ACTIONS(3088),
    [anon_sym_AMP_EQ] = ACTIONS(3088),
    [anon_sym_PIPE_EQ] = ACTIONS(3088),
    [anon_sym_CARET_EQ] = ACTIONS(3088),
    [anon_sym_LT_LT_EQ] = ACTIONS(3088),
    [anon_sym_GT_GT_EQ] = ACTIONS(3088),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3088),
    [anon_sym_DOT_DOT] = ACTIONS(3090),
    [anon_sym_STAR_STAR] = ACTIONS(3090),
    [anon_sym_PIPE_PIPE] = ACTIONS(3090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3090),
    [anon_sym_CARET_CARET] = ACTIONS(3088),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_PIPE] = ACTIONS(3090),
    [anon_sym_CARET] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_GT_GT2] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_DOT] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_SLASH] = ACTIONS(3090),
    [anon_sym_x] = ACTIONS(3090),
    [anon_sym_EQ_TILDE] = ACTIONS(3088),
    [anon_sym_BANG_TILDE] = ACTIONS(3088),
    [anon_sym_EQ_EQ] = ACTIONS(3090),
    [anon_sym_BANG_EQ] = ACTIONS(3088),
    [anon_sym_eq] = ACTIONS(3090),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3088),
    [anon_sym_equ] = ACTIONS(3088),
    [anon_sym_eqr] = ACTIONS(3088),
    [anon_sym_ne] = ACTIONS(3088),
    [anon_sym_LT_EQ_GT] = ACTIONS(3088),
    [anon_sym_cmp] = ACTIONS(3088),
    [anon_sym_TILDE_TILDE] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3090),
    [anon_sym_GT_EQ] = ACTIONS(3088),
    [anon_sym_lt] = ACTIONS(3088),
    [anon_sym_le] = ACTIONS(3088),
    [anon_sym_ge] = ACTIONS(3088),
    [anon_sym_gt] = ACTIONS(3088),
    [anon_sym_isa] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3088),
    [anon_sym_QMARK] = ACTIONS(3088),
    [anon_sym_PERCENT2] = ACTIONS(3088),
    [anon_sym_EQ_GT] = ACTIONS(3088),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1606] = {
    [sym_heredoc_content] = STATE(1606),
    [anon_sym_COLON] = ACTIONS(3021),
    [anon_sym_DOLLAR] = ACTIONS(3021),
    [anon_sym_EQ] = ACTIONS(3023),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3021),
    [anon_sym_AT] = ACTIONS(3021),
    [anon_sym_COMMA] = ACTIONS(3021),
    [anon_sym_RPAREN] = ACTIONS(3021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3021),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3023),
    [anon_sym_LT] = ACTIONS(3023),
    [anon_sym_GT] = ACTIONS(3023),
    [anon_sym_LT_LT] = ACTIONS(3023),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3021),
    [anon_sym_PLUS_EQ] = ACTIONS(3021),
    [anon_sym_DASH_EQ] = ACTIONS(3021),
    [anon_sym_DOT_EQ] = ACTIONS(3021),
    [anon_sym_STAR_EQ] = ACTIONS(3021),
    [anon_sym_SLASH_EQ] = ACTIONS(3021),
    [anon_sym_PERCENT_EQ] = ACTIONS(3023),
    [anon_sym_x_EQ] = ACTIONS(3021),
    [anon_sym_AMP_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_EQ] = ACTIONS(3021),
    [anon_sym_CARET_EQ] = ACTIONS(3021),
    [anon_sym_LT_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_GT_EQ] = ACTIONS(3021),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3021),
    [anon_sym_DOT_DOT] = ACTIONS(3023),
    [anon_sym_STAR_STAR] = ACTIONS(3023),
    [anon_sym_PIPE_PIPE] = ACTIONS(3023),
    [anon_sym_SLASH_SLASH] = ACTIONS(3023),
    [anon_sym_CARET_CARET] = ACTIONS(3021),
    [anon_sym_AMP_AMP] = ACTIONS(3023),
    [anon_sym_PIPE] = ACTIONS(3023),
    [anon_sym_CARET] = ACTIONS(3023),
    [anon_sym_AMP] = ACTIONS(3023),
    [anon_sym_GT_GT2] = ACTIONS(3023),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_DOT] = ACTIONS(3023),
    [anon_sym_STAR] = ACTIONS(3023),
    [anon_sym_SLASH] = ACTIONS(3023),
    [anon_sym_x] = ACTIONS(3023),
    [anon_sym_EQ_TILDE] = ACTIONS(3021),
    [anon_sym_BANG_TILDE] = ACTIONS(3021),
    [anon_sym_EQ_EQ] = ACTIONS(3023),
    [anon_sym_BANG_EQ] = ACTIONS(3021),
    [anon_sym_eq] = ACTIONS(3023),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3021),
    [anon_sym_equ] = ACTIONS(3021),
    [anon_sym_eqr] = ACTIONS(3021),
    [anon_sym_ne] = ACTIONS(3021),
    [anon_sym_LT_EQ_GT] = ACTIONS(3021),
    [anon_sym_cmp] = ACTIONS(3021),
    [anon_sym_TILDE_TILDE] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3023),
    [anon_sym_GT_EQ] = ACTIONS(3021),
    [anon_sym_lt] = ACTIONS(3021),
    [anon_sym_le] = ACTIONS(3021),
    [anon_sym_ge] = ACTIONS(3021),
    [anon_sym_gt] = ACTIONS(3021),
    [anon_sym_isa] = ACTIONS(3021),
    [anon_sym_PLUS_PLUS] = ACTIONS(3516),
    [anon_sym_DASH_DASH] = ACTIONS(3516),
    [anon_sym_QMARK] = ACTIONS(3021),
    [anon_sym_PERCENT2] = ACTIONS(3021),
    [anon_sym_EQ_GT] = ACTIONS(3021),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1607] = {
    [sym_heredoc_content] = STATE(1607),
    [anon_sym_COLON] = ACTIONS(3044),
    [anon_sym_DOLLAR] = ACTIONS(3044),
    [anon_sym_EQ] = ACTIONS(3421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3423),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3423),
    [anon_sym_AT] = ACTIONS(3044),
    [anon_sym_COMMA] = ACTIONS(3044),
    [anon_sym_RPAREN] = ACTIONS(3044),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3427),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_GT] = ACTIONS(3433),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3423),
    [anon_sym_PLUS_EQ] = ACTIONS(3423),
    [anon_sym_DASH_EQ] = ACTIONS(3423),
    [anon_sym_DOT_EQ] = ACTIONS(3423),
    [anon_sym_STAR_EQ] = ACTIONS(3423),
    [anon_sym_SLASH_EQ] = ACTIONS(3423),
    [anon_sym_PERCENT_EQ] = ACTIONS(3421),
    [anon_sym_x_EQ] = ACTIONS(3423),
    [anon_sym_AMP_EQ] = ACTIONS(3423),
    [anon_sym_PIPE_EQ] = ACTIONS(3423),
    [anon_sym_CARET_EQ] = ACTIONS(3423),
    [anon_sym_LT_LT_EQ] = ACTIONS(3423),
    [anon_sym_GT_GT_EQ] = ACTIONS(3423),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3423),
    [anon_sym_DOT_DOT] = ACTIONS(3437),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(3441),
    [anon_sym_SLASH_SLASH] = ACTIONS(3441),
    [anon_sym_CARET_CARET] = ACTIONS(3443),
    [anon_sym_AMP_AMP] = ACTIONS(3445),
    [anon_sym_PIPE] = ACTIONS(3447),
    [anon_sym_CARET] = ACTIONS(3447),
    [anon_sym_AMP] = ACTIONS(3449),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(3455),
    [anon_sym_BANG_EQ] = ACTIONS(3457),
    [anon_sym_eq] = ACTIONS(3455),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3457),
    [anon_sym_equ] = ACTIONS(3457),
    [anon_sym_eqr] = ACTIONS(3457),
    [anon_sym_ne] = ACTIONS(3457),
    [anon_sym_LT_EQ_GT] = ACTIONS(3459),
    [anon_sym_cmp] = ACTIONS(3459),
    [anon_sym_TILDE_TILDE] = ACTIONS(3459),
    [anon_sym_LT_EQ] = ACTIONS(3433),
    [anon_sym_GT_EQ] = ACTIONS(3461),
    [anon_sym_lt] = ACTIONS(3461),
    [anon_sym_le] = ACTIONS(3461),
    [anon_sym_ge] = ACTIONS(3461),
    [anon_sym_gt] = ACTIONS(3461),
    [anon_sym_isa] = ACTIONS(3463),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(3467),
    [anon_sym_PERCENT2] = ACTIONS(3044),
    [anon_sym_EQ_GT] = ACTIONS(3044),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1608] = {
    [sym_heredoc_content] = STATE(1608),
    [anon_sym_COLON] = ACTIONS(2741),
    [anon_sym_DOLLAR] = ACTIONS(2741),
    [anon_sym_EQ] = ACTIONS(2743),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2741),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2741),
    [anon_sym_AT] = ACTIONS(2741),
    [anon_sym_COMMA] = ACTIONS(2741),
    [anon_sym_RPAREN] = ACTIONS(2741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2741),
    [anon_sym_DASH_GT] = ACTIONS(2741),
    [anon_sym_PERCENT] = ACTIONS(2743),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_GT] = ACTIONS(2743),
    [anon_sym_LT_LT] = ACTIONS(2743),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2741),
    [anon_sym_PLUS_EQ] = ACTIONS(2741),
    [anon_sym_DASH_EQ] = ACTIONS(2741),
    [anon_sym_DOT_EQ] = ACTIONS(2741),
    [anon_sym_STAR_EQ] = ACTIONS(2741),
    [anon_sym_SLASH_EQ] = ACTIONS(2741),
    [anon_sym_PERCENT_EQ] = ACTIONS(2743),
    [anon_sym_x_EQ] = ACTIONS(2741),
    [anon_sym_AMP_EQ] = ACTIONS(2741),
    [anon_sym_PIPE_EQ] = ACTIONS(2741),
    [anon_sym_CARET_EQ] = ACTIONS(2741),
    [anon_sym_LT_LT_EQ] = ACTIONS(2741),
    [anon_sym_GT_GT_EQ] = ACTIONS(2741),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2741),
    [anon_sym_DOT_DOT] = ACTIONS(2743),
    [anon_sym_STAR_STAR] = ACTIONS(2743),
    [anon_sym_PIPE_PIPE] = ACTIONS(2743),
    [anon_sym_SLASH_SLASH] = ACTIONS(2743),
    [anon_sym_CARET_CARET] = ACTIONS(2741),
    [anon_sym_AMP_AMP] = ACTIONS(2743),
    [anon_sym_PIPE] = ACTIONS(2743),
    [anon_sym_CARET] = ACTIONS(2743),
    [anon_sym_AMP] = ACTIONS(2743),
    [anon_sym_GT_GT2] = ACTIONS(2743),
    [anon_sym_PLUS] = ACTIONS(2743),
    [anon_sym_DASH] = ACTIONS(2743),
    [anon_sym_DOT] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2743),
    [anon_sym_SLASH] = ACTIONS(2743),
    [anon_sym_x] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2741),
    [anon_sym_BANG_TILDE] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2743),
    [anon_sym_BANG_EQ] = ACTIONS(2741),
    [anon_sym_eq] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2741),
    [anon_sym_equ] = ACTIONS(2741),
    [anon_sym_eqr] = ACTIONS(2741),
    [anon_sym_ne] = ACTIONS(2741),
    [anon_sym_LT_EQ_GT] = ACTIONS(2741),
    [anon_sym_cmp] = ACTIONS(2741),
    [anon_sym_TILDE_TILDE] = ACTIONS(2741),
    [anon_sym_LT_EQ] = ACTIONS(2743),
    [anon_sym_GT_EQ] = ACTIONS(2741),
    [anon_sym_lt] = ACTIONS(2741),
    [anon_sym_le] = ACTIONS(2741),
    [anon_sym_ge] = ACTIONS(2741),
    [anon_sym_gt] = ACTIONS(2741),
    [anon_sym_isa] = ACTIONS(2741),
    [anon_sym_PLUS_PLUS] = ACTIONS(2741),
    [anon_sym_DASH_DASH] = ACTIONS(2741),
    [anon_sym_QMARK] = ACTIONS(2741),
    [anon_sym_PERCENT2] = ACTIONS(2741),
    [anon_sym_EQ_GT] = ACTIONS(2741),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1609] = {
    [sym_heredoc_content] = STATE(1609),
    [anon_sym_COLON] = ACTIONS(2709),
    [anon_sym_DOLLAR] = ACTIONS(2709),
    [anon_sym_EQ] = ACTIONS(2711),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2709),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2709),
    [anon_sym_AT] = ACTIONS(2709),
    [anon_sym_COMMA] = ACTIONS(2709),
    [anon_sym_RPAREN] = ACTIONS(2709),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2709),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(2711),
    [anon_sym_GT] = ACTIONS(2711),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2709),
    [anon_sym_PLUS_EQ] = ACTIONS(2709),
    [anon_sym_DASH_EQ] = ACTIONS(2709),
    [anon_sym_DOT_EQ] = ACTIONS(2709),
    [anon_sym_STAR_EQ] = ACTIONS(2709),
    [anon_sym_SLASH_EQ] = ACTIONS(2709),
    [anon_sym_PERCENT_EQ] = ACTIONS(2711),
    [anon_sym_x_EQ] = ACTIONS(2709),
    [anon_sym_AMP_EQ] = ACTIONS(2709),
    [anon_sym_PIPE_EQ] = ACTIONS(2709),
    [anon_sym_CARET_EQ] = ACTIONS(2709),
    [anon_sym_LT_LT_EQ] = ACTIONS(2709),
    [anon_sym_GT_GT_EQ] = ACTIONS(2709),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2709),
    [anon_sym_DOT_DOT] = ACTIONS(2711),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(2711),
    [anon_sym_SLASH_SLASH] = ACTIONS(2711),
    [anon_sym_CARET_CARET] = ACTIONS(2709),
    [anon_sym_AMP_AMP] = ACTIONS(2711),
    [anon_sym_PIPE] = ACTIONS(2711),
    [anon_sym_CARET] = ACTIONS(2711),
    [anon_sym_AMP] = ACTIONS(2711),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(2711),
    [anon_sym_BANG_EQ] = ACTIONS(2709),
    [anon_sym_eq] = ACTIONS(2711),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2709),
    [anon_sym_equ] = ACTIONS(2709),
    [anon_sym_eqr] = ACTIONS(2709),
    [anon_sym_ne] = ACTIONS(2709),
    [anon_sym_LT_EQ_GT] = ACTIONS(2709),
    [anon_sym_cmp] = ACTIONS(2709),
    [anon_sym_TILDE_TILDE] = ACTIONS(2709),
    [anon_sym_LT_EQ] = ACTIONS(2711),
    [anon_sym_GT_EQ] = ACTIONS(2709),
    [anon_sym_lt] = ACTIONS(2709),
    [anon_sym_le] = ACTIONS(2709),
    [anon_sym_ge] = ACTIONS(2709),
    [anon_sym_gt] = ACTIONS(2709),
    [anon_sym_isa] = ACTIONS(2709),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(2709),
    [anon_sym_PERCENT2] = ACTIONS(2709),
    [anon_sym_EQ_GT] = ACTIONS(2709),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1610] = {
    [sym_heredoc_content] = STATE(1610),
    [anon_sym_COLON] = ACTIONS(2737),
    [anon_sym_DOLLAR] = ACTIONS(2737),
    [anon_sym_EQ] = ACTIONS(2739),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_AT] = ACTIONS(2737),
    [anon_sym_COMMA] = ACTIONS(2737),
    [anon_sym_RPAREN] = ACTIONS(2737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_DASH_GT] = ACTIONS(2737),
    [anon_sym_PERCENT] = ACTIONS(2739),
    [anon_sym_LT] = ACTIONS(2739),
    [anon_sym_GT] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(2739),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2737),
    [anon_sym_PLUS_EQ] = ACTIONS(2737),
    [anon_sym_DASH_EQ] = ACTIONS(2737),
    [anon_sym_DOT_EQ] = ACTIONS(2737),
    [anon_sym_STAR_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_PERCENT_EQ] = ACTIONS(2739),
    [anon_sym_x_EQ] = ACTIONS(2737),
    [anon_sym_AMP_EQ] = ACTIONS(2737),
    [anon_sym_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_CARET_EQ] = ACTIONS(2737),
    [anon_sym_LT_LT_EQ] = ACTIONS(2737),
    [anon_sym_GT_GT_EQ] = ACTIONS(2737),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2737),
    [anon_sym_DOT_DOT] = ACTIONS(2739),
    [anon_sym_STAR_STAR] = ACTIONS(2739),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_SLASH_SLASH] = ACTIONS(2739),
    [anon_sym_CARET_CARET] = ACTIONS(2737),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2739),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_AMP] = ACTIONS(2739),
    [anon_sym_GT_GT2] = ACTIONS(2739),
    [anon_sym_PLUS] = ACTIONS(2739),
    [anon_sym_DASH] = ACTIONS(2739),
    [anon_sym_DOT] = ACTIONS(2739),
    [anon_sym_STAR] = ACTIONS(2739),
    [anon_sym_SLASH] = ACTIONS(2739),
    [anon_sym_x] = ACTIONS(2739),
    [anon_sym_EQ_TILDE] = ACTIONS(2737),
    [anon_sym_BANG_TILDE] = ACTIONS(2737),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2737),
    [anon_sym_eq] = ACTIONS(2739),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2737),
    [anon_sym_equ] = ACTIONS(2737),
    [anon_sym_eqr] = ACTIONS(2737),
    [anon_sym_ne] = ACTIONS(2737),
    [anon_sym_LT_EQ_GT] = ACTIONS(2737),
    [anon_sym_cmp] = ACTIONS(2737),
    [anon_sym_TILDE_TILDE] = ACTIONS(2737),
    [anon_sym_LT_EQ] = ACTIONS(2739),
    [anon_sym_GT_EQ] = ACTIONS(2737),
    [anon_sym_lt] = ACTIONS(2737),
    [anon_sym_le] = ACTIONS(2737),
    [anon_sym_ge] = ACTIONS(2737),
    [anon_sym_gt] = ACTIONS(2737),
    [anon_sym_isa] = ACTIONS(2737),
    [anon_sym_PLUS_PLUS] = ACTIONS(2737),
    [anon_sym_DASH_DASH] = ACTIONS(2737),
    [anon_sym_QMARK] = ACTIONS(2737),
    [anon_sym_PERCENT2] = ACTIONS(2737),
    [anon_sym_EQ_GT] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1611] = {
    [sym_heredoc_content] = STATE(1611),
    [anon_sym_COLON] = ACTIONS(2737),
    [anon_sym_DOLLAR] = ACTIONS(2737),
    [anon_sym_EQ] = ACTIONS(2739),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_AT] = ACTIONS(2737),
    [anon_sym_COMMA] = ACTIONS(2737),
    [anon_sym_RPAREN] = ACTIONS(2737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(2739),
    [anon_sym_GT] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2737),
    [anon_sym_PLUS_EQ] = ACTIONS(2737),
    [anon_sym_DASH_EQ] = ACTIONS(2737),
    [anon_sym_DOT_EQ] = ACTIONS(2737),
    [anon_sym_STAR_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_PERCENT_EQ] = ACTIONS(2739),
    [anon_sym_x_EQ] = ACTIONS(2737),
    [anon_sym_AMP_EQ] = ACTIONS(2737),
    [anon_sym_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_CARET_EQ] = ACTIONS(2737),
    [anon_sym_LT_LT_EQ] = ACTIONS(2737),
    [anon_sym_GT_GT_EQ] = ACTIONS(2737),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2737),
    [anon_sym_DOT_DOT] = ACTIONS(2739),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_SLASH_SLASH] = ACTIONS(2739),
    [anon_sym_CARET_CARET] = ACTIONS(2737),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2739),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_AMP] = ACTIONS(2739),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2737),
    [anon_sym_eq] = ACTIONS(2739),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2737),
    [anon_sym_equ] = ACTIONS(2737),
    [anon_sym_eqr] = ACTIONS(2737),
    [anon_sym_ne] = ACTIONS(2737),
    [anon_sym_LT_EQ_GT] = ACTIONS(2737),
    [anon_sym_cmp] = ACTIONS(2737),
    [anon_sym_TILDE_TILDE] = ACTIONS(2737),
    [anon_sym_LT_EQ] = ACTIONS(2739),
    [anon_sym_GT_EQ] = ACTIONS(2737),
    [anon_sym_lt] = ACTIONS(2737),
    [anon_sym_le] = ACTIONS(2737),
    [anon_sym_ge] = ACTIONS(2737),
    [anon_sym_gt] = ACTIONS(2737),
    [anon_sym_isa] = ACTIONS(2737),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(2737),
    [anon_sym_PERCENT2] = ACTIONS(2737),
    [anon_sym_EQ_GT] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1612] = {
    [sym_heredoc_content] = STATE(1612),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_DOLLAR] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(3421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3423),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3423),
    [anon_sym_AT] = ACTIONS(2753),
    [anon_sym_COMMA] = ACTIONS(2753),
    [anon_sym_RPAREN] = ACTIONS(2753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3427),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_GT] = ACTIONS(3433),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3423),
    [anon_sym_PLUS_EQ] = ACTIONS(3423),
    [anon_sym_DASH_EQ] = ACTIONS(3423),
    [anon_sym_DOT_EQ] = ACTIONS(3423),
    [anon_sym_STAR_EQ] = ACTIONS(3423),
    [anon_sym_SLASH_EQ] = ACTIONS(3423),
    [anon_sym_PERCENT_EQ] = ACTIONS(3421),
    [anon_sym_x_EQ] = ACTIONS(3423),
    [anon_sym_AMP_EQ] = ACTIONS(3423),
    [anon_sym_PIPE_EQ] = ACTIONS(3423),
    [anon_sym_CARET_EQ] = ACTIONS(3423),
    [anon_sym_LT_LT_EQ] = ACTIONS(3423),
    [anon_sym_GT_GT_EQ] = ACTIONS(3423),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3423),
    [anon_sym_DOT_DOT] = ACTIONS(3437),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(3441),
    [anon_sym_SLASH_SLASH] = ACTIONS(3441),
    [anon_sym_CARET_CARET] = ACTIONS(3443),
    [anon_sym_AMP_AMP] = ACTIONS(3445),
    [anon_sym_PIPE] = ACTIONS(3447),
    [anon_sym_CARET] = ACTIONS(3447),
    [anon_sym_AMP] = ACTIONS(3449),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(3455),
    [anon_sym_BANG_EQ] = ACTIONS(3457),
    [anon_sym_eq] = ACTIONS(3455),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3457),
    [anon_sym_equ] = ACTIONS(3457),
    [anon_sym_eqr] = ACTIONS(3457),
    [anon_sym_ne] = ACTIONS(3457),
    [anon_sym_LT_EQ_GT] = ACTIONS(3459),
    [anon_sym_cmp] = ACTIONS(3459),
    [anon_sym_TILDE_TILDE] = ACTIONS(3459),
    [anon_sym_LT_EQ] = ACTIONS(3433),
    [anon_sym_GT_EQ] = ACTIONS(3461),
    [anon_sym_lt] = ACTIONS(3461),
    [anon_sym_le] = ACTIONS(3461),
    [anon_sym_ge] = ACTIONS(3461),
    [anon_sym_gt] = ACTIONS(3461),
    [anon_sym_isa] = ACTIONS(3463),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(3467),
    [anon_sym_PERCENT2] = ACTIONS(2753),
    [anon_sym_EQ_GT] = ACTIONS(2753),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1613] = {
    [sym_heredoc_content] = STATE(1613),
    [anon_sym_COLON] = ACTIONS(2917),
    [anon_sym_DOLLAR] = ACTIONS(2917),
    [anon_sym_EQ] = ACTIONS(2919),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2917),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2917),
    [anon_sym_AT] = ACTIONS(2917),
    [anon_sym_COMMA] = ACTIONS(2917),
    [anon_sym_RPAREN] = ACTIONS(2917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2917),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(2919),
    [anon_sym_GT] = ACTIONS(2919),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2917),
    [anon_sym_PLUS_EQ] = ACTIONS(2917),
    [anon_sym_DASH_EQ] = ACTIONS(2917),
    [anon_sym_DOT_EQ] = ACTIONS(2917),
    [anon_sym_STAR_EQ] = ACTIONS(2917),
    [anon_sym_SLASH_EQ] = ACTIONS(2917),
    [anon_sym_PERCENT_EQ] = ACTIONS(2919),
    [anon_sym_x_EQ] = ACTIONS(2917),
    [anon_sym_AMP_EQ] = ACTIONS(2917),
    [anon_sym_PIPE_EQ] = ACTIONS(2917),
    [anon_sym_CARET_EQ] = ACTIONS(2917),
    [anon_sym_LT_LT_EQ] = ACTIONS(2917),
    [anon_sym_GT_GT_EQ] = ACTIONS(2917),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2917),
    [anon_sym_DOT_DOT] = ACTIONS(2919),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(2919),
    [anon_sym_SLASH_SLASH] = ACTIONS(2919),
    [anon_sym_CARET_CARET] = ACTIONS(2917),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_PIPE] = ACTIONS(2919),
    [anon_sym_CARET] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(2919),
    [anon_sym_BANG_EQ] = ACTIONS(2917),
    [anon_sym_eq] = ACTIONS(2919),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2917),
    [anon_sym_equ] = ACTIONS(2917),
    [anon_sym_eqr] = ACTIONS(2917),
    [anon_sym_ne] = ACTIONS(2917),
    [anon_sym_LT_EQ_GT] = ACTIONS(2917),
    [anon_sym_cmp] = ACTIONS(2917),
    [anon_sym_TILDE_TILDE] = ACTIONS(2917),
    [anon_sym_LT_EQ] = ACTIONS(2919),
    [anon_sym_GT_EQ] = ACTIONS(2917),
    [anon_sym_lt] = ACTIONS(2917),
    [anon_sym_le] = ACTIONS(2917),
    [anon_sym_ge] = ACTIONS(2917),
    [anon_sym_gt] = ACTIONS(2917),
    [anon_sym_isa] = ACTIONS(2917),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(2917),
    [anon_sym_PERCENT2] = ACTIONS(2917),
    [anon_sym_EQ_GT] = ACTIONS(2917),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1614] = {
    [sym_heredoc_content] = STATE(1614),
    [anon_sym_COLON] = ACTIONS(3028),
    [anon_sym_DOLLAR] = ACTIONS(3028),
    [anon_sym_EQ] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3028),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3028),
    [anon_sym_AT] = ACTIONS(3028),
    [anon_sym_COMMA] = ACTIONS(3028),
    [anon_sym_RPAREN] = ACTIONS(3028),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3028),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3030),
    [anon_sym_GT] = ACTIONS(3030),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3028),
    [anon_sym_PLUS_EQ] = ACTIONS(3028),
    [anon_sym_DASH_EQ] = ACTIONS(3028),
    [anon_sym_DOT_EQ] = ACTIONS(3028),
    [anon_sym_STAR_EQ] = ACTIONS(3028),
    [anon_sym_SLASH_EQ] = ACTIONS(3028),
    [anon_sym_PERCENT_EQ] = ACTIONS(3030),
    [anon_sym_x_EQ] = ACTIONS(3028),
    [anon_sym_AMP_EQ] = ACTIONS(3028),
    [anon_sym_PIPE_EQ] = ACTIONS(3028),
    [anon_sym_CARET_EQ] = ACTIONS(3028),
    [anon_sym_LT_LT_EQ] = ACTIONS(3028),
    [anon_sym_GT_GT_EQ] = ACTIONS(3028),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3028),
    [anon_sym_DOT_DOT] = ACTIONS(3030),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(3030),
    [anon_sym_SLASH_SLASH] = ACTIONS(3030),
    [anon_sym_CARET_CARET] = ACTIONS(3028),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_CARET] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3030),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(3030),
    [anon_sym_BANG_EQ] = ACTIONS(3028),
    [anon_sym_eq] = ACTIONS(3030),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3028),
    [anon_sym_equ] = ACTIONS(3028),
    [anon_sym_eqr] = ACTIONS(3028),
    [anon_sym_ne] = ACTIONS(3028),
    [anon_sym_LT_EQ_GT] = ACTIONS(3028),
    [anon_sym_cmp] = ACTIONS(3028),
    [anon_sym_TILDE_TILDE] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(3030),
    [anon_sym_GT_EQ] = ACTIONS(3028),
    [anon_sym_lt] = ACTIONS(3028),
    [anon_sym_le] = ACTIONS(3028),
    [anon_sym_ge] = ACTIONS(3028),
    [anon_sym_gt] = ACTIONS(3028),
    [anon_sym_isa] = ACTIONS(3028),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(3028),
    [anon_sym_PERCENT2] = ACTIONS(3028),
    [anon_sym_EQ_GT] = ACTIONS(3028),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1615] = {
    [sym_heredoc_content] = STATE(1615),
    [anon_sym_COLON] = ACTIONS(3126),
    [anon_sym_DOLLAR] = ACTIONS(3126),
    [anon_sym_EQ] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_AT] = ACTIONS(3126),
    [anon_sym_COMMA] = ACTIONS(3126),
    [anon_sym_RPAREN] = ACTIONS(3126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3126),
    [anon_sym_DASH_GT] = ACTIONS(3126),
    [anon_sym_PERCENT] = ACTIONS(3128),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_GT] = ACTIONS(3128),
    [anon_sym_LT_LT] = ACTIONS(3128),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3126),
    [anon_sym_PLUS_EQ] = ACTIONS(3126),
    [anon_sym_DASH_EQ] = ACTIONS(3126),
    [anon_sym_DOT_EQ] = ACTIONS(3126),
    [anon_sym_STAR_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_PERCENT_EQ] = ACTIONS(3128),
    [anon_sym_x_EQ] = ACTIONS(3126),
    [anon_sym_AMP_EQ] = ACTIONS(3126),
    [anon_sym_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_CARET_EQ] = ACTIONS(3126),
    [anon_sym_LT_LT_EQ] = ACTIONS(3126),
    [anon_sym_GT_GT_EQ] = ACTIONS(3126),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3126),
    [anon_sym_DOT_DOT] = ACTIONS(3128),
    [anon_sym_STAR_STAR] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE] = ACTIONS(3128),
    [anon_sym_SLASH_SLASH] = ACTIONS(3128),
    [anon_sym_CARET_CARET] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_GT_GT2] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3128),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_SLASH] = ACTIONS(3128),
    [anon_sym_x] = ACTIONS(3128),
    [anon_sym_EQ_TILDE] = ACTIONS(3126),
    [anon_sym_BANG_TILDE] = ACTIONS(3126),
    [anon_sym_EQ_EQ] = ACTIONS(3128),
    [anon_sym_BANG_EQ] = ACTIONS(3126),
    [anon_sym_eq] = ACTIONS(3128),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3126),
    [anon_sym_equ] = ACTIONS(3126),
    [anon_sym_eqr] = ACTIONS(3126),
    [anon_sym_ne] = ACTIONS(3126),
    [anon_sym_LT_EQ_GT] = ACTIONS(3126),
    [anon_sym_cmp] = ACTIONS(3126),
    [anon_sym_TILDE_TILDE] = ACTIONS(3126),
    [anon_sym_LT_EQ] = ACTIONS(3128),
    [anon_sym_GT_EQ] = ACTIONS(3126),
    [anon_sym_lt] = ACTIONS(3126),
    [anon_sym_le] = ACTIONS(3126),
    [anon_sym_ge] = ACTIONS(3126),
    [anon_sym_gt] = ACTIONS(3126),
    [anon_sym_isa] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_PERCENT2] = ACTIONS(3126),
    [anon_sym_EQ_GT] = ACTIONS(3126),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1616] = {
    [sym_heredoc_content] = STATE(1616),
    [anon_sym_COLON] = ACTIONS(3154),
    [anon_sym_DOLLAR] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3423),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3423),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_COMMA] = ACTIONS(3154),
    [anon_sym_RPAREN] = ACTIONS(3154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3427),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_GT] = ACTIONS(3433),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3423),
    [anon_sym_PLUS_EQ] = ACTIONS(3423),
    [anon_sym_DASH_EQ] = ACTIONS(3423),
    [anon_sym_DOT_EQ] = ACTIONS(3423),
    [anon_sym_STAR_EQ] = ACTIONS(3423),
    [anon_sym_SLASH_EQ] = ACTIONS(3423),
    [anon_sym_PERCENT_EQ] = ACTIONS(3421),
    [anon_sym_x_EQ] = ACTIONS(3423),
    [anon_sym_AMP_EQ] = ACTIONS(3423),
    [anon_sym_PIPE_EQ] = ACTIONS(3423),
    [anon_sym_CARET_EQ] = ACTIONS(3423),
    [anon_sym_LT_LT_EQ] = ACTIONS(3423),
    [anon_sym_GT_GT_EQ] = ACTIONS(3423),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3423),
    [anon_sym_DOT_DOT] = ACTIONS(3437),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(3441),
    [anon_sym_SLASH_SLASH] = ACTIONS(3441),
    [anon_sym_CARET_CARET] = ACTIONS(3443),
    [anon_sym_AMP_AMP] = ACTIONS(3445),
    [anon_sym_PIPE] = ACTIONS(3447),
    [anon_sym_CARET] = ACTIONS(3447),
    [anon_sym_AMP] = ACTIONS(3449),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(3455),
    [anon_sym_BANG_EQ] = ACTIONS(3457),
    [anon_sym_eq] = ACTIONS(3455),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3457),
    [anon_sym_equ] = ACTIONS(3457),
    [anon_sym_eqr] = ACTIONS(3457),
    [anon_sym_ne] = ACTIONS(3457),
    [anon_sym_LT_EQ_GT] = ACTIONS(3459),
    [anon_sym_cmp] = ACTIONS(3459),
    [anon_sym_TILDE_TILDE] = ACTIONS(3459),
    [anon_sym_LT_EQ] = ACTIONS(3433),
    [anon_sym_GT_EQ] = ACTIONS(3461),
    [anon_sym_lt] = ACTIONS(3461),
    [anon_sym_le] = ACTIONS(3461),
    [anon_sym_ge] = ACTIONS(3461),
    [anon_sym_gt] = ACTIONS(3461),
    [anon_sym_isa] = ACTIONS(3463),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(3467),
    [anon_sym_PERCENT2] = ACTIONS(3154),
    [anon_sym_EQ_GT] = ACTIONS(3154),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1617] = {
    [sym_heredoc_content] = STATE(1617),
    [anon_sym_COLON] = ACTIONS(2717),
    [anon_sym_DOLLAR] = ACTIONS(2717),
    [anon_sym_EQ] = ACTIONS(2719),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2717),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2717),
    [anon_sym_AT] = ACTIONS(2717),
    [anon_sym_COMMA] = ACTIONS(2717),
    [anon_sym_RPAREN] = ACTIONS(2717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2717),
    [anon_sym_DASH_GT] = ACTIONS(2717),
    [anon_sym_PERCENT] = ACTIONS(2719),
    [anon_sym_LT] = ACTIONS(2719),
    [anon_sym_GT] = ACTIONS(2719),
    [anon_sym_LT_LT] = ACTIONS(2719),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2717),
    [anon_sym_PLUS_EQ] = ACTIONS(2717),
    [anon_sym_DASH_EQ] = ACTIONS(2717),
    [anon_sym_DOT_EQ] = ACTIONS(2717),
    [anon_sym_STAR_EQ] = ACTIONS(2717),
    [anon_sym_SLASH_EQ] = ACTIONS(2717),
    [anon_sym_PERCENT_EQ] = ACTIONS(2719),
    [anon_sym_x_EQ] = ACTIONS(2717),
    [anon_sym_AMP_EQ] = ACTIONS(2717),
    [anon_sym_PIPE_EQ] = ACTIONS(2717),
    [anon_sym_CARET_EQ] = ACTIONS(2717),
    [anon_sym_LT_LT_EQ] = ACTIONS(2717),
    [anon_sym_GT_GT_EQ] = ACTIONS(2717),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2717),
    [anon_sym_DOT_DOT] = ACTIONS(2719),
    [anon_sym_STAR_STAR] = ACTIONS(2719),
    [anon_sym_PIPE_PIPE] = ACTIONS(2719),
    [anon_sym_SLASH_SLASH] = ACTIONS(2719),
    [anon_sym_CARET_CARET] = ACTIONS(2717),
    [anon_sym_AMP_AMP] = ACTIONS(2719),
    [anon_sym_PIPE] = ACTIONS(2719),
    [anon_sym_CARET] = ACTIONS(2719),
    [anon_sym_AMP] = ACTIONS(2719),
    [anon_sym_GT_GT2] = ACTIONS(2719),
    [anon_sym_PLUS] = ACTIONS(2719),
    [anon_sym_DASH] = ACTIONS(2719),
    [anon_sym_DOT] = ACTIONS(2719),
    [anon_sym_STAR] = ACTIONS(2719),
    [anon_sym_SLASH] = ACTIONS(2719),
    [anon_sym_x] = ACTIONS(2719),
    [anon_sym_EQ_TILDE] = ACTIONS(2717),
    [anon_sym_BANG_TILDE] = ACTIONS(2717),
    [anon_sym_EQ_EQ] = ACTIONS(2719),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_eq] = ACTIONS(2719),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2717),
    [anon_sym_equ] = ACTIONS(2717),
    [anon_sym_eqr] = ACTIONS(2717),
    [anon_sym_ne] = ACTIONS(2717),
    [anon_sym_LT_EQ_GT] = ACTIONS(2717),
    [anon_sym_cmp] = ACTIONS(2717),
    [anon_sym_TILDE_TILDE] = ACTIONS(2717),
    [anon_sym_LT_EQ] = ACTIONS(2719),
    [anon_sym_GT_EQ] = ACTIONS(2717),
    [anon_sym_lt] = ACTIONS(2717),
    [anon_sym_le] = ACTIONS(2717),
    [anon_sym_ge] = ACTIONS(2717),
    [anon_sym_gt] = ACTIONS(2717),
    [anon_sym_isa] = ACTIONS(2717),
    [anon_sym_PLUS_PLUS] = ACTIONS(2717),
    [anon_sym_DASH_DASH] = ACTIONS(2717),
    [anon_sym_QMARK] = ACTIONS(2717),
    [anon_sym_PERCENT2] = ACTIONS(2717),
    [anon_sym_EQ_GT] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1618] = {
    [sym_heredoc_content] = STATE(1618),
    [anon_sym_COLON] = ACTIONS(2733),
    [anon_sym_DOLLAR] = ACTIONS(2733),
    [anon_sym_EQ] = ACTIONS(2735),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2733),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2733),
    [anon_sym_AT] = ACTIONS(2733),
    [anon_sym_COMMA] = ACTIONS(2733),
    [anon_sym_RPAREN] = ACTIONS(2733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2733),
    [anon_sym_DASH_GT] = ACTIONS(2733),
    [anon_sym_PERCENT] = ACTIONS(2735),
    [anon_sym_LT] = ACTIONS(2735),
    [anon_sym_GT] = ACTIONS(2735),
    [anon_sym_LT_LT] = ACTIONS(2735),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2733),
    [anon_sym_PLUS_EQ] = ACTIONS(2733),
    [anon_sym_DASH_EQ] = ACTIONS(2733),
    [anon_sym_DOT_EQ] = ACTIONS(2733),
    [anon_sym_STAR_EQ] = ACTIONS(2733),
    [anon_sym_SLASH_EQ] = ACTIONS(2733),
    [anon_sym_PERCENT_EQ] = ACTIONS(2735),
    [anon_sym_x_EQ] = ACTIONS(2733),
    [anon_sym_AMP_EQ] = ACTIONS(2733),
    [anon_sym_PIPE_EQ] = ACTIONS(2733),
    [anon_sym_CARET_EQ] = ACTIONS(2733),
    [anon_sym_LT_LT_EQ] = ACTIONS(2733),
    [anon_sym_GT_GT_EQ] = ACTIONS(2733),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2733),
    [anon_sym_DOT_DOT] = ACTIONS(2735),
    [anon_sym_STAR_STAR] = ACTIONS(2735),
    [anon_sym_PIPE_PIPE] = ACTIONS(2735),
    [anon_sym_SLASH_SLASH] = ACTIONS(2735),
    [anon_sym_CARET_CARET] = ACTIONS(2733),
    [anon_sym_AMP_AMP] = ACTIONS(2735),
    [anon_sym_PIPE] = ACTIONS(2735),
    [anon_sym_CARET] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym_GT_GT2] = ACTIONS(2735),
    [anon_sym_PLUS] = ACTIONS(2735),
    [anon_sym_DASH] = ACTIONS(2735),
    [anon_sym_DOT] = ACTIONS(2735),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_SLASH] = ACTIONS(2735),
    [anon_sym_x] = ACTIONS(2735),
    [anon_sym_EQ_TILDE] = ACTIONS(2733),
    [anon_sym_BANG_TILDE] = ACTIONS(2733),
    [anon_sym_EQ_EQ] = ACTIONS(2735),
    [anon_sym_BANG_EQ] = ACTIONS(2733),
    [anon_sym_eq] = ACTIONS(2735),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2733),
    [anon_sym_equ] = ACTIONS(2733),
    [anon_sym_eqr] = ACTIONS(2733),
    [anon_sym_ne] = ACTIONS(2733),
    [anon_sym_LT_EQ_GT] = ACTIONS(2733),
    [anon_sym_cmp] = ACTIONS(2733),
    [anon_sym_TILDE_TILDE] = ACTIONS(2733),
    [anon_sym_LT_EQ] = ACTIONS(2735),
    [anon_sym_GT_EQ] = ACTIONS(2733),
    [anon_sym_lt] = ACTIONS(2733),
    [anon_sym_le] = ACTIONS(2733),
    [anon_sym_ge] = ACTIONS(2733),
    [anon_sym_gt] = ACTIONS(2733),
    [anon_sym_isa] = ACTIONS(2733),
    [anon_sym_PLUS_PLUS] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2733),
    [anon_sym_QMARK] = ACTIONS(2733),
    [anon_sym_PERCENT2] = ACTIONS(2733),
    [anon_sym_EQ_GT] = ACTIONS(2733),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1619] = {
    [sym_heredoc_content] = STATE(1619),
    [anon_sym_COLON] = ACTIONS(2777),
    [anon_sym_DOLLAR] = ACTIONS(2777),
    [anon_sym_EQ] = ACTIONS(2779),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2777),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2777),
    [anon_sym_AT] = ACTIONS(2777),
    [anon_sym_COMMA] = ACTIONS(2777),
    [anon_sym_RPAREN] = ACTIONS(2777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2777),
    [anon_sym_DASH_GT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(2779),
    [anon_sym_LT] = ACTIONS(2779),
    [anon_sym_GT] = ACTIONS(2779),
    [anon_sym_LT_LT] = ACTIONS(2779),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2777),
    [anon_sym_PLUS_EQ] = ACTIONS(2777),
    [anon_sym_DASH_EQ] = ACTIONS(2777),
    [anon_sym_DOT_EQ] = ACTIONS(2777),
    [anon_sym_STAR_EQ] = ACTIONS(2777),
    [anon_sym_SLASH_EQ] = ACTIONS(2777),
    [anon_sym_PERCENT_EQ] = ACTIONS(2779),
    [anon_sym_x_EQ] = ACTIONS(2777),
    [anon_sym_AMP_EQ] = ACTIONS(2777),
    [anon_sym_PIPE_EQ] = ACTIONS(2777),
    [anon_sym_CARET_EQ] = ACTIONS(2777),
    [anon_sym_LT_LT_EQ] = ACTIONS(2777),
    [anon_sym_GT_GT_EQ] = ACTIONS(2777),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2777),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_STAR_STAR] = ACTIONS(2779),
    [anon_sym_PIPE_PIPE] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH] = ACTIONS(2779),
    [anon_sym_CARET_CARET] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2779),
    [anon_sym_PIPE] = ACTIONS(2779),
    [anon_sym_CARET] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2779),
    [anon_sym_GT_GT2] = ACTIONS(2779),
    [anon_sym_PLUS] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2779),
    [anon_sym_DOT] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_SLASH] = ACTIONS(2779),
    [anon_sym_x] = ACTIONS(2779),
    [anon_sym_EQ_TILDE] = ACTIONS(2777),
    [anon_sym_BANG_TILDE] = ACTIONS(2777),
    [anon_sym_EQ_EQ] = ACTIONS(2779),
    [anon_sym_BANG_EQ] = ACTIONS(2777),
    [anon_sym_eq] = ACTIONS(2779),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2777),
    [anon_sym_equ] = ACTIONS(2777),
    [anon_sym_eqr] = ACTIONS(2777),
    [anon_sym_ne] = ACTIONS(2777),
    [anon_sym_LT_EQ_GT] = ACTIONS(2777),
    [anon_sym_cmp] = ACTIONS(2777),
    [anon_sym_TILDE_TILDE] = ACTIONS(2777),
    [anon_sym_LT_EQ] = ACTIONS(2779),
    [anon_sym_GT_EQ] = ACTIONS(2777),
    [anon_sym_lt] = ACTIONS(2777),
    [anon_sym_le] = ACTIONS(2777),
    [anon_sym_ge] = ACTIONS(2777),
    [anon_sym_gt] = ACTIONS(2777),
    [anon_sym_isa] = ACTIONS(2777),
    [anon_sym_PLUS_PLUS] = ACTIONS(2777),
    [anon_sym_DASH_DASH] = ACTIONS(2777),
    [anon_sym_QMARK] = ACTIONS(2777),
    [anon_sym_PERCENT2] = ACTIONS(2777),
    [anon_sym_EQ_GT] = ACTIONS(2777),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1620] = {
    [sym_heredoc_content] = STATE(1620),
    [anon_sym_COLON] = ACTIONS(2825),
    [anon_sym_DOLLAR] = ACTIONS(2825),
    [anon_sym_EQ] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2825),
    [anon_sym_AT] = ACTIONS(2825),
    [anon_sym_COMMA] = ACTIONS(2825),
    [anon_sym_RPAREN] = ACTIONS(2825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2825),
    [anon_sym_DASH_GT] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2827),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_GT] = ACTIONS(2827),
    [anon_sym_LT_LT] = ACTIONS(2827),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2825),
    [anon_sym_PLUS_EQ] = ACTIONS(2825),
    [anon_sym_DASH_EQ] = ACTIONS(2825),
    [anon_sym_DOT_EQ] = ACTIONS(2825),
    [anon_sym_STAR_EQ] = ACTIONS(2825),
    [anon_sym_SLASH_EQ] = ACTIONS(2825),
    [anon_sym_PERCENT_EQ] = ACTIONS(2827),
    [anon_sym_x_EQ] = ACTIONS(2825),
    [anon_sym_AMP_EQ] = ACTIONS(2825),
    [anon_sym_PIPE_EQ] = ACTIONS(2825),
    [anon_sym_CARET_EQ] = ACTIONS(2825),
    [anon_sym_LT_LT_EQ] = ACTIONS(2825),
    [anon_sym_GT_GT_EQ] = ACTIONS(2825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2825),
    [anon_sym_DOT_DOT] = ACTIONS(2827),
    [anon_sym_STAR_STAR] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH] = ACTIONS(2827),
    [anon_sym_CARET_CARET] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2827),
    [anon_sym_PIPE] = ACTIONS(2827),
    [anon_sym_CARET] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2827),
    [anon_sym_GT_GT2] = ACTIONS(2827),
    [anon_sym_PLUS] = ACTIONS(2827),
    [anon_sym_DASH] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_SLASH] = ACTIONS(2827),
    [anon_sym_x] = ACTIONS(2827),
    [anon_sym_EQ_TILDE] = ACTIONS(2825),
    [anon_sym_BANG_TILDE] = ACTIONS(2825),
    [anon_sym_EQ_EQ] = ACTIONS(2827),
    [anon_sym_BANG_EQ] = ACTIONS(2825),
    [anon_sym_eq] = ACTIONS(2827),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2825),
    [anon_sym_equ] = ACTIONS(2825),
    [anon_sym_eqr] = ACTIONS(2825),
    [anon_sym_ne] = ACTIONS(2825),
    [anon_sym_LT_EQ_GT] = ACTIONS(2825),
    [anon_sym_cmp] = ACTIONS(2825),
    [anon_sym_TILDE_TILDE] = ACTIONS(2825),
    [anon_sym_LT_EQ] = ACTIONS(2827),
    [anon_sym_GT_EQ] = ACTIONS(2825),
    [anon_sym_lt] = ACTIONS(2825),
    [anon_sym_le] = ACTIONS(2825),
    [anon_sym_ge] = ACTIONS(2825),
    [anon_sym_gt] = ACTIONS(2825),
    [anon_sym_isa] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2825),
    [anon_sym_PERCENT2] = ACTIONS(2825),
    [anon_sym_EQ_GT] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1621] = {
    [sym_heredoc_content] = STATE(1621),
    [anon_sym_COLON] = ACTIONS(2837),
    [anon_sym_DOLLAR] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2839),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2837),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2837),
    [anon_sym_AT] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(2837),
    [anon_sym_RPAREN] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2837),
    [anon_sym_DASH_GT] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2839),
    [anon_sym_LT] = ACTIONS(2839),
    [anon_sym_GT] = ACTIONS(2839),
    [anon_sym_LT_LT] = ACTIONS(2839),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2837),
    [anon_sym_PLUS_EQ] = ACTIONS(2837),
    [anon_sym_DASH_EQ] = ACTIONS(2837),
    [anon_sym_DOT_EQ] = ACTIONS(2837),
    [anon_sym_STAR_EQ] = ACTIONS(2837),
    [anon_sym_SLASH_EQ] = ACTIONS(2837),
    [anon_sym_PERCENT_EQ] = ACTIONS(2839),
    [anon_sym_x_EQ] = ACTIONS(2837),
    [anon_sym_AMP_EQ] = ACTIONS(2837),
    [anon_sym_PIPE_EQ] = ACTIONS(2837),
    [anon_sym_CARET_EQ] = ACTIONS(2837),
    [anon_sym_LT_LT_EQ] = ACTIONS(2837),
    [anon_sym_GT_GT_EQ] = ACTIONS(2837),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2837),
    [anon_sym_DOT_DOT] = ACTIONS(2839),
    [anon_sym_STAR_STAR] = ACTIONS(2839),
    [anon_sym_PIPE_PIPE] = ACTIONS(2839),
    [anon_sym_SLASH_SLASH] = ACTIONS(2839),
    [anon_sym_CARET_CARET] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_PIPE] = ACTIONS(2839),
    [anon_sym_CARET] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2839),
    [anon_sym_GT_GT2] = ACTIONS(2839),
    [anon_sym_PLUS] = ACTIONS(2839),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_SLASH] = ACTIONS(2839),
    [anon_sym_x] = ACTIONS(2839),
    [anon_sym_EQ_TILDE] = ACTIONS(2837),
    [anon_sym_BANG_TILDE] = ACTIONS(2837),
    [anon_sym_EQ_EQ] = ACTIONS(2839),
    [anon_sym_BANG_EQ] = ACTIONS(2837),
    [anon_sym_eq] = ACTIONS(2839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2837),
    [anon_sym_equ] = ACTIONS(2837),
    [anon_sym_eqr] = ACTIONS(2837),
    [anon_sym_ne] = ACTIONS(2837),
    [anon_sym_LT_EQ_GT] = ACTIONS(2837),
    [anon_sym_cmp] = ACTIONS(2837),
    [anon_sym_TILDE_TILDE] = ACTIONS(2837),
    [anon_sym_LT_EQ] = ACTIONS(2839),
    [anon_sym_GT_EQ] = ACTIONS(2837),
    [anon_sym_lt] = ACTIONS(2837),
    [anon_sym_le] = ACTIONS(2837),
    [anon_sym_ge] = ACTIONS(2837),
    [anon_sym_gt] = ACTIONS(2837),
    [anon_sym_isa] = ACTIONS(2837),
    [anon_sym_PLUS_PLUS] = ACTIONS(2837),
    [anon_sym_DASH_DASH] = ACTIONS(2837),
    [anon_sym_QMARK] = ACTIONS(2837),
    [anon_sym_PERCENT2] = ACTIONS(2837),
    [anon_sym_EQ_GT] = ACTIONS(2837),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1622] = {
    [sym_heredoc_content] = STATE(1622),
    [anon_sym_COLON] = ACTIONS(3005),
    [anon_sym_DOLLAR] = ACTIONS(3005),
    [anon_sym_EQ] = ACTIONS(3007),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3005),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3005),
    [anon_sym_AT] = ACTIONS(3005),
    [anon_sym_COMMA] = ACTIONS(3005),
    [anon_sym_RPAREN] = ACTIONS(3005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3005),
    [anon_sym_DASH_GT] = ACTIONS(3005),
    [anon_sym_PERCENT] = ACTIONS(3007),
    [anon_sym_LT] = ACTIONS(3007),
    [anon_sym_GT] = ACTIONS(3007),
    [anon_sym_LT_LT] = ACTIONS(3007),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3005),
    [anon_sym_PLUS_EQ] = ACTIONS(3005),
    [anon_sym_DASH_EQ] = ACTIONS(3005),
    [anon_sym_DOT_EQ] = ACTIONS(3005),
    [anon_sym_STAR_EQ] = ACTIONS(3005),
    [anon_sym_SLASH_EQ] = ACTIONS(3005),
    [anon_sym_PERCENT_EQ] = ACTIONS(3007),
    [anon_sym_x_EQ] = ACTIONS(3005),
    [anon_sym_AMP_EQ] = ACTIONS(3005),
    [anon_sym_PIPE_EQ] = ACTIONS(3005),
    [anon_sym_CARET_EQ] = ACTIONS(3005),
    [anon_sym_LT_LT_EQ] = ACTIONS(3005),
    [anon_sym_GT_GT_EQ] = ACTIONS(3005),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3005),
    [anon_sym_DOT_DOT] = ACTIONS(3007),
    [anon_sym_STAR_STAR] = ACTIONS(3007),
    [anon_sym_PIPE_PIPE] = ACTIONS(3007),
    [anon_sym_SLASH_SLASH] = ACTIONS(3007),
    [anon_sym_CARET_CARET] = ACTIONS(3005),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_PIPE] = ACTIONS(3007),
    [anon_sym_CARET] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_GT_GT2] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_DOT] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_SLASH] = ACTIONS(3007),
    [anon_sym_x] = ACTIONS(3007),
    [anon_sym_EQ_TILDE] = ACTIONS(3005),
    [anon_sym_BANG_TILDE] = ACTIONS(3005),
    [anon_sym_EQ_EQ] = ACTIONS(3007),
    [anon_sym_BANG_EQ] = ACTIONS(3005),
    [anon_sym_eq] = ACTIONS(3007),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3005),
    [anon_sym_equ] = ACTIONS(3005),
    [anon_sym_eqr] = ACTIONS(3005),
    [anon_sym_ne] = ACTIONS(3005),
    [anon_sym_LT_EQ_GT] = ACTIONS(3005),
    [anon_sym_cmp] = ACTIONS(3005),
    [anon_sym_TILDE_TILDE] = ACTIONS(3005),
    [anon_sym_LT_EQ] = ACTIONS(3007),
    [anon_sym_GT_EQ] = ACTIONS(3005),
    [anon_sym_lt] = ACTIONS(3005),
    [anon_sym_le] = ACTIONS(3005),
    [anon_sym_ge] = ACTIONS(3005),
    [anon_sym_gt] = ACTIONS(3005),
    [anon_sym_isa] = ACTIONS(3005),
    [anon_sym_PLUS_PLUS] = ACTIONS(3005),
    [anon_sym_DASH_DASH] = ACTIONS(3005),
    [anon_sym_QMARK] = ACTIONS(3005),
    [anon_sym_PERCENT2] = ACTIONS(3005),
    [anon_sym_EQ_GT] = ACTIONS(3005),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1623] = {
    [sym_heredoc_content] = STATE(1623),
    [anon_sym_COLON] = ACTIONS(3040),
    [anon_sym_DOLLAR] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_AT] = ACTIONS(3040),
    [anon_sym_COMMA] = ACTIONS(3040),
    [anon_sym_RPAREN] = ACTIONS(3040),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3040),
    [anon_sym_DASH_GT] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3042),
    [anon_sym_LT] = ACTIONS(3042),
    [anon_sym_GT] = ACTIONS(3042),
    [anon_sym_LT_LT] = ACTIONS(3042),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3040),
    [anon_sym_DASH_EQ] = ACTIONS(3040),
    [anon_sym_DOT_EQ] = ACTIONS(3040),
    [anon_sym_STAR_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_PERCENT_EQ] = ACTIONS(3042),
    [anon_sym_x_EQ] = ACTIONS(3040),
    [anon_sym_AMP_EQ] = ACTIONS(3040),
    [anon_sym_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_CARET_EQ] = ACTIONS(3040),
    [anon_sym_LT_LT_EQ] = ACTIONS(3040),
    [anon_sym_GT_GT_EQ] = ACTIONS(3040),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3040),
    [anon_sym_DOT_DOT] = ACTIONS(3042),
    [anon_sym_STAR_STAR] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_SLASH_SLASH] = ACTIONS(3042),
    [anon_sym_CARET_CARET] = ACTIONS(3040),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_PIPE] = ACTIONS(3042),
    [anon_sym_CARET] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3042),
    [anon_sym_GT_GT2] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3042),
    [anon_sym_x] = ACTIONS(3042),
    [anon_sym_EQ_TILDE] = ACTIONS(3040),
    [anon_sym_BANG_TILDE] = ACTIONS(3040),
    [anon_sym_EQ_EQ] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_eq] = ACTIONS(3042),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3040),
    [anon_sym_equ] = ACTIONS(3040),
    [anon_sym_eqr] = ACTIONS(3040),
    [anon_sym_ne] = ACTIONS(3040),
    [anon_sym_LT_EQ_GT] = ACTIONS(3040),
    [anon_sym_cmp] = ACTIONS(3040),
    [anon_sym_TILDE_TILDE] = ACTIONS(3040),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3040),
    [anon_sym_lt] = ACTIONS(3040),
    [anon_sym_le] = ACTIONS(3040),
    [anon_sym_ge] = ACTIONS(3040),
    [anon_sym_gt] = ACTIONS(3040),
    [anon_sym_isa] = ACTIONS(3040),
    [anon_sym_PLUS_PLUS] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3040),
    [anon_sym_QMARK] = ACTIONS(3040),
    [anon_sym_PERCENT2] = ACTIONS(3040),
    [anon_sym_EQ_GT] = ACTIONS(3040),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1624] = {
    [sym_heredoc_content] = STATE(1624),
    [anon_sym_COLON] = ACTIONS(3040),
    [anon_sym_DOLLAR] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_AT] = ACTIONS(3040),
    [anon_sym_COMMA] = ACTIONS(3519),
    [anon_sym_RPAREN] = ACTIONS(3040),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3040),
    [anon_sym_DASH_GT] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3042),
    [anon_sym_LT] = ACTIONS(3042),
    [anon_sym_GT] = ACTIONS(3042),
    [anon_sym_LT_LT] = ACTIONS(3042),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3040),
    [anon_sym_DASH_EQ] = ACTIONS(3040),
    [anon_sym_DOT_EQ] = ACTIONS(3040),
    [anon_sym_STAR_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_PERCENT_EQ] = ACTIONS(3042),
    [anon_sym_x_EQ] = ACTIONS(3040),
    [anon_sym_AMP_EQ] = ACTIONS(3040),
    [anon_sym_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_CARET_EQ] = ACTIONS(3040),
    [anon_sym_LT_LT_EQ] = ACTIONS(3040),
    [anon_sym_GT_GT_EQ] = ACTIONS(3040),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3040),
    [anon_sym_DOT_DOT] = ACTIONS(3042),
    [anon_sym_STAR_STAR] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_SLASH_SLASH] = ACTIONS(3042),
    [anon_sym_CARET_CARET] = ACTIONS(3040),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_PIPE] = ACTIONS(3042),
    [anon_sym_CARET] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3042),
    [anon_sym_GT_GT2] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3042),
    [anon_sym_x] = ACTIONS(3042),
    [anon_sym_EQ_TILDE] = ACTIONS(3040),
    [anon_sym_BANG_TILDE] = ACTIONS(3040),
    [anon_sym_EQ_EQ] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_eq] = ACTIONS(3042),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3040),
    [anon_sym_equ] = ACTIONS(3040),
    [anon_sym_eqr] = ACTIONS(3040),
    [anon_sym_ne] = ACTIONS(3040),
    [anon_sym_LT_EQ_GT] = ACTIONS(3040),
    [anon_sym_cmp] = ACTIONS(3040),
    [anon_sym_TILDE_TILDE] = ACTIONS(3040),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3040),
    [anon_sym_lt] = ACTIONS(3040),
    [anon_sym_le] = ACTIONS(3040),
    [anon_sym_ge] = ACTIONS(3040),
    [anon_sym_gt] = ACTIONS(3040),
    [anon_sym_isa] = ACTIONS(3040),
    [anon_sym_PLUS_PLUS] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3040),
    [anon_sym_QMARK] = ACTIONS(3040),
    [anon_sym_PERCENT2] = ACTIONS(3040),
    [anon_sym_EQ_GT] = ACTIONS(3519),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1625] = {
    [sym_heredoc_content] = STATE(1625),
    [anon_sym_COLON] = ACTIONS(3062),
    [anon_sym_DOLLAR] = ACTIONS(3062),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_AT] = ACTIONS(3062),
    [anon_sym_COMMA] = ACTIONS(3062),
    [anon_sym_RPAREN] = ACTIONS(3062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_DASH_GT] = ACTIONS(3062),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LT_LT] = ACTIONS(3064),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3062),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_DOT_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3064),
    [anon_sym_x_EQ] = ACTIONS(3062),
    [anon_sym_AMP_EQ] = ACTIONS(3062),
    [anon_sym_PIPE_EQ] = ACTIONS(3062),
    [anon_sym_CARET_EQ] = ACTIONS(3062),
    [anon_sym_LT_LT_EQ] = ACTIONS(3062),
    [anon_sym_GT_GT_EQ] = ACTIONS(3062),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3062),
    [anon_sym_DOT_DOT] = ACTIONS(3064),
    [anon_sym_STAR_STAR] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_SLASH_SLASH] = ACTIONS(3064),
    [anon_sym_CARET_CARET] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3064),
    [anon_sym_PIPE] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_GT_GT2] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_x] = ACTIONS(3064),
    [anon_sym_EQ_TILDE] = ACTIONS(3062),
    [anon_sym_BANG_TILDE] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ] = ACTIONS(3062),
    [anon_sym_eq] = ACTIONS(3064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_equ] = ACTIONS(3062),
    [anon_sym_eqr] = ACTIONS(3062),
    [anon_sym_ne] = ACTIONS(3062),
    [anon_sym_LT_EQ_GT] = ACTIONS(3062),
    [anon_sym_cmp] = ACTIONS(3062),
    [anon_sym_TILDE_TILDE] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3064),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_lt] = ACTIONS(3062),
    [anon_sym_le] = ACTIONS(3062),
    [anon_sym_ge] = ACTIONS(3062),
    [anon_sym_gt] = ACTIONS(3062),
    [anon_sym_isa] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3062),
    [anon_sym_PERCENT2] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(3062),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1626] = {
    [sym_heredoc_content] = STATE(1626),
    [anon_sym_COLON] = ACTIONS(3084),
    [anon_sym_DOLLAR] = ACTIONS(3084),
    [anon_sym_EQ] = ACTIONS(3086),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3084),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3084),
    [anon_sym_AT] = ACTIONS(3084),
    [anon_sym_COMMA] = ACTIONS(3084),
    [anon_sym_RPAREN] = ACTIONS(3084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3084),
    [anon_sym_DASH_GT] = ACTIONS(3084),
    [anon_sym_PERCENT] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3086),
    [anon_sym_GT] = ACTIONS(3086),
    [anon_sym_LT_LT] = ACTIONS(3086),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3084),
    [anon_sym_PLUS_EQ] = ACTIONS(3084),
    [anon_sym_DASH_EQ] = ACTIONS(3084),
    [anon_sym_DOT_EQ] = ACTIONS(3084),
    [anon_sym_STAR_EQ] = ACTIONS(3084),
    [anon_sym_SLASH_EQ] = ACTIONS(3084),
    [anon_sym_PERCENT_EQ] = ACTIONS(3086),
    [anon_sym_x_EQ] = ACTIONS(3084),
    [anon_sym_AMP_EQ] = ACTIONS(3084),
    [anon_sym_PIPE_EQ] = ACTIONS(3084),
    [anon_sym_CARET_EQ] = ACTIONS(3084),
    [anon_sym_LT_LT_EQ] = ACTIONS(3084),
    [anon_sym_GT_GT_EQ] = ACTIONS(3084),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3084),
    [anon_sym_DOT_DOT] = ACTIONS(3086),
    [anon_sym_STAR_STAR] = ACTIONS(3086),
    [anon_sym_PIPE_PIPE] = ACTIONS(3086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3086),
    [anon_sym_CARET_CARET] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_CARET] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_GT_GT2] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3086),
    [anon_sym_DOT] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_SLASH] = ACTIONS(3086),
    [anon_sym_x] = ACTIONS(3086),
    [anon_sym_EQ_TILDE] = ACTIONS(3084),
    [anon_sym_BANG_TILDE] = ACTIONS(3084),
    [anon_sym_EQ_EQ] = ACTIONS(3086),
    [anon_sym_BANG_EQ] = ACTIONS(3084),
    [anon_sym_eq] = ACTIONS(3086),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3084),
    [anon_sym_equ] = ACTIONS(3084),
    [anon_sym_eqr] = ACTIONS(3084),
    [anon_sym_ne] = ACTIONS(3084),
    [anon_sym_LT_EQ_GT] = ACTIONS(3084),
    [anon_sym_cmp] = ACTIONS(3084),
    [anon_sym_TILDE_TILDE] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_EQ] = ACTIONS(3084),
    [anon_sym_lt] = ACTIONS(3084),
    [anon_sym_le] = ACTIONS(3084),
    [anon_sym_ge] = ACTIONS(3084),
    [anon_sym_gt] = ACTIONS(3084),
    [anon_sym_isa] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_QMARK] = ACTIONS(3084),
    [anon_sym_PERCENT2] = ACTIONS(3084),
    [anon_sym_EQ_GT] = ACTIONS(3084),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1627] = {
    [sym_heredoc_content] = STATE(1627),
    [anon_sym_COLON] = ACTIONS(3110),
    [anon_sym_DOLLAR] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_AT] = ACTIONS(3110),
    [anon_sym_COMMA] = ACTIONS(3110),
    [anon_sym_RPAREN] = ACTIONS(3110),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3110),
    [anon_sym_DASH_GT] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3112),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [anon_sym_LT_LT] = ACTIONS(3112),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3110),
    [anon_sym_DASH_EQ] = ACTIONS(3110),
    [anon_sym_DOT_EQ] = ACTIONS(3110),
    [anon_sym_STAR_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_PERCENT_EQ] = ACTIONS(3112),
    [anon_sym_x_EQ] = ACTIONS(3110),
    [anon_sym_AMP_EQ] = ACTIONS(3110),
    [anon_sym_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_CARET_EQ] = ACTIONS(3110),
    [anon_sym_LT_LT_EQ] = ACTIONS(3110),
    [anon_sym_GT_GT_EQ] = ACTIONS(3110),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3110),
    [anon_sym_DOT_DOT] = ACTIONS(3112),
    [anon_sym_STAR_STAR] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_SLASH_SLASH] = ACTIONS(3112),
    [anon_sym_CARET_CARET] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_PIPE] = ACTIONS(3112),
    [anon_sym_CARET] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_GT_GT2] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3112),
    [anon_sym_x] = ACTIONS(3112),
    [anon_sym_EQ_TILDE] = ACTIONS(3110),
    [anon_sym_BANG_TILDE] = ACTIONS(3110),
    [anon_sym_EQ_EQ] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_eq] = ACTIONS(3112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3110),
    [anon_sym_equ] = ACTIONS(3110),
    [anon_sym_eqr] = ACTIONS(3110),
    [anon_sym_ne] = ACTIONS(3110),
    [anon_sym_LT_EQ_GT] = ACTIONS(3110),
    [anon_sym_cmp] = ACTIONS(3110),
    [anon_sym_TILDE_TILDE] = ACTIONS(3110),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3110),
    [anon_sym_lt] = ACTIONS(3110),
    [anon_sym_le] = ACTIONS(3110),
    [anon_sym_ge] = ACTIONS(3110),
    [anon_sym_gt] = ACTIONS(3110),
    [anon_sym_isa] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_QMARK] = ACTIONS(3110),
    [anon_sym_PERCENT2] = ACTIONS(3110),
    [anon_sym_EQ_GT] = ACTIONS(3110),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1628] = {
    [sym_heredoc_content] = STATE(1628),
    [anon_sym_COLON] = ACTIONS(1409),
    [anon_sym_DOLLAR] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1409),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_COMMA] = ACTIONS(1409),
    [anon_sym_RPAREN] = ACTIONS(1409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1409),
    [anon_sym_DASH_GT] = ACTIONS(1409),
    [anon_sym_PERCENT] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [anon_sym_LT_LT] = ACTIONS(1407),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1409),
    [anon_sym_PLUS_EQ] = ACTIONS(1409),
    [anon_sym_DASH_EQ] = ACTIONS(1409),
    [anon_sym_DOT_EQ] = ACTIONS(1409),
    [anon_sym_STAR_EQ] = ACTIONS(1409),
    [anon_sym_SLASH_EQ] = ACTIONS(1409),
    [anon_sym_PERCENT_EQ] = ACTIONS(1407),
    [anon_sym_x_EQ] = ACTIONS(1409),
    [anon_sym_AMP_EQ] = ACTIONS(1409),
    [anon_sym_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_CARET_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT_EQ] = ACTIONS(1409),
    [anon_sym_GT_GT_EQ] = ACTIONS(1409),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1409),
    [anon_sym_DOT_DOT] = ACTIONS(1407),
    [anon_sym_STAR_STAR] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH] = ACTIONS(1407),
    [anon_sym_CARET_CARET] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1407),
    [anon_sym_PIPE] = ACTIONS(1407),
    [anon_sym_CARET] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(1407),
    [anon_sym_GT_GT2] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_DOT] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_x] = ACTIONS(1407),
    [anon_sym_EQ_TILDE] = ACTIONS(1409),
    [anon_sym_BANG_TILDE] = ACTIONS(1409),
    [anon_sym_EQ_EQ] = ACTIONS(1407),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_eq] = ACTIONS(1407),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1409),
    [anon_sym_equ] = ACTIONS(1409),
    [anon_sym_eqr] = ACTIONS(1409),
    [anon_sym_ne] = ACTIONS(1409),
    [anon_sym_LT_EQ_GT] = ACTIONS(1409),
    [anon_sym_cmp] = ACTIONS(1409),
    [anon_sym_TILDE_TILDE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_lt] = ACTIONS(1409),
    [anon_sym_le] = ACTIONS(1409),
    [anon_sym_ge] = ACTIONS(1409),
    [anon_sym_gt] = ACTIONS(1409),
    [anon_sym_isa] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1409),
    [anon_sym_DASH_DASH] = ACTIONS(1409),
    [anon_sym_QMARK] = ACTIONS(1409),
    [anon_sym_PERCENT2] = ACTIONS(1409),
    [anon_sym_EQ_GT] = ACTIONS(1409),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1629] = {
    [sym_heredoc_content] = STATE(1629),
    [anon_sym_COLON] = ACTIONS(2550),
    [anon_sym_DOLLAR] = ACTIONS(2550),
    [anon_sym_EQ] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2550),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2550),
    [anon_sym_AT] = ACTIONS(2550),
    [anon_sym_COMMA] = ACTIONS(2550),
    [anon_sym_RPAREN] = ACTIONS(2550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2550),
    [anon_sym_DASH_GT] = ACTIONS(2550),
    [anon_sym_PERCENT] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(2552),
    [anon_sym_GT] = ACTIONS(2552),
    [anon_sym_LT_LT] = ACTIONS(2552),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2550),
    [anon_sym_PLUS_EQ] = ACTIONS(2550),
    [anon_sym_DASH_EQ] = ACTIONS(2550),
    [anon_sym_DOT_EQ] = ACTIONS(2550),
    [anon_sym_STAR_EQ] = ACTIONS(2550),
    [anon_sym_SLASH_EQ] = ACTIONS(2550),
    [anon_sym_PERCENT_EQ] = ACTIONS(2552),
    [anon_sym_x_EQ] = ACTIONS(2550),
    [anon_sym_AMP_EQ] = ACTIONS(2550),
    [anon_sym_PIPE_EQ] = ACTIONS(2550),
    [anon_sym_CARET_EQ] = ACTIONS(2550),
    [anon_sym_LT_LT_EQ] = ACTIONS(2550),
    [anon_sym_GT_GT_EQ] = ACTIONS(2550),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2550),
    [anon_sym_DOT_DOT] = ACTIONS(2552),
    [anon_sym_STAR_STAR] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE] = ACTIONS(2552),
    [anon_sym_SLASH_SLASH] = ACTIONS(2552),
    [anon_sym_CARET_CARET] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2552),
    [anon_sym_PIPE] = ACTIONS(2552),
    [anon_sym_CARET] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_GT_GT2] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_SLASH] = ACTIONS(2552),
    [anon_sym_x] = ACTIONS(2552),
    [anon_sym_EQ_TILDE] = ACTIONS(2550),
    [anon_sym_BANG_TILDE] = ACTIONS(2550),
    [anon_sym_EQ_EQ] = ACTIONS(2552),
    [anon_sym_BANG_EQ] = ACTIONS(2550),
    [anon_sym_eq] = ACTIONS(2552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2550),
    [anon_sym_equ] = ACTIONS(2550),
    [anon_sym_eqr] = ACTIONS(2550),
    [anon_sym_ne] = ACTIONS(2550),
    [anon_sym_LT_EQ_GT] = ACTIONS(2550),
    [anon_sym_cmp] = ACTIONS(2550),
    [anon_sym_TILDE_TILDE] = ACTIONS(2550),
    [anon_sym_LT_EQ] = ACTIONS(2552),
    [anon_sym_GT_EQ] = ACTIONS(2550),
    [anon_sym_lt] = ACTIONS(2550),
    [anon_sym_le] = ACTIONS(2550),
    [anon_sym_ge] = ACTIONS(2550),
    [anon_sym_gt] = ACTIONS(2550),
    [anon_sym_isa] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_QMARK] = ACTIONS(2550),
    [anon_sym_PERCENT2] = ACTIONS(2550),
    [anon_sym_EQ_GT] = ACTIONS(2550),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1630] = {
    [sym_heredoc_content] = STATE(1630),
    [anon_sym_COLON] = ACTIONS(2554),
    [anon_sym_DOLLAR] = ACTIONS(2554),
    [anon_sym_EQ] = ACTIONS(2556),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2554),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2554),
    [anon_sym_AT] = ACTIONS(2554),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_RPAREN] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2554),
    [anon_sym_DASH_GT] = ACTIONS(2554),
    [anon_sym_PERCENT] = ACTIONS(2556),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_GT] = ACTIONS(2556),
    [anon_sym_LT_LT] = ACTIONS(2556),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2554),
    [anon_sym_PLUS_EQ] = ACTIONS(2554),
    [anon_sym_DASH_EQ] = ACTIONS(2554),
    [anon_sym_DOT_EQ] = ACTIONS(2554),
    [anon_sym_STAR_EQ] = ACTIONS(2554),
    [anon_sym_SLASH_EQ] = ACTIONS(2554),
    [anon_sym_PERCENT_EQ] = ACTIONS(2556),
    [anon_sym_x_EQ] = ACTIONS(2554),
    [anon_sym_AMP_EQ] = ACTIONS(2554),
    [anon_sym_PIPE_EQ] = ACTIONS(2554),
    [anon_sym_CARET_EQ] = ACTIONS(2554),
    [anon_sym_LT_LT_EQ] = ACTIONS(2554),
    [anon_sym_GT_GT_EQ] = ACTIONS(2554),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2554),
    [anon_sym_DOT_DOT] = ACTIONS(2556),
    [anon_sym_STAR_STAR] = ACTIONS(2556),
    [anon_sym_PIPE_PIPE] = ACTIONS(2556),
    [anon_sym_SLASH_SLASH] = ACTIONS(2556),
    [anon_sym_CARET_CARET] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2556),
    [anon_sym_PIPE] = ACTIONS(2556),
    [anon_sym_CARET] = ACTIONS(2556),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_GT_GT2] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_DOT] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2556),
    [anon_sym_SLASH] = ACTIONS(2556),
    [anon_sym_x] = ACTIONS(2556),
    [anon_sym_EQ_TILDE] = ACTIONS(2554),
    [anon_sym_BANG_TILDE] = ACTIONS(2554),
    [anon_sym_EQ_EQ] = ACTIONS(2556),
    [anon_sym_BANG_EQ] = ACTIONS(2554),
    [anon_sym_eq] = ACTIONS(2556),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2554),
    [anon_sym_equ] = ACTIONS(2554),
    [anon_sym_eqr] = ACTIONS(2554),
    [anon_sym_ne] = ACTIONS(2554),
    [anon_sym_LT_EQ_GT] = ACTIONS(2554),
    [anon_sym_cmp] = ACTIONS(2554),
    [anon_sym_TILDE_TILDE] = ACTIONS(2554),
    [anon_sym_LT_EQ] = ACTIONS(2556),
    [anon_sym_GT_EQ] = ACTIONS(2554),
    [anon_sym_lt] = ACTIONS(2554),
    [anon_sym_le] = ACTIONS(2554),
    [anon_sym_ge] = ACTIONS(2554),
    [anon_sym_gt] = ACTIONS(2554),
    [anon_sym_isa] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_QMARK] = ACTIONS(2554),
    [anon_sym_PERCENT2] = ACTIONS(2554),
    [anon_sym_EQ_GT] = ACTIONS(2554),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1631] = {
    [sym_heredoc_content] = STATE(1631),
    [anon_sym_COLON] = ACTIONS(2558),
    [anon_sym_DOLLAR] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2560),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2558),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2558),
    [anon_sym_RPAREN] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DASH_GT] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2560),
    [anon_sym_LT] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2560),
    [anon_sym_LT_LT] = ACTIONS(2560),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2558),
    [anon_sym_PLUS_EQ] = ACTIONS(2558),
    [anon_sym_DASH_EQ] = ACTIONS(2558),
    [anon_sym_DOT_EQ] = ACTIONS(2558),
    [anon_sym_STAR_EQ] = ACTIONS(2558),
    [anon_sym_SLASH_EQ] = ACTIONS(2558),
    [anon_sym_PERCENT_EQ] = ACTIONS(2560),
    [anon_sym_x_EQ] = ACTIONS(2558),
    [anon_sym_AMP_EQ] = ACTIONS(2558),
    [anon_sym_PIPE_EQ] = ACTIONS(2558),
    [anon_sym_CARET_EQ] = ACTIONS(2558),
    [anon_sym_LT_LT_EQ] = ACTIONS(2558),
    [anon_sym_GT_GT_EQ] = ACTIONS(2558),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2558),
    [anon_sym_DOT_DOT] = ACTIONS(2560),
    [anon_sym_STAR_STAR] = ACTIONS(2560),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_SLASH_SLASH] = ACTIONS(2560),
    [anon_sym_CARET_CARET] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_PIPE] = ACTIONS(2560),
    [anon_sym_CARET] = ACTIONS(2560),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_GT_GT2] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2560),
    [anon_sym_x] = ACTIONS(2560),
    [anon_sym_EQ_TILDE] = ACTIONS(2558),
    [anon_sym_BANG_TILDE] = ACTIONS(2558),
    [anon_sym_EQ_EQ] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_eq] = ACTIONS(2560),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2558),
    [anon_sym_equ] = ACTIONS(2558),
    [anon_sym_eqr] = ACTIONS(2558),
    [anon_sym_ne] = ACTIONS(2558),
    [anon_sym_LT_EQ_GT] = ACTIONS(2558),
    [anon_sym_cmp] = ACTIONS(2558),
    [anon_sym_TILDE_TILDE] = ACTIONS(2558),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2558),
    [anon_sym_lt] = ACTIONS(2558),
    [anon_sym_le] = ACTIONS(2558),
    [anon_sym_ge] = ACTIONS(2558),
    [anon_sym_gt] = ACTIONS(2558),
    [anon_sym_isa] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2558),
    [anon_sym_PERCENT2] = ACTIONS(2558),
    [anon_sym_EQ_GT] = ACTIONS(2558),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1632] = {
    [sym_heredoc_content] = STATE(1632),
    [anon_sym_COLON] = ACTIONS(2681),
    [anon_sym_DOLLAR] = ACTIONS(2681),
    [anon_sym_EQ] = ACTIONS(2683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2681),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2681),
    [anon_sym_AT] = ACTIONS(2681),
    [anon_sym_COMMA] = ACTIONS(2681),
    [anon_sym_RPAREN] = ACTIONS(2681),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2681),
    [anon_sym_DASH_GT] = ACTIONS(2681),
    [anon_sym_PERCENT] = ACTIONS(2683),
    [anon_sym_LT] = ACTIONS(2683),
    [anon_sym_GT] = ACTIONS(2683),
    [anon_sym_LT_LT] = ACTIONS(2683),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2681),
    [anon_sym_PLUS_EQ] = ACTIONS(2681),
    [anon_sym_DASH_EQ] = ACTIONS(2681),
    [anon_sym_DOT_EQ] = ACTIONS(2681),
    [anon_sym_STAR_EQ] = ACTIONS(2681),
    [anon_sym_SLASH_EQ] = ACTIONS(2681),
    [anon_sym_PERCENT_EQ] = ACTIONS(2683),
    [anon_sym_x_EQ] = ACTIONS(2681),
    [anon_sym_AMP_EQ] = ACTIONS(2681),
    [anon_sym_PIPE_EQ] = ACTIONS(2681),
    [anon_sym_CARET_EQ] = ACTIONS(2681),
    [anon_sym_LT_LT_EQ] = ACTIONS(2681),
    [anon_sym_GT_GT_EQ] = ACTIONS(2681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2681),
    [anon_sym_DOT_DOT] = ACTIONS(2683),
    [anon_sym_STAR_STAR] = ACTIONS(2683),
    [anon_sym_PIPE_PIPE] = ACTIONS(2683),
    [anon_sym_SLASH_SLASH] = ACTIONS(2683),
    [anon_sym_CARET_CARET] = ACTIONS(2681),
    [anon_sym_AMP_AMP] = ACTIONS(2683),
    [anon_sym_PIPE] = ACTIONS(2683),
    [anon_sym_CARET] = ACTIONS(2683),
    [anon_sym_AMP] = ACTIONS(2683),
    [anon_sym_GT_GT2] = ACTIONS(2683),
    [anon_sym_PLUS] = ACTIONS(2683),
    [anon_sym_DASH] = ACTIONS(2683),
    [anon_sym_DOT] = ACTIONS(2683),
    [anon_sym_STAR] = ACTIONS(2683),
    [anon_sym_SLASH] = ACTIONS(2683),
    [anon_sym_x] = ACTIONS(2683),
    [anon_sym_EQ_TILDE] = ACTIONS(2681),
    [anon_sym_BANG_TILDE] = ACTIONS(2681),
    [anon_sym_EQ_EQ] = ACTIONS(2683),
    [anon_sym_BANG_EQ] = ACTIONS(2681),
    [anon_sym_eq] = ACTIONS(2683),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2681),
    [anon_sym_equ] = ACTIONS(2681),
    [anon_sym_eqr] = ACTIONS(2681),
    [anon_sym_ne] = ACTIONS(2681),
    [anon_sym_LT_EQ_GT] = ACTIONS(2681),
    [anon_sym_cmp] = ACTIONS(2681),
    [anon_sym_TILDE_TILDE] = ACTIONS(2681),
    [anon_sym_LT_EQ] = ACTIONS(2683),
    [anon_sym_GT_EQ] = ACTIONS(2681),
    [anon_sym_lt] = ACTIONS(2681),
    [anon_sym_le] = ACTIONS(2681),
    [anon_sym_ge] = ACTIONS(2681),
    [anon_sym_gt] = ACTIONS(2681),
    [anon_sym_isa] = ACTIONS(2681),
    [anon_sym_PLUS_PLUS] = ACTIONS(2681),
    [anon_sym_DASH_DASH] = ACTIONS(2681),
    [anon_sym_QMARK] = ACTIONS(2681),
    [anon_sym_PERCENT2] = ACTIONS(2681),
    [anon_sym_EQ_GT] = ACTIONS(2681),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1633] = {
    [sym_heredoc_content] = STATE(1633),
    [anon_sym_COLON] = ACTIONS(2590),
    [anon_sym_DOLLAR] = ACTIONS(2590),
    [anon_sym_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2590),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2590),
    [anon_sym_AT] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2590),
    [anon_sym_RPAREN] = ACTIONS(2590),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2590),
    [anon_sym_DASH_GT] = ACTIONS(2590),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_LT] = ACTIONS(2592),
    [anon_sym_GT] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2590),
    [anon_sym_PLUS_EQ] = ACTIONS(2590),
    [anon_sym_DASH_EQ] = ACTIONS(2590),
    [anon_sym_DOT_EQ] = ACTIONS(2590),
    [anon_sym_STAR_EQ] = ACTIONS(2590),
    [anon_sym_SLASH_EQ] = ACTIONS(2590),
    [anon_sym_PERCENT_EQ] = ACTIONS(2592),
    [anon_sym_x_EQ] = ACTIONS(2590),
    [anon_sym_AMP_EQ] = ACTIONS(2590),
    [anon_sym_PIPE_EQ] = ACTIONS(2590),
    [anon_sym_CARET_EQ] = ACTIONS(2590),
    [anon_sym_LT_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT_GT_EQ] = ACTIONS(2590),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2590),
    [anon_sym_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR_STAR] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_SLASH_SLASH] = ACTIONS(2592),
    [anon_sym_CARET_CARET] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2592),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym_GT_GT2] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_x] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2590),
    [anon_sym_BANG_TILDE] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2592),
    [anon_sym_BANG_EQ] = ACTIONS(2590),
    [anon_sym_eq] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2590),
    [anon_sym_equ] = ACTIONS(2590),
    [anon_sym_eqr] = ACTIONS(2590),
    [anon_sym_ne] = ACTIONS(2590),
    [anon_sym_LT_EQ_GT] = ACTIONS(2590),
    [anon_sym_cmp] = ACTIONS(2590),
    [anon_sym_TILDE_TILDE] = ACTIONS(2590),
    [anon_sym_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_EQ] = ACTIONS(2590),
    [anon_sym_lt] = ACTIONS(2590),
    [anon_sym_le] = ACTIONS(2590),
    [anon_sym_ge] = ACTIONS(2590),
    [anon_sym_gt] = ACTIONS(2590),
    [anon_sym_isa] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_PERCENT2] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2590),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1634] = {
    [sym_heredoc_content] = STATE(1634),
    [anon_sym_COLON] = ACTIONS(2781),
    [anon_sym_DOLLAR] = ACTIONS(2781),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2781),
    [anon_sym_AT] = ACTIONS(2781),
    [anon_sym_COMMA] = ACTIONS(2781),
    [anon_sym_RPAREN] = ACTIONS(2781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2781),
    [anon_sym_DASH_GT] = ACTIONS(2781),
    [anon_sym_PERCENT] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_GT] = ACTIONS(2783),
    [anon_sym_LT_LT] = ACTIONS(2783),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2781),
    [anon_sym_PLUS_EQ] = ACTIONS(2781),
    [anon_sym_DASH_EQ] = ACTIONS(2781),
    [anon_sym_DOT_EQ] = ACTIONS(2781),
    [anon_sym_STAR_EQ] = ACTIONS(2781),
    [anon_sym_SLASH_EQ] = ACTIONS(2781),
    [anon_sym_PERCENT_EQ] = ACTIONS(2783),
    [anon_sym_x_EQ] = ACTIONS(2781),
    [anon_sym_AMP_EQ] = ACTIONS(2781),
    [anon_sym_PIPE_EQ] = ACTIONS(2781),
    [anon_sym_CARET_EQ] = ACTIONS(2781),
    [anon_sym_LT_LT_EQ] = ACTIONS(2781),
    [anon_sym_GT_GT_EQ] = ACTIONS(2781),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2781),
    [anon_sym_DOT_DOT] = ACTIONS(2783),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH] = ACTIONS(2783),
    [anon_sym_CARET_CARET] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(2783),
    [anon_sym_CARET] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2783),
    [anon_sym_GT_GT2] = ACTIONS(2783),
    [anon_sym_PLUS] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_SLASH] = ACTIONS(2783),
    [anon_sym_x] = ACTIONS(2783),
    [anon_sym_EQ_TILDE] = ACTIONS(2781),
    [anon_sym_BANG_TILDE] = ACTIONS(2781),
    [anon_sym_EQ_EQ] = ACTIONS(2783),
    [anon_sym_BANG_EQ] = ACTIONS(2781),
    [anon_sym_eq] = ACTIONS(2783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2781),
    [anon_sym_equ] = ACTIONS(2781),
    [anon_sym_eqr] = ACTIONS(2781),
    [anon_sym_ne] = ACTIONS(2781),
    [anon_sym_LT_EQ_GT] = ACTIONS(2781),
    [anon_sym_cmp] = ACTIONS(2781),
    [anon_sym_TILDE_TILDE] = ACTIONS(2781),
    [anon_sym_LT_EQ] = ACTIONS(2783),
    [anon_sym_GT_EQ] = ACTIONS(2781),
    [anon_sym_lt] = ACTIONS(2781),
    [anon_sym_le] = ACTIONS(2781),
    [anon_sym_ge] = ACTIONS(2781),
    [anon_sym_gt] = ACTIONS(2781),
    [anon_sym_isa] = ACTIONS(2781),
    [anon_sym_PLUS_PLUS] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2781),
    [anon_sym_QMARK] = ACTIONS(2781),
    [anon_sym_PERCENT2] = ACTIONS(2781),
    [anon_sym_EQ_GT] = ACTIONS(2781),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1635] = {
    [sym_heredoc_content] = STATE(1635),
    [anon_sym_COLON] = ACTIONS(2809),
    [anon_sym_DOLLAR] = ACTIONS(2809),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2809),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2809),
    [anon_sym_AT] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2809),
    [anon_sym_RPAREN] = ACTIONS(2809),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2809),
    [anon_sym_DASH_GT] = ACTIONS(2809),
    [anon_sym_PERCENT] = ACTIONS(2811),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_GT] = ACTIONS(2811),
    [anon_sym_LT_LT] = ACTIONS(2811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2809),
    [anon_sym_PLUS_EQ] = ACTIONS(2809),
    [anon_sym_DASH_EQ] = ACTIONS(2809),
    [anon_sym_DOT_EQ] = ACTIONS(2809),
    [anon_sym_STAR_EQ] = ACTIONS(2809),
    [anon_sym_SLASH_EQ] = ACTIONS(2809),
    [anon_sym_PERCENT_EQ] = ACTIONS(2811),
    [anon_sym_x_EQ] = ACTIONS(2809),
    [anon_sym_AMP_EQ] = ACTIONS(2809),
    [anon_sym_PIPE_EQ] = ACTIONS(2809),
    [anon_sym_CARET_EQ] = ACTIONS(2809),
    [anon_sym_LT_LT_EQ] = ACTIONS(2809),
    [anon_sym_GT_GT_EQ] = ACTIONS(2809),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2809),
    [anon_sym_DOT_DOT] = ACTIONS(2811),
    [anon_sym_STAR_STAR] = ACTIONS(2811),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH] = ACTIONS(2811),
    [anon_sym_CARET_CARET] = ACTIONS(2809),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_PIPE] = ACTIONS(2811),
    [anon_sym_CARET] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2811),
    [anon_sym_GT_GT2] = ACTIONS(2811),
    [anon_sym_PLUS] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(2811),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2811),
    [anon_sym_x] = ACTIONS(2811),
    [anon_sym_EQ_TILDE] = ACTIONS(2809),
    [anon_sym_BANG_TILDE] = ACTIONS(2809),
    [anon_sym_EQ_EQ] = ACTIONS(2811),
    [anon_sym_BANG_EQ] = ACTIONS(2809),
    [anon_sym_eq] = ACTIONS(2811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2809),
    [anon_sym_equ] = ACTIONS(2809),
    [anon_sym_eqr] = ACTIONS(2809),
    [anon_sym_ne] = ACTIONS(2809),
    [anon_sym_LT_EQ_GT] = ACTIONS(2809),
    [anon_sym_cmp] = ACTIONS(2809),
    [anon_sym_TILDE_TILDE] = ACTIONS(2809),
    [anon_sym_LT_EQ] = ACTIONS(2811),
    [anon_sym_GT_EQ] = ACTIONS(2809),
    [anon_sym_lt] = ACTIONS(2809),
    [anon_sym_le] = ACTIONS(2809),
    [anon_sym_ge] = ACTIONS(2809),
    [anon_sym_gt] = ACTIONS(2809),
    [anon_sym_isa] = ACTIONS(2809),
    [anon_sym_PLUS_PLUS] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2809),
    [anon_sym_QMARK] = ACTIONS(2809),
    [anon_sym_PERCENT2] = ACTIONS(2809),
    [anon_sym_EQ_GT] = ACTIONS(2809),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1636] = {
    [sym_heredoc_content] = STATE(1636),
    [anon_sym_LBRACE] = ACTIONS(3521),
    [anon_sym_SEMI] = ACTIONS(1796),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_COMMA] = ACTIONS(1796),
    [anon_sym_LPAREN] = ACTIONS(3523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1796),
    [anon_sym_LBRACK] = ACTIONS(3525),
    [anon_sym_DASH_GT] = ACTIONS(1796),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1796),
    [anon_sym_PLUS_EQ] = ACTIONS(1796),
    [anon_sym_DASH_EQ] = ACTIONS(1796),
    [anon_sym_DOT_EQ] = ACTIONS(1796),
    [anon_sym_STAR_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_PERCENT_EQ] = ACTIONS(1796),
    [anon_sym_x_EQ] = ACTIONS(1796),
    [anon_sym_AMP_EQ] = ACTIONS(1796),
    [anon_sym_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_CARET_EQ] = ACTIONS(1796),
    [anon_sym_LT_LT_EQ] = ACTIONS(1796),
    [anon_sym_GT_GT_EQ] = ACTIONS(1796),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1796),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1787),
    [anon_sym_CARET_CARET] = ACTIONS(1796),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1796),
    [anon_sym_BANG_TILDE] = ACTIONS(1796),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1796),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1796),
    [anon_sym_equ] = ACTIONS(1796),
    [anon_sym_eqr] = ACTIONS(1796),
    [anon_sym_ne] = ACTIONS(1796),
    [anon_sym_LT_EQ_GT] = ACTIONS(1796),
    [anon_sym_cmp] = ACTIONS(1796),
    [anon_sym_TILDE_TILDE] = ACTIONS(1796),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1796),
    [anon_sym_lt] = ACTIONS(1796),
    [anon_sym_le] = ACTIONS(1796),
    [anon_sym_ge] = ACTIONS(1796),
    [anon_sym_gt] = ACTIONS(1796),
    [anon_sym_isa] = ACTIONS(1796),
    [anon_sym_PLUS_PLUS] = ACTIONS(1796),
    [anon_sym_DASH_DASH] = ACTIONS(1796),
    [anon_sym_QMARK] = ACTIONS(1796),
    [anon_sym_EQ_GT] = ACTIONS(1796),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1796),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1637] = {
    [sym_heredoc_content] = STATE(1637),
    [anon_sym_COLON] = ACTIONS(2857),
    [anon_sym_DOLLAR] = ACTIONS(2857),
    [anon_sym_EQ] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_AT] = ACTIONS(2857),
    [anon_sym_COMMA] = ACTIONS(2857),
    [anon_sym_RPAREN] = ACTIONS(2857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2857),
    [anon_sym_DASH_GT] = ACTIONS(2857),
    [anon_sym_PERCENT] = ACTIONS(2859),
    [anon_sym_LT] = ACTIONS(2859),
    [anon_sym_GT] = ACTIONS(2859),
    [anon_sym_LT_LT] = ACTIONS(2859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2857),
    [anon_sym_PLUS_EQ] = ACTIONS(2857),
    [anon_sym_DASH_EQ] = ACTIONS(2857),
    [anon_sym_DOT_EQ] = ACTIONS(2857),
    [anon_sym_STAR_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_PERCENT_EQ] = ACTIONS(2859),
    [anon_sym_x_EQ] = ACTIONS(2857),
    [anon_sym_AMP_EQ] = ACTIONS(2857),
    [anon_sym_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_CARET_EQ] = ACTIONS(2857),
    [anon_sym_LT_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT_GT_EQ] = ACTIONS(2857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2857),
    [anon_sym_DOT_DOT] = ACTIONS(2859),
    [anon_sym_STAR_STAR] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE] = ACTIONS(2859),
    [anon_sym_SLASH_SLASH] = ACTIONS(2859),
    [anon_sym_CARET_CARET] = ACTIONS(2857),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_PIPE] = ACTIONS(2859),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2859),
    [anon_sym_GT_GT2] = ACTIONS(2859),
    [anon_sym_PLUS] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2859),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_SLASH] = ACTIONS(2859),
    [anon_sym_x] = ACTIONS(2859),
    [anon_sym_EQ_TILDE] = ACTIONS(2857),
    [anon_sym_BANG_TILDE] = ACTIONS(2857),
    [anon_sym_EQ_EQ] = ACTIONS(2859),
    [anon_sym_BANG_EQ] = ACTIONS(2857),
    [anon_sym_eq] = ACTIONS(2859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2857),
    [anon_sym_equ] = ACTIONS(2857),
    [anon_sym_eqr] = ACTIONS(2857),
    [anon_sym_ne] = ACTIONS(2857),
    [anon_sym_LT_EQ_GT] = ACTIONS(2857),
    [anon_sym_cmp] = ACTIONS(2857),
    [anon_sym_TILDE_TILDE] = ACTIONS(2857),
    [anon_sym_LT_EQ] = ACTIONS(2859),
    [anon_sym_GT_EQ] = ACTIONS(2857),
    [anon_sym_lt] = ACTIONS(2857),
    [anon_sym_le] = ACTIONS(2857),
    [anon_sym_ge] = ACTIONS(2857),
    [anon_sym_gt] = ACTIONS(2857),
    [anon_sym_isa] = ACTIONS(2857),
    [anon_sym_PLUS_PLUS] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2857),
    [anon_sym_QMARK] = ACTIONS(2857),
    [anon_sym_PERCENT2] = ACTIONS(2857),
    [anon_sym_EQ_GT] = ACTIONS(2857),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1638] = {
    [sym_heredoc_content] = STATE(1638),
    [anon_sym_COLON] = ACTIONS(2873),
    [anon_sym_DOLLAR] = ACTIONS(2873),
    [anon_sym_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_AT] = ACTIONS(2873),
    [anon_sym_COMMA] = ACTIONS(2873),
    [anon_sym_RPAREN] = ACTIONS(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2873),
    [anon_sym_DASH_GT] = ACTIONS(2873),
    [anon_sym_PERCENT] = ACTIONS(2875),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_LT_LT] = ACTIONS(2875),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2873),
    [anon_sym_PLUS_EQ] = ACTIONS(2873),
    [anon_sym_DASH_EQ] = ACTIONS(2873),
    [anon_sym_DOT_EQ] = ACTIONS(2873),
    [anon_sym_STAR_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_PERCENT_EQ] = ACTIONS(2875),
    [anon_sym_x_EQ] = ACTIONS(2873),
    [anon_sym_AMP_EQ] = ACTIONS(2873),
    [anon_sym_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_CARET_EQ] = ACTIONS(2873),
    [anon_sym_LT_LT_EQ] = ACTIONS(2873),
    [anon_sym_GT_GT_EQ] = ACTIONS(2873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2873),
    [anon_sym_DOT_DOT] = ACTIONS(2875),
    [anon_sym_STAR_STAR] = ACTIONS(2875),
    [anon_sym_PIPE_PIPE] = ACTIONS(2875),
    [anon_sym_SLASH_SLASH] = ACTIONS(2875),
    [anon_sym_CARET_CARET] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2875),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_GT_GT2] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_DOT] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_SLASH] = ACTIONS(2875),
    [anon_sym_x] = ACTIONS(2875),
    [anon_sym_EQ_TILDE] = ACTIONS(2873),
    [anon_sym_BANG_TILDE] = ACTIONS(2873),
    [anon_sym_EQ_EQ] = ACTIONS(2875),
    [anon_sym_BANG_EQ] = ACTIONS(2873),
    [anon_sym_eq] = ACTIONS(2875),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2873),
    [anon_sym_equ] = ACTIONS(2873),
    [anon_sym_eqr] = ACTIONS(2873),
    [anon_sym_ne] = ACTIONS(2873),
    [anon_sym_LT_EQ_GT] = ACTIONS(2873),
    [anon_sym_cmp] = ACTIONS(2873),
    [anon_sym_TILDE_TILDE] = ACTIONS(2873),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_lt] = ACTIONS(2873),
    [anon_sym_le] = ACTIONS(2873),
    [anon_sym_ge] = ACTIONS(2873),
    [anon_sym_gt] = ACTIONS(2873),
    [anon_sym_isa] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_QMARK] = ACTIONS(2873),
    [anon_sym_PERCENT2] = ACTIONS(2873),
    [anon_sym_EQ_GT] = ACTIONS(2873),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1639] = {
    [sym_heredoc_content] = STATE(1639),
    [anon_sym_COLON] = ACTIONS(2881),
    [anon_sym_DOLLAR] = ACTIONS(2881),
    [anon_sym_EQ] = ACTIONS(2883),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2881),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2881),
    [anon_sym_AT] = ACTIONS(2881),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_RPAREN] = ACTIONS(2881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2881),
    [anon_sym_DASH_GT] = ACTIONS(2881),
    [anon_sym_PERCENT] = ACTIONS(2883),
    [anon_sym_LT] = ACTIONS(2883),
    [anon_sym_GT] = ACTIONS(2883),
    [anon_sym_LT_LT] = ACTIONS(2883),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2881),
    [anon_sym_PLUS_EQ] = ACTIONS(2881),
    [anon_sym_DASH_EQ] = ACTIONS(2881),
    [anon_sym_DOT_EQ] = ACTIONS(2881),
    [anon_sym_STAR_EQ] = ACTIONS(2881),
    [anon_sym_SLASH_EQ] = ACTIONS(2881),
    [anon_sym_PERCENT_EQ] = ACTIONS(2883),
    [anon_sym_x_EQ] = ACTIONS(2881),
    [anon_sym_AMP_EQ] = ACTIONS(2881),
    [anon_sym_PIPE_EQ] = ACTIONS(2881),
    [anon_sym_CARET_EQ] = ACTIONS(2881),
    [anon_sym_LT_LT_EQ] = ACTIONS(2881),
    [anon_sym_GT_GT_EQ] = ACTIONS(2881),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_STAR_STAR] = ACTIONS(2883),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_SLASH_SLASH] = ACTIONS(2883),
    [anon_sym_CARET_CARET] = ACTIONS(2881),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_PIPE] = ACTIONS(2883),
    [anon_sym_CARET] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_GT_GT2] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_DOT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2883),
    [anon_sym_x] = ACTIONS(2883),
    [anon_sym_EQ_TILDE] = ACTIONS(2881),
    [anon_sym_BANG_TILDE] = ACTIONS(2881),
    [anon_sym_EQ_EQ] = ACTIONS(2883),
    [anon_sym_BANG_EQ] = ACTIONS(2881),
    [anon_sym_eq] = ACTIONS(2883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2881),
    [anon_sym_equ] = ACTIONS(2881),
    [anon_sym_eqr] = ACTIONS(2881),
    [anon_sym_ne] = ACTIONS(2881),
    [anon_sym_LT_EQ_GT] = ACTIONS(2881),
    [anon_sym_cmp] = ACTIONS(2881),
    [anon_sym_TILDE_TILDE] = ACTIONS(2881),
    [anon_sym_LT_EQ] = ACTIONS(2883),
    [anon_sym_GT_EQ] = ACTIONS(2881),
    [anon_sym_lt] = ACTIONS(2881),
    [anon_sym_le] = ACTIONS(2881),
    [anon_sym_ge] = ACTIONS(2881),
    [anon_sym_gt] = ACTIONS(2881),
    [anon_sym_isa] = ACTIONS(2881),
    [anon_sym_PLUS_PLUS] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2881),
    [anon_sym_QMARK] = ACTIONS(2881),
    [anon_sym_PERCENT2] = ACTIONS(2881),
    [anon_sym_EQ_GT] = ACTIONS(2881),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1640] = {
    [sym_heredoc_content] = STATE(1640),
    [anon_sym_COLON] = ACTIONS(2893),
    [anon_sym_DOLLAR] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_AT] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_RPAREN] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(2893),
    [anon_sym_PERCENT] = ACTIONS(2895),
    [anon_sym_LT] = ACTIONS(2895),
    [anon_sym_GT] = ACTIONS(2895),
    [anon_sym_LT_LT] = ACTIONS(2895),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2895),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_SLASH] = ACTIONS(2895),
    [anon_sym_x] = ACTIONS(2895),
    [anon_sym_EQ_TILDE] = ACTIONS(2893),
    [anon_sym_BANG_TILDE] = ACTIONS(2893),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT_EQ] = ACTIONS(2895),
    [anon_sym_GT_EQ] = ACTIONS(2893),
    [anon_sym_lt] = ACTIONS(2893),
    [anon_sym_le] = ACTIONS(2893),
    [anon_sym_ge] = ACTIONS(2893),
    [anon_sym_gt] = ACTIONS(2893),
    [anon_sym_isa] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_PERCENT2] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1641] = {
    [sym_heredoc_content] = STATE(1641),
    [anon_sym_COLON] = ACTIONS(2941),
    [anon_sym_DOLLAR] = ACTIONS(2941),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_AT] = ACTIONS(2941),
    [anon_sym_COMMA] = ACTIONS(2941),
    [anon_sym_RPAREN] = ACTIONS(2941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2941),
    [anon_sym_DASH_GT] = ACTIONS(2941),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LT_LT] = ACTIONS(2943),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_DOT_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2943),
    [anon_sym_x_EQ] = ACTIONS(2941),
    [anon_sym_AMP_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_EQ] = ACTIONS(2941),
    [anon_sym_CARET_EQ] = ACTIONS(2941),
    [anon_sym_LT_LT_EQ] = ACTIONS(2941),
    [anon_sym_GT_GT_EQ] = ACTIONS(2941),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_STAR_STAR] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2943),
    [anon_sym_SLASH_SLASH] = ACTIONS(2943),
    [anon_sym_CARET_CARET] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_PIPE] = ACTIONS(2943),
    [anon_sym_CARET] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_GT_GT2] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_x] = ACTIONS(2943),
    [anon_sym_EQ_TILDE] = ACTIONS(2941),
    [anon_sym_BANG_TILDE] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ] = ACTIONS(2941),
    [anon_sym_eq] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_equ] = ACTIONS(2941),
    [anon_sym_eqr] = ACTIONS(2941),
    [anon_sym_ne] = ACTIONS(2941),
    [anon_sym_LT_EQ_GT] = ACTIONS(2941),
    [anon_sym_cmp] = ACTIONS(2941),
    [anon_sym_TILDE_TILDE] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_lt] = ACTIONS(2941),
    [anon_sym_le] = ACTIONS(2941),
    [anon_sym_ge] = ACTIONS(2941),
    [anon_sym_gt] = ACTIONS(2941),
    [anon_sym_isa] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_QMARK] = ACTIONS(2941),
    [anon_sym_PERCENT2] = ACTIONS(2941),
    [anon_sym_EQ_GT] = ACTIONS(2941),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1642] = {
    [sym_heredoc_content] = STATE(1642),
    [anon_sym_COLON] = ACTIONS(2961),
    [anon_sym_DOLLAR] = ACTIONS(2961),
    [anon_sym_EQ] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_AT] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(2961),
    [anon_sym_RPAREN] = ACTIONS(2961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2961),
    [anon_sym_DASH_GT] = ACTIONS(2961),
    [anon_sym_PERCENT] = ACTIONS(2963),
    [anon_sym_LT] = ACTIONS(2963),
    [anon_sym_GT] = ACTIONS(2963),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_DOT_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2963),
    [anon_sym_x_EQ] = ACTIONS(2961),
    [anon_sym_AMP_EQ] = ACTIONS(2961),
    [anon_sym_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_CARET_EQ] = ACTIONS(2961),
    [anon_sym_LT_LT_EQ] = ACTIONS(2961),
    [anon_sym_GT_GT_EQ] = ACTIONS(2961),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2963),
    [anon_sym_STAR_STAR] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE] = ACTIONS(2963),
    [anon_sym_SLASH_SLASH] = ACTIONS(2963),
    [anon_sym_CARET_CARET] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_CARET] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_GT_GT2] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_DOT] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_SLASH] = ACTIONS(2963),
    [anon_sym_x] = ACTIONS(2963),
    [anon_sym_EQ_TILDE] = ACTIONS(2961),
    [anon_sym_BANG_TILDE] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2963),
    [anon_sym_BANG_EQ] = ACTIONS(2961),
    [anon_sym_eq] = ACTIONS(2963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_equ] = ACTIONS(2961),
    [anon_sym_eqr] = ACTIONS(2961),
    [anon_sym_ne] = ACTIONS(2961),
    [anon_sym_LT_EQ_GT] = ACTIONS(2961),
    [anon_sym_cmp] = ACTIONS(2961),
    [anon_sym_TILDE_TILDE] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_lt] = ACTIONS(2961),
    [anon_sym_le] = ACTIONS(2961),
    [anon_sym_ge] = ACTIONS(2961),
    [anon_sym_gt] = ACTIONS(2961),
    [anon_sym_isa] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_QMARK] = ACTIONS(2961),
    [anon_sym_PERCENT2] = ACTIONS(2961),
    [anon_sym_EQ_GT] = ACTIONS(2961),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1643] = {
    [sym_heredoc_content] = STATE(1643),
    [anon_sym_COLON] = ACTIONS(2965),
    [anon_sym_DOLLAR] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2967),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_AT] = ACTIONS(2965),
    [anon_sym_COMMA] = ACTIONS(2965),
    [anon_sym_RPAREN] = ACTIONS(2965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2965),
    [anon_sym_DASH_GT] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2967),
    [anon_sym_GT] = ACTIONS(2967),
    [anon_sym_LT_LT] = ACTIONS(2967),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2965),
    [anon_sym_DASH_EQ] = ACTIONS(2965),
    [anon_sym_DOT_EQ] = ACTIONS(2965),
    [anon_sym_STAR_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_PERCENT_EQ] = ACTIONS(2967),
    [anon_sym_x_EQ] = ACTIONS(2965),
    [anon_sym_AMP_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_CARET_EQ] = ACTIONS(2965),
    [anon_sym_LT_LT_EQ] = ACTIONS(2965),
    [anon_sym_GT_GT_EQ] = ACTIONS(2965),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2965),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_STAR_STAR] = ACTIONS(2967),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_SLASH_SLASH] = ACTIONS(2967),
    [anon_sym_CARET_CARET] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2967),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_GT_GT2] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2967),
    [anon_sym_x] = ACTIONS(2967),
    [anon_sym_EQ_TILDE] = ACTIONS(2965),
    [anon_sym_BANG_TILDE] = ACTIONS(2965),
    [anon_sym_EQ_EQ] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_eq] = ACTIONS(2967),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2965),
    [anon_sym_equ] = ACTIONS(2965),
    [anon_sym_eqr] = ACTIONS(2965),
    [anon_sym_ne] = ACTIONS(2965),
    [anon_sym_LT_EQ_GT] = ACTIONS(2965),
    [anon_sym_cmp] = ACTIONS(2965),
    [anon_sym_TILDE_TILDE] = ACTIONS(2965),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2965),
    [anon_sym_lt] = ACTIONS(2965),
    [anon_sym_le] = ACTIONS(2965),
    [anon_sym_ge] = ACTIONS(2965),
    [anon_sym_gt] = ACTIONS(2965),
    [anon_sym_isa] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_PERCENT2] = ACTIONS(2965),
    [anon_sym_EQ_GT] = ACTIONS(2965),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1644] = {
    [sym_heredoc_content] = STATE(1644),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym_EQ] = ACTIONS(2342),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2340),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2340),
    [anon_sym_COMMA] = ACTIONS(2340),
    [anon_sym_LPAREN] = ACTIONS(2340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_DASH_GT] = ACTIONS(2340),
    [anon_sym_PERCENT] = ACTIONS(2342),
    [anon_sym_LT] = ACTIONS(2342),
    [anon_sym_GT] = ACTIONS(2342),
    [anon_sym_LT_LT] = ACTIONS(2342),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2340),
    [anon_sym_PLUS_EQ] = ACTIONS(2340),
    [anon_sym_DASH_EQ] = ACTIONS(2340),
    [anon_sym_DOT_EQ] = ACTIONS(2340),
    [anon_sym_STAR_EQ] = ACTIONS(2340),
    [anon_sym_SLASH_EQ] = ACTIONS(2340),
    [anon_sym_PERCENT_EQ] = ACTIONS(2340),
    [anon_sym_x_EQ] = ACTIONS(2340),
    [anon_sym_AMP_EQ] = ACTIONS(2340),
    [anon_sym_PIPE_EQ] = ACTIONS(2340),
    [anon_sym_CARET_EQ] = ACTIONS(2340),
    [anon_sym_LT_LT_EQ] = ACTIONS(2340),
    [anon_sym_GT_GT_EQ] = ACTIONS(2340),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2340),
    [anon_sym_DOT_DOT] = ACTIONS(2342),
    [anon_sym_STAR_STAR] = ACTIONS(2342),
    [anon_sym_PIPE_PIPE] = ACTIONS(2342),
    [anon_sym_SLASH_SLASH] = ACTIONS(2342),
    [anon_sym_CARET_CARET] = ACTIONS(2340),
    [anon_sym_AMP_AMP] = ACTIONS(2342),
    [anon_sym_PIPE] = ACTIONS(2342),
    [anon_sym_CARET] = ACTIONS(2342),
    [anon_sym_AMP] = ACTIONS(2342),
    [anon_sym_GT_GT2] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_DOT] = ACTIONS(2342),
    [anon_sym_STAR] = ACTIONS(2342),
    [anon_sym_SLASH] = ACTIONS(2342),
    [anon_sym_x] = ACTIONS(2342),
    [anon_sym_EQ_TILDE] = ACTIONS(2340),
    [anon_sym_BANG_TILDE] = ACTIONS(2340),
    [anon_sym_EQ_EQ] = ACTIONS(2342),
    [anon_sym_BANG_EQ] = ACTIONS(2340),
    [anon_sym_eq] = ACTIONS(2342),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2340),
    [anon_sym_equ] = ACTIONS(2340),
    [anon_sym_eqr] = ACTIONS(2340),
    [anon_sym_ne] = ACTIONS(2340),
    [anon_sym_LT_EQ_GT] = ACTIONS(2340),
    [anon_sym_cmp] = ACTIONS(2340),
    [anon_sym_TILDE_TILDE] = ACTIONS(2340),
    [anon_sym_LT_EQ] = ACTIONS(2342),
    [anon_sym_GT_EQ] = ACTIONS(2340),
    [anon_sym_lt] = ACTIONS(2340),
    [anon_sym_le] = ACTIONS(2340),
    [anon_sym_ge] = ACTIONS(2340),
    [anon_sym_gt] = ACTIONS(2340),
    [anon_sym_isa] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_QMARK] = ACTIONS(2340),
    [anon_sym_EQ_GT] = ACTIONS(2340),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2340),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1645] = {
    [sym_heredoc_content] = STATE(1645),
    [anon_sym_COLON] = ACTIONS(2969),
    [anon_sym_DOLLAR] = ACTIONS(2969),
    [anon_sym_EQ] = ACTIONS(2971),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2969),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2969),
    [anon_sym_AT] = ACTIONS(2969),
    [anon_sym_COMMA] = ACTIONS(2969),
    [anon_sym_RPAREN] = ACTIONS(2969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2969),
    [anon_sym_DASH_GT] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2971),
    [anon_sym_LT] = ACTIONS(2971),
    [anon_sym_GT] = ACTIONS(2971),
    [anon_sym_LT_LT] = ACTIONS(2971),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2969),
    [anon_sym_PLUS_EQ] = ACTIONS(2969),
    [anon_sym_DASH_EQ] = ACTIONS(2969),
    [anon_sym_DOT_EQ] = ACTIONS(2969),
    [anon_sym_STAR_EQ] = ACTIONS(2969),
    [anon_sym_SLASH_EQ] = ACTIONS(2969),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_x_EQ] = ACTIONS(2969),
    [anon_sym_AMP_EQ] = ACTIONS(2969),
    [anon_sym_PIPE_EQ] = ACTIONS(2969),
    [anon_sym_CARET_EQ] = ACTIONS(2969),
    [anon_sym_LT_LT_EQ] = ACTIONS(2969),
    [anon_sym_GT_GT_EQ] = ACTIONS(2969),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2969),
    [anon_sym_DOT_DOT] = ACTIONS(2971),
    [anon_sym_STAR_STAR] = ACTIONS(2971),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_SLASH_SLASH] = ACTIONS(2971),
    [anon_sym_CARET_CARET] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2971),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [anon_sym_GT_GT2] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2971),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_SLASH] = ACTIONS(2971),
    [anon_sym_x] = ACTIONS(2971),
    [anon_sym_EQ_TILDE] = ACTIONS(2969),
    [anon_sym_BANG_TILDE] = ACTIONS(2969),
    [anon_sym_EQ_EQ] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_eq] = ACTIONS(2971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2969),
    [anon_sym_equ] = ACTIONS(2969),
    [anon_sym_eqr] = ACTIONS(2969),
    [anon_sym_ne] = ACTIONS(2969),
    [anon_sym_LT_EQ_GT] = ACTIONS(2969),
    [anon_sym_cmp] = ACTIONS(2969),
    [anon_sym_TILDE_TILDE] = ACTIONS(2969),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2969),
    [anon_sym_lt] = ACTIONS(2969),
    [anon_sym_le] = ACTIONS(2969),
    [anon_sym_ge] = ACTIONS(2969),
    [anon_sym_gt] = ACTIONS(2969),
    [anon_sym_isa] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2969),
    [anon_sym_DASH_DASH] = ACTIONS(2969),
    [anon_sym_QMARK] = ACTIONS(2969),
    [anon_sym_PERCENT2] = ACTIONS(2969),
    [anon_sym_EQ_GT] = ACTIONS(2969),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1646] = {
    [sym_heredoc_content] = STATE(1646),
    [anon_sym_COLON] = ACTIONS(2977),
    [anon_sym_DOLLAR] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(2979),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2977),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2977),
    [anon_sym_AT] = ACTIONS(2977),
    [anon_sym_COMMA] = ACTIONS(2977),
    [anon_sym_RPAREN] = ACTIONS(2977),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DASH_GT] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_LT] = ACTIONS(2979),
    [anon_sym_GT] = ACTIONS(2979),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2977),
    [anon_sym_DASH_EQ] = ACTIONS(2977),
    [anon_sym_DOT_EQ] = ACTIONS(2977),
    [anon_sym_STAR_EQ] = ACTIONS(2977),
    [anon_sym_SLASH_EQ] = ACTIONS(2977),
    [anon_sym_PERCENT_EQ] = ACTIONS(2979),
    [anon_sym_x_EQ] = ACTIONS(2977),
    [anon_sym_AMP_EQ] = ACTIONS(2977),
    [anon_sym_PIPE_EQ] = ACTIONS(2977),
    [anon_sym_CARET_EQ] = ACTIONS(2977),
    [anon_sym_LT_LT_EQ] = ACTIONS(2977),
    [anon_sym_GT_GT_EQ] = ACTIONS(2977),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2977),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_STAR_STAR] = ACTIONS(2979),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_SLASH_SLASH] = ACTIONS(2979),
    [anon_sym_CARET_CARET] = ACTIONS(2977),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_PIPE] = ACTIONS(2979),
    [anon_sym_CARET] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_GT_GT2] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2979),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2979),
    [anon_sym_x] = ACTIONS(2979),
    [anon_sym_EQ_TILDE] = ACTIONS(2977),
    [anon_sym_BANG_TILDE] = ACTIONS(2977),
    [anon_sym_EQ_EQ] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_eq] = ACTIONS(2979),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2977),
    [anon_sym_equ] = ACTIONS(2977),
    [anon_sym_eqr] = ACTIONS(2977),
    [anon_sym_ne] = ACTIONS(2977),
    [anon_sym_LT_EQ_GT] = ACTIONS(2977),
    [anon_sym_cmp] = ACTIONS(2977),
    [anon_sym_TILDE_TILDE] = ACTIONS(2977),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2977),
    [anon_sym_lt] = ACTIONS(2977),
    [anon_sym_le] = ACTIONS(2977),
    [anon_sym_ge] = ACTIONS(2977),
    [anon_sym_gt] = ACTIONS(2977),
    [anon_sym_isa] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2977),
    [anon_sym_PERCENT2] = ACTIONS(2977),
    [anon_sym_EQ_GT] = ACTIONS(2977),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1647] = {
    [sym_heredoc_content] = STATE(1647),
    [anon_sym_COLON] = ACTIONS(2725),
    [anon_sym_DOLLAR] = ACTIONS(2725),
    [anon_sym_EQ] = ACTIONS(2727),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2725),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2725),
    [anon_sym_AT] = ACTIONS(2725),
    [anon_sym_COMMA] = ACTIONS(2725),
    [anon_sym_RPAREN] = ACTIONS(2725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2725),
    [anon_sym_DASH_GT] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2727),
    [anon_sym_LT] = ACTIONS(2727),
    [anon_sym_GT] = ACTIONS(2727),
    [anon_sym_LT_LT] = ACTIONS(2727),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2725),
    [anon_sym_PLUS_EQ] = ACTIONS(2725),
    [anon_sym_DASH_EQ] = ACTIONS(2725),
    [anon_sym_DOT_EQ] = ACTIONS(2725),
    [anon_sym_STAR_EQ] = ACTIONS(2725),
    [anon_sym_SLASH_EQ] = ACTIONS(2725),
    [anon_sym_PERCENT_EQ] = ACTIONS(2727),
    [anon_sym_x_EQ] = ACTIONS(2725),
    [anon_sym_AMP_EQ] = ACTIONS(2725),
    [anon_sym_PIPE_EQ] = ACTIONS(2725),
    [anon_sym_CARET_EQ] = ACTIONS(2725),
    [anon_sym_LT_LT_EQ] = ACTIONS(2725),
    [anon_sym_GT_GT_EQ] = ACTIONS(2725),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2725),
    [anon_sym_DOT_DOT] = ACTIONS(2727),
    [anon_sym_STAR_STAR] = ACTIONS(2727),
    [anon_sym_PIPE_PIPE] = ACTIONS(2727),
    [anon_sym_SLASH_SLASH] = ACTIONS(2727),
    [anon_sym_CARET_CARET] = ACTIONS(2725),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_PIPE] = ACTIONS(2727),
    [anon_sym_CARET] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_GT_GT2] = ACTIONS(2727),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2727),
    [anon_sym_DOT] = ACTIONS(2727),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_SLASH] = ACTIONS(2727),
    [anon_sym_x] = ACTIONS(2727),
    [anon_sym_EQ_TILDE] = ACTIONS(2725),
    [anon_sym_BANG_TILDE] = ACTIONS(2725),
    [anon_sym_EQ_EQ] = ACTIONS(2727),
    [anon_sym_BANG_EQ] = ACTIONS(2725),
    [anon_sym_eq] = ACTIONS(2727),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2725),
    [anon_sym_equ] = ACTIONS(2725),
    [anon_sym_eqr] = ACTIONS(2725),
    [anon_sym_ne] = ACTIONS(2725),
    [anon_sym_LT_EQ_GT] = ACTIONS(2725),
    [anon_sym_cmp] = ACTIONS(2725),
    [anon_sym_TILDE_TILDE] = ACTIONS(2725),
    [anon_sym_LT_EQ] = ACTIONS(2727),
    [anon_sym_GT_EQ] = ACTIONS(2725),
    [anon_sym_lt] = ACTIONS(2725),
    [anon_sym_le] = ACTIONS(2725),
    [anon_sym_ge] = ACTIONS(2725),
    [anon_sym_gt] = ACTIONS(2725),
    [anon_sym_isa] = ACTIONS(2725),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2725),
    [anon_sym_PERCENT2] = ACTIONS(2725),
    [anon_sym_EQ_GT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1648] = {
    [sym_heredoc_content] = STATE(1648),
    [anon_sym_COLON] = ACTIONS(3050),
    [anon_sym_DOLLAR] = ACTIONS(3050),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3050),
    [anon_sym_AT] = ACTIONS(3050),
    [anon_sym_COMMA] = ACTIONS(3050),
    [anon_sym_RPAREN] = ACTIONS(3050),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3050),
    [anon_sym_DASH_GT] = ACTIONS(3050),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LT_LT] = ACTIONS(3052),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3050),
    [anon_sym_PLUS_EQ] = ACTIONS(3050),
    [anon_sym_DASH_EQ] = ACTIONS(3050),
    [anon_sym_DOT_EQ] = ACTIONS(3050),
    [anon_sym_STAR_EQ] = ACTIONS(3050),
    [anon_sym_SLASH_EQ] = ACTIONS(3050),
    [anon_sym_PERCENT_EQ] = ACTIONS(3052),
    [anon_sym_x_EQ] = ACTIONS(3050),
    [anon_sym_AMP_EQ] = ACTIONS(3050),
    [anon_sym_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_CARET_EQ] = ACTIONS(3050),
    [anon_sym_LT_LT_EQ] = ACTIONS(3050),
    [anon_sym_GT_GT_EQ] = ACTIONS(3050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3050),
    [anon_sym_DOT_DOT] = ACTIONS(3052),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE] = ACTIONS(3052),
    [anon_sym_SLASH_SLASH] = ACTIONS(3052),
    [anon_sym_CARET_CARET] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3052),
    [anon_sym_PIPE] = ACTIONS(3052),
    [anon_sym_CARET] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_GT_GT2] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_x] = ACTIONS(3052),
    [anon_sym_EQ_TILDE] = ACTIONS(3050),
    [anon_sym_BANG_TILDE] = ACTIONS(3050),
    [anon_sym_EQ_EQ] = ACTIONS(3052),
    [anon_sym_BANG_EQ] = ACTIONS(3050),
    [anon_sym_eq] = ACTIONS(3052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3050),
    [anon_sym_equ] = ACTIONS(3050),
    [anon_sym_eqr] = ACTIONS(3050),
    [anon_sym_ne] = ACTIONS(3050),
    [anon_sym_LT_EQ_GT] = ACTIONS(3050),
    [anon_sym_cmp] = ACTIONS(3050),
    [anon_sym_TILDE_TILDE] = ACTIONS(3050),
    [anon_sym_LT_EQ] = ACTIONS(3052),
    [anon_sym_GT_EQ] = ACTIONS(3050),
    [anon_sym_lt] = ACTIONS(3050),
    [anon_sym_le] = ACTIONS(3050),
    [anon_sym_ge] = ACTIONS(3050),
    [anon_sym_gt] = ACTIONS(3050),
    [anon_sym_isa] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_QMARK] = ACTIONS(3050),
    [anon_sym_PERCENT2] = ACTIONS(3050),
    [anon_sym_EQ_GT] = ACTIONS(3050),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1649] = {
    [sym_heredoc_content] = STATE(1649),
    [anon_sym_COLON] = ACTIONS(2729),
    [anon_sym_DOLLAR] = ACTIONS(2729),
    [anon_sym_EQ] = ACTIONS(2731),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2729),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2729),
    [anon_sym_AT] = ACTIONS(2729),
    [anon_sym_COMMA] = ACTIONS(2729),
    [anon_sym_RPAREN] = ACTIONS(2729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2729),
    [anon_sym_DASH_GT] = ACTIONS(2729),
    [anon_sym_PERCENT] = ACTIONS(2731),
    [anon_sym_LT] = ACTIONS(2731),
    [anon_sym_GT] = ACTIONS(2731),
    [anon_sym_LT_LT] = ACTIONS(2731),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2729),
    [anon_sym_PLUS_EQ] = ACTIONS(2729),
    [anon_sym_DASH_EQ] = ACTIONS(2729),
    [anon_sym_DOT_EQ] = ACTIONS(2729),
    [anon_sym_STAR_EQ] = ACTIONS(2729),
    [anon_sym_SLASH_EQ] = ACTIONS(2729),
    [anon_sym_PERCENT_EQ] = ACTIONS(2731),
    [anon_sym_x_EQ] = ACTIONS(2729),
    [anon_sym_AMP_EQ] = ACTIONS(2729),
    [anon_sym_PIPE_EQ] = ACTIONS(2729),
    [anon_sym_CARET_EQ] = ACTIONS(2729),
    [anon_sym_LT_LT_EQ] = ACTIONS(2729),
    [anon_sym_GT_GT_EQ] = ACTIONS(2729),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2729),
    [anon_sym_DOT_DOT] = ACTIONS(2731),
    [anon_sym_STAR_STAR] = ACTIONS(2731),
    [anon_sym_PIPE_PIPE] = ACTIONS(2731),
    [anon_sym_SLASH_SLASH] = ACTIONS(2731),
    [anon_sym_CARET_CARET] = ACTIONS(2729),
    [anon_sym_AMP_AMP] = ACTIONS(2731),
    [anon_sym_PIPE] = ACTIONS(2731),
    [anon_sym_CARET] = ACTIONS(2731),
    [anon_sym_AMP] = ACTIONS(2731),
    [anon_sym_GT_GT2] = ACTIONS(2731),
    [anon_sym_PLUS] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2731),
    [anon_sym_DOT] = ACTIONS(2731),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_SLASH] = ACTIONS(2731),
    [anon_sym_x] = ACTIONS(2731),
    [anon_sym_EQ_TILDE] = ACTIONS(2729),
    [anon_sym_BANG_TILDE] = ACTIONS(2729),
    [anon_sym_EQ_EQ] = ACTIONS(2731),
    [anon_sym_BANG_EQ] = ACTIONS(2729),
    [anon_sym_eq] = ACTIONS(2731),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2729),
    [anon_sym_equ] = ACTIONS(2729),
    [anon_sym_eqr] = ACTIONS(2729),
    [anon_sym_ne] = ACTIONS(2729),
    [anon_sym_LT_EQ_GT] = ACTIONS(2729),
    [anon_sym_cmp] = ACTIONS(2729),
    [anon_sym_TILDE_TILDE] = ACTIONS(2729),
    [anon_sym_LT_EQ] = ACTIONS(2731),
    [anon_sym_GT_EQ] = ACTIONS(2729),
    [anon_sym_lt] = ACTIONS(2729),
    [anon_sym_le] = ACTIONS(2729),
    [anon_sym_ge] = ACTIONS(2729),
    [anon_sym_gt] = ACTIONS(2729),
    [anon_sym_isa] = ACTIONS(2729),
    [anon_sym_PLUS_PLUS] = ACTIONS(2729),
    [anon_sym_DASH_DASH] = ACTIONS(2729),
    [anon_sym_QMARK] = ACTIONS(2729),
    [anon_sym_PERCENT2] = ACTIONS(2729),
    [anon_sym_EQ_GT] = ACTIONS(2729),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1650] = {
    [sym_heredoc_content] = STATE(1650),
    [anon_sym_COLON] = ACTIONS(2877),
    [anon_sym_DOLLAR] = ACTIONS(2877),
    [anon_sym_EQ] = ACTIONS(2879),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_AT] = ACTIONS(2877),
    [anon_sym_COMMA] = ACTIONS(2877),
    [anon_sym_RPAREN] = ACTIONS(2877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2877),
    [anon_sym_DASH_GT] = ACTIONS(2877),
    [anon_sym_PERCENT] = ACTIONS(2879),
    [anon_sym_LT] = ACTIONS(2879),
    [anon_sym_GT] = ACTIONS(2879),
    [anon_sym_LT_LT] = ACTIONS(2879),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2877),
    [anon_sym_PLUS_EQ] = ACTIONS(2877),
    [anon_sym_DASH_EQ] = ACTIONS(2877),
    [anon_sym_DOT_EQ] = ACTIONS(2877),
    [anon_sym_STAR_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_PERCENT_EQ] = ACTIONS(2879),
    [anon_sym_x_EQ] = ACTIONS(2877),
    [anon_sym_AMP_EQ] = ACTIONS(2877),
    [anon_sym_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_CARET_EQ] = ACTIONS(2877),
    [anon_sym_LT_LT_EQ] = ACTIONS(2877),
    [anon_sym_GT_GT_EQ] = ACTIONS(2877),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2877),
    [anon_sym_DOT_DOT] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2879),
    [anon_sym_PIPE_PIPE] = ACTIONS(2879),
    [anon_sym_SLASH_SLASH] = ACTIONS(2879),
    [anon_sym_CARET_CARET] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_PIPE] = ACTIONS(2879),
    [anon_sym_CARET] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_GT_GT2] = ACTIONS(2879),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2879),
    [anon_sym_DOT] = ACTIONS(2879),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_x] = ACTIONS(2879),
    [anon_sym_EQ_TILDE] = ACTIONS(2877),
    [anon_sym_BANG_TILDE] = ACTIONS(2877),
    [anon_sym_EQ_EQ] = ACTIONS(2879),
    [anon_sym_BANG_EQ] = ACTIONS(2877),
    [anon_sym_eq] = ACTIONS(2879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2877),
    [anon_sym_equ] = ACTIONS(2877),
    [anon_sym_eqr] = ACTIONS(2877),
    [anon_sym_ne] = ACTIONS(2877),
    [anon_sym_LT_EQ_GT] = ACTIONS(2877),
    [anon_sym_cmp] = ACTIONS(2877),
    [anon_sym_TILDE_TILDE] = ACTIONS(2877),
    [anon_sym_LT_EQ] = ACTIONS(2879),
    [anon_sym_GT_EQ] = ACTIONS(2877),
    [anon_sym_lt] = ACTIONS(2877),
    [anon_sym_le] = ACTIONS(2877),
    [anon_sym_ge] = ACTIONS(2877),
    [anon_sym_gt] = ACTIONS(2877),
    [anon_sym_isa] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_QMARK] = ACTIONS(2877),
    [anon_sym_PERCENT2] = ACTIONS(2877),
    [anon_sym_EQ_GT] = ACTIONS(2877),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1651] = {
    [sym_heredoc_content] = STATE(1651),
    [anon_sym_COLON] = ACTIONS(2997),
    [anon_sym_DOLLAR] = ACTIONS(2997),
    [anon_sym_EQ] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2997),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2997),
    [anon_sym_AT] = ACTIONS(2997),
    [anon_sym_COMMA] = ACTIONS(2997),
    [anon_sym_RPAREN] = ACTIONS(2997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2997),
    [anon_sym_DASH_GT] = ACTIONS(2997),
    [anon_sym_PERCENT] = ACTIONS(2999),
    [anon_sym_LT] = ACTIONS(2999),
    [anon_sym_GT] = ACTIONS(2999),
    [anon_sym_LT_LT] = ACTIONS(2999),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2997),
    [anon_sym_PLUS_EQ] = ACTIONS(2997),
    [anon_sym_DASH_EQ] = ACTIONS(2997),
    [anon_sym_DOT_EQ] = ACTIONS(2997),
    [anon_sym_STAR_EQ] = ACTIONS(2997),
    [anon_sym_SLASH_EQ] = ACTIONS(2997),
    [anon_sym_PERCENT_EQ] = ACTIONS(2999),
    [anon_sym_x_EQ] = ACTIONS(2997),
    [anon_sym_AMP_EQ] = ACTIONS(2997),
    [anon_sym_PIPE_EQ] = ACTIONS(2997),
    [anon_sym_CARET_EQ] = ACTIONS(2997),
    [anon_sym_LT_LT_EQ] = ACTIONS(2997),
    [anon_sym_GT_GT_EQ] = ACTIONS(2997),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2997),
    [anon_sym_DOT_DOT] = ACTIONS(2999),
    [anon_sym_STAR_STAR] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(2999),
    [anon_sym_SLASH_SLASH] = ACTIONS(2999),
    [anon_sym_CARET_CARET] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE] = ACTIONS(2999),
    [anon_sym_CARET] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2999),
    [anon_sym_GT_GT2] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_DOT] = ACTIONS(2999),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_SLASH] = ACTIONS(2999),
    [anon_sym_x] = ACTIONS(2999),
    [anon_sym_EQ_TILDE] = ACTIONS(2997),
    [anon_sym_BANG_TILDE] = ACTIONS(2997),
    [anon_sym_EQ_EQ] = ACTIONS(2999),
    [anon_sym_BANG_EQ] = ACTIONS(2997),
    [anon_sym_eq] = ACTIONS(2999),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2997),
    [anon_sym_equ] = ACTIONS(2997),
    [anon_sym_eqr] = ACTIONS(2997),
    [anon_sym_ne] = ACTIONS(2997),
    [anon_sym_LT_EQ_GT] = ACTIONS(2997),
    [anon_sym_cmp] = ACTIONS(2997),
    [anon_sym_TILDE_TILDE] = ACTIONS(2997),
    [anon_sym_LT_EQ] = ACTIONS(2999),
    [anon_sym_GT_EQ] = ACTIONS(2997),
    [anon_sym_lt] = ACTIONS(2997),
    [anon_sym_le] = ACTIONS(2997),
    [anon_sym_ge] = ACTIONS(2997),
    [anon_sym_gt] = ACTIONS(2997),
    [anon_sym_isa] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2997),
    [anon_sym_QMARK] = ACTIONS(2997),
    [anon_sym_PERCENT2] = ACTIONS(2997),
    [anon_sym_EQ_GT] = ACTIONS(2997),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1652] = {
    [sym_heredoc_content] = STATE(1652),
    [anon_sym_LBRACE] = ACTIONS(2406),
    [anon_sym_SEMI] = ACTIONS(2406),
    [anon_sym_EQ] = ACTIONS(2408),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2406),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2406),
    [anon_sym_COMMA] = ACTIONS(2406),
    [anon_sym_LPAREN] = ACTIONS(2406),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2406),
    [anon_sym_LBRACK] = ACTIONS(2406),
    [anon_sym_DASH_GT] = ACTIONS(2406),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_LT] = ACTIONS(2408),
    [anon_sym_GT] = ACTIONS(2408),
    [anon_sym_LT_LT] = ACTIONS(2408),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2406),
    [anon_sym_PLUS_EQ] = ACTIONS(2406),
    [anon_sym_DASH_EQ] = ACTIONS(2406),
    [anon_sym_DOT_EQ] = ACTIONS(2406),
    [anon_sym_STAR_EQ] = ACTIONS(2406),
    [anon_sym_SLASH_EQ] = ACTIONS(2406),
    [anon_sym_PERCENT_EQ] = ACTIONS(2406),
    [anon_sym_x_EQ] = ACTIONS(2406),
    [anon_sym_AMP_EQ] = ACTIONS(2406),
    [anon_sym_PIPE_EQ] = ACTIONS(2406),
    [anon_sym_CARET_EQ] = ACTIONS(2406),
    [anon_sym_LT_LT_EQ] = ACTIONS(2406),
    [anon_sym_GT_GT_EQ] = ACTIONS(2406),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2406),
    [anon_sym_DOT_DOT] = ACTIONS(2408),
    [anon_sym_STAR_STAR] = ACTIONS(2408),
    [anon_sym_PIPE_PIPE] = ACTIONS(2408),
    [anon_sym_SLASH_SLASH] = ACTIONS(2408),
    [anon_sym_CARET_CARET] = ACTIONS(2406),
    [anon_sym_AMP_AMP] = ACTIONS(2408),
    [anon_sym_PIPE] = ACTIONS(2408),
    [anon_sym_CARET] = ACTIONS(2408),
    [anon_sym_AMP] = ACTIONS(2408),
    [anon_sym_GT_GT2] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_DOT] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_SLASH] = ACTIONS(2408),
    [anon_sym_x] = ACTIONS(2408),
    [anon_sym_EQ_TILDE] = ACTIONS(2406),
    [anon_sym_BANG_TILDE] = ACTIONS(2406),
    [anon_sym_EQ_EQ] = ACTIONS(2408),
    [anon_sym_BANG_EQ] = ACTIONS(2406),
    [anon_sym_eq] = ACTIONS(2408),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2406),
    [anon_sym_equ] = ACTIONS(2406),
    [anon_sym_eqr] = ACTIONS(2406),
    [anon_sym_ne] = ACTIONS(2406),
    [anon_sym_LT_EQ_GT] = ACTIONS(2406),
    [anon_sym_cmp] = ACTIONS(2406),
    [anon_sym_TILDE_TILDE] = ACTIONS(2406),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2406),
    [anon_sym_lt] = ACTIONS(2406),
    [anon_sym_le] = ACTIONS(2406),
    [anon_sym_ge] = ACTIONS(2406),
    [anon_sym_gt] = ACTIONS(2406),
    [anon_sym_isa] = ACTIONS(2406),
    [anon_sym_PLUS_PLUS] = ACTIONS(2406),
    [anon_sym_DASH_DASH] = ACTIONS(2406),
    [anon_sym_QMARK] = ACTIONS(2406),
    [anon_sym_EQ_GT] = ACTIONS(2406),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2406),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1653] = {
    [sym_heredoc_content] = STATE(1653),
    [anon_sym_LBRACE] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2374),
    [anon_sym_EQ] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2374),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2374),
    [anon_sym_COMMA] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(2374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2374),
    [anon_sym_DASH_GT] = ACTIONS(2374),
    [anon_sym_PERCENT] = ACTIONS(2376),
    [anon_sym_LT] = ACTIONS(2376),
    [anon_sym_GT] = ACTIONS(2376),
    [anon_sym_LT_LT] = ACTIONS(2376),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2374),
    [anon_sym_PLUS_EQ] = ACTIONS(2374),
    [anon_sym_DASH_EQ] = ACTIONS(2374),
    [anon_sym_DOT_EQ] = ACTIONS(2374),
    [anon_sym_STAR_EQ] = ACTIONS(2374),
    [anon_sym_SLASH_EQ] = ACTIONS(2374),
    [anon_sym_PERCENT_EQ] = ACTIONS(2374),
    [anon_sym_x_EQ] = ACTIONS(2374),
    [anon_sym_AMP_EQ] = ACTIONS(2374),
    [anon_sym_PIPE_EQ] = ACTIONS(2374),
    [anon_sym_CARET_EQ] = ACTIONS(2374),
    [anon_sym_LT_LT_EQ] = ACTIONS(2374),
    [anon_sym_GT_GT_EQ] = ACTIONS(2374),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2374),
    [anon_sym_DOT_DOT] = ACTIONS(2376),
    [anon_sym_STAR_STAR] = ACTIONS(2376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2376),
    [anon_sym_SLASH_SLASH] = ACTIONS(2376),
    [anon_sym_CARET_CARET] = ACTIONS(2374),
    [anon_sym_AMP_AMP] = ACTIONS(2376),
    [anon_sym_PIPE] = ACTIONS(2376),
    [anon_sym_CARET] = ACTIONS(2376),
    [anon_sym_AMP] = ACTIONS(2376),
    [anon_sym_GT_GT2] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2376),
    [anon_sym_DOT] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_SLASH] = ACTIONS(2376),
    [anon_sym_x] = ACTIONS(2376),
    [anon_sym_EQ_TILDE] = ACTIONS(2374),
    [anon_sym_BANG_TILDE] = ACTIONS(2374),
    [anon_sym_EQ_EQ] = ACTIONS(2376),
    [anon_sym_BANG_EQ] = ACTIONS(2374),
    [anon_sym_eq] = ACTIONS(2376),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2374),
    [anon_sym_equ] = ACTIONS(2374),
    [anon_sym_eqr] = ACTIONS(2374),
    [anon_sym_ne] = ACTIONS(2374),
    [anon_sym_LT_EQ_GT] = ACTIONS(2374),
    [anon_sym_cmp] = ACTIONS(2374),
    [anon_sym_TILDE_TILDE] = ACTIONS(2374),
    [anon_sym_LT_EQ] = ACTIONS(2376),
    [anon_sym_GT_EQ] = ACTIONS(2374),
    [anon_sym_lt] = ACTIONS(2374),
    [anon_sym_le] = ACTIONS(2374),
    [anon_sym_ge] = ACTIONS(2374),
    [anon_sym_gt] = ACTIONS(2374),
    [anon_sym_isa] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_QMARK] = ACTIONS(2374),
    [anon_sym_EQ_GT] = ACTIONS(2374),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2374),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1654] = {
    [sym_heredoc_content] = STATE(1654),
    [anon_sym_COLON] = ACTIONS(2532),
    [anon_sym_DOLLAR] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_AT] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2534),
    [anon_sym_x_EQ] = ACTIONS(2532),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2532),
    [anon_sym_eqr] = ACTIONS(2532),
    [anon_sym_ne] = ACTIONS(2532),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2532),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2532),
    [anon_sym_le] = ACTIONS(2532),
    [anon_sym_ge] = ACTIONS(2532),
    [anon_sym_gt] = ACTIONS(2532),
    [anon_sym_isa] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_PERCENT2] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1655] = {
    [sym_heredoc_content] = STATE(1655),
    [anon_sym_COLON] = ACTIONS(2701),
    [anon_sym_DOLLAR] = ACTIONS(2701),
    [anon_sym_EQ] = ACTIONS(2703),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2701),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2701),
    [anon_sym_AT] = ACTIONS(2701),
    [anon_sym_COMMA] = ACTIONS(2701),
    [anon_sym_RPAREN] = ACTIONS(2701),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2701),
    [anon_sym_DASH_GT] = ACTIONS(2701),
    [anon_sym_PERCENT] = ACTIONS(2703),
    [anon_sym_LT] = ACTIONS(2703),
    [anon_sym_GT] = ACTIONS(2703),
    [anon_sym_LT_LT] = ACTIONS(2703),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2701),
    [anon_sym_PLUS_EQ] = ACTIONS(2701),
    [anon_sym_DASH_EQ] = ACTIONS(2701),
    [anon_sym_DOT_EQ] = ACTIONS(2701),
    [anon_sym_STAR_EQ] = ACTIONS(2701),
    [anon_sym_SLASH_EQ] = ACTIONS(2701),
    [anon_sym_PERCENT_EQ] = ACTIONS(2703),
    [anon_sym_x_EQ] = ACTIONS(2701),
    [anon_sym_AMP_EQ] = ACTIONS(2701),
    [anon_sym_PIPE_EQ] = ACTIONS(2701),
    [anon_sym_CARET_EQ] = ACTIONS(2701),
    [anon_sym_LT_LT_EQ] = ACTIONS(2701),
    [anon_sym_GT_GT_EQ] = ACTIONS(2701),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2701),
    [anon_sym_DOT_DOT] = ACTIONS(2703),
    [anon_sym_STAR_STAR] = ACTIONS(2703),
    [anon_sym_PIPE_PIPE] = ACTIONS(2703),
    [anon_sym_SLASH_SLASH] = ACTIONS(2703),
    [anon_sym_CARET_CARET] = ACTIONS(2701),
    [anon_sym_AMP_AMP] = ACTIONS(2703),
    [anon_sym_PIPE] = ACTIONS(2703),
    [anon_sym_CARET] = ACTIONS(2703),
    [anon_sym_AMP] = ACTIONS(2703),
    [anon_sym_GT_GT2] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_DOT] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2703),
    [anon_sym_SLASH] = ACTIONS(2703),
    [anon_sym_x] = ACTIONS(2703),
    [anon_sym_EQ_TILDE] = ACTIONS(2701),
    [anon_sym_BANG_TILDE] = ACTIONS(2701),
    [anon_sym_EQ_EQ] = ACTIONS(2703),
    [anon_sym_BANG_EQ] = ACTIONS(2701),
    [anon_sym_eq] = ACTIONS(2703),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2701),
    [anon_sym_equ] = ACTIONS(2701),
    [anon_sym_eqr] = ACTIONS(2701),
    [anon_sym_ne] = ACTIONS(2701),
    [anon_sym_LT_EQ_GT] = ACTIONS(2701),
    [anon_sym_cmp] = ACTIONS(2701),
    [anon_sym_TILDE_TILDE] = ACTIONS(2701),
    [anon_sym_LT_EQ] = ACTIONS(2703),
    [anon_sym_GT_EQ] = ACTIONS(2701),
    [anon_sym_lt] = ACTIONS(2701),
    [anon_sym_le] = ACTIONS(2701),
    [anon_sym_ge] = ACTIONS(2701),
    [anon_sym_gt] = ACTIONS(2701),
    [anon_sym_isa] = ACTIONS(2701),
    [anon_sym_PLUS_PLUS] = ACTIONS(2701),
    [anon_sym_DASH_DASH] = ACTIONS(2701),
    [anon_sym_QMARK] = ACTIONS(2701),
    [anon_sym_PERCENT2] = ACTIONS(2701),
    [anon_sym_EQ_GT] = ACTIONS(2701),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1656] = {
    [sym_heredoc_content] = STATE(1656),
    [anon_sym_COLON] = ACTIONS(3080),
    [anon_sym_DOLLAR] = ACTIONS(3080),
    [anon_sym_EQ] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_AT] = ACTIONS(3080),
    [anon_sym_COMMA] = ACTIONS(3080),
    [anon_sym_RPAREN] = ACTIONS(3080),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3080),
    [anon_sym_DASH_GT] = ACTIONS(3080),
    [anon_sym_PERCENT] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3082),
    [anon_sym_GT] = ACTIONS(3082),
    [anon_sym_LT_LT] = ACTIONS(3082),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_DOT_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3082),
    [anon_sym_x_EQ] = ACTIONS(3080),
    [anon_sym_AMP_EQ] = ACTIONS(3080),
    [anon_sym_PIPE_EQ] = ACTIONS(3080),
    [anon_sym_CARET_EQ] = ACTIONS(3080),
    [anon_sym_LT_LT_EQ] = ACTIONS(3080),
    [anon_sym_GT_GT_EQ] = ACTIONS(3080),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3080),
    [anon_sym_DOT_DOT] = ACTIONS(3082),
    [anon_sym_STAR_STAR] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE] = ACTIONS(3082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3082),
    [anon_sym_CARET_CARET] = ACTIONS(3080),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_PIPE] = ACTIONS(3082),
    [anon_sym_CARET] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3082),
    [anon_sym_GT_GT2] = ACTIONS(3082),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_DOT] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_SLASH] = ACTIONS(3082),
    [anon_sym_x] = ACTIONS(3082),
    [anon_sym_EQ_TILDE] = ACTIONS(3080),
    [anon_sym_BANG_TILDE] = ACTIONS(3080),
    [anon_sym_EQ_EQ] = ACTIONS(3082),
    [anon_sym_BANG_EQ] = ACTIONS(3080),
    [anon_sym_eq] = ACTIONS(3082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3080),
    [anon_sym_equ] = ACTIONS(3080),
    [anon_sym_eqr] = ACTIONS(3080),
    [anon_sym_ne] = ACTIONS(3080),
    [anon_sym_LT_EQ_GT] = ACTIONS(3080),
    [anon_sym_cmp] = ACTIONS(3080),
    [anon_sym_TILDE_TILDE] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3082),
    [anon_sym_GT_EQ] = ACTIONS(3080),
    [anon_sym_lt] = ACTIONS(3080),
    [anon_sym_le] = ACTIONS(3080),
    [anon_sym_ge] = ACTIONS(3080),
    [anon_sym_gt] = ACTIONS(3080),
    [anon_sym_isa] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [anon_sym_QMARK] = ACTIONS(3080),
    [anon_sym_PERCENT2] = ACTIONS(3080),
    [anon_sym_EQ_GT] = ACTIONS(3080),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1657] = {
    [sym_heredoc_content] = STATE(1657),
    [anon_sym_COLON] = ACTIONS(2897),
    [anon_sym_DOLLAR] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_AT] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(2897),
    [anon_sym_PERCENT] = ACTIONS(2899),
    [anon_sym_LT] = ACTIONS(2899),
    [anon_sym_GT] = ACTIONS(2899),
    [anon_sym_LT_LT] = ACTIONS(2899),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2899),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_DOT] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_SLASH] = ACTIONS(2899),
    [anon_sym_x] = ACTIONS(2899),
    [anon_sym_EQ_TILDE] = ACTIONS(2897),
    [anon_sym_BANG_TILDE] = ACTIONS(2897),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT_EQ] = ACTIONS(2899),
    [anon_sym_GT_EQ] = ACTIONS(2897),
    [anon_sym_lt] = ACTIONS(2897),
    [anon_sym_le] = ACTIONS(2897),
    [anon_sym_ge] = ACTIONS(2897),
    [anon_sym_gt] = ACTIONS(2897),
    [anon_sym_isa] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_PERCENT2] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1658] = {
    [sym_heredoc_content] = STATE(1658),
    [anon_sym_COLON] = ACTIONS(2901),
    [anon_sym_DOLLAR] = ACTIONS(2901),
    [anon_sym_EQ] = ACTIONS(2903),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2901),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2901),
    [anon_sym_AT] = ACTIONS(2901),
    [anon_sym_COMMA] = ACTIONS(2901),
    [anon_sym_RPAREN] = ACTIONS(2901),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2901),
    [anon_sym_DASH_GT] = ACTIONS(2901),
    [anon_sym_PERCENT] = ACTIONS(2903),
    [anon_sym_LT] = ACTIONS(2903),
    [anon_sym_GT] = ACTIONS(2903),
    [anon_sym_LT_LT] = ACTIONS(2903),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2901),
    [anon_sym_PLUS_EQ] = ACTIONS(2901),
    [anon_sym_DASH_EQ] = ACTIONS(2901),
    [anon_sym_DOT_EQ] = ACTIONS(2901),
    [anon_sym_STAR_EQ] = ACTIONS(2901),
    [anon_sym_SLASH_EQ] = ACTIONS(2901),
    [anon_sym_PERCENT_EQ] = ACTIONS(2903),
    [anon_sym_x_EQ] = ACTIONS(2901),
    [anon_sym_AMP_EQ] = ACTIONS(2901),
    [anon_sym_PIPE_EQ] = ACTIONS(2901),
    [anon_sym_CARET_EQ] = ACTIONS(2901),
    [anon_sym_LT_LT_EQ] = ACTIONS(2901),
    [anon_sym_GT_GT_EQ] = ACTIONS(2901),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2901),
    [anon_sym_DOT_DOT] = ACTIONS(2903),
    [anon_sym_STAR_STAR] = ACTIONS(2903),
    [anon_sym_PIPE_PIPE] = ACTIONS(2903),
    [anon_sym_SLASH_SLASH] = ACTIONS(2903),
    [anon_sym_CARET_CARET] = ACTIONS(2901),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_PIPE] = ACTIONS(2903),
    [anon_sym_CARET] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym_GT_GT2] = ACTIONS(2903),
    [anon_sym_PLUS] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2903),
    [anon_sym_DOT] = ACTIONS(2903),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_SLASH] = ACTIONS(2903),
    [anon_sym_x] = ACTIONS(2903),
    [anon_sym_EQ_TILDE] = ACTIONS(2901),
    [anon_sym_BANG_TILDE] = ACTIONS(2901),
    [anon_sym_EQ_EQ] = ACTIONS(2903),
    [anon_sym_BANG_EQ] = ACTIONS(2901),
    [anon_sym_eq] = ACTIONS(2903),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2901),
    [anon_sym_equ] = ACTIONS(2901),
    [anon_sym_eqr] = ACTIONS(2901),
    [anon_sym_ne] = ACTIONS(2901),
    [anon_sym_LT_EQ_GT] = ACTIONS(2901),
    [anon_sym_cmp] = ACTIONS(2901),
    [anon_sym_TILDE_TILDE] = ACTIONS(2901),
    [anon_sym_LT_EQ] = ACTIONS(2903),
    [anon_sym_GT_EQ] = ACTIONS(2901),
    [anon_sym_lt] = ACTIONS(2901),
    [anon_sym_le] = ACTIONS(2901),
    [anon_sym_ge] = ACTIONS(2901),
    [anon_sym_gt] = ACTIONS(2901),
    [anon_sym_isa] = ACTIONS(2901),
    [anon_sym_PLUS_PLUS] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2901),
    [anon_sym_QMARK] = ACTIONS(2901),
    [anon_sym_PERCENT2] = ACTIONS(2901),
    [anon_sym_EQ_GT] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1659] = {
    [sym_heredoc_content] = STATE(1659),
    [anon_sym_COLON] = ACTIONS(2929),
    [anon_sym_DOLLAR] = ACTIONS(2929),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_AT] = ACTIONS(2929),
    [anon_sym_COMMA] = ACTIONS(2929),
    [anon_sym_RPAREN] = ACTIONS(2929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2929),
    [anon_sym_DASH_GT] = ACTIONS(2929),
    [anon_sym_PERCENT] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_LT_LT] = ACTIONS(2931),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_DOT_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2931),
    [anon_sym_x_EQ] = ACTIONS(2929),
    [anon_sym_AMP_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_EQ] = ACTIONS(2929),
    [anon_sym_CARET_EQ] = ACTIONS(2929),
    [anon_sym_LT_LT_EQ] = ACTIONS(2929),
    [anon_sym_GT_GT_EQ] = ACTIONS(2929),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_STAR_STAR] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2931),
    [anon_sym_SLASH_SLASH] = ACTIONS(2931),
    [anon_sym_CARET_CARET] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_PIPE] = ACTIONS(2931),
    [anon_sym_CARET] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_GT_GT2] = ACTIONS(2931),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2931),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_SLASH] = ACTIONS(2931),
    [anon_sym_x] = ACTIONS(2931),
    [anon_sym_EQ_TILDE] = ACTIONS(2929),
    [anon_sym_BANG_TILDE] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ] = ACTIONS(2929),
    [anon_sym_eq] = ACTIONS(2931),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_equ] = ACTIONS(2929),
    [anon_sym_eqr] = ACTIONS(2929),
    [anon_sym_ne] = ACTIONS(2929),
    [anon_sym_LT_EQ_GT] = ACTIONS(2929),
    [anon_sym_cmp] = ACTIONS(2929),
    [anon_sym_TILDE_TILDE] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_lt] = ACTIONS(2929),
    [anon_sym_le] = ACTIONS(2929),
    [anon_sym_ge] = ACTIONS(2929),
    [anon_sym_gt] = ACTIONS(2929),
    [anon_sym_isa] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_PERCENT2] = ACTIONS(2929),
    [anon_sym_EQ_GT] = ACTIONS(2929),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1660] = {
    [sym_heredoc_content] = STATE(1660),
    [anon_sym_COLON] = ACTIONS(2989),
    [anon_sym_DOLLAR] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2989),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2989),
    [anon_sym_AT] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(2989),
    [anon_sym_RPAREN] = ACTIONS(2989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DASH_GT] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_LT] = ACTIONS(2991),
    [anon_sym_GT] = ACTIONS(2991),
    [anon_sym_LT_LT] = ACTIONS(2991),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2989),
    [anon_sym_DASH_EQ] = ACTIONS(2989),
    [anon_sym_DOT_EQ] = ACTIONS(2989),
    [anon_sym_STAR_EQ] = ACTIONS(2989),
    [anon_sym_SLASH_EQ] = ACTIONS(2989),
    [anon_sym_PERCENT_EQ] = ACTIONS(2991),
    [anon_sym_x_EQ] = ACTIONS(2989),
    [anon_sym_AMP_EQ] = ACTIONS(2989),
    [anon_sym_PIPE_EQ] = ACTIONS(2989),
    [anon_sym_CARET_EQ] = ACTIONS(2989),
    [anon_sym_LT_LT_EQ] = ACTIONS(2989),
    [anon_sym_GT_GT_EQ] = ACTIONS(2989),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2989),
    [anon_sym_DOT_DOT] = ACTIONS(2991),
    [anon_sym_STAR_STAR] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_SLASH_SLASH] = ACTIONS(2991),
    [anon_sym_CARET_CARET] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_PIPE] = ACTIONS(2991),
    [anon_sym_CARET] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_GT_GT2] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2991),
    [anon_sym_x] = ACTIONS(2991),
    [anon_sym_EQ_TILDE] = ACTIONS(2989),
    [anon_sym_BANG_TILDE] = ACTIONS(2989),
    [anon_sym_EQ_EQ] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_eq] = ACTIONS(2991),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2989),
    [anon_sym_equ] = ACTIONS(2989),
    [anon_sym_eqr] = ACTIONS(2989),
    [anon_sym_ne] = ACTIONS(2989),
    [anon_sym_LT_EQ_GT] = ACTIONS(2989),
    [anon_sym_cmp] = ACTIONS(2989),
    [anon_sym_TILDE_TILDE] = ACTIONS(2989),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2989),
    [anon_sym_lt] = ACTIONS(2989),
    [anon_sym_le] = ACTIONS(2989),
    [anon_sym_ge] = ACTIONS(2989),
    [anon_sym_gt] = ACTIONS(2989),
    [anon_sym_isa] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(2989),
    [anon_sym_PERCENT2] = ACTIONS(2989),
    [anon_sym_EQ_GT] = ACTIONS(2989),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1661] = {
    [sym_heredoc_content] = STATE(1661),
    [anon_sym_COLON] = ACTIONS(2973),
    [anon_sym_DOLLAR] = ACTIONS(2973),
    [anon_sym_EQ] = ACTIONS(2975),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2973),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2973),
    [anon_sym_AT] = ACTIONS(2973),
    [anon_sym_COMMA] = ACTIONS(2973),
    [anon_sym_RPAREN] = ACTIONS(2973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2973),
    [anon_sym_DASH_GT] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2975),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_GT] = ACTIONS(2975),
    [anon_sym_LT_LT] = ACTIONS(2975),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2973),
    [anon_sym_PLUS_EQ] = ACTIONS(2973),
    [anon_sym_DASH_EQ] = ACTIONS(2973),
    [anon_sym_DOT_EQ] = ACTIONS(2973),
    [anon_sym_STAR_EQ] = ACTIONS(2973),
    [anon_sym_SLASH_EQ] = ACTIONS(2973),
    [anon_sym_PERCENT_EQ] = ACTIONS(2975),
    [anon_sym_x_EQ] = ACTIONS(2973),
    [anon_sym_AMP_EQ] = ACTIONS(2973),
    [anon_sym_PIPE_EQ] = ACTIONS(2973),
    [anon_sym_CARET_EQ] = ACTIONS(2973),
    [anon_sym_LT_LT_EQ] = ACTIONS(2973),
    [anon_sym_GT_GT_EQ] = ACTIONS(2973),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2973),
    [anon_sym_DOT_DOT] = ACTIONS(2975),
    [anon_sym_STAR_STAR] = ACTIONS(2975),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_SLASH_SLASH] = ACTIONS(2975),
    [anon_sym_CARET_CARET] = ACTIONS(2973),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_PIPE] = ACTIONS(2975),
    [anon_sym_CARET] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_GT_GT2] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2975),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2975),
    [anon_sym_x] = ACTIONS(2975),
    [anon_sym_EQ_TILDE] = ACTIONS(2973),
    [anon_sym_BANG_TILDE] = ACTIONS(2973),
    [anon_sym_EQ_EQ] = ACTIONS(2975),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_eq] = ACTIONS(2975),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2973),
    [anon_sym_equ] = ACTIONS(2973),
    [anon_sym_eqr] = ACTIONS(2973),
    [anon_sym_ne] = ACTIONS(2973),
    [anon_sym_LT_EQ_GT] = ACTIONS(2973),
    [anon_sym_cmp] = ACTIONS(2973),
    [anon_sym_TILDE_TILDE] = ACTIONS(2973),
    [anon_sym_LT_EQ] = ACTIONS(2975),
    [anon_sym_GT_EQ] = ACTIONS(2973),
    [anon_sym_lt] = ACTIONS(2973),
    [anon_sym_le] = ACTIONS(2973),
    [anon_sym_ge] = ACTIONS(2973),
    [anon_sym_gt] = ACTIONS(2973),
    [anon_sym_isa] = ACTIONS(2973),
    [anon_sym_PLUS_PLUS] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(2973),
    [anon_sym_PERCENT2] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(2973),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1662] = {
    [sym_heredoc_content] = STATE(1662),
    [anon_sym_COLON] = ACTIONS(2785),
    [anon_sym_DOLLAR] = ACTIONS(2785),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_AT] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_RPAREN] = ACTIONS(2785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_DASH_GT] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_DOT_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2787),
    [anon_sym_x_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_SLASH_SLASH] = ACTIONS(2787),
    [anon_sym_CARET_CARET] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_GT_GT2] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2787),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_x] = ACTIONS(2787),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_eq] = ACTIONS(2787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_equ] = ACTIONS(2785),
    [anon_sym_eqr] = ACTIONS(2785),
    [anon_sym_ne] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_cmp] = ACTIONS(2785),
    [anon_sym_TILDE_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_lt] = ACTIONS(2785),
    [anon_sym_le] = ACTIONS(2785),
    [anon_sym_ge] = ACTIONS(2785),
    [anon_sym_gt] = ACTIONS(2785),
    [anon_sym_isa] = ACTIONS(2785),
    [anon_sym_PLUS_PLUS] = ACTIONS(2785),
    [anon_sym_DASH_DASH] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_PERCENT2] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1663] = {
    [sym_heredoc_content] = STATE(1663),
    [anon_sym_COLON] = ACTIONS(2801),
    [anon_sym_DOLLAR] = ACTIONS(2801),
    [anon_sym_EQ] = ACTIONS(2803),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2801),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2801),
    [anon_sym_AT] = ACTIONS(2801),
    [anon_sym_COMMA] = ACTIONS(2801),
    [anon_sym_RPAREN] = ACTIONS(2801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2801),
    [anon_sym_DASH_GT] = ACTIONS(2801),
    [anon_sym_PERCENT] = ACTIONS(2803),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_GT] = ACTIONS(2803),
    [anon_sym_LT_LT] = ACTIONS(2803),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2801),
    [anon_sym_PLUS_EQ] = ACTIONS(2801),
    [anon_sym_DASH_EQ] = ACTIONS(2801),
    [anon_sym_DOT_EQ] = ACTIONS(2801),
    [anon_sym_STAR_EQ] = ACTIONS(2801),
    [anon_sym_SLASH_EQ] = ACTIONS(2801),
    [anon_sym_PERCENT_EQ] = ACTIONS(2803),
    [anon_sym_x_EQ] = ACTIONS(2801),
    [anon_sym_AMP_EQ] = ACTIONS(2801),
    [anon_sym_PIPE_EQ] = ACTIONS(2801),
    [anon_sym_CARET_EQ] = ACTIONS(2801),
    [anon_sym_LT_LT_EQ] = ACTIONS(2801),
    [anon_sym_GT_GT_EQ] = ACTIONS(2801),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2801),
    [anon_sym_DOT_DOT] = ACTIONS(2803),
    [anon_sym_STAR_STAR] = ACTIONS(2803),
    [anon_sym_PIPE_PIPE] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH] = ACTIONS(2803),
    [anon_sym_CARET_CARET] = ACTIONS(2801),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_PIPE] = ACTIONS(2803),
    [anon_sym_CARET] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2803),
    [anon_sym_GT_GT2] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_DOT] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_SLASH] = ACTIONS(2803),
    [anon_sym_x] = ACTIONS(2803),
    [anon_sym_EQ_TILDE] = ACTIONS(2801),
    [anon_sym_BANG_TILDE] = ACTIONS(2801),
    [anon_sym_EQ_EQ] = ACTIONS(2803),
    [anon_sym_BANG_EQ] = ACTIONS(2801),
    [anon_sym_eq] = ACTIONS(2803),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2801),
    [anon_sym_equ] = ACTIONS(2801),
    [anon_sym_eqr] = ACTIONS(2801),
    [anon_sym_ne] = ACTIONS(2801),
    [anon_sym_LT_EQ_GT] = ACTIONS(2801),
    [anon_sym_cmp] = ACTIONS(2801),
    [anon_sym_TILDE_TILDE] = ACTIONS(2801),
    [anon_sym_LT_EQ] = ACTIONS(2803),
    [anon_sym_GT_EQ] = ACTIONS(2801),
    [anon_sym_lt] = ACTIONS(2801),
    [anon_sym_le] = ACTIONS(2801),
    [anon_sym_ge] = ACTIONS(2801),
    [anon_sym_gt] = ACTIONS(2801),
    [anon_sym_isa] = ACTIONS(2801),
    [anon_sym_PLUS_PLUS] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2801),
    [anon_sym_QMARK] = ACTIONS(2801),
    [anon_sym_PERCENT2] = ACTIONS(2801),
    [anon_sym_EQ_GT] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1664] = {
    [sym_heredoc_content] = STATE(1664),
    [anon_sym_LBRACE] = ACTIONS(2378),
    [anon_sym_SEMI] = ACTIONS(2378),
    [anon_sym_EQ] = ACTIONS(2380),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2378),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2378),
    [anon_sym_COMMA] = ACTIONS(2378),
    [anon_sym_LPAREN] = ACTIONS(2378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2378),
    [anon_sym_LBRACK] = ACTIONS(2378),
    [anon_sym_DASH_GT] = ACTIONS(2378),
    [anon_sym_PERCENT] = ACTIONS(2380),
    [anon_sym_LT] = ACTIONS(2380),
    [anon_sym_GT] = ACTIONS(2380),
    [anon_sym_LT_LT] = ACTIONS(2380),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2378),
    [anon_sym_PLUS_EQ] = ACTIONS(2378),
    [anon_sym_DASH_EQ] = ACTIONS(2378),
    [anon_sym_DOT_EQ] = ACTIONS(2378),
    [anon_sym_STAR_EQ] = ACTIONS(2378),
    [anon_sym_SLASH_EQ] = ACTIONS(2378),
    [anon_sym_PERCENT_EQ] = ACTIONS(2378),
    [anon_sym_x_EQ] = ACTIONS(2378),
    [anon_sym_AMP_EQ] = ACTIONS(2378),
    [anon_sym_PIPE_EQ] = ACTIONS(2378),
    [anon_sym_CARET_EQ] = ACTIONS(2378),
    [anon_sym_LT_LT_EQ] = ACTIONS(2378),
    [anon_sym_GT_GT_EQ] = ACTIONS(2378),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2378),
    [anon_sym_DOT_DOT] = ACTIONS(2380),
    [anon_sym_STAR_STAR] = ACTIONS(2380),
    [anon_sym_PIPE_PIPE] = ACTIONS(2380),
    [anon_sym_SLASH_SLASH] = ACTIONS(2380),
    [anon_sym_CARET_CARET] = ACTIONS(2378),
    [anon_sym_AMP_AMP] = ACTIONS(2380),
    [anon_sym_PIPE] = ACTIONS(2380),
    [anon_sym_CARET] = ACTIONS(2380),
    [anon_sym_AMP] = ACTIONS(2380),
    [anon_sym_GT_GT2] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2380),
    [anon_sym_DASH] = ACTIONS(2380),
    [anon_sym_DOT] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2380),
    [anon_sym_SLASH] = ACTIONS(2380),
    [anon_sym_x] = ACTIONS(2380),
    [anon_sym_EQ_TILDE] = ACTIONS(2378),
    [anon_sym_BANG_TILDE] = ACTIONS(2378),
    [anon_sym_EQ_EQ] = ACTIONS(2380),
    [anon_sym_BANG_EQ] = ACTIONS(2378),
    [anon_sym_eq] = ACTIONS(2380),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2378),
    [anon_sym_equ] = ACTIONS(2378),
    [anon_sym_eqr] = ACTIONS(2378),
    [anon_sym_ne] = ACTIONS(2378),
    [anon_sym_LT_EQ_GT] = ACTIONS(2378),
    [anon_sym_cmp] = ACTIONS(2378),
    [anon_sym_TILDE_TILDE] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2378),
    [anon_sym_lt] = ACTIONS(2378),
    [anon_sym_le] = ACTIONS(2378),
    [anon_sym_ge] = ACTIONS(2378),
    [anon_sym_gt] = ACTIONS(2378),
    [anon_sym_isa] = ACTIONS(2378),
    [anon_sym_PLUS_PLUS] = ACTIONS(2378),
    [anon_sym_DASH_DASH] = ACTIONS(2378),
    [anon_sym_QMARK] = ACTIONS(2378),
    [anon_sym_EQ_GT] = ACTIONS(2378),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2378),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1665] = {
    [sym_heredoc_content] = STATE(1665),
    [anon_sym_COLON] = ACTIONS(2813),
    [anon_sym_DOLLAR] = ACTIONS(2813),
    [anon_sym_EQ] = ACTIONS(2815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2813),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2813),
    [anon_sym_AT] = ACTIONS(2813),
    [anon_sym_COMMA] = ACTIONS(2813),
    [anon_sym_RPAREN] = ACTIONS(2813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2813),
    [anon_sym_DASH_GT] = ACTIONS(2813),
    [anon_sym_PERCENT] = ACTIONS(2815),
    [anon_sym_LT] = ACTIONS(2815),
    [anon_sym_GT] = ACTIONS(2815),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2813),
    [anon_sym_PLUS_EQ] = ACTIONS(2813),
    [anon_sym_DASH_EQ] = ACTIONS(2813),
    [anon_sym_DOT_EQ] = ACTIONS(2813),
    [anon_sym_STAR_EQ] = ACTIONS(2813),
    [anon_sym_SLASH_EQ] = ACTIONS(2813),
    [anon_sym_PERCENT_EQ] = ACTIONS(2815),
    [anon_sym_x_EQ] = ACTIONS(2813),
    [anon_sym_AMP_EQ] = ACTIONS(2813),
    [anon_sym_PIPE_EQ] = ACTIONS(2813),
    [anon_sym_CARET_EQ] = ACTIONS(2813),
    [anon_sym_LT_LT_EQ] = ACTIONS(2813),
    [anon_sym_GT_GT_EQ] = ACTIONS(2813),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2813),
    [anon_sym_DOT_DOT] = ACTIONS(2815),
    [anon_sym_STAR_STAR] = ACTIONS(2815),
    [anon_sym_PIPE_PIPE] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH] = ACTIONS(2815),
    [anon_sym_CARET_CARET] = ACTIONS(2813),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_PIPE] = ACTIONS(2815),
    [anon_sym_CARET] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_GT_GT2] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_SLASH] = ACTIONS(2815),
    [anon_sym_x] = ACTIONS(2815),
    [anon_sym_EQ_TILDE] = ACTIONS(2813),
    [anon_sym_BANG_TILDE] = ACTIONS(2813),
    [anon_sym_EQ_EQ] = ACTIONS(2815),
    [anon_sym_BANG_EQ] = ACTIONS(2813),
    [anon_sym_eq] = ACTIONS(2815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2813),
    [anon_sym_equ] = ACTIONS(2813),
    [anon_sym_eqr] = ACTIONS(2813),
    [anon_sym_ne] = ACTIONS(2813),
    [anon_sym_LT_EQ_GT] = ACTIONS(2813),
    [anon_sym_cmp] = ACTIONS(2813),
    [anon_sym_TILDE_TILDE] = ACTIONS(2813),
    [anon_sym_LT_EQ] = ACTIONS(2815),
    [anon_sym_GT_EQ] = ACTIONS(2813),
    [anon_sym_lt] = ACTIONS(2813),
    [anon_sym_le] = ACTIONS(2813),
    [anon_sym_ge] = ACTIONS(2813),
    [anon_sym_gt] = ACTIONS(2813),
    [anon_sym_isa] = ACTIONS(2813),
    [anon_sym_PLUS_PLUS] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2813),
    [anon_sym_QMARK] = ACTIONS(2813),
    [anon_sym_PERCENT2] = ACTIONS(2813),
    [anon_sym_EQ_GT] = ACTIONS(2813),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1666] = {
    [sym_heredoc_content] = STATE(1666),
    [anon_sym_COLON] = ACTIONS(2821),
    [anon_sym_DOLLAR] = ACTIONS(2821),
    [anon_sym_EQ] = ACTIONS(2823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2821),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2821),
    [anon_sym_AT] = ACTIONS(2821),
    [anon_sym_COMMA] = ACTIONS(2821),
    [anon_sym_RPAREN] = ACTIONS(2821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2821),
    [anon_sym_DASH_GT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2823),
    [anon_sym_LT] = ACTIONS(2823),
    [anon_sym_GT] = ACTIONS(2823),
    [anon_sym_LT_LT] = ACTIONS(2823),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2821),
    [anon_sym_PLUS_EQ] = ACTIONS(2821),
    [anon_sym_DASH_EQ] = ACTIONS(2821),
    [anon_sym_DOT_EQ] = ACTIONS(2821),
    [anon_sym_STAR_EQ] = ACTIONS(2821),
    [anon_sym_SLASH_EQ] = ACTIONS(2821),
    [anon_sym_PERCENT_EQ] = ACTIONS(2823),
    [anon_sym_x_EQ] = ACTIONS(2821),
    [anon_sym_AMP_EQ] = ACTIONS(2821),
    [anon_sym_PIPE_EQ] = ACTIONS(2821),
    [anon_sym_CARET_EQ] = ACTIONS(2821),
    [anon_sym_LT_LT_EQ] = ACTIONS(2821),
    [anon_sym_GT_GT_EQ] = ACTIONS(2821),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2821),
    [anon_sym_DOT_DOT] = ACTIONS(2823),
    [anon_sym_STAR_STAR] = ACTIONS(2823),
    [anon_sym_PIPE_PIPE] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH] = ACTIONS(2823),
    [anon_sym_CARET_CARET] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_PIPE] = ACTIONS(2823),
    [anon_sym_CARET] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_GT_GT2] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_DOT] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_SLASH] = ACTIONS(2823),
    [anon_sym_x] = ACTIONS(2823),
    [anon_sym_EQ_TILDE] = ACTIONS(2821),
    [anon_sym_BANG_TILDE] = ACTIONS(2821),
    [anon_sym_EQ_EQ] = ACTIONS(2823),
    [anon_sym_BANG_EQ] = ACTIONS(2821),
    [anon_sym_eq] = ACTIONS(2823),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2821),
    [anon_sym_equ] = ACTIONS(2821),
    [anon_sym_eqr] = ACTIONS(2821),
    [anon_sym_ne] = ACTIONS(2821),
    [anon_sym_LT_EQ_GT] = ACTIONS(2821),
    [anon_sym_cmp] = ACTIONS(2821),
    [anon_sym_TILDE_TILDE] = ACTIONS(2821),
    [anon_sym_LT_EQ] = ACTIONS(2823),
    [anon_sym_GT_EQ] = ACTIONS(2821),
    [anon_sym_lt] = ACTIONS(2821),
    [anon_sym_le] = ACTIONS(2821),
    [anon_sym_ge] = ACTIONS(2821),
    [anon_sym_gt] = ACTIONS(2821),
    [anon_sym_isa] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2821),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_PERCENT2] = ACTIONS(2821),
    [anon_sym_EQ_GT] = ACTIONS(2821),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1667] = {
    [sym_heredoc_content] = STATE(1667),
    [anon_sym_LBRACE] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2382),
    [anon_sym_EQ] = ACTIONS(2384),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2382),
    [anon_sym_COMMA] = ACTIONS(2382),
    [anon_sym_LPAREN] = ACTIONS(2382),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2382),
    [anon_sym_LBRACK] = ACTIONS(2382),
    [anon_sym_DASH_GT] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2384),
    [anon_sym_LT] = ACTIONS(2384),
    [anon_sym_GT] = ACTIONS(2384),
    [anon_sym_LT_LT] = ACTIONS(2384),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2382),
    [anon_sym_PLUS_EQ] = ACTIONS(2382),
    [anon_sym_DASH_EQ] = ACTIONS(2382),
    [anon_sym_DOT_EQ] = ACTIONS(2382),
    [anon_sym_STAR_EQ] = ACTIONS(2382),
    [anon_sym_SLASH_EQ] = ACTIONS(2382),
    [anon_sym_PERCENT_EQ] = ACTIONS(2382),
    [anon_sym_x_EQ] = ACTIONS(2382),
    [anon_sym_AMP_EQ] = ACTIONS(2382),
    [anon_sym_PIPE_EQ] = ACTIONS(2382),
    [anon_sym_CARET_EQ] = ACTIONS(2382),
    [anon_sym_LT_LT_EQ] = ACTIONS(2382),
    [anon_sym_GT_GT_EQ] = ACTIONS(2382),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2382),
    [anon_sym_DOT_DOT] = ACTIONS(2384),
    [anon_sym_STAR_STAR] = ACTIONS(2384),
    [anon_sym_PIPE_PIPE] = ACTIONS(2384),
    [anon_sym_SLASH_SLASH] = ACTIONS(2384),
    [anon_sym_CARET_CARET] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(2384),
    [anon_sym_PIPE] = ACTIONS(2384),
    [anon_sym_CARET] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_GT_GT2] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_DASH] = ACTIONS(2384),
    [anon_sym_DOT] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_SLASH] = ACTIONS(2384),
    [anon_sym_x] = ACTIONS(2384),
    [anon_sym_EQ_TILDE] = ACTIONS(2382),
    [anon_sym_BANG_TILDE] = ACTIONS(2382),
    [anon_sym_EQ_EQ] = ACTIONS(2384),
    [anon_sym_BANG_EQ] = ACTIONS(2382),
    [anon_sym_eq] = ACTIONS(2384),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2382),
    [anon_sym_equ] = ACTIONS(2382),
    [anon_sym_eqr] = ACTIONS(2382),
    [anon_sym_ne] = ACTIONS(2382),
    [anon_sym_LT_EQ_GT] = ACTIONS(2382),
    [anon_sym_cmp] = ACTIONS(2382),
    [anon_sym_TILDE_TILDE] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2384),
    [anon_sym_GT_EQ] = ACTIONS(2382),
    [anon_sym_lt] = ACTIONS(2382),
    [anon_sym_le] = ACTIONS(2382),
    [anon_sym_ge] = ACTIONS(2382),
    [anon_sym_gt] = ACTIONS(2382),
    [anon_sym_isa] = ACTIONS(2382),
    [anon_sym_PLUS_PLUS] = ACTIONS(2382),
    [anon_sym_DASH_DASH] = ACTIONS(2382),
    [anon_sym_QMARK] = ACTIONS(2382),
    [anon_sym_EQ_GT] = ACTIONS(2382),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2382),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1668] = {
    [sym_heredoc_content] = STATE(1668),
    [anon_sym_COLON] = ACTIONS(2829),
    [anon_sym_DOLLAR] = ACTIONS(2829),
    [anon_sym_EQ] = ACTIONS(2831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2829),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2829),
    [anon_sym_AT] = ACTIONS(2829),
    [anon_sym_COMMA] = ACTIONS(2829),
    [anon_sym_RPAREN] = ACTIONS(2829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2829),
    [anon_sym_DASH_GT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(2831),
    [anon_sym_LT] = ACTIONS(2831),
    [anon_sym_GT] = ACTIONS(2831),
    [anon_sym_LT_LT] = ACTIONS(2831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2829),
    [anon_sym_PLUS_EQ] = ACTIONS(2829),
    [anon_sym_DASH_EQ] = ACTIONS(2829),
    [anon_sym_DOT_EQ] = ACTIONS(2829),
    [anon_sym_STAR_EQ] = ACTIONS(2829),
    [anon_sym_SLASH_EQ] = ACTIONS(2829),
    [anon_sym_PERCENT_EQ] = ACTIONS(2831),
    [anon_sym_x_EQ] = ACTIONS(2829),
    [anon_sym_AMP_EQ] = ACTIONS(2829),
    [anon_sym_PIPE_EQ] = ACTIONS(2829),
    [anon_sym_CARET_EQ] = ACTIONS(2829),
    [anon_sym_LT_LT_EQ] = ACTIONS(2829),
    [anon_sym_GT_GT_EQ] = ACTIONS(2829),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2829),
    [anon_sym_DOT_DOT] = ACTIONS(2831),
    [anon_sym_STAR_STAR] = ACTIONS(2831),
    [anon_sym_PIPE_PIPE] = ACTIONS(2831),
    [anon_sym_SLASH_SLASH] = ACTIONS(2831),
    [anon_sym_CARET_CARET] = ACTIONS(2829),
    [anon_sym_AMP_AMP] = ACTIONS(2831),
    [anon_sym_PIPE] = ACTIONS(2831),
    [anon_sym_CARET] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2831),
    [anon_sym_GT_GT2] = ACTIONS(2831),
    [anon_sym_PLUS] = ACTIONS(2831),
    [anon_sym_DASH] = ACTIONS(2831),
    [anon_sym_DOT] = ACTIONS(2831),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_SLASH] = ACTIONS(2831),
    [anon_sym_x] = ACTIONS(2831),
    [anon_sym_EQ_TILDE] = ACTIONS(2829),
    [anon_sym_BANG_TILDE] = ACTIONS(2829),
    [anon_sym_EQ_EQ] = ACTIONS(2831),
    [anon_sym_BANG_EQ] = ACTIONS(2829),
    [anon_sym_eq] = ACTIONS(2831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2829),
    [anon_sym_equ] = ACTIONS(2829),
    [anon_sym_eqr] = ACTIONS(2829),
    [anon_sym_ne] = ACTIONS(2829),
    [anon_sym_LT_EQ_GT] = ACTIONS(2829),
    [anon_sym_cmp] = ACTIONS(2829),
    [anon_sym_TILDE_TILDE] = ACTIONS(2829),
    [anon_sym_LT_EQ] = ACTIONS(2831),
    [anon_sym_GT_EQ] = ACTIONS(2829),
    [anon_sym_lt] = ACTIONS(2829),
    [anon_sym_le] = ACTIONS(2829),
    [anon_sym_ge] = ACTIONS(2829),
    [anon_sym_gt] = ACTIONS(2829),
    [anon_sym_isa] = ACTIONS(2829),
    [anon_sym_PLUS_PLUS] = ACTIONS(2829),
    [anon_sym_DASH_DASH] = ACTIONS(2829),
    [anon_sym_QMARK] = ACTIONS(2829),
    [anon_sym_PERCENT2] = ACTIONS(2829),
    [anon_sym_EQ_GT] = ACTIONS(2829),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1669] = {
    [sym_heredoc_content] = STATE(1669),
    [anon_sym_LBRACE] = ACTIONS(2386),
    [anon_sym_SEMI] = ACTIONS(2386),
    [anon_sym_EQ] = ACTIONS(2388),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2386),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2386),
    [anon_sym_COMMA] = ACTIONS(2386),
    [anon_sym_LPAREN] = ACTIONS(2386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2386),
    [anon_sym_LBRACK] = ACTIONS(2386),
    [anon_sym_DASH_GT] = ACTIONS(2386),
    [anon_sym_PERCENT] = ACTIONS(2388),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_GT] = ACTIONS(2388),
    [anon_sym_LT_LT] = ACTIONS(2388),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2386),
    [anon_sym_PLUS_EQ] = ACTIONS(2386),
    [anon_sym_DASH_EQ] = ACTIONS(2386),
    [anon_sym_DOT_EQ] = ACTIONS(2386),
    [anon_sym_STAR_EQ] = ACTIONS(2386),
    [anon_sym_SLASH_EQ] = ACTIONS(2386),
    [anon_sym_PERCENT_EQ] = ACTIONS(2386),
    [anon_sym_x_EQ] = ACTIONS(2386),
    [anon_sym_AMP_EQ] = ACTIONS(2386),
    [anon_sym_PIPE_EQ] = ACTIONS(2386),
    [anon_sym_CARET_EQ] = ACTIONS(2386),
    [anon_sym_LT_LT_EQ] = ACTIONS(2386),
    [anon_sym_GT_GT_EQ] = ACTIONS(2386),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2386),
    [anon_sym_DOT_DOT] = ACTIONS(2388),
    [anon_sym_STAR_STAR] = ACTIONS(2388),
    [anon_sym_PIPE_PIPE] = ACTIONS(2388),
    [anon_sym_SLASH_SLASH] = ACTIONS(2388),
    [anon_sym_CARET_CARET] = ACTIONS(2386),
    [anon_sym_AMP_AMP] = ACTIONS(2388),
    [anon_sym_PIPE] = ACTIONS(2388),
    [anon_sym_CARET] = ACTIONS(2388),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym_GT_GT2] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2388),
    [anon_sym_DASH] = ACTIONS(2388),
    [anon_sym_DOT] = ACTIONS(2388),
    [anon_sym_STAR] = ACTIONS(2388),
    [anon_sym_SLASH] = ACTIONS(2388),
    [anon_sym_x] = ACTIONS(2388),
    [anon_sym_EQ_TILDE] = ACTIONS(2386),
    [anon_sym_BANG_TILDE] = ACTIONS(2386),
    [anon_sym_EQ_EQ] = ACTIONS(2388),
    [anon_sym_BANG_EQ] = ACTIONS(2386),
    [anon_sym_eq] = ACTIONS(2388),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2386),
    [anon_sym_equ] = ACTIONS(2386),
    [anon_sym_eqr] = ACTIONS(2386),
    [anon_sym_ne] = ACTIONS(2386),
    [anon_sym_LT_EQ_GT] = ACTIONS(2386),
    [anon_sym_cmp] = ACTIONS(2386),
    [anon_sym_TILDE_TILDE] = ACTIONS(2386),
    [anon_sym_LT_EQ] = ACTIONS(2388),
    [anon_sym_GT_EQ] = ACTIONS(2386),
    [anon_sym_lt] = ACTIONS(2386),
    [anon_sym_le] = ACTIONS(2386),
    [anon_sym_ge] = ACTIONS(2386),
    [anon_sym_gt] = ACTIONS(2386),
    [anon_sym_isa] = ACTIONS(2386),
    [anon_sym_PLUS_PLUS] = ACTIONS(2386),
    [anon_sym_DASH_DASH] = ACTIONS(2386),
    [anon_sym_QMARK] = ACTIONS(2386),
    [anon_sym_EQ_GT] = ACTIONS(2386),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2386),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1670] = {
    [sym_heredoc_content] = STATE(1670),
    [anon_sym_LBRACE] = ACTIONS(2390),
    [anon_sym_SEMI] = ACTIONS(2390),
    [anon_sym_EQ] = ACTIONS(2392),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2390),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2390),
    [anon_sym_COMMA] = ACTIONS(2390),
    [anon_sym_LPAREN] = ACTIONS(2390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2390),
    [anon_sym_LBRACK] = ACTIONS(2390),
    [anon_sym_DASH_GT] = ACTIONS(2390),
    [anon_sym_PERCENT] = ACTIONS(2392),
    [anon_sym_LT] = ACTIONS(2392),
    [anon_sym_GT] = ACTIONS(2392),
    [anon_sym_LT_LT] = ACTIONS(2392),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2390),
    [anon_sym_PLUS_EQ] = ACTIONS(2390),
    [anon_sym_DASH_EQ] = ACTIONS(2390),
    [anon_sym_DOT_EQ] = ACTIONS(2390),
    [anon_sym_STAR_EQ] = ACTIONS(2390),
    [anon_sym_SLASH_EQ] = ACTIONS(2390),
    [anon_sym_PERCENT_EQ] = ACTIONS(2390),
    [anon_sym_x_EQ] = ACTIONS(2390),
    [anon_sym_AMP_EQ] = ACTIONS(2390),
    [anon_sym_PIPE_EQ] = ACTIONS(2390),
    [anon_sym_CARET_EQ] = ACTIONS(2390),
    [anon_sym_LT_LT_EQ] = ACTIONS(2390),
    [anon_sym_GT_GT_EQ] = ACTIONS(2390),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2390),
    [anon_sym_DOT_DOT] = ACTIONS(2392),
    [anon_sym_STAR_STAR] = ACTIONS(2392),
    [anon_sym_PIPE_PIPE] = ACTIONS(2392),
    [anon_sym_SLASH_SLASH] = ACTIONS(2392),
    [anon_sym_CARET_CARET] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(2392),
    [anon_sym_PIPE] = ACTIONS(2392),
    [anon_sym_CARET] = ACTIONS(2392),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym_GT_GT2] = ACTIONS(2392),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_DASH] = ACTIONS(2392),
    [anon_sym_DOT] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2392),
    [anon_sym_SLASH] = ACTIONS(2392),
    [anon_sym_x] = ACTIONS(2392),
    [anon_sym_EQ_TILDE] = ACTIONS(2390),
    [anon_sym_BANG_TILDE] = ACTIONS(2390),
    [anon_sym_EQ_EQ] = ACTIONS(2392),
    [anon_sym_BANG_EQ] = ACTIONS(2390),
    [anon_sym_eq] = ACTIONS(2392),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2390),
    [anon_sym_equ] = ACTIONS(2390),
    [anon_sym_eqr] = ACTIONS(2390),
    [anon_sym_ne] = ACTIONS(2390),
    [anon_sym_LT_EQ_GT] = ACTIONS(2390),
    [anon_sym_cmp] = ACTIONS(2390),
    [anon_sym_TILDE_TILDE] = ACTIONS(2390),
    [anon_sym_LT_EQ] = ACTIONS(2392),
    [anon_sym_GT_EQ] = ACTIONS(2390),
    [anon_sym_lt] = ACTIONS(2390),
    [anon_sym_le] = ACTIONS(2390),
    [anon_sym_ge] = ACTIONS(2390),
    [anon_sym_gt] = ACTIONS(2390),
    [anon_sym_isa] = ACTIONS(2390),
    [anon_sym_PLUS_PLUS] = ACTIONS(2390),
    [anon_sym_DASH_DASH] = ACTIONS(2390),
    [anon_sym_QMARK] = ACTIONS(2390),
    [anon_sym_EQ_GT] = ACTIONS(2390),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2390),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1671] = {
    [sym_heredoc_content] = STATE(1671),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym_EQ] = ACTIONS(2372),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2370),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_DASH_GT] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2372),
    [anon_sym_LT] = ACTIONS(2372),
    [anon_sym_GT] = ACTIONS(2372),
    [anon_sym_LT_LT] = ACTIONS(2372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2370),
    [anon_sym_PLUS_EQ] = ACTIONS(2370),
    [anon_sym_DASH_EQ] = ACTIONS(2370),
    [anon_sym_DOT_EQ] = ACTIONS(2370),
    [anon_sym_STAR_EQ] = ACTIONS(2370),
    [anon_sym_SLASH_EQ] = ACTIONS(2370),
    [anon_sym_PERCENT_EQ] = ACTIONS(2370),
    [anon_sym_x_EQ] = ACTIONS(2370),
    [anon_sym_AMP_EQ] = ACTIONS(2370),
    [anon_sym_PIPE_EQ] = ACTIONS(2370),
    [anon_sym_CARET_EQ] = ACTIONS(2370),
    [anon_sym_LT_LT_EQ] = ACTIONS(2370),
    [anon_sym_GT_GT_EQ] = ACTIONS(2370),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2370),
    [anon_sym_DOT_DOT] = ACTIONS(2372),
    [anon_sym_STAR_STAR] = ACTIONS(2372),
    [anon_sym_PIPE_PIPE] = ACTIONS(2372),
    [anon_sym_SLASH_SLASH] = ACTIONS(2372),
    [anon_sym_CARET_CARET] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2372),
    [anon_sym_PIPE] = ACTIONS(2372),
    [anon_sym_CARET] = ACTIONS(2372),
    [anon_sym_AMP] = ACTIONS(2372),
    [anon_sym_GT_GT2] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_DASH] = ACTIONS(2372),
    [anon_sym_DOT] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2372),
    [anon_sym_SLASH] = ACTIONS(2372),
    [anon_sym_x] = ACTIONS(2372),
    [anon_sym_EQ_TILDE] = ACTIONS(2370),
    [anon_sym_BANG_TILDE] = ACTIONS(2370),
    [anon_sym_EQ_EQ] = ACTIONS(2372),
    [anon_sym_BANG_EQ] = ACTIONS(2370),
    [anon_sym_eq] = ACTIONS(2372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2370),
    [anon_sym_equ] = ACTIONS(2370),
    [anon_sym_eqr] = ACTIONS(2370),
    [anon_sym_ne] = ACTIONS(2370),
    [anon_sym_LT_EQ_GT] = ACTIONS(2370),
    [anon_sym_cmp] = ACTIONS(2370),
    [anon_sym_TILDE_TILDE] = ACTIONS(2370),
    [anon_sym_LT_EQ] = ACTIONS(2372),
    [anon_sym_GT_EQ] = ACTIONS(2370),
    [anon_sym_lt] = ACTIONS(2370),
    [anon_sym_le] = ACTIONS(2370),
    [anon_sym_ge] = ACTIONS(2370),
    [anon_sym_gt] = ACTIONS(2370),
    [anon_sym_isa] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_EQ_GT] = ACTIONS(2370),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2370),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1672] = {
    [sym_heredoc_content] = STATE(1672),
    [anon_sym_COLON] = ACTIONS(2885),
    [anon_sym_DOLLAR] = ACTIONS(2885),
    [anon_sym_EQ] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2885),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2885),
    [anon_sym_AT] = ACTIONS(2885),
    [anon_sym_COMMA] = ACTIONS(2885),
    [anon_sym_RPAREN] = ACTIONS(2885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2885),
    [anon_sym_DASH_GT] = ACTIONS(2885),
    [anon_sym_PERCENT] = ACTIONS(2887),
    [anon_sym_LT] = ACTIONS(2887),
    [anon_sym_GT] = ACTIONS(2887),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2885),
    [anon_sym_PLUS_EQ] = ACTIONS(2885),
    [anon_sym_DASH_EQ] = ACTIONS(2885),
    [anon_sym_DOT_EQ] = ACTIONS(2885),
    [anon_sym_STAR_EQ] = ACTIONS(2885),
    [anon_sym_SLASH_EQ] = ACTIONS(2885),
    [anon_sym_PERCENT_EQ] = ACTIONS(2887),
    [anon_sym_x_EQ] = ACTIONS(2885),
    [anon_sym_AMP_EQ] = ACTIONS(2885),
    [anon_sym_PIPE_EQ] = ACTIONS(2885),
    [anon_sym_CARET_EQ] = ACTIONS(2885),
    [anon_sym_LT_LT_EQ] = ACTIONS(2885),
    [anon_sym_GT_GT_EQ] = ACTIONS(2885),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2885),
    [anon_sym_DOT_DOT] = ACTIONS(2887),
    [anon_sym_STAR_STAR] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE] = ACTIONS(2887),
    [anon_sym_SLASH_SLASH] = ACTIONS(2887),
    [anon_sym_CARET_CARET] = ACTIONS(2885),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_PIPE] = ACTIONS(2887),
    [anon_sym_CARET] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_GT_GT2] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_DOT] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_SLASH] = ACTIONS(2887),
    [anon_sym_x] = ACTIONS(2887),
    [anon_sym_EQ_TILDE] = ACTIONS(2885),
    [anon_sym_BANG_TILDE] = ACTIONS(2885),
    [anon_sym_EQ_EQ] = ACTIONS(2887),
    [anon_sym_BANG_EQ] = ACTIONS(2885),
    [anon_sym_eq] = ACTIONS(2887),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2885),
    [anon_sym_equ] = ACTIONS(2885),
    [anon_sym_eqr] = ACTIONS(2885),
    [anon_sym_ne] = ACTIONS(2885),
    [anon_sym_LT_EQ_GT] = ACTIONS(2885),
    [anon_sym_cmp] = ACTIONS(2885),
    [anon_sym_TILDE_TILDE] = ACTIONS(2885),
    [anon_sym_LT_EQ] = ACTIONS(2887),
    [anon_sym_GT_EQ] = ACTIONS(2885),
    [anon_sym_lt] = ACTIONS(2885),
    [anon_sym_le] = ACTIONS(2885),
    [anon_sym_ge] = ACTIONS(2885),
    [anon_sym_gt] = ACTIONS(2885),
    [anon_sym_isa] = ACTIONS(2885),
    [anon_sym_PLUS_PLUS] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2885),
    [anon_sym_QMARK] = ACTIONS(2885),
    [anon_sym_PERCENT2] = ACTIONS(2885),
    [anon_sym_EQ_GT] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1673] = {
    [sym_heredoc_content] = STATE(1673),
    [anon_sym_COLON] = ACTIONS(2925),
    [anon_sym_DOLLAR] = ACTIONS(2925),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2925),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2925),
    [anon_sym_AT] = ACTIONS(2925),
    [anon_sym_COMMA] = ACTIONS(2925),
    [anon_sym_RPAREN] = ACTIONS(2925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2925),
    [anon_sym_DASH_GT] = ACTIONS(2925),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LT_LT] = ACTIONS(2927),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2925),
    [anon_sym_PLUS_EQ] = ACTIONS(2925),
    [anon_sym_DASH_EQ] = ACTIONS(2925),
    [anon_sym_DOT_EQ] = ACTIONS(2925),
    [anon_sym_STAR_EQ] = ACTIONS(2925),
    [anon_sym_SLASH_EQ] = ACTIONS(2925),
    [anon_sym_PERCENT_EQ] = ACTIONS(2927),
    [anon_sym_x_EQ] = ACTIONS(2925),
    [anon_sym_AMP_EQ] = ACTIONS(2925),
    [anon_sym_PIPE_EQ] = ACTIONS(2925),
    [anon_sym_CARET_EQ] = ACTIONS(2925),
    [anon_sym_LT_LT_EQ] = ACTIONS(2925),
    [anon_sym_GT_GT_EQ] = ACTIONS(2925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2925),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_STAR_STAR] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2927),
    [anon_sym_SLASH_SLASH] = ACTIONS(2927),
    [anon_sym_CARET_CARET] = ACTIONS(2925),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_PIPE] = ACTIONS(2927),
    [anon_sym_CARET] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2927),
    [anon_sym_GT_GT2] = ACTIONS(2927),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_x] = ACTIONS(2927),
    [anon_sym_EQ_TILDE] = ACTIONS(2925),
    [anon_sym_BANG_TILDE] = ACTIONS(2925),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ] = ACTIONS(2925),
    [anon_sym_eq] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2925),
    [anon_sym_equ] = ACTIONS(2925),
    [anon_sym_eqr] = ACTIONS(2925),
    [anon_sym_ne] = ACTIONS(2925),
    [anon_sym_LT_EQ_GT] = ACTIONS(2925),
    [anon_sym_cmp] = ACTIONS(2925),
    [anon_sym_TILDE_TILDE] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2927),
    [anon_sym_GT_EQ] = ACTIONS(2925),
    [anon_sym_lt] = ACTIONS(2925),
    [anon_sym_le] = ACTIONS(2925),
    [anon_sym_ge] = ACTIONS(2925),
    [anon_sym_gt] = ACTIONS(2925),
    [anon_sym_isa] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [anon_sym_QMARK] = ACTIONS(2925),
    [anon_sym_PERCENT2] = ACTIONS(2925),
    [anon_sym_EQ_GT] = ACTIONS(2925),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1674] = {
    [sym_heredoc_content] = STATE(1674),
    [anon_sym_COLON] = ACTIONS(2933),
    [anon_sym_DOLLAR] = ACTIONS(2933),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2933),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2933),
    [anon_sym_AT] = ACTIONS(2933),
    [anon_sym_COMMA] = ACTIONS(2933),
    [anon_sym_RPAREN] = ACTIONS(2933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2933),
    [anon_sym_DASH_GT] = ACTIONS(2933),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LT_LT] = ACTIONS(2935),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2933),
    [anon_sym_PLUS_EQ] = ACTIONS(2933),
    [anon_sym_DASH_EQ] = ACTIONS(2933),
    [anon_sym_DOT_EQ] = ACTIONS(2933),
    [anon_sym_STAR_EQ] = ACTIONS(2933),
    [anon_sym_SLASH_EQ] = ACTIONS(2933),
    [anon_sym_PERCENT_EQ] = ACTIONS(2935),
    [anon_sym_x_EQ] = ACTIONS(2933),
    [anon_sym_AMP_EQ] = ACTIONS(2933),
    [anon_sym_PIPE_EQ] = ACTIONS(2933),
    [anon_sym_CARET_EQ] = ACTIONS(2933),
    [anon_sym_LT_LT_EQ] = ACTIONS(2933),
    [anon_sym_GT_GT_EQ] = ACTIONS(2933),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2933),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_STAR_STAR] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2935),
    [anon_sym_SLASH_SLASH] = ACTIONS(2935),
    [anon_sym_CARET_CARET] = ACTIONS(2933),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_PIPE] = ACTIONS(2935),
    [anon_sym_CARET] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_GT_GT2] = ACTIONS(2935),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_x] = ACTIONS(2935),
    [anon_sym_EQ_TILDE] = ACTIONS(2933),
    [anon_sym_BANG_TILDE] = ACTIONS(2933),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ] = ACTIONS(2933),
    [anon_sym_eq] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2933),
    [anon_sym_equ] = ACTIONS(2933),
    [anon_sym_eqr] = ACTIONS(2933),
    [anon_sym_ne] = ACTIONS(2933),
    [anon_sym_LT_EQ_GT] = ACTIONS(2933),
    [anon_sym_cmp] = ACTIONS(2933),
    [anon_sym_TILDE_TILDE] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2935),
    [anon_sym_GT_EQ] = ACTIONS(2933),
    [anon_sym_lt] = ACTIONS(2933),
    [anon_sym_le] = ACTIONS(2933),
    [anon_sym_ge] = ACTIONS(2933),
    [anon_sym_gt] = ACTIONS(2933),
    [anon_sym_isa] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_QMARK] = ACTIONS(2933),
    [anon_sym_PERCENT2] = ACTIONS(2933),
    [anon_sym_EQ_GT] = ACTIONS(2933),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1675] = {
    [sym_heredoc_content] = STATE(1675),
    [anon_sym_COLON] = ACTIONS(2985),
    [anon_sym_DOLLAR] = ACTIONS(2985),
    [anon_sym_EQ] = ACTIONS(2987),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_AT] = ACTIONS(2985),
    [anon_sym_COMMA] = ACTIONS(2985),
    [anon_sym_RPAREN] = ACTIONS(2985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2985),
    [anon_sym_DASH_GT] = ACTIONS(2985),
    [anon_sym_PERCENT] = ACTIONS(2987),
    [anon_sym_LT] = ACTIONS(2987),
    [anon_sym_GT] = ACTIONS(2987),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_DOT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2987),
    [anon_sym_x_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_DOT_DOT] = ACTIONS(2987),
    [anon_sym_STAR_STAR] = ACTIONS(2987),
    [anon_sym_PIPE_PIPE] = ACTIONS(2987),
    [anon_sym_SLASH_SLASH] = ACTIONS(2987),
    [anon_sym_CARET_CARET] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_PIPE] = ACTIONS(2987),
    [anon_sym_CARET] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_GT_GT2] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_DOT] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_SLASH] = ACTIONS(2987),
    [anon_sym_x] = ACTIONS(2987),
    [anon_sym_EQ_TILDE] = ACTIONS(2985),
    [anon_sym_BANG_TILDE] = ACTIONS(2985),
    [anon_sym_EQ_EQ] = ACTIONS(2987),
    [anon_sym_BANG_EQ] = ACTIONS(2985),
    [anon_sym_eq] = ACTIONS(2987),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2985),
    [anon_sym_equ] = ACTIONS(2985),
    [anon_sym_eqr] = ACTIONS(2985),
    [anon_sym_ne] = ACTIONS(2985),
    [anon_sym_LT_EQ_GT] = ACTIONS(2985),
    [anon_sym_cmp] = ACTIONS(2985),
    [anon_sym_TILDE_TILDE] = ACTIONS(2985),
    [anon_sym_LT_EQ] = ACTIONS(2987),
    [anon_sym_GT_EQ] = ACTIONS(2985),
    [anon_sym_lt] = ACTIONS(2985),
    [anon_sym_le] = ACTIONS(2985),
    [anon_sym_ge] = ACTIONS(2985),
    [anon_sym_gt] = ACTIONS(2985),
    [anon_sym_isa] = ACTIONS(2985),
    [anon_sym_PLUS_PLUS] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(2985),
    [anon_sym_PERCENT2] = ACTIONS(2985),
    [anon_sym_EQ_GT] = ACTIONS(2985),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1676] = {
    [sym_heredoc_content] = STATE(1676),
    [anon_sym_COLON] = ACTIONS(2937),
    [anon_sym_DOLLAR] = ACTIONS(2937),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_AT] = ACTIONS(2937),
    [anon_sym_COMMA] = ACTIONS(2937),
    [anon_sym_RPAREN] = ACTIONS(2937),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2937),
    [anon_sym_DASH_GT] = ACTIONS(2937),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LT_LT] = ACTIONS(2939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_DOT_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2939),
    [anon_sym_x_EQ] = ACTIONS(2937),
    [anon_sym_AMP_EQ] = ACTIONS(2937),
    [anon_sym_PIPE_EQ] = ACTIONS(2937),
    [anon_sym_CARET_EQ] = ACTIONS(2937),
    [anon_sym_LT_LT_EQ] = ACTIONS(2937),
    [anon_sym_GT_GT_EQ] = ACTIONS(2937),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_STAR_STAR] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2939),
    [anon_sym_SLASH_SLASH] = ACTIONS(2939),
    [anon_sym_CARET_CARET] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_PIPE] = ACTIONS(2939),
    [anon_sym_CARET] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2939),
    [anon_sym_GT_GT2] = ACTIONS(2939),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_x] = ACTIONS(2939),
    [anon_sym_EQ_TILDE] = ACTIONS(2937),
    [anon_sym_BANG_TILDE] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ] = ACTIONS(2937),
    [anon_sym_eq] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_equ] = ACTIONS(2937),
    [anon_sym_eqr] = ACTIONS(2937),
    [anon_sym_ne] = ACTIONS(2937),
    [anon_sym_LT_EQ_GT] = ACTIONS(2937),
    [anon_sym_cmp] = ACTIONS(2937),
    [anon_sym_TILDE_TILDE] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2939),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_lt] = ACTIONS(2937),
    [anon_sym_le] = ACTIONS(2937),
    [anon_sym_ge] = ACTIONS(2937),
    [anon_sym_gt] = ACTIONS(2937),
    [anon_sym_isa] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_QMARK] = ACTIONS(2937),
    [anon_sym_PERCENT2] = ACTIONS(2937),
    [anon_sym_EQ_GT] = ACTIONS(2937),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1677] = {
    [sym_heredoc_content] = STATE(1677),
    [anon_sym_COLON] = ACTIONS(2797),
    [anon_sym_DOLLAR] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_AT] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2797),
    [anon_sym_RPAREN] = ACTIONS(2797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2797),
    [anon_sym_DASH_GT] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2799),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_GT] = ACTIONS(2799),
    [anon_sym_LT_LT] = ACTIONS(2799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2797),
    [anon_sym_PLUS_EQ] = ACTIONS(2797),
    [anon_sym_DASH_EQ] = ACTIONS(2797),
    [anon_sym_DOT_EQ] = ACTIONS(2797),
    [anon_sym_STAR_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_PERCENT_EQ] = ACTIONS(2799),
    [anon_sym_x_EQ] = ACTIONS(2797),
    [anon_sym_AMP_EQ] = ACTIONS(2797),
    [anon_sym_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_CARET_EQ] = ACTIONS(2797),
    [anon_sym_LT_LT_EQ] = ACTIONS(2797),
    [anon_sym_GT_GT_EQ] = ACTIONS(2797),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2797),
    [anon_sym_DOT_DOT] = ACTIONS(2799),
    [anon_sym_STAR_STAR] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH] = ACTIONS(2799),
    [anon_sym_CARET_CARET] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_PIPE] = ACTIONS(2799),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2799),
    [anon_sym_GT_GT2] = ACTIONS(2799),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_SLASH] = ACTIONS(2799),
    [anon_sym_x] = ACTIONS(2799),
    [anon_sym_EQ_TILDE] = ACTIONS(2797),
    [anon_sym_BANG_TILDE] = ACTIONS(2797),
    [anon_sym_EQ_EQ] = ACTIONS(2799),
    [anon_sym_BANG_EQ] = ACTIONS(2797),
    [anon_sym_eq] = ACTIONS(2799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2797),
    [anon_sym_equ] = ACTIONS(2797),
    [anon_sym_eqr] = ACTIONS(2797),
    [anon_sym_ne] = ACTIONS(2797),
    [anon_sym_LT_EQ_GT] = ACTIONS(2797),
    [anon_sym_cmp] = ACTIONS(2797),
    [anon_sym_TILDE_TILDE] = ACTIONS(2797),
    [anon_sym_LT_EQ] = ACTIONS(2799),
    [anon_sym_GT_EQ] = ACTIONS(2797),
    [anon_sym_lt] = ACTIONS(2797),
    [anon_sym_le] = ACTIONS(2797),
    [anon_sym_ge] = ACTIONS(2797),
    [anon_sym_gt] = ACTIONS(2797),
    [anon_sym_isa] = ACTIONS(2797),
    [anon_sym_PLUS_PLUS] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_PERCENT2] = ACTIONS(2797),
    [anon_sym_EQ_GT] = ACTIONS(2797),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1678] = {
    [sym_heredoc_content] = STATE(1678),
    [anon_sym_COLON] = ACTIONS(3118),
    [anon_sym_DOLLAR] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_AT] = ACTIONS(3118),
    [anon_sym_COMMA] = ACTIONS(3118),
    [anon_sym_RPAREN] = ACTIONS(3118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3118),
    [anon_sym_DASH_GT] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3120),
    [anon_sym_LT] = ACTIONS(3120),
    [anon_sym_GT] = ACTIONS(3120),
    [anon_sym_LT_LT] = ACTIONS(3120),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3118),
    [anon_sym_DASH_EQ] = ACTIONS(3118),
    [anon_sym_DOT_EQ] = ACTIONS(3118),
    [anon_sym_STAR_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_PERCENT_EQ] = ACTIONS(3120),
    [anon_sym_x_EQ] = ACTIONS(3118),
    [anon_sym_AMP_EQ] = ACTIONS(3118),
    [anon_sym_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_CARET_EQ] = ACTIONS(3118),
    [anon_sym_LT_LT_EQ] = ACTIONS(3118),
    [anon_sym_GT_GT_EQ] = ACTIONS(3118),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3118),
    [anon_sym_DOT_DOT] = ACTIONS(3120),
    [anon_sym_STAR_STAR] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_SLASH_SLASH] = ACTIONS(3120),
    [anon_sym_CARET_CARET] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_PIPE] = ACTIONS(3120),
    [anon_sym_CARET] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_GT_GT2] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3120),
    [anon_sym_x] = ACTIONS(3120),
    [anon_sym_EQ_TILDE] = ACTIONS(3118),
    [anon_sym_BANG_TILDE] = ACTIONS(3118),
    [anon_sym_EQ_EQ] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_eq] = ACTIONS(3120),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3118),
    [anon_sym_equ] = ACTIONS(3118),
    [anon_sym_eqr] = ACTIONS(3118),
    [anon_sym_ne] = ACTIONS(3118),
    [anon_sym_LT_EQ_GT] = ACTIONS(3118),
    [anon_sym_cmp] = ACTIONS(3118),
    [anon_sym_TILDE_TILDE] = ACTIONS(3118),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3118),
    [anon_sym_lt] = ACTIONS(3118),
    [anon_sym_le] = ACTIONS(3118),
    [anon_sym_ge] = ACTIONS(3118),
    [anon_sym_gt] = ACTIONS(3118),
    [anon_sym_isa] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_QMARK] = ACTIONS(3118),
    [anon_sym_PERCENT2] = ACTIONS(3118),
    [anon_sym_EQ_GT] = ACTIONS(3118),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1679] = {
    [sym_heredoc_content] = STATE(1679),
    [anon_sym_COLON] = ACTIONS(3130),
    [anon_sym_DOLLAR] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3130),
    [anon_sym_COMMA] = ACTIONS(3130),
    [anon_sym_RPAREN] = ACTIONS(3130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3130),
    [anon_sym_DASH_GT] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_GT] = ACTIONS(3132),
    [anon_sym_LT_LT] = ACTIONS(3132),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3130),
    [anon_sym_DASH_EQ] = ACTIONS(3130),
    [anon_sym_DOT_EQ] = ACTIONS(3130),
    [anon_sym_STAR_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_PERCENT_EQ] = ACTIONS(3132),
    [anon_sym_x_EQ] = ACTIONS(3130),
    [anon_sym_AMP_EQ] = ACTIONS(3130),
    [anon_sym_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_CARET_EQ] = ACTIONS(3130),
    [anon_sym_LT_LT_EQ] = ACTIONS(3130),
    [anon_sym_GT_GT_EQ] = ACTIONS(3130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3130),
    [anon_sym_DOT_DOT] = ACTIONS(3132),
    [anon_sym_STAR_STAR] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_SLASH_SLASH] = ACTIONS(3132),
    [anon_sym_CARET_CARET] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3132),
    [anon_sym_CARET] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_GT_GT2] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_x] = ACTIONS(3132),
    [anon_sym_EQ_TILDE] = ACTIONS(3130),
    [anon_sym_BANG_TILDE] = ACTIONS(3130),
    [anon_sym_EQ_EQ] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_eq] = ACTIONS(3132),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3130),
    [anon_sym_equ] = ACTIONS(3130),
    [anon_sym_eqr] = ACTIONS(3130),
    [anon_sym_ne] = ACTIONS(3130),
    [anon_sym_LT_EQ_GT] = ACTIONS(3130),
    [anon_sym_cmp] = ACTIONS(3130),
    [anon_sym_TILDE_TILDE] = ACTIONS(3130),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3130),
    [anon_sym_lt] = ACTIONS(3130),
    [anon_sym_le] = ACTIONS(3130),
    [anon_sym_ge] = ACTIONS(3130),
    [anon_sym_gt] = ACTIONS(3130),
    [anon_sym_isa] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_QMARK] = ACTIONS(3130),
    [anon_sym_PERCENT2] = ACTIONS(3130),
    [anon_sym_EQ_GT] = ACTIONS(3130),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1680] = {
    [sym_heredoc_content] = STATE(1680),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2344),
    [anon_sym_EQ] = ACTIONS(2346),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2344),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2344),
    [anon_sym_COMMA] = ACTIONS(2344),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [anon_sym_DASH_GT] = ACTIONS(2344),
    [anon_sym_PERCENT] = ACTIONS(2346),
    [anon_sym_LT] = ACTIONS(2346),
    [anon_sym_GT] = ACTIONS(2346),
    [anon_sym_LT_LT] = ACTIONS(2346),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2344),
    [anon_sym_PLUS_EQ] = ACTIONS(2344),
    [anon_sym_DASH_EQ] = ACTIONS(2344),
    [anon_sym_DOT_EQ] = ACTIONS(2344),
    [anon_sym_STAR_EQ] = ACTIONS(2344),
    [anon_sym_SLASH_EQ] = ACTIONS(2344),
    [anon_sym_PERCENT_EQ] = ACTIONS(2344),
    [anon_sym_x_EQ] = ACTIONS(2344),
    [anon_sym_AMP_EQ] = ACTIONS(2344),
    [anon_sym_PIPE_EQ] = ACTIONS(2344),
    [anon_sym_CARET_EQ] = ACTIONS(2344),
    [anon_sym_LT_LT_EQ] = ACTIONS(2344),
    [anon_sym_GT_GT_EQ] = ACTIONS(2344),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2344),
    [anon_sym_DOT_DOT] = ACTIONS(2346),
    [anon_sym_STAR_STAR] = ACTIONS(2346),
    [anon_sym_PIPE_PIPE] = ACTIONS(2346),
    [anon_sym_SLASH_SLASH] = ACTIONS(2346),
    [anon_sym_CARET_CARET] = ACTIONS(2344),
    [anon_sym_AMP_AMP] = ACTIONS(2346),
    [anon_sym_PIPE] = ACTIONS(2346),
    [anon_sym_CARET] = ACTIONS(2346),
    [anon_sym_AMP] = ACTIONS(2346),
    [anon_sym_GT_GT2] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_DOT] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_x] = ACTIONS(2346),
    [anon_sym_EQ_TILDE] = ACTIONS(2344),
    [anon_sym_BANG_TILDE] = ACTIONS(2344),
    [anon_sym_EQ_EQ] = ACTIONS(2346),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_eq] = ACTIONS(2346),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2344),
    [anon_sym_equ] = ACTIONS(2344),
    [anon_sym_eqr] = ACTIONS(2344),
    [anon_sym_ne] = ACTIONS(2344),
    [anon_sym_LT_EQ_GT] = ACTIONS(2344),
    [anon_sym_cmp] = ACTIONS(2344),
    [anon_sym_TILDE_TILDE] = ACTIONS(2344),
    [anon_sym_LT_EQ] = ACTIONS(2346),
    [anon_sym_GT_EQ] = ACTIONS(2344),
    [anon_sym_lt] = ACTIONS(2344),
    [anon_sym_le] = ACTIONS(2344),
    [anon_sym_ge] = ACTIONS(2344),
    [anon_sym_gt] = ACTIONS(2344),
    [anon_sym_isa] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_QMARK] = ACTIONS(2344),
    [anon_sym_EQ_GT] = ACTIONS(2344),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2344),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1681] = {
    [sym_heredoc_content] = STATE(1681),
    [anon_sym_COLON] = ACTIONS(3134),
    [anon_sym_DOLLAR] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_AT] = ACTIONS(3134),
    [anon_sym_COMMA] = ACTIONS(3134),
    [anon_sym_RPAREN] = ACTIONS(3134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3134),
    [anon_sym_DASH_GT] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_GT] = ACTIONS(3136),
    [anon_sym_LT_LT] = ACTIONS(3136),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3134),
    [anon_sym_DASH_EQ] = ACTIONS(3134),
    [anon_sym_DOT_EQ] = ACTIONS(3134),
    [anon_sym_STAR_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_PERCENT_EQ] = ACTIONS(3136),
    [anon_sym_x_EQ] = ACTIONS(3134),
    [anon_sym_AMP_EQ] = ACTIONS(3134),
    [anon_sym_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_CARET_EQ] = ACTIONS(3134),
    [anon_sym_LT_LT_EQ] = ACTIONS(3134),
    [anon_sym_GT_GT_EQ] = ACTIONS(3134),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3134),
    [anon_sym_DOT_DOT] = ACTIONS(3136),
    [anon_sym_STAR_STAR] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_SLASH_SLASH] = ACTIONS(3136),
    [anon_sym_CARET_CARET] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_PIPE] = ACTIONS(3136),
    [anon_sym_CARET] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_GT_GT2] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_x] = ACTIONS(3136),
    [anon_sym_EQ_TILDE] = ACTIONS(3134),
    [anon_sym_BANG_TILDE] = ACTIONS(3134),
    [anon_sym_EQ_EQ] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_eq] = ACTIONS(3136),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3134),
    [anon_sym_equ] = ACTIONS(3134),
    [anon_sym_eqr] = ACTIONS(3134),
    [anon_sym_ne] = ACTIONS(3134),
    [anon_sym_LT_EQ_GT] = ACTIONS(3134),
    [anon_sym_cmp] = ACTIONS(3134),
    [anon_sym_TILDE_TILDE] = ACTIONS(3134),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3134),
    [anon_sym_lt] = ACTIONS(3134),
    [anon_sym_le] = ACTIONS(3134),
    [anon_sym_ge] = ACTIONS(3134),
    [anon_sym_gt] = ACTIONS(3134),
    [anon_sym_isa] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_QMARK] = ACTIONS(3134),
    [anon_sym_PERCENT2] = ACTIONS(3134),
    [anon_sym_EQ_GT] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1682] = {
    [sym_heredoc_content] = STATE(1682),
    [anon_sym_COLON] = ACTIONS(2761),
    [anon_sym_DOLLAR] = ACTIONS(2761),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2761),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2761),
    [anon_sym_AT] = ACTIONS(2761),
    [anon_sym_COMMA] = ACTIONS(2761),
    [anon_sym_RPAREN] = ACTIONS(2761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2761),
    [anon_sym_DASH_GT] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2763),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_GT] = ACTIONS(2763),
    [anon_sym_LT_LT] = ACTIONS(2763),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2761),
    [anon_sym_PLUS_EQ] = ACTIONS(2761),
    [anon_sym_DASH_EQ] = ACTIONS(2761),
    [anon_sym_DOT_EQ] = ACTIONS(2761),
    [anon_sym_STAR_EQ] = ACTIONS(2761),
    [anon_sym_SLASH_EQ] = ACTIONS(2761),
    [anon_sym_PERCENT_EQ] = ACTIONS(2763),
    [anon_sym_x_EQ] = ACTIONS(2761),
    [anon_sym_AMP_EQ] = ACTIONS(2761),
    [anon_sym_PIPE_EQ] = ACTIONS(2761),
    [anon_sym_CARET_EQ] = ACTIONS(2761),
    [anon_sym_LT_LT_EQ] = ACTIONS(2761),
    [anon_sym_GT_GT_EQ] = ACTIONS(2761),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2761),
    [anon_sym_DOT_DOT] = ACTIONS(2763),
    [anon_sym_STAR_STAR] = ACTIONS(2763),
    [anon_sym_PIPE_PIPE] = ACTIONS(2763),
    [anon_sym_SLASH_SLASH] = ACTIONS(2763),
    [anon_sym_CARET_CARET] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2763),
    [anon_sym_PIPE] = ACTIONS(2763),
    [anon_sym_CARET] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2763),
    [anon_sym_GT_GT2] = ACTIONS(2763),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_DOT] = ACTIONS(2763),
    [anon_sym_STAR] = ACTIONS(2763),
    [anon_sym_SLASH] = ACTIONS(2763),
    [anon_sym_x] = ACTIONS(2763),
    [anon_sym_EQ_TILDE] = ACTIONS(2761),
    [anon_sym_BANG_TILDE] = ACTIONS(2761),
    [anon_sym_EQ_EQ] = ACTIONS(2763),
    [anon_sym_BANG_EQ] = ACTIONS(2761),
    [anon_sym_eq] = ACTIONS(2763),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2761),
    [anon_sym_equ] = ACTIONS(2761),
    [anon_sym_eqr] = ACTIONS(2761),
    [anon_sym_ne] = ACTIONS(2761),
    [anon_sym_LT_EQ_GT] = ACTIONS(2761),
    [anon_sym_cmp] = ACTIONS(2761),
    [anon_sym_TILDE_TILDE] = ACTIONS(2761),
    [anon_sym_LT_EQ] = ACTIONS(2763),
    [anon_sym_GT_EQ] = ACTIONS(2761),
    [anon_sym_lt] = ACTIONS(2761),
    [anon_sym_le] = ACTIONS(2761),
    [anon_sym_ge] = ACTIONS(2761),
    [anon_sym_gt] = ACTIONS(2761),
    [anon_sym_isa] = ACTIONS(2761),
    [anon_sym_PLUS_PLUS] = ACTIONS(2761),
    [anon_sym_DASH_DASH] = ACTIONS(2761),
    [anon_sym_QMARK] = ACTIONS(2761),
    [anon_sym_PERCENT2] = ACTIONS(2761),
    [anon_sym_EQ_GT] = ACTIONS(2761),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1683] = {
    [sym_heredoc_content] = STATE(1683),
    [anon_sym_COLON] = ACTIONS(3158),
    [anon_sym_DOLLAR] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(3158),
    [anon_sym_RPAREN] = ACTIONS(3158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3158),
    [anon_sym_DASH_GT] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3160),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_GT] = ACTIONS(3160),
    [anon_sym_LT_LT] = ACTIONS(3160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3158),
    [anon_sym_DASH_EQ] = ACTIONS(3158),
    [anon_sym_DOT_EQ] = ACTIONS(3158),
    [anon_sym_STAR_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_PERCENT_EQ] = ACTIONS(3160),
    [anon_sym_x_EQ] = ACTIONS(3158),
    [anon_sym_AMP_EQ] = ACTIONS(3158),
    [anon_sym_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_CARET_EQ] = ACTIONS(3158),
    [anon_sym_LT_LT_EQ] = ACTIONS(3158),
    [anon_sym_GT_GT_EQ] = ACTIONS(3158),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3158),
    [anon_sym_DOT_DOT] = ACTIONS(3160),
    [anon_sym_STAR_STAR] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_SLASH_SLASH] = ACTIONS(3160),
    [anon_sym_CARET_CARET] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_PIPE] = ACTIONS(3160),
    [anon_sym_CARET] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym_GT_GT2] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_DOT] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_x] = ACTIONS(3160),
    [anon_sym_EQ_TILDE] = ACTIONS(3158),
    [anon_sym_BANG_TILDE] = ACTIONS(3158),
    [anon_sym_EQ_EQ] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_eq] = ACTIONS(3160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3158),
    [anon_sym_equ] = ACTIONS(3158),
    [anon_sym_eqr] = ACTIONS(3158),
    [anon_sym_ne] = ACTIONS(3158),
    [anon_sym_LT_EQ_GT] = ACTIONS(3158),
    [anon_sym_cmp] = ACTIONS(3158),
    [anon_sym_TILDE_TILDE] = ACTIONS(3158),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3158),
    [anon_sym_lt] = ACTIONS(3158),
    [anon_sym_le] = ACTIONS(3158),
    [anon_sym_ge] = ACTIONS(3158),
    [anon_sym_gt] = ACTIONS(3158),
    [anon_sym_isa] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_QMARK] = ACTIONS(3158),
    [anon_sym_PERCENT2] = ACTIONS(3158),
    [anon_sym_EQ_GT] = ACTIONS(3158),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1684] = {
    [sym_heredoc_content] = STATE(1684),
    [anon_sym_COLON] = ACTIONS(2817),
    [anon_sym_DOLLAR] = ACTIONS(2817),
    [anon_sym_EQ] = ACTIONS(2819),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2817),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2817),
    [anon_sym_AT] = ACTIONS(2817),
    [anon_sym_COMMA] = ACTIONS(2817),
    [anon_sym_RPAREN] = ACTIONS(2817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2817),
    [anon_sym_DASH_GT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_GT] = ACTIONS(2819),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2817),
    [anon_sym_PLUS_EQ] = ACTIONS(2817),
    [anon_sym_DASH_EQ] = ACTIONS(2817),
    [anon_sym_DOT_EQ] = ACTIONS(2817),
    [anon_sym_STAR_EQ] = ACTIONS(2817),
    [anon_sym_SLASH_EQ] = ACTIONS(2817),
    [anon_sym_PERCENT_EQ] = ACTIONS(2819),
    [anon_sym_x_EQ] = ACTIONS(2817),
    [anon_sym_AMP_EQ] = ACTIONS(2817),
    [anon_sym_PIPE_EQ] = ACTIONS(2817),
    [anon_sym_CARET_EQ] = ACTIONS(2817),
    [anon_sym_LT_LT_EQ] = ACTIONS(2817),
    [anon_sym_GT_GT_EQ] = ACTIONS(2817),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2817),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_STAR_STAR] = ACTIONS(2819),
    [anon_sym_PIPE_PIPE] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH] = ACTIONS(2819),
    [anon_sym_CARET_CARET] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [anon_sym_GT_GT2] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_SLASH] = ACTIONS(2819),
    [anon_sym_x] = ACTIONS(2819),
    [anon_sym_EQ_TILDE] = ACTIONS(2817),
    [anon_sym_BANG_TILDE] = ACTIONS(2817),
    [anon_sym_EQ_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2817),
    [anon_sym_eq] = ACTIONS(2819),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2817),
    [anon_sym_equ] = ACTIONS(2817),
    [anon_sym_eqr] = ACTIONS(2817),
    [anon_sym_ne] = ACTIONS(2817),
    [anon_sym_LT_EQ_GT] = ACTIONS(2817),
    [anon_sym_cmp] = ACTIONS(2817),
    [anon_sym_TILDE_TILDE] = ACTIONS(2817),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2817),
    [anon_sym_lt] = ACTIONS(2817),
    [anon_sym_le] = ACTIONS(2817),
    [anon_sym_ge] = ACTIONS(2817),
    [anon_sym_gt] = ACTIONS(2817),
    [anon_sym_isa] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2817),
    [anon_sym_QMARK] = ACTIONS(2817),
    [anon_sym_PERCENT2] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(2817),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1685] = {
    [sym_heredoc_content] = STATE(1685),
    [anon_sym_LBRACE] = ACTIONS(2394),
    [anon_sym_SEMI] = ACTIONS(2394),
    [anon_sym_EQ] = ACTIONS(2396),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2394),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2394),
    [anon_sym_COMMA] = ACTIONS(2394),
    [anon_sym_LPAREN] = ACTIONS(2394),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2394),
    [anon_sym_LBRACK] = ACTIONS(2394),
    [anon_sym_DASH_GT] = ACTIONS(2394),
    [anon_sym_PERCENT] = ACTIONS(2396),
    [anon_sym_LT] = ACTIONS(2396),
    [anon_sym_GT] = ACTIONS(2396),
    [anon_sym_LT_LT] = ACTIONS(2396),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2394),
    [anon_sym_PLUS_EQ] = ACTIONS(2394),
    [anon_sym_DASH_EQ] = ACTIONS(2394),
    [anon_sym_DOT_EQ] = ACTIONS(2394),
    [anon_sym_STAR_EQ] = ACTIONS(2394),
    [anon_sym_SLASH_EQ] = ACTIONS(2394),
    [anon_sym_PERCENT_EQ] = ACTIONS(2394),
    [anon_sym_x_EQ] = ACTIONS(2394),
    [anon_sym_AMP_EQ] = ACTIONS(2394),
    [anon_sym_PIPE_EQ] = ACTIONS(2394),
    [anon_sym_CARET_EQ] = ACTIONS(2394),
    [anon_sym_LT_LT_EQ] = ACTIONS(2394),
    [anon_sym_GT_GT_EQ] = ACTIONS(2394),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2394),
    [anon_sym_DOT_DOT] = ACTIONS(2396),
    [anon_sym_STAR_STAR] = ACTIONS(2396),
    [anon_sym_PIPE_PIPE] = ACTIONS(2396),
    [anon_sym_SLASH_SLASH] = ACTIONS(2396),
    [anon_sym_CARET_CARET] = ACTIONS(2394),
    [anon_sym_AMP_AMP] = ACTIONS(2396),
    [anon_sym_PIPE] = ACTIONS(2396),
    [anon_sym_CARET] = ACTIONS(2396),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_GT_GT2] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2396),
    [anon_sym_DASH] = ACTIONS(2396),
    [anon_sym_DOT] = ACTIONS(2396),
    [anon_sym_STAR] = ACTIONS(2396),
    [anon_sym_SLASH] = ACTIONS(2396),
    [anon_sym_x] = ACTIONS(2396),
    [anon_sym_EQ_TILDE] = ACTIONS(2394),
    [anon_sym_BANG_TILDE] = ACTIONS(2394),
    [anon_sym_EQ_EQ] = ACTIONS(2396),
    [anon_sym_BANG_EQ] = ACTIONS(2394),
    [anon_sym_eq] = ACTIONS(2396),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2394),
    [anon_sym_equ] = ACTIONS(2394),
    [anon_sym_eqr] = ACTIONS(2394),
    [anon_sym_ne] = ACTIONS(2394),
    [anon_sym_LT_EQ_GT] = ACTIONS(2394),
    [anon_sym_cmp] = ACTIONS(2394),
    [anon_sym_TILDE_TILDE] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(2396),
    [anon_sym_GT_EQ] = ACTIONS(2394),
    [anon_sym_lt] = ACTIONS(2394),
    [anon_sym_le] = ACTIONS(2394),
    [anon_sym_ge] = ACTIONS(2394),
    [anon_sym_gt] = ACTIONS(2394),
    [anon_sym_isa] = ACTIONS(2394),
    [anon_sym_PLUS_PLUS] = ACTIONS(2394),
    [anon_sym_DASH_DASH] = ACTIONS(2394),
    [anon_sym_QMARK] = ACTIONS(2394),
    [anon_sym_EQ_GT] = ACTIONS(2394),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2394),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1686] = {
    [sym_heredoc_content] = STATE(1686),
    [anon_sym_COLON] = ACTIONS(2622),
    [anon_sym_DOLLAR] = ACTIONS(2622),
    [anon_sym_EQ] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2622),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2622),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_COMMA] = ACTIONS(2622),
    [anon_sym_RPAREN] = ACTIONS(2622),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2622),
    [anon_sym_DASH_GT] = ACTIONS(2622),
    [anon_sym_PERCENT] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2624),
    [anon_sym_GT] = ACTIONS(2624),
    [anon_sym_LT_LT] = ACTIONS(2624),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2622),
    [anon_sym_PLUS_EQ] = ACTIONS(2622),
    [anon_sym_DASH_EQ] = ACTIONS(2622),
    [anon_sym_DOT_EQ] = ACTIONS(2622),
    [anon_sym_STAR_EQ] = ACTIONS(2622),
    [anon_sym_SLASH_EQ] = ACTIONS(2622),
    [anon_sym_PERCENT_EQ] = ACTIONS(2624),
    [anon_sym_x_EQ] = ACTIONS(2622),
    [anon_sym_AMP_EQ] = ACTIONS(2622),
    [anon_sym_PIPE_EQ] = ACTIONS(2622),
    [anon_sym_CARET_EQ] = ACTIONS(2622),
    [anon_sym_LT_LT_EQ] = ACTIONS(2622),
    [anon_sym_GT_GT_EQ] = ACTIONS(2622),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2622),
    [anon_sym_DOT_DOT] = ACTIONS(2624),
    [anon_sym_STAR_STAR] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE] = ACTIONS(2624),
    [anon_sym_SLASH_SLASH] = ACTIONS(2624),
    [anon_sym_CARET_CARET] = ACTIONS(2622),
    [anon_sym_AMP_AMP] = ACTIONS(2624),
    [anon_sym_PIPE] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_GT_GT2] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_DOT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_SLASH] = ACTIONS(2624),
    [anon_sym_x] = ACTIONS(2624),
    [anon_sym_EQ_TILDE] = ACTIONS(2622),
    [anon_sym_BANG_TILDE] = ACTIONS(2622),
    [anon_sym_EQ_EQ] = ACTIONS(2624),
    [anon_sym_BANG_EQ] = ACTIONS(2622),
    [anon_sym_eq] = ACTIONS(2624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2622),
    [anon_sym_equ] = ACTIONS(2622),
    [anon_sym_eqr] = ACTIONS(2622),
    [anon_sym_ne] = ACTIONS(2622),
    [anon_sym_LT_EQ_GT] = ACTIONS(2622),
    [anon_sym_cmp] = ACTIONS(2622),
    [anon_sym_TILDE_TILDE] = ACTIONS(2622),
    [anon_sym_LT_EQ] = ACTIONS(2624),
    [anon_sym_GT_EQ] = ACTIONS(2622),
    [anon_sym_lt] = ACTIONS(2622),
    [anon_sym_le] = ACTIONS(2622),
    [anon_sym_ge] = ACTIONS(2622),
    [anon_sym_gt] = ACTIONS(2622),
    [anon_sym_isa] = ACTIONS(2622),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_QMARK] = ACTIONS(2622),
    [anon_sym_PERCENT2] = ACTIONS(2622),
    [anon_sym_EQ_GT] = ACTIONS(2622),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1687] = {
    [sym_heredoc_content] = STATE(1687),
    [anon_sym_COLON] = ACTIONS(2697),
    [anon_sym_DOLLAR] = ACTIONS(2697),
    [anon_sym_EQ] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2697),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2697),
    [anon_sym_AT] = ACTIONS(2697),
    [anon_sym_COMMA] = ACTIONS(2697),
    [anon_sym_RPAREN] = ACTIONS(2697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2697),
    [anon_sym_DASH_GT] = ACTIONS(2697),
    [anon_sym_PERCENT] = ACTIONS(2699),
    [anon_sym_LT] = ACTIONS(2699),
    [anon_sym_GT] = ACTIONS(2699),
    [anon_sym_LT_LT] = ACTIONS(2699),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2697),
    [anon_sym_DASH_EQ] = ACTIONS(2697),
    [anon_sym_DOT_EQ] = ACTIONS(2697),
    [anon_sym_STAR_EQ] = ACTIONS(2697),
    [anon_sym_SLASH_EQ] = ACTIONS(2697),
    [anon_sym_PERCENT_EQ] = ACTIONS(2699),
    [anon_sym_x_EQ] = ACTIONS(2697),
    [anon_sym_AMP_EQ] = ACTIONS(2697),
    [anon_sym_PIPE_EQ] = ACTIONS(2697),
    [anon_sym_CARET_EQ] = ACTIONS(2697),
    [anon_sym_LT_LT_EQ] = ACTIONS(2697),
    [anon_sym_GT_GT_EQ] = ACTIONS(2697),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2697),
    [anon_sym_DOT_DOT] = ACTIONS(2699),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2699),
    [anon_sym_SLASH_SLASH] = ACTIONS(2699),
    [anon_sym_CARET_CARET] = ACTIONS(2697),
    [anon_sym_AMP_AMP] = ACTIONS(2699),
    [anon_sym_PIPE] = ACTIONS(2699),
    [anon_sym_CARET] = ACTIONS(2699),
    [anon_sym_AMP] = ACTIONS(2699),
    [anon_sym_GT_GT2] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_DOT] = ACTIONS(2699),
    [anon_sym_STAR] = ACTIONS(2699),
    [anon_sym_SLASH] = ACTIONS(2699),
    [anon_sym_x] = ACTIONS(2699),
    [anon_sym_EQ_TILDE] = ACTIONS(2697),
    [anon_sym_BANG_TILDE] = ACTIONS(2697),
    [anon_sym_EQ_EQ] = ACTIONS(2699),
    [anon_sym_BANG_EQ] = ACTIONS(2697),
    [anon_sym_eq] = ACTIONS(2699),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2697),
    [anon_sym_equ] = ACTIONS(2697),
    [anon_sym_eqr] = ACTIONS(2697),
    [anon_sym_ne] = ACTIONS(2697),
    [anon_sym_LT_EQ_GT] = ACTIONS(2697),
    [anon_sym_cmp] = ACTIONS(2697),
    [anon_sym_TILDE_TILDE] = ACTIONS(2697),
    [anon_sym_LT_EQ] = ACTIONS(2699),
    [anon_sym_GT_EQ] = ACTIONS(2697),
    [anon_sym_lt] = ACTIONS(2697),
    [anon_sym_le] = ACTIONS(2697),
    [anon_sym_ge] = ACTIONS(2697),
    [anon_sym_gt] = ACTIONS(2697),
    [anon_sym_isa] = ACTIONS(2697),
    [anon_sym_PLUS_PLUS] = ACTIONS(2697),
    [anon_sym_DASH_DASH] = ACTIONS(2697),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_PERCENT2] = ACTIONS(2697),
    [anon_sym_EQ_GT] = ACTIONS(2697),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1688] = {
    [sym_heredoc_content] = STATE(1688),
    [anon_sym_COLON] = ACTIONS(2745),
    [anon_sym_DOLLAR] = ACTIONS(2745),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2745),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2745),
    [anon_sym_AT] = ACTIONS(2745),
    [anon_sym_COMMA] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(2745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2745),
    [anon_sym_DASH_GT] = ACTIONS(2745),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LT_LT] = ACTIONS(2747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2745),
    [anon_sym_PLUS_EQ] = ACTIONS(2745),
    [anon_sym_DASH_EQ] = ACTIONS(2745),
    [anon_sym_DOT_EQ] = ACTIONS(2745),
    [anon_sym_STAR_EQ] = ACTIONS(2745),
    [anon_sym_SLASH_EQ] = ACTIONS(2745),
    [anon_sym_PERCENT_EQ] = ACTIONS(2747),
    [anon_sym_x_EQ] = ACTIONS(2745),
    [anon_sym_AMP_EQ] = ACTIONS(2745),
    [anon_sym_PIPE_EQ] = ACTIONS(2745),
    [anon_sym_CARET_EQ] = ACTIONS(2745),
    [anon_sym_LT_LT_EQ] = ACTIONS(2745),
    [anon_sym_GT_GT_EQ] = ACTIONS(2745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2745),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_STAR_STAR] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2747),
    [anon_sym_SLASH_SLASH] = ACTIONS(2747),
    [anon_sym_CARET_CARET] = ACTIONS(2745),
    [anon_sym_AMP_AMP] = ACTIONS(2747),
    [anon_sym_PIPE] = ACTIONS(2747),
    [anon_sym_CARET] = ACTIONS(2747),
    [anon_sym_AMP] = ACTIONS(2747),
    [anon_sym_GT_GT2] = ACTIONS(2747),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_x] = ACTIONS(2747),
    [anon_sym_EQ_TILDE] = ACTIONS(2745),
    [anon_sym_BANG_TILDE] = ACTIONS(2745),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ] = ACTIONS(2745),
    [anon_sym_eq] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2745),
    [anon_sym_equ] = ACTIONS(2745),
    [anon_sym_eqr] = ACTIONS(2745),
    [anon_sym_ne] = ACTIONS(2745),
    [anon_sym_LT_EQ_GT] = ACTIONS(2745),
    [anon_sym_cmp] = ACTIONS(2745),
    [anon_sym_TILDE_TILDE] = ACTIONS(2745),
    [anon_sym_LT_EQ] = ACTIONS(2747),
    [anon_sym_GT_EQ] = ACTIONS(2745),
    [anon_sym_lt] = ACTIONS(2745),
    [anon_sym_le] = ACTIONS(2745),
    [anon_sym_ge] = ACTIONS(2745),
    [anon_sym_gt] = ACTIONS(2745),
    [anon_sym_isa] = ACTIONS(2745),
    [anon_sym_PLUS_PLUS] = ACTIONS(2745),
    [anon_sym_DASH_DASH] = ACTIONS(2745),
    [anon_sym_QMARK] = ACTIONS(2745),
    [anon_sym_PERCENT2] = ACTIONS(2745),
    [anon_sym_EQ_GT] = ACTIONS(2745),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1689] = {
    [sym_heredoc_content] = STATE(1689),
    [anon_sym_COLON] = ACTIONS(2909),
    [anon_sym_DOLLAR] = ACTIONS(2909),
    [anon_sym_EQ] = ACTIONS(2911),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_AT] = ACTIONS(2909),
    [anon_sym_COMMA] = ACTIONS(2909),
    [anon_sym_RPAREN] = ACTIONS(2909),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2909),
    [anon_sym_DASH_GT] = ACTIONS(2909),
    [anon_sym_PERCENT] = ACTIONS(2911),
    [anon_sym_LT] = ACTIONS(2911),
    [anon_sym_GT] = ACTIONS(2911),
    [anon_sym_LT_LT] = ACTIONS(2911),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2909),
    [anon_sym_PLUS_EQ] = ACTIONS(2909),
    [anon_sym_DASH_EQ] = ACTIONS(2909),
    [anon_sym_DOT_EQ] = ACTIONS(2909),
    [anon_sym_STAR_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_PERCENT_EQ] = ACTIONS(2911),
    [anon_sym_x_EQ] = ACTIONS(2909),
    [anon_sym_AMP_EQ] = ACTIONS(2909),
    [anon_sym_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_CARET_EQ] = ACTIONS(2909),
    [anon_sym_LT_LT_EQ] = ACTIONS(2909),
    [anon_sym_GT_GT_EQ] = ACTIONS(2909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2909),
    [anon_sym_DOT_DOT] = ACTIONS(2911),
    [anon_sym_STAR_STAR] = ACTIONS(2911),
    [anon_sym_PIPE_PIPE] = ACTIONS(2911),
    [anon_sym_SLASH_SLASH] = ACTIONS(2911),
    [anon_sym_CARET_CARET] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_PIPE] = ACTIONS(2911),
    [anon_sym_CARET] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_GT_GT2] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_DOT] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_SLASH] = ACTIONS(2911),
    [anon_sym_x] = ACTIONS(2911),
    [anon_sym_EQ_TILDE] = ACTIONS(2909),
    [anon_sym_BANG_TILDE] = ACTIONS(2909),
    [anon_sym_EQ_EQ] = ACTIONS(2911),
    [anon_sym_BANG_EQ] = ACTIONS(2909),
    [anon_sym_eq] = ACTIONS(2911),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2909),
    [anon_sym_equ] = ACTIONS(2909),
    [anon_sym_eqr] = ACTIONS(2909),
    [anon_sym_ne] = ACTIONS(2909),
    [anon_sym_LT_EQ_GT] = ACTIONS(2909),
    [anon_sym_cmp] = ACTIONS(2909),
    [anon_sym_TILDE_TILDE] = ACTIONS(2909),
    [anon_sym_LT_EQ] = ACTIONS(2911),
    [anon_sym_GT_EQ] = ACTIONS(2909),
    [anon_sym_lt] = ACTIONS(2909),
    [anon_sym_le] = ACTIONS(2909),
    [anon_sym_ge] = ACTIONS(2909),
    [anon_sym_gt] = ACTIONS(2909),
    [anon_sym_isa] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_QMARK] = ACTIONS(2909),
    [anon_sym_PERCENT2] = ACTIONS(2909),
    [anon_sym_EQ_GT] = ACTIONS(2909),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1690] = {
    [sym_heredoc_content] = STATE(1690),
    [anon_sym_COLON] = ACTIONS(3032),
    [anon_sym_DOLLAR] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3034),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3032),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3032),
    [anon_sym_AT] = ACTIONS(3032),
    [anon_sym_COMMA] = ACTIONS(3032),
    [anon_sym_RPAREN] = ACTIONS(3032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3032),
    [anon_sym_DASH_GT] = ACTIONS(3032),
    [anon_sym_PERCENT] = ACTIONS(3034),
    [anon_sym_LT] = ACTIONS(3034),
    [anon_sym_GT] = ACTIONS(3034),
    [anon_sym_LT_LT] = ACTIONS(3034),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3032),
    [anon_sym_DASH_EQ] = ACTIONS(3032),
    [anon_sym_DOT_EQ] = ACTIONS(3032),
    [anon_sym_STAR_EQ] = ACTIONS(3032),
    [anon_sym_SLASH_EQ] = ACTIONS(3032),
    [anon_sym_PERCENT_EQ] = ACTIONS(3034),
    [anon_sym_x_EQ] = ACTIONS(3032),
    [anon_sym_AMP_EQ] = ACTIONS(3032),
    [anon_sym_PIPE_EQ] = ACTIONS(3032),
    [anon_sym_CARET_EQ] = ACTIONS(3032),
    [anon_sym_LT_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_GT_EQ] = ACTIONS(3032),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3032),
    [anon_sym_DOT_DOT] = ACTIONS(3034),
    [anon_sym_STAR_STAR] = ACTIONS(3034),
    [anon_sym_PIPE_PIPE] = ACTIONS(3034),
    [anon_sym_SLASH_SLASH] = ACTIONS(3034),
    [anon_sym_CARET_CARET] = ACTIONS(3032),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_PIPE] = ACTIONS(3034),
    [anon_sym_CARET] = ACTIONS(3034),
    [anon_sym_AMP] = ACTIONS(3034),
    [anon_sym_GT_GT2] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_DOT] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3034),
    [anon_sym_SLASH] = ACTIONS(3034),
    [anon_sym_x] = ACTIONS(3034),
    [anon_sym_EQ_TILDE] = ACTIONS(3032),
    [anon_sym_BANG_TILDE] = ACTIONS(3032),
    [anon_sym_EQ_EQ] = ACTIONS(3034),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_eq] = ACTIONS(3034),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3032),
    [anon_sym_equ] = ACTIONS(3032),
    [anon_sym_eqr] = ACTIONS(3032),
    [anon_sym_ne] = ACTIONS(3032),
    [anon_sym_LT_EQ_GT] = ACTIONS(3032),
    [anon_sym_cmp] = ACTIONS(3032),
    [anon_sym_TILDE_TILDE] = ACTIONS(3032),
    [anon_sym_LT_EQ] = ACTIONS(3034),
    [anon_sym_GT_EQ] = ACTIONS(3032),
    [anon_sym_lt] = ACTIONS(3032),
    [anon_sym_le] = ACTIONS(3032),
    [anon_sym_ge] = ACTIONS(3032),
    [anon_sym_gt] = ACTIONS(3032),
    [anon_sym_isa] = ACTIONS(3032),
    [anon_sym_PLUS_PLUS] = ACTIONS(3032),
    [anon_sym_DASH_DASH] = ACTIONS(3032),
    [anon_sym_QMARK] = ACTIONS(3032),
    [anon_sym_PERCENT2] = ACTIONS(3032),
    [anon_sym_EQ_GT] = ACTIONS(3032),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1691] = {
    [sym_heredoc_content] = STATE(1691),
    [anon_sym_COLON] = ACTIONS(3036),
    [anon_sym_DOLLAR] = ACTIONS(3036),
    [anon_sym_EQ] = ACTIONS(3038),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3036),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3036),
    [anon_sym_AT] = ACTIONS(3036),
    [anon_sym_COMMA] = ACTIONS(3036),
    [anon_sym_RPAREN] = ACTIONS(3036),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3036),
    [anon_sym_DASH_GT] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3038),
    [anon_sym_LT] = ACTIONS(3038),
    [anon_sym_GT] = ACTIONS(3038),
    [anon_sym_LT_LT] = ACTIONS(3038),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3036),
    [anon_sym_PLUS_EQ] = ACTIONS(3036),
    [anon_sym_DASH_EQ] = ACTIONS(3036),
    [anon_sym_DOT_EQ] = ACTIONS(3036),
    [anon_sym_STAR_EQ] = ACTIONS(3036),
    [anon_sym_SLASH_EQ] = ACTIONS(3036),
    [anon_sym_PERCENT_EQ] = ACTIONS(3038),
    [anon_sym_x_EQ] = ACTIONS(3036),
    [anon_sym_AMP_EQ] = ACTIONS(3036),
    [anon_sym_PIPE_EQ] = ACTIONS(3036),
    [anon_sym_CARET_EQ] = ACTIONS(3036),
    [anon_sym_LT_LT_EQ] = ACTIONS(3036),
    [anon_sym_GT_GT_EQ] = ACTIONS(3036),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3036),
    [anon_sym_DOT_DOT] = ACTIONS(3038),
    [anon_sym_STAR_STAR] = ACTIONS(3038),
    [anon_sym_PIPE_PIPE] = ACTIONS(3038),
    [anon_sym_SLASH_SLASH] = ACTIONS(3038),
    [anon_sym_CARET_CARET] = ACTIONS(3036),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_PIPE] = ACTIONS(3038),
    [anon_sym_CARET] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3038),
    [anon_sym_GT_GT2] = ACTIONS(3038),
    [anon_sym_PLUS] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3038),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_SLASH] = ACTIONS(3038),
    [anon_sym_x] = ACTIONS(3038),
    [anon_sym_EQ_TILDE] = ACTIONS(3036),
    [anon_sym_BANG_TILDE] = ACTIONS(3036),
    [anon_sym_EQ_EQ] = ACTIONS(3038),
    [anon_sym_BANG_EQ] = ACTIONS(3036),
    [anon_sym_eq] = ACTIONS(3038),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3036),
    [anon_sym_equ] = ACTIONS(3036),
    [anon_sym_eqr] = ACTIONS(3036),
    [anon_sym_ne] = ACTIONS(3036),
    [anon_sym_LT_EQ_GT] = ACTIONS(3036),
    [anon_sym_cmp] = ACTIONS(3036),
    [anon_sym_TILDE_TILDE] = ACTIONS(3036),
    [anon_sym_LT_EQ] = ACTIONS(3038),
    [anon_sym_GT_EQ] = ACTIONS(3036),
    [anon_sym_lt] = ACTIONS(3036),
    [anon_sym_le] = ACTIONS(3036),
    [anon_sym_ge] = ACTIONS(3036),
    [anon_sym_gt] = ACTIONS(3036),
    [anon_sym_isa] = ACTIONS(3036),
    [anon_sym_PLUS_PLUS] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3036),
    [anon_sym_QMARK] = ACTIONS(3036),
    [anon_sym_PERCENT2] = ACTIONS(3036),
    [anon_sym_EQ_GT] = ACTIONS(3036),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1692] = {
    [sym_heredoc_content] = STATE(1692),
    [anon_sym_COLON] = ACTIONS(3058),
    [anon_sym_DOLLAR] = ACTIONS(3058),
    [anon_sym_EQ] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_AT] = ACTIONS(3058),
    [anon_sym_COMMA] = ACTIONS(3058),
    [anon_sym_RPAREN] = ACTIONS(3058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3058),
    [anon_sym_DASH_GT] = ACTIONS(3058),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LT_LT] = ACTIONS(3060),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3058),
    [anon_sym_PLUS_EQ] = ACTIONS(3058),
    [anon_sym_DASH_EQ] = ACTIONS(3058),
    [anon_sym_DOT_EQ] = ACTIONS(3058),
    [anon_sym_STAR_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_PERCENT_EQ] = ACTIONS(3060),
    [anon_sym_x_EQ] = ACTIONS(3058),
    [anon_sym_AMP_EQ] = ACTIONS(3058),
    [anon_sym_PIPE_EQ] = ACTIONS(3058),
    [anon_sym_CARET_EQ] = ACTIONS(3058),
    [anon_sym_LT_LT_EQ] = ACTIONS(3058),
    [anon_sym_GT_GT_EQ] = ACTIONS(3058),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_STAR_STAR] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE] = ACTIONS(3060),
    [anon_sym_SLASH_SLASH] = ACTIONS(3060),
    [anon_sym_CARET_CARET] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3060),
    [anon_sym_PIPE] = ACTIONS(3060),
    [anon_sym_CARET] = ACTIONS(3060),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_GT_GT2] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_x] = ACTIONS(3060),
    [anon_sym_EQ_TILDE] = ACTIONS(3058),
    [anon_sym_BANG_TILDE] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ] = ACTIONS(3058),
    [anon_sym_eq] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3058),
    [anon_sym_equ] = ACTIONS(3058),
    [anon_sym_eqr] = ACTIONS(3058),
    [anon_sym_ne] = ACTIONS(3058),
    [anon_sym_LT_EQ_GT] = ACTIONS(3058),
    [anon_sym_cmp] = ACTIONS(3058),
    [anon_sym_TILDE_TILDE] = ACTIONS(3058),
    [anon_sym_LT_EQ] = ACTIONS(3060),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_lt] = ACTIONS(3058),
    [anon_sym_le] = ACTIONS(3058),
    [anon_sym_ge] = ACTIONS(3058),
    [anon_sym_gt] = ACTIONS(3058),
    [anon_sym_isa] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_QMARK] = ACTIONS(3058),
    [anon_sym_PERCENT2] = ACTIONS(3058),
    [anon_sym_EQ_GT] = ACTIONS(3058),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1693] = {
    [sym_heredoc_content] = STATE(1693),
    [anon_sym_LBRACE] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2402),
    [anon_sym_EQ] = ACTIONS(2404),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2402),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2402),
    [anon_sym_COMMA] = ACTIONS(2402),
    [anon_sym_LPAREN] = ACTIONS(2402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2402),
    [anon_sym_DASH_GT] = ACTIONS(2402),
    [anon_sym_PERCENT] = ACTIONS(2404),
    [anon_sym_LT] = ACTIONS(2404),
    [anon_sym_GT] = ACTIONS(2404),
    [anon_sym_LT_LT] = ACTIONS(2404),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2402),
    [anon_sym_PLUS_EQ] = ACTIONS(2402),
    [anon_sym_DASH_EQ] = ACTIONS(2402),
    [anon_sym_DOT_EQ] = ACTIONS(2402),
    [anon_sym_STAR_EQ] = ACTIONS(2402),
    [anon_sym_SLASH_EQ] = ACTIONS(2402),
    [anon_sym_PERCENT_EQ] = ACTIONS(2402),
    [anon_sym_x_EQ] = ACTIONS(2402),
    [anon_sym_AMP_EQ] = ACTIONS(2402),
    [anon_sym_PIPE_EQ] = ACTIONS(2402),
    [anon_sym_CARET_EQ] = ACTIONS(2402),
    [anon_sym_LT_LT_EQ] = ACTIONS(2402),
    [anon_sym_GT_GT_EQ] = ACTIONS(2402),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2402),
    [anon_sym_DOT_DOT] = ACTIONS(2404),
    [anon_sym_STAR_STAR] = ACTIONS(2404),
    [anon_sym_PIPE_PIPE] = ACTIONS(2404),
    [anon_sym_SLASH_SLASH] = ACTIONS(2404),
    [anon_sym_CARET_CARET] = ACTIONS(2402),
    [anon_sym_AMP_AMP] = ACTIONS(2404),
    [anon_sym_PIPE] = ACTIONS(2404),
    [anon_sym_CARET] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_GT_GT2] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2404),
    [anon_sym_DOT] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_SLASH] = ACTIONS(2404),
    [anon_sym_x] = ACTIONS(2404),
    [anon_sym_EQ_TILDE] = ACTIONS(2402),
    [anon_sym_BANG_TILDE] = ACTIONS(2402),
    [anon_sym_EQ_EQ] = ACTIONS(2404),
    [anon_sym_BANG_EQ] = ACTIONS(2402),
    [anon_sym_eq] = ACTIONS(2404),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2402),
    [anon_sym_equ] = ACTIONS(2402),
    [anon_sym_eqr] = ACTIONS(2402),
    [anon_sym_ne] = ACTIONS(2402),
    [anon_sym_LT_EQ_GT] = ACTIONS(2402),
    [anon_sym_cmp] = ACTIONS(2402),
    [anon_sym_TILDE_TILDE] = ACTIONS(2402),
    [anon_sym_LT_EQ] = ACTIONS(2404),
    [anon_sym_GT_EQ] = ACTIONS(2402),
    [anon_sym_lt] = ACTIONS(2402),
    [anon_sym_le] = ACTIONS(2402),
    [anon_sym_ge] = ACTIONS(2402),
    [anon_sym_gt] = ACTIONS(2402),
    [anon_sym_isa] = ACTIONS(2402),
    [anon_sym_PLUS_PLUS] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2402),
    [anon_sym_QMARK] = ACTIONS(2402),
    [anon_sym_EQ_GT] = ACTIONS(2402),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2402),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1694] = {
    [sym_heredoc_content] = STATE(1694),
    [anon_sym_LBRACE] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2360),
    [anon_sym_EQ] = ACTIONS(2362),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2360),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2360),
    [anon_sym_COMMA] = ACTIONS(2360),
    [anon_sym_LPAREN] = ACTIONS(2360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_DASH_GT] = ACTIONS(2360),
    [anon_sym_PERCENT] = ACTIONS(2362),
    [anon_sym_LT] = ACTIONS(2362),
    [anon_sym_GT] = ACTIONS(2362),
    [anon_sym_LT_LT] = ACTIONS(2362),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2360),
    [anon_sym_PLUS_EQ] = ACTIONS(2360),
    [anon_sym_DASH_EQ] = ACTIONS(2360),
    [anon_sym_DOT_EQ] = ACTIONS(2360),
    [anon_sym_STAR_EQ] = ACTIONS(2360),
    [anon_sym_SLASH_EQ] = ACTIONS(2360),
    [anon_sym_PERCENT_EQ] = ACTIONS(2360),
    [anon_sym_x_EQ] = ACTIONS(2360),
    [anon_sym_AMP_EQ] = ACTIONS(2360),
    [anon_sym_PIPE_EQ] = ACTIONS(2360),
    [anon_sym_CARET_EQ] = ACTIONS(2360),
    [anon_sym_LT_LT_EQ] = ACTIONS(2360),
    [anon_sym_GT_GT_EQ] = ACTIONS(2360),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2360),
    [anon_sym_DOT_DOT] = ACTIONS(2362),
    [anon_sym_STAR_STAR] = ACTIONS(2362),
    [anon_sym_PIPE_PIPE] = ACTIONS(2362),
    [anon_sym_SLASH_SLASH] = ACTIONS(2362),
    [anon_sym_CARET_CARET] = ACTIONS(2360),
    [anon_sym_AMP_AMP] = ACTIONS(2362),
    [anon_sym_PIPE] = ACTIONS(2362),
    [anon_sym_CARET] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_GT_GT2] = ACTIONS(2362),
    [anon_sym_PLUS] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2362),
    [anon_sym_DOT] = ACTIONS(2362),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_SLASH] = ACTIONS(2362),
    [anon_sym_x] = ACTIONS(2362),
    [anon_sym_EQ_TILDE] = ACTIONS(2360),
    [anon_sym_BANG_TILDE] = ACTIONS(2360),
    [anon_sym_EQ_EQ] = ACTIONS(2362),
    [anon_sym_BANG_EQ] = ACTIONS(2360),
    [anon_sym_eq] = ACTIONS(2362),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2360),
    [anon_sym_equ] = ACTIONS(2360),
    [anon_sym_eqr] = ACTIONS(2360),
    [anon_sym_ne] = ACTIONS(2360),
    [anon_sym_LT_EQ_GT] = ACTIONS(2360),
    [anon_sym_cmp] = ACTIONS(2360),
    [anon_sym_TILDE_TILDE] = ACTIONS(2360),
    [anon_sym_LT_EQ] = ACTIONS(2362),
    [anon_sym_GT_EQ] = ACTIONS(2360),
    [anon_sym_lt] = ACTIONS(2360),
    [anon_sym_le] = ACTIONS(2360),
    [anon_sym_ge] = ACTIONS(2360),
    [anon_sym_gt] = ACTIONS(2360),
    [anon_sym_isa] = ACTIONS(2360),
    [anon_sym_PLUS_PLUS] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2360),
    [anon_sym_QMARK] = ACTIONS(2360),
    [anon_sym_EQ_GT] = ACTIONS(2360),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2360),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1695] = {
    [sym_heredoc_content] = STATE(1695),
    [anon_sym_LBRACE] = ACTIONS(2352),
    [anon_sym_SEMI] = ACTIONS(2352),
    [anon_sym_EQ] = ACTIONS(2354),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2352),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2352),
    [anon_sym_COMMA] = ACTIONS(2352),
    [anon_sym_LPAREN] = ACTIONS(2352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2352),
    [anon_sym_LBRACK] = ACTIONS(2352),
    [anon_sym_DASH_GT] = ACTIONS(2352),
    [anon_sym_PERCENT] = ACTIONS(2354),
    [anon_sym_LT] = ACTIONS(2354),
    [anon_sym_GT] = ACTIONS(2354),
    [anon_sym_LT_LT] = ACTIONS(2354),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2352),
    [anon_sym_PLUS_EQ] = ACTIONS(2352),
    [anon_sym_DASH_EQ] = ACTIONS(2352),
    [anon_sym_DOT_EQ] = ACTIONS(2352),
    [anon_sym_STAR_EQ] = ACTIONS(2352),
    [anon_sym_SLASH_EQ] = ACTIONS(2352),
    [anon_sym_PERCENT_EQ] = ACTIONS(2352),
    [anon_sym_x_EQ] = ACTIONS(2352),
    [anon_sym_AMP_EQ] = ACTIONS(2352),
    [anon_sym_PIPE_EQ] = ACTIONS(2352),
    [anon_sym_CARET_EQ] = ACTIONS(2352),
    [anon_sym_LT_LT_EQ] = ACTIONS(2352),
    [anon_sym_GT_GT_EQ] = ACTIONS(2352),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2352),
    [anon_sym_DOT_DOT] = ACTIONS(2354),
    [anon_sym_STAR_STAR] = ACTIONS(2354),
    [anon_sym_PIPE_PIPE] = ACTIONS(2354),
    [anon_sym_SLASH_SLASH] = ACTIONS(2354),
    [anon_sym_CARET_CARET] = ACTIONS(2352),
    [anon_sym_AMP_AMP] = ACTIONS(2354),
    [anon_sym_PIPE] = ACTIONS(2354),
    [anon_sym_CARET] = ACTIONS(2354),
    [anon_sym_AMP] = ACTIONS(2354),
    [anon_sym_GT_GT2] = ACTIONS(2354),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_DOT] = ACTIONS(2354),
    [anon_sym_STAR] = ACTIONS(2354),
    [anon_sym_SLASH] = ACTIONS(2354),
    [anon_sym_x] = ACTIONS(2354),
    [anon_sym_EQ_TILDE] = ACTIONS(2352),
    [anon_sym_BANG_TILDE] = ACTIONS(2352),
    [anon_sym_EQ_EQ] = ACTIONS(2354),
    [anon_sym_BANG_EQ] = ACTIONS(2352),
    [anon_sym_eq] = ACTIONS(2354),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2352),
    [anon_sym_equ] = ACTIONS(2352),
    [anon_sym_eqr] = ACTIONS(2352),
    [anon_sym_ne] = ACTIONS(2352),
    [anon_sym_LT_EQ_GT] = ACTIONS(2352),
    [anon_sym_cmp] = ACTIONS(2352),
    [anon_sym_TILDE_TILDE] = ACTIONS(2352),
    [anon_sym_LT_EQ] = ACTIONS(2354),
    [anon_sym_GT_EQ] = ACTIONS(2352),
    [anon_sym_lt] = ACTIONS(2352),
    [anon_sym_le] = ACTIONS(2352),
    [anon_sym_ge] = ACTIONS(2352),
    [anon_sym_gt] = ACTIONS(2352),
    [anon_sym_isa] = ACTIONS(2352),
    [anon_sym_PLUS_PLUS] = ACTIONS(2352),
    [anon_sym_DASH_DASH] = ACTIONS(2352),
    [anon_sym_QMARK] = ACTIONS(2352),
    [anon_sym_EQ_GT] = ACTIONS(2352),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2352),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1696] = {
    [sym_heredoc_content] = STATE(1696),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_SEMI] = ACTIONS(2356),
    [anon_sym_EQ] = ACTIONS(2358),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2356),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2356),
    [anon_sym_COMMA] = ACTIONS(2356),
    [anon_sym_LPAREN] = ACTIONS(2356),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_DASH_GT] = ACTIONS(2356),
    [anon_sym_PERCENT] = ACTIONS(2358),
    [anon_sym_LT] = ACTIONS(2358),
    [anon_sym_GT] = ACTIONS(2358),
    [anon_sym_LT_LT] = ACTIONS(2358),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2356),
    [anon_sym_PLUS_EQ] = ACTIONS(2356),
    [anon_sym_DASH_EQ] = ACTIONS(2356),
    [anon_sym_DOT_EQ] = ACTIONS(2356),
    [anon_sym_STAR_EQ] = ACTIONS(2356),
    [anon_sym_SLASH_EQ] = ACTIONS(2356),
    [anon_sym_PERCENT_EQ] = ACTIONS(2356),
    [anon_sym_x_EQ] = ACTIONS(2356),
    [anon_sym_AMP_EQ] = ACTIONS(2356),
    [anon_sym_PIPE_EQ] = ACTIONS(2356),
    [anon_sym_CARET_EQ] = ACTIONS(2356),
    [anon_sym_LT_LT_EQ] = ACTIONS(2356),
    [anon_sym_GT_GT_EQ] = ACTIONS(2356),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2356),
    [anon_sym_DOT_DOT] = ACTIONS(2358),
    [anon_sym_STAR_STAR] = ACTIONS(2358),
    [anon_sym_PIPE_PIPE] = ACTIONS(2358),
    [anon_sym_SLASH_SLASH] = ACTIONS(2358),
    [anon_sym_CARET_CARET] = ACTIONS(2356),
    [anon_sym_AMP_AMP] = ACTIONS(2358),
    [anon_sym_PIPE] = ACTIONS(2358),
    [anon_sym_CARET] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2358),
    [anon_sym_GT_GT2] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2358),
    [anon_sym_DOT] = ACTIONS(2358),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_SLASH] = ACTIONS(2358),
    [anon_sym_x] = ACTIONS(2358),
    [anon_sym_EQ_TILDE] = ACTIONS(2356),
    [anon_sym_BANG_TILDE] = ACTIONS(2356),
    [anon_sym_EQ_EQ] = ACTIONS(2358),
    [anon_sym_BANG_EQ] = ACTIONS(2356),
    [anon_sym_eq] = ACTIONS(2358),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2356),
    [anon_sym_equ] = ACTIONS(2356),
    [anon_sym_eqr] = ACTIONS(2356),
    [anon_sym_ne] = ACTIONS(2356),
    [anon_sym_LT_EQ_GT] = ACTIONS(2356),
    [anon_sym_cmp] = ACTIONS(2356),
    [anon_sym_TILDE_TILDE] = ACTIONS(2356),
    [anon_sym_LT_EQ] = ACTIONS(2358),
    [anon_sym_GT_EQ] = ACTIONS(2356),
    [anon_sym_lt] = ACTIONS(2356),
    [anon_sym_le] = ACTIONS(2356),
    [anon_sym_ge] = ACTIONS(2356),
    [anon_sym_gt] = ACTIONS(2356),
    [anon_sym_isa] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_QMARK] = ACTIONS(2356),
    [anon_sym_EQ_GT] = ACTIONS(2356),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2356),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1697] = {
    [sym_heredoc_content] = STATE(1697),
    [anon_sym_COLON] = ACTIONS(2793),
    [anon_sym_DOLLAR] = ACTIONS(2793),
    [anon_sym_EQ] = ACTIONS(2795),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2793),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2793),
    [anon_sym_AT] = ACTIONS(2793),
    [anon_sym_COMMA] = ACTIONS(2793),
    [anon_sym_RPAREN] = ACTIONS(2793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2793),
    [anon_sym_DASH_GT] = ACTIONS(2793),
    [anon_sym_PERCENT] = ACTIONS(2795),
    [anon_sym_LT] = ACTIONS(2795),
    [anon_sym_GT] = ACTIONS(2795),
    [anon_sym_LT_LT] = ACTIONS(2795),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2793),
    [anon_sym_PLUS_EQ] = ACTIONS(2793),
    [anon_sym_DASH_EQ] = ACTIONS(2793),
    [anon_sym_DOT_EQ] = ACTIONS(2793),
    [anon_sym_STAR_EQ] = ACTIONS(2793),
    [anon_sym_SLASH_EQ] = ACTIONS(2793),
    [anon_sym_PERCENT_EQ] = ACTIONS(2795),
    [anon_sym_x_EQ] = ACTIONS(2793),
    [anon_sym_AMP_EQ] = ACTIONS(2793),
    [anon_sym_PIPE_EQ] = ACTIONS(2793),
    [anon_sym_CARET_EQ] = ACTIONS(2793),
    [anon_sym_LT_LT_EQ] = ACTIONS(2793),
    [anon_sym_GT_GT_EQ] = ACTIONS(2793),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2793),
    [anon_sym_DOT_DOT] = ACTIONS(2795),
    [anon_sym_STAR_STAR] = ACTIONS(2795),
    [anon_sym_PIPE_PIPE] = ACTIONS(2795),
    [anon_sym_SLASH_SLASH] = ACTIONS(2795),
    [anon_sym_CARET_CARET] = ACTIONS(2793),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_PIPE] = ACTIONS(2795),
    [anon_sym_CARET] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2795),
    [anon_sym_GT_GT2] = ACTIONS(2795),
    [anon_sym_PLUS] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2795),
    [anon_sym_DOT] = ACTIONS(2795),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_SLASH] = ACTIONS(2795),
    [anon_sym_x] = ACTIONS(2795),
    [anon_sym_EQ_TILDE] = ACTIONS(2793),
    [anon_sym_BANG_TILDE] = ACTIONS(2793),
    [anon_sym_EQ_EQ] = ACTIONS(2795),
    [anon_sym_BANG_EQ] = ACTIONS(2793),
    [anon_sym_eq] = ACTIONS(2795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2793),
    [anon_sym_equ] = ACTIONS(2793),
    [anon_sym_eqr] = ACTIONS(2793),
    [anon_sym_ne] = ACTIONS(2793),
    [anon_sym_LT_EQ_GT] = ACTIONS(2793),
    [anon_sym_cmp] = ACTIONS(2793),
    [anon_sym_TILDE_TILDE] = ACTIONS(2793),
    [anon_sym_LT_EQ] = ACTIONS(2795),
    [anon_sym_GT_EQ] = ACTIONS(2793),
    [anon_sym_lt] = ACTIONS(2793),
    [anon_sym_le] = ACTIONS(2793),
    [anon_sym_ge] = ACTIONS(2793),
    [anon_sym_gt] = ACTIONS(2793),
    [anon_sym_isa] = ACTIONS(2793),
    [anon_sym_PLUS_PLUS] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2793),
    [anon_sym_QMARK] = ACTIONS(2793),
    [anon_sym_PERCENT2] = ACTIONS(2793),
    [anon_sym_EQ_GT] = ACTIONS(2793),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1698] = {
    [sym_heredoc_content] = STATE(1698),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_DOLLAR] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2759),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2757),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2757),
    [anon_sym_COMMA] = ACTIONS(2757),
    [anon_sym_RPAREN] = ACTIONS(2757),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DASH_GT] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2759),
    [anon_sym_LT] = ACTIONS(2759),
    [anon_sym_GT] = ACTIONS(2759),
    [anon_sym_LT_LT] = ACTIONS(2759),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2757),
    [anon_sym_PLUS_EQ] = ACTIONS(2757),
    [anon_sym_DASH_EQ] = ACTIONS(2757),
    [anon_sym_DOT_EQ] = ACTIONS(2757),
    [anon_sym_STAR_EQ] = ACTIONS(2757),
    [anon_sym_SLASH_EQ] = ACTIONS(2757),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_x_EQ] = ACTIONS(2757),
    [anon_sym_AMP_EQ] = ACTIONS(2757),
    [anon_sym_PIPE_EQ] = ACTIONS(2757),
    [anon_sym_CARET_EQ] = ACTIONS(2757),
    [anon_sym_LT_LT_EQ] = ACTIONS(2757),
    [anon_sym_GT_GT_EQ] = ACTIONS(2757),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2757),
    [anon_sym_DOT_DOT] = ACTIONS(2759),
    [anon_sym_STAR_STAR] = ACTIONS(2759),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH] = ACTIONS(2759),
    [anon_sym_CARET_CARET] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_PIPE] = ACTIONS(2759),
    [anon_sym_CARET] = ACTIONS(2759),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym_GT_GT2] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2759),
    [anon_sym_DASH] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2759),
    [anon_sym_x] = ACTIONS(2759),
    [anon_sym_EQ_TILDE] = ACTIONS(2757),
    [anon_sym_BANG_TILDE] = ACTIONS(2757),
    [anon_sym_EQ_EQ] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_eq] = ACTIONS(2759),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2757),
    [anon_sym_equ] = ACTIONS(2757),
    [anon_sym_eqr] = ACTIONS(2757),
    [anon_sym_ne] = ACTIONS(2757),
    [anon_sym_LT_EQ_GT] = ACTIONS(2757),
    [anon_sym_cmp] = ACTIONS(2757),
    [anon_sym_TILDE_TILDE] = ACTIONS(2757),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2757),
    [anon_sym_lt] = ACTIONS(2757),
    [anon_sym_le] = ACTIONS(2757),
    [anon_sym_ge] = ACTIONS(2757),
    [anon_sym_gt] = ACTIONS(2757),
    [anon_sym_isa] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_DASH_DASH] = ACTIONS(2757),
    [anon_sym_QMARK] = ACTIONS(2757),
    [anon_sym_PERCENT2] = ACTIONS(2757),
    [anon_sym_EQ_GT] = ACTIONS(2757),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1699] = {
    [sym_heredoc_content] = STATE(1699),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_DOLLAR] = ACTIONS(2769),
    [anon_sym_EQ] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2769),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2769),
    [anon_sym_AT] = ACTIONS(2769),
    [anon_sym_COMMA] = ACTIONS(2769),
    [anon_sym_RPAREN] = ACTIONS(2769),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2769),
    [anon_sym_DASH_GT] = ACTIONS(2769),
    [anon_sym_PERCENT] = ACTIONS(2771),
    [anon_sym_LT] = ACTIONS(2771),
    [anon_sym_GT] = ACTIONS(2771),
    [anon_sym_LT_LT] = ACTIONS(2771),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2769),
    [anon_sym_PLUS_EQ] = ACTIONS(2769),
    [anon_sym_DASH_EQ] = ACTIONS(2769),
    [anon_sym_DOT_EQ] = ACTIONS(2769),
    [anon_sym_STAR_EQ] = ACTIONS(2769),
    [anon_sym_SLASH_EQ] = ACTIONS(2769),
    [anon_sym_PERCENT_EQ] = ACTIONS(2771),
    [anon_sym_x_EQ] = ACTIONS(2769),
    [anon_sym_AMP_EQ] = ACTIONS(2769),
    [anon_sym_PIPE_EQ] = ACTIONS(2769),
    [anon_sym_CARET_EQ] = ACTIONS(2769),
    [anon_sym_LT_LT_EQ] = ACTIONS(2769),
    [anon_sym_GT_GT_EQ] = ACTIONS(2769),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2769),
    [anon_sym_DOT_DOT] = ACTIONS(2771),
    [anon_sym_STAR_STAR] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE] = ACTIONS(2771),
    [anon_sym_SLASH_SLASH] = ACTIONS(2771),
    [anon_sym_CARET_CARET] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_PIPE] = ACTIONS(2771),
    [anon_sym_CARET] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2771),
    [anon_sym_GT_GT2] = ACTIONS(2771),
    [anon_sym_PLUS] = ACTIONS(2771),
    [anon_sym_DASH] = ACTIONS(2771),
    [anon_sym_DOT] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_x] = ACTIONS(2771),
    [anon_sym_EQ_TILDE] = ACTIONS(2769),
    [anon_sym_BANG_TILDE] = ACTIONS(2769),
    [anon_sym_EQ_EQ] = ACTIONS(2771),
    [anon_sym_BANG_EQ] = ACTIONS(2769),
    [anon_sym_eq] = ACTIONS(2771),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2769),
    [anon_sym_equ] = ACTIONS(2769),
    [anon_sym_eqr] = ACTIONS(2769),
    [anon_sym_ne] = ACTIONS(2769),
    [anon_sym_LT_EQ_GT] = ACTIONS(2769),
    [anon_sym_cmp] = ACTIONS(2769),
    [anon_sym_TILDE_TILDE] = ACTIONS(2769),
    [anon_sym_LT_EQ] = ACTIONS(2771),
    [anon_sym_GT_EQ] = ACTIONS(2769),
    [anon_sym_lt] = ACTIONS(2769),
    [anon_sym_le] = ACTIONS(2769),
    [anon_sym_ge] = ACTIONS(2769),
    [anon_sym_gt] = ACTIONS(2769),
    [anon_sym_isa] = ACTIONS(2769),
    [anon_sym_PLUS_PLUS] = ACTIONS(2769),
    [anon_sym_DASH_DASH] = ACTIONS(2769),
    [anon_sym_QMARK] = ACTIONS(2769),
    [anon_sym_PERCENT2] = ACTIONS(2769),
    [anon_sym_EQ_GT] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1700] = {
    [sym_heredoc_content] = STATE(1700),
    [anon_sym_COLON] = ACTIONS(2889),
    [anon_sym_DOLLAR] = ACTIONS(2889),
    [anon_sym_EQ] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_AT] = ACTIONS(2889),
    [anon_sym_COMMA] = ACTIONS(2889),
    [anon_sym_RPAREN] = ACTIONS(2889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2889),
    [anon_sym_DASH_GT] = ACTIONS(2889),
    [anon_sym_PERCENT] = ACTIONS(2891),
    [anon_sym_LT] = ACTIONS(2891),
    [anon_sym_GT] = ACTIONS(2891),
    [anon_sym_LT_LT] = ACTIONS(2891),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2889),
    [anon_sym_PLUS_EQ] = ACTIONS(2889),
    [anon_sym_DASH_EQ] = ACTIONS(2889),
    [anon_sym_DOT_EQ] = ACTIONS(2889),
    [anon_sym_STAR_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_PERCENT_EQ] = ACTIONS(2891),
    [anon_sym_x_EQ] = ACTIONS(2889),
    [anon_sym_AMP_EQ] = ACTIONS(2889),
    [anon_sym_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_CARET_EQ] = ACTIONS(2889),
    [anon_sym_LT_LT_EQ] = ACTIONS(2889),
    [anon_sym_GT_GT_EQ] = ACTIONS(2889),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2889),
    [anon_sym_DOT_DOT] = ACTIONS(2891),
    [anon_sym_STAR_STAR] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE] = ACTIONS(2891),
    [anon_sym_SLASH_SLASH] = ACTIONS(2891),
    [anon_sym_CARET_CARET] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2891),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_GT_GT2] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_DOT] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_SLASH] = ACTIONS(2891),
    [anon_sym_x] = ACTIONS(2891),
    [anon_sym_EQ_TILDE] = ACTIONS(2889),
    [anon_sym_BANG_TILDE] = ACTIONS(2889),
    [anon_sym_EQ_EQ] = ACTIONS(2891),
    [anon_sym_BANG_EQ] = ACTIONS(2889),
    [anon_sym_eq] = ACTIONS(2891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2889),
    [anon_sym_equ] = ACTIONS(2889),
    [anon_sym_eqr] = ACTIONS(2889),
    [anon_sym_ne] = ACTIONS(2889),
    [anon_sym_LT_EQ_GT] = ACTIONS(2889),
    [anon_sym_cmp] = ACTIONS(2889),
    [anon_sym_TILDE_TILDE] = ACTIONS(2889),
    [anon_sym_LT_EQ] = ACTIONS(2891),
    [anon_sym_GT_EQ] = ACTIONS(2889),
    [anon_sym_lt] = ACTIONS(2889),
    [anon_sym_le] = ACTIONS(2889),
    [anon_sym_ge] = ACTIONS(2889),
    [anon_sym_gt] = ACTIONS(2889),
    [anon_sym_isa] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_QMARK] = ACTIONS(2889),
    [anon_sym_PERCENT2] = ACTIONS(2889),
    [anon_sym_EQ_GT] = ACTIONS(2889),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1701] = {
    [sym_heredoc_content] = STATE(1701),
    [anon_sym_COLON] = ACTIONS(3146),
    [anon_sym_DOLLAR] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3146),
    [anon_sym_COMMA] = ACTIONS(3146),
    [anon_sym_RPAREN] = ACTIONS(3146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3146),
    [anon_sym_DASH_GT] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3148),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_GT] = ACTIONS(3148),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3146),
    [anon_sym_DASH_EQ] = ACTIONS(3146),
    [anon_sym_DOT_EQ] = ACTIONS(3146),
    [anon_sym_STAR_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_PERCENT_EQ] = ACTIONS(3148),
    [anon_sym_x_EQ] = ACTIONS(3146),
    [anon_sym_AMP_EQ] = ACTIONS(3146),
    [anon_sym_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_CARET_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT_EQ] = ACTIONS(3146),
    [anon_sym_GT_GT_EQ] = ACTIONS(3146),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3146),
    [anon_sym_DOT_DOT] = ACTIONS(3148),
    [anon_sym_STAR_STAR] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3148),
    [anon_sym_CARET_CARET] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_PIPE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3148),
    [anon_sym_GT_GT2] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_x] = ACTIONS(3148),
    [anon_sym_EQ_TILDE] = ACTIONS(3146),
    [anon_sym_BANG_TILDE] = ACTIONS(3146),
    [anon_sym_EQ_EQ] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_eq] = ACTIONS(3148),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3146),
    [anon_sym_equ] = ACTIONS(3146),
    [anon_sym_eqr] = ACTIONS(3146),
    [anon_sym_ne] = ACTIONS(3146),
    [anon_sym_LT_EQ_GT] = ACTIONS(3146),
    [anon_sym_cmp] = ACTIONS(3146),
    [anon_sym_TILDE_TILDE] = ACTIONS(3146),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_lt] = ACTIONS(3146),
    [anon_sym_le] = ACTIONS(3146),
    [anon_sym_ge] = ACTIONS(3146),
    [anon_sym_gt] = ACTIONS(3146),
    [anon_sym_isa] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_PERCENT2] = ACTIONS(3146),
    [anon_sym_EQ_GT] = ACTIONS(3146),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1702] = {
    [sym_heredoc_content] = STATE(1702),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_DOLLAR] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_AT] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2835),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2833),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_PERCENT2] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1703] = {
    [sym_heredoc_content] = STATE(1703),
    [anon_sym_COLON] = ACTIONS(2853),
    [anon_sym_DOLLAR] = ACTIONS(2853),
    [anon_sym_EQ] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_AT] = ACTIONS(2853),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_RPAREN] = ACTIONS(2853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2853),
    [anon_sym_DASH_GT] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2855),
    [anon_sym_GT] = ACTIONS(2855),
    [anon_sym_LT_LT] = ACTIONS(2855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2853),
    [anon_sym_PLUS_EQ] = ACTIONS(2853),
    [anon_sym_DASH_EQ] = ACTIONS(2853),
    [anon_sym_DOT_EQ] = ACTIONS(2853),
    [anon_sym_STAR_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_PERCENT_EQ] = ACTIONS(2855),
    [anon_sym_x_EQ] = ACTIONS(2853),
    [anon_sym_AMP_EQ] = ACTIONS(2853),
    [anon_sym_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_CARET_EQ] = ACTIONS(2853),
    [anon_sym_LT_LT_EQ] = ACTIONS(2853),
    [anon_sym_GT_GT_EQ] = ACTIONS(2853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2853),
    [anon_sym_DOT_DOT] = ACTIONS(2855),
    [anon_sym_STAR_STAR] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_SLASH_SLASH] = ACTIONS(2855),
    [anon_sym_CARET_CARET] = ACTIONS(2853),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_PIPE] = ACTIONS(2855),
    [anon_sym_CARET] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_GT_GT2] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_SLASH] = ACTIONS(2855),
    [anon_sym_x] = ACTIONS(2855),
    [anon_sym_EQ_TILDE] = ACTIONS(2853),
    [anon_sym_BANG_TILDE] = ACTIONS(2853),
    [anon_sym_EQ_EQ] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_eq] = ACTIONS(2855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2853),
    [anon_sym_equ] = ACTIONS(2853),
    [anon_sym_eqr] = ACTIONS(2853),
    [anon_sym_ne] = ACTIONS(2853),
    [anon_sym_LT_EQ_GT] = ACTIONS(2853),
    [anon_sym_cmp] = ACTIONS(2853),
    [anon_sym_TILDE_TILDE] = ACTIONS(2853),
    [anon_sym_LT_EQ] = ACTIONS(2855),
    [anon_sym_GT_EQ] = ACTIONS(2853),
    [anon_sym_lt] = ACTIONS(2853),
    [anon_sym_le] = ACTIONS(2853),
    [anon_sym_ge] = ACTIONS(2853),
    [anon_sym_gt] = ACTIONS(2853),
    [anon_sym_isa] = ACTIONS(2853),
    [anon_sym_PLUS_PLUS] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2853),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PERCENT2] = ACTIONS(2853),
    [anon_sym_EQ_GT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1704] = {
    [sym_heredoc_content] = STATE(1704),
    [anon_sym_COLON] = ACTIONS(2705),
    [anon_sym_DOLLAR] = ACTIONS(2705),
    [anon_sym_EQ] = ACTIONS(2707),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2705),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2705),
    [anon_sym_AT] = ACTIONS(2705),
    [anon_sym_COMMA] = ACTIONS(2705),
    [anon_sym_RPAREN] = ACTIONS(2705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2705),
    [anon_sym_DASH_GT] = ACTIONS(2705),
    [anon_sym_PERCENT] = ACTIONS(2707),
    [anon_sym_LT] = ACTIONS(2707),
    [anon_sym_GT] = ACTIONS(2707),
    [anon_sym_LT_LT] = ACTIONS(2707),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2705),
    [anon_sym_PLUS_EQ] = ACTIONS(2705),
    [anon_sym_DASH_EQ] = ACTIONS(2705),
    [anon_sym_DOT_EQ] = ACTIONS(2705),
    [anon_sym_STAR_EQ] = ACTIONS(2705),
    [anon_sym_SLASH_EQ] = ACTIONS(2705),
    [anon_sym_PERCENT_EQ] = ACTIONS(2707),
    [anon_sym_x_EQ] = ACTIONS(2705),
    [anon_sym_AMP_EQ] = ACTIONS(2705),
    [anon_sym_PIPE_EQ] = ACTIONS(2705),
    [anon_sym_CARET_EQ] = ACTIONS(2705),
    [anon_sym_LT_LT_EQ] = ACTIONS(2705),
    [anon_sym_GT_GT_EQ] = ACTIONS(2705),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2705),
    [anon_sym_DOT_DOT] = ACTIONS(2707),
    [anon_sym_STAR_STAR] = ACTIONS(2707),
    [anon_sym_PIPE_PIPE] = ACTIONS(2707),
    [anon_sym_SLASH_SLASH] = ACTIONS(2707),
    [anon_sym_CARET_CARET] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(2707),
    [anon_sym_PIPE] = ACTIONS(2707),
    [anon_sym_CARET] = ACTIONS(2707),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_GT_GT2] = ACTIONS(2707),
    [anon_sym_PLUS] = ACTIONS(2707),
    [anon_sym_DASH] = ACTIONS(2707),
    [anon_sym_DOT] = ACTIONS(2707),
    [anon_sym_STAR] = ACTIONS(2707),
    [anon_sym_SLASH] = ACTIONS(2707),
    [anon_sym_x] = ACTIONS(2707),
    [anon_sym_EQ_TILDE] = ACTIONS(2705),
    [anon_sym_BANG_TILDE] = ACTIONS(2705),
    [anon_sym_EQ_EQ] = ACTIONS(2707),
    [anon_sym_BANG_EQ] = ACTIONS(2705),
    [anon_sym_eq] = ACTIONS(2707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2705),
    [anon_sym_equ] = ACTIONS(2705),
    [anon_sym_eqr] = ACTIONS(2705),
    [anon_sym_ne] = ACTIONS(2705),
    [anon_sym_LT_EQ_GT] = ACTIONS(2705),
    [anon_sym_cmp] = ACTIONS(2705),
    [anon_sym_TILDE_TILDE] = ACTIONS(2705),
    [anon_sym_LT_EQ] = ACTIONS(2707),
    [anon_sym_GT_EQ] = ACTIONS(2705),
    [anon_sym_lt] = ACTIONS(2705),
    [anon_sym_le] = ACTIONS(2705),
    [anon_sym_ge] = ACTIONS(2705),
    [anon_sym_gt] = ACTIONS(2705),
    [anon_sym_isa] = ACTIONS(2705),
    [anon_sym_PLUS_PLUS] = ACTIONS(2705),
    [anon_sym_DASH_DASH] = ACTIONS(2705),
    [anon_sym_QMARK] = ACTIONS(2705),
    [anon_sym_PERCENT2] = ACTIONS(2705),
    [anon_sym_EQ_GT] = ACTIONS(2705),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1705] = {
    [sym_heredoc_content] = STATE(1705),
    [anon_sym_COLON] = ACTIONS(2765),
    [anon_sym_DOLLAR] = ACTIONS(2765),
    [anon_sym_EQ] = ACTIONS(2767),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_AT] = ACTIONS(2765),
    [anon_sym_COMMA] = ACTIONS(2765),
    [anon_sym_RPAREN] = ACTIONS(2765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2765),
    [anon_sym_DASH_GT] = ACTIONS(2765),
    [anon_sym_PERCENT] = ACTIONS(2767),
    [anon_sym_LT] = ACTIONS(2767),
    [anon_sym_GT] = ACTIONS(2767),
    [anon_sym_LT_LT] = ACTIONS(2767),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2765),
    [anon_sym_PLUS_EQ] = ACTIONS(2765),
    [anon_sym_DASH_EQ] = ACTIONS(2765),
    [anon_sym_DOT_EQ] = ACTIONS(2765),
    [anon_sym_STAR_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_PERCENT_EQ] = ACTIONS(2767),
    [anon_sym_x_EQ] = ACTIONS(2765),
    [anon_sym_AMP_EQ] = ACTIONS(2765),
    [anon_sym_PIPE_EQ] = ACTIONS(2765),
    [anon_sym_CARET_EQ] = ACTIONS(2765),
    [anon_sym_LT_LT_EQ] = ACTIONS(2765),
    [anon_sym_GT_GT_EQ] = ACTIONS(2765),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2765),
    [anon_sym_DOT_DOT] = ACTIONS(2767),
    [anon_sym_STAR_STAR] = ACTIONS(2767),
    [anon_sym_PIPE_PIPE] = ACTIONS(2767),
    [anon_sym_SLASH_SLASH] = ACTIONS(2767),
    [anon_sym_CARET_CARET] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2767),
    [anon_sym_CARET] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_GT_GT2] = ACTIONS(2767),
    [anon_sym_PLUS] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_DOT] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_SLASH] = ACTIONS(2767),
    [anon_sym_x] = ACTIONS(2767),
    [anon_sym_EQ_TILDE] = ACTIONS(2765),
    [anon_sym_BANG_TILDE] = ACTIONS(2765),
    [anon_sym_EQ_EQ] = ACTIONS(2767),
    [anon_sym_BANG_EQ] = ACTIONS(2765),
    [anon_sym_eq] = ACTIONS(2767),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2765),
    [anon_sym_equ] = ACTIONS(2765),
    [anon_sym_eqr] = ACTIONS(2765),
    [anon_sym_ne] = ACTIONS(2765),
    [anon_sym_LT_EQ_GT] = ACTIONS(2765),
    [anon_sym_cmp] = ACTIONS(2765),
    [anon_sym_TILDE_TILDE] = ACTIONS(2765),
    [anon_sym_LT_EQ] = ACTIONS(2767),
    [anon_sym_GT_EQ] = ACTIONS(2765),
    [anon_sym_lt] = ACTIONS(2765),
    [anon_sym_le] = ACTIONS(2765),
    [anon_sym_ge] = ACTIONS(2765),
    [anon_sym_gt] = ACTIONS(2765),
    [anon_sym_isa] = ACTIONS(2765),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_QMARK] = ACTIONS(2765),
    [anon_sym_PERCENT2] = ACTIONS(2765),
    [anon_sym_EQ_GT] = ACTIONS(2765),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1706] = {
    [sym_heredoc_content] = STATE(1706),
    [anon_sym_COLON] = ACTIONS(2949),
    [anon_sym_DOLLAR] = ACTIONS(2949),
    [anon_sym_EQ] = ACTIONS(2951),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_AT] = ACTIONS(2949),
    [anon_sym_COMMA] = ACTIONS(2949),
    [anon_sym_RPAREN] = ACTIONS(2949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2949),
    [anon_sym_DASH_GT] = ACTIONS(2949),
    [anon_sym_PERCENT] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_LT_LT] = ACTIONS(2951),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2949),
    [anon_sym_PLUS_EQ] = ACTIONS(2949),
    [anon_sym_DASH_EQ] = ACTIONS(2949),
    [anon_sym_DOT_EQ] = ACTIONS(2949),
    [anon_sym_STAR_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_PERCENT_EQ] = ACTIONS(2951),
    [anon_sym_x_EQ] = ACTIONS(2949),
    [anon_sym_AMP_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_EQ] = ACTIONS(2949),
    [anon_sym_CARET_EQ] = ACTIONS(2949),
    [anon_sym_LT_LT_EQ] = ACTIONS(2949),
    [anon_sym_GT_GT_EQ] = ACTIONS(2949),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_STAR_STAR] = ACTIONS(2951),
    [anon_sym_PIPE_PIPE] = ACTIONS(2951),
    [anon_sym_SLASH_SLASH] = ACTIONS(2951),
    [anon_sym_CARET_CARET] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_PIPE] = ACTIONS(2951),
    [anon_sym_CARET] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_GT_GT2] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_x] = ACTIONS(2951),
    [anon_sym_EQ_TILDE] = ACTIONS(2949),
    [anon_sym_BANG_TILDE] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2949),
    [anon_sym_eq] = ACTIONS(2951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_equ] = ACTIONS(2949),
    [anon_sym_eqr] = ACTIONS(2949),
    [anon_sym_ne] = ACTIONS(2949),
    [anon_sym_LT_EQ_GT] = ACTIONS(2949),
    [anon_sym_cmp] = ACTIONS(2949),
    [anon_sym_TILDE_TILDE] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_lt] = ACTIONS(2949),
    [anon_sym_le] = ACTIONS(2949),
    [anon_sym_ge] = ACTIONS(2949),
    [anon_sym_gt] = ACTIONS(2949),
    [anon_sym_isa] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_QMARK] = ACTIONS(2949),
    [anon_sym_PERCENT2] = ACTIONS(2949),
    [anon_sym_EQ_GT] = ACTIONS(2949),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1707] = {
    [sym_heredoc_content] = STATE(1707),
    [anon_sym_COLON] = ACTIONS(2953),
    [anon_sym_DOLLAR] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2953),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2953),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(2953),
    [anon_sym_RPAREN] = ACTIONS(2953),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2953),
    [anon_sym_DASH_GT] = ACTIONS(2953),
    [anon_sym_PERCENT] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_LT_LT] = ACTIONS(2955),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2953),
    [anon_sym_PLUS_EQ] = ACTIONS(2953),
    [anon_sym_DASH_EQ] = ACTIONS(2953),
    [anon_sym_DOT_EQ] = ACTIONS(2953),
    [anon_sym_STAR_EQ] = ACTIONS(2953),
    [anon_sym_SLASH_EQ] = ACTIONS(2953),
    [anon_sym_PERCENT_EQ] = ACTIONS(2955),
    [anon_sym_x_EQ] = ACTIONS(2953),
    [anon_sym_AMP_EQ] = ACTIONS(2953),
    [anon_sym_PIPE_EQ] = ACTIONS(2953),
    [anon_sym_CARET_EQ] = ACTIONS(2953),
    [anon_sym_LT_LT_EQ] = ACTIONS(2953),
    [anon_sym_GT_GT_EQ] = ACTIONS(2953),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2953),
    [anon_sym_DOT_DOT] = ACTIONS(2955),
    [anon_sym_STAR_STAR] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2955),
    [anon_sym_SLASH_SLASH] = ACTIONS(2955),
    [anon_sym_CARET_CARET] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_PIPE] = ACTIONS(2955),
    [anon_sym_CARET] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_GT_GT2] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2955),
    [anon_sym_x] = ACTIONS(2955),
    [anon_sym_EQ_TILDE] = ACTIONS(2953),
    [anon_sym_BANG_TILDE] = ACTIONS(2953),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ] = ACTIONS(2953),
    [anon_sym_eq] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2953),
    [anon_sym_equ] = ACTIONS(2953),
    [anon_sym_eqr] = ACTIONS(2953),
    [anon_sym_ne] = ACTIONS(2953),
    [anon_sym_LT_EQ_GT] = ACTIONS(2953),
    [anon_sym_cmp] = ACTIONS(2953),
    [anon_sym_TILDE_TILDE] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2955),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_lt] = ACTIONS(2953),
    [anon_sym_le] = ACTIONS(2953),
    [anon_sym_ge] = ACTIONS(2953),
    [anon_sym_gt] = ACTIONS(2953),
    [anon_sym_isa] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2953),
    [anon_sym_PERCENT2] = ACTIONS(2953),
    [anon_sym_EQ_GT] = ACTIONS(2953),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1708] = {
    [sym_heredoc_content] = STATE(1708),
    [anon_sym_COLON] = ACTIONS(2921),
    [anon_sym_DOLLAR] = ACTIONS(2921),
    [anon_sym_EQ] = ACTIONS(2923),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2921),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2921),
    [anon_sym_AT] = ACTIONS(2921),
    [anon_sym_COMMA] = ACTIONS(2921),
    [anon_sym_RPAREN] = ACTIONS(2921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2921),
    [anon_sym_DASH_GT] = ACTIONS(2921),
    [anon_sym_PERCENT] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2923),
    [anon_sym_GT] = ACTIONS(2923),
    [anon_sym_LT_LT] = ACTIONS(2923),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2921),
    [anon_sym_PLUS_EQ] = ACTIONS(2921),
    [anon_sym_DASH_EQ] = ACTIONS(2921),
    [anon_sym_DOT_EQ] = ACTIONS(2921),
    [anon_sym_STAR_EQ] = ACTIONS(2921),
    [anon_sym_SLASH_EQ] = ACTIONS(2921),
    [anon_sym_PERCENT_EQ] = ACTIONS(2923),
    [anon_sym_x_EQ] = ACTIONS(2921),
    [anon_sym_AMP_EQ] = ACTIONS(2921),
    [anon_sym_PIPE_EQ] = ACTIONS(2921),
    [anon_sym_CARET_EQ] = ACTIONS(2921),
    [anon_sym_LT_LT_EQ] = ACTIONS(2921),
    [anon_sym_GT_GT_EQ] = ACTIONS(2921),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2921),
    [anon_sym_DOT_DOT] = ACTIONS(2923),
    [anon_sym_STAR_STAR] = ACTIONS(2923),
    [anon_sym_PIPE_PIPE] = ACTIONS(2923),
    [anon_sym_SLASH_SLASH] = ACTIONS(2923),
    [anon_sym_CARET_CARET] = ACTIONS(2921),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_PIPE] = ACTIONS(2923),
    [anon_sym_CARET] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2923),
    [anon_sym_GT_GT2] = ACTIONS(2923),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_SLASH] = ACTIONS(2923),
    [anon_sym_x] = ACTIONS(2923),
    [anon_sym_EQ_TILDE] = ACTIONS(2921),
    [anon_sym_BANG_TILDE] = ACTIONS(2921),
    [anon_sym_EQ_EQ] = ACTIONS(2923),
    [anon_sym_BANG_EQ] = ACTIONS(2921),
    [anon_sym_eq] = ACTIONS(2923),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2921),
    [anon_sym_equ] = ACTIONS(2921),
    [anon_sym_eqr] = ACTIONS(2921),
    [anon_sym_ne] = ACTIONS(2921),
    [anon_sym_LT_EQ_GT] = ACTIONS(2921),
    [anon_sym_cmp] = ACTIONS(2921),
    [anon_sym_TILDE_TILDE] = ACTIONS(2921),
    [anon_sym_LT_EQ] = ACTIONS(2923),
    [anon_sym_GT_EQ] = ACTIONS(2921),
    [anon_sym_lt] = ACTIONS(2921),
    [anon_sym_le] = ACTIONS(2921),
    [anon_sym_ge] = ACTIONS(2921),
    [anon_sym_gt] = ACTIONS(2921),
    [anon_sym_isa] = ACTIONS(2921),
    [anon_sym_PLUS_PLUS] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2921),
    [anon_sym_QMARK] = ACTIONS(2921),
    [anon_sym_PERCENT2] = ACTIONS(2921),
    [anon_sym_EQ_GT] = ACTIONS(2921),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1709] = {
    [sym_heredoc_content] = STATE(1709),
    [anon_sym_COLON] = ACTIONS(2957),
    [anon_sym_DOLLAR] = ACTIONS(2957),
    [anon_sym_EQ] = ACTIONS(2959),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_COMMA] = ACTIONS(2957),
    [anon_sym_RPAREN] = ACTIONS(2957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2957),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_PERCENT] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2959),
    [anon_sym_GT] = ACTIONS(2959),
    [anon_sym_LT_LT] = ACTIONS(2959),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2957),
    [anon_sym_PLUS_EQ] = ACTIONS(2957),
    [anon_sym_DASH_EQ] = ACTIONS(2957),
    [anon_sym_DOT_EQ] = ACTIONS(2957),
    [anon_sym_STAR_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_PERCENT_EQ] = ACTIONS(2959),
    [anon_sym_x_EQ] = ACTIONS(2957),
    [anon_sym_AMP_EQ] = ACTIONS(2957),
    [anon_sym_PIPE_EQ] = ACTIONS(2957),
    [anon_sym_CARET_EQ] = ACTIONS(2957),
    [anon_sym_LT_LT_EQ] = ACTIONS(2957),
    [anon_sym_GT_GT_EQ] = ACTIONS(2957),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2957),
    [anon_sym_DOT_DOT] = ACTIONS(2959),
    [anon_sym_STAR_STAR] = ACTIONS(2959),
    [anon_sym_PIPE_PIPE] = ACTIONS(2959),
    [anon_sym_SLASH_SLASH] = ACTIONS(2959),
    [anon_sym_CARET_CARET] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_PIPE] = ACTIONS(2959),
    [anon_sym_CARET] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_GT_GT2] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_DOT] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2959),
    [anon_sym_x] = ACTIONS(2959),
    [anon_sym_EQ_TILDE] = ACTIONS(2957),
    [anon_sym_BANG_TILDE] = ACTIONS(2957),
    [anon_sym_EQ_EQ] = ACTIONS(2959),
    [anon_sym_BANG_EQ] = ACTIONS(2957),
    [anon_sym_eq] = ACTIONS(2959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2957),
    [anon_sym_equ] = ACTIONS(2957),
    [anon_sym_eqr] = ACTIONS(2957),
    [anon_sym_ne] = ACTIONS(2957),
    [anon_sym_LT_EQ_GT] = ACTIONS(2957),
    [anon_sym_cmp] = ACTIONS(2957),
    [anon_sym_TILDE_TILDE] = ACTIONS(2957),
    [anon_sym_LT_EQ] = ACTIONS(2959),
    [anon_sym_GT_EQ] = ACTIONS(2957),
    [anon_sym_lt] = ACTIONS(2957),
    [anon_sym_le] = ACTIONS(2957),
    [anon_sym_ge] = ACTIONS(2957),
    [anon_sym_gt] = ACTIONS(2957),
    [anon_sym_isa] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_QMARK] = ACTIONS(2957),
    [anon_sym_PERCENT2] = ACTIONS(2957),
    [anon_sym_EQ_GT] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1710] = {
    [sym_heredoc_content] = STATE(1710),
    [anon_sym_COLON] = ACTIONS(2981),
    [anon_sym_DOLLAR] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(2983),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2981),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2981),
    [anon_sym_AT] = ACTIONS(2981),
    [anon_sym_COMMA] = ACTIONS(2981),
    [anon_sym_RPAREN] = ACTIONS(2981),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DASH_GT] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2983),
    [anon_sym_LT] = ACTIONS(2983),
    [anon_sym_GT] = ACTIONS(2983),
    [anon_sym_LT_LT] = ACTIONS(2983),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2981),
    [anon_sym_DASH_EQ] = ACTIONS(2981),
    [anon_sym_DOT_EQ] = ACTIONS(2981),
    [anon_sym_STAR_EQ] = ACTIONS(2981),
    [anon_sym_SLASH_EQ] = ACTIONS(2981),
    [anon_sym_PERCENT_EQ] = ACTIONS(2983),
    [anon_sym_x_EQ] = ACTIONS(2981),
    [anon_sym_AMP_EQ] = ACTIONS(2981),
    [anon_sym_PIPE_EQ] = ACTIONS(2981),
    [anon_sym_CARET_EQ] = ACTIONS(2981),
    [anon_sym_LT_LT_EQ] = ACTIONS(2981),
    [anon_sym_GT_GT_EQ] = ACTIONS(2981),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2981),
    [anon_sym_DOT_DOT] = ACTIONS(2983),
    [anon_sym_STAR_STAR] = ACTIONS(2983),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_SLASH_SLASH] = ACTIONS(2983),
    [anon_sym_CARET_CARET] = ACTIONS(2981),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2983),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2983),
    [anon_sym_GT_GT2] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2983),
    [anon_sym_x] = ACTIONS(2983),
    [anon_sym_EQ_TILDE] = ACTIONS(2981),
    [anon_sym_BANG_TILDE] = ACTIONS(2981),
    [anon_sym_EQ_EQ] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_eq] = ACTIONS(2983),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2981),
    [anon_sym_equ] = ACTIONS(2981),
    [anon_sym_eqr] = ACTIONS(2981),
    [anon_sym_ne] = ACTIONS(2981),
    [anon_sym_LT_EQ_GT] = ACTIONS(2981),
    [anon_sym_cmp] = ACTIONS(2981),
    [anon_sym_TILDE_TILDE] = ACTIONS(2981),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2981),
    [anon_sym_lt] = ACTIONS(2981),
    [anon_sym_le] = ACTIONS(2981),
    [anon_sym_ge] = ACTIONS(2981),
    [anon_sym_gt] = ACTIONS(2981),
    [anon_sym_isa] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2981),
    [anon_sym_QMARK] = ACTIONS(2981),
    [anon_sym_PERCENT2] = ACTIONS(2981),
    [anon_sym_EQ_GT] = ACTIONS(2981),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1711] = {
    [sym_heredoc_content] = STATE(1711),
    [anon_sym_COLON] = ACTIONS(3001),
    [anon_sym_DOLLAR] = ACTIONS(3001),
    [anon_sym_EQ] = ACTIONS(3003),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3001),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3001),
    [anon_sym_AT] = ACTIONS(3001),
    [anon_sym_COMMA] = ACTIONS(3001),
    [anon_sym_RPAREN] = ACTIONS(3001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3001),
    [anon_sym_DASH_GT] = ACTIONS(3001),
    [anon_sym_PERCENT] = ACTIONS(3003),
    [anon_sym_LT] = ACTIONS(3003),
    [anon_sym_GT] = ACTIONS(3003),
    [anon_sym_LT_LT] = ACTIONS(3003),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3001),
    [anon_sym_PLUS_EQ] = ACTIONS(3001),
    [anon_sym_DASH_EQ] = ACTIONS(3001),
    [anon_sym_DOT_EQ] = ACTIONS(3001),
    [anon_sym_STAR_EQ] = ACTIONS(3001),
    [anon_sym_SLASH_EQ] = ACTIONS(3001),
    [anon_sym_PERCENT_EQ] = ACTIONS(3003),
    [anon_sym_x_EQ] = ACTIONS(3001),
    [anon_sym_AMP_EQ] = ACTIONS(3001),
    [anon_sym_PIPE_EQ] = ACTIONS(3001),
    [anon_sym_CARET_EQ] = ACTIONS(3001),
    [anon_sym_LT_LT_EQ] = ACTIONS(3001),
    [anon_sym_GT_GT_EQ] = ACTIONS(3001),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3001),
    [anon_sym_DOT_DOT] = ACTIONS(3003),
    [anon_sym_STAR_STAR] = ACTIONS(3003),
    [anon_sym_PIPE_PIPE] = ACTIONS(3003),
    [anon_sym_SLASH_SLASH] = ACTIONS(3003),
    [anon_sym_CARET_CARET] = ACTIONS(3001),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_PIPE] = ACTIONS(3003),
    [anon_sym_CARET] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_GT_GT2] = ACTIONS(3003),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_DOT] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_SLASH] = ACTIONS(3003),
    [anon_sym_x] = ACTIONS(3003),
    [anon_sym_EQ_TILDE] = ACTIONS(3001),
    [anon_sym_BANG_TILDE] = ACTIONS(3001),
    [anon_sym_EQ_EQ] = ACTIONS(3003),
    [anon_sym_BANG_EQ] = ACTIONS(3001),
    [anon_sym_eq] = ACTIONS(3003),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3001),
    [anon_sym_equ] = ACTIONS(3001),
    [anon_sym_eqr] = ACTIONS(3001),
    [anon_sym_ne] = ACTIONS(3001),
    [anon_sym_LT_EQ_GT] = ACTIONS(3001),
    [anon_sym_cmp] = ACTIONS(3001),
    [anon_sym_TILDE_TILDE] = ACTIONS(3001),
    [anon_sym_LT_EQ] = ACTIONS(3003),
    [anon_sym_GT_EQ] = ACTIONS(3001),
    [anon_sym_lt] = ACTIONS(3001),
    [anon_sym_le] = ACTIONS(3001),
    [anon_sym_ge] = ACTIONS(3001),
    [anon_sym_gt] = ACTIONS(3001),
    [anon_sym_isa] = ACTIONS(3001),
    [anon_sym_PLUS_PLUS] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3001),
    [anon_sym_QMARK] = ACTIONS(3001),
    [anon_sym_PERCENT2] = ACTIONS(3001),
    [anon_sym_EQ_GT] = ACTIONS(3001),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1712] = {
    [sym_heredoc_content] = STATE(1712),
    [anon_sym_COLON] = ACTIONS(3017),
    [anon_sym_DOLLAR] = ACTIONS(3017),
    [anon_sym_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3017),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3017),
    [anon_sym_AT] = ACTIONS(3017),
    [anon_sym_COMMA] = ACTIONS(3017),
    [anon_sym_RPAREN] = ACTIONS(3017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3017),
    [anon_sym_DASH_GT] = ACTIONS(3017),
    [anon_sym_PERCENT] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3019),
    [anon_sym_GT] = ACTIONS(3019),
    [anon_sym_LT_LT] = ACTIONS(3019),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3017),
    [anon_sym_PLUS_EQ] = ACTIONS(3017),
    [anon_sym_DASH_EQ] = ACTIONS(3017),
    [anon_sym_DOT_EQ] = ACTIONS(3017),
    [anon_sym_STAR_EQ] = ACTIONS(3017),
    [anon_sym_SLASH_EQ] = ACTIONS(3017),
    [anon_sym_PERCENT_EQ] = ACTIONS(3019),
    [anon_sym_x_EQ] = ACTIONS(3017),
    [anon_sym_AMP_EQ] = ACTIONS(3017),
    [anon_sym_PIPE_EQ] = ACTIONS(3017),
    [anon_sym_CARET_EQ] = ACTIONS(3017),
    [anon_sym_LT_LT_EQ] = ACTIONS(3017),
    [anon_sym_GT_GT_EQ] = ACTIONS(3017),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3017),
    [anon_sym_DOT_DOT] = ACTIONS(3019),
    [anon_sym_STAR_STAR] = ACTIONS(3019),
    [anon_sym_PIPE_PIPE] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH] = ACTIONS(3019),
    [anon_sym_CARET_CARET] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3019),
    [anon_sym_PIPE] = ACTIONS(3019),
    [anon_sym_CARET] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(3019),
    [anon_sym_GT_GT2] = ACTIONS(3019),
    [anon_sym_PLUS] = ACTIONS(3019),
    [anon_sym_DASH] = ACTIONS(3019),
    [anon_sym_DOT] = ACTIONS(3019),
    [anon_sym_STAR] = ACTIONS(3019),
    [anon_sym_SLASH] = ACTIONS(3019),
    [anon_sym_x] = ACTIONS(3019),
    [anon_sym_EQ_TILDE] = ACTIONS(3017),
    [anon_sym_BANG_TILDE] = ACTIONS(3017),
    [anon_sym_EQ_EQ] = ACTIONS(3019),
    [anon_sym_BANG_EQ] = ACTIONS(3017),
    [anon_sym_eq] = ACTIONS(3019),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3017),
    [anon_sym_equ] = ACTIONS(3017),
    [anon_sym_eqr] = ACTIONS(3017),
    [anon_sym_ne] = ACTIONS(3017),
    [anon_sym_LT_EQ_GT] = ACTIONS(3017),
    [anon_sym_cmp] = ACTIONS(3017),
    [anon_sym_TILDE_TILDE] = ACTIONS(3017),
    [anon_sym_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_EQ] = ACTIONS(3017),
    [anon_sym_lt] = ACTIONS(3017),
    [anon_sym_le] = ACTIONS(3017),
    [anon_sym_ge] = ACTIONS(3017),
    [anon_sym_gt] = ACTIONS(3017),
    [anon_sym_isa] = ACTIONS(3017),
    [anon_sym_PLUS_PLUS] = ACTIONS(3017),
    [anon_sym_DASH_DASH] = ACTIONS(3017),
    [anon_sym_QMARK] = ACTIONS(3017),
    [anon_sym_PERCENT2] = ACTIONS(3017),
    [anon_sym_EQ_GT] = ACTIONS(3017),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1713] = {
    [sym_heredoc_content] = STATE(1713),
    [anon_sym_COLON] = ACTIONS(3066),
    [anon_sym_DOLLAR] = ACTIONS(3066),
    [anon_sym_EQ] = ACTIONS(3068),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_COMMA] = ACTIONS(3066),
    [anon_sym_RPAREN] = ACTIONS(3066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3066),
    [anon_sym_DASH_GT] = ACTIONS(3066),
    [anon_sym_PERCENT] = ACTIONS(3068),
    [anon_sym_LT] = ACTIONS(3068),
    [anon_sym_GT] = ACTIONS(3068),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3066),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_DOT_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3068),
    [anon_sym_x_EQ] = ACTIONS(3066),
    [anon_sym_AMP_EQ] = ACTIONS(3066),
    [anon_sym_PIPE_EQ] = ACTIONS(3066),
    [anon_sym_CARET_EQ] = ACTIONS(3066),
    [anon_sym_LT_LT_EQ] = ACTIONS(3066),
    [anon_sym_GT_GT_EQ] = ACTIONS(3066),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3066),
    [anon_sym_DOT_DOT] = ACTIONS(3068),
    [anon_sym_STAR_STAR] = ACTIONS(3068),
    [anon_sym_PIPE_PIPE] = ACTIONS(3068),
    [anon_sym_SLASH_SLASH] = ACTIONS(3068),
    [anon_sym_CARET_CARET] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3068),
    [anon_sym_CARET] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_GT_GT2] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_DOT] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_SLASH] = ACTIONS(3068),
    [anon_sym_x] = ACTIONS(3068),
    [anon_sym_EQ_TILDE] = ACTIONS(3066),
    [anon_sym_BANG_TILDE] = ACTIONS(3066),
    [anon_sym_EQ_EQ] = ACTIONS(3068),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_eq] = ACTIONS(3068),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_equ] = ACTIONS(3066),
    [anon_sym_eqr] = ACTIONS(3066),
    [anon_sym_ne] = ACTIONS(3066),
    [anon_sym_LT_EQ_GT] = ACTIONS(3066),
    [anon_sym_cmp] = ACTIONS(3066),
    [anon_sym_TILDE_TILDE] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3068),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_lt] = ACTIONS(3066),
    [anon_sym_le] = ACTIONS(3066),
    [anon_sym_ge] = ACTIONS(3066),
    [anon_sym_gt] = ACTIONS(3066),
    [anon_sym_isa] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_QMARK] = ACTIONS(3066),
    [anon_sym_PERCENT2] = ACTIONS(3066),
    [anon_sym_EQ_GT] = ACTIONS(3066),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1714] = {
    [sym_heredoc_content] = STATE(1714),
    [anon_sym_COLON] = ACTIONS(3070),
    [anon_sym_DOLLAR] = ACTIONS(3070),
    [anon_sym_EQ] = ACTIONS(3072),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3070),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3070),
    [anon_sym_AT] = ACTIONS(3070),
    [anon_sym_COMMA] = ACTIONS(3070),
    [anon_sym_RPAREN] = ACTIONS(3070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3070),
    [anon_sym_DASH_GT] = ACTIONS(3070),
    [anon_sym_PERCENT] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3072),
    [anon_sym_GT] = ACTIONS(3072),
    [anon_sym_LT_LT] = ACTIONS(3072),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3070),
    [anon_sym_PLUS_EQ] = ACTIONS(3070),
    [anon_sym_DASH_EQ] = ACTIONS(3070),
    [anon_sym_DOT_EQ] = ACTIONS(3070),
    [anon_sym_STAR_EQ] = ACTIONS(3070),
    [anon_sym_SLASH_EQ] = ACTIONS(3070),
    [anon_sym_PERCENT_EQ] = ACTIONS(3072),
    [anon_sym_x_EQ] = ACTIONS(3070),
    [anon_sym_AMP_EQ] = ACTIONS(3070),
    [anon_sym_PIPE_EQ] = ACTIONS(3070),
    [anon_sym_CARET_EQ] = ACTIONS(3070),
    [anon_sym_LT_LT_EQ] = ACTIONS(3070),
    [anon_sym_GT_GT_EQ] = ACTIONS(3070),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3070),
    [anon_sym_DOT_DOT] = ACTIONS(3072),
    [anon_sym_STAR_STAR] = ACTIONS(3072),
    [anon_sym_PIPE_PIPE] = ACTIONS(3072),
    [anon_sym_SLASH_SLASH] = ACTIONS(3072),
    [anon_sym_CARET_CARET] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_GT_GT2] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3072),
    [anon_sym_x] = ACTIONS(3072),
    [anon_sym_EQ_TILDE] = ACTIONS(3070),
    [anon_sym_BANG_TILDE] = ACTIONS(3070),
    [anon_sym_EQ_EQ] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3070),
    [anon_sym_eq] = ACTIONS(3072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3070),
    [anon_sym_equ] = ACTIONS(3070),
    [anon_sym_eqr] = ACTIONS(3070),
    [anon_sym_ne] = ACTIONS(3070),
    [anon_sym_LT_EQ_GT] = ACTIONS(3070),
    [anon_sym_cmp] = ACTIONS(3070),
    [anon_sym_TILDE_TILDE] = ACTIONS(3070),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3070),
    [anon_sym_lt] = ACTIONS(3070),
    [anon_sym_le] = ACTIONS(3070),
    [anon_sym_ge] = ACTIONS(3070),
    [anon_sym_gt] = ACTIONS(3070),
    [anon_sym_isa] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_QMARK] = ACTIONS(3070),
    [anon_sym_PERCENT2] = ACTIONS(3070),
    [anon_sym_EQ_GT] = ACTIONS(3070),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1715] = {
    [sym_heredoc_content] = STATE(1715),
    [anon_sym_COLON] = ACTIONS(3074),
    [anon_sym_DOLLAR] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_AT] = ACTIONS(3074),
    [anon_sym_COMMA] = ACTIONS(3074),
    [anon_sym_RPAREN] = ACTIONS(3074),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3074),
    [anon_sym_DASH_GT] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3076),
    [anon_sym_LT] = ACTIONS(3076),
    [anon_sym_GT] = ACTIONS(3076),
    [anon_sym_LT_LT] = ACTIONS(3076),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3074),
    [anon_sym_DASH_EQ] = ACTIONS(3074),
    [anon_sym_DOT_EQ] = ACTIONS(3074),
    [anon_sym_STAR_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_PERCENT_EQ] = ACTIONS(3076),
    [anon_sym_x_EQ] = ACTIONS(3074),
    [anon_sym_AMP_EQ] = ACTIONS(3074),
    [anon_sym_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_CARET_EQ] = ACTIONS(3074),
    [anon_sym_LT_LT_EQ] = ACTIONS(3074),
    [anon_sym_GT_GT_EQ] = ACTIONS(3074),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3074),
    [anon_sym_DOT_DOT] = ACTIONS(3076),
    [anon_sym_STAR_STAR] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_SLASH_SLASH] = ACTIONS(3076),
    [anon_sym_CARET_CARET] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_CARET] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_GT_GT2] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3076),
    [anon_sym_x] = ACTIONS(3076),
    [anon_sym_EQ_TILDE] = ACTIONS(3074),
    [anon_sym_BANG_TILDE] = ACTIONS(3074),
    [anon_sym_EQ_EQ] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_eq] = ACTIONS(3076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3074),
    [anon_sym_equ] = ACTIONS(3074),
    [anon_sym_eqr] = ACTIONS(3074),
    [anon_sym_ne] = ACTIONS(3074),
    [anon_sym_LT_EQ_GT] = ACTIONS(3074),
    [anon_sym_cmp] = ACTIONS(3074),
    [anon_sym_TILDE_TILDE] = ACTIONS(3074),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3074),
    [anon_sym_lt] = ACTIONS(3074),
    [anon_sym_le] = ACTIONS(3074),
    [anon_sym_ge] = ACTIONS(3074),
    [anon_sym_gt] = ACTIONS(3074),
    [anon_sym_isa] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_QMARK] = ACTIONS(3074),
    [anon_sym_PERCENT2] = ACTIONS(3074),
    [anon_sym_EQ_GT] = ACTIONS(3074),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1716] = {
    [sym_heredoc_content] = STATE(1716),
    [anon_sym_COLON] = ACTIONS(3092),
    [anon_sym_DOLLAR] = ACTIONS(3092),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3092),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3092),
    [anon_sym_AT] = ACTIONS(3092),
    [anon_sym_COMMA] = ACTIONS(3092),
    [anon_sym_RPAREN] = ACTIONS(3092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3092),
    [anon_sym_DASH_GT] = ACTIONS(3092),
    [anon_sym_PERCENT] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_GT] = ACTIONS(3094),
    [anon_sym_LT_LT] = ACTIONS(3094),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3092),
    [anon_sym_PLUS_EQ] = ACTIONS(3092),
    [anon_sym_DASH_EQ] = ACTIONS(3092),
    [anon_sym_DOT_EQ] = ACTIONS(3092),
    [anon_sym_STAR_EQ] = ACTIONS(3092),
    [anon_sym_SLASH_EQ] = ACTIONS(3092),
    [anon_sym_PERCENT_EQ] = ACTIONS(3094),
    [anon_sym_x_EQ] = ACTIONS(3092),
    [anon_sym_AMP_EQ] = ACTIONS(3092),
    [anon_sym_PIPE_EQ] = ACTIONS(3092),
    [anon_sym_CARET_EQ] = ACTIONS(3092),
    [anon_sym_LT_LT_EQ] = ACTIONS(3092),
    [anon_sym_GT_GT_EQ] = ACTIONS(3092),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3092),
    [anon_sym_DOT_DOT] = ACTIONS(3094),
    [anon_sym_STAR_STAR] = ACTIONS(3094),
    [anon_sym_PIPE_PIPE] = ACTIONS(3094),
    [anon_sym_SLASH_SLASH] = ACTIONS(3094),
    [anon_sym_CARET_CARET] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_PIPE] = ACTIONS(3094),
    [anon_sym_CARET] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_GT_GT2] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_DOT] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_SLASH] = ACTIONS(3094),
    [anon_sym_x] = ACTIONS(3094),
    [anon_sym_EQ_TILDE] = ACTIONS(3092),
    [anon_sym_BANG_TILDE] = ACTIONS(3092),
    [anon_sym_EQ_EQ] = ACTIONS(3094),
    [anon_sym_BANG_EQ] = ACTIONS(3092),
    [anon_sym_eq] = ACTIONS(3094),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3092),
    [anon_sym_equ] = ACTIONS(3092),
    [anon_sym_eqr] = ACTIONS(3092),
    [anon_sym_ne] = ACTIONS(3092),
    [anon_sym_LT_EQ_GT] = ACTIONS(3092),
    [anon_sym_cmp] = ACTIONS(3092),
    [anon_sym_TILDE_TILDE] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3094),
    [anon_sym_GT_EQ] = ACTIONS(3092),
    [anon_sym_lt] = ACTIONS(3092),
    [anon_sym_le] = ACTIONS(3092),
    [anon_sym_ge] = ACTIONS(3092),
    [anon_sym_gt] = ACTIONS(3092),
    [anon_sym_isa] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_QMARK] = ACTIONS(3092),
    [anon_sym_PERCENT2] = ACTIONS(3092),
    [anon_sym_EQ_GT] = ACTIONS(3092),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1717] = {
    [sym_heredoc_content] = STATE(1717),
    [anon_sym_COLON] = ACTIONS(3096),
    [anon_sym_DOLLAR] = ACTIONS(3096),
    [anon_sym_EQ] = ACTIONS(3098),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_AT] = ACTIONS(3096),
    [anon_sym_COMMA] = ACTIONS(3096),
    [anon_sym_RPAREN] = ACTIONS(3096),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3096),
    [anon_sym_DASH_GT] = ACTIONS(3096),
    [anon_sym_PERCENT] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_GT] = ACTIONS(3098),
    [anon_sym_LT_LT] = ACTIONS(3098),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_DOT_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3098),
    [anon_sym_x_EQ] = ACTIONS(3096),
    [anon_sym_AMP_EQ] = ACTIONS(3096),
    [anon_sym_PIPE_EQ] = ACTIONS(3096),
    [anon_sym_CARET_EQ] = ACTIONS(3096),
    [anon_sym_LT_LT_EQ] = ACTIONS(3096),
    [anon_sym_GT_GT_EQ] = ACTIONS(3096),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3096),
    [anon_sym_DOT_DOT] = ACTIONS(3098),
    [anon_sym_STAR_STAR] = ACTIONS(3098),
    [anon_sym_PIPE_PIPE] = ACTIONS(3098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3098),
    [anon_sym_CARET_CARET] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3098),
    [anon_sym_PIPE] = ACTIONS(3098),
    [anon_sym_CARET] = ACTIONS(3098),
    [anon_sym_AMP] = ACTIONS(3098),
    [anon_sym_GT_GT2] = ACTIONS(3098),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_DOT] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_SLASH] = ACTIONS(3098),
    [anon_sym_x] = ACTIONS(3098),
    [anon_sym_EQ_TILDE] = ACTIONS(3096),
    [anon_sym_BANG_TILDE] = ACTIONS(3096),
    [anon_sym_EQ_EQ] = ACTIONS(3098),
    [anon_sym_BANG_EQ] = ACTIONS(3096),
    [anon_sym_eq] = ACTIONS(3098),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3096),
    [anon_sym_equ] = ACTIONS(3096),
    [anon_sym_eqr] = ACTIONS(3096),
    [anon_sym_ne] = ACTIONS(3096),
    [anon_sym_LT_EQ_GT] = ACTIONS(3096),
    [anon_sym_cmp] = ACTIONS(3096),
    [anon_sym_TILDE_TILDE] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3098),
    [anon_sym_GT_EQ] = ACTIONS(3096),
    [anon_sym_lt] = ACTIONS(3096),
    [anon_sym_le] = ACTIONS(3096),
    [anon_sym_ge] = ACTIONS(3096),
    [anon_sym_gt] = ACTIONS(3096),
    [anon_sym_isa] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_QMARK] = ACTIONS(3096),
    [anon_sym_PERCENT2] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(3096),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1718] = {
    [sym_heredoc_content] = STATE(1718),
    [anon_sym_COLON] = ACTIONS(3100),
    [anon_sym_DOLLAR] = ACTIONS(3100),
    [anon_sym_EQ] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3100),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3100),
    [anon_sym_AT] = ACTIONS(3100),
    [anon_sym_COMMA] = ACTIONS(3100),
    [anon_sym_RPAREN] = ACTIONS(3100),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3100),
    [anon_sym_DASH_GT] = ACTIONS(3100),
    [anon_sym_PERCENT] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_GT] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(3102),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3100),
    [anon_sym_PLUS_EQ] = ACTIONS(3100),
    [anon_sym_DASH_EQ] = ACTIONS(3100),
    [anon_sym_DOT_EQ] = ACTIONS(3100),
    [anon_sym_STAR_EQ] = ACTIONS(3100),
    [anon_sym_SLASH_EQ] = ACTIONS(3100),
    [anon_sym_PERCENT_EQ] = ACTIONS(3102),
    [anon_sym_x_EQ] = ACTIONS(3100),
    [anon_sym_AMP_EQ] = ACTIONS(3100),
    [anon_sym_PIPE_EQ] = ACTIONS(3100),
    [anon_sym_CARET_EQ] = ACTIONS(3100),
    [anon_sym_LT_LT_EQ] = ACTIONS(3100),
    [anon_sym_GT_GT_EQ] = ACTIONS(3100),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3100),
    [anon_sym_DOT_DOT] = ACTIONS(3102),
    [anon_sym_STAR_STAR] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(3102),
    [anon_sym_CARET_CARET] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3102),
    [anon_sym_PIPE] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3102),
    [anon_sym_GT_GT2] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_DOT] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_x] = ACTIONS(3102),
    [anon_sym_EQ_TILDE] = ACTIONS(3100),
    [anon_sym_BANG_TILDE] = ACTIONS(3100),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3100),
    [anon_sym_eq] = ACTIONS(3102),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3100),
    [anon_sym_equ] = ACTIONS(3100),
    [anon_sym_eqr] = ACTIONS(3100),
    [anon_sym_ne] = ACTIONS(3100),
    [anon_sym_LT_EQ_GT] = ACTIONS(3100),
    [anon_sym_cmp] = ACTIONS(3100),
    [anon_sym_TILDE_TILDE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3100),
    [anon_sym_lt] = ACTIONS(3100),
    [anon_sym_le] = ACTIONS(3100),
    [anon_sym_ge] = ACTIONS(3100),
    [anon_sym_gt] = ACTIONS(3100),
    [anon_sym_isa] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [anon_sym_QMARK] = ACTIONS(3100),
    [anon_sym_PERCENT2] = ACTIONS(3100),
    [anon_sym_EQ_GT] = ACTIONS(3100),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1719] = {
    [sym_heredoc_content] = STATE(1719),
    [anon_sym_COLON] = ACTIONS(3114),
    [anon_sym_DOLLAR] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_AT] = ACTIONS(3114),
    [anon_sym_COMMA] = ACTIONS(3114),
    [anon_sym_RPAREN] = ACTIONS(3114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_DASH_GT] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3116),
    [anon_sym_GT] = ACTIONS(3116),
    [anon_sym_LT_LT] = ACTIONS(3116),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3114),
    [anon_sym_DASH_EQ] = ACTIONS(3114),
    [anon_sym_DOT_EQ] = ACTIONS(3114),
    [anon_sym_STAR_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_PERCENT_EQ] = ACTIONS(3116),
    [anon_sym_x_EQ] = ACTIONS(3114),
    [anon_sym_AMP_EQ] = ACTIONS(3114),
    [anon_sym_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_CARET_EQ] = ACTIONS(3114),
    [anon_sym_LT_LT_EQ] = ACTIONS(3114),
    [anon_sym_GT_GT_EQ] = ACTIONS(3114),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3114),
    [anon_sym_DOT_DOT] = ACTIONS(3116),
    [anon_sym_STAR_STAR] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_SLASH_SLASH] = ACTIONS(3116),
    [anon_sym_CARET_CARET] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_PIPE] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3116),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_GT_GT2] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3116),
    [anon_sym_x] = ACTIONS(3116),
    [anon_sym_EQ_TILDE] = ACTIONS(3114),
    [anon_sym_BANG_TILDE] = ACTIONS(3114),
    [anon_sym_EQ_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_eq] = ACTIONS(3116),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3114),
    [anon_sym_equ] = ACTIONS(3114),
    [anon_sym_eqr] = ACTIONS(3114),
    [anon_sym_ne] = ACTIONS(3114),
    [anon_sym_LT_EQ_GT] = ACTIONS(3114),
    [anon_sym_cmp] = ACTIONS(3114),
    [anon_sym_TILDE_TILDE] = ACTIONS(3114),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3114),
    [anon_sym_lt] = ACTIONS(3114),
    [anon_sym_le] = ACTIONS(3114),
    [anon_sym_ge] = ACTIONS(3114),
    [anon_sym_gt] = ACTIONS(3114),
    [anon_sym_isa] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_QMARK] = ACTIONS(3114),
    [anon_sym_PERCENT2] = ACTIONS(3114),
    [anon_sym_EQ_GT] = ACTIONS(3114),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1720] = {
    [sym_heredoc_content] = STATE(1720),
    [anon_sym_COLON] = ACTIONS(3122),
    [anon_sym_DOLLAR] = ACTIONS(3122),
    [anon_sym_EQ] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_AT] = ACTIONS(3122),
    [anon_sym_COMMA] = ACTIONS(3122),
    [anon_sym_RPAREN] = ACTIONS(3122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3122),
    [anon_sym_DASH_GT] = ACTIONS(3122),
    [anon_sym_PERCENT] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_GT] = ACTIONS(3124),
    [anon_sym_LT_LT] = ACTIONS(3124),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3122),
    [anon_sym_PLUS_EQ] = ACTIONS(3122),
    [anon_sym_DASH_EQ] = ACTIONS(3122),
    [anon_sym_DOT_EQ] = ACTIONS(3122),
    [anon_sym_STAR_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_PERCENT_EQ] = ACTIONS(3124),
    [anon_sym_x_EQ] = ACTIONS(3122),
    [anon_sym_AMP_EQ] = ACTIONS(3122),
    [anon_sym_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_CARET_EQ] = ACTIONS(3122),
    [anon_sym_LT_LT_EQ] = ACTIONS(3122),
    [anon_sym_GT_GT_EQ] = ACTIONS(3122),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3122),
    [anon_sym_DOT_DOT] = ACTIONS(3124),
    [anon_sym_STAR_STAR] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3124),
    [anon_sym_SLASH_SLASH] = ACTIONS(3124),
    [anon_sym_CARET_CARET] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_PIPE] = ACTIONS(3124),
    [anon_sym_CARET] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_GT_GT2] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_x] = ACTIONS(3124),
    [anon_sym_EQ_TILDE] = ACTIONS(3122),
    [anon_sym_BANG_TILDE] = ACTIONS(3122),
    [anon_sym_EQ_EQ] = ACTIONS(3124),
    [anon_sym_BANG_EQ] = ACTIONS(3122),
    [anon_sym_eq] = ACTIONS(3124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3122),
    [anon_sym_equ] = ACTIONS(3122),
    [anon_sym_eqr] = ACTIONS(3122),
    [anon_sym_ne] = ACTIONS(3122),
    [anon_sym_LT_EQ_GT] = ACTIONS(3122),
    [anon_sym_cmp] = ACTIONS(3122),
    [anon_sym_TILDE_TILDE] = ACTIONS(3122),
    [anon_sym_LT_EQ] = ACTIONS(3124),
    [anon_sym_GT_EQ] = ACTIONS(3122),
    [anon_sym_lt] = ACTIONS(3122),
    [anon_sym_le] = ACTIONS(3122),
    [anon_sym_ge] = ACTIONS(3122),
    [anon_sym_gt] = ACTIONS(3122),
    [anon_sym_isa] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_QMARK] = ACTIONS(3122),
    [anon_sym_PERCENT2] = ACTIONS(3122),
    [anon_sym_EQ_GT] = ACTIONS(3122),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1721] = {
    [sym_heredoc_content] = STATE(1721),
    [anon_sym_COLON] = ACTIONS(3138),
    [anon_sym_DOLLAR] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_AT] = ACTIONS(3138),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3138),
    [anon_sym_DASH_GT] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_GT] = ACTIONS(3140),
    [anon_sym_LT_LT] = ACTIONS(3140),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3138),
    [anon_sym_DASH_EQ] = ACTIONS(3138),
    [anon_sym_DOT_EQ] = ACTIONS(3138),
    [anon_sym_STAR_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_PERCENT_EQ] = ACTIONS(3140),
    [anon_sym_x_EQ] = ACTIONS(3138),
    [anon_sym_AMP_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_CARET_EQ] = ACTIONS(3138),
    [anon_sym_LT_LT_EQ] = ACTIONS(3138),
    [anon_sym_GT_GT_EQ] = ACTIONS(3138),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3138),
    [anon_sym_DOT_DOT] = ACTIONS(3140),
    [anon_sym_STAR_STAR] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_SLASH_SLASH] = ACTIONS(3140),
    [anon_sym_CARET_CARET] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_PIPE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_GT_GT2] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_x] = ACTIONS(3140),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_EQ_EQ] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_eq] = ACTIONS(3140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_equ] = ACTIONS(3138),
    [anon_sym_eqr] = ACTIONS(3138),
    [anon_sym_ne] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_cmp] = ACTIONS(3138),
    [anon_sym_TILDE_TILDE] = ACTIONS(3138),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_lt] = ACTIONS(3138),
    [anon_sym_le] = ACTIONS(3138),
    [anon_sym_ge] = ACTIONS(3138),
    [anon_sym_gt] = ACTIONS(3138),
    [anon_sym_isa] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_PERCENT2] = ACTIONS(3138),
    [anon_sym_EQ_GT] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1722] = {
    [sym_heredoc_content] = STATE(1722),
    [anon_sym_COLON] = ACTIONS(3150),
    [anon_sym_DOLLAR] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3150),
    [anon_sym_COMMA] = ACTIONS(3150),
    [anon_sym_RPAREN] = ACTIONS(3150),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3150),
    [anon_sym_DASH_GT] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_GT] = ACTIONS(3152),
    [anon_sym_LT_LT] = ACTIONS(3152),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3150),
    [anon_sym_DASH_EQ] = ACTIONS(3150),
    [anon_sym_DOT_EQ] = ACTIONS(3150),
    [anon_sym_STAR_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_PERCENT_EQ] = ACTIONS(3152),
    [anon_sym_x_EQ] = ACTIONS(3150),
    [anon_sym_AMP_EQ] = ACTIONS(3150),
    [anon_sym_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_CARET_EQ] = ACTIONS(3150),
    [anon_sym_LT_LT_EQ] = ACTIONS(3150),
    [anon_sym_GT_GT_EQ] = ACTIONS(3150),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3150),
    [anon_sym_DOT_DOT] = ACTIONS(3152),
    [anon_sym_STAR_STAR] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_SLASH_SLASH] = ACTIONS(3152),
    [anon_sym_CARET_CARET] = ACTIONS(3150),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_GT_GT2] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_x] = ACTIONS(3152),
    [anon_sym_EQ_TILDE] = ACTIONS(3150),
    [anon_sym_BANG_TILDE] = ACTIONS(3150),
    [anon_sym_EQ_EQ] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_eq] = ACTIONS(3152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3150),
    [anon_sym_equ] = ACTIONS(3150),
    [anon_sym_eqr] = ACTIONS(3150),
    [anon_sym_ne] = ACTIONS(3150),
    [anon_sym_LT_EQ_GT] = ACTIONS(3150),
    [anon_sym_cmp] = ACTIONS(3150),
    [anon_sym_TILDE_TILDE] = ACTIONS(3150),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3150),
    [anon_sym_lt] = ACTIONS(3150),
    [anon_sym_le] = ACTIONS(3150),
    [anon_sym_ge] = ACTIONS(3150),
    [anon_sym_gt] = ACTIONS(3150),
    [anon_sym_isa] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_PERCENT2] = ACTIONS(3150),
    [anon_sym_EQ_GT] = ACTIONS(3150),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1723] = {
    [sym_heredoc_content] = STATE(1723),
    [anon_sym_COLON] = ACTIONS(2905),
    [anon_sym_DOLLAR] = ACTIONS(2905),
    [anon_sym_EQ] = ACTIONS(2907),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2905),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2905),
    [anon_sym_AT] = ACTIONS(2905),
    [anon_sym_COMMA] = ACTIONS(2905),
    [anon_sym_RPAREN] = ACTIONS(2905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2905),
    [anon_sym_DASH_GT] = ACTIONS(2905),
    [anon_sym_PERCENT] = ACTIONS(2907),
    [anon_sym_LT] = ACTIONS(2907),
    [anon_sym_GT] = ACTIONS(2907),
    [anon_sym_LT_LT] = ACTIONS(2907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2905),
    [anon_sym_PLUS_EQ] = ACTIONS(2905),
    [anon_sym_DASH_EQ] = ACTIONS(2905),
    [anon_sym_DOT_EQ] = ACTIONS(2905),
    [anon_sym_STAR_EQ] = ACTIONS(2905),
    [anon_sym_SLASH_EQ] = ACTIONS(2905),
    [anon_sym_PERCENT_EQ] = ACTIONS(2907),
    [anon_sym_x_EQ] = ACTIONS(2905),
    [anon_sym_AMP_EQ] = ACTIONS(2905),
    [anon_sym_PIPE_EQ] = ACTIONS(2905),
    [anon_sym_CARET_EQ] = ACTIONS(2905),
    [anon_sym_LT_LT_EQ] = ACTIONS(2905),
    [anon_sym_GT_GT_EQ] = ACTIONS(2905),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2905),
    [anon_sym_DOT_DOT] = ACTIONS(2907),
    [anon_sym_STAR_STAR] = ACTIONS(2907),
    [anon_sym_PIPE_PIPE] = ACTIONS(2907),
    [anon_sym_SLASH_SLASH] = ACTIONS(2907),
    [anon_sym_CARET_CARET] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_PIPE] = ACTIONS(2907),
    [anon_sym_CARET] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_GT_GT2] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_DOT] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_SLASH] = ACTIONS(2907),
    [anon_sym_x] = ACTIONS(2907),
    [anon_sym_EQ_TILDE] = ACTIONS(2905),
    [anon_sym_BANG_TILDE] = ACTIONS(2905),
    [anon_sym_EQ_EQ] = ACTIONS(2907),
    [anon_sym_BANG_EQ] = ACTIONS(2905),
    [anon_sym_eq] = ACTIONS(2907),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2905),
    [anon_sym_equ] = ACTIONS(2905),
    [anon_sym_eqr] = ACTIONS(2905),
    [anon_sym_ne] = ACTIONS(2905),
    [anon_sym_LT_EQ_GT] = ACTIONS(2905),
    [anon_sym_cmp] = ACTIONS(2905),
    [anon_sym_TILDE_TILDE] = ACTIONS(2905),
    [anon_sym_LT_EQ] = ACTIONS(2907),
    [anon_sym_GT_EQ] = ACTIONS(2905),
    [anon_sym_lt] = ACTIONS(2905),
    [anon_sym_le] = ACTIONS(2905),
    [anon_sym_ge] = ACTIONS(2905),
    [anon_sym_gt] = ACTIONS(2905),
    [anon_sym_isa] = ACTIONS(2905),
    [anon_sym_PLUS_PLUS] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2905),
    [anon_sym_QMARK] = ACTIONS(2905),
    [anon_sym_PERCENT2] = ACTIONS(2905),
    [anon_sym_EQ_GT] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1724] = {
    [sym_heredoc_content] = STATE(1724),
    [anon_sym_COLON] = ACTIONS(2841),
    [anon_sym_DOLLAR] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_AT] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2841),
    [anon_sym_RPAREN] = ACTIONS(2841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2841),
    [anon_sym_DASH_GT] = ACTIONS(2841),
    [anon_sym_PERCENT] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_GT] = ACTIONS(2843),
    [anon_sym_LT_LT] = ACTIONS(2843),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2841),
    [anon_sym_PLUS_EQ] = ACTIONS(2841),
    [anon_sym_DASH_EQ] = ACTIONS(2841),
    [anon_sym_DOT_EQ] = ACTIONS(2841),
    [anon_sym_STAR_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_PERCENT_EQ] = ACTIONS(2843),
    [anon_sym_x_EQ] = ACTIONS(2841),
    [anon_sym_AMP_EQ] = ACTIONS(2841),
    [anon_sym_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_CARET_EQ] = ACTIONS(2841),
    [anon_sym_LT_LT_EQ] = ACTIONS(2841),
    [anon_sym_GT_GT_EQ] = ACTIONS(2841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2841),
    [anon_sym_DOT_DOT] = ACTIONS(2843),
    [anon_sym_STAR_STAR] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH] = ACTIONS(2843),
    [anon_sym_CARET_CARET] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_PIPE] = ACTIONS(2843),
    [anon_sym_CARET] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2843),
    [anon_sym_GT_GT2] = ACTIONS(2843),
    [anon_sym_PLUS] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2843),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_x] = ACTIONS(2843),
    [anon_sym_EQ_TILDE] = ACTIONS(2841),
    [anon_sym_BANG_TILDE] = ACTIONS(2841),
    [anon_sym_EQ_EQ] = ACTIONS(2843),
    [anon_sym_BANG_EQ] = ACTIONS(2841),
    [anon_sym_eq] = ACTIONS(2843),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2841),
    [anon_sym_equ] = ACTIONS(2841),
    [anon_sym_eqr] = ACTIONS(2841),
    [anon_sym_ne] = ACTIONS(2841),
    [anon_sym_LT_EQ_GT] = ACTIONS(2841),
    [anon_sym_cmp] = ACTIONS(2841),
    [anon_sym_TILDE_TILDE] = ACTIONS(2841),
    [anon_sym_LT_EQ] = ACTIONS(2843),
    [anon_sym_GT_EQ] = ACTIONS(2841),
    [anon_sym_lt] = ACTIONS(2841),
    [anon_sym_le] = ACTIONS(2841),
    [anon_sym_ge] = ACTIONS(2841),
    [anon_sym_gt] = ACTIONS(2841),
    [anon_sym_isa] = ACTIONS(2841),
    [anon_sym_PLUS_PLUS] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_PERCENT2] = ACTIONS(2841),
    [anon_sym_EQ_GT] = ACTIONS(2841),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1725] = {
    [sym_heredoc_content] = STATE(1725),
    [anon_sym_COLON] = ACTIONS(2845),
    [anon_sym_DOLLAR] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_AT] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2845),
    [anon_sym_RPAREN] = ACTIONS(2845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2845),
    [anon_sym_DASH_GT] = ACTIONS(2845),
    [anon_sym_PERCENT] = ACTIONS(2847),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_GT] = ACTIONS(2847),
    [anon_sym_LT_LT] = ACTIONS(2847),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2845),
    [anon_sym_PLUS_EQ] = ACTIONS(2845),
    [anon_sym_DASH_EQ] = ACTIONS(2845),
    [anon_sym_DOT_EQ] = ACTIONS(2845),
    [anon_sym_STAR_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_PERCENT_EQ] = ACTIONS(2847),
    [anon_sym_x_EQ] = ACTIONS(2845),
    [anon_sym_AMP_EQ] = ACTIONS(2845),
    [anon_sym_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_CARET_EQ] = ACTIONS(2845),
    [anon_sym_LT_LT_EQ] = ACTIONS(2845),
    [anon_sym_GT_GT_EQ] = ACTIONS(2845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2845),
    [anon_sym_DOT_DOT] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_CARET_CARET] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_GT_GT2] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_DOT] = ACTIONS(2847),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_SLASH] = ACTIONS(2847),
    [anon_sym_x] = ACTIONS(2847),
    [anon_sym_EQ_TILDE] = ACTIONS(2845),
    [anon_sym_BANG_TILDE] = ACTIONS(2845),
    [anon_sym_EQ_EQ] = ACTIONS(2847),
    [anon_sym_BANG_EQ] = ACTIONS(2845),
    [anon_sym_eq] = ACTIONS(2847),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2845),
    [anon_sym_equ] = ACTIONS(2845),
    [anon_sym_eqr] = ACTIONS(2845),
    [anon_sym_ne] = ACTIONS(2845),
    [anon_sym_LT_EQ_GT] = ACTIONS(2845),
    [anon_sym_cmp] = ACTIONS(2845),
    [anon_sym_TILDE_TILDE] = ACTIONS(2845),
    [anon_sym_LT_EQ] = ACTIONS(2847),
    [anon_sym_GT_EQ] = ACTIONS(2845),
    [anon_sym_lt] = ACTIONS(2845),
    [anon_sym_le] = ACTIONS(2845),
    [anon_sym_ge] = ACTIONS(2845),
    [anon_sym_gt] = ACTIONS(2845),
    [anon_sym_isa] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(2845),
    [anon_sym_DASH_DASH] = ACTIONS(2845),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_PERCENT2] = ACTIONS(2845),
    [anon_sym_EQ_GT] = ACTIONS(2845),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1726] = {
    [sym_heredoc_content] = STATE(1726),
    [anon_sym_COLON] = ACTIONS(2849),
    [anon_sym_DOLLAR] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_AT] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2849),
    [anon_sym_RPAREN] = ACTIONS(2849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2849),
    [anon_sym_DASH_GT] = ACTIONS(2849),
    [anon_sym_PERCENT] = ACTIONS(2851),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_GT] = ACTIONS(2851),
    [anon_sym_LT_LT] = ACTIONS(2851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2849),
    [anon_sym_PLUS_EQ] = ACTIONS(2849),
    [anon_sym_DASH_EQ] = ACTIONS(2849),
    [anon_sym_DOT_EQ] = ACTIONS(2849),
    [anon_sym_STAR_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_PERCENT_EQ] = ACTIONS(2851),
    [anon_sym_x_EQ] = ACTIONS(2849),
    [anon_sym_AMP_EQ] = ACTIONS(2849),
    [anon_sym_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_CARET_EQ] = ACTIONS(2849),
    [anon_sym_LT_LT_EQ] = ACTIONS(2849),
    [anon_sym_GT_GT_EQ] = ACTIONS(2849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2849),
    [anon_sym_DOT_DOT] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH] = ACTIONS(2851),
    [anon_sym_CARET_CARET] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_CARET] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2851),
    [anon_sym_GT_GT2] = ACTIONS(2851),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2851),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_SLASH] = ACTIONS(2851),
    [anon_sym_x] = ACTIONS(2851),
    [anon_sym_EQ_TILDE] = ACTIONS(2849),
    [anon_sym_BANG_TILDE] = ACTIONS(2849),
    [anon_sym_EQ_EQ] = ACTIONS(2851),
    [anon_sym_BANG_EQ] = ACTIONS(2849),
    [anon_sym_eq] = ACTIONS(2851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2849),
    [anon_sym_equ] = ACTIONS(2849),
    [anon_sym_eqr] = ACTIONS(2849),
    [anon_sym_ne] = ACTIONS(2849),
    [anon_sym_LT_EQ_GT] = ACTIONS(2849),
    [anon_sym_cmp] = ACTIONS(2849),
    [anon_sym_TILDE_TILDE] = ACTIONS(2849),
    [anon_sym_LT_EQ] = ACTIONS(2851),
    [anon_sym_GT_EQ] = ACTIONS(2849),
    [anon_sym_lt] = ACTIONS(2849),
    [anon_sym_le] = ACTIONS(2849),
    [anon_sym_ge] = ACTIONS(2849),
    [anon_sym_gt] = ACTIONS(2849),
    [anon_sym_isa] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_PERCENT2] = ACTIONS(2849),
    [anon_sym_EQ_GT] = ACTIONS(2849),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1727] = {
    [sym_heredoc_content] = STATE(1727),
    [anon_sym_COLON] = ACTIONS(2610),
    [anon_sym_DOLLAR] = ACTIONS(2610),
    [anon_sym_EQ] = ACTIONS(2614),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_AT] = ACTIONS(2610),
    [anon_sym_COMMA] = ACTIONS(2610),
    [anon_sym_RPAREN] = ACTIONS(2610),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2610),
    [anon_sym_DASH_GT] = ACTIONS(2610),
    [anon_sym_PERCENT] = ACTIONS(2614),
    [anon_sym_LT] = ACTIONS(2614),
    [anon_sym_GT] = ACTIONS(2614),
    [anon_sym_LT_LT] = ACTIONS(2614),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2610),
    [anon_sym_PLUS_EQ] = ACTIONS(2610),
    [anon_sym_DASH_EQ] = ACTIONS(2610),
    [anon_sym_DOT_EQ] = ACTIONS(2610),
    [anon_sym_STAR_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_PERCENT_EQ] = ACTIONS(2614),
    [anon_sym_x_EQ] = ACTIONS(2610),
    [anon_sym_AMP_EQ] = ACTIONS(2610),
    [anon_sym_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_CARET_EQ] = ACTIONS(2610),
    [anon_sym_LT_LT_EQ] = ACTIONS(2610),
    [anon_sym_GT_GT_EQ] = ACTIONS(2610),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2610),
    [anon_sym_DOT_DOT] = ACTIONS(2614),
    [anon_sym_STAR_STAR] = ACTIONS(2614),
    [anon_sym_PIPE_PIPE] = ACTIONS(2614),
    [anon_sym_SLASH_SLASH] = ACTIONS(2614),
    [anon_sym_CARET_CARET] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_PIPE] = ACTIONS(2614),
    [anon_sym_CARET] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym_GT_GT2] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_DOT] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_SLASH] = ACTIONS(2614),
    [anon_sym_x] = ACTIONS(2614),
    [anon_sym_EQ_TILDE] = ACTIONS(2610),
    [anon_sym_BANG_TILDE] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2614),
    [anon_sym_BANG_EQ] = ACTIONS(2610),
    [anon_sym_eq] = ACTIONS(2614),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2610),
    [anon_sym_equ] = ACTIONS(2610),
    [anon_sym_eqr] = ACTIONS(2610),
    [anon_sym_ne] = ACTIONS(2610),
    [anon_sym_LT_EQ_GT] = ACTIONS(2610),
    [anon_sym_cmp] = ACTIONS(2610),
    [anon_sym_TILDE_TILDE] = ACTIONS(2610),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_GT_EQ] = ACTIONS(2610),
    [anon_sym_lt] = ACTIONS(2610),
    [anon_sym_le] = ACTIONS(2610),
    [anon_sym_ge] = ACTIONS(2610),
    [anon_sym_gt] = ACTIONS(2610),
    [anon_sym_isa] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_QMARK] = ACTIONS(2610),
    [anon_sym_PERCENT2] = ACTIONS(2610),
    [anon_sym_EQ_GT] = ACTIONS(2610),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1728] = {
    [sym_heredoc_content] = STATE(1728),
    [anon_sym_COLON] = ACTIONS(2616),
    [anon_sym_DOLLAR] = ACTIONS(2616),
    [anon_sym_EQ] = ACTIONS(2620),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2616),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2616),
    [anon_sym_AT] = ACTIONS(2616),
    [anon_sym_COMMA] = ACTIONS(2616),
    [anon_sym_RPAREN] = ACTIONS(2616),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2616),
    [anon_sym_PERCENT] = ACTIONS(2620),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_GT] = ACTIONS(2620),
    [anon_sym_LT_LT] = ACTIONS(2620),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2616),
    [anon_sym_PLUS_EQ] = ACTIONS(2616),
    [anon_sym_DASH_EQ] = ACTIONS(2616),
    [anon_sym_DOT_EQ] = ACTIONS(2616),
    [anon_sym_STAR_EQ] = ACTIONS(2616),
    [anon_sym_SLASH_EQ] = ACTIONS(2616),
    [anon_sym_PERCENT_EQ] = ACTIONS(2620),
    [anon_sym_x_EQ] = ACTIONS(2616),
    [anon_sym_AMP_EQ] = ACTIONS(2616),
    [anon_sym_PIPE_EQ] = ACTIONS(2616),
    [anon_sym_CARET_EQ] = ACTIONS(2616),
    [anon_sym_LT_LT_EQ] = ACTIONS(2616),
    [anon_sym_GT_GT_EQ] = ACTIONS(2616),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2616),
    [anon_sym_DOT_DOT] = ACTIONS(2620),
    [anon_sym_STAR_STAR] = ACTIONS(2620),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_SLASH_SLASH] = ACTIONS(2620),
    [anon_sym_CARET_CARET] = ACTIONS(2616),
    [anon_sym_AMP_AMP] = ACTIONS(2620),
    [anon_sym_PIPE] = ACTIONS(2620),
    [anon_sym_CARET] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym_GT_GT2] = ACTIONS(2620),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_DOT] = ACTIONS(2620),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_x] = ACTIONS(2620),
    [anon_sym_EQ_TILDE] = ACTIONS(2616),
    [anon_sym_BANG_TILDE] = ACTIONS(2616),
    [anon_sym_EQ_EQ] = ACTIONS(2620),
    [anon_sym_BANG_EQ] = ACTIONS(2616),
    [anon_sym_eq] = ACTIONS(2620),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2616),
    [anon_sym_equ] = ACTIONS(2616),
    [anon_sym_eqr] = ACTIONS(2616),
    [anon_sym_ne] = ACTIONS(2616),
    [anon_sym_LT_EQ_GT] = ACTIONS(2616),
    [anon_sym_cmp] = ACTIONS(2616),
    [anon_sym_TILDE_TILDE] = ACTIONS(2616),
    [anon_sym_LT_EQ] = ACTIONS(2620),
    [anon_sym_GT_EQ] = ACTIONS(2616),
    [anon_sym_lt] = ACTIONS(2616),
    [anon_sym_le] = ACTIONS(2616),
    [anon_sym_ge] = ACTIONS(2616),
    [anon_sym_gt] = ACTIONS(2616),
    [anon_sym_isa] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2616),
    [anon_sym_DASH_DASH] = ACTIONS(2616),
    [anon_sym_QMARK] = ACTIONS(2616),
    [anon_sym_PERCENT2] = ACTIONS(2616),
    [anon_sym_EQ_GT] = ACTIONS(2616),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1729] = {
    [sym_heredoc_content] = STATE(1729),
    [anon_sym_COLON] = ACTIONS(2805),
    [anon_sym_DOLLAR] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(2807),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_AT] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2805),
    [anon_sym_RPAREN] = ACTIONS(2805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2805),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_GT] = ACTIONS(2807),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(2805),
    [anon_sym_DASH_EQ] = ACTIONS(2805),
    [anon_sym_DOT_EQ] = ACTIONS(2805),
    [anon_sym_STAR_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_PERCENT_EQ] = ACTIONS(2807),
    [anon_sym_x_EQ] = ACTIONS(2805),
    [anon_sym_AMP_EQ] = ACTIONS(2805),
    [anon_sym_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_CARET_EQ] = ACTIONS(2805),
    [anon_sym_LT_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT_GT_EQ] = ACTIONS(2805),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2805),
    [anon_sym_DOT_DOT] = ACTIONS(2807),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(2807),
    [anon_sym_SLASH_SLASH] = ACTIONS(2807),
    [anon_sym_CARET_CARET] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_PIPE] = ACTIONS(2807),
    [anon_sym_CARET] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(2807),
    [anon_sym_BANG_EQ] = ACTIONS(2805),
    [anon_sym_eq] = ACTIONS(2807),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2805),
    [anon_sym_equ] = ACTIONS(2805),
    [anon_sym_eqr] = ACTIONS(2805),
    [anon_sym_ne] = ACTIONS(2805),
    [anon_sym_LT_EQ_GT] = ACTIONS(2805),
    [anon_sym_cmp] = ACTIONS(2805),
    [anon_sym_TILDE_TILDE] = ACTIONS(2805),
    [anon_sym_LT_EQ] = ACTIONS(2807),
    [anon_sym_GT_EQ] = ACTIONS(2805),
    [anon_sym_lt] = ACTIONS(2805),
    [anon_sym_le] = ACTIONS(2805),
    [anon_sym_ge] = ACTIONS(2805),
    [anon_sym_gt] = ACTIONS(2805),
    [anon_sym_isa] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_PERCENT2] = ACTIONS(2805),
    [anon_sym_EQ_GT] = ACTIONS(2805),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1730] = {
    [sym_heredoc_content] = STATE(1730),
    [anon_sym_RBRACE] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2412),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_RPAREN] = ACTIONS(2412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2412),
    [anon_sym_DASH_GT] = ACTIONS(2412),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_GT] = ACTIONS(2414),
    [anon_sym_LT_LT] = ACTIONS(2414),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2412),
    [anon_sym_PLUS_EQ] = ACTIONS(2412),
    [anon_sym_DASH_EQ] = ACTIONS(2412),
    [anon_sym_DOT_EQ] = ACTIONS(2412),
    [anon_sym_STAR_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_PERCENT_EQ] = ACTIONS(2412),
    [anon_sym_x_EQ] = ACTIONS(2412),
    [anon_sym_AMP_EQ] = ACTIONS(2412),
    [anon_sym_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_CARET_EQ] = ACTIONS(2412),
    [anon_sym_LT_LT_EQ] = ACTIONS(2412),
    [anon_sym_GT_GT_EQ] = ACTIONS(2412),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2414),
    [anon_sym_STAR_STAR] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH] = ACTIONS(2414),
    [anon_sym_CARET_CARET] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_PIPE] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_GT_GT2] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_SLASH] = ACTIONS(2414),
    [anon_sym_x] = ACTIONS(2414),
    [anon_sym_EQ_TILDE] = ACTIONS(2412),
    [anon_sym_BANG_TILDE] = ACTIONS(2412),
    [anon_sym_EQ_EQ] = ACTIONS(2414),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_eq] = ACTIONS(2414),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2412),
    [anon_sym_equ] = ACTIONS(2412),
    [anon_sym_eqr] = ACTIONS(2412),
    [anon_sym_ne] = ACTIONS(2412),
    [anon_sym_LT_EQ_GT] = ACTIONS(2412),
    [anon_sym_cmp] = ACTIONS(2414),
    [anon_sym_TILDE_TILDE] = ACTIONS(2412),
    [anon_sym_LT_EQ] = ACTIONS(2414),
    [anon_sym_GT_EQ] = ACTIONS(2412),
    [anon_sym_lt] = ACTIONS(2412),
    [anon_sym_le] = ACTIONS(2412),
    [anon_sym_ge] = ACTIONS(2412),
    [anon_sym_gt] = ACTIONS(2412),
    [anon_sym_isa] = ACTIONS(2412),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_QMARK] = ACTIONS(2412),
    [anon_sym_EQ_GT] = ACTIONS(2412),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(2412),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1731] = {
    [sym_heredoc_content] = STATE(1731),
    [anon_sym_COLON] = ACTIONS(2869),
    [anon_sym_DOLLAR] = ACTIONS(2869),
    [anon_sym_EQ] = ACTIONS(1846),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_AT] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_RPAREN] = ACTIONS(2869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2869),
    [anon_sym_DASH_GT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1846),
    [anon_sym_LT] = ACTIONS(1846),
    [anon_sym_GT] = ACTIONS(1846),
    [anon_sym_LT_LT] = ACTIONS(1846),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2869),
    [anon_sym_PLUS_EQ] = ACTIONS(2869),
    [anon_sym_DASH_EQ] = ACTIONS(2869),
    [anon_sym_DOT_EQ] = ACTIONS(2869),
    [anon_sym_STAR_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_PERCENT_EQ] = ACTIONS(1846),
    [anon_sym_x_EQ] = ACTIONS(2869),
    [anon_sym_AMP_EQ] = ACTIONS(2869),
    [anon_sym_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_CARET_EQ] = ACTIONS(2869),
    [anon_sym_LT_LT_EQ] = ACTIONS(2869),
    [anon_sym_GT_GT_EQ] = ACTIONS(2869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2869),
    [anon_sym_DOT_DOT] = ACTIONS(1846),
    [anon_sym_STAR_STAR] = ACTIONS(1846),
    [anon_sym_PIPE_PIPE] = ACTIONS(1846),
    [anon_sym_SLASH_SLASH] = ACTIONS(1846),
    [anon_sym_CARET_CARET] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(1846),
    [anon_sym_PIPE] = ACTIONS(1846),
    [anon_sym_CARET] = ACTIONS(1846),
    [anon_sym_AMP] = ACTIONS(1846),
    [anon_sym_GT_GT2] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1846),
    [anon_sym_DASH] = ACTIONS(1846),
    [anon_sym_DOT] = ACTIONS(1846),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_SLASH] = ACTIONS(1846),
    [anon_sym_x] = ACTIONS(1846),
    [anon_sym_EQ_TILDE] = ACTIONS(2869),
    [anon_sym_BANG_TILDE] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(1846),
    [anon_sym_BANG_EQ] = ACTIONS(2869),
    [anon_sym_eq] = ACTIONS(1846),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2869),
    [anon_sym_equ] = ACTIONS(2869),
    [anon_sym_eqr] = ACTIONS(2869),
    [anon_sym_ne] = ACTIONS(2869),
    [anon_sym_LT_EQ_GT] = ACTIONS(2869),
    [anon_sym_cmp] = ACTIONS(2869),
    [anon_sym_TILDE_TILDE] = ACTIONS(2869),
    [anon_sym_LT_EQ] = ACTIONS(1846),
    [anon_sym_GT_EQ] = ACTIONS(2869),
    [anon_sym_lt] = ACTIONS(2869),
    [anon_sym_le] = ACTIONS(2869),
    [anon_sym_ge] = ACTIONS(2869),
    [anon_sym_gt] = ACTIONS(2869),
    [anon_sym_isa] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_QMARK] = ACTIONS(2869),
    [anon_sym_PERCENT2] = ACTIONS(2869),
    [anon_sym_EQ_GT] = ACTIONS(2869),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1732] = {
    [sym_heredoc_content] = STATE(1732),
    [anon_sym_COLON] = ACTIONS(3162),
    [anon_sym_DOLLAR] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3162),
    [anon_sym_COMMA] = ACTIONS(3162),
    [anon_sym_RPAREN] = ACTIONS(3162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3162),
    [anon_sym_DASH_GT] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3164),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_GT] = ACTIONS(3164),
    [anon_sym_LT_LT] = ACTIONS(3164),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3162),
    [anon_sym_DASH_EQ] = ACTIONS(3162),
    [anon_sym_DOT_EQ] = ACTIONS(3162),
    [anon_sym_STAR_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_PERCENT_EQ] = ACTIONS(3164),
    [anon_sym_x_EQ] = ACTIONS(3162),
    [anon_sym_AMP_EQ] = ACTIONS(3162),
    [anon_sym_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_CARET_EQ] = ACTIONS(3162),
    [anon_sym_LT_LT_EQ] = ACTIONS(3162),
    [anon_sym_GT_GT_EQ] = ACTIONS(3162),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3162),
    [anon_sym_DOT_DOT] = ACTIONS(3164),
    [anon_sym_STAR_STAR] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3164),
    [anon_sym_CARET_CARET] = ACTIONS(3162),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_PIPE] = ACTIONS(3164),
    [anon_sym_CARET] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_GT_GT2] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_x] = ACTIONS(3164),
    [anon_sym_EQ_TILDE] = ACTIONS(3162),
    [anon_sym_BANG_TILDE] = ACTIONS(3162),
    [anon_sym_EQ_EQ] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_eq] = ACTIONS(3164),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3162),
    [anon_sym_equ] = ACTIONS(3162),
    [anon_sym_eqr] = ACTIONS(3162),
    [anon_sym_ne] = ACTIONS(3162),
    [anon_sym_LT_EQ_GT] = ACTIONS(3162),
    [anon_sym_cmp] = ACTIONS(3162),
    [anon_sym_TILDE_TILDE] = ACTIONS(3162),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3162),
    [anon_sym_lt] = ACTIONS(3162),
    [anon_sym_le] = ACTIONS(3162),
    [anon_sym_ge] = ACTIONS(3162),
    [anon_sym_gt] = ACTIONS(3162),
    [anon_sym_isa] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_QMARK] = ACTIONS(3162),
    [anon_sym_PERCENT2] = ACTIONS(3162),
    [anon_sym_EQ_GT] = ACTIONS(3162),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1733] = {
    [sym_heredoc_content] = STATE(1733),
    [anon_sym_COLON] = ACTIONS(1796),
    [anon_sym_DOLLAR] = ACTIONS(1796),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_AT] = ACTIONS(1796),
    [anon_sym_COMMA] = ACTIONS(1796),
    [anon_sym_RPAREN] = ACTIONS(1796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1796),
    [anon_sym_DASH_GT] = ACTIONS(1796),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1796),
    [anon_sym_PLUS_EQ] = ACTIONS(1796),
    [anon_sym_DASH_EQ] = ACTIONS(1796),
    [anon_sym_DOT_EQ] = ACTIONS(1796),
    [anon_sym_STAR_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_PERCENT_EQ] = ACTIONS(1787),
    [anon_sym_x_EQ] = ACTIONS(1796),
    [anon_sym_AMP_EQ] = ACTIONS(1796),
    [anon_sym_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_CARET_EQ] = ACTIONS(1796),
    [anon_sym_LT_LT_EQ] = ACTIONS(1796),
    [anon_sym_GT_GT_EQ] = ACTIONS(1796),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1796),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1787),
    [anon_sym_CARET_CARET] = ACTIONS(1796),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1796),
    [anon_sym_BANG_TILDE] = ACTIONS(1796),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1796),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1796),
    [anon_sym_equ] = ACTIONS(1796),
    [anon_sym_eqr] = ACTIONS(1796),
    [anon_sym_ne] = ACTIONS(1796),
    [anon_sym_LT_EQ_GT] = ACTIONS(1796),
    [anon_sym_cmp] = ACTIONS(1796),
    [anon_sym_TILDE_TILDE] = ACTIONS(1796),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1796),
    [anon_sym_lt] = ACTIONS(1796),
    [anon_sym_le] = ACTIONS(1796),
    [anon_sym_ge] = ACTIONS(1796),
    [anon_sym_gt] = ACTIONS(1796),
    [anon_sym_isa] = ACTIONS(1796),
    [anon_sym_PLUS_PLUS] = ACTIONS(1796),
    [anon_sym_DASH_DASH] = ACTIONS(1796),
    [anon_sym_QMARK] = ACTIONS(1796),
    [anon_sym_PERCENT2] = ACTIONS(1796),
    [anon_sym_EQ_GT] = ACTIONS(1796),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1734] = {
    [sym_heredoc_content] = STATE(1734),
    [anon_sym_COLON] = ACTIONS(2993),
    [anon_sym_DOLLAR] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(3421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3423),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3423),
    [anon_sym_AT] = ACTIONS(2993),
    [anon_sym_COMMA] = ACTIONS(2993),
    [anon_sym_RPAREN] = ACTIONS(2993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3427),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_GT] = ACTIONS(3433),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3423),
    [anon_sym_PLUS_EQ] = ACTIONS(3423),
    [anon_sym_DASH_EQ] = ACTIONS(3423),
    [anon_sym_DOT_EQ] = ACTIONS(3423),
    [anon_sym_STAR_EQ] = ACTIONS(3423),
    [anon_sym_SLASH_EQ] = ACTIONS(3423),
    [anon_sym_PERCENT_EQ] = ACTIONS(3421),
    [anon_sym_x_EQ] = ACTIONS(3423),
    [anon_sym_AMP_EQ] = ACTIONS(3423),
    [anon_sym_PIPE_EQ] = ACTIONS(3423),
    [anon_sym_CARET_EQ] = ACTIONS(3423),
    [anon_sym_LT_LT_EQ] = ACTIONS(3423),
    [anon_sym_GT_GT_EQ] = ACTIONS(3423),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3423),
    [anon_sym_DOT_DOT] = ACTIONS(3437),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(3441),
    [anon_sym_SLASH_SLASH] = ACTIONS(3441),
    [anon_sym_CARET_CARET] = ACTIONS(3443),
    [anon_sym_AMP_AMP] = ACTIONS(3445),
    [anon_sym_PIPE] = ACTIONS(3447),
    [anon_sym_CARET] = ACTIONS(3447),
    [anon_sym_AMP] = ACTIONS(3449),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(3455),
    [anon_sym_BANG_EQ] = ACTIONS(3457),
    [anon_sym_eq] = ACTIONS(3455),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3457),
    [anon_sym_equ] = ACTIONS(3457),
    [anon_sym_eqr] = ACTIONS(3457),
    [anon_sym_ne] = ACTIONS(3457),
    [anon_sym_LT_EQ_GT] = ACTIONS(3459),
    [anon_sym_cmp] = ACTIONS(3459),
    [anon_sym_TILDE_TILDE] = ACTIONS(3459),
    [anon_sym_LT_EQ] = ACTIONS(3433),
    [anon_sym_GT_EQ] = ACTIONS(3461),
    [anon_sym_lt] = ACTIONS(3461),
    [anon_sym_le] = ACTIONS(3461),
    [anon_sym_ge] = ACTIONS(3461),
    [anon_sym_gt] = ACTIONS(3461),
    [anon_sym_isa] = ACTIONS(3463),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(3467),
    [anon_sym_PERCENT2] = ACTIONS(2993),
    [anon_sym_EQ_GT] = ACTIONS(2993),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1735] = {
    [sym_heredoc_content] = STATE(1735),
    [anon_sym_COLON] = ACTIONS(2636),
    [anon_sym_DOLLAR] = ACTIONS(2636),
    [anon_sym_EQ] = ACTIONS(3421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3423),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3423),
    [anon_sym_AT] = ACTIONS(2636),
    [anon_sym_COMMA] = ACTIONS(2636),
    [anon_sym_RPAREN] = ACTIONS(2636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3427),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_GT] = ACTIONS(3433),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3423),
    [anon_sym_PLUS_EQ] = ACTIONS(3423),
    [anon_sym_DASH_EQ] = ACTIONS(3423),
    [anon_sym_DOT_EQ] = ACTIONS(3423),
    [anon_sym_STAR_EQ] = ACTIONS(3423),
    [anon_sym_SLASH_EQ] = ACTIONS(3423),
    [anon_sym_PERCENT_EQ] = ACTIONS(3421),
    [anon_sym_x_EQ] = ACTIONS(3423),
    [anon_sym_AMP_EQ] = ACTIONS(3423),
    [anon_sym_PIPE_EQ] = ACTIONS(3423),
    [anon_sym_CARET_EQ] = ACTIONS(3423),
    [anon_sym_LT_LT_EQ] = ACTIONS(3423),
    [anon_sym_GT_GT_EQ] = ACTIONS(3423),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3423),
    [anon_sym_DOT_DOT] = ACTIONS(3437),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(3441),
    [anon_sym_SLASH_SLASH] = ACTIONS(3441),
    [anon_sym_CARET_CARET] = ACTIONS(3443),
    [anon_sym_AMP_AMP] = ACTIONS(3445),
    [anon_sym_PIPE] = ACTIONS(3447),
    [anon_sym_CARET] = ACTIONS(3447),
    [anon_sym_AMP] = ACTIONS(3449),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(3455),
    [anon_sym_BANG_EQ] = ACTIONS(3457),
    [anon_sym_eq] = ACTIONS(3455),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3457),
    [anon_sym_equ] = ACTIONS(3457),
    [anon_sym_eqr] = ACTIONS(3457),
    [anon_sym_ne] = ACTIONS(3457),
    [anon_sym_LT_EQ_GT] = ACTIONS(3459),
    [anon_sym_cmp] = ACTIONS(3459),
    [anon_sym_TILDE_TILDE] = ACTIONS(3459),
    [anon_sym_LT_EQ] = ACTIONS(3433),
    [anon_sym_GT_EQ] = ACTIONS(3461),
    [anon_sym_lt] = ACTIONS(3461),
    [anon_sym_le] = ACTIONS(3461),
    [anon_sym_ge] = ACTIONS(3461),
    [anon_sym_gt] = ACTIONS(3461),
    [anon_sym_isa] = ACTIONS(3463),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(3467),
    [anon_sym_PERCENT2] = ACTIONS(2636),
    [anon_sym_EQ_GT] = ACTIONS(2636),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1736] = {
    [sym_heredoc_content] = STATE(1736),
    [anon_sym_COLON] = ACTIONS(2685),
    [anon_sym_DOLLAR] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3527),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_GT] = ACTIONS(3433),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2687),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(3529),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(3441),
    [anon_sym_SLASH_SLASH] = ACTIONS(3441),
    [anon_sym_CARET_CARET] = ACTIONS(3443),
    [anon_sym_AMP_AMP] = ACTIONS(3445),
    [anon_sym_PIPE] = ACTIONS(3447),
    [anon_sym_CARET] = ACTIONS(3447),
    [anon_sym_AMP] = ACTIONS(3449),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(3455),
    [anon_sym_BANG_EQ] = ACTIONS(3457),
    [anon_sym_eq] = ACTIONS(3455),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3457),
    [anon_sym_equ] = ACTIONS(3457),
    [anon_sym_eqr] = ACTIONS(3457),
    [anon_sym_ne] = ACTIONS(3457),
    [anon_sym_LT_EQ_GT] = ACTIONS(3459),
    [anon_sym_cmp] = ACTIONS(3459),
    [anon_sym_TILDE_TILDE] = ACTIONS(3459),
    [anon_sym_LT_EQ] = ACTIONS(3433),
    [anon_sym_GT_EQ] = ACTIONS(3461),
    [anon_sym_lt] = ACTIONS(3461),
    [anon_sym_le] = ACTIONS(3461),
    [anon_sym_ge] = ACTIONS(3461),
    [anon_sym_gt] = ACTIONS(3461),
    [anon_sym_isa] = ACTIONS(3463),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_PERCENT2] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1737] = {
    [sym_heredoc_content] = STATE(1737),
    [anon_sym_COLON] = ACTIONS(2685),
    [anon_sym_DOLLAR] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2687),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_x] = ACTIONS(2687),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_PERCENT2] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1738] = {
    [sym_heredoc_content] = STATE(1738),
    [anon_sym_COLON] = ACTIONS(3054),
    [anon_sym_DOLLAR] = ACTIONS(3054),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_AT] = ACTIONS(3054),
    [anon_sym_COMMA] = ACTIONS(3054),
    [anon_sym_RPAREN] = ACTIONS(3054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3054),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_DOT_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3056),
    [anon_sym_x_EQ] = ACTIONS(3054),
    [anon_sym_AMP_EQ] = ACTIONS(3054),
    [anon_sym_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_CARET_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT_EQ] = ACTIONS(3054),
    [anon_sym_GT_GT_EQ] = ACTIONS(3054),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(3056),
    [anon_sym_SLASH_SLASH] = ACTIONS(3056),
    [anon_sym_CARET_CARET] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3056),
    [anon_sym_PIPE] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_eq] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_equ] = ACTIONS(3054),
    [anon_sym_eqr] = ACTIONS(3054),
    [anon_sym_ne] = ACTIONS(3054),
    [anon_sym_LT_EQ_GT] = ACTIONS(3054),
    [anon_sym_cmp] = ACTIONS(3054),
    [anon_sym_TILDE_TILDE] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_lt] = ACTIONS(3054),
    [anon_sym_le] = ACTIONS(3054),
    [anon_sym_ge] = ACTIONS(3054),
    [anon_sym_gt] = ACTIONS(3054),
    [anon_sym_isa] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(3054),
    [anon_sym_PERCENT2] = ACTIONS(3054),
    [anon_sym_EQ_GT] = ACTIONS(3054),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1739] = {
    [sym_heredoc_content] = STATE(1739),
    [anon_sym_COLON] = ACTIONS(2685),
    [anon_sym_DOLLAR] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2687),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_PERCENT2] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1740] = {
    [sym_heredoc_content] = STATE(1740),
    [anon_sym_COLON] = ACTIONS(2685),
    [anon_sym_DOLLAR] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2687),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_x] = ACTIONS(2687),
    [anon_sym_EQ_TILDE] = ACTIONS(2685),
    [anon_sym_BANG_TILDE] = ACTIONS(2685),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_PERCENT2] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1741] = {
    [sym_heredoc_content] = STATE(1741),
    [anon_sym_COLON] = ACTIONS(2685),
    [anon_sym_DOLLAR] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_GT] = ACTIONS(3433),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2687),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(3445),
    [anon_sym_PIPE] = ACTIONS(3447),
    [anon_sym_CARET] = ACTIONS(3447),
    [anon_sym_AMP] = ACTIONS(3449),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(3455),
    [anon_sym_BANG_EQ] = ACTIONS(3457),
    [anon_sym_eq] = ACTIONS(3455),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3457),
    [anon_sym_equ] = ACTIONS(3457),
    [anon_sym_eqr] = ACTIONS(3457),
    [anon_sym_ne] = ACTIONS(3457),
    [anon_sym_LT_EQ_GT] = ACTIONS(3459),
    [anon_sym_cmp] = ACTIONS(3459),
    [anon_sym_TILDE_TILDE] = ACTIONS(3459),
    [anon_sym_LT_EQ] = ACTIONS(3433),
    [anon_sym_GT_EQ] = ACTIONS(3461),
    [anon_sym_lt] = ACTIONS(3461),
    [anon_sym_le] = ACTIONS(3461),
    [anon_sym_ge] = ACTIONS(3461),
    [anon_sym_gt] = ACTIONS(3461),
    [anon_sym_isa] = ACTIONS(3463),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_PERCENT2] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1742] = {
    [sym_heredoc_content] = STATE(1742),
    [anon_sym_COLON] = ACTIONS(2685),
    [anon_sym_DOLLAR] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_GT] = ACTIONS(3433),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2687),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(3447),
    [anon_sym_CARET] = ACTIONS(3447),
    [anon_sym_AMP] = ACTIONS(3449),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(3455),
    [anon_sym_BANG_EQ] = ACTIONS(3457),
    [anon_sym_eq] = ACTIONS(3455),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3457),
    [anon_sym_equ] = ACTIONS(3457),
    [anon_sym_eqr] = ACTIONS(3457),
    [anon_sym_ne] = ACTIONS(3457),
    [anon_sym_LT_EQ_GT] = ACTIONS(3459),
    [anon_sym_cmp] = ACTIONS(3459),
    [anon_sym_TILDE_TILDE] = ACTIONS(3459),
    [anon_sym_LT_EQ] = ACTIONS(3433),
    [anon_sym_GT_EQ] = ACTIONS(3461),
    [anon_sym_lt] = ACTIONS(3461),
    [anon_sym_le] = ACTIONS(3461),
    [anon_sym_ge] = ACTIONS(3461),
    [anon_sym_gt] = ACTIONS(3461),
    [anon_sym_isa] = ACTIONS(3463),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_PERCENT2] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1743] = {
    [sym_heredoc_content] = STATE(1743),
    [anon_sym_COLON] = ACTIONS(2685),
    [anon_sym_DOLLAR] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_GT] = ACTIONS(3433),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2687),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(3449),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(3455),
    [anon_sym_BANG_EQ] = ACTIONS(3457),
    [anon_sym_eq] = ACTIONS(3455),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3457),
    [anon_sym_equ] = ACTIONS(3457),
    [anon_sym_eqr] = ACTIONS(3457),
    [anon_sym_ne] = ACTIONS(3457),
    [anon_sym_LT_EQ_GT] = ACTIONS(3459),
    [anon_sym_cmp] = ACTIONS(3459),
    [anon_sym_TILDE_TILDE] = ACTIONS(3459),
    [anon_sym_LT_EQ] = ACTIONS(3433),
    [anon_sym_GT_EQ] = ACTIONS(3461),
    [anon_sym_lt] = ACTIONS(3461),
    [anon_sym_le] = ACTIONS(3461),
    [anon_sym_ge] = ACTIONS(3461),
    [anon_sym_gt] = ACTIONS(3461),
    [anon_sym_isa] = ACTIONS(3463),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_PERCENT2] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1744] = {
    [sym_heredoc_content] = STATE(1744),
    [anon_sym_COLON] = ACTIONS(2685),
    [anon_sym_DOLLAR] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_GT] = ACTIONS(3433),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2687),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(3455),
    [anon_sym_BANG_EQ] = ACTIONS(3457),
    [anon_sym_eq] = ACTIONS(3455),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3457),
    [anon_sym_equ] = ACTIONS(3457),
    [anon_sym_eqr] = ACTIONS(3457),
    [anon_sym_ne] = ACTIONS(3457),
    [anon_sym_LT_EQ_GT] = ACTIONS(3459),
    [anon_sym_cmp] = ACTIONS(3459),
    [anon_sym_TILDE_TILDE] = ACTIONS(3459),
    [anon_sym_LT_EQ] = ACTIONS(3433),
    [anon_sym_GT_EQ] = ACTIONS(3461),
    [anon_sym_lt] = ACTIONS(3461),
    [anon_sym_le] = ACTIONS(3461),
    [anon_sym_ge] = ACTIONS(3461),
    [anon_sym_gt] = ACTIONS(3461),
    [anon_sym_isa] = ACTIONS(3463),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_PERCENT2] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1745] = {
    [sym_heredoc_content] = STATE(1745),
    [anon_sym_COLON] = ACTIONS(2685),
    [anon_sym_DOLLAR] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2687),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_PERCENT2] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1746] = {
    [sym_heredoc_content] = STATE(1746),
    [anon_sym_COLON] = ACTIONS(2685),
    [anon_sym_DOLLAR] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2687),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_x] = ACTIONS(2687),
    [anon_sym_EQ_TILDE] = ACTIONS(2685),
    [anon_sym_BANG_TILDE] = ACTIONS(2685),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_PERCENT2] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1747] = {
    [sym_heredoc_content] = STATE(1747),
    [anon_sym_COLON] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2689),
    [anon_sym_COMMA] = ACTIONS(2689),
    [anon_sym_RPAREN] = ACTIONS(2689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_GT] = ACTIONS(3433),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2689),
    [anon_sym_DASH_EQ] = ACTIONS(2689),
    [anon_sym_DOT_EQ] = ACTIONS(2689),
    [anon_sym_STAR_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_x_EQ] = ACTIONS(2689),
    [anon_sym_AMP_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_CARET_EQ] = ACTIONS(2689),
    [anon_sym_LT_LT_EQ] = ACTIONS(2689),
    [anon_sym_GT_GT_EQ] = ACTIONS(2689),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2691),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_SLASH_SLASH] = ACTIONS(2691),
    [anon_sym_CARET_CARET] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_PIPE] = ACTIONS(2691),
    [anon_sym_CARET] = ACTIONS(2691),
    [anon_sym_AMP] = ACTIONS(2691),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_eq] = ACTIONS(2691),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2689),
    [anon_sym_equ] = ACTIONS(2689),
    [anon_sym_eqr] = ACTIONS(2689),
    [anon_sym_ne] = ACTIONS(2689),
    [anon_sym_LT_EQ_GT] = ACTIONS(2689),
    [anon_sym_cmp] = ACTIONS(2689),
    [anon_sym_TILDE_TILDE] = ACTIONS(2689),
    [anon_sym_LT_EQ] = ACTIONS(3433),
    [anon_sym_GT_EQ] = ACTIONS(3461),
    [anon_sym_lt] = ACTIONS(3461),
    [anon_sym_le] = ACTIONS(3461),
    [anon_sym_ge] = ACTIONS(3461),
    [anon_sym_gt] = ACTIONS(3461),
    [anon_sym_isa] = ACTIONS(3463),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(2689),
    [anon_sym_PERCENT2] = ACTIONS(2689),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1748] = {
    [sym_heredoc_content] = STATE(1748),
    [anon_sym_COLON] = ACTIONS(2689),
    [anon_sym_DOLLAR] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2689),
    [anon_sym_COMMA] = ACTIONS(2689),
    [anon_sym_RPAREN] = ACTIONS(2689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_GT] = ACTIONS(3433),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2689),
    [anon_sym_DASH_EQ] = ACTIONS(2689),
    [anon_sym_DOT_EQ] = ACTIONS(2689),
    [anon_sym_STAR_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_PERCENT_EQ] = ACTIONS(2691),
    [anon_sym_x_EQ] = ACTIONS(2689),
    [anon_sym_AMP_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_CARET_EQ] = ACTIONS(2689),
    [anon_sym_LT_LT_EQ] = ACTIONS(2689),
    [anon_sym_GT_GT_EQ] = ACTIONS(2689),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2691),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_SLASH_SLASH] = ACTIONS(2691),
    [anon_sym_CARET_CARET] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_PIPE] = ACTIONS(2691),
    [anon_sym_CARET] = ACTIONS(2691),
    [anon_sym_AMP] = ACTIONS(2691),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(3455),
    [anon_sym_BANG_EQ] = ACTIONS(3457),
    [anon_sym_eq] = ACTIONS(3455),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3457),
    [anon_sym_equ] = ACTIONS(3457),
    [anon_sym_eqr] = ACTIONS(3457),
    [anon_sym_ne] = ACTIONS(3457),
    [anon_sym_LT_EQ_GT] = ACTIONS(3531),
    [anon_sym_cmp] = ACTIONS(3531),
    [anon_sym_TILDE_TILDE] = ACTIONS(3531),
    [anon_sym_LT_EQ] = ACTIONS(3433),
    [anon_sym_GT_EQ] = ACTIONS(3461),
    [anon_sym_lt] = ACTIONS(3461),
    [anon_sym_le] = ACTIONS(3461),
    [anon_sym_ge] = ACTIONS(3461),
    [anon_sym_gt] = ACTIONS(3461),
    [anon_sym_isa] = ACTIONS(3463),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(2689),
    [anon_sym_PERCENT2] = ACTIONS(2689),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1749] = {
    [sym_heredoc_content] = STATE(1749),
    [anon_sym_COLON] = ACTIONS(3054),
    [anon_sym_DOLLAR] = ACTIONS(3054),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_AT] = ACTIONS(3054),
    [anon_sym_COMMA] = ACTIONS(3054),
    [anon_sym_RPAREN] = ACTIONS(3054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3054),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_GT] = ACTIONS(3433),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_DOT_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3056),
    [anon_sym_x_EQ] = ACTIONS(3054),
    [anon_sym_AMP_EQ] = ACTIONS(3054),
    [anon_sym_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_CARET_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT_EQ] = ACTIONS(3054),
    [anon_sym_GT_GT_EQ] = ACTIONS(3054),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(3056),
    [anon_sym_SLASH_SLASH] = ACTIONS(3056),
    [anon_sym_CARET_CARET] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3056),
    [anon_sym_PIPE] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_eq] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_equ] = ACTIONS(3054),
    [anon_sym_eqr] = ACTIONS(3054),
    [anon_sym_ne] = ACTIONS(3054),
    [anon_sym_LT_EQ_GT] = ACTIONS(3054),
    [anon_sym_cmp] = ACTIONS(3054),
    [anon_sym_TILDE_TILDE] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3433),
    [anon_sym_GT_EQ] = ACTIONS(3461),
    [anon_sym_lt] = ACTIONS(3461),
    [anon_sym_le] = ACTIONS(3461),
    [anon_sym_ge] = ACTIONS(3461),
    [anon_sym_gt] = ACTIONS(3461),
    [anon_sym_isa] = ACTIONS(3533),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(3054),
    [anon_sym_PERCENT2] = ACTIONS(3054),
    [anon_sym_EQ_GT] = ACTIONS(3054),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1750] = {
    [sym_heredoc_content] = STATE(1750),
    [sym__identifier] = ACTIONS(2398),
    [anon_sym_RBRACE] = ACTIONS(2400),
    [anon_sym_COLON] = ACTIONS(2398),
    [anon_sym_EQ] = ACTIONS(2398),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2400),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2400),
    [anon_sym_COMMA] = ACTIONS(2400),
    [anon_sym_RPAREN] = ACTIONS(2400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2400),
    [anon_sym_DASH_GT] = ACTIONS(2400),
    [anon_sym_PERCENT] = ACTIONS(2398),
    [anon_sym_LT] = ACTIONS(2398),
    [anon_sym_GT] = ACTIONS(2398),
    [anon_sym_LT_LT] = ACTIONS(2398),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2400),
    [anon_sym_PLUS_EQ] = ACTIONS(2400),
    [anon_sym_DASH_EQ] = ACTIONS(2400),
    [anon_sym_DOT_EQ] = ACTIONS(2400),
    [anon_sym_STAR_EQ] = ACTIONS(2400),
    [anon_sym_SLASH_EQ] = ACTIONS(2400),
    [anon_sym_PERCENT_EQ] = ACTIONS(2400),
    [anon_sym_x_EQ] = ACTIONS(2400),
    [anon_sym_AMP_EQ] = ACTIONS(2400),
    [anon_sym_PIPE_EQ] = ACTIONS(2400),
    [anon_sym_CARET_EQ] = ACTIONS(2400),
    [anon_sym_LT_LT_EQ] = ACTIONS(2400),
    [anon_sym_GT_GT_EQ] = ACTIONS(2400),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2400),
    [anon_sym_DOT_DOT] = ACTIONS(2398),
    [anon_sym_STAR_STAR] = ACTIONS(2398),
    [anon_sym_PIPE_PIPE] = ACTIONS(2398),
    [anon_sym_SLASH_SLASH] = ACTIONS(2398),
    [anon_sym_CARET_CARET] = ACTIONS(2400),
    [anon_sym_AMP_AMP] = ACTIONS(2398),
    [anon_sym_PIPE] = ACTIONS(2398),
    [anon_sym_CARET] = ACTIONS(2398),
    [anon_sym_AMP] = ACTIONS(2398),
    [anon_sym_GT_GT2] = ACTIONS(2398),
    [anon_sym_PLUS] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2398),
    [anon_sym_DOT] = ACTIONS(2398),
    [anon_sym_STAR] = ACTIONS(2398),
    [anon_sym_SLASH] = ACTIONS(2398),
    [anon_sym_x] = ACTIONS(2398),
    [anon_sym_EQ_TILDE] = ACTIONS(2400),
    [anon_sym_BANG_TILDE] = ACTIONS(2400),
    [anon_sym_EQ_EQ] = ACTIONS(2398),
    [anon_sym_BANG_EQ] = ACTIONS(2400),
    [anon_sym_eq] = ACTIONS(2398),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2400),
    [anon_sym_equ] = ACTIONS(2398),
    [anon_sym_eqr] = ACTIONS(2398),
    [anon_sym_ne] = ACTIONS(2398),
    [anon_sym_LT_EQ_GT] = ACTIONS(2400),
    [anon_sym_cmp] = ACTIONS(2398),
    [anon_sym_TILDE_TILDE] = ACTIONS(2400),
    [anon_sym_LT_EQ] = ACTIONS(2398),
    [anon_sym_GT_EQ] = ACTIONS(2400),
    [anon_sym_lt] = ACTIONS(2398),
    [anon_sym_le] = ACTIONS(2398),
    [anon_sym_ge] = ACTIONS(2398),
    [anon_sym_gt] = ACTIONS(2398),
    [anon_sym_isa] = ACTIONS(2398),
    [anon_sym_PLUS_PLUS] = ACTIONS(2400),
    [anon_sym_DASH_DASH] = ACTIONS(2400),
    [anon_sym_QMARK] = ACTIONS(2400),
    [anon_sym_EQ_GT] = ACTIONS(2400),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2398),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1751] = {
    [sym_heredoc_content] = STATE(1751),
    [sym__identifier] = ACTIONS(2316),
    [anon_sym_RBRACE] = ACTIONS(2311),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_COMMA] = ACTIONS(2311),
    [anon_sym_RPAREN] = ACTIONS(2311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2311),
    [anon_sym_DASH_GT] = ACTIONS(2311),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2316),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2311),
    [anon_sym_PLUS_EQ] = ACTIONS(2311),
    [anon_sym_DASH_EQ] = ACTIONS(2311),
    [anon_sym_DOT_EQ] = ACTIONS(2311),
    [anon_sym_STAR_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_PERCENT_EQ] = ACTIONS(2311),
    [anon_sym_x_EQ] = ACTIONS(2311),
    [anon_sym_AMP_EQ] = ACTIONS(2311),
    [anon_sym_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_CARET_EQ] = ACTIONS(2311),
    [anon_sym_LT_LT_EQ] = ACTIONS(2311),
    [anon_sym_GT_GT_EQ] = ACTIONS(2311),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2311),
    [anon_sym_DOT_DOT] = ACTIONS(2316),
    [anon_sym_STAR_STAR] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_SLASH_SLASH] = ACTIONS(2316),
    [anon_sym_CARET_CARET] = ACTIONS(2311),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_GT_GT2] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_x] = ACTIONS(2316),
    [anon_sym_EQ_TILDE] = ACTIONS(2311),
    [anon_sym_BANG_TILDE] = ACTIONS(2311),
    [anon_sym_EQ_EQ] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2311),
    [anon_sym_eq] = ACTIONS(2316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2311),
    [anon_sym_equ] = ACTIONS(2316),
    [anon_sym_eqr] = ACTIONS(2316),
    [anon_sym_ne] = ACTIONS(2316),
    [anon_sym_LT_EQ_GT] = ACTIONS(2311),
    [anon_sym_cmp] = ACTIONS(2316),
    [anon_sym_TILDE_TILDE] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(2316),
    [anon_sym_GT_EQ] = ACTIONS(2311),
    [anon_sym_lt] = ACTIONS(2316),
    [anon_sym_le] = ACTIONS(2316),
    [anon_sym_ge] = ACTIONS(2316),
    [anon_sym_gt] = ACTIONS(2316),
    [anon_sym_isa] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2311),
    [anon_sym_QMARK] = ACTIONS(2311),
    [anon_sym_EQ_GT] = ACTIONS(2311),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2316),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1752] = {
    [sym_heredoc_content] = STATE(1752),
    [anon_sym_COLON] = ACTIONS(3142),
    [anon_sym_DOLLAR] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_AT] = ACTIONS(3142),
    [anon_sym_COMMA] = ACTIONS(3142),
    [anon_sym_RPAREN] = ACTIONS(3142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3427),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_GT] = ACTIONS(3433),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3142),
    [anon_sym_DASH_EQ] = ACTIONS(3142),
    [anon_sym_DOT_EQ] = ACTIONS(3142),
    [anon_sym_STAR_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_PERCENT_EQ] = ACTIONS(3144),
    [anon_sym_x_EQ] = ACTIONS(3142),
    [anon_sym_AMP_EQ] = ACTIONS(3142),
    [anon_sym_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_CARET_EQ] = ACTIONS(3142),
    [anon_sym_LT_LT_EQ] = ACTIONS(3142),
    [anon_sym_GT_GT_EQ] = ACTIONS(3142),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3142),
    [anon_sym_DOT_DOT] = ACTIONS(3437),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(3441),
    [anon_sym_SLASH_SLASH] = ACTIONS(3441),
    [anon_sym_CARET_CARET] = ACTIONS(3443),
    [anon_sym_AMP_AMP] = ACTIONS(3445),
    [anon_sym_PIPE] = ACTIONS(3447),
    [anon_sym_CARET] = ACTIONS(3447),
    [anon_sym_AMP] = ACTIONS(3449),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(3455),
    [anon_sym_BANG_EQ] = ACTIONS(3457),
    [anon_sym_eq] = ACTIONS(3455),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3457),
    [anon_sym_equ] = ACTIONS(3457),
    [anon_sym_eqr] = ACTIONS(3457),
    [anon_sym_ne] = ACTIONS(3457),
    [anon_sym_LT_EQ_GT] = ACTIONS(3459),
    [anon_sym_cmp] = ACTIONS(3459),
    [anon_sym_TILDE_TILDE] = ACTIONS(3459),
    [anon_sym_LT_EQ] = ACTIONS(3433),
    [anon_sym_GT_EQ] = ACTIONS(3461),
    [anon_sym_lt] = ACTIONS(3461),
    [anon_sym_le] = ACTIONS(3461),
    [anon_sym_ge] = ACTIONS(3461),
    [anon_sym_gt] = ACTIONS(3461),
    [anon_sym_isa] = ACTIONS(3463),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(3467),
    [anon_sym_PERCENT2] = ACTIONS(3142),
    [anon_sym_EQ_GT] = ACTIONS(3142),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1753] = {
    [sym_heredoc_content] = STATE(1753),
    [sym__identifier] = ACTIONS(2348),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_COLON] = ACTIONS(2348),
    [anon_sym_EQ] = ACTIONS(2348),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_RPAREN] = ACTIONS(2350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2350),
    [anon_sym_DASH_GT] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2348),
    [anon_sym_LT] = ACTIONS(2348),
    [anon_sym_GT] = ACTIONS(2348),
    [anon_sym_LT_LT] = ACTIONS(2348),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2350),
    [anon_sym_PLUS_EQ] = ACTIONS(2350),
    [anon_sym_DASH_EQ] = ACTIONS(2350),
    [anon_sym_DOT_EQ] = ACTIONS(2350),
    [anon_sym_STAR_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT_EQ] = ACTIONS(2350),
    [anon_sym_x_EQ] = ACTIONS(2350),
    [anon_sym_AMP_EQ] = ACTIONS(2350),
    [anon_sym_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_CARET_EQ] = ACTIONS(2350),
    [anon_sym_LT_LT_EQ] = ACTIONS(2350),
    [anon_sym_GT_GT_EQ] = ACTIONS(2350),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2350),
    [anon_sym_DOT_DOT] = ACTIONS(2348),
    [anon_sym_STAR_STAR] = ACTIONS(2348),
    [anon_sym_PIPE_PIPE] = ACTIONS(2348),
    [anon_sym_SLASH_SLASH] = ACTIONS(2348),
    [anon_sym_CARET_CARET] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2348),
    [anon_sym_PIPE] = ACTIONS(2348),
    [anon_sym_CARET] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_GT_GT2] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2348),
    [anon_sym_DOT] = ACTIONS(2348),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_SLASH] = ACTIONS(2348),
    [anon_sym_x] = ACTIONS(2348),
    [anon_sym_EQ_TILDE] = ACTIONS(2350),
    [anon_sym_BANG_TILDE] = ACTIONS(2350),
    [anon_sym_EQ_EQ] = ACTIONS(2348),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_eq] = ACTIONS(2348),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2350),
    [anon_sym_equ] = ACTIONS(2348),
    [anon_sym_eqr] = ACTIONS(2348),
    [anon_sym_ne] = ACTIONS(2348),
    [anon_sym_LT_EQ_GT] = ACTIONS(2350),
    [anon_sym_cmp] = ACTIONS(2348),
    [anon_sym_TILDE_TILDE] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2348),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_lt] = ACTIONS(2348),
    [anon_sym_le] = ACTIONS(2348),
    [anon_sym_ge] = ACTIONS(2348),
    [anon_sym_gt] = ACTIONS(2348),
    [anon_sym_isa] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2350),
    [anon_sym_EQ_GT] = ACTIONS(2350),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2348),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1754] = {
    [sym_heredoc_content] = STATE(1754),
    [anon_sym_COLON] = ACTIONS(2693),
    [anon_sym_DOLLAR] = ACTIONS(2693),
    [anon_sym_EQ] = ACTIONS(2695),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2693),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2693),
    [anon_sym_AT] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(2693),
    [anon_sym_RPAREN] = ACTIONS(2693),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2693),
    [anon_sym_DASH_GT] = ACTIONS(2693),
    [anon_sym_PERCENT] = ACTIONS(2695),
    [anon_sym_LT] = ACTIONS(2695),
    [anon_sym_GT] = ACTIONS(2695),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2693),
    [anon_sym_PLUS_EQ] = ACTIONS(2693),
    [anon_sym_DASH_EQ] = ACTIONS(2693),
    [anon_sym_DOT_EQ] = ACTIONS(2693),
    [anon_sym_STAR_EQ] = ACTIONS(2693),
    [anon_sym_SLASH_EQ] = ACTIONS(2693),
    [anon_sym_PERCENT_EQ] = ACTIONS(2695),
    [anon_sym_x_EQ] = ACTIONS(2693),
    [anon_sym_AMP_EQ] = ACTIONS(2693),
    [anon_sym_PIPE_EQ] = ACTIONS(2693),
    [anon_sym_CARET_EQ] = ACTIONS(2693),
    [anon_sym_LT_LT_EQ] = ACTIONS(2693),
    [anon_sym_GT_GT_EQ] = ACTIONS(2693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2693),
    [anon_sym_DOT_DOT] = ACTIONS(2695),
    [anon_sym_STAR_STAR] = ACTIONS(2695),
    [anon_sym_PIPE_PIPE] = ACTIONS(2695),
    [anon_sym_SLASH_SLASH] = ACTIONS(2695),
    [anon_sym_CARET_CARET] = ACTIONS(2693),
    [anon_sym_AMP_AMP] = ACTIONS(2695),
    [anon_sym_PIPE] = ACTIONS(2695),
    [anon_sym_CARET] = ACTIONS(2695),
    [anon_sym_AMP] = ACTIONS(2695),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(2695),
    [anon_sym_STAR] = ACTIONS(2695),
    [anon_sym_SLASH] = ACTIONS(2695),
    [anon_sym_x] = ACTIONS(2695),
    [anon_sym_EQ_TILDE] = ACTIONS(2693),
    [anon_sym_BANG_TILDE] = ACTIONS(2693),
    [anon_sym_EQ_EQ] = ACTIONS(2695),
    [anon_sym_BANG_EQ] = ACTIONS(2693),
    [anon_sym_eq] = ACTIONS(2695),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2693),
    [anon_sym_equ] = ACTIONS(2693),
    [anon_sym_eqr] = ACTIONS(2693),
    [anon_sym_ne] = ACTIONS(2693),
    [anon_sym_LT_EQ_GT] = ACTIONS(2693),
    [anon_sym_cmp] = ACTIONS(2693),
    [anon_sym_TILDE_TILDE] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(2695),
    [anon_sym_GT_EQ] = ACTIONS(2693),
    [anon_sym_lt] = ACTIONS(2693),
    [anon_sym_le] = ACTIONS(2693),
    [anon_sym_ge] = ACTIONS(2693),
    [anon_sym_gt] = ACTIONS(2693),
    [anon_sym_isa] = ACTIONS(2693),
    [anon_sym_PLUS_PLUS] = ACTIONS(2693),
    [anon_sym_DASH_DASH] = ACTIONS(2693),
    [anon_sym_QMARK] = ACTIONS(2693),
    [anon_sym_PERCENT2] = ACTIONS(2693),
    [anon_sym_EQ_GT] = ACTIONS(2693),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1755] = {
    [sym_heredoc_content] = STATE(1755),
    [anon_sym_COLON] = ACTIONS(2749),
    [anon_sym_DOLLAR] = ACTIONS(2749),
    [anon_sym_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_AT] = ACTIONS(2749),
    [anon_sym_COMMA] = ACTIONS(2749),
    [anon_sym_RPAREN] = ACTIONS(2749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2749),
    [anon_sym_DASH_GT] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2751),
    [anon_sym_LT] = ACTIONS(2751),
    [anon_sym_GT] = ACTIONS(2751),
    [anon_sym_LT_LT] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_DOT_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2751),
    [anon_sym_x_EQ] = ACTIONS(2749),
    [anon_sym_AMP_EQ] = ACTIONS(2749),
    [anon_sym_PIPE_EQ] = ACTIONS(2749),
    [anon_sym_CARET_EQ] = ACTIONS(2749),
    [anon_sym_LT_LT_EQ] = ACTIONS(2749),
    [anon_sym_GT_GT_EQ] = ACTIONS(2749),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2751),
    [anon_sym_STAR_STAR] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2751),
    [anon_sym_SLASH_SLASH] = ACTIONS(2751),
    [anon_sym_CARET_CARET] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2751),
    [anon_sym_AMP] = ACTIONS(2751),
    [anon_sym_GT_GT2] = ACTIONS(2751),
    [anon_sym_PLUS] = ACTIONS(2751),
    [anon_sym_DASH] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2751),
    [anon_sym_STAR] = ACTIONS(2751),
    [anon_sym_SLASH] = ACTIONS(2751),
    [anon_sym_x] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2749),
    [anon_sym_BANG_TILDE] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2751),
    [anon_sym_BANG_EQ] = ACTIONS(2749),
    [anon_sym_eq] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_equ] = ACTIONS(2749),
    [anon_sym_eqr] = ACTIONS(2749),
    [anon_sym_ne] = ACTIONS(2749),
    [anon_sym_LT_EQ_GT] = ACTIONS(2749),
    [anon_sym_cmp] = ACTIONS(2749),
    [anon_sym_TILDE_TILDE] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2751),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_lt] = ACTIONS(2749),
    [anon_sym_le] = ACTIONS(2749),
    [anon_sym_ge] = ACTIONS(2749),
    [anon_sym_gt] = ACTIONS(2749),
    [anon_sym_isa] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_QMARK] = ACTIONS(2749),
    [anon_sym_PERCENT2] = ACTIONS(2749),
    [anon_sym_EQ_GT] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1756] = {
    [sym_heredoc_content] = STATE(1756),
    [anon_sym_COLON] = ACTIONS(2773),
    [anon_sym_DOLLAR] = ACTIONS(2773),
    [anon_sym_EQ] = ACTIONS(2775),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2773),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2773),
    [anon_sym_AT] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2773),
    [anon_sym_RPAREN] = ACTIONS(2773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2773),
    [anon_sym_DASH_GT] = ACTIONS(2773),
    [anon_sym_PERCENT] = ACTIONS(2775),
    [anon_sym_LT] = ACTIONS(2775),
    [anon_sym_GT] = ACTIONS(2775),
    [anon_sym_LT_LT] = ACTIONS(2775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2773),
    [anon_sym_PLUS_EQ] = ACTIONS(2773),
    [anon_sym_DASH_EQ] = ACTIONS(2773),
    [anon_sym_DOT_EQ] = ACTIONS(2773),
    [anon_sym_STAR_EQ] = ACTIONS(2773),
    [anon_sym_SLASH_EQ] = ACTIONS(2773),
    [anon_sym_PERCENT_EQ] = ACTIONS(2775),
    [anon_sym_x_EQ] = ACTIONS(2773),
    [anon_sym_AMP_EQ] = ACTIONS(2773),
    [anon_sym_PIPE_EQ] = ACTIONS(2773),
    [anon_sym_CARET_EQ] = ACTIONS(2773),
    [anon_sym_LT_LT_EQ] = ACTIONS(2773),
    [anon_sym_GT_GT_EQ] = ACTIONS(2773),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2773),
    [anon_sym_DOT_DOT] = ACTIONS(2775),
    [anon_sym_STAR_STAR] = ACTIONS(2775),
    [anon_sym_PIPE_PIPE] = ACTIONS(2775),
    [anon_sym_SLASH_SLASH] = ACTIONS(2775),
    [anon_sym_CARET_CARET] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2775),
    [anon_sym_PIPE] = ACTIONS(2775),
    [anon_sym_CARET] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_GT_GT2] = ACTIONS(2775),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_DASH] = ACTIONS(2775),
    [anon_sym_DOT] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_SLASH] = ACTIONS(2775),
    [anon_sym_x] = ACTIONS(2775),
    [anon_sym_EQ_TILDE] = ACTIONS(2773),
    [anon_sym_BANG_TILDE] = ACTIONS(2773),
    [anon_sym_EQ_EQ] = ACTIONS(2775),
    [anon_sym_BANG_EQ] = ACTIONS(2773),
    [anon_sym_eq] = ACTIONS(2775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2773),
    [anon_sym_equ] = ACTIONS(2773),
    [anon_sym_eqr] = ACTIONS(2773),
    [anon_sym_ne] = ACTIONS(2773),
    [anon_sym_LT_EQ_GT] = ACTIONS(2773),
    [anon_sym_cmp] = ACTIONS(2773),
    [anon_sym_TILDE_TILDE] = ACTIONS(2773),
    [anon_sym_LT_EQ] = ACTIONS(2775),
    [anon_sym_GT_EQ] = ACTIONS(2773),
    [anon_sym_lt] = ACTIONS(2773),
    [anon_sym_le] = ACTIONS(2773),
    [anon_sym_ge] = ACTIONS(2773),
    [anon_sym_gt] = ACTIONS(2773),
    [anon_sym_isa] = ACTIONS(2773),
    [anon_sym_PLUS_PLUS] = ACTIONS(2773),
    [anon_sym_DASH_DASH] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2773),
    [anon_sym_PERCENT2] = ACTIONS(2773),
    [anon_sym_EQ_GT] = ACTIONS(2773),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1757] = {
    [sym_heredoc_content] = STATE(1757),
    [sym__identifier] = ACTIONS(2398),
    [anon_sym_COLON] = ACTIONS(2398),
    [anon_sym_SEMI] = ACTIONS(2400),
    [anon_sym_EQ] = ACTIONS(2398),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2400),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2400),
    [anon_sym_COMMA] = ACTIONS(2400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2400),
    [anon_sym_DASH_GT] = ACTIONS(2400),
    [anon_sym_PERCENT] = ACTIONS(2398),
    [anon_sym_LT] = ACTIONS(2398),
    [anon_sym_GT] = ACTIONS(2398),
    [anon_sym_LT_LT] = ACTIONS(2398),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2400),
    [anon_sym_PLUS_EQ] = ACTIONS(2400),
    [anon_sym_DASH_EQ] = ACTIONS(2400),
    [anon_sym_DOT_EQ] = ACTIONS(2400),
    [anon_sym_STAR_EQ] = ACTIONS(2400),
    [anon_sym_SLASH_EQ] = ACTIONS(2400),
    [anon_sym_PERCENT_EQ] = ACTIONS(2400),
    [anon_sym_x_EQ] = ACTIONS(2400),
    [anon_sym_AMP_EQ] = ACTIONS(2400),
    [anon_sym_PIPE_EQ] = ACTIONS(2400),
    [anon_sym_CARET_EQ] = ACTIONS(2400),
    [anon_sym_LT_LT_EQ] = ACTIONS(2400),
    [anon_sym_GT_GT_EQ] = ACTIONS(2400),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2400),
    [anon_sym_DOT_DOT] = ACTIONS(2398),
    [anon_sym_STAR_STAR] = ACTIONS(2398),
    [anon_sym_PIPE_PIPE] = ACTIONS(2398),
    [anon_sym_SLASH_SLASH] = ACTIONS(2398),
    [anon_sym_CARET_CARET] = ACTIONS(2400),
    [anon_sym_AMP_AMP] = ACTIONS(2398),
    [anon_sym_PIPE] = ACTIONS(2398),
    [anon_sym_CARET] = ACTIONS(2398),
    [anon_sym_AMP] = ACTIONS(2398),
    [anon_sym_GT_GT2] = ACTIONS(2398),
    [anon_sym_PLUS] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2398),
    [anon_sym_DOT] = ACTIONS(2398),
    [anon_sym_STAR] = ACTIONS(2398),
    [anon_sym_SLASH] = ACTIONS(2398),
    [anon_sym_x] = ACTIONS(2398),
    [anon_sym_EQ_TILDE] = ACTIONS(2400),
    [anon_sym_BANG_TILDE] = ACTIONS(2400),
    [anon_sym_EQ_EQ] = ACTIONS(2398),
    [anon_sym_BANG_EQ] = ACTIONS(2400),
    [anon_sym_eq] = ACTIONS(2398),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2400),
    [anon_sym_equ] = ACTIONS(2398),
    [anon_sym_eqr] = ACTIONS(2398),
    [anon_sym_ne] = ACTIONS(2398),
    [anon_sym_LT_EQ_GT] = ACTIONS(2400),
    [anon_sym_cmp] = ACTIONS(2398),
    [anon_sym_TILDE_TILDE] = ACTIONS(2400),
    [anon_sym_LT_EQ] = ACTIONS(2398),
    [anon_sym_GT_EQ] = ACTIONS(2400),
    [anon_sym_lt] = ACTIONS(2398),
    [anon_sym_le] = ACTIONS(2398),
    [anon_sym_ge] = ACTIONS(2398),
    [anon_sym_gt] = ACTIONS(2398),
    [anon_sym_isa] = ACTIONS(2398),
    [anon_sym_PLUS_PLUS] = ACTIONS(2400),
    [anon_sym_DASH_DASH] = ACTIONS(2400),
    [anon_sym_QMARK] = ACTIONS(2400),
    [anon_sym_EQ_GT] = ACTIONS(2400),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2398),
    [sym__PERLY_SEMICOLON] = ACTIONS(2400),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1758] = {
    [sym_heredoc_content] = STATE(1758),
    [sym__identifier] = ACTIONS(2316),
    [anon_sym_COLON] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2311),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_COMMA] = ACTIONS(2311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2311),
    [anon_sym_DASH_GT] = ACTIONS(2311),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2316),
    [anon_sym_GT] = ACTIONS(2316),
    [anon_sym_LT_LT] = ACTIONS(2316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2311),
    [anon_sym_PLUS_EQ] = ACTIONS(2311),
    [anon_sym_DASH_EQ] = ACTIONS(2311),
    [anon_sym_DOT_EQ] = ACTIONS(2311),
    [anon_sym_STAR_EQ] = ACTIONS(2311),
    [anon_sym_SLASH_EQ] = ACTIONS(2311),
    [anon_sym_PERCENT_EQ] = ACTIONS(2311),
    [anon_sym_x_EQ] = ACTIONS(2311),
    [anon_sym_AMP_EQ] = ACTIONS(2311),
    [anon_sym_PIPE_EQ] = ACTIONS(2311),
    [anon_sym_CARET_EQ] = ACTIONS(2311),
    [anon_sym_LT_LT_EQ] = ACTIONS(2311),
    [anon_sym_GT_GT_EQ] = ACTIONS(2311),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2311),
    [anon_sym_DOT_DOT] = ACTIONS(2316),
    [anon_sym_STAR_STAR] = ACTIONS(2316),
    [anon_sym_PIPE_PIPE] = ACTIONS(2316),
    [anon_sym_SLASH_SLASH] = ACTIONS(2316),
    [anon_sym_CARET_CARET] = ACTIONS(2311),
    [anon_sym_AMP_AMP] = ACTIONS(2316),
    [anon_sym_PIPE] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2316),
    [anon_sym_AMP] = ACTIONS(2316),
    [anon_sym_GT_GT2] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2316),
    [anon_sym_DOT] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_SLASH] = ACTIONS(2316),
    [anon_sym_x] = ACTIONS(2316),
    [anon_sym_EQ_TILDE] = ACTIONS(2311),
    [anon_sym_BANG_TILDE] = ACTIONS(2311),
    [anon_sym_EQ_EQ] = ACTIONS(2316),
    [anon_sym_BANG_EQ] = ACTIONS(2311),
    [anon_sym_eq] = ACTIONS(2316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2311),
    [anon_sym_equ] = ACTIONS(2316),
    [anon_sym_eqr] = ACTIONS(2316),
    [anon_sym_ne] = ACTIONS(2316),
    [anon_sym_LT_EQ_GT] = ACTIONS(2311),
    [anon_sym_cmp] = ACTIONS(2316),
    [anon_sym_TILDE_TILDE] = ACTIONS(2311),
    [anon_sym_LT_EQ] = ACTIONS(2316),
    [anon_sym_GT_EQ] = ACTIONS(2311),
    [anon_sym_lt] = ACTIONS(2316),
    [anon_sym_le] = ACTIONS(2316),
    [anon_sym_ge] = ACTIONS(2316),
    [anon_sym_gt] = ACTIONS(2316),
    [anon_sym_isa] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2311),
    [anon_sym_QMARK] = ACTIONS(2311),
    [anon_sym_EQ_GT] = ACTIONS(2311),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2316),
    [sym__PERLY_SEMICOLON] = ACTIONS(2311),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1759] = {
    [sym_heredoc_content] = STATE(1759),
    [sym__identifier] = ACTIONS(2348),
    [anon_sym_COLON] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2350),
    [anon_sym_EQ] = ACTIONS(2348),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_COMMA] = ACTIONS(2350),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2350),
    [anon_sym_DASH_GT] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2348),
    [anon_sym_LT] = ACTIONS(2348),
    [anon_sym_GT] = ACTIONS(2348),
    [anon_sym_LT_LT] = ACTIONS(2348),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2350),
    [anon_sym_PLUS_EQ] = ACTIONS(2350),
    [anon_sym_DASH_EQ] = ACTIONS(2350),
    [anon_sym_DOT_EQ] = ACTIONS(2350),
    [anon_sym_STAR_EQ] = ACTIONS(2350),
    [anon_sym_SLASH_EQ] = ACTIONS(2350),
    [anon_sym_PERCENT_EQ] = ACTIONS(2350),
    [anon_sym_x_EQ] = ACTIONS(2350),
    [anon_sym_AMP_EQ] = ACTIONS(2350),
    [anon_sym_PIPE_EQ] = ACTIONS(2350),
    [anon_sym_CARET_EQ] = ACTIONS(2350),
    [anon_sym_LT_LT_EQ] = ACTIONS(2350),
    [anon_sym_GT_GT_EQ] = ACTIONS(2350),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2350),
    [anon_sym_DOT_DOT] = ACTIONS(2348),
    [anon_sym_STAR_STAR] = ACTIONS(2348),
    [anon_sym_PIPE_PIPE] = ACTIONS(2348),
    [anon_sym_SLASH_SLASH] = ACTIONS(2348),
    [anon_sym_CARET_CARET] = ACTIONS(2350),
    [anon_sym_AMP_AMP] = ACTIONS(2348),
    [anon_sym_PIPE] = ACTIONS(2348),
    [anon_sym_CARET] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_GT_GT2] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2348),
    [anon_sym_DOT] = ACTIONS(2348),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_SLASH] = ACTIONS(2348),
    [anon_sym_x] = ACTIONS(2348),
    [anon_sym_EQ_TILDE] = ACTIONS(2350),
    [anon_sym_BANG_TILDE] = ACTIONS(2350),
    [anon_sym_EQ_EQ] = ACTIONS(2348),
    [anon_sym_BANG_EQ] = ACTIONS(2350),
    [anon_sym_eq] = ACTIONS(2348),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2350),
    [anon_sym_equ] = ACTIONS(2348),
    [anon_sym_eqr] = ACTIONS(2348),
    [anon_sym_ne] = ACTIONS(2348),
    [anon_sym_LT_EQ_GT] = ACTIONS(2350),
    [anon_sym_cmp] = ACTIONS(2348),
    [anon_sym_TILDE_TILDE] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2348),
    [anon_sym_GT_EQ] = ACTIONS(2350),
    [anon_sym_lt] = ACTIONS(2348),
    [anon_sym_le] = ACTIONS(2348),
    [anon_sym_ge] = ACTIONS(2348),
    [anon_sym_gt] = ACTIONS(2348),
    [anon_sym_isa] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2350),
    [anon_sym_DASH_DASH] = ACTIONS(2350),
    [anon_sym_QMARK] = ACTIONS(2350),
    [anon_sym_EQ_GT] = ACTIONS(2350),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2348),
    [sym__PERLY_SEMICOLON] = ACTIONS(2350),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1760] = {
    [sym_heredoc_content] = STATE(1760),
    [anon_sym_LBRACE] = ACTIONS(1763),
    [anon_sym_SEMI] = ACTIONS(1763),
    [anon_sym_EQ] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1763),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1763),
    [anon_sym_COMMA] = ACTIONS(1763),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1763),
    [anon_sym_LBRACK] = ACTIONS(1763),
    [anon_sym_DASH_GT] = ACTIONS(1763),
    [anon_sym_PERCENT] = ACTIONS(1761),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_GT] = ACTIONS(1761),
    [anon_sym_LT_LT] = ACTIONS(1761),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1763),
    [anon_sym_PLUS_EQ] = ACTIONS(1763),
    [anon_sym_DASH_EQ] = ACTIONS(1763),
    [anon_sym_DOT_EQ] = ACTIONS(1763),
    [anon_sym_STAR_EQ] = ACTIONS(1763),
    [anon_sym_SLASH_EQ] = ACTIONS(1763),
    [anon_sym_PERCENT_EQ] = ACTIONS(1763),
    [anon_sym_x_EQ] = ACTIONS(1763),
    [anon_sym_AMP_EQ] = ACTIONS(1763),
    [anon_sym_PIPE_EQ] = ACTIONS(1763),
    [anon_sym_CARET_EQ] = ACTIONS(1763),
    [anon_sym_LT_LT_EQ] = ACTIONS(1763),
    [anon_sym_GT_GT_EQ] = ACTIONS(1763),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1763),
    [anon_sym_DOT_DOT] = ACTIONS(1761),
    [anon_sym_STAR_STAR] = ACTIONS(1761),
    [anon_sym_PIPE_PIPE] = ACTIONS(1761),
    [anon_sym_SLASH_SLASH] = ACTIONS(1761),
    [anon_sym_CARET_CARET] = ACTIONS(1763),
    [anon_sym_AMP_AMP] = ACTIONS(1761),
    [anon_sym_PIPE] = ACTIONS(1761),
    [anon_sym_CARET] = ACTIONS(1761),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym_GT_GT2] = ACTIONS(1761),
    [anon_sym_PLUS] = ACTIONS(1761),
    [anon_sym_DASH] = ACTIONS(1761),
    [anon_sym_DOT] = ACTIONS(1761),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_SLASH] = ACTIONS(1761),
    [anon_sym_x] = ACTIONS(1761),
    [anon_sym_EQ_TILDE] = ACTIONS(1763),
    [anon_sym_BANG_TILDE] = ACTIONS(1763),
    [anon_sym_EQ_EQ] = ACTIONS(1761),
    [anon_sym_BANG_EQ] = ACTIONS(1763),
    [anon_sym_eq] = ACTIONS(1761),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1763),
    [anon_sym_equ] = ACTIONS(1763),
    [anon_sym_eqr] = ACTIONS(1763),
    [anon_sym_ne] = ACTIONS(1763),
    [anon_sym_LT_EQ_GT] = ACTIONS(1763),
    [anon_sym_cmp] = ACTIONS(1763),
    [anon_sym_TILDE_TILDE] = ACTIONS(1763),
    [anon_sym_LT_EQ] = ACTIONS(1761),
    [anon_sym_GT_EQ] = ACTIONS(1763),
    [anon_sym_lt] = ACTIONS(1763),
    [anon_sym_le] = ACTIONS(1763),
    [anon_sym_ge] = ACTIONS(1763),
    [anon_sym_gt] = ACTIONS(1763),
    [anon_sym_isa] = ACTIONS(1763),
    [anon_sym_PLUS_PLUS] = ACTIONS(1763),
    [anon_sym_DASH_DASH] = ACTIONS(1763),
    [anon_sym_QMARK] = ACTIONS(1763),
    [anon_sym_EQ_GT] = ACTIONS(1763),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1763),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1761] = {
    [sym_heredoc_content] = STATE(1761),
    [anon_sym_COLON] = ACTIONS(2861),
    [anon_sym_DOLLAR] = ACTIONS(2861),
    [anon_sym_EQ] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_AT] = ACTIONS(2861),
    [anon_sym_COMMA] = ACTIONS(2861),
    [anon_sym_RPAREN] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2861),
    [anon_sym_DASH_GT] = ACTIONS(2861),
    [anon_sym_PERCENT] = ACTIONS(2863),
    [anon_sym_LT] = ACTIONS(2863),
    [anon_sym_GT] = ACTIONS(2863),
    [anon_sym_LT_LT] = ACTIONS(2863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2861),
    [anon_sym_PLUS_EQ] = ACTIONS(2861),
    [anon_sym_DASH_EQ] = ACTIONS(2861),
    [anon_sym_DOT_EQ] = ACTIONS(2861),
    [anon_sym_STAR_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_PERCENT_EQ] = ACTIONS(2863),
    [anon_sym_x_EQ] = ACTIONS(2861),
    [anon_sym_AMP_EQ] = ACTIONS(2861),
    [anon_sym_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_CARET_EQ] = ACTIONS(2861),
    [anon_sym_LT_LT_EQ] = ACTIONS(2861),
    [anon_sym_GT_GT_EQ] = ACTIONS(2861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2861),
    [anon_sym_DOT_DOT] = ACTIONS(2863),
    [anon_sym_STAR_STAR] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE] = ACTIONS(2863),
    [anon_sym_SLASH_SLASH] = ACTIONS(2863),
    [anon_sym_CARET_CARET] = ACTIONS(2861),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_PIPE] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_GT_GT2] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_DOT] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_SLASH] = ACTIONS(2863),
    [anon_sym_x] = ACTIONS(2863),
    [anon_sym_EQ_TILDE] = ACTIONS(2861),
    [anon_sym_BANG_TILDE] = ACTIONS(2861),
    [anon_sym_EQ_EQ] = ACTIONS(2863),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_eq] = ACTIONS(2863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2861),
    [anon_sym_equ] = ACTIONS(2861),
    [anon_sym_eqr] = ACTIONS(2861),
    [anon_sym_ne] = ACTIONS(2861),
    [anon_sym_LT_EQ_GT] = ACTIONS(2861),
    [anon_sym_cmp] = ACTIONS(2861),
    [anon_sym_TILDE_TILDE] = ACTIONS(2861),
    [anon_sym_LT_EQ] = ACTIONS(2863),
    [anon_sym_GT_EQ] = ACTIONS(2861),
    [anon_sym_lt] = ACTIONS(2861),
    [anon_sym_le] = ACTIONS(2861),
    [anon_sym_ge] = ACTIONS(2861),
    [anon_sym_gt] = ACTIONS(2861),
    [anon_sym_isa] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2861),
    [anon_sym_QMARK] = ACTIONS(2861),
    [anon_sym_PERCENT2] = ACTIONS(2861),
    [anon_sym_EQ_GT] = ACTIONS(2861),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1762] = {
    [sym_heredoc_content] = STATE(1762),
    [anon_sym_COLON] = ACTIONS(2789),
    [anon_sym_DOLLAR] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2791),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2789),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2789),
    [anon_sym_AT] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(2789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2789),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(2791),
    [anon_sym_GT] = ACTIONS(2791),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2789),
    [anon_sym_PLUS_EQ] = ACTIONS(2789),
    [anon_sym_DASH_EQ] = ACTIONS(2789),
    [anon_sym_DOT_EQ] = ACTIONS(2789),
    [anon_sym_STAR_EQ] = ACTIONS(2789),
    [anon_sym_SLASH_EQ] = ACTIONS(2789),
    [anon_sym_PERCENT_EQ] = ACTIONS(2791),
    [anon_sym_x_EQ] = ACTIONS(2789),
    [anon_sym_AMP_EQ] = ACTIONS(2789),
    [anon_sym_PIPE_EQ] = ACTIONS(2789),
    [anon_sym_CARET_EQ] = ACTIONS(2789),
    [anon_sym_LT_LT_EQ] = ACTIONS(2789),
    [anon_sym_GT_GT_EQ] = ACTIONS(2789),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2789),
    [anon_sym_DOT_DOT] = ACTIONS(2791),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(2791),
    [anon_sym_SLASH_SLASH] = ACTIONS(2791),
    [anon_sym_CARET_CARET] = ACTIONS(2789),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_PIPE] = ACTIONS(2791),
    [anon_sym_CARET] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2791),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(2791),
    [anon_sym_BANG_EQ] = ACTIONS(2789),
    [anon_sym_eq] = ACTIONS(2791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2789),
    [anon_sym_equ] = ACTIONS(2789),
    [anon_sym_eqr] = ACTIONS(2789),
    [anon_sym_ne] = ACTIONS(2789),
    [anon_sym_LT_EQ_GT] = ACTIONS(2789),
    [anon_sym_cmp] = ACTIONS(2789),
    [anon_sym_TILDE_TILDE] = ACTIONS(2789),
    [anon_sym_LT_EQ] = ACTIONS(2791),
    [anon_sym_GT_EQ] = ACTIONS(2789),
    [anon_sym_lt] = ACTIONS(2789),
    [anon_sym_le] = ACTIONS(2789),
    [anon_sym_ge] = ACTIONS(2789),
    [anon_sym_gt] = ACTIONS(2789),
    [anon_sym_isa] = ACTIONS(2789),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_PERCENT2] = ACTIONS(2789),
    [anon_sym_EQ_GT] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1763] = {
    [sym_heredoc_content] = STATE(1763),
    [anon_sym_LBRACE] = ACTIONS(1738),
    [anon_sym_SEMI] = ACTIONS(1738),
    [anon_sym_EQ] = ACTIONS(1736),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1738),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1738),
    [anon_sym_COMMA] = ACTIONS(1738),
    [anon_sym_LPAREN] = ACTIONS(1738),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1738),
    [anon_sym_LBRACK] = ACTIONS(1738),
    [anon_sym_DASH_GT] = ACTIONS(1738),
    [anon_sym_PERCENT] = ACTIONS(1736),
    [anon_sym_LT] = ACTIONS(1736),
    [anon_sym_GT] = ACTIONS(1736),
    [anon_sym_LT_LT] = ACTIONS(1736),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1738),
    [anon_sym_PLUS_EQ] = ACTIONS(1738),
    [anon_sym_DASH_EQ] = ACTIONS(1738),
    [anon_sym_DOT_EQ] = ACTIONS(1738),
    [anon_sym_STAR_EQ] = ACTIONS(1738),
    [anon_sym_SLASH_EQ] = ACTIONS(1738),
    [anon_sym_PERCENT_EQ] = ACTIONS(1738),
    [anon_sym_x_EQ] = ACTIONS(1738),
    [anon_sym_AMP_EQ] = ACTIONS(1738),
    [anon_sym_PIPE_EQ] = ACTIONS(1738),
    [anon_sym_CARET_EQ] = ACTIONS(1738),
    [anon_sym_LT_LT_EQ] = ACTIONS(1738),
    [anon_sym_GT_GT_EQ] = ACTIONS(1738),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1738),
    [anon_sym_DOT_DOT] = ACTIONS(1736),
    [anon_sym_STAR_STAR] = ACTIONS(1736),
    [anon_sym_PIPE_PIPE] = ACTIONS(1736),
    [anon_sym_SLASH_SLASH] = ACTIONS(1736),
    [anon_sym_CARET_CARET] = ACTIONS(1738),
    [anon_sym_AMP_AMP] = ACTIONS(1736),
    [anon_sym_PIPE] = ACTIONS(1736),
    [anon_sym_CARET] = ACTIONS(1736),
    [anon_sym_AMP] = ACTIONS(1736),
    [anon_sym_GT_GT2] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1736),
    [anon_sym_DOT] = ACTIONS(1736),
    [anon_sym_STAR] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1736),
    [anon_sym_x] = ACTIONS(1736),
    [anon_sym_EQ_TILDE] = ACTIONS(1738),
    [anon_sym_BANG_TILDE] = ACTIONS(1738),
    [anon_sym_EQ_EQ] = ACTIONS(1736),
    [anon_sym_BANG_EQ] = ACTIONS(1738),
    [anon_sym_eq] = ACTIONS(1736),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1738),
    [anon_sym_equ] = ACTIONS(1738),
    [anon_sym_eqr] = ACTIONS(1738),
    [anon_sym_ne] = ACTIONS(1738),
    [anon_sym_LT_EQ_GT] = ACTIONS(1738),
    [anon_sym_cmp] = ACTIONS(1738),
    [anon_sym_TILDE_TILDE] = ACTIONS(1738),
    [anon_sym_LT_EQ] = ACTIONS(1736),
    [anon_sym_GT_EQ] = ACTIONS(1738),
    [anon_sym_lt] = ACTIONS(1738),
    [anon_sym_le] = ACTIONS(1738),
    [anon_sym_ge] = ACTIONS(1738),
    [anon_sym_gt] = ACTIONS(1738),
    [anon_sym_isa] = ACTIONS(1738),
    [anon_sym_PLUS_PLUS] = ACTIONS(1738),
    [anon_sym_DASH_DASH] = ACTIONS(1738),
    [anon_sym_QMARK] = ACTIONS(1738),
    [anon_sym_EQ_GT] = ACTIONS(1738),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1738),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1764] = {
    [sym_heredoc_content] = STATE(1764),
    [anon_sym_LBRACE] = ACTIONS(1767),
    [anon_sym_SEMI] = ACTIONS(1767),
    [anon_sym_EQ] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1767),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1767),
    [anon_sym_COMMA] = ACTIONS(1767),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [anon_sym_DASH_GT] = ACTIONS(1767),
    [anon_sym_PERCENT] = ACTIONS(1765),
    [anon_sym_LT] = ACTIONS(1765),
    [anon_sym_GT] = ACTIONS(1765),
    [anon_sym_LT_LT] = ACTIONS(1765),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1767),
    [anon_sym_PLUS_EQ] = ACTIONS(1767),
    [anon_sym_DASH_EQ] = ACTIONS(1767),
    [anon_sym_DOT_EQ] = ACTIONS(1767),
    [anon_sym_STAR_EQ] = ACTIONS(1767),
    [anon_sym_SLASH_EQ] = ACTIONS(1767),
    [anon_sym_PERCENT_EQ] = ACTIONS(1767),
    [anon_sym_x_EQ] = ACTIONS(1767),
    [anon_sym_AMP_EQ] = ACTIONS(1767),
    [anon_sym_PIPE_EQ] = ACTIONS(1767),
    [anon_sym_CARET_EQ] = ACTIONS(1767),
    [anon_sym_LT_LT_EQ] = ACTIONS(1767),
    [anon_sym_GT_GT_EQ] = ACTIONS(1767),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1767),
    [anon_sym_DOT_DOT] = ACTIONS(1765),
    [anon_sym_STAR_STAR] = ACTIONS(1765),
    [anon_sym_PIPE_PIPE] = ACTIONS(1765),
    [anon_sym_SLASH_SLASH] = ACTIONS(1765),
    [anon_sym_CARET_CARET] = ACTIONS(1767),
    [anon_sym_AMP_AMP] = ACTIONS(1765),
    [anon_sym_PIPE] = ACTIONS(1765),
    [anon_sym_CARET] = ACTIONS(1765),
    [anon_sym_AMP] = ACTIONS(1765),
    [anon_sym_GT_GT2] = ACTIONS(1765),
    [anon_sym_PLUS] = ACTIONS(1765),
    [anon_sym_DASH] = ACTIONS(1765),
    [anon_sym_DOT] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1765),
    [anon_sym_SLASH] = ACTIONS(1765),
    [anon_sym_x] = ACTIONS(1765),
    [anon_sym_EQ_TILDE] = ACTIONS(1767),
    [anon_sym_BANG_TILDE] = ACTIONS(1767),
    [anon_sym_EQ_EQ] = ACTIONS(1765),
    [anon_sym_BANG_EQ] = ACTIONS(1767),
    [anon_sym_eq] = ACTIONS(1765),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1767),
    [anon_sym_equ] = ACTIONS(1767),
    [anon_sym_eqr] = ACTIONS(1767),
    [anon_sym_ne] = ACTIONS(1767),
    [anon_sym_LT_EQ_GT] = ACTIONS(1767),
    [anon_sym_cmp] = ACTIONS(1767),
    [anon_sym_TILDE_TILDE] = ACTIONS(1767),
    [anon_sym_LT_EQ] = ACTIONS(1765),
    [anon_sym_GT_EQ] = ACTIONS(1767),
    [anon_sym_lt] = ACTIONS(1767),
    [anon_sym_le] = ACTIONS(1767),
    [anon_sym_ge] = ACTIONS(1767),
    [anon_sym_gt] = ACTIONS(1767),
    [anon_sym_isa] = ACTIONS(1767),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [anon_sym_QMARK] = ACTIONS(1767),
    [anon_sym_EQ_GT] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1767),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1765] = {
    [sym_heredoc_content] = STATE(1765),
    [anon_sym_COLON] = ACTIONS(1409),
    [anon_sym_DOLLAR] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1409),
    [anon_sym_AT] = ACTIONS(1409),
    [anon_sym_COMMA] = ACTIONS(1409),
    [anon_sym_RPAREN] = ACTIONS(1409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1409),
    [anon_sym_DASH_GT] = ACTIONS(1409),
    [anon_sym_PERCENT] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [anon_sym_LT_LT] = ACTIONS(1407),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1409),
    [anon_sym_PLUS_EQ] = ACTIONS(1409),
    [anon_sym_DASH_EQ] = ACTIONS(1409),
    [anon_sym_DOT_EQ] = ACTIONS(1409),
    [anon_sym_STAR_EQ] = ACTIONS(1409),
    [anon_sym_SLASH_EQ] = ACTIONS(1409),
    [anon_sym_PERCENT_EQ] = ACTIONS(1407),
    [anon_sym_x_EQ] = ACTIONS(1409),
    [anon_sym_AMP_EQ] = ACTIONS(1409),
    [anon_sym_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_CARET_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT_EQ] = ACTIONS(1409),
    [anon_sym_GT_GT_EQ] = ACTIONS(1409),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1409),
    [anon_sym_DOT_DOT] = ACTIONS(1407),
    [anon_sym_STAR_STAR] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH] = ACTIONS(1407),
    [anon_sym_CARET_CARET] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1407),
    [anon_sym_PIPE] = ACTIONS(1407),
    [anon_sym_CARET] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(1407),
    [anon_sym_GT_GT2] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_DOT] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_x] = ACTIONS(1407),
    [anon_sym_EQ_TILDE] = ACTIONS(1409),
    [anon_sym_BANG_TILDE] = ACTIONS(1409),
    [anon_sym_EQ_EQ] = ACTIONS(1407),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_eq] = ACTIONS(1407),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1409),
    [anon_sym_equ] = ACTIONS(1409),
    [anon_sym_eqr] = ACTIONS(1409),
    [anon_sym_ne] = ACTIONS(1409),
    [anon_sym_LT_EQ_GT] = ACTIONS(1409),
    [anon_sym_cmp] = ACTIONS(1409),
    [anon_sym_TILDE_TILDE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_lt] = ACTIONS(1409),
    [anon_sym_le] = ACTIONS(1409),
    [anon_sym_ge] = ACTIONS(1409),
    [anon_sym_gt] = ACTIONS(1409),
    [anon_sym_isa] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1409),
    [anon_sym_DASH_DASH] = ACTIONS(1409),
    [anon_sym_QMARK] = ACTIONS(1409),
    [anon_sym_PERCENT2] = ACTIONS(1409),
    [anon_sym_EQ_GT] = ACTIONS(1409),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1766] = {
    [sym_heredoc_content] = STATE(1766),
    [anon_sym_COLON] = ACTIONS(2671),
    [anon_sym_DOLLAR] = ACTIONS(2671),
    [anon_sym_EQ] = ACTIONS(2673),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2671),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2671),
    [anon_sym_AT] = ACTIONS(2671),
    [anon_sym_COMMA] = ACTIONS(2671),
    [anon_sym_RPAREN] = ACTIONS(2671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2671),
    [anon_sym_DASH_GT] = ACTIONS(2671),
    [anon_sym_PERCENT] = ACTIONS(2673),
    [anon_sym_LT] = ACTIONS(2673),
    [anon_sym_GT] = ACTIONS(2673),
    [anon_sym_LT_LT] = ACTIONS(2673),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2671),
    [anon_sym_PLUS_EQ] = ACTIONS(2671),
    [anon_sym_DASH_EQ] = ACTIONS(2671),
    [anon_sym_DOT_EQ] = ACTIONS(2671),
    [anon_sym_STAR_EQ] = ACTIONS(2671),
    [anon_sym_SLASH_EQ] = ACTIONS(2671),
    [anon_sym_PERCENT_EQ] = ACTIONS(2673),
    [anon_sym_x_EQ] = ACTIONS(2671),
    [anon_sym_AMP_EQ] = ACTIONS(2671),
    [anon_sym_PIPE_EQ] = ACTIONS(2671),
    [anon_sym_CARET_EQ] = ACTIONS(2671),
    [anon_sym_LT_LT_EQ] = ACTIONS(2671),
    [anon_sym_GT_GT_EQ] = ACTIONS(2671),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2671),
    [anon_sym_DOT_DOT] = ACTIONS(2673),
    [anon_sym_STAR_STAR] = ACTIONS(2673),
    [anon_sym_PIPE_PIPE] = ACTIONS(2673),
    [anon_sym_SLASH_SLASH] = ACTIONS(2673),
    [anon_sym_CARET_CARET] = ACTIONS(2671),
    [anon_sym_AMP_AMP] = ACTIONS(2673),
    [anon_sym_PIPE] = ACTIONS(2673),
    [anon_sym_CARET] = ACTIONS(2673),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym_GT_GT2] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_DOT] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2673),
    [anon_sym_x] = ACTIONS(2673),
    [anon_sym_EQ_TILDE] = ACTIONS(2671),
    [anon_sym_BANG_TILDE] = ACTIONS(2671),
    [anon_sym_EQ_EQ] = ACTIONS(2673),
    [anon_sym_BANG_EQ] = ACTIONS(2671),
    [anon_sym_eq] = ACTIONS(2673),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2671),
    [anon_sym_equ] = ACTIONS(2671),
    [anon_sym_eqr] = ACTIONS(2671),
    [anon_sym_ne] = ACTIONS(2671),
    [anon_sym_LT_EQ_GT] = ACTIONS(2671),
    [anon_sym_cmp] = ACTIONS(2671),
    [anon_sym_TILDE_TILDE] = ACTIONS(2671),
    [anon_sym_LT_EQ] = ACTIONS(2673),
    [anon_sym_GT_EQ] = ACTIONS(2671),
    [anon_sym_lt] = ACTIONS(2671),
    [anon_sym_le] = ACTIONS(2671),
    [anon_sym_ge] = ACTIONS(2671),
    [anon_sym_gt] = ACTIONS(2671),
    [anon_sym_isa] = ACTIONS(2671),
    [anon_sym_PLUS_PLUS] = ACTIONS(2671),
    [anon_sym_DASH_DASH] = ACTIONS(2671),
    [anon_sym_QMARK] = ACTIONS(2671),
    [anon_sym_PERCENT2] = ACTIONS(2671),
    [anon_sym_EQ_GT] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1767] = {
    [sym_heredoc_content] = STATE(1767),
    [anon_sym_COLON] = ACTIONS(2713),
    [anon_sym_DOLLAR] = ACTIONS(2713),
    [anon_sym_EQ] = ACTIONS(2715),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2713),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2713),
    [anon_sym_AT] = ACTIONS(2713),
    [anon_sym_COMMA] = ACTIONS(2713),
    [anon_sym_RPAREN] = ACTIONS(2713),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2713),
    [anon_sym_DASH_GT] = ACTIONS(2713),
    [anon_sym_PERCENT] = ACTIONS(2715),
    [anon_sym_LT] = ACTIONS(2715),
    [anon_sym_GT] = ACTIONS(2715),
    [anon_sym_LT_LT] = ACTIONS(2715),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2713),
    [anon_sym_PLUS_EQ] = ACTIONS(2713),
    [anon_sym_DASH_EQ] = ACTIONS(2713),
    [anon_sym_DOT_EQ] = ACTIONS(2713),
    [anon_sym_STAR_EQ] = ACTIONS(2713),
    [anon_sym_SLASH_EQ] = ACTIONS(2713),
    [anon_sym_PERCENT_EQ] = ACTIONS(2715),
    [anon_sym_x_EQ] = ACTIONS(2713),
    [anon_sym_AMP_EQ] = ACTIONS(2713),
    [anon_sym_PIPE_EQ] = ACTIONS(2713),
    [anon_sym_CARET_EQ] = ACTIONS(2713),
    [anon_sym_LT_LT_EQ] = ACTIONS(2713),
    [anon_sym_GT_GT_EQ] = ACTIONS(2713),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2713),
    [anon_sym_DOT_DOT] = ACTIONS(2715),
    [anon_sym_STAR_STAR] = ACTIONS(2715),
    [anon_sym_PIPE_PIPE] = ACTIONS(2715),
    [anon_sym_SLASH_SLASH] = ACTIONS(2715),
    [anon_sym_CARET_CARET] = ACTIONS(2713),
    [anon_sym_AMP_AMP] = ACTIONS(2715),
    [anon_sym_PIPE] = ACTIONS(2715),
    [anon_sym_CARET] = ACTIONS(2715),
    [anon_sym_AMP] = ACTIONS(2715),
    [anon_sym_GT_GT2] = ACTIONS(2715),
    [anon_sym_PLUS] = ACTIONS(2715),
    [anon_sym_DASH] = ACTIONS(2715),
    [anon_sym_DOT] = ACTIONS(2715),
    [anon_sym_STAR] = ACTIONS(2715),
    [anon_sym_SLASH] = ACTIONS(2715),
    [anon_sym_x] = ACTIONS(2715),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2715),
    [anon_sym_BANG_EQ] = ACTIONS(2713),
    [anon_sym_eq] = ACTIONS(2715),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2713),
    [anon_sym_equ] = ACTIONS(2713),
    [anon_sym_eqr] = ACTIONS(2713),
    [anon_sym_ne] = ACTIONS(2713),
    [anon_sym_LT_EQ_GT] = ACTIONS(2713),
    [anon_sym_cmp] = ACTIONS(2713),
    [anon_sym_TILDE_TILDE] = ACTIONS(2713),
    [anon_sym_LT_EQ] = ACTIONS(2715),
    [anon_sym_GT_EQ] = ACTIONS(2713),
    [anon_sym_lt] = ACTIONS(2713),
    [anon_sym_le] = ACTIONS(2713),
    [anon_sym_ge] = ACTIONS(2713),
    [anon_sym_gt] = ACTIONS(2713),
    [anon_sym_isa] = ACTIONS(2713),
    [anon_sym_PLUS_PLUS] = ACTIONS(2713),
    [anon_sym_DASH_DASH] = ACTIONS(2713),
    [anon_sym_QMARK] = ACTIONS(2713),
    [anon_sym_PERCENT2] = ACTIONS(2713),
    [anon_sym_EQ_GT] = ACTIONS(2713),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1768] = {
    [sym_heredoc_content] = STATE(1768),
    [anon_sym_LBRACE] = ACTIONS(1759),
    [anon_sym_SEMI] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(1759),
    [anon_sym_LPAREN] = ACTIONS(1759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(1759),
    [anon_sym_DASH_GT] = ACTIONS(1759),
    [anon_sym_PERCENT] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1759),
    [anon_sym_PLUS_EQ] = ACTIONS(1759),
    [anon_sym_DASH_EQ] = ACTIONS(1759),
    [anon_sym_DOT_EQ] = ACTIONS(1759),
    [anon_sym_STAR_EQ] = ACTIONS(1759),
    [anon_sym_SLASH_EQ] = ACTIONS(1759),
    [anon_sym_PERCENT_EQ] = ACTIONS(1759),
    [anon_sym_x_EQ] = ACTIONS(1759),
    [anon_sym_AMP_EQ] = ACTIONS(1759),
    [anon_sym_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_CARET_EQ] = ACTIONS(1759),
    [anon_sym_LT_LT_EQ] = ACTIONS(1759),
    [anon_sym_GT_GT_EQ] = ACTIONS(1759),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1759),
    [anon_sym_DOT_DOT] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH] = ACTIONS(1755),
    [anon_sym_CARET_CARET] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_GT_GT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1755),
    [anon_sym_x] = ACTIONS(1755),
    [anon_sym_EQ_TILDE] = ACTIONS(1759),
    [anon_sym_BANG_TILDE] = ACTIONS(1759),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1759),
    [anon_sym_eq] = ACTIONS(1755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1759),
    [anon_sym_equ] = ACTIONS(1759),
    [anon_sym_eqr] = ACTIONS(1759),
    [anon_sym_ne] = ACTIONS(1759),
    [anon_sym_LT_EQ_GT] = ACTIONS(1759),
    [anon_sym_cmp] = ACTIONS(1759),
    [anon_sym_TILDE_TILDE] = ACTIONS(1759),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1759),
    [anon_sym_lt] = ACTIONS(1759),
    [anon_sym_le] = ACTIONS(1759),
    [anon_sym_ge] = ACTIONS(1759),
    [anon_sym_gt] = ACTIONS(1759),
    [anon_sym_isa] = ACTIONS(1759),
    [anon_sym_PLUS_PLUS] = ACTIONS(1759),
    [anon_sym_DASH_DASH] = ACTIONS(1759),
    [anon_sym_QMARK] = ACTIONS(1759),
    [anon_sym_EQ_GT] = ACTIONS(1759),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1759),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1769] = {
    [sym_heredoc_content] = STATE(1769),
    [anon_sym_COLON] = ACTIONS(3013),
    [anon_sym_DOLLAR] = ACTIONS(3013),
    [anon_sym_EQ] = ACTIONS(3015),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3013),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3013),
    [anon_sym_AT] = ACTIONS(3013),
    [anon_sym_COMMA] = ACTIONS(3013),
    [anon_sym_RPAREN] = ACTIONS(3013),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3013),
    [anon_sym_DASH_GT] = ACTIONS(3013),
    [anon_sym_PERCENT] = ACTIONS(3015),
    [anon_sym_LT] = ACTIONS(3015),
    [anon_sym_GT] = ACTIONS(3015),
    [anon_sym_LT_LT] = ACTIONS(3015),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3013),
    [anon_sym_PLUS_EQ] = ACTIONS(3013),
    [anon_sym_DASH_EQ] = ACTIONS(3013),
    [anon_sym_DOT_EQ] = ACTIONS(3013),
    [anon_sym_STAR_EQ] = ACTIONS(3013),
    [anon_sym_SLASH_EQ] = ACTIONS(3013),
    [anon_sym_PERCENT_EQ] = ACTIONS(3015),
    [anon_sym_x_EQ] = ACTIONS(3013),
    [anon_sym_AMP_EQ] = ACTIONS(3013),
    [anon_sym_PIPE_EQ] = ACTIONS(3013),
    [anon_sym_CARET_EQ] = ACTIONS(3013),
    [anon_sym_LT_LT_EQ] = ACTIONS(3013),
    [anon_sym_GT_GT_EQ] = ACTIONS(3013),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3013),
    [anon_sym_DOT_DOT] = ACTIONS(3015),
    [anon_sym_STAR_STAR] = ACTIONS(3015),
    [anon_sym_PIPE_PIPE] = ACTIONS(3015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3015),
    [anon_sym_CARET_CARET] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_PIPE] = ACTIONS(3015),
    [anon_sym_CARET] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_GT_GT2] = ACTIONS(3015),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_SLASH] = ACTIONS(3015),
    [anon_sym_x] = ACTIONS(3015),
    [anon_sym_EQ_TILDE] = ACTIONS(3013),
    [anon_sym_BANG_TILDE] = ACTIONS(3013),
    [anon_sym_EQ_EQ] = ACTIONS(3015),
    [anon_sym_BANG_EQ] = ACTIONS(3013),
    [anon_sym_eq] = ACTIONS(3015),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3013),
    [anon_sym_equ] = ACTIONS(3013),
    [anon_sym_eqr] = ACTIONS(3013),
    [anon_sym_ne] = ACTIONS(3013),
    [anon_sym_LT_EQ_GT] = ACTIONS(3013),
    [anon_sym_cmp] = ACTIONS(3013),
    [anon_sym_TILDE_TILDE] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(3015),
    [anon_sym_GT_EQ] = ACTIONS(3013),
    [anon_sym_lt] = ACTIONS(3013),
    [anon_sym_le] = ACTIONS(3013),
    [anon_sym_ge] = ACTIONS(3013),
    [anon_sym_gt] = ACTIONS(3013),
    [anon_sym_isa] = ACTIONS(3013),
    [anon_sym_PLUS_PLUS] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3013),
    [anon_sym_QMARK] = ACTIONS(3013),
    [anon_sym_PERCENT2] = ACTIONS(3013),
    [anon_sym_EQ_GT] = ACTIONS(3013),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1770] = {
    [sym_heredoc_content] = STATE(1770),
    [anon_sym_LBRACE] = ACTIONS(1771),
    [anon_sym_SEMI] = ACTIONS(1771),
    [anon_sym_EQ] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1771),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1771),
    [anon_sym_COMMA] = ACTIONS(1771),
    [anon_sym_LPAREN] = ACTIONS(1771),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1771),
    [anon_sym_LBRACK] = ACTIONS(1771),
    [anon_sym_DASH_GT] = ACTIONS(1771),
    [anon_sym_PERCENT] = ACTIONS(1769),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_GT] = ACTIONS(1769),
    [anon_sym_LT_LT] = ACTIONS(1769),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1771),
    [anon_sym_PLUS_EQ] = ACTIONS(1771),
    [anon_sym_DASH_EQ] = ACTIONS(1771),
    [anon_sym_DOT_EQ] = ACTIONS(1771),
    [anon_sym_STAR_EQ] = ACTIONS(1771),
    [anon_sym_SLASH_EQ] = ACTIONS(1771),
    [anon_sym_PERCENT_EQ] = ACTIONS(1771),
    [anon_sym_x_EQ] = ACTIONS(1771),
    [anon_sym_AMP_EQ] = ACTIONS(1771),
    [anon_sym_PIPE_EQ] = ACTIONS(1771),
    [anon_sym_CARET_EQ] = ACTIONS(1771),
    [anon_sym_LT_LT_EQ] = ACTIONS(1771),
    [anon_sym_GT_GT_EQ] = ACTIONS(1771),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1771),
    [anon_sym_DOT_DOT] = ACTIONS(1769),
    [anon_sym_STAR_STAR] = ACTIONS(1769),
    [anon_sym_PIPE_PIPE] = ACTIONS(1769),
    [anon_sym_SLASH_SLASH] = ACTIONS(1769),
    [anon_sym_CARET_CARET] = ACTIONS(1771),
    [anon_sym_AMP_AMP] = ACTIONS(1769),
    [anon_sym_PIPE] = ACTIONS(1769),
    [anon_sym_CARET] = ACTIONS(1769),
    [anon_sym_AMP] = ACTIONS(1769),
    [anon_sym_GT_GT2] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_DOT] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1769),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_x] = ACTIONS(1769),
    [anon_sym_EQ_TILDE] = ACTIONS(1771),
    [anon_sym_BANG_TILDE] = ACTIONS(1771),
    [anon_sym_EQ_EQ] = ACTIONS(1769),
    [anon_sym_BANG_EQ] = ACTIONS(1771),
    [anon_sym_eq] = ACTIONS(1769),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1771),
    [anon_sym_equ] = ACTIONS(1771),
    [anon_sym_eqr] = ACTIONS(1771),
    [anon_sym_ne] = ACTIONS(1771),
    [anon_sym_LT_EQ_GT] = ACTIONS(1771),
    [anon_sym_cmp] = ACTIONS(1771),
    [anon_sym_TILDE_TILDE] = ACTIONS(1771),
    [anon_sym_LT_EQ] = ACTIONS(1769),
    [anon_sym_GT_EQ] = ACTIONS(1771),
    [anon_sym_lt] = ACTIONS(1771),
    [anon_sym_le] = ACTIONS(1771),
    [anon_sym_ge] = ACTIONS(1771),
    [anon_sym_gt] = ACTIONS(1771),
    [anon_sym_isa] = ACTIONS(1771),
    [anon_sym_PLUS_PLUS] = ACTIONS(1771),
    [anon_sym_DASH_DASH] = ACTIONS(1771),
    [anon_sym_QMARK] = ACTIONS(1771),
    [anon_sym_EQ_GT] = ACTIONS(1771),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1771),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1771] = {
    [sym_heredoc_content] = STATE(1771),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(1403),
    [anon_sym_EQ] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1403),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1403),
    [anon_sym_COMMA] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1403),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_DASH_GT] = ACTIONS(1403),
    [anon_sym_PERCENT] = ACTIONS(1405),
    [anon_sym_LT] = ACTIONS(1405),
    [anon_sym_GT] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1403),
    [anon_sym_PLUS_EQ] = ACTIONS(1403),
    [anon_sym_DASH_EQ] = ACTIONS(1403),
    [anon_sym_DOT_EQ] = ACTIONS(1403),
    [anon_sym_STAR_EQ] = ACTIONS(1403),
    [anon_sym_SLASH_EQ] = ACTIONS(1403),
    [anon_sym_PERCENT_EQ] = ACTIONS(1403),
    [anon_sym_x_EQ] = ACTIONS(1403),
    [anon_sym_AMP_EQ] = ACTIONS(1403),
    [anon_sym_PIPE_EQ] = ACTIONS(1403),
    [anon_sym_CARET_EQ] = ACTIONS(1403),
    [anon_sym_LT_LT_EQ] = ACTIONS(1403),
    [anon_sym_GT_GT_EQ] = ACTIONS(1403),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1403),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
    [anon_sym_STAR_STAR] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_SLASH_SLASH] = ACTIONS(1405),
    [anon_sym_CARET_CARET] = ACTIONS(1403),
    [anon_sym_AMP_AMP] = ACTIONS(1405),
    [anon_sym_PIPE] = ACTIONS(1405),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1405),
    [anon_sym_GT_GT2] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1405),
    [anon_sym_DASH] = ACTIONS(1405),
    [anon_sym_DOT] = ACTIONS(1405),
    [anon_sym_STAR] = ACTIONS(1405),
    [anon_sym_SLASH] = ACTIONS(1405),
    [anon_sym_x] = ACTIONS(1405),
    [anon_sym_EQ_TILDE] = ACTIONS(1403),
    [anon_sym_BANG_TILDE] = ACTIONS(1403),
    [anon_sym_EQ_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1403),
    [anon_sym_eq] = ACTIONS(1405),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1403),
    [anon_sym_equ] = ACTIONS(1403),
    [anon_sym_eqr] = ACTIONS(1403),
    [anon_sym_ne] = ACTIONS(1403),
    [anon_sym_LT_EQ_GT] = ACTIONS(1403),
    [anon_sym_cmp] = ACTIONS(1403),
    [anon_sym_TILDE_TILDE] = ACTIONS(1403),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_GT_EQ] = ACTIONS(1403),
    [anon_sym_lt] = ACTIONS(1403),
    [anon_sym_le] = ACTIONS(1403),
    [anon_sym_ge] = ACTIONS(1403),
    [anon_sym_gt] = ACTIONS(1403),
    [anon_sym_isa] = ACTIONS(1403),
    [anon_sym_PLUS_PLUS] = ACTIONS(1403),
    [anon_sym_DASH_DASH] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(1403),
    [anon_sym_EQ_GT] = ACTIONS(1403),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1403),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1772] = {
    [sym_heredoc_content] = STATE(1772),
    [anon_sym_LBRACE] = ACTIONS(1783),
    [anon_sym_SEMI] = ACTIONS(1783),
    [anon_sym_EQ] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1783),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1783),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1783),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [anon_sym_DASH_GT] = ACTIONS(1783),
    [anon_sym_PERCENT] = ACTIONS(1781),
    [anon_sym_LT] = ACTIONS(1781),
    [anon_sym_GT] = ACTIONS(1781),
    [anon_sym_LT_LT] = ACTIONS(1781),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1783),
    [anon_sym_PLUS_EQ] = ACTIONS(1783),
    [anon_sym_DASH_EQ] = ACTIONS(1783),
    [anon_sym_DOT_EQ] = ACTIONS(1783),
    [anon_sym_STAR_EQ] = ACTIONS(1783),
    [anon_sym_SLASH_EQ] = ACTIONS(1783),
    [anon_sym_PERCENT_EQ] = ACTIONS(1783),
    [anon_sym_x_EQ] = ACTIONS(1783),
    [anon_sym_AMP_EQ] = ACTIONS(1783),
    [anon_sym_PIPE_EQ] = ACTIONS(1783),
    [anon_sym_CARET_EQ] = ACTIONS(1783),
    [anon_sym_LT_LT_EQ] = ACTIONS(1783),
    [anon_sym_GT_GT_EQ] = ACTIONS(1783),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1783),
    [anon_sym_DOT_DOT] = ACTIONS(1781),
    [anon_sym_STAR_STAR] = ACTIONS(1781),
    [anon_sym_PIPE_PIPE] = ACTIONS(1781),
    [anon_sym_SLASH_SLASH] = ACTIONS(1781),
    [anon_sym_CARET_CARET] = ACTIONS(1783),
    [anon_sym_AMP_AMP] = ACTIONS(1781),
    [anon_sym_PIPE] = ACTIONS(1781),
    [anon_sym_CARET] = ACTIONS(1781),
    [anon_sym_AMP] = ACTIONS(1781),
    [anon_sym_GT_GT2] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1781),
    [anon_sym_DASH] = ACTIONS(1781),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_SLASH] = ACTIONS(1781),
    [anon_sym_x] = ACTIONS(1781),
    [anon_sym_EQ_TILDE] = ACTIONS(1783),
    [anon_sym_BANG_TILDE] = ACTIONS(1783),
    [anon_sym_EQ_EQ] = ACTIONS(1781),
    [anon_sym_BANG_EQ] = ACTIONS(1783),
    [anon_sym_eq] = ACTIONS(1781),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1783),
    [anon_sym_equ] = ACTIONS(1783),
    [anon_sym_eqr] = ACTIONS(1783),
    [anon_sym_ne] = ACTIONS(1783),
    [anon_sym_LT_EQ_GT] = ACTIONS(1783),
    [anon_sym_cmp] = ACTIONS(1783),
    [anon_sym_TILDE_TILDE] = ACTIONS(1783),
    [anon_sym_LT_EQ] = ACTIONS(1781),
    [anon_sym_GT_EQ] = ACTIONS(1783),
    [anon_sym_lt] = ACTIONS(1783),
    [anon_sym_le] = ACTIONS(1783),
    [anon_sym_ge] = ACTIONS(1783),
    [anon_sym_gt] = ACTIONS(1783),
    [anon_sym_isa] = ACTIONS(1783),
    [anon_sym_PLUS_PLUS] = ACTIONS(1783),
    [anon_sym_DASH_DASH] = ACTIONS(1783),
    [anon_sym_QMARK] = ACTIONS(1783),
    [anon_sym_EQ_GT] = ACTIONS(1783),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1773] = {
    [sym_heredoc_content] = STATE(1773),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_DOLLAR] = ACTIONS(3168),
    [anon_sym_EQ] = ACTIONS(3170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_AT] = ACTIONS(3168),
    [anon_sym_COMMA] = ACTIONS(3168),
    [anon_sym_RPAREN] = ACTIONS(3168),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3168),
    [anon_sym_DASH_GT] = ACTIONS(3168),
    [anon_sym_PERCENT] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_GT] = ACTIONS(3170),
    [anon_sym_LT_LT] = ACTIONS(3170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_DOT_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3170),
    [anon_sym_x_EQ] = ACTIONS(3168),
    [anon_sym_AMP_EQ] = ACTIONS(3168),
    [anon_sym_PIPE_EQ] = ACTIONS(3168),
    [anon_sym_CARET_EQ] = ACTIONS(3168),
    [anon_sym_LT_LT_EQ] = ACTIONS(3168),
    [anon_sym_GT_GT_EQ] = ACTIONS(3168),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3168),
    [anon_sym_DOT_DOT] = ACTIONS(3170),
    [anon_sym_STAR_STAR] = ACTIONS(3170),
    [anon_sym_PIPE_PIPE] = ACTIONS(3170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3170),
    [anon_sym_CARET_CARET] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_PIPE] = ACTIONS(3170),
    [anon_sym_CARET] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym_GT_GT2] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_DOT] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_x] = ACTIONS(3170),
    [anon_sym_EQ_TILDE] = ACTIONS(3168),
    [anon_sym_BANG_TILDE] = ACTIONS(3168),
    [anon_sym_EQ_EQ] = ACTIONS(3170),
    [anon_sym_BANG_EQ] = ACTIONS(3168),
    [anon_sym_eq] = ACTIONS(3170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3168),
    [anon_sym_equ] = ACTIONS(3168),
    [anon_sym_eqr] = ACTIONS(3168),
    [anon_sym_ne] = ACTIONS(3168),
    [anon_sym_LT_EQ_GT] = ACTIONS(3168),
    [anon_sym_cmp] = ACTIONS(3168),
    [anon_sym_TILDE_TILDE] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3170),
    [anon_sym_GT_EQ] = ACTIONS(3168),
    [anon_sym_lt] = ACTIONS(3168),
    [anon_sym_le] = ACTIONS(3168),
    [anon_sym_ge] = ACTIONS(3168),
    [anon_sym_gt] = ACTIONS(3168),
    [anon_sym_isa] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_QMARK] = ACTIONS(3168),
    [anon_sym_PERCENT2] = ACTIONS(3168),
    [anon_sym_EQ_GT] = ACTIONS(3168),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1774] = {
    [sym_heredoc_content] = STATE(1774),
    [anon_sym_COLON] = ACTIONS(2721),
    [anon_sym_DOLLAR] = ACTIONS(2721),
    [anon_sym_EQ] = ACTIONS(2723),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2721),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2721),
    [anon_sym_AT] = ACTIONS(2721),
    [anon_sym_COMMA] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(2721),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2721),
    [anon_sym_DASH_GT] = ACTIONS(2721),
    [anon_sym_PERCENT] = ACTIONS(2723),
    [anon_sym_LT] = ACTIONS(2723),
    [anon_sym_GT] = ACTIONS(2723),
    [anon_sym_LT_LT] = ACTIONS(2723),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2721),
    [anon_sym_PLUS_EQ] = ACTIONS(2721),
    [anon_sym_DASH_EQ] = ACTIONS(2721),
    [anon_sym_DOT_EQ] = ACTIONS(2721),
    [anon_sym_STAR_EQ] = ACTIONS(2721),
    [anon_sym_SLASH_EQ] = ACTIONS(2721),
    [anon_sym_PERCENT_EQ] = ACTIONS(2723),
    [anon_sym_x_EQ] = ACTIONS(2721),
    [anon_sym_AMP_EQ] = ACTIONS(2721),
    [anon_sym_PIPE_EQ] = ACTIONS(2721),
    [anon_sym_CARET_EQ] = ACTIONS(2721),
    [anon_sym_LT_LT_EQ] = ACTIONS(2721),
    [anon_sym_GT_GT_EQ] = ACTIONS(2721),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2721),
    [anon_sym_DOT_DOT] = ACTIONS(2723),
    [anon_sym_STAR_STAR] = ACTIONS(2723),
    [anon_sym_PIPE_PIPE] = ACTIONS(2723),
    [anon_sym_SLASH_SLASH] = ACTIONS(2723),
    [anon_sym_CARET_CARET] = ACTIONS(2721),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_PIPE] = ACTIONS(2723),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_AMP] = ACTIONS(2723),
    [anon_sym_GT_GT2] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2723),
    [anon_sym_DOT] = ACTIONS(2723),
    [anon_sym_STAR] = ACTIONS(2723),
    [anon_sym_SLASH] = ACTIONS(2723),
    [anon_sym_x] = ACTIONS(2723),
    [anon_sym_EQ_TILDE] = ACTIONS(2721),
    [anon_sym_BANG_TILDE] = ACTIONS(2721),
    [anon_sym_EQ_EQ] = ACTIONS(2723),
    [anon_sym_BANG_EQ] = ACTIONS(2721),
    [anon_sym_eq] = ACTIONS(2723),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2721),
    [anon_sym_equ] = ACTIONS(2721),
    [anon_sym_eqr] = ACTIONS(2721),
    [anon_sym_ne] = ACTIONS(2721),
    [anon_sym_LT_EQ_GT] = ACTIONS(2721),
    [anon_sym_cmp] = ACTIONS(2721),
    [anon_sym_TILDE_TILDE] = ACTIONS(2721),
    [anon_sym_LT_EQ] = ACTIONS(2723),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_lt] = ACTIONS(2721),
    [anon_sym_le] = ACTIONS(2721),
    [anon_sym_ge] = ACTIONS(2721),
    [anon_sym_gt] = ACTIONS(2721),
    [anon_sym_isa] = ACTIONS(2721),
    [anon_sym_PLUS_PLUS] = ACTIONS(2721),
    [anon_sym_DASH_DASH] = ACTIONS(2721),
    [anon_sym_QMARK] = ACTIONS(2721),
    [anon_sym_PERCENT2] = ACTIONS(2721),
    [anon_sym_EQ_GT] = ACTIONS(2721),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1775] = {
    [sym_heredoc_content] = STATE(1775),
    [anon_sym_COLON] = ACTIONS(2865),
    [anon_sym_DOLLAR] = ACTIONS(2865),
    [anon_sym_EQ] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_AT] = ACTIONS(2865),
    [anon_sym_COMMA] = ACTIONS(2865),
    [anon_sym_RPAREN] = ACTIONS(2865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2865),
    [anon_sym_DASH_GT] = ACTIONS(2865),
    [anon_sym_PERCENT] = ACTIONS(2867),
    [anon_sym_LT] = ACTIONS(2867),
    [anon_sym_GT] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2867),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2865),
    [anon_sym_PLUS_EQ] = ACTIONS(2865),
    [anon_sym_DASH_EQ] = ACTIONS(2865),
    [anon_sym_DOT_EQ] = ACTIONS(2865),
    [anon_sym_STAR_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_PERCENT_EQ] = ACTIONS(2867),
    [anon_sym_x_EQ] = ACTIONS(2865),
    [anon_sym_AMP_EQ] = ACTIONS(2865),
    [anon_sym_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_CARET_EQ] = ACTIONS(2865),
    [anon_sym_LT_LT_EQ] = ACTIONS(2865),
    [anon_sym_GT_GT_EQ] = ACTIONS(2865),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2865),
    [anon_sym_DOT_DOT] = ACTIONS(2867),
    [anon_sym_STAR_STAR] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_SLASH_SLASH] = ACTIONS(2867),
    [anon_sym_CARET_CARET] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_PIPE] = ACTIONS(2867),
    [anon_sym_CARET] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_GT_GT2] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_DOT] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_SLASH] = ACTIONS(2867),
    [anon_sym_x] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2865),
    [anon_sym_BANG_TILDE] = ACTIONS(2865),
    [anon_sym_EQ_EQ] = ACTIONS(2867),
    [anon_sym_BANG_EQ] = ACTIONS(2865),
    [anon_sym_eq] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2865),
    [anon_sym_equ] = ACTIONS(2865),
    [anon_sym_eqr] = ACTIONS(2865),
    [anon_sym_ne] = ACTIONS(2865),
    [anon_sym_LT_EQ_GT] = ACTIONS(2865),
    [anon_sym_cmp] = ACTIONS(2865),
    [anon_sym_TILDE_TILDE] = ACTIONS(2865),
    [anon_sym_LT_EQ] = ACTIONS(2867),
    [anon_sym_GT_EQ] = ACTIONS(2865),
    [anon_sym_lt] = ACTIONS(2865),
    [anon_sym_le] = ACTIONS(2865),
    [anon_sym_ge] = ACTIONS(2865),
    [anon_sym_gt] = ACTIONS(2865),
    [anon_sym_isa] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2865),
    [anon_sym_PERCENT2] = ACTIONS(2865),
    [anon_sym_EQ_GT] = ACTIONS(2865),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1776] = {
    [sym_heredoc_content] = STATE(1776),
    [anon_sym_COLON] = ACTIONS(2945),
    [anon_sym_DOLLAR] = ACTIONS(2945),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_AT] = ACTIONS(2945),
    [anon_sym_COMMA] = ACTIONS(2945),
    [anon_sym_RPAREN] = ACTIONS(2945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2945),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2947),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_DOT_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2947),
    [anon_sym_x_EQ] = ACTIONS(2945),
    [anon_sym_AMP_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_EQ] = ACTIONS(2945),
    [anon_sym_CARET_EQ] = ACTIONS(2945),
    [anon_sym_LT_LT_EQ] = ACTIONS(2945),
    [anon_sym_GT_GT_EQ] = ACTIONS(2945),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(2947),
    [anon_sym_SLASH_SLASH] = ACTIONS(2947),
    [anon_sym_CARET_CARET] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_PIPE] = ACTIONS(2947),
    [anon_sym_CARET] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_GT_GT2] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_SLASH] = ACTIONS(2947),
    [anon_sym_x] = ACTIONS(2947),
    [anon_sym_EQ_TILDE] = ACTIONS(2945),
    [anon_sym_BANG_TILDE] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ] = ACTIONS(2945),
    [anon_sym_eq] = ACTIONS(2947),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_equ] = ACTIONS(2945),
    [anon_sym_eqr] = ACTIONS(2945),
    [anon_sym_ne] = ACTIONS(2945),
    [anon_sym_LT_EQ_GT] = ACTIONS(2945),
    [anon_sym_cmp] = ACTIONS(2945),
    [anon_sym_TILDE_TILDE] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_lt] = ACTIONS(2945),
    [anon_sym_le] = ACTIONS(2945),
    [anon_sym_ge] = ACTIONS(2945),
    [anon_sym_gt] = ACTIONS(2945),
    [anon_sym_isa] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(2945),
    [anon_sym_PERCENT2] = ACTIONS(2945),
    [anon_sym_EQ_GT] = ACTIONS(2945),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1777] = {
    [sym_heredoc_content] = STATE(1777),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_RBRACE] = ACTIONS(1759),
    [anon_sym_COLON] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(1759),
    [anon_sym_RPAREN] = ACTIONS(1759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_DASH_GT] = ACTIONS(1759),
    [anon_sym_PERCENT] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1759),
    [anon_sym_PLUS_EQ] = ACTIONS(1759),
    [anon_sym_DASH_EQ] = ACTIONS(1759),
    [anon_sym_DOT_EQ] = ACTIONS(1759),
    [anon_sym_STAR_EQ] = ACTIONS(1759),
    [anon_sym_SLASH_EQ] = ACTIONS(1759),
    [anon_sym_PERCENT_EQ] = ACTIONS(1759),
    [anon_sym_x_EQ] = ACTIONS(1759),
    [anon_sym_AMP_EQ] = ACTIONS(1759),
    [anon_sym_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_CARET_EQ] = ACTIONS(1759),
    [anon_sym_LT_LT_EQ] = ACTIONS(1759),
    [anon_sym_GT_GT_EQ] = ACTIONS(1759),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1759),
    [anon_sym_DOT_DOT] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH] = ACTIONS(1755),
    [anon_sym_CARET_CARET] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_GT_GT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1755),
    [anon_sym_x] = ACTIONS(1755),
    [anon_sym_EQ_TILDE] = ACTIONS(1759),
    [anon_sym_BANG_TILDE] = ACTIONS(1759),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1759),
    [anon_sym_eq] = ACTIONS(1755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1759),
    [anon_sym_equ] = ACTIONS(1759),
    [anon_sym_eqr] = ACTIONS(1759),
    [anon_sym_ne] = ACTIONS(1759),
    [anon_sym_LT_EQ_GT] = ACTIONS(1759),
    [anon_sym_cmp] = ACTIONS(1759),
    [anon_sym_TILDE_TILDE] = ACTIONS(1759),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1759),
    [anon_sym_lt] = ACTIONS(1759),
    [anon_sym_le] = ACTIONS(1759),
    [anon_sym_ge] = ACTIONS(1759),
    [anon_sym_gt] = ACTIONS(1759),
    [anon_sym_isa] = ACTIONS(1759),
    [anon_sym_PLUS_PLUS] = ACTIONS(1759),
    [anon_sym_DASH_DASH] = ACTIONS(1759),
    [anon_sym_QMARK] = ACTIONS(1759),
    [anon_sym_EQ_GT] = ACTIONS(1759),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1778] = {
    [sym_heredoc_content] = STATE(1778),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_RBRACE] = ACTIONS(2424),
    [anon_sym_COLON] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(2424),
    [anon_sym_RPAREN] = ACTIONS(2424),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym_DASH_GT] = ACTIONS(2424),
    [anon_sym_PERCENT] = ACTIONS(2426),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_GT] = ACTIONS(2426),
    [anon_sym_LT_LT] = ACTIONS(2426),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(2424),
    [anon_sym_DASH_EQ] = ACTIONS(2424),
    [anon_sym_DOT_EQ] = ACTIONS(2424),
    [anon_sym_STAR_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_PERCENT_EQ] = ACTIONS(2424),
    [anon_sym_x_EQ] = ACTIONS(2424),
    [anon_sym_AMP_EQ] = ACTIONS(2424),
    [anon_sym_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_CARET_EQ] = ACTIONS(2424),
    [anon_sym_LT_LT_EQ] = ACTIONS(2424),
    [anon_sym_GT_GT_EQ] = ACTIONS(2424),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2424),
    [anon_sym_DOT_DOT] = ACTIONS(2426),
    [anon_sym_STAR_STAR] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH] = ACTIONS(2426),
    [anon_sym_CARET_CARET] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_PIPE] = ACTIONS(2426),
    [anon_sym_CARET] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_GT_GT2] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_DOT] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_SLASH] = ACTIONS(2426),
    [anon_sym_x] = ACTIONS(2426),
    [anon_sym_EQ_TILDE] = ACTIONS(2424),
    [anon_sym_BANG_TILDE] = ACTIONS(2424),
    [anon_sym_EQ_EQ] = ACTIONS(2426),
    [anon_sym_BANG_EQ] = ACTIONS(2424),
    [anon_sym_eq] = ACTIONS(2426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2424),
    [anon_sym_equ] = ACTIONS(2424),
    [anon_sym_eqr] = ACTIONS(2424),
    [anon_sym_ne] = ACTIONS(2424),
    [anon_sym_LT_EQ_GT] = ACTIONS(2424),
    [anon_sym_cmp] = ACTIONS(2424),
    [anon_sym_TILDE_TILDE] = ACTIONS(2424),
    [anon_sym_LT_EQ] = ACTIONS(2426),
    [anon_sym_GT_EQ] = ACTIONS(2424),
    [anon_sym_lt] = ACTIONS(2424),
    [anon_sym_le] = ACTIONS(2424),
    [anon_sym_ge] = ACTIONS(2424),
    [anon_sym_gt] = ACTIONS(2424),
    [anon_sym_isa] = ACTIONS(2424),
    [anon_sym_PLUS_PLUS] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(2424),
    [anon_sym_EQ_GT] = ACTIONS(2424),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1779] = {
    [sym_heredoc_content] = STATE(1779),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_RBRACE] = ACTIONS(2418),
    [anon_sym_COLON] = ACTIONS(2418),
    [anon_sym_EQ] = ACTIONS(2420),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_RPAREN] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2418),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_DASH_GT] = ACTIONS(2418),
    [anon_sym_PERCENT] = ACTIONS(2420),
    [anon_sym_LT] = ACTIONS(2420),
    [anon_sym_GT] = ACTIONS(2420),
    [anon_sym_LT_LT] = ACTIONS(2420),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2418),
    [anon_sym_PLUS_EQ] = ACTIONS(2418),
    [anon_sym_DASH_EQ] = ACTIONS(2418),
    [anon_sym_DOT_EQ] = ACTIONS(2418),
    [anon_sym_STAR_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_PERCENT_EQ] = ACTIONS(2418),
    [anon_sym_x_EQ] = ACTIONS(2418),
    [anon_sym_AMP_EQ] = ACTIONS(2418),
    [anon_sym_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_CARET_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT_EQ] = ACTIONS(2418),
    [anon_sym_GT_GT_EQ] = ACTIONS(2418),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(2420),
    [anon_sym_STAR_STAR] = ACTIONS(2420),
    [anon_sym_PIPE_PIPE] = ACTIONS(2420),
    [anon_sym_SLASH_SLASH] = ACTIONS(2420),
    [anon_sym_CARET_CARET] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2420),
    [anon_sym_PIPE] = ACTIONS(2420),
    [anon_sym_CARET] = ACTIONS(2420),
    [anon_sym_AMP] = ACTIONS(2420),
    [anon_sym_GT_GT2] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_DOT] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2420),
    [anon_sym_SLASH] = ACTIONS(2420),
    [anon_sym_x] = ACTIONS(2420),
    [anon_sym_EQ_TILDE] = ACTIONS(2418),
    [anon_sym_BANG_TILDE] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2420),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_eq] = ACTIONS(2420),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_equ] = ACTIONS(2418),
    [anon_sym_eqr] = ACTIONS(2418),
    [anon_sym_ne] = ACTIONS(2418),
    [anon_sym_LT_EQ_GT] = ACTIONS(2418),
    [anon_sym_cmp] = ACTIONS(2418),
    [anon_sym_TILDE_TILDE] = ACTIONS(2418),
    [anon_sym_LT_EQ] = ACTIONS(2420),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_lt] = ACTIONS(2418),
    [anon_sym_le] = ACTIONS(2418),
    [anon_sym_ge] = ACTIONS(2418),
    [anon_sym_gt] = ACTIONS(2418),
    [anon_sym_isa] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_QMARK] = ACTIONS(2418),
    [anon_sym_EQ_GT] = ACTIONS(2418),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1780] = {
    [sym_heredoc_content] = STATE(1780),
    [anon_sym_COLON] = ACTIONS(3104),
    [anon_sym_DOLLAR] = ACTIONS(3104),
    [anon_sym_EQ] = ACTIONS(3107),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_AT] = ACTIONS(3104),
    [anon_sym_COMMA] = ACTIONS(3104),
    [anon_sym_RPAREN] = ACTIONS(3104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3104),
    [anon_sym_DASH_GT] = ACTIONS(3104),
    [anon_sym_PERCENT] = ACTIONS(3107),
    [anon_sym_LT] = ACTIONS(3107),
    [anon_sym_GT] = ACTIONS(3107),
    [anon_sym_LT_LT] = ACTIONS(3107),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3104),
    [anon_sym_PLUS_EQ] = ACTIONS(3104),
    [anon_sym_DASH_EQ] = ACTIONS(3104),
    [anon_sym_DOT_EQ] = ACTIONS(3104),
    [anon_sym_STAR_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_PERCENT_EQ] = ACTIONS(3107),
    [anon_sym_x_EQ] = ACTIONS(3104),
    [anon_sym_AMP_EQ] = ACTIONS(3104),
    [anon_sym_PIPE_EQ] = ACTIONS(3104),
    [anon_sym_CARET_EQ] = ACTIONS(3104),
    [anon_sym_LT_LT_EQ] = ACTIONS(3104),
    [anon_sym_GT_GT_EQ] = ACTIONS(3104),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3104),
    [anon_sym_DOT_DOT] = ACTIONS(3107),
    [anon_sym_STAR_STAR] = ACTIONS(3107),
    [anon_sym_PIPE_PIPE] = ACTIONS(3107),
    [anon_sym_SLASH_SLASH] = ACTIONS(3107),
    [anon_sym_CARET_CARET] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3107),
    [anon_sym_PIPE] = ACTIONS(3107),
    [anon_sym_CARET] = ACTIONS(3107),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_GT_GT2] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_DOT] = ACTIONS(3107),
    [anon_sym_STAR] = ACTIONS(3107),
    [anon_sym_SLASH] = ACTIONS(3107),
    [anon_sym_x] = ACTIONS(3107),
    [anon_sym_EQ_TILDE] = ACTIONS(3104),
    [anon_sym_BANG_TILDE] = ACTIONS(3104),
    [anon_sym_EQ_EQ] = ACTIONS(3107),
    [anon_sym_BANG_EQ] = ACTIONS(3104),
    [anon_sym_eq] = ACTIONS(3107),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3104),
    [anon_sym_equ] = ACTIONS(3104),
    [anon_sym_eqr] = ACTIONS(3104),
    [anon_sym_ne] = ACTIONS(3104),
    [anon_sym_LT_EQ_GT] = ACTIONS(3104),
    [anon_sym_cmp] = ACTIONS(3104),
    [anon_sym_TILDE_TILDE] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3107),
    [anon_sym_GT_EQ] = ACTIONS(3104),
    [anon_sym_lt] = ACTIONS(3104),
    [anon_sym_le] = ACTIONS(3104),
    [anon_sym_ge] = ACTIONS(3104),
    [anon_sym_gt] = ACTIONS(3104),
    [anon_sym_isa] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_QMARK] = ACTIONS(3104),
    [anon_sym_PERCENT2] = ACTIONS(3104),
    [anon_sym_EQ_GT] = ACTIONS(3104),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1781] = {
    [sym_heredoc_content] = STATE(1781),
    [anon_sym_COLON] = ACTIONS(2913),
    [anon_sym_DOLLAR] = ACTIONS(2913),
    [anon_sym_EQ] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2913),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2913),
    [anon_sym_AT] = ACTIONS(2913),
    [anon_sym_COMMA] = ACTIONS(2913),
    [anon_sym_RPAREN] = ACTIONS(2913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2913),
    [anon_sym_DASH_GT] = ACTIONS(2913),
    [anon_sym_PERCENT] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2915),
    [anon_sym_GT] = ACTIONS(2915),
    [anon_sym_LT_LT] = ACTIONS(2915),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2913),
    [anon_sym_PLUS_EQ] = ACTIONS(2913),
    [anon_sym_DASH_EQ] = ACTIONS(2913),
    [anon_sym_DOT_EQ] = ACTIONS(2913),
    [anon_sym_STAR_EQ] = ACTIONS(2913),
    [anon_sym_SLASH_EQ] = ACTIONS(2913),
    [anon_sym_PERCENT_EQ] = ACTIONS(2915),
    [anon_sym_x_EQ] = ACTIONS(2913),
    [anon_sym_AMP_EQ] = ACTIONS(2913),
    [anon_sym_PIPE_EQ] = ACTIONS(2913),
    [anon_sym_CARET_EQ] = ACTIONS(2913),
    [anon_sym_LT_LT_EQ] = ACTIONS(2913),
    [anon_sym_GT_GT_EQ] = ACTIONS(2913),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2913),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_STAR_STAR] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE] = ACTIONS(2915),
    [anon_sym_SLASH_SLASH] = ACTIONS(2915),
    [anon_sym_CARET_CARET] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_PIPE] = ACTIONS(2915),
    [anon_sym_CARET] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2915),
    [anon_sym_GT_GT2] = ACTIONS(2915),
    [anon_sym_PLUS] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2915),
    [anon_sym_DOT] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_x] = ACTIONS(2915),
    [anon_sym_EQ_TILDE] = ACTIONS(2913),
    [anon_sym_BANG_TILDE] = ACTIONS(2913),
    [anon_sym_EQ_EQ] = ACTIONS(2915),
    [anon_sym_BANG_EQ] = ACTIONS(2913),
    [anon_sym_eq] = ACTIONS(2915),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2913),
    [anon_sym_equ] = ACTIONS(2913),
    [anon_sym_eqr] = ACTIONS(2913),
    [anon_sym_ne] = ACTIONS(2913),
    [anon_sym_LT_EQ_GT] = ACTIONS(2913),
    [anon_sym_cmp] = ACTIONS(2913),
    [anon_sym_TILDE_TILDE] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(2915),
    [anon_sym_GT_EQ] = ACTIONS(2913),
    [anon_sym_lt] = ACTIONS(2913),
    [anon_sym_le] = ACTIONS(2913),
    [anon_sym_ge] = ACTIONS(2913),
    [anon_sym_gt] = ACTIONS(2913),
    [anon_sym_isa] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_QMARK] = ACTIONS(2913),
    [anon_sym_PERCENT2] = ACTIONS(2913),
    [anon_sym_EQ_GT] = ACTIONS(2913),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1782] = {
    [sym_heredoc_content] = STATE(1782),
    [anon_sym_RBRACE] = ACTIONS(2526),
    [anon_sym_COLON] = ACTIONS(2526),
    [anon_sym_EQ] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2526),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2526),
    [anon_sym_RPAREN] = ACTIONS(2526),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2526),
    [anon_sym_DASH_GT] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2528),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_GT] = ACTIONS(2528),
    [anon_sym_LT_LT] = ACTIONS(2528),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2526),
    [anon_sym_PLUS_EQ] = ACTIONS(2526),
    [anon_sym_DASH_EQ] = ACTIONS(2526),
    [anon_sym_DOT_EQ] = ACTIONS(2526),
    [anon_sym_STAR_EQ] = ACTIONS(2526),
    [anon_sym_SLASH_EQ] = ACTIONS(2526),
    [anon_sym_PERCENT_EQ] = ACTIONS(2526),
    [anon_sym_x_EQ] = ACTIONS(2528),
    [anon_sym_AMP_EQ] = ACTIONS(2526),
    [anon_sym_PIPE_EQ] = ACTIONS(2526),
    [anon_sym_CARET_EQ] = ACTIONS(2526),
    [anon_sym_LT_LT_EQ] = ACTIONS(2526),
    [anon_sym_GT_GT_EQ] = ACTIONS(2526),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2526),
    [anon_sym_DOT_DOT] = ACTIONS(2528),
    [anon_sym_STAR_STAR] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH] = ACTIONS(2528),
    [anon_sym_CARET_CARET] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_PIPE] = ACTIONS(2528),
    [anon_sym_CARET] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_GT_GT2] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_DOT] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_SLASH] = ACTIONS(2528),
    [anon_sym_x] = ACTIONS(2528),
    [anon_sym_EQ_TILDE] = ACTIONS(2526),
    [anon_sym_BANG_TILDE] = ACTIONS(2526),
    [anon_sym_EQ_EQ] = ACTIONS(2528),
    [anon_sym_BANG_EQ] = ACTIONS(2526),
    [anon_sym_eq] = ACTIONS(2528),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2526),
    [anon_sym_equ] = ACTIONS(2526),
    [anon_sym_eqr] = ACTIONS(2526),
    [anon_sym_ne] = ACTIONS(2528),
    [anon_sym_LT_EQ_GT] = ACTIONS(2526),
    [anon_sym_cmp] = ACTIONS(2528),
    [anon_sym_TILDE_TILDE] = ACTIONS(2526),
    [anon_sym_LT_EQ] = ACTIONS(2528),
    [anon_sym_GT_EQ] = ACTIONS(2526),
    [anon_sym_lt] = ACTIONS(2528),
    [anon_sym_le] = ACTIONS(2528),
    [anon_sym_ge] = ACTIONS(2528),
    [anon_sym_gt] = ACTIONS(2528),
    [anon_sym_isa] = ACTIONS(2528),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3535),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1783] = {
    [sym_heredoc_content] = STATE(1783),
    [anon_sym_RBRACE] = ACTIONS(2659),
    [anon_sym_COLON] = ACTIONS(2659),
    [anon_sym_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2659),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2659),
    [anon_sym_COMMA] = ACTIONS(2659),
    [anon_sym_RPAREN] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(3537),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2659),
    [anon_sym_DASH_GT] = ACTIONS(2659),
    [anon_sym_PERCENT] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_GT] = ACTIONS(2661),
    [anon_sym_LT_LT] = ACTIONS(2661),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2659),
    [anon_sym_PLUS_EQ] = ACTIONS(2659),
    [anon_sym_DASH_EQ] = ACTIONS(2659),
    [anon_sym_DOT_EQ] = ACTIONS(2659),
    [anon_sym_STAR_EQ] = ACTIONS(2659),
    [anon_sym_SLASH_EQ] = ACTIONS(2659),
    [anon_sym_PERCENT_EQ] = ACTIONS(2659),
    [anon_sym_x_EQ] = ACTIONS(2659),
    [anon_sym_AMP_EQ] = ACTIONS(2659),
    [anon_sym_PIPE_EQ] = ACTIONS(2659),
    [anon_sym_CARET_EQ] = ACTIONS(2659),
    [anon_sym_LT_LT_EQ] = ACTIONS(2659),
    [anon_sym_GT_GT_EQ] = ACTIONS(2659),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2659),
    [anon_sym_DOT_DOT] = ACTIONS(2661),
    [anon_sym_STAR_STAR] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_SLASH_SLASH] = ACTIONS(2661),
    [anon_sym_CARET_CARET] = ACTIONS(2659),
    [anon_sym_AMP_AMP] = ACTIONS(2661),
    [anon_sym_PIPE] = ACTIONS(2661),
    [anon_sym_CARET] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_GT_GT2] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_DOT] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2661),
    [anon_sym_SLASH] = ACTIONS(2661),
    [anon_sym_x] = ACTIONS(2661),
    [anon_sym_EQ_TILDE] = ACTIONS(2659),
    [anon_sym_BANG_TILDE] = ACTIONS(2659),
    [anon_sym_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ] = ACTIONS(2659),
    [anon_sym_eq] = ACTIONS(2661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2659),
    [anon_sym_equ] = ACTIONS(2659),
    [anon_sym_eqr] = ACTIONS(2659),
    [anon_sym_ne] = ACTIONS(2659),
    [anon_sym_LT_EQ_GT] = ACTIONS(2659),
    [anon_sym_cmp] = ACTIONS(2659),
    [anon_sym_TILDE_TILDE] = ACTIONS(2659),
    [anon_sym_LT_EQ] = ACTIONS(2661),
    [anon_sym_GT_EQ] = ACTIONS(2659),
    [anon_sym_lt] = ACTIONS(2659),
    [anon_sym_le] = ACTIONS(2659),
    [anon_sym_ge] = ACTIONS(2659),
    [anon_sym_gt] = ACTIONS(2659),
    [anon_sym_isa] = ACTIONS(2659),
    [anon_sym_PLUS_PLUS] = ACTIONS(2659),
    [anon_sym_DASH_DASH] = ACTIONS(2659),
    [anon_sym_QMARK] = ACTIONS(2659),
    [anon_sym_EQ_GT] = ACTIONS(2659),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1784] = {
    [sym_heredoc_content] = STATE(1784),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(1759),
    [anon_sym_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1759),
    [anon_sym_COMMA] = ACTIONS(1759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_DASH_GT] = ACTIONS(1759),
    [anon_sym_PERCENT] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1759),
    [anon_sym_PLUS_EQ] = ACTIONS(1759),
    [anon_sym_DASH_EQ] = ACTIONS(1759),
    [anon_sym_DOT_EQ] = ACTIONS(1759),
    [anon_sym_STAR_EQ] = ACTIONS(1759),
    [anon_sym_SLASH_EQ] = ACTIONS(1759),
    [anon_sym_PERCENT_EQ] = ACTIONS(1759),
    [anon_sym_x_EQ] = ACTIONS(1759),
    [anon_sym_AMP_EQ] = ACTIONS(1759),
    [anon_sym_PIPE_EQ] = ACTIONS(1759),
    [anon_sym_CARET_EQ] = ACTIONS(1759),
    [anon_sym_LT_LT_EQ] = ACTIONS(1759),
    [anon_sym_GT_GT_EQ] = ACTIONS(1759),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1759),
    [anon_sym_DOT_DOT] = ACTIONS(1755),
    [anon_sym_STAR_STAR] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_SLASH_SLASH] = ACTIONS(1755),
    [anon_sym_CARET_CARET] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_GT_GT2] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1755),
    [anon_sym_x] = ACTIONS(1755),
    [anon_sym_EQ_TILDE] = ACTIONS(1759),
    [anon_sym_BANG_TILDE] = ACTIONS(1759),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1759),
    [anon_sym_eq] = ACTIONS(1755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1759),
    [anon_sym_equ] = ACTIONS(1759),
    [anon_sym_eqr] = ACTIONS(1759),
    [anon_sym_ne] = ACTIONS(1759),
    [anon_sym_LT_EQ_GT] = ACTIONS(1759),
    [anon_sym_cmp] = ACTIONS(1759),
    [anon_sym_TILDE_TILDE] = ACTIONS(1759),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1759),
    [anon_sym_lt] = ACTIONS(1759),
    [anon_sym_le] = ACTIONS(1759),
    [anon_sym_ge] = ACTIONS(1759),
    [anon_sym_gt] = ACTIONS(1759),
    [anon_sym_isa] = ACTIONS(1759),
    [anon_sym_PLUS_PLUS] = ACTIONS(1759),
    [anon_sym_DASH_DASH] = ACTIONS(1759),
    [anon_sym_QMARK] = ACTIONS(1759),
    [anon_sym_EQ_GT] = ACTIONS(1759),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1759),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1785] = {
    [sym_heredoc_content] = STATE(1785),
    [anon_sym_RBRACE] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2412),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_RPAREN] = ACTIONS(2412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2412),
    [anon_sym_DASH_GT] = ACTIONS(2412),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_GT] = ACTIONS(2414),
    [anon_sym_LT_LT] = ACTIONS(2414),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2412),
    [anon_sym_PLUS_EQ] = ACTIONS(2412),
    [anon_sym_DASH_EQ] = ACTIONS(2412),
    [anon_sym_DOT_EQ] = ACTIONS(2412),
    [anon_sym_STAR_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_PERCENT_EQ] = ACTIONS(2412),
    [anon_sym_x_EQ] = ACTIONS(2414),
    [anon_sym_AMP_EQ] = ACTIONS(2412),
    [anon_sym_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_CARET_EQ] = ACTIONS(2412),
    [anon_sym_LT_LT_EQ] = ACTIONS(2412),
    [anon_sym_GT_GT_EQ] = ACTIONS(2412),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2414),
    [anon_sym_STAR_STAR] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH] = ACTIONS(2414),
    [anon_sym_CARET_CARET] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_PIPE] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_GT_GT2] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_SLASH] = ACTIONS(2414),
    [anon_sym_x] = ACTIONS(2414),
    [anon_sym_EQ_TILDE] = ACTIONS(2412),
    [anon_sym_BANG_TILDE] = ACTIONS(2412),
    [anon_sym_EQ_EQ] = ACTIONS(2414),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_eq] = ACTIONS(2414),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2412),
    [anon_sym_equ] = ACTIONS(2412),
    [anon_sym_eqr] = ACTIONS(2412),
    [anon_sym_ne] = ACTIONS(2414),
    [anon_sym_LT_EQ_GT] = ACTIONS(2412),
    [anon_sym_cmp] = ACTIONS(2414),
    [anon_sym_TILDE_TILDE] = ACTIONS(2412),
    [anon_sym_LT_EQ] = ACTIONS(2414),
    [anon_sym_GT_EQ] = ACTIONS(2412),
    [anon_sym_lt] = ACTIONS(2414),
    [anon_sym_le] = ACTIONS(2414),
    [anon_sym_ge] = ACTIONS(2414),
    [anon_sym_gt] = ACTIONS(2414),
    [anon_sym_isa] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_QMARK] = ACTIONS(2412),
    [anon_sym_EQ_GT] = ACTIONS(2412),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(2412),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1786] = {
    [sym_heredoc_content] = STATE(1786),
    [anon_sym_RBRACE] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2412),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_RPAREN] = ACTIONS(2412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2412),
    [anon_sym_DASH_GT] = ACTIONS(2412),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_GT] = ACTIONS(2414),
    [anon_sym_LT_LT] = ACTIONS(2414),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2412),
    [anon_sym_PLUS_EQ] = ACTIONS(2412),
    [anon_sym_DASH_EQ] = ACTIONS(2412),
    [anon_sym_DOT_EQ] = ACTIONS(2412),
    [anon_sym_STAR_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_PERCENT_EQ] = ACTIONS(2412),
    [anon_sym_x_EQ] = ACTIONS(2414),
    [anon_sym_AMP_EQ] = ACTIONS(2412),
    [anon_sym_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_CARET_EQ] = ACTIONS(2412),
    [anon_sym_LT_LT_EQ] = ACTIONS(2412),
    [anon_sym_GT_GT_EQ] = ACTIONS(2412),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2414),
    [anon_sym_STAR_STAR] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH] = ACTIONS(2414),
    [anon_sym_CARET_CARET] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_PIPE] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_GT_GT2] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_SLASH] = ACTIONS(2414),
    [anon_sym_x] = ACTIONS(2414),
    [anon_sym_EQ_TILDE] = ACTIONS(2412),
    [anon_sym_BANG_TILDE] = ACTIONS(2412),
    [anon_sym_EQ_EQ] = ACTIONS(2414),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_eq] = ACTIONS(2414),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2412),
    [anon_sym_equ] = ACTIONS(2412),
    [anon_sym_eqr] = ACTIONS(2412),
    [anon_sym_ne] = ACTIONS(2414),
    [anon_sym_LT_EQ_GT] = ACTIONS(2412),
    [anon_sym_cmp] = ACTIONS(2412),
    [anon_sym_TILDE_TILDE] = ACTIONS(2412),
    [anon_sym_LT_EQ] = ACTIONS(2414),
    [anon_sym_GT_EQ] = ACTIONS(2412),
    [anon_sym_lt] = ACTIONS(2414),
    [anon_sym_le] = ACTIONS(2414),
    [anon_sym_ge] = ACTIONS(2412),
    [anon_sym_gt] = ACTIONS(2412),
    [anon_sym_isa] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_QMARK] = ACTIONS(2412),
    [anon_sym_EQ_GT] = ACTIONS(2412),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(2412),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1787] = {
    [sym_heredoc_content] = STATE(1787),
    [anon_sym_RBRACE] = ACTIONS(2749),
    [anon_sym_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_COMMA] = ACTIONS(2871),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2749),
    [anon_sym_and] = ACTIONS(2749),
    [anon_sym_or] = ACTIONS(2749),
    [anon_sym_xor] = ACTIONS(2749),
    [anon_sym_DASH_GT] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2751),
    [anon_sym_LT] = ACTIONS(2751),
    [anon_sym_GT] = ACTIONS(2751),
    [anon_sym_LT_LT] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_DOT_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_x_EQ] = ACTIONS(2749),
    [anon_sym_AMP_EQ] = ACTIONS(2749),
    [anon_sym_PIPE_EQ] = ACTIONS(2749),
    [anon_sym_CARET_EQ] = ACTIONS(2749),
    [anon_sym_LT_LT_EQ] = ACTIONS(2749),
    [anon_sym_GT_GT_EQ] = ACTIONS(2749),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2751),
    [anon_sym_STAR_STAR] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2751),
    [anon_sym_SLASH_SLASH] = ACTIONS(2751),
    [anon_sym_CARET_CARET] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2751),
    [anon_sym_AMP] = ACTIONS(2751),
    [anon_sym_GT_GT2] = ACTIONS(2751),
    [anon_sym_PLUS] = ACTIONS(2751),
    [anon_sym_DASH] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2751),
    [anon_sym_STAR] = ACTIONS(2751),
    [anon_sym_SLASH] = ACTIONS(2751),
    [anon_sym_x] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2749),
    [anon_sym_BANG_TILDE] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2751),
    [anon_sym_BANG_EQ] = ACTIONS(2749),
    [anon_sym_eq] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_equ] = ACTIONS(2749),
    [anon_sym_eqr] = ACTIONS(2749),
    [anon_sym_ne] = ACTIONS(2749),
    [anon_sym_LT_EQ_GT] = ACTIONS(2749),
    [anon_sym_cmp] = ACTIONS(2749),
    [anon_sym_TILDE_TILDE] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2751),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_lt] = ACTIONS(2749),
    [anon_sym_le] = ACTIONS(2749),
    [anon_sym_ge] = ACTIONS(2749),
    [anon_sym_gt] = ACTIONS(2749),
    [anon_sym_isa] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_QMARK] = ACTIONS(2749),
    [anon_sym_EQ_GT] = ACTIONS(2871),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1788] = {
    [sym_heredoc_content] = STATE(1788),
    [anon_sym_RBRACE] = ACTIONS(1796),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_COMMA] = ACTIONS(2871),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1796),
    [anon_sym_and] = ACTIONS(1796),
    [anon_sym_or] = ACTIONS(1796),
    [anon_sym_xor] = ACTIONS(1796),
    [anon_sym_DASH_GT] = ACTIONS(1796),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1796),
    [anon_sym_PLUS_EQ] = ACTIONS(1796),
    [anon_sym_DASH_EQ] = ACTIONS(1796),
    [anon_sym_DOT_EQ] = ACTIONS(1796),
    [anon_sym_STAR_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_PERCENT_EQ] = ACTIONS(1796),
    [anon_sym_x_EQ] = ACTIONS(1796),
    [anon_sym_AMP_EQ] = ACTIONS(1796),
    [anon_sym_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_CARET_EQ] = ACTIONS(1796),
    [anon_sym_LT_LT_EQ] = ACTIONS(1796),
    [anon_sym_GT_GT_EQ] = ACTIONS(1796),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1796),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1787),
    [anon_sym_CARET_CARET] = ACTIONS(1796),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1796),
    [anon_sym_BANG_TILDE] = ACTIONS(1796),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1796),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1796),
    [anon_sym_equ] = ACTIONS(1796),
    [anon_sym_eqr] = ACTIONS(1796),
    [anon_sym_ne] = ACTIONS(1796),
    [anon_sym_LT_EQ_GT] = ACTIONS(1796),
    [anon_sym_cmp] = ACTIONS(1796),
    [anon_sym_TILDE_TILDE] = ACTIONS(1796),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1796),
    [anon_sym_lt] = ACTIONS(1796),
    [anon_sym_le] = ACTIONS(1796),
    [anon_sym_ge] = ACTIONS(1796),
    [anon_sym_gt] = ACTIONS(1796),
    [anon_sym_isa] = ACTIONS(1796),
    [anon_sym_PLUS_PLUS] = ACTIONS(1796),
    [anon_sym_DASH_DASH] = ACTIONS(1796),
    [anon_sym_QMARK] = ACTIONS(1796),
    [anon_sym_EQ_GT] = ACTIONS(2871),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1789] = {
    [sym_heredoc_content] = STATE(1789),
    [anon_sym_RBRACE] = ACTIONS(2544),
    [anon_sym_COLON] = ACTIONS(2544),
    [anon_sym_EQ] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_COMMA] = ACTIONS(2544),
    [anon_sym_RPAREN] = ACTIONS(2544),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2544),
    [anon_sym_DASH_GT] = ACTIONS(2544),
    [anon_sym_PERCENT] = ACTIONS(2546),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_GT] = ACTIONS(2546),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2544),
    [anon_sym_PLUS_EQ] = ACTIONS(2544),
    [anon_sym_DASH_EQ] = ACTIONS(2544),
    [anon_sym_DOT_EQ] = ACTIONS(2544),
    [anon_sym_STAR_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_PERCENT_EQ] = ACTIONS(2544),
    [anon_sym_x_EQ] = ACTIONS(2544),
    [anon_sym_AMP_EQ] = ACTIONS(2544),
    [anon_sym_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_CARET_EQ] = ACTIONS(2544),
    [anon_sym_LT_LT_EQ] = ACTIONS(2544),
    [anon_sym_GT_GT_EQ] = ACTIONS(2544),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2544),
    [anon_sym_DOT_DOT] = ACTIONS(2546),
    [anon_sym_STAR_STAR] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE] = ACTIONS(2546),
    [anon_sym_SLASH_SLASH] = ACTIONS(2546),
    [anon_sym_CARET_CARET] = ACTIONS(2544),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_GT_GT2] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_DOT] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_SLASH] = ACTIONS(2546),
    [anon_sym_x] = ACTIONS(2546),
    [anon_sym_EQ_TILDE] = ACTIONS(2544),
    [anon_sym_BANG_TILDE] = ACTIONS(2544),
    [anon_sym_EQ_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2544),
    [anon_sym_eq] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2544),
    [anon_sym_equ] = ACTIONS(2544),
    [anon_sym_eqr] = ACTIONS(2544),
    [anon_sym_ne] = ACTIONS(2544),
    [anon_sym_LT_EQ_GT] = ACTIONS(2544),
    [anon_sym_cmp] = ACTIONS(2546),
    [anon_sym_TILDE_TILDE] = ACTIONS(2544),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2544),
    [anon_sym_lt] = ACTIONS(2544),
    [anon_sym_le] = ACTIONS(2544),
    [anon_sym_ge] = ACTIONS(2544),
    [anon_sym_gt] = ACTIONS(2544),
    [anon_sym_isa] = ACTIONS(2544),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [anon_sym_QMARK] = ACTIONS(2544),
    [anon_sym_EQ_GT] = ACTIONS(2544),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3539),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1790] = {
    [sym_heredoc_content] = STATE(1790),
    [anon_sym_SEMI] = ACTIONS(2412),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2412),
    [anon_sym_DASH_GT] = ACTIONS(2412),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_GT] = ACTIONS(2414),
    [anon_sym_LT_LT] = ACTIONS(2414),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2412),
    [anon_sym_PLUS_EQ] = ACTIONS(2412),
    [anon_sym_DASH_EQ] = ACTIONS(2412),
    [anon_sym_DOT_EQ] = ACTIONS(2412),
    [anon_sym_STAR_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_PERCENT_EQ] = ACTIONS(2412),
    [anon_sym_x_EQ] = ACTIONS(2412),
    [anon_sym_AMP_EQ] = ACTIONS(2412),
    [anon_sym_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_CARET_EQ] = ACTIONS(2412),
    [anon_sym_LT_LT_EQ] = ACTIONS(2412),
    [anon_sym_GT_GT_EQ] = ACTIONS(2412),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2414),
    [anon_sym_STAR_STAR] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH] = ACTIONS(2414),
    [anon_sym_CARET_CARET] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_PIPE] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_GT_GT2] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_SLASH] = ACTIONS(2414),
    [anon_sym_x] = ACTIONS(2414),
    [anon_sym_EQ_TILDE] = ACTIONS(2412),
    [anon_sym_BANG_TILDE] = ACTIONS(2412),
    [anon_sym_EQ_EQ] = ACTIONS(2414),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_eq] = ACTIONS(2414),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2412),
    [anon_sym_equ] = ACTIONS(2412),
    [anon_sym_eqr] = ACTIONS(2412),
    [anon_sym_ne] = ACTIONS(2412),
    [anon_sym_LT_EQ_GT] = ACTIONS(2412),
    [anon_sym_cmp] = ACTIONS(2414),
    [anon_sym_TILDE_TILDE] = ACTIONS(2412),
    [anon_sym_LT_EQ] = ACTIONS(2414),
    [anon_sym_GT_EQ] = ACTIONS(2412),
    [anon_sym_lt] = ACTIONS(2412),
    [anon_sym_le] = ACTIONS(2412),
    [anon_sym_ge] = ACTIONS(2412),
    [anon_sym_gt] = ACTIONS(2412),
    [anon_sym_isa] = ACTIONS(2412),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_QMARK] = ACTIONS(2412),
    [anon_sym_EQ_GT] = ACTIONS(2412),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(2412),
    [sym__PERLY_SEMICOLON] = ACTIONS(2412),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1791] = {
    [sym_heredoc_content] = STATE(1791),
    [anon_sym_RBRACE] = ACTIONS(2675),
    [anon_sym_COLON] = ACTIONS(2675),
    [anon_sym_EQ] = ACTIONS(2677),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2675),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2675),
    [anon_sym_COMMA] = ACTIONS(2675),
    [anon_sym_RPAREN] = ACTIONS(2675),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2675),
    [anon_sym_DASH_GT] = ACTIONS(2675),
    [anon_sym_PERCENT] = ACTIONS(2677),
    [anon_sym_LT] = ACTIONS(2677),
    [anon_sym_GT] = ACTIONS(2677),
    [anon_sym_LT_LT] = ACTIONS(2677),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2675),
    [anon_sym_PLUS_EQ] = ACTIONS(2675),
    [anon_sym_DASH_EQ] = ACTIONS(2675),
    [anon_sym_DOT_EQ] = ACTIONS(2675),
    [anon_sym_STAR_EQ] = ACTIONS(2675),
    [anon_sym_SLASH_EQ] = ACTIONS(2675),
    [anon_sym_PERCENT_EQ] = ACTIONS(2675),
    [anon_sym_x_EQ] = ACTIONS(2677),
    [anon_sym_AMP_EQ] = ACTIONS(2675),
    [anon_sym_PIPE_EQ] = ACTIONS(2675),
    [anon_sym_CARET_EQ] = ACTIONS(2675),
    [anon_sym_LT_LT_EQ] = ACTIONS(2675),
    [anon_sym_GT_GT_EQ] = ACTIONS(2675),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2675),
    [anon_sym_DOT_DOT] = ACTIONS(2677),
    [anon_sym_STAR_STAR] = ACTIONS(2677),
    [anon_sym_PIPE_PIPE] = ACTIONS(2677),
    [anon_sym_SLASH_SLASH] = ACTIONS(2677),
    [anon_sym_CARET_CARET] = ACTIONS(2675),
    [anon_sym_AMP_AMP] = ACTIONS(2677),
    [anon_sym_PIPE] = ACTIONS(2677),
    [anon_sym_CARET] = ACTIONS(2677),
    [anon_sym_AMP] = ACTIONS(2677),
    [anon_sym_GT_GT2] = ACTIONS(2677),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_DASH] = ACTIONS(2677),
    [anon_sym_DOT] = ACTIONS(2677),
    [anon_sym_STAR] = ACTIONS(2677),
    [anon_sym_SLASH] = ACTIONS(2677),
    [anon_sym_x] = ACTIONS(2677),
    [anon_sym_EQ_TILDE] = ACTIONS(2675),
    [anon_sym_BANG_TILDE] = ACTIONS(2675),
    [anon_sym_EQ_EQ] = ACTIONS(2677),
    [anon_sym_BANG_EQ] = ACTIONS(2675),
    [anon_sym_eq] = ACTIONS(2677),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2675),
    [anon_sym_equ] = ACTIONS(2677),
    [anon_sym_eqr] = ACTIONS(2677),
    [anon_sym_ne] = ACTIONS(2675),
    [anon_sym_LT_EQ_GT] = ACTIONS(2675),
    [anon_sym_cmp] = ACTIONS(2677),
    [anon_sym_TILDE_TILDE] = ACTIONS(2675),
    [anon_sym_LT_EQ] = ACTIONS(2677),
    [anon_sym_GT_EQ] = ACTIONS(2675),
    [anon_sym_lt] = ACTIONS(2677),
    [anon_sym_le] = ACTIONS(2677),
    [anon_sym_ge] = ACTIONS(2677),
    [anon_sym_gt] = ACTIONS(2677),
    [anon_sym_isa] = ACTIONS(2677),
    [anon_sym_PLUS_PLUS] = ACTIONS(2675),
    [anon_sym_DASH_DASH] = ACTIONS(2675),
    [anon_sym_QMARK] = ACTIONS(2675),
    [anon_sym_EQ_GT] = ACTIONS(2675),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3541),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1792] = {
    [sym_heredoc_content] = STATE(1792),
    [anon_sym_RBRACE] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2412),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_RPAREN] = ACTIONS(2412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2412),
    [anon_sym_DASH_GT] = ACTIONS(2412),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_GT] = ACTIONS(2414),
    [anon_sym_LT_LT] = ACTIONS(2414),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2412),
    [anon_sym_PLUS_EQ] = ACTIONS(2412),
    [anon_sym_DASH_EQ] = ACTIONS(2412),
    [anon_sym_DOT_EQ] = ACTIONS(2412),
    [anon_sym_STAR_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_PERCENT_EQ] = ACTIONS(2412),
    [anon_sym_x_EQ] = ACTIONS(2414),
    [anon_sym_AMP_EQ] = ACTIONS(2412),
    [anon_sym_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_CARET_EQ] = ACTIONS(2412),
    [anon_sym_LT_LT_EQ] = ACTIONS(2412),
    [anon_sym_GT_GT_EQ] = ACTIONS(2412),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2414),
    [anon_sym_STAR_STAR] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH] = ACTIONS(2414),
    [anon_sym_CARET_CARET] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_PIPE] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_GT_GT2] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_SLASH] = ACTIONS(2414),
    [anon_sym_x] = ACTIONS(2414),
    [anon_sym_EQ_TILDE] = ACTIONS(2412),
    [anon_sym_BANG_TILDE] = ACTIONS(2412),
    [anon_sym_EQ_EQ] = ACTIONS(2414),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_eq] = ACTIONS(2414),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2412),
    [anon_sym_equ] = ACTIONS(2414),
    [anon_sym_eqr] = ACTIONS(2414),
    [anon_sym_ne] = ACTIONS(2412),
    [anon_sym_LT_EQ_GT] = ACTIONS(2412),
    [anon_sym_cmp] = ACTIONS(2414),
    [anon_sym_TILDE_TILDE] = ACTIONS(2412),
    [anon_sym_LT_EQ] = ACTIONS(2414),
    [anon_sym_GT_EQ] = ACTIONS(2412),
    [anon_sym_lt] = ACTIONS(2414),
    [anon_sym_le] = ACTIONS(2414),
    [anon_sym_ge] = ACTIONS(2414),
    [anon_sym_gt] = ACTIONS(2414),
    [anon_sym_isa] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_QMARK] = ACTIONS(2412),
    [anon_sym_EQ_GT] = ACTIONS(2412),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(2412),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1793] = {
    [sym_heredoc_content] = STATE(1793),
    [anon_sym_RBRACE] = ACTIONS(2440),
    [anon_sym_COLON] = ACTIONS(2440),
    [anon_sym_EQ] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2440),
    [anon_sym_COMMA] = ACTIONS(2440),
    [anon_sym_RPAREN] = ACTIONS(2440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2440),
    [anon_sym_DASH_GT] = ACTIONS(2440),
    [anon_sym_PERCENT] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2442),
    [anon_sym_GT] = ACTIONS(2442),
    [anon_sym_LT_LT] = ACTIONS(2442),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2440),
    [anon_sym_PLUS_EQ] = ACTIONS(2440),
    [anon_sym_DASH_EQ] = ACTIONS(2440),
    [anon_sym_DOT_EQ] = ACTIONS(2440),
    [anon_sym_STAR_EQ] = ACTIONS(2440),
    [anon_sym_SLASH_EQ] = ACTIONS(2440),
    [anon_sym_PERCENT_EQ] = ACTIONS(2440),
    [anon_sym_x_EQ] = ACTIONS(2442),
    [anon_sym_AMP_EQ] = ACTIONS(2440),
    [anon_sym_PIPE_EQ] = ACTIONS(2440),
    [anon_sym_CARET_EQ] = ACTIONS(2440),
    [anon_sym_LT_LT_EQ] = ACTIONS(2440),
    [anon_sym_GT_GT_EQ] = ACTIONS(2440),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2440),
    [anon_sym_DOT_DOT] = ACTIONS(2442),
    [anon_sym_STAR_STAR] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE] = ACTIONS(2442),
    [anon_sym_SLASH_SLASH] = ACTIONS(2442),
    [anon_sym_CARET_CARET] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_PIPE] = ACTIONS(2442),
    [anon_sym_CARET] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_GT_GT2] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_DOT] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_SLASH] = ACTIONS(2442),
    [anon_sym_x] = ACTIONS(2442),
    [anon_sym_EQ_TILDE] = ACTIONS(2440),
    [anon_sym_BANG_TILDE] = ACTIONS(2440),
    [anon_sym_EQ_EQ] = ACTIONS(2442),
    [anon_sym_BANG_EQ] = ACTIONS(2440),
    [anon_sym_eq] = ACTIONS(2442),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2440),
    [anon_sym_equ] = ACTIONS(2440),
    [anon_sym_eqr] = ACTIONS(2440),
    [anon_sym_ne] = ACTIONS(2442),
    [anon_sym_LT_EQ_GT] = ACTIONS(2440),
    [anon_sym_cmp] = ACTIONS(2442),
    [anon_sym_TILDE_TILDE] = ACTIONS(2440),
    [anon_sym_LT_EQ] = ACTIONS(2442),
    [anon_sym_GT_EQ] = ACTIONS(2440),
    [anon_sym_lt] = ACTIONS(2442),
    [anon_sym_le] = ACTIONS(2442),
    [anon_sym_ge] = ACTIONS(2442),
    [anon_sym_gt] = ACTIONS(2442),
    [anon_sym_isa] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2440),
    [anon_sym_DASH_DASH] = ACTIONS(2440),
    [anon_sym_QMARK] = ACTIONS(2440),
    [anon_sym_EQ_GT] = ACTIONS(2440),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3543),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1794] = {
    [sym_heredoc_content] = STATE(1794),
    [anon_sym_RBRACE] = ACTIONS(2568),
    [anon_sym_COLON] = ACTIONS(2568),
    [anon_sym_EQ] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_RPAREN] = ACTIONS(2568),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2568),
    [anon_sym_DASH_GT] = ACTIONS(2568),
    [anon_sym_PERCENT] = ACTIONS(2570),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_GT] = ACTIONS(2570),
    [anon_sym_LT_LT] = ACTIONS(2570),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2568),
    [anon_sym_PLUS_EQ] = ACTIONS(2568),
    [anon_sym_DASH_EQ] = ACTIONS(2568),
    [anon_sym_DOT_EQ] = ACTIONS(2568),
    [anon_sym_STAR_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_PERCENT_EQ] = ACTIONS(2568),
    [anon_sym_x_EQ] = ACTIONS(2570),
    [anon_sym_AMP_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_CARET_EQ] = ACTIONS(2568),
    [anon_sym_LT_LT_EQ] = ACTIONS(2568),
    [anon_sym_GT_GT_EQ] = ACTIONS(2568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2568),
    [anon_sym_DOT_DOT] = ACTIONS(2570),
    [anon_sym_STAR_STAR] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE] = ACTIONS(2570),
    [anon_sym_SLASH_SLASH] = ACTIONS(2570),
    [anon_sym_CARET_CARET] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_PIPE] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_GT_GT2] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_DOT] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_SLASH] = ACTIONS(2570),
    [anon_sym_x] = ACTIONS(2570),
    [anon_sym_EQ_TILDE] = ACTIONS(2568),
    [anon_sym_BANG_TILDE] = ACTIONS(2568),
    [anon_sym_EQ_EQ] = ACTIONS(2570),
    [anon_sym_BANG_EQ] = ACTIONS(2568),
    [anon_sym_eq] = ACTIONS(2570),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2568),
    [anon_sym_equ] = ACTIONS(2570),
    [anon_sym_eqr] = ACTIONS(2570),
    [anon_sym_ne] = ACTIONS(2568),
    [anon_sym_LT_EQ_GT] = ACTIONS(2568),
    [anon_sym_cmp] = ACTIONS(2570),
    [anon_sym_TILDE_TILDE] = ACTIONS(2568),
    [anon_sym_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_EQ] = ACTIONS(2568),
    [anon_sym_lt] = ACTIONS(2570),
    [anon_sym_le] = ACTIONS(2570),
    [anon_sym_ge] = ACTIONS(2570),
    [anon_sym_gt] = ACTIONS(2570),
    [anon_sym_isa] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_QMARK] = ACTIONS(2568),
    [anon_sym_EQ_GT] = ACTIONS(2568),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3545),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1795] = {
    [sym_heredoc_content] = STATE(1795),
    [anon_sym_RBRACE] = ACTIONS(2594),
    [anon_sym_COLON] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2594),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2594),
    [anon_sym_COMMA] = ACTIONS(2594),
    [anon_sym_RPAREN] = ACTIONS(2594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DASH_GT] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2596),
    [anon_sym_LT] = ACTIONS(2596),
    [anon_sym_GT] = ACTIONS(2596),
    [anon_sym_LT_LT] = ACTIONS(2596),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2594),
    [anon_sym_DASH_EQ] = ACTIONS(2594),
    [anon_sym_DOT_EQ] = ACTIONS(2594),
    [anon_sym_STAR_EQ] = ACTIONS(2594),
    [anon_sym_SLASH_EQ] = ACTIONS(2594),
    [anon_sym_PERCENT_EQ] = ACTIONS(2594),
    [anon_sym_x_EQ] = ACTIONS(2594),
    [anon_sym_AMP_EQ] = ACTIONS(2594),
    [anon_sym_PIPE_EQ] = ACTIONS(2594),
    [anon_sym_CARET_EQ] = ACTIONS(2594),
    [anon_sym_LT_LT_EQ] = ACTIONS(2594),
    [anon_sym_GT_GT_EQ] = ACTIONS(2594),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2594),
    [anon_sym_DOT_DOT] = ACTIONS(2596),
    [anon_sym_STAR_STAR] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_SLASH_SLASH] = ACTIONS(2596),
    [anon_sym_CARET_CARET] = ACTIONS(2594),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_PIPE] = ACTIONS(2596),
    [anon_sym_CARET] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym_GT_GT2] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2596),
    [anon_sym_x] = ACTIONS(2596),
    [anon_sym_EQ_TILDE] = ACTIONS(2594),
    [anon_sym_BANG_TILDE] = ACTIONS(2594),
    [anon_sym_EQ_EQ] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_eq] = ACTIONS(2596),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2594),
    [anon_sym_equ] = ACTIONS(2594),
    [anon_sym_eqr] = ACTIONS(2594),
    [anon_sym_ne] = ACTIONS(2594),
    [anon_sym_LT_EQ_GT] = ACTIONS(2594),
    [anon_sym_cmp] = ACTIONS(2596),
    [anon_sym_TILDE_TILDE] = ACTIONS(2594),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2594),
    [anon_sym_lt] = ACTIONS(2594),
    [anon_sym_le] = ACTIONS(2594),
    [anon_sym_ge] = ACTIONS(2594),
    [anon_sym_gt] = ACTIONS(2594),
    [anon_sym_isa] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_QMARK] = ACTIONS(2594),
    [anon_sym_EQ_GT] = ACTIONS(2594),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3547),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1796] = {
    [sym_heredoc_content] = STATE(1796),
    [anon_sym_RBRACE] = ACTIONS(2665),
    [anon_sym_COLON] = ACTIONS(2665),
    [anon_sym_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2665),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(2665),
    [anon_sym_RPAREN] = ACTIONS(2665),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2665),
    [anon_sym_DASH_GT] = ACTIONS(2665),
    [anon_sym_PERCENT] = ACTIONS(2667),
    [anon_sym_LT] = ACTIONS(2667),
    [anon_sym_GT] = ACTIONS(2667),
    [anon_sym_LT_LT] = ACTIONS(2667),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2665),
    [anon_sym_PLUS_EQ] = ACTIONS(2665),
    [anon_sym_DASH_EQ] = ACTIONS(2665),
    [anon_sym_DOT_EQ] = ACTIONS(2665),
    [anon_sym_STAR_EQ] = ACTIONS(2665),
    [anon_sym_SLASH_EQ] = ACTIONS(2665),
    [anon_sym_PERCENT_EQ] = ACTIONS(2665),
    [anon_sym_x_EQ] = ACTIONS(2667),
    [anon_sym_AMP_EQ] = ACTIONS(2665),
    [anon_sym_PIPE_EQ] = ACTIONS(2665),
    [anon_sym_CARET_EQ] = ACTIONS(2665),
    [anon_sym_LT_LT_EQ] = ACTIONS(2665),
    [anon_sym_GT_GT_EQ] = ACTIONS(2665),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2665),
    [anon_sym_DOT_DOT] = ACTIONS(2667),
    [anon_sym_STAR_STAR] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_SLASH_SLASH] = ACTIONS(2667),
    [anon_sym_CARET_CARET] = ACTIONS(2665),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(2667),
    [anon_sym_CARET] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_GT_GT2] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_DOT] = ACTIONS(2667),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_SLASH] = ACTIONS(2667),
    [anon_sym_x] = ACTIONS(2667),
    [anon_sym_EQ_TILDE] = ACTIONS(2665),
    [anon_sym_BANG_TILDE] = ACTIONS(2665),
    [anon_sym_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ] = ACTIONS(2665),
    [anon_sym_eq] = ACTIONS(2667),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2665),
    [anon_sym_equ] = ACTIONS(2667),
    [anon_sym_eqr] = ACTIONS(2667),
    [anon_sym_ne] = ACTIONS(2665),
    [anon_sym_LT_EQ_GT] = ACTIONS(2665),
    [anon_sym_cmp] = ACTIONS(2667),
    [anon_sym_TILDE_TILDE] = ACTIONS(2665),
    [anon_sym_LT_EQ] = ACTIONS(2667),
    [anon_sym_GT_EQ] = ACTIONS(2665),
    [anon_sym_lt] = ACTIONS(2667),
    [anon_sym_le] = ACTIONS(2667),
    [anon_sym_ge] = ACTIONS(2667),
    [anon_sym_gt] = ACTIONS(2667),
    [anon_sym_isa] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2665),
    [anon_sym_DASH_DASH] = ACTIONS(2665),
    [anon_sym_QMARK] = ACTIONS(2665),
    [anon_sym_EQ_GT] = ACTIONS(2665),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3549),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1797] = {
    [sym_heredoc_content] = STATE(1797),
    [anon_sym_COLON] = ACTIONS(3551),
    [anon_sym_DOLLAR] = ACTIONS(3551),
    [anon_sym_EQ] = ACTIONS(3421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3423),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3423),
    [anon_sym_AT] = ACTIONS(3551),
    [anon_sym_COMMA] = ACTIONS(3551),
    [anon_sym_RPAREN] = ACTIONS(3551),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3427),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_GT] = ACTIONS(3433),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3423),
    [anon_sym_PLUS_EQ] = ACTIONS(3423),
    [anon_sym_DASH_EQ] = ACTIONS(3423),
    [anon_sym_DOT_EQ] = ACTIONS(3423),
    [anon_sym_STAR_EQ] = ACTIONS(3423),
    [anon_sym_SLASH_EQ] = ACTIONS(3423),
    [anon_sym_PERCENT_EQ] = ACTIONS(3421),
    [anon_sym_x_EQ] = ACTIONS(3423),
    [anon_sym_AMP_EQ] = ACTIONS(3423),
    [anon_sym_PIPE_EQ] = ACTIONS(3423),
    [anon_sym_CARET_EQ] = ACTIONS(3423),
    [anon_sym_LT_LT_EQ] = ACTIONS(3423),
    [anon_sym_GT_GT_EQ] = ACTIONS(3423),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3423),
    [anon_sym_DOT_DOT] = ACTIONS(3437),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(3441),
    [anon_sym_SLASH_SLASH] = ACTIONS(3441),
    [anon_sym_CARET_CARET] = ACTIONS(3443),
    [anon_sym_AMP_AMP] = ACTIONS(3445),
    [anon_sym_PIPE] = ACTIONS(3447),
    [anon_sym_CARET] = ACTIONS(3447),
    [anon_sym_AMP] = ACTIONS(3449),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(3455),
    [anon_sym_BANG_EQ] = ACTIONS(3457),
    [anon_sym_eq] = ACTIONS(3455),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3457),
    [anon_sym_equ] = ACTIONS(3457),
    [anon_sym_eqr] = ACTIONS(3457),
    [anon_sym_ne] = ACTIONS(3457),
    [anon_sym_LT_EQ_GT] = ACTIONS(3459),
    [anon_sym_cmp] = ACTIONS(3459),
    [anon_sym_TILDE_TILDE] = ACTIONS(3459),
    [anon_sym_LT_EQ] = ACTIONS(3433),
    [anon_sym_GT_EQ] = ACTIONS(3461),
    [anon_sym_lt] = ACTIONS(3461),
    [anon_sym_le] = ACTIONS(3461),
    [anon_sym_ge] = ACTIONS(3461),
    [anon_sym_gt] = ACTIONS(3461),
    [anon_sym_isa] = ACTIONS(3463),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(3467),
    [anon_sym_PERCENT2] = ACTIONS(3551),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1798] = {
    [sym_heredoc_content] = STATE(1798),
    [anon_sym_RBRACE] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2452),
    [anon_sym_EQ] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_RPAREN] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2452),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_LT] = ACTIONS(2454),
    [anon_sym_GT] = ACTIONS(2454),
    [anon_sym_LT_LT] = ACTIONS(2454),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2452),
    [anon_sym_DASH_EQ] = ACTIONS(2452),
    [anon_sym_DOT_EQ] = ACTIONS(2452),
    [anon_sym_STAR_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_PERCENT_EQ] = ACTIONS(2452),
    [anon_sym_x_EQ] = ACTIONS(2452),
    [anon_sym_AMP_EQ] = ACTIONS(2452),
    [anon_sym_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_CARET_EQ] = ACTIONS(2452),
    [anon_sym_LT_LT_EQ] = ACTIONS(2452),
    [anon_sym_GT_GT_EQ] = ACTIONS(2452),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(2454),
    [anon_sym_STAR_STAR] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2454),
    [anon_sym_SLASH_SLASH] = ACTIONS(2454),
    [anon_sym_CARET_CARET] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_PIPE] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_GT_GT2] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_DOT] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_SLASH] = ACTIONS(2454),
    [anon_sym_x] = ACTIONS(2454),
    [anon_sym_EQ_TILDE] = ACTIONS(2452),
    [anon_sym_BANG_TILDE] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2454),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_eq] = ACTIONS(2454),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_equ] = ACTIONS(2452),
    [anon_sym_eqr] = ACTIONS(2452),
    [anon_sym_ne] = ACTIONS(2452),
    [anon_sym_LT_EQ_GT] = ACTIONS(2452),
    [anon_sym_cmp] = ACTIONS(2454),
    [anon_sym_TILDE_TILDE] = ACTIONS(2452),
    [anon_sym_LT_EQ] = ACTIONS(2454),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_lt] = ACTIONS(2452),
    [anon_sym_le] = ACTIONS(2452),
    [anon_sym_ge] = ACTIONS(2452),
    [anon_sym_gt] = ACTIONS(2452),
    [anon_sym_isa] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [anon_sym_QMARK] = ACTIONS(2452),
    [anon_sym_EQ_GT] = ACTIONS(2452),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3553),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1799] = {
    [sym_heredoc_content] = STATE(1799),
    [anon_sym_RBRACE] = ACTIONS(2470),
    [anon_sym_COLON] = ACTIONS(2470),
    [anon_sym_EQ] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2470),
    [anon_sym_COMMA] = ACTIONS(2470),
    [anon_sym_RPAREN] = ACTIONS(2470),
    [anon_sym_LPAREN] = ACTIONS(3555),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2470),
    [anon_sym_DASH_GT] = ACTIONS(2470),
    [anon_sym_PERCENT] = ACTIONS(2472),
    [anon_sym_LT] = ACTIONS(2472),
    [anon_sym_GT] = ACTIONS(2472),
    [anon_sym_LT_LT] = ACTIONS(2472),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2470),
    [anon_sym_PLUS_EQ] = ACTIONS(2470),
    [anon_sym_DASH_EQ] = ACTIONS(2470),
    [anon_sym_DOT_EQ] = ACTIONS(2470),
    [anon_sym_STAR_EQ] = ACTIONS(2470),
    [anon_sym_SLASH_EQ] = ACTIONS(2470),
    [anon_sym_PERCENT_EQ] = ACTIONS(2470),
    [anon_sym_x_EQ] = ACTIONS(2470),
    [anon_sym_AMP_EQ] = ACTIONS(2470),
    [anon_sym_PIPE_EQ] = ACTIONS(2470),
    [anon_sym_CARET_EQ] = ACTIONS(2470),
    [anon_sym_LT_LT_EQ] = ACTIONS(2470),
    [anon_sym_GT_GT_EQ] = ACTIONS(2470),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2470),
    [anon_sym_DOT_DOT] = ACTIONS(2472),
    [anon_sym_STAR_STAR] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE] = ACTIONS(2472),
    [anon_sym_SLASH_SLASH] = ACTIONS(2472),
    [anon_sym_CARET_CARET] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_PIPE] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_GT_GT2] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_DOT] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_SLASH] = ACTIONS(2472),
    [anon_sym_x] = ACTIONS(2472),
    [anon_sym_EQ_TILDE] = ACTIONS(2470),
    [anon_sym_BANG_TILDE] = ACTIONS(2470),
    [anon_sym_EQ_EQ] = ACTIONS(2472),
    [anon_sym_BANG_EQ] = ACTIONS(2470),
    [anon_sym_eq] = ACTIONS(2472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2470),
    [anon_sym_equ] = ACTIONS(2470),
    [anon_sym_eqr] = ACTIONS(2470),
    [anon_sym_ne] = ACTIONS(2470),
    [anon_sym_LT_EQ_GT] = ACTIONS(2470),
    [anon_sym_cmp] = ACTIONS(2470),
    [anon_sym_TILDE_TILDE] = ACTIONS(2470),
    [anon_sym_LT_EQ] = ACTIONS(2472),
    [anon_sym_GT_EQ] = ACTIONS(2470),
    [anon_sym_lt] = ACTIONS(2470),
    [anon_sym_le] = ACTIONS(2470),
    [anon_sym_ge] = ACTIONS(2470),
    [anon_sym_gt] = ACTIONS(2470),
    [anon_sym_isa] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_QMARK] = ACTIONS(2470),
    [anon_sym_EQ_GT] = ACTIONS(2470),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1800] = {
    [sym_heredoc_content] = STATE(1800),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_COLON] = ACTIONS(2458),
    [anon_sym_EQ] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2458),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2458),
    [anon_sym_COMMA] = ACTIONS(2458),
    [anon_sym_RPAREN] = ACTIONS(2458),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2458),
    [anon_sym_DASH_GT] = ACTIONS(2458),
    [anon_sym_PERCENT] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2460),
    [anon_sym_GT] = ACTIONS(2460),
    [anon_sym_LT_LT] = ACTIONS(2460),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2458),
    [anon_sym_PLUS_EQ] = ACTIONS(2458),
    [anon_sym_DASH_EQ] = ACTIONS(2458),
    [anon_sym_DOT_EQ] = ACTIONS(2458),
    [anon_sym_STAR_EQ] = ACTIONS(2458),
    [anon_sym_SLASH_EQ] = ACTIONS(2458),
    [anon_sym_PERCENT_EQ] = ACTIONS(2458),
    [anon_sym_x_EQ] = ACTIONS(2460),
    [anon_sym_AMP_EQ] = ACTIONS(2458),
    [anon_sym_PIPE_EQ] = ACTIONS(2458),
    [anon_sym_CARET_EQ] = ACTIONS(2458),
    [anon_sym_LT_LT_EQ] = ACTIONS(2458),
    [anon_sym_GT_GT_EQ] = ACTIONS(2458),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2458),
    [anon_sym_DOT_DOT] = ACTIONS(2460),
    [anon_sym_STAR_STAR] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE] = ACTIONS(2460),
    [anon_sym_SLASH_SLASH] = ACTIONS(2460),
    [anon_sym_CARET_CARET] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_PIPE] = ACTIONS(2460),
    [anon_sym_CARET] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_GT_GT2] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_DOT] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_SLASH] = ACTIONS(2460),
    [anon_sym_x] = ACTIONS(2460),
    [anon_sym_EQ_TILDE] = ACTIONS(2458),
    [anon_sym_BANG_TILDE] = ACTIONS(2458),
    [anon_sym_EQ_EQ] = ACTIONS(2460),
    [anon_sym_BANG_EQ] = ACTIONS(2458),
    [anon_sym_eq] = ACTIONS(2460),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2458),
    [anon_sym_equ] = ACTIONS(2458),
    [anon_sym_eqr] = ACTIONS(2458),
    [anon_sym_ne] = ACTIONS(2460),
    [anon_sym_LT_EQ_GT] = ACTIONS(2458),
    [anon_sym_cmp] = ACTIONS(2460),
    [anon_sym_TILDE_TILDE] = ACTIONS(2458),
    [anon_sym_LT_EQ] = ACTIONS(2460),
    [anon_sym_GT_EQ] = ACTIONS(2458),
    [anon_sym_lt] = ACTIONS(2460),
    [anon_sym_le] = ACTIONS(2460),
    [anon_sym_ge] = ACTIONS(2460),
    [anon_sym_gt] = ACTIONS(2460),
    [anon_sym_isa] = ACTIONS(2460),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_QMARK] = ACTIONS(2458),
    [anon_sym_EQ_GT] = ACTIONS(2458),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3557),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1801] = {
    [sym_heredoc_content] = STATE(1801),
    [anon_sym_RBRACE] = ACTIONS(2655),
    [anon_sym_COLON] = ACTIONS(2655),
    [anon_sym_EQ] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2655),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2655),
    [anon_sym_COMMA] = ACTIONS(2655),
    [anon_sym_RPAREN] = ACTIONS(2655),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2655),
    [anon_sym_LBRACK] = ACTIONS(2655),
    [anon_sym_DASH_GT] = ACTIONS(2655),
    [anon_sym_PERCENT] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(2657),
    [anon_sym_GT] = ACTIONS(2657),
    [anon_sym_LT_LT] = ACTIONS(2657),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2655),
    [anon_sym_PLUS_EQ] = ACTIONS(2655),
    [anon_sym_DASH_EQ] = ACTIONS(2655),
    [anon_sym_DOT_EQ] = ACTIONS(2655),
    [anon_sym_STAR_EQ] = ACTIONS(2655),
    [anon_sym_SLASH_EQ] = ACTIONS(2655),
    [anon_sym_PERCENT_EQ] = ACTIONS(2655),
    [anon_sym_x_EQ] = ACTIONS(2655),
    [anon_sym_AMP_EQ] = ACTIONS(2655),
    [anon_sym_PIPE_EQ] = ACTIONS(2655),
    [anon_sym_CARET_EQ] = ACTIONS(2655),
    [anon_sym_LT_LT_EQ] = ACTIONS(2655),
    [anon_sym_GT_GT_EQ] = ACTIONS(2655),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2655),
    [anon_sym_DOT_DOT] = ACTIONS(2657),
    [anon_sym_STAR_STAR] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE] = ACTIONS(2657),
    [anon_sym_SLASH_SLASH] = ACTIONS(2657),
    [anon_sym_CARET_CARET] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2657),
    [anon_sym_PIPE] = ACTIONS(2657),
    [anon_sym_CARET] = ACTIONS(2657),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym_GT_GT2] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_DOT] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2657),
    [anon_sym_SLASH] = ACTIONS(2657),
    [anon_sym_x] = ACTIONS(2657),
    [anon_sym_EQ_TILDE] = ACTIONS(2655),
    [anon_sym_BANG_TILDE] = ACTIONS(2655),
    [anon_sym_EQ_EQ] = ACTIONS(2657),
    [anon_sym_BANG_EQ] = ACTIONS(2655),
    [anon_sym_eq] = ACTIONS(2657),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2655),
    [anon_sym_equ] = ACTIONS(2655),
    [anon_sym_eqr] = ACTIONS(2655),
    [anon_sym_ne] = ACTIONS(2655),
    [anon_sym_LT_EQ_GT] = ACTIONS(2655),
    [anon_sym_cmp] = ACTIONS(2655),
    [anon_sym_TILDE_TILDE] = ACTIONS(2655),
    [anon_sym_LT_EQ] = ACTIONS(2657),
    [anon_sym_GT_EQ] = ACTIONS(2655),
    [anon_sym_lt] = ACTIONS(2655),
    [anon_sym_le] = ACTIONS(2655),
    [anon_sym_ge] = ACTIONS(2655),
    [anon_sym_gt] = ACTIONS(2655),
    [anon_sym_isa] = ACTIONS(2655),
    [anon_sym_PLUS_PLUS] = ACTIONS(2655),
    [anon_sym_DASH_DASH] = ACTIONS(2655),
    [anon_sym_QMARK] = ACTIONS(2655),
    [anon_sym_EQ_GT] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1802] = {
    [sym_heredoc_content] = STATE(1802),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(2424),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym_DASH_GT] = ACTIONS(2424),
    [anon_sym_PERCENT] = ACTIONS(2426),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_GT] = ACTIONS(2426),
    [anon_sym_LT_LT] = ACTIONS(2426),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2424),
    [anon_sym_PLUS_EQ] = ACTIONS(2424),
    [anon_sym_DASH_EQ] = ACTIONS(2424),
    [anon_sym_DOT_EQ] = ACTIONS(2424),
    [anon_sym_STAR_EQ] = ACTIONS(2424),
    [anon_sym_SLASH_EQ] = ACTIONS(2424),
    [anon_sym_PERCENT_EQ] = ACTIONS(2424),
    [anon_sym_x_EQ] = ACTIONS(2424),
    [anon_sym_AMP_EQ] = ACTIONS(2424),
    [anon_sym_PIPE_EQ] = ACTIONS(2424),
    [anon_sym_CARET_EQ] = ACTIONS(2424),
    [anon_sym_LT_LT_EQ] = ACTIONS(2424),
    [anon_sym_GT_GT_EQ] = ACTIONS(2424),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2424),
    [anon_sym_DOT_DOT] = ACTIONS(2426),
    [anon_sym_STAR_STAR] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE] = ACTIONS(2426),
    [anon_sym_SLASH_SLASH] = ACTIONS(2426),
    [anon_sym_CARET_CARET] = ACTIONS(2424),
    [anon_sym_AMP_AMP] = ACTIONS(2426),
    [anon_sym_PIPE] = ACTIONS(2426),
    [anon_sym_CARET] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_GT_GT2] = ACTIONS(2426),
    [anon_sym_PLUS] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_DOT] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_SLASH] = ACTIONS(2426),
    [anon_sym_x] = ACTIONS(2426),
    [anon_sym_EQ_TILDE] = ACTIONS(2424),
    [anon_sym_BANG_TILDE] = ACTIONS(2424),
    [anon_sym_EQ_EQ] = ACTIONS(2426),
    [anon_sym_BANG_EQ] = ACTIONS(2424),
    [anon_sym_eq] = ACTIONS(2426),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2424),
    [anon_sym_equ] = ACTIONS(2424),
    [anon_sym_eqr] = ACTIONS(2424),
    [anon_sym_ne] = ACTIONS(2424),
    [anon_sym_LT_EQ_GT] = ACTIONS(2424),
    [anon_sym_cmp] = ACTIONS(2424),
    [anon_sym_TILDE_TILDE] = ACTIONS(2424),
    [anon_sym_LT_EQ] = ACTIONS(2426),
    [anon_sym_GT_EQ] = ACTIONS(2424),
    [anon_sym_lt] = ACTIONS(2424),
    [anon_sym_le] = ACTIONS(2424),
    [anon_sym_ge] = ACTIONS(2424),
    [anon_sym_gt] = ACTIONS(2424),
    [anon_sym_isa] = ACTIONS(2424),
    [anon_sym_PLUS_PLUS] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2424),
    [anon_sym_QMARK] = ACTIONS(2424),
    [anon_sym_EQ_GT] = ACTIONS(2424),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2424),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1803] = {
    [sym_heredoc_content] = STATE(1803),
    [anon_sym_RBRACE] = ACTIONS(1796),
    [anon_sym_COLON] = ACTIONS(1796),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_COMMA] = ACTIONS(1796),
    [anon_sym_RPAREN] = ACTIONS(1796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1796),
    [anon_sym_LBRACK] = ACTIONS(3559),
    [anon_sym_DASH_GT] = ACTIONS(1796),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1796),
    [anon_sym_PLUS_EQ] = ACTIONS(1796),
    [anon_sym_DASH_EQ] = ACTIONS(1796),
    [anon_sym_DOT_EQ] = ACTIONS(1796),
    [anon_sym_STAR_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_PERCENT_EQ] = ACTIONS(1796),
    [anon_sym_x_EQ] = ACTIONS(1796),
    [anon_sym_AMP_EQ] = ACTIONS(1796),
    [anon_sym_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_CARET_EQ] = ACTIONS(1796),
    [anon_sym_LT_LT_EQ] = ACTIONS(1796),
    [anon_sym_GT_GT_EQ] = ACTIONS(1796),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1796),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1787),
    [anon_sym_CARET_CARET] = ACTIONS(1796),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1796),
    [anon_sym_BANG_TILDE] = ACTIONS(1796),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1796),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1796),
    [anon_sym_equ] = ACTIONS(1796),
    [anon_sym_eqr] = ACTIONS(1796),
    [anon_sym_ne] = ACTIONS(1796),
    [anon_sym_LT_EQ_GT] = ACTIONS(1796),
    [anon_sym_cmp] = ACTIONS(1796),
    [anon_sym_TILDE_TILDE] = ACTIONS(1796),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1796),
    [anon_sym_lt] = ACTIONS(1796),
    [anon_sym_le] = ACTIONS(1796),
    [anon_sym_ge] = ACTIONS(1796),
    [anon_sym_gt] = ACTIONS(1796),
    [anon_sym_isa] = ACTIONS(1796),
    [anon_sym_PLUS_PLUS] = ACTIONS(1796),
    [anon_sym_DASH_DASH] = ACTIONS(1796),
    [anon_sym_QMARK] = ACTIONS(1796),
    [anon_sym_EQ_GT] = ACTIONS(1796),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1804] = {
    [sym_heredoc_content] = STATE(1804),
    [anon_sym_RBRACE] = ACTIONS(2562),
    [anon_sym_COLON] = ACTIONS(2562),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(2562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2562),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2562),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_DOT_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_x_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2564),
    [anon_sym_STAR_STAR] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE] = ACTIONS(2564),
    [anon_sym_SLASH_SLASH] = ACTIONS(2564),
    [anon_sym_CARET_CARET] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_GT_GT2] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_x] = ACTIONS(2564),
    [anon_sym_EQ_TILDE] = ACTIONS(2562),
    [anon_sym_BANG_TILDE] = ACTIONS(2562),
    [anon_sym_EQ_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_eq] = ACTIONS(2564),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2562),
    [anon_sym_equ] = ACTIONS(2562),
    [anon_sym_eqr] = ACTIONS(2562),
    [anon_sym_ne] = ACTIONS(2562),
    [anon_sym_LT_EQ_GT] = ACTIONS(2562),
    [anon_sym_cmp] = ACTIONS(2564),
    [anon_sym_TILDE_TILDE] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_lt] = ACTIONS(2562),
    [anon_sym_le] = ACTIONS(2562),
    [anon_sym_ge] = ACTIONS(2562),
    [anon_sym_gt] = ACTIONS(2562),
    [anon_sym_isa] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2562),
    [anon_sym_EQ_GT] = ACTIONS(2562),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3561),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1805] = {
    [sym_heredoc_content] = STATE(1805),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_COLON] = ACTIONS(2446),
    [anon_sym_EQ] = ACTIONS(2448),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(2446),
    [anon_sym_RPAREN] = ACTIONS(2446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2446),
    [anon_sym_DASH_GT] = ACTIONS(2446),
    [anon_sym_PERCENT] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(2448),
    [anon_sym_LT_LT] = ACTIONS(2448),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2446),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_DOT_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_x_EQ] = ACTIONS(2448),
    [anon_sym_AMP_EQ] = ACTIONS(2446),
    [anon_sym_PIPE_EQ] = ACTIONS(2446),
    [anon_sym_CARET_EQ] = ACTIONS(2446),
    [anon_sym_LT_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_GT_EQ] = ACTIONS(2446),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2446),
    [anon_sym_DOT_DOT] = ACTIONS(2448),
    [anon_sym_STAR_STAR] = ACTIONS(2448),
    [anon_sym_PIPE_PIPE] = ACTIONS(2448),
    [anon_sym_SLASH_SLASH] = ACTIONS(2448),
    [anon_sym_CARET_CARET] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_PIPE] = ACTIONS(2448),
    [anon_sym_CARET] = ACTIONS(2448),
    [anon_sym_AMP] = ACTIONS(2448),
    [anon_sym_GT_GT2] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_DOT] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2448),
    [anon_sym_SLASH] = ACTIONS(2448),
    [anon_sym_x] = ACTIONS(2448),
    [anon_sym_EQ_TILDE] = ACTIONS(2446),
    [anon_sym_BANG_TILDE] = ACTIONS(2446),
    [anon_sym_EQ_EQ] = ACTIONS(2448),
    [anon_sym_BANG_EQ] = ACTIONS(2446),
    [anon_sym_eq] = ACTIONS(2448),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2446),
    [anon_sym_equ] = ACTIONS(2448),
    [anon_sym_eqr] = ACTIONS(2448),
    [anon_sym_ne] = ACTIONS(2446),
    [anon_sym_LT_EQ_GT] = ACTIONS(2446),
    [anon_sym_cmp] = ACTIONS(2448),
    [anon_sym_TILDE_TILDE] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2448),
    [anon_sym_GT_EQ] = ACTIONS(2446),
    [anon_sym_lt] = ACTIONS(2448),
    [anon_sym_le] = ACTIONS(2448),
    [anon_sym_ge] = ACTIONS(2448),
    [anon_sym_gt] = ACTIONS(2448),
    [anon_sym_isa] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_QMARK] = ACTIONS(2446),
    [anon_sym_EQ_GT] = ACTIONS(2446),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3563),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1806] = {
    [sym_heredoc_content] = STATE(1806),
    [anon_sym_RBRACE] = ACTIONS(2600),
    [anon_sym_COLON] = ACTIONS(2600),
    [anon_sym_EQ] = ACTIONS(2602),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2600),
    [anon_sym_RPAREN] = ACTIONS(2600),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(3565),
    [anon_sym_DASH_GT] = ACTIONS(2600),
    [anon_sym_PERCENT] = ACTIONS(2602),
    [anon_sym_LT] = ACTIONS(2602),
    [anon_sym_GT] = ACTIONS(2602),
    [anon_sym_LT_LT] = ACTIONS(2602),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2600),
    [anon_sym_PLUS_EQ] = ACTIONS(2600),
    [anon_sym_DASH_EQ] = ACTIONS(2600),
    [anon_sym_DOT_EQ] = ACTIONS(2600),
    [anon_sym_STAR_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_PERCENT_EQ] = ACTIONS(2600),
    [anon_sym_x_EQ] = ACTIONS(2600),
    [anon_sym_AMP_EQ] = ACTIONS(2600),
    [anon_sym_PIPE_EQ] = ACTIONS(2600),
    [anon_sym_CARET_EQ] = ACTIONS(2600),
    [anon_sym_LT_LT_EQ] = ACTIONS(2600),
    [anon_sym_GT_GT_EQ] = ACTIONS(2600),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2600),
    [anon_sym_DOT_DOT] = ACTIONS(2602),
    [anon_sym_STAR_STAR] = ACTIONS(2602),
    [anon_sym_PIPE_PIPE] = ACTIONS(2602),
    [anon_sym_SLASH_SLASH] = ACTIONS(2602),
    [anon_sym_CARET_CARET] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_PIPE] = ACTIONS(2602),
    [anon_sym_CARET] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_GT_GT2] = ACTIONS(2602),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_DOT] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_SLASH] = ACTIONS(2602),
    [anon_sym_x] = ACTIONS(2602),
    [anon_sym_EQ_TILDE] = ACTIONS(2600),
    [anon_sym_BANG_TILDE] = ACTIONS(2600),
    [anon_sym_EQ_EQ] = ACTIONS(2602),
    [anon_sym_BANG_EQ] = ACTIONS(2600),
    [anon_sym_eq] = ACTIONS(2602),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2600),
    [anon_sym_equ] = ACTIONS(2600),
    [anon_sym_eqr] = ACTIONS(2600),
    [anon_sym_ne] = ACTIONS(2600),
    [anon_sym_LT_EQ_GT] = ACTIONS(2600),
    [anon_sym_cmp] = ACTIONS(2600),
    [anon_sym_TILDE_TILDE] = ACTIONS(2600),
    [anon_sym_LT_EQ] = ACTIONS(2602),
    [anon_sym_GT_EQ] = ACTIONS(2600),
    [anon_sym_lt] = ACTIONS(2600),
    [anon_sym_le] = ACTIONS(2600),
    [anon_sym_ge] = ACTIONS(2600),
    [anon_sym_gt] = ACTIONS(2600),
    [anon_sym_isa] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_QMARK] = ACTIONS(2600),
    [anon_sym_EQ_GT] = ACTIONS(2600),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1807] = {
    [sym_heredoc_content] = STATE(1807),
    [anon_sym_LBRACE] = ACTIONS(2416),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym_EQ] = ACTIONS(2420),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2418),
    [anon_sym_LBRACK] = ACTIONS(2416),
    [anon_sym_DASH_GT] = ACTIONS(2418),
    [anon_sym_PERCENT] = ACTIONS(2420),
    [anon_sym_LT] = ACTIONS(2420),
    [anon_sym_GT] = ACTIONS(2420),
    [anon_sym_LT_LT] = ACTIONS(2420),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2418),
    [anon_sym_PLUS_EQ] = ACTIONS(2418),
    [anon_sym_DASH_EQ] = ACTIONS(2418),
    [anon_sym_DOT_EQ] = ACTIONS(2418),
    [anon_sym_STAR_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_PERCENT_EQ] = ACTIONS(2418),
    [anon_sym_x_EQ] = ACTIONS(2418),
    [anon_sym_AMP_EQ] = ACTIONS(2418),
    [anon_sym_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_CARET_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT_EQ] = ACTIONS(2418),
    [anon_sym_GT_GT_EQ] = ACTIONS(2418),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(2420),
    [anon_sym_STAR_STAR] = ACTIONS(2420),
    [anon_sym_PIPE_PIPE] = ACTIONS(2420),
    [anon_sym_SLASH_SLASH] = ACTIONS(2420),
    [anon_sym_CARET_CARET] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2420),
    [anon_sym_PIPE] = ACTIONS(2420),
    [anon_sym_CARET] = ACTIONS(2420),
    [anon_sym_AMP] = ACTIONS(2420),
    [anon_sym_GT_GT2] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_DOT] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2420),
    [anon_sym_SLASH] = ACTIONS(2420),
    [anon_sym_x] = ACTIONS(2420),
    [anon_sym_EQ_TILDE] = ACTIONS(2418),
    [anon_sym_BANG_TILDE] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2420),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_eq] = ACTIONS(2420),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_equ] = ACTIONS(2418),
    [anon_sym_eqr] = ACTIONS(2418),
    [anon_sym_ne] = ACTIONS(2418),
    [anon_sym_LT_EQ_GT] = ACTIONS(2418),
    [anon_sym_cmp] = ACTIONS(2418),
    [anon_sym_TILDE_TILDE] = ACTIONS(2418),
    [anon_sym_LT_EQ] = ACTIONS(2420),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_lt] = ACTIONS(2418),
    [anon_sym_le] = ACTIONS(2418),
    [anon_sym_ge] = ACTIONS(2418),
    [anon_sym_gt] = ACTIONS(2418),
    [anon_sym_isa] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_QMARK] = ACTIONS(2418),
    [anon_sym_EQ_GT] = ACTIONS(2418),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2418),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1808] = {
    [sym_heredoc_content] = STATE(1808),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_COLON] = ACTIONS(2434),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_RPAREN] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2434),
    [anon_sym_DASH_GT] = ACTIONS(2434),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2434),
    [anon_sym_PLUS_EQ] = ACTIONS(2434),
    [anon_sym_DASH_EQ] = ACTIONS(2434),
    [anon_sym_DOT_EQ] = ACTIONS(2434),
    [anon_sym_STAR_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_PERCENT_EQ] = ACTIONS(2434),
    [anon_sym_x_EQ] = ACTIONS(2436),
    [anon_sym_AMP_EQ] = ACTIONS(2434),
    [anon_sym_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_CARET_EQ] = ACTIONS(2434),
    [anon_sym_LT_LT_EQ] = ACTIONS(2434),
    [anon_sym_GT_GT_EQ] = ACTIONS(2434),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2434),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2434),
    [anon_sym_BANG_TILDE] = ACTIONS(2434),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2434),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2434),
    [anon_sym_equ] = ACTIONS(2434),
    [anon_sym_eqr] = ACTIONS(2434),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2434),
    [anon_sym_cmp] = ACTIONS(2434),
    [anon_sym_TILDE_TILDE] = ACTIONS(2434),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2434),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2434),
    [anon_sym_gt] = ACTIONS(2434),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2434),
    [anon_sym_EQ_GT] = ACTIONS(2434),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3567),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1809] = {
    [sym_heredoc_content] = STATE(1809),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_COLON] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(3565),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2538),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2538),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2538),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2538),
    [anon_sym_le] = ACTIONS(2538),
    [anon_sym_ge] = ACTIONS(2538),
    [anon_sym_gt] = ACTIONS(2538),
    [anon_sym_isa] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1810] = {
    [sym_heredoc_content] = STATE(1810),
    [anon_sym_RBRACE] = ACTIONS(2464),
    [anon_sym_COLON] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(2466),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_COMMA] = ACTIONS(2464),
    [anon_sym_RPAREN] = ACTIONS(2464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(3569),
    [anon_sym_DASH_GT] = ACTIONS(2464),
    [anon_sym_PERCENT] = ACTIONS(2466),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_GT] = ACTIONS(2466),
    [anon_sym_LT_LT] = ACTIONS(2466),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(2464),
    [anon_sym_DASH_EQ] = ACTIONS(2464),
    [anon_sym_DOT_EQ] = ACTIONS(2464),
    [anon_sym_STAR_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_PERCENT_EQ] = ACTIONS(2464),
    [anon_sym_x_EQ] = ACTIONS(2464),
    [anon_sym_AMP_EQ] = ACTIONS(2464),
    [anon_sym_PIPE_EQ] = ACTIONS(2464),
    [anon_sym_CARET_EQ] = ACTIONS(2464),
    [anon_sym_LT_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_GT_EQ] = ACTIONS(2464),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2464),
    [anon_sym_DOT_DOT] = ACTIONS(2466),
    [anon_sym_STAR_STAR] = ACTIONS(2466),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH] = ACTIONS(2466),
    [anon_sym_CARET_CARET] = ACTIONS(2464),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_PIPE] = ACTIONS(2466),
    [anon_sym_CARET] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2466),
    [anon_sym_GT_GT2] = ACTIONS(2466),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_SLASH] = ACTIONS(2466),
    [anon_sym_x] = ACTIONS(2466),
    [anon_sym_EQ_TILDE] = ACTIONS(2464),
    [anon_sym_BANG_TILDE] = ACTIONS(2464),
    [anon_sym_EQ_EQ] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_eq] = ACTIONS(2466),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2464),
    [anon_sym_equ] = ACTIONS(2464),
    [anon_sym_eqr] = ACTIONS(2464),
    [anon_sym_ne] = ACTIONS(2464),
    [anon_sym_LT_EQ_GT] = ACTIONS(2464),
    [anon_sym_cmp] = ACTIONS(2464),
    [anon_sym_TILDE_TILDE] = ACTIONS(2464),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2464),
    [anon_sym_lt] = ACTIONS(2464),
    [anon_sym_le] = ACTIONS(2464),
    [anon_sym_ge] = ACTIONS(2464),
    [anon_sym_gt] = ACTIONS(2464),
    [anon_sym_isa] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2464),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1811] = {
    [sym_heredoc_content] = STATE(1811),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_COLON] = ACTIONS(2574),
    [anon_sym_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_COMMA] = ACTIONS(2574),
    [anon_sym_RPAREN] = ACTIONS(2574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2574),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_DASH_GT] = ACTIONS(2574),
    [anon_sym_PERCENT] = ACTIONS(2576),
    [anon_sym_LT] = ACTIONS(2576),
    [anon_sym_GT] = ACTIONS(2576),
    [anon_sym_LT_LT] = ACTIONS(2576),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_DOT_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_x_EQ] = ACTIONS(2574),
    [anon_sym_AMP_EQ] = ACTIONS(2574),
    [anon_sym_PIPE_EQ] = ACTIONS(2574),
    [anon_sym_CARET_EQ] = ACTIONS(2574),
    [anon_sym_LT_LT_EQ] = ACTIONS(2574),
    [anon_sym_GT_GT_EQ] = ACTIONS(2574),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2576),
    [anon_sym_STAR_STAR] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE] = ACTIONS(2576),
    [anon_sym_SLASH_SLASH] = ACTIONS(2576),
    [anon_sym_CARET_CARET] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2576),
    [anon_sym_CARET] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_GT_GT2] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_DOT] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2576),
    [anon_sym_SLASH] = ACTIONS(2576),
    [anon_sym_x] = ACTIONS(2576),
    [anon_sym_EQ_TILDE] = ACTIONS(2574),
    [anon_sym_BANG_TILDE] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2576),
    [anon_sym_BANG_EQ] = ACTIONS(2574),
    [anon_sym_eq] = ACTIONS(2576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_equ] = ACTIONS(2574),
    [anon_sym_eqr] = ACTIONS(2574),
    [anon_sym_ne] = ACTIONS(2574),
    [anon_sym_LT_EQ_GT] = ACTIONS(2574),
    [anon_sym_cmp] = ACTIONS(2574),
    [anon_sym_TILDE_TILDE] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2576),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_lt] = ACTIONS(2574),
    [anon_sym_le] = ACTIONS(2574),
    [anon_sym_ge] = ACTIONS(2574),
    [anon_sym_gt] = ACTIONS(2574),
    [anon_sym_isa] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_QMARK] = ACTIONS(2574),
    [anon_sym_EQ_GT] = ACTIONS(2574),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1812] = {
    [sym_heredoc_content] = STATE(1812),
    [anon_sym_RBRACE] = ACTIONS(2578),
    [anon_sym_COLON] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2578),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2578),
    [anon_sym_RPAREN] = ACTIONS(2578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2578),
    [anon_sym_DASH_GT] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2580),
    [anon_sym_LT] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2580),
    [anon_sym_LT_LT] = ACTIONS(2580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2578),
    [anon_sym_PLUS_EQ] = ACTIONS(2578),
    [anon_sym_DASH_EQ] = ACTIONS(2578),
    [anon_sym_DOT_EQ] = ACTIONS(2578),
    [anon_sym_STAR_EQ] = ACTIONS(2578),
    [anon_sym_SLASH_EQ] = ACTIONS(2578),
    [anon_sym_PERCENT_EQ] = ACTIONS(2578),
    [anon_sym_x_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2578),
    [anon_sym_PIPE_EQ] = ACTIONS(2578),
    [anon_sym_CARET_EQ] = ACTIONS(2578),
    [anon_sym_LT_LT_EQ] = ACTIONS(2578),
    [anon_sym_GT_GT_EQ] = ACTIONS(2578),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2578),
    [anon_sym_DOT_DOT] = ACTIONS(2580),
    [anon_sym_STAR_STAR] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_SLASH_SLASH] = ACTIONS(2580),
    [anon_sym_CARET_CARET] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_GT_GT2] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2580),
    [anon_sym_x] = ACTIONS(2580),
    [anon_sym_EQ_TILDE] = ACTIONS(2578),
    [anon_sym_BANG_TILDE] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2578),
    [anon_sym_eq] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2578),
    [anon_sym_equ] = ACTIONS(2578),
    [anon_sym_eqr] = ACTIONS(2578),
    [anon_sym_ne] = ACTIONS(2580),
    [anon_sym_LT_EQ_GT] = ACTIONS(2578),
    [anon_sym_cmp] = ACTIONS(2578),
    [anon_sym_TILDE_TILDE] = ACTIONS(2578),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2578),
    [anon_sym_lt] = ACTIONS(2580),
    [anon_sym_le] = ACTIONS(2580),
    [anon_sym_ge] = ACTIONS(2578),
    [anon_sym_gt] = ACTIONS(2578),
    [anon_sym_isa] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_EQ_GT] = ACTIONS(2578),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3571),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1813] = {
    [sym_heredoc_content] = STATE(1813),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [anon_sym_COLON] = ACTIONS(2584),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_RPAREN] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_DASH_GT] = ACTIONS(2584),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2586),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_DOT_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_x_EQ] = ACTIONS(2586),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2584),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_STAR_STAR] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2586),
    [anon_sym_SLASH_SLASH] = ACTIONS(2586),
    [anon_sym_CARET_CARET] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_GT_GT2] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_x] = ACTIONS(2586),
    [anon_sym_EQ_TILDE] = ACTIONS(2584),
    [anon_sym_BANG_TILDE] = ACTIONS(2584),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2584),
    [anon_sym_eq] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_equ] = ACTIONS(2584),
    [anon_sym_eqr] = ACTIONS(2584),
    [anon_sym_ne] = ACTIONS(2586),
    [anon_sym_LT_EQ_GT] = ACTIONS(2584),
    [anon_sym_cmp] = ACTIONS(2586),
    [anon_sym_TILDE_TILDE] = ACTIONS(2584),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_lt] = ACTIONS(2586),
    [anon_sym_le] = ACTIONS(2586),
    [anon_sym_ge] = ACTIONS(2586),
    [anon_sym_gt] = ACTIONS(2586),
    [anon_sym_isa] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_EQ_GT] = ACTIONS(2584),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3573),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1814] = {
    [sym_heredoc_content] = STATE(1814),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_EQ] = ACTIONS(1846),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2871),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(2869),
    [anon_sym_or] = ACTIONS(2869),
    [anon_sym_xor] = ACTIONS(2869),
    [anon_sym_DASH_GT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1846),
    [anon_sym_LT] = ACTIONS(1846),
    [anon_sym_GT] = ACTIONS(1846),
    [anon_sym_LT_LT] = ACTIONS(1846),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2869),
    [anon_sym_PLUS_EQ] = ACTIONS(2869),
    [anon_sym_DASH_EQ] = ACTIONS(2869),
    [anon_sym_DOT_EQ] = ACTIONS(2869),
    [anon_sym_STAR_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_PERCENT_EQ] = ACTIONS(2869),
    [anon_sym_x_EQ] = ACTIONS(2869),
    [anon_sym_AMP_EQ] = ACTIONS(2869),
    [anon_sym_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_CARET_EQ] = ACTIONS(2869),
    [anon_sym_LT_LT_EQ] = ACTIONS(2869),
    [anon_sym_GT_GT_EQ] = ACTIONS(2869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2869),
    [anon_sym_DOT_DOT] = ACTIONS(1846),
    [anon_sym_STAR_STAR] = ACTIONS(1846),
    [anon_sym_PIPE_PIPE] = ACTIONS(1846),
    [anon_sym_SLASH_SLASH] = ACTIONS(1846),
    [anon_sym_CARET_CARET] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(1846),
    [anon_sym_PIPE] = ACTIONS(1846),
    [anon_sym_CARET] = ACTIONS(1846),
    [anon_sym_AMP] = ACTIONS(1846),
    [anon_sym_GT_GT2] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1846),
    [anon_sym_DASH] = ACTIONS(1846),
    [anon_sym_DOT] = ACTIONS(1846),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_SLASH] = ACTIONS(1846),
    [anon_sym_x] = ACTIONS(1846),
    [anon_sym_EQ_TILDE] = ACTIONS(2869),
    [anon_sym_BANG_TILDE] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(1846),
    [anon_sym_BANG_EQ] = ACTIONS(2869),
    [anon_sym_eq] = ACTIONS(1846),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2869),
    [anon_sym_equ] = ACTIONS(2869),
    [anon_sym_eqr] = ACTIONS(2869),
    [anon_sym_ne] = ACTIONS(2869),
    [anon_sym_LT_EQ_GT] = ACTIONS(2869),
    [anon_sym_cmp] = ACTIONS(2869),
    [anon_sym_TILDE_TILDE] = ACTIONS(2869),
    [anon_sym_LT_EQ] = ACTIONS(1846),
    [anon_sym_GT_EQ] = ACTIONS(2869),
    [anon_sym_lt] = ACTIONS(2869),
    [anon_sym_le] = ACTIONS(2869),
    [anon_sym_ge] = ACTIONS(2869),
    [anon_sym_gt] = ACTIONS(2869),
    [anon_sym_isa] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_QMARK] = ACTIONS(2869),
    [anon_sym_EQ_GT] = ACTIONS(2871),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1815] = {
    [sym_heredoc_content] = STATE(1815),
    [anon_sym_RBRACE] = ACTIONS(2626),
    [anon_sym_COLON] = ACTIONS(2626),
    [anon_sym_EQ] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2626),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2626),
    [anon_sym_COMMA] = ACTIONS(2626),
    [anon_sym_RPAREN] = ACTIONS(2626),
    [anon_sym_LPAREN] = ACTIONS(2626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2626),
    [anon_sym_DASH_GT] = ACTIONS(2626),
    [anon_sym_PERCENT] = ACTIONS(2628),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_GT] = ACTIONS(2628),
    [anon_sym_LT_LT] = ACTIONS(2628),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2626),
    [anon_sym_PLUS_EQ] = ACTIONS(2626),
    [anon_sym_DASH_EQ] = ACTIONS(2626),
    [anon_sym_DOT_EQ] = ACTIONS(2626),
    [anon_sym_STAR_EQ] = ACTIONS(2626),
    [anon_sym_SLASH_EQ] = ACTIONS(2626),
    [anon_sym_PERCENT_EQ] = ACTIONS(2626),
    [anon_sym_x_EQ] = ACTIONS(2626),
    [anon_sym_AMP_EQ] = ACTIONS(2626),
    [anon_sym_PIPE_EQ] = ACTIONS(2626),
    [anon_sym_CARET_EQ] = ACTIONS(2626),
    [anon_sym_LT_LT_EQ] = ACTIONS(2626),
    [anon_sym_GT_GT_EQ] = ACTIONS(2626),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2626),
    [anon_sym_DOT_DOT] = ACTIONS(2628),
    [anon_sym_STAR_STAR] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE] = ACTIONS(2628),
    [anon_sym_SLASH_SLASH] = ACTIONS(2628),
    [anon_sym_CARET_CARET] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2628),
    [anon_sym_PIPE] = ACTIONS(2628),
    [anon_sym_CARET] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_GT_GT2] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_DOT] = ACTIONS(2628),
    [anon_sym_STAR] = ACTIONS(2628),
    [anon_sym_SLASH] = ACTIONS(2628),
    [anon_sym_x] = ACTIONS(2628),
    [anon_sym_EQ_TILDE] = ACTIONS(2626),
    [anon_sym_BANG_TILDE] = ACTIONS(2626),
    [anon_sym_EQ_EQ] = ACTIONS(2628),
    [anon_sym_BANG_EQ] = ACTIONS(2626),
    [anon_sym_eq] = ACTIONS(2628),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2626),
    [anon_sym_equ] = ACTIONS(2626),
    [anon_sym_eqr] = ACTIONS(2626),
    [anon_sym_ne] = ACTIONS(2626),
    [anon_sym_LT_EQ_GT] = ACTIONS(2626),
    [anon_sym_cmp] = ACTIONS(2626),
    [anon_sym_TILDE_TILDE] = ACTIONS(2626),
    [anon_sym_LT_EQ] = ACTIONS(2628),
    [anon_sym_GT_EQ] = ACTIONS(2626),
    [anon_sym_lt] = ACTIONS(2626),
    [anon_sym_le] = ACTIONS(2626),
    [anon_sym_ge] = ACTIONS(2626),
    [anon_sym_gt] = ACTIONS(2626),
    [anon_sym_isa] = ACTIONS(2626),
    [anon_sym_PLUS_PLUS] = ACTIONS(2626),
    [anon_sym_DASH_DASH] = ACTIONS(2626),
    [anon_sym_QMARK] = ACTIONS(2626),
    [anon_sym_EQ_GT] = ACTIONS(2626),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1816] = {
    [sym_heredoc_content] = STATE(1816),
    [anon_sym_RBRACE] = ACTIONS(2630),
    [anon_sym_COLON] = ACTIONS(2630),
    [anon_sym_EQ] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2630),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2630),
    [anon_sym_RPAREN] = ACTIONS(2630),
    [anon_sym_LPAREN] = ACTIONS(3575),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2630),
    [anon_sym_DASH_GT] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2632),
    [anon_sym_LT] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2632),
    [anon_sym_LT_LT] = ACTIONS(2632),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2630),
    [anon_sym_PLUS_EQ] = ACTIONS(2630),
    [anon_sym_DASH_EQ] = ACTIONS(2630),
    [anon_sym_DOT_EQ] = ACTIONS(2630),
    [anon_sym_STAR_EQ] = ACTIONS(2630),
    [anon_sym_SLASH_EQ] = ACTIONS(2630),
    [anon_sym_PERCENT_EQ] = ACTIONS(2630),
    [anon_sym_x_EQ] = ACTIONS(2630),
    [anon_sym_AMP_EQ] = ACTIONS(2630),
    [anon_sym_PIPE_EQ] = ACTIONS(2630),
    [anon_sym_CARET_EQ] = ACTIONS(2630),
    [anon_sym_LT_LT_EQ] = ACTIONS(2630),
    [anon_sym_GT_GT_EQ] = ACTIONS(2630),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2630),
    [anon_sym_DOT_DOT] = ACTIONS(2632),
    [anon_sym_STAR_STAR] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_SLASH_SLASH] = ACTIONS(2632),
    [anon_sym_CARET_CARET] = ACTIONS(2630),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_PIPE] = ACTIONS(2632),
    [anon_sym_CARET] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_GT_GT2] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2632),
    [anon_sym_DASH] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2632),
    [anon_sym_STAR] = ACTIONS(2632),
    [anon_sym_SLASH] = ACTIONS(2632),
    [anon_sym_x] = ACTIONS(2632),
    [anon_sym_EQ_TILDE] = ACTIONS(2630),
    [anon_sym_BANG_TILDE] = ACTIONS(2630),
    [anon_sym_EQ_EQ] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_eq] = ACTIONS(2632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2630),
    [anon_sym_equ] = ACTIONS(2630),
    [anon_sym_eqr] = ACTIONS(2630),
    [anon_sym_ne] = ACTIONS(2630),
    [anon_sym_LT_EQ_GT] = ACTIONS(2630),
    [anon_sym_cmp] = ACTIONS(2630),
    [anon_sym_TILDE_TILDE] = ACTIONS(2630),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2630),
    [anon_sym_lt] = ACTIONS(2630),
    [anon_sym_le] = ACTIONS(2630),
    [anon_sym_ge] = ACTIONS(2630),
    [anon_sym_gt] = ACTIONS(2630),
    [anon_sym_isa] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2630),
    [anon_sym_DASH_DASH] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_EQ_GT] = ACTIONS(2630),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1817] = {
    [sym_heredoc_content] = STATE(1817),
    [anon_sym_RBRACE] = ACTIONS(2604),
    [anon_sym_COLON] = ACTIONS(2604),
    [anon_sym_EQ] = ACTIONS(2606),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2604),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2604),
    [anon_sym_COMMA] = ACTIONS(2604),
    [anon_sym_RPAREN] = ACTIONS(2604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2604),
    [anon_sym_DASH_GT] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2606),
    [anon_sym_LT] = ACTIONS(2606),
    [anon_sym_GT] = ACTIONS(2606),
    [anon_sym_LT_LT] = ACTIONS(2606),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2604),
    [anon_sym_PLUS_EQ] = ACTIONS(2604),
    [anon_sym_DASH_EQ] = ACTIONS(2604),
    [anon_sym_DOT_EQ] = ACTIONS(2604),
    [anon_sym_STAR_EQ] = ACTIONS(2604),
    [anon_sym_SLASH_EQ] = ACTIONS(2604),
    [anon_sym_PERCENT_EQ] = ACTIONS(2604),
    [anon_sym_x_EQ] = ACTIONS(2606),
    [anon_sym_AMP_EQ] = ACTIONS(2604),
    [anon_sym_PIPE_EQ] = ACTIONS(2604),
    [anon_sym_CARET_EQ] = ACTIONS(2604),
    [anon_sym_LT_LT_EQ] = ACTIONS(2604),
    [anon_sym_GT_GT_EQ] = ACTIONS(2604),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2604),
    [anon_sym_DOT_DOT] = ACTIONS(2606),
    [anon_sym_STAR_STAR] = ACTIONS(2606),
    [anon_sym_PIPE_PIPE] = ACTIONS(2606),
    [anon_sym_SLASH_SLASH] = ACTIONS(2606),
    [anon_sym_CARET_CARET] = ACTIONS(2604),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym_GT_GT2] = ACTIONS(2606),
    [anon_sym_PLUS] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2606),
    [anon_sym_DOT] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_SLASH] = ACTIONS(2606),
    [anon_sym_x] = ACTIONS(2606),
    [anon_sym_EQ_TILDE] = ACTIONS(2604),
    [anon_sym_BANG_TILDE] = ACTIONS(2604),
    [anon_sym_EQ_EQ] = ACTIONS(2606),
    [anon_sym_BANG_EQ] = ACTIONS(2604),
    [anon_sym_eq] = ACTIONS(2606),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2604),
    [anon_sym_equ] = ACTIONS(2604),
    [anon_sym_eqr] = ACTIONS(2604),
    [anon_sym_ne] = ACTIONS(2606),
    [anon_sym_LT_EQ_GT] = ACTIONS(2604),
    [anon_sym_cmp] = ACTIONS(2606),
    [anon_sym_TILDE_TILDE] = ACTIONS(2604),
    [anon_sym_LT_EQ] = ACTIONS(2606),
    [anon_sym_GT_EQ] = ACTIONS(2604),
    [anon_sym_lt] = ACTIONS(2606),
    [anon_sym_le] = ACTIONS(2606),
    [anon_sym_ge] = ACTIONS(2606),
    [anon_sym_gt] = ACTIONS(2606),
    [anon_sym_isa] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2604),
    [anon_sym_QMARK] = ACTIONS(2604),
    [anon_sym_EQ_GT] = ACTIONS(2604),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3577),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1818] = {
    [sym_heredoc_content] = STATE(1818),
    [anon_sym_RBRACE] = ACTIONS(2651),
    [anon_sym_COLON] = ACTIONS(2651),
    [anon_sym_EQ] = ACTIONS(2653),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2651),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2651),
    [anon_sym_COMMA] = ACTIONS(2651),
    [anon_sym_RPAREN] = ACTIONS(2651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2651),
    [anon_sym_LBRACK] = ACTIONS(3569),
    [anon_sym_DASH_GT] = ACTIONS(2651),
    [anon_sym_PERCENT] = ACTIONS(2653),
    [anon_sym_LT] = ACTIONS(2653),
    [anon_sym_GT] = ACTIONS(2653),
    [anon_sym_LT_LT] = ACTIONS(2653),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2651),
    [anon_sym_PLUS_EQ] = ACTIONS(2651),
    [anon_sym_DASH_EQ] = ACTIONS(2651),
    [anon_sym_DOT_EQ] = ACTIONS(2651),
    [anon_sym_STAR_EQ] = ACTIONS(2651),
    [anon_sym_SLASH_EQ] = ACTIONS(2651),
    [anon_sym_PERCENT_EQ] = ACTIONS(2651),
    [anon_sym_x_EQ] = ACTIONS(2651),
    [anon_sym_AMP_EQ] = ACTIONS(2651),
    [anon_sym_PIPE_EQ] = ACTIONS(2651),
    [anon_sym_CARET_EQ] = ACTIONS(2651),
    [anon_sym_LT_LT_EQ] = ACTIONS(2651),
    [anon_sym_GT_GT_EQ] = ACTIONS(2651),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2651),
    [anon_sym_DOT_DOT] = ACTIONS(2653),
    [anon_sym_STAR_STAR] = ACTIONS(2653),
    [anon_sym_PIPE_PIPE] = ACTIONS(2653),
    [anon_sym_SLASH_SLASH] = ACTIONS(2653),
    [anon_sym_CARET_CARET] = ACTIONS(2651),
    [anon_sym_AMP_AMP] = ACTIONS(2653),
    [anon_sym_PIPE] = ACTIONS(2653),
    [anon_sym_CARET] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_GT_GT2] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_DOT] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_SLASH] = ACTIONS(2653),
    [anon_sym_x] = ACTIONS(2653),
    [anon_sym_EQ_TILDE] = ACTIONS(2651),
    [anon_sym_BANG_TILDE] = ACTIONS(2651),
    [anon_sym_EQ_EQ] = ACTIONS(2653),
    [anon_sym_BANG_EQ] = ACTIONS(2651),
    [anon_sym_eq] = ACTIONS(2653),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2651),
    [anon_sym_equ] = ACTIONS(2651),
    [anon_sym_eqr] = ACTIONS(2651),
    [anon_sym_ne] = ACTIONS(2651),
    [anon_sym_LT_EQ_GT] = ACTIONS(2651),
    [anon_sym_cmp] = ACTIONS(2651),
    [anon_sym_TILDE_TILDE] = ACTIONS(2651),
    [anon_sym_LT_EQ] = ACTIONS(2653),
    [anon_sym_GT_EQ] = ACTIONS(2651),
    [anon_sym_lt] = ACTIONS(2651),
    [anon_sym_le] = ACTIONS(2651),
    [anon_sym_ge] = ACTIONS(2651),
    [anon_sym_gt] = ACTIONS(2651),
    [anon_sym_isa] = ACTIONS(2651),
    [anon_sym_PLUS_PLUS] = ACTIONS(2651),
    [anon_sym_DASH_DASH] = ACTIONS(2651),
    [anon_sym_QMARK] = ACTIONS(2651),
    [anon_sym_EQ_GT] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1819] = {
    [sym_heredoc_content] = STATE(1819),
    [anon_sym_COLON] = ACTIONS(3579),
    [anon_sym_DOLLAR] = ACTIONS(3579),
    [anon_sym_EQ] = ACTIONS(3421),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3423),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3423),
    [anon_sym_AT] = ACTIONS(3579),
    [anon_sym_COMMA] = ACTIONS(3579),
    [anon_sym_RPAREN] = ACTIONS(3579),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3427),
    [anon_sym_DASH_GT] = ACTIONS(3429),
    [anon_sym_PERCENT] = ACTIONS(3431),
    [anon_sym_LT] = ACTIONS(3433),
    [anon_sym_GT] = ACTIONS(3433),
    [anon_sym_LT_LT] = ACTIONS(3435),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3423),
    [anon_sym_PLUS_EQ] = ACTIONS(3423),
    [anon_sym_DASH_EQ] = ACTIONS(3423),
    [anon_sym_DOT_EQ] = ACTIONS(3423),
    [anon_sym_STAR_EQ] = ACTIONS(3423),
    [anon_sym_SLASH_EQ] = ACTIONS(3423),
    [anon_sym_PERCENT_EQ] = ACTIONS(3421),
    [anon_sym_x_EQ] = ACTIONS(3423),
    [anon_sym_AMP_EQ] = ACTIONS(3423),
    [anon_sym_PIPE_EQ] = ACTIONS(3423),
    [anon_sym_CARET_EQ] = ACTIONS(3423),
    [anon_sym_LT_LT_EQ] = ACTIONS(3423),
    [anon_sym_GT_GT_EQ] = ACTIONS(3423),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3423),
    [anon_sym_DOT_DOT] = ACTIONS(3437),
    [anon_sym_STAR_STAR] = ACTIONS(3439),
    [anon_sym_PIPE_PIPE] = ACTIONS(3441),
    [anon_sym_SLASH_SLASH] = ACTIONS(3441),
    [anon_sym_CARET_CARET] = ACTIONS(3443),
    [anon_sym_AMP_AMP] = ACTIONS(3445),
    [anon_sym_PIPE] = ACTIONS(3447),
    [anon_sym_CARET] = ACTIONS(3447),
    [anon_sym_AMP] = ACTIONS(3449),
    [anon_sym_GT_GT2] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(3451),
    [anon_sym_DASH] = ACTIONS(3451),
    [anon_sym_DOT] = ACTIONS(3451),
    [anon_sym_STAR] = ACTIONS(3431),
    [anon_sym_SLASH] = ACTIONS(3431),
    [anon_sym_x] = ACTIONS(3431),
    [anon_sym_EQ_TILDE] = ACTIONS(3453),
    [anon_sym_BANG_TILDE] = ACTIONS(3453),
    [anon_sym_EQ_EQ] = ACTIONS(3455),
    [anon_sym_BANG_EQ] = ACTIONS(3457),
    [anon_sym_eq] = ACTIONS(3455),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3457),
    [anon_sym_equ] = ACTIONS(3457),
    [anon_sym_eqr] = ACTIONS(3457),
    [anon_sym_ne] = ACTIONS(3457),
    [anon_sym_LT_EQ_GT] = ACTIONS(3459),
    [anon_sym_cmp] = ACTIONS(3459),
    [anon_sym_TILDE_TILDE] = ACTIONS(3459),
    [anon_sym_LT_EQ] = ACTIONS(3433),
    [anon_sym_GT_EQ] = ACTIONS(3461),
    [anon_sym_lt] = ACTIONS(3461),
    [anon_sym_le] = ACTIONS(3461),
    [anon_sym_ge] = ACTIONS(3461),
    [anon_sym_gt] = ACTIONS(3461),
    [anon_sym_isa] = ACTIONS(3463),
    [anon_sym_PLUS_PLUS] = ACTIONS(3465),
    [anon_sym_DASH_DASH] = ACTIONS(3465),
    [anon_sym_QMARK] = ACTIONS(3467),
    [anon_sym_PERCENT2] = ACTIONS(3579),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1820] = {
    [sym_heredoc_content] = STATE(1820),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_COLON] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_COMMA] = ACTIONS(3150),
    [anon_sym_RPAREN] = ACTIONS(3150),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3150),
    [anon_sym_DASH_GT] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_GT] = ACTIONS(3152),
    [anon_sym_LT_LT] = ACTIONS(3152),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3150),
    [anon_sym_DASH_EQ] = ACTIONS(3150),
    [anon_sym_DOT_EQ] = ACTIONS(3150),
    [anon_sym_STAR_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_PERCENT_EQ] = ACTIONS(3150),
    [anon_sym_x_EQ] = ACTIONS(3150),
    [anon_sym_AMP_EQ] = ACTIONS(3150),
    [anon_sym_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_CARET_EQ] = ACTIONS(3150),
    [anon_sym_LT_LT_EQ] = ACTIONS(3150),
    [anon_sym_GT_GT_EQ] = ACTIONS(3150),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3150),
    [anon_sym_DOT_DOT] = ACTIONS(3152),
    [anon_sym_STAR_STAR] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_SLASH_SLASH] = ACTIONS(3152),
    [anon_sym_CARET_CARET] = ACTIONS(3150),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_GT_GT2] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_x] = ACTIONS(3152),
    [anon_sym_EQ_TILDE] = ACTIONS(3150),
    [anon_sym_BANG_TILDE] = ACTIONS(3150),
    [anon_sym_EQ_EQ] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_eq] = ACTIONS(3152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3150),
    [anon_sym_equ] = ACTIONS(3150),
    [anon_sym_eqr] = ACTIONS(3150),
    [anon_sym_ne] = ACTIONS(3150),
    [anon_sym_LT_EQ_GT] = ACTIONS(3150),
    [anon_sym_cmp] = ACTIONS(3150),
    [anon_sym_TILDE_TILDE] = ACTIONS(3150),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3150),
    [anon_sym_lt] = ACTIONS(3150),
    [anon_sym_le] = ACTIONS(3150),
    [anon_sym_ge] = ACTIONS(3150),
    [anon_sym_gt] = ACTIONS(3150),
    [anon_sym_isa] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_EQ_GT] = ACTIONS(3150),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1821] = {
    [sym_heredoc_content] = STATE(1821),
    [anon_sym_RBRACE] = ACTIONS(2769),
    [anon_sym_COLON] = ACTIONS(2769),
    [anon_sym_EQ] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2769),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2769),
    [anon_sym_COMMA] = ACTIONS(2769),
    [anon_sym_RPAREN] = ACTIONS(2769),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2769),
    [anon_sym_DASH_GT] = ACTIONS(2769),
    [anon_sym_PERCENT] = ACTIONS(2771),
    [anon_sym_LT] = ACTIONS(2771),
    [anon_sym_GT] = ACTIONS(2771),
    [anon_sym_LT_LT] = ACTIONS(2771),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2769),
    [anon_sym_PLUS_EQ] = ACTIONS(2769),
    [anon_sym_DASH_EQ] = ACTIONS(2769),
    [anon_sym_DOT_EQ] = ACTIONS(2769),
    [anon_sym_STAR_EQ] = ACTIONS(2769),
    [anon_sym_SLASH_EQ] = ACTIONS(2769),
    [anon_sym_PERCENT_EQ] = ACTIONS(2769),
    [anon_sym_x_EQ] = ACTIONS(2769),
    [anon_sym_AMP_EQ] = ACTIONS(2769),
    [anon_sym_PIPE_EQ] = ACTIONS(2769),
    [anon_sym_CARET_EQ] = ACTIONS(2769),
    [anon_sym_LT_LT_EQ] = ACTIONS(2769),
    [anon_sym_GT_GT_EQ] = ACTIONS(2769),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2769),
    [anon_sym_DOT_DOT] = ACTIONS(2771),
    [anon_sym_STAR_STAR] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE] = ACTIONS(2771),
    [anon_sym_SLASH_SLASH] = ACTIONS(2771),
    [anon_sym_CARET_CARET] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_PIPE] = ACTIONS(2771),
    [anon_sym_CARET] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2771),
    [anon_sym_GT_GT2] = ACTIONS(2771),
    [anon_sym_PLUS] = ACTIONS(2771),
    [anon_sym_DASH] = ACTIONS(2771),
    [anon_sym_DOT] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_x] = ACTIONS(2771),
    [anon_sym_EQ_TILDE] = ACTIONS(2769),
    [anon_sym_BANG_TILDE] = ACTIONS(2769),
    [anon_sym_EQ_EQ] = ACTIONS(2771),
    [anon_sym_BANG_EQ] = ACTIONS(2769),
    [anon_sym_eq] = ACTIONS(2771),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2769),
    [anon_sym_equ] = ACTIONS(2769),
    [anon_sym_eqr] = ACTIONS(2769),
    [anon_sym_ne] = ACTIONS(2769),
    [anon_sym_LT_EQ_GT] = ACTIONS(2769),
    [anon_sym_cmp] = ACTIONS(2769),
    [anon_sym_TILDE_TILDE] = ACTIONS(2769),
    [anon_sym_LT_EQ] = ACTIONS(2771),
    [anon_sym_GT_EQ] = ACTIONS(2769),
    [anon_sym_lt] = ACTIONS(2769),
    [anon_sym_le] = ACTIONS(2769),
    [anon_sym_ge] = ACTIONS(2769),
    [anon_sym_gt] = ACTIONS(2769),
    [anon_sym_isa] = ACTIONS(2769),
    [anon_sym_PLUS_PLUS] = ACTIONS(2769),
    [anon_sym_DASH_DASH] = ACTIONS(2769),
    [anon_sym_QMARK] = ACTIONS(2769),
    [anon_sym_EQ_GT] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1822] = {
    [sym_heredoc_content] = STATE(1822),
    [anon_sym_RBRACE] = ACTIONS(2889),
    [anon_sym_COLON] = ACTIONS(2889),
    [anon_sym_EQ] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_COMMA] = ACTIONS(2889),
    [anon_sym_RPAREN] = ACTIONS(2889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2889),
    [anon_sym_DASH_GT] = ACTIONS(2889),
    [anon_sym_PERCENT] = ACTIONS(2891),
    [anon_sym_LT] = ACTIONS(2891),
    [anon_sym_GT] = ACTIONS(2891),
    [anon_sym_LT_LT] = ACTIONS(2891),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2889),
    [anon_sym_PLUS_EQ] = ACTIONS(2889),
    [anon_sym_DASH_EQ] = ACTIONS(2889),
    [anon_sym_DOT_EQ] = ACTIONS(2889),
    [anon_sym_STAR_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_PERCENT_EQ] = ACTIONS(2889),
    [anon_sym_x_EQ] = ACTIONS(2889),
    [anon_sym_AMP_EQ] = ACTIONS(2889),
    [anon_sym_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_CARET_EQ] = ACTIONS(2889),
    [anon_sym_LT_LT_EQ] = ACTIONS(2889),
    [anon_sym_GT_GT_EQ] = ACTIONS(2889),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2889),
    [anon_sym_DOT_DOT] = ACTIONS(2891),
    [anon_sym_STAR_STAR] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE] = ACTIONS(2891),
    [anon_sym_SLASH_SLASH] = ACTIONS(2891),
    [anon_sym_CARET_CARET] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2891),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_GT_GT2] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_DOT] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_SLASH] = ACTIONS(2891),
    [anon_sym_x] = ACTIONS(2891),
    [anon_sym_EQ_TILDE] = ACTIONS(2889),
    [anon_sym_BANG_TILDE] = ACTIONS(2889),
    [anon_sym_EQ_EQ] = ACTIONS(2891),
    [anon_sym_BANG_EQ] = ACTIONS(2889),
    [anon_sym_eq] = ACTIONS(2891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2889),
    [anon_sym_equ] = ACTIONS(2889),
    [anon_sym_eqr] = ACTIONS(2889),
    [anon_sym_ne] = ACTIONS(2889),
    [anon_sym_LT_EQ_GT] = ACTIONS(2889),
    [anon_sym_cmp] = ACTIONS(2889),
    [anon_sym_TILDE_TILDE] = ACTIONS(2889),
    [anon_sym_LT_EQ] = ACTIONS(2891),
    [anon_sym_GT_EQ] = ACTIONS(2889),
    [anon_sym_lt] = ACTIONS(2889),
    [anon_sym_le] = ACTIONS(2889),
    [anon_sym_ge] = ACTIONS(2889),
    [anon_sym_gt] = ACTIONS(2889),
    [anon_sym_isa] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_QMARK] = ACTIONS(2889),
    [anon_sym_EQ_GT] = ACTIONS(2889),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1823] = {
    [sym_heredoc_content] = STATE(1823),
    [anon_sym_RBRACE] = ACTIONS(2913),
    [anon_sym_COLON] = ACTIONS(2913),
    [anon_sym_EQ] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2913),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2913),
    [anon_sym_COMMA] = ACTIONS(2913),
    [anon_sym_RPAREN] = ACTIONS(2913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2913),
    [anon_sym_DASH_GT] = ACTIONS(2913),
    [anon_sym_PERCENT] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2915),
    [anon_sym_GT] = ACTIONS(2915),
    [anon_sym_LT_LT] = ACTIONS(2915),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2913),
    [anon_sym_PLUS_EQ] = ACTIONS(2913),
    [anon_sym_DASH_EQ] = ACTIONS(2913),
    [anon_sym_DOT_EQ] = ACTIONS(2913),
    [anon_sym_STAR_EQ] = ACTIONS(2913),
    [anon_sym_SLASH_EQ] = ACTIONS(2913),
    [anon_sym_PERCENT_EQ] = ACTIONS(2913),
    [anon_sym_x_EQ] = ACTIONS(2913),
    [anon_sym_AMP_EQ] = ACTIONS(2913),
    [anon_sym_PIPE_EQ] = ACTIONS(2913),
    [anon_sym_CARET_EQ] = ACTIONS(2913),
    [anon_sym_LT_LT_EQ] = ACTIONS(2913),
    [anon_sym_GT_GT_EQ] = ACTIONS(2913),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2913),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_STAR_STAR] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE] = ACTIONS(2915),
    [anon_sym_SLASH_SLASH] = ACTIONS(2915),
    [anon_sym_CARET_CARET] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_PIPE] = ACTIONS(2915),
    [anon_sym_CARET] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2915),
    [anon_sym_GT_GT2] = ACTIONS(2915),
    [anon_sym_PLUS] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2915),
    [anon_sym_DOT] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_x] = ACTIONS(2915),
    [anon_sym_EQ_TILDE] = ACTIONS(2913),
    [anon_sym_BANG_TILDE] = ACTIONS(2913),
    [anon_sym_EQ_EQ] = ACTIONS(2915),
    [anon_sym_BANG_EQ] = ACTIONS(2913),
    [anon_sym_eq] = ACTIONS(2915),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2913),
    [anon_sym_equ] = ACTIONS(2913),
    [anon_sym_eqr] = ACTIONS(2913),
    [anon_sym_ne] = ACTIONS(2913),
    [anon_sym_LT_EQ_GT] = ACTIONS(2913),
    [anon_sym_cmp] = ACTIONS(2913),
    [anon_sym_TILDE_TILDE] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(2915),
    [anon_sym_GT_EQ] = ACTIONS(2913),
    [anon_sym_lt] = ACTIONS(2913),
    [anon_sym_le] = ACTIONS(2913),
    [anon_sym_ge] = ACTIONS(2913),
    [anon_sym_gt] = ACTIONS(2913),
    [anon_sym_isa] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_QMARK] = ACTIONS(2913),
    [anon_sym_EQ_GT] = ACTIONS(2913),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1824] = {
    [sym_heredoc_content] = STATE(1824),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2833),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1825] = {
    [sym_heredoc_content] = STATE(1825),
    [anon_sym_RBRACE] = ACTIONS(2853),
    [anon_sym_COLON] = ACTIONS(2853),
    [anon_sym_EQ] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_RPAREN] = ACTIONS(2853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2853),
    [anon_sym_DASH_GT] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2855),
    [anon_sym_GT] = ACTIONS(2855),
    [anon_sym_LT_LT] = ACTIONS(2855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2853),
    [anon_sym_PLUS_EQ] = ACTIONS(2853),
    [anon_sym_DASH_EQ] = ACTIONS(2853),
    [anon_sym_DOT_EQ] = ACTIONS(2853),
    [anon_sym_STAR_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_PERCENT_EQ] = ACTIONS(2853),
    [anon_sym_x_EQ] = ACTIONS(2853),
    [anon_sym_AMP_EQ] = ACTIONS(2853),
    [anon_sym_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_CARET_EQ] = ACTIONS(2853),
    [anon_sym_LT_LT_EQ] = ACTIONS(2853),
    [anon_sym_GT_GT_EQ] = ACTIONS(2853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2853),
    [anon_sym_DOT_DOT] = ACTIONS(2855),
    [anon_sym_STAR_STAR] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_SLASH_SLASH] = ACTIONS(2855),
    [anon_sym_CARET_CARET] = ACTIONS(2853),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_PIPE] = ACTIONS(2855),
    [anon_sym_CARET] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_GT_GT2] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_SLASH] = ACTIONS(2855),
    [anon_sym_x] = ACTIONS(2855),
    [anon_sym_EQ_TILDE] = ACTIONS(2853),
    [anon_sym_BANG_TILDE] = ACTIONS(2853),
    [anon_sym_EQ_EQ] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_eq] = ACTIONS(2855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2853),
    [anon_sym_equ] = ACTIONS(2853),
    [anon_sym_eqr] = ACTIONS(2853),
    [anon_sym_ne] = ACTIONS(2853),
    [anon_sym_LT_EQ_GT] = ACTIONS(2853),
    [anon_sym_cmp] = ACTIONS(2853),
    [anon_sym_TILDE_TILDE] = ACTIONS(2853),
    [anon_sym_LT_EQ] = ACTIONS(2855),
    [anon_sym_GT_EQ] = ACTIONS(2853),
    [anon_sym_lt] = ACTIONS(2853),
    [anon_sym_le] = ACTIONS(2853),
    [anon_sym_ge] = ACTIONS(2853),
    [anon_sym_gt] = ACTIONS(2853),
    [anon_sym_isa] = ACTIONS(2853),
    [anon_sym_PLUS_PLUS] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2853),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_EQ_GT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1826] = {
    [sym_heredoc_content] = STATE(1826),
    [anon_sym_RBRACE] = ACTIONS(3130),
    [anon_sym_COLON] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_COMMA] = ACTIONS(3130),
    [anon_sym_RPAREN] = ACTIONS(3130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3130),
    [anon_sym_DASH_GT] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_GT] = ACTIONS(3132),
    [anon_sym_LT_LT] = ACTIONS(3132),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3130),
    [anon_sym_DASH_EQ] = ACTIONS(3130),
    [anon_sym_DOT_EQ] = ACTIONS(3130),
    [anon_sym_STAR_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_PERCENT_EQ] = ACTIONS(3130),
    [anon_sym_x_EQ] = ACTIONS(3130),
    [anon_sym_AMP_EQ] = ACTIONS(3130),
    [anon_sym_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_CARET_EQ] = ACTIONS(3130),
    [anon_sym_LT_LT_EQ] = ACTIONS(3130),
    [anon_sym_GT_GT_EQ] = ACTIONS(3130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3130),
    [anon_sym_DOT_DOT] = ACTIONS(3132),
    [anon_sym_STAR_STAR] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_SLASH_SLASH] = ACTIONS(3132),
    [anon_sym_CARET_CARET] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3132),
    [anon_sym_CARET] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_GT_GT2] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_x] = ACTIONS(3132),
    [anon_sym_EQ_TILDE] = ACTIONS(3130),
    [anon_sym_BANG_TILDE] = ACTIONS(3130),
    [anon_sym_EQ_EQ] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_eq] = ACTIONS(3132),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3130),
    [anon_sym_equ] = ACTIONS(3130),
    [anon_sym_eqr] = ACTIONS(3130),
    [anon_sym_ne] = ACTIONS(3130),
    [anon_sym_LT_EQ_GT] = ACTIONS(3130),
    [anon_sym_cmp] = ACTIONS(3130),
    [anon_sym_TILDE_TILDE] = ACTIONS(3130),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3130),
    [anon_sym_lt] = ACTIONS(3130),
    [anon_sym_le] = ACTIONS(3130),
    [anon_sym_ge] = ACTIONS(3130),
    [anon_sym_gt] = ACTIONS(3130),
    [anon_sym_isa] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_QMARK] = ACTIONS(3130),
    [anon_sym_EQ_GT] = ACTIONS(3130),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1827] = {
    [sym_heredoc_content] = STATE(1827),
    [anon_sym_RBRACE] = ACTIONS(2705),
    [anon_sym_COLON] = ACTIONS(2705),
    [anon_sym_EQ] = ACTIONS(2707),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2705),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2705),
    [anon_sym_COMMA] = ACTIONS(2705),
    [anon_sym_RPAREN] = ACTIONS(2705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2705),
    [anon_sym_DASH_GT] = ACTIONS(2705),
    [anon_sym_PERCENT] = ACTIONS(2707),
    [anon_sym_LT] = ACTIONS(2707),
    [anon_sym_GT] = ACTIONS(2707),
    [anon_sym_LT_LT] = ACTIONS(2707),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2705),
    [anon_sym_PLUS_EQ] = ACTIONS(2705),
    [anon_sym_DASH_EQ] = ACTIONS(2705),
    [anon_sym_DOT_EQ] = ACTIONS(2705),
    [anon_sym_STAR_EQ] = ACTIONS(2705),
    [anon_sym_SLASH_EQ] = ACTIONS(2705),
    [anon_sym_PERCENT_EQ] = ACTIONS(2705),
    [anon_sym_x_EQ] = ACTIONS(2705),
    [anon_sym_AMP_EQ] = ACTIONS(2705),
    [anon_sym_PIPE_EQ] = ACTIONS(2705),
    [anon_sym_CARET_EQ] = ACTIONS(2705),
    [anon_sym_LT_LT_EQ] = ACTIONS(2705),
    [anon_sym_GT_GT_EQ] = ACTIONS(2705),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2705),
    [anon_sym_DOT_DOT] = ACTIONS(2707),
    [anon_sym_STAR_STAR] = ACTIONS(2707),
    [anon_sym_PIPE_PIPE] = ACTIONS(2707),
    [anon_sym_SLASH_SLASH] = ACTIONS(2707),
    [anon_sym_CARET_CARET] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(2707),
    [anon_sym_PIPE] = ACTIONS(2707),
    [anon_sym_CARET] = ACTIONS(2707),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_GT_GT2] = ACTIONS(2707),
    [anon_sym_PLUS] = ACTIONS(2707),
    [anon_sym_DASH] = ACTIONS(2707),
    [anon_sym_DOT] = ACTIONS(2707),
    [anon_sym_STAR] = ACTIONS(2707),
    [anon_sym_SLASH] = ACTIONS(2707),
    [anon_sym_x] = ACTIONS(2707),
    [anon_sym_EQ_TILDE] = ACTIONS(2705),
    [anon_sym_BANG_TILDE] = ACTIONS(2705),
    [anon_sym_EQ_EQ] = ACTIONS(2707),
    [anon_sym_BANG_EQ] = ACTIONS(2705),
    [anon_sym_eq] = ACTIONS(2707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2705),
    [anon_sym_equ] = ACTIONS(2705),
    [anon_sym_eqr] = ACTIONS(2705),
    [anon_sym_ne] = ACTIONS(2705),
    [anon_sym_LT_EQ_GT] = ACTIONS(2705),
    [anon_sym_cmp] = ACTIONS(2705),
    [anon_sym_TILDE_TILDE] = ACTIONS(2705),
    [anon_sym_LT_EQ] = ACTIONS(2707),
    [anon_sym_GT_EQ] = ACTIONS(2705),
    [anon_sym_lt] = ACTIONS(2705),
    [anon_sym_le] = ACTIONS(2705),
    [anon_sym_ge] = ACTIONS(2705),
    [anon_sym_gt] = ACTIONS(2705),
    [anon_sym_isa] = ACTIONS(2705),
    [anon_sym_PLUS_PLUS] = ACTIONS(2705),
    [anon_sym_DASH_DASH] = ACTIONS(2705),
    [anon_sym_QMARK] = ACTIONS(2705),
    [anon_sym_EQ_GT] = ACTIONS(2705),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1828] = {
    [sym_heredoc_content] = STATE(1828),
    [anon_sym_RBRACE] = ACTIONS(2765),
    [anon_sym_COLON] = ACTIONS(2765),
    [anon_sym_EQ] = ACTIONS(2767),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_COMMA] = ACTIONS(2765),
    [anon_sym_RPAREN] = ACTIONS(2765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2765),
    [anon_sym_DASH_GT] = ACTIONS(2765),
    [anon_sym_PERCENT] = ACTIONS(2767),
    [anon_sym_LT] = ACTIONS(2767),
    [anon_sym_GT] = ACTIONS(2767),
    [anon_sym_LT_LT] = ACTIONS(2767),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2765),
    [anon_sym_PLUS_EQ] = ACTIONS(2765),
    [anon_sym_DASH_EQ] = ACTIONS(2765),
    [anon_sym_DOT_EQ] = ACTIONS(2765),
    [anon_sym_STAR_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_PERCENT_EQ] = ACTIONS(2765),
    [anon_sym_x_EQ] = ACTIONS(2765),
    [anon_sym_AMP_EQ] = ACTIONS(2765),
    [anon_sym_PIPE_EQ] = ACTIONS(2765),
    [anon_sym_CARET_EQ] = ACTIONS(2765),
    [anon_sym_LT_LT_EQ] = ACTIONS(2765),
    [anon_sym_GT_GT_EQ] = ACTIONS(2765),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2765),
    [anon_sym_DOT_DOT] = ACTIONS(2767),
    [anon_sym_STAR_STAR] = ACTIONS(2767),
    [anon_sym_PIPE_PIPE] = ACTIONS(2767),
    [anon_sym_SLASH_SLASH] = ACTIONS(2767),
    [anon_sym_CARET_CARET] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2767),
    [anon_sym_CARET] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_GT_GT2] = ACTIONS(2767),
    [anon_sym_PLUS] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_DOT] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_SLASH] = ACTIONS(2767),
    [anon_sym_x] = ACTIONS(2767),
    [anon_sym_EQ_TILDE] = ACTIONS(2765),
    [anon_sym_BANG_TILDE] = ACTIONS(2765),
    [anon_sym_EQ_EQ] = ACTIONS(2767),
    [anon_sym_BANG_EQ] = ACTIONS(2765),
    [anon_sym_eq] = ACTIONS(2767),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2765),
    [anon_sym_equ] = ACTIONS(2765),
    [anon_sym_eqr] = ACTIONS(2765),
    [anon_sym_ne] = ACTIONS(2765),
    [anon_sym_LT_EQ_GT] = ACTIONS(2765),
    [anon_sym_cmp] = ACTIONS(2765),
    [anon_sym_TILDE_TILDE] = ACTIONS(2765),
    [anon_sym_LT_EQ] = ACTIONS(2767),
    [anon_sym_GT_EQ] = ACTIONS(2765),
    [anon_sym_lt] = ACTIONS(2765),
    [anon_sym_le] = ACTIONS(2765),
    [anon_sym_ge] = ACTIONS(2765),
    [anon_sym_gt] = ACTIONS(2765),
    [anon_sym_isa] = ACTIONS(2765),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_QMARK] = ACTIONS(2765),
    [anon_sym_EQ_GT] = ACTIONS(2765),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1829] = {
    [sym_heredoc_content] = STATE(1829),
    [anon_sym_RBRACE] = ACTIONS(2949),
    [anon_sym_COLON] = ACTIONS(2949),
    [anon_sym_EQ] = ACTIONS(2951),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_COMMA] = ACTIONS(2949),
    [anon_sym_RPAREN] = ACTIONS(2949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2949),
    [anon_sym_DASH_GT] = ACTIONS(2949),
    [anon_sym_PERCENT] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_LT_LT] = ACTIONS(2951),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2949),
    [anon_sym_PLUS_EQ] = ACTIONS(2949),
    [anon_sym_DASH_EQ] = ACTIONS(2949),
    [anon_sym_DOT_EQ] = ACTIONS(2949),
    [anon_sym_STAR_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_PERCENT_EQ] = ACTIONS(2949),
    [anon_sym_x_EQ] = ACTIONS(2949),
    [anon_sym_AMP_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_EQ] = ACTIONS(2949),
    [anon_sym_CARET_EQ] = ACTIONS(2949),
    [anon_sym_LT_LT_EQ] = ACTIONS(2949),
    [anon_sym_GT_GT_EQ] = ACTIONS(2949),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_STAR_STAR] = ACTIONS(2951),
    [anon_sym_PIPE_PIPE] = ACTIONS(2951),
    [anon_sym_SLASH_SLASH] = ACTIONS(2951),
    [anon_sym_CARET_CARET] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_PIPE] = ACTIONS(2951),
    [anon_sym_CARET] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_GT_GT2] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_x] = ACTIONS(2951),
    [anon_sym_EQ_TILDE] = ACTIONS(2949),
    [anon_sym_BANG_TILDE] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2949),
    [anon_sym_eq] = ACTIONS(2951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_equ] = ACTIONS(2949),
    [anon_sym_eqr] = ACTIONS(2949),
    [anon_sym_ne] = ACTIONS(2949),
    [anon_sym_LT_EQ_GT] = ACTIONS(2949),
    [anon_sym_cmp] = ACTIONS(2949),
    [anon_sym_TILDE_TILDE] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_lt] = ACTIONS(2949),
    [anon_sym_le] = ACTIONS(2949),
    [anon_sym_ge] = ACTIONS(2949),
    [anon_sym_gt] = ACTIONS(2949),
    [anon_sym_isa] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_QMARK] = ACTIONS(2949),
    [anon_sym_EQ_GT] = ACTIONS(2949),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1830] = {
    [sym_heredoc_content] = STATE(1830),
    [anon_sym_RBRACE] = ACTIONS(2953),
    [anon_sym_COLON] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2953),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(2953),
    [anon_sym_RPAREN] = ACTIONS(2953),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2953),
    [anon_sym_DASH_GT] = ACTIONS(2953),
    [anon_sym_PERCENT] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_LT_LT] = ACTIONS(2955),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2953),
    [anon_sym_PLUS_EQ] = ACTIONS(2953),
    [anon_sym_DASH_EQ] = ACTIONS(2953),
    [anon_sym_DOT_EQ] = ACTIONS(2953),
    [anon_sym_STAR_EQ] = ACTIONS(2953),
    [anon_sym_SLASH_EQ] = ACTIONS(2953),
    [anon_sym_PERCENT_EQ] = ACTIONS(2953),
    [anon_sym_x_EQ] = ACTIONS(2953),
    [anon_sym_AMP_EQ] = ACTIONS(2953),
    [anon_sym_PIPE_EQ] = ACTIONS(2953),
    [anon_sym_CARET_EQ] = ACTIONS(2953),
    [anon_sym_LT_LT_EQ] = ACTIONS(2953),
    [anon_sym_GT_GT_EQ] = ACTIONS(2953),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2953),
    [anon_sym_DOT_DOT] = ACTIONS(2955),
    [anon_sym_STAR_STAR] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2955),
    [anon_sym_SLASH_SLASH] = ACTIONS(2955),
    [anon_sym_CARET_CARET] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_PIPE] = ACTIONS(2955),
    [anon_sym_CARET] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_GT_GT2] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2955),
    [anon_sym_x] = ACTIONS(2955),
    [anon_sym_EQ_TILDE] = ACTIONS(2953),
    [anon_sym_BANG_TILDE] = ACTIONS(2953),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ] = ACTIONS(2953),
    [anon_sym_eq] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2953),
    [anon_sym_equ] = ACTIONS(2953),
    [anon_sym_eqr] = ACTIONS(2953),
    [anon_sym_ne] = ACTIONS(2953),
    [anon_sym_LT_EQ_GT] = ACTIONS(2953),
    [anon_sym_cmp] = ACTIONS(2953),
    [anon_sym_TILDE_TILDE] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2955),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_lt] = ACTIONS(2953),
    [anon_sym_le] = ACTIONS(2953),
    [anon_sym_ge] = ACTIONS(2953),
    [anon_sym_gt] = ACTIONS(2953),
    [anon_sym_isa] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2953),
    [anon_sym_EQ_GT] = ACTIONS(2953),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1831] = {
    [sym_heredoc_content] = STATE(1831),
    [anon_sym_RBRACE] = ACTIONS(2821),
    [anon_sym_COLON] = ACTIONS(2821),
    [anon_sym_EQ] = ACTIONS(2823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2821),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2821),
    [anon_sym_COMMA] = ACTIONS(2821),
    [anon_sym_RPAREN] = ACTIONS(2821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2821),
    [anon_sym_DASH_GT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2823),
    [anon_sym_LT] = ACTIONS(2823),
    [anon_sym_GT] = ACTIONS(2823),
    [anon_sym_LT_LT] = ACTIONS(2823),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2821),
    [anon_sym_PLUS_EQ] = ACTIONS(2821),
    [anon_sym_DASH_EQ] = ACTIONS(2821),
    [anon_sym_DOT_EQ] = ACTIONS(2821),
    [anon_sym_STAR_EQ] = ACTIONS(2821),
    [anon_sym_SLASH_EQ] = ACTIONS(2821),
    [anon_sym_PERCENT_EQ] = ACTIONS(2821),
    [anon_sym_x_EQ] = ACTIONS(2821),
    [anon_sym_AMP_EQ] = ACTIONS(2821),
    [anon_sym_PIPE_EQ] = ACTIONS(2821),
    [anon_sym_CARET_EQ] = ACTIONS(2821),
    [anon_sym_LT_LT_EQ] = ACTIONS(2821),
    [anon_sym_GT_GT_EQ] = ACTIONS(2821),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2821),
    [anon_sym_DOT_DOT] = ACTIONS(2823),
    [anon_sym_STAR_STAR] = ACTIONS(2823),
    [anon_sym_PIPE_PIPE] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH] = ACTIONS(2823),
    [anon_sym_CARET_CARET] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_PIPE] = ACTIONS(2823),
    [anon_sym_CARET] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_GT_GT2] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_DOT] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_SLASH] = ACTIONS(2823),
    [anon_sym_x] = ACTIONS(2823),
    [anon_sym_EQ_TILDE] = ACTIONS(2821),
    [anon_sym_BANG_TILDE] = ACTIONS(2821),
    [anon_sym_EQ_EQ] = ACTIONS(2823),
    [anon_sym_BANG_EQ] = ACTIONS(2821),
    [anon_sym_eq] = ACTIONS(2823),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2821),
    [anon_sym_equ] = ACTIONS(2821),
    [anon_sym_eqr] = ACTIONS(2821),
    [anon_sym_ne] = ACTIONS(2821),
    [anon_sym_LT_EQ_GT] = ACTIONS(2821),
    [anon_sym_cmp] = ACTIONS(2821),
    [anon_sym_TILDE_TILDE] = ACTIONS(2821),
    [anon_sym_LT_EQ] = ACTIONS(2823),
    [anon_sym_GT_EQ] = ACTIONS(2821),
    [anon_sym_lt] = ACTIONS(2821),
    [anon_sym_le] = ACTIONS(2821),
    [anon_sym_ge] = ACTIONS(2821),
    [anon_sym_gt] = ACTIONS(2821),
    [anon_sym_isa] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2821),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_EQ_GT] = ACTIONS(2821),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1832] = {
    [sym_heredoc_content] = STATE(1832),
    [anon_sym_RBRACE] = ACTIONS(2957),
    [anon_sym_COLON] = ACTIONS(2957),
    [anon_sym_EQ] = ACTIONS(2959),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_COMMA] = ACTIONS(2957),
    [anon_sym_RPAREN] = ACTIONS(2957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2957),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_PERCENT] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2959),
    [anon_sym_GT] = ACTIONS(2959),
    [anon_sym_LT_LT] = ACTIONS(2959),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2957),
    [anon_sym_PLUS_EQ] = ACTIONS(2957),
    [anon_sym_DASH_EQ] = ACTIONS(2957),
    [anon_sym_DOT_EQ] = ACTIONS(2957),
    [anon_sym_STAR_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_PERCENT_EQ] = ACTIONS(2957),
    [anon_sym_x_EQ] = ACTIONS(2957),
    [anon_sym_AMP_EQ] = ACTIONS(2957),
    [anon_sym_PIPE_EQ] = ACTIONS(2957),
    [anon_sym_CARET_EQ] = ACTIONS(2957),
    [anon_sym_LT_LT_EQ] = ACTIONS(2957),
    [anon_sym_GT_GT_EQ] = ACTIONS(2957),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2957),
    [anon_sym_DOT_DOT] = ACTIONS(2959),
    [anon_sym_STAR_STAR] = ACTIONS(2959),
    [anon_sym_PIPE_PIPE] = ACTIONS(2959),
    [anon_sym_SLASH_SLASH] = ACTIONS(2959),
    [anon_sym_CARET_CARET] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_PIPE] = ACTIONS(2959),
    [anon_sym_CARET] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_GT_GT2] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_DOT] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2959),
    [anon_sym_x] = ACTIONS(2959),
    [anon_sym_EQ_TILDE] = ACTIONS(2957),
    [anon_sym_BANG_TILDE] = ACTIONS(2957),
    [anon_sym_EQ_EQ] = ACTIONS(2959),
    [anon_sym_BANG_EQ] = ACTIONS(2957),
    [anon_sym_eq] = ACTIONS(2959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2957),
    [anon_sym_equ] = ACTIONS(2957),
    [anon_sym_eqr] = ACTIONS(2957),
    [anon_sym_ne] = ACTIONS(2957),
    [anon_sym_LT_EQ_GT] = ACTIONS(2957),
    [anon_sym_cmp] = ACTIONS(2957),
    [anon_sym_TILDE_TILDE] = ACTIONS(2957),
    [anon_sym_LT_EQ] = ACTIONS(2959),
    [anon_sym_GT_EQ] = ACTIONS(2957),
    [anon_sym_lt] = ACTIONS(2957),
    [anon_sym_le] = ACTIONS(2957),
    [anon_sym_ge] = ACTIONS(2957),
    [anon_sym_gt] = ACTIONS(2957),
    [anon_sym_isa] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_QMARK] = ACTIONS(2957),
    [anon_sym_EQ_GT] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1833] = {
    [sym_heredoc_content] = STATE(1833),
    [anon_sym_RBRACE] = ACTIONS(2981),
    [anon_sym_COLON] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(2983),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2981),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2981),
    [anon_sym_COMMA] = ACTIONS(2981),
    [anon_sym_RPAREN] = ACTIONS(2981),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DASH_GT] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2983),
    [anon_sym_LT] = ACTIONS(2983),
    [anon_sym_GT] = ACTIONS(2983),
    [anon_sym_LT_LT] = ACTIONS(2983),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2981),
    [anon_sym_DASH_EQ] = ACTIONS(2981),
    [anon_sym_DOT_EQ] = ACTIONS(2981),
    [anon_sym_STAR_EQ] = ACTIONS(2981),
    [anon_sym_SLASH_EQ] = ACTIONS(2981),
    [anon_sym_PERCENT_EQ] = ACTIONS(2981),
    [anon_sym_x_EQ] = ACTIONS(2981),
    [anon_sym_AMP_EQ] = ACTIONS(2981),
    [anon_sym_PIPE_EQ] = ACTIONS(2981),
    [anon_sym_CARET_EQ] = ACTIONS(2981),
    [anon_sym_LT_LT_EQ] = ACTIONS(2981),
    [anon_sym_GT_GT_EQ] = ACTIONS(2981),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2981),
    [anon_sym_DOT_DOT] = ACTIONS(2983),
    [anon_sym_STAR_STAR] = ACTIONS(2983),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_SLASH_SLASH] = ACTIONS(2983),
    [anon_sym_CARET_CARET] = ACTIONS(2981),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2983),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2983),
    [anon_sym_GT_GT2] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2983),
    [anon_sym_x] = ACTIONS(2983),
    [anon_sym_EQ_TILDE] = ACTIONS(2981),
    [anon_sym_BANG_TILDE] = ACTIONS(2981),
    [anon_sym_EQ_EQ] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_eq] = ACTIONS(2983),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2981),
    [anon_sym_equ] = ACTIONS(2981),
    [anon_sym_eqr] = ACTIONS(2981),
    [anon_sym_ne] = ACTIONS(2981),
    [anon_sym_LT_EQ_GT] = ACTIONS(2981),
    [anon_sym_cmp] = ACTIONS(2981),
    [anon_sym_TILDE_TILDE] = ACTIONS(2981),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2981),
    [anon_sym_lt] = ACTIONS(2981),
    [anon_sym_le] = ACTIONS(2981),
    [anon_sym_ge] = ACTIONS(2981),
    [anon_sym_gt] = ACTIONS(2981),
    [anon_sym_isa] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2981),
    [anon_sym_QMARK] = ACTIONS(2981),
    [anon_sym_EQ_GT] = ACTIONS(2981),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1834] = {
    [sym_heredoc_content] = STATE(1834),
    [anon_sym_RBRACE] = ACTIONS(3134),
    [anon_sym_COLON] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_COMMA] = ACTIONS(3134),
    [anon_sym_RPAREN] = ACTIONS(3134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3134),
    [anon_sym_DASH_GT] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_GT] = ACTIONS(3136),
    [anon_sym_LT_LT] = ACTIONS(3136),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3134),
    [anon_sym_DASH_EQ] = ACTIONS(3134),
    [anon_sym_DOT_EQ] = ACTIONS(3134),
    [anon_sym_STAR_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_PERCENT_EQ] = ACTIONS(3134),
    [anon_sym_x_EQ] = ACTIONS(3134),
    [anon_sym_AMP_EQ] = ACTIONS(3134),
    [anon_sym_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_CARET_EQ] = ACTIONS(3134),
    [anon_sym_LT_LT_EQ] = ACTIONS(3134),
    [anon_sym_GT_GT_EQ] = ACTIONS(3134),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3134),
    [anon_sym_DOT_DOT] = ACTIONS(3136),
    [anon_sym_STAR_STAR] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_SLASH_SLASH] = ACTIONS(3136),
    [anon_sym_CARET_CARET] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_PIPE] = ACTIONS(3136),
    [anon_sym_CARET] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_GT_GT2] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_x] = ACTIONS(3136),
    [anon_sym_EQ_TILDE] = ACTIONS(3134),
    [anon_sym_BANG_TILDE] = ACTIONS(3134),
    [anon_sym_EQ_EQ] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_eq] = ACTIONS(3136),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3134),
    [anon_sym_equ] = ACTIONS(3134),
    [anon_sym_eqr] = ACTIONS(3134),
    [anon_sym_ne] = ACTIONS(3134),
    [anon_sym_LT_EQ_GT] = ACTIONS(3134),
    [anon_sym_cmp] = ACTIONS(3134),
    [anon_sym_TILDE_TILDE] = ACTIONS(3134),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3134),
    [anon_sym_lt] = ACTIONS(3134),
    [anon_sym_le] = ACTIONS(3134),
    [anon_sym_ge] = ACTIONS(3134),
    [anon_sym_gt] = ACTIONS(3134),
    [anon_sym_isa] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_QMARK] = ACTIONS(3134),
    [anon_sym_EQ_GT] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1835] = {
    [sym_heredoc_content] = STATE(1835),
    [anon_sym_RBRACE] = ACTIONS(3001),
    [anon_sym_COLON] = ACTIONS(3001),
    [anon_sym_EQ] = ACTIONS(3003),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3001),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3001),
    [anon_sym_COMMA] = ACTIONS(3001),
    [anon_sym_RPAREN] = ACTIONS(3001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3001),
    [anon_sym_DASH_GT] = ACTIONS(3001),
    [anon_sym_PERCENT] = ACTIONS(3003),
    [anon_sym_LT] = ACTIONS(3003),
    [anon_sym_GT] = ACTIONS(3003),
    [anon_sym_LT_LT] = ACTIONS(3003),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3001),
    [anon_sym_PLUS_EQ] = ACTIONS(3001),
    [anon_sym_DASH_EQ] = ACTIONS(3001),
    [anon_sym_DOT_EQ] = ACTIONS(3001),
    [anon_sym_STAR_EQ] = ACTIONS(3001),
    [anon_sym_SLASH_EQ] = ACTIONS(3001),
    [anon_sym_PERCENT_EQ] = ACTIONS(3001),
    [anon_sym_x_EQ] = ACTIONS(3001),
    [anon_sym_AMP_EQ] = ACTIONS(3001),
    [anon_sym_PIPE_EQ] = ACTIONS(3001),
    [anon_sym_CARET_EQ] = ACTIONS(3001),
    [anon_sym_LT_LT_EQ] = ACTIONS(3001),
    [anon_sym_GT_GT_EQ] = ACTIONS(3001),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3001),
    [anon_sym_DOT_DOT] = ACTIONS(3003),
    [anon_sym_STAR_STAR] = ACTIONS(3003),
    [anon_sym_PIPE_PIPE] = ACTIONS(3003),
    [anon_sym_SLASH_SLASH] = ACTIONS(3003),
    [anon_sym_CARET_CARET] = ACTIONS(3001),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_PIPE] = ACTIONS(3003),
    [anon_sym_CARET] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_GT_GT2] = ACTIONS(3003),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_DOT] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_SLASH] = ACTIONS(3003),
    [anon_sym_x] = ACTIONS(3003),
    [anon_sym_EQ_TILDE] = ACTIONS(3001),
    [anon_sym_BANG_TILDE] = ACTIONS(3001),
    [anon_sym_EQ_EQ] = ACTIONS(3003),
    [anon_sym_BANG_EQ] = ACTIONS(3001),
    [anon_sym_eq] = ACTIONS(3003),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3001),
    [anon_sym_equ] = ACTIONS(3001),
    [anon_sym_eqr] = ACTIONS(3001),
    [anon_sym_ne] = ACTIONS(3001),
    [anon_sym_LT_EQ_GT] = ACTIONS(3001),
    [anon_sym_cmp] = ACTIONS(3001),
    [anon_sym_TILDE_TILDE] = ACTIONS(3001),
    [anon_sym_LT_EQ] = ACTIONS(3003),
    [anon_sym_GT_EQ] = ACTIONS(3001),
    [anon_sym_lt] = ACTIONS(3001),
    [anon_sym_le] = ACTIONS(3001),
    [anon_sym_ge] = ACTIONS(3001),
    [anon_sym_gt] = ACTIONS(3001),
    [anon_sym_isa] = ACTIONS(3001),
    [anon_sym_PLUS_PLUS] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3001),
    [anon_sym_QMARK] = ACTIONS(3001),
    [anon_sym_EQ_GT] = ACTIONS(3001),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1836] = {
    [sym_heredoc_content] = STATE(1836),
    [anon_sym_RBRACE] = ACTIONS(3017),
    [anon_sym_COLON] = ACTIONS(3017),
    [anon_sym_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3017),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3017),
    [anon_sym_COMMA] = ACTIONS(3017),
    [anon_sym_RPAREN] = ACTIONS(3017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3017),
    [anon_sym_DASH_GT] = ACTIONS(3017),
    [anon_sym_PERCENT] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3019),
    [anon_sym_GT] = ACTIONS(3019),
    [anon_sym_LT_LT] = ACTIONS(3019),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3017),
    [anon_sym_PLUS_EQ] = ACTIONS(3017),
    [anon_sym_DASH_EQ] = ACTIONS(3017),
    [anon_sym_DOT_EQ] = ACTIONS(3017),
    [anon_sym_STAR_EQ] = ACTIONS(3017),
    [anon_sym_SLASH_EQ] = ACTIONS(3017),
    [anon_sym_PERCENT_EQ] = ACTIONS(3017),
    [anon_sym_x_EQ] = ACTIONS(3017),
    [anon_sym_AMP_EQ] = ACTIONS(3017),
    [anon_sym_PIPE_EQ] = ACTIONS(3017),
    [anon_sym_CARET_EQ] = ACTIONS(3017),
    [anon_sym_LT_LT_EQ] = ACTIONS(3017),
    [anon_sym_GT_GT_EQ] = ACTIONS(3017),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3017),
    [anon_sym_DOT_DOT] = ACTIONS(3019),
    [anon_sym_STAR_STAR] = ACTIONS(3019),
    [anon_sym_PIPE_PIPE] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH] = ACTIONS(3019),
    [anon_sym_CARET_CARET] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3019),
    [anon_sym_PIPE] = ACTIONS(3019),
    [anon_sym_CARET] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(3019),
    [anon_sym_GT_GT2] = ACTIONS(3019),
    [anon_sym_PLUS] = ACTIONS(3019),
    [anon_sym_DASH] = ACTIONS(3019),
    [anon_sym_DOT] = ACTIONS(3019),
    [anon_sym_STAR] = ACTIONS(3019),
    [anon_sym_SLASH] = ACTIONS(3019),
    [anon_sym_x] = ACTIONS(3019),
    [anon_sym_EQ_TILDE] = ACTIONS(3017),
    [anon_sym_BANG_TILDE] = ACTIONS(3017),
    [anon_sym_EQ_EQ] = ACTIONS(3019),
    [anon_sym_BANG_EQ] = ACTIONS(3017),
    [anon_sym_eq] = ACTIONS(3019),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3017),
    [anon_sym_equ] = ACTIONS(3017),
    [anon_sym_eqr] = ACTIONS(3017),
    [anon_sym_ne] = ACTIONS(3017),
    [anon_sym_LT_EQ_GT] = ACTIONS(3017),
    [anon_sym_cmp] = ACTIONS(3017),
    [anon_sym_TILDE_TILDE] = ACTIONS(3017),
    [anon_sym_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_EQ] = ACTIONS(3017),
    [anon_sym_lt] = ACTIONS(3017),
    [anon_sym_le] = ACTIONS(3017),
    [anon_sym_ge] = ACTIONS(3017),
    [anon_sym_gt] = ACTIONS(3017),
    [anon_sym_isa] = ACTIONS(3017),
    [anon_sym_PLUS_PLUS] = ACTIONS(3017),
    [anon_sym_DASH_DASH] = ACTIONS(3017),
    [anon_sym_QMARK] = ACTIONS(3017),
    [anon_sym_EQ_GT] = ACTIONS(3017),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1837] = {
    [sym_heredoc_content] = STATE(1837),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_COLON] = ACTIONS(3066),
    [anon_sym_EQ] = ACTIONS(3068),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_COMMA] = ACTIONS(3066),
    [anon_sym_RPAREN] = ACTIONS(3066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3066),
    [anon_sym_DASH_GT] = ACTIONS(3066),
    [anon_sym_PERCENT] = ACTIONS(3068),
    [anon_sym_LT] = ACTIONS(3068),
    [anon_sym_GT] = ACTIONS(3068),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3066),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_DOT_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3066),
    [anon_sym_x_EQ] = ACTIONS(3066),
    [anon_sym_AMP_EQ] = ACTIONS(3066),
    [anon_sym_PIPE_EQ] = ACTIONS(3066),
    [anon_sym_CARET_EQ] = ACTIONS(3066),
    [anon_sym_LT_LT_EQ] = ACTIONS(3066),
    [anon_sym_GT_GT_EQ] = ACTIONS(3066),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3066),
    [anon_sym_DOT_DOT] = ACTIONS(3068),
    [anon_sym_STAR_STAR] = ACTIONS(3068),
    [anon_sym_PIPE_PIPE] = ACTIONS(3068),
    [anon_sym_SLASH_SLASH] = ACTIONS(3068),
    [anon_sym_CARET_CARET] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3068),
    [anon_sym_CARET] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_GT_GT2] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_DOT] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_SLASH] = ACTIONS(3068),
    [anon_sym_x] = ACTIONS(3068),
    [anon_sym_EQ_TILDE] = ACTIONS(3066),
    [anon_sym_BANG_TILDE] = ACTIONS(3066),
    [anon_sym_EQ_EQ] = ACTIONS(3068),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_eq] = ACTIONS(3068),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_equ] = ACTIONS(3066),
    [anon_sym_eqr] = ACTIONS(3066),
    [anon_sym_ne] = ACTIONS(3066),
    [anon_sym_LT_EQ_GT] = ACTIONS(3066),
    [anon_sym_cmp] = ACTIONS(3066),
    [anon_sym_TILDE_TILDE] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3068),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_lt] = ACTIONS(3066),
    [anon_sym_le] = ACTIONS(3066),
    [anon_sym_ge] = ACTIONS(3066),
    [anon_sym_gt] = ACTIONS(3066),
    [anon_sym_isa] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_QMARK] = ACTIONS(3066),
    [anon_sym_EQ_GT] = ACTIONS(3066),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1838] = {
    [sym_heredoc_content] = STATE(1838),
    [anon_sym_RBRACE] = ACTIONS(3070),
    [anon_sym_COLON] = ACTIONS(3070),
    [anon_sym_EQ] = ACTIONS(3072),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3070),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3070),
    [anon_sym_COMMA] = ACTIONS(3070),
    [anon_sym_RPAREN] = ACTIONS(3070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3070),
    [anon_sym_DASH_GT] = ACTIONS(3070),
    [anon_sym_PERCENT] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3072),
    [anon_sym_GT] = ACTIONS(3072),
    [anon_sym_LT_LT] = ACTIONS(3072),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3070),
    [anon_sym_PLUS_EQ] = ACTIONS(3070),
    [anon_sym_DASH_EQ] = ACTIONS(3070),
    [anon_sym_DOT_EQ] = ACTIONS(3070),
    [anon_sym_STAR_EQ] = ACTIONS(3070),
    [anon_sym_SLASH_EQ] = ACTIONS(3070),
    [anon_sym_PERCENT_EQ] = ACTIONS(3070),
    [anon_sym_x_EQ] = ACTIONS(3070),
    [anon_sym_AMP_EQ] = ACTIONS(3070),
    [anon_sym_PIPE_EQ] = ACTIONS(3070),
    [anon_sym_CARET_EQ] = ACTIONS(3070),
    [anon_sym_LT_LT_EQ] = ACTIONS(3070),
    [anon_sym_GT_GT_EQ] = ACTIONS(3070),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3070),
    [anon_sym_DOT_DOT] = ACTIONS(3072),
    [anon_sym_STAR_STAR] = ACTIONS(3072),
    [anon_sym_PIPE_PIPE] = ACTIONS(3072),
    [anon_sym_SLASH_SLASH] = ACTIONS(3072),
    [anon_sym_CARET_CARET] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_GT_GT2] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3072),
    [anon_sym_x] = ACTIONS(3072),
    [anon_sym_EQ_TILDE] = ACTIONS(3070),
    [anon_sym_BANG_TILDE] = ACTIONS(3070),
    [anon_sym_EQ_EQ] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3070),
    [anon_sym_eq] = ACTIONS(3072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3070),
    [anon_sym_equ] = ACTIONS(3070),
    [anon_sym_eqr] = ACTIONS(3070),
    [anon_sym_ne] = ACTIONS(3070),
    [anon_sym_LT_EQ_GT] = ACTIONS(3070),
    [anon_sym_cmp] = ACTIONS(3070),
    [anon_sym_TILDE_TILDE] = ACTIONS(3070),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3070),
    [anon_sym_lt] = ACTIONS(3070),
    [anon_sym_le] = ACTIONS(3070),
    [anon_sym_ge] = ACTIONS(3070),
    [anon_sym_gt] = ACTIONS(3070),
    [anon_sym_isa] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_QMARK] = ACTIONS(3070),
    [anon_sym_EQ_GT] = ACTIONS(3070),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1839] = {
    [sym_heredoc_content] = STATE(1839),
    [anon_sym_RBRACE] = ACTIONS(3074),
    [anon_sym_COLON] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_COMMA] = ACTIONS(3074),
    [anon_sym_RPAREN] = ACTIONS(3074),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3074),
    [anon_sym_DASH_GT] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3076),
    [anon_sym_LT] = ACTIONS(3076),
    [anon_sym_GT] = ACTIONS(3076),
    [anon_sym_LT_LT] = ACTIONS(3076),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3074),
    [anon_sym_DASH_EQ] = ACTIONS(3074),
    [anon_sym_DOT_EQ] = ACTIONS(3074),
    [anon_sym_STAR_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_PERCENT_EQ] = ACTIONS(3074),
    [anon_sym_x_EQ] = ACTIONS(3074),
    [anon_sym_AMP_EQ] = ACTIONS(3074),
    [anon_sym_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_CARET_EQ] = ACTIONS(3074),
    [anon_sym_LT_LT_EQ] = ACTIONS(3074),
    [anon_sym_GT_GT_EQ] = ACTIONS(3074),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3074),
    [anon_sym_DOT_DOT] = ACTIONS(3076),
    [anon_sym_STAR_STAR] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_SLASH_SLASH] = ACTIONS(3076),
    [anon_sym_CARET_CARET] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_CARET] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_GT_GT2] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3076),
    [anon_sym_x] = ACTIONS(3076),
    [anon_sym_EQ_TILDE] = ACTIONS(3074),
    [anon_sym_BANG_TILDE] = ACTIONS(3074),
    [anon_sym_EQ_EQ] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_eq] = ACTIONS(3076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3074),
    [anon_sym_equ] = ACTIONS(3074),
    [anon_sym_eqr] = ACTIONS(3074),
    [anon_sym_ne] = ACTIONS(3074),
    [anon_sym_LT_EQ_GT] = ACTIONS(3074),
    [anon_sym_cmp] = ACTIONS(3074),
    [anon_sym_TILDE_TILDE] = ACTIONS(3074),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3074),
    [anon_sym_lt] = ACTIONS(3074),
    [anon_sym_le] = ACTIONS(3074),
    [anon_sym_ge] = ACTIONS(3074),
    [anon_sym_gt] = ACTIONS(3074),
    [anon_sym_isa] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_QMARK] = ACTIONS(3074),
    [anon_sym_EQ_GT] = ACTIONS(3074),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1840] = {
    [sym_heredoc_content] = STATE(1840),
    [anon_sym_RBRACE] = ACTIONS(3092),
    [anon_sym_COLON] = ACTIONS(3092),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3092),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3092),
    [anon_sym_COMMA] = ACTIONS(3092),
    [anon_sym_RPAREN] = ACTIONS(3092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3092),
    [anon_sym_DASH_GT] = ACTIONS(3092),
    [anon_sym_PERCENT] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_GT] = ACTIONS(3094),
    [anon_sym_LT_LT] = ACTIONS(3094),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3092),
    [anon_sym_PLUS_EQ] = ACTIONS(3092),
    [anon_sym_DASH_EQ] = ACTIONS(3092),
    [anon_sym_DOT_EQ] = ACTIONS(3092),
    [anon_sym_STAR_EQ] = ACTIONS(3092),
    [anon_sym_SLASH_EQ] = ACTIONS(3092),
    [anon_sym_PERCENT_EQ] = ACTIONS(3092),
    [anon_sym_x_EQ] = ACTIONS(3092),
    [anon_sym_AMP_EQ] = ACTIONS(3092),
    [anon_sym_PIPE_EQ] = ACTIONS(3092),
    [anon_sym_CARET_EQ] = ACTIONS(3092),
    [anon_sym_LT_LT_EQ] = ACTIONS(3092),
    [anon_sym_GT_GT_EQ] = ACTIONS(3092),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3092),
    [anon_sym_DOT_DOT] = ACTIONS(3094),
    [anon_sym_STAR_STAR] = ACTIONS(3094),
    [anon_sym_PIPE_PIPE] = ACTIONS(3094),
    [anon_sym_SLASH_SLASH] = ACTIONS(3094),
    [anon_sym_CARET_CARET] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_PIPE] = ACTIONS(3094),
    [anon_sym_CARET] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_GT_GT2] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_DOT] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_SLASH] = ACTIONS(3094),
    [anon_sym_x] = ACTIONS(3094),
    [anon_sym_EQ_TILDE] = ACTIONS(3092),
    [anon_sym_BANG_TILDE] = ACTIONS(3092),
    [anon_sym_EQ_EQ] = ACTIONS(3094),
    [anon_sym_BANG_EQ] = ACTIONS(3092),
    [anon_sym_eq] = ACTIONS(3094),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3092),
    [anon_sym_equ] = ACTIONS(3092),
    [anon_sym_eqr] = ACTIONS(3092),
    [anon_sym_ne] = ACTIONS(3092),
    [anon_sym_LT_EQ_GT] = ACTIONS(3092),
    [anon_sym_cmp] = ACTIONS(3092),
    [anon_sym_TILDE_TILDE] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3094),
    [anon_sym_GT_EQ] = ACTIONS(3092),
    [anon_sym_lt] = ACTIONS(3092),
    [anon_sym_le] = ACTIONS(3092),
    [anon_sym_ge] = ACTIONS(3092),
    [anon_sym_gt] = ACTIONS(3092),
    [anon_sym_isa] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_QMARK] = ACTIONS(3092),
    [anon_sym_EQ_GT] = ACTIONS(3092),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1841] = {
    [sym_heredoc_content] = STATE(1841),
    [anon_sym_RBRACE] = ACTIONS(3096),
    [anon_sym_COLON] = ACTIONS(3096),
    [anon_sym_EQ] = ACTIONS(3098),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_COMMA] = ACTIONS(3096),
    [anon_sym_RPAREN] = ACTIONS(3096),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3096),
    [anon_sym_DASH_GT] = ACTIONS(3096),
    [anon_sym_PERCENT] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_GT] = ACTIONS(3098),
    [anon_sym_LT_LT] = ACTIONS(3098),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_DOT_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_x_EQ] = ACTIONS(3096),
    [anon_sym_AMP_EQ] = ACTIONS(3096),
    [anon_sym_PIPE_EQ] = ACTIONS(3096),
    [anon_sym_CARET_EQ] = ACTIONS(3096),
    [anon_sym_LT_LT_EQ] = ACTIONS(3096),
    [anon_sym_GT_GT_EQ] = ACTIONS(3096),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3096),
    [anon_sym_DOT_DOT] = ACTIONS(3098),
    [anon_sym_STAR_STAR] = ACTIONS(3098),
    [anon_sym_PIPE_PIPE] = ACTIONS(3098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3098),
    [anon_sym_CARET_CARET] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3098),
    [anon_sym_PIPE] = ACTIONS(3098),
    [anon_sym_CARET] = ACTIONS(3098),
    [anon_sym_AMP] = ACTIONS(3098),
    [anon_sym_GT_GT2] = ACTIONS(3098),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_DOT] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_SLASH] = ACTIONS(3098),
    [anon_sym_x] = ACTIONS(3098),
    [anon_sym_EQ_TILDE] = ACTIONS(3096),
    [anon_sym_BANG_TILDE] = ACTIONS(3096),
    [anon_sym_EQ_EQ] = ACTIONS(3098),
    [anon_sym_BANG_EQ] = ACTIONS(3096),
    [anon_sym_eq] = ACTIONS(3098),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3096),
    [anon_sym_equ] = ACTIONS(3096),
    [anon_sym_eqr] = ACTIONS(3096),
    [anon_sym_ne] = ACTIONS(3096),
    [anon_sym_LT_EQ_GT] = ACTIONS(3096),
    [anon_sym_cmp] = ACTIONS(3096),
    [anon_sym_TILDE_TILDE] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3098),
    [anon_sym_GT_EQ] = ACTIONS(3096),
    [anon_sym_lt] = ACTIONS(3096),
    [anon_sym_le] = ACTIONS(3096),
    [anon_sym_ge] = ACTIONS(3096),
    [anon_sym_gt] = ACTIONS(3096),
    [anon_sym_isa] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_QMARK] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(3096),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1842] = {
    [sym_heredoc_content] = STATE(1842),
    [anon_sym_RBRACE] = ACTIONS(3100),
    [anon_sym_COLON] = ACTIONS(3100),
    [anon_sym_EQ] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3100),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3100),
    [anon_sym_COMMA] = ACTIONS(3100),
    [anon_sym_RPAREN] = ACTIONS(3100),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3100),
    [anon_sym_DASH_GT] = ACTIONS(3100),
    [anon_sym_PERCENT] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_GT] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(3102),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3100),
    [anon_sym_PLUS_EQ] = ACTIONS(3100),
    [anon_sym_DASH_EQ] = ACTIONS(3100),
    [anon_sym_DOT_EQ] = ACTIONS(3100),
    [anon_sym_STAR_EQ] = ACTIONS(3100),
    [anon_sym_SLASH_EQ] = ACTIONS(3100),
    [anon_sym_PERCENT_EQ] = ACTIONS(3100),
    [anon_sym_x_EQ] = ACTIONS(3100),
    [anon_sym_AMP_EQ] = ACTIONS(3100),
    [anon_sym_PIPE_EQ] = ACTIONS(3100),
    [anon_sym_CARET_EQ] = ACTIONS(3100),
    [anon_sym_LT_LT_EQ] = ACTIONS(3100),
    [anon_sym_GT_GT_EQ] = ACTIONS(3100),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3100),
    [anon_sym_DOT_DOT] = ACTIONS(3102),
    [anon_sym_STAR_STAR] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(3102),
    [anon_sym_CARET_CARET] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3102),
    [anon_sym_PIPE] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3102),
    [anon_sym_GT_GT2] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_DOT] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_x] = ACTIONS(3102),
    [anon_sym_EQ_TILDE] = ACTIONS(3100),
    [anon_sym_BANG_TILDE] = ACTIONS(3100),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3100),
    [anon_sym_eq] = ACTIONS(3102),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3100),
    [anon_sym_equ] = ACTIONS(3100),
    [anon_sym_eqr] = ACTIONS(3100),
    [anon_sym_ne] = ACTIONS(3100),
    [anon_sym_LT_EQ_GT] = ACTIONS(3100),
    [anon_sym_cmp] = ACTIONS(3100),
    [anon_sym_TILDE_TILDE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3100),
    [anon_sym_lt] = ACTIONS(3100),
    [anon_sym_le] = ACTIONS(3100),
    [anon_sym_ge] = ACTIONS(3100),
    [anon_sym_gt] = ACTIONS(3100),
    [anon_sym_isa] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [anon_sym_QMARK] = ACTIONS(3100),
    [anon_sym_EQ_GT] = ACTIONS(3100),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1843] = {
    [sym_heredoc_content] = STATE(1843),
    [anon_sym_RBRACE] = ACTIONS(3114),
    [anon_sym_COLON] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_COMMA] = ACTIONS(3114),
    [anon_sym_RPAREN] = ACTIONS(3114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_DASH_GT] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3116),
    [anon_sym_GT] = ACTIONS(3116),
    [anon_sym_LT_LT] = ACTIONS(3116),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3114),
    [anon_sym_DASH_EQ] = ACTIONS(3114),
    [anon_sym_DOT_EQ] = ACTIONS(3114),
    [anon_sym_STAR_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_PERCENT_EQ] = ACTIONS(3114),
    [anon_sym_x_EQ] = ACTIONS(3114),
    [anon_sym_AMP_EQ] = ACTIONS(3114),
    [anon_sym_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_CARET_EQ] = ACTIONS(3114),
    [anon_sym_LT_LT_EQ] = ACTIONS(3114),
    [anon_sym_GT_GT_EQ] = ACTIONS(3114),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3114),
    [anon_sym_DOT_DOT] = ACTIONS(3116),
    [anon_sym_STAR_STAR] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_SLASH_SLASH] = ACTIONS(3116),
    [anon_sym_CARET_CARET] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_PIPE] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3116),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_GT_GT2] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3116),
    [anon_sym_x] = ACTIONS(3116),
    [anon_sym_EQ_TILDE] = ACTIONS(3114),
    [anon_sym_BANG_TILDE] = ACTIONS(3114),
    [anon_sym_EQ_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_eq] = ACTIONS(3116),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3114),
    [anon_sym_equ] = ACTIONS(3114),
    [anon_sym_eqr] = ACTIONS(3114),
    [anon_sym_ne] = ACTIONS(3114),
    [anon_sym_LT_EQ_GT] = ACTIONS(3114),
    [anon_sym_cmp] = ACTIONS(3114),
    [anon_sym_TILDE_TILDE] = ACTIONS(3114),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3114),
    [anon_sym_lt] = ACTIONS(3114),
    [anon_sym_le] = ACTIONS(3114),
    [anon_sym_ge] = ACTIONS(3114),
    [anon_sym_gt] = ACTIONS(3114),
    [anon_sym_isa] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_QMARK] = ACTIONS(3114),
    [anon_sym_EQ_GT] = ACTIONS(3114),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1844] = {
    [sym_heredoc_content] = STATE(1844),
    [anon_sym_RBRACE] = ACTIONS(3122),
    [anon_sym_COLON] = ACTIONS(3122),
    [anon_sym_EQ] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_COMMA] = ACTIONS(3122),
    [anon_sym_RPAREN] = ACTIONS(3122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3122),
    [anon_sym_DASH_GT] = ACTIONS(3122),
    [anon_sym_PERCENT] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_GT] = ACTIONS(3124),
    [anon_sym_LT_LT] = ACTIONS(3124),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3122),
    [anon_sym_PLUS_EQ] = ACTIONS(3122),
    [anon_sym_DASH_EQ] = ACTIONS(3122),
    [anon_sym_DOT_EQ] = ACTIONS(3122),
    [anon_sym_STAR_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_PERCENT_EQ] = ACTIONS(3122),
    [anon_sym_x_EQ] = ACTIONS(3122),
    [anon_sym_AMP_EQ] = ACTIONS(3122),
    [anon_sym_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_CARET_EQ] = ACTIONS(3122),
    [anon_sym_LT_LT_EQ] = ACTIONS(3122),
    [anon_sym_GT_GT_EQ] = ACTIONS(3122),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3122),
    [anon_sym_DOT_DOT] = ACTIONS(3124),
    [anon_sym_STAR_STAR] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3124),
    [anon_sym_SLASH_SLASH] = ACTIONS(3124),
    [anon_sym_CARET_CARET] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_PIPE] = ACTIONS(3124),
    [anon_sym_CARET] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_GT_GT2] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_x] = ACTIONS(3124),
    [anon_sym_EQ_TILDE] = ACTIONS(3122),
    [anon_sym_BANG_TILDE] = ACTIONS(3122),
    [anon_sym_EQ_EQ] = ACTIONS(3124),
    [anon_sym_BANG_EQ] = ACTIONS(3122),
    [anon_sym_eq] = ACTIONS(3124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3122),
    [anon_sym_equ] = ACTIONS(3122),
    [anon_sym_eqr] = ACTIONS(3122),
    [anon_sym_ne] = ACTIONS(3122),
    [anon_sym_LT_EQ_GT] = ACTIONS(3122),
    [anon_sym_cmp] = ACTIONS(3122),
    [anon_sym_TILDE_TILDE] = ACTIONS(3122),
    [anon_sym_LT_EQ] = ACTIONS(3124),
    [anon_sym_GT_EQ] = ACTIONS(3122),
    [anon_sym_lt] = ACTIONS(3122),
    [anon_sym_le] = ACTIONS(3122),
    [anon_sym_ge] = ACTIONS(3122),
    [anon_sym_gt] = ACTIONS(3122),
    [anon_sym_isa] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_QMARK] = ACTIONS(3122),
    [anon_sym_EQ_GT] = ACTIONS(3122),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1845] = {
    [sym_heredoc_content] = STATE(1845),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_COLON] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3138),
    [anon_sym_DASH_GT] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_GT] = ACTIONS(3140),
    [anon_sym_LT_LT] = ACTIONS(3140),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3138),
    [anon_sym_DASH_EQ] = ACTIONS(3138),
    [anon_sym_DOT_EQ] = ACTIONS(3138),
    [anon_sym_STAR_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_PERCENT_EQ] = ACTIONS(3138),
    [anon_sym_x_EQ] = ACTIONS(3138),
    [anon_sym_AMP_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_CARET_EQ] = ACTIONS(3138),
    [anon_sym_LT_LT_EQ] = ACTIONS(3138),
    [anon_sym_GT_GT_EQ] = ACTIONS(3138),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3138),
    [anon_sym_DOT_DOT] = ACTIONS(3140),
    [anon_sym_STAR_STAR] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_SLASH_SLASH] = ACTIONS(3140),
    [anon_sym_CARET_CARET] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_PIPE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_GT_GT2] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_x] = ACTIONS(3140),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_EQ_EQ] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_eq] = ACTIONS(3140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_equ] = ACTIONS(3138),
    [anon_sym_eqr] = ACTIONS(3138),
    [anon_sym_ne] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_cmp] = ACTIONS(3138),
    [anon_sym_TILDE_TILDE] = ACTIONS(3138),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_lt] = ACTIONS(3138),
    [anon_sym_le] = ACTIONS(3138),
    [anon_sym_ge] = ACTIONS(3138),
    [anon_sym_gt] = ACTIONS(3138),
    [anon_sym_isa] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_EQ_GT] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1846] = {
    [sym_heredoc_content] = STATE(1846),
    [anon_sym_RBRACE] = ACTIONS(2801),
    [anon_sym_COLON] = ACTIONS(2801),
    [anon_sym_EQ] = ACTIONS(2803),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2801),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2801),
    [anon_sym_COMMA] = ACTIONS(2801),
    [anon_sym_RPAREN] = ACTIONS(2801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2801),
    [anon_sym_DASH_GT] = ACTIONS(2801),
    [anon_sym_PERCENT] = ACTIONS(2803),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_GT] = ACTIONS(2803),
    [anon_sym_LT_LT] = ACTIONS(2803),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2801),
    [anon_sym_PLUS_EQ] = ACTIONS(2801),
    [anon_sym_DASH_EQ] = ACTIONS(2801),
    [anon_sym_DOT_EQ] = ACTIONS(2801),
    [anon_sym_STAR_EQ] = ACTIONS(2801),
    [anon_sym_SLASH_EQ] = ACTIONS(2801),
    [anon_sym_PERCENT_EQ] = ACTIONS(2801),
    [anon_sym_x_EQ] = ACTIONS(2801),
    [anon_sym_AMP_EQ] = ACTIONS(2801),
    [anon_sym_PIPE_EQ] = ACTIONS(2801),
    [anon_sym_CARET_EQ] = ACTIONS(2801),
    [anon_sym_LT_LT_EQ] = ACTIONS(2801),
    [anon_sym_GT_GT_EQ] = ACTIONS(2801),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2801),
    [anon_sym_DOT_DOT] = ACTIONS(2803),
    [anon_sym_STAR_STAR] = ACTIONS(2803),
    [anon_sym_PIPE_PIPE] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH] = ACTIONS(2803),
    [anon_sym_CARET_CARET] = ACTIONS(2801),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_PIPE] = ACTIONS(2803),
    [anon_sym_CARET] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2803),
    [anon_sym_GT_GT2] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_DOT] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_SLASH] = ACTIONS(2803),
    [anon_sym_x] = ACTIONS(2803),
    [anon_sym_EQ_TILDE] = ACTIONS(2801),
    [anon_sym_BANG_TILDE] = ACTIONS(2801),
    [anon_sym_EQ_EQ] = ACTIONS(2803),
    [anon_sym_BANG_EQ] = ACTIONS(2801),
    [anon_sym_eq] = ACTIONS(2803),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2801),
    [anon_sym_equ] = ACTIONS(2801),
    [anon_sym_eqr] = ACTIONS(2801),
    [anon_sym_ne] = ACTIONS(2801),
    [anon_sym_LT_EQ_GT] = ACTIONS(2801),
    [anon_sym_cmp] = ACTIONS(2801),
    [anon_sym_TILDE_TILDE] = ACTIONS(2801),
    [anon_sym_LT_EQ] = ACTIONS(2803),
    [anon_sym_GT_EQ] = ACTIONS(2801),
    [anon_sym_lt] = ACTIONS(2801),
    [anon_sym_le] = ACTIONS(2801),
    [anon_sym_ge] = ACTIONS(2801),
    [anon_sym_gt] = ACTIONS(2801),
    [anon_sym_isa] = ACTIONS(2801),
    [anon_sym_PLUS_PLUS] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2801),
    [anon_sym_QMARK] = ACTIONS(2801),
    [anon_sym_EQ_GT] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1847] = {
    [sym_heredoc_content] = STATE(1847),
    [anon_sym_RBRACE] = ACTIONS(2905),
    [anon_sym_COLON] = ACTIONS(2905),
    [anon_sym_EQ] = ACTIONS(2907),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2905),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2905),
    [anon_sym_COMMA] = ACTIONS(2905),
    [anon_sym_RPAREN] = ACTIONS(2905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2905),
    [anon_sym_DASH_GT] = ACTIONS(2905),
    [anon_sym_PERCENT] = ACTIONS(2907),
    [anon_sym_LT] = ACTIONS(2907),
    [anon_sym_GT] = ACTIONS(2907),
    [anon_sym_LT_LT] = ACTIONS(2907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2905),
    [anon_sym_PLUS_EQ] = ACTIONS(2905),
    [anon_sym_DASH_EQ] = ACTIONS(2905),
    [anon_sym_DOT_EQ] = ACTIONS(2905),
    [anon_sym_STAR_EQ] = ACTIONS(2905),
    [anon_sym_SLASH_EQ] = ACTIONS(2905),
    [anon_sym_PERCENT_EQ] = ACTIONS(2905),
    [anon_sym_x_EQ] = ACTIONS(2905),
    [anon_sym_AMP_EQ] = ACTIONS(2905),
    [anon_sym_PIPE_EQ] = ACTIONS(2905),
    [anon_sym_CARET_EQ] = ACTIONS(2905),
    [anon_sym_LT_LT_EQ] = ACTIONS(2905),
    [anon_sym_GT_GT_EQ] = ACTIONS(2905),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2905),
    [anon_sym_DOT_DOT] = ACTIONS(2907),
    [anon_sym_STAR_STAR] = ACTIONS(2907),
    [anon_sym_PIPE_PIPE] = ACTIONS(2907),
    [anon_sym_SLASH_SLASH] = ACTIONS(2907),
    [anon_sym_CARET_CARET] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_PIPE] = ACTIONS(2907),
    [anon_sym_CARET] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_GT_GT2] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_DOT] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_SLASH] = ACTIONS(2907),
    [anon_sym_x] = ACTIONS(2907),
    [anon_sym_EQ_TILDE] = ACTIONS(2905),
    [anon_sym_BANG_TILDE] = ACTIONS(2905),
    [anon_sym_EQ_EQ] = ACTIONS(2907),
    [anon_sym_BANG_EQ] = ACTIONS(2905),
    [anon_sym_eq] = ACTIONS(2907),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2905),
    [anon_sym_equ] = ACTIONS(2905),
    [anon_sym_eqr] = ACTIONS(2905),
    [anon_sym_ne] = ACTIONS(2905),
    [anon_sym_LT_EQ_GT] = ACTIONS(2905),
    [anon_sym_cmp] = ACTIONS(2905),
    [anon_sym_TILDE_TILDE] = ACTIONS(2905),
    [anon_sym_LT_EQ] = ACTIONS(2907),
    [anon_sym_GT_EQ] = ACTIONS(2905),
    [anon_sym_lt] = ACTIONS(2905),
    [anon_sym_le] = ACTIONS(2905),
    [anon_sym_ge] = ACTIONS(2905),
    [anon_sym_gt] = ACTIONS(2905),
    [anon_sym_isa] = ACTIONS(2905),
    [anon_sym_PLUS_PLUS] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2905),
    [anon_sym_QMARK] = ACTIONS(2905),
    [anon_sym_EQ_GT] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1848] = {
    [sym_heredoc_content] = STATE(1848),
    [anon_sym_RBRACE] = ACTIONS(2841),
    [anon_sym_COLON] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2841),
    [anon_sym_RPAREN] = ACTIONS(2841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2841),
    [anon_sym_DASH_GT] = ACTIONS(2841),
    [anon_sym_PERCENT] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_GT] = ACTIONS(2843),
    [anon_sym_LT_LT] = ACTIONS(2843),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2841),
    [anon_sym_PLUS_EQ] = ACTIONS(2841),
    [anon_sym_DASH_EQ] = ACTIONS(2841),
    [anon_sym_DOT_EQ] = ACTIONS(2841),
    [anon_sym_STAR_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_PERCENT_EQ] = ACTIONS(2841),
    [anon_sym_x_EQ] = ACTIONS(2841),
    [anon_sym_AMP_EQ] = ACTIONS(2841),
    [anon_sym_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_CARET_EQ] = ACTIONS(2841),
    [anon_sym_LT_LT_EQ] = ACTIONS(2841),
    [anon_sym_GT_GT_EQ] = ACTIONS(2841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2841),
    [anon_sym_DOT_DOT] = ACTIONS(2843),
    [anon_sym_STAR_STAR] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH] = ACTIONS(2843),
    [anon_sym_CARET_CARET] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_PIPE] = ACTIONS(2843),
    [anon_sym_CARET] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2843),
    [anon_sym_GT_GT2] = ACTIONS(2843),
    [anon_sym_PLUS] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2843),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_x] = ACTIONS(2843),
    [anon_sym_EQ_TILDE] = ACTIONS(2841),
    [anon_sym_BANG_TILDE] = ACTIONS(2841),
    [anon_sym_EQ_EQ] = ACTIONS(2843),
    [anon_sym_BANG_EQ] = ACTIONS(2841),
    [anon_sym_eq] = ACTIONS(2843),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2841),
    [anon_sym_equ] = ACTIONS(2841),
    [anon_sym_eqr] = ACTIONS(2841),
    [anon_sym_ne] = ACTIONS(2841),
    [anon_sym_LT_EQ_GT] = ACTIONS(2841),
    [anon_sym_cmp] = ACTIONS(2841),
    [anon_sym_TILDE_TILDE] = ACTIONS(2841),
    [anon_sym_LT_EQ] = ACTIONS(2843),
    [anon_sym_GT_EQ] = ACTIONS(2841),
    [anon_sym_lt] = ACTIONS(2841),
    [anon_sym_le] = ACTIONS(2841),
    [anon_sym_ge] = ACTIONS(2841),
    [anon_sym_gt] = ACTIONS(2841),
    [anon_sym_isa] = ACTIONS(2841),
    [anon_sym_PLUS_PLUS] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_EQ_GT] = ACTIONS(2841),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1849] = {
    [sym_heredoc_content] = STATE(1849),
    [anon_sym_RBRACE] = ACTIONS(2845),
    [anon_sym_COLON] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2845),
    [anon_sym_RPAREN] = ACTIONS(2845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2845),
    [anon_sym_DASH_GT] = ACTIONS(2845),
    [anon_sym_PERCENT] = ACTIONS(2847),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_GT] = ACTIONS(2847),
    [anon_sym_LT_LT] = ACTIONS(2847),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2845),
    [anon_sym_PLUS_EQ] = ACTIONS(2845),
    [anon_sym_DASH_EQ] = ACTIONS(2845),
    [anon_sym_DOT_EQ] = ACTIONS(2845),
    [anon_sym_STAR_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_PERCENT_EQ] = ACTIONS(2845),
    [anon_sym_x_EQ] = ACTIONS(2845),
    [anon_sym_AMP_EQ] = ACTIONS(2845),
    [anon_sym_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_CARET_EQ] = ACTIONS(2845),
    [anon_sym_LT_LT_EQ] = ACTIONS(2845),
    [anon_sym_GT_GT_EQ] = ACTIONS(2845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2845),
    [anon_sym_DOT_DOT] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_CARET_CARET] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_GT_GT2] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_DOT] = ACTIONS(2847),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_SLASH] = ACTIONS(2847),
    [anon_sym_x] = ACTIONS(2847),
    [anon_sym_EQ_TILDE] = ACTIONS(2845),
    [anon_sym_BANG_TILDE] = ACTIONS(2845),
    [anon_sym_EQ_EQ] = ACTIONS(2847),
    [anon_sym_BANG_EQ] = ACTIONS(2845),
    [anon_sym_eq] = ACTIONS(2847),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2845),
    [anon_sym_equ] = ACTIONS(2845),
    [anon_sym_eqr] = ACTIONS(2845),
    [anon_sym_ne] = ACTIONS(2845),
    [anon_sym_LT_EQ_GT] = ACTIONS(2845),
    [anon_sym_cmp] = ACTIONS(2845),
    [anon_sym_TILDE_TILDE] = ACTIONS(2845),
    [anon_sym_LT_EQ] = ACTIONS(2847),
    [anon_sym_GT_EQ] = ACTIONS(2845),
    [anon_sym_lt] = ACTIONS(2845),
    [anon_sym_le] = ACTIONS(2845),
    [anon_sym_ge] = ACTIONS(2845),
    [anon_sym_gt] = ACTIONS(2845),
    [anon_sym_isa] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(2845),
    [anon_sym_DASH_DASH] = ACTIONS(2845),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_EQ_GT] = ACTIONS(2845),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1850] = {
    [sym_heredoc_content] = STATE(1850),
    [anon_sym_RBRACE] = ACTIONS(2849),
    [anon_sym_COLON] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2849),
    [anon_sym_RPAREN] = ACTIONS(2849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2849),
    [anon_sym_DASH_GT] = ACTIONS(2849),
    [anon_sym_PERCENT] = ACTIONS(2851),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_GT] = ACTIONS(2851),
    [anon_sym_LT_LT] = ACTIONS(2851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2849),
    [anon_sym_PLUS_EQ] = ACTIONS(2849),
    [anon_sym_DASH_EQ] = ACTIONS(2849),
    [anon_sym_DOT_EQ] = ACTIONS(2849),
    [anon_sym_STAR_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_PERCENT_EQ] = ACTIONS(2849),
    [anon_sym_x_EQ] = ACTIONS(2849),
    [anon_sym_AMP_EQ] = ACTIONS(2849),
    [anon_sym_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_CARET_EQ] = ACTIONS(2849),
    [anon_sym_LT_LT_EQ] = ACTIONS(2849),
    [anon_sym_GT_GT_EQ] = ACTIONS(2849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2849),
    [anon_sym_DOT_DOT] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH] = ACTIONS(2851),
    [anon_sym_CARET_CARET] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_CARET] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2851),
    [anon_sym_GT_GT2] = ACTIONS(2851),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2851),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_SLASH] = ACTIONS(2851),
    [anon_sym_x] = ACTIONS(2851),
    [anon_sym_EQ_TILDE] = ACTIONS(2849),
    [anon_sym_BANG_TILDE] = ACTIONS(2849),
    [anon_sym_EQ_EQ] = ACTIONS(2851),
    [anon_sym_BANG_EQ] = ACTIONS(2849),
    [anon_sym_eq] = ACTIONS(2851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2849),
    [anon_sym_equ] = ACTIONS(2849),
    [anon_sym_eqr] = ACTIONS(2849),
    [anon_sym_ne] = ACTIONS(2849),
    [anon_sym_LT_EQ_GT] = ACTIONS(2849),
    [anon_sym_cmp] = ACTIONS(2849),
    [anon_sym_TILDE_TILDE] = ACTIONS(2849),
    [anon_sym_LT_EQ] = ACTIONS(2851),
    [anon_sym_GT_EQ] = ACTIONS(2849),
    [anon_sym_lt] = ACTIONS(2849),
    [anon_sym_le] = ACTIONS(2849),
    [anon_sym_ge] = ACTIONS(2849),
    [anon_sym_gt] = ACTIONS(2849),
    [anon_sym_isa] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_EQ_GT] = ACTIONS(2849),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1851] = {
    [sym_heredoc_content] = STATE(1851),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym_EQ] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2470),
    [anon_sym_COMMA] = ACTIONS(2470),
    [anon_sym_LPAREN] = ACTIONS(3581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2470),
    [anon_sym_DASH_GT] = ACTIONS(2470),
    [anon_sym_PERCENT] = ACTIONS(2472),
    [anon_sym_LT] = ACTIONS(2472),
    [anon_sym_GT] = ACTIONS(2472),
    [anon_sym_LT_LT] = ACTIONS(2472),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2470),
    [anon_sym_PLUS_EQ] = ACTIONS(2470),
    [anon_sym_DASH_EQ] = ACTIONS(2470),
    [anon_sym_DOT_EQ] = ACTIONS(2470),
    [anon_sym_STAR_EQ] = ACTIONS(2470),
    [anon_sym_SLASH_EQ] = ACTIONS(2470),
    [anon_sym_PERCENT_EQ] = ACTIONS(2470),
    [anon_sym_x_EQ] = ACTIONS(2470),
    [anon_sym_AMP_EQ] = ACTIONS(2470),
    [anon_sym_PIPE_EQ] = ACTIONS(2470),
    [anon_sym_CARET_EQ] = ACTIONS(2470),
    [anon_sym_LT_LT_EQ] = ACTIONS(2470),
    [anon_sym_GT_GT_EQ] = ACTIONS(2470),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2470),
    [anon_sym_DOT_DOT] = ACTIONS(2472),
    [anon_sym_STAR_STAR] = ACTIONS(2472),
    [anon_sym_PIPE_PIPE] = ACTIONS(2472),
    [anon_sym_SLASH_SLASH] = ACTIONS(2472),
    [anon_sym_CARET_CARET] = ACTIONS(2470),
    [anon_sym_AMP_AMP] = ACTIONS(2472),
    [anon_sym_PIPE] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_GT_GT2] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_DOT] = ACTIONS(2472),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_SLASH] = ACTIONS(2472),
    [anon_sym_x] = ACTIONS(2472),
    [anon_sym_EQ_TILDE] = ACTIONS(2470),
    [anon_sym_BANG_TILDE] = ACTIONS(2470),
    [anon_sym_EQ_EQ] = ACTIONS(2472),
    [anon_sym_BANG_EQ] = ACTIONS(2470),
    [anon_sym_eq] = ACTIONS(2472),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2470),
    [anon_sym_equ] = ACTIONS(2470),
    [anon_sym_eqr] = ACTIONS(2470),
    [anon_sym_ne] = ACTIONS(2470),
    [anon_sym_LT_EQ_GT] = ACTIONS(2470),
    [anon_sym_cmp] = ACTIONS(2470),
    [anon_sym_TILDE_TILDE] = ACTIONS(2470),
    [anon_sym_LT_EQ] = ACTIONS(2472),
    [anon_sym_GT_EQ] = ACTIONS(2470),
    [anon_sym_lt] = ACTIONS(2470),
    [anon_sym_le] = ACTIONS(2470),
    [anon_sym_ge] = ACTIONS(2470),
    [anon_sym_gt] = ACTIONS(2470),
    [anon_sym_isa] = ACTIONS(2470),
    [anon_sym_PLUS_PLUS] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2470),
    [anon_sym_QMARK] = ACTIONS(2470),
    [anon_sym_EQ_GT] = ACTIONS(2470),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2470),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1852] = {
    [sym_heredoc_content] = STATE(1852),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym_EQ] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2458),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2458),
    [anon_sym_COMMA] = ACTIONS(2458),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2458),
    [anon_sym_DASH_GT] = ACTIONS(2458),
    [anon_sym_PERCENT] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2460),
    [anon_sym_GT] = ACTIONS(2460),
    [anon_sym_LT_LT] = ACTIONS(2460),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2458),
    [anon_sym_PLUS_EQ] = ACTIONS(2458),
    [anon_sym_DASH_EQ] = ACTIONS(2458),
    [anon_sym_DOT_EQ] = ACTIONS(2458),
    [anon_sym_STAR_EQ] = ACTIONS(2458),
    [anon_sym_SLASH_EQ] = ACTIONS(2458),
    [anon_sym_PERCENT_EQ] = ACTIONS(2458),
    [anon_sym_x_EQ] = ACTIONS(2460),
    [anon_sym_AMP_EQ] = ACTIONS(2458),
    [anon_sym_PIPE_EQ] = ACTIONS(2458),
    [anon_sym_CARET_EQ] = ACTIONS(2458),
    [anon_sym_LT_LT_EQ] = ACTIONS(2458),
    [anon_sym_GT_GT_EQ] = ACTIONS(2458),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2458),
    [anon_sym_DOT_DOT] = ACTIONS(2460),
    [anon_sym_STAR_STAR] = ACTIONS(2460),
    [anon_sym_PIPE_PIPE] = ACTIONS(2460),
    [anon_sym_SLASH_SLASH] = ACTIONS(2460),
    [anon_sym_CARET_CARET] = ACTIONS(2458),
    [anon_sym_AMP_AMP] = ACTIONS(2460),
    [anon_sym_PIPE] = ACTIONS(2460),
    [anon_sym_CARET] = ACTIONS(2460),
    [anon_sym_AMP] = ACTIONS(2460),
    [anon_sym_GT_GT2] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_DOT] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2460),
    [anon_sym_SLASH] = ACTIONS(2460),
    [anon_sym_x] = ACTIONS(2460),
    [anon_sym_EQ_TILDE] = ACTIONS(2458),
    [anon_sym_BANG_TILDE] = ACTIONS(2458),
    [anon_sym_EQ_EQ] = ACTIONS(2460),
    [anon_sym_BANG_EQ] = ACTIONS(2458),
    [anon_sym_eq] = ACTIONS(2460),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2458),
    [anon_sym_equ] = ACTIONS(2458),
    [anon_sym_eqr] = ACTIONS(2458),
    [anon_sym_ne] = ACTIONS(2460),
    [anon_sym_LT_EQ_GT] = ACTIONS(2458),
    [anon_sym_cmp] = ACTIONS(2460),
    [anon_sym_TILDE_TILDE] = ACTIONS(2458),
    [anon_sym_LT_EQ] = ACTIONS(2460),
    [anon_sym_GT_EQ] = ACTIONS(2458),
    [anon_sym_lt] = ACTIONS(2460),
    [anon_sym_le] = ACTIONS(2460),
    [anon_sym_ge] = ACTIONS(2460),
    [anon_sym_gt] = ACTIONS(2460),
    [anon_sym_isa] = ACTIONS(2460),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_QMARK] = ACTIONS(2458),
    [anon_sym_EQ_GT] = ACTIONS(2458),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3583),
    [sym__PERLY_SEMICOLON] = ACTIONS(2458),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1853] = {
    [sym_heredoc_content] = STATE(1853),
    [anon_sym_RBRACE] = ACTIONS(2785),
    [anon_sym_COLON] = ACTIONS(2785),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_RPAREN] = ACTIONS(2785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_DASH_GT] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_DOT_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_x_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_SLASH_SLASH] = ACTIONS(2787),
    [anon_sym_CARET_CARET] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_GT_GT2] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2787),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_x] = ACTIONS(2787),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_eq] = ACTIONS(2787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_equ] = ACTIONS(2785),
    [anon_sym_eqr] = ACTIONS(2785),
    [anon_sym_ne] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_cmp] = ACTIONS(2785),
    [anon_sym_TILDE_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_lt] = ACTIONS(2785),
    [anon_sym_le] = ACTIONS(2785),
    [anon_sym_ge] = ACTIONS(2785),
    [anon_sym_gt] = ACTIONS(2785),
    [anon_sym_isa] = ACTIONS(2785),
    [anon_sym_PLUS_PLUS] = ACTIONS(2785),
    [anon_sym_DASH_DASH] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1854] = {
    [sym_heredoc_content] = STATE(1854),
    [aux_sym__term_rightward_repeat1] = STATE(1863),
    [anon_sym_RBRACE] = ACTIONS(2428),
    [anon_sym_EQ] = ACTIONS(2430),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2428),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2428),
    [anon_sym_COMMA] = ACTIONS(3585),
    [anon_sym_RPAREN] = ACTIONS(2428),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2428),
    [anon_sym_DASH_GT] = ACTIONS(2428),
    [anon_sym_PERCENT] = ACTIONS(2430),
    [anon_sym_LT] = ACTIONS(2430),
    [anon_sym_GT] = ACTIONS(2430),
    [anon_sym_LT_LT] = ACTIONS(2430),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2428),
    [anon_sym_PLUS_EQ] = ACTIONS(2428),
    [anon_sym_DASH_EQ] = ACTIONS(2428),
    [anon_sym_DOT_EQ] = ACTIONS(2428),
    [anon_sym_STAR_EQ] = ACTIONS(2428),
    [anon_sym_SLASH_EQ] = ACTIONS(2428),
    [anon_sym_PERCENT_EQ] = ACTIONS(2428),
    [anon_sym_x_EQ] = ACTIONS(2428),
    [anon_sym_AMP_EQ] = ACTIONS(2428),
    [anon_sym_PIPE_EQ] = ACTIONS(2428),
    [anon_sym_CARET_EQ] = ACTIONS(2428),
    [anon_sym_LT_LT_EQ] = ACTIONS(2428),
    [anon_sym_GT_GT_EQ] = ACTIONS(2428),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2428),
    [anon_sym_DOT_DOT] = ACTIONS(2430),
    [anon_sym_STAR_STAR] = ACTIONS(2430),
    [anon_sym_PIPE_PIPE] = ACTIONS(2430),
    [anon_sym_SLASH_SLASH] = ACTIONS(2430),
    [anon_sym_CARET_CARET] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2430),
    [anon_sym_PIPE] = ACTIONS(2430),
    [anon_sym_CARET] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2430),
    [anon_sym_GT_GT2] = ACTIONS(2430),
    [anon_sym_PLUS] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2430),
    [anon_sym_DOT] = ACTIONS(2430),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_SLASH] = ACTIONS(2430),
    [anon_sym_x] = ACTIONS(2430),
    [anon_sym_EQ_TILDE] = ACTIONS(2428),
    [anon_sym_BANG_TILDE] = ACTIONS(2428),
    [anon_sym_EQ_EQ] = ACTIONS(2430),
    [anon_sym_BANG_EQ] = ACTIONS(2428),
    [anon_sym_eq] = ACTIONS(2430),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2428),
    [anon_sym_equ] = ACTIONS(2428),
    [anon_sym_eqr] = ACTIONS(2428),
    [anon_sym_ne] = ACTIONS(2428),
    [anon_sym_LT_EQ_GT] = ACTIONS(2428),
    [anon_sym_cmp] = ACTIONS(2428),
    [anon_sym_TILDE_TILDE] = ACTIONS(2428),
    [anon_sym_LT_EQ] = ACTIONS(2430),
    [anon_sym_GT_EQ] = ACTIONS(2428),
    [anon_sym_lt] = ACTIONS(2428),
    [anon_sym_le] = ACTIONS(2428),
    [anon_sym_ge] = ACTIONS(2428),
    [anon_sym_gt] = ACTIONS(2428),
    [anon_sym_isa] = ACTIONS(2428),
    [anon_sym_PLUS_PLUS] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2428),
    [anon_sym_QMARK] = ACTIONS(2428),
    [anon_sym_EQ_GT] = ACTIONS(3585),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1855] = {
    [sym_heredoc_content] = STATE(1855),
    [anon_sym_RBRACE] = ACTIONS(2761),
    [anon_sym_COLON] = ACTIONS(2761),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2761),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2761),
    [anon_sym_COMMA] = ACTIONS(2761),
    [anon_sym_RPAREN] = ACTIONS(2761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2761),
    [anon_sym_DASH_GT] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2763),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_GT] = ACTIONS(2763),
    [anon_sym_LT_LT] = ACTIONS(2763),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2761),
    [anon_sym_PLUS_EQ] = ACTIONS(2761),
    [anon_sym_DASH_EQ] = ACTIONS(2761),
    [anon_sym_DOT_EQ] = ACTIONS(2761),
    [anon_sym_STAR_EQ] = ACTIONS(2761),
    [anon_sym_SLASH_EQ] = ACTIONS(2761),
    [anon_sym_PERCENT_EQ] = ACTIONS(2761),
    [anon_sym_x_EQ] = ACTIONS(2761),
    [anon_sym_AMP_EQ] = ACTIONS(2761),
    [anon_sym_PIPE_EQ] = ACTIONS(2761),
    [anon_sym_CARET_EQ] = ACTIONS(2761),
    [anon_sym_LT_LT_EQ] = ACTIONS(2761),
    [anon_sym_GT_GT_EQ] = ACTIONS(2761),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2761),
    [anon_sym_DOT_DOT] = ACTIONS(2763),
    [anon_sym_STAR_STAR] = ACTIONS(2763),
    [anon_sym_PIPE_PIPE] = ACTIONS(2763),
    [anon_sym_SLASH_SLASH] = ACTIONS(2763),
    [anon_sym_CARET_CARET] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2763),
    [anon_sym_PIPE] = ACTIONS(2763),
    [anon_sym_CARET] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2763),
    [anon_sym_GT_GT2] = ACTIONS(2763),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_DOT] = ACTIONS(2763),
    [anon_sym_STAR] = ACTIONS(2763),
    [anon_sym_SLASH] = ACTIONS(2763),
    [anon_sym_x] = ACTIONS(2763),
    [anon_sym_EQ_TILDE] = ACTIONS(2761),
    [anon_sym_BANG_TILDE] = ACTIONS(2761),
    [anon_sym_EQ_EQ] = ACTIONS(2763),
    [anon_sym_BANG_EQ] = ACTIONS(2761),
    [anon_sym_eq] = ACTIONS(2763),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2761),
    [anon_sym_equ] = ACTIONS(2761),
    [anon_sym_eqr] = ACTIONS(2761),
    [anon_sym_ne] = ACTIONS(2761),
    [anon_sym_LT_EQ_GT] = ACTIONS(2761),
    [anon_sym_cmp] = ACTIONS(2761),
    [anon_sym_TILDE_TILDE] = ACTIONS(2761),
    [anon_sym_LT_EQ] = ACTIONS(2763),
    [anon_sym_GT_EQ] = ACTIONS(2761),
    [anon_sym_lt] = ACTIONS(2761),
    [anon_sym_le] = ACTIONS(2761),
    [anon_sym_ge] = ACTIONS(2761),
    [anon_sym_gt] = ACTIONS(2761),
    [anon_sym_isa] = ACTIONS(2761),
    [anon_sym_PLUS_PLUS] = ACTIONS(2761),
    [anon_sym_DASH_DASH] = ACTIONS(2761),
    [anon_sym_QMARK] = ACTIONS(2761),
    [anon_sym_EQ_GT] = ACTIONS(2761),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1856] = {
    [sym_heredoc_content] = STATE(1856),
    [anon_sym_SEMI] = ACTIONS(1796),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_COMMA] = ACTIONS(1796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1796),
    [anon_sym_LBRACK] = ACTIONS(3587),
    [anon_sym_DASH_GT] = ACTIONS(1796),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1796),
    [anon_sym_PLUS_EQ] = ACTIONS(1796),
    [anon_sym_DASH_EQ] = ACTIONS(1796),
    [anon_sym_DOT_EQ] = ACTIONS(1796),
    [anon_sym_STAR_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_PERCENT_EQ] = ACTIONS(1796),
    [anon_sym_x_EQ] = ACTIONS(1796),
    [anon_sym_AMP_EQ] = ACTIONS(1796),
    [anon_sym_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_CARET_EQ] = ACTIONS(1796),
    [anon_sym_LT_LT_EQ] = ACTIONS(1796),
    [anon_sym_GT_GT_EQ] = ACTIONS(1796),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1796),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1787),
    [anon_sym_CARET_CARET] = ACTIONS(1796),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1796),
    [anon_sym_BANG_TILDE] = ACTIONS(1796),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1796),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1796),
    [anon_sym_equ] = ACTIONS(1796),
    [anon_sym_eqr] = ACTIONS(1796),
    [anon_sym_ne] = ACTIONS(1796),
    [anon_sym_LT_EQ_GT] = ACTIONS(1796),
    [anon_sym_cmp] = ACTIONS(1796),
    [anon_sym_TILDE_TILDE] = ACTIONS(1796),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1796),
    [anon_sym_lt] = ACTIONS(1796),
    [anon_sym_le] = ACTIONS(1796),
    [anon_sym_ge] = ACTIONS(1796),
    [anon_sym_gt] = ACTIONS(1796),
    [anon_sym_isa] = ACTIONS(1796),
    [anon_sym_PLUS_PLUS] = ACTIONS(1796),
    [anon_sym_DASH_DASH] = ACTIONS(1796),
    [anon_sym_QMARK] = ACTIONS(1796),
    [anon_sym_EQ_GT] = ACTIONS(1796),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1796),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1857] = {
    [sym_heredoc_content] = STATE(1857),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_COLON] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(3158),
    [anon_sym_RPAREN] = ACTIONS(3158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3158),
    [anon_sym_DASH_GT] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3160),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_GT] = ACTIONS(3160),
    [anon_sym_LT_LT] = ACTIONS(3160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3158),
    [anon_sym_DASH_EQ] = ACTIONS(3158),
    [anon_sym_DOT_EQ] = ACTIONS(3158),
    [anon_sym_STAR_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_PERCENT_EQ] = ACTIONS(3158),
    [anon_sym_x_EQ] = ACTIONS(3158),
    [anon_sym_AMP_EQ] = ACTIONS(3158),
    [anon_sym_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_CARET_EQ] = ACTIONS(3158),
    [anon_sym_LT_LT_EQ] = ACTIONS(3158),
    [anon_sym_GT_GT_EQ] = ACTIONS(3158),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3158),
    [anon_sym_DOT_DOT] = ACTIONS(3160),
    [anon_sym_STAR_STAR] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_SLASH_SLASH] = ACTIONS(3160),
    [anon_sym_CARET_CARET] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_PIPE] = ACTIONS(3160),
    [anon_sym_CARET] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym_GT_GT2] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_DOT] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_x] = ACTIONS(3160),
    [anon_sym_EQ_TILDE] = ACTIONS(3158),
    [anon_sym_BANG_TILDE] = ACTIONS(3158),
    [anon_sym_EQ_EQ] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_eq] = ACTIONS(3160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3158),
    [anon_sym_equ] = ACTIONS(3158),
    [anon_sym_eqr] = ACTIONS(3158),
    [anon_sym_ne] = ACTIONS(3158),
    [anon_sym_LT_EQ_GT] = ACTIONS(3158),
    [anon_sym_cmp] = ACTIONS(3158),
    [anon_sym_TILDE_TILDE] = ACTIONS(3158),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3158),
    [anon_sym_lt] = ACTIONS(3158),
    [anon_sym_le] = ACTIONS(3158),
    [anon_sym_ge] = ACTIONS(3158),
    [anon_sym_gt] = ACTIONS(3158),
    [anon_sym_isa] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_QMARK] = ACTIONS(3158),
    [anon_sym_EQ_GT] = ACTIONS(3158),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1858] = {
    [sym_heredoc_content] = STATE(1858),
    [anon_sym_RBRACE] = ACTIONS(2817),
    [anon_sym_COLON] = ACTIONS(2817),
    [anon_sym_EQ] = ACTIONS(2819),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2817),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2817),
    [anon_sym_COMMA] = ACTIONS(2817),
    [anon_sym_RPAREN] = ACTIONS(2817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2817),
    [anon_sym_DASH_GT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_GT] = ACTIONS(2819),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2817),
    [anon_sym_PLUS_EQ] = ACTIONS(2817),
    [anon_sym_DASH_EQ] = ACTIONS(2817),
    [anon_sym_DOT_EQ] = ACTIONS(2817),
    [anon_sym_STAR_EQ] = ACTIONS(2817),
    [anon_sym_SLASH_EQ] = ACTIONS(2817),
    [anon_sym_PERCENT_EQ] = ACTIONS(2817),
    [anon_sym_x_EQ] = ACTIONS(2817),
    [anon_sym_AMP_EQ] = ACTIONS(2817),
    [anon_sym_PIPE_EQ] = ACTIONS(2817),
    [anon_sym_CARET_EQ] = ACTIONS(2817),
    [anon_sym_LT_LT_EQ] = ACTIONS(2817),
    [anon_sym_GT_GT_EQ] = ACTIONS(2817),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2817),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_STAR_STAR] = ACTIONS(2819),
    [anon_sym_PIPE_PIPE] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH] = ACTIONS(2819),
    [anon_sym_CARET_CARET] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [anon_sym_GT_GT2] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_SLASH] = ACTIONS(2819),
    [anon_sym_x] = ACTIONS(2819),
    [anon_sym_EQ_TILDE] = ACTIONS(2817),
    [anon_sym_BANG_TILDE] = ACTIONS(2817),
    [anon_sym_EQ_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2817),
    [anon_sym_eq] = ACTIONS(2819),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2817),
    [anon_sym_equ] = ACTIONS(2817),
    [anon_sym_eqr] = ACTIONS(2817),
    [anon_sym_ne] = ACTIONS(2817),
    [anon_sym_LT_EQ_GT] = ACTIONS(2817),
    [anon_sym_cmp] = ACTIONS(2817),
    [anon_sym_TILDE_TILDE] = ACTIONS(2817),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2817),
    [anon_sym_lt] = ACTIONS(2817),
    [anon_sym_le] = ACTIONS(2817),
    [anon_sym_ge] = ACTIONS(2817),
    [anon_sym_gt] = ACTIONS(2817),
    [anon_sym_isa] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2817),
    [anon_sym_QMARK] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(2817),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1859] = {
    [sym_heredoc_content] = STATE(1859),
    [anon_sym_COLON] = ACTIONS(3589),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym_EQ] = ACTIONS(2614),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_COMMA] = ACTIONS(2610),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2610),
    [anon_sym_DASH_GT] = ACTIONS(2610),
    [anon_sym_PERCENT] = ACTIONS(2614),
    [anon_sym_LT] = ACTIONS(2614),
    [anon_sym_GT] = ACTIONS(2614),
    [anon_sym_LT_LT] = ACTIONS(2614),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2610),
    [anon_sym_PLUS_EQ] = ACTIONS(2610),
    [anon_sym_DASH_EQ] = ACTIONS(2610),
    [anon_sym_DOT_EQ] = ACTIONS(2610),
    [anon_sym_STAR_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_PERCENT_EQ] = ACTIONS(2610),
    [anon_sym_x_EQ] = ACTIONS(2610),
    [anon_sym_AMP_EQ] = ACTIONS(2610),
    [anon_sym_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_CARET_EQ] = ACTIONS(2610),
    [anon_sym_LT_LT_EQ] = ACTIONS(2610),
    [anon_sym_GT_GT_EQ] = ACTIONS(2610),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2610),
    [anon_sym_DOT_DOT] = ACTIONS(2614),
    [anon_sym_STAR_STAR] = ACTIONS(2614),
    [anon_sym_PIPE_PIPE] = ACTIONS(2614),
    [anon_sym_SLASH_SLASH] = ACTIONS(2614),
    [anon_sym_CARET_CARET] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_PIPE] = ACTIONS(2614),
    [anon_sym_CARET] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym_GT_GT2] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_DOT] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_SLASH] = ACTIONS(2614),
    [anon_sym_x] = ACTIONS(2614),
    [anon_sym_EQ_TILDE] = ACTIONS(2610),
    [anon_sym_BANG_TILDE] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2614),
    [anon_sym_BANG_EQ] = ACTIONS(2610),
    [anon_sym_eq] = ACTIONS(2614),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2610),
    [anon_sym_equ] = ACTIONS(2610),
    [anon_sym_eqr] = ACTIONS(2610),
    [anon_sym_ne] = ACTIONS(2610),
    [anon_sym_LT_EQ_GT] = ACTIONS(2610),
    [anon_sym_cmp] = ACTIONS(2610),
    [anon_sym_TILDE_TILDE] = ACTIONS(2610),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_GT_EQ] = ACTIONS(2610),
    [anon_sym_lt] = ACTIONS(2610),
    [anon_sym_le] = ACTIONS(2610),
    [anon_sym_ge] = ACTIONS(2610),
    [anon_sym_gt] = ACTIONS(2610),
    [anon_sym_isa] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_QMARK] = ACTIONS(2610),
    [anon_sym_EQ_GT] = ACTIONS(2610),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2610),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1860] = {
    [sym_heredoc_content] = STATE(1860),
    [anon_sym_COLON] = ACTIONS(3591),
    [anon_sym_SEMI] = ACTIONS(2616),
    [anon_sym_EQ] = ACTIONS(2620),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2616),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2616),
    [anon_sym_COMMA] = ACTIONS(2616),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2616),
    [anon_sym_PERCENT] = ACTIONS(2620),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_GT] = ACTIONS(2620),
    [anon_sym_LT_LT] = ACTIONS(2620),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2616),
    [anon_sym_PLUS_EQ] = ACTIONS(2616),
    [anon_sym_DASH_EQ] = ACTIONS(2616),
    [anon_sym_DOT_EQ] = ACTIONS(2616),
    [anon_sym_STAR_EQ] = ACTIONS(2616),
    [anon_sym_SLASH_EQ] = ACTIONS(2616),
    [anon_sym_PERCENT_EQ] = ACTIONS(2616),
    [anon_sym_x_EQ] = ACTIONS(2616),
    [anon_sym_AMP_EQ] = ACTIONS(2616),
    [anon_sym_PIPE_EQ] = ACTIONS(2616),
    [anon_sym_CARET_EQ] = ACTIONS(2616),
    [anon_sym_LT_LT_EQ] = ACTIONS(2616),
    [anon_sym_GT_GT_EQ] = ACTIONS(2616),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2616),
    [anon_sym_DOT_DOT] = ACTIONS(2620),
    [anon_sym_STAR_STAR] = ACTIONS(2620),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_SLASH_SLASH] = ACTIONS(2620),
    [anon_sym_CARET_CARET] = ACTIONS(2616),
    [anon_sym_AMP_AMP] = ACTIONS(2620),
    [anon_sym_PIPE] = ACTIONS(2620),
    [anon_sym_CARET] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym_GT_GT2] = ACTIONS(2620),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_DOT] = ACTIONS(2620),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_x] = ACTIONS(2620),
    [anon_sym_EQ_TILDE] = ACTIONS(2616),
    [anon_sym_BANG_TILDE] = ACTIONS(2616),
    [anon_sym_EQ_EQ] = ACTIONS(2620),
    [anon_sym_BANG_EQ] = ACTIONS(2616),
    [anon_sym_eq] = ACTIONS(2620),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2616),
    [anon_sym_equ] = ACTIONS(2616),
    [anon_sym_eqr] = ACTIONS(2616),
    [anon_sym_ne] = ACTIONS(2616),
    [anon_sym_LT_EQ_GT] = ACTIONS(2616),
    [anon_sym_cmp] = ACTIONS(2616),
    [anon_sym_TILDE_TILDE] = ACTIONS(2616),
    [anon_sym_LT_EQ] = ACTIONS(2620),
    [anon_sym_GT_EQ] = ACTIONS(2616),
    [anon_sym_lt] = ACTIONS(2616),
    [anon_sym_le] = ACTIONS(2616),
    [anon_sym_ge] = ACTIONS(2616),
    [anon_sym_gt] = ACTIONS(2616),
    [anon_sym_isa] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2616),
    [anon_sym_DASH_DASH] = ACTIONS(2616),
    [anon_sym_QMARK] = ACTIONS(2616),
    [anon_sym_EQ_GT] = ACTIONS(2616),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2616),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1861] = {
    [sym_heredoc_content] = STATE(1861),
    [anon_sym_RBRACE] = ACTIONS(2671),
    [anon_sym_COLON] = ACTIONS(2671),
    [anon_sym_EQ] = ACTIONS(2673),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2671),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2671),
    [anon_sym_COMMA] = ACTIONS(2671),
    [anon_sym_RPAREN] = ACTIONS(2671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2671),
    [anon_sym_DASH_GT] = ACTIONS(2671),
    [anon_sym_PERCENT] = ACTIONS(2673),
    [anon_sym_LT] = ACTIONS(2673),
    [anon_sym_GT] = ACTIONS(2673),
    [anon_sym_LT_LT] = ACTIONS(2673),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2671),
    [anon_sym_PLUS_EQ] = ACTIONS(2671),
    [anon_sym_DASH_EQ] = ACTIONS(2671),
    [anon_sym_DOT_EQ] = ACTIONS(2671),
    [anon_sym_STAR_EQ] = ACTIONS(2671),
    [anon_sym_SLASH_EQ] = ACTIONS(2671),
    [anon_sym_PERCENT_EQ] = ACTIONS(2671),
    [anon_sym_x_EQ] = ACTIONS(2671),
    [anon_sym_AMP_EQ] = ACTIONS(2671),
    [anon_sym_PIPE_EQ] = ACTIONS(2671),
    [anon_sym_CARET_EQ] = ACTIONS(2671),
    [anon_sym_LT_LT_EQ] = ACTIONS(2671),
    [anon_sym_GT_GT_EQ] = ACTIONS(2671),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2671),
    [anon_sym_DOT_DOT] = ACTIONS(2673),
    [anon_sym_STAR_STAR] = ACTIONS(2673),
    [anon_sym_PIPE_PIPE] = ACTIONS(2673),
    [anon_sym_SLASH_SLASH] = ACTIONS(2673),
    [anon_sym_CARET_CARET] = ACTIONS(2671),
    [anon_sym_AMP_AMP] = ACTIONS(2673),
    [anon_sym_PIPE] = ACTIONS(2673),
    [anon_sym_CARET] = ACTIONS(2673),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym_GT_GT2] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_DOT] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2673),
    [anon_sym_x] = ACTIONS(2673),
    [anon_sym_EQ_TILDE] = ACTIONS(2671),
    [anon_sym_BANG_TILDE] = ACTIONS(2671),
    [anon_sym_EQ_EQ] = ACTIONS(2673),
    [anon_sym_BANG_EQ] = ACTIONS(2671),
    [anon_sym_eq] = ACTIONS(2673),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2671),
    [anon_sym_equ] = ACTIONS(2671),
    [anon_sym_eqr] = ACTIONS(2671),
    [anon_sym_ne] = ACTIONS(2671),
    [anon_sym_LT_EQ_GT] = ACTIONS(2671),
    [anon_sym_cmp] = ACTIONS(2671),
    [anon_sym_TILDE_TILDE] = ACTIONS(2671),
    [anon_sym_LT_EQ] = ACTIONS(2673),
    [anon_sym_GT_EQ] = ACTIONS(2671),
    [anon_sym_lt] = ACTIONS(2671),
    [anon_sym_le] = ACTIONS(2671),
    [anon_sym_ge] = ACTIONS(2671),
    [anon_sym_gt] = ACTIONS(2671),
    [anon_sym_isa] = ACTIONS(2671),
    [anon_sym_PLUS_PLUS] = ACTIONS(2671),
    [anon_sym_DASH_DASH] = ACTIONS(2671),
    [anon_sym_QMARK] = ACTIONS(2671),
    [anon_sym_EQ_GT] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1862] = {
    [sym_heredoc_content] = STATE(1862),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym_EQ] = ACTIONS(2602),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2600),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(3593),
    [anon_sym_DASH_GT] = ACTIONS(2600),
    [anon_sym_PERCENT] = ACTIONS(2602),
    [anon_sym_LT] = ACTIONS(2602),
    [anon_sym_GT] = ACTIONS(2602),
    [anon_sym_LT_LT] = ACTIONS(2602),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2600),
    [anon_sym_PLUS_EQ] = ACTIONS(2600),
    [anon_sym_DASH_EQ] = ACTIONS(2600),
    [anon_sym_DOT_EQ] = ACTIONS(2600),
    [anon_sym_STAR_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_PERCENT_EQ] = ACTIONS(2600),
    [anon_sym_x_EQ] = ACTIONS(2600),
    [anon_sym_AMP_EQ] = ACTIONS(2600),
    [anon_sym_PIPE_EQ] = ACTIONS(2600),
    [anon_sym_CARET_EQ] = ACTIONS(2600),
    [anon_sym_LT_LT_EQ] = ACTIONS(2600),
    [anon_sym_GT_GT_EQ] = ACTIONS(2600),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2600),
    [anon_sym_DOT_DOT] = ACTIONS(2602),
    [anon_sym_STAR_STAR] = ACTIONS(2602),
    [anon_sym_PIPE_PIPE] = ACTIONS(2602),
    [anon_sym_SLASH_SLASH] = ACTIONS(2602),
    [anon_sym_CARET_CARET] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_PIPE] = ACTIONS(2602),
    [anon_sym_CARET] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_GT_GT2] = ACTIONS(2602),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_DOT] = ACTIONS(2602),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_SLASH] = ACTIONS(2602),
    [anon_sym_x] = ACTIONS(2602),
    [anon_sym_EQ_TILDE] = ACTIONS(2600),
    [anon_sym_BANG_TILDE] = ACTIONS(2600),
    [anon_sym_EQ_EQ] = ACTIONS(2602),
    [anon_sym_BANG_EQ] = ACTIONS(2600),
    [anon_sym_eq] = ACTIONS(2602),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2600),
    [anon_sym_equ] = ACTIONS(2600),
    [anon_sym_eqr] = ACTIONS(2600),
    [anon_sym_ne] = ACTIONS(2600),
    [anon_sym_LT_EQ_GT] = ACTIONS(2600),
    [anon_sym_cmp] = ACTIONS(2600),
    [anon_sym_TILDE_TILDE] = ACTIONS(2600),
    [anon_sym_LT_EQ] = ACTIONS(2602),
    [anon_sym_GT_EQ] = ACTIONS(2600),
    [anon_sym_lt] = ACTIONS(2600),
    [anon_sym_le] = ACTIONS(2600),
    [anon_sym_ge] = ACTIONS(2600),
    [anon_sym_gt] = ACTIONS(2600),
    [anon_sym_isa] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_QMARK] = ACTIONS(2600),
    [anon_sym_EQ_GT] = ACTIONS(2600),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2600),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1863] = {
    [sym_heredoc_content] = STATE(1863),
    [aux_sym__term_rightward_repeat1] = STATE(1863),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_COMMA] = ACTIONS(3595),
    [anon_sym_RPAREN] = ACTIONS(2636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2636),
    [anon_sym_DASH_GT] = ACTIONS(2636),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LT_LT] = ACTIONS(2638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2636),
    [anon_sym_PLUS_EQ] = ACTIONS(2636),
    [anon_sym_DASH_EQ] = ACTIONS(2636),
    [anon_sym_DOT_EQ] = ACTIONS(2636),
    [anon_sym_STAR_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_PERCENT_EQ] = ACTIONS(2636),
    [anon_sym_x_EQ] = ACTIONS(2636),
    [anon_sym_AMP_EQ] = ACTIONS(2636),
    [anon_sym_PIPE_EQ] = ACTIONS(2636),
    [anon_sym_CARET_EQ] = ACTIONS(2636),
    [anon_sym_LT_LT_EQ] = ACTIONS(2636),
    [anon_sym_GT_GT_EQ] = ACTIONS(2636),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2636),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_STAR_STAR] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2638),
    [anon_sym_SLASH_SLASH] = ACTIONS(2638),
    [anon_sym_CARET_CARET] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2638),
    [anon_sym_PIPE] = ACTIONS(2638),
    [anon_sym_CARET] = ACTIONS(2638),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym_GT_GT2] = ACTIONS(2638),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_x] = ACTIONS(2638),
    [anon_sym_EQ_TILDE] = ACTIONS(2636),
    [anon_sym_BANG_TILDE] = ACTIONS(2636),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ] = ACTIONS(2636),
    [anon_sym_eq] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2636),
    [anon_sym_equ] = ACTIONS(2636),
    [anon_sym_eqr] = ACTIONS(2636),
    [anon_sym_ne] = ACTIONS(2636),
    [anon_sym_LT_EQ_GT] = ACTIONS(2636),
    [anon_sym_cmp] = ACTIONS(2636),
    [anon_sym_TILDE_TILDE] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2638),
    [anon_sym_GT_EQ] = ACTIONS(2636),
    [anon_sym_lt] = ACTIONS(2636),
    [anon_sym_le] = ACTIONS(2636),
    [anon_sym_ge] = ACTIONS(2636),
    [anon_sym_gt] = ACTIONS(2636),
    [anon_sym_isa] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_QMARK] = ACTIONS(2636),
    [anon_sym_EQ_GT] = ACTIONS(3595),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1864] = {
    [sym_heredoc_content] = STATE(1864),
    [aux_sym__term_rightward_repeat1] = STATE(1902),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym_EQ] = ACTIONS(3598),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3600),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3600),
    [anon_sym_COMMA] = ACTIONS(3602),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3604),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_GT] = ACTIONS(3610),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3600),
    [anon_sym_PLUS_EQ] = ACTIONS(3600),
    [anon_sym_DASH_EQ] = ACTIONS(3600),
    [anon_sym_DOT_EQ] = ACTIONS(3600),
    [anon_sym_STAR_EQ] = ACTIONS(3600),
    [anon_sym_SLASH_EQ] = ACTIONS(3600),
    [anon_sym_PERCENT_EQ] = ACTIONS(3600),
    [anon_sym_x_EQ] = ACTIONS(3600),
    [anon_sym_AMP_EQ] = ACTIONS(3600),
    [anon_sym_PIPE_EQ] = ACTIONS(3600),
    [anon_sym_CARET_EQ] = ACTIONS(3600),
    [anon_sym_LT_LT_EQ] = ACTIONS(3600),
    [anon_sym_GT_GT_EQ] = ACTIONS(3600),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3600),
    [anon_sym_DOT_DOT] = ACTIONS(3614),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(3618),
    [anon_sym_SLASH_SLASH] = ACTIONS(3618),
    [anon_sym_CARET_CARET] = ACTIONS(3620),
    [anon_sym_AMP_AMP] = ACTIONS(3622),
    [anon_sym_PIPE] = ACTIONS(3624),
    [anon_sym_CARET] = ACTIONS(3624),
    [anon_sym_AMP] = ACTIONS(3626),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(3632),
    [anon_sym_BANG_EQ] = ACTIONS(3634),
    [anon_sym_eq] = ACTIONS(3632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3634),
    [anon_sym_equ] = ACTIONS(3634),
    [anon_sym_eqr] = ACTIONS(3634),
    [anon_sym_ne] = ACTIONS(3634),
    [anon_sym_LT_EQ_GT] = ACTIONS(3636),
    [anon_sym_cmp] = ACTIONS(3636),
    [anon_sym_TILDE_TILDE] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3610),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_lt] = ACTIONS(3638),
    [anon_sym_le] = ACTIONS(3638),
    [anon_sym_ge] = ACTIONS(3638),
    [anon_sym_gt] = ACTIONS(3638),
    [anon_sym_isa] = ACTIONS(3640),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(3644),
    [anon_sym_EQ_GT] = ACTIONS(3602),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2476),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1865] = {
    [sym_heredoc_content] = STATE(1865),
    [anon_sym_RBRACE] = ACTIONS(2813),
    [anon_sym_COLON] = ACTIONS(2813),
    [anon_sym_EQ] = ACTIONS(2815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2813),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2813),
    [anon_sym_COMMA] = ACTIONS(2813),
    [anon_sym_RPAREN] = ACTIONS(2813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2813),
    [anon_sym_DASH_GT] = ACTIONS(2813),
    [anon_sym_PERCENT] = ACTIONS(2815),
    [anon_sym_LT] = ACTIONS(2815),
    [anon_sym_GT] = ACTIONS(2815),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2813),
    [anon_sym_PLUS_EQ] = ACTIONS(2813),
    [anon_sym_DASH_EQ] = ACTIONS(2813),
    [anon_sym_DOT_EQ] = ACTIONS(2813),
    [anon_sym_STAR_EQ] = ACTIONS(2813),
    [anon_sym_SLASH_EQ] = ACTIONS(2813),
    [anon_sym_PERCENT_EQ] = ACTIONS(2813),
    [anon_sym_x_EQ] = ACTIONS(2813),
    [anon_sym_AMP_EQ] = ACTIONS(2813),
    [anon_sym_PIPE_EQ] = ACTIONS(2813),
    [anon_sym_CARET_EQ] = ACTIONS(2813),
    [anon_sym_LT_LT_EQ] = ACTIONS(2813),
    [anon_sym_GT_GT_EQ] = ACTIONS(2813),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2813),
    [anon_sym_DOT_DOT] = ACTIONS(2815),
    [anon_sym_STAR_STAR] = ACTIONS(2815),
    [anon_sym_PIPE_PIPE] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH] = ACTIONS(2815),
    [anon_sym_CARET_CARET] = ACTIONS(2813),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_PIPE] = ACTIONS(2815),
    [anon_sym_CARET] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_GT_GT2] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_SLASH] = ACTIONS(2815),
    [anon_sym_x] = ACTIONS(2815),
    [anon_sym_EQ_TILDE] = ACTIONS(2813),
    [anon_sym_BANG_TILDE] = ACTIONS(2813),
    [anon_sym_EQ_EQ] = ACTIONS(2815),
    [anon_sym_BANG_EQ] = ACTIONS(2813),
    [anon_sym_eq] = ACTIONS(2815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2813),
    [anon_sym_equ] = ACTIONS(2813),
    [anon_sym_eqr] = ACTIONS(2813),
    [anon_sym_ne] = ACTIONS(2813),
    [anon_sym_LT_EQ_GT] = ACTIONS(2813),
    [anon_sym_cmp] = ACTIONS(2813),
    [anon_sym_TILDE_TILDE] = ACTIONS(2813),
    [anon_sym_LT_EQ] = ACTIONS(2815),
    [anon_sym_GT_EQ] = ACTIONS(2813),
    [anon_sym_lt] = ACTIONS(2813),
    [anon_sym_le] = ACTIONS(2813),
    [anon_sym_ge] = ACTIONS(2813),
    [anon_sym_gt] = ACTIONS(2813),
    [anon_sym_isa] = ACTIONS(2813),
    [anon_sym_PLUS_PLUS] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2813),
    [anon_sym_QMARK] = ACTIONS(2813),
    [anon_sym_EQ_GT] = ACTIONS(2813),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1866] = {
    [sym_heredoc_content] = STATE(1866),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym_EQ] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2526),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2526),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2526),
    [anon_sym_DASH_GT] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2528),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_GT] = ACTIONS(2528),
    [anon_sym_LT_LT] = ACTIONS(2528),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2526),
    [anon_sym_PLUS_EQ] = ACTIONS(2526),
    [anon_sym_DASH_EQ] = ACTIONS(2526),
    [anon_sym_DOT_EQ] = ACTIONS(2526),
    [anon_sym_STAR_EQ] = ACTIONS(2526),
    [anon_sym_SLASH_EQ] = ACTIONS(2526),
    [anon_sym_PERCENT_EQ] = ACTIONS(2526),
    [anon_sym_x_EQ] = ACTIONS(2528),
    [anon_sym_AMP_EQ] = ACTIONS(2526),
    [anon_sym_PIPE_EQ] = ACTIONS(2526),
    [anon_sym_CARET_EQ] = ACTIONS(2526),
    [anon_sym_LT_LT_EQ] = ACTIONS(2526),
    [anon_sym_GT_GT_EQ] = ACTIONS(2526),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2526),
    [anon_sym_DOT_DOT] = ACTIONS(2528),
    [anon_sym_STAR_STAR] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH] = ACTIONS(2528),
    [anon_sym_CARET_CARET] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_PIPE] = ACTIONS(2528),
    [anon_sym_CARET] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_GT_GT2] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_DOT] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_SLASH] = ACTIONS(2528),
    [anon_sym_x] = ACTIONS(2528),
    [anon_sym_EQ_TILDE] = ACTIONS(2526),
    [anon_sym_BANG_TILDE] = ACTIONS(2526),
    [anon_sym_EQ_EQ] = ACTIONS(2528),
    [anon_sym_BANG_EQ] = ACTIONS(2526),
    [anon_sym_eq] = ACTIONS(2528),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2526),
    [anon_sym_equ] = ACTIONS(2526),
    [anon_sym_eqr] = ACTIONS(2526),
    [anon_sym_ne] = ACTIONS(2528),
    [anon_sym_LT_EQ_GT] = ACTIONS(2526),
    [anon_sym_cmp] = ACTIONS(2528),
    [anon_sym_TILDE_TILDE] = ACTIONS(2526),
    [anon_sym_LT_EQ] = ACTIONS(2528),
    [anon_sym_GT_EQ] = ACTIONS(2526),
    [anon_sym_lt] = ACTIONS(2528),
    [anon_sym_le] = ACTIONS(2528),
    [anon_sym_ge] = ACTIONS(2528),
    [anon_sym_gt] = ACTIONS(2528),
    [anon_sym_isa] = ACTIONS(2528),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3646),
    [sym__PERLY_SEMICOLON] = ACTIONS(2526),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1867] = {
    [sym_heredoc_content] = STATE(1867),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_LBRACK] = ACTIONS(3593),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2538),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2538),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2538),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2538),
    [anon_sym_le] = ACTIONS(2538),
    [anon_sym_ge] = ACTIONS(2538),
    [anon_sym_gt] = ACTIONS(2538),
    [anon_sym_isa] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1868] = {
    [sym_heredoc_content] = STATE(1868),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_COLON] = ACTIONS(2550),
    [anon_sym_EQ] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2550),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2550),
    [anon_sym_COMMA] = ACTIONS(2550),
    [anon_sym_RPAREN] = ACTIONS(2550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2550),
    [anon_sym_DASH_GT] = ACTIONS(2550),
    [anon_sym_PERCENT] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(2552),
    [anon_sym_GT] = ACTIONS(2552),
    [anon_sym_LT_LT] = ACTIONS(2552),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2550),
    [anon_sym_PLUS_EQ] = ACTIONS(2550),
    [anon_sym_DASH_EQ] = ACTIONS(2550),
    [anon_sym_DOT_EQ] = ACTIONS(2550),
    [anon_sym_STAR_EQ] = ACTIONS(2550),
    [anon_sym_SLASH_EQ] = ACTIONS(2550),
    [anon_sym_PERCENT_EQ] = ACTIONS(2550),
    [anon_sym_x_EQ] = ACTIONS(2550),
    [anon_sym_AMP_EQ] = ACTIONS(2550),
    [anon_sym_PIPE_EQ] = ACTIONS(2550),
    [anon_sym_CARET_EQ] = ACTIONS(2550),
    [anon_sym_LT_LT_EQ] = ACTIONS(2550),
    [anon_sym_GT_GT_EQ] = ACTIONS(2550),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2550),
    [anon_sym_DOT_DOT] = ACTIONS(2552),
    [anon_sym_STAR_STAR] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE] = ACTIONS(2552),
    [anon_sym_SLASH_SLASH] = ACTIONS(2552),
    [anon_sym_CARET_CARET] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2552),
    [anon_sym_PIPE] = ACTIONS(2552),
    [anon_sym_CARET] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_GT_GT2] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_SLASH] = ACTIONS(2552),
    [anon_sym_x] = ACTIONS(2552),
    [anon_sym_EQ_TILDE] = ACTIONS(2550),
    [anon_sym_BANG_TILDE] = ACTIONS(2550),
    [anon_sym_EQ_EQ] = ACTIONS(2552),
    [anon_sym_BANG_EQ] = ACTIONS(2550),
    [anon_sym_eq] = ACTIONS(2552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2550),
    [anon_sym_equ] = ACTIONS(2550),
    [anon_sym_eqr] = ACTIONS(2550),
    [anon_sym_ne] = ACTIONS(2550),
    [anon_sym_LT_EQ_GT] = ACTIONS(2550),
    [anon_sym_cmp] = ACTIONS(2550),
    [anon_sym_TILDE_TILDE] = ACTIONS(2550),
    [anon_sym_LT_EQ] = ACTIONS(2552),
    [anon_sym_GT_EQ] = ACTIONS(2550),
    [anon_sym_lt] = ACTIONS(2550),
    [anon_sym_le] = ACTIONS(2550),
    [anon_sym_ge] = ACTIONS(2550),
    [anon_sym_gt] = ACTIONS(2550),
    [anon_sym_isa] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_QMARK] = ACTIONS(2550),
    [anon_sym_EQ_GT] = ACTIONS(2550),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1869] = {
    [sym_heredoc_content] = STATE(1869),
    [anon_sym_RBRACE] = ACTIONS(2554),
    [anon_sym_COLON] = ACTIONS(2554),
    [anon_sym_EQ] = ACTIONS(2556),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2554),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2554),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_RPAREN] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2554),
    [anon_sym_DASH_GT] = ACTIONS(2554),
    [anon_sym_PERCENT] = ACTIONS(2556),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_GT] = ACTIONS(2556),
    [anon_sym_LT_LT] = ACTIONS(2556),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2554),
    [anon_sym_PLUS_EQ] = ACTIONS(2554),
    [anon_sym_DASH_EQ] = ACTIONS(2554),
    [anon_sym_DOT_EQ] = ACTIONS(2554),
    [anon_sym_STAR_EQ] = ACTIONS(2554),
    [anon_sym_SLASH_EQ] = ACTIONS(2554),
    [anon_sym_PERCENT_EQ] = ACTIONS(2554),
    [anon_sym_x_EQ] = ACTIONS(2554),
    [anon_sym_AMP_EQ] = ACTIONS(2554),
    [anon_sym_PIPE_EQ] = ACTIONS(2554),
    [anon_sym_CARET_EQ] = ACTIONS(2554),
    [anon_sym_LT_LT_EQ] = ACTIONS(2554),
    [anon_sym_GT_GT_EQ] = ACTIONS(2554),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2554),
    [anon_sym_DOT_DOT] = ACTIONS(2556),
    [anon_sym_STAR_STAR] = ACTIONS(2556),
    [anon_sym_PIPE_PIPE] = ACTIONS(2556),
    [anon_sym_SLASH_SLASH] = ACTIONS(2556),
    [anon_sym_CARET_CARET] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2556),
    [anon_sym_PIPE] = ACTIONS(2556),
    [anon_sym_CARET] = ACTIONS(2556),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_GT_GT2] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_DOT] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2556),
    [anon_sym_SLASH] = ACTIONS(2556),
    [anon_sym_x] = ACTIONS(2556),
    [anon_sym_EQ_TILDE] = ACTIONS(2554),
    [anon_sym_BANG_TILDE] = ACTIONS(2554),
    [anon_sym_EQ_EQ] = ACTIONS(2556),
    [anon_sym_BANG_EQ] = ACTIONS(2554),
    [anon_sym_eq] = ACTIONS(2556),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2554),
    [anon_sym_equ] = ACTIONS(2554),
    [anon_sym_eqr] = ACTIONS(2554),
    [anon_sym_ne] = ACTIONS(2554),
    [anon_sym_LT_EQ_GT] = ACTIONS(2554),
    [anon_sym_cmp] = ACTIONS(2554),
    [anon_sym_TILDE_TILDE] = ACTIONS(2554),
    [anon_sym_LT_EQ] = ACTIONS(2556),
    [anon_sym_GT_EQ] = ACTIONS(2554),
    [anon_sym_lt] = ACTIONS(2554),
    [anon_sym_le] = ACTIONS(2554),
    [anon_sym_ge] = ACTIONS(2554),
    [anon_sym_gt] = ACTIONS(2554),
    [anon_sym_isa] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_QMARK] = ACTIONS(2554),
    [anon_sym_EQ_GT] = ACTIONS(2554),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1870] = {
    [sym_heredoc_content] = STATE(1870),
    [anon_sym_RBRACE] = ACTIONS(2558),
    [anon_sym_COLON] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2560),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2558),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2558),
    [anon_sym_RPAREN] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DASH_GT] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2560),
    [anon_sym_LT] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2560),
    [anon_sym_LT_LT] = ACTIONS(2560),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2558),
    [anon_sym_PLUS_EQ] = ACTIONS(2558),
    [anon_sym_DASH_EQ] = ACTIONS(2558),
    [anon_sym_DOT_EQ] = ACTIONS(2558),
    [anon_sym_STAR_EQ] = ACTIONS(2558),
    [anon_sym_SLASH_EQ] = ACTIONS(2558),
    [anon_sym_PERCENT_EQ] = ACTIONS(2558),
    [anon_sym_x_EQ] = ACTIONS(2558),
    [anon_sym_AMP_EQ] = ACTIONS(2558),
    [anon_sym_PIPE_EQ] = ACTIONS(2558),
    [anon_sym_CARET_EQ] = ACTIONS(2558),
    [anon_sym_LT_LT_EQ] = ACTIONS(2558),
    [anon_sym_GT_GT_EQ] = ACTIONS(2558),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2558),
    [anon_sym_DOT_DOT] = ACTIONS(2560),
    [anon_sym_STAR_STAR] = ACTIONS(2560),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_SLASH_SLASH] = ACTIONS(2560),
    [anon_sym_CARET_CARET] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_PIPE] = ACTIONS(2560),
    [anon_sym_CARET] = ACTIONS(2560),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_GT_GT2] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2560),
    [anon_sym_x] = ACTIONS(2560),
    [anon_sym_EQ_TILDE] = ACTIONS(2558),
    [anon_sym_BANG_TILDE] = ACTIONS(2558),
    [anon_sym_EQ_EQ] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_eq] = ACTIONS(2560),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2558),
    [anon_sym_equ] = ACTIONS(2558),
    [anon_sym_eqr] = ACTIONS(2558),
    [anon_sym_ne] = ACTIONS(2558),
    [anon_sym_LT_EQ_GT] = ACTIONS(2558),
    [anon_sym_cmp] = ACTIONS(2558),
    [anon_sym_TILDE_TILDE] = ACTIONS(2558),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2558),
    [anon_sym_lt] = ACTIONS(2558),
    [anon_sym_le] = ACTIONS(2558),
    [anon_sym_ge] = ACTIONS(2558),
    [anon_sym_gt] = ACTIONS(2558),
    [anon_sym_isa] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2558),
    [anon_sym_EQ_GT] = ACTIONS(2558),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1871] = {
    [sym_heredoc_content] = STATE(1871),
    [anon_sym_COLON] = ACTIONS(2681),
    [anon_sym_SEMI] = ACTIONS(2681),
    [anon_sym_EQ] = ACTIONS(2683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2681),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2681),
    [anon_sym_COMMA] = ACTIONS(2681),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2681),
    [anon_sym_DASH_GT] = ACTIONS(2681),
    [anon_sym_PERCENT] = ACTIONS(2683),
    [anon_sym_LT] = ACTIONS(2683),
    [anon_sym_GT] = ACTIONS(2683),
    [anon_sym_LT_LT] = ACTIONS(2683),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2681),
    [anon_sym_PLUS_EQ] = ACTIONS(2681),
    [anon_sym_DASH_EQ] = ACTIONS(2681),
    [anon_sym_DOT_EQ] = ACTIONS(2681),
    [anon_sym_STAR_EQ] = ACTIONS(2681),
    [anon_sym_SLASH_EQ] = ACTIONS(2681),
    [anon_sym_PERCENT_EQ] = ACTIONS(2681),
    [anon_sym_x_EQ] = ACTIONS(2681),
    [anon_sym_AMP_EQ] = ACTIONS(2681),
    [anon_sym_PIPE_EQ] = ACTIONS(2681),
    [anon_sym_CARET_EQ] = ACTIONS(2681),
    [anon_sym_LT_LT_EQ] = ACTIONS(2681),
    [anon_sym_GT_GT_EQ] = ACTIONS(2681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2681),
    [anon_sym_DOT_DOT] = ACTIONS(2683),
    [anon_sym_STAR_STAR] = ACTIONS(2683),
    [anon_sym_PIPE_PIPE] = ACTIONS(2683),
    [anon_sym_SLASH_SLASH] = ACTIONS(2683),
    [anon_sym_CARET_CARET] = ACTIONS(2681),
    [anon_sym_AMP_AMP] = ACTIONS(2683),
    [anon_sym_PIPE] = ACTIONS(2683),
    [anon_sym_CARET] = ACTIONS(2683),
    [anon_sym_AMP] = ACTIONS(2683),
    [anon_sym_GT_GT2] = ACTIONS(2683),
    [anon_sym_PLUS] = ACTIONS(2683),
    [anon_sym_DASH] = ACTIONS(2683),
    [anon_sym_DOT] = ACTIONS(2683),
    [anon_sym_STAR] = ACTIONS(2683),
    [anon_sym_SLASH] = ACTIONS(2683),
    [anon_sym_x] = ACTIONS(2683),
    [anon_sym_EQ_TILDE] = ACTIONS(2681),
    [anon_sym_BANG_TILDE] = ACTIONS(2681),
    [anon_sym_EQ_EQ] = ACTIONS(2683),
    [anon_sym_BANG_EQ] = ACTIONS(2681),
    [anon_sym_eq] = ACTIONS(2683),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2681),
    [anon_sym_equ] = ACTIONS(2681),
    [anon_sym_eqr] = ACTIONS(2681),
    [anon_sym_ne] = ACTIONS(2681),
    [anon_sym_LT_EQ_GT] = ACTIONS(2681),
    [anon_sym_cmp] = ACTIONS(2681),
    [anon_sym_TILDE_TILDE] = ACTIONS(2681),
    [anon_sym_LT_EQ] = ACTIONS(2683),
    [anon_sym_GT_EQ] = ACTIONS(2681),
    [anon_sym_lt] = ACTIONS(2681),
    [anon_sym_le] = ACTIONS(2681),
    [anon_sym_ge] = ACTIONS(2681),
    [anon_sym_gt] = ACTIONS(2681),
    [anon_sym_isa] = ACTIONS(2681),
    [anon_sym_PLUS_PLUS] = ACTIONS(2681),
    [anon_sym_DASH_DASH] = ACTIONS(2681),
    [anon_sym_QMARK] = ACTIONS(2681),
    [anon_sym_EQ_GT] = ACTIONS(2681),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2681),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1872] = {
    [sym_heredoc_content] = STATE(1872),
    [anon_sym_RBRACE] = ACTIONS(2590),
    [anon_sym_COLON] = ACTIONS(2590),
    [anon_sym_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2590),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2590),
    [anon_sym_RPAREN] = ACTIONS(2590),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2590),
    [anon_sym_DASH_GT] = ACTIONS(2590),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_LT] = ACTIONS(2592),
    [anon_sym_GT] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2590),
    [anon_sym_PLUS_EQ] = ACTIONS(2590),
    [anon_sym_DASH_EQ] = ACTIONS(2590),
    [anon_sym_DOT_EQ] = ACTIONS(2590),
    [anon_sym_STAR_EQ] = ACTIONS(2590),
    [anon_sym_SLASH_EQ] = ACTIONS(2590),
    [anon_sym_PERCENT_EQ] = ACTIONS(2590),
    [anon_sym_x_EQ] = ACTIONS(2590),
    [anon_sym_AMP_EQ] = ACTIONS(2590),
    [anon_sym_PIPE_EQ] = ACTIONS(2590),
    [anon_sym_CARET_EQ] = ACTIONS(2590),
    [anon_sym_LT_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT_GT_EQ] = ACTIONS(2590),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2590),
    [anon_sym_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR_STAR] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_SLASH_SLASH] = ACTIONS(2592),
    [anon_sym_CARET_CARET] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2592),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym_GT_GT2] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_x] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2590),
    [anon_sym_BANG_TILDE] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2592),
    [anon_sym_BANG_EQ] = ACTIONS(2590),
    [anon_sym_eq] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2590),
    [anon_sym_equ] = ACTIONS(2590),
    [anon_sym_eqr] = ACTIONS(2590),
    [anon_sym_ne] = ACTIONS(2590),
    [anon_sym_LT_EQ_GT] = ACTIONS(2590),
    [anon_sym_cmp] = ACTIONS(2590),
    [anon_sym_TILDE_TILDE] = ACTIONS(2590),
    [anon_sym_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_EQ] = ACTIONS(2590),
    [anon_sym_lt] = ACTIONS(2590),
    [anon_sym_le] = ACTIONS(2590),
    [anon_sym_ge] = ACTIONS(2590),
    [anon_sym_gt] = ACTIONS(2590),
    [anon_sym_isa] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2590),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1873] = {
    [sym_heredoc_content] = STATE(1873),
    [anon_sym_SEMI] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(2466),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_COMMA] = ACTIONS(2464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(3648),
    [anon_sym_DASH_GT] = ACTIONS(2464),
    [anon_sym_PERCENT] = ACTIONS(2466),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_GT] = ACTIONS(2466),
    [anon_sym_LT_LT] = ACTIONS(2466),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(2464),
    [anon_sym_DASH_EQ] = ACTIONS(2464),
    [anon_sym_DOT_EQ] = ACTIONS(2464),
    [anon_sym_STAR_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_PERCENT_EQ] = ACTIONS(2464),
    [anon_sym_x_EQ] = ACTIONS(2464),
    [anon_sym_AMP_EQ] = ACTIONS(2464),
    [anon_sym_PIPE_EQ] = ACTIONS(2464),
    [anon_sym_CARET_EQ] = ACTIONS(2464),
    [anon_sym_LT_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_GT_EQ] = ACTIONS(2464),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2464),
    [anon_sym_DOT_DOT] = ACTIONS(2466),
    [anon_sym_STAR_STAR] = ACTIONS(2466),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH] = ACTIONS(2466),
    [anon_sym_CARET_CARET] = ACTIONS(2464),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_PIPE] = ACTIONS(2466),
    [anon_sym_CARET] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2466),
    [anon_sym_GT_GT2] = ACTIONS(2466),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_SLASH] = ACTIONS(2466),
    [anon_sym_x] = ACTIONS(2466),
    [anon_sym_EQ_TILDE] = ACTIONS(2464),
    [anon_sym_BANG_TILDE] = ACTIONS(2464),
    [anon_sym_EQ_EQ] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_eq] = ACTIONS(2466),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2464),
    [anon_sym_equ] = ACTIONS(2464),
    [anon_sym_eqr] = ACTIONS(2464),
    [anon_sym_ne] = ACTIONS(2464),
    [anon_sym_LT_EQ_GT] = ACTIONS(2464),
    [anon_sym_cmp] = ACTIONS(2464),
    [anon_sym_TILDE_TILDE] = ACTIONS(2464),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2464),
    [anon_sym_lt] = ACTIONS(2464),
    [anon_sym_le] = ACTIONS(2464),
    [anon_sym_ge] = ACTIONS(2464),
    [anon_sym_gt] = ACTIONS(2464),
    [anon_sym_isa] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2464),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2464),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1874] = {
    [sym_heredoc_content] = STATE(1874),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym_EQ] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_COMMA] = ACTIONS(2574),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2574),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym_DASH_GT] = ACTIONS(2574),
    [anon_sym_PERCENT] = ACTIONS(2576),
    [anon_sym_LT] = ACTIONS(2576),
    [anon_sym_GT] = ACTIONS(2576),
    [anon_sym_LT_LT] = ACTIONS(2576),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2574),
    [anon_sym_PLUS_EQ] = ACTIONS(2574),
    [anon_sym_DASH_EQ] = ACTIONS(2574),
    [anon_sym_DOT_EQ] = ACTIONS(2574),
    [anon_sym_STAR_EQ] = ACTIONS(2574),
    [anon_sym_SLASH_EQ] = ACTIONS(2574),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_x_EQ] = ACTIONS(2574),
    [anon_sym_AMP_EQ] = ACTIONS(2574),
    [anon_sym_PIPE_EQ] = ACTIONS(2574),
    [anon_sym_CARET_EQ] = ACTIONS(2574),
    [anon_sym_LT_LT_EQ] = ACTIONS(2574),
    [anon_sym_GT_GT_EQ] = ACTIONS(2574),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2574),
    [anon_sym_DOT_DOT] = ACTIONS(2576),
    [anon_sym_STAR_STAR] = ACTIONS(2576),
    [anon_sym_PIPE_PIPE] = ACTIONS(2576),
    [anon_sym_SLASH_SLASH] = ACTIONS(2576),
    [anon_sym_CARET_CARET] = ACTIONS(2574),
    [anon_sym_AMP_AMP] = ACTIONS(2576),
    [anon_sym_PIPE] = ACTIONS(2576),
    [anon_sym_CARET] = ACTIONS(2576),
    [anon_sym_AMP] = ACTIONS(2576),
    [anon_sym_GT_GT2] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_DOT] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2576),
    [anon_sym_SLASH] = ACTIONS(2576),
    [anon_sym_x] = ACTIONS(2576),
    [anon_sym_EQ_TILDE] = ACTIONS(2574),
    [anon_sym_BANG_TILDE] = ACTIONS(2574),
    [anon_sym_EQ_EQ] = ACTIONS(2576),
    [anon_sym_BANG_EQ] = ACTIONS(2574),
    [anon_sym_eq] = ACTIONS(2576),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2574),
    [anon_sym_equ] = ACTIONS(2574),
    [anon_sym_eqr] = ACTIONS(2574),
    [anon_sym_ne] = ACTIONS(2574),
    [anon_sym_LT_EQ_GT] = ACTIONS(2574),
    [anon_sym_cmp] = ACTIONS(2574),
    [anon_sym_TILDE_TILDE] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2576),
    [anon_sym_GT_EQ] = ACTIONS(2574),
    [anon_sym_lt] = ACTIONS(2574),
    [anon_sym_le] = ACTIONS(2574),
    [anon_sym_ge] = ACTIONS(2574),
    [anon_sym_gt] = ACTIONS(2574),
    [anon_sym_isa] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_QMARK] = ACTIONS(2574),
    [anon_sym_EQ_GT] = ACTIONS(2574),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2574),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1875] = {
    [sym_heredoc_content] = STATE(1875),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2578),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2578),
    [anon_sym_DASH_GT] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2580),
    [anon_sym_LT] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2580),
    [anon_sym_LT_LT] = ACTIONS(2580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2578),
    [anon_sym_PLUS_EQ] = ACTIONS(2578),
    [anon_sym_DASH_EQ] = ACTIONS(2578),
    [anon_sym_DOT_EQ] = ACTIONS(2578),
    [anon_sym_STAR_EQ] = ACTIONS(2578),
    [anon_sym_SLASH_EQ] = ACTIONS(2578),
    [anon_sym_PERCENT_EQ] = ACTIONS(2578),
    [anon_sym_x_EQ] = ACTIONS(2580),
    [anon_sym_AMP_EQ] = ACTIONS(2578),
    [anon_sym_PIPE_EQ] = ACTIONS(2578),
    [anon_sym_CARET_EQ] = ACTIONS(2578),
    [anon_sym_LT_LT_EQ] = ACTIONS(2578),
    [anon_sym_GT_GT_EQ] = ACTIONS(2578),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2578),
    [anon_sym_DOT_DOT] = ACTIONS(2580),
    [anon_sym_STAR_STAR] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_SLASH_SLASH] = ACTIONS(2580),
    [anon_sym_CARET_CARET] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_GT_GT2] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2580),
    [anon_sym_x] = ACTIONS(2580),
    [anon_sym_EQ_TILDE] = ACTIONS(2578),
    [anon_sym_BANG_TILDE] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2578),
    [anon_sym_eq] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2578),
    [anon_sym_equ] = ACTIONS(2578),
    [anon_sym_eqr] = ACTIONS(2578),
    [anon_sym_ne] = ACTIONS(2580),
    [anon_sym_LT_EQ_GT] = ACTIONS(2578),
    [anon_sym_cmp] = ACTIONS(2578),
    [anon_sym_TILDE_TILDE] = ACTIONS(2578),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2578),
    [anon_sym_lt] = ACTIONS(2580),
    [anon_sym_le] = ACTIONS(2580),
    [anon_sym_ge] = ACTIONS(2578),
    [anon_sym_gt] = ACTIONS(2578),
    [anon_sym_isa] = ACTIONS(2580),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_EQ_GT] = ACTIONS(2578),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3650),
    [sym__PERLY_SEMICOLON] = ACTIONS(2578),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1876] = {
    [sym_heredoc_content] = STATE(1876),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_DASH_GT] = ACTIONS(2584),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2586),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_DOT_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_x_EQ] = ACTIONS(2586),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2584),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_STAR_STAR] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2586),
    [anon_sym_SLASH_SLASH] = ACTIONS(2586),
    [anon_sym_CARET_CARET] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_GT_GT2] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_x] = ACTIONS(2586),
    [anon_sym_EQ_TILDE] = ACTIONS(2584),
    [anon_sym_BANG_TILDE] = ACTIONS(2584),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2584),
    [anon_sym_eq] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_equ] = ACTIONS(2584),
    [anon_sym_eqr] = ACTIONS(2584),
    [anon_sym_ne] = ACTIONS(2586),
    [anon_sym_LT_EQ_GT] = ACTIONS(2584),
    [anon_sym_cmp] = ACTIONS(2586),
    [anon_sym_TILDE_TILDE] = ACTIONS(2584),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_lt] = ACTIONS(2586),
    [anon_sym_le] = ACTIONS(2586),
    [anon_sym_ge] = ACTIONS(2586),
    [anon_sym_gt] = ACTIONS(2586),
    [anon_sym_isa] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_EQ_GT] = ACTIONS(2584),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3652),
    [sym__PERLY_SEMICOLON] = ACTIONS(2584),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1877] = {
    [sym_heredoc_content] = STATE(1877),
    [anon_sym_RBRACE] = ACTIONS(2622),
    [anon_sym_COLON] = ACTIONS(2622),
    [anon_sym_EQ] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2622),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2622),
    [anon_sym_COMMA] = ACTIONS(2622),
    [anon_sym_RPAREN] = ACTIONS(2622),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2622),
    [anon_sym_DASH_GT] = ACTIONS(2622),
    [anon_sym_PERCENT] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2624),
    [anon_sym_GT] = ACTIONS(2624),
    [anon_sym_LT_LT] = ACTIONS(2624),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2622),
    [anon_sym_PLUS_EQ] = ACTIONS(2622),
    [anon_sym_DASH_EQ] = ACTIONS(2622),
    [anon_sym_DOT_EQ] = ACTIONS(2622),
    [anon_sym_STAR_EQ] = ACTIONS(2622),
    [anon_sym_SLASH_EQ] = ACTIONS(2622),
    [anon_sym_PERCENT_EQ] = ACTIONS(2622),
    [anon_sym_x_EQ] = ACTIONS(2622),
    [anon_sym_AMP_EQ] = ACTIONS(2622),
    [anon_sym_PIPE_EQ] = ACTIONS(2622),
    [anon_sym_CARET_EQ] = ACTIONS(2622),
    [anon_sym_LT_LT_EQ] = ACTIONS(2622),
    [anon_sym_GT_GT_EQ] = ACTIONS(2622),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2622),
    [anon_sym_DOT_DOT] = ACTIONS(2624),
    [anon_sym_STAR_STAR] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE] = ACTIONS(2624),
    [anon_sym_SLASH_SLASH] = ACTIONS(2624),
    [anon_sym_CARET_CARET] = ACTIONS(2622),
    [anon_sym_AMP_AMP] = ACTIONS(2624),
    [anon_sym_PIPE] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_GT_GT2] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_DOT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_SLASH] = ACTIONS(2624),
    [anon_sym_x] = ACTIONS(2624),
    [anon_sym_EQ_TILDE] = ACTIONS(2622),
    [anon_sym_BANG_TILDE] = ACTIONS(2622),
    [anon_sym_EQ_EQ] = ACTIONS(2624),
    [anon_sym_BANG_EQ] = ACTIONS(2622),
    [anon_sym_eq] = ACTIONS(2624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2622),
    [anon_sym_equ] = ACTIONS(2622),
    [anon_sym_eqr] = ACTIONS(2622),
    [anon_sym_ne] = ACTIONS(2622),
    [anon_sym_LT_EQ_GT] = ACTIONS(2622),
    [anon_sym_cmp] = ACTIONS(2622),
    [anon_sym_TILDE_TILDE] = ACTIONS(2622),
    [anon_sym_LT_EQ] = ACTIONS(2624),
    [anon_sym_GT_EQ] = ACTIONS(2622),
    [anon_sym_lt] = ACTIONS(2622),
    [anon_sym_le] = ACTIONS(2622),
    [anon_sym_ge] = ACTIONS(2622),
    [anon_sym_gt] = ACTIONS(2622),
    [anon_sym_isa] = ACTIONS(2622),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_QMARK] = ACTIONS(2622),
    [anon_sym_EQ_GT] = ACTIONS(2622),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1878] = {
    [sym_heredoc_content] = STATE(1878),
    [anon_sym_SEMI] = ACTIONS(2626),
    [anon_sym_EQ] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2626),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2626),
    [anon_sym_COMMA] = ACTIONS(2626),
    [anon_sym_LPAREN] = ACTIONS(2626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2626),
    [anon_sym_DASH_GT] = ACTIONS(2626),
    [anon_sym_PERCENT] = ACTIONS(2628),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_GT] = ACTIONS(2628),
    [anon_sym_LT_LT] = ACTIONS(2628),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2626),
    [anon_sym_PLUS_EQ] = ACTIONS(2626),
    [anon_sym_DASH_EQ] = ACTIONS(2626),
    [anon_sym_DOT_EQ] = ACTIONS(2626),
    [anon_sym_STAR_EQ] = ACTIONS(2626),
    [anon_sym_SLASH_EQ] = ACTIONS(2626),
    [anon_sym_PERCENT_EQ] = ACTIONS(2626),
    [anon_sym_x_EQ] = ACTIONS(2626),
    [anon_sym_AMP_EQ] = ACTIONS(2626),
    [anon_sym_PIPE_EQ] = ACTIONS(2626),
    [anon_sym_CARET_EQ] = ACTIONS(2626),
    [anon_sym_LT_LT_EQ] = ACTIONS(2626),
    [anon_sym_GT_GT_EQ] = ACTIONS(2626),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2626),
    [anon_sym_DOT_DOT] = ACTIONS(2628),
    [anon_sym_STAR_STAR] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE] = ACTIONS(2628),
    [anon_sym_SLASH_SLASH] = ACTIONS(2628),
    [anon_sym_CARET_CARET] = ACTIONS(2626),
    [anon_sym_AMP_AMP] = ACTIONS(2628),
    [anon_sym_PIPE] = ACTIONS(2628),
    [anon_sym_CARET] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_GT_GT2] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_DOT] = ACTIONS(2628),
    [anon_sym_STAR] = ACTIONS(2628),
    [anon_sym_SLASH] = ACTIONS(2628),
    [anon_sym_x] = ACTIONS(2628),
    [anon_sym_EQ_TILDE] = ACTIONS(2626),
    [anon_sym_BANG_TILDE] = ACTIONS(2626),
    [anon_sym_EQ_EQ] = ACTIONS(2628),
    [anon_sym_BANG_EQ] = ACTIONS(2626),
    [anon_sym_eq] = ACTIONS(2628),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2626),
    [anon_sym_equ] = ACTIONS(2626),
    [anon_sym_eqr] = ACTIONS(2626),
    [anon_sym_ne] = ACTIONS(2626),
    [anon_sym_LT_EQ_GT] = ACTIONS(2626),
    [anon_sym_cmp] = ACTIONS(2626),
    [anon_sym_TILDE_TILDE] = ACTIONS(2626),
    [anon_sym_LT_EQ] = ACTIONS(2628),
    [anon_sym_GT_EQ] = ACTIONS(2626),
    [anon_sym_lt] = ACTIONS(2626),
    [anon_sym_le] = ACTIONS(2626),
    [anon_sym_ge] = ACTIONS(2626),
    [anon_sym_gt] = ACTIONS(2626),
    [anon_sym_isa] = ACTIONS(2626),
    [anon_sym_PLUS_PLUS] = ACTIONS(2626),
    [anon_sym_DASH_DASH] = ACTIONS(2626),
    [anon_sym_QMARK] = ACTIONS(2626),
    [anon_sym_EQ_GT] = ACTIONS(2626),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2626),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1879] = {
    [sym_heredoc_content] = STATE(1879),
    [anon_sym_SEMI] = ACTIONS(2630),
    [anon_sym_EQ] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2630),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2630),
    [anon_sym_LPAREN] = ACTIONS(3654),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2630),
    [anon_sym_DASH_GT] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2632),
    [anon_sym_LT] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2632),
    [anon_sym_LT_LT] = ACTIONS(2632),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2630),
    [anon_sym_PLUS_EQ] = ACTIONS(2630),
    [anon_sym_DASH_EQ] = ACTIONS(2630),
    [anon_sym_DOT_EQ] = ACTIONS(2630),
    [anon_sym_STAR_EQ] = ACTIONS(2630),
    [anon_sym_SLASH_EQ] = ACTIONS(2630),
    [anon_sym_PERCENT_EQ] = ACTIONS(2630),
    [anon_sym_x_EQ] = ACTIONS(2630),
    [anon_sym_AMP_EQ] = ACTIONS(2630),
    [anon_sym_PIPE_EQ] = ACTIONS(2630),
    [anon_sym_CARET_EQ] = ACTIONS(2630),
    [anon_sym_LT_LT_EQ] = ACTIONS(2630),
    [anon_sym_GT_GT_EQ] = ACTIONS(2630),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2630),
    [anon_sym_DOT_DOT] = ACTIONS(2632),
    [anon_sym_STAR_STAR] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_SLASH_SLASH] = ACTIONS(2632),
    [anon_sym_CARET_CARET] = ACTIONS(2630),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_PIPE] = ACTIONS(2632),
    [anon_sym_CARET] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_GT_GT2] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2632),
    [anon_sym_DASH] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2632),
    [anon_sym_STAR] = ACTIONS(2632),
    [anon_sym_SLASH] = ACTIONS(2632),
    [anon_sym_x] = ACTIONS(2632),
    [anon_sym_EQ_TILDE] = ACTIONS(2630),
    [anon_sym_BANG_TILDE] = ACTIONS(2630),
    [anon_sym_EQ_EQ] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_eq] = ACTIONS(2632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2630),
    [anon_sym_equ] = ACTIONS(2630),
    [anon_sym_eqr] = ACTIONS(2630),
    [anon_sym_ne] = ACTIONS(2630),
    [anon_sym_LT_EQ_GT] = ACTIONS(2630),
    [anon_sym_cmp] = ACTIONS(2630),
    [anon_sym_TILDE_TILDE] = ACTIONS(2630),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2630),
    [anon_sym_lt] = ACTIONS(2630),
    [anon_sym_le] = ACTIONS(2630),
    [anon_sym_ge] = ACTIONS(2630),
    [anon_sym_gt] = ACTIONS(2630),
    [anon_sym_isa] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2630),
    [anon_sym_DASH_DASH] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_EQ_GT] = ACTIONS(2630),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2630),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1880] = {
    [sym_heredoc_content] = STATE(1880),
    [anon_sym_SEMI] = ACTIONS(2604),
    [anon_sym_EQ] = ACTIONS(2606),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2604),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2604),
    [anon_sym_COMMA] = ACTIONS(2604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2604),
    [anon_sym_DASH_GT] = ACTIONS(2604),
    [anon_sym_PERCENT] = ACTIONS(2606),
    [anon_sym_LT] = ACTIONS(2606),
    [anon_sym_GT] = ACTIONS(2606),
    [anon_sym_LT_LT] = ACTIONS(2606),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2604),
    [anon_sym_PLUS_EQ] = ACTIONS(2604),
    [anon_sym_DASH_EQ] = ACTIONS(2604),
    [anon_sym_DOT_EQ] = ACTIONS(2604),
    [anon_sym_STAR_EQ] = ACTIONS(2604),
    [anon_sym_SLASH_EQ] = ACTIONS(2604),
    [anon_sym_PERCENT_EQ] = ACTIONS(2604),
    [anon_sym_x_EQ] = ACTIONS(2606),
    [anon_sym_AMP_EQ] = ACTIONS(2604),
    [anon_sym_PIPE_EQ] = ACTIONS(2604),
    [anon_sym_CARET_EQ] = ACTIONS(2604),
    [anon_sym_LT_LT_EQ] = ACTIONS(2604),
    [anon_sym_GT_GT_EQ] = ACTIONS(2604),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2604),
    [anon_sym_DOT_DOT] = ACTIONS(2606),
    [anon_sym_STAR_STAR] = ACTIONS(2606),
    [anon_sym_PIPE_PIPE] = ACTIONS(2606),
    [anon_sym_SLASH_SLASH] = ACTIONS(2606),
    [anon_sym_CARET_CARET] = ACTIONS(2604),
    [anon_sym_AMP_AMP] = ACTIONS(2606),
    [anon_sym_PIPE] = ACTIONS(2606),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym_GT_GT2] = ACTIONS(2606),
    [anon_sym_PLUS] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2606),
    [anon_sym_DOT] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_SLASH] = ACTIONS(2606),
    [anon_sym_x] = ACTIONS(2606),
    [anon_sym_EQ_TILDE] = ACTIONS(2604),
    [anon_sym_BANG_TILDE] = ACTIONS(2604),
    [anon_sym_EQ_EQ] = ACTIONS(2606),
    [anon_sym_BANG_EQ] = ACTIONS(2604),
    [anon_sym_eq] = ACTIONS(2606),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2604),
    [anon_sym_equ] = ACTIONS(2604),
    [anon_sym_eqr] = ACTIONS(2604),
    [anon_sym_ne] = ACTIONS(2606),
    [anon_sym_LT_EQ_GT] = ACTIONS(2604),
    [anon_sym_cmp] = ACTIONS(2606),
    [anon_sym_TILDE_TILDE] = ACTIONS(2604),
    [anon_sym_LT_EQ] = ACTIONS(2606),
    [anon_sym_GT_EQ] = ACTIONS(2604),
    [anon_sym_lt] = ACTIONS(2606),
    [anon_sym_le] = ACTIONS(2606),
    [anon_sym_ge] = ACTIONS(2606),
    [anon_sym_gt] = ACTIONS(2606),
    [anon_sym_isa] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2604),
    [anon_sym_QMARK] = ACTIONS(2604),
    [anon_sym_EQ_GT] = ACTIONS(2604),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3656),
    [sym__PERLY_SEMICOLON] = ACTIONS(2604),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1881] = {
    [sym_heredoc_content] = STATE(1881),
    [anon_sym_SEMI] = ACTIONS(2651),
    [anon_sym_EQ] = ACTIONS(2653),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2651),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2651),
    [anon_sym_COMMA] = ACTIONS(2651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2651),
    [anon_sym_LBRACK] = ACTIONS(3648),
    [anon_sym_DASH_GT] = ACTIONS(2651),
    [anon_sym_PERCENT] = ACTIONS(2653),
    [anon_sym_LT] = ACTIONS(2653),
    [anon_sym_GT] = ACTIONS(2653),
    [anon_sym_LT_LT] = ACTIONS(2653),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2651),
    [anon_sym_PLUS_EQ] = ACTIONS(2651),
    [anon_sym_DASH_EQ] = ACTIONS(2651),
    [anon_sym_DOT_EQ] = ACTIONS(2651),
    [anon_sym_STAR_EQ] = ACTIONS(2651),
    [anon_sym_SLASH_EQ] = ACTIONS(2651),
    [anon_sym_PERCENT_EQ] = ACTIONS(2651),
    [anon_sym_x_EQ] = ACTIONS(2651),
    [anon_sym_AMP_EQ] = ACTIONS(2651),
    [anon_sym_PIPE_EQ] = ACTIONS(2651),
    [anon_sym_CARET_EQ] = ACTIONS(2651),
    [anon_sym_LT_LT_EQ] = ACTIONS(2651),
    [anon_sym_GT_GT_EQ] = ACTIONS(2651),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2651),
    [anon_sym_DOT_DOT] = ACTIONS(2653),
    [anon_sym_STAR_STAR] = ACTIONS(2653),
    [anon_sym_PIPE_PIPE] = ACTIONS(2653),
    [anon_sym_SLASH_SLASH] = ACTIONS(2653),
    [anon_sym_CARET_CARET] = ACTIONS(2651),
    [anon_sym_AMP_AMP] = ACTIONS(2653),
    [anon_sym_PIPE] = ACTIONS(2653),
    [anon_sym_CARET] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_GT_GT2] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_DOT] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_SLASH] = ACTIONS(2653),
    [anon_sym_x] = ACTIONS(2653),
    [anon_sym_EQ_TILDE] = ACTIONS(2651),
    [anon_sym_BANG_TILDE] = ACTIONS(2651),
    [anon_sym_EQ_EQ] = ACTIONS(2653),
    [anon_sym_BANG_EQ] = ACTIONS(2651),
    [anon_sym_eq] = ACTIONS(2653),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2651),
    [anon_sym_equ] = ACTIONS(2651),
    [anon_sym_eqr] = ACTIONS(2651),
    [anon_sym_ne] = ACTIONS(2651),
    [anon_sym_LT_EQ_GT] = ACTIONS(2651),
    [anon_sym_cmp] = ACTIONS(2651),
    [anon_sym_TILDE_TILDE] = ACTIONS(2651),
    [anon_sym_LT_EQ] = ACTIONS(2653),
    [anon_sym_GT_EQ] = ACTIONS(2651),
    [anon_sym_lt] = ACTIONS(2651),
    [anon_sym_le] = ACTIONS(2651),
    [anon_sym_ge] = ACTIONS(2651),
    [anon_sym_gt] = ACTIONS(2651),
    [anon_sym_isa] = ACTIONS(2651),
    [anon_sym_PLUS_PLUS] = ACTIONS(2651),
    [anon_sym_DASH_DASH] = ACTIONS(2651),
    [anon_sym_QMARK] = ACTIONS(2651),
    [anon_sym_EQ_GT] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2651),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1882] = {
    [sym_heredoc_content] = STATE(1882),
    [anon_sym_COLON] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2532),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2532),
    [anon_sym_eqr] = ACTIONS(2532),
    [anon_sym_ne] = ACTIONS(2532),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2532),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2532),
    [anon_sym_le] = ACTIONS(2532),
    [anon_sym_ge] = ACTIONS(2532),
    [anon_sym_gt] = ACTIONS(2532),
    [anon_sym_isa] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1883] = {
    [sym_heredoc_content] = STATE(1883),
    [anon_sym_SEMI] = ACTIONS(2655),
    [anon_sym_EQ] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2655),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2655),
    [anon_sym_COMMA] = ACTIONS(2655),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2655),
    [anon_sym_LBRACK] = ACTIONS(2655),
    [anon_sym_DASH_GT] = ACTIONS(2655),
    [anon_sym_PERCENT] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(2657),
    [anon_sym_GT] = ACTIONS(2657),
    [anon_sym_LT_LT] = ACTIONS(2657),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2655),
    [anon_sym_PLUS_EQ] = ACTIONS(2655),
    [anon_sym_DASH_EQ] = ACTIONS(2655),
    [anon_sym_DOT_EQ] = ACTIONS(2655),
    [anon_sym_STAR_EQ] = ACTIONS(2655),
    [anon_sym_SLASH_EQ] = ACTIONS(2655),
    [anon_sym_PERCENT_EQ] = ACTIONS(2655),
    [anon_sym_x_EQ] = ACTIONS(2655),
    [anon_sym_AMP_EQ] = ACTIONS(2655),
    [anon_sym_PIPE_EQ] = ACTIONS(2655),
    [anon_sym_CARET_EQ] = ACTIONS(2655),
    [anon_sym_LT_LT_EQ] = ACTIONS(2655),
    [anon_sym_GT_GT_EQ] = ACTIONS(2655),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2655),
    [anon_sym_DOT_DOT] = ACTIONS(2657),
    [anon_sym_STAR_STAR] = ACTIONS(2657),
    [anon_sym_PIPE_PIPE] = ACTIONS(2657),
    [anon_sym_SLASH_SLASH] = ACTIONS(2657),
    [anon_sym_CARET_CARET] = ACTIONS(2655),
    [anon_sym_AMP_AMP] = ACTIONS(2657),
    [anon_sym_PIPE] = ACTIONS(2657),
    [anon_sym_CARET] = ACTIONS(2657),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym_GT_GT2] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2657),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_DOT] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2657),
    [anon_sym_SLASH] = ACTIONS(2657),
    [anon_sym_x] = ACTIONS(2657),
    [anon_sym_EQ_TILDE] = ACTIONS(2655),
    [anon_sym_BANG_TILDE] = ACTIONS(2655),
    [anon_sym_EQ_EQ] = ACTIONS(2657),
    [anon_sym_BANG_EQ] = ACTIONS(2655),
    [anon_sym_eq] = ACTIONS(2657),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2655),
    [anon_sym_equ] = ACTIONS(2655),
    [anon_sym_eqr] = ACTIONS(2655),
    [anon_sym_ne] = ACTIONS(2655),
    [anon_sym_LT_EQ_GT] = ACTIONS(2655),
    [anon_sym_cmp] = ACTIONS(2655),
    [anon_sym_TILDE_TILDE] = ACTIONS(2655),
    [anon_sym_LT_EQ] = ACTIONS(2657),
    [anon_sym_GT_EQ] = ACTIONS(2655),
    [anon_sym_lt] = ACTIONS(2655),
    [anon_sym_le] = ACTIONS(2655),
    [anon_sym_ge] = ACTIONS(2655),
    [anon_sym_gt] = ACTIONS(2655),
    [anon_sym_isa] = ACTIONS(2655),
    [anon_sym_PLUS_PLUS] = ACTIONS(2655),
    [anon_sym_DASH_DASH] = ACTIONS(2655),
    [anon_sym_QMARK] = ACTIONS(2655),
    [anon_sym_EQ_GT] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2655),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1884] = {
    [sym_heredoc_content] = STATE(1884),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2434),
    [anon_sym_DASH_GT] = ACTIONS(2434),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2434),
    [anon_sym_PLUS_EQ] = ACTIONS(2434),
    [anon_sym_DASH_EQ] = ACTIONS(2434),
    [anon_sym_DOT_EQ] = ACTIONS(2434),
    [anon_sym_STAR_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_PERCENT_EQ] = ACTIONS(2434),
    [anon_sym_x_EQ] = ACTIONS(2436),
    [anon_sym_AMP_EQ] = ACTIONS(2434),
    [anon_sym_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_CARET_EQ] = ACTIONS(2434),
    [anon_sym_LT_LT_EQ] = ACTIONS(2434),
    [anon_sym_GT_GT_EQ] = ACTIONS(2434),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2434),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2434),
    [anon_sym_BANG_TILDE] = ACTIONS(2434),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2434),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2434),
    [anon_sym_equ] = ACTIONS(2434),
    [anon_sym_eqr] = ACTIONS(2434),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2434),
    [anon_sym_cmp] = ACTIONS(2434),
    [anon_sym_TILDE_TILDE] = ACTIONS(2434),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2434),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2434),
    [anon_sym_gt] = ACTIONS(2434),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2434),
    [anon_sym_EQ_GT] = ACTIONS(2434),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3658),
    [sym__PERLY_SEMICOLON] = ACTIONS(2434),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1885] = {
    [sym_heredoc_content] = STATE(1885),
    [anon_sym_SEMI] = ACTIONS(2440),
    [anon_sym_EQ] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2440),
    [anon_sym_COMMA] = ACTIONS(2440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2440),
    [anon_sym_DASH_GT] = ACTIONS(2440),
    [anon_sym_PERCENT] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2442),
    [anon_sym_GT] = ACTIONS(2442),
    [anon_sym_LT_LT] = ACTIONS(2442),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2440),
    [anon_sym_PLUS_EQ] = ACTIONS(2440),
    [anon_sym_DASH_EQ] = ACTIONS(2440),
    [anon_sym_DOT_EQ] = ACTIONS(2440),
    [anon_sym_STAR_EQ] = ACTIONS(2440),
    [anon_sym_SLASH_EQ] = ACTIONS(2440),
    [anon_sym_PERCENT_EQ] = ACTIONS(2440),
    [anon_sym_x_EQ] = ACTIONS(2442),
    [anon_sym_AMP_EQ] = ACTIONS(2440),
    [anon_sym_PIPE_EQ] = ACTIONS(2440),
    [anon_sym_CARET_EQ] = ACTIONS(2440),
    [anon_sym_LT_LT_EQ] = ACTIONS(2440),
    [anon_sym_GT_GT_EQ] = ACTIONS(2440),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2440),
    [anon_sym_DOT_DOT] = ACTIONS(2442),
    [anon_sym_STAR_STAR] = ACTIONS(2442),
    [anon_sym_PIPE_PIPE] = ACTIONS(2442),
    [anon_sym_SLASH_SLASH] = ACTIONS(2442),
    [anon_sym_CARET_CARET] = ACTIONS(2440),
    [anon_sym_AMP_AMP] = ACTIONS(2442),
    [anon_sym_PIPE] = ACTIONS(2442),
    [anon_sym_CARET] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_GT_GT2] = ACTIONS(2442),
    [anon_sym_PLUS] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_DOT] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_SLASH] = ACTIONS(2442),
    [anon_sym_x] = ACTIONS(2442),
    [anon_sym_EQ_TILDE] = ACTIONS(2440),
    [anon_sym_BANG_TILDE] = ACTIONS(2440),
    [anon_sym_EQ_EQ] = ACTIONS(2442),
    [anon_sym_BANG_EQ] = ACTIONS(2440),
    [anon_sym_eq] = ACTIONS(2442),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2440),
    [anon_sym_equ] = ACTIONS(2440),
    [anon_sym_eqr] = ACTIONS(2440),
    [anon_sym_ne] = ACTIONS(2442),
    [anon_sym_LT_EQ_GT] = ACTIONS(2440),
    [anon_sym_cmp] = ACTIONS(2442),
    [anon_sym_TILDE_TILDE] = ACTIONS(2440),
    [anon_sym_LT_EQ] = ACTIONS(2442),
    [anon_sym_GT_EQ] = ACTIONS(2440),
    [anon_sym_lt] = ACTIONS(2442),
    [anon_sym_le] = ACTIONS(2442),
    [anon_sym_ge] = ACTIONS(2442),
    [anon_sym_gt] = ACTIONS(2442),
    [anon_sym_isa] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2440),
    [anon_sym_DASH_DASH] = ACTIONS(2440),
    [anon_sym_QMARK] = ACTIONS(2440),
    [anon_sym_EQ_GT] = ACTIONS(2440),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3660),
    [sym__PERLY_SEMICOLON] = ACTIONS(2440),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1886] = {
    [sym_heredoc_content] = STATE(1886),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_EQ] = ACTIONS(2448),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(2446),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2446),
    [anon_sym_DASH_GT] = ACTIONS(2446),
    [anon_sym_PERCENT] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(2448),
    [anon_sym_LT_LT] = ACTIONS(2448),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2446),
    [anon_sym_PLUS_EQ] = ACTIONS(2446),
    [anon_sym_DASH_EQ] = ACTIONS(2446),
    [anon_sym_DOT_EQ] = ACTIONS(2446),
    [anon_sym_STAR_EQ] = ACTIONS(2446),
    [anon_sym_SLASH_EQ] = ACTIONS(2446),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_x_EQ] = ACTIONS(2448),
    [anon_sym_AMP_EQ] = ACTIONS(2446),
    [anon_sym_PIPE_EQ] = ACTIONS(2446),
    [anon_sym_CARET_EQ] = ACTIONS(2446),
    [anon_sym_LT_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_GT_EQ] = ACTIONS(2446),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2446),
    [anon_sym_DOT_DOT] = ACTIONS(2448),
    [anon_sym_STAR_STAR] = ACTIONS(2448),
    [anon_sym_PIPE_PIPE] = ACTIONS(2448),
    [anon_sym_SLASH_SLASH] = ACTIONS(2448),
    [anon_sym_CARET_CARET] = ACTIONS(2446),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_PIPE] = ACTIONS(2448),
    [anon_sym_CARET] = ACTIONS(2448),
    [anon_sym_AMP] = ACTIONS(2448),
    [anon_sym_GT_GT2] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_DOT] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2448),
    [anon_sym_SLASH] = ACTIONS(2448),
    [anon_sym_x] = ACTIONS(2448),
    [anon_sym_EQ_TILDE] = ACTIONS(2446),
    [anon_sym_BANG_TILDE] = ACTIONS(2446),
    [anon_sym_EQ_EQ] = ACTIONS(2448),
    [anon_sym_BANG_EQ] = ACTIONS(2446),
    [anon_sym_eq] = ACTIONS(2448),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2446),
    [anon_sym_equ] = ACTIONS(2448),
    [anon_sym_eqr] = ACTIONS(2448),
    [anon_sym_ne] = ACTIONS(2446),
    [anon_sym_LT_EQ_GT] = ACTIONS(2446),
    [anon_sym_cmp] = ACTIONS(2448),
    [anon_sym_TILDE_TILDE] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2448),
    [anon_sym_GT_EQ] = ACTIONS(2446),
    [anon_sym_lt] = ACTIONS(2448),
    [anon_sym_le] = ACTIONS(2448),
    [anon_sym_ge] = ACTIONS(2448),
    [anon_sym_gt] = ACTIONS(2448),
    [anon_sym_isa] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_QMARK] = ACTIONS(2446),
    [anon_sym_EQ_GT] = ACTIONS(2446),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3662),
    [sym__PERLY_SEMICOLON] = ACTIONS(2446),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1887] = {
    [sym_heredoc_content] = STATE(1887),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym_EQ] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2452),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_LT] = ACTIONS(2454),
    [anon_sym_GT] = ACTIONS(2454),
    [anon_sym_LT_LT] = ACTIONS(2454),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2452),
    [anon_sym_DASH_EQ] = ACTIONS(2452),
    [anon_sym_DOT_EQ] = ACTIONS(2452),
    [anon_sym_STAR_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_PERCENT_EQ] = ACTIONS(2452),
    [anon_sym_x_EQ] = ACTIONS(2452),
    [anon_sym_AMP_EQ] = ACTIONS(2452),
    [anon_sym_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_CARET_EQ] = ACTIONS(2452),
    [anon_sym_LT_LT_EQ] = ACTIONS(2452),
    [anon_sym_GT_GT_EQ] = ACTIONS(2452),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(2454),
    [anon_sym_STAR_STAR] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2454),
    [anon_sym_SLASH_SLASH] = ACTIONS(2454),
    [anon_sym_CARET_CARET] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2454),
    [anon_sym_PIPE] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_GT_GT2] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_DOT] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_SLASH] = ACTIONS(2454),
    [anon_sym_x] = ACTIONS(2454),
    [anon_sym_EQ_TILDE] = ACTIONS(2452),
    [anon_sym_BANG_TILDE] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2454),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_eq] = ACTIONS(2454),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_equ] = ACTIONS(2452),
    [anon_sym_eqr] = ACTIONS(2452),
    [anon_sym_ne] = ACTIONS(2452),
    [anon_sym_LT_EQ_GT] = ACTIONS(2452),
    [anon_sym_cmp] = ACTIONS(2454),
    [anon_sym_TILDE_TILDE] = ACTIONS(2452),
    [anon_sym_LT_EQ] = ACTIONS(2454),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_lt] = ACTIONS(2452),
    [anon_sym_le] = ACTIONS(2452),
    [anon_sym_ge] = ACTIONS(2452),
    [anon_sym_gt] = ACTIONS(2452),
    [anon_sym_isa] = ACTIONS(2452),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [anon_sym_QMARK] = ACTIONS(2452),
    [anon_sym_EQ_GT] = ACTIONS(2452),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3664),
    [sym__PERLY_SEMICOLON] = ACTIONS(2452),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1888] = {
    [sym_heredoc_content] = STATE(1888),
    [anon_sym_RBRACE] = ACTIONS(2697),
    [anon_sym_COLON] = ACTIONS(2697),
    [anon_sym_EQ] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2697),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2697),
    [anon_sym_COMMA] = ACTIONS(2697),
    [anon_sym_RPAREN] = ACTIONS(2697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2697),
    [anon_sym_DASH_GT] = ACTIONS(2697),
    [anon_sym_PERCENT] = ACTIONS(2699),
    [anon_sym_LT] = ACTIONS(2699),
    [anon_sym_GT] = ACTIONS(2699),
    [anon_sym_LT_LT] = ACTIONS(2699),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2697),
    [anon_sym_DASH_EQ] = ACTIONS(2697),
    [anon_sym_DOT_EQ] = ACTIONS(2697),
    [anon_sym_STAR_EQ] = ACTIONS(2697),
    [anon_sym_SLASH_EQ] = ACTIONS(2697),
    [anon_sym_PERCENT_EQ] = ACTIONS(2697),
    [anon_sym_x_EQ] = ACTIONS(2697),
    [anon_sym_AMP_EQ] = ACTIONS(2697),
    [anon_sym_PIPE_EQ] = ACTIONS(2697),
    [anon_sym_CARET_EQ] = ACTIONS(2697),
    [anon_sym_LT_LT_EQ] = ACTIONS(2697),
    [anon_sym_GT_GT_EQ] = ACTIONS(2697),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2697),
    [anon_sym_DOT_DOT] = ACTIONS(2699),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2699),
    [anon_sym_SLASH_SLASH] = ACTIONS(2699),
    [anon_sym_CARET_CARET] = ACTIONS(2697),
    [anon_sym_AMP_AMP] = ACTIONS(2699),
    [anon_sym_PIPE] = ACTIONS(2699),
    [anon_sym_CARET] = ACTIONS(2699),
    [anon_sym_AMP] = ACTIONS(2699),
    [anon_sym_GT_GT2] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_DOT] = ACTIONS(2699),
    [anon_sym_STAR] = ACTIONS(2699),
    [anon_sym_SLASH] = ACTIONS(2699),
    [anon_sym_x] = ACTIONS(2699),
    [anon_sym_EQ_TILDE] = ACTIONS(2697),
    [anon_sym_BANG_TILDE] = ACTIONS(2697),
    [anon_sym_EQ_EQ] = ACTIONS(2699),
    [anon_sym_BANG_EQ] = ACTIONS(2697),
    [anon_sym_eq] = ACTIONS(2699),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2697),
    [anon_sym_equ] = ACTIONS(2697),
    [anon_sym_eqr] = ACTIONS(2697),
    [anon_sym_ne] = ACTIONS(2697),
    [anon_sym_LT_EQ_GT] = ACTIONS(2697),
    [anon_sym_cmp] = ACTIONS(2697),
    [anon_sym_TILDE_TILDE] = ACTIONS(2697),
    [anon_sym_LT_EQ] = ACTIONS(2699),
    [anon_sym_GT_EQ] = ACTIONS(2697),
    [anon_sym_lt] = ACTIONS(2697),
    [anon_sym_le] = ACTIONS(2697),
    [anon_sym_ge] = ACTIONS(2697),
    [anon_sym_gt] = ACTIONS(2697),
    [anon_sym_isa] = ACTIONS(2697),
    [anon_sym_PLUS_PLUS] = ACTIONS(2697),
    [anon_sym_DASH_DASH] = ACTIONS(2697),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_EQ_GT] = ACTIONS(2697),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1889] = {
    [sym_heredoc_content] = STATE(1889),
    [anon_sym_RBRACE] = ACTIONS(2745),
    [anon_sym_COLON] = ACTIONS(2745),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2745),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2745),
    [anon_sym_COMMA] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(2745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2745),
    [anon_sym_DASH_GT] = ACTIONS(2745),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LT_LT] = ACTIONS(2747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2745),
    [anon_sym_PLUS_EQ] = ACTIONS(2745),
    [anon_sym_DASH_EQ] = ACTIONS(2745),
    [anon_sym_DOT_EQ] = ACTIONS(2745),
    [anon_sym_STAR_EQ] = ACTIONS(2745),
    [anon_sym_SLASH_EQ] = ACTIONS(2745),
    [anon_sym_PERCENT_EQ] = ACTIONS(2745),
    [anon_sym_x_EQ] = ACTIONS(2745),
    [anon_sym_AMP_EQ] = ACTIONS(2745),
    [anon_sym_PIPE_EQ] = ACTIONS(2745),
    [anon_sym_CARET_EQ] = ACTIONS(2745),
    [anon_sym_LT_LT_EQ] = ACTIONS(2745),
    [anon_sym_GT_GT_EQ] = ACTIONS(2745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2745),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_STAR_STAR] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2747),
    [anon_sym_SLASH_SLASH] = ACTIONS(2747),
    [anon_sym_CARET_CARET] = ACTIONS(2745),
    [anon_sym_AMP_AMP] = ACTIONS(2747),
    [anon_sym_PIPE] = ACTIONS(2747),
    [anon_sym_CARET] = ACTIONS(2747),
    [anon_sym_AMP] = ACTIONS(2747),
    [anon_sym_GT_GT2] = ACTIONS(2747),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_x] = ACTIONS(2747),
    [anon_sym_EQ_TILDE] = ACTIONS(2745),
    [anon_sym_BANG_TILDE] = ACTIONS(2745),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ] = ACTIONS(2745),
    [anon_sym_eq] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2745),
    [anon_sym_equ] = ACTIONS(2745),
    [anon_sym_eqr] = ACTIONS(2745),
    [anon_sym_ne] = ACTIONS(2745),
    [anon_sym_LT_EQ_GT] = ACTIONS(2745),
    [anon_sym_cmp] = ACTIONS(2745),
    [anon_sym_TILDE_TILDE] = ACTIONS(2745),
    [anon_sym_LT_EQ] = ACTIONS(2747),
    [anon_sym_GT_EQ] = ACTIONS(2745),
    [anon_sym_lt] = ACTIONS(2745),
    [anon_sym_le] = ACTIONS(2745),
    [anon_sym_ge] = ACTIONS(2745),
    [anon_sym_gt] = ACTIONS(2745),
    [anon_sym_isa] = ACTIONS(2745),
    [anon_sym_PLUS_PLUS] = ACTIONS(2745),
    [anon_sym_DASH_DASH] = ACTIONS(2745),
    [anon_sym_QMARK] = ACTIONS(2745),
    [anon_sym_EQ_GT] = ACTIONS(2745),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1890] = {
    [sym_heredoc_content] = STATE(1890),
    [anon_sym_RBRACE] = ACTIONS(2885),
    [anon_sym_COLON] = ACTIONS(2885),
    [anon_sym_EQ] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2885),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2885),
    [anon_sym_COMMA] = ACTIONS(2885),
    [anon_sym_RPAREN] = ACTIONS(2885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2885),
    [anon_sym_DASH_GT] = ACTIONS(2885),
    [anon_sym_PERCENT] = ACTIONS(2887),
    [anon_sym_LT] = ACTIONS(2887),
    [anon_sym_GT] = ACTIONS(2887),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2885),
    [anon_sym_PLUS_EQ] = ACTIONS(2885),
    [anon_sym_DASH_EQ] = ACTIONS(2885),
    [anon_sym_DOT_EQ] = ACTIONS(2885),
    [anon_sym_STAR_EQ] = ACTIONS(2885),
    [anon_sym_SLASH_EQ] = ACTIONS(2885),
    [anon_sym_PERCENT_EQ] = ACTIONS(2885),
    [anon_sym_x_EQ] = ACTIONS(2885),
    [anon_sym_AMP_EQ] = ACTIONS(2885),
    [anon_sym_PIPE_EQ] = ACTIONS(2885),
    [anon_sym_CARET_EQ] = ACTIONS(2885),
    [anon_sym_LT_LT_EQ] = ACTIONS(2885),
    [anon_sym_GT_GT_EQ] = ACTIONS(2885),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2885),
    [anon_sym_DOT_DOT] = ACTIONS(2887),
    [anon_sym_STAR_STAR] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE] = ACTIONS(2887),
    [anon_sym_SLASH_SLASH] = ACTIONS(2887),
    [anon_sym_CARET_CARET] = ACTIONS(2885),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_PIPE] = ACTIONS(2887),
    [anon_sym_CARET] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_GT_GT2] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_DOT] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_SLASH] = ACTIONS(2887),
    [anon_sym_x] = ACTIONS(2887),
    [anon_sym_EQ_TILDE] = ACTIONS(2885),
    [anon_sym_BANG_TILDE] = ACTIONS(2885),
    [anon_sym_EQ_EQ] = ACTIONS(2887),
    [anon_sym_BANG_EQ] = ACTIONS(2885),
    [anon_sym_eq] = ACTIONS(2887),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2885),
    [anon_sym_equ] = ACTIONS(2885),
    [anon_sym_eqr] = ACTIONS(2885),
    [anon_sym_ne] = ACTIONS(2885),
    [anon_sym_LT_EQ_GT] = ACTIONS(2885),
    [anon_sym_cmp] = ACTIONS(2885),
    [anon_sym_TILDE_TILDE] = ACTIONS(2885),
    [anon_sym_LT_EQ] = ACTIONS(2887),
    [anon_sym_GT_EQ] = ACTIONS(2885),
    [anon_sym_lt] = ACTIONS(2885),
    [anon_sym_le] = ACTIONS(2885),
    [anon_sym_ge] = ACTIONS(2885),
    [anon_sym_gt] = ACTIONS(2885),
    [anon_sym_isa] = ACTIONS(2885),
    [anon_sym_PLUS_PLUS] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2885),
    [anon_sym_QMARK] = ACTIONS(2885),
    [anon_sym_EQ_GT] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1891] = {
    [sym_heredoc_content] = STATE(1891),
    [anon_sym_RBRACE] = ACTIONS(2909),
    [anon_sym_COLON] = ACTIONS(2909),
    [anon_sym_EQ] = ACTIONS(2911),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_COMMA] = ACTIONS(2909),
    [anon_sym_RPAREN] = ACTIONS(2909),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2909),
    [anon_sym_DASH_GT] = ACTIONS(2909),
    [anon_sym_PERCENT] = ACTIONS(2911),
    [anon_sym_LT] = ACTIONS(2911),
    [anon_sym_GT] = ACTIONS(2911),
    [anon_sym_LT_LT] = ACTIONS(2911),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2909),
    [anon_sym_PLUS_EQ] = ACTIONS(2909),
    [anon_sym_DASH_EQ] = ACTIONS(2909),
    [anon_sym_DOT_EQ] = ACTIONS(2909),
    [anon_sym_STAR_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_PERCENT_EQ] = ACTIONS(2909),
    [anon_sym_x_EQ] = ACTIONS(2909),
    [anon_sym_AMP_EQ] = ACTIONS(2909),
    [anon_sym_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_CARET_EQ] = ACTIONS(2909),
    [anon_sym_LT_LT_EQ] = ACTIONS(2909),
    [anon_sym_GT_GT_EQ] = ACTIONS(2909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2909),
    [anon_sym_DOT_DOT] = ACTIONS(2911),
    [anon_sym_STAR_STAR] = ACTIONS(2911),
    [anon_sym_PIPE_PIPE] = ACTIONS(2911),
    [anon_sym_SLASH_SLASH] = ACTIONS(2911),
    [anon_sym_CARET_CARET] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_PIPE] = ACTIONS(2911),
    [anon_sym_CARET] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_GT_GT2] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_DOT] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_SLASH] = ACTIONS(2911),
    [anon_sym_x] = ACTIONS(2911),
    [anon_sym_EQ_TILDE] = ACTIONS(2909),
    [anon_sym_BANG_TILDE] = ACTIONS(2909),
    [anon_sym_EQ_EQ] = ACTIONS(2911),
    [anon_sym_BANG_EQ] = ACTIONS(2909),
    [anon_sym_eq] = ACTIONS(2911),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2909),
    [anon_sym_equ] = ACTIONS(2909),
    [anon_sym_eqr] = ACTIONS(2909),
    [anon_sym_ne] = ACTIONS(2909),
    [anon_sym_LT_EQ_GT] = ACTIONS(2909),
    [anon_sym_cmp] = ACTIONS(2909),
    [anon_sym_TILDE_TILDE] = ACTIONS(2909),
    [anon_sym_LT_EQ] = ACTIONS(2911),
    [anon_sym_GT_EQ] = ACTIONS(2909),
    [anon_sym_lt] = ACTIONS(2909),
    [anon_sym_le] = ACTIONS(2909),
    [anon_sym_ge] = ACTIONS(2909),
    [anon_sym_gt] = ACTIONS(2909),
    [anon_sym_isa] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_QMARK] = ACTIONS(2909),
    [anon_sym_EQ_GT] = ACTIONS(2909),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1892] = {
    [sym_heredoc_content] = STATE(1892),
    [anon_sym_RBRACE] = ACTIONS(3032),
    [anon_sym_COLON] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3034),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3032),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3032),
    [anon_sym_COMMA] = ACTIONS(3032),
    [anon_sym_RPAREN] = ACTIONS(3032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3032),
    [anon_sym_DASH_GT] = ACTIONS(3032),
    [anon_sym_PERCENT] = ACTIONS(3034),
    [anon_sym_LT] = ACTIONS(3034),
    [anon_sym_GT] = ACTIONS(3034),
    [anon_sym_LT_LT] = ACTIONS(3034),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3032),
    [anon_sym_DASH_EQ] = ACTIONS(3032),
    [anon_sym_DOT_EQ] = ACTIONS(3032),
    [anon_sym_STAR_EQ] = ACTIONS(3032),
    [anon_sym_SLASH_EQ] = ACTIONS(3032),
    [anon_sym_PERCENT_EQ] = ACTIONS(3032),
    [anon_sym_x_EQ] = ACTIONS(3032),
    [anon_sym_AMP_EQ] = ACTIONS(3032),
    [anon_sym_PIPE_EQ] = ACTIONS(3032),
    [anon_sym_CARET_EQ] = ACTIONS(3032),
    [anon_sym_LT_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_GT_EQ] = ACTIONS(3032),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3032),
    [anon_sym_DOT_DOT] = ACTIONS(3034),
    [anon_sym_STAR_STAR] = ACTIONS(3034),
    [anon_sym_PIPE_PIPE] = ACTIONS(3034),
    [anon_sym_SLASH_SLASH] = ACTIONS(3034),
    [anon_sym_CARET_CARET] = ACTIONS(3032),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_PIPE] = ACTIONS(3034),
    [anon_sym_CARET] = ACTIONS(3034),
    [anon_sym_AMP] = ACTIONS(3034),
    [anon_sym_GT_GT2] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_DOT] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3034),
    [anon_sym_SLASH] = ACTIONS(3034),
    [anon_sym_x] = ACTIONS(3034),
    [anon_sym_EQ_TILDE] = ACTIONS(3032),
    [anon_sym_BANG_TILDE] = ACTIONS(3032),
    [anon_sym_EQ_EQ] = ACTIONS(3034),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_eq] = ACTIONS(3034),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3032),
    [anon_sym_equ] = ACTIONS(3032),
    [anon_sym_eqr] = ACTIONS(3032),
    [anon_sym_ne] = ACTIONS(3032),
    [anon_sym_LT_EQ_GT] = ACTIONS(3032),
    [anon_sym_cmp] = ACTIONS(3032),
    [anon_sym_TILDE_TILDE] = ACTIONS(3032),
    [anon_sym_LT_EQ] = ACTIONS(3034),
    [anon_sym_GT_EQ] = ACTIONS(3032),
    [anon_sym_lt] = ACTIONS(3032),
    [anon_sym_le] = ACTIONS(3032),
    [anon_sym_ge] = ACTIONS(3032),
    [anon_sym_gt] = ACTIONS(3032),
    [anon_sym_isa] = ACTIONS(3032),
    [anon_sym_PLUS_PLUS] = ACTIONS(3032),
    [anon_sym_DASH_DASH] = ACTIONS(3032),
    [anon_sym_QMARK] = ACTIONS(3032),
    [anon_sym_EQ_GT] = ACTIONS(3032),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1893] = {
    [sym_heredoc_content] = STATE(1893),
    [anon_sym_RBRACE] = ACTIONS(3036),
    [anon_sym_COLON] = ACTIONS(3036),
    [anon_sym_EQ] = ACTIONS(3038),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3036),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3036),
    [anon_sym_COMMA] = ACTIONS(3036),
    [anon_sym_RPAREN] = ACTIONS(3036),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3036),
    [anon_sym_DASH_GT] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3038),
    [anon_sym_LT] = ACTIONS(3038),
    [anon_sym_GT] = ACTIONS(3038),
    [anon_sym_LT_LT] = ACTIONS(3038),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3036),
    [anon_sym_PLUS_EQ] = ACTIONS(3036),
    [anon_sym_DASH_EQ] = ACTIONS(3036),
    [anon_sym_DOT_EQ] = ACTIONS(3036),
    [anon_sym_STAR_EQ] = ACTIONS(3036),
    [anon_sym_SLASH_EQ] = ACTIONS(3036),
    [anon_sym_PERCENT_EQ] = ACTIONS(3036),
    [anon_sym_x_EQ] = ACTIONS(3036),
    [anon_sym_AMP_EQ] = ACTIONS(3036),
    [anon_sym_PIPE_EQ] = ACTIONS(3036),
    [anon_sym_CARET_EQ] = ACTIONS(3036),
    [anon_sym_LT_LT_EQ] = ACTIONS(3036),
    [anon_sym_GT_GT_EQ] = ACTIONS(3036),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3036),
    [anon_sym_DOT_DOT] = ACTIONS(3038),
    [anon_sym_STAR_STAR] = ACTIONS(3038),
    [anon_sym_PIPE_PIPE] = ACTIONS(3038),
    [anon_sym_SLASH_SLASH] = ACTIONS(3038),
    [anon_sym_CARET_CARET] = ACTIONS(3036),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_PIPE] = ACTIONS(3038),
    [anon_sym_CARET] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3038),
    [anon_sym_GT_GT2] = ACTIONS(3038),
    [anon_sym_PLUS] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3038),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_SLASH] = ACTIONS(3038),
    [anon_sym_x] = ACTIONS(3038),
    [anon_sym_EQ_TILDE] = ACTIONS(3036),
    [anon_sym_BANG_TILDE] = ACTIONS(3036),
    [anon_sym_EQ_EQ] = ACTIONS(3038),
    [anon_sym_BANG_EQ] = ACTIONS(3036),
    [anon_sym_eq] = ACTIONS(3038),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3036),
    [anon_sym_equ] = ACTIONS(3036),
    [anon_sym_eqr] = ACTIONS(3036),
    [anon_sym_ne] = ACTIONS(3036),
    [anon_sym_LT_EQ_GT] = ACTIONS(3036),
    [anon_sym_cmp] = ACTIONS(3036),
    [anon_sym_TILDE_TILDE] = ACTIONS(3036),
    [anon_sym_LT_EQ] = ACTIONS(3038),
    [anon_sym_GT_EQ] = ACTIONS(3036),
    [anon_sym_lt] = ACTIONS(3036),
    [anon_sym_le] = ACTIONS(3036),
    [anon_sym_ge] = ACTIONS(3036),
    [anon_sym_gt] = ACTIONS(3036),
    [anon_sym_isa] = ACTIONS(3036),
    [anon_sym_PLUS_PLUS] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3036),
    [anon_sym_QMARK] = ACTIONS(3036),
    [anon_sym_EQ_GT] = ACTIONS(3036),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1894] = {
    [sym_heredoc_content] = STATE(1894),
    [anon_sym_SEMI] = ACTIONS(2659),
    [anon_sym_EQ] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2659),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2659),
    [anon_sym_COMMA] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(3666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2659),
    [anon_sym_DASH_GT] = ACTIONS(2659),
    [anon_sym_PERCENT] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_GT] = ACTIONS(2661),
    [anon_sym_LT_LT] = ACTIONS(2661),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2659),
    [anon_sym_PLUS_EQ] = ACTIONS(2659),
    [anon_sym_DASH_EQ] = ACTIONS(2659),
    [anon_sym_DOT_EQ] = ACTIONS(2659),
    [anon_sym_STAR_EQ] = ACTIONS(2659),
    [anon_sym_SLASH_EQ] = ACTIONS(2659),
    [anon_sym_PERCENT_EQ] = ACTIONS(2659),
    [anon_sym_x_EQ] = ACTIONS(2659),
    [anon_sym_AMP_EQ] = ACTIONS(2659),
    [anon_sym_PIPE_EQ] = ACTIONS(2659),
    [anon_sym_CARET_EQ] = ACTIONS(2659),
    [anon_sym_LT_LT_EQ] = ACTIONS(2659),
    [anon_sym_GT_GT_EQ] = ACTIONS(2659),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2659),
    [anon_sym_DOT_DOT] = ACTIONS(2661),
    [anon_sym_STAR_STAR] = ACTIONS(2661),
    [anon_sym_PIPE_PIPE] = ACTIONS(2661),
    [anon_sym_SLASH_SLASH] = ACTIONS(2661),
    [anon_sym_CARET_CARET] = ACTIONS(2659),
    [anon_sym_AMP_AMP] = ACTIONS(2661),
    [anon_sym_PIPE] = ACTIONS(2661),
    [anon_sym_CARET] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_GT_GT2] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_DOT] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2661),
    [anon_sym_SLASH] = ACTIONS(2661),
    [anon_sym_x] = ACTIONS(2661),
    [anon_sym_EQ_TILDE] = ACTIONS(2659),
    [anon_sym_BANG_TILDE] = ACTIONS(2659),
    [anon_sym_EQ_EQ] = ACTIONS(2661),
    [anon_sym_BANG_EQ] = ACTIONS(2659),
    [anon_sym_eq] = ACTIONS(2661),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2659),
    [anon_sym_equ] = ACTIONS(2659),
    [anon_sym_eqr] = ACTIONS(2659),
    [anon_sym_ne] = ACTIONS(2659),
    [anon_sym_LT_EQ_GT] = ACTIONS(2659),
    [anon_sym_cmp] = ACTIONS(2659),
    [anon_sym_TILDE_TILDE] = ACTIONS(2659),
    [anon_sym_LT_EQ] = ACTIONS(2661),
    [anon_sym_GT_EQ] = ACTIONS(2659),
    [anon_sym_lt] = ACTIONS(2659),
    [anon_sym_le] = ACTIONS(2659),
    [anon_sym_ge] = ACTIONS(2659),
    [anon_sym_gt] = ACTIONS(2659),
    [anon_sym_isa] = ACTIONS(2659),
    [anon_sym_PLUS_PLUS] = ACTIONS(2659),
    [anon_sym_DASH_DASH] = ACTIONS(2659),
    [anon_sym_QMARK] = ACTIONS(2659),
    [anon_sym_EQ_GT] = ACTIONS(2659),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2659),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1895] = {
    [sym_heredoc_content] = STATE(1895),
    [anon_sym_RBRACE] = ACTIONS(3058),
    [anon_sym_COLON] = ACTIONS(3058),
    [anon_sym_EQ] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_COMMA] = ACTIONS(3058),
    [anon_sym_RPAREN] = ACTIONS(3058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3058),
    [anon_sym_DASH_GT] = ACTIONS(3058),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LT_LT] = ACTIONS(3060),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3058),
    [anon_sym_PLUS_EQ] = ACTIONS(3058),
    [anon_sym_DASH_EQ] = ACTIONS(3058),
    [anon_sym_DOT_EQ] = ACTIONS(3058),
    [anon_sym_STAR_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_PERCENT_EQ] = ACTIONS(3058),
    [anon_sym_x_EQ] = ACTIONS(3058),
    [anon_sym_AMP_EQ] = ACTIONS(3058),
    [anon_sym_PIPE_EQ] = ACTIONS(3058),
    [anon_sym_CARET_EQ] = ACTIONS(3058),
    [anon_sym_LT_LT_EQ] = ACTIONS(3058),
    [anon_sym_GT_GT_EQ] = ACTIONS(3058),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_STAR_STAR] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE] = ACTIONS(3060),
    [anon_sym_SLASH_SLASH] = ACTIONS(3060),
    [anon_sym_CARET_CARET] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3060),
    [anon_sym_PIPE] = ACTIONS(3060),
    [anon_sym_CARET] = ACTIONS(3060),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_GT_GT2] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_x] = ACTIONS(3060),
    [anon_sym_EQ_TILDE] = ACTIONS(3058),
    [anon_sym_BANG_TILDE] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ] = ACTIONS(3058),
    [anon_sym_eq] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3058),
    [anon_sym_equ] = ACTIONS(3058),
    [anon_sym_eqr] = ACTIONS(3058),
    [anon_sym_ne] = ACTIONS(3058),
    [anon_sym_LT_EQ_GT] = ACTIONS(3058),
    [anon_sym_cmp] = ACTIONS(3058),
    [anon_sym_TILDE_TILDE] = ACTIONS(3058),
    [anon_sym_LT_EQ] = ACTIONS(3060),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_lt] = ACTIONS(3058),
    [anon_sym_le] = ACTIONS(3058),
    [anon_sym_ge] = ACTIONS(3058),
    [anon_sym_gt] = ACTIONS(3058),
    [anon_sym_isa] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_QMARK] = ACTIONS(3058),
    [anon_sym_EQ_GT] = ACTIONS(3058),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1896] = {
    [sym_heredoc_content] = STATE(1896),
    [anon_sym_COLON] = ACTIONS(2622),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_EQ] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2622),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2622),
    [anon_sym_COMMA] = ACTIONS(2622),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2622),
    [anon_sym_DASH_GT] = ACTIONS(2622),
    [anon_sym_PERCENT] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2624),
    [anon_sym_GT] = ACTIONS(2624),
    [anon_sym_LT_LT] = ACTIONS(2624),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2622),
    [anon_sym_PLUS_EQ] = ACTIONS(2622),
    [anon_sym_DASH_EQ] = ACTIONS(2622),
    [anon_sym_DOT_EQ] = ACTIONS(2622),
    [anon_sym_STAR_EQ] = ACTIONS(2622),
    [anon_sym_SLASH_EQ] = ACTIONS(2622),
    [anon_sym_PERCENT_EQ] = ACTIONS(2622),
    [anon_sym_x_EQ] = ACTIONS(2622),
    [anon_sym_AMP_EQ] = ACTIONS(2622),
    [anon_sym_PIPE_EQ] = ACTIONS(2622),
    [anon_sym_CARET_EQ] = ACTIONS(2622),
    [anon_sym_LT_LT_EQ] = ACTIONS(2622),
    [anon_sym_GT_GT_EQ] = ACTIONS(2622),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2622),
    [anon_sym_DOT_DOT] = ACTIONS(2624),
    [anon_sym_STAR_STAR] = ACTIONS(2624),
    [anon_sym_PIPE_PIPE] = ACTIONS(2624),
    [anon_sym_SLASH_SLASH] = ACTIONS(2624),
    [anon_sym_CARET_CARET] = ACTIONS(2622),
    [anon_sym_AMP_AMP] = ACTIONS(2624),
    [anon_sym_PIPE] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_GT_GT2] = ACTIONS(2624),
    [anon_sym_PLUS] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2624),
    [anon_sym_DOT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_SLASH] = ACTIONS(2624),
    [anon_sym_x] = ACTIONS(2624),
    [anon_sym_EQ_TILDE] = ACTIONS(2622),
    [anon_sym_BANG_TILDE] = ACTIONS(2622),
    [anon_sym_EQ_EQ] = ACTIONS(2624),
    [anon_sym_BANG_EQ] = ACTIONS(2622),
    [anon_sym_eq] = ACTIONS(2624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2622),
    [anon_sym_equ] = ACTIONS(2622),
    [anon_sym_eqr] = ACTIONS(2622),
    [anon_sym_ne] = ACTIONS(2622),
    [anon_sym_LT_EQ_GT] = ACTIONS(2622),
    [anon_sym_cmp] = ACTIONS(2622),
    [anon_sym_TILDE_TILDE] = ACTIONS(2622),
    [anon_sym_LT_EQ] = ACTIONS(2624),
    [anon_sym_GT_EQ] = ACTIONS(2622),
    [anon_sym_lt] = ACTIONS(2622),
    [anon_sym_le] = ACTIONS(2622),
    [anon_sym_ge] = ACTIONS(2622),
    [anon_sym_gt] = ACTIONS(2622),
    [anon_sym_isa] = ACTIONS(2622),
    [anon_sym_PLUS_PLUS] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2622),
    [anon_sym_QMARK] = ACTIONS(2622),
    [anon_sym_EQ_GT] = ACTIONS(2622),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2622),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1897] = {
    [sym_heredoc_content] = STATE(1897),
    [anon_sym_RBRACE] = ACTIONS(1409),
    [anon_sym_COLON] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1409),
    [anon_sym_COMMA] = ACTIONS(1409),
    [anon_sym_RPAREN] = ACTIONS(1409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1409),
    [anon_sym_DASH_GT] = ACTIONS(1409),
    [anon_sym_PERCENT] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [anon_sym_LT_LT] = ACTIONS(1407),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1409),
    [anon_sym_PLUS_EQ] = ACTIONS(1409),
    [anon_sym_DASH_EQ] = ACTIONS(1409),
    [anon_sym_DOT_EQ] = ACTIONS(1409),
    [anon_sym_STAR_EQ] = ACTIONS(1409),
    [anon_sym_SLASH_EQ] = ACTIONS(1409),
    [anon_sym_PERCENT_EQ] = ACTIONS(1409),
    [anon_sym_x_EQ] = ACTIONS(1409),
    [anon_sym_AMP_EQ] = ACTIONS(1409),
    [anon_sym_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_CARET_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT_EQ] = ACTIONS(1409),
    [anon_sym_GT_GT_EQ] = ACTIONS(1409),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1409),
    [anon_sym_DOT_DOT] = ACTIONS(1407),
    [anon_sym_STAR_STAR] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH] = ACTIONS(1407),
    [anon_sym_CARET_CARET] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1407),
    [anon_sym_PIPE] = ACTIONS(1407),
    [anon_sym_CARET] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(1407),
    [anon_sym_GT_GT2] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_DOT] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_x] = ACTIONS(1407),
    [anon_sym_EQ_TILDE] = ACTIONS(1409),
    [anon_sym_BANG_TILDE] = ACTIONS(1409),
    [anon_sym_EQ_EQ] = ACTIONS(1407),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_eq] = ACTIONS(1407),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1409),
    [anon_sym_equ] = ACTIONS(1409),
    [anon_sym_eqr] = ACTIONS(1409),
    [anon_sym_ne] = ACTIONS(1409),
    [anon_sym_LT_EQ_GT] = ACTIONS(1409),
    [anon_sym_cmp] = ACTIONS(1409),
    [anon_sym_TILDE_TILDE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_lt] = ACTIONS(1409),
    [anon_sym_le] = ACTIONS(1409),
    [anon_sym_ge] = ACTIONS(1409),
    [anon_sym_gt] = ACTIONS(1409),
    [anon_sym_isa] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1409),
    [anon_sym_DASH_DASH] = ACTIONS(1409),
    [anon_sym_QMARK] = ACTIONS(1409),
    [anon_sym_EQ_GT] = ACTIONS(1409),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1898] = {
    [sym_heredoc_content] = STATE(1898),
    [anon_sym_RBRACE] = ACTIONS(2925),
    [anon_sym_COLON] = ACTIONS(2925),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2925),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2925),
    [anon_sym_COMMA] = ACTIONS(2925),
    [anon_sym_RPAREN] = ACTIONS(2925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2925),
    [anon_sym_DASH_GT] = ACTIONS(2925),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LT_LT] = ACTIONS(2927),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2925),
    [anon_sym_PLUS_EQ] = ACTIONS(2925),
    [anon_sym_DASH_EQ] = ACTIONS(2925),
    [anon_sym_DOT_EQ] = ACTIONS(2925),
    [anon_sym_STAR_EQ] = ACTIONS(2925),
    [anon_sym_SLASH_EQ] = ACTIONS(2925),
    [anon_sym_PERCENT_EQ] = ACTIONS(2925),
    [anon_sym_x_EQ] = ACTIONS(2925),
    [anon_sym_AMP_EQ] = ACTIONS(2925),
    [anon_sym_PIPE_EQ] = ACTIONS(2925),
    [anon_sym_CARET_EQ] = ACTIONS(2925),
    [anon_sym_LT_LT_EQ] = ACTIONS(2925),
    [anon_sym_GT_GT_EQ] = ACTIONS(2925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2925),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_STAR_STAR] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2927),
    [anon_sym_SLASH_SLASH] = ACTIONS(2927),
    [anon_sym_CARET_CARET] = ACTIONS(2925),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_PIPE] = ACTIONS(2927),
    [anon_sym_CARET] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2927),
    [anon_sym_GT_GT2] = ACTIONS(2927),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_x] = ACTIONS(2927),
    [anon_sym_EQ_TILDE] = ACTIONS(2925),
    [anon_sym_BANG_TILDE] = ACTIONS(2925),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ] = ACTIONS(2925),
    [anon_sym_eq] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2925),
    [anon_sym_equ] = ACTIONS(2925),
    [anon_sym_eqr] = ACTIONS(2925),
    [anon_sym_ne] = ACTIONS(2925),
    [anon_sym_LT_EQ_GT] = ACTIONS(2925),
    [anon_sym_cmp] = ACTIONS(2925),
    [anon_sym_TILDE_TILDE] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2927),
    [anon_sym_GT_EQ] = ACTIONS(2925),
    [anon_sym_lt] = ACTIONS(2925),
    [anon_sym_le] = ACTIONS(2925),
    [anon_sym_ge] = ACTIONS(2925),
    [anon_sym_gt] = ACTIONS(2925),
    [anon_sym_isa] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [anon_sym_QMARK] = ACTIONS(2925),
    [anon_sym_EQ_GT] = ACTIONS(2925),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1899] = {
    [sym_heredoc_content] = STATE(1899),
    [anon_sym_SEMI] = ACTIONS(2665),
    [anon_sym_EQ] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2665),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2665),
    [anon_sym_COMMA] = ACTIONS(2665),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2665),
    [anon_sym_DASH_GT] = ACTIONS(2665),
    [anon_sym_PERCENT] = ACTIONS(2667),
    [anon_sym_LT] = ACTIONS(2667),
    [anon_sym_GT] = ACTIONS(2667),
    [anon_sym_LT_LT] = ACTIONS(2667),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2665),
    [anon_sym_PLUS_EQ] = ACTIONS(2665),
    [anon_sym_DASH_EQ] = ACTIONS(2665),
    [anon_sym_DOT_EQ] = ACTIONS(2665),
    [anon_sym_STAR_EQ] = ACTIONS(2665),
    [anon_sym_SLASH_EQ] = ACTIONS(2665),
    [anon_sym_PERCENT_EQ] = ACTIONS(2665),
    [anon_sym_x_EQ] = ACTIONS(2667),
    [anon_sym_AMP_EQ] = ACTIONS(2665),
    [anon_sym_PIPE_EQ] = ACTIONS(2665),
    [anon_sym_CARET_EQ] = ACTIONS(2665),
    [anon_sym_LT_LT_EQ] = ACTIONS(2665),
    [anon_sym_GT_GT_EQ] = ACTIONS(2665),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2665),
    [anon_sym_DOT_DOT] = ACTIONS(2667),
    [anon_sym_STAR_STAR] = ACTIONS(2667),
    [anon_sym_PIPE_PIPE] = ACTIONS(2667),
    [anon_sym_SLASH_SLASH] = ACTIONS(2667),
    [anon_sym_CARET_CARET] = ACTIONS(2665),
    [anon_sym_AMP_AMP] = ACTIONS(2667),
    [anon_sym_PIPE] = ACTIONS(2667),
    [anon_sym_CARET] = ACTIONS(2667),
    [anon_sym_AMP] = ACTIONS(2667),
    [anon_sym_GT_GT2] = ACTIONS(2667),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_DOT] = ACTIONS(2667),
    [anon_sym_STAR] = ACTIONS(2667),
    [anon_sym_SLASH] = ACTIONS(2667),
    [anon_sym_x] = ACTIONS(2667),
    [anon_sym_EQ_TILDE] = ACTIONS(2665),
    [anon_sym_BANG_TILDE] = ACTIONS(2665),
    [anon_sym_EQ_EQ] = ACTIONS(2667),
    [anon_sym_BANG_EQ] = ACTIONS(2665),
    [anon_sym_eq] = ACTIONS(2667),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2665),
    [anon_sym_equ] = ACTIONS(2667),
    [anon_sym_eqr] = ACTIONS(2667),
    [anon_sym_ne] = ACTIONS(2665),
    [anon_sym_LT_EQ_GT] = ACTIONS(2665),
    [anon_sym_cmp] = ACTIONS(2667),
    [anon_sym_TILDE_TILDE] = ACTIONS(2665),
    [anon_sym_LT_EQ] = ACTIONS(2667),
    [anon_sym_GT_EQ] = ACTIONS(2665),
    [anon_sym_lt] = ACTIONS(2667),
    [anon_sym_le] = ACTIONS(2667),
    [anon_sym_ge] = ACTIONS(2667),
    [anon_sym_gt] = ACTIONS(2667),
    [anon_sym_isa] = ACTIONS(2667),
    [anon_sym_PLUS_PLUS] = ACTIONS(2665),
    [anon_sym_DASH_DASH] = ACTIONS(2665),
    [anon_sym_QMARK] = ACTIONS(2665),
    [anon_sym_EQ_GT] = ACTIONS(2665),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3668),
    [sym__PERLY_SEMICOLON] = ACTIONS(2665),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1900] = {
    [sym_heredoc_content] = STATE(1900),
    [anon_sym_SEMI] = ACTIONS(2675),
    [anon_sym_EQ] = ACTIONS(2677),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2675),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2675),
    [anon_sym_COMMA] = ACTIONS(2675),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2675),
    [anon_sym_DASH_GT] = ACTIONS(2675),
    [anon_sym_PERCENT] = ACTIONS(2677),
    [anon_sym_LT] = ACTIONS(2677),
    [anon_sym_GT] = ACTIONS(2677),
    [anon_sym_LT_LT] = ACTIONS(2677),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2675),
    [anon_sym_PLUS_EQ] = ACTIONS(2675),
    [anon_sym_DASH_EQ] = ACTIONS(2675),
    [anon_sym_DOT_EQ] = ACTIONS(2675),
    [anon_sym_STAR_EQ] = ACTIONS(2675),
    [anon_sym_SLASH_EQ] = ACTIONS(2675),
    [anon_sym_PERCENT_EQ] = ACTIONS(2675),
    [anon_sym_x_EQ] = ACTIONS(2677),
    [anon_sym_AMP_EQ] = ACTIONS(2675),
    [anon_sym_PIPE_EQ] = ACTIONS(2675),
    [anon_sym_CARET_EQ] = ACTIONS(2675),
    [anon_sym_LT_LT_EQ] = ACTIONS(2675),
    [anon_sym_GT_GT_EQ] = ACTIONS(2675),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2675),
    [anon_sym_DOT_DOT] = ACTIONS(2677),
    [anon_sym_STAR_STAR] = ACTIONS(2677),
    [anon_sym_PIPE_PIPE] = ACTIONS(2677),
    [anon_sym_SLASH_SLASH] = ACTIONS(2677),
    [anon_sym_CARET_CARET] = ACTIONS(2675),
    [anon_sym_AMP_AMP] = ACTIONS(2677),
    [anon_sym_PIPE] = ACTIONS(2677),
    [anon_sym_CARET] = ACTIONS(2677),
    [anon_sym_AMP] = ACTIONS(2677),
    [anon_sym_GT_GT2] = ACTIONS(2677),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_DASH] = ACTIONS(2677),
    [anon_sym_DOT] = ACTIONS(2677),
    [anon_sym_STAR] = ACTIONS(2677),
    [anon_sym_SLASH] = ACTIONS(2677),
    [anon_sym_x] = ACTIONS(2677),
    [anon_sym_EQ_TILDE] = ACTIONS(2675),
    [anon_sym_BANG_TILDE] = ACTIONS(2675),
    [anon_sym_EQ_EQ] = ACTIONS(2677),
    [anon_sym_BANG_EQ] = ACTIONS(2675),
    [anon_sym_eq] = ACTIONS(2677),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2675),
    [anon_sym_equ] = ACTIONS(2677),
    [anon_sym_eqr] = ACTIONS(2677),
    [anon_sym_ne] = ACTIONS(2675),
    [anon_sym_LT_EQ_GT] = ACTIONS(2675),
    [anon_sym_cmp] = ACTIONS(2677),
    [anon_sym_TILDE_TILDE] = ACTIONS(2675),
    [anon_sym_LT_EQ] = ACTIONS(2677),
    [anon_sym_GT_EQ] = ACTIONS(2675),
    [anon_sym_lt] = ACTIONS(2677),
    [anon_sym_le] = ACTIONS(2677),
    [anon_sym_ge] = ACTIONS(2677),
    [anon_sym_gt] = ACTIONS(2677),
    [anon_sym_isa] = ACTIONS(2677),
    [anon_sym_PLUS_PLUS] = ACTIONS(2675),
    [anon_sym_DASH_DASH] = ACTIONS(2675),
    [anon_sym_QMARK] = ACTIONS(2675),
    [anon_sym_EQ_GT] = ACTIONS(2675),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3670),
    [sym__PERLY_SEMICOLON] = ACTIONS(2675),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1901] = {
    [sym_heredoc_content] = STATE(1901),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2562),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2562),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_DOT_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_x_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2564),
    [anon_sym_STAR_STAR] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE] = ACTIONS(2564),
    [anon_sym_SLASH_SLASH] = ACTIONS(2564),
    [anon_sym_CARET_CARET] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_GT_GT2] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_x] = ACTIONS(2564),
    [anon_sym_EQ_TILDE] = ACTIONS(2562),
    [anon_sym_BANG_TILDE] = ACTIONS(2562),
    [anon_sym_EQ_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_eq] = ACTIONS(2564),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2562),
    [anon_sym_equ] = ACTIONS(2562),
    [anon_sym_eqr] = ACTIONS(2562),
    [anon_sym_ne] = ACTIONS(2562),
    [anon_sym_LT_EQ_GT] = ACTIONS(2562),
    [anon_sym_cmp] = ACTIONS(2564),
    [anon_sym_TILDE_TILDE] = ACTIONS(2562),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_lt] = ACTIONS(2562),
    [anon_sym_le] = ACTIONS(2562),
    [anon_sym_ge] = ACTIONS(2562),
    [anon_sym_gt] = ACTIONS(2562),
    [anon_sym_isa] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2562),
    [anon_sym_EQ_GT] = ACTIONS(2562),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3672),
    [sym__PERLY_SEMICOLON] = ACTIONS(2562),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1902] = {
    [sym_heredoc_content] = STATE(1902),
    [aux_sym__term_rightward_repeat1] = STATE(1904),
    [anon_sym_SEMI] = ACTIONS(2428),
    [anon_sym_EQ] = ACTIONS(2430),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2428),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2428),
    [anon_sym_COMMA] = ACTIONS(3602),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2428),
    [anon_sym_DASH_GT] = ACTIONS(2428),
    [anon_sym_PERCENT] = ACTIONS(2430),
    [anon_sym_LT] = ACTIONS(2430),
    [anon_sym_GT] = ACTIONS(2430),
    [anon_sym_LT_LT] = ACTIONS(2430),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2428),
    [anon_sym_PLUS_EQ] = ACTIONS(2428),
    [anon_sym_DASH_EQ] = ACTIONS(2428),
    [anon_sym_DOT_EQ] = ACTIONS(2428),
    [anon_sym_STAR_EQ] = ACTIONS(2428),
    [anon_sym_SLASH_EQ] = ACTIONS(2428),
    [anon_sym_PERCENT_EQ] = ACTIONS(2428),
    [anon_sym_x_EQ] = ACTIONS(2428),
    [anon_sym_AMP_EQ] = ACTIONS(2428),
    [anon_sym_PIPE_EQ] = ACTIONS(2428),
    [anon_sym_CARET_EQ] = ACTIONS(2428),
    [anon_sym_LT_LT_EQ] = ACTIONS(2428),
    [anon_sym_GT_GT_EQ] = ACTIONS(2428),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2428),
    [anon_sym_DOT_DOT] = ACTIONS(2430),
    [anon_sym_STAR_STAR] = ACTIONS(2430),
    [anon_sym_PIPE_PIPE] = ACTIONS(2430),
    [anon_sym_SLASH_SLASH] = ACTIONS(2430),
    [anon_sym_CARET_CARET] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2430),
    [anon_sym_PIPE] = ACTIONS(2430),
    [anon_sym_CARET] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2430),
    [anon_sym_GT_GT2] = ACTIONS(2430),
    [anon_sym_PLUS] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2430),
    [anon_sym_DOT] = ACTIONS(2430),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_SLASH] = ACTIONS(2430),
    [anon_sym_x] = ACTIONS(2430),
    [anon_sym_EQ_TILDE] = ACTIONS(2428),
    [anon_sym_BANG_TILDE] = ACTIONS(2428),
    [anon_sym_EQ_EQ] = ACTIONS(2430),
    [anon_sym_BANG_EQ] = ACTIONS(2428),
    [anon_sym_eq] = ACTIONS(2430),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2428),
    [anon_sym_equ] = ACTIONS(2428),
    [anon_sym_eqr] = ACTIONS(2428),
    [anon_sym_ne] = ACTIONS(2428),
    [anon_sym_LT_EQ_GT] = ACTIONS(2428),
    [anon_sym_cmp] = ACTIONS(2428),
    [anon_sym_TILDE_TILDE] = ACTIONS(2428),
    [anon_sym_LT_EQ] = ACTIONS(2430),
    [anon_sym_GT_EQ] = ACTIONS(2428),
    [anon_sym_lt] = ACTIONS(2428),
    [anon_sym_le] = ACTIONS(2428),
    [anon_sym_ge] = ACTIONS(2428),
    [anon_sym_gt] = ACTIONS(2428),
    [anon_sym_isa] = ACTIONS(2428),
    [anon_sym_PLUS_PLUS] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2428),
    [anon_sym_QMARK] = ACTIONS(2428),
    [anon_sym_EQ_GT] = ACTIONS(3602),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2428),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1903] = {
    [sym_heredoc_content] = STATE(1903),
    [anon_sym_SEMI] = ACTIONS(2544),
    [anon_sym_EQ] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_COMMA] = ACTIONS(2544),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2544),
    [anon_sym_DASH_GT] = ACTIONS(2544),
    [anon_sym_PERCENT] = ACTIONS(2546),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_GT] = ACTIONS(2546),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2544),
    [anon_sym_PLUS_EQ] = ACTIONS(2544),
    [anon_sym_DASH_EQ] = ACTIONS(2544),
    [anon_sym_DOT_EQ] = ACTIONS(2544),
    [anon_sym_STAR_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_PERCENT_EQ] = ACTIONS(2544),
    [anon_sym_x_EQ] = ACTIONS(2544),
    [anon_sym_AMP_EQ] = ACTIONS(2544),
    [anon_sym_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_CARET_EQ] = ACTIONS(2544),
    [anon_sym_LT_LT_EQ] = ACTIONS(2544),
    [anon_sym_GT_GT_EQ] = ACTIONS(2544),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2544),
    [anon_sym_DOT_DOT] = ACTIONS(2546),
    [anon_sym_STAR_STAR] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE] = ACTIONS(2546),
    [anon_sym_SLASH_SLASH] = ACTIONS(2546),
    [anon_sym_CARET_CARET] = ACTIONS(2544),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_GT_GT2] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_DOT] = ACTIONS(2546),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_SLASH] = ACTIONS(2546),
    [anon_sym_x] = ACTIONS(2546),
    [anon_sym_EQ_TILDE] = ACTIONS(2544),
    [anon_sym_BANG_TILDE] = ACTIONS(2544),
    [anon_sym_EQ_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2544),
    [anon_sym_eq] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2544),
    [anon_sym_equ] = ACTIONS(2544),
    [anon_sym_eqr] = ACTIONS(2544),
    [anon_sym_ne] = ACTIONS(2544),
    [anon_sym_LT_EQ_GT] = ACTIONS(2544),
    [anon_sym_cmp] = ACTIONS(2546),
    [anon_sym_TILDE_TILDE] = ACTIONS(2544),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2544),
    [anon_sym_lt] = ACTIONS(2544),
    [anon_sym_le] = ACTIONS(2544),
    [anon_sym_ge] = ACTIONS(2544),
    [anon_sym_gt] = ACTIONS(2544),
    [anon_sym_isa] = ACTIONS(2544),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [anon_sym_QMARK] = ACTIONS(2544),
    [anon_sym_EQ_GT] = ACTIONS(2544),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3674),
    [sym__PERLY_SEMICOLON] = ACTIONS(2544),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1904] = {
    [sym_heredoc_content] = STATE(1904),
    [aux_sym__term_rightward_repeat1] = STATE(1904),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_COMMA] = ACTIONS(3676),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2636),
    [anon_sym_DASH_GT] = ACTIONS(2636),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LT_LT] = ACTIONS(2638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2636),
    [anon_sym_PLUS_EQ] = ACTIONS(2636),
    [anon_sym_DASH_EQ] = ACTIONS(2636),
    [anon_sym_DOT_EQ] = ACTIONS(2636),
    [anon_sym_STAR_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_PERCENT_EQ] = ACTIONS(2636),
    [anon_sym_x_EQ] = ACTIONS(2636),
    [anon_sym_AMP_EQ] = ACTIONS(2636),
    [anon_sym_PIPE_EQ] = ACTIONS(2636),
    [anon_sym_CARET_EQ] = ACTIONS(2636),
    [anon_sym_LT_LT_EQ] = ACTIONS(2636),
    [anon_sym_GT_GT_EQ] = ACTIONS(2636),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2636),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_STAR_STAR] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2638),
    [anon_sym_SLASH_SLASH] = ACTIONS(2638),
    [anon_sym_CARET_CARET] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2638),
    [anon_sym_PIPE] = ACTIONS(2638),
    [anon_sym_CARET] = ACTIONS(2638),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym_GT_GT2] = ACTIONS(2638),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_x] = ACTIONS(2638),
    [anon_sym_EQ_TILDE] = ACTIONS(2636),
    [anon_sym_BANG_TILDE] = ACTIONS(2636),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ] = ACTIONS(2636),
    [anon_sym_eq] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2636),
    [anon_sym_equ] = ACTIONS(2636),
    [anon_sym_eqr] = ACTIONS(2636),
    [anon_sym_ne] = ACTIONS(2636),
    [anon_sym_LT_EQ_GT] = ACTIONS(2636),
    [anon_sym_cmp] = ACTIONS(2636),
    [anon_sym_TILDE_TILDE] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2638),
    [anon_sym_GT_EQ] = ACTIONS(2636),
    [anon_sym_lt] = ACTIONS(2636),
    [anon_sym_le] = ACTIONS(2636),
    [anon_sym_ge] = ACTIONS(2636),
    [anon_sym_gt] = ACTIONS(2636),
    [anon_sym_isa] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_QMARK] = ACTIONS(2636),
    [anon_sym_EQ_GT] = ACTIONS(3676),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2636),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1905] = {
    [sym_heredoc_content] = STATE(1905),
    [anon_sym_RBRACE] = ACTIONS(2933),
    [anon_sym_COLON] = ACTIONS(2933),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2933),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2933),
    [anon_sym_COMMA] = ACTIONS(2933),
    [anon_sym_RPAREN] = ACTIONS(2933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2933),
    [anon_sym_DASH_GT] = ACTIONS(2933),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LT_LT] = ACTIONS(2935),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2933),
    [anon_sym_PLUS_EQ] = ACTIONS(2933),
    [anon_sym_DASH_EQ] = ACTIONS(2933),
    [anon_sym_DOT_EQ] = ACTIONS(2933),
    [anon_sym_STAR_EQ] = ACTIONS(2933),
    [anon_sym_SLASH_EQ] = ACTIONS(2933),
    [anon_sym_PERCENT_EQ] = ACTIONS(2933),
    [anon_sym_x_EQ] = ACTIONS(2933),
    [anon_sym_AMP_EQ] = ACTIONS(2933),
    [anon_sym_PIPE_EQ] = ACTIONS(2933),
    [anon_sym_CARET_EQ] = ACTIONS(2933),
    [anon_sym_LT_LT_EQ] = ACTIONS(2933),
    [anon_sym_GT_GT_EQ] = ACTIONS(2933),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2933),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_STAR_STAR] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2935),
    [anon_sym_SLASH_SLASH] = ACTIONS(2935),
    [anon_sym_CARET_CARET] = ACTIONS(2933),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_PIPE] = ACTIONS(2935),
    [anon_sym_CARET] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_GT_GT2] = ACTIONS(2935),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_x] = ACTIONS(2935),
    [anon_sym_EQ_TILDE] = ACTIONS(2933),
    [anon_sym_BANG_TILDE] = ACTIONS(2933),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ] = ACTIONS(2933),
    [anon_sym_eq] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2933),
    [anon_sym_equ] = ACTIONS(2933),
    [anon_sym_eqr] = ACTIONS(2933),
    [anon_sym_ne] = ACTIONS(2933),
    [anon_sym_LT_EQ_GT] = ACTIONS(2933),
    [anon_sym_cmp] = ACTIONS(2933),
    [anon_sym_TILDE_TILDE] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2935),
    [anon_sym_GT_EQ] = ACTIONS(2933),
    [anon_sym_lt] = ACTIONS(2933),
    [anon_sym_le] = ACTIONS(2933),
    [anon_sym_ge] = ACTIONS(2933),
    [anon_sym_gt] = ACTIONS(2933),
    [anon_sym_isa] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_QMARK] = ACTIONS(2933),
    [anon_sym_EQ_GT] = ACTIONS(2933),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1906] = {
    [sym_heredoc_content] = STATE(1906),
    [anon_sym_RBRACE] = ACTIONS(3088),
    [anon_sym_COLON] = ACTIONS(3088),
    [anon_sym_EQ] = ACTIONS(3090),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3088),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3088),
    [anon_sym_COMMA] = ACTIONS(3088),
    [anon_sym_RPAREN] = ACTIONS(3088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3088),
    [anon_sym_DASH_GT] = ACTIONS(3088),
    [anon_sym_PERCENT] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3090),
    [anon_sym_GT] = ACTIONS(3090),
    [anon_sym_LT_LT] = ACTIONS(3090),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3088),
    [anon_sym_PLUS_EQ] = ACTIONS(3088),
    [anon_sym_DASH_EQ] = ACTIONS(3088),
    [anon_sym_DOT_EQ] = ACTIONS(3088),
    [anon_sym_STAR_EQ] = ACTIONS(3088),
    [anon_sym_SLASH_EQ] = ACTIONS(3088),
    [anon_sym_PERCENT_EQ] = ACTIONS(3088),
    [anon_sym_x_EQ] = ACTIONS(3088),
    [anon_sym_AMP_EQ] = ACTIONS(3088),
    [anon_sym_PIPE_EQ] = ACTIONS(3088),
    [anon_sym_CARET_EQ] = ACTIONS(3088),
    [anon_sym_LT_LT_EQ] = ACTIONS(3088),
    [anon_sym_GT_GT_EQ] = ACTIONS(3088),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3088),
    [anon_sym_DOT_DOT] = ACTIONS(3090),
    [anon_sym_STAR_STAR] = ACTIONS(3090),
    [anon_sym_PIPE_PIPE] = ACTIONS(3090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3090),
    [anon_sym_CARET_CARET] = ACTIONS(3088),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_PIPE] = ACTIONS(3090),
    [anon_sym_CARET] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_GT_GT2] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_DOT] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_SLASH] = ACTIONS(3090),
    [anon_sym_x] = ACTIONS(3090),
    [anon_sym_EQ_TILDE] = ACTIONS(3088),
    [anon_sym_BANG_TILDE] = ACTIONS(3088),
    [anon_sym_EQ_EQ] = ACTIONS(3090),
    [anon_sym_BANG_EQ] = ACTIONS(3088),
    [anon_sym_eq] = ACTIONS(3090),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3088),
    [anon_sym_equ] = ACTIONS(3088),
    [anon_sym_eqr] = ACTIONS(3088),
    [anon_sym_ne] = ACTIONS(3088),
    [anon_sym_LT_EQ_GT] = ACTIONS(3088),
    [anon_sym_cmp] = ACTIONS(3088),
    [anon_sym_TILDE_TILDE] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3090),
    [anon_sym_GT_EQ] = ACTIONS(3088),
    [anon_sym_lt] = ACTIONS(3088),
    [anon_sym_le] = ACTIONS(3088),
    [anon_sym_ge] = ACTIONS(3088),
    [anon_sym_gt] = ACTIONS(3088),
    [anon_sym_isa] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3088),
    [anon_sym_QMARK] = ACTIONS(3088),
    [anon_sym_EQ_GT] = ACTIONS(3088),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1907] = {
    [sym_heredoc_content] = STATE(1907),
    [anon_sym_RBRACE] = ACTIONS(2985),
    [anon_sym_COLON] = ACTIONS(2985),
    [anon_sym_EQ] = ACTIONS(2987),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_COMMA] = ACTIONS(2985),
    [anon_sym_RPAREN] = ACTIONS(2985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2985),
    [anon_sym_DASH_GT] = ACTIONS(2985),
    [anon_sym_PERCENT] = ACTIONS(2987),
    [anon_sym_LT] = ACTIONS(2987),
    [anon_sym_GT] = ACTIONS(2987),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_DOT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_x_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_DOT_DOT] = ACTIONS(2987),
    [anon_sym_STAR_STAR] = ACTIONS(2987),
    [anon_sym_PIPE_PIPE] = ACTIONS(2987),
    [anon_sym_SLASH_SLASH] = ACTIONS(2987),
    [anon_sym_CARET_CARET] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_PIPE] = ACTIONS(2987),
    [anon_sym_CARET] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_GT_GT2] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_DOT] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_SLASH] = ACTIONS(2987),
    [anon_sym_x] = ACTIONS(2987),
    [anon_sym_EQ_TILDE] = ACTIONS(2985),
    [anon_sym_BANG_TILDE] = ACTIONS(2985),
    [anon_sym_EQ_EQ] = ACTIONS(2987),
    [anon_sym_BANG_EQ] = ACTIONS(2985),
    [anon_sym_eq] = ACTIONS(2987),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2985),
    [anon_sym_equ] = ACTIONS(2985),
    [anon_sym_eqr] = ACTIONS(2985),
    [anon_sym_ne] = ACTIONS(2985),
    [anon_sym_LT_EQ_GT] = ACTIONS(2985),
    [anon_sym_cmp] = ACTIONS(2985),
    [anon_sym_TILDE_TILDE] = ACTIONS(2985),
    [anon_sym_LT_EQ] = ACTIONS(2987),
    [anon_sym_GT_EQ] = ACTIONS(2985),
    [anon_sym_lt] = ACTIONS(2985),
    [anon_sym_le] = ACTIONS(2985),
    [anon_sym_ge] = ACTIONS(2985),
    [anon_sym_gt] = ACTIONS(2985),
    [anon_sym_isa] = ACTIONS(2985),
    [anon_sym_PLUS_PLUS] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(2985),
    [anon_sym_EQ_GT] = ACTIONS(2985),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1908] = {
    [sym_heredoc_content] = STATE(1908),
    [anon_sym_RBRACE] = ACTIONS(2757),
    [anon_sym_COLON] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2759),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2757),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2757),
    [anon_sym_COMMA] = ACTIONS(2757),
    [anon_sym_RPAREN] = ACTIONS(2757),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DASH_GT] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2759),
    [anon_sym_LT] = ACTIONS(2759),
    [anon_sym_GT] = ACTIONS(2759),
    [anon_sym_LT_LT] = ACTIONS(2759),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2757),
    [anon_sym_PLUS_EQ] = ACTIONS(2757),
    [anon_sym_DASH_EQ] = ACTIONS(2757),
    [anon_sym_DOT_EQ] = ACTIONS(2757),
    [anon_sym_STAR_EQ] = ACTIONS(2757),
    [anon_sym_SLASH_EQ] = ACTIONS(2757),
    [anon_sym_PERCENT_EQ] = ACTIONS(2757),
    [anon_sym_x_EQ] = ACTIONS(2757),
    [anon_sym_AMP_EQ] = ACTIONS(2757),
    [anon_sym_PIPE_EQ] = ACTIONS(2757),
    [anon_sym_CARET_EQ] = ACTIONS(2757),
    [anon_sym_LT_LT_EQ] = ACTIONS(2757),
    [anon_sym_GT_GT_EQ] = ACTIONS(2757),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2757),
    [anon_sym_DOT_DOT] = ACTIONS(2759),
    [anon_sym_STAR_STAR] = ACTIONS(2759),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH] = ACTIONS(2759),
    [anon_sym_CARET_CARET] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_PIPE] = ACTIONS(2759),
    [anon_sym_CARET] = ACTIONS(2759),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym_GT_GT2] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2759),
    [anon_sym_DASH] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2759),
    [anon_sym_x] = ACTIONS(2759),
    [anon_sym_EQ_TILDE] = ACTIONS(2757),
    [anon_sym_BANG_TILDE] = ACTIONS(2757),
    [anon_sym_EQ_EQ] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_eq] = ACTIONS(2759),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2757),
    [anon_sym_equ] = ACTIONS(2757),
    [anon_sym_eqr] = ACTIONS(2757),
    [anon_sym_ne] = ACTIONS(2757),
    [anon_sym_LT_EQ_GT] = ACTIONS(2757),
    [anon_sym_cmp] = ACTIONS(2757),
    [anon_sym_TILDE_TILDE] = ACTIONS(2757),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2757),
    [anon_sym_lt] = ACTIONS(2757),
    [anon_sym_le] = ACTIONS(2757),
    [anon_sym_ge] = ACTIONS(2757),
    [anon_sym_gt] = ACTIONS(2757),
    [anon_sym_isa] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_DASH_DASH] = ACTIONS(2757),
    [anon_sym_QMARK] = ACTIONS(2757),
    [anon_sym_EQ_GT] = ACTIONS(2757),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1909] = {
    [sym_heredoc_content] = STATE(1909),
    [anon_sym_SEMI] = ACTIONS(2412),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2412),
    [anon_sym_DASH_GT] = ACTIONS(2412),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_GT] = ACTIONS(2414),
    [anon_sym_LT_LT] = ACTIONS(2414),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2412),
    [anon_sym_PLUS_EQ] = ACTIONS(2412),
    [anon_sym_DASH_EQ] = ACTIONS(2412),
    [anon_sym_DOT_EQ] = ACTIONS(2412),
    [anon_sym_STAR_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_PERCENT_EQ] = ACTIONS(2412),
    [anon_sym_x_EQ] = ACTIONS(2414),
    [anon_sym_AMP_EQ] = ACTIONS(2412),
    [anon_sym_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_CARET_EQ] = ACTIONS(2412),
    [anon_sym_LT_LT_EQ] = ACTIONS(2412),
    [anon_sym_GT_GT_EQ] = ACTIONS(2412),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2414),
    [anon_sym_STAR_STAR] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH] = ACTIONS(2414),
    [anon_sym_CARET_CARET] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_PIPE] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_GT_GT2] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_SLASH] = ACTIONS(2414),
    [anon_sym_x] = ACTIONS(2414),
    [anon_sym_EQ_TILDE] = ACTIONS(2412),
    [anon_sym_BANG_TILDE] = ACTIONS(2412),
    [anon_sym_EQ_EQ] = ACTIONS(2414),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_eq] = ACTIONS(2414),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2412),
    [anon_sym_equ] = ACTIONS(2412),
    [anon_sym_eqr] = ACTIONS(2412),
    [anon_sym_ne] = ACTIONS(2414),
    [anon_sym_LT_EQ_GT] = ACTIONS(2412),
    [anon_sym_cmp] = ACTIONS(2414),
    [anon_sym_TILDE_TILDE] = ACTIONS(2412),
    [anon_sym_LT_EQ] = ACTIONS(2414),
    [anon_sym_GT_EQ] = ACTIONS(2412),
    [anon_sym_lt] = ACTIONS(2414),
    [anon_sym_le] = ACTIONS(2414),
    [anon_sym_ge] = ACTIONS(2414),
    [anon_sym_gt] = ACTIONS(2414),
    [anon_sym_isa] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_QMARK] = ACTIONS(2412),
    [anon_sym_EQ_GT] = ACTIONS(2412),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(2412),
    [sym__PERLY_SEMICOLON] = ACTIONS(2412),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1910] = {
    [sym_heredoc_content] = STATE(1910),
    [anon_sym_SEMI] = ACTIONS(2412),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2412),
    [anon_sym_DASH_GT] = ACTIONS(2412),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_GT] = ACTIONS(2414),
    [anon_sym_LT_LT] = ACTIONS(2414),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2412),
    [anon_sym_PLUS_EQ] = ACTIONS(2412),
    [anon_sym_DASH_EQ] = ACTIONS(2412),
    [anon_sym_DOT_EQ] = ACTIONS(2412),
    [anon_sym_STAR_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_PERCENT_EQ] = ACTIONS(2412),
    [anon_sym_x_EQ] = ACTIONS(2414),
    [anon_sym_AMP_EQ] = ACTIONS(2412),
    [anon_sym_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_CARET_EQ] = ACTIONS(2412),
    [anon_sym_LT_LT_EQ] = ACTIONS(2412),
    [anon_sym_GT_GT_EQ] = ACTIONS(2412),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2414),
    [anon_sym_STAR_STAR] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH] = ACTIONS(2414),
    [anon_sym_CARET_CARET] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_PIPE] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_GT_GT2] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_SLASH] = ACTIONS(2414),
    [anon_sym_x] = ACTIONS(2414),
    [anon_sym_EQ_TILDE] = ACTIONS(2412),
    [anon_sym_BANG_TILDE] = ACTIONS(2412),
    [anon_sym_EQ_EQ] = ACTIONS(2414),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_eq] = ACTIONS(2414),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2412),
    [anon_sym_equ] = ACTIONS(2412),
    [anon_sym_eqr] = ACTIONS(2412),
    [anon_sym_ne] = ACTIONS(2414),
    [anon_sym_LT_EQ_GT] = ACTIONS(2412),
    [anon_sym_cmp] = ACTIONS(2412),
    [anon_sym_TILDE_TILDE] = ACTIONS(2412),
    [anon_sym_LT_EQ] = ACTIONS(2414),
    [anon_sym_GT_EQ] = ACTIONS(2412),
    [anon_sym_lt] = ACTIONS(2414),
    [anon_sym_le] = ACTIONS(2414),
    [anon_sym_ge] = ACTIONS(2412),
    [anon_sym_gt] = ACTIONS(2412),
    [anon_sym_isa] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_QMARK] = ACTIONS(2412),
    [anon_sym_EQ_GT] = ACTIONS(2412),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(2412),
    [sym__PERLY_SEMICOLON] = ACTIONS(2412),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1911] = {
    [sym_heredoc_content] = STATE(1911),
    [anon_sym_SEMI] = ACTIONS(2568),
    [anon_sym_EQ] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_COMMA] = ACTIONS(2568),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2568),
    [anon_sym_DASH_GT] = ACTIONS(2568),
    [anon_sym_PERCENT] = ACTIONS(2570),
    [anon_sym_LT] = ACTIONS(2570),
    [anon_sym_GT] = ACTIONS(2570),
    [anon_sym_LT_LT] = ACTIONS(2570),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2568),
    [anon_sym_PLUS_EQ] = ACTIONS(2568),
    [anon_sym_DASH_EQ] = ACTIONS(2568),
    [anon_sym_DOT_EQ] = ACTIONS(2568),
    [anon_sym_STAR_EQ] = ACTIONS(2568),
    [anon_sym_SLASH_EQ] = ACTIONS(2568),
    [anon_sym_PERCENT_EQ] = ACTIONS(2568),
    [anon_sym_x_EQ] = ACTIONS(2570),
    [anon_sym_AMP_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_EQ] = ACTIONS(2568),
    [anon_sym_CARET_EQ] = ACTIONS(2568),
    [anon_sym_LT_LT_EQ] = ACTIONS(2568),
    [anon_sym_GT_GT_EQ] = ACTIONS(2568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2568),
    [anon_sym_DOT_DOT] = ACTIONS(2570),
    [anon_sym_STAR_STAR] = ACTIONS(2570),
    [anon_sym_PIPE_PIPE] = ACTIONS(2570),
    [anon_sym_SLASH_SLASH] = ACTIONS(2570),
    [anon_sym_CARET_CARET] = ACTIONS(2568),
    [anon_sym_AMP_AMP] = ACTIONS(2570),
    [anon_sym_PIPE] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_GT_GT2] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_DOT] = ACTIONS(2570),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_SLASH] = ACTIONS(2570),
    [anon_sym_x] = ACTIONS(2570),
    [anon_sym_EQ_TILDE] = ACTIONS(2568),
    [anon_sym_BANG_TILDE] = ACTIONS(2568),
    [anon_sym_EQ_EQ] = ACTIONS(2570),
    [anon_sym_BANG_EQ] = ACTIONS(2568),
    [anon_sym_eq] = ACTIONS(2570),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2568),
    [anon_sym_equ] = ACTIONS(2570),
    [anon_sym_eqr] = ACTIONS(2570),
    [anon_sym_ne] = ACTIONS(2568),
    [anon_sym_LT_EQ_GT] = ACTIONS(2568),
    [anon_sym_cmp] = ACTIONS(2570),
    [anon_sym_TILDE_TILDE] = ACTIONS(2568),
    [anon_sym_LT_EQ] = ACTIONS(2570),
    [anon_sym_GT_EQ] = ACTIONS(2568),
    [anon_sym_lt] = ACTIONS(2570),
    [anon_sym_le] = ACTIONS(2570),
    [anon_sym_ge] = ACTIONS(2570),
    [anon_sym_gt] = ACTIONS(2570),
    [anon_sym_isa] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2568),
    [anon_sym_QMARK] = ACTIONS(2568),
    [anon_sym_EQ_GT] = ACTIONS(2568),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3679),
    [sym__PERLY_SEMICOLON] = ACTIONS(2568),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1912] = {
    [sym_heredoc_content] = STATE(1912),
    [anon_sym_SEMI] = ACTIONS(2412),
    [anon_sym_EQ] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_COMMA] = ACTIONS(2412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2412),
    [anon_sym_DASH_GT] = ACTIONS(2412),
    [anon_sym_PERCENT] = ACTIONS(2414),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_GT] = ACTIONS(2414),
    [anon_sym_LT_LT] = ACTIONS(2414),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2412),
    [anon_sym_PLUS_EQ] = ACTIONS(2412),
    [anon_sym_DASH_EQ] = ACTIONS(2412),
    [anon_sym_DOT_EQ] = ACTIONS(2412),
    [anon_sym_STAR_EQ] = ACTIONS(2412),
    [anon_sym_SLASH_EQ] = ACTIONS(2412),
    [anon_sym_PERCENT_EQ] = ACTIONS(2412),
    [anon_sym_x_EQ] = ACTIONS(2414),
    [anon_sym_AMP_EQ] = ACTIONS(2412),
    [anon_sym_PIPE_EQ] = ACTIONS(2412),
    [anon_sym_CARET_EQ] = ACTIONS(2412),
    [anon_sym_LT_LT_EQ] = ACTIONS(2412),
    [anon_sym_GT_GT_EQ] = ACTIONS(2412),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2414),
    [anon_sym_STAR_STAR] = ACTIONS(2414),
    [anon_sym_PIPE_PIPE] = ACTIONS(2414),
    [anon_sym_SLASH_SLASH] = ACTIONS(2414),
    [anon_sym_CARET_CARET] = ACTIONS(2412),
    [anon_sym_AMP_AMP] = ACTIONS(2414),
    [anon_sym_PIPE] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_GT_GT2] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_DOT] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_SLASH] = ACTIONS(2414),
    [anon_sym_x] = ACTIONS(2414),
    [anon_sym_EQ_TILDE] = ACTIONS(2412),
    [anon_sym_BANG_TILDE] = ACTIONS(2412),
    [anon_sym_EQ_EQ] = ACTIONS(2414),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_eq] = ACTIONS(2414),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2412),
    [anon_sym_equ] = ACTIONS(2414),
    [anon_sym_eqr] = ACTIONS(2414),
    [anon_sym_ne] = ACTIONS(2412),
    [anon_sym_LT_EQ_GT] = ACTIONS(2412),
    [anon_sym_cmp] = ACTIONS(2414),
    [anon_sym_TILDE_TILDE] = ACTIONS(2412),
    [anon_sym_LT_EQ] = ACTIONS(2414),
    [anon_sym_GT_EQ] = ACTIONS(2412),
    [anon_sym_lt] = ACTIONS(2414),
    [anon_sym_le] = ACTIONS(2414),
    [anon_sym_ge] = ACTIONS(2414),
    [anon_sym_gt] = ACTIONS(2414),
    [anon_sym_isa] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_QMARK] = ACTIONS(2412),
    [anon_sym_EQ_GT] = ACTIONS(2412),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(2412),
    [sym__PERLY_SEMICOLON] = ACTIONS(2412),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1913] = {
    [sym_heredoc_content] = STATE(1913),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2594),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2594),
    [anon_sym_COMMA] = ACTIONS(2594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DASH_GT] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2596),
    [anon_sym_LT] = ACTIONS(2596),
    [anon_sym_GT] = ACTIONS(2596),
    [anon_sym_LT_LT] = ACTIONS(2596),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2594),
    [anon_sym_DASH_EQ] = ACTIONS(2594),
    [anon_sym_DOT_EQ] = ACTIONS(2594),
    [anon_sym_STAR_EQ] = ACTIONS(2594),
    [anon_sym_SLASH_EQ] = ACTIONS(2594),
    [anon_sym_PERCENT_EQ] = ACTIONS(2594),
    [anon_sym_x_EQ] = ACTIONS(2594),
    [anon_sym_AMP_EQ] = ACTIONS(2594),
    [anon_sym_PIPE_EQ] = ACTIONS(2594),
    [anon_sym_CARET_EQ] = ACTIONS(2594),
    [anon_sym_LT_LT_EQ] = ACTIONS(2594),
    [anon_sym_GT_GT_EQ] = ACTIONS(2594),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2594),
    [anon_sym_DOT_DOT] = ACTIONS(2596),
    [anon_sym_STAR_STAR] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_SLASH_SLASH] = ACTIONS(2596),
    [anon_sym_CARET_CARET] = ACTIONS(2594),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_PIPE] = ACTIONS(2596),
    [anon_sym_CARET] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym_GT_GT2] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2596),
    [anon_sym_x] = ACTIONS(2596),
    [anon_sym_EQ_TILDE] = ACTIONS(2594),
    [anon_sym_BANG_TILDE] = ACTIONS(2594),
    [anon_sym_EQ_EQ] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_eq] = ACTIONS(2596),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2594),
    [anon_sym_equ] = ACTIONS(2594),
    [anon_sym_eqr] = ACTIONS(2594),
    [anon_sym_ne] = ACTIONS(2594),
    [anon_sym_LT_EQ_GT] = ACTIONS(2594),
    [anon_sym_cmp] = ACTIONS(2596),
    [anon_sym_TILDE_TILDE] = ACTIONS(2594),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2594),
    [anon_sym_lt] = ACTIONS(2594),
    [anon_sym_le] = ACTIONS(2594),
    [anon_sym_ge] = ACTIONS(2594),
    [anon_sym_gt] = ACTIONS(2594),
    [anon_sym_isa] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_QMARK] = ACTIONS(2594),
    [anon_sym_EQ_GT] = ACTIONS(2594),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3681),
    [sym__PERLY_SEMICOLON] = ACTIONS(2594),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1914] = {
    [sym_heredoc_content] = STATE(1914),
    [aux_sym__term_rightward_repeat1] = STATE(3008),
    [anon_sym_RBRACE] = ACTIONS(2476),
    [anon_sym_EQ] = ACTIONS(3683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_COMMA] = ACTIONS(3687),
    [anon_sym_RPAREN] = ACTIONS(2476),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3685),
    [anon_sym_PLUS_EQ] = ACTIONS(3685),
    [anon_sym_DASH_EQ] = ACTIONS(3685),
    [anon_sym_DOT_EQ] = ACTIONS(3685),
    [anon_sym_STAR_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_PERCENT_EQ] = ACTIONS(3685),
    [anon_sym_x_EQ] = ACTIONS(3685),
    [anon_sym_AMP_EQ] = ACTIONS(3685),
    [anon_sym_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_CARET_EQ] = ACTIONS(3685),
    [anon_sym_LT_LT_EQ] = ACTIONS(3685),
    [anon_sym_GT_GT_EQ] = ACTIONS(3685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3685),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3703),
    [anon_sym_CARET_CARET] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3729),
    [anon_sym_EQ_GT] = ACTIONS(3687),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1915] = {
    [sym_heredoc_content] = STATE(1915),
    [anon_sym_RBRACE] = ACTIONS(2921),
    [anon_sym_COLON] = ACTIONS(2921),
    [anon_sym_EQ] = ACTIONS(2923),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2921),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2921),
    [anon_sym_COMMA] = ACTIONS(2921),
    [anon_sym_RPAREN] = ACTIONS(2921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2921),
    [anon_sym_DASH_GT] = ACTIONS(2921),
    [anon_sym_PERCENT] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2923),
    [anon_sym_GT] = ACTIONS(2923),
    [anon_sym_LT_LT] = ACTIONS(2923),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2921),
    [anon_sym_PLUS_EQ] = ACTIONS(2921),
    [anon_sym_DASH_EQ] = ACTIONS(2921),
    [anon_sym_DOT_EQ] = ACTIONS(2921),
    [anon_sym_STAR_EQ] = ACTIONS(2921),
    [anon_sym_SLASH_EQ] = ACTIONS(2921),
    [anon_sym_PERCENT_EQ] = ACTIONS(2921),
    [anon_sym_x_EQ] = ACTIONS(2921),
    [anon_sym_AMP_EQ] = ACTIONS(2921),
    [anon_sym_PIPE_EQ] = ACTIONS(2921),
    [anon_sym_CARET_EQ] = ACTIONS(2921),
    [anon_sym_LT_LT_EQ] = ACTIONS(2921),
    [anon_sym_GT_GT_EQ] = ACTIONS(2921),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2921),
    [anon_sym_DOT_DOT] = ACTIONS(2923),
    [anon_sym_STAR_STAR] = ACTIONS(2923),
    [anon_sym_PIPE_PIPE] = ACTIONS(2923),
    [anon_sym_SLASH_SLASH] = ACTIONS(2923),
    [anon_sym_CARET_CARET] = ACTIONS(2921),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_PIPE] = ACTIONS(2923),
    [anon_sym_CARET] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2923),
    [anon_sym_GT_GT2] = ACTIONS(2923),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_SLASH] = ACTIONS(2923),
    [anon_sym_x] = ACTIONS(2923),
    [anon_sym_EQ_TILDE] = ACTIONS(2921),
    [anon_sym_BANG_TILDE] = ACTIONS(2921),
    [anon_sym_EQ_EQ] = ACTIONS(2923),
    [anon_sym_BANG_EQ] = ACTIONS(2921),
    [anon_sym_eq] = ACTIONS(2923),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2921),
    [anon_sym_equ] = ACTIONS(2921),
    [anon_sym_eqr] = ACTIONS(2921),
    [anon_sym_ne] = ACTIONS(2921),
    [anon_sym_LT_EQ_GT] = ACTIONS(2921),
    [anon_sym_cmp] = ACTIONS(2921),
    [anon_sym_TILDE_TILDE] = ACTIONS(2921),
    [anon_sym_LT_EQ] = ACTIONS(2923),
    [anon_sym_GT_EQ] = ACTIONS(2921),
    [anon_sym_lt] = ACTIONS(2921),
    [anon_sym_le] = ACTIONS(2921),
    [anon_sym_ge] = ACTIONS(2921),
    [anon_sym_gt] = ACTIONS(2921),
    [anon_sym_isa] = ACTIONS(2921),
    [anon_sym_PLUS_PLUS] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2921),
    [anon_sym_QMARK] = ACTIONS(2921),
    [anon_sym_EQ_GT] = ACTIONS(2921),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1916] = {
    [sym_heredoc_content] = STATE(1916),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_COLON] = ACTIONS(2869),
    [anon_sym_EQ] = ACTIONS(1846),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_RPAREN] = ACTIONS(2869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2869),
    [anon_sym_DASH_GT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1846),
    [anon_sym_LT] = ACTIONS(1846),
    [anon_sym_GT] = ACTIONS(1846),
    [anon_sym_LT_LT] = ACTIONS(1846),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2869),
    [anon_sym_PLUS_EQ] = ACTIONS(2869),
    [anon_sym_DASH_EQ] = ACTIONS(2869),
    [anon_sym_DOT_EQ] = ACTIONS(2869),
    [anon_sym_STAR_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_PERCENT_EQ] = ACTIONS(2869),
    [anon_sym_x_EQ] = ACTIONS(2869),
    [anon_sym_AMP_EQ] = ACTIONS(2869),
    [anon_sym_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_CARET_EQ] = ACTIONS(2869),
    [anon_sym_LT_LT_EQ] = ACTIONS(2869),
    [anon_sym_GT_GT_EQ] = ACTIONS(2869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2869),
    [anon_sym_DOT_DOT] = ACTIONS(1846),
    [anon_sym_STAR_STAR] = ACTIONS(1846),
    [anon_sym_PIPE_PIPE] = ACTIONS(1846),
    [anon_sym_SLASH_SLASH] = ACTIONS(1846),
    [anon_sym_CARET_CARET] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(1846),
    [anon_sym_PIPE] = ACTIONS(1846),
    [anon_sym_CARET] = ACTIONS(1846),
    [anon_sym_AMP] = ACTIONS(1846),
    [anon_sym_GT_GT2] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1846),
    [anon_sym_DASH] = ACTIONS(1846),
    [anon_sym_DOT] = ACTIONS(1846),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_SLASH] = ACTIONS(1846),
    [anon_sym_x] = ACTIONS(1846),
    [anon_sym_EQ_TILDE] = ACTIONS(2869),
    [anon_sym_BANG_TILDE] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(1846),
    [anon_sym_BANG_EQ] = ACTIONS(2869),
    [anon_sym_eq] = ACTIONS(1846),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2869),
    [anon_sym_equ] = ACTIONS(2869),
    [anon_sym_eqr] = ACTIONS(2869),
    [anon_sym_ne] = ACTIONS(2869),
    [anon_sym_LT_EQ_GT] = ACTIONS(2869),
    [anon_sym_cmp] = ACTIONS(2869),
    [anon_sym_TILDE_TILDE] = ACTIONS(2869),
    [anon_sym_LT_EQ] = ACTIONS(1846),
    [anon_sym_GT_EQ] = ACTIONS(2869),
    [anon_sym_lt] = ACTIONS(2869),
    [anon_sym_le] = ACTIONS(2869),
    [anon_sym_ge] = ACTIONS(2869),
    [anon_sym_gt] = ACTIONS(2869),
    [anon_sym_isa] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_QMARK] = ACTIONS(2869),
    [anon_sym_EQ_GT] = ACTIONS(2869),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1917] = {
    [sym_heredoc_content] = STATE(1917),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_COLON] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_COMMA] = ACTIONS(3162),
    [anon_sym_RPAREN] = ACTIONS(3162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3162),
    [anon_sym_DASH_GT] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3164),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_GT] = ACTIONS(3164),
    [anon_sym_LT_LT] = ACTIONS(3164),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3162),
    [anon_sym_DASH_EQ] = ACTIONS(3162),
    [anon_sym_DOT_EQ] = ACTIONS(3162),
    [anon_sym_STAR_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_PERCENT_EQ] = ACTIONS(3162),
    [anon_sym_x_EQ] = ACTIONS(3162),
    [anon_sym_AMP_EQ] = ACTIONS(3162),
    [anon_sym_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_CARET_EQ] = ACTIONS(3162),
    [anon_sym_LT_LT_EQ] = ACTIONS(3162),
    [anon_sym_GT_GT_EQ] = ACTIONS(3162),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3162),
    [anon_sym_DOT_DOT] = ACTIONS(3164),
    [anon_sym_STAR_STAR] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3164),
    [anon_sym_CARET_CARET] = ACTIONS(3162),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_PIPE] = ACTIONS(3164),
    [anon_sym_CARET] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_GT_GT2] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_x] = ACTIONS(3164),
    [anon_sym_EQ_TILDE] = ACTIONS(3162),
    [anon_sym_BANG_TILDE] = ACTIONS(3162),
    [anon_sym_EQ_EQ] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_eq] = ACTIONS(3164),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3162),
    [anon_sym_equ] = ACTIONS(3162),
    [anon_sym_eqr] = ACTIONS(3162),
    [anon_sym_ne] = ACTIONS(3162),
    [anon_sym_LT_EQ_GT] = ACTIONS(3162),
    [anon_sym_cmp] = ACTIONS(3162),
    [anon_sym_TILDE_TILDE] = ACTIONS(3162),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3162),
    [anon_sym_lt] = ACTIONS(3162),
    [anon_sym_le] = ACTIONS(3162),
    [anon_sym_ge] = ACTIONS(3162),
    [anon_sym_gt] = ACTIONS(3162),
    [anon_sym_isa] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_QMARK] = ACTIONS(3162),
    [anon_sym_EQ_GT] = ACTIONS(3162),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1918] = {
    [sym_heredoc_content] = STATE(1918),
    [anon_sym_RBRACE] = ACTIONS(1796),
    [anon_sym_COLON] = ACTIONS(1796),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_COMMA] = ACTIONS(1796),
    [anon_sym_RPAREN] = ACTIONS(1796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1796),
    [anon_sym_DASH_GT] = ACTIONS(1796),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1796),
    [anon_sym_PLUS_EQ] = ACTIONS(1796),
    [anon_sym_DASH_EQ] = ACTIONS(1796),
    [anon_sym_DOT_EQ] = ACTIONS(1796),
    [anon_sym_STAR_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_PERCENT_EQ] = ACTIONS(1796),
    [anon_sym_x_EQ] = ACTIONS(1796),
    [anon_sym_AMP_EQ] = ACTIONS(1796),
    [anon_sym_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_CARET_EQ] = ACTIONS(1796),
    [anon_sym_LT_LT_EQ] = ACTIONS(1796),
    [anon_sym_GT_GT_EQ] = ACTIONS(1796),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1796),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1787),
    [anon_sym_CARET_CARET] = ACTIONS(1796),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1796),
    [anon_sym_BANG_TILDE] = ACTIONS(1796),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1796),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1796),
    [anon_sym_equ] = ACTIONS(1796),
    [anon_sym_eqr] = ACTIONS(1796),
    [anon_sym_ne] = ACTIONS(1796),
    [anon_sym_LT_EQ_GT] = ACTIONS(1796),
    [anon_sym_cmp] = ACTIONS(1796),
    [anon_sym_TILDE_TILDE] = ACTIONS(1796),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1796),
    [anon_sym_lt] = ACTIONS(1796),
    [anon_sym_le] = ACTIONS(1796),
    [anon_sym_ge] = ACTIONS(1796),
    [anon_sym_gt] = ACTIONS(1796),
    [anon_sym_isa] = ACTIONS(1796),
    [anon_sym_PLUS_PLUS] = ACTIONS(1796),
    [anon_sym_DASH_DASH] = ACTIONS(1796),
    [anon_sym_QMARK] = ACTIONS(1796),
    [anon_sym_EQ_GT] = ACTIONS(1796),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1919] = {
    [sym_heredoc_content] = STATE(1919),
    [aux_sym__term_rightward_repeat1] = STATE(3012),
    [anon_sym_SEMI] = ACTIONS(2643),
    [anon_sym_EQ] = ACTIONS(3598),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3600),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3600),
    [anon_sym_COMMA] = ACTIONS(3731),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3604),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_GT] = ACTIONS(3610),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3600),
    [anon_sym_PLUS_EQ] = ACTIONS(3600),
    [anon_sym_DASH_EQ] = ACTIONS(3600),
    [anon_sym_DOT_EQ] = ACTIONS(3600),
    [anon_sym_STAR_EQ] = ACTIONS(3600),
    [anon_sym_SLASH_EQ] = ACTIONS(3600),
    [anon_sym_PERCENT_EQ] = ACTIONS(3600),
    [anon_sym_x_EQ] = ACTIONS(3600),
    [anon_sym_AMP_EQ] = ACTIONS(3600),
    [anon_sym_PIPE_EQ] = ACTIONS(3600),
    [anon_sym_CARET_EQ] = ACTIONS(3600),
    [anon_sym_LT_LT_EQ] = ACTIONS(3600),
    [anon_sym_GT_GT_EQ] = ACTIONS(3600),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3600),
    [anon_sym_DOT_DOT] = ACTIONS(3614),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(3618),
    [anon_sym_SLASH_SLASH] = ACTIONS(3618),
    [anon_sym_CARET_CARET] = ACTIONS(3620),
    [anon_sym_AMP_AMP] = ACTIONS(3622),
    [anon_sym_PIPE] = ACTIONS(3624),
    [anon_sym_CARET] = ACTIONS(3624),
    [anon_sym_AMP] = ACTIONS(3626),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(3632),
    [anon_sym_BANG_EQ] = ACTIONS(3634),
    [anon_sym_eq] = ACTIONS(3632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3634),
    [anon_sym_equ] = ACTIONS(3634),
    [anon_sym_eqr] = ACTIONS(3634),
    [anon_sym_ne] = ACTIONS(3634),
    [anon_sym_LT_EQ_GT] = ACTIONS(3636),
    [anon_sym_cmp] = ACTIONS(3636),
    [anon_sym_TILDE_TILDE] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3610),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_lt] = ACTIONS(3638),
    [anon_sym_le] = ACTIONS(3638),
    [anon_sym_ge] = ACTIONS(3638),
    [anon_sym_gt] = ACTIONS(3638),
    [anon_sym_isa] = ACTIONS(3640),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(3644),
    [anon_sym_EQ_GT] = ACTIONS(3731),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2643),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1920] = {
    [sym_heredoc_content] = STATE(1920),
    [anon_sym_RBRACE] = ACTIONS(2693),
    [anon_sym_COLON] = ACTIONS(2693),
    [anon_sym_EQ] = ACTIONS(2695),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2693),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(2693),
    [anon_sym_RPAREN] = ACTIONS(2693),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2693),
    [anon_sym_DASH_GT] = ACTIONS(2693),
    [anon_sym_PERCENT] = ACTIONS(2695),
    [anon_sym_LT] = ACTIONS(2695),
    [anon_sym_GT] = ACTIONS(2695),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2693),
    [anon_sym_PLUS_EQ] = ACTIONS(2693),
    [anon_sym_DASH_EQ] = ACTIONS(2693),
    [anon_sym_DOT_EQ] = ACTIONS(2693),
    [anon_sym_STAR_EQ] = ACTIONS(2693),
    [anon_sym_SLASH_EQ] = ACTIONS(2693),
    [anon_sym_PERCENT_EQ] = ACTIONS(2693),
    [anon_sym_x_EQ] = ACTIONS(2693),
    [anon_sym_AMP_EQ] = ACTIONS(2693),
    [anon_sym_PIPE_EQ] = ACTIONS(2693),
    [anon_sym_CARET_EQ] = ACTIONS(2693),
    [anon_sym_LT_LT_EQ] = ACTIONS(2693),
    [anon_sym_GT_GT_EQ] = ACTIONS(2693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2693),
    [anon_sym_DOT_DOT] = ACTIONS(2695),
    [anon_sym_STAR_STAR] = ACTIONS(2695),
    [anon_sym_PIPE_PIPE] = ACTIONS(2695),
    [anon_sym_SLASH_SLASH] = ACTIONS(2695),
    [anon_sym_CARET_CARET] = ACTIONS(2693),
    [anon_sym_AMP_AMP] = ACTIONS(2695),
    [anon_sym_PIPE] = ACTIONS(2695),
    [anon_sym_CARET] = ACTIONS(2695),
    [anon_sym_AMP] = ACTIONS(2695),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(2695),
    [anon_sym_STAR] = ACTIONS(2695),
    [anon_sym_SLASH] = ACTIONS(2695),
    [anon_sym_x] = ACTIONS(2695),
    [anon_sym_EQ_TILDE] = ACTIONS(2693),
    [anon_sym_BANG_TILDE] = ACTIONS(2693),
    [anon_sym_EQ_EQ] = ACTIONS(2695),
    [anon_sym_BANG_EQ] = ACTIONS(2693),
    [anon_sym_eq] = ACTIONS(2695),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2693),
    [anon_sym_equ] = ACTIONS(2693),
    [anon_sym_eqr] = ACTIONS(2693),
    [anon_sym_ne] = ACTIONS(2693),
    [anon_sym_LT_EQ_GT] = ACTIONS(2693),
    [anon_sym_cmp] = ACTIONS(2693),
    [anon_sym_TILDE_TILDE] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(2695),
    [anon_sym_GT_EQ] = ACTIONS(2693),
    [anon_sym_lt] = ACTIONS(2693),
    [anon_sym_le] = ACTIONS(2693),
    [anon_sym_ge] = ACTIONS(2693),
    [anon_sym_gt] = ACTIONS(2693),
    [anon_sym_isa] = ACTIONS(2693),
    [anon_sym_PLUS_PLUS] = ACTIONS(2693),
    [anon_sym_DASH_DASH] = ACTIONS(2693),
    [anon_sym_QMARK] = ACTIONS(2693),
    [anon_sym_EQ_GT] = ACTIONS(2693),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1921] = {
    [sym_heredoc_content] = STATE(1921),
    [anon_sym_RBRACE] = ACTIONS(2749),
    [anon_sym_COLON] = ACTIONS(2749),
    [anon_sym_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_COMMA] = ACTIONS(2749),
    [anon_sym_RPAREN] = ACTIONS(2749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2749),
    [anon_sym_DASH_GT] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2751),
    [anon_sym_LT] = ACTIONS(2751),
    [anon_sym_GT] = ACTIONS(2751),
    [anon_sym_LT_LT] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_DOT_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_x_EQ] = ACTIONS(2749),
    [anon_sym_AMP_EQ] = ACTIONS(2749),
    [anon_sym_PIPE_EQ] = ACTIONS(2749),
    [anon_sym_CARET_EQ] = ACTIONS(2749),
    [anon_sym_LT_LT_EQ] = ACTIONS(2749),
    [anon_sym_GT_GT_EQ] = ACTIONS(2749),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2751),
    [anon_sym_STAR_STAR] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2751),
    [anon_sym_SLASH_SLASH] = ACTIONS(2751),
    [anon_sym_CARET_CARET] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2751),
    [anon_sym_AMP] = ACTIONS(2751),
    [anon_sym_GT_GT2] = ACTIONS(2751),
    [anon_sym_PLUS] = ACTIONS(2751),
    [anon_sym_DASH] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2751),
    [anon_sym_STAR] = ACTIONS(2751),
    [anon_sym_SLASH] = ACTIONS(2751),
    [anon_sym_x] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2749),
    [anon_sym_BANG_TILDE] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2751),
    [anon_sym_BANG_EQ] = ACTIONS(2749),
    [anon_sym_eq] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_equ] = ACTIONS(2749),
    [anon_sym_eqr] = ACTIONS(2749),
    [anon_sym_ne] = ACTIONS(2749),
    [anon_sym_LT_EQ_GT] = ACTIONS(2749),
    [anon_sym_cmp] = ACTIONS(2749),
    [anon_sym_TILDE_TILDE] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2751),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_lt] = ACTIONS(2749),
    [anon_sym_le] = ACTIONS(2749),
    [anon_sym_ge] = ACTIONS(2749),
    [anon_sym_gt] = ACTIONS(2749),
    [anon_sym_isa] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_QMARK] = ACTIONS(2749),
    [anon_sym_EQ_GT] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1922] = {
    [sym_heredoc_content] = STATE(1922),
    [anon_sym_RBRACE] = ACTIONS(2773),
    [anon_sym_COLON] = ACTIONS(2773),
    [anon_sym_EQ] = ACTIONS(2775),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2773),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2773),
    [anon_sym_RPAREN] = ACTIONS(2773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2773),
    [anon_sym_DASH_GT] = ACTIONS(2773),
    [anon_sym_PERCENT] = ACTIONS(2775),
    [anon_sym_LT] = ACTIONS(2775),
    [anon_sym_GT] = ACTIONS(2775),
    [anon_sym_LT_LT] = ACTIONS(2775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2773),
    [anon_sym_PLUS_EQ] = ACTIONS(2773),
    [anon_sym_DASH_EQ] = ACTIONS(2773),
    [anon_sym_DOT_EQ] = ACTIONS(2773),
    [anon_sym_STAR_EQ] = ACTIONS(2773),
    [anon_sym_SLASH_EQ] = ACTIONS(2773),
    [anon_sym_PERCENT_EQ] = ACTIONS(2773),
    [anon_sym_x_EQ] = ACTIONS(2773),
    [anon_sym_AMP_EQ] = ACTIONS(2773),
    [anon_sym_PIPE_EQ] = ACTIONS(2773),
    [anon_sym_CARET_EQ] = ACTIONS(2773),
    [anon_sym_LT_LT_EQ] = ACTIONS(2773),
    [anon_sym_GT_GT_EQ] = ACTIONS(2773),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2773),
    [anon_sym_DOT_DOT] = ACTIONS(2775),
    [anon_sym_STAR_STAR] = ACTIONS(2775),
    [anon_sym_PIPE_PIPE] = ACTIONS(2775),
    [anon_sym_SLASH_SLASH] = ACTIONS(2775),
    [anon_sym_CARET_CARET] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2775),
    [anon_sym_PIPE] = ACTIONS(2775),
    [anon_sym_CARET] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_GT_GT2] = ACTIONS(2775),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_DASH] = ACTIONS(2775),
    [anon_sym_DOT] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_SLASH] = ACTIONS(2775),
    [anon_sym_x] = ACTIONS(2775),
    [anon_sym_EQ_TILDE] = ACTIONS(2773),
    [anon_sym_BANG_TILDE] = ACTIONS(2773),
    [anon_sym_EQ_EQ] = ACTIONS(2775),
    [anon_sym_BANG_EQ] = ACTIONS(2773),
    [anon_sym_eq] = ACTIONS(2775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2773),
    [anon_sym_equ] = ACTIONS(2773),
    [anon_sym_eqr] = ACTIONS(2773),
    [anon_sym_ne] = ACTIONS(2773),
    [anon_sym_LT_EQ_GT] = ACTIONS(2773),
    [anon_sym_cmp] = ACTIONS(2773),
    [anon_sym_TILDE_TILDE] = ACTIONS(2773),
    [anon_sym_LT_EQ] = ACTIONS(2775),
    [anon_sym_GT_EQ] = ACTIONS(2773),
    [anon_sym_lt] = ACTIONS(2773),
    [anon_sym_le] = ACTIONS(2773),
    [anon_sym_ge] = ACTIONS(2773),
    [anon_sym_gt] = ACTIONS(2773),
    [anon_sym_isa] = ACTIONS(2773),
    [anon_sym_PLUS_PLUS] = ACTIONS(2773),
    [anon_sym_DASH_DASH] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2773),
    [anon_sym_EQ_GT] = ACTIONS(2773),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1923] = {
    [sym_heredoc_content] = STATE(1923),
    [anon_sym_RBRACE] = ACTIONS(2861),
    [anon_sym_COLON] = ACTIONS(2861),
    [anon_sym_EQ] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_COMMA] = ACTIONS(2861),
    [anon_sym_RPAREN] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2861),
    [anon_sym_DASH_GT] = ACTIONS(2861),
    [anon_sym_PERCENT] = ACTIONS(2863),
    [anon_sym_LT] = ACTIONS(2863),
    [anon_sym_GT] = ACTIONS(2863),
    [anon_sym_LT_LT] = ACTIONS(2863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2861),
    [anon_sym_PLUS_EQ] = ACTIONS(2861),
    [anon_sym_DASH_EQ] = ACTIONS(2861),
    [anon_sym_DOT_EQ] = ACTIONS(2861),
    [anon_sym_STAR_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_PERCENT_EQ] = ACTIONS(2861),
    [anon_sym_x_EQ] = ACTIONS(2861),
    [anon_sym_AMP_EQ] = ACTIONS(2861),
    [anon_sym_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_CARET_EQ] = ACTIONS(2861),
    [anon_sym_LT_LT_EQ] = ACTIONS(2861),
    [anon_sym_GT_GT_EQ] = ACTIONS(2861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2861),
    [anon_sym_DOT_DOT] = ACTIONS(2863),
    [anon_sym_STAR_STAR] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE] = ACTIONS(2863),
    [anon_sym_SLASH_SLASH] = ACTIONS(2863),
    [anon_sym_CARET_CARET] = ACTIONS(2861),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_PIPE] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_GT_GT2] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_DOT] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_SLASH] = ACTIONS(2863),
    [anon_sym_x] = ACTIONS(2863),
    [anon_sym_EQ_TILDE] = ACTIONS(2861),
    [anon_sym_BANG_TILDE] = ACTIONS(2861),
    [anon_sym_EQ_EQ] = ACTIONS(2863),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_eq] = ACTIONS(2863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2861),
    [anon_sym_equ] = ACTIONS(2861),
    [anon_sym_eqr] = ACTIONS(2861),
    [anon_sym_ne] = ACTIONS(2861),
    [anon_sym_LT_EQ_GT] = ACTIONS(2861),
    [anon_sym_cmp] = ACTIONS(2861),
    [anon_sym_TILDE_TILDE] = ACTIONS(2861),
    [anon_sym_LT_EQ] = ACTIONS(2863),
    [anon_sym_GT_EQ] = ACTIONS(2861),
    [anon_sym_lt] = ACTIONS(2861),
    [anon_sym_le] = ACTIONS(2861),
    [anon_sym_ge] = ACTIONS(2861),
    [anon_sym_gt] = ACTIONS(2861),
    [anon_sym_isa] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2861),
    [anon_sym_QMARK] = ACTIONS(2861),
    [anon_sym_EQ_GT] = ACTIONS(2861),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1924] = {
    [sym_heredoc_content] = STATE(1924),
    [anon_sym_RBRACE] = ACTIONS(2610),
    [anon_sym_COLON] = ACTIONS(3733),
    [anon_sym_EQ] = ACTIONS(2614),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_COMMA] = ACTIONS(2610),
    [anon_sym_RPAREN] = ACTIONS(2610),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2610),
    [anon_sym_DASH_GT] = ACTIONS(2610),
    [anon_sym_PERCENT] = ACTIONS(2614),
    [anon_sym_LT] = ACTIONS(2614),
    [anon_sym_GT] = ACTIONS(2614),
    [anon_sym_LT_LT] = ACTIONS(2614),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2610),
    [anon_sym_PLUS_EQ] = ACTIONS(2610),
    [anon_sym_DASH_EQ] = ACTIONS(2610),
    [anon_sym_DOT_EQ] = ACTIONS(2610),
    [anon_sym_STAR_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_PERCENT_EQ] = ACTIONS(2610),
    [anon_sym_x_EQ] = ACTIONS(2610),
    [anon_sym_AMP_EQ] = ACTIONS(2610),
    [anon_sym_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_CARET_EQ] = ACTIONS(2610),
    [anon_sym_LT_LT_EQ] = ACTIONS(2610),
    [anon_sym_GT_GT_EQ] = ACTIONS(2610),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2610),
    [anon_sym_DOT_DOT] = ACTIONS(2614),
    [anon_sym_STAR_STAR] = ACTIONS(2614),
    [anon_sym_PIPE_PIPE] = ACTIONS(2614),
    [anon_sym_SLASH_SLASH] = ACTIONS(2614),
    [anon_sym_CARET_CARET] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_PIPE] = ACTIONS(2614),
    [anon_sym_CARET] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym_GT_GT2] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_DOT] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_SLASH] = ACTIONS(2614),
    [anon_sym_x] = ACTIONS(2614),
    [anon_sym_EQ_TILDE] = ACTIONS(2610),
    [anon_sym_BANG_TILDE] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2614),
    [anon_sym_BANG_EQ] = ACTIONS(2610),
    [anon_sym_eq] = ACTIONS(2614),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2610),
    [anon_sym_equ] = ACTIONS(2610),
    [anon_sym_eqr] = ACTIONS(2610),
    [anon_sym_ne] = ACTIONS(2610),
    [anon_sym_LT_EQ_GT] = ACTIONS(2610),
    [anon_sym_cmp] = ACTIONS(2610),
    [anon_sym_TILDE_TILDE] = ACTIONS(2610),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_GT_EQ] = ACTIONS(2610),
    [anon_sym_lt] = ACTIONS(2610),
    [anon_sym_le] = ACTIONS(2610),
    [anon_sym_ge] = ACTIONS(2610),
    [anon_sym_gt] = ACTIONS(2610),
    [anon_sym_isa] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_QMARK] = ACTIONS(2610),
    [anon_sym_EQ_GT] = ACTIONS(2610),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1925] = {
    [sym_heredoc_content] = STATE(1925),
    [anon_sym_RBRACE] = ACTIONS(2616),
    [anon_sym_COLON] = ACTIONS(3735),
    [anon_sym_EQ] = ACTIONS(2620),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2616),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2616),
    [anon_sym_COMMA] = ACTIONS(2616),
    [anon_sym_RPAREN] = ACTIONS(2616),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2616),
    [anon_sym_PERCENT] = ACTIONS(2620),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_GT] = ACTIONS(2620),
    [anon_sym_LT_LT] = ACTIONS(2620),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2616),
    [anon_sym_PLUS_EQ] = ACTIONS(2616),
    [anon_sym_DASH_EQ] = ACTIONS(2616),
    [anon_sym_DOT_EQ] = ACTIONS(2616),
    [anon_sym_STAR_EQ] = ACTIONS(2616),
    [anon_sym_SLASH_EQ] = ACTIONS(2616),
    [anon_sym_PERCENT_EQ] = ACTIONS(2616),
    [anon_sym_x_EQ] = ACTIONS(2616),
    [anon_sym_AMP_EQ] = ACTIONS(2616),
    [anon_sym_PIPE_EQ] = ACTIONS(2616),
    [anon_sym_CARET_EQ] = ACTIONS(2616),
    [anon_sym_LT_LT_EQ] = ACTIONS(2616),
    [anon_sym_GT_GT_EQ] = ACTIONS(2616),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2616),
    [anon_sym_DOT_DOT] = ACTIONS(2620),
    [anon_sym_STAR_STAR] = ACTIONS(2620),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_SLASH_SLASH] = ACTIONS(2620),
    [anon_sym_CARET_CARET] = ACTIONS(2616),
    [anon_sym_AMP_AMP] = ACTIONS(2620),
    [anon_sym_PIPE] = ACTIONS(2620),
    [anon_sym_CARET] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym_GT_GT2] = ACTIONS(2620),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_DOT] = ACTIONS(2620),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_x] = ACTIONS(2620),
    [anon_sym_EQ_TILDE] = ACTIONS(2616),
    [anon_sym_BANG_TILDE] = ACTIONS(2616),
    [anon_sym_EQ_EQ] = ACTIONS(2620),
    [anon_sym_BANG_EQ] = ACTIONS(2616),
    [anon_sym_eq] = ACTIONS(2620),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2616),
    [anon_sym_equ] = ACTIONS(2616),
    [anon_sym_eqr] = ACTIONS(2616),
    [anon_sym_ne] = ACTIONS(2616),
    [anon_sym_LT_EQ_GT] = ACTIONS(2616),
    [anon_sym_cmp] = ACTIONS(2616),
    [anon_sym_TILDE_TILDE] = ACTIONS(2616),
    [anon_sym_LT_EQ] = ACTIONS(2620),
    [anon_sym_GT_EQ] = ACTIONS(2616),
    [anon_sym_lt] = ACTIONS(2616),
    [anon_sym_le] = ACTIONS(2616),
    [anon_sym_ge] = ACTIONS(2616),
    [anon_sym_gt] = ACTIONS(2616),
    [anon_sym_isa] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2616),
    [anon_sym_DASH_DASH] = ACTIONS(2616),
    [anon_sym_QMARK] = ACTIONS(2616),
    [anon_sym_EQ_GT] = ACTIONS(2616),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1926] = {
    [sym_heredoc_content] = STATE(1926),
    [anon_sym_COLON] = ACTIONS(2671),
    [anon_sym_SEMI] = ACTIONS(2671),
    [anon_sym_EQ] = ACTIONS(2673),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2671),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2671),
    [anon_sym_COMMA] = ACTIONS(2671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2671),
    [anon_sym_DASH_GT] = ACTIONS(2671),
    [anon_sym_PERCENT] = ACTIONS(2673),
    [anon_sym_LT] = ACTIONS(2673),
    [anon_sym_GT] = ACTIONS(2673),
    [anon_sym_LT_LT] = ACTIONS(2673),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2671),
    [anon_sym_PLUS_EQ] = ACTIONS(2671),
    [anon_sym_DASH_EQ] = ACTIONS(2671),
    [anon_sym_DOT_EQ] = ACTIONS(2671),
    [anon_sym_STAR_EQ] = ACTIONS(2671),
    [anon_sym_SLASH_EQ] = ACTIONS(2671),
    [anon_sym_PERCENT_EQ] = ACTIONS(2671),
    [anon_sym_x_EQ] = ACTIONS(2671),
    [anon_sym_AMP_EQ] = ACTIONS(2671),
    [anon_sym_PIPE_EQ] = ACTIONS(2671),
    [anon_sym_CARET_EQ] = ACTIONS(2671),
    [anon_sym_LT_LT_EQ] = ACTIONS(2671),
    [anon_sym_GT_GT_EQ] = ACTIONS(2671),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2671),
    [anon_sym_DOT_DOT] = ACTIONS(2673),
    [anon_sym_STAR_STAR] = ACTIONS(2673),
    [anon_sym_PIPE_PIPE] = ACTIONS(2673),
    [anon_sym_SLASH_SLASH] = ACTIONS(2673),
    [anon_sym_CARET_CARET] = ACTIONS(2671),
    [anon_sym_AMP_AMP] = ACTIONS(2673),
    [anon_sym_PIPE] = ACTIONS(2673),
    [anon_sym_CARET] = ACTIONS(2673),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym_GT_GT2] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_DOT] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2673),
    [anon_sym_x] = ACTIONS(2673),
    [anon_sym_EQ_TILDE] = ACTIONS(2671),
    [anon_sym_BANG_TILDE] = ACTIONS(2671),
    [anon_sym_EQ_EQ] = ACTIONS(2673),
    [anon_sym_BANG_EQ] = ACTIONS(2671),
    [anon_sym_eq] = ACTIONS(2673),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2671),
    [anon_sym_equ] = ACTIONS(2671),
    [anon_sym_eqr] = ACTIONS(2671),
    [anon_sym_ne] = ACTIONS(2671),
    [anon_sym_LT_EQ_GT] = ACTIONS(2671),
    [anon_sym_cmp] = ACTIONS(2671),
    [anon_sym_TILDE_TILDE] = ACTIONS(2671),
    [anon_sym_LT_EQ] = ACTIONS(2673),
    [anon_sym_GT_EQ] = ACTIONS(2671),
    [anon_sym_lt] = ACTIONS(2671),
    [anon_sym_le] = ACTIONS(2671),
    [anon_sym_ge] = ACTIONS(2671),
    [anon_sym_gt] = ACTIONS(2671),
    [anon_sym_isa] = ACTIONS(2671),
    [anon_sym_PLUS_PLUS] = ACTIONS(2671),
    [anon_sym_DASH_DASH] = ACTIONS(2671),
    [anon_sym_QMARK] = ACTIONS(2671),
    [anon_sym_EQ_GT] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2671),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1927] = {
    [sym_heredoc_content] = STATE(1927),
    [anon_sym_RBRACE] = ACTIONS(2713),
    [anon_sym_COLON] = ACTIONS(2713),
    [anon_sym_EQ] = ACTIONS(2715),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2713),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2713),
    [anon_sym_COMMA] = ACTIONS(2713),
    [anon_sym_RPAREN] = ACTIONS(2713),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2713),
    [anon_sym_DASH_GT] = ACTIONS(2713),
    [anon_sym_PERCENT] = ACTIONS(2715),
    [anon_sym_LT] = ACTIONS(2715),
    [anon_sym_GT] = ACTIONS(2715),
    [anon_sym_LT_LT] = ACTIONS(2715),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2713),
    [anon_sym_PLUS_EQ] = ACTIONS(2713),
    [anon_sym_DASH_EQ] = ACTIONS(2713),
    [anon_sym_DOT_EQ] = ACTIONS(2713),
    [anon_sym_STAR_EQ] = ACTIONS(2713),
    [anon_sym_SLASH_EQ] = ACTIONS(2713),
    [anon_sym_PERCENT_EQ] = ACTIONS(2713),
    [anon_sym_x_EQ] = ACTIONS(2713),
    [anon_sym_AMP_EQ] = ACTIONS(2713),
    [anon_sym_PIPE_EQ] = ACTIONS(2713),
    [anon_sym_CARET_EQ] = ACTIONS(2713),
    [anon_sym_LT_LT_EQ] = ACTIONS(2713),
    [anon_sym_GT_GT_EQ] = ACTIONS(2713),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2713),
    [anon_sym_DOT_DOT] = ACTIONS(2715),
    [anon_sym_STAR_STAR] = ACTIONS(2715),
    [anon_sym_PIPE_PIPE] = ACTIONS(2715),
    [anon_sym_SLASH_SLASH] = ACTIONS(2715),
    [anon_sym_CARET_CARET] = ACTIONS(2713),
    [anon_sym_AMP_AMP] = ACTIONS(2715),
    [anon_sym_PIPE] = ACTIONS(2715),
    [anon_sym_CARET] = ACTIONS(2715),
    [anon_sym_AMP] = ACTIONS(2715),
    [anon_sym_GT_GT2] = ACTIONS(2715),
    [anon_sym_PLUS] = ACTIONS(2715),
    [anon_sym_DASH] = ACTIONS(2715),
    [anon_sym_DOT] = ACTIONS(2715),
    [anon_sym_STAR] = ACTIONS(2715),
    [anon_sym_SLASH] = ACTIONS(2715),
    [anon_sym_x] = ACTIONS(2715),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2715),
    [anon_sym_BANG_EQ] = ACTIONS(2713),
    [anon_sym_eq] = ACTIONS(2715),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2713),
    [anon_sym_equ] = ACTIONS(2713),
    [anon_sym_eqr] = ACTIONS(2713),
    [anon_sym_ne] = ACTIONS(2713),
    [anon_sym_LT_EQ_GT] = ACTIONS(2713),
    [anon_sym_cmp] = ACTIONS(2713),
    [anon_sym_TILDE_TILDE] = ACTIONS(2713),
    [anon_sym_LT_EQ] = ACTIONS(2715),
    [anon_sym_GT_EQ] = ACTIONS(2713),
    [anon_sym_lt] = ACTIONS(2713),
    [anon_sym_le] = ACTIONS(2713),
    [anon_sym_ge] = ACTIONS(2713),
    [anon_sym_gt] = ACTIONS(2713),
    [anon_sym_isa] = ACTIONS(2713),
    [anon_sym_PLUS_PLUS] = ACTIONS(2713),
    [anon_sym_DASH_DASH] = ACTIONS(2713),
    [anon_sym_QMARK] = ACTIONS(2713),
    [anon_sym_EQ_GT] = ACTIONS(2713),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1928] = {
    [sym_heredoc_content] = STATE(1928),
    [anon_sym_RBRACE] = ACTIONS(3013),
    [anon_sym_COLON] = ACTIONS(3013),
    [anon_sym_EQ] = ACTIONS(3015),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3013),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3013),
    [anon_sym_COMMA] = ACTIONS(3013),
    [anon_sym_RPAREN] = ACTIONS(3013),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3013),
    [anon_sym_DASH_GT] = ACTIONS(3013),
    [anon_sym_PERCENT] = ACTIONS(3015),
    [anon_sym_LT] = ACTIONS(3015),
    [anon_sym_GT] = ACTIONS(3015),
    [anon_sym_LT_LT] = ACTIONS(3015),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3013),
    [anon_sym_PLUS_EQ] = ACTIONS(3013),
    [anon_sym_DASH_EQ] = ACTIONS(3013),
    [anon_sym_DOT_EQ] = ACTIONS(3013),
    [anon_sym_STAR_EQ] = ACTIONS(3013),
    [anon_sym_SLASH_EQ] = ACTIONS(3013),
    [anon_sym_PERCENT_EQ] = ACTIONS(3013),
    [anon_sym_x_EQ] = ACTIONS(3013),
    [anon_sym_AMP_EQ] = ACTIONS(3013),
    [anon_sym_PIPE_EQ] = ACTIONS(3013),
    [anon_sym_CARET_EQ] = ACTIONS(3013),
    [anon_sym_LT_LT_EQ] = ACTIONS(3013),
    [anon_sym_GT_GT_EQ] = ACTIONS(3013),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3013),
    [anon_sym_DOT_DOT] = ACTIONS(3015),
    [anon_sym_STAR_STAR] = ACTIONS(3015),
    [anon_sym_PIPE_PIPE] = ACTIONS(3015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3015),
    [anon_sym_CARET_CARET] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_PIPE] = ACTIONS(3015),
    [anon_sym_CARET] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_GT_GT2] = ACTIONS(3015),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_SLASH] = ACTIONS(3015),
    [anon_sym_x] = ACTIONS(3015),
    [anon_sym_EQ_TILDE] = ACTIONS(3013),
    [anon_sym_BANG_TILDE] = ACTIONS(3013),
    [anon_sym_EQ_EQ] = ACTIONS(3015),
    [anon_sym_BANG_EQ] = ACTIONS(3013),
    [anon_sym_eq] = ACTIONS(3015),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3013),
    [anon_sym_equ] = ACTIONS(3013),
    [anon_sym_eqr] = ACTIONS(3013),
    [anon_sym_ne] = ACTIONS(3013),
    [anon_sym_LT_EQ_GT] = ACTIONS(3013),
    [anon_sym_cmp] = ACTIONS(3013),
    [anon_sym_TILDE_TILDE] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(3015),
    [anon_sym_GT_EQ] = ACTIONS(3013),
    [anon_sym_lt] = ACTIONS(3013),
    [anon_sym_le] = ACTIONS(3013),
    [anon_sym_ge] = ACTIONS(3013),
    [anon_sym_gt] = ACTIONS(3013),
    [anon_sym_isa] = ACTIONS(3013),
    [anon_sym_PLUS_PLUS] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3013),
    [anon_sym_QMARK] = ACTIONS(3013),
    [anon_sym_EQ_GT] = ACTIONS(3013),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1929] = {
    [sym_heredoc_content] = STATE(1929),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_COLON] = ACTIONS(3168),
    [anon_sym_EQ] = ACTIONS(3170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_COMMA] = ACTIONS(3168),
    [anon_sym_RPAREN] = ACTIONS(3168),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3168),
    [anon_sym_DASH_GT] = ACTIONS(3168),
    [anon_sym_PERCENT] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_GT] = ACTIONS(3170),
    [anon_sym_LT_LT] = ACTIONS(3170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_DOT_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_x_EQ] = ACTIONS(3168),
    [anon_sym_AMP_EQ] = ACTIONS(3168),
    [anon_sym_PIPE_EQ] = ACTIONS(3168),
    [anon_sym_CARET_EQ] = ACTIONS(3168),
    [anon_sym_LT_LT_EQ] = ACTIONS(3168),
    [anon_sym_GT_GT_EQ] = ACTIONS(3168),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3168),
    [anon_sym_DOT_DOT] = ACTIONS(3170),
    [anon_sym_STAR_STAR] = ACTIONS(3170),
    [anon_sym_PIPE_PIPE] = ACTIONS(3170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3170),
    [anon_sym_CARET_CARET] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_PIPE] = ACTIONS(3170),
    [anon_sym_CARET] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym_GT_GT2] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_DOT] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_x] = ACTIONS(3170),
    [anon_sym_EQ_TILDE] = ACTIONS(3168),
    [anon_sym_BANG_TILDE] = ACTIONS(3168),
    [anon_sym_EQ_EQ] = ACTIONS(3170),
    [anon_sym_BANG_EQ] = ACTIONS(3168),
    [anon_sym_eq] = ACTIONS(3170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3168),
    [anon_sym_equ] = ACTIONS(3168),
    [anon_sym_eqr] = ACTIONS(3168),
    [anon_sym_ne] = ACTIONS(3168),
    [anon_sym_LT_EQ_GT] = ACTIONS(3168),
    [anon_sym_cmp] = ACTIONS(3168),
    [anon_sym_TILDE_TILDE] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3170),
    [anon_sym_GT_EQ] = ACTIONS(3168),
    [anon_sym_lt] = ACTIONS(3168),
    [anon_sym_le] = ACTIONS(3168),
    [anon_sym_ge] = ACTIONS(3168),
    [anon_sym_gt] = ACTIONS(3168),
    [anon_sym_isa] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_QMARK] = ACTIONS(3168),
    [anon_sym_EQ_GT] = ACTIONS(3168),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1930] = {
    [sym_heredoc_content] = STATE(1930),
    [anon_sym_RBRACE] = ACTIONS(2721),
    [anon_sym_COLON] = ACTIONS(2721),
    [anon_sym_EQ] = ACTIONS(2723),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2721),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2721),
    [anon_sym_COMMA] = ACTIONS(2721),
    [anon_sym_RPAREN] = ACTIONS(2721),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2721),
    [anon_sym_DASH_GT] = ACTIONS(2721),
    [anon_sym_PERCENT] = ACTIONS(2723),
    [anon_sym_LT] = ACTIONS(2723),
    [anon_sym_GT] = ACTIONS(2723),
    [anon_sym_LT_LT] = ACTIONS(2723),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2721),
    [anon_sym_PLUS_EQ] = ACTIONS(2721),
    [anon_sym_DASH_EQ] = ACTIONS(2721),
    [anon_sym_DOT_EQ] = ACTIONS(2721),
    [anon_sym_STAR_EQ] = ACTIONS(2721),
    [anon_sym_SLASH_EQ] = ACTIONS(2721),
    [anon_sym_PERCENT_EQ] = ACTIONS(2721),
    [anon_sym_x_EQ] = ACTIONS(2721),
    [anon_sym_AMP_EQ] = ACTIONS(2721),
    [anon_sym_PIPE_EQ] = ACTIONS(2721),
    [anon_sym_CARET_EQ] = ACTIONS(2721),
    [anon_sym_LT_LT_EQ] = ACTIONS(2721),
    [anon_sym_GT_GT_EQ] = ACTIONS(2721),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2721),
    [anon_sym_DOT_DOT] = ACTIONS(2723),
    [anon_sym_STAR_STAR] = ACTIONS(2723),
    [anon_sym_PIPE_PIPE] = ACTIONS(2723),
    [anon_sym_SLASH_SLASH] = ACTIONS(2723),
    [anon_sym_CARET_CARET] = ACTIONS(2721),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_PIPE] = ACTIONS(2723),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_AMP] = ACTIONS(2723),
    [anon_sym_GT_GT2] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2723),
    [anon_sym_DOT] = ACTIONS(2723),
    [anon_sym_STAR] = ACTIONS(2723),
    [anon_sym_SLASH] = ACTIONS(2723),
    [anon_sym_x] = ACTIONS(2723),
    [anon_sym_EQ_TILDE] = ACTIONS(2721),
    [anon_sym_BANG_TILDE] = ACTIONS(2721),
    [anon_sym_EQ_EQ] = ACTIONS(2723),
    [anon_sym_BANG_EQ] = ACTIONS(2721),
    [anon_sym_eq] = ACTIONS(2723),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2721),
    [anon_sym_equ] = ACTIONS(2721),
    [anon_sym_eqr] = ACTIONS(2721),
    [anon_sym_ne] = ACTIONS(2721),
    [anon_sym_LT_EQ_GT] = ACTIONS(2721),
    [anon_sym_cmp] = ACTIONS(2721),
    [anon_sym_TILDE_TILDE] = ACTIONS(2721),
    [anon_sym_LT_EQ] = ACTIONS(2723),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_lt] = ACTIONS(2721),
    [anon_sym_le] = ACTIONS(2721),
    [anon_sym_ge] = ACTIONS(2721),
    [anon_sym_gt] = ACTIONS(2721),
    [anon_sym_isa] = ACTIONS(2721),
    [anon_sym_PLUS_PLUS] = ACTIONS(2721),
    [anon_sym_DASH_DASH] = ACTIONS(2721),
    [anon_sym_QMARK] = ACTIONS(2721),
    [anon_sym_EQ_GT] = ACTIONS(2721),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1931] = {
    [sym_heredoc_content] = STATE(1931),
    [anon_sym_RBRACE] = ACTIONS(2865),
    [anon_sym_COLON] = ACTIONS(2865),
    [anon_sym_EQ] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_COMMA] = ACTIONS(2865),
    [anon_sym_RPAREN] = ACTIONS(2865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2865),
    [anon_sym_DASH_GT] = ACTIONS(2865),
    [anon_sym_PERCENT] = ACTIONS(2867),
    [anon_sym_LT] = ACTIONS(2867),
    [anon_sym_GT] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2867),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2865),
    [anon_sym_PLUS_EQ] = ACTIONS(2865),
    [anon_sym_DASH_EQ] = ACTIONS(2865),
    [anon_sym_DOT_EQ] = ACTIONS(2865),
    [anon_sym_STAR_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_PERCENT_EQ] = ACTIONS(2865),
    [anon_sym_x_EQ] = ACTIONS(2865),
    [anon_sym_AMP_EQ] = ACTIONS(2865),
    [anon_sym_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_CARET_EQ] = ACTIONS(2865),
    [anon_sym_LT_LT_EQ] = ACTIONS(2865),
    [anon_sym_GT_GT_EQ] = ACTIONS(2865),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2865),
    [anon_sym_DOT_DOT] = ACTIONS(2867),
    [anon_sym_STAR_STAR] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_SLASH_SLASH] = ACTIONS(2867),
    [anon_sym_CARET_CARET] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_PIPE] = ACTIONS(2867),
    [anon_sym_CARET] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_GT_GT2] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_DOT] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_SLASH] = ACTIONS(2867),
    [anon_sym_x] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2865),
    [anon_sym_BANG_TILDE] = ACTIONS(2865),
    [anon_sym_EQ_EQ] = ACTIONS(2867),
    [anon_sym_BANG_EQ] = ACTIONS(2865),
    [anon_sym_eq] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2865),
    [anon_sym_equ] = ACTIONS(2865),
    [anon_sym_eqr] = ACTIONS(2865),
    [anon_sym_ne] = ACTIONS(2865),
    [anon_sym_LT_EQ_GT] = ACTIONS(2865),
    [anon_sym_cmp] = ACTIONS(2865),
    [anon_sym_TILDE_TILDE] = ACTIONS(2865),
    [anon_sym_LT_EQ] = ACTIONS(2867),
    [anon_sym_GT_EQ] = ACTIONS(2865),
    [anon_sym_lt] = ACTIONS(2865),
    [anon_sym_le] = ACTIONS(2865),
    [anon_sym_ge] = ACTIONS(2865),
    [anon_sym_gt] = ACTIONS(2865),
    [anon_sym_isa] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2865),
    [anon_sym_EQ_GT] = ACTIONS(2865),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1932] = {
    [sym_heredoc_content] = STATE(1932),
    [anon_sym_RBRACE] = ACTIONS(3104),
    [anon_sym_COLON] = ACTIONS(3104),
    [anon_sym_EQ] = ACTIONS(3107),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_COMMA] = ACTIONS(3104),
    [anon_sym_RPAREN] = ACTIONS(3104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3104),
    [anon_sym_DASH_GT] = ACTIONS(3104),
    [anon_sym_PERCENT] = ACTIONS(3107),
    [anon_sym_LT] = ACTIONS(3107),
    [anon_sym_GT] = ACTIONS(3107),
    [anon_sym_LT_LT] = ACTIONS(3107),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3104),
    [anon_sym_PLUS_EQ] = ACTIONS(3104),
    [anon_sym_DASH_EQ] = ACTIONS(3104),
    [anon_sym_DOT_EQ] = ACTIONS(3104),
    [anon_sym_STAR_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_PERCENT_EQ] = ACTIONS(3104),
    [anon_sym_x_EQ] = ACTIONS(3104),
    [anon_sym_AMP_EQ] = ACTIONS(3104),
    [anon_sym_PIPE_EQ] = ACTIONS(3104),
    [anon_sym_CARET_EQ] = ACTIONS(3104),
    [anon_sym_LT_LT_EQ] = ACTIONS(3104),
    [anon_sym_GT_GT_EQ] = ACTIONS(3104),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3104),
    [anon_sym_DOT_DOT] = ACTIONS(3107),
    [anon_sym_STAR_STAR] = ACTIONS(3107),
    [anon_sym_PIPE_PIPE] = ACTIONS(3107),
    [anon_sym_SLASH_SLASH] = ACTIONS(3107),
    [anon_sym_CARET_CARET] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3107),
    [anon_sym_PIPE] = ACTIONS(3107),
    [anon_sym_CARET] = ACTIONS(3107),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_GT_GT2] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_DOT] = ACTIONS(3107),
    [anon_sym_STAR] = ACTIONS(3107),
    [anon_sym_SLASH] = ACTIONS(3107),
    [anon_sym_x] = ACTIONS(3107),
    [anon_sym_EQ_TILDE] = ACTIONS(3104),
    [anon_sym_BANG_TILDE] = ACTIONS(3104),
    [anon_sym_EQ_EQ] = ACTIONS(3107),
    [anon_sym_BANG_EQ] = ACTIONS(3104),
    [anon_sym_eq] = ACTIONS(3107),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3104),
    [anon_sym_equ] = ACTIONS(3104),
    [anon_sym_eqr] = ACTIONS(3104),
    [anon_sym_ne] = ACTIONS(3104),
    [anon_sym_LT_EQ_GT] = ACTIONS(3104),
    [anon_sym_cmp] = ACTIONS(3104),
    [anon_sym_TILDE_TILDE] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3107),
    [anon_sym_GT_EQ] = ACTIONS(3104),
    [anon_sym_lt] = ACTIONS(3104),
    [anon_sym_le] = ACTIONS(3104),
    [anon_sym_ge] = ACTIONS(3104),
    [anon_sym_gt] = ACTIONS(3104),
    [anon_sym_isa] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_QMARK] = ACTIONS(3104),
    [anon_sym_EQ_GT] = ACTIONS(3104),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1933] = {
    [sym_heredoc_content] = STATE(1933),
    [anon_sym_RBRACE] = ACTIONS(3146),
    [anon_sym_COLON] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_COMMA] = ACTIONS(3146),
    [anon_sym_RPAREN] = ACTIONS(3146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3146),
    [anon_sym_DASH_GT] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3148),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_GT] = ACTIONS(3148),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3146),
    [anon_sym_DASH_EQ] = ACTIONS(3146),
    [anon_sym_DOT_EQ] = ACTIONS(3146),
    [anon_sym_STAR_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_PERCENT_EQ] = ACTIONS(3146),
    [anon_sym_x_EQ] = ACTIONS(3146),
    [anon_sym_AMP_EQ] = ACTIONS(3146),
    [anon_sym_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_CARET_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT_EQ] = ACTIONS(3146),
    [anon_sym_GT_GT_EQ] = ACTIONS(3146),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3146),
    [anon_sym_DOT_DOT] = ACTIONS(3148),
    [anon_sym_STAR_STAR] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3148),
    [anon_sym_CARET_CARET] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_PIPE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3148),
    [anon_sym_GT_GT2] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_x] = ACTIONS(3148),
    [anon_sym_EQ_TILDE] = ACTIONS(3146),
    [anon_sym_BANG_TILDE] = ACTIONS(3146),
    [anon_sym_EQ_EQ] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_eq] = ACTIONS(3148),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3146),
    [anon_sym_equ] = ACTIONS(3146),
    [anon_sym_eqr] = ACTIONS(3146),
    [anon_sym_ne] = ACTIONS(3146),
    [anon_sym_LT_EQ_GT] = ACTIONS(3146),
    [anon_sym_cmp] = ACTIONS(3146),
    [anon_sym_TILDE_TILDE] = ACTIONS(3146),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_lt] = ACTIONS(3146),
    [anon_sym_le] = ACTIONS(3146),
    [anon_sym_ge] = ACTIONS(3146),
    [anon_sym_gt] = ACTIONS(3146),
    [anon_sym_isa] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_EQ_GT] = ACTIONS(3146),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1934] = {
    [sym_heredoc_content] = STATE(1934),
    [anon_sym_RBRACE] = ACTIONS(3021),
    [anon_sym_COLON] = ACTIONS(3021),
    [anon_sym_EQ] = ACTIONS(3023),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3021),
    [anon_sym_COMMA] = ACTIONS(3021),
    [anon_sym_RPAREN] = ACTIONS(3021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3021),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3023),
    [anon_sym_LT] = ACTIONS(3023),
    [anon_sym_GT] = ACTIONS(3023),
    [anon_sym_LT_LT] = ACTIONS(3023),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3021),
    [anon_sym_PLUS_EQ] = ACTIONS(3021),
    [anon_sym_DASH_EQ] = ACTIONS(3021),
    [anon_sym_DOT_EQ] = ACTIONS(3021),
    [anon_sym_STAR_EQ] = ACTIONS(3021),
    [anon_sym_SLASH_EQ] = ACTIONS(3021),
    [anon_sym_PERCENT_EQ] = ACTIONS(3021),
    [anon_sym_x_EQ] = ACTIONS(3021),
    [anon_sym_AMP_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_EQ] = ACTIONS(3021),
    [anon_sym_CARET_EQ] = ACTIONS(3021),
    [anon_sym_LT_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_GT_EQ] = ACTIONS(3021),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3021),
    [anon_sym_DOT_DOT] = ACTIONS(3023),
    [anon_sym_STAR_STAR] = ACTIONS(3023),
    [anon_sym_PIPE_PIPE] = ACTIONS(3023),
    [anon_sym_SLASH_SLASH] = ACTIONS(3023),
    [anon_sym_CARET_CARET] = ACTIONS(3021),
    [anon_sym_AMP_AMP] = ACTIONS(3023),
    [anon_sym_PIPE] = ACTIONS(3023),
    [anon_sym_CARET] = ACTIONS(3023),
    [anon_sym_AMP] = ACTIONS(3023),
    [anon_sym_GT_GT2] = ACTIONS(3023),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_DOT] = ACTIONS(3023),
    [anon_sym_STAR] = ACTIONS(3023),
    [anon_sym_SLASH] = ACTIONS(3023),
    [anon_sym_x] = ACTIONS(3023),
    [anon_sym_EQ_TILDE] = ACTIONS(3021),
    [anon_sym_BANG_TILDE] = ACTIONS(3021),
    [anon_sym_EQ_EQ] = ACTIONS(3023),
    [anon_sym_BANG_EQ] = ACTIONS(3021),
    [anon_sym_eq] = ACTIONS(3023),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3021),
    [anon_sym_equ] = ACTIONS(3021),
    [anon_sym_eqr] = ACTIONS(3021),
    [anon_sym_ne] = ACTIONS(3021),
    [anon_sym_LT_EQ_GT] = ACTIONS(3021),
    [anon_sym_cmp] = ACTIONS(3021),
    [anon_sym_TILDE_TILDE] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3023),
    [anon_sym_GT_EQ] = ACTIONS(3021),
    [anon_sym_lt] = ACTIONS(3021),
    [anon_sym_le] = ACTIONS(3021),
    [anon_sym_ge] = ACTIONS(3021),
    [anon_sym_gt] = ACTIONS(3021),
    [anon_sym_isa] = ACTIONS(3021),
    [anon_sym_PLUS_PLUS] = ACTIONS(3737),
    [anon_sym_DASH_DASH] = ACTIONS(3737),
    [anon_sym_QMARK] = ACTIONS(3021),
    [anon_sym_EQ_GT] = ACTIONS(3021),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1935] = {
    [sym_heredoc_content] = STATE(1935),
    [anon_sym_RBRACE] = ACTIONS(2741),
    [anon_sym_COLON] = ACTIONS(2741),
    [anon_sym_EQ] = ACTIONS(2743),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2741),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2741),
    [anon_sym_COMMA] = ACTIONS(2741),
    [anon_sym_RPAREN] = ACTIONS(2741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2741),
    [anon_sym_DASH_GT] = ACTIONS(2741),
    [anon_sym_PERCENT] = ACTIONS(2743),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_GT] = ACTIONS(2743),
    [anon_sym_LT_LT] = ACTIONS(2743),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2741),
    [anon_sym_PLUS_EQ] = ACTIONS(2741),
    [anon_sym_DASH_EQ] = ACTIONS(2741),
    [anon_sym_DOT_EQ] = ACTIONS(2741),
    [anon_sym_STAR_EQ] = ACTIONS(2741),
    [anon_sym_SLASH_EQ] = ACTIONS(2741),
    [anon_sym_PERCENT_EQ] = ACTIONS(2741),
    [anon_sym_x_EQ] = ACTIONS(2741),
    [anon_sym_AMP_EQ] = ACTIONS(2741),
    [anon_sym_PIPE_EQ] = ACTIONS(2741),
    [anon_sym_CARET_EQ] = ACTIONS(2741),
    [anon_sym_LT_LT_EQ] = ACTIONS(2741),
    [anon_sym_GT_GT_EQ] = ACTIONS(2741),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2741),
    [anon_sym_DOT_DOT] = ACTIONS(2743),
    [anon_sym_STAR_STAR] = ACTIONS(2743),
    [anon_sym_PIPE_PIPE] = ACTIONS(2743),
    [anon_sym_SLASH_SLASH] = ACTIONS(2743),
    [anon_sym_CARET_CARET] = ACTIONS(2741),
    [anon_sym_AMP_AMP] = ACTIONS(2743),
    [anon_sym_PIPE] = ACTIONS(2743),
    [anon_sym_CARET] = ACTIONS(2743),
    [anon_sym_AMP] = ACTIONS(2743),
    [anon_sym_GT_GT2] = ACTIONS(2743),
    [anon_sym_PLUS] = ACTIONS(2743),
    [anon_sym_DASH] = ACTIONS(2743),
    [anon_sym_DOT] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2743),
    [anon_sym_SLASH] = ACTIONS(2743),
    [anon_sym_x] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2741),
    [anon_sym_BANG_TILDE] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2743),
    [anon_sym_BANG_EQ] = ACTIONS(2741),
    [anon_sym_eq] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2741),
    [anon_sym_equ] = ACTIONS(2741),
    [anon_sym_eqr] = ACTIONS(2741),
    [anon_sym_ne] = ACTIONS(2741),
    [anon_sym_LT_EQ_GT] = ACTIONS(2741),
    [anon_sym_cmp] = ACTIONS(2741),
    [anon_sym_TILDE_TILDE] = ACTIONS(2741),
    [anon_sym_LT_EQ] = ACTIONS(2743),
    [anon_sym_GT_EQ] = ACTIONS(2741),
    [anon_sym_lt] = ACTIONS(2741),
    [anon_sym_le] = ACTIONS(2741),
    [anon_sym_ge] = ACTIONS(2741),
    [anon_sym_gt] = ACTIONS(2741),
    [anon_sym_isa] = ACTIONS(2741),
    [anon_sym_PLUS_PLUS] = ACTIONS(2741),
    [anon_sym_DASH_DASH] = ACTIONS(2741),
    [anon_sym_QMARK] = ACTIONS(2741),
    [anon_sym_EQ_GT] = ACTIONS(2741),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1936] = {
    [sym_heredoc_content] = STATE(1936),
    [anon_sym_RBRACE] = ACTIONS(2737),
    [anon_sym_COLON] = ACTIONS(2737),
    [anon_sym_EQ] = ACTIONS(2739),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_COMMA] = ACTIONS(2737),
    [anon_sym_RPAREN] = ACTIONS(2737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_DASH_GT] = ACTIONS(2737),
    [anon_sym_PERCENT] = ACTIONS(2739),
    [anon_sym_LT] = ACTIONS(2739),
    [anon_sym_GT] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(2739),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2737),
    [anon_sym_PLUS_EQ] = ACTIONS(2737),
    [anon_sym_DASH_EQ] = ACTIONS(2737),
    [anon_sym_DOT_EQ] = ACTIONS(2737),
    [anon_sym_STAR_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_PERCENT_EQ] = ACTIONS(2737),
    [anon_sym_x_EQ] = ACTIONS(2737),
    [anon_sym_AMP_EQ] = ACTIONS(2737),
    [anon_sym_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_CARET_EQ] = ACTIONS(2737),
    [anon_sym_LT_LT_EQ] = ACTIONS(2737),
    [anon_sym_GT_GT_EQ] = ACTIONS(2737),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2737),
    [anon_sym_DOT_DOT] = ACTIONS(2739),
    [anon_sym_STAR_STAR] = ACTIONS(2739),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_SLASH_SLASH] = ACTIONS(2739),
    [anon_sym_CARET_CARET] = ACTIONS(2737),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2739),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_AMP] = ACTIONS(2739),
    [anon_sym_GT_GT2] = ACTIONS(2739),
    [anon_sym_PLUS] = ACTIONS(2739),
    [anon_sym_DASH] = ACTIONS(2739),
    [anon_sym_DOT] = ACTIONS(2739),
    [anon_sym_STAR] = ACTIONS(2739),
    [anon_sym_SLASH] = ACTIONS(2739),
    [anon_sym_x] = ACTIONS(2739),
    [anon_sym_EQ_TILDE] = ACTIONS(2737),
    [anon_sym_BANG_TILDE] = ACTIONS(2737),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2737),
    [anon_sym_eq] = ACTIONS(2739),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2737),
    [anon_sym_equ] = ACTIONS(2737),
    [anon_sym_eqr] = ACTIONS(2737),
    [anon_sym_ne] = ACTIONS(2737),
    [anon_sym_LT_EQ_GT] = ACTIONS(2737),
    [anon_sym_cmp] = ACTIONS(2737),
    [anon_sym_TILDE_TILDE] = ACTIONS(2737),
    [anon_sym_LT_EQ] = ACTIONS(2739),
    [anon_sym_GT_EQ] = ACTIONS(2737),
    [anon_sym_lt] = ACTIONS(2737),
    [anon_sym_le] = ACTIONS(2737),
    [anon_sym_ge] = ACTIONS(2737),
    [anon_sym_gt] = ACTIONS(2737),
    [anon_sym_isa] = ACTIONS(2737),
    [anon_sym_PLUS_PLUS] = ACTIONS(2737),
    [anon_sym_DASH_DASH] = ACTIONS(2737),
    [anon_sym_QMARK] = ACTIONS(2737),
    [anon_sym_EQ_GT] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1937] = {
    [sym_heredoc_content] = STATE(1937),
    [anon_sym_RBRACE] = ACTIONS(3126),
    [anon_sym_COLON] = ACTIONS(3126),
    [anon_sym_EQ] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_COMMA] = ACTIONS(3126),
    [anon_sym_RPAREN] = ACTIONS(3126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3126),
    [anon_sym_DASH_GT] = ACTIONS(3126),
    [anon_sym_PERCENT] = ACTIONS(3128),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_GT] = ACTIONS(3128),
    [anon_sym_LT_LT] = ACTIONS(3128),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3126),
    [anon_sym_PLUS_EQ] = ACTIONS(3126),
    [anon_sym_DASH_EQ] = ACTIONS(3126),
    [anon_sym_DOT_EQ] = ACTIONS(3126),
    [anon_sym_STAR_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_PERCENT_EQ] = ACTIONS(3126),
    [anon_sym_x_EQ] = ACTIONS(3126),
    [anon_sym_AMP_EQ] = ACTIONS(3126),
    [anon_sym_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_CARET_EQ] = ACTIONS(3126),
    [anon_sym_LT_LT_EQ] = ACTIONS(3126),
    [anon_sym_GT_GT_EQ] = ACTIONS(3126),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3126),
    [anon_sym_DOT_DOT] = ACTIONS(3128),
    [anon_sym_STAR_STAR] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE] = ACTIONS(3128),
    [anon_sym_SLASH_SLASH] = ACTIONS(3128),
    [anon_sym_CARET_CARET] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_GT_GT2] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3128),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_SLASH] = ACTIONS(3128),
    [anon_sym_x] = ACTIONS(3128),
    [anon_sym_EQ_TILDE] = ACTIONS(3126),
    [anon_sym_BANG_TILDE] = ACTIONS(3126),
    [anon_sym_EQ_EQ] = ACTIONS(3128),
    [anon_sym_BANG_EQ] = ACTIONS(3126),
    [anon_sym_eq] = ACTIONS(3128),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3126),
    [anon_sym_equ] = ACTIONS(3126),
    [anon_sym_eqr] = ACTIONS(3126),
    [anon_sym_ne] = ACTIONS(3126),
    [anon_sym_LT_EQ_GT] = ACTIONS(3126),
    [anon_sym_cmp] = ACTIONS(3126),
    [anon_sym_TILDE_TILDE] = ACTIONS(3126),
    [anon_sym_LT_EQ] = ACTIONS(3128),
    [anon_sym_GT_EQ] = ACTIONS(3126),
    [anon_sym_lt] = ACTIONS(3126),
    [anon_sym_le] = ACTIONS(3126),
    [anon_sym_ge] = ACTIONS(3126),
    [anon_sym_gt] = ACTIONS(3126),
    [anon_sym_isa] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_EQ_GT] = ACTIONS(3126),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1938] = {
    [sym_heredoc_content] = STATE(1938),
    [aux_sym__term_rightward_repeat1] = STATE(1854),
    [anon_sym_RBRACE] = ACTIONS(2476),
    [anon_sym_EQ] = ACTIONS(3683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_COMMA] = ACTIONS(3585),
    [anon_sym_RPAREN] = ACTIONS(2476),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3685),
    [anon_sym_PLUS_EQ] = ACTIONS(3685),
    [anon_sym_DASH_EQ] = ACTIONS(3685),
    [anon_sym_DOT_EQ] = ACTIONS(3685),
    [anon_sym_STAR_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_PERCENT_EQ] = ACTIONS(3685),
    [anon_sym_x_EQ] = ACTIONS(3685),
    [anon_sym_AMP_EQ] = ACTIONS(3685),
    [anon_sym_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_CARET_EQ] = ACTIONS(3685),
    [anon_sym_LT_LT_EQ] = ACTIONS(3685),
    [anon_sym_GT_GT_EQ] = ACTIONS(3685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3685),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3703),
    [anon_sym_CARET_CARET] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3729),
    [anon_sym_EQ_GT] = ACTIONS(3585),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1939] = {
    [sym_heredoc_content] = STATE(1939),
    [anon_sym_RBRACE] = ACTIONS(2717),
    [anon_sym_COLON] = ACTIONS(2717),
    [anon_sym_EQ] = ACTIONS(2719),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2717),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2717),
    [anon_sym_COMMA] = ACTIONS(2717),
    [anon_sym_RPAREN] = ACTIONS(2717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2717),
    [anon_sym_DASH_GT] = ACTIONS(2717),
    [anon_sym_PERCENT] = ACTIONS(2719),
    [anon_sym_LT] = ACTIONS(2719),
    [anon_sym_GT] = ACTIONS(2719),
    [anon_sym_LT_LT] = ACTIONS(2719),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2717),
    [anon_sym_PLUS_EQ] = ACTIONS(2717),
    [anon_sym_DASH_EQ] = ACTIONS(2717),
    [anon_sym_DOT_EQ] = ACTIONS(2717),
    [anon_sym_STAR_EQ] = ACTIONS(2717),
    [anon_sym_SLASH_EQ] = ACTIONS(2717),
    [anon_sym_PERCENT_EQ] = ACTIONS(2717),
    [anon_sym_x_EQ] = ACTIONS(2717),
    [anon_sym_AMP_EQ] = ACTIONS(2717),
    [anon_sym_PIPE_EQ] = ACTIONS(2717),
    [anon_sym_CARET_EQ] = ACTIONS(2717),
    [anon_sym_LT_LT_EQ] = ACTIONS(2717),
    [anon_sym_GT_GT_EQ] = ACTIONS(2717),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2717),
    [anon_sym_DOT_DOT] = ACTIONS(2719),
    [anon_sym_STAR_STAR] = ACTIONS(2719),
    [anon_sym_PIPE_PIPE] = ACTIONS(2719),
    [anon_sym_SLASH_SLASH] = ACTIONS(2719),
    [anon_sym_CARET_CARET] = ACTIONS(2717),
    [anon_sym_AMP_AMP] = ACTIONS(2719),
    [anon_sym_PIPE] = ACTIONS(2719),
    [anon_sym_CARET] = ACTIONS(2719),
    [anon_sym_AMP] = ACTIONS(2719),
    [anon_sym_GT_GT2] = ACTIONS(2719),
    [anon_sym_PLUS] = ACTIONS(2719),
    [anon_sym_DASH] = ACTIONS(2719),
    [anon_sym_DOT] = ACTIONS(2719),
    [anon_sym_STAR] = ACTIONS(2719),
    [anon_sym_SLASH] = ACTIONS(2719),
    [anon_sym_x] = ACTIONS(2719),
    [anon_sym_EQ_TILDE] = ACTIONS(2717),
    [anon_sym_BANG_TILDE] = ACTIONS(2717),
    [anon_sym_EQ_EQ] = ACTIONS(2719),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_eq] = ACTIONS(2719),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2717),
    [anon_sym_equ] = ACTIONS(2717),
    [anon_sym_eqr] = ACTIONS(2717),
    [anon_sym_ne] = ACTIONS(2717),
    [anon_sym_LT_EQ_GT] = ACTIONS(2717),
    [anon_sym_cmp] = ACTIONS(2717),
    [anon_sym_TILDE_TILDE] = ACTIONS(2717),
    [anon_sym_LT_EQ] = ACTIONS(2719),
    [anon_sym_GT_EQ] = ACTIONS(2717),
    [anon_sym_lt] = ACTIONS(2717),
    [anon_sym_le] = ACTIONS(2717),
    [anon_sym_ge] = ACTIONS(2717),
    [anon_sym_gt] = ACTIONS(2717),
    [anon_sym_isa] = ACTIONS(2717),
    [anon_sym_PLUS_PLUS] = ACTIONS(2717),
    [anon_sym_DASH_DASH] = ACTIONS(2717),
    [anon_sym_QMARK] = ACTIONS(2717),
    [anon_sym_EQ_GT] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1940] = {
    [sym_heredoc_content] = STATE(1940),
    [anon_sym_RBRACE] = ACTIONS(2733),
    [anon_sym_COLON] = ACTIONS(2733),
    [anon_sym_EQ] = ACTIONS(2735),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2733),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2733),
    [anon_sym_COMMA] = ACTIONS(2733),
    [anon_sym_RPAREN] = ACTIONS(2733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2733),
    [anon_sym_DASH_GT] = ACTIONS(2733),
    [anon_sym_PERCENT] = ACTIONS(2735),
    [anon_sym_LT] = ACTIONS(2735),
    [anon_sym_GT] = ACTIONS(2735),
    [anon_sym_LT_LT] = ACTIONS(2735),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2733),
    [anon_sym_PLUS_EQ] = ACTIONS(2733),
    [anon_sym_DASH_EQ] = ACTIONS(2733),
    [anon_sym_DOT_EQ] = ACTIONS(2733),
    [anon_sym_STAR_EQ] = ACTIONS(2733),
    [anon_sym_SLASH_EQ] = ACTIONS(2733),
    [anon_sym_PERCENT_EQ] = ACTIONS(2733),
    [anon_sym_x_EQ] = ACTIONS(2733),
    [anon_sym_AMP_EQ] = ACTIONS(2733),
    [anon_sym_PIPE_EQ] = ACTIONS(2733),
    [anon_sym_CARET_EQ] = ACTIONS(2733),
    [anon_sym_LT_LT_EQ] = ACTIONS(2733),
    [anon_sym_GT_GT_EQ] = ACTIONS(2733),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2733),
    [anon_sym_DOT_DOT] = ACTIONS(2735),
    [anon_sym_STAR_STAR] = ACTIONS(2735),
    [anon_sym_PIPE_PIPE] = ACTIONS(2735),
    [anon_sym_SLASH_SLASH] = ACTIONS(2735),
    [anon_sym_CARET_CARET] = ACTIONS(2733),
    [anon_sym_AMP_AMP] = ACTIONS(2735),
    [anon_sym_PIPE] = ACTIONS(2735),
    [anon_sym_CARET] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym_GT_GT2] = ACTIONS(2735),
    [anon_sym_PLUS] = ACTIONS(2735),
    [anon_sym_DASH] = ACTIONS(2735),
    [anon_sym_DOT] = ACTIONS(2735),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_SLASH] = ACTIONS(2735),
    [anon_sym_x] = ACTIONS(2735),
    [anon_sym_EQ_TILDE] = ACTIONS(2733),
    [anon_sym_BANG_TILDE] = ACTIONS(2733),
    [anon_sym_EQ_EQ] = ACTIONS(2735),
    [anon_sym_BANG_EQ] = ACTIONS(2733),
    [anon_sym_eq] = ACTIONS(2735),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2733),
    [anon_sym_equ] = ACTIONS(2733),
    [anon_sym_eqr] = ACTIONS(2733),
    [anon_sym_ne] = ACTIONS(2733),
    [anon_sym_LT_EQ_GT] = ACTIONS(2733),
    [anon_sym_cmp] = ACTIONS(2733),
    [anon_sym_TILDE_TILDE] = ACTIONS(2733),
    [anon_sym_LT_EQ] = ACTIONS(2735),
    [anon_sym_GT_EQ] = ACTIONS(2733),
    [anon_sym_lt] = ACTIONS(2733),
    [anon_sym_le] = ACTIONS(2733),
    [anon_sym_ge] = ACTIONS(2733),
    [anon_sym_gt] = ACTIONS(2733),
    [anon_sym_isa] = ACTIONS(2733),
    [anon_sym_PLUS_PLUS] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2733),
    [anon_sym_QMARK] = ACTIONS(2733),
    [anon_sym_EQ_GT] = ACTIONS(2733),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1941] = {
    [sym_heredoc_content] = STATE(1941),
    [anon_sym_RBRACE] = ACTIONS(2777),
    [anon_sym_COLON] = ACTIONS(2777),
    [anon_sym_EQ] = ACTIONS(2779),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2777),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2777),
    [anon_sym_COMMA] = ACTIONS(2777),
    [anon_sym_RPAREN] = ACTIONS(2777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2777),
    [anon_sym_DASH_GT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(2779),
    [anon_sym_LT] = ACTIONS(2779),
    [anon_sym_GT] = ACTIONS(2779),
    [anon_sym_LT_LT] = ACTIONS(2779),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2777),
    [anon_sym_PLUS_EQ] = ACTIONS(2777),
    [anon_sym_DASH_EQ] = ACTIONS(2777),
    [anon_sym_DOT_EQ] = ACTIONS(2777),
    [anon_sym_STAR_EQ] = ACTIONS(2777),
    [anon_sym_SLASH_EQ] = ACTIONS(2777),
    [anon_sym_PERCENT_EQ] = ACTIONS(2777),
    [anon_sym_x_EQ] = ACTIONS(2777),
    [anon_sym_AMP_EQ] = ACTIONS(2777),
    [anon_sym_PIPE_EQ] = ACTIONS(2777),
    [anon_sym_CARET_EQ] = ACTIONS(2777),
    [anon_sym_LT_LT_EQ] = ACTIONS(2777),
    [anon_sym_GT_GT_EQ] = ACTIONS(2777),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2777),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_STAR_STAR] = ACTIONS(2779),
    [anon_sym_PIPE_PIPE] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH] = ACTIONS(2779),
    [anon_sym_CARET_CARET] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2779),
    [anon_sym_PIPE] = ACTIONS(2779),
    [anon_sym_CARET] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2779),
    [anon_sym_GT_GT2] = ACTIONS(2779),
    [anon_sym_PLUS] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2779),
    [anon_sym_DOT] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_SLASH] = ACTIONS(2779),
    [anon_sym_x] = ACTIONS(2779),
    [anon_sym_EQ_TILDE] = ACTIONS(2777),
    [anon_sym_BANG_TILDE] = ACTIONS(2777),
    [anon_sym_EQ_EQ] = ACTIONS(2779),
    [anon_sym_BANG_EQ] = ACTIONS(2777),
    [anon_sym_eq] = ACTIONS(2779),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2777),
    [anon_sym_equ] = ACTIONS(2777),
    [anon_sym_eqr] = ACTIONS(2777),
    [anon_sym_ne] = ACTIONS(2777),
    [anon_sym_LT_EQ_GT] = ACTIONS(2777),
    [anon_sym_cmp] = ACTIONS(2777),
    [anon_sym_TILDE_TILDE] = ACTIONS(2777),
    [anon_sym_LT_EQ] = ACTIONS(2779),
    [anon_sym_GT_EQ] = ACTIONS(2777),
    [anon_sym_lt] = ACTIONS(2777),
    [anon_sym_le] = ACTIONS(2777),
    [anon_sym_ge] = ACTIONS(2777),
    [anon_sym_gt] = ACTIONS(2777),
    [anon_sym_isa] = ACTIONS(2777),
    [anon_sym_PLUS_PLUS] = ACTIONS(2777),
    [anon_sym_DASH_DASH] = ACTIONS(2777),
    [anon_sym_QMARK] = ACTIONS(2777),
    [anon_sym_EQ_GT] = ACTIONS(2777),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1942] = {
    [sym_heredoc_content] = STATE(1942),
    [anon_sym_RBRACE] = ACTIONS(2825),
    [anon_sym_COLON] = ACTIONS(2825),
    [anon_sym_EQ] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2825),
    [anon_sym_COMMA] = ACTIONS(2825),
    [anon_sym_RPAREN] = ACTIONS(2825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2825),
    [anon_sym_DASH_GT] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2827),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_GT] = ACTIONS(2827),
    [anon_sym_LT_LT] = ACTIONS(2827),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2825),
    [anon_sym_PLUS_EQ] = ACTIONS(2825),
    [anon_sym_DASH_EQ] = ACTIONS(2825),
    [anon_sym_DOT_EQ] = ACTIONS(2825),
    [anon_sym_STAR_EQ] = ACTIONS(2825),
    [anon_sym_SLASH_EQ] = ACTIONS(2825),
    [anon_sym_PERCENT_EQ] = ACTIONS(2825),
    [anon_sym_x_EQ] = ACTIONS(2825),
    [anon_sym_AMP_EQ] = ACTIONS(2825),
    [anon_sym_PIPE_EQ] = ACTIONS(2825),
    [anon_sym_CARET_EQ] = ACTIONS(2825),
    [anon_sym_LT_LT_EQ] = ACTIONS(2825),
    [anon_sym_GT_GT_EQ] = ACTIONS(2825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2825),
    [anon_sym_DOT_DOT] = ACTIONS(2827),
    [anon_sym_STAR_STAR] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH] = ACTIONS(2827),
    [anon_sym_CARET_CARET] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2827),
    [anon_sym_PIPE] = ACTIONS(2827),
    [anon_sym_CARET] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2827),
    [anon_sym_GT_GT2] = ACTIONS(2827),
    [anon_sym_PLUS] = ACTIONS(2827),
    [anon_sym_DASH] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_SLASH] = ACTIONS(2827),
    [anon_sym_x] = ACTIONS(2827),
    [anon_sym_EQ_TILDE] = ACTIONS(2825),
    [anon_sym_BANG_TILDE] = ACTIONS(2825),
    [anon_sym_EQ_EQ] = ACTIONS(2827),
    [anon_sym_BANG_EQ] = ACTIONS(2825),
    [anon_sym_eq] = ACTIONS(2827),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2825),
    [anon_sym_equ] = ACTIONS(2825),
    [anon_sym_eqr] = ACTIONS(2825),
    [anon_sym_ne] = ACTIONS(2825),
    [anon_sym_LT_EQ_GT] = ACTIONS(2825),
    [anon_sym_cmp] = ACTIONS(2825),
    [anon_sym_TILDE_TILDE] = ACTIONS(2825),
    [anon_sym_LT_EQ] = ACTIONS(2827),
    [anon_sym_GT_EQ] = ACTIONS(2825),
    [anon_sym_lt] = ACTIONS(2825),
    [anon_sym_le] = ACTIONS(2825),
    [anon_sym_ge] = ACTIONS(2825),
    [anon_sym_gt] = ACTIONS(2825),
    [anon_sym_isa] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2825),
    [anon_sym_EQ_GT] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1943] = {
    [sym_heredoc_content] = STATE(1943),
    [anon_sym_RBRACE] = ACTIONS(2837),
    [anon_sym_COLON] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2839),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2837),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(2837),
    [anon_sym_RPAREN] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2837),
    [anon_sym_DASH_GT] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2839),
    [anon_sym_LT] = ACTIONS(2839),
    [anon_sym_GT] = ACTIONS(2839),
    [anon_sym_LT_LT] = ACTIONS(2839),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2837),
    [anon_sym_PLUS_EQ] = ACTIONS(2837),
    [anon_sym_DASH_EQ] = ACTIONS(2837),
    [anon_sym_DOT_EQ] = ACTIONS(2837),
    [anon_sym_STAR_EQ] = ACTIONS(2837),
    [anon_sym_SLASH_EQ] = ACTIONS(2837),
    [anon_sym_PERCENT_EQ] = ACTIONS(2837),
    [anon_sym_x_EQ] = ACTIONS(2837),
    [anon_sym_AMP_EQ] = ACTIONS(2837),
    [anon_sym_PIPE_EQ] = ACTIONS(2837),
    [anon_sym_CARET_EQ] = ACTIONS(2837),
    [anon_sym_LT_LT_EQ] = ACTIONS(2837),
    [anon_sym_GT_GT_EQ] = ACTIONS(2837),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2837),
    [anon_sym_DOT_DOT] = ACTIONS(2839),
    [anon_sym_STAR_STAR] = ACTIONS(2839),
    [anon_sym_PIPE_PIPE] = ACTIONS(2839),
    [anon_sym_SLASH_SLASH] = ACTIONS(2839),
    [anon_sym_CARET_CARET] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_PIPE] = ACTIONS(2839),
    [anon_sym_CARET] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2839),
    [anon_sym_GT_GT2] = ACTIONS(2839),
    [anon_sym_PLUS] = ACTIONS(2839),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_SLASH] = ACTIONS(2839),
    [anon_sym_x] = ACTIONS(2839),
    [anon_sym_EQ_TILDE] = ACTIONS(2837),
    [anon_sym_BANG_TILDE] = ACTIONS(2837),
    [anon_sym_EQ_EQ] = ACTIONS(2839),
    [anon_sym_BANG_EQ] = ACTIONS(2837),
    [anon_sym_eq] = ACTIONS(2839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2837),
    [anon_sym_equ] = ACTIONS(2837),
    [anon_sym_eqr] = ACTIONS(2837),
    [anon_sym_ne] = ACTIONS(2837),
    [anon_sym_LT_EQ_GT] = ACTIONS(2837),
    [anon_sym_cmp] = ACTIONS(2837),
    [anon_sym_TILDE_TILDE] = ACTIONS(2837),
    [anon_sym_LT_EQ] = ACTIONS(2839),
    [anon_sym_GT_EQ] = ACTIONS(2837),
    [anon_sym_lt] = ACTIONS(2837),
    [anon_sym_le] = ACTIONS(2837),
    [anon_sym_ge] = ACTIONS(2837),
    [anon_sym_gt] = ACTIONS(2837),
    [anon_sym_isa] = ACTIONS(2837),
    [anon_sym_PLUS_PLUS] = ACTIONS(2837),
    [anon_sym_DASH_DASH] = ACTIONS(2837),
    [anon_sym_QMARK] = ACTIONS(2837),
    [anon_sym_EQ_GT] = ACTIONS(2837),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1944] = {
    [sym_heredoc_content] = STATE(1944),
    [anon_sym_RBRACE] = ACTIONS(3005),
    [anon_sym_COLON] = ACTIONS(3005),
    [anon_sym_EQ] = ACTIONS(3007),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3005),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3005),
    [anon_sym_COMMA] = ACTIONS(3005),
    [anon_sym_RPAREN] = ACTIONS(3005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3005),
    [anon_sym_DASH_GT] = ACTIONS(3005),
    [anon_sym_PERCENT] = ACTIONS(3007),
    [anon_sym_LT] = ACTIONS(3007),
    [anon_sym_GT] = ACTIONS(3007),
    [anon_sym_LT_LT] = ACTIONS(3007),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3005),
    [anon_sym_PLUS_EQ] = ACTIONS(3005),
    [anon_sym_DASH_EQ] = ACTIONS(3005),
    [anon_sym_DOT_EQ] = ACTIONS(3005),
    [anon_sym_STAR_EQ] = ACTIONS(3005),
    [anon_sym_SLASH_EQ] = ACTIONS(3005),
    [anon_sym_PERCENT_EQ] = ACTIONS(3005),
    [anon_sym_x_EQ] = ACTIONS(3005),
    [anon_sym_AMP_EQ] = ACTIONS(3005),
    [anon_sym_PIPE_EQ] = ACTIONS(3005),
    [anon_sym_CARET_EQ] = ACTIONS(3005),
    [anon_sym_LT_LT_EQ] = ACTIONS(3005),
    [anon_sym_GT_GT_EQ] = ACTIONS(3005),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3005),
    [anon_sym_DOT_DOT] = ACTIONS(3007),
    [anon_sym_STAR_STAR] = ACTIONS(3007),
    [anon_sym_PIPE_PIPE] = ACTIONS(3007),
    [anon_sym_SLASH_SLASH] = ACTIONS(3007),
    [anon_sym_CARET_CARET] = ACTIONS(3005),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_PIPE] = ACTIONS(3007),
    [anon_sym_CARET] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_GT_GT2] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_DOT] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_SLASH] = ACTIONS(3007),
    [anon_sym_x] = ACTIONS(3007),
    [anon_sym_EQ_TILDE] = ACTIONS(3005),
    [anon_sym_BANG_TILDE] = ACTIONS(3005),
    [anon_sym_EQ_EQ] = ACTIONS(3007),
    [anon_sym_BANG_EQ] = ACTIONS(3005),
    [anon_sym_eq] = ACTIONS(3007),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3005),
    [anon_sym_equ] = ACTIONS(3005),
    [anon_sym_eqr] = ACTIONS(3005),
    [anon_sym_ne] = ACTIONS(3005),
    [anon_sym_LT_EQ_GT] = ACTIONS(3005),
    [anon_sym_cmp] = ACTIONS(3005),
    [anon_sym_TILDE_TILDE] = ACTIONS(3005),
    [anon_sym_LT_EQ] = ACTIONS(3007),
    [anon_sym_GT_EQ] = ACTIONS(3005),
    [anon_sym_lt] = ACTIONS(3005),
    [anon_sym_le] = ACTIONS(3005),
    [anon_sym_ge] = ACTIONS(3005),
    [anon_sym_gt] = ACTIONS(3005),
    [anon_sym_isa] = ACTIONS(3005),
    [anon_sym_PLUS_PLUS] = ACTIONS(3005),
    [anon_sym_DASH_DASH] = ACTIONS(3005),
    [anon_sym_QMARK] = ACTIONS(3005),
    [anon_sym_EQ_GT] = ACTIONS(3005),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1945] = {
    [sym_heredoc_content] = STATE(1945),
    [anon_sym_RBRACE] = ACTIONS(3040),
    [anon_sym_COLON] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_COMMA] = ACTIONS(3040),
    [anon_sym_RPAREN] = ACTIONS(3040),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3040),
    [anon_sym_DASH_GT] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3042),
    [anon_sym_LT] = ACTIONS(3042),
    [anon_sym_GT] = ACTIONS(3042),
    [anon_sym_LT_LT] = ACTIONS(3042),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3040),
    [anon_sym_DASH_EQ] = ACTIONS(3040),
    [anon_sym_DOT_EQ] = ACTIONS(3040),
    [anon_sym_STAR_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_PERCENT_EQ] = ACTIONS(3040),
    [anon_sym_x_EQ] = ACTIONS(3040),
    [anon_sym_AMP_EQ] = ACTIONS(3040),
    [anon_sym_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_CARET_EQ] = ACTIONS(3040),
    [anon_sym_LT_LT_EQ] = ACTIONS(3040),
    [anon_sym_GT_GT_EQ] = ACTIONS(3040),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3040),
    [anon_sym_DOT_DOT] = ACTIONS(3042),
    [anon_sym_STAR_STAR] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_SLASH_SLASH] = ACTIONS(3042),
    [anon_sym_CARET_CARET] = ACTIONS(3040),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_PIPE] = ACTIONS(3042),
    [anon_sym_CARET] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3042),
    [anon_sym_GT_GT2] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3042),
    [anon_sym_x] = ACTIONS(3042),
    [anon_sym_EQ_TILDE] = ACTIONS(3040),
    [anon_sym_BANG_TILDE] = ACTIONS(3040),
    [anon_sym_EQ_EQ] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_eq] = ACTIONS(3042),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3040),
    [anon_sym_equ] = ACTIONS(3040),
    [anon_sym_eqr] = ACTIONS(3040),
    [anon_sym_ne] = ACTIONS(3040),
    [anon_sym_LT_EQ_GT] = ACTIONS(3040),
    [anon_sym_cmp] = ACTIONS(3040),
    [anon_sym_TILDE_TILDE] = ACTIONS(3040),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3040),
    [anon_sym_lt] = ACTIONS(3040),
    [anon_sym_le] = ACTIONS(3040),
    [anon_sym_ge] = ACTIONS(3040),
    [anon_sym_gt] = ACTIONS(3040),
    [anon_sym_isa] = ACTIONS(3040),
    [anon_sym_PLUS_PLUS] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3040),
    [anon_sym_QMARK] = ACTIONS(3040),
    [anon_sym_EQ_GT] = ACTIONS(3040),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1946] = {
    [sym_heredoc_content] = STATE(1946),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_COLON] = ACTIONS(3062),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_COMMA] = ACTIONS(3062),
    [anon_sym_RPAREN] = ACTIONS(3062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_DASH_GT] = ACTIONS(3062),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LT_LT] = ACTIONS(3064),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3062),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_DOT_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_x_EQ] = ACTIONS(3062),
    [anon_sym_AMP_EQ] = ACTIONS(3062),
    [anon_sym_PIPE_EQ] = ACTIONS(3062),
    [anon_sym_CARET_EQ] = ACTIONS(3062),
    [anon_sym_LT_LT_EQ] = ACTIONS(3062),
    [anon_sym_GT_GT_EQ] = ACTIONS(3062),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3062),
    [anon_sym_DOT_DOT] = ACTIONS(3064),
    [anon_sym_STAR_STAR] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_SLASH_SLASH] = ACTIONS(3064),
    [anon_sym_CARET_CARET] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3064),
    [anon_sym_PIPE] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_GT_GT2] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_x] = ACTIONS(3064),
    [anon_sym_EQ_TILDE] = ACTIONS(3062),
    [anon_sym_BANG_TILDE] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ] = ACTIONS(3062),
    [anon_sym_eq] = ACTIONS(3064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_equ] = ACTIONS(3062),
    [anon_sym_eqr] = ACTIONS(3062),
    [anon_sym_ne] = ACTIONS(3062),
    [anon_sym_LT_EQ_GT] = ACTIONS(3062),
    [anon_sym_cmp] = ACTIONS(3062),
    [anon_sym_TILDE_TILDE] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3064),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_lt] = ACTIONS(3062),
    [anon_sym_le] = ACTIONS(3062),
    [anon_sym_ge] = ACTIONS(3062),
    [anon_sym_gt] = ACTIONS(3062),
    [anon_sym_isa] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(3062),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1947] = {
    [sym_heredoc_content] = STATE(1947),
    [anon_sym_RBRACE] = ACTIONS(3084),
    [anon_sym_COLON] = ACTIONS(3084),
    [anon_sym_EQ] = ACTIONS(3086),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3084),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3084),
    [anon_sym_COMMA] = ACTIONS(3084),
    [anon_sym_RPAREN] = ACTIONS(3084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3084),
    [anon_sym_DASH_GT] = ACTIONS(3084),
    [anon_sym_PERCENT] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3086),
    [anon_sym_GT] = ACTIONS(3086),
    [anon_sym_LT_LT] = ACTIONS(3086),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3084),
    [anon_sym_PLUS_EQ] = ACTIONS(3084),
    [anon_sym_DASH_EQ] = ACTIONS(3084),
    [anon_sym_DOT_EQ] = ACTIONS(3084),
    [anon_sym_STAR_EQ] = ACTIONS(3084),
    [anon_sym_SLASH_EQ] = ACTIONS(3084),
    [anon_sym_PERCENT_EQ] = ACTIONS(3084),
    [anon_sym_x_EQ] = ACTIONS(3084),
    [anon_sym_AMP_EQ] = ACTIONS(3084),
    [anon_sym_PIPE_EQ] = ACTIONS(3084),
    [anon_sym_CARET_EQ] = ACTIONS(3084),
    [anon_sym_LT_LT_EQ] = ACTIONS(3084),
    [anon_sym_GT_GT_EQ] = ACTIONS(3084),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3084),
    [anon_sym_DOT_DOT] = ACTIONS(3086),
    [anon_sym_STAR_STAR] = ACTIONS(3086),
    [anon_sym_PIPE_PIPE] = ACTIONS(3086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3086),
    [anon_sym_CARET_CARET] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_CARET] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_GT_GT2] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3086),
    [anon_sym_DOT] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_SLASH] = ACTIONS(3086),
    [anon_sym_x] = ACTIONS(3086),
    [anon_sym_EQ_TILDE] = ACTIONS(3084),
    [anon_sym_BANG_TILDE] = ACTIONS(3084),
    [anon_sym_EQ_EQ] = ACTIONS(3086),
    [anon_sym_BANG_EQ] = ACTIONS(3084),
    [anon_sym_eq] = ACTIONS(3086),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3084),
    [anon_sym_equ] = ACTIONS(3084),
    [anon_sym_eqr] = ACTIONS(3084),
    [anon_sym_ne] = ACTIONS(3084),
    [anon_sym_LT_EQ_GT] = ACTIONS(3084),
    [anon_sym_cmp] = ACTIONS(3084),
    [anon_sym_TILDE_TILDE] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_EQ] = ACTIONS(3084),
    [anon_sym_lt] = ACTIONS(3084),
    [anon_sym_le] = ACTIONS(3084),
    [anon_sym_ge] = ACTIONS(3084),
    [anon_sym_gt] = ACTIONS(3084),
    [anon_sym_isa] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_QMARK] = ACTIONS(3084),
    [anon_sym_EQ_GT] = ACTIONS(3084),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1948] = {
    [sym_heredoc_content] = STATE(1948),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_COLON] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_COMMA] = ACTIONS(3110),
    [anon_sym_RPAREN] = ACTIONS(3110),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3110),
    [anon_sym_DASH_GT] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3112),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [anon_sym_LT_LT] = ACTIONS(3112),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3110),
    [anon_sym_DASH_EQ] = ACTIONS(3110),
    [anon_sym_DOT_EQ] = ACTIONS(3110),
    [anon_sym_STAR_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_PERCENT_EQ] = ACTIONS(3110),
    [anon_sym_x_EQ] = ACTIONS(3110),
    [anon_sym_AMP_EQ] = ACTIONS(3110),
    [anon_sym_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_CARET_EQ] = ACTIONS(3110),
    [anon_sym_LT_LT_EQ] = ACTIONS(3110),
    [anon_sym_GT_GT_EQ] = ACTIONS(3110),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3110),
    [anon_sym_DOT_DOT] = ACTIONS(3112),
    [anon_sym_STAR_STAR] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_SLASH_SLASH] = ACTIONS(3112),
    [anon_sym_CARET_CARET] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_PIPE] = ACTIONS(3112),
    [anon_sym_CARET] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_GT_GT2] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3112),
    [anon_sym_x] = ACTIONS(3112),
    [anon_sym_EQ_TILDE] = ACTIONS(3110),
    [anon_sym_BANG_TILDE] = ACTIONS(3110),
    [anon_sym_EQ_EQ] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_eq] = ACTIONS(3112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3110),
    [anon_sym_equ] = ACTIONS(3110),
    [anon_sym_eqr] = ACTIONS(3110),
    [anon_sym_ne] = ACTIONS(3110),
    [anon_sym_LT_EQ_GT] = ACTIONS(3110),
    [anon_sym_cmp] = ACTIONS(3110),
    [anon_sym_TILDE_TILDE] = ACTIONS(3110),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3110),
    [anon_sym_lt] = ACTIONS(3110),
    [anon_sym_le] = ACTIONS(3110),
    [anon_sym_ge] = ACTIONS(3110),
    [anon_sym_gt] = ACTIONS(3110),
    [anon_sym_isa] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_QMARK] = ACTIONS(3110),
    [anon_sym_EQ_GT] = ACTIONS(3110),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1949] = {
    [sym_heredoc_content] = STATE(1949),
    [anon_sym_RBRACE] = ACTIONS(1409),
    [anon_sym_COLON] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1409),
    [anon_sym_COMMA] = ACTIONS(1409),
    [anon_sym_RPAREN] = ACTIONS(1409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1409),
    [anon_sym_DASH_GT] = ACTIONS(1409),
    [anon_sym_PERCENT] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [anon_sym_LT_LT] = ACTIONS(1407),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1409),
    [anon_sym_PLUS_EQ] = ACTIONS(1409),
    [anon_sym_DASH_EQ] = ACTIONS(1409),
    [anon_sym_DOT_EQ] = ACTIONS(1409),
    [anon_sym_STAR_EQ] = ACTIONS(1409),
    [anon_sym_SLASH_EQ] = ACTIONS(1409),
    [anon_sym_PERCENT_EQ] = ACTIONS(1409),
    [anon_sym_x_EQ] = ACTIONS(1409),
    [anon_sym_AMP_EQ] = ACTIONS(1409),
    [anon_sym_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_CARET_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT_EQ] = ACTIONS(1409),
    [anon_sym_GT_GT_EQ] = ACTIONS(1409),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1409),
    [anon_sym_DOT_DOT] = ACTIONS(1407),
    [anon_sym_STAR_STAR] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH] = ACTIONS(1407),
    [anon_sym_CARET_CARET] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1407),
    [anon_sym_PIPE] = ACTIONS(1407),
    [anon_sym_CARET] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(1407),
    [anon_sym_GT_GT2] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_DOT] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_x] = ACTIONS(1407),
    [anon_sym_EQ_TILDE] = ACTIONS(1409),
    [anon_sym_BANG_TILDE] = ACTIONS(1409),
    [anon_sym_EQ_EQ] = ACTIONS(1407),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_eq] = ACTIONS(1407),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1409),
    [anon_sym_equ] = ACTIONS(1409),
    [anon_sym_eqr] = ACTIONS(1409),
    [anon_sym_ne] = ACTIONS(1409),
    [anon_sym_LT_EQ_GT] = ACTIONS(1409),
    [anon_sym_cmp] = ACTIONS(1409),
    [anon_sym_TILDE_TILDE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_lt] = ACTIONS(1409),
    [anon_sym_le] = ACTIONS(1409),
    [anon_sym_ge] = ACTIONS(1409),
    [anon_sym_gt] = ACTIONS(1409),
    [anon_sym_isa] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1409),
    [anon_sym_DASH_DASH] = ACTIONS(1409),
    [anon_sym_QMARK] = ACTIONS(1409),
    [anon_sym_EQ_GT] = ACTIONS(1409),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1950] = {
    [sym_heredoc_content] = STATE(1950),
    [anon_sym_COLON] = ACTIONS(2550),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym_EQ] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2550),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2550),
    [anon_sym_COMMA] = ACTIONS(2550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2550),
    [anon_sym_DASH_GT] = ACTIONS(2550),
    [anon_sym_PERCENT] = ACTIONS(2552),
    [anon_sym_LT] = ACTIONS(2552),
    [anon_sym_GT] = ACTIONS(2552),
    [anon_sym_LT_LT] = ACTIONS(2552),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2550),
    [anon_sym_PLUS_EQ] = ACTIONS(2550),
    [anon_sym_DASH_EQ] = ACTIONS(2550),
    [anon_sym_DOT_EQ] = ACTIONS(2550),
    [anon_sym_STAR_EQ] = ACTIONS(2550),
    [anon_sym_SLASH_EQ] = ACTIONS(2550),
    [anon_sym_PERCENT_EQ] = ACTIONS(2550),
    [anon_sym_x_EQ] = ACTIONS(2550),
    [anon_sym_AMP_EQ] = ACTIONS(2550),
    [anon_sym_PIPE_EQ] = ACTIONS(2550),
    [anon_sym_CARET_EQ] = ACTIONS(2550),
    [anon_sym_LT_LT_EQ] = ACTIONS(2550),
    [anon_sym_GT_GT_EQ] = ACTIONS(2550),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2550),
    [anon_sym_DOT_DOT] = ACTIONS(2552),
    [anon_sym_STAR_STAR] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE] = ACTIONS(2552),
    [anon_sym_SLASH_SLASH] = ACTIONS(2552),
    [anon_sym_CARET_CARET] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2552),
    [anon_sym_PIPE] = ACTIONS(2552),
    [anon_sym_CARET] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_GT_GT2] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_SLASH] = ACTIONS(2552),
    [anon_sym_x] = ACTIONS(2552),
    [anon_sym_EQ_TILDE] = ACTIONS(2550),
    [anon_sym_BANG_TILDE] = ACTIONS(2550),
    [anon_sym_EQ_EQ] = ACTIONS(2552),
    [anon_sym_BANG_EQ] = ACTIONS(2550),
    [anon_sym_eq] = ACTIONS(2552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2550),
    [anon_sym_equ] = ACTIONS(2550),
    [anon_sym_eqr] = ACTIONS(2550),
    [anon_sym_ne] = ACTIONS(2550),
    [anon_sym_LT_EQ_GT] = ACTIONS(2550),
    [anon_sym_cmp] = ACTIONS(2550),
    [anon_sym_TILDE_TILDE] = ACTIONS(2550),
    [anon_sym_LT_EQ] = ACTIONS(2552),
    [anon_sym_GT_EQ] = ACTIONS(2550),
    [anon_sym_lt] = ACTIONS(2550),
    [anon_sym_le] = ACTIONS(2550),
    [anon_sym_ge] = ACTIONS(2550),
    [anon_sym_gt] = ACTIONS(2550),
    [anon_sym_isa] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_QMARK] = ACTIONS(2550),
    [anon_sym_EQ_GT] = ACTIONS(2550),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2550),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1951] = {
    [sym_heredoc_content] = STATE(1951),
    [anon_sym_COLON] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym_EQ] = ACTIONS(2556),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2554),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2554),
    [anon_sym_COMMA] = ACTIONS(2554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2554),
    [anon_sym_DASH_GT] = ACTIONS(2554),
    [anon_sym_PERCENT] = ACTIONS(2556),
    [anon_sym_LT] = ACTIONS(2556),
    [anon_sym_GT] = ACTIONS(2556),
    [anon_sym_LT_LT] = ACTIONS(2556),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2554),
    [anon_sym_PLUS_EQ] = ACTIONS(2554),
    [anon_sym_DASH_EQ] = ACTIONS(2554),
    [anon_sym_DOT_EQ] = ACTIONS(2554),
    [anon_sym_STAR_EQ] = ACTIONS(2554),
    [anon_sym_SLASH_EQ] = ACTIONS(2554),
    [anon_sym_PERCENT_EQ] = ACTIONS(2554),
    [anon_sym_x_EQ] = ACTIONS(2554),
    [anon_sym_AMP_EQ] = ACTIONS(2554),
    [anon_sym_PIPE_EQ] = ACTIONS(2554),
    [anon_sym_CARET_EQ] = ACTIONS(2554),
    [anon_sym_LT_LT_EQ] = ACTIONS(2554),
    [anon_sym_GT_GT_EQ] = ACTIONS(2554),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2554),
    [anon_sym_DOT_DOT] = ACTIONS(2556),
    [anon_sym_STAR_STAR] = ACTIONS(2556),
    [anon_sym_PIPE_PIPE] = ACTIONS(2556),
    [anon_sym_SLASH_SLASH] = ACTIONS(2556),
    [anon_sym_CARET_CARET] = ACTIONS(2554),
    [anon_sym_AMP_AMP] = ACTIONS(2556),
    [anon_sym_PIPE] = ACTIONS(2556),
    [anon_sym_CARET] = ACTIONS(2556),
    [anon_sym_AMP] = ACTIONS(2556),
    [anon_sym_GT_GT2] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_DOT] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2556),
    [anon_sym_SLASH] = ACTIONS(2556),
    [anon_sym_x] = ACTIONS(2556),
    [anon_sym_EQ_TILDE] = ACTIONS(2554),
    [anon_sym_BANG_TILDE] = ACTIONS(2554),
    [anon_sym_EQ_EQ] = ACTIONS(2556),
    [anon_sym_BANG_EQ] = ACTIONS(2554),
    [anon_sym_eq] = ACTIONS(2556),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2554),
    [anon_sym_equ] = ACTIONS(2554),
    [anon_sym_eqr] = ACTIONS(2554),
    [anon_sym_ne] = ACTIONS(2554),
    [anon_sym_LT_EQ_GT] = ACTIONS(2554),
    [anon_sym_cmp] = ACTIONS(2554),
    [anon_sym_TILDE_TILDE] = ACTIONS(2554),
    [anon_sym_LT_EQ] = ACTIONS(2556),
    [anon_sym_GT_EQ] = ACTIONS(2554),
    [anon_sym_lt] = ACTIONS(2554),
    [anon_sym_le] = ACTIONS(2554),
    [anon_sym_ge] = ACTIONS(2554),
    [anon_sym_gt] = ACTIONS(2554),
    [anon_sym_isa] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_QMARK] = ACTIONS(2554),
    [anon_sym_EQ_GT] = ACTIONS(2554),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2554),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1952] = {
    [sym_heredoc_content] = STATE(1952),
    [anon_sym_COLON] = ACTIONS(2558),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym_EQ] = ACTIONS(2560),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2558),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2558),
    [anon_sym_COMMA] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2558),
    [anon_sym_DASH_GT] = ACTIONS(2558),
    [anon_sym_PERCENT] = ACTIONS(2560),
    [anon_sym_LT] = ACTIONS(2560),
    [anon_sym_GT] = ACTIONS(2560),
    [anon_sym_LT_LT] = ACTIONS(2560),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2558),
    [anon_sym_PLUS_EQ] = ACTIONS(2558),
    [anon_sym_DASH_EQ] = ACTIONS(2558),
    [anon_sym_DOT_EQ] = ACTIONS(2558),
    [anon_sym_STAR_EQ] = ACTIONS(2558),
    [anon_sym_SLASH_EQ] = ACTIONS(2558),
    [anon_sym_PERCENT_EQ] = ACTIONS(2558),
    [anon_sym_x_EQ] = ACTIONS(2558),
    [anon_sym_AMP_EQ] = ACTIONS(2558),
    [anon_sym_PIPE_EQ] = ACTIONS(2558),
    [anon_sym_CARET_EQ] = ACTIONS(2558),
    [anon_sym_LT_LT_EQ] = ACTIONS(2558),
    [anon_sym_GT_GT_EQ] = ACTIONS(2558),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2558),
    [anon_sym_DOT_DOT] = ACTIONS(2560),
    [anon_sym_STAR_STAR] = ACTIONS(2560),
    [anon_sym_PIPE_PIPE] = ACTIONS(2560),
    [anon_sym_SLASH_SLASH] = ACTIONS(2560),
    [anon_sym_CARET_CARET] = ACTIONS(2558),
    [anon_sym_AMP_AMP] = ACTIONS(2560),
    [anon_sym_PIPE] = ACTIONS(2560),
    [anon_sym_CARET] = ACTIONS(2560),
    [anon_sym_AMP] = ACTIONS(2560),
    [anon_sym_GT_GT2] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_DOT] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2560),
    [anon_sym_SLASH] = ACTIONS(2560),
    [anon_sym_x] = ACTIONS(2560),
    [anon_sym_EQ_TILDE] = ACTIONS(2558),
    [anon_sym_BANG_TILDE] = ACTIONS(2558),
    [anon_sym_EQ_EQ] = ACTIONS(2560),
    [anon_sym_BANG_EQ] = ACTIONS(2558),
    [anon_sym_eq] = ACTIONS(2560),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2558),
    [anon_sym_equ] = ACTIONS(2558),
    [anon_sym_eqr] = ACTIONS(2558),
    [anon_sym_ne] = ACTIONS(2558),
    [anon_sym_LT_EQ_GT] = ACTIONS(2558),
    [anon_sym_cmp] = ACTIONS(2558),
    [anon_sym_TILDE_TILDE] = ACTIONS(2558),
    [anon_sym_LT_EQ] = ACTIONS(2560),
    [anon_sym_GT_EQ] = ACTIONS(2558),
    [anon_sym_lt] = ACTIONS(2558),
    [anon_sym_le] = ACTIONS(2558),
    [anon_sym_ge] = ACTIONS(2558),
    [anon_sym_gt] = ACTIONS(2558),
    [anon_sym_isa] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_QMARK] = ACTIONS(2558),
    [anon_sym_EQ_GT] = ACTIONS(2558),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2558),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1953] = {
    [sym_heredoc_content] = STATE(1953),
    [anon_sym_RBRACE] = ACTIONS(2681),
    [anon_sym_COLON] = ACTIONS(2681),
    [anon_sym_EQ] = ACTIONS(2683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2681),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2681),
    [anon_sym_COMMA] = ACTIONS(2681),
    [anon_sym_RPAREN] = ACTIONS(2681),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2681),
    [anon_sym_DASH_GT] = ACTIONS(2681),
    [anon_sym_PERCENT] = ACTIONS(2683),
    [anon_sym_LT] = ACTIONS(2683),
    [anon_sym_GT] = ACTIONS(2683),
    [anon_sym_LT_LT] = ACTIONS(2683),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2681),
    [anon_sym_PLUS_EQ] = ACTIONS(2681),
    [anon_sym_DASH_EQ] = ACTIONS(2681),
    [anon_sym_DOT_EQ] = ACTIONS(2681),
    [anon_sym_STAR_EQ] = ACTIONS(2681),
    [anon_sym_SLASH_EQ] = ACTIONS(2681),
    [anon_sym_PERCENT_EQ] = ACTIONS(2681),
    [anon_sym_x_EQ] = ACTIONS(2681),
    [anon_sym_AMP_EQ] = ACTIONS(2681),
    [anon_sym_PIPE_EQ] = ACTIONS(2681),
    [anon_sym_CARET_EQ] = ACTIONS(2681),
    [anon_sym_LT_LT_EQ] = ACTIONS(2681),
    [anon_sym_GT_GT_EQ] = ACTIONS(2681),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2681),
    [anon_sym_DOT_DOT] = ACTIONS(2683),
    [anon_sym_STAR_STAR] = ACTIONS(2683),
    [anon_sym_PIPE_PIPE] = ACTIONS(2683),
    [anon_sym_SLASH_SLASH] = ACTIONS(2683),
    [anon_sym_CARET_CARET] = ACTIONS(2681),
    [anon_sym_AMP_AMP] = ACTIONS(2683),
    [anon_sym_PIPE] = ACTIONS(2683),
    [anon_sym_CARET] = ACTIONS(2683),
    [anon_sym_AMP] = ACTIONS(2683),
    [anon_sym_GT_GT2] = ACTIONS(2683),
    [anon_sym_PLUS] = ACTIONS(2683),
    [anon_sym_DASH] = ACTIONS(2683),
    [anon_sym_DOT] = ACTIONS(2683),
    [anon_sym_STAR] = ACTIONS(2683),
    [anon_sym_SLASH] = ACTIONS(2683),
    [anon_sym_x] = ACTIONS(2683),
    [anon_sym_EQ_TILDE] = ACTIONS(2681),
    [anon_sym_BANG_TILDE] = ACTIONS(2681),
    [anon_sym_EQ_EQ] = ACTIONS(2683),
    [anon_sym_BANG_EQ] = ACTIONS(2681),
    [anon_sym_eq] = ACTIONS(2683),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2681),
    [anon_sym_equ] = ACTIONS(2681),
    [anon_sym_eqr] = ACTIONS(2681),
    [anon_sym_ne] = ACTIONS(2681),
    [anon_sym_LT_EQ_GT] = ACTIONS(2681),
    [anon_sym_cmp] = ACTIONS(2681),
    [anon_sym_TILDE_TILDE] = ACTIONS(2681),
    [anon_sym_LT_EQ] = ACTIONS(2683),
    [anon_sym_GT_EQ] = ACTIONS(2681),
    [anon_sym_lt] = ACTIONS(2681),
    [anon_sym_le] = ACTIONS(2681),
    [anon_sym_ge] = ACTIONS(2681),
    [anon_sym_gt] = ACTIONS(2681),
    [anon_sym_isa] = ACTIONS(2681),
    [anon_sym_PLUS_PLUS] = ACTIONS(2681),
    [anon_sym_DASH_DASH] = ACTIONS(2681),
    [anon_sym_QMARK] = ACTIONS(2681),
    [anon_sym_EQ_GT] = ACTIONS(2681),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1954] = {
    [sym_heredoc_content] = STATE(1954),
    [anon_sym_COLON] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2590),
    [anon_sym_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2590),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2590),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2590),
    [anon_sym_DASH_GT] = ACTIONS(2590),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_LT] = ACTIONS(2592),
    [anon_sym_GT] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2590),
    [anon_sym_PLUS_EQ] = ACTIONS(2590),
    [anon_sym_DASH_EQ] = ACTIONS(2590),
    [anon_sym_DOT_EQ] = ACTIONS(2590),
    [anon_sym_STAR_EQ] = ACTIONS(2590),
    [anon_sym_SLASH_EQ] = ACTIONS(2590),
    [anon_sym_PERCENT_EQ] = ACTIONS(2590),
    [anon_sym_x_EQ] = ACTIONS(2590),
    [anon_sym_AMP_EQ] = ACTIONS(2590),
    [anon_sym_PIPE_EQ] = ACTIONS(2590),
    [anon_sym_CARET_EQ] = ACTIONS(2590),
    [anon_sym_LT_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT_GT_EQ] = ACTIONS(2590),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2590),
    [anon_sym_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR_STAR] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_SLASH_SLASH] = ACTIONS(2592),
    [anon_sym_CARET_CARET] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2592),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym_GT_GT2] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_DOT] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_x] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2590),
    [anon_sym_BANG_TILDE] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2592),
    [anon_sym_BANG_EQ] = ACTIONS(2590),
    [anon_sym_eq] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2590),
    [anon_sym_equ] = ACTIONS(2590),
    [anon_sym_eqr] = ACTIONS(2590),
    [anon_sym_ne] = ACTIONS(2590),
    [anon_sym_LT_EQ_GT] = ACTIONS(2590),
    [anon_sym_cmp] = ACTIONS(2590),
    [anon_sym_TILDE_TILDE] = ACTIONS(2590),
    [anon_sym_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_EQ] = ACTIONS(2590),
    [anon_sym_lt] = ACTIONS(2590),
    [anon_sym_le] = ACTIONS(2590),
    [anon_sym_ge] = ACTIONS(2590),
    [anon_sym_gt] = ACTIONS(2590),
    [anon_sym_isa] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2590),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2590),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1955] = {
    [sym_heredoc_content] = STATE(1955),
    [anon_sym_RBRACE] = ACTIONS(2781),
    [anon_sym_COLON] = ACTIONS(2781),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2781),
    [anon_sym_COMMA] = ACTIONS(2781),
    [anon_sym_RPAREN] = ACTIONS(2781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2781),
    [anon_sym_DASH_GT] = ACTIONS(2781),
    [anon_sym_PERCENT] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_GT] = ACTIONS(2783),
    [anon_sym_LT_LT] = ACTIONS(2783),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2781),
    [anon_sym_PLUS_EQ] = ACTIONS(2781),
    [anon_sym_DASH_EQ] = ACTIONS(2781),
    [anon_sym_DOT_EQ] = ACTIONS(2781),
    [anon_sym_STAR_EQ] = ACTIONS(2781),
    [anon_sym_SLASH_EQ] = ACTIONS(2781),
    [anon_sym_PERCENT_EQ] = ACTIONS(2781),
    [anon_sym_x_EQ] = ACTIONS(2781),
    [anon_sym_AMP_EQ] = ACTIONS(2781),
    [anon_sym_PIPE_EQ] = ACTIONS(2781),
    [anon_sym_CARET_EQ] = ACTIONS(2781),
    [anon_sym_LT_LT_EQ] = ACTIONS(2781),
    [anon_sym_GT_GT_EQ] = ACTIONS(2781),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2781),
    [anon_sym_DOT_DOT] = ACTIONS(2783),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH] = ACTIONS(2783),
    [anon_sym_CARET_CARET] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(2783),
    [anon_sym_CARET] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2783),
    [anon_sym_GT_GT2] = ACTIONS(2783),
    [anon_sym_PLUS] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_SLASH] = ACTIONS(2783),
    [anon_sym_x] = ACTIONS(2783),
    [anon_sym_EQ_TILDE] = ACTIONS(2781),
    [anon_sym_BANG_TILDE] = ACTIONS(2781),
    [anon_sym_EQ_EQ] = ACTIONS(2783),
    [anon_sym_BANG_EQ] = ACTIONS(2781),
    [anon_sym_eq] = ACTIONS(2783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2781),
    [anon_sym_equ] = ACTIONS(2781),
    [anon_sym_eqr] = ACTIONS(2781),
    [anon_sym_ne] = ACTIONS(2781),
    [anon_sym_LT_EQ_GT] = ACTIONS(2781),
    [anon_sym_cmp] = ACTIONS(2781),
    [anon_sym_TILDE_TILDE] = ACTIONS(2781),
    [anon_sym_LT_EQ] = ACTIONS(2783),
    [anon_sym_GT_EQ] = ACTIONS(2781),
    [anon_sym_lt] = ACTIONS(2781),
    [anon_sym_le] = ACTIONS(2781),
    [anon_sym_ge] = ACTIONS(2781),
    [anon_sym_gt] = ACTIONS(2781),
    [anon_sym_isa] = ACTIONS(2781),
    [anon_sym_PLUS_PLUS] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2781),
    [anon_sym_QMARK] = ACTIONS(2781),
    [anon_sym_EQ_GT] = ACTIONS(2781),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1956] = {
    [sym_heredoc_content] = STATE(1956),
    [anon_sym_RBRACE] = ACTIONS(2809),
    [anon_sym_COLON] = ACTIONS(2809),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2809),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2809),
    [anon_sym_RPAREN] = ACTIONS(2809),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2809),
    [anon_sym_DASH_GT] = ACTIONS(2809),
    [anon_sym_PERCENT] = ACTIONS(2811),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_GT] = ACTIONS(2811),
    [anon_sym_LT_LT] = ACTIONS(2811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2809),
    [anon_sym_PLUS_EQ] = ACTIONS(2809),
    [anon_sym_DASH_EQ] = ACTIONS(2809),
    [anon_sym_DOT_EQ] = ACTIONS(2809),
    [anon_sym_STAR_EQ] = ACTIONS(2809),
    [anon_sym_SLASH_EQ] = ACTIONS(2809),
    [anon_sym_PERCENT_EQ] = ACTIONS(2809),
    [anon_sym_x_EQ] = ACTIONS(2809),
    [anon_sym_AMP_EQ] = ACTIONS(2809),
    [anon_sym_PIPE_EQ] = ACTIONS(2809),
    [anon_sym_CARET_EQ] = ACTIONS(2809),
    [anon_sym_LT_LT_EQ] = ACTIONS(2809),
    [anon_sym_GT_GT_EQ] = ACTIONS(2809),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2809),
    [anon_sym_DOT_DOT] = ACTIONS(2811),
    [anon_sym_STAR_STAR] = ACTIONS(2811),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH] = ACTIONS(2811),
    [anon_sym_CARET_CARET] = ACTIONS(2809),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_PIPE] = ACTIONS(2811),
    [anon_sym_CARET] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2811),
    [anon_sym_GT_GT2] = ACTIONS(2811),
    [anon_sym_PLUS] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(2811),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2811),
    [anon_sym_x] = ACTIONS(2811),
    [anon_sym_EQ_TILDE] = ACTIONS(2809),
    [anon_sym_BANG_TILDE] = ACTIONS(2809),
    [anon_sym_EQ_EQ] = ACTIONS(2811),
    [anon_sym_BANG_EQ] = ACTIONS(2809),
    [anon_sym_eq] = ACTIONS(2811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2809),
    [anon_sym_equ] = ACTIONS(2809),
    [anon_sym_eqr] = ACTIONS(2809),
    [anon_sym_ne] = ACTIONS(2809),
    [anon_sym_LT_EQ_GT] = ACTIONS(2809),
    [anon_sym_cmp] = ACTIONS(2809),
    [anon_sym_TILDE_TILDE] = ACTIONS(2809),
    [anon_sym_LT_EQ] = ACTIONS(2811),
    [anon_sym_GT_EQ] = ACTIONS(2809),
    [anon_sym_lt] = ACTIONS(2809),
    [anon_sym_le] = ACTIONS(2809),
    [anon_sym_ge] = ACTIONS(2809),
    [anon_sym_gt] = ACTIONS(2809),
    [anon_sym_isa] = ACTIONS(2809),
    [anon_sym_PLUS_PLUS] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2809),
    [anon_sym_QMARK] = ACTIONS(2809),
    [anon_sym_EQ_GT] = ACTIONS(2809),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1957] = {
    [sym_heredoc_content] = STATE(1957),
    [anon_sym_RBRACE] = ACTIONS(2857),
    [anon_sym_COLON] = ACTIONS(2857),
    [anon_sym_EQ] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_COMMA] = ACTIONS(2857),
    [anon_sym_RPAREN] = ACTIONS(2857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2857),
    [anon_sym_DASH_GT] = ACTIONS(2857),
    [anon_sym_PERCENT] = ACTIONS(2859),
    [anon_sym_LT] = ACTIONS(2859),
    [anon_sym_GT] = ACTIONS(2859),
    [anon_sym_LT_LT] = ACTIONS(2859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2857),
    [anon_sym_PLUS_EQ] = ACTIONS(2857),
    [anon_sym_DASH_EQ] = ACTIONS(2857),
    [anon_sym_DOT_EQ] = ACTIONS(2857),
    [anon_sym_STAR_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_PERCENT_EQ] = ACTIONS(2857),
    [anon_sym_x_EQ] = ACTIONS(2857),
    [anon_sym_AMP_EQ] = ACTIONS(2857),
    [anon_sym_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_CARET_EQ] = ACTIONS(2857),
    [anon_sym_LT_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT_GT_EQ] = ACTIONS(2857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2857),
    [anon_sym_DOT_DOT] = ACTIONS(2859),
    [anon_sym_STAR_STAR] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE] = ACTIONS(2859),
    [anon_sym_SLASH_SLASH] = ACTIONS(2859),
    [anon_sym_CARET_CARET] = ACTIONS(2857),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_PIPE] = ACTIONS(2859),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2859),
    [anon_sym_GT_GT2] = ACTIONS(2859),
    [anon_sym_PLUS] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2859),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_SLASH] = ACTIONS(2859),
    [anon_sym_x] = ACTIONS(2859),
    [anon_sym_EQ_TILDE] = ACTIONS(2857),
    [anon_sym_BANG_TILDE] = ACTIONS(2857),
    [anon_sym_EQ_EQ] = ACTIONS(2859),
    [anon_sym_BANG_EQ] = ACTIONS(2857),
    [anon_sym_eq] = ACTIONS(2859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2857),
    [anon_sym_equ] = ACTIONS(2857),
    [anon_sym_eqr] = ACTIONS(2857),
    [anon_sym_ne] = ACTIONS(2857),
    [anon_sym_LT_EQ_GT] = ACTIONS(2857),
    [anon_sym_cmp] = ACTIONS(2857),
    [anon_sym_TILDE_TILDE] = ACTIONS(2857),
    [anon_sym_LT_EQ] = ACTIONS(2859),
    [anon_sym_GT_EQ] = ACTIONS(2857),
    [anon_sym_lt] = ACTIONS(2857),
    [anon_sym_le] = ACTIONS(2857),
    [anon_sym_ge] = ACTIONS(2857),
    [anon_sym_gt] = ACTIONS(2857),
    [anon_sym_isa] = ACTIONS(2857),
    [anon_sym_PLUS_PLUS] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2857),
    [anon_sym_QMARK] = ACTIONS(2857),
    [anon_sym_EQ_GT] = ACTIONS(2857),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1958] = {
    [sym_heredoc_content] = STATE(1958),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_COLON] = ACTIONS(2873),
    [anon_sym_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_COMMA] = ACTIONS(2873),
    [anon_sym_RPAREN] = ACTIONS(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2873),
    [anon_sym_DASH_GT] = ACTIONS(2873),
    [anon_sym_PERCENT] = ACTIONS(2875),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_LT_LT] = ACTIONS(2875),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2873),
    [anon_sym_PLUS_EQ] = ACTIONS(2873),
    [anon_sym_DASH_EQ] = ACTIONS(2873),
    [anon_sym_DOT_EQ] = ACTIONS(2873),
    [anon_sym_STAR_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_PERCENT_EQ] = ACTIONS(2873),
    [anon_sym_x_EQ] = ACTIONS(2873),
    [anon_sym_AMP_EQ] = ACTIONS(2873),
    [anon_sym_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_CARET_EQ] = ACTIONS(2873),
    [anon_sym_LT_LT_EQ] = ACTIONS(2873),
    [anon_sym_GT_GT_EQ] = ACTIONS(2873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2873),
    [anon_sym_DOT_DOT] = ACTIONS(2875),
    [anon_sym_STAR_STAR] = ACTIONS(2875),
    [anon_sym_PIPE_PIPE] = ACTIONS(2875),
    [anon_sym_SLASH_SLASH] = ACTIONS(2875),
    [anon_sym_CARET_CARET] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2875),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_GT_GT2] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_DOT] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_SLASH] = ACTIONS(2875),
    [anon_sym_x] = ACTIONS(2875),
    [anon_sym_EQ_TILDE] = ACTIONS(2873),
    [anon_sym_BANG_TILDE] = ACTIONS(2873),
    [anon_sym_EQ_EQ] = ACTIONS(2875),
    [anon_sym_BANG_EQ] = ACTIONS(2873),
    [anon_sym_eq] = ACTIONS(2875),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2873),
    [anon_sym_equ] = ACTIONS(2873),
    [anon_sym_eqr] = ACTIONS(2873),
    [anon_sym_ne] = ACTIONS(2873),
    [anon_sym_LT_EQ_GT] = ACTIONS(2873),
    [anon_sym_cmp] = ACTIONS(2873),
    [anon_sym_TILDE_TILDE] = ACTIONS(2873),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_lt] = ACTIONS(2873),
    [anon_sym_le] = ACTIONS(2873),
    [anon_sym_ge] = ACTIONS(2873),
    [anon_sym_gt] = ACTIONS(2873),
    [anon_sym_isa] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_QMARK] = ACTIONS(2873),
    [anon_sym_EQ_GT] = ACTIONS(2873),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1959] = {
    [sym_heredoc_content] = STATE(1959),
    [anon_sym_RBRACE] = ACTIONS(2881),
    [anon_sym_COLON] = ACTIONS(2881),
    [anon_sym_EQ] = ACTIONS(2883),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2881),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2881),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_RPAREN] = ACTIONS(2881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2881),
    [anon_sym_DASH_GT] = ACTIONS(2881),
    [anon_sym_PERCENT] = ACTIONS(2883),
    [anon_sym_LT] = ACTIONS(2883),
    [anon_sym_GT] = ACTIONS(2883),
    [anon_sym_LT_LT] = ACTIONS(2883),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2881),
    [anon_sym_PLUS_EQ] = ACTIONS(2881),
    [anon_sym_DASH_EQ] = ACTIONS(2881),
    [anon_sym_DOT_EQ] = ACTIONS(2881),
    [anon_sym_STAR_EQ] = ACTIONS(2881),
    [anon_sym_SLASH_EQ] = ACTIONS(2881),
    [anon_sym_PERCENT_EQ] = ACTIONS(2881),
    [anon_sym_x_EQ] = ACTIONS(2881),
    [anon_sym_AMP_EQ] = ACTIONS(2881),
    [anon_sym_PIPE_EQ] = ACTIONS(2881),
    [anon_sym_CARET_EQ] = ACTIONS(2881),
    [anon_sym_LT_LT_EQ] = ACTIONS(2881),
    [anon_sym_GT_GT_EQ] = ACTIONS(2881),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_STAR_STAR] = ACTIONS(2883),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_SLASH_SLASH] = ACTIONS(2883),
    [anon_sym_CARET_CARET] = ACTIONS(2881),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_PIPE] = ACTIONS(2883),
    [anon_sym_CARET] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_GT_GT2] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_DOT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2883),
    [anon_sym_x] = ACTIONS(2883),
    [anon_sym_EQ_TILDE] = ACTIONS(2881),
    [anon_sym_BANG_TILDE] = ACTIONS(2881),
    [anon_sym_EQ_EQ] = ACTIONS(2883),
    [anon_sym_BANG_EQ] = ACTIONS(2881),
    [anon_sym_eq] = ACTIONS(2883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2881),
    [anon_sym_equ] = ACTIONS(2881),
    [anon_sym_eqr] = ACTIONS(2881),
    [anon_sym_ne] = ACTIONS(2881),
    [anon_sym_LT_EQ_GT] = ACTIONS(2881),
    [anon_sym_cmp] = ACTIONS(2881),
    [anon_sym_TILDE_TILDE] = ACTIONS(2881),
    [anon_sym_LT_EQ] = ACTIONS(2883),
    [anon_sym_GT_EQ] = ACTIONS(2881),
    [anon_sym_lt] = ACTIONS(2881),
    [anon_sym_le] = ACTIONS(2881),
    [anon_sym_ge] = ACTIONS(2881),
    [anon_sym_gt] = ACTIONS(2881),
    [anon_sym_isa] = ACTIONS(2881),
    [anon_sym_PLUS_PLUS] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2881),
    [anon_sym_QMARK] = ACTIONS(2881),
    [anon_sym_EQ_GT] = ACTIONS(2881),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1960] = {
    [sym_heredoc_content] = STATE(1960),
    [anon_sym_RBRACE] = ACTIONS(2893),
    [anon_sym_COLON] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_RPAREN] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(2893),
    [anon_sym_PERCENT] = ACTIONS(2895),
    [anon_sym_LT] = ACTIONS(2895),
    [anon_sym_GT] = ACTIONS(2895),
    [anon_sym_LT_LT] = ACTIONS(2895),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2893),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_SLASH] = ACTIONS(2895),
    [anon_sym_x] = ACTIONS(2895),
    [anon_sym_EQ_TILDE] = ACTIONS(2893),
    [anon_sym_BANG_TILDE] = ACTIONS(2893),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT_EQ] = ACTIONS(2895),
    [anon_sym_GT_EQ] = ACTIONS(2893),
    [anon_sym_lt] = ACTIONS(2893),
    [anon_sym_le] = ACTIONS(2893),
    [anon_sym_ge] = ACTIONS(2893),
    [anon_sym_gt] = ACTIONS(2893),
    [anon_sym_isa] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1961] = {
    [sym_heredoc_content] = STATE(1961),
    [anon_sym_RBRACE] = ACTIONS(2941),
    [anon_sym_COLON] = ACTIONS(2941),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_COMMA] = ACTIONS(2941),
    [anon_sym_RPAREN] = ACTIONS(2941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2941),
    [anon_sym_DASH_GT] = ACTIONS(2941),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LT_LT] = ACTIONS(2943),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_DOT_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_x_EQ] = ACTIONS(2941),
    [anon_sym_AMP_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_EQ] = ACTIONS(2941),
    [anon_sym_CARET_EQ] = ACTIONS(2941),
    [anon_sym_LT_LT_EQ] = ACTIONS(2941),
    [anon_sym_GT_GT_EQ] = ACTIONS(2941),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_STAR_STAR] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2943),
    [anon_sym_SLASH_SLASH] = ACTIONS(2943),
    [anon_sym_CARET_CARET] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_PIPE] = ACTIONS(2943),
    [anon_sym_CARET] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_GT_GT2] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_x] = ACTIONS(2943),
    [anon_sym_EQ_TILDE] = ACTIONS(2941),
    [anon_sym_BANG_TILDE] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ] = ACTIONS(2941),
    [anon_sym_eq] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_equ] = ACTIONS(2941),
    [anon_sym_eqr] = ACTIONS(2941),
    [anon_sym_ne] = ACTIONS(2941),
    [anon_sym_LT_EQ_GT] = ACTIONS(2941),
    [anon_sym_cmp] = ACTIONS(2941),
    [anon_sym_TILDE_TILDE] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_lt] = ACTIONS(2941),
    [anon_sym_le] = ACTIONS(2941),
    [anon_sym_ge] = ACTIONS(2941),
    [anon_sym_gt] = ACTIONS(2941),
    [anon_sym_isa] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_QMARK] = ACTIONS(2941),
    [anon_sym_EQ_GT] = ACTIONS(2941),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1962] = {
    [sym_heredoc_content] = STATE(1962),
    [anon_sym_RBRACE] = ACTIONS(2961),
    [anon_sym_COLON] = ACTIONS(2961),
    [anon_sym_EQ] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(2961),
    [anon_sym_RPAREN] = ACTIONS(2961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2961),
    [anon_sym_DASH_GT] = ACTIONS(2961),
    [anon_sym_PERCENT] = ACTIONS(2963),
    [anon_sym_LT] = ACTIONS(2963),
    [anon_sym_GT] = ACTIONS(2963),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_DOT_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2961),
    [anon_sym_x_EQ] = ACTIONS(2961),
    [anon_sym_AMP_EQ] = ACTIONS(2961),
    [anon_sym_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_CARET_EQ] = ACTIONS(2961),
    [anon_sym_LT_LT_EQ] = ACTIONS(2961),
    [anon_sym_GT_GT_EQ] = ACTIONS(2961),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2963),
    [anon_sym_STAR_STAR] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE] = ACTIONS(2963),
    [anon_sym_SLASH_SLASH] = ACTIONS(2963),
    [anon_sym_CARET_CARET] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_CARET] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_GT_GT2] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_DOT] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_SLASH] = ACTIONS(2963),
    [anon_sym_x] = ACTIONS(2963),
    [anon_sym_EQ_TILDE] = ACTIONS(2961),
    [anon_sym_BANG_TILDE] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2963),
    [anon_sym_BANG_EQ] = ACTIONS(2961),
    [anon_sym_eq] = ACTIONS(2963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_equ] = ACTIONS(2961),
    [anon_sym_eqr] = ACTIONS(2961),
    [anon_sym_ne] = ACTIONS(2961),
    [anon_sym_LT_EQ_GT] = ACTIONS(2961),
    [anon_sym_cmp] = ACTIONS(2961),
    [anon_sym_TILDE_TILDE] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_lt] = ACTIONS(2961),
    [anon_sym_le] = ACTIONS(2961),
    [anon_sym_ge] = ACTIONS(2961),
    [anon_sym_gt] = ACTIONS(2961),
    [anon_sym_isa] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_QMARK] = ACTIONS(2961),
    [anon_sym_EQ_GT] = ACTIONS(2961),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1963] = {
    [sym_heredoc_content] = STATE(1963),
    [anon_sym_RBRACE] = ACTIONS(2965),
    [anon_sym_COLON] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2967),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_COMMA] = ACTIONS(2965),
    [anon_sym_RPAREN] = ACTIONS(2965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2965),
    [anon_sym_DASH_GT] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2967),
    [anon_sym_GT] = ACTIONS(2967),
    [anon_sym_LT_LT] = ACTIONS(2967),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2965),
    [anon_sym_DASH_EQ] = ACTIONS(2965),
    [anon_sym_DOT_EQ] = ACTIONS(2965),
    [anon_sym_STAR_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_PERCENT_EQ] = ACTIONS(2965),
    [anon_sym_x_EQ] = ACTIONS(2965),
    [anon_sym_AMP_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_CARET_EQ] = ACTIONS(2965),
    [anon_sym_LT_LT_EQ] = ACTIONS(2965),
    [anon_sym_GT_GT_EQ] = ACTIONS(2965),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2965),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_STAR_STAR] = ACTIONS(2967),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_SLASH_SLASH] = ACTIONS(2967),
    [anon_sym_CARET_CARET] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2967),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_GT_GT2] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2967),
    [anon_sym_x] = ACTIONS(2967),
    [anon_sym_EQ_TILDE] = ACTIONS(2965),
    [anon_sym_BANG_TILDE] = ACTIONS(2965),
    [anon_sym_EQ_EQ] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_eq] = ACTIONS(2967),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2965),
    [anon_sym_equ] = ACTIONS(2965),
    [anon_sym_eqr] = ACTIONS(2965),
    [anon_sym_ne] = ACTIONS(2965),
    [anon_sym_LT_EQ_GT] = ACTIONS(2965),
    [anon_sym_cmp] = ACTIONS(2965),
    [anon_sym_TILDE_TILDE] = ACTIONS(2965),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2965),
    [anon_sym_lt] = ACTIONS(2965),
    [anon_sym_le] = ACTIONS(2965),
    [anon_sym_ge] = ACTIONS(2965),
    [anon_sym_gt] = ACTIONS(2965),
    [anon_sym_isa] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_EQ_GT] = ACTIONS(2965),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1964] = {
    [sym_heredoc_content] = STATE(1964),
    [anon_sym_RBRACE] = ACTIONS(2969),
    [anon_sym_COLON] = ACTIONS(2969),
    [anon_sym_EQ] = ACTIONS(2971),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2969),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2969),
    [anon_sym_COMMA] = ACTIONS(2969),
    [anon_sym_RPAREN] = ACTIONS(2969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2969),
    [anon_sym_DASH_GT] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2971),
    [anon_sym_LT] = ACTIONS(2971),
    [anon_sym_GT] = ACTIONS(2971),
    [anon_sym_LT_LT] = ACTIONS(2971),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2969),
    [anon_sym_PLUS_EQ] = ACTIONS(2969),
    [anon_sym_DASH_EQ] = ACTIONS(2969),
    [anon_sym_DOT_EQ] = ACTIONS(2969),
    [anon_sym_STAR_EQ] = ACTIONS(2969),
    [anon_sym_SLASH_EQ] = ACTIONS(2969),
    [anon_sym_PERCENT_EQ] = ACTIONS(2969),
    [anon_sym_x_EQ] = ACTIONS(2969),
    [anon_sym_AMP_EQ] = ACTIONS(2969),
    [anon_sym_PIPE_EQ] = ACTIONS(2969),
    [anon_sym_CARET_EQ] = ACTIONS(2969),
    [anon_sym_LT_LT_EQ] = ACTIONS(2969),
    [anon_sym_GT_GT_EQ] = ACTIONS(2969),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2969),
    [anon_sym_DOT_DOT] = ACTIONS(2971),
    [anon_sym_STAR_STAR] = ACTIONS(2971),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_SLASH_SLASH] = ACTIONS(2971),
    [anon_sym_CARET_CARET] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2971),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [anon_sym_GT_GT2] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2971),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_SLASH] = ACTIONS(2971),
    [anon_sym_x] = ACTIONS(2971),
    [anon_sym_EQ_TILDE] = ACTIONS(2969),
    [anon_sym_BANG_TILDE] = ACTIONS(2969),
    [anon_sym_EQ_EQ] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_eq] = ACTIONS(2971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2969),
    [anon_sym_equ] = ACTIONS(2969),
    [anon_sym_eqr] = ACTIONS(2969),
    [anon_sym_ne] = ACTIONS(2969),
    [anon_sym_LT_EQ_GT] = ACTIONS(2969),
    [anon_sym_cmp] = ACTIONS(2969),
    [anon_sym_TILDE_TILDE] = ACTIONS(2969),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2969),
    [anon_sym_lt] = ACTIONS(2969),
    [anon_sym_le] = ACTIONS(2969),
    [anon_sym_ge] = ACTIONS(2969),
    [anon_sym_gt] = ACTIONS(2969),
    [anon_sym_isa] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2969),
    [anon_sym_DASH_DASH] = ACTIONS(2969),
    [anon_sym_QMARK] = ACTIONS(2969),
    [anon_sym_EQ_GT] = ACTIONS(2969),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1965] = {
    [sym_heredoc_content] = STATE(1965),
    [anon_sym_RBRACE] = ACTIONS(2977),
    [anon_sym_COLON] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(2979),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2977),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2977),
    [anon_sym_COMMA] = ACTIONS(2977),
    [anon_sym_RPAREN] = ACTIONS(2977),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DASH_GT] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_LT] = ACTIONS(2979),
    [anon_sym_GT] = ACTIONS(2979),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2977),
    [anon_sym_DASH_EQ] = ACTIONS(2977),
    [anon_sym_DOT_EQ] = ACTIONS(2977),
    [anon_sym_STAR_EQ] = ACTIONS(2977),
    [anon_sym_SLASH_EQ] = ACTIONS(2977),
    [anon_sym_PERCENT_EQ] = ACTIONS(2977),
    [anon_sym_x_EQ] = ACTIONS(2977),
    [anon_sym_AMP_EQ] = ACTIONS(2977),
    [anon_sym_PIPE_EQ] = ACTIONS(2977),
    [anon_sym_CARET_EQ] = ACTIONS(2977),
    [anon_sym_LT_LT_EQ] = ACTIONS(2977),
    [anon_sym_GT_GT_EQ] = ACTIONS(2977),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2977),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_STAR_STAR] = ACTIONS(2979),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_SLASH_SLASH] = ACTIONS(2979),
    [anon_sym_CARET_CARET] = ACTIONS(2977),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_PIPE] = ACTIONS(2979),
    [anon_sym_CARET] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_GT_GT2] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2979),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2979),
    [anon_sym_x] = ACTIONS(2979),
    [anon_sym_EQ_TILDE] = ACTIONS(2977),
    [anon_sym_BANG_TILDE] = ACTIONS(2977),
    [anon_sym_EQ_EQ] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_eq] = ACTIONS(2979),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2977),
    [anon_sym_equ] = ACTIONS(2977),
    [anon_sym_eqr] = ACTIONS(2977),
    [anon_sym_ne] = ACTIONS(2977),
    [anon_sym_LT_EQ_GT] = ACTIONS(2977),
    [anon_sym_cmp] = ACTIONS(2977),
    [anon_sym_TILDE_TILDE] = ACTIONS(2977),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2977),
    [anon_sym_lt] = ACTIONS(2977),
    [anon_sym_le] = ACTIONS(2977),
    [anon_sym_ge] = ACTIONS(2977),
    [anon_sym_gt] = ACTIONS(2977),
    [anon_sym_isa] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2977),
    [anon_sym_EQ_GT] = ACTIONS(2977),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1966] = {
    [sym_heredoc_content] = STATE(1966),
    [anon_sym_RBRACE] = ACTIONS(2797),
    [anon_sym_COLON] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2797),
    [anon_sym_RPAREN] = ACTIONS(2797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2797),
    [anon_sym_DASH_GT] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2799),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_GT] = ACTIONS(2799),
    [anon_sym_LT_LT] = ACTIONS(2799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2797),
    [anon_sym_PLUS_EQ] = ACTIONS(2797),
    [anon_sym_DASH_EQ] = ACTIONS(2797),
    [anon_sym_DOT_EQ] = ACTIONS(2797),
    [anon_sym_STAR_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_PERCENT_EQ] = ACTIONS(2797),
    [anon_sym_x_EQ] = ACTIONS(2797),
    [anon_sym_AMP_EQ] = ACTIONS(2797),
    [anon_sym_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_CARET_EQ] = ACTIONS(2797),
    [anon_sym_LT_LT_EQ] = ACTIONS(2797),
    [anon_sym_GT_GT_EQ] = ACTIONS(2797),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2797),
    [anon_sym_DOT_DOT] = ACTIONS(2799),
    [anon_sym_STAR_STAR] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH] = ACTIONS(2799),
    [anon_sym_CARET_CARET] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_PIPE] = ACTIONS(2799),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2799),
    [anon_sym_GT_GT2] = ACTIONS(2799),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_SLASH] = ACTIONS(2799),
    [anon_sym_x] = ACTIONS(2799),
    [anon_sym_EQ_TILDE] = ACTIONS(2797),
    [anon_sym_BANG_TILDE] = ACTIONS(2797),
    [anon_sym_EQ_EQ] = ACTIONS(2799),
    [anon_sym_BANG_EQ] = ACTIONS(2797),
    [anon_sym_eq] = ACTIONS(2799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2797),
    [anon_sym_equ] = ACTIONS(2797),
    [anon_sym_eqr] = ACTIONS(2797),
    [anon_sym_ne] = ACTIONS(2797),
    [anon_sym_LT_EQ_GT] = ACTIONS(2797),
    [anon_sym_cmp] = ACTIONS(2797),
    [anon_sym_TILDE_TILDE] = ACTIONS(2797),
    [anon_sym_LT_EQ] = ACTIONS(2799),
    [anon_sym_GT_EQ] = ACTIONS(2797),
    [anon_sym_lt] = ACTIONS(2797),
    [anon_sym_le] = ACTIONS(2797),
    [anon_sym_ge] = ACTIONS(2797),
    [anon_sym_gt] = ACTIONS(2797),
    [anon_sym_isa] = ACTIONS(2797),
    [anon_sym_PLUS_PLUS] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_EQ_GT] = ACTIONS(2797),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1967] = {
    [sym_heredoc_content] = STATE(1967),
    [anon_sym_RBRACE] = ACTIONS(2829),
    [anon_sym_COLON] = ACTIONS(2829),
    [anon_sym_EQ] = ACTIONS(2831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2829),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2829),
    [anon_sym_COMMA] = ACTIONS(2829),
    [anon_sym_RPAREN] = ACTIONS(2829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2829),
    [anon_sym_DASH_GT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(2831),
    [anon_sym_LT] = ACTIONS(2831),
    [anon_sym_GT] = ACTIONS(2831),
    [anon_sym_LT_LT] = ACTIONS(2831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2829),
    [anon_sym_PLUS_EQ] = ACTIONS(2829),
    [anon_sym_DASH_EQ] = ACTIONS(2829),
    [anon_sym_DOT_EQ] = ACTIONS(2829),
    [anon_sym_STAR_EQ] = ACTIONS(2829),
    [anon_sym_SLASH_EQ] = ACTIONS(2829),
    [anon_sym_PERCENT_EQ] = ACTIONS(2829),
    [anon_sym_x_EQ] = ACTIONS(2829),
    [anon_sym_AMP_EQ] = ACTIONS(2829),
    [anon_sym_PIPE_EQ] = ACTIONS(2829),
    [anon_sym_CARET_EQ] = ACTIONS(2829),
    [anon_sym_LT_LT_EQ] = ACTIONS(2829),
    [anon_sym_GT_GT_EQ] = ACTIONS(2829),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2829),
    [anon_sym_DOT_DOT] = ACTIONS(2831),
    [anon_sym_STAR_STAR] = ACTIONS(2831),
    [anon_sym_PIPE_PIPE] = ACTIONS(2831),
    [anon_sym_SLASH_SLASH] = ACTIONS(2831),
    [anon_sym_CARET_CARET] = ACTIONS(2829),
    [anon_sym_AMP_AMP] = ACTIONS(2831),
    [anon_sym_PIPE] = ACTIONS(2831),
    [anon_sym_CARET] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2831),
    [anon_sym_GT_GT2] = ACTIONS(2831),
    [anon_sym_PLUS] = ACTIONS(2831),
    [anon_sym_DASH] = ACTIONS(2831),
    [anon_sym_DOT] = ACTIONS(2831),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_SLASH] = ACTIONS(2831),
    [anon_sym_x] = ACTIONS(2831),
    [anon_sym_EQ_TILDE] = ACTIONS(2829),
    [anon_sym_BANG_TILDE] = ACTIONS(2829),
    [anon_sym_EQ_EQ] = ACTIONS(2831),
    [anon_sym_BANG_EQ] = ACTIONS(2829),
    [anon_sym_eq] = ACTIONS(2831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2829),
    [anon_sym_equ] = ACTIONS(2829),
    [anon_sym_eqr] = ACTIONS(2829),
    [anon_sym_ne] = ACTIONS(2829),
    [anon_sym_LT_EQ_GT] = ACTIONS(2829),
    [anon_sym_cmp] = ACTIONS(2829),
    [anon_sym_TILDE_TILDE] = ACTIONS(2829),
    [anon_sym_LT_EQ] = ACTIONS(2831),
    [anon_sym_GT_EQ] = ACTIONS(2829),
    [anon_sym_lt] = ACTIONS(2829),
    [anon_sym_le] = ACTIONS(2829),
    [anon_sym_ge] = ACTIONS(2829),
    [anon_sym_gt] = ACTIONS(2829),
    [anon_sym_isa] = ACTIONS(2829),
    [anon_sym_PLUS_PLUS] = ACTIONS(2829),
    [anon_sym_DASH_DASH] = ACTIONS(2829),
    [anon_sym_QMARK] = ACTIONS(2829),
    [anon_sym_EQ_GT] = ACTIONS(2829),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1968] = {
    [sym_heredoc_content] = STATE(1968),
    [anon_sym_RBRACE] = ACTIONS(3118),
    [anon_sym_COLON] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_COMMA] = ACTIONS(3118),
    [anon_sym_RPAREN] = ACTIONS(3118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3118),
    [anon_sym_DASH_GT] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3120),
    [anon_sym_LT] = ACTIONS(3120),
    [anon_sym_GT] = ACTIONS(3120),
    [anon_sym_LT_LT] = ACTIONS(3120),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3118),
    [anon_sym_DASH_EQ] = ACTIONS(3118),
    [anon_sym_DOT_EQ] = ACTIONS(3118),
    [anon_sym_STAR_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_PERCENT_EQ] = ACTIONS(3118),
    [anon_sym_x_EQ] = ACTIONS(3118),
    [anon_sym_AMP_EQ] = ACTIONS(3118),
    [anon_sym_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_CARET_EQ] = ACTIONS(3118),
    [anon_sym_LT_LT_EQ] = ACTIONS(3118),
    [anon_sym_GT_GT_EQ] = ACTIONS(3118),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3118),
    [anon_sym_DOT_DOT] = ACTIONS(3120),
    [anon_sym_STAR_STAR] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_SLASH_SLASH] = ACTIONS(3120),
    [anon_sym_CARET_CARET] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_PIPE] = ACTIONS(3120),
    [anon_sym_CARET] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_GT_GT2] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3120),
    [anon_sym_x] = ACTIONS(3120),
    [anon_sym_EQ_TILDE] = ACTIONS(3118),
    [anon_sym_BANG_TILDE] = ACTIONS(3118),
    [anon_sym_EQ_EQ] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_eq] = ACTIONS(3120),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3118),
    [anon_sym_equ] = ACTIONS(3118),
    [anon_sym_eqr] = ACTIONS(3118),
    [anon_sym_ne] = ACTIONS(3118),
    [anon_sym_LT_EQ_GT] = ACTIONS(3118),
    [anon_sym_cmp] = ACTIONS(3118),
    [anon_sym_TILDE_TILDE] = ACTIONS(3118),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3118),
    [anon_sym_lt] = ACTIONS(3118),
    [anon_sym_le] = ACTIONS(3118),
    [anon_sym_ge] = ACTIONS(3118),
    [anon_sym_gt] = ACTIONS(3118),
    [anon_sym_isa] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_QMARK] = ACTIONS(3118),
    [anon_sym_EQ_GT] = ACTIONS(3118),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1969] = {
    [sym_heredoc_content] = STATE(1969),
    [anon_sym_RBRACE] = ACTIONS(2725),
    [anon_sym_COLON] = ACTIONS(2725),
    [anon_sym_EQ] = ACTIONS(2727),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2725),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2725),
    [anon_sym_COMMA] = ACTIONS(2725),
    [anon_sym_RPAREN] = ACTIONS(2725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2725),
    [anon_sym_DASH_GT] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2727),
    [anon_sym_LT] = ACTIONS(2727),
    [anon_sym_GT] = ACTIONS(2727),
    [anon_sym_LT_LT] = ACTIONS(2727),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2725),
    [anon_sym_PLUS_EQ] = ACTIONS(2725),
    [anon_sym_DASH_EQ] = ACTIONS(2725),
    [anon_sym_DOT_EQ] = ACTIONS(2725),
    [anon_sym_STAR_EQ] = ACTIONS(2725),
    [anon_sym_SLASH_EQ] = ACTIONS(2725),
    [anon_sym_PERCENT_EQ] = ACTIONS(2725),
    [anon_sym_x_EQ] = ACTIONS(2725),
    [anon_sym_AMP_EQ] = ACTIONS(2725),
    [anon_sym_PIPE_EQ] = ACTIONS(2725),
    [anon_sym_CARET_EQ] = ACTIONS(2725),
    [anon_sym_LT_LT_EQ] = ACTIONS(2725),
    [anon_sym_GT_GT_EQ] = ACTIONS(2725),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2725),
    [anon_sym_DOT_DOT] = ACTIONS(2727),
    [anon_sym_STAR_STAR] = ACTIONS(2727),
    [anon_sym_PIPE_PIPE] = ACTIONS(2727),
    [anon_sym_SLASH_SLASH] = ACTIONS(2727),
    [anon_sym_CARET_CARET] = ACTIONS(2725),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_PIPE] = ACTIONS(2727),
    [anon_sym_CARET] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_GT_GT2] = ACTIONS(2727),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2727),
    [anon_sym_DOT] = ACTIONS(2727),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_SLASH] = ACTIONS(2727),
    [anon_sym_x] = ACTIONS(2727),
    [anon_sym_EQ_TILDE] = ACTIONS(2725),
    [anon_sym_BANG_TILDE] = ACTIONS(2725),
    [anon_sym_EQ_EQ] = ACTIONS(2727),
    [anon_sym_BANG_EQ] = ACTIONS(2725),
    [anon_sym_eq] = ACTIONS(2727),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2725),
    [anon_sym_equ] = ACTIONS(2725),
    [anon_sym_eqr] = ACTIONS(2725),
    [anon_sym_ne] = ACTIONS(2725),
    [anon_sym_LT_EQ_GT] = ACTIONS(2725),
    [anon_sym_cmp] = ACTIONS(2725),
    [anon_sym_TILDE_TILDE] = ACTIONS(2725),
    [anon_sym_LT_EQ] = ACTIONS(2727),
    [anon_sym_GT_EQ] = ACTIONS(2725),
    [anon_sym_lt] = ACTIONS(2725),
    [anon_sym_le] = ACTIONS(2725),
    [anon_sym_ge] = ACTIONS(2725),
    [anon_sym_gt] = ACTIONS(2725),
    [anon_sym_isa] = ACTIONS(2725),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2725),
    [anon_sym_EQ_GT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1970] = {
    [sym_heredoc_content] = STATE(1970),
    [anon_sym_RBRACE] = ACTIONS(3050),
    [anon_sym_COLON] = ACTIONS(3050),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3050),
    [anon_sym_COMMA] = ACTIONS(3050),
    [anon_sym_RPAREN] = ACTIONS(3050),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3050),
    [anon_sym_DASH_GT] = ACTIONS(3050),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LT_LT] = ACTIONS(3052),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3050),
    [anon_sym_PLUS_EQ] = ACTIONS(3050),
    [anon_sym_DASH_EQ] = ACTIONS(3050),
    [anon_sym_DOT_EQ] = ACTIONS(3050),
    [anon_sym_STAR_EQ] = ACTIONS(3050),
    [anon_sym_SLASH_EQ] = ACTIONS(3050),
    [anon_sym_PERCENT_EQ] = ACTIONS(3050),
    [anon_sym_x_EQ] = ACTIONS(3050),
    [anon_sym_AMP_EQ] = ACTIONS(3050),
    [anon_sym_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_CARET_EQ] = ACTIONS(3050),
    [anon_sym_LT_LT_EQ] = ACTIONS(3050),
    [anon_sym_GT_GT_EQ] = ACTIONS(3050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3050),
    [anon_sym_DOT_DOT] = ACTIONS(3052),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE] = ACTIONS(3052),
    [anon_sym_SLASH_SLASH] = ACTIONS(3052),
    [anon_sym_CARET_CARET] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3052),
    [anon_sym_PIPE] = ACTIONS(3052),
    [anon_sym_CARET] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_GT_GT2] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_x] = ACTIONS(3052),
    [anon_sym_EQ_TILDE] = ACTIONS(3050),
    [anon_sym_BANG_TILDE] = ACTIONS(3050),
    [anon_sym_EQ_EQ] = ACTIONS(3052),
    [anon_sym_BANG_EQ] = ACTIONS(3050),
    [anon_sym_eq] = ACTIONS(3052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3050),
    [anon_sym_equ] = ACTIONS(3050),
    [anon_sym_eqr] = ACTIONS(3050),
    [anon_sym_ne] = ACTIONS(3050),
    [anon_sym_LT_EQ_GT] = ACTIONS(3050),
    [anon_sym_cmp] = ACTIONS(3050),
    [anon_sym_TILDE_TILDE] = ACTIONS(3050),
    [anon_sym_LT_EQ] = ACTIONS(3052),
    [anon_sym_GT_EQ] = ACTIONS(3050),
    [anon_sym_lt] = ACTIONS(3050),
    [anon_sym_le] = ACTIONS(3050),
    [anon_sym_ge] = ACTIONS(3050),
    [anon_sym_gt] = ACTIONS(3050),
    [anon_sym_isa] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_QMARK] = ACTIONS(3050),
    [anon_sym_EQ_GT] = ACTIONS(3050),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1971] = {
    [sym_heredoc_content] = STATE(1971),
    [anon_sym_RBRACE] = ACTIONS(2729),
    [anon_sym_COLON] = ACTIONS(2729),
    [anon_sym_EQ] = ACTIONS(2731),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2729),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2729),
    [anon_sym_COMMA] = ACTIONS(2729),
    [anon_sym_RPAREN] = ACTIONS(2729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2729),
    [anon_sym_DASH_GT] = ACTIONS(2729),
    [anon_sym_PERCENT] = ACTIONS(2731),
    [anon_sym_LT] = ACTIONS(2731),
    [anon_sym_GT] = ACTIONS(2731),
    [anon_sym_LT_LT] = ACTIONS(2731),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2729),
    [anon_sym_PLUS_EQ] = ACTIONS(2729),
    [anon_sym_DASH_EQ] = ACTIONS(2729),
    [anon_sym_DOT_EQ] = ACTIONS(2729),
    [anon_sym_STAR_EQ] = ACTIONS(2729),
    [anon_sym_SLASH_EQ] = ACTIONS(2729),
    [anon_sym_PERCENT_EQ] = ACTIONS(2729),
    [anon_sym_x_EQ] = ACTIONS(2729),
    [anon_sym_AMP_EQ] = ACTIONS(2729),
    [anon_sym_PIPE_EQ] = ACTIONS(2729),
    [anon_sym_CARET_EQ] = ACTIONS(2729),
    [anon_sym_LT_LT_EQ] = ACTIONS(2729),
    [anon_sym_GT_GT_EQ] = ACTIONS(2729),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2729),
    [anon_sym_DOT_DOT] = ACTIONS(2731),
    [anon_sym_STAR_STAR] = ACTIONS(2731),
    [anon_sym_PIPE_PIPE] = ACTIONS(2731),
    [anon_sym_SLASH_SLASH] = ACTIONS(2731),
    [anon_sym_CARET_CARET] = ACTIONS(2729),
    [anon_sym_AMP_AMP] = ACTIONS(2731),
    [anon_sym_PIPE] = ACTIONS(2731),
    [anon_sym_CARET] = ACTIONS(2731),
    [anon_sym_AMP] = ACTIONS(2731),
    [anon_sym_GT_GT2] = ACTIONS(2731),
    [anon_sym_PLUS] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2731),
    [anon_sym_DOT] = ACTIONS(2731),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_SLASH] = ACTIONS(2731),
    [anon_sym_x] = ACTIONS(2731),
    [anon_sym_EQ_TILDE] = ACTIONS(2729),
    [anon_sym_BANG_TILDE] = ACTIONS(2729),
    [anon_sym_EQ_EQ] = ACTIONS(2731),
    [anon_sym_BANG_EQ] = ACTIONS(2729),
    [anon_sym_eq] = ACTIONS(2731),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2729),
    [anon_sym_equ] = ACTIONS(2729),
    [anon_sym_eqr] = ACTIONS(2729),
    [anon_sym_ne] = ACTIONS(2729),
    [anon_sym_LT_EQ_GT] = ACTIONS(2729),
    [anon_sym_cmp] = ACTIONS(2729),
    [anon_sym_TILDE_TILDE] = ACTIONS(2729),
    [anon_sym_LT_EQ] = ACTIONS(2731),
    [anon_sym_GT_EQ] = ACTIONS(2729),
    [anon_sym_lt] = ACTIONS(2729),
    [anon_sym_le] = ACTIONS(2729),
    [anon_sym_ge] = ACTIONS(2729),
    [anon_sym_gt] = ACTIONS(2729),
    [anon_sym_isa] = ACTIONS(2729),
    [anon_sym_PLUS_PLUS] = ACTIONS(2729),
    [anon_sym_DASH_DASH] = ACTIONS(2729),
    [anon_sym_QMARK] = ACTIONS(2729),
    [anon_sym_EQ_GT] = ACTIONS(2729),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1972] = {
    [sym_heredoc_content] = STATE(1972),
    [anon_sym_RBRACE] = ACTIONS(2877),
    [anon_sym_COLON] = ACTIONS(2877),
    [anon_sym_EQ] = ACTIONS(2879),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_COMMA] = ACTIONS(2877),
    [anon_sym_RPAREN] = ACTIONS(2877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2877),
    [anon_sym_DASH_GT] = ACTIONS(2877),
    [anon_sym_PERCENT] = ACTIONS(2879),
    [anon_sym_LT] = ACTIONS(2879),
    [anon_sym_GT] = ACTIONS(2879),
    [anon_sym_LT_LT] = ACTIONS(2879),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2877),
    [anon_sym_PLUS_EQ] = ACTIONS(2877),
    [anon_sym_DASH_EQ] = ACTIONS(2877),
    [anon_sym_DOT_EQ] = ACTIONS(2877),
    [anon_sym_STAR_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_PERCENT_EQ] = ACTIONS(2877),
    [anon_sym_x_EQ] = ACTIONS(2877),
    [anon_sym_AMP_EQ] = ACTIONS(2877),
    [anon_sym_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_CARET_EQ] = ACTIONS(2877),
    [anon_sym_LT_LT_EQ] = ACTIONS(2877),
    [anon_sym_GT_GT_EQ] = ACTIONS(2877),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2877),
    [anon_sym_DOT_DOT] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2879),
    [anon_sym_PIPE_PIPE] = ACTIONS(2879),
    [anon_sym_SLASH_SLASH] = ACTIONS(2879),
    [anon_sym_CARET_CARET] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_PIPE] = ACTIONS(2879),
    [anon_sym_CARET] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_GT_GT2] = ACTIONS(2879),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2879),
    [anon_sym_DOT] = ACTIONS(2879),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_x] = ACTIONS(2879),
    [anon_sym_EQ_TILDE] = ACTIONS(2877),
    [anon_sym_BANG_TILDE] = ACTIONS(2877),
    [anon_sym_EQ_EQ] = ACTIONS(2879),
    [anon_sym_BANG_EQ] = ACTIONS(2877),
    [anon_sym_eq] = ACTIONS(2879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2877),
    [anon_sym_equ] = ACTIONS(2877),
    [anon_sym_eqr] = ACTIONS(2877),
    [anon_sym_ne] = ACTIONS(2877),
    [anon_sym_LT_EQ_GT] = ACTIONS(2877),
    [anon_sym_cmp] = ACTIONS(2877),
    [anon_sym_TILDE_TILDE] = ACTIONS(2877),
    [anon_sym_LT_EQ] = ACTIONS(2879),
    [anon_sym_GT_EQ] = ACTIONS(2877),
    [anon_sym_lt] = ACTIONS(2877),
    [anon_sym_le] = ACTIONS(2877),
    [anon_sym_ge] = ACTIONS(2877),
    [anon_sym_gt] = ACTIONS(2877),
    [anon_sym_isa] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_QMARK] = ACTIONS(2877),
    [anon_sym_EQ_GT] = ACTIONS(2877),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1973] = {
    [sym_heredoc_content] = STATE(1973),
    [anon_sym_RBRACE] = ACTIONS(2997),
    [anon_sym_COLON] = ACTIONS(2997),
    [anon_sym_EQ] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2997),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2997),
    [anon_sym_COMMA] = ACTIONS(2997),
    [anon_sym_RPAREN] = ACTIONS(2997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2997),
    [anon_sym_DASH_GT] = ACTIONS(2997),
    [anon_sym_PERCENT] = ACTIONS(2999),
    [anon_sym_LT] = ACTIONS(2999),
    [anon_sym_GT] = ACTIONS(2999),
    [anon_sym_LT_LT] = ACTIONS(2999),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2997),
    [anon_sym_PLUS_EQ] = ACTIONS(2997),
    [anon_sym_DASH_EQ] = ACTIONS(2997),
    [anon_sym_DOT_EQ] = ACTIONS(2997),
    [anon_sym_STAR_EQ] = ACTIONS(2997),
    [anon_sym_SLASH_EQ] = ACTIONS(2997),
    [anon_sym_PERCENT_EQ] = ACTIONS(2997),
    [anon_sym_x_EQ] = ACTIONS(2997),
    [anon_sym_AMP_EQ] = ACTIONS(2997),
    [anon_sym_PIPE_EQ] = ACTIONS(2997),
    [anon_sym_CARET_EQ] = ACTIONS(2997),
    [anon_sym_LT_LT_EQ] = ACTIONS(2997),
    [anon_sym_GT_GT_EQ] = ACTIONS(2997),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2997),
    [anon_sym_DOT_DOT] = ACTIONS(2999),
    [anon_sym_STAR_STAR] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(2999),
    [anon_sym_SLASH_SLASH] = ACTIONS(2999),
    [anon_sym_CARET_CARET] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE] = ACTIONS(2999),
    [anon_sym_CARET] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2999),
    [anon_sym_GT_GT2] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_DOT] = ACTIONS(2999),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_SLASH] = ACTIONS(2999),
    [anon_sym_x] = ACTIONS(2999),
    [anon_sym_EQ_TILDE] = ACTIONS(2997),
    [anon_sym_BANG_TILDE] = ACTIONS(2997),
    [anon_sym_EQ_EQ] = ACTIONS(2999),
    [anon_sym_BANG_EQ] = ACTIONS(2997),
    [anon_sym_eq] = ACTIONS(2999),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2997),
    [anon_sym_equ] = ACTIONS(2997),
    [anon_sym_eqr] = ACTIONS(2997),
    [anon_sym_ne] = ACTIONS(2997),
    [anon_sym_LT_EQ_GT] = ACTIONS(2997),
    [anon_sym_cmp] = ACTIONS(2997),
    [anon_sym_TILDE_TILDE] = ACTIONS(2997),
    [anon_sym_LT_EQ] = ACTIONS(2999),
    [anon_sym_GT_EQ] = ACTIONS(2997),
    [anon_sym_lt] = ACTIONS(2997),
    [anon_sym_le] = ACTIONS(2997),
    [anon_sym_ge] = ACTIONS(2997),
    [anon_sym_gt] = ACTIONS(2997),
    [anon_sym_isa] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2997),
    [anon_sym_QMARK] = ACTIONS(2997),
    [anon_sym_EQ_GT] = ACTIONS(2997),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1974] = {
    [sym_heredoc_content] = STATE(1974),
    [anon_sym_RBRACE] = ACTIONS(2793),
    [anon_sym_COLON] = ACTIONS(2793),
    [anon_sym_EQ] = ACTIONS(2795),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2793),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2793),
    [anon_sym_COMMA] = ACTIONS(2793),
    [anon_sym_RPAREN] = ACTIONS(2793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2793),
    [anon_sym_DASH_GT] = ACTIONS(2793),
    [anon_sym_PERCENT] = ACTIONS(2795),
    [anon_sym_LT] = ACTIONS(2795),
    [anon_sym_GT] = ACTIONS(2795),
    [anon_sym_LT_LT] = ACTIONS(2795),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2793),
    [anon_sym_PLUS_EQ] = ACTIONS(2793),
    [anon_sym_DASH_EQ] = ACTIONS(2793),
    [anon_sym_DOT_EQ] = ACTIONS(2793),
    [anon_sym_STAR_EQ] = ACTIONS(2793),
    [anon_sym_SLASH_EQ] = ACTIONS(2793),
    [anon_sym_PERCENT_EQ] = ACTIONS(2793),
    [anon_sym_x_EQ] = ACTIONS(2793),
    [anon_sym_AMP_EQ] = ACTIONS(2793),
    [anon_sym_PIPE_EQ] = ACTIONS(2793),
    [anon_sym_CARET_EQ] = ACTIONS(2793),
    [anon_sym_LT_LT_EQ] = ACTIONS(2793),
    [anon_sym_GT_GT_EQ] = ACTIONS(2793),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2793),
    [anon_sym_DOT_DOT] = ACTIONS(2795),
    [anon_sym_STAR_STAR] = ACTIONS(2795),
    [anon_sym_PIPE_PIPE] = ACTIONS(2795),
    [anon_sym_SLASH_SLASH] = ACTIONS(2795),
    [anon_sym_CARET_CARET] = ACTIONS(2793),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_PIPE] = ACTIONS(2795),
    [anon_sym_CARET] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2795),
    [anon_sym_GT_GT2] = ACTIONS(2795),
    [anon_sym_PLUS] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2795),
    [anon_sym_DOT] = ACTIONS(2795),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_SLASH] = ACTIONS(2795),
    [anon_sym_x] = ACTIONS(2795),
    [anon_sym_EQ_TILDE] = ACTIONS(2793),
    [anon_sym_BANG_TILDE] = ACTIONS(2793),
    [anon_sym_EQ_EQ] = ACTIONS(2795),
    [anon_sym_BANG_EQ] = ACTIONS(2793),
    [anon_sym_eq] = ACTIONS(2795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2793),
    [anon_sym_equ] = ACTIONS(2793),
    [anon_sym_eqr] = ACTIONS(2793),
    [anon_sym_ne] = ACTIONS(2793),
    [anon_sym_LT_EQ_GT] = ACTIONS(2793),
    [anon_sym_cmp] = ACTIONS(2793),
    [anon_sym_TILDE_TILDE] = ACTIONS(2793),
    [anon_sym_LT_EQ] = ACTIONS(2795),
    [anon_sym_GT_EQ] = ACTIONS(2793),
    [anon_sym_lt] = ACTIONS(2793),
    [anon_sym_le] = ACTIONS(2793),
    [anon_sym_ge] = ACTIONS(2793),
    [anon_sym_gt] = ACTIONS(2793),
    [anon_sym_isa] = ACTIONS(2793),
    [anon_sym_PLUS_PLUS] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2793),
    [anon_sym_QMARK] = ACTIONS(2793),
    [anon_sym_EQ_GT] = ACTIONS(2793),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1975] = {
    [sym_heredoc_content] = STATE(1975),
    [anon_sym_RBRACE] = ACTIONS(2532),
    [anon_sym_COLON] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2532),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2532),
    [anon_sym_eqr] = ACTIONS(2532),
    [anon_sym_ne] = ACTIONS(2532),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2532),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2532),
    [anon_sym_le] = ACTIONS(2532),
    [anon_sym_ge] = ACTIONS(2532),
    [anon_sym_gt] = ACTIONS(2532),
    [anon_sym_isa] = ACTIONS(2532),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1976] = {
    [sym_heredoc_content] = STATE(1976),
    [anon_sym_RBRACE] = ACTIONS(2973),
    [anon_sym_COLON] = ACTIONS(2973),
    [anon_sym_EQ] = ACTIONS(2975),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2973),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2973),
    [anon_sym_COMMA] = ACTIONS(2973),
    [anon_sym_RPAREN] = ACTIONS(2973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2973),
    [anon_sym_DASH_GT] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2975),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_GT] = ACTIONS(2975),
    [anon_sym_LT_LT] = ACTIONS(2975),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2973),
    [anon_sym_PLUS_EQ] = ACTIONS(2973),
    [anon_sym_DASH_EQ] = ACTIONS(2973),
    [anon_sym_DOT_EQ] = ACTIONS(2973),
    [anon_sym_STAR_EQ] = ACTIONS(2973),
    [anon_sym_SLASH_EQ] = ACTIONS(2973),
    [anon_sym_PERCENT_EQ] = ACTIONS(2973),
    [anon_sym_x_EQ] = ACTIONS(2973),
    [anon_sym_AMP_EQ] = ACTIONS(2973),
    [anon_sym_PIPE_EQ] = ACTIONS(2973),
    [anon_sym_CARET_EQ] = ACTIONS(2973),
    [anon_sym_LT_LT_EQ] = ACTIONS(2973),
    [anon_sym_GT_GT_EQ] = ACTIONS(2973),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2973),
    [anon_sym_DOT_DOT] = ACTIONS(2975),
    [anon_sym_STAR_STAR] = ACTIONS(2975),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_SLASH_SLASH] = ACTIONS(2975),
    [anon_sym_CARET_CARET] = ACTIONS(2973),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_PIPE] = ACTIONS(2975),
    [anon_sym_CARET] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_GT_GT2] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2975),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2975),
    [anon_sym_x] = ACTIONS(2975),
    [anon_sym_EQ_TILDE] = ACTIONS(2973),
    [anon_sym_BANG_TILDE] = ACTIONS(2973),
    [anon_sym_EQ_EQ] = ACTIONS(2975),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_eq] = ACTIONS(2975),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2973),
    [anon_sym_equ] = ACTIONS(2973),
    [anon_sym_eqr] = ACTIONS(2973),
    [anon_sym_ne] = ACTIONS(2973),
    [anon_sym_LT_EQ_GT] = ACTIONS(2973),
    [anon_sym_cmp] = ACTIONS(2973),
    [anon_sym_TILDE_TILDE] = ACTIONS(2973),
    [anon_sym_LT_EQ] = ACTIONS(2975),
    [anon_sym_GT_EQ] = ACTIONS(2973),
    [anon_sym_lt] = ACTIONS(2973),
    [anon_sym_le] = ACTIONS(2973),
    [anon_sym_ge] = ACTIONS(2973),
    [anon_sym_gt] = ACTIONS(2973),
    [anon_sym_isa] = ACTIONS(2973),
    [anon_sym_PLUS_PLUS] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(2973),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1977] = {
    [sym_heredoc_content] = STATE(1977),
    [anon_sym_RBRACE] = ACTIONS(2701),
    [anon_sym_COLON] = ACTIONS(2701),
    [anon_sym_EQ] = ACTIONS(2703),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2701),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2701),
    [anon_sym_COMMA] = ACTIONS(2701),
    [anon_sym_RPAREN] = ACTIONS(2701),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2701),
    [anon_sym_DASH_GT] = ACTIONS(2701),
    [anon_sym_PERCENT] = ACTIONS(2703),
    [anon_sym_LT] = ACTIONS(2703),
    [anon_sym_GT] = ACTIONS(2703),
    [anon_sym_LT_LT] = ACTIONS(2703),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2701),
    [anon_sym_PLUS_EQ] = ACTIONS(2701),
    [anon_sym_DASH_EQ] = ACTIONS(2701),
    [anon_sym_DOT_EQ] = ACTIONS(2701),
    [anon_sym_STAR_EQ] = ACTIONS(2701),
    [anon_sym_SLASH_EQ] = ACTIONS(2701),
    [anon_sym_PERCENT_EQ] = ACTIONS(2701),
    [anon_sym_x_EQ] = ACTIONS(2701),
    [anon_sym_AMP_EQ] = ACTIONS(2701),
    [anon_sym_PIPE_EQ] = ACTIONS(2701),
    [anon_sym_CARET_EQ] = ACTIONS(2701),
    [anon_sym_LT_LT_EQ] = ACTIONS(2701),
    [anon_sym_GT_GT_EQ] = ACTIONS(2701),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2701),
    [anon_sym_DOT_DOT] = ACTIONS(2703),
    [anon_sym_STAR_STAR] = ACTIONS(2703),
    [anon_sym_PIPE_PIPE] = ACTIONS(2703),
    [anon_sym_SLASH_SLASH] = ACTIONS(2703),
    [anon_sym_CARET_CARET] = ACTIONS(2701),
    [anon_sym_AMP_AMP] = ACTIONS(2703),
    [anon_sym_PIPE] = ACTIONS(2703),
    [anon_sym_CARET] = ACTIONS(2703),
    [anon_sym_AMP] = ACTIONS(2703),
    [anon_sym_GT_GT2] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_DOT] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2703),
    [anon_sym_SLASH] = ACTIONS(2703),
    [anon_sym_x] = ACTIONS(2703),
    [anon_sym_EQ_TILDE] = ACTIONS(2701),
    [anon_sym_BANG_TILDE] = ACTIONS(2701),
    [anon_sym_EQ_EQ] = ACTIONS(2703),
    [anon_sym_BANG_EQ] = ACTIONS(2701),
    [anon_sym_eq] = ACTIONS(2703),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2701),
    [anon_sym_equ] = ACTIONS(2701),
    [anon_sym_eqr] = ACTIONS(2701),
    [anon_sym_ne] = ACTIONS(2701),
    [anon_sym_LT_EQ_GT] = ACTIONS(2701),
    [anon_sym_cmp] = ACTIONS(2701),
    [anon_sym_TILDE_TILDE] = ACTIONS(2701),
    [anon_sym_LT_EQ] = ACTIONS(2703),
    [anon_sym_GT_EQ] = ACTIONS(2701),
    [anon_sym_lt] = ACTIONS(2701),
    [anon_sym_le] = ACTIONS(2701),
    [anon_sym_ge] = ACTIONS(2701),
    [anon_sym_gt] = ACTIONS(2701),
    [anon_sym_isa] = ACTIONS(2701),
    [anon_sym_PLUS_PLUS] = ACTIONS(2701),
    [anon_sym_DASH_DASH] = ACTIONS(2701),
    [anon_sym_QMARK] = ACTIONS(2701),
    [anon_sym_EQ_GT] = ACTIONS(2701),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1978] = {
    [sym_heredoc_content] = STATE(1978),
    [anon_sym_RBRACE] = ACTIONS(3080),
    [anon_sym_COLON] = ACTIONS(3080),
    [anon_sym_EQ] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_COMMA] = ACTIONS(3080),
    [anon_sym_RPAREN] = ACTIONS(3080),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3080),
    [anon_sym_DASH_GT] = ACTIONS(3080),
    [anon_sym_PERCENT] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3082),
    [anon_sym_GT] = ACTIONS(3082),
    [anon_sym_LT_LT] = ACTIONS(3082),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_DOT_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_x_EQ] = ACTIONS(3080),
    [anon_sym_AMP_EQ] = ACTIONS(3080),
    [anon_sym_PIPE_EQ] = ACTIONS(3080),
    [anon_sym_CARET_EQ] = ACTIONS(3080),
    [anon_sym_LT_LT_EQ] = ACTIONS(3080),
    [anon_sym_GT_GT_EQ] = ACTIONS(3080),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3080),
    [anon_sym_DOT_DOT] = ACTIONS(3082),
    [anon_sym_STAR_STAR] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE] = ACTIONS(3082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3082),
    [anon_sym_CARET_CARET] = ACTIONS(3080),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_PIPE] = ACTIONS(3082),
    [anon_sym_CARET] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3082),
    [anon_sym_GT_GT2] = ACTIONS(3082),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_DOT] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_SLASH] = ACTIONS(3082),
    [anon_sym_x] = ACTIONS(3082),
    [anon_sym_EQ_TILDE] = ACTIONS(3080),
    [anon_sym_BANG_TILDE] = ACTIONS(3080),
    [anon_sym_EQ_EQ] = ACTIONS(3082),
    [anon_sym_BANG_EQ] = ACTIONS(3080),
    [anon_sym_eq] = ACTIONS(3082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3080),
    [anon_sym_equ] = ACTIONS(3080),
    [anon_sym_eqr] = ACTIONS(3080),
    [anon_sym_ne] = ACTIONS(3080),
    [anon_sym_LT_EQ_GT] = ACTIONS(3080),
    [anon_sym_cmp] = ACTIONS(3080),
    [anon_sym_TILDE_TILDE] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3082),
    [anon_sym_GT_EQ] = ACTIONS(3080),
    [anon_sym_lt] = ACTIONS(3080),
    [anon_sym_le] = ACTIONS(3080),
    [anon_sym_ge] = ACTIONS(3080),
    [anon_sym_gt] = ACTIONS(3080),
    [anon_sym_isa] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [anon_sym_QMARK] = ACTIONS(3080),
    [anon_sym_EQ_GT] = ACTIONS(3080),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1979] = {
    [sym_heredoc_content] = STATE(1979),
    [anon_sym_RBRACE] = ACTIONS(2897),
    [anon_sym_COLON] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(2897),
    [anon_sym_PERCENT] = ACTIONS(2899),
    [anon_sym_LT] = ACTIONS(2899),
    [anon_sym_GT] = ACTIONS(2899),
    [anon_sym_LT_LT] = ACTIONS(2899),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_DOT] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_SLASH] = ACTIONS(2899),
    [anon_sym_x] = ACTIONS(2899),
    [anon_sym_EQ_TILDE] = ACTIONS(2897),
    [anon_sym_BANG_TILDE] = ACTIONS(2897),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT_EQ] = ACTIONS(2899),
    [anon_sym_GT_EQ] = ACTIONS(2897),
    [anon_sym_lt] = ACTIONS(2897),
    [anon_sym_le] = ACTIONS(2897),
    [anon_sym_ge] = ACTIONS(2897),
    [anon_sym_gt] = ACTIONS(2897),
    [anon_sym_isa] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1980] = {
    [sym_heredoc_content] = STATE(1980),
    [anon_sym_RBRACE] = ACTIONS(2901),
    [anon_sym_COLON] = ACTIONS(2901),
    [anon_sym_EQ] = ACTIONS(2903),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2901),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2901),
    [anon_sym_COMMA] = ACTIONS(2901),
    [anon_sym_RPAREN] = ACTIONS(2901),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2901),
    [anon_sym_DASH_GT] = ACTIONS(2901),
    [anon_sym_PERCENT] = ACTIONS(2903),
    [anon_sym_LT] = ACTIONS(2903),
    [anon_sym_GT] = ACTIONS(2903),
    [anon_sym_LT_LT] = ACTIONS(2903),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2901),
    [anon_sym_PLUS_EQ] = ACTIONS(2901),
    [anon_sym_DASH_EQ] = ACTIONS(2901),
    [anon_sym_DOT_EQ] = ACTIONS(2901),
    [anon_sym_STAR_EQ] = ACTIONS(2901),
    [anon_sym_SLASH_EQ] = ACTIONS(2901),
    [anon_sym_PERCENT_EQ] = ACTIONS(2901),
    [anon_sym_x_EQ] = ACTIONS(2901),
    [anon_sym_AMP_EQ] = ACTIONS(2901),
    [anon_sym_PIPE_EQ] = ACTIONS(2901),
    [anon_sym_CARET_EQ] = ACTIONS(2901),
    [anon_sym_LT_LT_EQ] = ACTIONS(2901),
    [anon_sym_GT_GT_EQ] = ACTIONS(2901),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2901),
    [anon_sym_DOT_DOT] = ACTIONS(2903),
    [anon_sym_STAR_STAR] = ACTIONS(2903),
    [anon_sym_PIPE_PIPE] = ACTIONS(2903),
    [anon_sym_SLASH_SLASH] = ACTIONS(2903),
    [anon_sym_CARET_CARET] = ACTIONS(2901),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_PIPE] = ACTIONS(2903),
    [anon_sym_CARET] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym_GT_GT2] = ACTIONS(2903),
    [anon_sym_PLUS] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2903),
    [anon_sym_DOT] = ACTIONS(2903),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_SLASH] = ACTIONS(2903),
    [anon_sym_x] = ACTIONS(2903),
    [anon_sym_EQ_TILDE] = ACTIONS(2901),
    [anon_sym_BANG_TILDE] = ACTIONS(2901),
    [anon_sym_EQ_EQ] = ACTIONS(2903),
    [anon_sym_BANG_EQ] = ACTIONS(2901),
    [anon_sym_eq] = ACTIONS(2903),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2901),
    [anon_sym_equ] = ACTIONS(2901),
    [anon_sym_eqr] = ACTIONS(2901),
    [anon_sym_ne] = ACTIONS(2901),
    [anon_sym_LT_EQ_GT] = ACTIONS(2901),
    [anon_sym_cmp] = ACTIONS(2901),
    [anon_sym_TILDE_TILDE] = ACTIONS(2901),
    [anon_sym_LT_EQ] = ACTIONS(2903),
    [anon_sym_GT_EQ] = ACTIONS(2901),
    [anon_sym_lt] = ACTIONS(2901),
    [anon_sym_le] = ACTIONS(2901),
    [anon_sym_ge] = ACTIONS(2901),
    [anon_sym_gt] = ACTIONS(2901),
    [anon_sym_isa] = ACTIONS(2901),
    [anon_sym_PLUS_PLUS] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2901),
    [anon_sym_QMARK] = ACTIONS(2901),
    [anon_sym_EQ_GT] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1981] = {
    [sym_heredoc_content] = STATE(1981),
    [anon_sym_RBRACE] = ACTIONS(2929),
    [anon_sym_COLON] = ACTIONS(2929),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_COMMA] = ACTIONS(2929),
    [anon_sym_RPAREN] = ACTIONS(2929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2929),
    [anon_sym_DASH_GT] = ACTIONS(2929),
    [anon_sym_PERCENT] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_LT_LT] = ACTIONS(2931),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_DOT_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_x_EQ] = ACTIONS(2929),
    [anon_sym_AMP_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_EQ] = ACTIONS(2929),
    [anon_sym_CARET_EQ] = ACTIONS(2929),
    [anon_sym_LT_LT_EQ] = ACTIONS(2929),
    [anon_sym_GT_GT_EQ] = ACTIONS(2929),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_STAR_STAR] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2931),
    [anon_sym_SLASH_SLASH] = ACTIONS(2931),
    [anon_sym_CARET_CARET] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_PIPE] = ACTIONS(2931),
    [anon_sym_CARET] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_GT_GT2] = ACTIONS(2931),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2931),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_SLASH] = ACTIONS(2931),
    [anon_sym_x] = ACTIONS(2931),
    [anon_sym_EQ_TILDE] = ACTIONS(2929),
    [anon_sym_BANG_TILDE] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ] = ACTIONS(2929),
    [anon_sym_eq] = ACTIONS(2931),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_equ] = ACTIONS(2929),
    [anon_sym_eqr] = ACTIONS(2929),
    [anon_sym_ne] = ACTIONS(2929),
    [anon_sym_LT_EQ_GT] = ACTIONS(2929),
    [anon_sym_cmp] = ACTIONS(2929),
    [anon_sym_TILDE_TILDE] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_lt] = ACTIONS(2929),
    [anon_sym_le] = ACTIONS(2929),
    [anon_sym_ge] = ACTIONS(2929),
    [anon_sym_gt] = ACTIONS(2929),
    [anon_sym_isa] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_EQ_GT] = ACTIONS(2929),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1982] = {
    [sym_heredoc_content] = STATE(1982),
    [anon_sym_RBRACE] = ACTIONS(2989),
    [anon_sym_COLON] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2989),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(2989),
    [anon_sym_RPAREN] = ACTIONS(2989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DASH_GT] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_LT] = ACTIONS(2991),
    [anon_sym_GT] = ACTIONS(2991),
    [anon_sym_LT_LT] = ACTIONS(2991),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2989),
    [anon_sym_DASH_EQ] = ACTIONS(2989),
    [anon_sym_DOT_EQ] = ACTIONS(2989),
    [anon_sym_STAR_EQ] = ACTIONS(2989),
    [anon_sym_SLASH_EQ] = ACTIONS(2989),
    [anon_sym_PERCENT_EQ] = ACTIONS(2989),
    [anon_sym_x_EQ] = ACTIONS(2989),
    [anon_sym_AMP_EQ] = ACTIONS(2989),
    [anon_sym_PIPE_EQ] = ACTIONS(2989),
    [anon_sym_CARET_EQ] = ACTIONS(2989),
    [anon_sym_LT_LT_EQ] = ACTIONS(2989),
    [anon_sym_GT_GT_EQ] = ACTIONS(2989),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2989),
    [anon_sym_DOT_DOT] = ACTIONS(2991),
    [anon_sym_STAR_STAR] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_SLASH_SLASH] = ACTIONS(2991),
    [anon_sym_CARET_CARET] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_PIPE] = ACTIONS(2991),
    [anon_sym_CARET] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_GT_GT2] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2991),
    [anon_sym_x] = ACTIONS(2991),
    [anon_sym_EQ_TILDE] = ACTIONS(2989),
    [anon_sym_BANG_TILDE] = ACTIONS(2989),
    [anon_sym_EQ_EQ] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_eq] = ACTIONS(2991),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2989),
    [anon_sym_equ] = ACTIONS(2989),
    [anon_sym_eqr] = ACTIONS(2989),
    [anon_sym_ne] = ACTIONS(2989),
    [anon_sym_LT_EQ_GT] = ACTIONS(2989),
    [anon_sym_cmp] = ACTIONS(2989),
    [anon_sym_TILDE_TILDE] = ACTIONS(2989),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2989),
    [anon_sym_lt] = ACTIONS(2989),
    [anon_sym_le] = ACTIONS(2989),
    [anon_sym_ge] = ACTIONS(2989),
    [anon_sym_gt] = ACTIONS(2989),
    [anon_sym_isa] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(2989),
    [anon_sym_EQ_GT] = ACTIONS(2989),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1983] = {
    [sym_heredoc_content] = STATE(1983),
    [anon_sym_RBRACE] = ACTIONS(2937),
    [anon_sym_COLON] = ACTIONS(2937),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_COMMA] = ACTIONS(2937),
    [anon_sym_RPAREN] = ACTIONS(2937),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2937),
    [anon_sym_DASH_GT] = ACTIONS(2937),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LT_LT] = ACTIONS(2939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_DOT_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_x_EQ] = ACTIONS(2937),
    [anon_sym_AMP_EQ] = ACTIONS(2937),
    [anon_sym_PIPE_EQ] = ACTIONS(2937),
    [anon_sym_CARET_EQ] = ACTIONS(2937),
    [anon_sym_LT_LT_EQ] = ACTIONS(2937),
    [anon_sym_GT_GT_EQ] = ACTIONS(2937),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_STAR_STAR] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2939),
    [anon_sym_SLASH_SLASH] = ACTIONS(2939),
    [anon_sym_CARET_CARET] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_PIPE] = ACTIONS(2939),
    [anon_sym_CARET] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2939),
    [anon_sym_GT_GT2] = ACTIONS(2939),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_x] = ACTIONS(2939),
    [anon_sym_EQ_TILDE] = ACTIONS(2937),
    [anon_sym_BANG_TILDE] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ] = ACTIONS(2937),
    [anon_sym_eq] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_equ] = ACTIONS(2937),
    [anon_sym_eqr] = ACTIONS(2937),
    [anon_sym_ne] = ACTIONS(2937),
    [anon_sym_LT_EQ_GT] = ACTIONS(2937),
    [anon_sym_cmp] = ACTIONS(2937),
    [anon_sym_TILDE_TILDE] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2939),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_lt] = ACTIONS(2937),
    [anon_sym_le] = ACTIONS(2937),
    [anon_sym_ge] = ACTIONS(2937),
    [anon_sym_gt] = ACTIONS(2937),
    [anon_sym_isa] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_QMARK] = ACTIONS(2937),
    [anon_sym_EQ_GT] = ACTIONS(2937),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1984] = {
    [sym_heredoc_content] = STATE(1984),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym_EQ] = ACTIONS(1846),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2869),
    [anon_sym_DASH_GT] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(1846),
    [anon_sym_LT] = ACTIONS(1846),
    [anon_sym_GT] = ACTIONS(1846),
    [anon_sym_LT_LT] = ACTIONS(1846),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2869),
    [anon_sym_PLUS_EQ] = ACTIONS(2869),
    [anon_sym_DASH_EQ] = ACTIONS(2869),
    [anon_sym_DOT_EQ] = ACTIONS(2869),
    [anon_sym_STAR_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_PERCENT_EQ] = ACTIONS(2869),
    [anon_sym_x_EQ] = ACTIONS(2869),
    [anon_sym_AMP_EQ] = ACTIONS(2869),
    [anon_sym_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_CARET_EQ] = ACTIONS(2869),
    [anon_sym_LT_LT_EQ] = ACTIONS(2869),
    [anon_sym_GT_GT_EQ] = ACTIONS(2869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2869),
    [anon_sym_DOT_DOT] = ACTIONS(1846),
    [anon_sym_STAR_STAR] = ACTIONS(1846),
    [anon_sym_PIPE_PIPE] = ACTIONS(1846),
    [anon_sym_SLASH_SLASH] = ACTIONS(1846),
    [anon_sym_CARET_CARET] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(1846),
    [anon_sym_PIPE] = ACTIONS(1846),
    [anon_sym_CARET] = ACTIONS(1846),
    [anon_sym_AMP] = ACTIONS(1846),
    [anon_sym_GT_GT2] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1846),
    [anon_sym_DASH] = ACTIONS(1846),
    [anon_sym_DOT] = ACTIONS(1846),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_SLASH] = ACTIONS(1846),
    [anon_sym_x] = ACTIONS(1846),
    [anon_sym_EQ_TILDE] = ACTIONS(2869),
    [anon_sym_BANG_TILDE] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(1846),
    [anon_sym_BANG_EQ] = ACTIONS(2869),
    [anon_sym_eq] = ACTIONS(1846),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2869),
    [anon_sym_equ] = ACTIONS(2869),
    [anon_sym_eqr] = ACTIONS(2869),
    [anon_sym_ne] = ACTIONS(2869),
    [anon_sym_LT_EQ_GT] = ACTIONS(2869),
    [anon_sym_cmp] = ACTIONS(2869),
    [anon_sym_TILDE_TILDE] = ACTIONS(2869),
    [anon_sym_LT_EQ] = ACTIONS(1846),
    [anon_sym_GT_EQ] = ACTIONS(2869),
    [anon_sym_lt] = ACTIONS(2869),
    [anon_sym_le] = ACTIONS(2869),
    [anon_sym_ge] = ACTIONS(2869),
    [anon_sym_gt] = ACTIONS(2869),
    [anon_sym_isa] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_QMARK] = ACTIONS(2869),
    [anon_sym_EQ_GT] = ACTIONS(2869),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2869),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1985] = {
    [sym_heredoc_content] = STATE(1985),
    [anon_sym_SEMI] = ACTIONS(2885),
    [anon_sym_EQ] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2885),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2885),
    [anon_sym_COMMA] = ACTIONS(2885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2885),
    [anon_sym_DASH_GT] = ACTIONS(2885),
    [anon_sym_PERCENT] = ACTIONS(2887),
    [anon_sym_LT] = ACTIONS(2887),
    [anon_sym_GT] = ACTIONS(2887),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2885),
    [anon_sym_PLUS_EQ] = ACTIONS(2885),
    [anon_sym_DASH_EQ] = ACTIONS(2885),
    [anon_sym_DOT_EQ] = ACTIONS(2885),
    [anon_sym_STAR_EQ] = ACTIONS(2885),
    [anon_sym_SLASH_EQ] = ACTIONS(2885),
    [anon_sym_PERCENT_EQ] = ACTIONS(2885),
    [anon_sym_x_EQ] = ACTIONS(2885),
    [anon_sym_AMP_EQ] = ACTIONS(2885),
    [anon_sym_PIPE_EQ] = ACTIONS(2885),
    [anon_sym_CARET_EQ] = ACTIONS(2885),
    [anon_sym_LT_LT_EQ] = ACTIONS(2885),
    [anon_sym_GT_GT_EQ] = ACTIONS(2885),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2885),
    [anon_sym_DOT_DOT] = ACTIONS(2887),
    [anon_sym_STAR_STAR] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE] = ACTIONS(2887),
    [anon_sym_SLASH_SLASH] = ACTIONS(2887),
    [anon_sym_CARET_CARET] = ACTIONS(2885),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_PIPE] = ACTIONS(2887),
    [anon_sym_CARET] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_GT_GT2] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_DOT] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_SLASH] = ACTIONS(2887),
    [anon_sym_x] = ACTIONS(2887),
    [anon_sym_EQ_TILDE] = ACTIONS(2885),
    [anon_sym_BANG_TILDE] = ACTIONS(2885),
    [anon_sym_EQ_EQ] = ACTIONS(2887),
    [anon_sym_BANG_EQ] = ACTIONS(2885),
    [anon_sym_eq] = ACTIONS(2887),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2885),
    [anon_sym_equ] = ACTIONS(2885),
    [anon_sym_eqr] = ACTIONS(2885),
    [anon_sym_ne] = ACTIONS(2885),
    [anon_sym_LT_EQ_GT] = ACTIONS(2885),
    [anon_sym_cmp] = ACTIONS(2885),
    [anon_sym_TILDE_TILDE] = ACTIONS(2885),
    [anon_sym_LT_EQ] = ACTIONS(2887),
    [anon_sym_GT_EQ] = ACTIONS(2885),
    [anon_sym_lt] = ACTIONS(2885),
    [anon_sym_le] = ACTIONS(2885),
    [anon_sym_ge] = ACTIONS(2885),
    [anon_sym_gt] = ACTIONS(2885),
    [anon_sym_isa] = ACTIONS(2885),
    [anon_sym_PLUS_PLUS] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2885),
    [anon_sym_QMARK] = ACTIONS(2885),
    [anon_sym_EQ_GT] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2885),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1986] = {
    [sym_heredoc_content] = STATE(1986),
    [anon_sym_SEMI] = ACTIONS(2925),
    [anon_sym_EQ] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2925),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2925),
    [anon_sym_COMMA] = ACTIONS(2925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2925),
    [anon_sym_DASH_GT] = ACTIONS(2925),
    [anon_sym_PERCENT] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2927),
    [anon_sym_GT] = ACTIONS(2927),
    [anon_sym_LT_LT] = ACTIONS(2927),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2925),
    [anon_sym_PLUS_EQ] = ACTIONS(2925),
    [anon_sym_DASH_EQ] = ACTIONS(2925),
    [anon_sym_DOT_EQ] = ACTIONS(2925),
    [anon_sym_STAR_EQ] = ACTIONS(2925),
    [anon_sym_SLASH_EQ] = ACTIONS(2925),
    [anon_sym_PERCENT_EQ] = ACTIONS(2925),
    [anon_sym_x_EQ] = ACTIONS(2925),
    [anon_sym_AMP_EQ] = ACTIONS(2925),
    [anon_sym_PIPE_EQ] = ACTIONS(2925),
    [anon_sym_CARET_EQ] = ACTIONS(2925),
    [anon_sym_LT_LT_EQ] = ACTIONS(2925),
    [anon_sym_GT_GT_EQ] = ACTIONS(2925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2925),
    [anon_sym_DOT_DOT] = ACTIONS(2927),
    [anon_sym_STAR_STAR] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(2927),
    [anon_sym_SLASH_SLASH] = ACTIONS(2927),
    [anon_sym_CARET_CARET] = ACTIONS(2925),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_PIPE] = ACTIONS(2927),
    [anon_sym_CARET] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2927),
    [anon_sym_GT_GT2] = ACTIONS(2927),
    [anon_sym_PLUS] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2927),
    [anon_sym_DOT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_SLASH] = ACTIONS(2927),
    [anon_sym_x] = ACTIONS(2927),
    [anon_sym_EQ_TILDE] = ACTIONS(2925),
    [anon_sym_BANG_TILDE] = ACTIONS(2925),
    [anon_sym_EQ_EQ] = ACTIONS(2927),
    [anon_sym_BANG_EQ] = ACTIONS(2925),
    [anon_sym_eq] = ACTIONS(2927),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2925),
    [anon_sym_equ] = ACTIONS(2925),
    [anon_sym_eqr] = ACTIONS(2925),
    [anon_sym_ne] = ACTIONS(2925),
    [anon_sym_LT_EQ_GT] = ACTIONS(2925),
    [anon_sym_cmp] = ACTIONS(2925),
    [anon_sym_TILDE_TILDE] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2927),
    [anon_sym_GT_EQ] = ACTIONS(2925),
    [anon_sym_lt] = ACTIONS(2925),
    [anon_sym_le] = ACTIONS(2925),
    [anon_sym_ge] = ACTIONS(2925),
    [anon_sym_gt] = ACTIONS(2925),
    [anon_sym_isa] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2925),
    [anon_sym_QMARK] = ACTIONS(2925),
    [anon_sym_EQ_GT] = ACTIONS(2925),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2925),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1987] = {
    [sym_heredoc_content] = STATE(1987),
    [anon_sym_SEMI] = ACTIONS(2933),
    [anon_sym_EQ] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2933),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2933),
    [anon_sym_COMMA] = ACTIONS(2933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2933),
    [anon_sym_DASH_GT] = ACTIONS(2933),
    [anon_sym_PERCENT] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2935),
    [anon_sym_GT] = ACTIONS(2935),
    [anon_sym_LT_LT] = ACTIONS(2935),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2933),
    [anon_sym_PLUS_EQ] = ACTIONS(2933),
    [anon_sym_DASH_EQ] = ACTIONS(2933),
    [anon_sym_DOT_EQ] = ACTIONS(2933),
    [anon_sym_STAR_EQ] = ACTIONS(2933),
    [anon_sym_SLASH_EQ] = ACTIONS(2933),
    [anon_sym_PERCENT_EQ] = ACTIONS(2933),
    [anon_sym_x_EQ] = ACTIONS(2933),
    [anon_sym_AMP_EQ] = ACTIONS(2933),
    [anon_sym_PIPE_EQ] = ACTIONS(2933),
    [anon_sym_CARET_EQ] = ACTIONS(2933),
    [anon_sym_LT_LT_EQ] = ACTIONS(2933),
    [anon_sym_GT_GT_EQ] = ACTIONS(2933),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2933),
    [anon_sym_DOT_DOT] = ACTIONS(2935),
    [anon_sym_STAR_STAR] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(2935),
    [anon_sym_SLASH_SLASH] = ACTIONS(2935),
    [anon_sym_CARET_CARET] = ACTIONS(2933),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_PIPE] = ACTIONS(2935),
    [anon_sym_CARET] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_GT_GT2] = ACTIONS(2935),
    [anon_sym_PLUS] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2935),
    [anon_sym_DOT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_SLASH] = ACTIONS(2935),
    [anon_sym_x] = ACTIONS(2935),
    [anon_sym_EQ_TILDE] = ACTIONS(2933),
    [anon_sym_BANG_TILDE] = ACTIONS(2933),
    [anon_sym_EQ_EQ] = ACTIONS(2935),
    [anon_sym_BANG_EQ] = ACTIONS(2933),
    [anon_sym_eq] = ACTIONS(2935),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2933),
    [anon_sym_equ] = ACTIONS(2933),
    [anon_sym_eqr] = ACTIONS(2933),
    [anon_sym_ne] = ACTIONS(2933),
    [anon_sym_LT_EQ_GT] = ACTIONS(2933),
    [anon_sym_cmp] = ACTIONS(2933),
    [anon_sym_TILDE_TILDE] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2935),
    [anon_sym_GT_EQ] = ACTIONS(2933),
    [anon_sym_lt] = ACTIONS(2933),
    [anon_sym_le] = ACTIONS(2933),
    [anon_sym_ge] = ACTIONS(2933),
    [anon_sym_gt] = ACTIONS(2933),
    [anon_sym_isa] = ACTIONS(2933),
    [anon_sym_PLUS_PLUS] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2933),
    [anon_sym_QMARK] = ACTIONS(2933),
    [anon_sym_EQ_GT] = ACTIONS(2933),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2933),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1988] = {
    [sym_heredoc_content] = STATE(1988),
    [anon_sym_SEMI] = ACTIONS(2985),
    [anon_sym_EQ] = ACTIONS(2987),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_COMMA] = ACTIONS(2985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2985),
    [anon_sym_DASH_GT] = ACTIONS(2985),
    [anon_sym_PERCENT] = ACTIONS(2987),
    [anon_sym_LT] = ACTIONS(2987),
    [anon_sym_GT] = ACTIONS(2987),
    [anon_sym_LT_LT] = ACTIONS(2987),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2985),
    [anon_sym_PLUS_EQ] = ACTIONS(2985),
    [anon_sym_DASH_EQ] = ACTIONS(2985),
    [anon_sym_DOT_EQ] = ACTIONS(2985),
    [anon_sym_STAR_EQ] = ACTIONS(2985),
    [anon_sym_SLASH_EQ] = ACTIONS(2985),
    [anon_sym_PERCENT_EQ] = ACTIONS(2985),
    [anon_sym_x_EQ] = ACTIONS(2985),
    [anon_sym_AMP_EQ] = ACTIONS(2985),
    [anon_sym_PIPE_EQ] = ACTIONS(2985),
    [anon_sym_CARET_EQ] = ACTIONS(2985),
    [anon_sym_LT_LT_EQ] = ACTIONS(2985),
    [anon_sym_GT_GT_EQ] = ACTIONS(2985),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2985),
    [anon_sym_DOT_DOT] = ACTIONS(2987),
    [anon_sym_STAR_STAR] = ACTIONS(2987),
    [anon_sym_PIPE_PIPE] = ACTIONS(2987),
    [anon_sym_SLASH_SLASH] = ACTIONS(2987),
    [anon_sym_CARET_CARET] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_PIPE] = ACTIONS(2987),
    [anon_sym_CARET] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_GT_GT2] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_DOT] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_SLASH] = ACTIONS(2987),
    [anon_sym_x] = ACTIONS(2987),
    [anon_sym_EQ_TILDE] = ACTIONS(2985),
    [anon_sym_BANG_TILDE] = ACTIONS(2985),
    [anon_sym_EQ_EQ] = ACTIONS(2987),
    [anon_sym_BANG_EQ] = ACTIONS(2985),
    [anon_sym_eq] = ACTIONS(2987),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2985),
    [anon_sym_equ] = ACTIONS(2985),
    [anon_sym_eqr] = ACTIONS(2985),
    [anon_sym_ne] = ACTIONS(2985),
    [anon_sym_LT_EQ_GT] = ACTIONS(2985),
    [anon_sym_cmp] = ACTIONS(2985),
    [anon_sym_TILDE_TILDE] = ACTIONS(2985),
    [anon_sym_LT_EQ] = ACTIONS(2987),
    [anon_sym_GT_EQ] = ACTIONS(2985),
    [anon_sym_lt] = ACTIONS(2985),
    [anon_sym_le] = ACTIONS(2985),
    [anon_sym_ge] = ACTIONS(2985),
    [anon_sym_gt] = ACTIONS(2985),
    [anon_sym_isa] = ACTIONS(2985),
    [anon_sym_PLUS_PLUS] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(2985),
    [anon_sym_EQ_GT] = ACTIONS(2985),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2985),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1989] = {
    [sym_heredoc_content] = STATE(1989),
    [anon_sym_SEMI] = ACTIONS(2937),
    [anon_sym_EQ] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_COMMA] = ACTIONS(2937),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2937),
    [anon_sym_DASH_GT] = ACTIONS(2937),
    [anon_sym_PERCENT] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2939),
    [anon_sym_GT] = ACTIONS(2939),
    [anon_sym_LT_LT] = ACTIONS(2939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2937),
    [anon_sym_PLUS_EQ] = ACTIONS(2937),
    [anon_sym_DASH_EQ] = ACTIONS(2937),
    [anon_sym_DOT_EQ] = ACTIONS(2937),
    [anon_sym_STAR_EQ] = ACTIONS(2937),
    [anon_sym_SLASH_EQ] = ACTIONS(2937),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_x_EQ] = ACTIONS(2937),
    [anon_sym_AMP_EQ] = ACTIONS(2937),
    [anon_sym_PIPE_EQ] = ACTIONS(2937),
    [anon_sym_CARET_EQ] = ACTIONS(2937),
    [anon_sym_LT_LT_EQ] = ACTIONS(2937),
    [anon_sym_GT_GT_EQ] = ACTIONS(2937),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2937),
    [anon_sym_DOT_DOT] = ACTIONS(2939),
    [anon_sym_STAR_STAR] = ACTIONS(2939),
    [anon_sym_PIPE_PIPE] = ACTIONS(2939),
    [anon_sym_SLASH_SLASH] = ACTIONS(2939),
    [anon_sym_CARET_CARET] = ACTIONS(2937),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_PIPE] = ACTIONS(2939),
    [anon_sym_CARET] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2939),
    [anon_sym_GT_GT2] = ACTIONS(2939),
    [anon_sym_PLUS] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2939),
    [anon_sym_DOT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_SLASH] = ACTIONS(2939),
    [anon_sym_x] = ACTIONS(2939),
    [anon_sym_EQ_TILDE] = ACTIONS(2937),
    [anon_sym_BANG_TILDE] = ACTIONS(2937),
    [anon_sym_EQ_EQ] = ACTIONS(2939),
    [anon_sym_BANG_EQ] = ACTIONS(2937),
    [anon_sym_eq] = ACTIONS(2939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2937),
    [anon_sym_equ] = ACTIONS(2937),
    [anon_sym_eqr] = ACTIONS(2937),
    [anon_sym_ne] = ACTIONS(2937),
    [anon_sym_LT_EQ_GT] = ACTIONS(2937),
    [anon_sym_cmp] = ACTIONS(2937),
    [anon_sym_TILDE_TILDE] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2939),
    [anon_sym_GT_EQ] = ACTIONS(2937),
    [anon_sym_lt] = ACTIONS(2937),
    [anon_sym_le] = ACTIONS(2937),
    [anon_sym_ge] = ACTIONS(2937),
    [anon_sym_gt] = ACTIONS(2937),
    [anon_sym_isa] = ACTIONS(2937),
    [anon_sym_PLUS_PLUS] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2937),
    [anon_sym_QMARK] = ACTIONS(2937),
    [anon_sym_EQ_GT] = ACTIONS(2937),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2937),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1990] = {
    [sym_heredoc_content] = STATE(1990),
    [anon_sym_SEMI] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2797),
    [anon_sym_DASH_GT] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2799),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_GT] = ACTIONS(2799),
    [anon_sym_LT_LT] = ACTIONS(2799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2797),
    [anon_sym_PLUS_EQ] = ACTIONS(2797),
    [anon_sym_DASH_EQ] = ACTIONS(2797),
    [anon_sym_DOT_EQ] = ACTIONS(2797),
    [anon_sym_STAR_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_PERCENT_EQ] = ACTIONS(2797),
    [anon_sym_x_EQ] = ACTIONS(2797),
    [anon_sym_AMP_EQ] = ACTIONS(2797),
    [anon_sym_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_CARET_EQ] = ACTIONS(2797),
    [anon_sym_LT_LT_EQ] = ACTIONS(2797),
    [anon_sym_GT_GT_EQ] = ACTIONS(2797),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2797),
    [anon_sym_DOT_DOT] = ACTIONS(2799),
    [anon_sym_STAR_STAR] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH] = ACTIONS(2799),
    [anon_sym_CARET_CARET] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_PIPE] = ACTIONS(2799),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2799),
    [anon_sym_GT_GT2] = ACTIONS(2799),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_SLASH] = ACTIONS(2799),
    [anon_sym_x] = ACTIONS(2799),
    [anon_sym_EQ_TILDE] = ACTIONS(2797),
    [anon_sym_BANG_TILDE] = ACTIONS(2797),
    [anon_sym_EQ_EQ] = ACTIONS(2799),
    [anon_sym_BANG_EQ] = ACTIONS(2797),
    [anon_sym_eq] = ACTIONS(2799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2797),
    [anon_sym_equ] = ACTIONS(2797),
    [anon_sym_eqr] = ACTIONS(2797),
    [anon_sym_ne] = ACTIONS(2797),
    [anon_sym_LT_EQ_GT] = ACTIONS(2797),
    [anon_sym_cmp] = ACTIONS(2797),
    [anon_sym_TILDE_TILDE] = ACTIONS(2797),
    [anon_sym_LT_EQ] = ACTIONS(2799),
    [anon_sym_GT_EQ] = ACTIONS(2797),
    [anon_sym_lt] = ACTIONS(2797),
    [anon_sym_le] = ACTIONS(2797),
    [anon_sym_ge] = ACTIONS(2797),
    [anon_sym_gt] = ACTIONS(2797),
    [anon_sym_isa] = ACTIONS(2797),
    [anon_sym_PLUS_PLUS] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_EQ_GT] = ACTIONS(2797),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2797),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1991] = {
    [sym_heredoc_content] = STATE(1991),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_COMMA] = ACTIONS(3118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3118),
    [anon_sym_DASH_GT] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3120),
    [anon_sym_LT] = ACTIONS(3120),
    [anon_sym_GT] = ACTIONS(3120),
    [anon_sym_LT_LT] = ACTIONS(3120),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3118),
    [anon_sym_DASH_EQ] = ACTIONS(3118),
    [anon_sym_DOT_EQ] = ACTIONS(3118),
    [anon_sym_STAR_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_PERCENT_EQ] = ACTIONS(3118),
    [anon_sym_x_EQ] = ACTIONS(3118),
    [anon_sym_AMP_EQ] = ACTIONS(3118),
    [anon_sym_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_CARET_EQ] = ACTIONS(3118),
    [anon_sym_LT_LT_EQ] = ACTIONS(3118),
    [anon_sym_GT_GT_EQ] = ACTIONS(3118),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3118),
    [anon_sym_DOT_DOT] = ACTIONS(3120),
    [anon_sym_STAR_STAR] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_SLASH_SLASH] = ACTIONS(3120),
    [anon_sym_CARET_CARET] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_PIPE] = ACTIONS(3120),
    [anon_sym_CARET] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_GT_GT2] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3120),
    [anon_sym_x] = ACTIONS(3120),
    [anon_sym_EQ_TILDE] = ACTIONS(3118),
    [anon_sym_BANG_TILDE] = ACTIONS(3118),
    [anon_sym_EQ_EQ] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_eq] = ACTIONS(3120),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3118),
    [anon_sym_equ] = ACTIONS(3118),
    [anon_sym_eqr] = ACTIONS(3118),
    [anon_sym_ne] = ACTIONS(3118),
    [anon_sym_LT_EQ_GT] = ACTIONS(3118),
    [anon_sym_cmp] = ACTIONS(3118),
    [anon_sym_TILDE_TILDE] = ACTIONS(3118),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3118),
    [anon_sym_lt] = ACTIONS(3118),
    [anon_sym_le] = ACTIONS(3118),
    [anon_sym_ge] = ACTIONS(3118),
    [anon_sym_gt] = ACTIONS(3118),
    [anon_sym_isa] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_QMARK] = ACTIONS(3118),
    [anon_sym_EQ_GT] = ACTIONS(3118),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3118),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1992] = {
    [sym_heredoc_content] = STATE(1992),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_COMMA] = ACTIONS(3130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3130),
    [anon_sym_DASH_GT] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3132),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_GT] = ACTIONS(3132),
    [anon_sym_LT_LT] = ACTIONS(3132),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3130),
    [anon_sym_DASH_EQ] = ACTIONS(3130),
    [anon_sym_DOT_EQ] = ACTIONS(3130),
    [anon_sym_STAR_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_PERCENT_EQ] = ACTIONS(3130),
    [anon_sym_x_EQ] = ACTIONS(3130),
    [anon_sym_AMP_EQ] = ACTIONS(3130),
    [anon_sym_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_CARET_EQ] = ACTIONS(3130),
    [anon_sym_LT_LT_EQ] = ACTIONS(3130),
    [anon_sym_GT_GT_EQ] = ACTIONS(3130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3130),
    [anon_sym_DOT_DOT] = ACTIONS(3132),
    [anon_sym_STAR_STAR] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_SLASH_SLASH] = ACTIONS(3132),
    [anon_sym_CARET_CARET] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3132),
    [anon_sym_CARET] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_GT_GT2] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_x] = ACTIONS(3132),
    [anon_sym_EQ_TILDE] = ACTIONS(3130),
    [anon_sym_BANG_TILDE] = ACTIONS(3130),
    [anon_sym_EQ_EQ] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_eq] = ACTIONS(3132),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3130),
    [anon_sym_equ] = ACTIONS(3130),
    [anon_sym_eqr] = ACTIONS(3130),
    [anon_sym_ne] = ACTIONS(3130),
    [anon_sym_LT_EQ_GT] = ACTIONS(3130),
    [anon_sym_cmp] = ACTIONS(3130),
    [anon_sym_TILDE_TILDE] = ACTIONS(3130),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3130),
    [anon_sym_lt] = ACTIONS(3130),
    [anon_sym_le] = ACTIONS(3130),
    [anon_sym_ge] = ACTIONS(3130),
    [anon_sym_gt] = ACTIONS(3130),
    [anon_sym_isa] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_QMARK] = ACTIONS(3130),
    [anon_sym_EQ_GT] = ACTIONS(3130),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3130),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1993] = {
    [sym_heredoc_content] = STATE(1993),
    [anon_sym_SEMI] = ACTIONS(2917),
    [anon_sym_EQ] = ACTIONS(2919),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2917),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2917),
    [anon_sym_COMMA] = ACTIONS(2917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2917),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(2919),
    [anon_sym_GT] = ACTIONS(2919),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2917),
    [anon_sym_PLUS_EQ] = ACTIONS(2917),
    [anon_sym_DASH_EQ] = ACTIONS(2917),
    [anon_sym_DOT_EQ] = ACTIONS(2917),
    [anon_sym_STAR_EQ] = ACTIONS(2917),
    [anon_sym_SLASH_EQ] = ACTIONS(2917),
    [anon_sym_PERCENT_EQ] = ACTIONS(2917),
    [anon_sym_x_EQ] = ACTIONS(2917),
    [anon_sym_AMP_EQ] = ACTIONS(2917),
    [anon_sym_PIPE_EQ] = ACTIONS(2917),
    [anon_sym_CARET_EQ] = ACTIONS(2917),
    [anon_sym_LT_LT_EQ] = ACTIONS(2917),
    [anon_sym_GT_GT_EQ] = ACTIONS(2917),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2917),
    [anon_sym_DOT_DOT] = ACTIONS(2919),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(2919),
    [anon_sym_SLASH_SLASH] = ACTIONS(2919),
    [anon_sym_CARET_CARET] = ACTIONS(2917),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_PIPE] = ACTIONS(2919),
    [anon_sym_CARET] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(2919),
    [anon_sym_BANG_EQ] = ACTIONS(2917),
    [anon_sym_eq] = ACTIONS(2919),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2917),
    [anon_sym_equ] = ACTIONS(2917),
    [anon_sym_eqr] = ACTIONS(2917),
    [anon_sym_ne] = ACTIONS(2917),
    [anon_sym_LT_EQ_GT] = ACTIONS(2917),
    [anon_sym_cmp] = ACTIONS(2917),
    [anon_sym_TILDE_TILDE] = ACTIONS(2917),
    [anon_sym_LT_EQ] = ACTIONS(2919),
    [anon_sym_GT_EQ] = ACTIONS(2917),
    [anon_sym_lt] = ACTIONS(2917),
    [anon_sym_le] = ACTIONS(2917),
    [anon_sym_ge] = ACTIONS(2917),
    [anon_sym_gt] = ACTIONS(2917),
    [anon_sym_isa] = ACTIONS(2917),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(2917),
    [anon_sym_EQ_GT] = ACTIONS(2917),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2917),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1994] = {
    [sym_heredoc_content] = STATE(1994),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_COMMA] = ACTIONS(3134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3134),
    [anon_sym_DASH_GT] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3136),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_GT] = ACTIONS(3136),
    [anon_sym_LT_LT] = ACTIONS(3136),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3134),
    [anon_sym_DASH_EQ] = ACTIONS(3134),
    [anon_sym_DOT_EQ] = ACTIONS(3134),
    [anon_sym_STAR_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_PERCENT_EQ] = ACTIONS(3134),
    [anon_sym_x_EQ] = ACTIONS(3134),
    [anon_sym_AMP_EQ] = ACTIONS(3134),
    [anon_sym_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_CARET_EQ] = ACTIONS(3134),
    [anon_sym_LT_LT_EQ] = ACTIONS(3134),
    [anon_sym_GT_GT_EQ] = ACTIONS(3134),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3134),
    [anon_sym_DOT_DOT] = ACTIONS(3136),
    [anon_sym_STAR_STAR] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_SLASH_SLASH] = ACTIONS(3136),
    [anon_sym_CARET_CARET] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_PIPE] = ACTIONS(3136),
    [anon_sym_CARET] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_GT_GT2] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_x] = ACTIONS(3136),
    [anon_sym_EQ_TILDE] = ACTIONS(3134),
    [anon_sym_BANG_TILDE] = ACTIONS(3134),
    [anon_sym_EQ_EQ] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_eq] = ACTIONS(3136),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3134),
    [anon_sym_equ] = ACTIONS(3134),
    [anon_sym_eqr] = ACTIONS(3134),
    [anon_sym_ne] = ACTIONS(3134),
    [anon_sym_LT_EQ_GT] = ACTIONS(3134),
    [anon_sym_cmp] = ACTIONS(3134),
    [anon_sym_TILDE_TILDE] = ACTIONS(3134),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3134),
    [anon_sym_lt] = ACTIONS(3134),
    [anon_sym_le] = ACTIONS(3134),
    [anon_sym_ge] = ACTIONS(3134),
    [anon_sym_gt] = ACTIONS(3134),
    [anon_sym_isa] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_QMARK] = ACTIONS(3134),
    [anon_sym_EQ_GT] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3134),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1995] = {
    [sym_heredoc_content] = STATE(1995),
    [anon_sym_SEMI] = ACTIONS(2761),
    [anon_sym_EQ] = ACTIONS(2763),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2761),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2761),
    [anon_sym_COMMA] = ACTIONS(2761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2761),
    [anon_sym_DASH_GT] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2763),
    [anon_sym_LT] = ACTIONS(2763),
    [anon_sym_GT] = ACTIONS(2763),
    [anon_sym_LT_LT] = ACTIONS(2763),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2761),
    [anon_sym_PLUS_EQ] = ACTIONS(2761),
    [anon_sym_DASH_EQ] = ACTIONS(2761),
    [anon_sym_DOT_EQ] = ACTIONS(2761),
    [anon_sym_STAR_EQ] = ACTIONS(2761),
    [anon_sym_SLASH_EQ] = ACTIONS(2761),
    [anon_sym_PERCENT_EQ] = ACTIONS(2761),
    [anon_sym_x_EQ] = ACTIONS(2761),
    [anon_sym_AMP_EQ] = ACTIONS(2761),
    [anon_sym_PIPE_EQ] = ACTIONS(2761),
    [anon_sym_CARET_EQ] = ACTIONS(2761),
    [anon_sym_LT_LT_EQ] = ACTIONS(2761),
    [anon_sym_GT_GT_EQ] = ACTIONS(2761),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2761),
    [anon_sym_DOT_DOT] = ACTIONS(2763),
    [anon_sym_STAR_STAR] = ACTIONS(2763),
    [anon_sym_PIPE_PIPE] = ACTIONS(2763),
    [anon_sym_SLASH_SLASH] = ACTIONS(2763),
    [anon_sym_CARET_CARET] = ACTIONS(2761),
    [anon_sym_AMP_AMP] = ACTIONS(2763),
    [anon_sym_PIPE] = ACTIONS(2763),
    [anon_sym_CARET] = ACTIONS(2763),
    [anon_sym_AMP] = ACTIONS(2763),
    [anon_sym_GT_GT2] = ACTIONS(2763),
    [anon_sym_PLUS] = ACTIONS(2763),
    [anon_sym_DASH] = ACTIONS(2763),
    [anon_sym_DOT] = ACTIONS(2763),
    [anon_sym_STAR] = ACTIONS(2763),
    [anon_sym_SLASH] = ACTIONS(2763),
    [anon_sym_x] = ACTIONS(2763),
    [anon_sym_EQ_TILDE] = ACTIONS(2761),
    [anon_sym_BANG_TILDE] = ACTIONS(2761),
    [anon_sym_EQ_EQ] = ACTIONS(2763),
    [anon_sym_BANG_EQ] = ACTIONS(2761),
    [anon_sym_eq] = ACTIONS(2763),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2761),
    [anon_sym_equ] = ACTIONS(2761),
    [anon_sym_eqr] = ACTIONS(2761),
    [anon_sym_ne] = ACTIONS(2761),
    [anon_sym_LT_EQ_GT] = ACTIONS(2761),
    [anon_sym_cmp] = ACTIONS(2761),
    [anon_sym_TILDE_TILDE] = ACTIONS(2761),
    [anon_sym_LT_EQ] = ACTIONS(2763),
    [anon_sym_GT_EQ] = ACTIONS(2761),
    [anon_sym_lt] = ACTIONS(2761),
    [anon_sym_le] = ACTIONS(2761),
    [anon_sym_ge] = ACTIONS(2761),
    [anon_sym_gt] = ACTIONS(2761),
    [anon_sym_isa] = ACTIONS(2761),
    [anon_sym_PLUS_PLUS] = ACTIONS(2761),
    [anon_sym_DASH_DASH] = ACTIONS(2761),
    [anon_sym_QMARK] = ACTIONS(2761),
    [anon_sym_EQ_GT] = ACTIONS(2761),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2761),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1996] = {
    [sym_heredoc_content] = STATE(1996),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(3158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3158),
    [anon_sym_DASH_GT] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3160),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_GT] = ACTIONS(3160),
    [anon_sym_LT_LT] = ACTIONS(3160),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3158),
    [anon_sym_DASH_EQ] = ACTIONS(3158),
    [anon_sym_DOT_EQ] = ACTIONS(3158),
    [anon_sym_STAR_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_PERCENT_EQ] = ACTIONS(3158),
    [anon_sym_x_EQ] = ACTIONS(3158),
    [anon_sym_AMP_EQ] = ACTIONS(3158),
    [anon_sym_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_CARET_EQ] = ACTIONS(3158),
    [anon_sym_LT_LT_EQ] = ACTIONS(3158),
    [anon_sym_GT_GT_EQ] = ACTIONS(3158),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3158),
    [anon_sym_DOT_DOT] = ACTIONS(3160),
    [anon_sym_STAR_STAR] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_SLASH_SLASH] = ACTIONS(3160),
    [anon_sym_CARET_CARET] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_PIPE] = ACTIONS(3160),
    [anon_sym_CARET] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym_GT_GT2] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_DOT] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_SLASH] = ACTIONS(3160),
    [anon_sym_x] = ACTIONS(3160),
    [anon_sym_EQ_TILDE] = ACTIONS(3158),
    [anon_sym_BANG_TILDE] = ACTIONS(3158),
    [anon_sym_EQ_EQ] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_eq] = ACTIONS(3160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3158),
    [anon_sym_equ] = ACTIONS(3158),
    [anon_sym_eqr] = ACTIONS(3158),
    [anon_sym_ne] = ACTIONS(3158),
    [anon_sym_LT_EQ_GT] = ACTIONS(3158),
    [anon_sym_cmp] = ACTIONS(3158),
    [anon_sym_TILDE_TILDE] = ACTIONS(3158),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3158),
    [anon_sym_lt] = ACTIONS(3158),
    [anon_sym_le] = ACTIONS(3158),
    [anon_sym_ge] = ACTIONS(3158),
    [anon_sym_gt] = ACTIONS(3158),
    [anon_sym_isa] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_QMARK] = ACTIONS(3158),
    [anon_sym_EQ_GT] = ACTIONS(3158),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3158),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1997] = {
    [sym_heredoc_content] = STATE(1997),
    [anon_sym_SEMI] = ACTIONS(2817),
    [anon_sym_EQ] = ACTIONS(2819),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2817),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2817),
    [anon_sym_COMMA] = ACTIONS(2817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2817),
    [anon_sym_DASH_GT] = ACTIONS(2817),
    [anon_sym_PERCENT] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_GT] = ACTIONS(2819),
    [anon_sym_LT_LT] = ACTIONS(2819),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2817),
    [anon_sym_PLUS_EQ] = ACTIONS(2817),
    [anon_sym_DASH_EQ] = ACTIONS(2817),
    [anon_sym_DOT_EQ] = ACTIONS(2817),
    [anon_sym_STAR_EQ] = ACTIONS(2817),
    [anon_sym_SLASH_EQ] = ACTIONS(2817),
    [anon_sym_PERCENT_EQ] = ACTIONS(2817),
    [anon_sym_x_EQ] = ACTIONS(2817),
    [anon_sym_AMP_EQ] = ACTIONS(2817),
    [anon_sym_PIPE_EQ] = ACTIONS(2817),
    [anon_sym_CARET_EQ] = ACTIONS(2817),
    [anon_sym_LT_LT_EQ] = ACTIONS(2817),
    [anon_sym_GT_GT_EQ] = ACTIONS(2817),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2817),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_STAR_STAR] = ACTIONS(2819),
    [anon_sym_PIPE_PIPE] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH] = ACTIONS(2819),
    [anon_sym_CARET_CARET] = ACTIONS(2817),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [anon_sym_GT_GT2] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_DOT] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_SLASH] = ACTIONS(2819),
    [anon_sym_x] = ACTIONS(2819),
    [anon_sym_EQ_TILDE] = ACTIONS(2817),
    [anon_sym_BANG_TILDE] = ACTIONS(2817),
    [anon_sym_EQ_EQ] = ACTIONS(2819),
    [anon_sym_BANG_EQ] = ACTIONS(2817),
    [anon_sym_eq] = ACTIONS(2819),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2817),
    [anon_sym_equ] = ACTIONS(2817),
    [anon_sym_eqr] = ACTIONS(2817),
    [anon_sym_ne] = ACTIONS(2817),
    [anon_sym_LT_EQ_GT] = ACTIONS(2817),
    [anon_sym_cmp] = ACTIONS(2817),
    [anon_sym_TILDE_TILDE] = ACTIONS(2817),
    [anon_sym_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_EQ] = ACTIONS(2817),
    [anon_sym_lt] = ACTIONS(2817),
    [anon_sym_le] = ACTIONS(2817),
    [anon_sym_ge] = ACTIONS(2817),
    [anon_sym_gt] = ACTIONS(2817),
    [anon_sym_isa] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2817),
    [anon_sym_QMARK] = ACTIONS(2817),
    [anon_sym_EQ_GT] = ACTIONS(2817),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2817),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1998] = {
    [sym_heredoc_content] = STATE(1998),
    [anon_sym_SEMI] = ACTIONS(3028),
    [anon_sym_EQ] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3028),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3028),
    [anon_sym_COMMA] = ACTIONS(3028),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3028),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(3030),
    [anon_sym_GT] = ACTIONS(3030),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3028),
    [anon_sym_PLUS_EQ] = ACTIONS(3028),
    [anon_sym_DASH_EQ] = ACTIONS(3028),
    [anon_sym_DOT_EQ] = ACTIONS(3028),
    [anon_sym_STAR_EQ] = ACTIONS(3028),
    [anon_sym_SLASH_EQ] = ACTIONS(3028),
    [anon_sym_PERCENT_EQ] = ACTIONS(3028),
    [anon_sym_x_EQ] = ACTIONS(3028),
    [anon_sym_AMP_EQ] = ACTIONS(3028),
    [anon_sym_PIPE_EQ] = ACTIONS(3028),
    [anon_sym_CARET_EQ] = ACTIONS(3028),
    [anon_sym_LT_LT_EQ] = ACTIONS(3028),
    [anon_sym_GT_GT_EQ] = ACTIONS(3028),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3028),
    [anon_sym_DOT_DOT] = ACTIONS(3030),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(3030),
    [anon_sym_SLASH_SLASH] = ACTIONS(3030),
    [anon_sym_CARET_CARET] = ACTIONS(3028),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_CARET] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3030),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(3030),
    [anon_sym_BANG_EQ] = ACTIONS(3028),
    [anon_sym_eq] = ACTIONS(3030),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3028),
    [anon_sym_equ] = ACTIONS(3028),
    [anon_sym_eqr] = ACTIONS(3028),
    [anon_sym_ne] = ACTIONS(3028),
    [anon_sym_LT_EQ_GT] = ACTIONS(3028),
    [anon_sym_cmp] = ACTIONS(3028),
    [anon_sym_TILDE_TILDE] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(3030),
    [anon_sym_GT_EQ] = ACTIONS(3028),
    [anon_sym_lt] = ACTIONS(3028),
    [anon_sym_le] = ACTIONS(3028),
    [anon_sym_ge] = ACTIONS(3028),
    [anon_sym_gt] = ACTIONS(3028),
    [anon_sym_isa] = ACTIONS(3028),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(3028),
    [anon_sym_EQ_GT] = ACTIONS(3028),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3028),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1999] = {
    [sym_heredoc_content] = STATE(1999),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym_EQ] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_COMMA] = ACTIONS(3126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3126),
    [anon_sym_DASH_GT] = ACTIONS(3126),
    [anon_sym_PERCENT] = ACTIONS(3128),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_GT] = ACTIONS(3128),
    [anon_sym_LT_LT] = ACTIONS(3128),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3126),
    [anon_sym_PLUS_EQ] = ACTIONS(3126),
    [anon_sym_DASH_EQ] = ACTIONS(3126),
    [anon_sym_DOT_EQ] = ACTIONS(3126),
    [anon_sym_STAR_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_PERCENT_EQ] = ACTIONS(3126),
    [anon_sym_x_EQ] = ACTIONS(3126),
    [anon_sym_AMP_EQ] = ACTIONS(3126),
    [anon_sym_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_CARET_EQ] = ACTIONS(3126),
    [anon_sym_LT_LT_EQ] = ACTIONS(3126),
    [anon_sym_GT_GT_EQ] = ACTIONS(3126),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3126),
    [anon_sym_DOT_DOT] = ACTIONS(3128),
    [anon_sym_STAR_STAR] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE] = ACTIONS(3128),
    [anon_sym_SLASH_SLASH] = ACTIONS(3128),
    [anon_sym_CARET_CARET] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_GT_GT2] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3128),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_SLASH] = ACTIONS(3128),
    [anon_sym_x] = ACTIONS(3128),
    [anon_sym_EQ_TILDE] = ACTIONS(3126),
    [anon_sym_BANG_TILDE] = ACTIONS(3126),
    [anon_sym_EQ_EQ] = ACTIONS(3128),
    [anon_sym_BANG_EQ] = ACTIONS(3126),
    [anon_sym_eq] = ACTIONS(3128),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3126),
    [anon_sym_equ] = ACTIONS(3126),
    [anon_sym_eqr] = ACTIONS(3126),
    [anon_sym_ne] = ACTIONS(3126),
    [anon_sym_LT_EQ_GT] = ACTIONS(3126),
    [anon_sym_cmp] = ACTIONS(3126),
    [anon_sym_TILDE_TILDE] = ACTIONS(3126),
    [anon_sym_LT_EQ] = ACTIONS(3128),
    [anon_sym_GT_EQ] = ACTIONS(3126),
    [anon_sym_lt] = ACTIONS(3126),
    [anon_sym_le] = ACTIONS(3126),
    [anon_sym_ge] = ACTIONS(3126),
    [anon_sym_gt] = ACTIONS(3126),
    [anon_sym_isa] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_EQ_GT] = ACTIONS(3126),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3126),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2000] = {
    [sym_heredoc_content] = STATE(2000),
    [anon_sym_SEMI] = ACTIONS(2697),
    [anon_sym_EQ] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2697),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2697),
    [anon_sym_COMMA] = ACTIONS(2697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2697),
    [anon_sym_DASH_GT] = ACTIONS(2697),
    [anon_sym_PERCENT] = ACTIONS(2699),
    [anon_sym_LT] = ACTIONS(2699),
    [anon_sym_GT] = ACTIONS(2699),
    [anon_sym_LT_LT] = ACTIONS(2699),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2697),
    [anon_sym_PLUS_EQ] = ACTIONS(2697),
    [anon_sym_DASH_EQ] = ACTIONS(2697),
    [anon_sym_DOT_EQ] = ACTIONS(2697),
    [anon_sym_STAR_EQ] = ACTIONS(2697),
    [anon_sym_SLASH_EQ] = ACTIONS(2697),
    [anon_sym_PERCENT_EQ] = ACTIONS(2697),
    [anon_sym_x_EQ] = ACTIONS(2697),
    [anon_sym_AMP_EQ] = ACTIONS(2697),
    [anon_sym_PIPE_EQ] = ACTIONS(2697),
    [anon_sym_CARET_EQ] = ACTIONS(2697),
    [anon_sym_LT_LT_EQ] = ACTIONS(2697),
    [anon_sym_GT_GT_EQ] = ACTIONS(2697),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2697),
    [anon_sym_DOT_DOT] = ACTIONS(2699),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2699),
    [anon_sym_SLASH_SLASH] = ACTIONS(2699),
    [anon_sym_CARET_CARET] = ACTIONS(2697),
    [anon_sym_AMP_AMP] = ACTIONS(2699),
    [anon_sym_PIPE] = ACTIONS(2699),
    [anon_sym_CARET] = ACTIONS(2699),
    [anon_sym_AMP] = ACTIONS(2699),
    [anon_sym_GT_GT2] = ACTIONS(2699),
    [anon_sym_PLUS] = ACTIONS(2699),
    [anon_sym_DASH] = ACTIONS(2699),
    [anon_sym_DOT] = ACTIONS(2699),
    [anon_sym_STAR] = ACTIONS(2699),
    [anon_sym_SLASH] = ACTIONS(2699),
    [anon_sym_x] = ACTIONS(2699),
    [anon_sym_EQ_TILDE] = ACTIONS(2697),
    [anon_sym_BANG_TILDE] = ACTIONS(2697),
    [anon_sym_EQ_EQ] = ACTIONS(2699),
    [anon_sym_BANG_EQ] = ACTIONS(2697),
    [anon_sym_eq] = ACTIONS(2699),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2697),
    [anon_sym_equ] = ACTIONS(2697),
    [anon_sym_eqr] = ACTIONS(2697),
    [anon_sym_ne] = ACTIONS(2697),
    [anon_sym_LT_EQ_GT] = ACTIONS(2697),
    [anon_sym_cmp] = ACTIONS(2697),
    [anon_sym_TILDE_TILDE] = ACTIONS(2697),
    [anon_sym_LT_EQ] = ACTIONS(2699),
    [anon_sym_GT_EQ] = ACTIONS(2697),
    [anon_sym_lt] = ACTIONS(2697),
    [anon_sym_le] = ACTIONS(2697),
    [anon_sym_ge] = ACTIONS(2697),
    [anon_sym_gt] = ACTIONS(2697),
    [anon_sym_isa] = ACTIONS(2697),
    [anon_sym_PLUS_PLUS] = ACTIONS(2697),
    [anon_sym_DASH_DASH] = ACTIONS(2697),
    [anon_sym_QMARK] = ACTIONS(2697),
    [anon_sym_EQ_GT] = ACTIONS(2697),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2697),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2001] = {
    [sym_heredoc_content] = STATE(2001),
    [anon_sym_SEMI] = ACTIONS(2745),
    [anon_sym_EQ] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2745),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2745),
    [anon_sym_COMMA] = ACTIONS(2745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2745),
    [anon_sym_DASH_GT] = ACTIONS(2745),
    [anon_sym_PERCENT] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2747),
    [anon_sym_GT] = ACTIONS(2747),
    [anon_sym_LT_LT] = ACTIONS(2747),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2745),
    [anon_sym_PLUS_EQ] = ACTIONS(2745),
    [anon_sym_DASH_EQ] = ACTIONS(2745),
    [anon_sym_DOT_EQ] = ACTIONS(2745),
    [anon_sym_STAR_EQ] = ACTIONS(2745),
    [anon_sym_SLASH_EQ] = ACTIONS(2745),
    [anon_sym_PERCENT_EQ] = ACTIONS(2745),
    [anon_sym_x_EQ] = ACTIONS(2745),
    [anon_sym_AMP_EQ] = ACTIONS(2745),
    [anon_sym_PIPE_EQ] = ACTIONS(2745),
    [anon_sym_CARET_EQ] = ACTIONS(2745),
    [anon_sym_LT_LT_EQ] = ACTIONS(2745),
    [anon_sym_GT_GT_EQ] = ACTIONS(2745),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2745),
    [anon_sym_DOT_DOT] = ACTIONS(2747),
    [anon_sym_STAR_STAR] = ACTIONS(2747),
    [anon_sym_PIPE_PIPE] = ACTIONS(2747),
    [anon_sym_SLASH_SLASH] = ACTIONS(2747),
    [anon_sym_CARET_CARET] = ACTIONS(2745),
    [anon_sym_AMP_AMP] = ACTIONS(2747),
    [anon_sym_PIPE] = ACTIONS(2747),
    [anon_sym_CARET] = ACTIONS(2747),
    [anon_sym_AMP] = ACTIONS(2747),
    [anon_sym_GT_GT2] = ACTIONS(2747),
    [anon_sym_PLUS] = ACTIONS(2747),
    [anon_sym_DASH] = ACTIONS(2747),
    [anon_sym_DOT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2747),
    [anon_sym_SLASH] = ACTIONS(2747),
    [anon_sym_x] = ACTIONS(2747),
    [anon_sym_EQ_TILDE] = ACTIONS(2745),
    [anon_sym_BANG_TILDE] = ACTIONS(2745),
    [anon_sym_EQ_EQ] = ACTIONS(2747),
    [anon_sym_BANG_EQ] = ACTIONS(2745),
    [anon_sym_eq] = ACTIONS(2747),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2745),
    [anon_sym_equ] = ACTIONS(2745),
    [anon_sym_eqr] = ACTIONS(2745),
    [anon_sym_ne] = ACTIONS(2745),
    [anon_sym_LT_EQ_GT] = ACTIONS(2745),
    [anon_sym_cmp] = ACTIONS(2745),
    [anon_sym_TILDE_TILDE] = ACTIONS(2745),
    [anon_sym_LT_EQ] = ACTIONS(2747),
    [anon_sym_GT_EQ] = ACTIONS(2745),
    [anon_sym_lt] = ACTIONS(2745),
    [anon_sym_le] = ACTIONS(2745),
    [anon_sym_ge] = ACTIONS(2745),
    [anon_sym_gt] = ACTIONS(2745),
    [anon_sym_isa] = ACTIONS(2745),
    [anon_sym_PLUS_PLUS] = ACTIONS(2745),
    [anon_sym_DASH_DASH] = ACTIONS(2745),
    [anon_sym_QMARK] = ACTIONS(2745),
    [anon_sym_EQ_GT] = ACTIONS(2745),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2745),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2002] = {
    [sym_heredoc_content] = STATE(2002),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3598),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3600),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3600),
    [anon_sym_COMMA] = ACTIONS(3154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3604),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_GT] = ACTIONS(3610),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3600),
    [anon_sym_PLUS_EQ] = ACTIONS(3600),
    [anon_sym_DASH_EQ] = ACTIONS(3600),
    [anon_sym_DOT_EQ] = ACTIONS(3600),
    [anon_sym_STAR_EQ] = ACTIONS(3600),
    [anon_sym_SLASH_EQ] = ACTIONS(3600),
    [anon_sym_PERCENT_EQ] = ACTIONS(3600),
    [anon_sym_x_EQ] = ACTIONS(3600),
    [anon_sym_AMP_EQ] = ACTIONS(3600),
    [anon_sym_PIPE_EQ] = ACTIONS(3600),
    [anon_sym_CARET_EQ] = ACTIONS(3600),
    [anon_sym_LT_LT_EQ] = ACTIONS(3600),
    [anon_sym_GT_GT_EQ] = ACTIONS(3600),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3600),
    [anon_sym_DOT_DOT] = ACTIONS(3614),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(3618),
    [anon_sym_SLASH_SLASH] = ACTIONS(3618),
    [anon_sym_CARET_CARET] = ACTIONS(3620),
    [anon_sym_AMP_AMP] = ACTIONS(3622),
    [anon_sym_PIPE] = ACTIONS(3624),
    [anon_sym_CARET] = ACTIONS(3624),
    [anon_sym_AMP] = ACTIONS(3626),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(3632),
    [anon_sym_BANG_EQ] = ACTIONS(3634),
    [anon_sym_eq] = ACTIONS(3632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3634),
    [anon_sym_equ] = ACTIONS(3634),
    [anon_sym_eqr] = ACTIONS(3634),
    [anon_sym_ne] = ACTIONS(3634),
    [anon_sym_LT_EQ_GT] = ACTIONS(3636),
    [anon_sym_cmp] = ACTIONS(3636),
    [anon_sym_TILDE_TILDE] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3610),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_lt] = ACTIONS(3638),
    [anon_sym_le] = ACTIONS(3638),
    [anon_sym_ge] = ACTIONS(3638),
    [anon_sym_gt] = ACTIONS(3638),
    [anon_sym_isa] = ACTIONS(3640),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(3644),
    [anon_sym_EQ_GT] = ACTIONS(3154),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3154),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2003] = {
    [sym_heredoc_content] = STATE(2003),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym_EQ] = ACTIONS(2911),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_COMMA] = ACTIONS(2909),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2909),
    [anon_sym_DASH_GT] = ACTIONS(2909),
    [anon_sym_PERCENT] = ACTIONS(2911),
    [anon_sym_LT] = ACTIONS(2911),
    [anon_sym_GT] = ACTIONS(2911),
    [anon_sym_LT_LT] = ACTIONS(2911),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2909),
    [anon_sym_PLUS_EQ] = ACTIONS(2909),
    [anon_sym_DASH_EQ] = ACTIONS(2909),
    [anon_sym_DOT_EQ] = ACTIONS(2909),
    [anon_sym_STAR_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_PERCENT_EQ] = ACTIONS(2909),
    [anon_sym_x_EQ] = ACTIONS(2909),
    [anon_sym_AMP_EQ] = ACTIONS(2909),
    [anon_sym_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_CARET_EQ] = ACTIONS(2909),
    [anon_sym_LT_LT_EQ] = ACTIONS(2909),
    [anon_sym_GT_GT_EQ] = ACTIONS(2909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2909),
    [anon_sym_DOT_DOT] = ACTIONS(2911),
    [anon_sym_STAR_STAR] = ACTIONS(2911),
    [anon_sym_PIPE_PIPE] = ACTIONS(2911),
    [anon_sym_SLASH_SLASH] = ACTIONS(2911),
    [anon_sym_CARET_CARET] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_PIPE] = ACTIONS(2911),
    [anon_sym_CARET] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_GT_GT2] = ACTIONS(2911),
    [anon_sym_PLUS] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_DOT] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_SLASH] = ACTIONS(2911),
    [anon_sym_x] = ACTIONS(2911),
    [anon_sym_EQ_TILDE] = ACTIONS(2909),
    [anon_sym_BANG_TILDE] = ACTIONS(2909),
    [anon_sym_EQ_EQ] = ACTIONS(2911),
    [anon_sym_BANG_EQ] = ACTIONS(2909),
    [anon_sym_eq] = ACTIONS(2911),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2909),
    [anon_sym_equ] = ACTIONS(2909),
    [anon_sym_eqr] = ACTIONS(2909),
    [anon_sym_ne] = ACTIONS(2909),
    [anon_sym_LT_EQ_GT] = ACTIONS(2909),
    [anon_sym_cmp] = ACTIONS(2909),
    [anon_sym_TILDE_TILDE] = ACTIONS(2909),
    [anon_sym_LT_EQ] = ACTIONS(2911),
    [anon_sym_GT_EQ] = ACTIONS(2909),
    [anon_sym_lt] = ACTIONS(2909),
    [anon_sym_le] = ACTIONS(2909),
    [anon_sym_ge] = ACTIONS(2909),
    [anon_sym_gt] = ACTIONS(2909),
    [anon_sym_isa] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_QMARK] = ACTIONS(2909),
    [anon_sym_EQ_GT] = ACTIONS(2909),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2909),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2004] = {
    [sym_heredoc_content] = STATE(2004),
    [anon_sym_SEMI] = ACTIONS(3032),
    [anon_sym_EQ] = ACTIONS(3034),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3032),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3032),
    [anon_sym_COMMA] = ACTIONS(3032),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3032),
    [anon_sym_DASH_GT] = ACTIONS(3032),
    [anon_sym_PERCENT] = ACTIONS(3034),
    [anon_sym_LT] = ACTIONS(3034),
    [anon_sym_GT] = ACTIONS(3034),
    [anon_sym_LT_LT] = ACTIONS(3034),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3032),
    [anon_sym_PLUS_EQ] = ACTIONS(3032),
    [anon_sym_DASH_EQ] = ACTIONS(3032),
    [anon_sym_DOT_EQ] = ACTIONS(3032),
    [anon_sym_STAR_EQ] = ACTIONS(3032),
    [anon_sym_SLASH_EQ] = ACTIONS(3032),
    [anon_sym_PERCENT_EQ] = ACTIONS(3032),
    [anon_sym_x_EQ] = ACTIONS(3032),
    [anon_sym_AMP_EQ] = ACTIONS(3032),
    [anon_sym_PIPE_EQ] = ACTIONS(3032),
    [anon_sym_CARET_EQ] = ACTIONS(3032),
    [anon_sym_LT_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_GT_EQ] = ACTIONS(3032),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3032),
    [anon_sym_DOT_DOT] = ACTIONS(3034),
    [anon_sym_STAR_STAR] = ACTIONS(3034),
    [anon_sym_PIPE_PIPE] = ACTIONS(3034),
    [anon_sym_SLASH_SLASH] = ACTIONS(3034),
    [anon_sym_CARET_CARET] = ACTIONS(3032),
    [anon_sym_AMP_AMP] = ACTIONS(3034),
    [anon_sym_PIPE] = ACTIONS(3034),
    [anon_sym_CARET] = ACTIONS(3034),
    [anon_sym_AMP] = ACTIONS(3034),
    [anon_sym_GT_GT2] = ACTIONS(3034),
    [anon_sym_PLUS] = ACTIONS(3034),
    [anon_sym_DASH] = ACTIONS(3034),
    [anon_sym_DOT] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3034),
    [anon_sym_SLASH] = ACTIONS(3034),
    [anon_sym_x] = ACTIONS(3034),
    [anon_sym_EQ_TILDE] = ACTIONS(3032),
    [anon_sym_BANG_TILDE] = ACTIONS(3032),
    [anon_sym_EQ_EQ] = ACTIONS(3034),
    [anon_sym_BANG_EQ] = ACTIONS(3032),
    [anon_sym_eq] = ACTIONS(3034),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3032),
    [anon_sym_equ] = ACTIONS(3032),
    [anon_sym_eqr] = ACTIONS(3032),
    [anon_sym_ne] = ACTIONS(3032),
    [anon_sym_LT_EQ_GT] = ACTIONS(3032),
    [anon_sym_cmp] = ACTIONS(3032),
    [anon_sym_TILDE_TILDE] = ACTIONS(3032),
    [anon_sym_LT_EQ] = ACTIONS(3034),
    [anon_sym_GT_EQ] = ACTIONS(3032),
    [anon_sym_lt] = ACTIONS(3032),
    [anon_sym_le] = ACTIONS(3032),
    [anon_sym_ge] = ACTIONS(3032),
    [anon_sym_gt] = ACTIONS(3032),
    [anon_sym_isa] = ACTIONS(3032),
    [anon_sym_PLUS_PLUS] = ACTIONS(3032),
    [anon_sym_DASH_DASH] = ACTIONS(3032),
    [anon_sym_QMARK] = ACTIONS(3032),
    [anon_sym_EQ_GT] = ACTIONS(3032),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3032),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2005] = {
    [sym_heredoc_content] = STATE(2005),
    [anon_sym_SEMI] = ACTIONS(3036),
    [anon_sym_EQ] = ACTIONS(3038),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3036),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3036),
    [anon_sym_COMMA] = ACTIONS(3036),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3036),
    [anon_sym_DASH_GT] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3038),
    [anon_sym_LT] = ACTIONS(3038),
    [anon_sym_GT] = ACTIONS(3038),
    [anon_sym_LT_LT] = ACTIONS(3038),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3036),
    [anon_sym_PLUS_EQ] = ACTIONS(3036),
    [anon_sym_DASH_EQ] = ACTIONS(3036),
    [anon_sym_DOT_EQ] = ACTIONS(3036),
    [anon_sym_STAR_EQ] = ACTIONS(3036),
    [anon_sym_SLASH_EQ] = ACTIONS(3036),
    [anon_sym_PERCENT_EQ] = ACTIONS(3036),
    [anon_sym_x_EQ] = ACTIONS(3036),
    [anon_sym_AMP_EQ] = ACTIONS(3036),
    [anon_sym_PIPE_EQ] = ACTIONS(3036),
    [anon_sym_CARET_EQ] = ACTIONS(3036),
    [anon_sym_LT_LT_EQ] = ACTIONS(3036),
    [anon_sym_GT_GT_EQ] = ACTIONS(3036),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3036),
    [anon_sym_DOT_DOT] = ACTIONS(3038),
    [anon_sym_STAR_STAR] = ACTIONS(3038),
    [anon_sym_PIPE_PIPE] = ACTIONS(3038),
    [anon_sym_SLASH_SLASH] = ACTIONS(3038),
    [anon_sym_CARET_CARET] = ACTIONS(3036),
    [anon_sym_AMP_AMP] = ACTIONS(3038),
    [anon_sym_PIPE] = ACTIONS(3038),
    [anon_sym_CARET] = ACTIONS(3038),
    [anon_sym_AMP] = ACTIONS(3038),
    [anon_sym_GT_GT2] = ACTIONS(3038),
    [anon_sym_PLUS] = ACTIONS(3038),
    [anon_sym_DASH] = ACTIONS(3038),
    [anon_sym_DOT] = ACTIONS(3038),
    [anon_sym_STAR] = ACTIONS(3038),
    [anon_sym_SLASH] = ACTIONS(3038),
    [anon_sym_x] = ACTIONS(3038),
    [anon_sym_EQ_TILDE] = ACTIONS(3036),
    [anon_sym_BANG_TILDE] = ACTIONS(3036),
    [anon_sym_EQ_EQ] = ACTIONS(3038),
    [anon_sym_BANG_EQ] = ACTIONS(3036),
    [anon_sym_eq] = ACTIONS(3038),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3036),
    [anon_sym_equ] = ACTIONS(3036),
    [anon_sym_eqr] = ACTIONS(3036),
    [anon_sym_ne] = ACTIONS(3036),
    [anon_sym_LT_EQ_GT] = ACTIONS(3036),
    [anon_sym_cmp] = ACTIONS(3036),
    [anon_sym_TILDE_TILDE] = ACTIONS(3036),
    [anon_sym_LT_EQ] = ACTIONS(3038),
    [anon_sym_GT_EQ] = ACTIONS(3036),
    [anon_sym_lt] = ACTIONS(3036),
    [anon_sym_le] = ACTIONS(3036),
    [anon_sym_ge] = ACTIONS(3036),
    [anon_sym_gt] = ACTIONS(3036),
    [anon_sym_isa] = ACTIONS(3036),
    [anon_sym_PLUS_PLUS] = ACTIONS(3036),
    [anon_sym_DASH_DASH] = ACTIONS(3036),
    [anon_sym_QMARK] = ACTIONS(3036),
    [anon_sym_EQ_GT] = ACTIONS(3036),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3036),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2006] = {
    [sym_heredoc_content] = STATE(2006),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym_EQ] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_COMMA] = ACTIONS(3058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3058),
    [anon_sym_DASH_GT] = ACTIONS(3058),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LT_LT] = ACTIONS(3060),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3058),
    [anon_sym_PLUS_EQ] = ACTIONS(3058),
    [anon_sym_DASH_EQ] = ACTIONS(3058),
    [anon_sym_DOT_EQ] = ACTIONS(3058),
    [anon_sym_STAR_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_PERCENT_EQ] = ACTIONS(3058),
    [anon_sym_x_EQ] = ACTIONS(3058),
    [anon_sym_AMP_EQ] = ACTIONS(3058),
    [anon_sym_PIPE_EQ] = ACTIONS(3058),
    [anon_sym_CARET_EQ] = ACTIONS(3058),
    [anon_sym_LT_LT_EQ] = ACTIONS(3058),
    [anon_sym_GT_GT_EQ] = ACTIONS(3058),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_STAR_STAR] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE] = ACTIONS(3060),
    [anon_sym_SLASH_SLASH] = ACTIONS(3060),
    [anon_sym_CARET_CARET] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3060),
    [anon_sym_PIPE] = ACTIONS(3060),
    [anon_sym_CARET] = ACTIONS(3060),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_GT_GT2] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_x] = ACTIONS(3060),
    [anon_sym_EQ_TILDE] = ACTIONS(3058),
    [anon_sym_BANG_TILDE] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ] = ACTIONS(3058),
    [anon_sym_eq] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3058),
    [anon_sym_equ] = ACTIONS(3058),
    [anon_sym_eqr] = ACTIONS(3058),
    [anon_sym_ne] = ACTIONS(3058),
    [anon_sym_LT_EQ_GT] = ACTIONS(3058),
    [anon_sym_cmp] = ACTIONS(3058),
    [anon_sym_TILDE_TILDE] = ACTIONS(3058),
    [anon_sym_LT_EQ] = ACTIONS(3060),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_lt] = ACTIONS(3058),
    [anon_sym_le] = ACTIONS(3058),
    [anon_sym_ge] = ACTIONS(3058),
    [anon_sym_gt] = ACTIONS(3058),
    [anon_sym_isa] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_QMARK] = ACTIONS(3058),
    [anon_sym_EQ_GT] = ACTIONS(3058),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3058),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2007] = {
    [sym_heredoc_content] = STATE(2007),
    [anon_sym_SEMI] = ACTIONS(2717),
    [anon_sym_EQ] = ACTIONS(2719),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2717),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2717),
    [anon_sym_COMMA] = ACTIONS(2717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2717),
    [anon_sym_DASH_GT] = ACTIONS(2717),
    [anon_sym_PERCENT] = ACTIONS(2719),
    [anon_sym_LT] = ACTIONS(2719),
    [anon_sym_GT] = ACTIONS(2719),
    [anon_sym_LT_LT] = ACTIONS(2719),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2717),
    [anon_sym_PLUS_EQ] = ACTIONS(2717),
    [anon_sym_DASH_EQ] = ACTIONS(2717),
    [anon_sym_DOT_EQ] = ACTIONS(2717),
    [anon_sym_STAR_EQ] = ACTIONS(2717),
    [anon_sym_SLASH_EQ] = ACTIONS(2717),
    [anon_sym_PERCENT_EQ] = ACTIONS(2717),
    [anon_sym_x_EQ] = ACTIONS(2717),
    [anon_sym_AMP_EQ] = ACTIONS(2717),
    [anon_sym_PIPE_EQ] = ACTIONS(2717),
    [anon_sym_CARET_EQ] = ACTIONS(2717),
    [anon_sym_LT_LT_EQ] = ACTIONS(2717),
    [anon_sym_GT_GT_EQ] = ACTIONS(2717),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2717),
    [anon_sym_DOT_DOT] = ACTIONS(2719),
    [anon_sym_STAR_STAR] = ACTIONS(2719),
    [anon_sym_PIPE_PIPE] = ACTIONS(2719),
    [anon_sym_SLASH_SLASH] = ACTIONS(2719),
    [anon_sym_CARET_CARET] = ACTIONS(2717),
    [anon_sym_AMP_AMP] = ACTIONS(2719),
    [anon_sym_PIPE] = ACTIONS(2719),
    [anon_sym_CARET] = ACTIONS(2719),
    [anon_sym_AMP] = ACTIONS(2719),
    [anon_sym_GT_GT2] = ACTIONS(2719),
    [anon_sym_PLUS] = ACTIONS(2719),
    [anon_sym_DASH] = ACTIONS(2719),
    [anon_sym_DOT] = ACTIONS(2719),
    [anon_sym_STAR] = ACTIONS(2719),
    [anon_sym_SLASH] = ACTIONS(2719),
    [anon_sym_x] = ACTIONS(2719),
    [anon_sym_EQ_TILDE] = ACTIONS(2717),
    [anon_sym_BANG_TILDE] = ACTIONS(2717),
    [anon_sym_EQ_EQ] = ACTIONS(2719),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_eq] = ACTIONS(2719),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2717),
    [anon_sym_equ] = ACTIONS(2717),
    [anon_sym_eqr] = ACTIONS(2717),
    [anon_sym_ne] = ACTIONS(2717),
    [anon_sym_LT_EQ_GT] = ACTIONS(2717),
    [anon_sym_cmp] = ACTIONS(2717),
    [anon_sym_TILDE_TILDE] = ACTIONS(2717),
    [anon_sym_LT_EQ] = ACTIONS(2719),
    [anon_sym_GT_EQ] = ACTIONS(2717),
    [anon_sym_lt] = ACTIONS(2717),
    [anon_sym_le] = ACTIONS(2717),
    [anon_sym_ge] = ACTIONS(2717),
    [anon_sym_gt] = ACTIONS(2717),
    [anon_sym_isa] = ACTIONS(2717),
    [anon_sym_PLUS_PLUS] = ACTIONS(2717),
    [anon_sym_DASH_DASH] = ACTIONS(2717),
    [anon_sym_QMARK] = ACTIONS(2717),
    [anon_sym_EQ_GT] = ACTIONS(2717),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2717),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2008] = {
    [sym_heredoc_content] = STATE(2008),
    [anon_sym_SEMI] = ACTIONS(2733),
    [anon_sym_EQ] = ACTIONS(2735),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2733),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2733),
    [anon_sym_COMMA] = ACTIONS(2733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2733),
    [anon_sym_DASH_GT] = ACTIONS(2733),
    [anon_sym_PERCENT] = ACTIONS(2735),
    [anon_sym_LT] = ACTIONS(2735),
    [anon_sym_GT] = ACTIONS(2735),
    [anon_sym_LT_LT] = ACTIONS(2735),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2733),
    [anon_sym_PLUS_EQ] = ACTIONS(2733),
    [anon_sym_DASH_EQ] = ACTIONS(2733),
    [anon_sym_DOT_EQ] = ACTIONS(2733),
    [anon_sym_STAR_EQ] = ACTIONS(2733),
    [anon_sym_SLASH_EQ] = ACTIONS(2733),
    [anon_sym_PERCENT_EQ] = ACTIONS(2733),
    [anon_sym_x_EQ] = ACTIONS(2733),
    [anon_sym_AMP_EQ] = ACTIONS(2733),
    [anon_sym_PIPE_EQ] = ACTIONS(2733),
    [anon_sym_CARET_EQ] = ACTIONS(2733),
    [anon_sym_LT_LT_EQ] = ACTIONS(2733),
    [anon_sym_GT_GT_EQ] = ACTIONS(2733),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2733),
    [anon_sym_DOT_DOT] = ACTIONS(2735),
    [anon_sym_STAR_STAR] = ACTIONS(2735),
    [anon_sym_PIPE_PIPE] = ACTIONS(2735),
    [anon_sym_SLASH_SLASH] = ACTIONS(2735),
    [anon_sym_CARET_CARET] = ACTIONS(2733),
    [anon_sym_AMP_AMP] = ACTIONS(2735),
    [anon_sym_PIPE] = ACTIONS(2735),
    [anon_sym_CARET] = ACTIONS(2735),
    [anon_sym_AMP] = ACTIONS(2735),
    [anon_sym_GT_GT2] = ACTIONS(2735),
    [anon_sym_PLUS] = ACTIONS(2735),
    [anon_sym_DASH] = ACTIONS(2735),
    [anon_sym_DOT] = ACTIONS(2735),
    [anon_sym_STAR] = ACTIONS(2735),
    [anon_sym_SLASH] = ACTIONS(2735),
    [anon_sym_x] = ACTIONS(2735),
    [anon_sym_EQ_TILDE] = ACTIONS(2733),
    [anon_sym_BANG_TILDE] = ACTIONS(2733),
    [anon_sym_EQ_EQ] = ACTIONS(2735),
    [anon_sym_BANG_EQ] = ACTIONS(2733),
    [anon_sym_eq] = ACTIONS(2735),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2733),
    [anon_sym_equ] = ACTIONS(2733),
    [anon_sym_eqr] = ACTIONS(2733),
    [anon_sym_ne] = ACTIONS(2733),
    [anon_sym_LT_EQ_GT] = ACTIONS(2733),
    [anon_sym_cmp] = ACTIONS(2733),
    [anon_sym_TILDE_TILDE] = ACTIONS(2733),
    [anon_sym_LT_EQ] = ACTIONS(2735),
    [anon_sym_GT_EQ] = ACTIONS(2733),
    [anon_sym_lt] = ACTIONS(2733),
    [anon_sym_le] = ACTIONS(2733),
    [anon_sym_ge] = ACTIONS(2733),
    [anon_sym_gt] = ACTIONS(2733),
    [anon_sym_isa] = ACTIONS(2733),
    [anon_sym_PLUS_PLUS] = ACTIONS(2733),
    [anon_sym_DASH_DASH] = ACTIONS(2733),
    [anon_sym_QMARK] = ACTIONS(2733),
    [anon_sym_EQ_GT] = ACTIONS(2733),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2733),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2009] = {
    [sym_heredoc_content] = STATE(2009),
    [anon_sym_SEMI] = ACTIONS(3088),
    [anon_sym_EQ] = ACTIONS(3090),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3088),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3088),
    [anon_sym_COMMA] = ACTIONS(3088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3088),
    [anon_sym_DASH_GT] = ACTIONS(3088),
    [anon_sym_PERCENT] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3090),
    [anon_sym_GT] = ACTIONS(3090),
    [anon_sym_LT_LT] = ACTIONS(3090),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3088),
    [anon_sym_PLUS_EQ] = ACTIONS(3088),
    [anon_sym_DASH_EQ] = ACTIONS(3088),
    [anon_sym_DOT_EQ] = ACTIONS(3088),
    [anon_sym_STAR_EQ] = ACTIONS(3088),
    [anon_sym_SLASH_EQ] = ACTIONS(3088),
    [anon_sym_PERCENT_EQ] = ACTIONS(3088),
    [anon_sym_x_EQ] = ACTIONS(3088),
    [anon_sym_AMP_EQ] = ACTIONS(3088),
    [anon_sym_PIPE_EQ] = ACTIONS(3088),
    [anon_sym_CARET_EQ] = ACTIONS(3088),
    [anon_sym_LT_LT_EQ] = ACTIONS(3088),
    [anon_sym_GT_GT_EQ] = ACTIONS(3088),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3088),
    [anon_sym_DOT_DOT] = ACTIONS(3090),
    [anon_sym_STAR_STAR] = ACTIONS(3090),
    [anon_sym_PIPE_PIPE] = ACTIONS(3090),
    [anon_sym_SLASH_SLASH] = ACTIONS(3090),
    [anon_sym_CARET_CARET] = ACTIONS(3088),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_PIPE] = ACTIONS(3090),
    [anon_sym_CARET] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3090),
    [anon_sym_GT_GT2] = ACTIONS(3090),
    [anon_sym_PLUS] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3090),
    [anon_sym_DOT] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_SLASH] = ACTIONS(3090),
    [anon_sym_x] = ACTIONS(3090),
    [anon_sym_EQ_TILDE] = ACTIONS(3088),
    [anon_sym_BANG_TILDE] = ACTIONS(3088),
    [anon_sym_EQ_EQ] = ACTIONS(3090),
    [anon_sym_BANG_EQ] = ACTIONS(3088),
    [anon_sym_eq] = ACTIONS(3090),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3088),
    [anon_sym_equ] = ACTIONS(3088),
    [anon_sym_eqr] = ACTIONS(3088),
    [anon_sym_ne] = ACTIONS(3088),
    [anon_sym_LT_EQ_GT] = ACTIONS(3088),
    [anon_sym_cmp] = ACTIONS(3088),
    [anon_sym_TILDE_TILDE] = ACTIONS(3088),
    [anon_sym_LT_EQ] = ACTIONS(3090),
    [anon_sym_GT_EQ] = ACTIONS(3088),
    [anon_sym_lt] = ACTIONS(3088),
    [anon_sym_le] = ACTIONS(3088),
    [anon_sym_ge] = ACTIONS(3088),
    [anon_sym_gt] = ACTIONS(3088),
    [anon_sym_isa] = ACTIONS(3088),
    [anon_sym_PLUS_PLUS] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3088),
    [anon_sym_QMARK] = ACTIONS(3088),
    [anon_sym_EQ_GT] = ACTIONS(3088),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3088),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2010] = {
    [sym_heredoc_content] = STATE(2010),
    [anon_sym_SEMI] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1409),
    [anon_sym_COMMA] = ACTIONS(1409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1409),
    [anon_sym_DASH_GT] = ACTIONS(1409),
    [anon_sym_PERCENT] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [anon_sym_LT_LT] = ACTIONS(1407),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1409),
    [anon_sym_PLUS_EQ] = ACTIONS(1409),
    [anon_sym_DASH_EQ] = ACTIONS(1409),
    [anon_sym_DOT_EQ] = ACTIONS(1409),
    [anon_sym_STAR_EQ] = ACTIONS(1409),
    [anon_sym_SLASH_EQ] = ACTIONS(1409),
    [anon_sym_PERCENT_EQ] = ACTIONS(1409),
    [anon_sym_x_EQ] = ACTIONS(1409),
    [anon_sym_AMP_EQ] = ACTIONS(1409),
    [anon_sym_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_CARET_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT_EQ] = ACTIONS(1409),
    [anon_sym_GT_GT_EQ] = ACTIONS(1409),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1409),
    [anon_sym_DOT_DOT] = ACTIONS(1407),
    [anon_sym_STAR_STAR] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH] = ACTIONS(1407),
    [anon_sym_CARET_CARET] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1407),
    [anon_sym_PIPE] = ACTIONS(1407),
    [anon_sym_CARET] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(1407),
    [anon_sym_GT_GT2] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_DOT] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_x] = ACTIONS(1407),
    [anon_sym_EQ_TILDE] = ACTIONS(1409),
    [anon_sym_BANG_TILDE] = ACTIONS(1409),
    [anon_sym_EQ_EQ] = ACTIONS(1407),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_eq] = ACTIONS(1407),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1409),
    [anon_sym_equ] = ACTIONS(1409),
    [anon_sym_eqr] = ACTIONS(1409),
    [anon_sym_ne] = ACTIONS(1409),
    [anon_sym_LT_EQ_GT] = ACTIONS(1409),
    [anon_sym_cmp] = ACTIONS(1409),
    [anon_sym_TILDE_TILDE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_lt] = ACTIONS(1409),
    [anon_sym_le] = ACTIONS(1409),
    [anon_sym_ge] = ACTIONS(1409),
    [anon_sym_gt] = ACTIONS(1409),
    [anon_sym_isa] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1409),
    [anon_sym_DASH_DASH] = ACTIONS(1409),
    [anon_sym_QMARK] = ACTIONS(1409),
    [anon_sym_EQ_GT] = ACTIONS(1409),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1409),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2011] = {
    [sym_heredoc_content] = STATE(2011),
    [anon_sym_SEMI] = ACTIONS(2777),
    [anon_sym_EQ] = ACTIONS(2779),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2777),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2777),
    [anon_sym_COMMA] = ACTIONS(2777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2777),
    [anon_sym_DASH_GT] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(2779),
    [anon_sym_LT] = ACTIONS(2779),
    [anon_sym_GT] = ACTIONS(2779),
    [anon_sym_LT_LT] = ACTIONS(2779),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2777),
    [anon_sym_PLUS_EQ] = ACTIONS(2777),
    [anon_sym_DASH_EQ] = ACTIONS(2777),
    [anon_sym_DOT_EQ] = ACTIONS(2777),
    [anon_sym_STAR_EQ] = ACTIONS(2777),
    [anon_sym_SLASH_EQ] = ACTIONS(2777),
    [anon_sym_PERCENT_EQ] = ACTIONS(2777),
    [anon_sym_x_EQ] = ACTIONS(2777),
    [anon_sym_AMP_EQ] = ACTIONS(2777),
    [anon_sym_PIPE_EQ] = ACTIONS(2777),
    [anon_sym_CARET_EQ] = ACTIONS(2777),
    [anon_sym_LT_LT_EQ] = ACTIONS(2777),
    [anon_sym_GT_GT_EQ] = ACTIONS(2777),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2777),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_STAR_STAR] = ACTIONS(2779),
    [anon_sym_PIPE_PIPE] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH] = ACTIONS(2779),
    [anon_sym_CARET_CARET] = ACTIONS(2777),
    [anon_sym_AMP_AMP] = ACTIONS(2779),
    [anon_sym_PIPE] = ACTIONS(2779),
    [anon_sym_CARET] = ACTIONS(2779),
    [anon_sym_AMP] = ACTIONS(2779),
    [anon_sym_GT_GT2] = ACTIONS(2779),
    [anon_sym_PLUS] = ACTIONS(2779),
    [anon_sym_DASH] = ACTIONS(2779),
    [anon_sym_DOT] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2779),
    [anon_sym_SLASH] = ACTIONS(2779),
    [anon_sym_x] = ACTIONS(2779),
    [anon_sym_EQ_TILDE] = ACTIONS(2777),
    [anon_sym_BANG_TILDE] = ACTIONS(2777),
    [anon_sym_EQ_EQ] = ACTIONS(2779),
    [anon_sym_BANG_EQ] = ACTIONS(2777),
    [anon_sym_eq] = ACTIONS(2779),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2777),
    [anon_sym_equ] = ACTIONS(2777),
    [anon_sym_eqr] = ACTIONS(2777),
    [anon_sym_ne] = ACTIONS(2777),
    [anon_sym_LT_EQ_GT] = ACTIONS(2777),
    [anon_sym_cmp] = ACTIONS(2777),
    [anon_sym_TILDE_TILDE] = ACTIONS(2777),
    [anon_sym_LT_EQ] = ACTIONS(2779),
    [anon_sym_GT_EQ] = ACTIONS(2777),
    [anon_sym_lt] = ACTIONS(2777),
    [anon_sym_le] = ACTIONS(2777),
    [anon_sym_ge] = ACTIONS(2777),
    [anon_sym_gt] = ACTIONS(2777),
    [anon_sym_isa] = ACTIONS(2777),
    [anon_sym_PLUS_PLUS] = ACTIONS(2777),
    [anon_sym_DASH_DASH] = ACTIONS(2777),
    [anon_sym_QMARK] = ACTIONS(2777),
    [anon_sym_EQ_GT] = ACTIONS(2777),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2777),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2012] = {
    [sym_heredoc_content] = STATE(2012),
    [anon_sym_SEMI] = ACTIONS(1796),
    [anon_sym_EQ] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_COMMA] = ACTIONS(1796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1796),
    [anon_sym_DASH_GT] = ACTIONS(1796),
    [anon_sym_PERCENT] = ACTIONS(1787),
    [anon_sym_LT] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1787),
    [anon_sym_LT_LT] = ACTIONS(1787),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1796),
    [anon_sym_PLUS_EQ] = ACTIONS(1796),
    [anon_sym_DASH_EQ] = ACTIONS(1796),
    [anon_sym_DOT_EQ] = ACTIONS(1796),
    [anon_sym_STAR_EQ] = ACTIONS(1796),
    [anon_sym_SLASH_EQ] = ACTIONS(1796),
    [anon_sym_PERCENT_EQ] = ACTIONS(1796),
    [anon_sym_x_EQ] = ACTIONS(1796),
    [anon_sym_AMP_EQ] = ACTIONS(1796),
    [anon_sym_PIPE_EQ] = ACTIONS(1796),
    [anon_sym_CARET_EQ] = ACTIONS(1796),
    [anon_sym_LT_LT_EQ] = ACTIONS(1796),
    [anon_sym_GT_GT_EQ] = ACTIONS(1796),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1796),
    [anon_sym_DOT_DOT] = ACTIONS(1787),
    [anon_sym_STAR_STAR] = ACTIONS(1787),
    [anon_sym_PIPE_PIPE] = ACTIONS(1787),
    [anon_sym_SLASH_SLASH] = ACTIONS(1787),
    [anon_sym_CARET_CARET] = ACTIONS(1796),
    [anon_sym_AMP_AMP] = ACTIONS(1787),
    [anon_sym_PIPE] = ACTIONS(1787),
    [anon_sym_CARET] = ACTIONS(1787),
    [anon_sym_AMP] = ACTIONS(1787),
    [anon_sym_GT_GT2] = ACTIONS(1787),
    [anon_sym_PLUS] = ACTIONS(1787),
    [anon_sym_DASH] = ACTIONS(1787),
    [anon_sym_DOT] = ACTIONS(1787),
    [anon_sym_STAR] = ACTIONS(1787),
    [anon_sym_SLASH] = ACTIONS(1787),
    [anon_sym_x] = ACTIONS(1787),
    [anon_sym_EQ_TILDE] = ACTIONS(1796),
    [anon_sym_BANG_TILDE] = ACTIONS(1796),
    [anon_sym_EQ_EQ] = ACTIONS(1787),
    [anon_sym_BANG_EQ] = ACTIONS(1796),
    [anon_sym_eq] = ACTIONS(1787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1796),
    [anon_sym_equ] = ACTIONS(1796),
    [anon_sym_eqr] = ACTIONS(1796),
    [anon_sym_ne] = ACTIONS(1796),
    [anon_sym_LT_EQ_GT] = ACTIONS(1796),
    [anon_sym_cmp] = ACTIONS(1796),
    [anon_sym_TILDE_TILDE] = ACTIONS(1796),
    [anon_sym_LT_EQ] = ACTIONS(1787),
    [anon_sym_GT_EQ] = ACTIONS(1796),
    [anon_sym_lt] = ACTIONS(1796),
    [anon_sym_le] = ACTIONS(1796),
    [anon_sym_ge] = ACTIONS(1796),
    [anon_sym_gt] = ACTIONS(1796),
    [anon_sym_isa] = ACTIONS(1796),
    [anon_sym_PLUS_PLUS] = ACTIONS(1796),
    [anon_sym_DASH_DASH] = ACTIONS(1796),
    [anon_sym_QMARK] = ACTIONS(1796),
    [anon_sym_EQ_GT] = ACTIONS(1796),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1796),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2013] = {
    [sym_heredoc_content] = STATE(2013),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym_EQ] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2825),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2825),
    [anon_sym_COMMA] = ACTIONS(2825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2825),
    [anon_sym_DASH_GT] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2827),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_GT] = ACTIONS(2827),
    [anon_sym_LT_LT] = ACTIONS(2827),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2825),
    [anon_sym_PLUS_EQ] = ACTIONS(2825),
    [anon_sym_DASH_EQ] = ACTIONS(2825),
    [anon_sym_DOT_EQ] = ACTIONS(2825),
    [anon_sym_STAR_EQ] = ACTIONS(2825),
    [anon_sym_SLASH_EQ] = ACTIONS(2825),
    [anon_sym_PERCENT_EQ] = ACTIONS(2825),
    [anon_sym_x_EQ] = ACTIONS(2825),
    [anon_sym_AMP_EQ] = ACTIONS(2825),
    [anon_sym_PIPE_EQ] = ACTIONS(2825),
    [anon_sym_CARET_EQ] = ACTIONS(2825),
    [anon_sym_LT_LT_EQ] = ACTIONS(2825),
    [anon_sym_GT_GT_EQ] = ACTIONS(2825),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2825),
    [anon_sym_DOT_DOT] = ACTIONS(2827),
    [anon_sym_STAR_STAR] = ACTIONS(2827),
    [anon_sym_PIPE_PIPE] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH] = ACTIONS(2827),
    [anon_sym_CARET_CARET] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2827),
    [anon_sym_PIPE] = ACTIONS(2827),
    [anon_sym_CARET] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2827),
    [anon_sym_GT_GT2] = ACTIONS(2827),
    [anon_sym_PLUS] = ACTIONS(2827),
    [anon_sym_DASH] = ACTIONS(2827),
    [anon_sym_DOT] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_SLASH] = ACTIONS(2827),
    [anon_sym_x] = ACTIONS(2827),
    [anon_sym_EQ_TILDE] = ACTIONS(2825),
    [anon_sym_BANG_TILDE] = ACTIONS(2825),
    [anon_sym_EQ_EQ] = ACTIONS(2827),
    [anon_sym_BANG_EQ] = ACTIONS(2825),
    [anon_sym_eq] = ACTIONS(2827),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2825),
    [anon_sym_equ] = ACTIONS(2825),
    [anon_sym_eqr] = ACTIONS(2825),
    [anon_sym_ne] = ACTIONS(2825),
    [anon_sym_LT_EQ_GT] = ACTIONS(2825),
    [anon_sym_cmp] = ACTIONS(2825),
    [anon_sym_TILDE_TILDE] = ACTIONS(2825),
    [anon_sym_LT_EQ] = ACTIONS(2827),
    [anon_sym_GT_EQ] = ACTIONS(2825),
    [anon_sym_lt] = ACTIONS(2825),
    [anon_sym_le] = ACTIONS(2825),
    [anon_sym_ge] = ACTIONS(2825),
    [anon_sym_gt] = ACTIONS(2825),
    [anon_sym_isa] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2825),
    [anon_sym_EQ_GT] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2825),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2014] = {
    [sym_heredoc_content] = STATE(2014),
    [anon_sym_SEMI] = ACTIONS(2837),
    [anon_sym_EQ] = ACTIONS(2839),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2837),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2837),
    [anon_sym_COMMA] = ACTIONS(2837),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2837),
    [anon_sym_DASH_GT] = ACTIONS(2837),
    [anon_sym_PERCENT] = ACTIONS(2839),
    [anon_sym_LT] = ACTIONS(2839),
    [anon_sym_GT] = ACTIONS(2839),
    [anon_sym_LT_LT] = ACTIONS(2839),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2837),
    [anon_sym_PLUS_EQ] = ACTIONS(2837),
    [anon_sym_DASH_EQ] = ACTIONS(2837),
    [anon_sym_DOT_EQ] = ACTIONS(2837),
    [anon_sym_STAR_EQ] = ACTIONS(2837),
    [anon_sym_SLASH_EQ] = ACTIONS(2837),
    [anon_sym_PERCENT_EQ] = ACTIONS(2837),
    [anon_sym_x_EQ] = ACTIONS(2837),
    [anon_sym_AMP_EQ] = ACTIONS(2837),
    [anon_sym_PIPE_EQ] = ACTIONS(2837),
    [anon_sym_CARET_EQ] = ACTIONS(2837),
    [anon_sym_LT_LT_EQ] = ACTIONS(2837),
    [anon_sym_GT_GT_EQ] = ACTIONS(2837),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2837),
    [anon_sym_DOT_DOT] = ACTIONS(2839),
    [anon_sym_STAR_STAR] = ACTIONS(2839),
    [anon_sym_PIPE_PIPE] = ACTIONS(2839),
    [anon_sym_SLASH_SLASH] = ACTIONS(2839),
    [anon_sym_CARET_CARET] = ACTIONS(2837),
    [anon_sym_AMP_AMP] = ACTIONS(2839),
    [anon_sym_PIPE] = ACTIONS(2839),
    [anon_sym_CARET] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2839),
    [anon_sym_GT_GT2] = ACTIONS(2839),
    [anon_sym_PLUS] = ACTIONS(2839),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_DOT] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_SLASH] = ACTIONS(2839),
    [anon_sym_x] = ACTIONS(2839),
    [anon_sym_EQ_TILDE] = ACTIONS(2837),
    [anon_sym_BANG_TILDE] = ACTIONS(2837),
    [anon_sym_EQ_EQ] = ACTIONS(2839),
    [anon_sym_BANG_EQ] = ACTIONS(2837),
    [anon_sym_eq] = ACTIONS(2839),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2837),
    [anon_sym_equ] = ACTIONS(2837),
    [anon_sym_eqr] = ACTIONS(2837),
    [anon_sym_ne] = ACTIONS(2837),
    [anon_sym_LT_EQ_GT] = ACTIONS(2837),
    [anon_sym_cmp] = ACTIONS(2837),
    [anon_sym_TILDE_TILDE] = ACTIONS(2837),
    [anon_sym_LT_EQ] = ACTIONS(2839),
    [anon_sym_GT_EQ] = ACTIONS(2837),
    [anon_sym_lt] = ACTIONS(2837),
    [anon_sym_le] = ACTIONS(2837),
    [anon_sym_ge] = ACTIONS(2837),
    [anon_sym_gt] = ACTIONS(2837),
    [anon_sym_isa] = ACTIONS(2837),
    [anon_sym_PLUS_PLUS] = ACTIONS(2837),
    [anon_sym_DASH_DASH] = ACTIONS(2837),
    [anon_sym_QMARK] = ACTIONS(2837),
    [anon_sym_EQ_GT] = ACTIONS(2837),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2837),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2015] = {
    [sym_heredoc_content] = STATE(2015),
    [anon_sym_SEMI] = ACTIONS(3005),
    [anon_sym_EQ] = ACTIONS(3007),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3005),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3005),
    [anon_sym_COMMA] = ACTIONS(3005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3005),
    [anon_sym_DASH_GT] = ACTIONS(3005),
    [anon_sym_PERCENT] = ACTIONS(3007),
    [anon_sym_LT] = ACTIONS(3007),
    [anon_sym_GT] = ACTIONS(3007),
    [anon_sym_LT_LT] = ACTIONS(3007),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3005),
    [anon_sym_PLUS_EQ] = ACTIONS(3005),
    [anon_sym_DASH_EQ] = ACTIONS(3005),
    [anon_sym_DOT_EQ] = ACTIONS(3005),
    [anon_sym_STAR_EQ] = ACTIONS(3005),
    [anon_sym_SLASH_EQ] = ACTIONS(3005),
    [anon_sym_PERCENT_EQ] = ACTIONS(3005),
    [anon_sym_x_EQ] = ACTIONS(3005),
    [anon_sym_AMP_EQ] = ACTIONS(3005),
    [anon_sym_PIPE_EQ] = ACTIONS(3005),
    [anon_sym_CARET_EQ] = ACTIONS(3005),
    [anon_sym_LT_LT_EQ] = ACTIONS(3005),
    [anon_sym_GT_GT_EQ] = ACTIONS(3005),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3005),
    [anon_sym_DOT_DOT] = ACTIONS(3007),
    [anon_sym_STAR_STAR] = ACTIONS(3007),
    [anon_sym_PIPE_PIPE] = ACTIONS(3007),
    [anon_sym_SLASH_SLASH] = ACTIONS(3007),
    [anon_sym_CARET_CARET] = ACTIONS(3005),
    [anon_sym_AMP_AMP] = ACTIONS(3007),
    [anon_sym_PIPE] = ACTIONS(3007),
    [anon_sym_CARET] = ACTIONS(3007),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_GT_GT2] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_DOT] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3007),
    [anon_sym_SLASH] = ACTIONS(3007),
    [anon_sym_x] = ACTIONS(3007),
    [anon_sym_EQ_TILDE] = ACTIONS(3005),
    [anon_sym_BANG_TILDE] = ACTIONS(3005),
    [anon_sym_EQ_EQ] = ACTIONS(3007),
    [anon_sym_BANG_EQ] = ACTIONS(3005),
    [anon_sym_eq] = ACTIONS(3007),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3005),
    [anon_sym_equ] = ACTIONS(3005),
    [anon_sym_eqr] = ACTIONS(3005),
    [anon_sym_ne] = ACTIONS(3005),
    [anon_sym_LT_EQ_GT] = ACTIONS(3005),
    [anon_sym_cmp] = ACTIONS(3005),
    [anon_sym_TILDE_TILDE] = ACTIONS(3005),
    [anon_sym_LT_EQ] = ACTIONS(3007),
    [anon_sym_GT_EQ] = ACTIONS(3005),
    [anon_sym_lt] = ACTIONS(3005),
    [anon_sym_le] = ACTIONS(3005),
    [anon_sym_ge] = ACTIONS(3005),
    [anon_sym_gt] = ACTIONS(3005),
    [anon_sym_isa] = ACTIONS(3005),
    [anon_sym_PLUS_PLUS] = ACTIONS(3005),
    [anon_sym_DASH_DASH] = ACTIONS(3005),
    [anon_sym_QMARK] = ACTIONS(3005),
    [anon_sym_EQ_GT] = ACTIONS(3005),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3005),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2016] = {
    [sym_heredoc_content] = STATE(2016),
    [anon_sym_SEMI] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_COMMA] = ACTIONS(3040),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3040),
    [anon_sym_DASH_GT] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3042),
    [anon_sym_LT] = ACTIONS(3042),
    [anon_sym_GT] = ACTIONS(3042),
    [anon_sym_LT_LT] = ACTIONS(3042),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3040),
    [anon_sym_DASH_EQ] = ACTIONS(3040),
    [anon_sym_DOT_EQ] = ACTIONS(3040),
    [anon_sym_STAR_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_PERCENT_EQ] = ACTIONS(3040),
    [anon_sym_x_EQ] = ACTIONS(3040),
    [anon_sym_AMP_EQ] = ACTIONS(3040),
    [anon_sym_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_CARET_EQ] = ACTIONS(3040),
    [anon_sym_LT_LT_EQ] = ACTIONS(3040),
    [anon_sym_GT_GT_EQ] = ACTIONS(3040),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3040),
    [anon_sym_DOT_DOT] = ACTIONS(3042),
    [anon_sym_STAR_STAR] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_SLASH_SLASH] = ACTIONS(3042),
    [anon_sym_CARET_CARET] = ACTIONS(3040),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_PIPE] = ACTIONS(3042),
    [anon_sym_CARET] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3042),
    [anon_sym_GT_GT2] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3042),
    [anon_sym_x] = ACTIONS(3042),
    [anon_sym_EQ_TILDE] = ACTIONS(3040),
    [anon_sym_BANG_TILDE] = ACTIONS(3040),
    [anon_sym_EQ_EQ] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_eq] = ACTIONS(3042),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3040),
    [anon_sym_equ] = ACTIONS(3040),
    [anon_sym_eqr] = ACTIONS(3040),
    [anon_sym_ne] = ACTIONS(3040),
    [anon_sym_LT_EQ_GT] = ACTIONS(3040),
    [anon_sym_cmp] = ACTIONS(3040),
    [anon_sym_TILDE_TILDE] = ACTIONS(3040),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3040),
    [anon_sym_lt] = ACTIONS(3040),
    [anon_sym_le] = ACTIONS(3040),
    [anon_sym_ge] = ACTIONS(3040),
    [anon_sym_gt] = ACTIONS(3040),
    [anon_sym_isa] = ACTIONS(3040),
    [anon_sym_PLUS_PLUS] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3040),
    [anon_sym_QMARK] = ACTIONS(3040),
    [anon_sym_EQ_GT] = ACTIONS(3040),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3040),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2017] = {
    [sym_heredoc_content] = STATE(2017),
    [anon_sym_SEMI] = ACTIONS(2793),
    [anon_sym_EQ] = ACTIONS(2795),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2793),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2793),
    [anon_sym_COMMA] = ACTIONS(2793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2793),
    [anon_sym_DASH_GT] = ACTIONS(2793),
    [anon_sym_PERCENT] = ACTIONS(2795),
    [anon_sym_LT] = ACTIONS(2795),
    [anon_sym_GT] = ACTIONS(2795),
    [anon_sym_LT_LT] = ACTIONS(2795),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2793),
    [anon_sym_PLUS_EQ] = ACTIONS(2793),
    [anon_sym_DASH_EQ] = ACTIONS(2793),
    [anon_sym_DOT_EQ] = ACTIONS(2793),
    [anon_sym_STAR_EQ] = ACTIONS(2793),
    [anon_sym_SLASH_EQ] = ACTIONS(2793),
    [anon_sym_PERCENT_EQ] = ACTIONS(2793),
    [anon_sym_x_EQ] = ACTIONS(2793),
    [anon_sym_AMP_EQ] = ACTIONS(2793),
    [anon_sym_PIPE_EQ] = ACTIONS(2793),
    [anon_sym_CARET_EQ] = ACTIONS(2793),
    [anon_sym_LT_LT_EQ] = ACTIONS(2793),
    [anon_sym_GT_GT_EQ] = ACTIONS(2793),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2793),
    [anon_sym_DOT_DOT] = ACTIONS(2795),
    [anon_sym_STAR_STAR] = ACTIONS(2795),
    [anon_sym_PIPE_PIPE] = ACTIONS(2795),
    [anon_sym_SLASH_SLASH] = ACTIONS(2795),
    [anon_sym_CARET_CARET] = ACTIONS(2793),
    [anon_sym_AMP_AMP] = ACTIONS(2795),
    [anon_sym_PIPE] = ACTIONS(2795),
    [anon_sym_CARET] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2795),
    [anon_sym_GT_GT2] = ACTIONS(2795),
    [anon_sym_PLUS] = ACTIONS(2795),
    [anon_sym_DASH] = ACTIONS(2795),
    [anon_sym_DOT] = ACTIONS(2795),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_SLASH] = ACTIONS(2795),
    [anon_sym_x] = ACTIONS(2795),
    [anon_sym_EQ_TILDE] = ACTIONS(2793),
    [anon_sym_BANG_TILDE] = ACTIONS(2793),
    [anon_sym_EQ_EQ] = ACTIONS(2795),
    [anon_sym_BANG_EQ] = ACTIONS(2793),
    [anon_sym_eq] = ACTIONS(2795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2793),
    [anon_sym_equ] = ACTIONS(2793),
    [anon_sym_eqr] = ACTIONS(2793),
    [anon_sym_ne] = ACTIONS(2793),
    [anon_sym_LT_EQ_GT] = ACTIONS(2793),
    [anon_sym_cmp] = ACTIONS(2793),
    [anon_sym_TILDE_TILDE] = ACTIONS(2793),
    [anon_sym_LT_EQ] = ACTIONS(2795),
    [anon_sym_GT_EQ] = ACTIONS(2793),
    [anon_sym_lt] = ACTIONS(2793),
    [anon_sym_le] = ACTIONS(2793),
    [anon_sym_ge] = ACTIONS(2793),
    [anon_sym_gt] = ACTIONS(2793),
    [anon_sym_isa] = ACTIONS(2793),
    [anon_sym_PLUS_PLUS] = ACTIONS(2793),
    [anon_sym_DASH_DASH] = ACTIONS(2793),
    [anon_sym_QMARK] = ACTIONS(2793),
    [anon_sym_EQ_GT] = ACTIONS(2793),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2793),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2018] = {
    [sym_heredoc_content] = STATE(2018),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_COMMA] = ACTIONS(3142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3604),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_GT] = ACTIONS(3610),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3142),
    [anon_sym_DASH_EQ] = ACTIONS(3142),
    [anon_sym_DOT_EQ] = ACTIONS(3142),
    [anon_sym_STAR_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_PERCENT_EQ] = ACTIONS(3142),
    [anon_sym_x_EQ] = ACTIONS(3142),
    [anon_sym_AMP_EQ] = ACTIONS(3142),
    [anon_sym_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_CARET_EQ] = ACTIONS(3142),
    [anon_sym_LT_LT_EQ] = ACTIONS(3142),
    [anon_sym_GT_GT_EQ] = ACTIONS(3142),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3142),
    [anon_sym_DOT_DOT] = ACTIONS(3614),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(3618),
    [anon_sym_SLASH_SLASH] = ACTIONS(3618),
    [anon_sym_CARET_CARET] = ACTIONS(3620),
    [anon_sym_AMP_AMP] = ACTIONS(3622),
    [anon_sym_PIPE] = ACTIONS(3624),
    [anon_sym_CARET] = ACTIONS(3624),
    [anon_sym_AMP] = ACTIONS(3626),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(3632),
    [anon_sym_BANG_EQ] = ACTIONS(3634),
    [anon_sym_eq] = ACTIONS(3632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3634),
    [anon_sym_equ] = ACTIONS(3634),
    [anon_sym_eqr] = ACTIONS(3634),
    [anon_sym_ne] = ACTIONS(3634),
    [anon_sym_LT_EQ_GT] = ACTIONS(3636),
    [anon_sym_cmp] = ACTIONS(3636),
    [anon_sym_TILDE_TILDE] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3610),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_lt] = ACTIONS(3638),
    [anon_sym_le] = ACTIONS(3638),
    [anon_sym_ge] = ACTIONS(3638),
    [anon_sym_gt] = ACTIONS(3638),
    [anon_sym_isa] = ACTIONS(3640),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(3644),
    [anon_sym_EQ_GT] = ACTIONS(3142),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3142),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2019] = {
    [sym_heredoc_content] = STATE(2019),
    [anon_sym_SEMI] = ACTIONS(2757),
    [anon_sym_EQ] = ACTIONS(2759),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2757),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2757),
    [anon_sym_COMMA] = ACTIONS(2757),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2757),
    [anon_sym_DASH_GT] = ACTIONS(2757),
    [anon_sym_PERCENT] = ACTIONS(2759),
    [anon_sym_LT] = ACTIONS(2759),
    [anon_sym_GT] = ACTIONS(2759),
    [anon_sym_LT_LT] = ACTIONS(2759),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2757),
    [anon_sym_PLUS_EQ] = ACTIONS(2757),
    [anon_sym_DASH_EQ] = ACTIONS(2757),
    [anon_sym_DOT_EQ] = ACTIONS(2757),
    [anon_sym_STAR_EQ] = ACTIONS(2757),
    [anon_sym_SLASH_EQ] = ACTIONS(2757),
    [anon_sym_PERCENT_EQ] = ACTIONS(2757),
    [anon_sym_x_EQ] = ACTIONS(2757),
    [anon_sym_AMP_EQ] = ACTIONS(2757),
    [anon_sym_PIPE_EQ] = ACTIONS(2757),
    [anon_sym_CARET_EQ] = ACTIONS(2757),
    [anon_sym_LT_LT_EQ] = ACTIONS(2757),
    [anon_sym_GT_GT_EQ] = ACTIONS(2757),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2757),
    [anon_sym_DOT_DOT] = ACTIONS(2759),
    [anon_sym_STAR_STAR] = ACTIONS(2759),
    [anon_sym_PIPE_PIPE] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH] = ACTIONS(2759),
    [anon_sym_CARET_CARET] = ACTIONS(2757),
    [anon_sym_AMP_AMP] = ACTIONS(2759),
    [anon_sym_PIPE] = ACTIONS(2759),
    [anon_sym_CARET] = ACTIONS(2759),
    [anon_sym_AMP] = ACTIONS(2759),
    [anon_sym_GT_GT2] = ACTIONS(2759),
    [anon_sym_PLUS] = ACTIONS(2759),
    [anon_sym_DASH] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2759),
    [anon_sym_SLASH] = ACTIONS(2759),
    [anon_sym_x] = ACTIONS(2759),
    [anon_sym_EQ_TILDE] = ACTIONS(2757),
    [anon_sym_BANG_TILDE] = ACTIONS(2757),
    [anon_sym_EQ_EQ] = ACTIONS(2759),
    [anon_sym_BANG_EQ] = ACTIONS(2757),
    [anon_sym_eq] = ACTIONS(2759),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2757),
    [anon_sym_equ] = ACTIONS(2757),
    [anon_sym_eqr] = ACTIONS(2757),
    [anon_sym_ne] = ACTIONS(2757),
    [anon_sym_LT_EQ_GT] = ACTIONS(2757),
    [anon_sym_cmp] = ACTIONS(2757),
    [anon_sym_TILDE_TILDE] = ACTIONS(2757),
    [anon_sym_LT_EQ] = ACTIONS(2759),
    [anon_sym_GT_EQ] = ACTIONS(2757),
    [anon_sym_lt] = ACTIONS(2757),
    [anon_sym_le] = ACTIONS(2757),
    [anon_sym_ge] = ACTIONS(2757),
    [anon_sym_gt] = ACTIONS(2757),
    [anon_sym_isa] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2757),
    [anon_sym_DASH_DASH] = ACTIONS(2757),
    [anon_sym_QMARK] = ACTIONS(2757),
    [anon_sym_EQ_GT] = ACTIONS(2757),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2757),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2020] = {
    [sym_heredoc_content] = STATE(2020),
    [anon_sym_SEMI] = ACTIONS(2769),
    [anon_sym_EQ] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2769),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2769),
    [anon_sym_COMMA] = ACTIONS(2769),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2769),
    [anon_sym_DASH_GT] = ACTIONS(2769),
    [anon_sym_PERCENT] = ACTIONS(2771),
    [anon_sym_LT] = ACTIONS(2771),
    [anon_sym_GT] = ACTIONS(2771),
    [anon_sym_LT_LT] = ACTIONS(2771),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2769),
    [anon_sym_PLUS_EQ] = ACTIONS(2769),
    [anon_sym_DASH_EQ] = ACTIONS(2769),
    [anon_sym_DOT_EQ] = ACTIONS(2769),
    [anon_sym_STAR_EQ] = ACTIONS(2769),
    [anon_sym_SLASH_EQ] = ACTIONS(2769),
    [anon_sym_PERCENT_EQ] = ACTIONS(2769),
    [anon_sym_x_EQ] = ACTIONS(2769),
    [anon_sym_AMP_EQ] = ACTIONS(2769),
    [anon_sym_PIPE_EQ] = ACTIONS(2769),
    [anon_sym_CARET_EQ] = ACTIONS(2769),
    [anon_sym_LT_LT_EQ] = ACTIONS(2769),
    [anon_sym_GT_GT_EQ] = ACTIONS(2769),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2769),
    [anon_sym_DOT_DOT] = ACTIONS(2771),
    [anon_sym_STAR_STAR] = ACTIONS(2771),
    [anon_sym_PIPE_PIPE] = ACTIONS(2771),
    [anon_sym_SLASH_SLASH] = ACTIONS(2771),
    [anon_sym_CARET_CARET] = ACTIONS(2769),
    [anon_sym_AMP_AMP] = ACTIONS(2771),
    [anon_sym_PIPE] = ACTIONS(2771),
    [anon_sym_CARET] = ACTIONS(2771),
    [anon_sym_AMP] = ACTIONS(2771),
    [anon_sym_GT_GT2] = ACTIONS(2771),
    [anon_sym_PLUS] = ACTIONS(2771),
    [anon_sym_DASH] = ACTIONS(2771),
    [anon_sym_DOT] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2771),
    [anon_sym_SLASH] = ACTIONS(2771),
    [anon_sym_x] = ACTIONS(2771),
    [anon_sym_EQ_TILDE] = ACTIONS(2769),
    [anon_sym_BANG_TILDE] = ACTIONS(2769),
    [anon_sym_EQ_EQ] = ACTIONS(2771),
    [anon_sym_BANG_EQ] = ACTIONS(2769),
    [anon_sym_eq] = ACTIONS(2771),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2769),
    [anon_sym_equ] = ACTIONS(2769),
    [anon_sym_eqr] = ACTIONS(2769),
    [anon_sym_ne] = ACTIONS(2769),
    [anon_sym_LT_EQ_GT] = ACTIONS(2769),
    [anon_sym_cmp] = ACTIONS(2769),
    [anon_sym_TILDE_TILDE] = ACTIONS(2769),
    [anon_sym_LT_EQ] = ACTIONS(2771),
    [anon_sym_GT_EQ] = ACTIONS(2769),
    [anon_sym_lt] = ACTIONS(2769),
    [anon_sym_le] = ACTIONS(2769),
    [anon_sym_ge] = ACTIONS(2769),
    [anon_sym_gt] = ACTIONS(2769),
    [anon_sym_isa] = ACTIONS(2769),
    [anon_sym_PLUS_PLUS] = ACTIONS(2769),
    [anon_sym_DASH_DASH] = ACTIONS(2769),
    [anon_sym_QMARK] = ACTIONS(2769),
    [anon_sym_EQ_GT] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2769),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2021] = {
    [sym_heredoc_content] = STATE(2021),
    [anon_sym_SEMI] = ACTIONS(2889),
    [anon_sym_EQ] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_COMMA] = ACTIONS(2889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2889),
    [anon_sym_DASH_GT] = ACTIONS(2889),
    [anon_sym_PERCENT] = ACTIONS(2891),
    [anon_sym_LT] = ACTIONS(2891),
    [anon_sym_GT] = ACTIONS(2891),
    [anon_sym_LT_LT] = ACTIONS(2891),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2889),
    [anon_sym_PLUS_EQ] = ACTIONS(2889),
    [anon_sym_DASH_EQ] = ACTIONS(2889),
    [anon_sym_DOT_EQ] = ACTIONS(2889),
    [anon_sym_STAR_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_PERCENT_EQ] = ACTIONS(2889),
    [anon_sym_x_EQ] = ACTIONS(2889),
    [anon_sym_AMP_EQ] = ACTIONS(2889),
    [anon_sym_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_CARET_EQ] = ACTIONS(2889),
    [anon_sym_LT_LT_EQ] = ACTIONS(2889),
    [anon_sym_GT_GT_EQ] = ACTIONS(2889),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2889),
    [anon_sym_DOT_DOT] = ACTIONS(2891),
    [anon_sym_STAR_STAR] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE] = ACTIONS(2891),
    [anon_sym_SLASH_SLASH] = ACTIONS(2891),
    [anon_sym_CARET_CARET] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2891),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_GT_GT2] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_DOT] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_SLASH] = ACTIONS(2891),
    [anon_sym_x] = ACTIONS(2891),
    [anon_sym_EQ_TILDE] = ACTIONS(2889),
    [anon_sym_BANG_TILDE] = ACTIONS(2889),
    [anon_sym_EQ_EQ] = ACTIONS(2891),
    [anon_sym_BANG_EQ] = ACTIONS(2889),
    [anon_sym_eq] = ACTIONS(2891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2889),
    [anon_sym_equ] = ACTIONS(2889),
    [anon_sym_eqr] = ACTIONS(2889),
    [anon_sym_ne] = ACTIONS(2889),
    [anon_sym_LT_EQ_GT] = ACTIONS(2889),
    [anon_sym_cmp] = ACTIONS(2889),
    [anon_sym_TILDE_TILDE] = ACTIONS(2889),
    [anon_sym_LT_EQ] = ACTIONS(2891),
    [anon_sym_GT_EQ] = ACTIONS(2889),
    [anon_sym_lt] = ACTIONS(2889),
    [anon_sym_le] = ACTIONS(2889),
    [anon_sym_ge] = ACTIONS(2889),
    [anon_sym_gt] = ACTIONS(2889),
    [anon_sym_isa] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_QMARK] = ACTIONS(2889),
    [anon_sym_EQ_GT] = ACTIONS(2889),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2889),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2022] = {
    [sym_heredoc_content] = STATE(2022),
    [anon_sym_SEMI] = ACTIONS(2913),
    [anon_sym_EQ] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2913),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2913),
    [anon_sym_COMMA] = ACTIONS(2913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2913),
    [anon_sym_DASH_GT] = ACTIONS(2913),
    [anon_sym_PERCENT] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2915),
    [anon_sym_GT] = ACTIONS(2915),
    [anon_sym_LT_LT] = ACTIONS(2915),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2913),
    [anon_sym_PLUS_EQ] = ACTIONS(2913),
    [anon_sym_DASH_EQ] = ACTIONS(2913),
    [anon_sym_DOT_EQ] = ACTIONS(2913),
    [anon_sym_STAR_EQ] = ACTIONS(2913),
    [anon_sym_SLASH_EQ] = ACTIONS(2913),
    [anon_sym_PERCENT_EQ] = ACTIONS(2913),
    [anon_sym_x_EQ] = ACTIONS(2913),
    [anon_sym_AMP_EQ] = ACTIONS(2913),
    [anon_sym_PIPE_EQ] = ACTIONS(2913),
    [anon_sym_CARET_EQ] = ACTIONS(2913),
    [anon_sym_LT_LT_EQ] = ACTIONS(2913),
    [anon_sym_GT_GT_EQ] = ACTIONS(2913),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2913),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_STAR_STAR] = ACTIONS(2915),
    [anon_sym_PIPE_PIPE] = ACTIONS(2915),
    [anon_sym_SLASH_SLASH] = ACTIONS(2915),
    [anon_sym_CARET_CARET] = ACTIONS(2913),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_PIPE] = ACTIONS(2915),
    [anon_sym_CARET] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2915),
    [anon_sym_GT_GT2] = ACTIONS(2915),
    [anon_sym_PLUS] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2915),
    [anon_sym_DOT] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_SLASH] = ACTIONS(2915),
    [anon_sym_x] = ACTIONS(2915),
    [anon_sym_EQ_TILDE] = ACTIONS(2913),
    [anon_sym_BANG_TILDE] = ACTIONS(2913),
    [anon_sym_EQ_EQ] = ACTIONS(2915),
    [anon_sym_BANG_EQ] = ACTIONS(2913),
    [anon_sym_eq] = ACTIONS(2915),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2913),
    [anon_sym_equ] = ACTIONS(2913),
    [anon_sym_eqr] = ACTIONS(2913),
    [anon_sym_ne] = ACTIONS(2913),
    [anon_sym_LT_EQ_GT] = ACTIONS(2913),
    [anon_sym_cmp] = ACTIONS(2913),
    [anon_sym_TILDE_TILDE] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(2915),
    [anon_sym_GT_EQ] = ACTIONS(2913),
    [anon_sym_lt] = ACTIONS(2913),
    [anon_sym_le] = ACTIONS(2913),
    [anon_sym_ge] = ACTIONS(2913),
    [anon_sym_gt] = ACTIONS(2913),
    [anon_sym_isa] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2913),
    [anon_sym_QMARK] = ACTIONS(2913),
    [anon_sym_EQ_GT] = ACTIONS(2913),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2913),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2023] = {
    [sym_heredoc_content] = STATE(2023),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2833),
    [anon_sym_DASH_DASH] = ACTIONS(2833),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2024] = {
    [sym_heredoc_content] = STATE(2024),
    [anon_sym_SEMI] = ACTIONS(2853),
    [anon_sym_EQ] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2853),
    [anon_sym_DASH_GT] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2855),
    [anon_sym_GT] = ACTIONS(2855),
    [anon_sym_LT_LT] = ACTIONS(2855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2853),
    [anon_sym_PLUS_EQ] = ACTIONS(2853),
    [anon_sym_DASH_EQ] = ACTIONS(2853),
    [anon_sym_DOT_EQ] = ACTIONS(2853),
    [anon_sym_STAR_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_PERCENT_EQ] = ACTIONS(2853),
    [anon_sym_x_EQ] = ACTIONS(2853),
    [anon_sym_AMP_EQ] = ACTIONS(2853),
    [anon_sym_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_CARET_EQ] = ACTIONS(2853),
    [anon_sym_LT_LT_EQ] = ACTIONS(2853),
    [anon_sym_GT_GT_EQ] = ACTIONS(2853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2853),
    [anon_sym_DOT_DOT] = ACTIONS(2855),
    [anon_sym_STAR_STAR] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_SLASH_SLASH] = ACTIONS(2855),
    [anon_sym_CARET_CARET] = ACTIONS(2853),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_PIPE] = ACTIONS(2855),
    [anon_sym_CARET] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_GT_GT2] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_SLASH] = ACTIONS(2855),
    [anon_sym_x] = ACTIONS(2855),
    [anon_sym_EQ_TILDE] = ACTIONS(2853),
    [anon_sym_BANG_TILDE] = ACTIONS(2853),
    [anon_sym_EQ_EQ] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_eq] = ACTIONS(2855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2853),
    [anon_sym_equ] = ACTIONS(2853),
    [anon_sym_eqr] = ACTIONS(2853),
    [anon_sym_ne] = ACTIONS(2853),
    [anon_sym_LT_EQ_GT] = ACTIONS(2853),
    [anon_sym_cmp] = ACTIONS(2853),
    [anon_sym_TILDE_TILDE] = ACTIONS(2853),
    [anon_sym_LT_EQ] = ACTIONS(2855),
    [anon_sym_GT_EQ] = ACTIONS(2853),
    [anon_sym_lt] = ACTIONS(2853),
    [anon_sym_le] = ACTIONS(2853),
    [anon_sym_ge] = ACTIONS(2853),
    [anon_sym_gt] = ACTIONS(2853),
    [anon_sym_isa] = ACTIONS(2853),
    [anon_sym_PLUS_PLUS] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2853),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_EQ_GT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2853),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2025] = {
    [sym_heredoc_content] = STATE(2025),
    [anon_sym_SEMI] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_COMMA] = ACTIONS(3740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3040),
    [anon_sym_DASH_GT] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3042),
    [anon_sym_LT] = ACTIONS(3042),
    [anon_sym_GT] = ACTIONS(3042),
    [anon_sym_LT_LT] = ACTIONS(3042),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3040),
    [anon_sym_DASH_EQ] = ACTIONS(3040),
    [anon_sym_DOT_EQ] = ACTIONS(3040),
    [anon_sym_STAR_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_PERCENT_EQ] = ACTIONS(3040),
    [anon_sym_x_EQ] = ACTIONS(3040),
    [anon_sym_AMP_EQ] = ACTIONS(3040),
    [anon_sym_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_CARET_EQ] = ACTIONS(3040),
    [anon_sym_LT_LT_EQ] = ACTIONS(3040),
    [anon_sym_GT_GT_EQ] = ACTIONS(3040),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3040),
    [anon_sym_DOT_DOT] = ACTIONS(3042),
    [anon_sym_STAR_STAR] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_SLASH_SLASH] = ACTIONS(3042),
    [anon_sym_CARET_CARET] = ACTIONS(3040),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_PIPE] = ACTIONS(3042),
    [anon_sym_CARET] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3042),
    [anon_sym_GT_GT2] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3042),
    [anon_sym_x] = ACTIONS(3042),
    [anon_sym_EQ_TILDE] = ACTIONS(3040),
    [anon_sym_BANG_TILDE] = ACTIONS(3040),
    [anon_sym_EQ_EQ] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_eq] = ACTIONS(3042),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3040),
    [anon_sym_equ] = ACTIONS(3040),
    [anon_sym_eqr] = ACTIONS(3040),
    [anon_sym_ne] = ACTIONS(3040),
    [anon_sym_LT_EQ_GT] = ACTIONS(3040),
    [anon_sym_cmp] = ACTIONS(3040),
    [anon_sym_TILDE_TILDE] = ACTIONS(3040),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3040),
    [anon_sym_lt] = ACTIONS(3040),
    [anon_sym_le] = ACTIONS(3040),
    [anon_sym_ge] = ACTIONS(3040),
    [anon_sym_gt] = ACTIONS(3040),
    [anon_sym_isa] = ACTIONS(3040),
    [anon_sym_PLUS_PLUS] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3040),
    [anon_sym_QMARK] = ACTIONS(3040),
    [anon_sym_EQ_GT] = ACTIONS(3740),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3040),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2026] = {
    [sym_heredoc_content] = STATE(2026),
    [anon_sym_SEMI] = ACTIONS(2705),
    [anon_sym_EQ] = ACTIONS(2707),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2705),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2705),
    [anon_sym_COMMA] = ACTIONS(2705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2705),
    [anon_sym_DASH_GT] = ACTIONS(2705),
    [anon_sym_PERCENT] = ACTIONS(2707),
    [anon_sym_LT] = ACTIONS(2707),
    [anon_sym_GT] = ACTIONS(2707),
    [anon_sym_LT_LT] = ACTIONS(2707),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2705),
    [anon_sym_PLUS_EQ] = ACTIONS(2705),
    [anon_sym_DASH_EQ] = ACTIONS(2705),
    [anon_sym_DOT_EQ] = ACTIONS(2705),
    [anon_sym_STAR_EQ] = ACTIONS(2705),
    [anon_sym_SLASH_EQ] = ACTIONS(2705),
    [anon_sym_PERCENT_EQ] = ACTIONS(2705),
    [anon_sym_x_EQ] = ACTIONS(2705),
    [anon_sym_AMP_EQ] = ACTIONS(2705),
    [anon_sym_PIPE_EQ] = ACTIONS(2705),
    [anon_sym_CARET_EQ] = ACTIONS(2705),
    [anon_sym_LT_LT_EQ] = ACTIONS(2705),
    [anon_sym_GT_GT_EQ] = ACTIONS(2705),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2705),
    [anon_sym_DOT_DOT] = ACTIONS(2707),
    [anon_sym_STAR_STAR] = ACTIONS(2707),
    [anon_sym_PIPE_PIPE] = ACTIONS(2707),
    [anon_sym_SLASH_SLASH] = ACTIONS(2707),
    [anon_sym_CARET_CARET] = ACTIONS(2705),
    [anon_sym_AMP_AMP] = ACTIONS(2707),
    [anon_sym_PIPE] = ACTIONS(2707),
    [anon_sym_CARET] = ACTIONS(2707),
    [anon_sym_AMP] = ACTIONS(2707),
    [anon_sym_GT_GT2] = ACTIONS(2707),
    [anon_sym_PLUS] = ACTIONS(2707),
    [anon_sym_DASH] = ACTIONS(2707),
    [anon_sym_DOT] = ACTIONS(2707),
    [anon_sym_STAR] = ACTIONS(2707),
    [anon_sym_SLASH] = ACTIONS(2707),
    [anon_sym_x] = ACTIONS(2707),
    [anon_sym_EQ_TILDE] = ACTIONS(2705),
    [anon_sym_BANG_TILDE] = ACTIONS(2705),
    [anon_sym_EQ_EQ] = ACTIONS(2707),
    [anon_sym_BANG_EQ] = ACTIONS(2705),
    [anon_sym_eq] = ACTIONS(2707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2705),
    [anon_sym_equ] = ACTIONS(2705),
    [anon_sym_eqr] = ACTIONS(2705),
    [anon_sym_ne] = ACTIONS(2705),
    [anon_sym_LT_EQ_GT] = ACTIONS(2705),
    [anon_sym_cmp] = ACTIONS(2705),
    [anon_sym_TILDE_TILDE] = ACTIONS(2705),
    [anon_sym_LT_EQ] = ACTIONS(2707),
    [anon_sym_GT_EQ] = ACTIONS(2705),
    [anon_sym_lt] = ACTIONS(2705),
    [anon_sym_le] = ACTIONS(2705),
    [anon_sym_ge] = ACTIONS(2705),
    [anon_sym_gt] = ACTIONS(2705),
    [anon_sym_isa] = ACTIONS(2705),
    [anon_sym_PLUS_PLUS] = ACTIONS(2705),
    [anon_sym_DASH_DASH] = ACTIONS(2705),
    [anon_sym_QMARK] = ACTIONS(2705),
    [anon_sym_EQ_GT] = ACTIONS(2705),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2027] = {
    [sym_heredoc_content] = STATE(2027),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_COMMA] = ACTIONS(3062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_DASH_GT] = ACTIONS(3062),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LT_LT] = ACTIONS(3064),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3062),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_DOT_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_x_EQ] = ACTIONS(3062),
    [anon_sym_AMP_EQ] = ACTIONS(3062),
    [anon_sym_PIPE_EQ] = ACTIONS(3062),
    [anon_sym_CARET_EQ] = ACTIONS(3062),
    [anon_sym_LT_LT_EQ] = ACTIONS(3062),
    [anon_sym_GT_GT_EQ] = ACTIONS(3062),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3062),
    [anon_sym_DOT_DOT] = ACTIONS(3064),
    [anon_sym_STAR_STAR] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_SLASH_SLASH] = ACTIONS(3064),
    [anon_sym_CARET_CARET] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3064),
    [anon_sym_PIPE] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_GT_GT2] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_x] = ACTIONS(3064),
    [anon_sym_EQ_TILDE] = ACTIONS(3062),
    [anon_sym_BANG_TILDE] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ] = ACTIONS(3062),
    [anon_sym_eq] = ACTIONS(3064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_equ] = ACTIONS(3062),
    [anon_sym_eqr] = ACTIONS(3062),
    [anon_sym_ne] = ACTIONS(3062),
    [anon_sym_LT_EQ_GT] = ACTIONS(3062),
    [anon_sym_cmp] = ACTIONS(3062),
    [anon_sym_TILDE_TILDE] = ACTIONS(3062),
    [anon_sym_LT_EQ] = ACTIONS(3064),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_lt] = ACTIONS(3062),
    [anon_sym_le] = ACTIONS(3062),
    [anon_sym_ge] = ACTIONS(3062),
    [anon_sym_gt] = ACTIONS(3062),
    [anon_sym_isa] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(3062),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3062),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2028] = {
    [sym_heredoc_content] = STATE(2028),
    [anon_sym_SEMI] = ACTIONS(2765),
    [anon_sym_EQ] = ACTIONS(2767),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_COMMA] = ACTIONS(2765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2765),
    [anon_sym_DASH_GT] = ACTIONS(2765),
    [anon_sym_PERCENT] = ACTIONS(2767),
    [anon_sym_LT] = ACTIONS(2767),
    [anon_sym_GT] = ACTIONS(2767),
    [anon_sym_LT_LT] = ACTIONS(2767),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2765),
    [anon_sym_PLUS_EQ] = ACTIONS(2765),
    [anon_sym_DASH_EQ] = ACTIONS(2765),
    [anon_sym_DOT_EQ] = ACTIONS(2765),
    [anon_sym_STAR_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_PERCENT_EQ] = ACTIONS(2765),
    [anon_sym_x_EQ] = ACTIONS(2765),
    [anon_sym_AMP_EQ] = ACTIONS(2765),
    [anon_sym_PIPE_EQ] = ACTIONS(2765),
    [anon_sym_CARET_EQ] = ACTIONS(2765),
    [anon_sym_LT_LT_EQ] = ACTIONS(2765),
    [anon_sym_GT_GT_EQ] = ACTIONS(2765),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2765),
    [anon_sym_DOT_DOT] = ACTIONS(2767),
    [anon_sym_STAR_STAR] = ACTIONS(2767),
    [anon_sym_PIPE_PIPE] = ACTIONS(2767),
    [anon_sym_SLASH_SLASH] = ACTIONS(2767),
    [anon_sym_CARET_CARET] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2767),
    [anon_sym_CARET] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_GT_GT2] = ACTIONS(2767),
    [anon_sym_PLUS] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_DOT] = ACTIONS(2767),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_SLASH] = ACTIONS(2767),
    [anon_sym_x] = ACTIONS(2767),
    [anon_sym_EQ_TILDE] = ACTIONS(2765),
    [anon_sym_BANG_TILDE] = ACTIONS(2765),
    [anon_sym_EQ_EQ] = ACTIONS(2767),
    [anon_sym_BANG_EQ] = ACTIONS(2765),
    [anon_sym_eq] = ACTIONS(2767),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2765),
    [anon_sym_equ] = ACTIONS(2765),
    [anon_sym_eqr] = ACTIONS(2765),
    [anon_sym_ne] = ACTIONS(2765),
    [anon_sym_LT_EQ_GT] = ACTIONS(2765),
    [anon_sym_cmp] = ACTIONS(2765),
    [anon_sym_TILDE_TILDE] = ACTIONS(2765),
    [anon_sym_LT_EQ] = ACTIONS(2767),
    [anon_sym_GT_EQ] = ACTIONS(2765),
    [anon_sym_lt] = ACTIONS(2765),
    [anon_sym_le] = ACTIONS(2765),
    [anon_sym_ge] = ACTIONS(2765),
    [anon_sym_gt] = ACTIONS(2765),
    [anon_sym_isa] = ACTIONS(2765),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_QMARK] = ACTIONS(2765),
    [anon_sym_EQ_GT] = ACTIONS(2765),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2765),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2029] = {
    [sym_heredoc_content] = STATE(2029),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym_EQ] = ACTIONS(2951),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_COMMA] = ACTIONS(2949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2949),
    [anon_sym_DASH_GT] = ACTIONS(2949),
    [anon_sym_PERCENT] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_GT] = ACTIONS(2951),
    [anon_sym_LT_LT] = ACTIONS(2951),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2949),
    [anon_sym_PLUS_EQ] = ACTIONS(2949),
    [anon_sym_DASH_EQ] = ACTIONS(2949),
    [anon_sym_DOT_EQ] = ACTIONS(2949),
    [anon_sym_STAR_EQ] = ACTIONS(2949),
    [anon_sym_SLASH_EQ] = ACTIONS(2949),
    [anon_sym_PERCENT_EQ] = ACTIONS(2949),
    [anon_sym_x_EQ] = ACTIONS(2949),
    [anon_sym_AMP_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_EQ] = ACTIONS(2949),
    [anon_sym_CARET_EQ] = ACTIONS(2949),
    [anon_sym_LT_LT_EQ] = ACTIONS(2949),
    [anon_sym_GT_GT_EQ] = ACTIONS(2949),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2949),
    [anon_sym_DOT_DOT] = ACTIONS(2951),
    [anon_sym_STAR_STAR] = ACTIONS(2951),
    [anon_sym_PIPE_PIPE] = ACTIONS(2951),
    [anon_sym_SLASH_SLASH] = ACTIONS(2951),
    [anon_sym_CARET_CARET] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_PIPE] = ACTIONS(2951),
    [anon_sym_CARET] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_GT_GT2] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_DOT] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_x] = ACTIONS(2951),
    [anon_sym_EQ_TILDE] = ACTIONS(2949),
    [anon_sym_BANG_TILDE] = ACTIONS(2949),
    [anon_sym_EQ_EQ] = ACTIONS(2951),
    [anon_sym_BANG_EQ] = ACTIONS(2949),
    [anon_sym_eq] = ACTIONS(2951),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2949),
    [anon_sym_equ] = ACTIONS(2949),
    [anon_sym_eqr] = ACTIONS(2949),
    [anon_sym_ne] = ACTIONS(2949),
    [anon_sym_LT_EQ_GT] = ACTIONS(2949),
    [anon_sym_cmp] = ACTIONS(2949),
    [anon_sym_TILDE_TILDE] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT_EQ] = ACTIONS(2949),
    [anon_sym_lt] = ACTIONS(2949),
    [anon_sym_le] = ACTIONS(2949),
    [anon_sym_ge] = ACTIONS(2949),
    [anon_sym_gt] = ACTIONS(2949),
    [anon_sym_isa] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_QMARK] = ACTIONS(2949),
    [anon_sym_EQ_GT] = ACTIONS(2949),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2949),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2030] = {
    [sym_heredoc_content] = STATE(2030),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym_EQ] = ACTIONS(3086),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3084),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3084),
    [anon_sym_COMMA] = ACTIONS(3084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3084),
    [anon_sym_DASH_GT] = ACTIONS(3084),
    [anon_sym_PERCENT] = ACTIONS(3086),
    [anon_sym_LT] = ACTIONS(3086),
    [anon_sym_GT] = ACTIONS(3086),
    [anon_sym_LT_LT] = ACTIONS(3086),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3084),
    [anon_sym_PLUS_EQ] = ACTIONS(3084),
    [anon_sym_DASH_EQ] = ACTIONS(3084),
    [anon_sym_DOT_EQ] = ACTIONS(3084),
    [anon_sym_STAR_EQ] = ACTIONS(3084),
    [anon_sym_SLASH_EQ] = ACTIONS(3084),
    [anon_sym_PERCENT_EQ] = ACTIONS(3084),
    [anon_sym_x_EQ] = ACTIONS(3084),
    [anon_sym_AMP_EQ] = ACTIONS(3084),
    [anon_sym_PIPE_EQ] = ACTIONS(3084),
    [anon_sym_CARET_EQ] = ACTIONS(3084),
    [anon_sym_LT_LT_EQ] = ACTIONS(3084),
    [anon_sym_GT_GT_EQ] = ACTIONS(3084),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3084),
    [anon_sym_DOT_DOT] = ACTIONS(3086),
    [anon_sym_STAR_STAR] = ACTIONS(3086),
    [anon_sym_PIPE_PIPE] = ACTIONS(3086),
    [anon_sym_SLASH_SLASH] = ACTIONS(3086),
    [anon_sym_CARET_CARET] = ACTIONS(3084),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_PIPE] = ACTIONS(3086),
    [anon_sym_CARET] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3086),
    [anon_sym_GT_GT2] = ACTIONS(3086),
    [anon_sym_PLUS] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3086),
    [anon_sym_DOT] = ACTIONS(3086),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_SLASH] = ACTIONS(3086),
    [anon_sym_x] = ACTIONS(3086),
    [anon_sym_EQ_TILDE] = ACTIONS(3084),
    [anon_sym_BANG_TILDE] = ACTIONS(3084),
    [anon_sym_EQ_EQ] = ACTIONS(3086),
    [anon_sym_BANG_EQ] = ACTIONS(3084),
    [anon_sym_eq] = ACTIONS(3086),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3084),
    [anon_sym_equ] = ACTIONS(3084),
    [anon_sym_eqr] = ACTIONS(3084),
    [anon_sym_ne] = ACTIONS(3084),
    [anon_sym_LT_EQ_GT] = ACTIONS(3084),
    [anon_sym_cmp] = ACTIONS(3084),
    [anon_sym_TILDE_TILDE] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3086),
    [anon_sym_GT_EQ] = ACTIONS(3084),
    [anon_sym_lt] = ACTIONS(3084),
    [anon_sym_le] = ACTIONS(3084),
    [anon_sym_ge] = ACTIONS(3084),
    [anon_sym_gt] = ACTIONS(3084),
    [anon_sym_isa] = ACTIONS(3084),
    [anon_sym_PLUS_PLUS] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3084),
    [anon_sym_QMARK] = ACTIONS(3084),
    [anon_sym_EQ_GT] = ACTIONS(3084),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3084),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2031] = {
    [sym_heredoc_content] = STATE(2031),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2953),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2953),
    [anon_sym_COMMA] = ACTIONS(2953),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2953),
    [anon_sym_DASH_GT] = ACTIONS(2953),
    [anon_sym_PERCENT] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_GT] = ACTIONS(2955),
    [anon_sym_LT_LT] = ACTIONS(2955),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2953),
    [anon_sym_PLUS_EQ] = ACTIONS(2953),
    [anon_sym_DASH_EQ] = ACTIONS(2953),
    [anon_sym_DOT_EQ] = ACTIONS(2953),
    [anon_sym_STAR_EQ] = ACTIONS(2953),
    [anon_sym_SLASH_EQ] = ACTIONS(2953),
    [anon_sym_PERCENT_EQ] = ACTIONS(2953),
    [anon_sym_x_EQ] = ACTIONS(2953),
    [anon_sym_AMP_EQ] = ACTIONS(2953),
    [anon_sym_PIPE_EQ] = ACTIONS(2953),
    [anon_sym_CARET_EQ] = ACTIONS(2953),
    [anon_sym_LT_LT_EQ] = ACTIONS(2953),
    [anon_sym_GT_GT_EQ] = ACTIONS(2953),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2953),
    [anon_sym_DOT_DOT] = ACTIONS(2955),
    [anon_sym_STAR_STAR] = ACTIONS(2955),
    [anon_sym_PIPE_PIPE] = ACTIONS(2955),
    [anon_sym_SLASH_SLASH] = ACTIONS(2955),
    [anon_sym_CARET_CARET] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_PIPE] = ACTIONS(2955),
    [anon_sym_CARET] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_GT_GT2] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_DOT] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2955),
    [anon_sym_x] = ACTIONS(2955),
    [anon_sym_EQ_TILDE] = ACTIONS(2953),
    [anon_sym_BANG_TILDE] = ACTIONS(2953),
    [anon_sym_EQ_EQ] = ACTIONS(2955),
    [anon_sym_BANG_EQ] = ACTIONS(2953),
    [anon_sym_eq] = ACTIONS(2955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2953),
    [anon_sym_equ] = ACTIONS(2953),
    [anon_sym_eqr] = ACTIONS(2953),
    [anon_sym_ne] = ACTIONS(2953),
    [anon_sym_LT_EQ_GT] = ACTIONS(2953),
    [anon_sym_cmp] = ACTIONS(2953),
    [anon_sym_TILDE_TILDE] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2955),
    [anon_sym_GT_EQ] = ACTIONS(2953),
    [anon_sym_lt] = ACTIONS(2953),
    [anon_sym_le] = ACTIONS(2953),
    [anon_sym_ge] = ACTIONS(2953),
    [anon_sym_gt] = ACTIONS(2953),
    [anon_sym_isa] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2953),
    [anon_sym_EQ_GT] = ACTIONS(2953),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2953),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2032] = {
    [sym_heredoc_content] = STATE(2032),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_COMMA] = ACTIONS(3110),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3110),
    [anon_sym_DASH_GT] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3112),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [anon_sym_LT_LT] = ACTIONS(3112),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3110),
    [anon_sym_DASH_EQ] = ACTIONS(3110),
    [anon_sym_DOT_EQ] = ACTIONS(3110),
    [anon_sym_STAR_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_PERCENT_EQ] = ACTIONS(3110),
    [anon_sym_x_EQ] = ACTIONS(3110),
    [anon_sym_AMP_EQ] = ACTIONS(3110),
    [anon_sym_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_CARET_EQ] = ACTIONS(3110),
    [anon_sym_LT_LT_EQ] = ACTIONS(3110),
    [anon_sym_GT_GT_EQ] = ACTIONS(3110),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3110),
    [anon_sym_DOT_DOT] = ACTIONS(3112),
    [anon_sym_STAR_STAR] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_SLASH_SLASH] = ACTIONS(3112),
    [anon_sym_CARET_CARET] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_PIPE] = ACTIONS(3112),
    [anon_sym_CARET] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_GT_GT2] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3112),
    [anon_sym_x] = ACTIONS(3112),
    [anon_sym_EQ_TILDE] = ACTIONS(3110),
    [anon_sym_BANG_TILDE] = ACTIONS(3110),
    [anon_sym_EQ_EQ] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_eq] = ACTIONS(3112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3110),
    [anon_sym_equ] = ACTIONS(3110),
    [anon_sym_eqr] = ACTIONS(3110),
    [anon_sym_ne] = ACTIONS(3110),
    [anon_sym_LT_EQ_GT] = ACTIONS(3110),
    [anon_sym_cmp] = ACTIONS(3110),
    [anon_sym_TILDE_TILDE] = ACTIONS(3110),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3110),
    [anon_sym_lt] = ACTIONS(3110),
    [anon_sym_le] = ACTIONS(3110),
    [anon_sym_ge] = ACTIONS(3110),
    [anon_sym_gt] = ACTIONS(3110),
    [anon_sym_isa] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_QMARK] = ACTIONS(3110),
    [anon_sym_EQ_GT] = ACTIONS(3110),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3110),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2033] = {
    [sym_heredoc_content] = STATE(2033),
    [anon_sym_SEMI] = ACTIONS(2693),
    [anon_sym_EQ] = ACTIONS(2695),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2693),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(2693),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2693),
    [anon_sym_DASH_GT] = ACTIONS(2693),
    [anon_sym_PERCENT] = ACTIONS(2695),
    [anon_sym_LT] = ACTIONS(2695),
    [anon_sym_GT] = ACTIONS(2695),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2693),
    [anon_sym_PLUS_EQ] = ACTIONS(2693),
    [anon_sym_DASH_EQ] = ACTIONS(2693),
    [anon_sym_DOT_EQ] = ACTIONS(2693),
    [anon_sym_STAR_EQ] = ACTIONS(2693),
    [anon_sym_SLASH_EQ] = ACTIONS(2693),
    [anon_sym_PERCENT_EQ] = ACTIONS(2693),
    [anon_sym_x_EQ] = ACTIONS(2693),
    [anon_sym_AMP_EQ] = ACTIONS(2693),
    [anon_sym_PIPE_EQ] = ACTIONS(2693),
    [anon_sym_CARET_EQ] = ACTIONS(2693),
    [anon_sym_LT_LT_EQ] = ACTIONS(2693),
    [anon_sym_GT_GT_EQ] = ACTIONS(2693),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2693),
    [anon_sym_DOT_DOT] = ACTIONS(2695),
    [anon_sym_STAR_STAR] = ACTIONS(2695),
    [anon_sym_PIPE_PIPE] = ACTIONS(2695),
    [anon_sym_SLASH_SLASH] = ACTIONS(2695),
    [anon_sym_CARET_CARET] = ACTIONS(2693),
    [anon_sym_AMP_AMP] = ACTIONS(2695),
    [anon_sym_PIPE] = ACTIONS(2695),
    [anon_sym_CARET] = ACTIONS(2695),
    [anon_sym_AMP] = ACTIONS(2695),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2695),
    [anon_sym_DOT] = ACTIONS(2695),
    [anon_sym_STAR] = ACTIONS(2695),
    [anon_sym_SLASH] = ACTIONS(2695),
    [anon_sym_x] = ACTIONS(2695),
    [anon_sym_EQ_TILDE] = ACTIONS(2693),
    [anon_sym_BANG_TILDE] = ACTIONS(2693),
    [anon_sym_EQ_EQ] = ACTIONS(2695),
    [anon_sym_BANG_EQ] = ACTIONS(2693),
    [anon_sym_eq] = ACTIONS(2695),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2693),
    [anon_sym_equ] = ACTIONS(2693),
    [anon_sym_eqr] = ACTIONS(2693),
    [anon_sym_ne] = ACTIONS(2693),
    [anon_sym_LT_EQ_GT] = ACTIONS(2693),
    [anon_sym_cmp] = ACTIONS(2693),
    [anon_sym_TILDE_TILDE] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(2695),
    [anon_sym_GT_EQ] = ACTIONS(2693),
    [anon_sym_lt] = ACTIONS(2693),
    [anon_sym_le] = ACTIONS(2693),
    [anon_sym_ge] = ACTIONS(2693),
    [anon_sym_gt] = ACTIONS(2693),
    [anon_sym_isa] = ACTIONS(2693),
    [anon_sym_PLUS_PLUS] = ACTIONS(2693),
    [anon_sym_DASH_DASH] = ACTIONS(2693),
    [anon_sym_QMARK] = ACTIONS(2693),
    [anon_sym_EQ_GT] = ACTIONS(2693),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2693),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2034] = {
    [sym_heredoc_content] = STATE(2034),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym_EQ] = ACTIONS(2959),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_COMMA] = ACTIONS(2957),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2957),
    [anon_sym_DASH_GT] = ACTIONS(2957),
    [anon_sym_PERCENT] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2959),
    [anon_sym_GT] = ACTIONS(2959),
    [anon_sym_LT_LT] = ACTIONS(2959),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2957),
    [anon_sym_PLUS_EQ] = ACTIONS(2957),
    [anon_sym_DASH_EQ] = ACTIONS(2957),
    [anon_sym_DOT_EQ] = ACTIONS(2957),
    [anon_sym_STAR_EQ] = ACTIONS(2957),
    [anon_sym_SLASH_EQ] = ACTIONS(2957),
    [anon_sym_PERCENT_EQ] = ACTIONS(2957),
    [anon_sym_x_EQ] = ACTIONS(2957),
    [anon_sym_AMP_EQ] = ACTIONS(2957),
    [anon_sym_PIPE_EQ] = ACTIONS(2957),
    [anon_sym_CARET_EQ] = ACTIONS(2957),
    [anon_sym_LT_LT_EQ] = ACTIONS(2957),
    [anon_sym_GT_GT_EQ] = ACTIONS(2957),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2957),
    [anon_sym_DOT_DOT] = ACTIONS(2959),
    [anon_sym_STAR_STAR] = ACTIONS(2959),
    [anon_sym_PIPE_PIPE] = ACTIONS(2959),
    [anon_sym_SLASH_SLASH] = ACTIONS(2959),
    [anon_sym_CARET_CARET] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_PIPE] = ACTIONS(2959),
    [anon_sym_CARET] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_GT_GT2] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_DOT] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2959),
    [anon_sym_x] = ACTIONS(2959),
    [anon_sym_EQ_TILDE] = ACTIONS(2957),
    [anon_sym_BANG_TILDE] = ACTIONS(2957),
    [anon_sym_EQ_EQ] = ACTIONS(2959),
    [anon_sym_BANG_EQ] = ACTIONS(2957),
    [anon_sym_eq] = ACTIONS(2959),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2957),
    [anon_sym_equ] = ACTIONS(2957),
    [anon_sym_eqr] = ACTIONS(2957),
    [anon_sym_ne] = ACTIONS(2957),
    [anon_sym_LT_EQ_GT] = ACTIONS(2957),
    [anon_sym_cmp] = ACTIONS(2957),
    [anon_sym_TILDE_TILDE] = ACTIONS(2957),
    [anon_sym_LT_EQ] = ACTIONS(2959),
    [anon_sym_GT_EQ] = ACTIONS(2957),
    [anon_sym_lt] = ACTIONS(2957),
    [anon_sym_le] = ACTIONS(2957),
    [anon_sym_ge] = ACTIONS(2957),
    [anon_sym_gt] = ACTIONS(2957),
    [anon_sym_isa] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_QMARK] = ACTIONS(2957),
    [anon_sym_EQ_GT] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2957),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2035] = {
    [sym_heredoc_content] = STATE(2035),
    [anon_sym_SEMI] = ACTIONS(2981),
    [anon_sym_EQ] = ACTIONS(2983),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2981),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2981),
    [anon_sym_COMMA] = ACTIONS(2981),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2981),
    [anon_sym_DASH_GT] = ACTIONS(2981),
    [anon_sym_PERCENT] = ACTIONS(2983),
    [anon_sym_LT] = ACTIONS(2983),
    [anon_sym_GT] = ACTIONS(2983),
    [anon_sym_LT_LT] = ACTIONS(2983),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2981),
    [anon_sym_PLUS_EQ] = ACTIONS(2981),
    [anon_sym_DASH_EQ] = ACTIONS(2981),
    [anon_sym_DOT_EQ] = ACTIONS(2981),
    [anon_sym_STAR_EQ] = ACTIONS(2981),
    [anon_sym_SLASH_EQ] = ACTIONS(2981),
    [anon_sym_PERCENT_EQ] = ACTIONS(2981),
    [anon_sym_x_EQ] = ACTIONS(2981),
    [anon_sym_AMP_EQ] = ACTIONS(2981),
    [anon_sym_PIPE_EQ] = ACTIONS(2981),
    [anon_sym_CARET_EQ] = ACTIONS(2981),
    [anon_sym_LT_LT_EQ] = ACTIONS(2981),
    [anon_sym_GT_GT_EQ] = ACTIONS(2981),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2981),
    [anon_sym_DOT_DOT] = ACTIONS(2983),
    [anon_sym_STAR_STAR] = ACTIONS(2983),
    [anon_sym_PIPE_PIPE] = ACTIONS(2983),
    [anon_sym_SLASH_SLASH] = ACTIONS(2983),
    [anon_sym_CARET_CARET] = ACTIONS(2981),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_PIPE] = ACTIONS(2983),
    [anon_sym_CARET] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2983),
    [anon_sym_GT_GT2] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2983),
    [anon_sym_DOT] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_SLASH] = ACTIONS(2983),
    [anon_sym_x] = ACTIONS(2983),
    [anon_sym_EQ_TILDE] = ACTIONS(2981),
    [anon_sym_BANG_TILDE] = ACTIONS(2981),
    [anon_sym_EQ_EQ] = ACTIONS(2983),
    [anon_sym_BANG_EQ] = ACTIONS(2981),
    [anon_sym_eq] = ACTIONS(2983),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2981),
    [anon_sym_equ] = ACTIONS(2981),
    [anon_sym_eqr] = ACTIONS(2981),
    [anon_sym_ne] = ACTIONS(2981),
    [anon_sym_LT_EQ_GT] = ACTIONS(2981),
    [anon_sym_cmp] = ACTIONS(2981),
    [anon_sym_TILDE_TILDE] = ACTIONS(2981),
    [anon_sym_LT_EQ] = ACTIONS(2983),
    [anon_sym_GT_EQ] = ACTIONS(2981),
    [anon_sym_lt] = ACTIONS(2981),
    [anon_sym_le] = ACTIONS(2981),
    [anon_sym_ge] = ACTIONS(2981),
    [anon_sym_gt] = ACTIONS(2981),
    [anon_sym_isa] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2981),
    [anon_sym_QMARK] = ACTIONS(2981),
    [anon_sym_EQ_GT] = ACTIONS(2981),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2981),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2036] = {
    [sym_heredoc_content] = STATE(2036),
    [anon_sym_SEMI] = ACTIONS(2749),
    [anon_sym_EQ] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_COMMA] = ACTIONS(2749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2749),
    [anon_sym_DASH_GT] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2751),
    [anon_sym_LT] = ACTIONS(2751),
    [anon_sym_GT] = ACTIONS(2751),
    [anon_sym_LT_LT] = ACTIONS(2751),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2749),
    [anon_sym_PLUS_EQ] = ACTIONS(2749),
    [anon_sym_DASH_EQ] = ACTIONS(2749),
    [anon_sym_DOT_EQ] = ACTIONS(2749),
    [anon_sym_STAR_EQ] = ACTIONS(2749),
    [anon_sym_SLASH_EQ] = ACTIONS(2749),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_x_EQ] = ACTIONS(2749),
    [anon_sym_AMP_EQ] = ACTIONS(2749),
    [anon_sym_PIPE_EQ] = ACTIONS(2749),
    [anon_sym_CARET_EQ] = ACTIONS(2749),
    [anon_sym_LT_LT_EQ] = ACTIONS(2749),
    [anon_sym_GT_GT_EQ] = ACTIONS(2749),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2751),
    [anon_sym_STAR_STAR] = ACTIONS(2751),
    [anon_sym_PIPE_PIPE] = ACTIONS(2751),
    [anon_sym_SLASH_SLASH] = ACTIONS(2751),
    [anon_sym_CARET_CARET] = ACTIONS(2749),
    [anon_sym_AMP_AMP] = ACTIONS(2751),
    [anon_sym_PIPE] = ACTIONS(2751),
    [anon_sym_CARET] = ACTIONS(2751),
    [anon_sym_AMP] = ACTIONS(2751),
    [anon_sym_GT_GT2] = ACTIONS(2751),
    [anon_sym_PLUS] = ACTIONS(2751),
    [anon_sym_DASH] = ACTIONS(2751),
    [anon_sym_DOT] = ACTIONS(2751),
    [anon_sym_STAR] = ACTIONS(2751),
    [anon_sym_SLASH] = ACTIONS(2751),
    [anon_sym_x] = ACTIONS(2751),
    [anon_sym_EQ_TILDE] = ACTIONS(2749),
    [anon_sym_BANG_TILDE] = ACTIONS(2749),
    [anon_sym_EQ_EQ] = ACTIONS(2751),
    [anon_sym_BANG_EQ] = ACTIONS(2749),
    [anon_sym_eq] = ACTIONS(2751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2749),
    [anon_sym_equ] = ACTIONS(2749),
    [anon_sym_eqr] = ACTIONS(2749),
    [anon_sym_ne] = ACTIONS(2749),
    [anon_sym_LT_EQ_GT] = ACTIONS(2749),
    [anon_sym_cmp] = ACTIONS(2749),
    [anon_sym_TILDE_TILDE] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2751),
    [anon_sym_GT_EQ] = ACTIONS(2749),
    [anon_sym_lt] = ACTIONS(2749),
    [anon_sym_le] = ACTIONS(2749),
    [anon_sym_ge] = ACTIONS(2749),
    [anon_sym_gt] = ACTIONS(2749),
    [anon_sym_isa] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2749),
    [anon_sym_DASH_DASH] = ACTIONS(2749),
    [anon_sym_QMARK] = ACTIONS(2749),
    [anon_sym_EQ_GT] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2749),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2037] = {
    [sym_heredoc_content] = STATE(2037),
    [anon_sym_SEMI] = ACTIONS(1409),
    [anon_sym_EQ] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1409),
    [anon_sym_COMMA] = ACTIONS(1409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1409),
    [anon_sym_DASH_GT] = ACTIONS(1409),
    [anon_sym_PERCENT] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [anon_sym_LT_LT] = ACTIONS(1407),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1409),
    [anon_sym_PLUS_EQ] = ACTIONS(1409),
    [anon_sym_DASH_EQ] = ACTIONS(1409),
    [anon_sym_DOT_EQ] = ACTIONS(1409),
    [anon_sym_STAR_EQ] = ACTIONS(1409),
    [anon_sym_SLASH_EQ] = ACTIONS(1409),
    [anon_sym_PERCENT_EQ] = ACTIONS(1409),
    [anon_sym_x_EQ] = ACTIONS(1409),
    [anon_sym_AMP_EQ] = ACTIONS(1409),
    [anon_sym_PIPE_EQ] = ACTIONS(1409),
    [anon_sym_CARET_EQ] = ACTIONS(1409),
    [anon_sym_LT_LT_EQ] = ACTIONS(1409),
    [anon_sym_GT_GT_EQ] = ACTIONS(1409),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1409),
    [anon_sym_DOT_DOT] = ACTIONS(1407),
    [anon_sym_STAR_STAR] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1407),
    [anon_sym_SLASH_SLASH] = ACTIONS(1407),
    [anon_sym_CARET_CARET] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1407),
    [anon_sym_PIPE] = ACTIONS(1407),
    [anon_sym_CARET] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(1407),
    [anon_sym_GT_GT2] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_DOT] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_x] = ACTIONS(1407),
    [anon_sym_EQ_TILDE] = ACTIONS(1409),
    [anon_sym_BANG_TILDE] = ACTIONS(1409),
    [anon_sym_EQ_EQ] = ACTIONS(1407),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_eq] = ACTIONS(1407),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1409),
    [anon_sym_equ] = ACTIONS(1409),
    [anon_sym_eqr] = ACTIONS(1409),
    [anon_sym_ne] = ACTIONS(1409),
    [anon_sym_LT_EQ_GT] = ACTIONS(1409),
    [anon_sym_cmp] = ACTIONS(1409),
    [anon_sym_TILDE_TILDE] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_lt] = ACTIONS(1409),
    [anon_sym_le] = ACTIONS(1409),
    [anon_sym_ge] = ACTIONS(1409),
    [anon_sym_gt] = ACTIONS(1409),
    [anon_sym_isa] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1409),
    [anon_sym_DASH_DASH] = ACTIONS(1409),
    [anon_sym_QMARK] = ACTIONS(1409),
    [anon_sym_EQ_GT] = ACTIONS(1409),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1409),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2038] = {
    [sym_heredoc_content] = STATE(2038),
    [anon_sym_SEMI] = ACTIONS(3001),
    [anon_sym_EQ] = ACTIONS(3003),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3001),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3001),
    [anon_sym_COMMA] = ACTIONS(3001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3001),
    [anon_sym_DASH_GT] = ACTIONS(3001),
    [anon_sym_PERCENT] = ACTIONS(3003),
    [anon_sym_LT] = ACTIONS(3003),
    [anon_sym_GT] = ACTIONS(3003),
    [anon_sym_LT_LT] = ACTIONS(3003),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3001),
    [anon_sym_PLUS_EQ] = ACTIONS(3001),
    [anon_sym_DASH_EQ] = ACTIONS(3001),
    [anon_sym_DOT_EQ] = ACTIONS(3001),
    [anon_sym_STAR_EQ] = ACTIONS(3001),
    [anon_sym_SLASH_EQ] = ACTIONS(3001),
    [anon_sym_PERCENT_EQ] = ACTIONS(3001),
    [anon_sym_x_EQ] = ACTIONS(3001),
    [anon_sym_AMP_EQ] = ACTIONS(3001),
    [anon_sym_PIPE_EQ] = ACTIONS(3001),
    [anon_sym_CARET_EQ] = ACTIONS(3001),
    [anon_sym_LT_LT_EQ] = ACTIONS(3001),
    [anon_sym_GT_GT_EQ] = ACTIONS(3001),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3001),
    [anon_sym_DOT_DOT] = ACTIONS(3003),
    [anon_sym_STAR_STAR] = ACTIONS(3003),
    [anon_sym_PIPE_PIPE] = ACTIONS(3003),
    [anon_sym_SLASH_SLASH] = ACTIONS(3003),
    [anon_sym_CARET_CARET] = ACTIONS(3001),
    [anon_sym_AMP_AMP] = ACTIONS(3003),
    [anon_sym_PIPE] = ACTIONS(3003),
    [anon_sym_CARET] = ACTIONS(3003),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_GT_GT2] = ACTIONS(3003),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_DOT] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3003),
    [anon_sym_SLASH] = ACTIONS(3003),
    [anon_sym_x] = ACTIONS(3003),
    [anon_sym_EQ_TILDE] = ACTIONS(3001),
    [anon_sym_BANG_TILDE] = ACTIONS(3001),
    [anon_sym_EQ_EQ] = ACTIONS(3003),
    [anon_sym_BANG_EQ] = ACTIONS(3001),
    [anon_sym_eq] = ACTIONS(3003),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3001),
    [anon_sym_equ] = ACTIONS(3001),
    [anon_sym_eqr] = ACTIONS(3001),
    [anon_sym_ne] = ACTIONS(3001),
    [anon_sym_LT_EQ_GT] = ACTIONS(3001),
    [anon_sym_cmp] = ACTIONS(3001),
    [anon_sym_TILDE_TILDE] = ACTIONS(3001),
    [anon_sym_LT_EQ] = ACTIONS(3003),
    [anon_sym_GT_EQ] = ACTIONS(3001),
    [anon_sym_lt] = ACTIONS(3001),
    [anon_sym_le] = ACTIONS(3001),
    [anon_sym_ge] = ACTIONS(3001),
    [anon_sym_gt] = ACTIONS(3001),
    [anon_sym_isa] = ACTIONS(3001),
    [anon_sym_PLUS_PLUS] = ACTIONS(3001),
    [anon_sym_DASH_DASH] = ACTIONS(3001),
    [anon_sym_QMARK] = ACTIONS(3001),
    [anon_sym_EQ_GT] = ACTIONS(3001),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3001),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2039] = {
    [sym_heredoc_content] = STATE(2039),
    [anon_sym_SEMI] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(2807),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2805),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_GT] = ACTIONS(2807),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(2805),
    [anon_sym_DASH_EQ] = ACTIONS(2805),
    [anon_sym_DOT_EQ] = ACTIONS(2805),
    [anon_sym_STAR_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_PERCENT_EQ] = ACTIONS(2805),
    [anon_sym_x_EQ] = ACTIONS(2805),
    [anon_sym_AMP_EQ] = ACTIONS(2805),
    [anon_sym_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_CARET_EQ] = ACTIONS(2805),
    [anon_sym_LT_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT_GT_EQ] = ACTIONS(2805),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2805),
    [anon_sym_DOT_DOT] = ACTIONS(2807),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(2807),
    [anon_sym_SLASH_SLASH] = ACTIONS(2807),
    [anon_sym_CARET_CARET] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_PIPE] = ACTIONS(2807),
    [anon_sym_CARET] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(2807),
    [anon_sym_BANG_EQ] = ACTIONS(2805),
    [anon_sym_eq] = ACTIONS(2807),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2805),
    [anon_sym_equ] = ACTIONS(2805),
    [anon_sym_eqr] = ACTIONS(2805),
    [anon_sym_ne] = ACTIONS(2805),
    [anon_sym_LT_EQ_GT] = ACTIONS(2805),
    [anon_sym_cmp] = ACTIONS(2805),
    [anon_sym_TILDE_TILDE] = ACTIONS(2805),
    [anon_sym_LT_EQ] = ACTIONS(2807),
    [anon_sym_GT_EQ] = ACTIONS(2805),
    [anon_sym_lt] = ACTIONS(2805),
    [anon_sym_le] = ACTIONS(2805),
    [anon_sym_ge] = ACTIONS(2805),
    [anon_sym_gt] = ACTIONS(2805),
    [anon_sym_isa] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_EQ_GT] = ACTIONS(2805),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2805),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2040] = {
    [sym_heredoc_content] = STATE(2040),
    [anon_sym_SEMI] = ACTIONS(3017),
    [anon_sym_EQ] = ACTIONS(3019),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3017),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3017),
    [anon_sym_COMMA] = ACTIONS(3017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3017),
    [anon_sym_DASH_GT] = ACTIONS(3017),
    [anon_sym_PERCENT] = ACTIONS(3019),
    [anon_sym_LT] = ACTIONS(3019),
    [anon_sym_GT] = ACTIONS(3019),
    [anon_sym_LT_LT] = ACTIONS(3019),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3017),
    [anon_sym_PLUS_EQ] = ACTIONS(3017),
    [anon_sym_DASH_EQ] = ACTIONS(3017),
    [anon_sym_DOT_EQ] = ACTIONS(3017),
    [anon_sym_STAR_EQ] = ACTIONS(3017),
    [anon_sym_SLASH_EQ] = ACTIONS(3017),
    [anon_sym_PERCENT_EQ] = ACTIONS(3017),
    [anon_sym_x_EQ] = ACTIONS(3017),
    [anon_sym_AMP_EQ] = ACTIONS(3017),
    [anon_sym_PIPE_EQ] = ACTIONS(3017),
    [anon_sym_CARET_EQ] = ACTIONS(3017),
    [anon_sym_LT_LT_EQ] = ACTIONS(3017),
    [anon_sym_GT_GT_EQ] = ACTIONS(3017),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3017),
    [anon_sym_DOT_DOT] = ACTIONS(3019),
    [anon_sym_STAR_STAR] = ACTIONS(3019),
    [anon_sym_PIPE_PIPE] = ACTIONS(3019),
    [anon_sym_SLASH_SLASH] = ACTIONS(3019),
    [anon_sym_CARET_CARET] = ACTIONS(3017),
    [anon_sym_AMP_AMP] = ACTIONS(3019),
    [anon_sym_PIPE] = ACTIONS(3019),
    [anon_sym_CARET] = ACTIONS(3019),
    [anon_sym_AMP] = ACTIONS(3019),
    [anon_sym_GT_GT2] = ACTIONS(3019),
    [anon_sym_PLUS] = ACTIONS(3019),
    [anon_sym_DASH] = ACTIONS(3019),
    [anon_sym_DOT] = ACTIONS(3019),
    [anon_sym_STAR] = ACTIONS(3019),
    [anon_sym_SLASH] = ACTIONS(3019),
    [anon_sym_x] = ACTIONS(3019),
    [anon_sym_EQ_TILDE] = ACTIONS(3017),
    [anon_sym_BANG_TILDE] = ACTIONS(3017),
    [anon_sym_EQ_EQ] = ACTIONS(3019),
    [anon_sym_BANG_EQ] = ACTIONS(3017),
    [anon_sym_eq] = ACTIONS(3019),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3017),
    [anon_sym_equ] = ACTIONS(3017),
    [anon_sym_eqr] = ACTIONS(3017),
    [anon_sym_ne] = ACTIONS(3017),
    [anon_sym_LT_EQ_GT] = ACTIONS(3017),
    [anon_sym_cmp] = ACTIONS(3017),
    [anon_sym_TILDE_TILDE] = ACTIONS(3017),
    [anon_sym_LT_EQ] = ACTIONS(3019),
    [anon_sym_GT_EQ] = ACTIONS(3017),
    [anon_sym_lt] = ACTIONS(3017),
    [anon_sym_le] = ACTIONS(3017),
    [anon_sym_ge] = ACTIONS(3017),
    [anon_sym_gt] = ACTIONS(3017),
    [anon_sym_isa] = ACTIONS(3017),
    [anon_sym_PLUS_PLUS] = ACTIONS(3017),
    [anon_sym_DASH_DASH] = ACTIONS(3017),
    [anon_sym_QMARK] = ACTIONS(3017),
    [anon_sym_EQ_GT] = ACTIONS(3017),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3017),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2041] = {
    [sym_heredoc_content] = STATE(2041),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_EQ] = ACTIONS(3068),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_COMMA] = ACTIONS(3066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3066),
    [anon_sym_DASH_GT] = ACTIONS(3066),
    [anon_sym_PERCENT] = ACTIONS(3068),
    [anon_sym_LT] = ACTIONS(3068),
    [anon_sym_GT] = ACTIONS(3068),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3066),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_DOT_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3066),
    [anon_sym_x_EQ] = ACTIONS(3066),
    [anon_sym_AMP_EQ] = ACTIONS(3066),
    [anon_sym_PIPE_EQ] = ACTIONS(3066),
    [anon_sym_CARET_EQ] = ACTIONS(3066),
    [anon_sym_LT_LT_EQ] = ACTIONS(3066),
    [anon_sym_GT_GT_EQ] = ACTIONS(3066),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3066),
    [anon_sym_DOT_DOT] = ACTIONS(3068),
    [anon_sym_STAR_STAR] = ACTIONS(3068),
    [anon_sym_PIPE_PIPE] = ACTIONS(3068),
    [anon_sym_SLASH_SLASH] = ACTIONS(3068),
    [anon_sym_CARET_CARET] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3068),
    [anon_sym_CARET] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_GT_GT2] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_DOT] = ACTIONS(3068),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_SLASH] = ACTIONS(3068),
    [anon_sym_x] = ACTIONS(3068),
    [anon_sym_EQ_TILDE] = ACTIONS(3066),
    [anon_sym_BANG_TILDE] = ACTIONS(3066),
    [anon_sym_EQ_EQ] = ACTIONS(3068),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_eq] = ACTIONS(3068),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_equ] = ACTIONS(3066),
    [anon_sym_eqr] = ACTIONS(3066),
    [anon_sym_ne] = ACTIONS(3066),
    [anon_sym_LT_EQ_GT] = ACTIONS(3066),
    [anon_sym_cmp] = ACTIONS(3066),
    [anon_sym_TILDE_TILDE] = ACTIONS(3066),
    [anon_sym_LT_EQ] = ACTIONS(3068),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_lt] = ACTIONS(3066),
    [anon_sym_le] = ACTIONS(3066),
    [anon_sym_ge] = ACTIONS(3066),
    [anon_sym_gt] = ACTIONS(3066),
    [anon_sym_isa] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_QMARK] = ACTIONS(3066),
    [anon_sym_EQ_GT] = ACTIONS(3066),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3066),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2042] = {
    [sym_heredoc_content] = STATE(2042),
    [anon_sym_SEMI] = ACTIONS(2773),
    [anon_sym_EQ] = ACTIONS(2775),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2773),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2773),
    [anon_sym_COMMA] = ACTIONS(2773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2773),
    [anon_sym_DASH_GT] = ACTIONS(2773),
    [anon_sym_PERCENT] = ACTIONS(2775),
    [anon_sym_LT] = ACTIONS(2775),
    [anon_sym_GT] = ACTIONS(2775),
    [anon_sym_LT_LT] = ACTIONS(2775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2773),
    [anon_sym_PLUS_EQ] = ACTIONS(2773),
    [anon_sym_DASH_EQ] = ACTIONS(2773),
    [anon_sym_DOT_EQ] = ACTIONS(2773),
    [anon_sym_STAR_EQ] = ACTIONS(2773),
    [anon_sym_SLASH_EQ] = ACTIONS(2773),
    [anon_sym_PERCENT_EQ] = ACTIONS(2773),
    [anon_sym_x_EQ] = ACTIONS(2773),
    [anon_sym_AMP_EQ] = ACTIONS(2773),
    [anon_sym_PIPE_EQ] = ACTIONS(2773),
    [anon_sym_CARET_EQ] = ACTIONS(2773),
    [anon_sym_LT_LT_EQ] = ACTIONS(2773),
    [anon_sym_GT_GT_EQ] = ACTIONS(2773),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2773),
    [anon_sym_DOT_DOT] = ACTIONS(2775),
    [anon_sym_STAR_STAR] = ACTIONS(2775),
    [anon_sym_PIPE_PIPE] = ACTIONS(2775),
    [anon_sym_SLASH_SLASH] = ACTIONS(2775),
    [anon_sym_CARET_CARET] = ACTIONS(2773),
    [anon_sym_AMP_AMP] = ACTIONS(2775),
    [anon_sym_PIPE] = ACTIONS(2775),
    [anon_sym_CARET] = ACTIONS(2775),
    [anon_sym_AMP] = ACTIONS(2775),
    [anon_sym_GT_GT2] = ACTIONS(2775),
    [anon_sym_PLUS] = ACTIONS(2775),
    [anon_sym_DASH] = ACTIONS(2775),
    [anon_sym_DOT] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2775),
    [anon_sym_SLASH] = ACTIONS(2775),
    [anon_sym_x] = ACTIONS(2775),
    [anon_sym_EQ_TILDE] = ACTIONS(2773),
    [anon_sym_BANG_TILDE] = ACTIONS(2773),
    [anon_sym_EQ_EQ] = ACTIONS(2775),
    [anon_sym_BANG_EQ] = ACTIONS(2773),
    [anon_sym_eq] = ACTIONS(2775),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2773),
    [anon_sym_equ] = ACTIONS(2773),
    [anon_sym_eqr] = ACTIONS(2773),
    [anon_sym_ne] = ACTIONS(2773),
    [anon_sym_LT_EQ_GT] = ACTIONS(2773),
    [anon_sym_cmp] = ACTIONS(2773),
    [anon_sym_TILDE_TILDE] = ACTIONS(2773),
    [anon_sym_LT_EQ] = ACTIONS(2775),
    [anon_sym_GT_EQ] = ACTIONS(2773),
    [anon_sym_lt] = ACTIONS(2773),
    [anon_sym_le] = ACTIONS(2773),
    [anon_sym_ge] = ACTIONS(2773),
    [anon_sym_gt] = ACTIONS(2773),
    [anon_sym_isa] = ACTIONS(2773),
    [anon_sym_PLUS_PLUS] = ACTIONS(2773),
    [anon_sym_DASH_DASH] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2773),
    [anon_sym_EQ_GT] = ACTIONS(2773),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2773),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2043] = {
    [sym_heredoc_content] = STATE(2043),
    [anon_sym_SEMI] = ACTIONS(2861),
    [anon_sym_EQ] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_COMMA] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2861),
    [anon_sym_DASH_GT] = ACTIONS(2861),
    [anon_sym_PERCENT] = ACTIONS(2863),
    [anon_sym_LT] = ACTIONS(2863),
    [anon_sym_GT] = ACTIONS(2863),
    [anon_sym_LT_LT] = ACTIONS(2863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2861),
    [anon_sym_PLUS_EQ] = ACTIONS(2861),
    [anon_sym_DASH_EQ] = ACTIONS(2861),
    [anon_sym_DOT_EQ] = ACTIONS(2861),
    [anon_sym_STAR_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_PERCENT_EQ] = ACTIONS(2861),
    [anon_sym_x_EQ] = ACTIONS(2861),
    [anon_sym_AMP_EQ] = ACTIONS(2861),
    [anon_sym_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_CARET_EQ] = ACTIONS(2861),
    [anon_sym_LT_LT_EQ] = ACTIONS(2861),
    [anon_sym_GT_GT_EQ] = ACTIONS(2861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2861),
    [anon_sym_DOT_DOT] = ACTIONS(2863),
    [anon_sym_STAR_STAR] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE] = ACTIONS(2863),
    [anon_sym_SLASH_SLASH] = ACTIONS(2863),
    [anon_sym_CARET_CARET] = ACTIONS(2861),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_PIPE] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_GT_GT2] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_DOT] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_SLASH] = ACTIONS(2863),
    [anon_sym_x] = ACTIONS(2863),
    [anon_sym_EQ_TILDE] = ACTIONS(2861),
    [anon_sym_BANG_TILDE] = ACTIONS(2861),
    [anon_sym_EQ_EQ] = ACTIONS(2863),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_eq] = ACTIONS(2863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2861),
    [anon_sym_equ] = ACTIONS(2861),
    [anon_sym_eqr] = ACTIONS(2861),
    [anon_sym_ne] = ACTIONS(2861),
    [anon_sym_LT_EQ_GT] = ACTIONS(2861),
    [anon_sym_cmp] = ACTIONS(2861),
    [anon_sym_TILDE_TILDE] = ACTIONS(2861),
    [anon_sym_LT_EQ] = ACTIONS(2863),
    [anon_sym_GT_EQ] = ACTIONS(2861),
    [anon_sym_lt] = ACTIONS(2861),
    [anon_sym_le] = ACTIONS(2861),
    [anon_sym_ge] = ACTIONS(2861),
    [anon_sym_gt] = ACTIONS(2861),
    [anon_sym_isa] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2861),
    [anon_sym_QMARK] = ACTIONS(2861),
    [anon_sym_EQ_GT] = ACTIONS(2861),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2861),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2044] = {
    [sym_heredoc_content] = STATE(2044),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym_EQ] = ACTIONS(3072),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3070),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3070),
    [anon_sym_COMMA] = ACTIONS(3070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3070),
    [anon_sym_DASH_GT] = ACTIONS(3070),
    [anon_sym_PERCENT] = ACTIONS(3072),
    [anon_sym_LT] = ACTIONS(3072),
    [anon_sym_GT] = ACTIONS(3072),
    [anon_sym_LT_LT] = ACTIONS(3072),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3070),
    [anon_sym_PLUS_EQ] = ACTIONS(3070),
    [anon_sym_DASH_EQ] = ACTIONS(3070),
    [anon_sym_DOT_EQ] = ACTIONS(3070),
    [anon_sym_STAR_EQ] = ACTIONS(3070),
    [anon_sym_SLASH_EQ] = ACTIONS(3070),
    [anon_sym_PERCENT_EQ] = ACTIONS(3070),
    [anon_sym_x_EQ] = ACTIONS(3070),
    [anon_sym_AMP_EQ] = ACTIONS(3070),
    [anon_sym_PIPE_EQ] = ACTIONS(3070),
    [anon_sym_CARET_EQ] = ACTIONS(3070),
    [anon_sym_LT_LT_EQ] = ACTIONS(3070),
    [anon_sym_GT_GT_EQ] = ACTIONS(3070),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3070),
    [anon_sym_DOT_DOT] = ACTIONS(3072),
    [anon_sym_STAR_STAR] = ACTIONS(3072),
    [anon_sym_PIPE_PIPE] = ACTIONS(3072),
    [anon_sym_SLASH_SLASH] = ACTIONS(3072),
    [anon_sym_CARET_CARET] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_GT_GT2] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(3072),
    [anon_sym_STAR] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3072),
    [anon_sym_x] = ACTIONS(3072),
    [anon_sym_EQ_TILDE] = ACTIONS(3070),
    [anon_sym_BANG_TILDE] = ACTIONS(3070),
    [anon_sym_EQ_EQ] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3070),
    [anon_sym_eq] = ACTIONS(3072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3070),
    [anon_sym_equ] = ACTIONS(3070),
    [anon_sym_eqr] = ACTIONS(3070),
    [anon_sym_ne] = ACTIONS(3070),
    [anon_sym_LT_EQ_GT] = ACTIONS(3070),
    [anon_sym_cmp] = ACTIONS(3070),
    [anon_sym_TILDE_TILDE] = ACTIONS(3070),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3070),
    [anon_sym_lt] = ACTIONS(3070),
    [anon_sym_le] = ACTIONS(3070),
    [anon_sym_ge] = ACTIONS(3070),
    [anon_sym_gt] = ACTIONS(3070),
    [anon_sym_isa] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_QMARK] = ACTIONS(3070),
    [anon_sym_EQ_GT] = ACTIONS(3070),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3070),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2045] = {
    [sym_heredoc_content] = STATE(2045),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_COMMA] = ACTIONS(3074),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3074),
    [anon_sym_DASH_GT] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3076),
    [anon_sym_LT] = ACTIONS(3076),
    [anon_sym_GT] = ACTIONS(3076),
    [anon_sym_LT_LT] = ACTIONS(3076),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3074),
    [anon_sym_DASH_EQ] = ACTIONS(3074),
    [anon_sym_DOT_EQ] = ACTIONS(3074),
    [anon_sym_STAR_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_PERCENT_EQ] = ACTIONS(3074),
    [anon_sym_x_EQ] = ACTIONS(3074),
    [anon_sym_AMP_EQ] = ACTIONS(3074),
    [anon_sym_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_CARET_EQ] = ACTIONS(3074),
    [anon_sym_LT_LT_EQ] = ACTIONS(3074),
    [anon_sym_GT_GT_EQ] = ACTIONS(3074),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3074),
    [anon_sym_DOT_DOT] = ACTIONS(3076),
    [anon_sym_STAR_STAR] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_SLASH_SLASH] = ACTIONS(3076),
    [anon_sym_CARET_CARET] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_CARET] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_GT_GT2] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3076),
    [anon_sym_x] = ACTIONS(3076),
    [anon_sym_EQ_TILDE] = ACTIONS(3074),
    [anon_sym_BANG_TILDE] = ACTIONS(3074),
    [anon_sym_EQ_EQ] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_eq] = ACTIONS(3076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3074),
    [anon_sym_equ] = ACTIONS(3074),
    [anon_sym_eqr] = ACTIONS(3074),
    [anon_sym_ne] = ACTIONS(3074),
    [anon_sym_LT_EQ_GT] = ACTIONS(3074),
    [anon_sym_cmp] = ACTIONS(3074),
    [anon_sym_TILDE_TILDE] = ACTIONS(3074),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3074),
    [anon_sym_lt] = ACTIONS(3074),
    [anon_sym_le] = ACTIONS(3074),
    [anon_sym_ge] = ACTIONS(3074),
    [anon_sym_gt] = ACTIONS(3074),
    [anon_sym_isa] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_QMARK] = ACTIONS(3074),
    [anon_sym_EQ_GT] = ACTIONS(3074),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3074),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2046] = {
    [sym_heredoc_content] = STATE(2046),
    [anon_sym_SEMI] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2791),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2789),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2789),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(2791),
    [anon_sym_GT] = ACTIONS(2791),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2789),
    [anon_sym_PLUS_EQ] = ACTIONS(2789),
    [anon_sym_DASH_EQ] = ACTIONS(2789),
    [anon_sym_DOT_EQ] = ACTIONS(2789),
    [anon_sym_STAR_EQ] = ACTIONS(2789),
    [anon_sym_SLASH_EQ] = ACTIONS(2789),
    [anon_sym_PERCENT_EQ] = ACTIONS(2789),
    [anon_sym_x_EQ] = ACTIONS(2789),
    [anon_sym_AMP_EQ] = ACTIONS(2789),
    [anon_sym_PIPE_EQ] = ACTIONS(2789),
    [anon_sym_CARET_EQ] = ACTIONS(2789),
    [anon_sym_LT_LT_EQ] = ACTIONS(2789),
    [anon_sym_GT_GT_EQ] = ACTIONS(2789),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2789),
    [anon_sym_DOT_DOT] = ACTIONS(2791),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(2791),
    [anon_sym_SLASH_SLASH] = ACTIONS(2791),
    [anon_sym_CARET_CARET] = ACTIONS(2789),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_PIPE] = ACTIONS(2791),
    [anon_sym_CARET] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2791),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(2791),
    [anon_sym_BANG_EQ] = ACTIONS(2789),
    [anon_sym_eq] = ACTIONS(2791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2789),
    [anon_sym_equ] = ACTIONS(2789),
    [anon_sym_eqr] = ACTIONS(2789),
    [anon_sym_ne] = ACTIONS(2789),
    [anon_sym_LT_EQ_GT] = ACTIONS(2789),
    [anon_sym_cmp] = ACTIONS(2789),
    [anon_sym_TILDE_TILDE] = ACTIONS(2789),
    [anon_sym_LT_EQ] = ACTIONS(2791),
    [anon_sym_GT_EQ] = ACTIONS(2789),
    [anon_sym_lt] = ACTIONS(2789),
    [anon_sym_le] = ACTIONS(2789),
    [anon_sym_ge] = ACTIONS(2789),
    [anon_sym_gt] = ACTIONS(2789),
    [anon_sym_isa] = ACTIONS(2789),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_EQ_GT] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2789),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2047] = {
    [sym_heredoc_content] = STATE(2047),
    [anon_sym_SEMI] = ACTIONS(2921),
    [anon_sym_EQ] = ACTIONS(2923),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2921),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2921),
    [anon_sym_COMMA] = ACTIONS(2921),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2921),
    [anon_sym_DASH_GT] = ACTIONS(2921),
    [anon_sym_PERCENT] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2923),
    [anon_sym_GT] = ACTIONS(2923),
    [anon_sym_LT_LT] = ACTIONS(2923),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2921),
    [anon_sym_PLUS_EQ] = ACTIONS(2921),
    [anon_sym_DASH_EQ] = ACTIONS(2921),
    [anon_sym_DOT_EQ] = ACTIONS(2921),
    [anon_sym_STAR_EQ] = ACTIONS(2921),
    [anon_sym_SLASH_EQ] = ACTIONS(2921),
    [anon_sym_PERCENT_EQ] = ACTIONS(2921),
    [anon_sym_x_EQ] = ACTIONS(2921),
    [anon_sym_AMP_EQ] = ACTIONS(2921),
    [anon_sym_PIPE_EQ] = ACTIONS(2921),
    [anon_sym_CARET_EQ] = ACTIONS(2921),
    [anon_sym_LT_LT_EQ] = ACTIONS(2921),
    [anon_sym_GT_GT_EQ] = ACTIONS(2921),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2921),
    [anon_sym_DOT_DOT] = ACTIONS(2923),
    [anon_sym_STAR_STAR] = ACTIONS(2923),
    [anon_sym_PIPE_PIPE] = ACTIONS(2923),
    [anon_sym_SLASH_SLASH] = ACTIONS(2923),
    [anon_sym_CARET_CARET] = ACTIONS(2921),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_PIPE] = ACTIONS(2923),
    [anon_sym_CARET] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2923),
    [anon_sym_GT_GT2] = ACTIONS(2923),
    [anon_sym_PLUS] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2923),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_SLASH] = ACTIONS(2923),
    [anon_sym_x] = ACTIONS(2923),
    [anon_sym_EQ_TILDE] = ACTIONS(2921),
    [anon_sym_BANG_TILDE] = ACTIONS(2921),
    [anon_sym_EQ_EQ] = ACTIONS(2923),
    [anon_sym_BANG_EQ] = ACTIONS(2921),
    [anon_sym_eq] = ACTIONS(2923),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2921),
    [anon_sym_equ] = ACTIONS(2921),
    [anon_sym_eqr] = ACTIONS(2921),
    [anon_sym_ne] = ACTIONS(2921),
    [anon_sym_LT_EQ_GT] = ACTIONS(2921),
    [anon_sym_cmp] = ACTIONS(2921),
    [anon_sym_TILDE_TILDE] = ACTIONS(2921),
    [anon_sym_LT_EQ] = ACTIONS(2923),
    [anon_sym_GT_EQ] = ACTIONS(2921),
    [anon_sym_lt] = ACTIONS(2921),
    [anon_sym_le] = ACTIONS(2921),
    [anon_sym_ge] = ACTIONS(2921),
    [anon_sym_gt] = ACTIONS(2921),
    [anon_sym_isa] = ACTIONS(2921),
    [anon_sym_PLUS_PLUS] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2921),
    [anon_sym_QMARK] = ACTIONS(2921),
    [anon_sym_EQ_GT] = ACTIONS(2921),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2921),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2048] = {
    [sym_heredoc_content] = STATE(2048),
    [anon_sym_SEMI] = ACTIONS(2781),
    [anon_sym_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2781),
    [anon_sym_COMMA] = ACTIONS(2781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2781),
    [anon_sym_DASH_GT] = ACTIONS(2781),
    [anon_sym_PERCENT] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2783),
    [anon_sym_GT] = ACTIONS(2783),
    [anon_sym_LT_LT] = ACTIONS(2783),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2781),
    [anon_sym_PLUS_EQ] = ACTIONS(2781),
    [anon_sym_DASH_EQ] = ACTIONS(2781),
    [anon_sym_DOT_EQ] = ACTIONS(2781),
    [anon_sym_STAR_EQ] = ACTIONS(2781),
    [anon_sym_SLASH_EQ] = ACTIONS(2781),
    [anon_sym_PERCENT_EQ] = ACTIONS(2781),
    [anon_sym_x_EQ] = ACTIONS(2781),
    [anon_sym_AMP_EQ] = ACTIONS(2781),
    [anon_sym_PIPE_EQ] = ACTIONS(2781),
    [anon_sym_CARET_EQ] = ACTIONS(2781),
    [anon_sym_LT_LT_EQ] = ACTIONS(2781),
    [anon_sym_GT_GT_EQ] = ACTIONS(2781),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2781),
    [anon_sym_DOT_DOT] = ACTIONS(2783),
    [anon_sym_STAR_STAR] = ACTIONS(2783),
    [anon_sym_PIPE_PIPE] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH] = ACTIONS(2783),
    [anon_sym_CARET_CARET] = ACTIONS(2781),
    [anon_sym_AMP_AMP] = ACTIONS(2783),
    [anon_sym_PIPE] = ACTIONS(2783),
    [anon_sym_CARET] = ACTIONS(2783),
    [anon_sym_AMP] = ACTIONS(2783),
    [anon_sym_GT_GT2] = ACTIONS(2783),
    [anon_sym_PLUS] = ACTIONS(2783),
    [anon_sym_DASH] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2783),
    [anon_sym_SLASH] = ACTIONS(2783),
    [anon_sym_x] = ACTIONS(2783),
    [anon_sym_EQ_TILDE] = ACTIONS(2781),
    [anon_sym_BANG_TILDE] = ACTIONS(2781),
    [anon_sym_EQ_EQ] = ACTIONS(2783),
    [anon_sym_BANG_EQ] = ACTIONS(2781),
    [anon_sym_eq] = ACTIONS(2783),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2781),
    [anon_sym_equ] = ACTIONS(2781),
    [anon_sym_eqr] = ACTIONS(2781),
    [anon_sym_ne] = ACTIONS(2781),
    [anon_sym_LT_EQ_GT] = ACTIONS(2781),
    [anon_sym_cmp] = ACTIONS(2781),
    [anon_sym_TILDE_TILDE] = ACTIONS(2781),
    [anon_sym_LT_EQ] = ACTIONS(2783),
    [anon_sym_GT_EQ] = ACTIONS(2781),
    [anon_sym_lt] = ACTIONS(2781),
    [anon_sym_le] = ACTIONS(2781),
    [anon_sym_ge] = ACTIONS(2781),
    [anon_sym_gt] = ACTIONS(2781),
    [anon_sym_isa] = ACTIONS(2781),
    [anon_sym_PLUS_PLUS] = ACTIONS(2781),
    [anon_sym_DASH_DASH] = ACTIONS(2781),
    [anon_sym_QMARK] = ACTIONS(2781),
    [anon_sym_EQ_GT] = ACTIONS(2781),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2781),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2049] = {
    [sym_heredoc_content] = STATE(2049),
    [anon_sym_SEMI] = ACTIONS(2809),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2809),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2809),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2809),
    [anon_sym_DASH_GT] = ACTIONS(2809),
    [anon_sym_PERCENT] = ACTIONS(2811),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_GT] = ACTIONS(2811),
    [anon_sym_LT_LT] = ACTIONS(2811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2809),
    [anon_sym_PLUS_EQ] = ACTIONS(2809),
    [anon_sym_DASH_EQ] = ACTIONS(2809),
    [anon_sym_DOT_EQ] = ACTIONS(2809),
    [anon_sym_STAR_EQ] = ACTIONS(2809),
    [anon_sym_SLASH_EQ] = ACTIONS(2809),
    [anon_sym_PERCENT_EQ] = ACTIONS(2809),
    [anon_sym_x_EQ] = ACTIONS(2809),
    [anon_sym_AMP_EQ] = ACTIONS(2809),
    [anon_sym_PIPE_EQ] = ACTIONS(2809),
    [anon_sym_CARET_EQ] = ACTIONS(2809),
    [anon_sym_LT_LT_EQ] = ACTIONS(2809),
    [anon_sym_GT_GT_EQ] = ACTIONS(2809),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2809),
    [anon_sym_DOT_DOT] = ACTIONS(2811),
    [anon_sym_STAR_STAR] = ACTIONS(2811),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH] = ACTIONS(2811),
    [anon_sym_CARET_CARET] = ACTIONS(2809),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_PIPE] = ACTIONS(2811),
    [anon_sym_CARET] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2811),
    [anon_sym_GT_GT2] = ACTIONS(2811),
    [anon_sym_PLUS] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(2811),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2811),
    [anon_sym_x] = ACTIONS(2811),
    [anon_sym_EQ_TILDE] = ACTIONS(2809),
    [anon_sym_BANG_TILDE] = ACTIONS(2809),
    [anon_sym_EQ_EQ] = ACTIONS(2811),
    [anon_sym_BANG_EQ] = ACTIONS(2809),
    [anon_sym_eq] = ACTIONS(2811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2809),
    [anon_sym_equ] = ACTIONS(2809),
    [anon_sym_eqr] = ACTIONS(2809),
    [anon_sym_ne] = ACTIONS(2809),
    [anon_sym_LT_EQ_GT] = ACTIONS(2809),
    [anon_sym_cmp] = ACTIONS(2809),
    [anon_sym_TILDE_TILDE] = ACTIONS(2809),
    [anon_sym_LT_EQ] = ACTIONS(2811),
    [anon_sym_GT_EQ] = ACTIONS(2809),
    [anon_sym_lt] = ACTIONS(2809),
    [anon_sym_le] = ACTIONS(2809),
    [anon_sym_ge] = ACTIONS(2809),
    [anon_sym_gt] = ACTIONS(2809),
    [anon_sym_isa] = ACTIONS(2809),
    [anon_sym_PLUS_PLUS] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2809),
    [anon_sym_QMARK] = ACTIONS(2809),
    [anon_sym_EQ_GT] = ACTIONS(2809),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2809),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2050] = {
    [sym_heredoc_content] = STATE(2050),
    [anon_sym_SEMI] = ACTIONS(3092),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3092),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3092),
    [anon_sym_COMMA] = ACTIONS(3092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3092),
    [anon_sym_DASH_GT] = ACTIONS(3092),
    [anon_sym_PERCENT] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3094),
    [anon_sym_GT] = ACTIONS(3094),
    [anon_sym_LT_LT] = ACTIONS(3094),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3092),
    [anon_sym_PLUS_EQ] = ACTIONS(3092),
    [anon_sym_DASH_EQ] = ACTIONS(3092),
    [anon_sym_DOT_EQ] = ACTIONS(3092),
    [anon_sym_STAR_EQ] = ACTIONS(3092),
    [anon_sym_SLASH_EQ] = ACTIONS(3092),
    [anon_sym_PERCENT_EQ] = ACTIONS(3092),
    [anon_sym_x_EQ] = ACTIONS(3092),
    [anon_sym_AMP_EQ] = ACTIONS(3092),
    [anon_sym_PIPE_EQ] = ACTIONS(3092),
    [anon_sym_CARET_EQ] = ACTIONS(3092),
    [anon_sym_LT_LT_EQ] = ACTIONS(3092),
    [anon_sym_GT_GT_EQ] = ACTIONS(3092),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3092),
    [anon_sym_DOT_DOT] = ACTIONS(3094),
    [anon_sym_STAR_STAR] = ACTIONS(3094),
    [anon_sym_PIPE_PIPE] = ACTIONS(3094),
    [anon_sym_SLASH_SLASH] = ACTIONS(3094),
    [anon_sym_CARET_CARET] = ACTIONS(3092),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_PIPE] = ACTIONS(3094),
    [anon_sym_CARET] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3094),
    [anon_sym_GT_GT2] = ACTIONS(3094),
    [anon_sym_PLUS] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3094),
    [anon_sym_DOT] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_SLASH] = ACTIONS(3094),
    [anon_sym_x] = ACTIONS(3094),
    [anon_sym_EQ_TILDE] = ACTIONS(3092),
    [anon_sym_BANG_TILDE] = ACTIONS(3092),
    [anon_sym_EQ_EQ] = ACTIONS(3094),
    [anon_sym_BANG_EQ] = ACTIONS(3092),
    [anon_sym_eq] = ACTIONS(3094),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3092),
    [anon_sym_equ] = ACTIONS(3092),
    [anon_sym_eqr] = ACTIONS(3092),
    [anon_sym_ne] = ACTIONS(3092),
    [anon_sym_LT_EQ_GT] = ACTIONS(3092),
    [anon_sym_cmp] = ACTIONS(3092),
    [anon_sym_TILDE_TILDE] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3094),
    [anon_sym_GT_EQ] = ACTIONS(3092),
    [anon_sym_lt] = ACTIONS(3092),
    [anon_sym_le] = ACTIONS(3092),
    [anon_sym_ge] = ACTIONS(3092),
    [anon_sym_gt] = ACTIONS(3092),
    [anon_sym_isa] = ACTIONS(3092),
    [anon_sym_PLUS_PLUS] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3092),
    [anon_sym_QMARK] = ACTIONS(3092),
    [anon_sym_EQ_GT] = ACTIONS(3092),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3092),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2051] = {
    [sym_heredoc_content] = STATE(2051),
    [anon_sym_SEMI] = ACTIONS(2857),
    [anon_sym_EQ] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_COMMA] = ACTIONS(2857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2857),
    [anon_sym_DASH_GT] = ACTIONS(2857),
    [anon_sym_PERCENT] = ACTIONS(2859),
    [anon_sym_LT] = ACTIONS(2859),
    [anon_sym_GT] = ACTIONS(2859),
    [anon_sym_LT_LT] = ACTIONS(2859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2857),
    [anon_sym_PLUS_EQ] = ACTIONS(2857),
    [anon_sym_DASH_EQ] = ACTIONS(2857),
    [anon_sym_DOT_EQ] = ACTIONS(2857),
    [anon_sym_STAR_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_PERCENT_EQ] = ACTIONS(2857),
    [anon_sym_x_EQ] = ACTIONS(2857),
    [anon_sym_AMP_EQ] = ACTIONS(2857),
    [anon_sym_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_CARET_EQ] = ACTIONS(2857),
    [anon_sym_LT_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT_GT_EQ] = ACTIONS(2857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2857),
    [anon_sym_DOT_DOT] = ACTIONS(2859),
    [anon_sym_STAR_STAR] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE] = ACTIONS(2859),
    [anon_sym_SLASH_SLASH] = ACTIONS(2859),
    [anon_sym_CARET_CARET] = ACTIONS(2857),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_PIPE] = ACTIONS(2859),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2859),
    [anon_sym_GT_GT2] = ACTIONS(2859),
    [anon_sym_PLUS] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2859),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_SLASH] = ACTIONS(2859),
    [anon_sym_x] = ACTIONS(2859),
    [anon_sym_EQ_TILDE] = ACTIONS(2857),
    [anon_sym_BANG_TILDE] = ACTIONS(2857),
    [anon_sym_EQ_EQ] = ACTIONS(2859),
    [anon_sym_BANG_EQ] = ACTIONS(2857),
    [anon_sym_eq] = ACTIONS(2859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2857),
    [anon_sym_equ] = ACTIONS(2857),
    [anon_sym_eqr] = ACTIONS(2857),
    [anon_sym_ne] = ACTIONS(2857),
    [anon_sym_LT_EQ_GT] = ACTIONS(2857),
    [anon_sym_cmp] = ACTIONS(2857),
    [anon_sym_TILDE_TILDE] = ACTIONS(2857),
    [anon_sym_LT_EQ] = ACTIONS(2859),
    [anon_sym_GT_EQ] = ACTIONS(2857),
    [anon_sym_lt] = ACTIONS(2857),
    [anon_sym_le] = ACTIONS(2857),
    [anon_sym_ge] = ACTIONS(2857),
    [anon_sym_gt] = ACTIONS(2857),
    [anon_sym_isa] = ACTIONS(2857),
    [anon_sym_PLUS_PLUS] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2857),
    [anon_sym_QMARK] = ACTIONS(2857),
    [anon_sym_EQ_GT] = ACTIONS(2857),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2857),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2052] = {
    [sym_heredoc_content] = STATE(2052),
    [anon_sym_RBRACE] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2791),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2789),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(2789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2789),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(2791),
    [anon_sym_GT] = ACTIONS(2791),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2789),
    [anon_sym_PLUS_EQ] = ACTIONS(2789),
    [anon_sym_DASH_EQ] = ACTIONS(2789),
    [anon_sym_DOT_EQ] = ACTIONS(2789),
    [anon_sym_STAR_EQ] = ACTIONS(2789),
    [anon_sym_SLASH_EQ] = ACTIONS(2789),
    [anon_sym_PERCENT_EQ] = ACTIONS(2789),
    [anon_sym_x_EQ] = ACTIONS(2789),
    [anon_sym_AMP_EQ] = ACTIONS(2789),
    [anon_sym_PIPE_EQ] = ACTIONS(2789),
    [anon_sym_CARET_EQ] = ACTIONS(2789),
    [anon_sym_LT_LT_EQ] = ACTIONS(2789),
    [anon_sym_GT_GT_EQ] = ACTIONS(2789),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2789),
    [anon_sym_DOT_DOT] = ACTIONS(2791),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(2791),
    [anon_sym_SLASH_SLASH] = ACTIONS(2791),
    [anon_sym_CARET_CARET] = ACTIONS(2789),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_PIPE] = ACTIONS(2791),
    [anon_sym_CARET] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2791),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(2791),
    [anon_sym_BANG_EQ] = ACTIONS(2789),
    [anon_sym_eq] = ACTIONS(2791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2789),
    [anon_sym_equ] = ACTIONS(2789),
    [anon_sym_eqr] = ACTIONS(2789),
    [anon_sym_ne] = ACTIONS(2789),
    [anon_sym_LT_EQ_GT] = ACTIONS(2789),
    [anon_sym_cmp] = ACTIONS(2789),
    [anon_sym_TILDE_TILDE] = ACTIONS(2789),
    [anon_sym_LT_EQ] = ACTIONS(2791),
    [anon_sym_GT_EQ] = ACTIONS(2789),
    [anon_sym_lt] = ACTIONS(2789),
    [anon_sym_le] = ACTIONS(2789),
    [anon_sym_ge] = ACTIONS(2789),
    [anon_sym_gt] = ACTIONS(2789),
    [anon_sym_isa] = ACTIONS(2789),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_EQ_GT] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2053] = {
    [sym_heredoc_content] = STATE(2053),
    [anon_sym_SEMI] = ACTIONS(3096),
    [anon_sym_EQ] = ACTIONS(3098),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_COMMA] = ACTIONS(3096),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3096),
    [anon_sym_DASH_GT] = ACTIONS(3096),
    [anon_sym_PERCENT] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3098),
    [anon_sym_GT] = ACTIONS(3098),
    [anon_sym_LT_LT] = ACTIONS(3098),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3096),
    [anon_sym_PLUS_EQ] = ACTIONS(3096),
    [anon_sym_DASH_EQ] = ACTIONS(3096),
    [anon_sym_DOT_EQ] = ACTIONS(3096),
    [anon_sym_STAR_EQ] = ACTIONS(3096),
    [anon_sym_SLASH_EQ] = ACTIONS(3096),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_x_EQ] = ACTIONS(3096),
    [anon_sym_AMP_EQ] = ACTIONS(3096),
    [anon_sym_PIPE_EQ] = ACTIONS(3096),
    [anon_sym_CARET_EQ] = ACTIONS(3096),
    [anon_sym_LT_LT_EQ] = ACTIONS(3096),
    [anon_sym_GT_GT_EQ] = ACTIONS(3096),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3096),
    [anon_sym_DOT_DOT] = ACTIONS(3098),
    [anon_sym_STAR_STAR] = ACTIONS(3098),
    [anon_sym_PIPE_PIPE] = ACTIONS(3098),
    [anon_sym_SLASH_SLASH] = ACTIONS(3098),
    [anon_sym_CARET_CARET] = ACTIONS(3096),
    [anon_sym_AMP_AMP] = ACTIONS(3098),
    [anon_sym_PIPE] = ACTIONS(3098),
    [anon_sym_CARET] = ACTIONS(3098),
    [anon_sym_AMP] = ACTIONS(3098),
    [anon_sym_GT_GT2] = ACTIONS(3098),
    [anon_sym_PLUS] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3098),
    [anon_sym_DOT] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_SLASH] = ACTIONS(3098),
    [anon_sym_x] = ACTIONS(3098),
    [anon_sym_EQ_TILDE] = ACTIONS(3096),
    [anon_sym_BANG_TILDE] = ACTIONS(3096),
    [anon_sym_EQ_EQ] = ACTIONS(3098),
    [anon_sym_BANG_EQ] = ACTIONS(3096),
    [anon_sym_eq] = ACTIONS(3098),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3096),
    [anon_sym_equ] = ACTIONS(3096),
    [anon_sym_eqr] = ACTIONS(3096),
    [anon_sym_ne] = ACTIONS(3096),
    [anon_sym_LT_EQ_GT] = ACTIONS(3096),
    [anon_sym_cmp] = ACTIONS(3096),
    [anon_sym_TILDE_TILDE] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3098),
    [anon_sym_GT_EQ] = ACTIONS(3096),
    [anon_sym_lt] = ACTIONS(3096),
    [anon_sym_le] = ACTIONS(3096),
    [anon_sym_ge] = ACTIONS(3096),
    [anon_sym_gt] = ACTIONS(3096),
    [anon_sym_isa] = ACTIONS(3096),
    [anon_sym_PLUS_PLUS] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3096),
    [anon_sym_QMARK] = ACTIONS(3096),
    [anon_sym_EQ_GT] = ACTIONS(3096),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3096),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2054] = {
    [sym_heredoc_content] = STATE(2054),
    [anon_sym_SEMI] = ACTIONS(3100),
    [anon_sym_EQ] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3100),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3100),
    [anon_sym_COMMA] = ACTIONS(3100),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3100),
    [anon_sym_DASH_GT] = ACTIONS(3100),
    [anon_sym_PERCENT] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3102),
    [anon_sym_GT] = ACTIONS(3102),
    [anon_sym_LT_LT] = ACTIONS(3102),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3100),
    [anon_sym_PLUS_EQ] = ACTIONS(3100),
    [anon_sym_DASH_EQ] = ACTIONS(3100),
    [anon_sym_DOT_EQ] = ACTIONS(3100),
    [anon_sym_STAR_EQ] = ACTIONS(3100),
    [anon_sym_SLASH_EQ] = ACTIONS(3100),
    [anon_sym_PERCENT_EQ] = ACTIONS(3100),
    [anon_sym_x_EQ] = ACTIONS(3100),
    [anon_sym_AMP_EQ] = ACTIONS(3100),
    [anon_sym_PIPE_EQ] = ACTIONS(3100),
    [anon_sym_CARET_EQ] = ACTIONS(3100),
    [anon_sym_LT_LT_EQ] = ACTIONS(3100),
    [anon_sym_GT_GT_EQ] = ACTIONS(3100),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3100),
    [anon_sym_DOT_DOT] = ACTIONS(3102),
    [anon_sym_STAR_STAR] = ACTIONS(3102),
    [anon_sym_PIPE_PIPE] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH] = ACTIONS(3102),
    [anon_sym_CARET_CARET] = ACTIONS(3100),
    [anon_sym_AMP_AMP] = ACTIONS(3102),
    [anon_sym_PIPE] = ACTIONS(3102),
    [anon_sym_CARET] = ACTIONS(3102),
    [anon_sym_AMP] = ACTIONS(3102),
    [anon_sym_GT_GT2] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_DOT] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3102),
    [anon_sym_SLASH] = ACTIONS(3102),
    [anon_sym_x] = ACTIONS(3102),
    [anon_sym_EQ_TILDE] = ACTIONS(3100),
    [anon_sym_BANG_TILDE] = ACTIONS(3100),
    [anon_sym_EQ_EQ] = ACTIONS(3102),
    [anon_sym_BANG_EQ] = ACTIONS(3100),
    [anon_sym_eq] = ACTIONS(3102),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3100),
    [anon_sym_equ] = ACTIONS(3100),
    [anon_sym_eqr] = ACTIONS(3100),
    [anon_sym_ne] = ACTIONS(3100),
    [anon_sym_LT_EQ_GT] = ACTIONS(3100),
    [anon_sym_cmp] = ACTIONS(3100),
    [anon_sym_TILDE_TILDE] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3102),
    [anon_sym_GT_EQ] = ACTIONS(3100),
    [anon_sym_lt] = ACTIONS(3100),
    [anon_sym_le] = ACTIONS(3100),
    [anon_sym_ge] = ACTIONS(3100),
    [anon_sym_gt] = ACTIONS(3100),
    [anon_sym_isa] = ACTIONS(3100),
    [anon_sym_PLUS_PLUS] = ACTIONS(3100),
    [anon_sym_DASH_DASH] = ACTIONS(3100),
    [anon_sym_QMARK] = ACTIONS(3100),
    [anon_sym_EQ_GT] = ACTIONS(3100),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3100),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2055] = {
    [sym_heredoc_content] = STATE(2055),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym_EQ] = ACTIONS(2875),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_COMMA] = ACTIONS(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2873),
    [anon_sym_DASH_GT] = ACTIONS(2873),
    [anon_sym_PERCENT] = ACTIONS(2875),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_GT] = ACTIONS(2875),
    [anon_sym_LT_LT] = ACTIONS(2875),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2873),
    [anon_sym_PLUS_EQ] = ACTIONS(2873),
    [anon_sym_DASH_EQ] = ACTIONS(2873),
    [anon_sym_DOT_EQ] = ACTIONS(2873),
    [anon_sym_STAR_EQ] = ACTIONS(2873),
    [anon_sym_SLASH_EQ] = ACTIONS(2873),
    [anon_sym_PERCENT_EQ] = ACTIONS(2873),
    [anon_sym_x_EQ] = ACTIONS(2873),
    [anon_sym_AMP_EQ] = ACTIONS(2873),
    [anon_sym_PIPE_EQ] = ACTIONS(2873),
    [anon_sym_CARET_EQ] = ACTIONS(2873),
    [anon_sym_LT_LT_EQ] = ACTIONS(2873),
    [anon_sym_GT_GT_EQ] = ACTIONS(2873),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2873),
    [anon_sym_DOT_DOT] = ACTIONS(2875),
    [anon_sym_STAR_STAR] = ACTIONS(2875),
    [anon_sym_PIPE_PIPE] = ACTIONS(2875),
    [anon_sym_SLASH_SLASH] = ACTIONS(2875),
    [anon_sym_CARET_CARET] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2875),
    [anon_sym_CARET] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_GT_GT2] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_DOT] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_SLASH] = ACTIONS(2875),
    [anon_sym_x] = ACTIONS(2875),
    [anon_sym_EQ_TILDE] = ACTIONS(2873),
    [anon_sym_BANG_TILDE] = ACTIONS(2873),
    [anon_sym_EQ_EQ] = ACTIONS(2875),
    [anon_sym_BANG_EQ] = ACTIONS(2873),
    [anon_sym_eq] = ACTIONS(2875),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2873),
    [anon_sym_equ] = ACTIONS(2873),
    [anon_sym_eqr] = ACTIONS(2873),
    [anon_sym_ne] = ACTIONS(2873),
    [anon_sym_LT_EQ_GT] = ACTIONS(2873),
    [anon_sym_cmp] = ACTIONS(2873),
    [anon_sym_TILDE_TILDE] = ACTIONS(2873),
    [anon_sym_LT_EQ] = ACTIONS(2875),
    [anon_sym_GT_EQ] = ACTIONS(2873),
    [anon_sym_lt] = ACTIONS(2873),
    [anon_sym_le] = ACTIONS(2873),
    [anon_sym_ge] = ACTIONS(2873),
    [anon_sym_gt] = ACTIONS(2873),
    [anon_sym_isa] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_QMARK] = ACTIONS(2873),
    [anon_sym_EQ_GT] = ACTIONS(2873),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2873),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2056] = {
    [sym_heredoc_content] = STATE(2056),
    [anon_sym_SEMI] = ACTIONS(2881),
    [anon_sym_EQ] = ACTIONS(2883),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2881),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2881),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2881),
    [anon_sym_DASH_GT] = ACTIONS(2881),
    [anon_sym_PERCENT] = ACTIONS(2883),
    [anon_sym_LT] = ACTIONS(2883),
    [anon_sym_GT] = ACTIONS(2883),
    [anon_sym_LT_LT] = ACTIONS(2883),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2881),
    [anon_sym_PLUS_EQ] = ACTIONS(2881),
    [anon_sym_DASH_EQ] = ACTIONS(2881),
    [anon_sym_DOT_EQ] = ACTIONS(2881),
    [anon_sym_STAR_EQ] = ACTIONS(2881),
    [anon_sym_SLASH_EQ] = ACTIONS(2881),
    [anon_sym_PERCENT_EQ] = ACTIONS(2881),
    [anon_sym_x_EQ] = ACTIONS(2881),
    [anon_sym_AMP_EQ] = ACTIONS(2881),
    [anon_sym_PIPE_EQ] = ACTIONS(2881),
    [anon_sym_CARET_EQ] = ACTIONS(2881),
    [anon_sym_LT_LT_EQ] = ACTIONS(2881),
    [anon_sym_GT_GT_EQ] = ACTIONS(2881),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_STAR_STAR] = ACTIONS(2883),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_SLASH_SLASH] = ACTIONS(2883),
    [anon_sym_CARET_CARET] = ACTIONS(2881),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_PIPE] = ACTIONS(2883),
    [anon_sym_CARET] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_GT_GT2] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_DOT] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2883),
    [anon_sym_x] = ACTIONS(2883),
    [anon_sym_EQ_TILDE] = ACTIONS(2881),
    [anon_sym_BANG_TILDE] = ACTIONS(2881),
    [anon_sym_EQ_EQ] = ACTIONS(2883),
    [anon_sym_BANG_EQ] = ACTIONS(2881),
    [anon_sym_eq] = ACTIONS(2883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2881),
    [anon_sym_equ] = ACTIONS(2881),
    [anon_sym_eqr] = ACTIONS(2881),
    [anon_sym_ne] = ACTIONS(2881),
    [anon_sym_LT_EQ_GT] = ACTIONS(2881),
    [anon_sym_cmp] = ACTIONS(2881),
    [anon_sym_TILDE_TILDE] = ACTIONS(2881),
    [anon_sym_LT_EQ] = ACTIONS(2883),
    [anon_sym_GT_EQ] = ACTIONS(2881),
    [anon_sym_lt] = ACTIONS(2881),
    [anon_sym_le] = ACTIONS(2881),
    [anon_sym_ge] = ACTIONS(2881),
    [anon_sym_gt] = ACTIONS(2881),
    [anon_sym_isa] = ACTIONS(2881),
    [anon_sym_PLUS_PLUS] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2881),
    [anon_sym_QMARK] = ACTIONS(2881),
    [anon_sym_EQ_GT] = ACTIONS(2881),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2057] = {
    [sym_heredoc_content] = STATE(2057),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(2893),
    [anon_sym_PERCENT] = ACTIONS(2895),
    [anon_sym_LT] = ACTIONS(2895),
    [anon_sym_GT] = ACTIONS(2895),
    [anon_sym_LT_LT] = ACTIONS(2895),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2893),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(2895),
    [anon_sym_PLUS] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_DOT] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_SLASH] = ACTIONS(2895),
    [anon_sym_x] = ACTIONS(2895),
    [anon_sym_EQ_TILDE] = ACTIONS(2893),
    [anon_sym_BANG_TILDE] = ACTIONS(2893),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT_EQ] = ACTIONS(2895),
    [anon_sym_GT_EQ] = ACTIONS(2893),
    [anon_sym_lt] = ACTIONS(2893),
    [anon_sym_le] = ACTIONS(2893),
    [anon_sym_ge] = ACTIONS(2893),
    [anon_sym_gt] = ACTIONS(2893),
    [anon_sym_isa] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2893),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2893),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2058] = {
    [sym_heredoc_content] = STATE(2058),
    [anon_sym_SEMI] = ACTIONS(2941),
    [anon_sym_EQ] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_COMMA] = ACTIONS(2941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2941),
    [anon_sym_DASH_GT] = ACTIONS(2941),
    [anon_sym_PERCENT] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2943),
    [anon_sym_GT] = ACTIONS(2943),
    [anon_sym_LT_LT] = ACTIONS(2943),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2941),
    [anon_sym_PLUS_EQ] = ACTIONS(2941),
    [anon_sym_DASH_EQ] = ACTIONS(2941),
    [anon_sym_DOT_EQ] = ACTIONS(2941),
    [anon_sym_STAR_EQ] = ACTIONS(2941),
    [anon_sym_SLASH_EQ] = ACTIONS(2941),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_x_EQ] = ACTIONS(2941),
    [anon_sym_AMP_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_EQ] = ACTIONS(2941),
    [anon_sym_CARET_EQ] = ACTIONS(2941),
    [anon_sym_LT_LT_EQ] = ACTIONS(2941),
    [anon_sym_GT_GT_EQ] = ACTIONS(2941),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2941),
    [anon_sym_DOT_DOT] = ACTIONS(2943),
    [anon_sym_STAR_STAR] = ACTIONS(2943),
    [anon_sym_PIPE_PIPE] = ACTIONS(2943),
    [anon_sym_SLASH_SLASH] = ACTIONS(2943),
    [anon_sym_CARET_CARET] = ACTIONS(2941),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_PIPE] = ACTIONS(2943),
    [anon_sym_CARET] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_GT_GT2] = ACTIONS(2943),
    [anon_sym_PLUS] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2943),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_SLASH] = ACTIONS(2943),
    [anon_sym_x] = ACTIONS(2943),
    [anon_sym_EQ_TILDE] = ACTIONS(2941),
    [anon_sym_BANG_TILDE] = ACTIONS(2941),
    [anon_sym_EQ_EQ] = ACTIONS(2943),
    [anon_sym_BANG_EQ] = ACTIONS(2941),
    [anon_sym_eq] = ACTIONS(2943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2941),
    [anon_sym_equ] = ACTIONS(2941),
    [anon_sym_eqr] = ACTIONS(2941),
    [anon_sym_ne] = ACTIONS(2941),
    [anon_sym_LT_EQ_GT] = ACTIONS(2941),
    [anon_sym_cmp] = ACTIONS(2941),
    [anon_sym_TILDE_TILDE] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT_EQ] = ACTIONS(2941),
    [anon_sym_lt] = ACTIONS(2941),
    [anon_sym_le] = ACTIONS(2941),
    [anon_sym_ge] = ACTIONS(2941),
    [anon_sym_gt] = ACTIONS(2941),
    [anon_sym_isa] = ACTIONS(2941),
    [anon_sym_PLUS_PLUS] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2941),
    [anon_sym_QMARK] = ACTIONS(2941),
    [anon_sym_EQ_GT] = ACTIONS(2941),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2941),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2059] = {
    [sym_heredoc_content] = STATE(2059),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_EQ] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(2961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2961),
    [anon_sym_DASH_GT] = ACTIONS(2961),
    [anon_sym_PERCENT] = ACTIONS(2963),
    [anon_sym_LT] = ACTIONS(2963),
    [anon_sym_GT] = ACTIONS(2963),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_DOT_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2961),
    [anon_sym_x_EQ] = ACTIONS(2961),
    [anon_sym_AMP_EQ] = ACTIONS(2961),
    [anon_sym_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_CARET_EQ] = ACTIONS(2961),
    [anon_sym_LT_LT_EQ] = ACTIONS(2961),
    [anon_sym_GT_GT_EQ] = ACTIONS(2961),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2963),
    [anon_sym_STAR_STAR] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE] = ACTIONS(2963),
    [anon_sym_SLASH_SLASH] = ACTIONS(2963),
    [anon_sym_CARET_CARET] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_CARET] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_GT_GT2] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_DOT] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_SLASH] = ACTIONS(2963),
    [anon_sym_x] = ACTIONS(2963),
    [anon_sym_EQ_TILDE] = ACTIONS(2961),
    [anon_sym_BANG_TILDE] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2963),
    [anon_sym_BANG_EQ] = ACTIONS(2961),
    [anon_sym_eq] = ACTIONS(2963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_equ] = ACTIONS(2961),
    [anon_sym_eqr] = ACTIONS(2961),
    [anon_sym_ne] = ACTIONS(2961),
    [anon_sym_LT_EQ_GT] = ACTIONS(2961),
    [anon_sym_cmp] = ACTIONS(2961),
    [anon_sym_TILDE_TILDE] = ACTIONS(2961),
    [anon_sym_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_lt] = ACTIONS(2961),
    [anon_sym_le] = ACTIONS(2961),
    [anon_sym_ge] = ACTIONS(2961),
    [anon_sym_gt] = ACTIONS(2961),
    [anon_sym_isa] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_QMARK] = ACTIONS(2961),
    [anon_sym_EQ_GT] = ACTIONS(2961),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2961),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2060] = {
    [sym_heredoc_content] = STATE(2060),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_COMMA] = ACTIONS(3114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_DASH_GT] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3116),
    [anon_sym_LT] = ACTIONS(3116),
    [anon_sym_GT] = ACTIONS(3116),
    [anon_sym_LT_LT] = ACTIONS(3116),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3114),
    [anon_sym_DASH_EQ] = ACTIONS(3114),
    [anon_sym_DOT_EQ] = ACTIONS(3114),
    [anon_sym_STAR_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_PERCENT_EQ] = ACTIONS(3114),
    [anon_sym_x_EQ] = ACTIONS(3114),
    [anon_sym_AMP_EQ] = ACTIONS(3114),
    [anon_sym_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_CARET_EQ] = ACTIONS(3114),
    [anon_sym_LT_LT_EQ] = ACTIONS(3114),
    [anon_sym_GT_GT_EQ] = ACTIONS(3114),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3114),
    [anon_sym_DOT_DOT] = ACTIONS(3116),
    [anon_sym_STAR_STAR] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_SLASH_SLASH] = ACTIONS(3116),
    [anon_sym_CARET_CARET] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_PIPE] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3116),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_GT_GT2] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3116),
    [anon_sym_x] = ACTIONS(3116),
    [anon_sym_EQ_TILDE] = ACTIONS(3114),
    [anon_sym_BANG_TILDE] = ACTIONS(3114),
    [anon_sym_EQ_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_eq] = ACTIONS(3116),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3114),
    [anon_sym_equ] = ACTIONS(3114),
    [anon_sym_eqr] = ACTIONS(3114),
    [anon_sym_ne] = ACTIONS(3114),
    [anon_sym_LT_EQ_GT] = ACTIONS(3114),
    [anon_sym_cmp] = ACTIONS(3114),
    [anon_sym_TILDE_TILDE] = ACTIONS(3114),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3114),
    [anon_sym_lt] = ACTIONS(3114),
    [anon_sym_le] = ACTIONS(3114),
    [anon_sym_ge] = ACTIONS(3114),
    [anon_sym_gt] = ACTIONS(3114),
    [anon_sym_isa] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_QMARK] = ACTIONS(3114),
    [anon_sym_EQ_GT] = ACTIONS(3114),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3114),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2061] = {
    [sym_heredoc_content] = STATE(2061),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2967),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_COMMA] = ACTIONS(2965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2965),
    [anon_sym_DASH_GT] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2967),
    [anon_sym_GT] = ACTIONS(2967),
    [anon_sym_LT_LT] = ACTIONS(2967),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2965),
    [anon_sym_DASH_EQ] = ACTIONS(2965),
    [anon_sym_DOT_EQ] = ACTIONS(2965),
    [anon_sym_STAR_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_PERCENT_EQ] = ACTIONS(2965),
    [anon_sym_x_EQ] = ACTIONS(2965),
    [anon_sym_AMP_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_CARET_EQ] = ACTIONS(2965),
    [anon_sym_LT_LT_EQ] = ACTIONS(2965),
    [anon_sym_GT_GT_EQ] = ACTIONS(2965),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2965),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_STAR_STAR] = ACTIONS(2967),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_SLASH_SLASH] = ACTIONS(2967),
    [anon_sym_CARET_CARET] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2967),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_GT_GT2] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2967),
    [anon_sym_x] = ACTIONS(2967),
    [anon_sym_EQ_TILDE] = ACTIONS(2965),
    [anon_sym_BANG_TILDE] = ACTIONS(2965),
    [anon_sym_EQ_EQ] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_eq] = ACTIONS(2967),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2965),
    [anon_sym_equ] = ACTIONS(2965),
    [anon_sym_eqr] = ACTIONS(2965),
    [anon_sym_ne] = ACTIONS(2965),
    [anon_sym_LT_EQ_GT] = ACTIONS(2965),
    [anon_sym_cmp] = ACTIONS(2965),
    [anon_sym_TILDE_TILDE] = ACTIONS(2965),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2965),
    [anon_sym_lt] = ACTIONS(2965),
    [anon_sym_le] = ACTIONS(2965),
    [anon_sym_ge] = ACTIONS(2965),
    [anon_sym_gt] = ACTIONS(2965),
    [anon_sym_isa] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_EQ_GT] = ACTIONS(2965),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2965),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2062] = {
    [sym_heredoc_content] = STATE(2062),
    [aux_sym__term_rightward_repeat1] = STATE(2063),
    [anon_sym_COLON] = ACTIONS(2428),
    [anon_sym_EQ] = ACTIONS(2430),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2428),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2428),
    [anon_sym_COMMA] = ACTIONS(3742),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2428),
    [anon_sym_DASH_GT] = ACTIONS(2428),
    [anon_sym_PERCENT] = ACTIONS(2430),
    [anon_sym_LT] = ACTIONS(2430),
    [anon_sym_GT] = ACTIONS(2430),
    [anon_sym_LT_LT] = ACTIONS(2430),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2428),
    [anon_sym_PLUS_EQ] = ACTIONS(2428),
    [anon_sym_DASH_EQ] = ACTIONS(2428),
    [anon_sym_DOT_EQ] = ACTIONS(2428),
    [anon_sym_STAR_EQ] = ACTIONS(2428),
    [anon_sym_SLASH_EQ] = ACTIONS(2428),
    [anon_sym_PERCENT_EQ] = ACTIONS(2428),
    [anon_sym_x_EQ] = ACTIONS(2428),
    [anon_sym_AMP_EQ] = ACTIONS(2428),
    [anon_sym_PIPE_EQ] = ACTIONS(2428),
    [anon_sym_CARET_EQ] = ACTIONS(2428),
    [anon_sym_LT_LT_EQ] = ACTIONS(2428),
    [anon_sym_GT_GT_EQ] = ACTIONS(2428),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2428),
    [anon_sym_DOT_DOT] = ACTIONS(2430),
    [anon_sym_STAR_STAR] = ACTIONS(2430),
    [anon_sym_PIPE_PIPE] = ACTIONS(2430),
    [anon_sym_SLASH_SLASH] = ACTIONS(2430),
    [anon_sym_CARET_CARET] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(2430),
    [anon_sym_PIPE] = ACTIONS(2430),
    [anon_sym_CARET] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2430),
    [anon_sym_GT_GT2] = ACTIONS(2430),
    [anon_sym_PLUS] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2430),
    [anon_sym_DOT] = ACTIONS(2430),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_SLASH] = ACTIONS(2430),
    [anon_sym_x] = ACTIONS(2430),
    [anon_sym_EQ_TILDE] = ACTIONS(2428),
    [anon_sym_BANG_TILDE] = ACTIONS(2428),
    [anon_sym_EQ_EQ] = ACTIONS(2430),
    [anon_sym_BANG_EQ] = ACTIONS(2428),
    [anon_sym_eq] = ACTIONS(2430),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2428),
    [anon_sym_equ] = ACTIONS(2428),
    [anon_sym_eqr] = ACTIONS(2428),
    [anon_sym_ne] = ACTIONS(2428),
    [anon_sym_LT_EQ_GT] = ACTIONS(2428),
    [anon_sym_cmp] = ACTIONS(2428),
    [anon_sym_TILDE_TILDE] = ACTIONS(2428),
    [anon_sym_LT_EQ] = ACTIONS(2430),
    [anon_sym_GT_EQ] = ACTIONS(2428),
    [anon_sym_lt] = ACTIONS(2428),
    [anon_sym_le] = ACTIONS(2428),
    [anon_sym_ge] = ACTIONS(2428),
    [anon_sym_gt] = ACTIONS(2428),
    [anon_sym_isa] = ACTIONS(2428),
    [anon_sym_PLUS_PLUS] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2428),
    [anon_sym_QMARK] = ACTIONS(2428),
    [anon_sym_EQ_GT] = ACTIONS(3742),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2063] = {
    [sym_heredoc_content] = STATE(2063),
    [aux_sym__term_rightward_repeat1] = STATE(2063),
    [anon_sym_COLON] = ACTIONS(2636),
    [anon_sym_EQ] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_COMMA] = ACTIONS(3744),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2636),
    [anon_sym_DASH_GT] = ACTIONS(2636),
    [anon_sym_PERCENT] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2638),
    [anon_sym_GT] = ACTIONS(2638),
    [anon_sym_LT_LT] = ACTIONS(2638),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2636),
    [anon_sym_PLUS_EQ] = ACTIONS(2636),
    [anon_sym_DASH_EQ] = ACTIONS(2636),
    [anon_sym_DOT_EQ] = ACTIONS(2636),
    [anon_sym_STAR_EQ] = ACTIONS(2636),
    [anon_sym_SLASH_EQ] = ACTIONS(2636),
    [anon_sym_PERCENT_EQ] = ACTIONS(2636),
    [anon_sym_x_EQ] = ACTIONS(2636),
    [anon_sym_AMP_EQ] = ACTIONS(2636),
    [anon_sym_PIPE_EQ] = ACTIONS(2636),
    [anon_sym_CARET_EQ] = ACTIONS(2636),
    [anon_sym_LT_LT_EQ] = ACTIONS(2636),
    [anon_sym_GT_GT_EQ] = ACTIONS(2636),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2636),
    [anon_sym_DOT_DOT] = ACTIONS(2638),
    [anon_sym_STAR_STAR] = ACTIONS(2638),
    [anon_sym_PIPE_PIPE] = ACTIONS(2638),
    [anon_sym_SLASH_SLASH] = ACTIONS(2638),
    [anon_sym_CARET_CARET] = ACTIONS(2636),
    [anon_sym_AMP_AMP] = ACTIONS(2638),
    [anon_sym_PIPE] = ACTIONS(2638),
    [anon_sym_CARET] = ACTIONS(2638),
    [anon_sym_AMP] = ACTIONS(2638),
    [anon_sym_GT_GT2] = ACTIONS(2638),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_DOT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2638),
    [anon_sym_SLASH] = ACTIONS(2638),
    [anon_sym_x] = ACTIONS(2638),
    [anon_sym_EQ_TILDE] = ACTIONS(2636),
    [anon_sym_BANG_TILDE] = ACTIONS(2636),
    [anon_sym_EQ_EQ] = ACTIONS(2638),
    [anon_sym_BANG_EQ] = ACTIONS(2636),
    [anon_sym_eq] = ACTIONS(2638),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2636),
    [anon_sym_equ] = ACTIONS(2636),
    [anon_sym_eqr] = ACTIONS(2636),
    [anon_sym_ne] = ACTIONS(2636),
    [anon_sym_LT_EQ_GT] = ACTIONS(2636),
    [anon_sym_cmp] = ACTIONS(2636),
    [anon_sym_TILDE_TILDE] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2638),
    [anon_sym_GT_EQ] = ACTIONS(2636),
    [anon_sym_lt] = ACTIONS(2636),
    [anon_sym_le] = ACTIONS(2636),
    [anon_sym_ge] = ACTIONS(2636),
    [anon_sym_gt] = ACTIONS(2636),
    [anon_sym_isa] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_QMARK] = ACTIONS(2636),
    [anon_sym_EQ_GT] = ACTIONS(3744),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2064] = {
    [sym_heredoc_content] = STATE(2064),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym_EQ] = ACTIONS(2971),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2969),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2969),
    [anon_sym_COMMA] = ACTIONS(2969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2969),
    [anon_sym_DASH_GT] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2971),
    [anon_sym_LT] = ACTIONS(2971),
    [anon_sym_GT] = ACTIONS(2971),
    [anon_sym_LT_LT] = ACTIONS(2971),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2969),
    [anon_sym_PLUS_EQ] = ACTIONS(2969),
    [anon_sym_DASH_EQ] = ACTIONS(2969),
    [anon_sym_DOT_EQ] = ACTIONS(2969),
    [anon_sym_STAR_EQ] = ACTIONS(2969),
    [anon_sym_SLASH_EQ] = ACTIONS(2969),
    [anon_sym_PERCENT_EQ] = ACTIONS(2969),
    [anon_sym_x_EQ] = ACTIONS(2969),
    [anon_sym_AMP_EQ] = ACTIONS(2969),
    [anon_sym_PIPE_EQ] = ACTIONS(2969),
    [anon_sym_CARET_EQ] = ACTIONS(2969),
    [anon_sym_LT_LT_EQ] = ACTIONS(2969),
    [anon_sym_GT_GT_EQ] = ACTIONS(2969),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2969),
    [anon_sym_DOT_DOT] = ACTIONS(2971),
    [anon_sym_STAR_STAR] = ACTIONS(2971),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_SLASH_SLASH] = ACTIONS(2971),
    [anon_sym_CARET_CARET] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2971),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [anon_sym_GT_GT2] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2971),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_SLASH] = ACTIONS(2971),
    [anon_sym_x] = ACTIONS(2971),
    [anon_sym_EQ_TILDE] = ACTIONS(2969),
    [anon_sym_BANG_TILDE] = ACTIONS(2969),
    [anon_sym_EQ_EQ] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_eq] = ACTIONS(2971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2969),
    [anon_sym_equ] = ACTIONS(2969),
    [anon_sym_eqr] = ACTIONS(2969),
    [anon_sym_ne] = ACTIONS(2969),
    [anon_sym_LT_EQ_GT] = ACTIONS(2969),
    [anon_sym_cmp] = ACTIONS(2969),
    [anon_sym_TILDE_TILDE] = ACTIONS(2969),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2969),
    [anon_sym_lt] = ACTIONS(2969),
    [anon_sym_le] = ACTIONS(2969),
    [anon_sym_ge] = ACTIONS(2969),
    [anon_sym_gt] = ACTIONS(2969),
    [anon_sym_isa] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2969),
    [anon_sym_DASH_DASH] = ACTIONS(2969),
    [anon_sym_QMARK] = ACTIONS(2969),
    [anon_sym_EQ_GT] = ACTIONS(2969),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2969),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2065] = {
    [sym_heredoc_content] = STATE(2065),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_COMMA] = ACTIONS(2945),
    [anon_sym_RPAREN] = ACTIONS(2945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2945),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2947),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_DOT_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_x_EQ] = ACTIONS(2945),
    [anon_sym_AMP_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_EQ] = ACTIONS(2945),
    [anon_sym_CARET_EQ] = ACTIONS(2945),
    [anon_sym_LT_LT_EQ] = ACTIONS(2945),
    [anon_sym_GT_GT_EQ] = ACTIONS(2945),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(2947),
    [anon_sym_SLASH_SLASH] = ACTIONS(2947),
    [anon_sym_CARET_CARET] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_PIPE] = ACTIONS(2947),
    [anon_sym_CARET] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_GT_GT2] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_SLASH] = ACTIONS(2947),
    [anon_sym_x] = ACTIONS(2947),
    [anon_sym_EQ_TILDE] = ACTIONS(2945),
    [anon_sym_BANG_TILDE] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ] = ACTIONS(2945),
    [anon_sym_eq] = ACTIONS(2947),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_equ] = ACTIONS(2945),
    [anon_sym_eqr] = ACTIONS(2945),
    [anon_sym_ne] = ACTIONS(2945),
    [anon_sym_LT_EQ_GT] = ACTIONS(2945),
    [anon_sym_cmp] = ACTIONS(2945),
    [anon_sym_TILDE_TILDE] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_lt] = ACTIONS(2945),
    [anon_sym_le] = ACTIONS(2945),
    [anon_sym_ge] = ACTIONS(2945),
    [anon_sym_gt] = ACTIONS(2945),
    [anon_sym_isa] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2945),
    [anon_sym_EQ_GT] = ACTIONS(2945),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2066] = {
    [sym_heredoc_content] = STATE(2066),
    [anon_sym_RBRACE] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_COMMA] = ACTIONS(3142),
    [anon_sym_RPAREN] = ACTIONS(3142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3142),
    [anon_sym_DASH_EQ] = ACTIONS(3142),
    [anon_sym_DOT_EQ] = ACTIONS(3142),
    [anon_sym_STAR_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_PERCENT_EQ] = ACTIONS(3142),
    [anon_sym_x_EQ] = ACTIONS(3142),
    [anon_sym_AMP_EQ] = ACTIONS(3142),
    [anon_sym_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_CARET_EQ] = ACTIONS(3142),
    [anon_sym_LT_LT_EQ] = ACTIONS(3142),
    [anon_sym_GT_GT_EQ] = ACTIONS(3142),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3142),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3703),
    [anon_sym_CARET_CARET] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3729),
    [anon_sym_EQ_GT] = ACTIONS(3142),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2067] = {
    [sym_heredoc_content] = STATE(2067),
    [anon_sym_SEMI] = ACTIONS(2977),
    [anon_sym_EQ] = ACTIONS(2979),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2977),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2977),
    [anon_sym_COMMA] = ACTIONS(2977),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2977),
    [anon_sym_DASH_GT] = ACTIONS(2977),
    [anon_sym_PERCENT] = ACTIONS(2979),
    [anon_sym_LT] = ACTIONS(2979),
    [anon_sym_GT] = ACTIONS(2979),
    [anon_sym_LT_LT] = ACTIONS(2979),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2977),
    [anon_sym_PLUS_EQ] = ACTIONS(2977),
    [anon_sym_DASH_EQ] = ACTIONS(2977),
    [anon_sym_DOT_EQ] = ACTIONS(2977),
    [anon_sym_STAR_EQ] = ACTIONS(2977),
    [anon_sym_SLASH_EQ] = ACTIONS(2977),
    [anon_sym_PERCENT_EQ] = ACTIONS(2977),
    [anon_sym_x_EQ] = ACTIONS(2977),
    [anon_sym_AMP_EQ] = ACTIONS(2977),
    [anon_sym_PIPE_EQ] = ACTIONS(2977),
    [anon_sym_CARET_EQ] = ACTIONS(2977),
    [anon_sym_LT_LT_EQ] = ACTIONS(2977),
    [anon_sym_GT_GT_EQ] = ACTIONS(2977),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2977),
    [anon_sym_DOT_DOT] = ACTIONS(2979),
    [anon_sym_STAR_STAR] = ACTIONS(2979),
    [anon_sym_PIPE_PIPE] = ACTIONS(2979),
    [anon_sym_SLASH_SLASH] = ACTIONS(2979),
    [anon_sym_CARET_CARET] = ACTIONS(2977),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_PIPE] = ACTIONS(2979),
    [anon_sym_CARET] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_GT_GT2] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2979),
    [anon_sym_DOT] = ACTIONS(2979),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_SLASH] = ACTIONS(2979),
    [anon_sym_x] = ACTIONS(2979),
    [anon_sym_EQ_TILDE] = ACTIONS(2977),
    [anon_sym_BANG_TILDE] = ACTIONS(2977),
    [anon_sym_EQ_EQ] = ACTIONS(2979),
    [anon_sym_BANG_EQ] = ACTIONS(2977),
    [anon_sym_eq] = ACTIONS(2979),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2977),
    [anon_sym_equ] = ACTIONS(2977),
    [anon_sym_eqr] = ACTIONS(2977),
    [anon_sym_ne] = ACTIONS(2977),
    [anon_sym_LT_EQ_GT] = ACTIONS(2977),
    [anon_sym_cmp] = ACTIONS(2977),
    [anon_sym_TILDE_TILDE] = ACTIONS(2977),
    [anon_sym_LT_EQ] = ACTIONS(2979),
    [anon_sym_GT_EQ] = ACTIONS(2977),
    [anon_sym_lt] = ACTIONS(2977),
    [anon_sym_le] = ACTIONS(2977),
    [anon_sym_ge] = ACTIONS(2977),
    [anon_sym_gt] = ACTIONS(2977),
    [anon_sym_isa] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2977),
    [anon_sym_EQ_GT] = ACTIONS(2977),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2977),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2068] = {
    [sym_heredoc_content] = STATE(2068),
    [anon_sym_RBRACE] = ACTIONS(3044),
    [anon_sym_EQ] = ACTIONS(3683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_COMMA] = ACTIONS(3044),
    [anon_sym_RPAREN] = ACTIONS(3044),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3685),
    [anon_sym_PLUS_EQ] = ACTIONS(3685),
    [anon_sym_DASH_EQ] = ACTIONS(3685),
    [anon_sym_DOT_EQ] = ACTIONS(3685),
    [anon_sym_STAR_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_PERCENT_EQ] = ACTIONS(3685),
    [anon_sym_x_EQ] = ACTIONS(3685),
    [anon_sym_AMP_EQ] = ACTIONS(3685),
    [anon_sym_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_CARET_EQ] = ACTIONS(3685),
    [anon_sym_LT_LT_EQ] = ACTIONS(3685),
    [anon_sym_GT_GT_EQ] = ACTIONS(3685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3685),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3703),
    [anon_sym_CARET_CARET] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3729),
    [anon_sym_EQ_GT] = ACTIONS(3044),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2069] = {
    [sym_heredoc_content] = STATE(2069),
    [anon_sym_SEMI] = ACTIONS(2713),
    [anon_sym_EQ] = ACTIONS(2715),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2713),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2713),
    [anon_sym_COMMA] = ACTIONS(2713),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2713),
    [anon_sym_DASH_GT] = ACTIONS(2713),
    [anon_sym_PERCENT] = ACTIONS(2715),
    [anon_sym_LT] = ACTIONS(2715),
    [anon_sym_GT] = ACTIONS(2715),
    [anon_sym_LT_LT] = ACTIONS(2715),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2713),
    [anon_sym_PLUS_EQ] = ACTIONS(2713),
    [anon_sym_DASH_EQ] = ACTIONS(2713),
    [anon_sym_DOT_EQ] = ACTIONS(2713),
    [anon_sym_STAR_EQ] = ACTIONS(2713),
    [anon_sym_SLASH_EQ] = ACTIONS(2713),
    [anon_sym_PERCENT_EQ] = ACTIONS(2713),
    [anon_sym_x_EQ] = ACTIONS(2713),
    [anon_sym_AMP_EQ] = ACTIONS(2713),
    [anon_sym_PIPE_EQ] = ACTIONS(2713),
    [anon_sym_CARET_EQ] = ACTIONS(2713),
    [anon_sym_LT_LT_EQ] = ACTIONS(2713),
    [anon_sym_GT_GT_EQ] = ACTIONS(2713),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2713),
    [anon_sym_DOT_DOT] = ACTIONS(2715),
    [anon_sym_STAR_STAR] = ACTIONS(2715),
    [anon_sym_PIPE_PIPE] = ACTIONS(2715),
    [anon_sym_SLASH_SLASH] = ACTIONS(2715),
    [anon_sym_CARET_CARET] = ACTIONS(2713),
    [anon_sym_AMP_AMP] = ACTIONS(2715),
    [anon_sym_PIPE] = ACTIONS(2715),
    [anon_sym_CARET] = ACTIONS(2715),
    [anon_sym_AMP] = ACTIONS(2715),
    [anon_sym_GT_GT2] = ACTIONS(2715),
    [anon_sym_PLUS] = ACTIONS(2715),
    [anon_sym_DASH] = ACTIONS(2715),
    [anon_sym_DOT] = ACTIONS(2715),
    [anon_sym_STAR] = ACTIONS(2715),
    [anon_sym_SLASH] = ACTIONS(2715),
    [anon_sym_x] = ACTIONS(2715),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2715),
    [anon_sym_BANG_EQ] = ACTIONS(2713),
    [anon_sym_eq] = ACTIONS(2715),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2713),
    [anon_sym_equ] = ACTIONS(2713),
    [anon_sym_eqr] = ACTIONS(2713),
    [anon_sym_ne] = ACTIONS(2713),
    [anon_sym_LT_EQ_GT] = ACTIONS(2713),
    [anon_sym_cmp] = ACTIONS(2713),
    [anon_sym_TILDE_TILDE] = ACTIONS(2713),
    [anon_sym_LT_EQ] = ACTIONS(2715),
    [anon_sym_GT_EQ] = ACTIONS(2713),
    [anon_sym_lt] = ACTIONS(2713),
    [anon_sym_le] = ACTIONS(2713),
    [anon_sym_ge] = ACTIONS(2713),
    [anon_sym_gt] = ACTIONS(2713),
    [anon_sym_isa] = ACTIONS(2713),
    [anon_sym_PLUS_PLUS] = ACTIONS(2713),
    [anon_sym_DASH_DASH] = ACTIONS(2713),
    [anon_sym_QMARK] = ACTIONS(2713),
    [anon_sym_EQ_GT] = ACTIONS(2713),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2713),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2070] = {
    [sym_heredoc_content] = STATE(2070),
    [anon_sym_RBRACE] = ACTIONS(2709),
    [anon_sym_EQ] = ACTIONS(2711),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2709),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2709),
    [anon_sym_COMMA] = ACTIONS(2709),
    [anon_sym_RPAREN] = ACTIONS(2709),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2709),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(2711),
    [anon_sym_GT] = ACTIONS(2711),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2709),
    [anon_sym_PLUS_EQ] = ACTIONS(2709),
    [anon_sym_DASH_EQ] = ACTIONS(2709),
    [anon_sym_DOT_EQ] = ACTIONS(2709),
    [anon_sym_STAR_EQ] = ACTIONS(2709),
    [anon_sym_SLASH_EQ] = ACTIONS(2709),
    [anon_sym_PERCENT_EQ] = ACTIONS(2709),
    [anon_sym_x_EQ] = ACTIONS(2709),
    [anon_sym_AMP_EQ] = ACTIONS(2709),
    [anon_sym_PIPE_EQ] = ACTIONS(2709),
    [anon_sym_CARET_EQ] = ACTIONS(2709),
    [anon_sym_LT_LT_EQ] = ACTIONS(2709),
    [anon_sym_GT_GT_EQ] = ACTIONS(2709),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2709),
    [anon_sym_DOT_DOT] = ACTIONS(2711),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(2711),
    [anon_sym_SLASH_SLASH] = ACTIONS(2711),
    [anon_sym_CARET_CARET] = ACTIONS(2709),
    [anon_sym_AMP_AMP] = ACTIONS(2711),
    [anon_sym_PIPE] = ACTIONS(2711),
    [anon_sym_CARET] = ACTIONS(2711),
    [anon_sym_AMP] = ACTIONS(2711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(2711),
    [anon_sym_BANG_EQ] = ACTIONS(2709),
    [anon_sym_eq] = ACTIONS(2711),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2709),
    [anon_sym_equ] = ACTIONS(2709),
    [anon_sym_eqr] = ACTIONS(2709),
    [anon_sym_ne] = ACTIONS(2709),
    [anon_sym_LT_EQ_GT] = ACTIONS(2709),
    [anon_sym_cmp] = ACTIONS(2709),
    [anon_sym_TILDE_TILDE] = ACTIONS(2709),
    [anon_sym_LT_EQ] = ACTIONS(2711),
    [anon_sym_GT_EQ] = ACTIONS(2709),
    [anon_sym_lt] = ACTIONS(2709),
    [anon_sym_le] = ACTIONS(2709),
    [anon_sym_ge] = ACTIONS(2709),
    [anon_sym_gt] = ACTIONS(2709),
    [anon_sym_isa] = ACTIONS(2709),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2709),
    [anon_sym_EQ_GT] = ACTIONS(2709),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2071] = {
    [sym_heredoc_content] = STATE(2071),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(3598),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3600),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3600),
    [anon_sym_COMMA] = ACTIONS(2993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3604),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_GT] = ACTIONS(3610),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3600),
    [anon_sym_PLUS_EQ] = ACTIONS(3600),
    [anon_sym_DASH_EQ] = ACTIONS(3600),
    [anon_sym_DOT_EQ] = ACTIONS(3600),
    [anon_sym_STAR_EQ] = ACTIONS(3600),
    [anon_sym_SLASH_EQ] = ACTIONS(3600),
    [anon_sym_PERCENT_EQ] = ACTIONS(3600),
    [anon_sym_x_EQ] = ACTIONS(3600),
    [anon_sym_AMP_EQ] = ACTIONS(3600),
    [anon_sym_PIPE_EQ] = ACTIONS(3600),
    [anon_sym_CARET_EQ] = ACTIONS(3600),
    [anon_sym_LT_LT_EQ] = ACTIONS(3600),
    [anon_sym_GT_GT_EQ] = ACTIONS(3600),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3600),
    [anon_sym_DOT_DOT] = ACTIONS(3614),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(3618),
    [anon_sym_SLASH_SLASH] = ACTIONS(3618),
    [anon_sym_CARET_CARET] = ACTIONS(3620),
    [anon_sym_AMP_AMP] = ACTIONS(3622),
    [anon_sym_PIPE] = ACTIONS(3624),
    [anon_sym_CARET] = ACTIONS(3624),
    [anon_sym_AMP] = ACTIONS(3626),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(3632),
    [anon_sym_BANG_EQ] = ACTIONS(3634),
    [anon_sym_eq] = ACTIONS(3632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3634),
    [anon_sym_equ] = ACTIONS(3634),
    [anon_sym_eqr] = ACTIONS(3634),
    [anon_sym_ne] = ACTIONS(3634),
    [anon_sym_LT_EQ_GT] = ACTIONS(3636),
    [anon_sym_cmp] = ACTIONS(3636),
    [anon_sym_TILDE_TILDE] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3610),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_lt] = ACTIONS(3638),
    [anon_sym_le] = ACTIONS(3638),
    [anon_sym_ge] = ACTIONS(3638),
    [anon_sym_gt] = ACTIONS(3638),
    [anon_sym_isa] = ACTIONS(3640),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(3644),
    [anon_sym_EQ_GT] = ACTIONS(2993),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2993),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2072] = {
    [sym_heredoc_content] = STATE(2072),
    [anon_sym_SEMI] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(3598),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3600),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3600),
    [anon_sym_COMMA] = ACTIONS(2753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3604),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_GT] = ACTIONS(3610),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3600),
    [anon_sym_PLUS_EQ] = ACTIONS(3600),
    [anon_sym_DASH_EQ] = ACTIONS(3600),
    [anon_sym_DOT_EQ] = ACTIONS(3600),
    [anon_sym_STAR_EQ] = ACTIONS(3600),
    [anon_sym_SLASH_EQ] = ACTIONS(3600),
    [anon_sym_PERCENT_EQ] = ACTIONS(3600),
    [anon_sym_x_EQ] = ACTIONS(3600),
    [anon_sym_AMP_EQ] = ACTIONS(3600),
    [anon_sym_PIPE_EQ] = ACTIONS(3600),
    [anon_sym_CARET_EQ] = ACTIONS(3600),
    [anon_sym_LT_LT_EQ] = ACTIONS(3600),
    [anon_sym_GT_GT_EQ] = ACTIONS(3600),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3600),
    [anon_sym_DOT_DOT] = ACTIONS(3614),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(3618),
    [anon_sym_SLASH_SLASH] = ACTIONS(3618),
    [anon_sym_CARET_CARET] = ACTIONS(3620),
    [anon_sym_AMP_AMP] = ACTIONS(3622),
    [anon_sym_PIPE] = ACTIONS(3624),
    [anon_sym_CARET] = ACTIONS(3624),
    [anon_sym_AMP] = ACTIONS(3626),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(3632),
    [anon_sym_BANG_EQ] = ACTIONS(3634),
    [anon_sym_eq] = ACTIONS(3632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3634),
    [anon_sym_equ] = ACTIONS(3634),
    [anon_sym_eqr] = ACTIONS(3634),
    [anon_sym_ne] = ACTIONS(3634),
    [anon_sym_LT_EQ_GT] = ACTIONS(3636),
    [anon_sym_cmp] = ACTIONS(3636),
    [anon_sym_TILDE_TILDE] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3610),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_lt] = ACTIONS(3638),
    [anon_sym_le] = ACTIONS(3638),
    [anon_sym_ge] = ACTIONS(3638),
    [anon_sym_gt] = ACTIONS(3638),
    [anon_sym_isa] = ACTIONS(3640),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(3644),
    [anon_sym_EQ_GT] = ACTIONS(2753),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2753),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2073] = {
    [sym_heredoc_content] = STATE(2073),
    [anon_sym_RBRACE] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(3683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_COMMA] = ACTIONS(2753),
    [anon_sym_RPAREN] = ACTIONS(2753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3685),
    [anon_sym_PLUS_EQ] = ACTIONS(3685),
    [anon_sym_DASH_EQ] = ACTIONS(3685),
    [anon_sym_DOT_EQ] = ACTIONS(3685),
    [anon_sym_STAR_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_PERCENT_EQ] = ACTIONS(3685),
    [anon_sym_x_EQ] = ACTIONS(3685),
    [anon_sym_AMP_EQ] = ACTIONS(3685),
    [anon_sym_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_CARET_EQ] = ACTIONS(3685),
    [anon_sym_LT_LT_EQ] = ACTIONS(3685),
    [anon_sym_GT_GT_EQ] = ACTIONS(3685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3685),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3703),
    [anon_sym_CARET_CARET] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3729),
    [anon_sym_EQ_GT] = ACTIONS(2753),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2074] = {
    [sym_heredoc_content] = STATE(2074),
    [anon_sym_RBRACE] = ACTIONS(2917),
    [anon_sym_EQ] = ACTIONS(2919),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2917),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2917),
    [anon_sym_COMMA] = ACTIONS(2917),
    [anon_sym_RPAREN] = ACTIONS(2917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2917),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(2919),
    [anon_sym_GT] = ACTIONS(2919),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2917),
    [anon_sym_PLUS_EQ] = ACTIONS(2917),
    [anon_sym_DASH_EQ] = ACTIONS(2917),
    [anon_sym_DOT_EQ] = ACTIONS(2917),
    [anon_sym_STAR_EQ] = ACTIONS(2917),
    [anon_sym_SLASH_EQ] = ACTIONS(2917),
    [anon_sym_PERCENT_EQ] = ACTIONS(2917),
    [anon_sym_x_EQ] = ACTIONS(2917),
    [anon_sym_AMP_EQ] = ACTIONS(2917),
    [anon_sym_PIPE_EQ] = ACTIONS(2917),
    [anon_sym_CARET_EQ] = ACTIONS(2917),
    [anon_sym_LT_LT_EQ] = ACTIONS(2917),
    [anon_sym_GT_GT_EQ] = ACTIONS(2917),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2917),
    [anon_sym_DOT_DOT] = ACTIONS(2919),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(2919),
    [anon_sym_SLASH_SLASH] = ACTIONS(2919),
    [anon_sym_CARET_CARET] = ACTIONS(2917),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_PIPE] = ACTIONS(2919),
    [anon_sym_CARET] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(2919),
    [anon_sym_BANG_EQ] = ACTIONS(2917),
    [anon_sym_eq] = ACTIONS(2919),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2917),
    [anon_sym_equ] = ACTIONS(2917),
    [anon_sym_eqr] = ACTIONS(2917),
    [anon_sym_ne] = ACTIONS(2917),
    [anon_sym_LT_EQ_GT] = ACTIONS(2917),
    [anon_sym_cmp] = ACTIONS(2917),
    [anon_sym_TILDE_TILDE] = ACTIONS(2917),
    [anon_sym_LT_EQ] = ACTIONS(2919),
    [anon_sym_GT_EQ] = ACTIONS(2917),
    [anon_sym_lt] = ACTIONS(2917),
    [anon_sym_le] = ACTIONS(2917),
    [anon_sym_ge] = ACTIONS(2917),
    [anon_sym_gt] = ACTIONS(2917),
    [anon_sym_isa] = ACTIONS(2917),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2917),
    [anon_sym_EQ_GT] = ACTIONS(2917),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2075] = {
    [sym_heredoc_content] = STATE(2075),
    [anon_sym_RBRACE] = ACTIONS(3028),
    [anon_sym_EQ] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3028),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3028),
    [anon_sym_COMMA] = ACTIONS(3028),
    [anon_sym_RPAREN] = ACTIONS(3028),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3028),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3030),
    [anon_sym_GT] = ACTIONS(3030),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3028),
    [anon_sym_PLUS_EQ] = ACTIONS(3028),
    [anon_sym_DASH_EQ] = ACTIONS(3028),
    [anon_sym_DOT_EQ] = ACTIONS(3028),
    [anon_sym_STAR_EQ] = ACTIONS(3028),
    [anon_sym_SLASH_EQ] = ACTIONS(3028),
    [anon_sym_PERCENT_EQ] = ACTIONS(3028),
    [anon_sym_x_EQ] = ACTIONS(3028),
    [anon_sym_AMP_EQ] = ACTIONS(3028),
    [anon_sym_PIPE_EQ] = ACTIONS(3028),
    [anon_sym_CARET_EQ] = ACTIONS(3028),
    [anon_sym_LT_LT_EQ] = ACTIONS(3028),
    [anon_sym_GT_GT_EQ] = ACTIONS(3028),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3028),
    [anon_sym_DOT_DOT] = ACTIONS(3030),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3030),
    [anon_sym_SLASH_SLASH] = ACTIONS(3030),
    [anon_sym_CARET_CARET] = ACTIONS(3028),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_CARET] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3030),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3030),
    [anon_sym_BANG_EQ] = ACTIONS(3028),
    [anon_sym_eq] = ACTIONS(3030),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3028),
    [anon_sym_equ] = ACTIONS(3028),
    [anon_sym_eqr] = ACTIONS(3028),
    [anon_sym_ne] = ACTIONS(3028),
    [anon_sym_LT_EQ_GT] = ACTIONS(3028),
    [anon_sym_cmp] = ACTIONS(3028),
    [anon_sym_TILDE_TILDE] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(3030),
    [anon_sym_GT_EQ] = ACTIONS(3028),
    [anon_sym_lt] = ACTIONS(3028),
    [anon_sym_le] = ACTIONS(3028),
    [anon_sym_ge] = ACTIONS(3028),
    [anon_sym_gt] = ACTIONS(3028),
    [anon_sym_isa] = ACTIONS(3028),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3028),
    [anon_sym_EQ_GT] = ACTIONS(3028),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2076] = {
    [sym_heredoc_content] = STATE(2076),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_EQ] = ACTIONS(3598),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3600),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3600),
    [anon_sym_COMMA] = ACTIONS(2636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3604),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_GT] = ACTIONS(3610),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3600),
    [anon_sym_PLUS_EQ] = ACTIONS(3600),
    [anon_sym_DASH_EQ] = ACTIONS(3600),
    [anon_sym_DOT_EQ] = ACTIONS(3600),
    [anon_sym_STAR_EQ] = ACTIONS(3600),
    [anon_sym_SLASH_EQ] = ACTIONS(3600),
    [anon_sym_PERCENT_EQ] = ACTIONS(3600),
    [anon_sym_x_EQ] = ACTIONS(3600),
    [anon_sym_AMP_EQ] = ACTIONS(3600),
    [anon_sym_PIPE_EQ] = ACTIONS(3600),
    [anon_sym_CARET_EQ] = ACTIONS(3600),
    [anon_sym_LT_LT_EQ] = ACTIONS(3600),
    [anon_sym_GT_GT_EQ] = ACTIONS(3600),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3600),
    [anon_sym_DOT_DOT] = ACTIONS(3614),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(3618),
    [anon_sym_SLASH_SLASH] = ACTIONS(3618),
    [anon_sym_CARET_CARET] = ACTIONS(3620),
    [anon_sym_AMP_AMP] = ACTIONS(3622),
    [anon_sym_PIPE] = ACTIONS(3624),
    [anon_sym_CARET] = ACTIONS(3624),
    [anon_sym_AMP] = ACTIONS(3626),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(3632),
    [anon_sym_BANG_EQ] = ACTIONS(3634),
    [anon_sym_eq] = ACTIONS(3632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3634),
    [anon_sym_equ] = ACTIONS(3634),
    [anon_sym_eqr] = ACTIONS(3634),
    [anon_sym_ne] = ACTIONS(3634),
    [anon_sym_LT_EQ_GT] = ACTIONS(3636),
    [anon_sym_cmp] = ACTIONS(3636),
    [anon_sym_TILDE_TILDE] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3610),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_lt] = ACTIONS(3638),
    [anon_sym_le] = ACTIONS(3638),
    [anon_sym_ge] = ACTIONS(3638),
    [anon_sym_gt] = ACTIONS(3638),
    [anon_sym_isa] = ACTIONS(3640),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(3644),
    [anon_sym_EQ_GT] = ACTIONS(2636),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2636),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2077] = {
    [sym_heredoc_content] = STATE(2077),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3747),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_GT] = ACTIONS(3610),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(3749),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(3618),
    [anon_sym_SLASH_SLASH] = ACTIONS(3618),
    [anon_sym_CARET_CARET] = ACTIONS(3620),
    [anon_sym_AMP_AMP] = ACTIONS(3622),
    [anon_sym_PIPE] = ACTIONS(3624),
    [anon_sym_CARET] = ACTIONS(3624),
    [anon_sym_AMP] = ACTIONS(3626),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(3632),
    [anon_sym_BANG_EQ] = ACTIONS(3634),
    [anon_sym_eq] = ACTIONS(3632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3634),
    [anon_sym_equ] = ACTIONS(3634),
    [anon_sym_eqr] = ACTIONS(3634),
    [anon_sym_ne] = ACTIONS(3634),
    [anon_sym_LT_EQ_GT] = ACTIONS(3636),
    [anon_sym_cmp] = ACTIONS(3636),
    [anon_sym_TILDE_TILDE] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3610),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_lt] = ACTIONS(3638),
    [anon_sym_le] = ACTIONS(3638),
    [anon_sym_ge] = ACTIONS(3638),
    [anon_sym_gt] = ACTIONS(3638),
    [anon_sym_isa] = ACTIONS(3640),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2078] = {
    [sym_heredoc_content] = STATE(2078),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_COMMA] = ACTIONS(3154),
    [anon_sym_RPAREN] = ACTIONS(3154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3685),
    [anon_sym_PLUS_EQ] = ACTIONS(3685),
    [anon_sym_DASH_EQ] = ACTIONS(3685),
    [anon_sym_DOT_EQ] = ACTIONS(3685),
    [anon_sym_STAR_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_PERCENT_EQ] = ACTIONS(3685),
    [anon_sym_x_EQ] = ACTIONS(3685),
    [anon_sym_AMP_EQ] = ACTIONS(3685),
    [anon_sym_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_CARET_EQ] = ACTIONS(3685),
    [anon_sym_LT_LT_EQ] = ACTIONS(3685),
    [anon_sym_GT_GT_EQ] = ACTIONS(3685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3685),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3703),
    [anon_sym_CARET_CARET] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3729),
    [anon_sym_EQ_GT] = ACTIONS(3154),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2079] = {
    [sym_heredoc_content] = STATE(2079),
    [anon_sym_SEMI] = ACTIONS(3013),
    [anon_sym_EQ] = ACTIONS(3015),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3013),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3013),
    [anon_sym_COMMA] = ACTIONS(3013),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3013),
    [anon_sym_DASH_GT] = ACTIONS(3013),
    [anon_sym_PERCENT] = ACTIONS(3015),
    [anon_sym_LT] = ACTIONS(3015),
    [anon_sym_GT] = ACTIONS(3015),
    [anon_sym_LT_LT] = ACTIONS(3015),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3013),
    [anon_sym_PLUS_EQ] = ACTIONS(3013),
    [anon_sym_DASH_EQ] = ACTIONS(3013),
    [anon_sym_DOT_EQ] = ACTIONS(3013),
    [anon_sym_STAR_EQ] = ACTIONS(3013),
    [anon_sym_SLASH_EQ] = ACTIONS(3013),
    [anon_sym_PERCENT_EQ] = ACTIONS(3013),
    [anon_sym_x_EQ] = ACTIONS(3013),
    [anon_sym_AMP_EQ] = ACTIONS(3013),
    [anon_sym_PIPE_EQ] = ACTIONS(3013),
    [anon_sym_CARET_EQ] = ACTIONS(3013),
    [anon_sym_LT_LT_EQ] = ACTIONS(3013),
    [anon_sym_GT_GT_EQ] = ACTIONS(3013),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3013),
    [anon_sym_DOT_DOT] = ACTIONS(3015),
    [anon_sym_STAR_STAR] = ACTIONS(3015),
    [anon_sym_PIPE_PIPE] = ACTIONS(3015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3015),
    [anon_sym_CARET_CARET] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_PIPE] = ACTIONS(3015),
    [anon_sym_CARET] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_GT_GT2] = ACTIONS(3015),
    [anon_sym_PLUS] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3015),
    [anon_sym_DOT] = ACTIONS(3015),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_SLASH] = ACTIONS(3015),
    [anon_sym_x] = ACTIONS(3015),
    [anon_sym_EQ_TILDE] = ACTIONS(3013),
    [anon_sym_BANG_TILDE] = ACTIONS(3013),
    [anon_sym_EQ_EQ] = ACTIONS(3015),
    [anon_sym_BANG_EQ] = ACTIONS(3013),
    [anon_sym_eq] = ACTIONS(3015),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3013),
    [anon_sym_equ] = ACTIONS(3013),
    [anon_sym_eqr] = ACTIONS(3013),
    [anon_sym_ne] = ACTIONS(3013),
    [anon_sym_LT_EQ_GT] = ACTIONS(3013),
    [anon_sym_cmp] = ACTIONS(3013),
    [anon_sym_TILDE_TILDE] = ACTIONS(3013),
    [anon_sym_LT_EQ] = ACTIONS(3015),
    [anon_sym_GT_EQ] = ACTIONS(3013),
    [anon_sym_lt] = ACTIONS(3013),
    [anon_sym_le] = ACTIONS(3013),
    [anon_sym_ge] = ACTIONS(3013),
    [anon_sym_gt] = ACTIONS(3013),
    [anon_sym_isa] = ACTIONS(3013),
    [anon_sym_PLUS_PLUS] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3013),
    [anon_sym_QMARK] = ACTIONS(3013),
    [anon_sym_EQ_GT] = ACTIONS(3013),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3013),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2080] = {
    [sym_heredoc_content] = STATE(2080),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_COMMA] = ACTIONS(3162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3162),
    [anon_sym_DASH_GT] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3164),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_GT] = ACTIONS(3164),
    [anon_sym_LT_LT] = ACTIONS(3164),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3162),
    [anon_sym_DASH_EQ] = ACTIONS(3162),
    [anon_sym_DOT_EQ] = ACTIONS(3162),
    [anon_sym_STAR_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_PERCENT_EQ] = ACTIONS(3162),
    [anon_sym_x_EQ] = ACTIONS(3162),
    [anon_sym_AMP_EQ] = ACTIONS(3162),
    [anon_sym_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_CARET_EQ] = ACTIONS(3162),
    [anon_sym_LT_LT_EQ] = ACTIONS(3162),
    [anon_sym_GT_GT_EQ] = ACTIONS(3162),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3162),
    [anon_sym_DOT_DOT] = ACTIONS(3164),
    [anon_sym_STAR_STAR] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3164),
    [anon_sym_CARET_CARET] = ACTIONS(3162),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_PIPE] = ACTIONS(3164),
    [anon_sym_CARET] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_GT_GT2] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_x] = ACTIONS(3164),
    [anon_sym_EQ_TILDE] = ACTIONS(3162),
    [anon_sym_BANG_TILDE] = ACTIONS(3162),
    [anon_sym_EQ_EQ] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_eq] = ACTIONS(3164),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3162),
    [anon_sym_equ] = ACTIONS(3162),
    [anon_sym_eqr] = ACTIONS(3162),
    [anon_sym_ne] = ACTIONS(3162),
    [anon_sym_LT_EQ_GT] = ACTIONS(3162),
    [anon_sym_cmp] = ACTIONS(3162),
    [anon_sym_TILDE_TILDE] = ACTIONS(3162),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3162),
    [anon_sym_lt] = ACTIONS(3162),
    [anon_sym_le] = ACTIONS(3162),
    [anon_sym_ge] = ACTIONS(3162),
    [anon_sym_gt] = ACTIONS(3162),
    [anon_sym_isa] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_QMARK] = ACTIONS(3162),
    [anon_sym_EQ_GT] = ACTIONS(3162),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3162),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2081] = {
    [sym_heredoc_content] = STATE(2081),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_x] = ACTIONS(2687),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2082] = {
    [sym_heredoc_content] = STATE(2082),
    [anon_sym_RBRACE] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(2807),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2805),
    [anon_sym_RPAREN] = ACTIONS(2805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2805),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_GT] = ACTIONS(2807),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(2805),
    [anon_sym_DASH_EQ] = ACTIONS(2805),
    [anon_sym_DOT_EQ] = ACTIONS(2805),
    [anon_sym_STAR_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_PERCENT_EQ] = ACTIONS(2805),
    [anon_sym_x_EQ] = ACTIONS(2805),
    [anon_sym_AMP_EQ] = ACTIONS(2805),
    [anon_sym_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_CARET_EQ] = ACTIONS(2805),
    [anon_sym_LT_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT_GT_EQ] = ACTIONS(2805),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2805),
    [anon_sym_DOT_DOT] = ACTIONS(2807),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(2807),
    [anon_sym_SLASH_SLASH] = ACTIONS(2807),
    [anon_sym_CARET_CARET] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_PIPE] = ACTIONS(2807),
    [anon_sym_CARET] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(2807),
    [anon_sym_BANG_EQ] = ACTIONS(2805),
    [anon_sym_eq] = ACTIONS(2807),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2805),
    [anon_sym_equ] = ACTIONS(2805),
    [anon_sym_eqr] = ACTIONS(2805),
    [anon_sym_ne] = ACTIONS(2805),
    [anon_sym_LT_EQ_GT] = ACTIONS(2805),
    [anon_sym_cmp] = ACTIONS(2805),
    [anon_sym_TILDE_TILDE] = ACTIONS(2805),
    [anon_sym_LT_EQ] = ACTIONS(2807),
    [anon_sym_GT_EQ] = ACTIONS(2805),
    [anon_sym_lt] = ACTIONS(2805),
    [anon_sym_le] = ACTIONS(2805),
    [anon_sym_ge] = ACTIONS(2805),
    [anon_sym_gt] = ACTIONS(2805),
    [anon_sym_isa] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_EQ_GT] = ACTIONS(2805),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2083] = {
    [sym_heredoc_content] = STATE(2083),
    [anon_sym_SEMI] = ACTIONS(3122),
    [anon_sym_EQ] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_COMMA] = ACTIONS(3122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3122),
    [anon_sym_DASH_GT] = ACTIONS(3122),
    [anon_sym_PERCENT] = ACTIONS(3124),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_GT] = ACTIONS(3124),
    [anon_sym_LT_LT] = ACTIONS(3124),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3122),
    [anon_sym_PLUS_EQ] = ACTIONS(3122),
    [anon_sym_DASH_EQ] = ACTIONS(3122),
    [anon_sym_DOT_EQ] = ACTIONS(3122),
    [anon_sym_STAR_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_PERCENT_EQ] = ACTIONS(3122),
    [anon_sym_x_EQ] = ACTIONS(3122),
    [anon_sym_AMP_EQ] = ACTIONS(3122),
    [anon_sym_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_CARET_EQ] = ACTIONS(3122),
    [anon_sym_LT_LT_EQ] = ACTIONS(3122),
    [anon_sym_GT_GT_EQ] = ACTIONS(3122),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3122),
    [anon_sym_DOT_DOT] = ACTIONS(3124),
    [anon_sym_STAR_STAR] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3124),
    [anon_sym_SLASH_SLASH] = ACTIONS(3124),
    [anon_sym_CARET_CARET] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_PIPE] = ACTIONS(3124),
    [anon_sym_CARET] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_GT_GT2] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_x] = ACTIONS(3124),
    [anon_sym_EQ_TILDE] = ACTIONS(3122),
    [anon_sym_BANG_TILDE] = ACTIONS(3122),
    [anon_sym_EQ_EQ] = ACTIONS(3124),
    [anon_sym_BANG_EQ] = ACTIONS(3122),
    [anon_sym_eq] = ACTIONS(3124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3122),
    [anon_sym_equ] = ACTIONS(3122),
    [anon_sym_eqr] = ACTIONS(3122),
    [anon_sym_ne] = ACTIONS(3122),
    [anon_sym_LT_EQ_GT] = ACTIONS(3122),
    [anon_sym_cmp] = ACTIONS(3122),
    [anon_sym_TILDE_TILDE] = ACTIONS(3122),
    [anon_sym_LT_EQ] = ACTIONS(3124),
    [anon_sym_GT_EQ] = ACTIONS(3122),
    [anon_sym_lt] = ACTIONS(3122),
    [anon_sym_le] = ACTIONS(3122),
    [anon_sym_ge] = ACTIONS(3122),
    [anon_sym_gt] = ACTIONS(3122),
    [anon_sym_isa] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_QMARK] = ACTIONS(3122),
    [anon_sym_EQ_GT] = ACTIONS(3122),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3122),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2084] = {
    [sym_heredoc_content] = STATE(2084),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_COMMA] = ACTIONS(3054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3054),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_DOT_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_x_EQ] = ACTIONS(3054),
    [anon_sym_AMP_EQ] = ACTIONS(3054),
    [anon_sym_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_CARET_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT_EQ] = ACTIONS(3054),
    [anon_sym_GT_GT_EQ] = ACTIONS(3054),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(3056),
    [anon_sym_SLASH_SLASH] = ACTIONS(3056),
    [anon_sym_CARET_CARET] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3056),
    [anon_sym_PIPE] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_eq] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_equ] = ACTIONS(3054),
    [anon_sym_eqr] = ACTIONS(3054),
    [anon_sym_ne] = ACTIONS(3054),
    [anon_sym_LT_EQ_GT] = ACTIONS(3054),
    [anon_sym_cmp] = ACTIONS(3054),
    [anon_sym_TILDE_TILDE] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_lt] = ACTIONS(3054),
    [anon_sym_le] = ACTIONS(3054),
    [anon_sym_ge] = ACTIONS(3054),
    [anon_sym_gt] = ACTIONS(3054),
    [anon_sym_isa] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(3054),
    [anon_sym_EQ_GT] = ACTIONS(3054),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3054),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2085] = {
    [sym_heredoc_content] = STATE(2085),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2086] = {
    [sym_heredoc_content] = STATE(2086),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_x] = ACTIONS(2687),
    [anon_sym_EQ_TILDE] = ACTIONS(2685),
    [anon_sym_BANG_TILDE] = ACTIONS(2685),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2087] = {
    [sym_heredoc_content] = STATE(2087),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_GT] = ACTIONS(3610),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(3622),
    [anon_sym_PIPE] = ACTIONS(3624),
    [anon_sym_CARET] = ACTIONS(3624),
    [anon_sym_AMP] = ACTIONS(3626),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(3632),
    [anon_sym_BANG_EQ] = ACTIONS(3634),
    [anon_sym_eq] = ACTIONS(3632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3634),
    [anon_sym_equ] = ACTIONS(3634),
    [anon_sym_eqr] = ACTIONS(3634),
    [anon_sym_ne] = ACTIONS(3634),
    [anon_sym_LT_EQ_GT] = ACTIONS(3636),
    [anon_sym_cmp] = ACTIONS(3636),
    [anon_sym_TILDE_TILDE] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3610),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_lt] = ACTIONS(3638),
    [anon_sym_le] = ACTIONS(3638),
    [anon_sym_ge] = ACTIONS(3638),
    [anon_sym_gt] = ACTIONS(3638),
    [anon_sym_isa] = ACTIONS(3640),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2088] = {
    [sym_heredoc_content] = STATE(2088),
    [anon_sym_RBRACE] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_COMMA] = ACTIONS(3751),
    [anon_sym_RPAREN] = ACTIONS(3040),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3040),
    [anon_sym_DASH_GT] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3042),
    [anon_sym_LT] = ACTIONS(3042),
    [anon_sym_GT] = ACTIONS(3042),
    [anon_sym_LT_LT] = ACTIONS(3042),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3040),
    [anon_sym_DASH_EQ] = ACTIONS(3040),
    [anon_sym_DOT_EQ] = ACTIONS(3040),
    [anon_sym_STAR_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_PERCENT_EQ] = ACTIONS(3040),
    [anon_sym_x_EQ] = ACTIONS(3040),
    [anon_sym_AMP_EQ] = ACTIONS(3040),
    [anon_sym_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_CARET_EQ] = ACTIONS(3040),
    [anon_sym_LT_LT_EQ] = ACTIONS(3040),
    [anon_sym_GT_GT_EQ] = ACTIONS(3040),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3040),
    [anon_sym_DOT_DOT] = ACTIONS(3042),
    [anon_sym_STAR_STAR] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_SLASH_SLASH] = ACTIONS(3042),
    [anon_sym_CARET_CARET] = ACTIONS(3040),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_PIPE] = ACTIONS(3042),
    [anon_sym_CARET] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3042),
    [anon_sym_GT_GT2] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3042),
    [anon_sym_x] = ACTIONS(3042),
    [anon_sym_EQ_TILDE] = ACTIONS(3040),
    [anon_sym_BANG_TILDE] = ACTIONS(3040),
    [anon_sym_EQ_EQ] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_eq] = ACTIONS(3042),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3040),
    [anon_sym_equ] = ACTIONS(3040),
    [anon_sym_eqr] = ACTIONS(3040),
    [anon_sym_ne] = ACTIONS(3040),
    [anon_sym_LT_EQ_GT] = ACTIONS(3040),
    [anon_sym_cmp] = ACTIONS(3040),
    [anon_sym_TILDE_TILDE] = ACTIONS(3040),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3040),
    [anon_sym_lt] = ACTIONS(3040),
    [anon_sym_le] = ACTIONS(3040),
    [anon_sym_ge] = ACTIONS(3040),
    [anon_sym_gt] = ACTIONS(3040),
    [anon_sym_isa] = ACTIONS(3040),
    [anon_sym_PLUS_PLUS] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3040),
    [anon_sym_QMARK] = ACTIONS(3040),
    [anon_sym_EQ_GT] = ACTIONS(3751),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2089] = {
    [sym_heredoc_content] = STATE(2089),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_GT] = ACTIONS(3610),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(3624),
    [anon_sym_CARET] = ACTIONS(3624),
    [anon_sym_AMP] = ACTIONS(3626),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(3632),
    [anon_sym_BANG_EQ] = ACTIONS(3634),
    [anon_sym_eq] = ACTIONS(3632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3634),
    [anon_sym_equ] = ACTIONS(3634),
    [anon_sym_eqr] = ACTIONS(3634),
    [anon_sym_ne] = ACTIONS(3634),
    [anon_sym_LT_EQ_GT] = ACTIONS(3636),
    [anon_sym_cmp] = ACTIONS(3636),
    [anon_sym_TILDE_TILDE] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3610),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_lt] = ACTIONS(3638),
    [anon_sym_le] = ACTIONS(3638),
    [anon_sym_ge] = ACTIONS(3638),
    [anon_sym_gt] = ACTIONS(3638),
    [anon_sym_isa] = ACTIONS(3640),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2090] = {
    [sym_heredoc_content] = STATE(2090),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_GT] = ACTIONS(3610),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(3626),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(3632),
    [anon_sym_BANG_EQ] = ACTIONS(3634),
    [anon_sym_eq] = ACTIONS(3632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3634),
    [anon_sym_equ] = ACTIONS(3634),
    [anon_sym_eqr] = ACTIONS(3634),
    [anon_sym_ne] = ACTIONS(3634),
    [anon_sym_LT_EQ_GT] = ACTIONS(3636),
    [anon_sym_cmp] = ACTIONS(3636),
    [anon_sym_TILDE_TILDE] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3610),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_lt] = ACTIONS(3638),
    [anon_sym_le] = ACTIONS(3638),
    [anon_sym_ge] = ACTIONS(3638),
    [anon_sym_gt] = ACTIONS(3638),
    [anon_sym_isa] = ACTIONS(3640),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2091] = {
    [sym_heredoc_content] = STATE(2091),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_GT] = ACTIONS(3610),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(3632),
    [anon_sym_BANG_EQ] = ACTIONS(3634),
    [anon_sym_eq] = ACTIONS(3632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3634),
    [anon_sym_equ] = ACTIONS(3634),
    [anon_sym_eqr] = ACTIONS(3634),
    [anon_sym_ne] = ACTIONS(3634),
    [anon_sym_LT_EQ_GT] = ACTIONS(3636),
    [anon_sym_cmp] = ACTIONS(3636),
    [anon_sym_TILDE_TILDE] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3610),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_lt] = ACTIONS(3638),
    [anon_sym_le] = ACTIONS(3638),
    [anon_sym_ge] = ACTIONS(3638),
    [anon_sym_gt] = ACTIONS(3638),
    [anon_sym_isa] = ACTIONS(3640),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2092] = {
    [sym_heredoc_content] = STATE(2092),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3138),
    [anon_sym_DASH_GT] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3140),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_GT] = ACTIONS(3140),
    [anon_sym_LT_LT] = ACTIONS(3140),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3138),
    [anon_sym_DASH_EQ] = ACTIONS(3138),
    [anon_sym_DOT_EQ] = ACTIONS(3138),
    [anon_sym_STAR_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_PERCENT_EQ] = ACTIONS(3138),
    [anon_sym_x_EQ] = ACTIONS(3138),
    [anon_sym_AMP_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_CARET_EQ] = ACTIONS(3138),
    [anon_sym_LT_LT_EQ] = ACTIONS(3138),
    [anon_sym_GT_GT_EQ] = ACTIONS(3138),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3138),
    [anon_sym_DOT_DOT] = ACTIONS(3140),
    [anon_sym_STAR_STAR] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_SLASH_SLASH] = ACTIONS(3140),
    [anon_sym_CARET_CARET] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_PIPE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_GT_GT2] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_x] = ACTIONS(3140),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_EQ_EQ] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_eq] = ACTIONS(3140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_equ] = ACTIONS(3138),
    [anon_sym_eqr] = ACTIONS(3138),
    [anon_sym_ne] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_cmp] = ACTIONS(3138),
    [anon_sym_TILDE_TILDE] = ACTIONS(3138),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_lt] = ACTIONS(3138),
    [anon_sym_le] = ACTIONS(3138),
    [anon_sym_ge] = ACTIONS(3138),
    [anon_sym_gt] = ACTIONS(3138),
    [anon_sym_isa] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_EQ_GT] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3138),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2093] = {
    [sym_heredoc_content] = STATE(2093),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_COMMA] = ACTIONS(3150),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3150),
    [anon_sym_DASH_GT] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3152),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_GT] = ACTIONS(3152),
    [anon_sym_LT_LT] = ACTIONS(3152),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3150),
    [anon_sym_DASH_EQ] = ACTIONS(3150),
    [anon_sym_DOT_EQ] = ACTIONS(3150),
    [anon_sym_STAR_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_PERCENT_EQ] = ACTIONS(3150),
    [anon_sym_x_EQ] = ACTIONS(3150),
    [anon_sym_AMP_EQ] = ACTIONS(3150),
    [anon_sym_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_CARET_EQ] = ACTIONS(3150),
    [anon_sym_LT_LT_EQ] = ACTIONS(3150),
    [anon_sym_GT_GT_EQ] = ACTIONS(3150),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3150),
    [anon_sym_DOT_DOT] = ACTIONS(3152),
    [anon_sym_STAR_STAR] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_SLASH_SLASH] = ACTIONS(3152),
    [anon_sym_CARET_CARET] = ACTIONS(3150),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_GT_GT2] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_x] = ACTIONS(3152),
    [anon_sym_EQ_TILDE] = ACTIONS(3150),
    [anon_sym_BANG_TILDE] = ACTIONS(3150),
    [anon_sym_EQ_EQ] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_eq] = ACTIONS(3152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3150),
    [anon_sym_equ] = ACTIONS(3150),
    [anon_sym_eqr] = ACTIONS(3150),
    [anon_sym_ne] = ACTIONS(3150),
    [anon_sym_LT_EQ_GT] = ACTIONS(3150),
    [anon_sym_cmp] = ACTIONS(3150),
    [anon_sym_TILDE_TILDE] = ACTIONS(3150),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3150),
    [anon_sym_lt] = ACTIONS(3150),
    [anon_sym_le] = ACTIONS(3150),
    [anon_sym_ge] = ACTIONS(3150),
    [anon_sym_gt] = ACTIONS(3150),
    [anon_sym_isa] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_EQ_GT] = ACTIONS(3150),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3150),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2094] = {
    [sym_heredoc_content] = STATE(2094),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2095] = {
    [sym_heredoc_content] = STATE(2095),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_x] = ACTIONS(2687),
    [anon_sym_EQ_TILDE] = ACTIONS(2685),
    [anon_sym_BANG_TILDE] = ACTIONS(2685),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2685),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2096] = {
    [sym_heredoc_content] = STATE(2096),
    [anon_sym_SEMI] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_COMMA] = ACTIONS(2689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_GT] = ACTIONS(3610),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2689),
    [anon_sym_DASH_EQ] = ACTIONS(2689),
    [anon_sym_DOT_EQ] = ACTIONS(2689),
    [anon_sym_STAR_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_PERCENT_EQ] = ACTIONS(2689),
    [anon_sym_x_EQ] = ACTIONS(2689),
    [anon_sym_AMP_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_CARET_EQ] = ACTIONS(2689),
    [anon_sym_LT_LT_EQ] = ACTIONS(2689),
    [anon_sym_GT_GT_EQ] = ACTIONS(2689),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2691),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_SLASH_SLASH] = ACTIONS(2691),
    [anon_sym_CARET_CARET] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_PIPE] = ACTIONS(2691),
    [anon_sym_CARET] = ACTIONS(2691),
    [anon_sym_AMP] = ACTIONS(2691),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_eq] = ACTIONS(2691),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2689),
    [anon_sym_equ] = ACTIONS(2689),
    [anon_sym_eqr] = ACTIONS(2689),
    [anon_sym_ne] = ACTIONS(2689),
    [anon_sym_LT_EQ_GT] = ACTIONS(2689),
    [anon_sym_cmp] = ACTIONS(2689),
    [anon_sym_TILDE_TILDE] = ACTIONS(2689),
    [anon_sym_LT_EQ] = ACTIONS(3610),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_lt] = ACTIONS(3638),
    [anon_sym_le] = ACTIONS(3638),
    [anon_sym_ge] = ACTIONS(3638),
    [anon_sym_gt] = ACTIONS(3638),
    [anon_sym_isa] = ACTIONS(3640),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(2689),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2689),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2097] = {
    [sym_heredoc_content] = STATE(2097),
    [anon_sym_SEMI] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_COMMA] = ACTIONS(2689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_GT] = ACTIONS(3610),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2689),
    [anon_sym_DASH_EQ] = ACTIONS(2689),
    [anon_sym_DOT_EQ] = ACTIONS(2689),
    [anon_sym_STAR_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_PERCENT_EQ] = ACTIONS(2689),
    [anon_sym_x_EQ] = ACTIONS(2689),
    [anon_sym_AMP_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_CARET_EQ] = ACTIONS(2689),
    [anon_sym_LT_LT_EQ] = ACTIONS(2689),
    [anon_sym_GT_GT_EQ] = ACTIONS(2689),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2691),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_SLASH_SLASH] = ACTIONS(2691),
    [anon_sym_CARET_CARET] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_PIPE] = ACTIONS(2691),
    [anon_sym_CARET] = ACTIONS(2691),
    [anon_sym_AMP] = ACTIONS(2691),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(3632),
    [anon_sym_BANG_EQ] = ACTIONS(3634),
    [anon_sym_eq] = ACTIONS(3632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3634),
    [anon_sym_equ] = ACTIONS(3634),
    [anon_sym_eqr] = ACTIONS(3634),
    [anon_sym_ne] = ACTIONS(3634),
    [anon_sym_LT_EQ_GT] = ACTIONS(3753),
    [anon_sym_cmp] = ACTIONS(3753),
    [anon_sym_TILDE_TILDE] = ACTIONS(3753),
    [anon_sym_LT_EQ] = ACTIONS(3610),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_lt] = ACTIONS(3638),
    [anon_sym_le] = ACTIONS(3638),
    [anon_sym_ge] = ACTIONS(3638),
    [anon_sym_gt] = ACTIONS(3638),
    [anon_sym_isa] = ACTIONS(3640),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(2689),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2689),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2098] = {
    [sym_heredoc_content] = STATE(2098),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_COMMA] = ACTIONS(3054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3054),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_GT] = ACTIONS(3610),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_DOT_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_x_EQ] = ACTIONS(3054),
    [anon_sym_AMP_EQ] = ACTIONS(3054),
    [anon_sym_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_CARET_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT_EQ] = ACTIONS(3054),
    [anon_sym_GT_GT_EQ] = ACTIONS(3054),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(3056),
    [anon_sym_SLASH_SLASH] = ACTIONS(3056),
    [anon_sym_CARET_CARET] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3056),
    [anon_sym_PIPE] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_eq] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_equ] = ACTIONS(3054),
    [anon_sym_eqr] = ACTIONS(3054),
    [anon_sym_ne] = ACTIONS(3054),
    [anon_sym_LT_EQ_GT] = ACTIONS(3054),
    [anon_sym_cmp] = ACTIONS(3054),
    [anon_sym_TILDE_TILDE] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3610),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_lt] = ACTIONS(3638),
    [anon_sym_le] = ACTIONS(3638),
    [anon_sym_ge] = ACTIONS(3638),
    [anon_sym_gt] = ACTIONS(3638),
    [anon_sym_isa] = ACTIONS(3755),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(3054),
    [anon_sym_EQ_GT] = ACTIONS(3054),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3054),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2099] = {
    [sym_heredoc_content] = STATE(2099),
    [anon_sym_SEMI] = ACTIONS(2725),
    [anon_sym_EQ] = ACTIONS(2727),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2725),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2725),
    [anon_sym_COMMA] = ACTIONS(2725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2725),
    [anon_sym_DASH_GT] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(2727),
    [anon_sym_LT] = ACTIONS(2727),
    [anon_sym_GT] = ACTIONS(2727),
    [anon_sym_LT_LT] = ACTIONS(2727),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2725),
    [anon_sym_PLUS_EQ] = ACTIONS(2725),
    [anon_sym_DASH_EQ] = ACTIONS(2725),
    [anon_sym_DOT_EQ] = ACTIONS(2725),
    [anon_sym_STAR_EQ] = ACTIONS(2725),
    [anon_sym_SLASH_EQ] = ACTIONS(2725),
    [anon_sym_PERCENT_EQ] = ACTIONS(2725),
    [anon_sym_x_EQ] = ACTIONS(2725),
    [anon_sym_AMP_EQ] = ACTIONS(2725),
    [anon_sym_PIPE_EQ] = ACTIONS(2725),
    [anon_sym_CARET_EQ] = ACTIONS(2725),
    [anon_sym_LT_LT_EQ] = ACTIONS(2725),
    [anon_sym_GT_GT_EQ] = ACTIONS(2725),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2725),
    [anon_sym_DOT_DOT] = ACTIONS(2727),
    [anon_sym_STAR_STAR] = ACTIONS(2727),
    [anon_sym_PIPE_PIPE] = ACTIONS(2727),
    [anon_sym_SLASH_SLASH] = ACTIONS(2727),
    [anon_sym_CARET_CARET] = ACTIONS(2725),
    [anon_sym_AMP_AMP] = ACTIONS(2727),
    [anon_sym_PIPE] = ACTIONS(2727),
    [anon_sym_CARET] = ACTIONS(2727),
    [anon_sym_AMP] = ACTIONS(2727),
    [anon_sym_GT_GT2] = ACTIONS(2727),
    [anon_sym_PLUS] = ACTIONS(2727),
    [anon_sym_DASH] = ACTIONS(2727),
    [anon_sym_DOT] = ACTIONS(2727),
    [anon_sym_STAR] = ACTIONS(2727),
    [anon_sym_SLASH] = ACTIONS(2727),
    [anon_sym_x] = ACTIONS(2727),
    [anon_sym_EQ_TILDE] = ACTIONS(2725),
    [anon_sym_BANG_TILDE] = ACTIONS(2725),
    [anon_sym_EQ_EQ] = ACTIONS(2727),
    [anon_sym_BANG_EQ] = ACTIONS(2725),
    [anon_sym_eq] = ACTIONS(2727),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2725),
    [anon_sym_equ] = ACTIONS(2725),
    [anon_sym_eqr] = ACTIONS(2725),
    [anon_sym_ne] = ACTIONS(2725),
    [anon_sym_LT_EQ_GT] = ACTIONS(2725),
    [anon_sym_cmp] = ACTIONS(2725),
    [anon_sym_TILDE_TILDE] = ACTIONS(2725),
    [anon_sym_LT_EQ] = ACTIONS(2727),
    [anon_sym_GT_EQ] = ACTIONS(2725),
    [anon_sym_lt] = ACTIONS(2725),
    [anon_sym_le] = ACTIONS(2725),
    [anon_sym_ge] = ACTIONS(2725),
    [anon_sym_gt] = ACTIONS(2725),
    [anon_sym_isa] = ACTIONS(2725),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2725),
    [anon_sym_EQ_GT] = ACTIONS(2725),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2725),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2100] = {
    [sym_heredoc_content] = STATE(2100),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3050),
    [anon_sym_COMMA] = ACTIONS(3050),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3050),
    [anon_sym_DASH_GT] = ACTIONS(3050),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LT_LT] = ACTIONS(3052),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3050),
    [anon_sym_PLUS_EQ] = ACTIONS(3050),
    [anon_sym_DASH_EQ] = ACTIONS(3050),
    [anon_sym_DOT_EQ] = ACTIONS(3050),
    [anon_sym_STAR_EQ] = ACTIONS(3050),
    [anon_sym_SLASH_EQ] = ACTIONS(3050),
    [anon_sym_PERCENT_EQ] = ACTIONS(3050),
    [anon_sym_x_EQ] = ACTIONS(3050),
    [anon_sym_AMP_EQ] = ACTIONS(3050),
    [anon_sym_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_CARET_EQ] = ACTIONS(3050),
    [anon_sym_LT_LT_EQ] = ACTIONS(3050),
    [anon_sym_GT_GT_EQ] = ACTIONS(3050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3050),
    [anon_sym_DOT_DOT] = ACTIONS(3052),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE] = ACTIONS(3052),
    [anon_sym_SLASH_SLASH] = ACTIONS(3052),
    [anon_sym_CARET_CARET] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3052),
    [anon_sym_PIPE] = ACTIONS(3052),
    [anon_sym_CARET] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_GT_GT2] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_x] = ACTIONS(3052),
    [anon_sym_EQ_TILDE] = ACTIONS(3050),
    [anon_sym_BANG_TILDE] = ACTIONS(3050),
    [anon_sym_EQ_EQ] = ACTIONS(3052),
    [anon_sym_BANG_EQ] = ACTIONS(3050),
    [anon_sym_eq] = ACTIONS(3052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3050),
    [anon_sym_equ] = ACTIONS(3050),
    [anon_sym_eqr] = ACTIONS(3050),
    [anon_sym_ne] = ACTIONS(3050),
    [anon_sym_LT_EQ_GT] = ACTIONS(3050),
    [anon_sym_cmp] = ACTIONS(3050),
    [anon_sym_TILDE_TILDE] = ACTIONS(3050),
    [anon_sym_LT_EQ] = ACTIONS(3052),
    [anon_sym_GT_EQ] = ACTIONS(3050),
    [anon_sym_lt] = ACTIONS(3050),
    [anon_sym_le] = ACTIONS(3050),
    [anon_sym_ge] = ACTIONS(3050),
    [anon_sym_gt] = ACTIONS(3050),
    [anon_sym_isa] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_QMARK] = ACTIONS(3050),
    [anon_sym_EQ_GT] = ACTIONS(3050),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3050),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2101] = {
    [sym_heredoc_content] = STATE(2101),
    [anon_sym_SEMI] = ACTIONS(2729),
    [anon_sym_EQ] = ACTIONS(2731),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2729),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2729),
    [anon_sym_COMMA] = ACTIONS(2729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2729),
    [anon_sym_DASH_GT] = ACTIONS(2729),
    [anon_sym_PERCENT] = ACTIONS(2731),
    [anon_sym_LT] = ACTIONS(2731),
    [anon_sym_GT] = ACTIONS(2731),
    [anon_sym_LT_LT] = ACTIONS(2731),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2729),
    [anon_sym_PLUS_EQ] = ACTIONS(2729),
    [anon_sym_DASH_EQ] = ACTIONS(2729),
    [anon_sym_DOT_EQ] = ACTIONS(2729),
    [anon_sym_STAR_EQ] = ACTIONS(2729),
    [anon_sym_SLASH_EQ] = ACTIONS(2729),
    [anon_sym_PERCENT_EQ] = ACTIONS(2729),
    [anon_sym_x_EQ] = ACTIONS(2729),
    [anon_sym_AMP_EQ] = ACTIONS(2729),
    [anon_sym_PIPE_EQ] = ACTIONS(2729),
    [anon_sym_CARET_EQ] = ACTIONS(2729),
    [anon_sym_LT_LT_EQ] = ACTIONS(2729),
    [anon_sym_GT_GT_EQ] = ACTIONS(2729),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2729),
    [anon_sym_DOT_DOT] = ACTIONS(2731),
    [anon_sym_STAR_STAR] = ACTIONS(2731),
    [anon_sym_PIPE_PIPE] = ACTIONS(2731),
    [anon_sym_SLASH_SLASH] = ACTIONS(2731),
    [anon_sym_CARET_CARET] = ACTIONS(2729),
    [anon_sym_AMP_AMP] = ACTIONS(2731),
    [anon_sym_PIPE] = ACTIONS(2731),
    [anon_sym_CARET] = ACTIONS(2731),
    [anon_sym_AMP] = ACTIONS(2731),
    [anon_sym_GT_GT2] = ACTIONS(2731),
    [anon_sym_PLUS] = ACTIONS(2731),
    [anon_sym_DASH] = ACTIONS(2731),
    [anon_sym_DOT] = ACTIONS(2731),
    [anon_sym_STAR] = ACTIONS(2731),
    [anon_sym_SLASH] = ACTIONS(2731),
    [anon_sym_x] = ACTIONS(2731),
    [anon_sym_EQ_TILDE] = ACTIONS(2729),
    [anon_sym_BANG_TILDE] = ACTIONS(2729),
    [anon_sym_EQ_EQ] = ACTIONS(2731),
    [anon_sym_BANG_EQ] = ACTIONS(2729),
    [anon_sym_eq] = ACTIONS(2731),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2729),
    [anon_sym_equ] = ACTIONS(2729),
    [anon_sym_eqr] = ACTIONS(2729),
    [anon_sym_ne] = ACTIONS(2729),
    [anon_sym_LT_EQ_GT] = ACTIONS(2729),
    [anon_sym_cmp] = ACTIONS(2729),
    [anon_sym_TILDE_TILDE] = ACTIONS(2729),
    [anon_sym_LT_EQ] = ACTIONS(2731),
    [anon_sym_GT_EQ] = ACTIONS(2729),
    [anon_sym_lt] = ACTIONS(2729),
    [anon_sym_le] = ACTIONS(2729),
    [anon_sym_ge] = ACTIONS(2729),
    [anon_sym_gt] = ACTIONS(2729),
    [anon_sym_isa] = ACTIONS(2729),
    [anon_sym_PLUS_PLUS] = ACTIONS(2729),
    [anon_sym_DASH_DASH] = ACTIONS(2729),
    [anon_sym_QMARK] = ACTIONS(2729),
    [anon_sym_EQ_GT] = ACTIONS(2729),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2729),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2102] = {
    [sym_heredoc_content] = STATE(2102),
    [anon_sym_SEMI] = ACTIONS(2905),
    [anon_sym_EQ] = ACTIONS(2907),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2905),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2905),
    [anon_sym_COMMA] = ACTIONS(2905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2905),
    [anon_sym_DASH_GT] = ACTIONS(2905),
    [anon_sym_PERCENT] = ACTIONS(2907),
    [anon_sym_LT] = ACTIONS(2907),
    [anon_sym_GT] = ACTIONS(2907),
    [anon_sym_LT_LT] = ACTIONS(2907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2905),
    [anon_sym_PLUS_EQ] = ACTIONS(2905),
    [anon_sym_DASH_EQ] = ACTIONS(2905),
    [anon_sym_DOT_EQ] = ACTIONS(2905),
    [anon_sym_STAR_EQ] = ACTIONS(2905),
    [anon_sym_SLASH_EQ] = ACTIONS(2905),
    [anon_sym_PERCENT_EQ] = ACTIONS(2905),
    [anon_sym_x_EQ] = ACTIONS(2905),
    [anon_sym_AMP_EQ] = ACTIONS(2905),
    [anon_sym_PIPE_EQ] = ACTIONS(2905),
    [anon_sym_CARET_EQ] = ACTIONS(2905),
    [anon_sym_LT_LT_EQ] = ACTIONS(2905),
    [anon_sym_GT_GT_EQ] = ACTIONS(2905),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2905),
    [anon_sym_DOT_DOT] = ACTIONS(2907),
    [anon_sym_STAR_STAR] = ACTIONS(2907),
    [anon_sym_PIPE_PIPE] = ACTIONS(2907),
    [anon_sym_SLASH_SLASH] = ACTIONS(2907),
    [anon_sym_CARET_CARET] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_PIPE] = ACTIONS(2907),
    [anon_sym_CARET] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_GT_GT2] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_DOT] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_SLASH] = ACTIONS(2907),
    [anon_sym_x] = ACTIONS(2907),
    [anon_sym_EQ_TILDE] = ACTIONS(2905),
    [anon_sym_BANG_TILDE] = ACTIONS(2905),
    [anon_sym_EQ_EQ] = ACTIONS(2907),
    [anon_sym_BANG_EQ] = ACTIONS(2905),
    [anon_sym_eq] = ACTIONS(2907),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2905),
    [anon_sym_equ] = ACTIONS(2905),
    [anon_sym_eqr] = ACTIONS(2905),
    [anon_sym_ne] = ACTIONS(2905),
    [anon_sym_LT_EQ_GT] = ACTIONS(2905),
    [anon_sym_cmp] = ACTIONS(2905),
    [anon_sym_TILDE_TILDE] = ACTIONS(2905),
    [anon_sym_LT_EQ] = ACTIONS(2907),
    [anon_sym_GT_EQ] = ACTIONS(2905),
    [anon_sym_lt] = ACTIONS(2905),
    [anon_sym_le] = ACTIONS(2905),
    [anon_sym_ge] = ACTIONS(2905),
    [anon_sym_gt] = ACTIONS(2905),
    [anon_sym_isa] = ACTIONS(2905),
    [anon_sym_PLUS_PLUS] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2905),
    [anon_sym_QMARK] = ACTIONS(2905),
    [anon_sym_EQ_GT] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2905),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2103] = {
    [sym_heredoc_content] = STATE(2103),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym_EQ] = ACTIONS(2879),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_COMMA] = ACTIONS(2877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2877),
    [anon_sym_DASH_GT] = ACTIONS(2877),
    [anon_sym_PERCENT] = ACTIONS(2879),
    [anon_sym_LT] = ACTIONS(2879),
    [anon_sym_GT] = ACTIONS(2879),
    [anon_sym_LT_LT] = ACTIONS(2879),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2877),
    [anon_sym_PLUS_EQ] = ACTIONS(2877),
    [anon_sym_DASH_EQ] = ACTIONS(2877),
    [anon_sym_DOT_EQ] = ACTIONS(2877),
    [anon_sym_STAR_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_PERCENT_EQ] = ACTIONS(2877),
    [anon_sym_x_EQ] = ACTIONS(2877),
    [anon_sym_AMP_EQ] = ACTIONS(2877),
    [anon_sym_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_CARET_EQ] = ACTIONS(2877),
    [anon_sym_LT_LT_EQ] = ACTIONS(2877),
    [anon_sym_GT_GT_EQ] = ACTIONS(2877),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2877),
    [anon_sym_DOT_DOT] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2879),
    [anon_sym_PIPE_PIPE] = ACTIONS(2879),
    [anon_sym_SLASH_SLASH] = ACTIONS(2879),
    [anon_sym_CARET_CARET] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_PIPE] = ACTIONS(2879),
    [anon_sym_CARET] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_GT_GT2] = ACTIONS(2879),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2879),
    [anon_sym_DOT] = ACTIONS(2879),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_x] = ACTIONS(2879),
    [anon_sym_EQ_TILDE] = ACTIONS(2877),
    [anon_sym_BANG_TILDE] = ACTIONS(2877),
    [anon_sym_EQ_EQ] = ACTIONS(2879),
    [anon_sym_BANG_EQ] = ACTIONS(2877),
    [anon_sym_eq] = ACTIONS(2879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2877),
    [anon_sym_equ] = ACTIONS(2877),
    [anon_sym_eqr] = ACTIONS(2877),
    [anon_sym_ne] = ACTIONS(2877),
    [anon_sym_LT_EQ_GT] = ACTIONS(2877),
    [anon_sym_cmp] = ACTIONS(2877),
    [anon_sym_TILDE_TILDE] = ACTIONS(2877),
    [anon_sym_LT_EQ] = ACTIONS(2879),
    [anon_sym_GT_EQ] = ACTIONS(2877),
    [anon_sym_lt] = ACTIONS(2877),
    [anon_sym_le] = ACTIONS(2877),
    [anon_sym_ge] = ACTIONS(2877),
    [anon_sym_gt] = ACTIONS(2877),
    [anon_sym_isa] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_QMARK] = ACTIONS(2877),
    [anon_sym_EQ_GT] = ACTIONS(2877),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2877),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2104] = {
    [sym_heredoc_content] = STATE(2104),
    [anon_sym_SEMI] = ACTIONS(2997),
    [anon_sym_EQ] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2997),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2997),
    [anon_sym_COMMA] = ACTIONS(2997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2997),
    [anon_sym_DASH_GT] = ACTIONS(2997),
    [anon_sym_PERCENT] = ACTIONS(2999),
    [anon_sym_LT] = ACTIONS(2999),
    [anon_sym_GT] = ACTIONS(2999),
    [anon_sym_LT_LT] = ACTIONS(2999),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2997),
    [anon_sym_PLUS_EQ] = ACTIONS(2997),
    [anon_sym_DASH_EQ] = ACTIONS(2997),
    [anon_sym_DOT_EQ] = ACTIONS(2997),
    [anon_sym_STAR_EQ] = ACTIONS(2997),
    [anon_sym_SLASH_EQ] = ACTIONS(2997),
    [anon_sym_PERCENT_EQ] = ACTIONS(2997),
    [anon_sym_x_EQ] = ACTIONS(2997),
    [anon_sym_AMP_EQ] = ACTIONS(2997),
    [anon_sym_PIPE_EQ] = ACTIONS(2997),
    [anon_sym_CARET_EQ] = ACTIONS(2997),
    [anon_sym_LT_LT_EQ] = ACTIONS(2997),
    [anon_sym_GT_GT_EQ] = ACTIONS(2997),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2997),
    [anon_sym_DOT_DOT] = ACTIONS(2999),
    [anon_sym_STAR_STAR] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(2999),
    [anon_sym_SLASH_SLASH] = ACTIONS(2999),
    [anon_sym_CARET_CARET] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2999),
    [anon_sym_PIPE] = ACTIONS(2999),
    [anon_sym_CARET] = ACTIONS(2999),
    [anon_sym_AMP] = ACTIONS(2999),
    [anon_sym_GT_GT2] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_DOT] = ACTIONS(2999),
    [anon_sym_STAR] = ACTIONS(2999),
    [anon_sym_SLASH] = ACTIONS(2999),
    [anon_sym_x] = ACTIONS(2999),
    [anon_sym_EQ_TILDE] = ACTIONS(2997),
    [anon_sym_BANG_TILDE] = ACTIONS(2997),
    [anon_sym_EQ_EQ] = ACTIONS(2999),
    [anon_sym_BANG_EQ] = ACTIONS(2997),
    [anon_sym_eq] = ACTIONS(2999),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2997),
    [anon_sym_equ] = ACTIONS(2997),
    [anon_sym_eqr] = ACTIONS(2997),
    [anon_sym_ne] = ACTIONS(2997),
    [anon_sym_LT_EQ_GT] = ACTIONS(2997),
    [anon_sym_cmp] = ACTIONS(2997),
    [anon_sym_TILDE_TILDE] = ACTIONS(2997),
    [anon_sym_LT_EQ] = ACTIONS(2999),
    [anon_sym_GT_EQ] = ACTIONS(2997),
    [anon_sym_lt] = ACTIONS(2997),
    [anon_sym_le] = ACTIONS(2997),
    [anon_sym_ge] = ACTIONS(2997),
    [anon_sym_gt] = ACTIONS(2997),
    [anon_sym_isa] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2997),
    [anon_sym_DASH_DASH] = ACTIONS(2997),
    [anon_sym_QMARK] = ACTIONS(2997),
    [anon_sym_EQ_GT] = ACTIONS(2997),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2997),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2105] = {
    [sym_heredoc_content] = STATE(2105),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_EQ] = ACTIONS(3170),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_COMMA] = ACTIONS(3168),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3168),
    [anon_sym_DASH_GT] = ACTIONS(3168),
    [anon_sym_PERCENT] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3170),
    [anon_sym_GT] = ACTIONS(3170),
    [anon_sym_LT_LT] = ACTIONS(3170),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3168),
    [anon_sym_PLUS_EQ] = ACTIONS(3168),
    [anon_sym_DASH_EQ] = ACTIONS(3168),
    [anon_sym_DOT_EQ] = ACTIONS(3168),
    [anon_sym_STAR_EQ] = ACTIONS(3168),
    [anon_sym_SLASH_EQ] = ACTIONS(3168),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_x_EQ] = ACTIONS(3168),
    [anon_sym_AMP_EQ] = ACTIONS(3168),
    [anon_sym_PIPE_EQ] = ACTIONS(3168),
    [anon_sym_CARET_EQ] = ACTIONS(3168),
    [anon_sym_LT_LT_EQ] = ACTIONS(3168),
    [anon_sym_GT_GT_EQ] = ACTIONS(3168),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3168),
    [anon_sym_DOT_DOT] = ACTIONS(3170),
    [anon_sym_STAR_STAR] = ACTIONS(3170),
    [anon_sym_PIPE_PIPE] = ACTIONS(3170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3170),
    [anon_sym_CARET_CARET] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_PIPE] = ACTIONS(3170),
    [anon_sym_CARET] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym_GT_GT2] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_DOT] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_SLASH] = ACTIONS(3170),
    [anon_sym_x] = ACTIONS(3170),
    [anon_sym_EQ_TILDE] = ACTIONS(3168),
    [anon_sym_BANG_TILDE] = ACTIONS(3168),
    [anon_sym_EQ_EQ] = ACTIONS(3170),
    [anon_sym_BANG_EQ] = ACTIONS(3168),
    [anon_sym_eq] = ACTIONS(3170),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3168),
    [anon_sym_equ] = ACTIONS(3168),
    [anon_sym_eqr] = ACTIONS(3168),
    [anon_sym_ne] = ACTIONS(3168),
    [anon_sym_LT_EQ_GT] = ACTIONS(3168),
    [anon_sym_cmp] = ACTIONS(3168),
    [anon_sym_TILDE_TILDE] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3170),
    [anon_sym_GT_EQ] = ACTIONS(3168),
    [anon_sym_lt] = ACTIONS(3168),
    [anon_sym_le] = ACTIONS(3168),
    [anon_sym_ge] = ACTIONS(3168),
    [anon_sym_gt] = ACTIONS(3168),
    [anon_sym_isa] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_QMARK] = ACTIONS(3168),
    [anon_sym_EQ_GT] = ACTIONS(3168),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3168),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2106] = {
    [sym_heredoc_content] = STATE(2106),
    [anon_sym_SEMI] = ACTIONS(2721),
    [anon_sym_EQ] = ACTIONS(2723),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2721),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2721),
    [anon_sym_COMMA] = ACTIONS(2721),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2721),
    [anon_sym_DASH_GT] = ACTIONS(2721),
    [anon_sym_PERCENT] = ACTIONS(2723),
    [anon_sym_LT] = ACTIONS(2723),
    [anon_sym_GT] = ACTIONS(2723),
    [anon_sym_LT_LT] = ACTIONS(2723),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2721),
    [anon_sym_PLUS_EQ] = ACTIONS(2721),
    [anon_sym_DASH_EQ] = ACTIONS(2721),
    [anon_sym_DOT_EQ] = ACTIONS(2721),
    [anon_sym_STAR_EQ] = ACTIONS(2721),
    [anon_sym_SLASH_EQ] = ACTIONS(2721),
    [anon_sym_PERCENT_EQ] = ACTIONS(2721),
    [anon_sym_x_EQ] = ACTIONS(2721),
    [anon_sym_AMP_EQ] = ACTIONS(2721),
    [anon_sym_PIPE_EQ] = ACTIONS(2721),
    [anon_sym_CARET_EQ] = ACTIONS(2721),
    [anon_sym_LT_LT_EQ] = ACTIONS(2721),
    [anon_sym_GT_GT_EQ] = ACTIONS(2721),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2721),
    [anon_sym_DOT_DOT] = ACTIONS(2723),
    [anon_sym_STAR_STAR] = ACTIONS(2723),
    [anon_sym_PIPE_PIPE] = ACTIONS(2723),
    [anon_sym_SLASH_SLASH] = ACTIONS(2723),
    [anon_sym_CARET_CARET] = ACTIONS(2721),
    [anon_sym_AMP_AMP] = ACTIONS(2723),
    [anon_sym_PIPE] = ACTIONS(2723),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_AMP] = ACTIONS(2723),
    [anon_sym_GT_GT2] = ACTIONS(2723),
    [anon_sym_PLUS] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2723),
    [anon_sym_DOT] = ACTIONS(2723),
    [anon_sym_STAR] = ACTIONS(2723),
    [anon_sym_SLASH] = ACTIONS(2723),
    [anon_sym_x] = ACTIONS(2723),
    [anon_sym_EQ_TILDE] = ACTIONS(2721),
    [anon_sym_BANG_TILDE] = ACTIONS(2721),
    [anon_sym_EQ_EQ] = ACTIONS(2723),
    [anon_sym_BANG_EQ] = ACTIONS(2721),
    [anon_sym_eq] = ACTIONS(2723),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2721),
    [anon_sym_equ] = ACTIONS(2721),
    [anon_sym_eqr] = ACTIONS(2721),
    [anon_sym_ne] = ACTIONS(2721),
    [anon_sym_LT_EQ_GT] = ACTIONS(2721),
    [anon_sym_cmp] = ACTIONS(2721),
    [anon_sym_TILDE_TILDE] = ACTIONS(2721),
    [anon_sym_LT_EQ] = ACTIONS(2723),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_lt] = ACTIONS(2721),
    [anon_sym_le] = ACTIONS(2721),
    [anon_sym_ge] = ACTIONS(2721),
    [anon_sym_gt] = ACTIONS(2721),
    [anon_sym_isa] = ACTIONS(2721),
    [anon_sym_PLUS_PLUS] = ACTIONS(2721),
    [anon_sym_DASH_DASH] = ACTIONS(2721),
    [anon_sym_QMARK] = ACTIONS(2721),
    [anon_sym_EQ_GT] = ACTIONS(2721),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2721),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2107] = {
    [sym_heredoc_content] = STATE(2107),
    [anon_sym_SEMI] = ACTIONS(2865),
    [anon_sym_EQ] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_COMMA] = ACTIONS(2865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2865),
    [anon_sym_DASH_GT] = ACTIONS(2865),
    [anon_sym_PERCENT] = ACTIONS(2867),
    [anon_sym_LT] = ACTIONS(2867),
    [anon_sym_GT] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2867),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2865),
    [anon_sym_PLUS_EQ] = ACTIONS(2865),
    [anon_sym_DASH_EQ] = ACTIONS(2865),
    [anon_sym_DOT_EQ] = ACTIONS(2865),
    [anon_sym_STAR_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_PERCENT_EQ] = ACTIONS(2865),
    [anon_sym_x_EQ] = ACTIONS(2865),
    [anon_sym_AMP_EQ] = ACTIONS(2865),
    [anon_sym_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_CARET_EQ] = ACTIONS(2865),
    [anon_sym_LT_LT_EQ] = ACTIONS(2865),
    [anon_sym_GT_GT_EQ] = ACTIONS(2865),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2865),
    [anon_sym_DOT_DOT] = ACTIONS(2867),
    [anon_sym_STAR_STAR] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_SLASH_SLASH] = ACTIONS(2867),
    [anon_sym_CARET_CARET] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_PIPE] = ACTIONS(2867),
    [anon_sym_CARET] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_GT_GT2] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_DOT] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_SLASH] = ACTIONS(2867),
    [anon_sym_x] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2865),
    [anon_sym_BANG_TILDE] = ACTIONS(2865),
    [anon_sym_EQ_EQ] = ACTIONS(2867),
    [anon_sym_BANG_EQ] = ACTIONS(2865),
    [anon_sym_eq] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2865),
    [anon_sym_equ] = ACTIONS(2865),
    [anon_sym_eqr] = ACTIONS(2865),
    [anon_sym_ne] = ACTIONS(2865),
    [anon_sym_LT_EQ_GT] = ACTIONS(2865),
    [anon_sym_cmp] = ACTIONS(2865),
    [anon_sym_TILDE_TILDE] = ACTIONS(2865),
    [anon_sym_LT_EQ] = ACTIONS(2867),
    [anon_sym_GT_EQ] = ACTIONS(2865),
    [anon_sym_lt] = ACTIONS(2865),
    [anon_sym_le] = ACTIONS(2865),
    [anon_sym_ge] = ACTIONS(2865),
    [anon_sym_gt] = ACTIONS(2865),
    [anon_sym_isa] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2865),
    [anon_sym_EQ_GT] = ACTIONS(2865),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2865),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2108] = {
    [sym_heredoc_content] = STATE(2108),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym_EQ] = ACTIONS(2703),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2701),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2701),
    [anon_sym_COMMA] = ACTIONS(2701),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2701),
    [anon_sym_DASH_GT] = ACTIONS(2701),
    [anon_sym_PERCENT] = ACTIONS(2703),
    [anon_sym_LT] = ACTIONS(2703),
    [anon_sym_GT] = ACTIONS(2703),
    [anon_sym_LT_LT] = ACTIONS(2703),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2701),
    [anon_sym_PLUS_EQ] = ACTIONS(2701),
    [anon_sym_DASH_EQ] = ACTIONS(2701),
    [anon_sym_DOT_EQ] = ACTIONS(2701),
    [anon_sym_STAR_EQ] = ACTIONS(2701),
    [anon_sym_SLASH_EQ] = ACTIONS(2701),
    [anon_sym_PERCENT_EQ] = ACTIONS(2701),
    [anon_sym_x_EQ] = ACTIONS(2701),
    [anon_sym_AMP_EQ] = ACTIONS(2701),
    [anon_sym_PIPE_EQ] = ACTIONS(2701),
    [anon_sym_CARET_EQ] = ACTIONS(2701),
    [anon_sym_LT_LT_EQ] = ACTIONS(2701),
    [anon_sym_GT_GT_EQ] = ACTIONS(2701),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2701),
    [anon_sym_DOT_DOT] = ACTIONS(2703),
    [anon_sym_STAR_STAR] = ACTIONS(2703),
    [anon_sym_PIPE_PIPE] = ACTIONS(2703),
    [anon_sym_SLASH_SLASH] = ACTIONS(2703),
    [anon_sym_CARET_CARET] = ACTIONS(2701),
    [anon_sym_AMP_AMP] = ACTIONS(2703),
    [anon_sym_PIPE] = ACTIONS(2703),
    [anon_sym_CARET] = ACTIONS(2703),
    [anon_sym_AMP] = ACTIONS(2703),
    [anon_sym_GT_GT2] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_DOT] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(2703),
    [anon_sym_SLASH] = ACTIONS(2703),
    [anon_sym_x] = ACTIONS(2703),
    [anon_sym_EQ_TILDE] = ACTIONS(2701),
    [anon_sym_BANG_TILDE] = ACTIONS(2701),
    [anon_sym_EQ_EQ] = ACTIONS(2703),
    [anon_sym_BANG_EQ] = ACTIONS(2701),
    [anon_sym_eq] = ACTIONS(2703),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2701),
    [anon_sym_equ] = ACTIONS(2701),
    [anon_sym_eqr] = ACTIONS(2701),
    [anon_sym_ne] = ACTIONS(2701),
    [anon_sym_LT_EQ_GT] = ACTIONS(2701),
    [anon_sym_cmp] = ACTIONS(2701),
    [anon_sym_TILDE_TILDE] = ACTIONS(2701),
    [anon_sym_LT_EQ] = ACTIONS(2703),
    [anon_sym_GT_EQ] = ACTIONS(2701),
    [anon_sym_lt] = ACTIONS(2701),
    [anon_sym_le] = ACTIONS(2701),
    [anon_sym_ge] = ACTIONS(2701),
    [anon_sym_gt] = ACTIONS(2701),
    [anon_sym_isa] = ACTIONS(2701),
    [anon_sym_PLUS_PLUS] = ACTIONS(2701),
    [anon_sym_DASH_DASH] = ACTIONS(2701),
    [anon_sym_QMARK] = ACTIONS(2701),
    [anon_sym_EQ_GT] = ACTIONS(2701),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2701),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2109] = {
    [sym_heredoc_content] = STATE(2109),
    [anon_sym_SEMI] = ACTIONS(3080),
    [anon_sym_EQ] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_COMMA] = ACTIONS(3080),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3080),
    [anon_sym_DASH_GT] = ACTIONS(3080),
    [anon_sym_PERCENT] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3082),
    [anon_sym_GT] = ACTIONS(3082),
    [anon_sym_LT_LT] = ACTIONS(3082),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3080),
    [anon_sym_PLUS_EQ] = ACTIONS(3080),
    [anon_sym_DASH_EQ] = ACTIONS(3080),
    [anon_sym_DOT_EQ] = ACTIONS(3080),
    [anon_sym_STAR_EQ] = ACTIONS(3080),
    [anon_sym_SLASH_EQ] = ACTIONS(3080),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_x_EQ] = ACTIONS(3080),
    [anon_sym_AMP_EQ] = ACTIONS(3080),
    [anon_sym_PIPE_EQ] = ACTIONS(3080),
    [anon_sym_CARET_EQ] = ACTIONS(3080),
    [anon_sym_LT_LT_EQ] = ACTIONS(3080),
    [anon_sym_GT_GT_EQ] = ACTIONS(3080),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3080),
    [anon_sym_DOT_DOT] = ACTIONS(3082),
    [anon_sym_STAR_STAR] = ACTIONS(3082),
    [anon_sym_PIPE_PIPE] = ACTIONS(3082),
    [anon_sym_SLASH_SLASH] = ACTIONS(3082),
    [anon_sym_CARET_CARET] = ACTIONS(3080),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_PIPE] = ACTIONS(3082),
    [anon_sym_CARET] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3082),
    [anon_sym_GT_GT2] = ACTIONS(3082),
    [anon_sym_PLUS] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3082),
    [anon_sym_DOT] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_SLASH] = ACTIONS(3082),
    [anon_sym_x] = ACTIONS(3082),
    [anon_sym_EQ_TILDE] = ACTIONS(3080),
    [anon_sym_BANG_TILDE] = ACTIONS(3080),
    [anon_sym_EQ_EQ] = ACTIONS(3082),
    [anon_sym_BANG_EQ] = ACTIONS(3080),
    [anon_sym_eq] = ACTIONS(3082),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3080),
    [anon_sym_equ] = ACTIONS(3080),
    [anon_sym_eqr] = ACTIONS(3080),
    [anon_sym_ne] = ACTIONS(3080),
    [anon_sym_LT_EQ_GT] = ACTIONS(3080),
    [anon_sym_cmp] = ACTIONS(3080),
    [anon_sym_TILDE_TILDE] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3082),
    [anon_sym_GT_EQ] = ACTIONS(3080),
    [anon_sym_lt] = ACTIONS(3080),
    [anon_sym_le] = ACTIONS(3080),
    [anon_sym_ge] = ACTIONS(3080),
    [anon_sym_gt] = ACTIONS(3080),
    [anon_sym_isa] = ACTIONS(3080),
    [anon_sym_PLUS_PLUS] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3080),
    [anon_sym_QMARK] = ACTIONS(3080),
    [anon_sym_EQ_GT] = ACTIONS(3080),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3080),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2110] = {
    [sym_heredoc_content] = STATE(2110),
    [anon_sym_SEMI] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2841),
    [anon_sym_DASH_GT] = ACTIONS(2841),
    [anon_sym_PERCENT] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_GT] = ACTIONS(2843),
    [anon_sym_LT_LT] = ACTIONS(2843),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2841),
    [anon_sym_PLUS_EQ] = ACTIONS(2841),
    [anon_sym_DASH_EQ] = ACTIONS(2841),
    [anon_sym_DOT_EQ] = ACTIONS(2841),
    [anon_sym_STAR_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_PERCENT_EQ] = ACTIONS(2841),
    [anon_sym_x_EQ] = ACTIONS(2841),
    [anon_sym_AMP_EQ] = ACTIONS(2841),
    [anon_sym_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_CARET_EQ] = ACTIONS(2841),
    [anon_sym_LT_LT_EQ] = ACTIONS(2841),
    [anon_sym_GT_GT_EQ] = ACTIONS(2841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2841),
    [anon_sym_DOT_DOT] = ACTIONS(2843),
    [anon_sym_STAR_STAR] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH] = ACTIONS(2843),
    [anon_sym_CARET_CARET] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_PIPE] = ACTIONS(2843),
    [anon_sym_CARET] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2843),
    [anon_sym_GT_GT2] = ACTIONS(2843),
    [anon_sym_PLUS] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2843),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_x] = ACTIONS(2843),
    [anon_sym_EQ_TILDE] = ACTIONS(2841),
    [anon_sym_BANG_TILDE] = ACTIONS(2841),
    [anon_sym_EQ_EQ] = ACTIONS(2843),
    [anon_sym_BANG_EQ] = ACTIONS(2841),
    [anon_sym_eq] = ACTIONS(2843),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2841),
    [anon_sym_equ] = ACTIONS(2841),
    [anon_sym_eqr] = ACTIONS(2841),
    [anon_sym_ne] = ACTIONS(2841),
    [anon_sym_LT_EQ_GT] = ACTIONS(2841),
    [anon_sym_cmp] = ACTIONS(2841),
    [anon_sym_TILDE_TILDE] = ACTIONS(2841),
    [anon_sym_LT_EQ] = ACTIONS(2843),
    [anon_sym_GT_EQ] = ACTIONS(2841),
    [anon_sym_lt] = ACTIONS(2841),
    [anon_sym_le] = ACTIONS(2841),
    [anon_sym_ge] = ACTIONS(2841),
    [anon_sym_gt] = ACTIONS(2841),
    [anon_sym_isa] = ACTIONS(2841),
    [anon_sym_PLUS_PLUS] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_EQ_GT] = ACTIONS(2841),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2841),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2111] = {
    [sym_heredoc_content] = STATE(2111),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(2897),
    [anon_sym_PERCENT] = ACTIONS(2899),
    [anon_sym_LT] = ACTIONS(2899),
    [anon_sym_GT] = ACTIONS(2899),
    [anon_sym_LT_LT] = ACTIONS(2899),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(2899),
    [anon_sym_PLUS] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_DOT] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_SLASH] = ACTIONS(2899),
    [anon_sym_x] = ACTIONS(2899),
    [anon_sym_EQ_TILDE] = ACTIONS(2897),
    [anon_sym_BANG_TILDE] = ACTIONS(2897),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT_EQ] = ACTIONS(2899),
    [anon_sym_GT_EQ] = ACTIONS(2897),
    [anon_sym_lt] = ACTIONS(2897),
    [anon_sym_le] = ACTIONS(2897),
    [anon_sym_ge] = ACTIONS(2897),
    [anon_sym_gt] = ACTIONS(2897),
    [anon_sym_isa] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2897),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2897),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2112] = {
    [sym_heredoc_content] = STATE(2112),
    [anon_sym_SEMI] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2845),
    [anon_sym_DASH_GT] = ACTIONS(2845),
    [anon_sym_PERCENT] = ACTIONS(2847),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_GT] = ACTIONS(2847),
    [anon_sym_LT_LT] = ACTIONS(2847),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2845),
    [anon_sym_PLUS_EQ] = ACTIONS(2845),
    [anon_sym_DASH_EQ] = ACTIONS(2845),
    [anon_sym_DOT_EQ] = ACTIONS(2845),
    [anon_sym_STAR_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_PERCENT_EQ] = ACTIONS(2845),
    [anon_sym_x_EQ] = ACTIONS(2845),
    [anon_sym_AMP_EQ] = ACTIONS(2845),
    [anon_sym_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_CARET_EQ] = ACTIONS(2845),
    [anon_sym_LT_LT_EQ] = ACTIONS(2845),
    [anon_sym_GT_GT_EQ] = ACTIONS(2845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2845),
    [anon_sym_DOT_DOT] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_CARET_CARET] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_GT_GT2] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_DOT] = ACTIONS(2847),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_SLASH] = ACTIONS(2847),
    [anon_sym_x] = ACTIONS(2847),
    [anon_sym_EQ_TILDE] = ACTIONS(2845),
    [anon_sym_BANG_TILDE] = ACTIONS(2845),
    [anon_sym_EQ_EQ] = ACTIONS(2847),
    [anon_sym_BANG_EQ] = ACTIONS(2845),
    [anon_sym_eq] = ACTIONS(2847),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2845),
    [anon_sym_equ] = ACTIONS(2845),
    [anon_sym_eqr] = ACTIONS(2845),
    [anon_sym_ne] = ACTIONS(2845),
    [anon_sym_LT_EQ_GT] = ACTIONS(2845),
    [anon_sym_cmp] = ACTIONS(2845),
    [anon_sym_TILDE_TILDE] = ACTIONS(2845),
    [anon_sym_LT_EQ] = ACTIONS(2847),
    [anon_sym_GT_EQ] = ACTIONS(2845),
    [anon_sym_lt] = ACTIONS(2845),
    [anon_sym_le] = ACTIONS(2845),
    [anon_sym_ge] = ACTIONS(2845),
    [anon_sym_gt] = ACTIONS(2845),
    [anon_sym_isa] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(2845),
    [anon_sym_DASH_DASH] = ACTIONS(2845),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_EQ_GT] = ACTIONS(2845),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2845),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2113] = {
    [sym_heredoc_content] = STATE(2113),
    [anon_sym_SEMI] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2849),
    [anon_sym_DASH_GT] = ACTIONS(2849),
    [anon_sym_PERCENT] = ACTIONS(2851),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_GT] = ACTIONS(2851),
    [anon_sym_LT_LT] = ACTIONS(2851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2849),
    [anon_sym_PLUS_EQ] = ACTIONS(2849),
    [anon_sym_DASH_EQ] = ACTIONS(2849),
    [anon_sym_DOT_EQ] = ACTIONS(2849),
    [anon_sym_STAR_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_PERCENT_EQ] = ACTIONS(2849),
    [anon_sym_x_EQ] = ACTIONS(2849),
    [anon_sym_AMP_EQ] = ACTIONS(2849),
    [anon_sym_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_CARET_EQ] = ACTIONS(2849),
    [anon_sym_LT_LT_EQ] = ACTIONS(2849),
    [anon_sym_GT_GT_EQ] = ACTIONS(2849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2849),
    [anon_sym_DOT_DOT] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH] = ACTIONS(2851),
    [anon_sym_CARET_CARET] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_CARET] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2851),
    [anon_sym_GT_GT2] = ACTIONS(2851),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2851),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_SLASH] = ACTIONS(2851),
    [anon_sym_x] = ACTIONS(2851),
    [anon_sym_EQ_TILDE] = ACTIONS(2849),
    [anon_sym_BANG_TILDE] = ACTIONS(2849),
    [anon_sym_EQ_EQ] = ACTIONS(2851),
    [anon_sym_BANG_EQ] = ACTIONS(2849),
    [anon_sym_eq] = ACTIONS(2851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2849),
    [anon_sym_equ] = ACTIONS(2849),
    [anon_sym_eqr] = ACTIONS(2849),
    [anon_sym_ne] = ACTIONS(2849),
    [anon_sym_LT_EQ_GT] = ACTIONS(2849),
    [anon_sym_cmp] = ACTIONS(2849),
    [anon_sym_TILDE_TILDE] = ACTIONS(2849),
    [anon_sym_LT_EQ] = ACTIONS(2851),
    [anon_sym_GT_EQ] = ACTIONS(2849),
    [anon_sym_lt] = ACTIONS(2849),
    [anon_sym_le] = ACTIONS(2849),
    [anon_sym_ge] = ACTIONS(2849),
    [anon_sym_gt] = ACTIONS(2849),
    [anon_sym_isa] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_EQ_GT] = ACTIONS(2849),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2849),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2114] = {
    [sym_heredoc_content] = STATE(2114),
    [anon_sym_SEMI] = ACTIONS(2901),
    [anon_sym_EQ] = ACTIONS(2903),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2901),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2901),
    [anon_sym_COMMA] = ACTIONS(2901),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2901),
    [anon_sym_DASH_GT] = ACTIONS(2901),
    [anon_sym_PERCENT] = ACTIONS(2903),
    [anon_sym_LT] = ACTIONS(2903),
    [anon_sym_GT] = ACTIONS(2903),
    [anon_sym_LT_LT] = ACTIONS(2903),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2901),
    [anon_sym_PLUS_EQ] = ACTIONS(2901),
    [anon_sym_DASH_EQ] = ACTIONS(2901),
    [anon_sym_DOT_EQ] = ACTIONS(2901),
    [anon_sym_STAR_EQ] = ACTIONS(2901),
    [anon_sym_SLASH_EQ] = ACTIONS(2901),
    [anon_sym_PERCENT_EQ] = ACTIONS(2901),
    [anon_sym_x_EQ] = ACTIONS(2901),
    [anon_sym_AMP_EQ] = ACTIONS(2901),
    [anon_sym_PIPE_EQ] = ACTIONS(2901),
    [anon_sym_CARET_EQ] = ACTIONS(2901),
    [anon_sym_LT_LT_EQ] = ACTIONS(2901),
    [anon_sym_GT_GT_EQ] = ACTIONS(2901),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2901),
    [anon_sym_DOT_DOT] = ACTIONS(2903),
    [anon_sym_STAR_STAR] = ACTIONS(2903),
    [anon_sym_PIPE_PIPE] = ACTIONS(2903),
    [anon_sym_SLASH_SLASH] = ACTIONS(2903),
    [anon_sym_CARET_CARET] = ACTIONS(2901),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_PIPE] = ACTIONS(2903),
    [anon_sym_CARET] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym_GT_GT2] = ACTIONS(2903),
    [anon_sym_PLUS] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2903),
    [anon_sym_DOT] = ACTIONS(2903),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_SLASH] = ACTIONS(2903),
    [anon_sym_x] = ACTIONS(2903),
    [anon_sym_EQ_TILDE] = ACTIONS(2901),
    [anon_sym_BANG_TILDE] = ACTIONS(2901),
    [anon_sym_EQ_EQ] = ACTIONS(2903),
    [anon_sym_BANG_EQ] = ACTIONS(2901),
    [anon_sym_eq] = ACTIONS(2903),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2901),
    [anon_sym_equ] = ACTIONS(2901),
    [anon_sym_eqr] = ACTIONS(2901),
    [anon_sym_ne] = ACTIONS(2901),
    [anon_sym_LT_EQ_GT] = ACTIONS(2901),
    [anon_sym_cmp] = ACTIONS(2901),
    [anon_sym_TILDE_TILDE] = ACTIONS(2901),
    [anon_sym_LT_EQ] = ACTIONS(2903),
    [anon_sym_GT_EQ] = ACTIONS(2901),
    [anon_sym_lt] = ACTIONS(2901),
    [anon_sym_le] = ACTIONS(2901),
    [anon_sym_ge] = ACTIONS(2901),
    [anon_sym_gt] = ACTIONS(2901),
    [anon_sym_isa] = ACTIONS(2901),
    [anon_sym_PLUS_PLUS] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2901),
    [anon_sym_QMARK] = ACTIONS(2901),
    [anon_sym_EQ_GT] = ACTIONS(2901),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2901),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2115] = {
    [sym_heredoc_content] = STATE(2115),
    [anon_sym_SEMI] = ACTIONS(2929),
    [anon_sym_EQ] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_COMMA] = ACTIONS(2929),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2929),
    [anon_sym_DASH_GT] = ACTIONS(2929),
    [anon_sym_PERCENT] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2931),
    [anon_sym_GT] = ACTIONS(2931),
    [anon_sym_LT_LT] = ACTIONS(2931),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2929),
    [anon_sym_PLUS_EQ] = ACTIONS(2929),
    [anon_sym_DASH_EQ] = ACTIONS(2929),
    [anon_sym_DOT_EQ] = ACTIONS(2929),
    [anon_sym_STAR_EQ] = ACTIONS(2929),
    [anon_sym_SLASH_EQ] = ACTIONS(2929),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_x_EQ] = ACTIONS(2929),
    [anon_sym_AMP_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_EQ] = ACTIONS(2929),
    [anon_sym_CARET_EQ] = ACTIONS(2929),
    [anon_sym_LT_LT_EQ] = ACTIONS(2929),
    [anon_sym_GT_GT_EQ] = ACTIONS(2929),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2929),
    [anon_sym_DOT_DOT] = ACTIONS(2931),
    [anon_sym_STAR_STAR] = ACTIONS(2931),
    [anon_sym_PIPE_PIPE] = ACTIONS(2931),
    [anon_sym_SLASH_SLASH] = ACTIONS(2931),
    [anon_sym_CARET_CARET] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_PIPE] = ACTIONS(2931),
    [anon_sym_CARET] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_GT_GT2] = ACTIONS(2931),
    [anon_sym_PLUS] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2931),
    [anon_sym_DOT] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_SLASH] = ACTIONS(2931),
    [anon_sym_x] = ACTIONS(2931),
    [anon_sym_EQ_TILDE] = ACTIONS(2929),
    [anon_sym_BANG_TILDE] = ACTIONS(2929),
    [anon_sym_EQ_EQ] = ACTIONS(2931),
    [anon_sym_BANG_EQ] = ACTIONS(2929),
    [anon_sym_eq] = ACTIONS(2931),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2929),
    [anon_sym_equ] = ACTIONS(2929),
    [anon_sym_eqr] = ACTIONS(2929),
    [anon_sym_ne] = ACTIONS(2929),
    [anon_sym_LT_EQ_GT] = ACTIONS(2929),
    [anon_sym_cmp] = ACTIONS(2929),
    [anon_sym_TILDE_TILDE] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT_EQ] = ACTIONS(2929),
    [anon_sym_lt] = ACTIONS(2929),
    [anon_sym_le] = ACTIONS(2929),
    [anon_sym_ge] = ACTIONS(2929),
    [anon_sym_gt] = ACTIONS(2929),
    [anon_sym_isa] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2929),
    [anon_sym_QMARK] = ACTIONS(2929),
    [anon_sym_EQ_GT] = ACTIONS(2929),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2929),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2116] = {
    [sym_heredoc_content] = STATE(2116),
    [anon_sym_RBRACE] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(3683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_COMMA] = ACTIONS(2993),
    [anon_sym_RPAREN] = ACTIONS(2993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3685),
    [anon_sym_PLUS_EQ] = ACTIONS(3685),
    [anon_sym_DASH_EQ] = ACTIONS(3685),
    [anon_sym_DOT_EQ] = ACTIONS(3685),
    [anon_sym_STAR_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_PERCENT_EQ] = ACTIONS(3685),
    [anon_sym_x_EQ] = ACTIONS(3685),
    [anon_sym_AMP_EQ] = ACTIONS(3685),
    [anon_sym_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_CARET_EQ] = ACTIONS(3685),
    [anon_sym_LT_LT_EQ] = ACTIONS(3685),
    [anon_sym_GT_GT_EQ] = ACTIONS(3685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3685),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3703),
    [anon_sym_CARET_CARET] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3729),
    [anon_sym_EQ_GT] = ACTIONS(2993),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2117] = {
    [sym_heredoc_content] = STATE(2117),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [anon_sym_EQ] = ACTIONS(3683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_COMMA] = ACTIONS(2636),
    [anon_sym_RPAREN] = ACTIONS(2636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3685),
    [anon_sym_PLUS_EQ] = ACTIONS(3685),
    [anon_sym_DASH_EQ] = ACTIONS(3685),
    [anon_sym_DOT_EQ] = ACTIONS(3685),
    [anon_sym_STAR_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_PERCENT_EQ] = ACTIONS(3685),
    [anon_sym_x_EQ] = ACTIONS(3685),
    [anon_sym_AMP_EQ] = ACTIONS(3685),
    [anon_sym_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_CARET_EQ] = ACTIONS(3685),
    [anon_sym_LT_LT_EQ] = ACTIONS(3685),
    [anon_sym_GT_GT_EQ] = ACTIONS(3685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3685),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3703),
    [anon_sym_CARET_CARET] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3729),
    [anon_sym_EQ_GT] = ACTIONS(2636),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2118] = {
    [sym_heredoc_content] = STATE(2118),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3757),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(3759),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3703),
    [anon_sym_CARET_CARET] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2119] = {
    [sym_heredoc_content] = STATE(2119),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym_EQ] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2989),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(2989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2989),
    [anon_sym_DASH_GT] = ACTIONS(2989),
    [anon_sym_PERCENT] = ACTIONS(2991),
    [anon_sym_LT] = ACTIONS(2991),
    [anon_sym_GT] = ACTIONS(2991),
    [anon_sym_LT_LT] = ACTIONS(2991),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2989),
    [anon_sym_PLUS_EQ] = ACTIONS(2989),
    [anon_sym_DASH_EQ] = ACTIONS(2989),
    [anon_sym_DOT_EQ] = ACTIONS(2989),
    [anon_sym_STAR_EQ] = ACTIONS(2989),
    [anon_sym_SLASH_EQ] = ACTIONS(2989),
    [anon_sym_PERCENT_EQ] = ACTIONS(2989),
    [anon_sym_x_EQ] = ACTIONS(2989),
    [anon_sym_AMP_EQ] = ACTIONS(2989),
    [anon_sym_PIPE_EQ] = ACTIONS(2989),
    [anon_sym_CARET_EQ] = ACTIONS(2989),
    [anon_sym_LT_LT_EQ] = ACTIONS(2989),
    [anon_sym_GT_GT_EQ] = ACTIONS(2989),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2989),
    [anon_sym_DOT_DOT] = ACTIONS(2991),
    [anon_sym_STAR_STAR] = ACTIONS(2991),
    [anon_sym_PIPE_PIPE] = ACTIONS(2991),
    [anon_sym_SLASH_SLASH] = ACTIONS(2991),
    [anon_sym_CARET_CARET] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_PIPE] = ACTIONS(2991),
    [anon_sym_CARET] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_GT_GT2] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_DOT] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_SLASH] = ACTIONS(2991),
    [anon_sym_x] = ACTIONS(2991),
    [anon_sym_EQ_TILDE] = ACTIONS(2989),
    [anon_sym_BANG_TILDE] = ACTIONS(2989),
    [anon_sym_EQ_EQ] = ACTIONS(2991),
    [anon_sym_BANG_EQ] = ACTIONS(2989),
    [anon_sym_eq] = ACTIONS(2991),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2989),
    [anon_sym_equ] = ACTIONS(2989),
    [anon_sym_eqr] = ACTIONS(2989),
    [anon_sym_ne] = ACTIONS(2989),
    [anon_sym_LT_EQ_GT] = ACTIONS(2989),
    [anon_sym_cmp] = ACTIONS(2989),
    [anon_sym_TILDE_TILDE] = ACTIONS(2989),
    [anon_sym_LT_EQ] = ACTIONS(2991),
    [anon_sym_GT_EQ] = ACTIONS(2989),
    [anon_sym_lt] = ACTIONS(2989),
    [anon_sym_le] = ACTIONS(2989),
    [anon_sym_ge] = ACTIONS(2989),
    [anon_sym_gt] = ACTIONS(2989),
    [anon_sym_isa] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(2989),
    [anon_sym_EQ_GT] = ACTIONS(2989),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2989),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2120] = {
    [sym_heredoc_content] = STATE(2120),
    [anon_sym_SEMI] = ACTIONS(2973),
    [anon_sym_EQ] = ACTIONS(2975),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2973),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2973),
    [anon_sym_COMMA] = ACTIONS(2973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2973),
    [anon_sym_DASH_GT] = ACTIONS(2973),
    [anon_sym_PERCENT] = ACTIONS(2975),
    [anon_sym_LT] = ACTIONS(2975),
    [anon_sym_GT] = ACTIONS(2975),
    [anon_sym_LT_LT] = ACTIONS(2975),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2973),
    [anon_sym_PLUS_EQ] = ACTIONS(2973),
    [anon_sym_DASH_EQ] = ACTIONS(2973),
    [anon_sym_DOT_EQ] = ACTIONS(2973),
    [anon_sym_STAR_EQ] = ACTIONS(2973),
    [anon_sym_SLASH_EQ] = ACTIONS(2973),
    [anon_sym_PERCENT_EQ] = ACTIONS(2973),
    [anon_sym_x_EQ] = ACTIONS(2973),
    [anon_sym_AMP_EQ] = ACTIONS(2973),
    [anon_sym_PIPE_EQ] = ACTIONS(2973),
    [anon_sym_CARET_EQ] = ACTIONS(2973),
    [anon_sym_LT_LT_EQ] = ACTIONS(2973),
    [anon_sym_GT_GT_EQ] = ACTIONS(2973),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2973),
    [anon_sym_DOT_DOT] = ACTIONS(2975),
    [anon_sym_STAR_STAR] = ACTIONS(2975),
    [anon_sym_PIPE_PIPE] = ACTIONS(2975),
    [anon_sym_SLASH_SLASH] = ACTIONS(2975),
    [anon_sym_CARET_CARET] = ACTIONS(2973),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_PIPE] = ACTIONS(2975),
    [anon_sym_CARET] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_GT_GT2] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2975),
    [anon_sym_DOT] = ACTIONS(2975),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_SLASH] = ACTIONS(2975),
    [anon_sym_x] = ACTIONS(2975),
    [anon_sym_EQ_TILDE] = ACTIONS(2973),
    [anon_sym_BANG_TILDE] = ACTIONS(2973),
    [anon_sym_EQ_EQ] = ACTIONS(2975),
    [anon_sym_BANG_EQ] = ACTIONS(2973),
    [anon_sym_eq] = ACTIONS(2975),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2973),
    [anon_sym_equ] = ACTIONS(2973),
    [anon_sym_eqr] = ACTIONS(2973),
    [anon_sym_ne] = ACTIONS(2973),
    [anon_sym_LT_EQ_GT] = ACTIONS(2973),
    [anon_sym_cmp] = ACTIONS(2973),
    [anon_sym_TILDE_TILDE] = ACTIONS(2973),
    [anon_sym_LT_EQ] = ACTIONS(2975),
    [anon_sym_GT_EQ] = ACTIONS(2973),
    [anon_sym_lt] = ACTIONS(2973),
    [anon_sym_le] = ACTIONS(2973),
    [anon_sym_ge] = ACTIONS(2973),
    [anon_sym_gt] = ACTIONS(2973),
    [anon_sym_isa] = ACTIONS(2973),
    [anon_sym_PLUS_PLUS] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(2973),
    [anon_sym_EQ_GT] = ACTIONS(2973),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2973),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2121] = {
    [sym_heredoc_content] = STATE(2121),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_x] = ACTIONS(2687),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2122] = {
    [sym_heredoc_content] = STATE(2122),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_COMMA] = ACTIONS(3054),
    [anon_sym_RPAREN] = ACTIONS(3054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3054),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_DOT_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_x_EQ] = ACTIONS(3054),
    [anon_sym_AMP_EQ] = ACTIONS(3054),
    [anon_sym_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_CARET_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT_EQ] = ACTIONS(3054),
    [anon_sym_GT_GT_EQ] = ACTIONS(3054),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3056),
    [anon_sym_SLASH_SLASH] = ACTIONS(3056),
    [anon_sym_CARET_CARET] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3056),
    [anon_sym_PIPE] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_eq] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_equ] = ACTIONS(3054),
    [anon_sym_eqr] = ACTIONS(3054),
    [anon_sym_ne] = ACTIONS(3054),
    [anon_sym_LT_EQ_GT] = ACTIONS(3054),
    [anon_sym_cmp] = ACTIONS(3054),
    [anon_sym_TILDE_TILDE] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_lt] = ACTIONS(3054),
    [anon_sym_le] = ACTIONS(3054),
    [anon_sym_ge] = ACTIONS(3054),
    [anon_sym_gt] = ACTIONS(3054),
    [anon_sym_isa] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3054),
    [anon_sym_EQ_GT] = ACTIONS(3054),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2123] = {
    [sym_heredoc_content] = STATE(2123),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2124] = {
    [sym_heredoc_content] = STATE(2124),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_x] = ACTIONS(2687),
    [anon_sym_EQ_TILDE] = ACTIONS(2685),
    [anon_sym_BANG_TILDE] = ACTIONS(2685),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2125] = {
    [sym_heredoc_content] = STATE(2125),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2126] = {
    [sym_heredoc_content] = STATE(2126),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2127] = {
    [sym_heredoc_content] = STATE(2127),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2128] = {
    [sym_heredoc_content] = STATE(2128),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2129] = {
    [sym_heredoc_content] = STATE(2129),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2130] = {
    [sym_heredoc_content] = STATE(2130),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_x] = ACTIONS(2687),
    [anon_sym_EQ_TILDE] = ACTIONS(2685),
    [anon_sym_BANG_TILDE] = ACTIONS(2685),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2131] = {
    [sym_heredoc_content] = STATE(2131),
    [anon_sym_RBRACE] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_COMMA] = ACTIONS(2689),
    [anon_sym_RPAREN] = ACTIONS(2689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2689),
    [anon_sym_DASH_EQ] = ACTIONS(2689),
    [anon_sym_DOT_EQ] = ACTIONS(2689),
    [anon_sym_STAR_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_PERCENT_EQ] = ACTIONS(2689),
    [anon_sym_x_EQ] = ACTIONS(2689),
    [anon_sym_AMP_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_CARET_EQ] = ACTIONS(2689),
    [anon_sym_LT_LT_EQ] = ACTIONS(2689),
    [anon_sym_GT_GT_EQ] = ACTIONS(2689),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2691),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_SLASH_SLASH] = ACTIONS(2691),
    [anon_sym_CARET_CARET] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_PIPE] = ACTIONS(2691),
    [anon_sym_CARET] = ACTIONS(2691),
    [anon_sym_AMP] = ACTIONS(2691),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_eq] = ACTIONS(2691),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2689),
    [anon_sym_equ] = ACTIONS(2689),
    [anon_sym_eqr] = ACTIONS(2689),
    [anon_sym_ne] = ACTIONS(2689),
    [anon_sym_LT_EQ_GT] = ACTIONS(2689),
    [anon_sym_cmp] = ACTIONS(2689),
    [anon_sym_TILDE_TILDE] = ACTIONS(2689),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2689),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2132] = {
    [sym_heredoc_content] = STATE(2132),
    [anon_sym_RBRACE] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_COMMA] = ACTIONS(2689),
    [anon_sym_RPAREN] = ACTIONS(2689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2689),
    [anon_sym_DASH_EQ] = ACTIONS(2689),
    [anon_sym_DOT_EQ] = ACTIONS(2689),
    [anon_sym_STAR_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_PERCENT_EQ] = ACTIONS(2689),
    [anon_sym_x_EQ] = ACTIONS(2689),
    [anon_sym_AMP_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_CARET_EQ] = ACTIONS(2689),
    [anon_sym_LT_LT_EQ] = ACTIONS(2689),
    [anon_sym_GT_GT_EQ] = ACTIONS(2689),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2691),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_SLASH_SLASH] = ACTIONS(2691),
    [anon_sym_CARET_CARET] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_PIPE] = ACTIONS(2691),
    [anon_sym_CARET] = ACTIONS(2691),
    [anon_sym_AMP] = ACTIONS(2691),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3761),
    [anon_sym_cmp] = ACTIONS(3761),
    [anon_sym_TILDE_TILDE] = ACTIONS(3761),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2689),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2133] = {
    [sym_heredoc_content] = STATE(2133),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_COMMA] = ACTIONS(3054),
    [anon_sym_RPAREN] = ACTIONS(3054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3054),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_DOT_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_x_EQ] = ACTIONS(3054),
    [anon_sym_AMP_EQ] = ACTIONS(3054),
    [anon_sym_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_CARET_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT_EQ] = ACTIONS(3054),
    [anon_sym_GT_GT_EQ] = ACTIONS(3054),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3056),
    [anon_sym_SLASH_SLASH] = ACTIONS(3056),
    [anon_sym_CARET_CARET] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3056),
    [anon_sym_PIPE] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_eq] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_equ] = ACTIONS(3054),
    [anon_sym_eqr] = ACTIONS(3054),
    [anon_sym_ne] = ACTIONS(3054),
    [anon_sym_LT_EQ_GT] = ACTIONS(3054),
    [anon_sym_cmp] = ACTIONS(3054),
    [anon_sym_TILDE_TILDE] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3763),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3054),
    [anon_sym_EQ_GT] = ACTIONS(3054),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2134] = {
    [sym_heredoc_content] = STATE(2134),
    [anon_sym_SEMI] = ACTIONS(2785),
    [anon_sym_EQ] = ACTIONS(2787),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_COMMA] = ACTIONS(2785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2785),
    [anon_sym_DASH_GT] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2787),
    [anon_sym_LT] = ACTIONS(2787),
    [anon_sym_GT] = ACTIONS(2787),
    [anon_sym_LT_LT] = ACTIONS(2787),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2785),
    [anon_sym_PLUS_EQ] = ACTIONS(2785),
    [anon_sym_DASH_EQ] = ACTIONS(2785),
    [anon_sym_DOT_EQ] = ACTIONS(2785),
    [anon_sym_STAR_EQ] = ACTIONS(2785),
    [anon_sym_SLASH_EQ] = ACTIONS(2785),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_x_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_EQ] = ACTIONS(2785),
    [anon_sym_CARET_EQ] = ACTIONS(2785),
    [anon_sym_LT_LT_EQ] = ACTIONS(2785),
    [anon_sym_GT_GT_EQ] = ACTIONS(2785),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2785),
    [anon_sym_DOT_DOT] = ACTIONS(2787),
    [anon_sym_STAR_STAR] = ACTIONS(2787),
    [anon_sym_PIPE_PIPE] = ACTIONS(2787),
    [anon_sym_SLASH_SLASH] = ACTIONS(2787),
    [anon_sym_CARET_CARET] = ACTIONS(2785),
    [anon_sym_AMP_AMP] = ACTIONS(2787),
    [anon_sym_PIPE] = ACTIONS(2787),
    [anon_sym_CARET] = ACTIONS(2787),
    [anon_sym_AMP] = ACTIONS(2787),
    [anon_sym_GT_GT2] = ACTIONS(2787),
    [anon_sym_PLUS] = ACTIONS(2787),
    [anon_sym_DASH] = ACTIONS(2787),
    [anon_sym_DOT] = ACTIONS(2787),
    [anon_sym_STAR] = ACTIONS(2787),
    [anon_sym_SLASH] = ACTIONS(2787),
    [anon_sym_x] = ACTIONS(2787),
    [anon_sym_EQ_TILDE] = ACTIONS(2785),
    [anon_sym_BANG_TILDE] = ACTIONS(2785),
    [anon_sym_EQ_EQ] = ACTIONS(2787),
    [anon_sym_BANG_EQ] = ACTIONS(2785),
    [anon_sym_eq] = ACTIONS(2787),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2785),
    [anon_sym_equ] = ACTIONS(2785),
    [anon_sym_eqr] = ACTIONS(2785),
    [anon_sym_ne] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2785),
    [anon_sym_cmp] = ACTIONS(2785),
    [anon_sym_TILDE_TILDE] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2787),
    [anon_sym_GT_EQ] = ACTIONS(2785),
    [anon_sym_lt] = ACTIONS(2785),
    [anon_sym_le] = ACTIONS(2785),
    [anon_sym_ge] = ACTIONS(2785),
    [anon_sym_gt] = ACTIONS(2785),
    [anon_sym_isa] = ACTIONS(2785),
    [anon_sym_PLUS_PLUS] = ACTIONS(2785),
    [anon_sym_DASH_DASH] = ACTIONS(2785),
    [anon_sym_QMARK] = ACTIONS(2785),
    [anon_sym_EQ_GT] = ACTIONS(2785),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2785),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2135] = {
    [sym_heredoc_content] = STATE(2135),
    [anon_sym_SEMI] = ACTIONS(2801),
    [anon_sym_EQ] = ACTIONS(2803),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2801),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2801),
    [anon_sym_COMMA] = ACTIONS(2801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2801),
    [anon_sym_DASH_GT] = ACTIONS(2801),
    [anon_sym_PERCENT] = ACTIONS(2803),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_GT] = ACTIONS(2803),
    [anon_sym_LT_LT] = ACTIONS(2803),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2801),
    [anon_sym_PLUS_EQ] = ACTIONS(2801),
    [anon_sym_DASH_EQ] = ACTIONS(2801),
    [anon_sym_DOT_EQ] = ACTIONS(2801),
    [anon_sym_STAR_EQ] = ACTIONS(2801),
    [anon_sym_SLASH_EQ] = ACTIONS(2801),
    [anon_sym_PERCENT_EQ] = ACTIONS(2801),
    [anon_sym_x_EQ] = ACTIONS(2801),
    [anon_sym_AMP_EQ] = ACTIONS(2801),
    [anon_sym_PIPE_EQ] = ACTIONS(2801),
    [anon_sym_CARET_EQ] = ACTIONS(2801),
    [anon_sym_LT_LT_EQ] = ACTIONS(2801),
    [anon_sym_GT_GT_EQ] = ACTIONS(2801),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2801),
    [anon_sym_DOT_DOT] = ACTIONS(2803),
    [anon_sym_STAR_STAR] = ACTIONS(2803),
    [anon_sym_PIPE_PIPE] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH] = ACTIONS(2803),
    [anon_sym_CARET_CARET] = ACTIONS(2801),
    [anon_sym_AMP_AMP] = ACTIONS(2803),
    [anon_sym_PIPE] = ACTIONS(2803),
    [anon_sym_CARET] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2803),
    [anon_sym_GT_GT2] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_DOT] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_SLASH] = ACTIONS(2803),
    [anon_sym_x] = ACTIONS(2803),
    [anon_sym_EQ_TILDE] = ACTIONS(2801),
    [anon_sym_BANG_TILDE] = ACTIONS(2801),
    [anon_sym_EQ_EQ] = ACTIONS(2803),
    [anon_sym_BANG_EQ] = ACTIONS(2801),
    [anon_sym_eq] = ACTIONS(2803),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2801),
    [anon_sym_equ] = ACTIONS(2801),
    [anon_sym_eqr] = ACTIONS(2801),
    [anon_sym_ne] = ACTIONS(2801),
    [anon_sym_LT_EQ_GT] = ACTIONS(2801),
    [anon_sym_cmp] = ACTIONS(2801),
    [anon_sym_TILDE_TILDE] = ACTIONS(2801),
    [anon_sym_LT_EQ] = ACTIONS(2803),
    [anon_sym_GT_EQ] = ACTIONS(2801),
    [anon_sym_lt] = ACTIONS(2801),
    [anon_sym_le] = ACTIONS(2801),
    [anon_sym_ge] = ACTIONS(2801),
    [anon_sym_gt] = ACTIONS(2801),
    [anon_sym_isa] = ACTIONS(2801),
    [anon_sym_PLUS_PLUS] = ACTIONS(2801),
    [anon_sym_DASH_DASH] = ACTIONS(2801),
    [anon_sym_QMARK] = ACTIONS(2801),
    [anon_sym_EQ_GT] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2801),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2136] = {
    [sym_heredoc_content] = STATE(2136),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_COMMA] = ACTIONS(2945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2945),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2947),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_DOT_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_x_EQ] = ACTIONS(2945),
    [anon_sym_AMP_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_EQ] = ACTIONS(2945),
    [anon_sym_CARET_EQ] = ACTIONS(2945),
    [anon_sym_LT_LT_EQ] = ACTIONS(2945),
    [anon_sym_GT_GT_EQ] = ACTIONS(2945),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(2947),
    [anon_sym_SLASH_SLASH] = ACTIONS(2947),
    [anon_sym_CARET_CARET] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_PIPE] = ACTIONS(2947),
    [anon_sym_CARET] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_GT_GT2] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_SLASH] = ACTIONS(2947),
    [anon_sym_x] = ACTIONS(2947),
    [anon_sym_EQ_TILDE] = ACTIONS(2945),
    [anon_sym_BANG_TILDE] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ] = ACTIONS(2945),
    [anon_sym_eq] = ACTIONS(2947),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_equ] = ACTIONS(2945),
    [anon_sym_eqr] = ACTIONS(2945),
    [anon_sym_ne] = ACTIONS(2945),
    [anon_sym_LT_EQ_GT] = ACTIONS(2945),
    [anon_sym_cmp] = ACTIONS(2945),
    [anon_sym_TILDE_TILDE] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_lt] = ACTIONS(2945),
    [anon_sym_le] = ACTIONS(2945),
    [anon_sym_ge] = ACTIONS(2945),
    [anon_sym_gt] = ACTIONS(2945),
    [anon_sym_isa] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(2945),
    [anon_sym_EQ_GT] = ACTIONS(2945),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2945),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2137] = {
    [sym_heredoc_content] = STATE(2137),
    [anon_sym_SEMI] = ACTIONS(2813),
    [anon_sym_EQ] = ACTIONS(2815),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2813),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2813),
    [anon_sym_COMMA] = ACTIONS(2813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2813),
    [anon_sym_DASH_GT] = ACTIONS(2813),
    [anon_sym_PERCENT] = ACTIONS(2815),
    [anon_sym_LT] = ACTIONS(2815),
    [anon_sym_GT] = ACTIONS(2815),
    [anon_sym_LT_LT] = ACTIONS(2815),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2813),
    [anon_sym_PLUS_EQ] = ACTIONS(2813),
    [anon_sym_DASH_EQ] = ACTIONS(2813),
    [anon_sym_DOT_EQ] = ACTIONS(2813),
    [anon_sym_STAR_EQ] = ACTIONS(2813),
    [anon_sym_SLASH_EQ] = ACTIONS(2813),
    [anon_sym_PERCENT_EQ] = ACTIONS(2813),
    [anon_sym_x_EQ] = ACTIONS(2813),
    [anon_sym_AMP_EQ] = ACTIONS(2813),
    [anon_sym_PIPE_EQ] = ACTIONS(2813),
    [anon_sym_CARET_EQ] = ACTIONS(2813),
    [anon_sym_LT_LT_EQ] = ACTIONS(2813),
    [anon_sym_GT_GT_EQ] = ACTIONS(2813),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2813),
    [anon_sym_DOT_DOT] = ACTIONS(2815),
    [anon_sym_STAR_STAR] = ACTIONS(2815),
    [anon_sym_PIPE_PIPE] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH] = ACTIONS(2815),
    [anon_sym_CARET_CARET] = ACTIONS(2813),
    [anon_sym_AMP_AMP] = ACTIONS(2815),
    [anon_sym_PIPE] = ACTIONS(2815),
    [anon_sym_CARET] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_GT_GT2] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(2815),
    [anon_sym_DASH] = ACTIONS(2815),
    [anon_sym_DOT] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_SLASH] = ACTIONS(2815),
    [anon_sym_x] = ACTIONS(2815),
    [anon_sym_EQ_TILDE] = ACTIONS(2813),
    [anon_sym_BANG_TILDE] = ACTIONS(2813),
    [anon_sym_EQ_EQ] = ACTIONS(2815),
    [anon_sym_BANG_EQ] = ACTIONS(2813),
    [anon_sym_eq] = ACTIONS(2815),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2813),
    [anon_sym_equ] = ACTIONS(2813),
    [anon_sym_eqr] = ACTIONS(2813),
    [anon_sym_ne] = ACTIONS(2813),
    [anon_sym_LT_EQ_GT] = ACTIONS(2813),
    [anon_sym_cmp] = ACTIONS(2813),
    [anon_sym_TILDE_TILDE] = ACTIONS(2813),
    [anon_sym_LT_EQ] = ACTIONS(2815),
    [anon_sym_GT_EQ] = ACTIONS(2813),
    [anon_sym_lt] = ACTIONS(2813),
    [anon_sym_le] = ACTIONS(2813),
    [anon_sym_ge] = ACTIONS(2813),
    [anon_sym_gt] = ACTIONS(2813),
    [anon_sym_isa] = ACTIONS(2813),
    [anon_sym_PLUS_PLUS] = ACTIONS(2813),
    [anon_sym_DASH_DASH] = ACTIONS(2813),
    [anon_sym_QMARK] = ACTIONS(2813),
    [anon_sym_EQ_GT] = ACTIONS(2813),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2813),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2138] = {
    [sym_heredoc_content] = STATE(2138),
    [anon_sym_SEMI] = ACTIONS(2821),
    [anon_sym_EQ] = ACTIONS(2823),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2821),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2821),
    [anon_sym_COMMA] = ACTIONS(2821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2821),
    [anon_sym_DASH_GT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(2823),
    [anon_sym_LT] = ACTIONS(2823),
    [anon_sym_GT] = ACTIONS(2823),
    [anon_sym_LT_LT] = ACTIONS(2823),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2821),
    [anon_sym_PLUS_EQ] = ACTIONS(2821),
    [anon_sym_DASH_EQ] = ACTIONS(2821),
    [anon_sym_DOT_EQ] = ACTIONS(2821),
    [anon_sym_STAR_EQ] = ACTIONS(2821),
    [anon_sym_SLASH_EQ] = ACTIONS(2821),
    [anon_sym_PERCENT_EQ] = ACTIONS(2821),
    [anon_sym_x_EQ] = ACTIONS(2821),
    [anon_sym_AMP_EQ] = ACTIONS(2821),
    [anon_sym_PIPE_EQ] = ACTIONS(2821),
    [anon_sym_CARET_EQ] = ACTIONS(2821),
    [anon_sym_LT_LT_EQ] = ACTIONS(2821),
    [anon_sym_GT_GT_EQ] = ACTIONS(2821),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2821),
    [anon_sym_DOT_DOT] = ACTIONS(2823),
    [anon_sym_STAR_STAR] = ACTIONS(2823),
    [anon_sym_PIPE_PIPE] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH] = ACTIONS(2823),
    [anon_sym_CARET_CARET] = ACTIONS(2821),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_PIPE] = ACTIONS(2823),
    [anon_sym_CARET] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_GT_GT2] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_DOT] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_SLASH] = ACTIONS(2823),
    [anon_sym_x] = ACTIONS(2823),
    [anon_sym_EQ_TILDE] = ACTIONS(2821),
    [anon_sym_BANG_TILDE] = ACTIONS(2821),
    [anon_sym_EQ_EQ] = ACTIONS(2823),
    [anon_sym_BANG_EQ] = ACTIONS(2821),
    [anon_sym_eq] = ACTIONS(2823),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2821),
    [anon_sym_equ] = ACTIONS(2821),
    [anon_sym_eqr] = ACTIONS(2821),
    [anon_sym_ne] = ACTIONS(2821),
    [anon_sym_LT_EQ_GT] = ACTIONS(2821),
    [anon_sym_cmp] = ACTIONS(2821),
    [anon_sym_TILDE_TILDE] = ACTIONS(2821),
    [anon_sym_LT_EQ] = ACTIONS(2823),
    [anon_sym_GT_EQ] = ACTIONS(2821),
    [anon_sym_lt] = ACTIONS(2821),
    [anon_sym_le] = ACTIONS(2821),
    [anon_sym_ge] = ACTIONS(2821),
    [anon_sym_gt] = ACTIONS(2821),
    [anon_sym_isa] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2821),
    [anon_sym_QMARK] = ACTIONS(2821),
    [anon_sym_EQ_GT] = ACTIONS(2821),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2821),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2139] = {
    [sym_heredoc_content] = STATE(2139),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym_EQ] = ACTIONS(3107),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_COMMA] = ACTIONS(3104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3104),
    [anon_sym_DASH_GT] = ACTIONS(3104),
    [anon_sym_PERCENT] = ACTIONS(3107),
    [anon_sym_LT] = ACTIONS(3107),
    [anon_sym_GT] = ACTIONS(3107),
    [anon_sym_LT_LT] = ACTIONS(3107),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3104),
    [anon_sym_PLUS_EQ] = ACTIONS(3104),
    [anon_sym_DASH_EQ] = ACTIONS(3104),
    [anon_sym_DOT_EQ] = ACTIONS(3104),
    [anon_sym_STAR_EQ] = ACTIONS(3104),
    [anon_sym_SLASH_EQ] = ACTIONS(3104),
    [anon_sym_PERCENT_EQ] = ACTIONS(3104),
    [anon_sym_x_EQ] = ACTIONS(3104),
    [anon_sym_AMP_EQ] = ACTIONS(3104),
    [anon_sym_PIPE_EQ] = ACTIONS(3104),
    [anon_sym_CARET_EQ] = ACTIONS(3104),
    [anon_sym_LT_LT_EQ] = ACTIONS(3104),
    [anon_sym_GT_GT_EQ] = ACTIONS(3104),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3104),
    [anon_sym_DOT_DOT] = ACTIONS(3107),
    [anon_sym_STAR_STAR] = ACTIONS(3107),
    [anon_sym_PIPE_PIPE] = ACTIONS(3107),
    [anon_sym_SLASH_SLASH] = ACTIONS(3107),
    [anon_sym_CARET_CARET] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3107),
    [anon_sym_PIPE] = ACTIONS(3107),
    [anon_sym_CARET] = ACTIONS(3107),
    [anon_sym_AMP] = ACTIONS(3107),
    [anon_sym_GT_GT2] = ACTIONS(3107),
    [anon_sym_PLUS] = ACTIONS(3107),
    [anon_sym_DASH] = ACTIONS(3107),
    [anon_sym_DOT] = ACTIONS(3107),
    [anon_sym_STAR] = ACTIONS(3107),
    [anon_sym_SLASH] = ACTIONS(3107),
    [anon_sym_x] = ACTIONS(3107),
    [anon_sym_EQ_TILDE] = ACTIONS(3104),
    [anon_sym_BANG_TILDE] = ACTIONS(3104),
    [anon_sym_EQ_EQ] = ACTIONS(3107),
    [anon_sym_BANG_EQ] = ACTIONS(3104),
    [anon_sym_eq] = ACTIONS(3107),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3104),
    [anon_sym_equ] = ACTIONS(3104),
    [anon_sym_eqr] = ACTIONS(3104),
    [anon_sym_ne] = ACTIONS(3104),
    [anon_sym_LT_EQ_GT] = ACTIONS(3104),
    [anon_sym_cmp] = ACTIONS(3104),
    [anon_sym_TILDE_TILDE] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3107),
    [anon_sym_GT_EQ] = ACTIONS(3104),
    [anon_sym_lt] = ACTIONS(3104),
    [anon_sym_le] = ACTIONS(3104),
    [anon_sym_ge] = ACTIONS(3104),
    [anon_sym_gt] = ACTIONS(3104),
    [anon_sym_isa] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_QMARK] = ACTIONS(3104),
    [anon_sym_EQ_GT] = ACTIONS(3104),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3104),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2140] = {
    [sym_heredoc_content] = STATE(2140),
    [anon_sym_SEMI] = ACTIONS(2737),
    [anon_sym_EQ] = ACTIONS(2739),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_COMMA] = ACTIONS(2737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(2739),
    [anon_sym_GT] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2737),
    [anon_sym_PLUS_EQ] = ACTIONS(2737),
    [anon_sym_DASH_EQ] = ACTIONS(2737),
    [anon_sym_DOT_EQ] = ACTIONS(2737),
    [anon_sym_STAR_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_PERCENT_EQ] = ACTIONS(2737),
    [anon_sym_x_EQ] = ACTIONS(2737),
    [anon_sym_AMP_EQ] = ACTIONS(2737),
    [anon_sym_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_CARET_EQ] = ACTIONS(2737),
    [anon_sym_LT_LT_EQ] = ACTIONS(2737),
    [anon_sym_GT_GT_EQ] = ACTIONS(2737),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2737),
    [anon_sym_DOT_DOT] = ACTIONS(2739),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_SLASH_SLASH] = ACTIONS(2739),
    [anon_sym_CARET_CARET] = ACTIONS(2737),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2739),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_AMP] = ACTIONS(2739),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2737),
    [anon_sym_eq] = ACTIONS(2739),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2737),
    [anon_sym_equ] = ACTIONS(2737),
    [anon_sym_eqr] = ACTIONS(2737),
    [anon_sym_ne] = ACTIONS(2737),
    [anon_sym_LT_EQ_GT] = ACTIONS(2737),
    [anon_sym_cmp] = ACTIONS(2737),
    [anon_sym_TILDE_TILDE] = ACTIONS(2737),
    [anon_sym_LT_EQ] = ACTIONS(2739),
    [anon_sym_GT_EQ] = ACTIONS(2737),
    [anon_sym_lt] = ACTIONS(2737),
    [anon_sym_le] = ACTIONS(2737),
    [anon_sym_ge] = ACTIONS(2737),
    [anon_sym_gt] = ACTIONS(2737),
    [anon_sym_isa] = ACTIONS(2737),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(2737),
    [anon_sym_EQ_GT] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2737),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2141] = {
    [sym_heredoc_content] = STATE(2141),
    [aux_sym__term_rightward_repeat1] = STATE(2062),
    [anon_sym_COLON] = ACTIONS(2476),
    [anon_sym_EQ] = ACTIONS(3765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_COMMA] = ACTIONS(3742),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3769),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3773),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3767),
    [anon_sym_PLUS_EQ] = ACTIONS(3767),
    [anon_sym_DASH_EQ] = ACTIONS(3767),
    [anon_sym_DOT_EQ] = ACTIONS(3767),
    [anon_sym_STAR_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_PERCENT_EQ] = ACTIONS(3767),
    [anon_sym_x_EQ] = ACTIONS(3767),
    [anon_sym_AMP_EQ] = ACTIONS(3767),
    [anon_sym_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_CARET_EQ] = ACTIONS(3767),
    [anon_sym_LT_LT_EQ] = ACTIONS(3767),
    [anon_sym_GT_GT_EQ] = ACTIONS(3767),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3767),
    [anon_sym_DOT_DOT] = ACTIONS(3777),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(3781),
    [anon_sym_SLASH_SLASH] = ACTIONS(3781),
    [anon_sym_CARET_CARET] = ACTIONS(3783),
    [anon_sym_AMP_AMP] = ACTIONS(3785),
    [anon_sym_PIPE] = ACTIONS(3787),
    [anon_sym_CARET] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(3789),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3795),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_eq] = ACTIONS(3795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3797),
    [anon_sym_equ] = ACTIONS(3797),
    [anon_sym_eqr] = ACTIONS(3797),
    [anon_sym_ne] = ACTIONS(3797),
    [anon_sym_LT_EQ_GT] = ACTIONS(3799),
    [anon_sym_cmp] = ACTIONS(3799),
    [anon_sym_TILDE_TILDE] = ACTIONS(3799),
    [anon_sym_LT_EQ] = ACTIONS(3773),
    [anon_sym_GT_EQ] = ACTIONS(3801),
    [anon_sym_lt] = ACTIONS(3801),
    [anon_sym_le] = ACTIONS(3801),
    [anon_sym_ge] = ACTIONS(3801),
    [anon_sym_gt] = ACTIONS(3801),
    [anon_sym_isa] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3805),
    [anon_sym_EQ_GT] = ACTIONS(3742),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2142] = {
    [sym_heredoc_content] = STATE(2142),
    [anon_sym_SEMI] = ACTIONS(2829),
    [anon_sym_EQ] = ACTIONS(2831),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2829),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2829),
    [anon_sym_COMMA] = ACTIONS(2829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2829),
    [anon_sym_DASH_GT] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(2831),
    [anon_sym_LT] = ACTIONS(2831),
    [anon_sym_GT] = ACTIONS(2831),
    [anon_sym_LT_LT] = ACTIONS(2831),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2829),
    [anon_sym_PLUS_EQ] = ACTIONS(2829),
    [anon_sym_DASH_EQ] = ACTIONS(2829),
    [anon_sym_DOT_EQ] = ACTIONS(2829),
    [anon_sym_STAR_EQ] = ACTIONS(2829),
    [anon_sym_SLASH_EQ] = ACTIONS(2829),
    [anon_sym_PERCENT_EQ] = ACTIONS(2829),
    [anon_sym_x_EQ] = ACTIONS(2829),
    [anon_sym_AMP_EQ] = ACTIONS(2829),
    [anon_sym_PIPE_EQ] = ACTIONS(2829),
    [anon_sym_CARET_EQ] = ACTIONS(2829),
    [anon_sym_LT_LT_EQ] = ACTIONS(2829),
    [anon_sym_GT_GT_EQ] = ACTIONS(2829),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2829),
    [anon_sym_DOT_DOT] = ACTIONS(2831),
    [anon_sym_STAR_STAR] = ACTIONS(2831),
    [anon_sym_PIPE_PIPE] = ACTIONS(2831),
    [anon_sym_SLASH_SLASH] = ACTIONS(2831),
    [anon_sym_CARET_CARET] = ACTIONS(2829),
    [anon_sym_AMP_AMP] = ACTIONS(2831),
    [anon_sym_PIPE] = ACTIONS(2831),
    [anon_sym_CARET] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2831),
    [anon_sym_GT_GT2] = ACTIONS(2831),
    [anon_sym_PLUS] = ACTIONS(2831),
    [anon_sym_DASH] = ACTIONS(2831),
    [anon_sym_DOT] = ACTIONS(2831),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_SLASH] = ACTIONS(2831),
    [anon_sym_x] = ACTIONS(2831),
    [anon_sym_EQ_TILDE] = ACTIONS(2829),
    [anon_sym_BANG_TILDE] = ACTIONS(2829),
    [anon_sym_EQ_EQ] = ACTIONS(2831),
    [anon_sym_BANG_EQ] = ACTIONS(2829),
    [anon_sym_eq] = ACTIONS(2831),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2829),
    [anon_sym_equ] = ACTIONS(2829),
    [anon_sym_eqr] = ACTIONS(2829),
    [anon_sym_ne] = ACTIONS(2829),
    [anon_sym_LT_EQ_GT] = ACTIONS(2829),
    [anon_sym_cmp] = ACTIONS(2829),
    [anon_sym_TILDE_TILDE] = ACTIONS(2829),
    [anon_sym_LT_EQ] = ACTIONS(2831),
    [anon_sym_GT_EQ] = ACTIONS(2829),
    [anon_sym_lt] = ACTIONS(2829),
    [anon_sym_le] = ACTIONS(2829),
    [anon_sym_ge] = ACTIONS(2829),
    [anon_sym_gt] = ACTIONS(2829),
    [anon_sym_isa] = ACTIONS(2829),
    [anon_sym_PLUS_PLUS] = ACTIONS(2829),
    [anon_sym_DASH_DASH] = ACTIONS(2829),
    [anon_sym_QMARK] = ACTIONS(2829),
    [anon_sym_EQ_GT] = ACTIONS(2829),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2829),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2143] = {
    [sym_heredoc_content] = STATE(2143),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_COMMA] = ACTIONS(3146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3146),
    [anon_sym_DASH_GT] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3148),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_GT] = ACTIONS(3148),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3146),
    [anon_sym_DASH_EQ] = ACTIONS(3146),
    [anon_sym_DOT_EQ] = ACTIONS(3146),
    [anon_sym_STAR_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_PERCENT_EQ] = ACTIONS(3146),
    [anon_sym_x_EQ] = ACTIONS(3146),
    [anon_sym_AMP_EQ] = ACTIONS(3146),
    [anon_sym_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_CARET_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT_EQ] = ACTIONS(3146),
    [anon_sym_GT_GT_EQ] = ACTIONS(3146),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3146),
    [anon_sym_DOT_DOT] = ACTIONS(3148),
    [anon_sym_STAR_STAR] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3148),
    [anon_sym_CARET_CARET] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_PIPE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3148),
    [anon_sym_GT_GT2] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_x] = ACTIONS(3148),
    [anon_sym_EQ_TILDE] = ACTIONS(3146),
    [anon_sym_BANG_TILDE] = ACTIONS(3146),
    [anon_sym_EQ_EQ] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_eq] = ACTIONS(3148),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3146),
    [anon_sym_equ] = ACTIONS(3146),
    [anon_sym_eqr] = ACTIONS(3146),
    [anon_sym_ne] = ACTIONS(3146),
    [anon_sym_LT_EQ_GT] = ACTIONS(3146),
    [anon_sym_cmp] = ACTIONS(3146),
    [anon_sym_TILDE_TILDE] = ACTIONS(3146),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_lt] = ACTIONS(3146),
    [anon_sym_le] = ACTIONS(3146),
    [anon_sym_ge] = ACTIONS(3146),
    [anon_sym_gt] = ACTIONS(3146),
    [anon_sym_isa] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_EQ_GT] = ACTIONS(3146),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3146),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2144] = {
    [sym_heredoc_content] = STATE(2144),
    [anon_sym_SEMI] = ACTIONS(3021),
    [anon_sym_EQ] = ACTIONS(3023),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3021),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3021),
    [anon_sym_COMMA] = ACTIONS(3021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3021),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3023),
    [anon_sym_LT] = ACTIONS(3023),
    [anon_sym_GT] = ACTIONS(3023),
    [anon_sym_LT_LT] = ACTIONS(3023),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3021),
    [anon_sym_PLUS_EQ] = ACTIONS(3021),
    [anon_sym_DASH_EQ] = ACTIONS(3021),
    [anon_sym_DOT_EQ] = ACTIONS(3021),
    [anon_sym_STAR_EQ] = ACTIONS(3021),
    [anon_sym_SLASH_EQ] = ACTIONS(3021),
    [anon_sym_PERCENT_EQ] = ACTIONS(3021),
    [anon_sym_x_EQ] = ACTIONS(3021),
    [anon_sym_AMP_EQ] = ACTIONS(3021),
    [anon_sym_PIPE_EQ] = ACTIONS(3021),
    [anon_sym_CARET_EQ] = ACTIONS(3021),
    [anon_sym_LT_LT_EQ] = ACTIONS(3021),
    [anon_sym_GT_GT_EQ] = ACTIONS(3021),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3021),
    [anon_sym_DOT_DOT] = ACTIONS(3023),
    [anon_sym_STAR_STAR] = ACTIONS(3023),
    [anon_sym_PIPE_PIPE] = ACTIONS(3023),
    [anon_sym_SLASH_SLASH] = ACTIONS(3023),
    [anon_sym_CARET_CARET] = ACTIONS(3021),
    [anon_sym_AMP_AMP] = ACTIONS(3023),
    [anon_sym_PIPE] = ACTIONS(3023),
    [anon_sym_CARET] = ACTIONS(3023),
    [anon_sym_AMP] = ACTIONS(3023),
    [anon_sym_GT_GT2] = ACTIONS(3023),
    [anon_sym_PLUS] = ACTIONS(3023),
    [anon_sym_DASH] = ACTIONS(3023),
    [anon_sym_DOT] = ACTIONS(3023),
    [anon_sym_STAR] = ACTIONS(3023),
    [anon_sym_SLASH] = ACTIONS(3023),
    [anon_sym_x] = ACTIONS(3023),
    [anon_sym_EQ_TILDE] = ACTIONS(3021),
    [anon_sym_BANG_TILDE] = ACTIONS(3021),
    [anon_sym_EQ_EQ] = ACTIONS(3023),
    [anon_sym_BANG_EQ] = ACTIONS(3021),
    [anon_sym_eq] = ACTIONS(3023),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3021),
    [anon_sym_equ] = ACTIONS(3021),
    [anon_sym_eqr] = ACTIONS(3021),
    [anon_sym_ne] = ACTIONS(3021),
    [anon_sym_LT_EQ_GT] = ACTIONS(3021),
    [anon_sym_cmp] = ACTIONS(3021),
    [anon_sym_TILDE_TILDE] = ACTIONS(3021),
    [anon_sym_LT_EQ] = ACTIONS(3023),
    [anon_sym_GT_EQ] = ACTIONS(3021),
    [anon_sym_lt] = ACTIONS(3021),
    [anon_sym_le] = ACTIONS(3021),
    [anon_sym_ge] = ACTIONS(3021),
    [anon_sym_gt] = ACTIONS(3021),
    [anon_sym_isa] = ACTIONS(3021),
    [anon_sym_PLUS_PLUS] = ACTIONS(3807),
    [anon_sym_DASH_DASH] = ACTIONS(3807),
    [anon_sym_QMARK] = ACTIONS(3021),
    [anon_sym_EQ_GT] = ACTIONS(3021),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3021),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2145] = {
    [sym_heredoc_content] = STATE(2145),
    [anon_sym_SEMI] = ACTIONS(3044),
    [anon_sym_EQ] = ACTIONS(3598),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3600),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3600),
    [anon_sym_COMMA] = ACTIONS(3044),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3604),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(3610),
    [anon_sym_GT] = ACTIONS(3610),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3600),
    [anon_sym_PLUS_EQ] = ACTIONS(3600),
    [anon_sym_DASH_EQ] = ACTIONS(3600),
    [anon_sym_DOT_EQ] = ACTIONS(3600),
    [anon_sym_STAR_EQ] = ACTIONS(3600),
    [anon_sym_SLASH_EQ] = ACTIONS(3600),
    [anon_sym_PERCENT_EQ] = ACTIONS(3600),
    [anon_sym_x_EQ] = ACTIONS(3600),
    [anon_sym_AMP_EQ] = ACTIONS(3600),
    [anon_sym_PIPE_EQ] = ACTIONS(3600),
    [anon_sym_CARET_EQ] = ACTIONS(3600),
    [anon_sym_LT_LT_EQ] = ACTIONS(3600),
    [anon_sym_GT_GT_EQ] = ACTIONS(3600),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3600),
    [anon_sym_DOT_DOT] = ACTIONS(3614),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(3618),
    [anon_sym_SLASH_SLASH] = ACTIONS(3618),
    [anon_sym_CARET_CARET] = ACTIONS(3620),
    [anon_sym_AMP_AMP] = ACTIONS(3622),
    [anon_sym_PIPE] = ACTIONS(3624),
    [anon_sym_CARET] = ACTIONS(3624),
    [anon_sym_AMP] = ACTIONS(3626),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(3632),
    [anon_sym_BANG_EQ] = ACTIONS(3634),
    [anon_sym_eq] = ACTIONS(3632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3634),
    [anon_sym_equ] = ACTIONS(3634),
    [anon_sym_eqr] = ACTIONS(3634),
    [anon_sym_ne] = ACTIONS(3634),
    [anon_sym_LT_EQ_GT] = ACTIONS(3636),
    [anon_sym_cmp] = ACTIONS(3636),
    [anon_sym_TILDE_TILDE] = ACTIONS(3636),
    [anon_sym_LT_EQ] = ACTIONS(3610),
    [anon_sym_GT_EQ] = ACTIONS(3638),
    [anon_sym_lt] = ACTIONS(3638),
    [anon_sym_le] = ACTIONS(3638),
    [anon_sym_ge] = ACTIONS(3638),
    [anon_sym_gt] = ACTIONS(3638),
    [anon_sym_isa] = ACTIONS(3640),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(3644),
    [anon_sym_EQ_GT] = ACTIONS(3044),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3044),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2146] = {
    [sym_heredoc_content] = STATE(2146),
    [anon_sym_SEMI] = ACTIONS(2741),
    [anon_sym_EQ] = ACTIONS(2743),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2741),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2741),
    [anon_sym_COMMA] = ACTIONS(2741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2741),
    [anon_sym_DASH_GT] = ACTIONS(2741),
    [anon_sym_PERCENT] = ACTIONS(2743),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_GT] = ACTIONS(2743),
    [anon_sym_LT_LT] = ACTIONS(2743),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2741),
    [anon_sym_PLUS_EQ] = ACTIONS(2741),
    [anon_sym_DASH_EQ] = ACTIONS(2741),
    [anon_sym_DOT_EQ] = ACTIONS(2741),
    [anon_sym_STAR_EQ] = ACTIONS(2741),
    [anon_sym_SLASH_EQ] = ACTIONS(2741),
    [anon_sym_PERCENT_EQ] = ACTIONS(2741),
    [anon_sym_x_EQ] = ACTIONS(2741),
    [anon_sym_AMP_EQ] = ACTIONS(2741),
    [anon_sym_PIPE_EQ] = ACTIONS(2741),
    [anon_sym_CARET_EQ] = ACTIONS(2741),
    [anon_sym_LT_LT_EQ] = ACTIONS(2741),
    [anon_sym_GT_GT_EQ] = ACTIONS(2741),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2741),
    [anon_sym_DOT_DOT] = ACTIONS(2743),
    [anon_sym_STAR_STAR] = ACTIONS(2743),
    [anon_sym_PIPE_PIPE] = ACTIONS(2743),
    [anon_sym_SLASH_SLASH] = ACTIONS(2743),
    [anon_sym_CARET_CARET] = ACTIONS(2741),
    [anon_sym_AMP_AMP] = ACTIONS(2743),
    [anon_sym_PIPE] = ACTIONS(2743),
    [anon_sym_CARET] = ACTIONS(2743),
    [anon_sym_AMP] = ACTIONS(2743),
    [anon_sym_GT_GT2] = ACTIONS(2743),
    [anon_sym_PLUS] = ACTIONS(2743),
    [anon_sym_DASH] = ACTIONS(2743),
    [anon_sym_DOT] = ACTIONS(2743),
    [anon_sym_STAR] = ACTIONS(2743),
    [anon_sym_SLASH] = ACTIONS(2743),
    [anon_sym_x] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2741),
    [anon_sym_BANG_TILDE] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2743),
    [anon_sym_BANG_EQ] = ACTIONS(2741),
    [anon_sym_eq] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2741),
    [anon_sym_equ] = ACTIONS(2741),
    [anon_sym_eqr] = ACTIONS(2741),
    [anon_sym_ne] = ACTIONS(2741),
    [anon_sym_LT_EQ_GT] = ACTIONS(2741),
    [anon_sym_cmp] = ACTIONS(2741),
    [anon_sym_TILDE_TILDE] = ACTIONS(2741),
    [anon_sym_LT_EQ] = ACTIONS(2743),
    [anon_sym_GT_EQ] = ACTIONS(2741),
    [anon_sym_lt] = ACTIONS(2741),
    [anon_sym_le] = ACTIONS(2741),
    [anon_sym_ge] = ACTIONS(2741),
    [anon_sym_gt] = ACTIONS(2741),
    [anon_sym_isa] = ACTIONS(2741),
    [anon_sym_PLUS_PLUS] = ACTIONS(2741),
    [anon_sym_DASH_DASH] = ACTIONS(2741),
    [anon_sym_QMARK] = ACTIONS(2741),
    [anon_sym_EQ_GT] = ACTIONS(2741),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2741),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2147] = {
    [sym_heredoc_content] = STATE(2147),
    [anon_sym_SEMI] = ACTIONS(2709),
    [anon_sym_EQ] = ACTIONS(2711),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2709),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2709),
    [anon_sym_COMMA] = ACTIONS(2709),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2709),
    [anon_sym_DASH_GT] = ACTIONS(3606),
    [anon_sym_PERCENT] = ACTIONS(3608),
    [anon_sym_LT] = ACTIONS(2711),
    [anon_sym_GT] = ACTIONS(2711),
    [anon_sym_LT_LT] = ACTIONS(3612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2709),
    [anon_sym_PLUS_EQ] = ACTIONS(2709),
    [anon_sym_DASH_EQ] = ACTIONS(2709),
    [anon_sym_DOT_EQ] = ACTIONS(2709),
    [anon_sym_STAR_EQ] = ACTIONS(2709),
    [anon_sym_SLASH_EQ] = ACTIONS(2709),
    [anon_sym_PERCENT_EQ] = ACTIONS(2709),
    [anon_sym_x_EQ] = ACTIONS(2709),
    [anon_sym_AMP_EQ] = ACTIONS(2709),
    [anon_sym_PIPE_EQ] = ACTIONS(2709),
    [anon_sym_CARET_EQ] = ACTIONS(2709),
    [anon_sym_LT_LT_EQ] = ACTIONS(2709),
    [anon_sym_GT_GT_EQ] = ACTIONS(2709),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2709),
    [anon_sym_DOT_DOT] = ACTIONS(2711),
    [anon_sym_STAR_STAR] = ACTIONS(3616),
    [anon_sym_PIPE_PIPE] = ACTIONS(2711),
    [anon_sym_SLASH_SLASH] = ACTIONS(2711),
    [anon_sym_CARET_CARET] = ACTIONS(2709),
    [anon_sym_AMP_AMP] = ACTIONS(2711),
    [anon_sym_PIPE] = ACTIONS(2711),
    [anon_sym_CARET] = ACTIONS(2711),
    [anon_sym_AMP] = ACTIONS(2711),
    [anon_sym_GT_GT2] = ACTIONS(3612),
    [anon_sym_PLUS] = ACTIONS(3628),
    [anon_sym_DASH] = ACTIONS(3628),
    [anon_sym_DOT] = ACTIONS(3628),
    [anon_sym_STAR] = ACTIONS(3608),
    [anon_sym_SLASH] = ACTIONS(3608),
    [anon_sym_x] = ACTIONS(3608),
    [anon_sym_EQ_TILDE] = ACTIONS(3630),
    [anon_sym_BANG_TILDE] = ACTIONS(3630),
    [anon_sym_EQ_EQ] = ACTIONS(2711),
    [anon_sym_BANG_EQ] = ACTIONS(2709),
    [anon_sym_eq] = ACTIONS(2711),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2709),
    [anon_sym_equ] = ACTIONS(2709),
    [anon_sym_eqr] = ACTIONS(2709),
    [anon_sym_ne] = ACTIONS(2709),
    [anon_sym_LT_EQ_GT] = ACTIONS(2709),
    [anon_sym_cmp] = ACTIONS(2709),
    [anon_sym_TILDE_TILDE] = ACTIONS(2709),
    [anon_sym_LT_EQ] = ACTIONS(2711),
    [anon_sym_GT_EQ] = ACTIONS(2709),
    [anon_sym_lt] = ACTIONS(2709),
    [anon_sym_le] = ACTIONS(2709),
    [anon_sym_ge] = ACTIONS(2709),
    [anon_sym_gt] = ACTIONS(2709),
    [anon_sym_isa] = ACTIONS(2709),
    [anon_sym_PLUS_PLUS] = ACTIONS(3642),
    [anon_sym_DASH_DASH] = ACTIONS(3642),
    [anon_sym_QMARK] = ACTIONS(2709),
    [anon_sym_EQ_GT] = ACTIONS(2709),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2709),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2148] = {
    [sym_heredoc_content] = STATE(2148),
    [anon_sym_SEMI] = ACTIONS(2737),
    [anon_sym_EQ] = ACTIONS(2739),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_COMMA] = ACTIONS(2737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_DASH_GT] = ACTIONS(2737),
    [anon_sym_PERCENT] = ACTIONS(2739),
    [anon_sym_LT] = ACTIONS(2739),
    [anon_sym_GT] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(2739),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2737),
    [anon_sym_PLUS_EQ] = ACTIONS(2737),
    [anon_sym_DASH_EQ] = ACTIONS(2737),
    [anon_sym_DOT_EQ] = ACTIONS(2737),
    [anon_sym_STAR_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_PERCENT_EQ] = ACTIONS(2737),
    [anon_sym_x_EQ] = ACTIONS(2737),
    [anon_sym_AMP_EQ] = ACTIONS(2737),
    [anon_sym_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_CARET_EQ] = ACTIONS(2737),
    [anon_sym_LT_LT_EQ] = ACTIONS(2737),
    [anon_sym_GT_GT_EQ] = ACTIONS(2737),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2737),
    [anon_sym_DOT_DOT] = ACTIONS(2739),
    [anon_sym_STAR_STAR] = ACTIONS(2739),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_SLASH_SLASH] = ACTIONS(2739),
    [anon_sym_CARET_CARET] = ACTIONS(2737),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2739),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_AMP] = ACTIONS(2739),
    [anon_sym_GT_GT2] = ACTIONS(2739),
    [anon_sym_PLUS] = ACTIONS(2739),
    [anon_sym_DASH] = ACTIONS(2739),
    [anon_sym_DOT] = ACTIONS(2739),
    [anon_sym_STAR] = ACTIONS(2739),
    [anon_sym_SLASH] = ACTIONS(2739),
    [anon_sym_x] = ACTIONS(2739),
    [anon_sym_EQ_TILDE] = ACTIONS(2737),
    [anon_sym_BANG_TILDE] = ACTIONS(2737),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2737),
    [anon_sym_eq] = ACTIONS(2739),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2737),
    [anon_sym_equ] = ACTIONS(2737),
    [anon_sym_eqr] = ACTIONS(2737),
    [anon_sym_ne] = ACTIONS(2737),
    [anon_sym_LT_EQ_GT] = ACTIONS(2737),
    [anon_sym_cmp] = ACTIONS(2737),
    [anon_sym_TILDE_TILDE] = ACTIONS(2737),
    [anon_sym_LT_EQ] = ACTIONS(2739),
    [anon_sym_GT_EQ] = ACTIONS(2737),
    [anon_sym_lt] = ACTIONS(2737),
    [anon_sym_le] = ACTIONS(2737),
    [anon_sym_ge] = ACTIONS(2737),
    [anon_sym_gt] = ACTIONS(2737),
    [anon_sym_isa] = ACTIONS(2737),
    [anon_sym_PLUS_PLUS] = ACTIONS(2737),
    [anon_sym_DASH_DASH] = ACTIONS(2737),
    [anon_sym_QMARK] = ACTIONS(2737),
    [anon_sym_EQ_GT] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2737),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2149] = {
    [sym_heredoc_content] = STATE(2149),
    [anon_sym_RBRACE] = ACTIONS(2737),
    [anon_sym_EQ] = ACTIONS(2739),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_COMMA] = ACTIONS(2737),
    [anon_sym_RPAREN] = ACTIONS(2737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(2739),
    [anon_sym_GT] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2737),
    [anon_sym_PLUS_EQ] = ACTIONS(2737),
    [anon_sym_DASH_EQ] = ACTIONS(2737),
    [anon_sym_DOT_EQ] = ACTIONS(2737),
    [anon_sym_STAR_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_PERCENT_EQ] = ACTIONS(2737),
    [anon_sym_x_EQ] = ACTIONS(2737),
    [anon_sym_AMP_EQ] = ACTIONS(2737),
    [anon_sym_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_CARET_EQ] = ACTIONS(2737),
    [anon_sym_LT_LT_EQ] = ACTIONS(2737),
    [anon_sym_GT_GT_EQ] = ACTIONS(2737),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2737),
    [anon_sym_DOT_DOT] = ACTIONS(2739),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_SLASH_SLASH] = ACTIONS(2739),
    [anon_sym_CARET_CARET] = ACTIONS(2737),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2739),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_AMP] = ACTIONS(2739),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2737),
    [anon_sym_eq] = ACTIONS(2739),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2737),
    [anon_sym_equ] = ACTIONS(2737),
    [anon_sym_eqr] = ACTIONS(2737),
    [anon_sym_ne] = ACTIONS(2737),
    [anon_sym_LT_EQ_GT] = ACTIONS(2737),
    [anon_sym_cmp] = ACTIONS(2737),
    [anon_sym_TILDE_TILDE] = ACTIONS(2737),
    [anon_sym_LT_EQ] = ACTIONS(2739),
    [anon_sym_GT_EQ] = ACTIONS(2737),
    [anon_sym_lt] = ACTIONS(2737),
    [anon_sym_le] = ACTIONS(2737),
    [anon_sym_ge] = ACTIONS(2737),
    [anon_sym_gt] = ACTIONS(2737),
    [anon_sym_isa] = ACTIONS(2737),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2737),
    [anon_sym_EQ_GT] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2150] = {
    [sym_heredoc_content] = STATE(2150),
    [anon_sym_COLON] = ACTIONS(2917),
    [anon_sym_EQ] = ACTIONS(2919),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2917),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2917),
    [anon_sym_COMMA] = ACTIONS(2917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2917),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(2919),
    [anon_sym_GT] = ACTIONS(2919),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2917),
    [anon_sym_PLUS_EQ] = ACTIONS(2917),
    [anon_sym_DASH_EQ] = ACTIONS(2917),
    [anon_sym_DOT_EQ] = ACTIONS(2917),
    [anon_sym_STAR_EQ] = ACTIONS(2917),
    [anon_sym_SLASH_EQ] = ACTIONS(2917),
    [anon_sym_PERCENT_EQ] = ACTIONS(2917),
    [anon_sym_x_EQ] = ACTIONS(2917),
    [anon_sym_AMP_EQ] = ACTIONS(2917),
    [anon_sym_PIPE_EQ] = ACTIONS(2917),
    [anon_sym_CARET_EQ] = ACTIONS(2917),
    [anon_sym_LT_LT_EQ] = ACTIONS(2917),
    [anon_sym_GT_GT_EQ] = ACTIONS(2917),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2917),
    [anon_sym_DOT_DOT] = ACTIONS(2919),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(2919),
    [anon_sym_SLASH_SLASH] = ACTIONS(2919),
    [anon_sym_CARET_CARET] = ACTIONS(2917),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_PIPE] = ACTIONS(2919),
    [anon_sym_CARET] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(2919),
    [anon_sym_BANG_EQ] = ACTIONS(2917),
    [anon_sym_eq] = ACTIONS(2919),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2917),
    [anon_sym_equ] = ACTIONS(2917),
    [anon_sym_eqr] = ACTIONS(2917),
    [anon_sym_ne] = ACTIONS(2917),
    [anon_sym_LT_EQ_GT] = ACTIONS(2917),
    [anon_sym_cmp] = ACTIONS(2917),
    [anon_sym_TILDE_TILDE] = ACTIONS(2917),
    [anon_sym_LT_EQ] = ACTIONS(2919),
    [anon_sym_GT_EQ] = ACTIONS(2917),
    [anon_sym_lt] = ACTIONS(2917),
    [anon_sym_le] = ACTIONS(2917),
    [anon_sym_ge] = ACTIONS(2917),
    [anon_sym_gt] = ACTIONS(2917),
    [anon_sym_isa] = ACTIONS(2917),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2917),
    [anon_sym_EQ_GT] = ACTIONS(2917),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2151] = {
    [sym_heredoc_content] = STATE(2151),
    [anon_sym_COLON] = ACTIONS(3040),
    [anon_sym_EQ] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_COMMA] = ACTIONS(3810),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3040),
    [anon_sym_DASH_GT] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3042),
    [anon_sym_LT] = ACTIONS(3042),
    [anon_sym_GT] = ACTIONS(3042),
    [anon_sym_LT_LT] = ACTIONS(3042),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3040),
    [anon_sym_PLUS_EQ] = ACTIONS(3040),
    [anon_sym_DASH_EQ] = ACTIONS(3040),
    [anon_sym_DOT_EQ] = ACTIONS(3040),
    [anon_sym_STAR_EQ] = ACTIONS(3040),
    [anon_sym_SLASH_EQ] = ACTIONS(3040),
    [anon_sym_PERCENT_EQ] = ACTIONS(3040),
    [anon_sym_x_EQ] = ACTIONS(3040),
    [anon_sym_AMP_EQ] = ACTIONS(3040),
    [anon_sym_PIPE_EQ] = ACTIONS(3040),
    [anon_sym_CARET_EQ] = ACTIONS(3040),
    [anon_sym_LT_LT_EQ] = ACTIONS(3040),
    [anon_sym_GT_GT_EQ] = ACTIONS(3040),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3040),
    [anon_sym_DOT_DOT] = ACTIONS(3042),
    [anon_sym_STAR_STAR] = ACTIONS(3042),
    [anon_sym_PIPE_PIPE] = ACTIONS(3042),
    [anon_sym_SLASH_SLASH] = ACTIONS(3042),
    [anon_sym_CARET_CARET] = ACTIONS(3040),
    [anon_sym_AMP_AMP] = ACTIONS(3042),
    [anon_sym_PIPE] = ACTIONS(3042),
    [anon_sym_CARET] = ACTIONS(3042),
    [anon_sym_AMP] = ACTIONS(3042),
    [anon_sym_GT_GT2] = ACTIONS(3042),
    [anon_sym_PLUS] = ACTIONS(3042),
    [anon_sym_DASH] = ACTIONS(3042),
    [anon_sym_DOT] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3042),
    [anon_sym_SLASH] = ACTIONS(3042),
    [anon_sym_x] = ACTIONS(3042),
    [anon_sym_EQ_TILDE] = ACTIONS(3040),
    [anon_sym_BANG_TILDE] = ACTIONS(3040),
    [anon_sym_EQ_EQ] = ACTIONS(3042),
    [anon_sym_BANG_EQ] = ACTIONS(3040),
    [anon_sym_eq] = ACTIONS(3042),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3040),
    [anon_sym_equ] = ACTIONS(3040),
    [anon_sym_eqr] = ACTIONS(3040),
    [anon_sym_ne] = ACTIONS(3040),
    [anon_sym_LT_EQ_GT] = ACTIONS(3040),
    [anon_sym_cmp] = ACTIONS(3040),
    [anon_sym_TILDE_TILDE] = ACTIONS(3040),
    [anon_sym_LT_EQ] = ACTIONS(3042),
    [anon_sym_GT_EQ] = ACTIONS(3040),
    [anon_sym_lt] = ACTIONS(3040),
    [anon_sym_le] = ACTIONS(3040),
    [anon_sym_ge] = ACTIONS(3040),
    [anon_sym_gt] = ACTIONS(3040),
    [anon_sym_isa] = ACTIONS(3040),
    [anon_sym_PLUS_PLUS] = ACTIONS(3040),
    [anon_sym_DASH_DASH] = ACTIONS(3040),
    [anon_sym_QMARK] = ACTIONS(3040),
    [anon_sym_EQ_GT] = ACTIONS(3810),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2152] = {
    [sym_heredoc_content] = STATE(2152),
    [anon_sym_COLON] = ACTIONS(2616),
    [anon_sym_EQ] = ACTIONS(2620),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2616),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2616),
    [anon_sym_COMMA] = ACTIONS(2616),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2616),
    [anon_sym_DASH_GT] = ACTIONS(2616),
    [anon_sym_PERCENT] = ACTIONS(2620),
    [anon_sym_LT] = ACTIONS(2620),
    [anon_sym_GT] = ACTIONS(2620),
    [anon_sym_LT_LT] = ACTIONS(2620),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2616),
    [anon_sym_PLUS_EQ] = ACTIONS(2616),
    [anon_sym_DASH_EQ] = ACTIONS(2616),
    [anon_sym_DOT_EQ] = ACTIONS(2616),
    [anon_sym_STAR_EQ] = ACTIONS(2616),
    [anon_sym_SLASH_EQ] = ACTIONS(2616),
    [anon_sym_PERCENT_EQ] = ACTIONS(2616),
    [anon_sym_x_EQ] = ACTIONS(2616),
    [anon_sym_AMP_EQ] = ACTIONS(2616),
    [anon_sym_PIPE_EQ] = ACTIONS(2616),
    [anon_sym_CARET_EQ] = ACTIONS(2616),
    [anon_sym_LT_LT_EQ] = ACTIONS(2616),
    [anon_sym_GT_GT_EQ] = ACTIONS(2616),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2616),
    [anon_sym_DOT_DOT] = ACTIONS(2620),
    [anon_sym_STAR_STAR] = ACTIONS(2620),
    [anon_sym_PIPE_PIPE] = ACTIONS(2620),
    [anon_sym_SLASH_SLASH] = ACTIONS(2620),
    [anon_sym_CARET_CARET] = ACTIONS(2616),
    [anon_sym_AMP_AMP] = ACTIONS(2620),
    [anon_sym_PIPE] = ACTIONS(2620),
    [anon_sym_CARET] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym_GT_GT2] = ACTIONS(2620),
    [anon_sym_PLUS] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2620),
    [anon_sym_DOT] = ACTIONS(2620),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_SLASH] = ACTIONS(2620),
    [anon_sym_x] = ACTIONS(2620),
    [anon_sym_EQ_TILDE] = ACTIONS(2616),
    [anon_sym_BANG_TILDE] = ACTIONS(2616),
    [anon_sym_EQ_EQ] = ACTIONS(2620),
    [anon_sym_BANG_EQ] = ACTIONS(2616),
    [anon_sym_eq] = ACTIONS(2620),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2616),
    [anon_sym_equ] = ACTIONS(2616),
    [anon_sym_eqr] = ACTIONS(2616),
    [anon_sym_ne] = ACTIONS(2616),
    [anon_sym_LT_EQ_GT] = ACTIONS(2616),
    [anon_sym_cmp] = ACTIONS(2616),
    [anon_sym_TILDE_TILDE] = ACTIONS(2616),
    [anon_sym_LT_EQ] = ACTIONS(2620),
    [anon_sym_GT_EQ] = ACTIONS(2616),
    [anon_sym_lt] = ACTIONS(2616),
    [anon_sym_le] = ACTIONS(2616),
    [anon_sym_ge] = ACTIONS(2616),
    [anon_sym_gt] = ACTIONS(2616),
    [anon_sym_isa] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2616),
    [anon_sym_DASH_DASH] = ACTIONS(2616),
    [anon_sym_QMARK] = ACTIONS(2616),
    [anon_sym_EQ_GT] = ACTIONS(2616),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2153] = {
    [sym_heredoc_content] = STATE(2153),
    [anon_sym_COLON] = ACTIONS(2993),
    [anon_sym_EQ] = ACTIONS(3765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_COMMA] = ACTIONS(2993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3769),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3773),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3767),
    [anon_sym_PLUS_EQ] = ACTIONS(3767),
    [anon_sym_DASH_EQ] = ACTIONS(3767),
    [anon_sym_DOT_EQ] = ACTIONS(3767),
    [anon_sym_STAR_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_PERCENT_EQ] = ACTIONS(3767),
    [anon_sym_x_EQ] = ACTIONS(3767),
    [anon_sym_AMP_EQ] = ACTIONS(3767),
    [anon_sym_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_CARET_EQ] = ACTIONS(3767),
    [anon_sym_LT_LT_EQ] = ACTIONS(3767),
    [anon_sym_GT_GT_EQ] = ACTIONS(3767),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3767),
    [anon_sym_DOT_DOT] = ACTIONS(3777),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(3781),
    [anon_sym_SLASH_SLASH] = ACTIONS(3781),
    [anon_sym_CARET_CARET] = ACTIONS(3783),
    [anon_sym_AMP_AMP] = ACTIONS(3785),
    [anon_sym_PIPE] = ACTIONS(3787),
    [anon_sym_CARET] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(3789),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3795),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_eq] = ACTIONS(3795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3797),
    [anon_sym_equ] = ACTIONS(3797),
    [anon_sym_eqr] = ACTIONS(3797),
    [anon_sym_ne] = ACTIONS(3797),
    [anon_sym_LT_EQ_GT] = ACTIONS(3799),
    [anon_sym_cmp] = ACTIONS(3799),
    [anon_sym_TILDE_TILDE] = ACTIONS(3799),
    [anon_sym_LT_EQ] = ACTIONS(3773),
    [anon_sym_GT_EQ] = ACTIONS(3801),
    [anon_sym_lt] = ACTIONS(3801),
    [anon_sym_le] = ACTIONS(3801),
    [anon_sym_ge] = ACTIONS(3801),
    [anon_sym_gt] = ACTIONS(3801),
    [anon_sym_isa] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3805),
    [anon_sym_EQ_GT] = ACTIONS(2993),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2154] = {
    [sym_heredoc_content] = STATE(2154),
    [anon_sym_COLON] = ACTIONS(2636),
    [anon_sym_EQ] = ACTIONS(3765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_COMMA] = ACTIONS(2636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3769),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3773),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3767),
    [anon_sym_PLUS_EQ] = ACTIONS(3767),
    [anon_sym_DASH_EQ] = ACTIONS(3767),
    [anon_sym_DOT_EQ] = ACTIONS(3767),
    [anon_sym_STAR_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_PERCENT_EQ] = ACTIONS(3767),
    [anon_sym_x_EQ] = ACTIONS(3767),
    [anon_sym_AMP_EQ] = ACTIONS(3767),
    [anon_sym_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_CARET_EQ] = ACTIONS(3767),
    [anon_sym_LT_LT_EQ] = ACTIONS(3767),
    [anon_sym_GT_GT_EQ] = ACTIONS(3767),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3767),
    [anon_sym_DOT_DOT] = ACTIONS(3777),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(3781),
    [anon_sym_SLASH_SLASH] = ACTIONS(3781),
    [anon_sym_CARET_CARET] = ACTIONS(3783),
    [anon_sym_AMP_AMP] = ACTIONS(3785),
    [anon_sym_PIPE] = ACTIONS(3787),
    [anon_sym_CARET] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(3789),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3795),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_eq] = ACTIONS(3795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3797),
    [anon_sym_equ] = ACTIONS(3797),
    [anon_sym_eqr] = ACTIONS(3797),
    [anon_sym_ne] = ACTIONS(3797),
    [anon_sym_LT_EQ_GT] = ACTIONS(3799),
    [anon_sym_cmp] = ACTIONS(3799),
    [anon_sym_TILDE_TILDE] = ACTIONS(3799),
    [anon_sym_LT_EQ] = ACTIONS(3773),
    [anon_sym_GT_EQ] = ACTIONS(3801),
    [anon_sym_lt] = ACTIONS(3801),
    [anon_sym_le] = ACTIONS(3801),
    [anon_sym_ge] = ACTIONS(3801),
    [anon_sym_gt] = ACTIONS(3801),
    [anon_sym_isa] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3805),
    [anon_sym_EQ_GT] = ACTIONS(2636),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2155] = {
    [sym_heredoc_content] = STATE(2155),
    [anon_sym_COLON] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3812),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3773),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(3814),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(3781),
    [anon_sym_SLASH_SLASH] = ACTIONS(3781),
    [anon_sym_CARET_CARET] = ACTIONS(3783),
    [anon_sym_AMP_AMP] = ACTIONS(3785),
    [anon_sym_PIPE] = ACTIONS(3787),
    [anon_sym_CARET] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(3789),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3795),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_eq] = ACTIONS(3795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3797),
    [anon_sym_equ] = ACTIONS(3797),
    [anon_sym_eqr] = ACTIONS(3797),
    [anon_sym_ne] = ACTIONS(3797),
    [anon_sym_LT_EQ_GT] = ACTIONS(3799),
    [anon_sym_cmp] = ACTIONS(3799),
    [anon_sym_TILDE_TILDE] = ACTIONS(3799),
    [anon_sym_LT_EQ] = ACTIONS(3773),
    [anon_sym_GT_EQ] = ACTIONS(3801),
    [anon_sym_lt] = ACTIONS(3801),
    [anon_sym_le] = ACTIONS(3801),
    [anon_sym_ge] = ACTIONS(3801),
    [anon_sym_gt] = ACTIONS(3801),
    [anon_sym_isa] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2156] = {
    [sym_heredoc_content] = STATE(2156),
    [anon_sym_COLON] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_x] = ACTIONS(2687),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2157] = {
    [sym_heredoc_content] = STATE(2157),
    [anon_sym_COLON] = ACTIONS(3054),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_COMMA] = ACTIONS(3054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3054),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_DOT_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_x_EQ] = ACTIONS(3054),
    [anon_sym_AMP_EQ] = ACTIONS(3054),
    [anon_sym_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_CARET_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT_EQ] = ACTIONS(3054),
    [anon_sym_GT_GT_EQ] = ACTIONS(3054),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(3056),
    [anon_sym_SLASH_SLASH] = ACTIONS(3056),
    [anon_sym_CARET_CARET] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3056),
    [anon_sym_PIPE] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_eq] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_equ] = ACTIONS(3054),
    [anon_sym_eqr] = ACTIONS(3054),
    [anon_sym_ne] = ACTIONS(3054),
    [anon_sym_LT_EQ_GT] = ACTIONS(3054),
    [anon_sym_cmp] = ACTIONS(3054),
    [anon_sym_TILDE_TILDE] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_lt] = ACTIONS(3054),
    [anon_sym_le] = ACTIONS(3054),
    [anon_sym_ge] = ACTIONS(3054),
    [anon_sym_gt] = ACTIONS(3054),
    [anon_sym_isa] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3054),
    [anon_sym_EQ_GT] = ACTIONS(3054),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2158] = {
    [sym_heredoc_content] = STATE(2158),
    [anon_sym_COLON] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2159] = {
    [sym_heredoc_content] = STATE(2159),
    [anon_sym_COLON] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_x] = ACTIONS(2687),
    [anon_sym_EQ_TILDE] = ACTIONS(2685),
    [anon_sym_BANG_TILDE] = ACTIONS(2685),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2160] = {
    [sym_heredoc_content] = STATE(2160),
    [anon_sym_COLON] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3773),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(3785),
    [anon_sym_PIPE] = ACTIONS(3787),
    [anon_sym_CARET] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(3789),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3795),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_eq] = ACTIONS(3795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3797),
    [anon_sym_equ] = ACTIONS(3797),
    [anon_sym_eqr] = ACTIONS(3797),
    [anon_sym_ne] = ACTIONS(3797),
    [anon_sym_LT_EQ_GT] = ACTIONS(3799),
    [anon_sym_cmp] = ACTIONS(3799),
    [anon_sym_TILDE_TILDE] = ACTIONS(3799),
    [anon_sym_LT_EQ] = ACTIONS(3773),
    [anon_sym_GT_EQ] = ACTIONS(3801),
    [anon_sym_lt] = ACTIONS(3801),
    [anon_sym_le] = ACTIONS(3801),
    [anon_sym_ge] = ACTIONS(3801),
    [anon_sym_gt] = ACTIONS(3801),
    [anon_sym_isa] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2161] = {
    [sym_heredoc_content] = STATE(2161),
    [anon_sym_COLON] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3773),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(3787),
    [anon_sym_CARET] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(3789),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3795),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_eq] = ACTIONS(3795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3797),
    [anon_sym_equ] = ACTIONS(3797),
    [anon_sym_eqr] = ACTIONS(3797),
    [anon_sym_ne] = ACTIONS(3797),
    [anon_sym_LT_EQ_GT] = ACTIONS(3799),
    [anon_sym_cmp] = ACTIONS(3799),
    [anon_sym_TILDE_TILDE] = ACTIONS(3799),
    [anon_sym_LT_EQ] = ACTIONS(3773),
    [anon_sym_GT_EQ] = ACTIONS(3801),
    [anon_sym_lt] = ACTIONS(3801),
    [anon_sym_le] = ACTIONS(3801),
    [anon_sym_ge] = ACTIONS(3801),
    [anon_sym_gt] = ACTIONS(3801),
    [anon_sym_isa] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2162] = {
    [sym_heredoc_content] = STATE(2162),
    [anon_sym_COLON] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3773),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(3789),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3795),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_eq] = ACTIONS(3795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3797),
    [anon_sym_equ] = ACTIONS(3797),
    [anon_sym_eqr] = ACTIONS(3797),
    [anon_sym_ne] = ACTIONS(3797),
    [anon_sym_LT_EQ_GT] = ACTIONS(3799),
    [anon_sym_cmp] = ACTIONS(3799),
    [anon_sym_TILDE_TILDE] = ACTIONS(3799),
    [anon_sym_LT_EQ] = ACTIONS(3773),
    [anon_sym_GT_EQ] = ACTIONS(3801),
    [anon_sym_lt] = ACTIONS(3801),
    [anon_sym_le] = ACTIONS(3801),
    [anon_sym_ge] = ACTIONS(3801),
    [anon_sym_gt] = ACTIONS(3801),
    [anon_sym_isa] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2163] = {
    [sym_heredoc_content] = STATE(2163),
    [anon_sym_COLON] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3773),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3795),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_eq] = ACTIONS(3795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3797),
    [anon_sym_equ] = ACTIONS(3797),
    [anon_sym_eqr] = ACTIONS(3797),
    [anon_sym_ne] = ACTIONS(3797),
    [anon_sym_LT_EQ_GT] = ACTIONS(3799),
    [anon_sym_cmp] = ACTIONS(3799),
    [anon_sym_TILDE_TILDE] = ACTIONS(3799),
    [anon_sym_LT_EQ] = ACTIONS(3773),
    [anon_sym_GT_EQ] = ACTIONS(3801),
    [anon_sym_lt] = ACTIONS(3801),
    [anon_sym_le] = ACTIONS(3801),
    [anon_sym_ge] = ACTIONS(3801),
    [anon_sym_gt] = ACTIONS(3801),
    [anon_sym_isa] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2164] = {
    [sym_heredoc_content] = STATE(2164),
    [anon_sym_COLON] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2165] = {
    [sym_heredoc_content] = STATE(2165),
    [anon_sym_COLON] = ACTIONS(2685),
    [anon_sym_EQ] = ACTIONS(2687),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(2687),
    [anon_sym_LT] = ACTIONS(2687),
    [anon_sym_GT] = ACTIONS(2687),
    [anon_sym_LT_LT] = ACTIONS(2687),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2685),
    [anon_sym_PLUS_EQ] = ACTIONS(2685),
    [anon_sym_DASH_EQ] = ACTIONS(2685),
    [anon_sym_DOT_EQ] = ACTIONS(2685),
    [anon_sym_STAR_EQ] = ACTIONS(2685),
    [anon_sym_SLASH_EQ] = ACTIONS(2685),
    [anon_sym_PERCENT_EQ] = ACTIONS(2685),
    [anon_sym_x_EQ] = ACTIONS(2685),
    [anon_sym_AMP_EQ] = ACTIONS(2685),
    [anon_sym_PIPE_EQ] = ACTIONS(2685),
    [anon_sym_CARET_EQ] = ACTIONS(2685),
    [anon_sym_LT_LT_EQ] = ACTIONS(2685),
    [anon_sym_GT_GT_EQ] = ACTIONS(2685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2687),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(2687),
    [anon_sym_CARET_CARET] = ACTIONS(2685),
    [anon_sym_AMP_AMP] = ACTIONS(2687),
    [anon_sym_PIPE] = ACTIONS(2687),
    [anon_sym_CARET] = ACTIONS(2687),
    [anon_sym_AMP] = ACTIONS(2687),
    [anon_sym_GT_GT2] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2687),
    [anon_sym_DOT] = ACTIONS(2687),
    [anon_sym_STAR] = ACTIONS(2687),
    [anon_sym_SLASH] = ACTIONS(2687),
    [anon_sym_x] = ACTIONS(2687),
    [anon_sym_EQ_TILDE] = ACTIONS(2685),
    [anon_sym_BANG_TILDE] = ACTIONS(2685),
    [anon_sym_EQ_EQ] = ACTIONS(2687),
    [anon_sym_BANG_EQ] = ACTIONS(2685),
    [anon_sym_eq] = ACTIONS(2687),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2685),
    [anon_sym_equ] = ACTIONS(2685),
    [anon_sym_eqr] = ACTIONS(2685),
    [anon_sym_ne] = ACTIONS(2685),
    [anon_sym_LT_EQ_GT] = ACTIONS(2685),
    [anon_sym_cmp] = ACTIONS(2685),
    [anon_sym_TILDE_TILDE] = ACTIONS(2685),
    [anon_sym_LT_EQ] = ACTIONS(2687),
    [anon_sym_GT_EQ] = ACTIONS(2685),
    [anon_sym_lt] = ACTIONS(2685),
    [anon_sym_le] = ACTIONS(2685),
    [anon_sym_ge] = ACTIONS(2685),
    [anon_sym_gt] = ACTIONS(2685),
    [anon_sym_isa] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2685),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2166] = {
    [sym_heredoc_content] = STATE(2166),
    [anon_sym_COLON] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_COMMA] = ACTIONS(2689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3773),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2689),
    [anon_sym_DASH_EQ] = ACTIONS(2689),
    [anon_sym_DOT_EQ] = ACTIONS(2689),
    [anon_sym_STAR_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_PERCENT_EQ] = ACTIONS(2689),
    [anon_sym_x_EQ] = ACTIONS(2689),
    [anon_sym_AMP_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_CARET_EQ] = ACTIONS(2689),
    [anon_sym_LT_LT_EQ] = ACTIONS(2689),
    [anon_sym_GT_GT_EQ] = ACTIONS(2689),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2691),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_SLASH_SLASH] = ACTIONS(2691),
    [anon_sym_CARET_CARET] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_PIPE] = ACTIONS(2691),
    [anon_sym_CARET] = ACTIONS(2691),
    [anon_sym_AMP] = ACTIONS(2691),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(2691),
    [anon_sym_BANG_EQ] = ACTIONS(2689),
    [anon_sym_eq] = ACTIONS(2691),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2689),
    [anon_sym_equ] = ACTIONS(2689),
    [anon_sym_eqr] = ACTIONS(2689),
    [anon_sym_ne] = ACTIONS(2689),
    [anon_sym_LT_EQ_GT] = ACTIONS(2689),
    [anon_sym_cmp] = ACTIONS(2689),
    [anon_sym_TILDE_TILDE] = ACTIONS(2689),
    [anon_sym_LT_EQ] = ACTIONS(3773),
    [anon_sym_GT_EQ] = ACTIONS(3801),
    [anon_sym_lt] = ACTIONS(3801),
    [anon_sym_le] = ACTIONS(3801),
    [anon_sym_ge] = ACTIONS(3801),
    [anon_sym_gt] = ACTIONS(3801),
    [anon_sym_isa] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2689),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2167] = {
    [sym_heredoc_content] = STATE(2167),
    [anon_sym_COLON] = ACTIONS(2689),
    [anon_sym_EQ] = ACTIONS(2691),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_COMMA] = ACTIONS(2689),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3773),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2689),
    [anon_sym_PLUS_EQ] = ACTIONS(2689),
    [anon_sym_DASH_EQ] = ACTIONS(2689),
    [anon_sym_DOT_EQ] = ACTIONS(2689),
    [anon_sym_STAR_EQ] = ACTIONS(2689),
    [anon_sym_SLASH_EQ] = ACTIONS(2689),
    [anon_sym_PERCENT_EQ] = ACTIONS(2689),
    [anon_sym_x_EQ] = ACTIONS(2689),
    [anon_sym_AMP_EQ] = ACTIONS(2689),
    [anon_sym_PIPE_EQ] = ACTIONS(2689),
    [anon_sym_CARET_EQ] = ACTIONS(2689),
    [anon_sym_LT_LT_EQ] = ACTIONS(2689),
    [anon_sym_GT_GT_EQ] = ACTIONS(2689),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2691),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(2691),
    [anon_sym_SLASH_SLASH] = ACTIONS(2691),
    [anon_sym_CARET_CARET] = ACTIONS(2689),
    [anon_sym_AMP_AMP] = ACTIONS(2691),
    [anon_sym_PIPE] = ACTIONS(2691),
    [anon_sym_CARET] = ACTIONS(2691),
    [anon_sym_AMP] = ACTIONS(2691),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3795),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_eq] = ACTIONS(3795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3797),
    [anon_sym_equ] = ACTIONS(3797),
    [anon_sym_eqr] = ACTIONS(3797),
    [anon_sym_ne] = ACTIONS(3797),
    [anon_sym_LT_EQ_GT] = ACTIONS(3816),
    [anon_sym_cmp] = ACTIONS(3816),
    [anon_sym_TILDE_TILDE] = ACTIONS(3816),
    [anon_sym_LT_EQ] = ACTIONS(3773),
    [anon_sym_GT_EQ] = ACTIONS(3801),
    [anon_sym_lt] = ACTIONS(3801),
    [anon_sym_le] = ACTIONS(3801),
    [anon_sym_ge] = ACTIONS(3801),
    [anon_sym_gt] = ACTIONS(3801),
    [anon_sym_isa] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2689),
    [anon_sym_EQ_GT] = ACTIONS(2689),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2168] = {
    [sym_heredoc_content] = STATE(2168),
    [anon_sym_COLON] = ACTIONS(3054),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_COMMA] = ACTIONS(3054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3054),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3773),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_DOT_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_x_EQ] = ACTIONS(3054),
    [anon_sym_AMP_EQ] = ACTIONS(3054),
    [anon_sym_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_CARET_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT_EQ] = ACTIONS(3054),
    [anon_sym_GT_GT_EQ] = ACTIONS(3054),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(3056),
    [anon_sym_SLASH_SLASH] = ACTIONS(3056),
    [anon_sym_CARET_CARET] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3056),
    [anon_sym_PIPE] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_eq] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_equ] = ACTIONS(3054),
    [anon_sym_eqr] = ACTIONS(3054),
    [anon_sym_ne] = ACTIONS(3054),
    [anon_sym_LT_EQ_GT] = ACTIONS(3054),
    [anon_sym_cmp] = ACTIONS(3054),
    [anon_sym_TILDE_TILDE] = ACTIONS(3054),
    [anon_sym_LT_EQ] = ACTIONS(3773),
    [anon_sym_GT_EQ] = ACTIONS(3801),
    [anon_sym_lt] = ACTIONS(3801),
    [anon_sym_le] = ACTIONS(3801),
    [anon_sym_ge] = ACTIONS(3801),
    [anon_sym_gt] = ACTIONS(3801),
    [anon_sym_isa] = ACTIONS(3818),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3054),
    [anon_sym_EQ_GT] = ACTIONS(3054),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2169] = {
    [sym_heredoc_content] = STATE(2169),
    [anon_sym_COLON] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_COMMA] = ACTIONS(3142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3769),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3773),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3142),
    [anon_sym_DASH_EQ] = ACTIONS(3142),
    [anon_sym_DOT_EQ] = ACTIONS(3142),
    [anon_sym_STAR_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_PERCENT_EQ] = ACTIONS(3142),
    [anon_sym_x_EQ] = ACTIONS(3142),
    [anon_sym_AMP_EQ] = ACTIONS(3142),
    [anon_sym_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_CARET_EQ] = ACTIONS(3142),
    [anon_sym_LT_LT_EQ] = ACTIONS(3142),
    [anon_sym_GT_GT_EQ] = ACTIONS(3142),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3142),
    [anon_sym_DOT_DOT] = ACTIONS(3777),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(3781),
    [anon_sym_SLASH_SLASH] = ACTIONS(3781),
    [anon_sym_CARET_CARET] = ACTIONS(3783),
    [anon_sym_AMP_AMP] = ACTIONS(3785),
    [anon_sym_PIPE] = ACTIONS(3787),
    [anon_sym_CARET] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(3789),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3795),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_eq] = ACTIONS(3795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3797),
    [anon_sym_equ] = ACTIONS(3797),
    [anon_sym_eqr] = ACTIONS(3797),
    [anon_sym_ne] = ACTIONS(3797),
    [anon_sym_LT_EQ_GT] = ACTIONS(3799),
    [anon_sym_cmp] = ACTIONS(3799),
    [anon_sym_TILDE_TILDE] = ACTIONS(3799),
    [anon_sym_LT_EQ] = ACTIONS(3773),
    [anon_sym_GT_EQ] = ACTIONS(3801),
    [anon_sym_lt] = ACTIONS(3801),
    [anon_sym_le] = ACTIONS(3801),
    [anon_sym_ge] = ACTIONS(3801),
    [anon_sym_gt] = ACTIONS(3801),
    [anon_sym_isa] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3805),
    [anon_sym_EQ_GT] = ACTIONS(3142),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2170] = {
    [sym_heredoc_content] = STATE(2170),
    [anon_sym_COLON] = ACTIONS(2610),
    [anon_sym_EQ] = ACTIONS(2614),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_COMMA] = ACTIONS(2610),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2610),
    [anon_sym_DASH_GT] = ACTIONS(2610),
    [anon_sym_PERCENT] = ACTIONS(2614),
    [anon_sym_LT] = ACTIONS(2614),
    [anon_sym_GT] = ACTIONS(2614),
    [anon_sym_LT_LT] = ACTIONS(2614),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2610),
    [anon_sym_PLUS_EQ] = ACTIONS(2610),
    [anon_sym_DASH_EQ] = ACTIONS(2610),
    [anon_sym_DOT_EQ] = ACTIONS(2610),
    [anon_sym_STAR_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_PERCENT_EQ] = ACTIONS(2610),
    [anon_sym_x_EQ] = ACTIONS(2610),
    [anon_sym_AMP_EQ] = ACTIONS(2610),
    [anon_sym_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_CARET_EQ] = ACTIONS(2610),
    [anon_sym_LT_LT_EQ] = ACTIONS(2610),
    [anon_sym_GT_GT_EQ] = ACTIONS(2610),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2610),
    [anon_sym_DOT_DOT] = ACTIONS(2614),
    [anon_sym_STAR_STAR] = ACTIONS(2614),
    [anon_sym_PIPE_PIPE] = ACTIONS(2614),
    [anon_sym_SLASH_SLASH] = ACTIONS(2614),
    [anon_sym_CARET_CARET] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2614),
    [anon_sym_PIPE] = ACTIONS(2614),
    [anon_sym_CARET] = ACTIONS(2614),
    [anon_sym_AMP] = ACTIONS(2614),
    [anon_sym_GT_GT2] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_DOT] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2614),
    [anon_sym_SLASH] = ACTIONS(2614),
    [anon_sym_x] = ACTIONS(2614),
    [anon_sym_EQ_TILDE] = ACTIONS(2610),
    [anon_sym_BANG_TILDE] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2614),
    [anon_sym_BANG_EQ] = ACTIONS(2610),
    [anon_sym_eq] = ACTIONS(2614),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2610),
    [anon_sym_equ] = ACTIONS(2610),
    [anon_sym_eqr] = ACTIONS(2610),
    [anon_sym_ne] = ACTIONS(2610),
    [anon_sym_LT_EQ_GT] = ACTIONS(2610),
    [anon_sym_cmp] = ACTIONS(2610),
    [anon_sym_TILDE_TILDE] = ACTIONS(2610),
    [anon_sym_LT_EQ] = ACTIONS(2614),
    [anon_sym_GT_EQ] = ACTIONS(2610),
    [anon_sym_lt] = ACTIONS(2610),
    [anon_sym_le] = ACTIONS(2610),
    [anon_sym_ge] = ACTIONS(2610),
    [anon_sym_gt] = ACTIONS(2610),
    [anon_sym_isa] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_QMARK] = ACTIONS(2610),
    [anon_sym_EQ_GT] = ACTIONS(2610),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2171] = {
    [sym_heredoc_content] = STATE(2171),
    [anon_sym_COLON] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2791),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2789),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2789),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(2791),
    [anon_sym_GT] = ACTIONS(2791),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2789),
    [anon_sym_PLUS_EQ] = ACTIONS(2789),
    [anon_sym_DASH_EQ] = ACTIONS(2789),
    [anon_sym_DOT_EQ] = ACTIONS(2789),
    [anon_sym_STAR_EQ] = ACTIONS(2789),
    [anon_sym_SLASH_EQ] = ACTIONS(2789),
    [anon_sym_PERCENT_EQ] = ACTIONS(2789),
    [anon_sym_x_EQ] = ACTIONS(2789),
    [anon_sym_AMP_EQ] = ACTIONS(2789),
    [anon_sym_PIPE_EQ] = ACTIONS(2789),
    [anon_sym_CARET_EQ] = ACTIONS(2789),
    [anon_sym_LT_LT_EQ] = ACTIONS(2789),
    [anon_sym_GT_GT_EQ] = ACTIONS(2789),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2789),
    [anon_sym_DOT_DOT] = ACTIONS(2791),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(2791),
    [anon_sym_SLASH_SLASH] = ACTIONS(2791),
    [anon_sym_CARET_CARET] = ACTIONS(2789),
    [anon_sym_AMP_AMP] = ACTIONS(2791),
    [anon_sym_PIPE] = ACTIONS(2791),
    [anon_sym_CARET] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2791),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(2791),
    [anon_sym_BANG_EQ] = ACTIONS(2789),
    [anon_sym_eq] = ACTIONS(2791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2789),
    [anon_sym_equ] = ACTIONS(2789),
    [anon_sym_eqr] = ACTIONS(2789),
    [anon_sym_ne] = ACTIONS(2789),
    [anon_sym_LT_EQ_GT] = ACTIONS(2789),
    [anon_sym_cmp] = ACTIONS(2789),
    [anon_sym_TILDE_TILDE] = ACTIONS(2789),
    [anon_sym_LT_EQ] = ACTIONS(2791),
    [anon_sym_GT_EQ] = ACTIONS(2789),
    [anon_sym_lt] = ACTIONS(2789),
    [anon_sym_le] = ACTIONS(2789),
    [anon_sym_ge] = ACTIONS(2789),
    [anon_sym_gt] = ACTIONS(2789),
    [anon_sym_isa] = ACTIONS(2789),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_EQ_GT] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2172] = {
    [sym_heredoc_content] = STATE(2172),
    [anon_sym_COLON] = ACTIONS(2945),
    [anon_sym_EQ] = ACTIONS(2947),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_COMMA] = ACTIONS(2945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2945),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2947),
    [anon_sym_GT] = ACTIONS(2947),
    [anon_sym_LT_LT] = ACTIONS(2947),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2945),
    [anon_sym_PLUS_EQ] = ACTIONS(2945),
    [anon_sym_DASH_EQ] = ACTIONS(2945),
    [anon_sym_DOT_EQ] = ACTIONS(2945),
    [anon_sym_STAR_EQ] = ACTIONS(2945),
    [anon_sym_SLASH_EQ] = ACTIONS(2945),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_x_EQ] = ACTIONS(2945),
    [anon_sym_AMP_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_EQ] = ACTIONS(2945),
    [anon_sym_CARET_EQ] = ACTIONS(2945),
    [anon_sym_LT_LT_EQ] = ACTIONS(2945),
    [anon_sym_GT_GT_EQ] = ACTIONS(2945),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2945),
    [anon_sym_DOT_DOT] = ACTIONS(2947),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(2947),
    [anon_sym_SLASH_SLASH] = ACTIONS(2947),
    [anon_sym_CARET_CARET] = ACTIONS(2945),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_PIPE] = ACTIONS(2947),
    [anon_sym_CARET] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_GT_GT2] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_DOT] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_SLASH] = ACTIONS(2947),
    [anon_sym_x] = ACTIONS(2947),
    [anon_sym_EQ_TILDE] = ACTIONS(2945),
    [anon_sym_BANG_TILDE] = ACTIONS(2945),
    [anon_sym_EQ_EQ] = ACTIONS(2947),
    [anon_sym_BANG_EQ] = ACTIONS(2945),
    [anon_sym_eq] = ACTIONS(2947),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2945),
    [anon_sym_equ] = ACTIONS(2945),
    [anon_sym_eqr] = ACTIONS(2945),
    [anon_sym_ne] = ACTIONS(2945),
    [anon_sym_LT_EQ_GT] = ACTIONS(2945),
    [anon_sym_cmp] = ACTIONS(2945),
    [anon_sym_TILDE_TILDE] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT_EQ] = ACTIONS(2945),
    [anon_sym_lt] = ACTIONS(2945),
    [anon_sym_le] = ACTIONS(2945),
    [anon_sym_ge] = ACTIONS(2945),
    [anon_sym_gt] = ACTIONS(2945),
    [anon_sym_isa] = ACTIONS(2945),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2945),
    [anon_sym_EQ_GT] = ACTIONS(2945),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2173] = {
    [sym_heredoc_content] = STATE(2173),
    [anon_sym_COLON] = ACTIONS(3044),
    [anon_sym_EQ] = ACTIONS(3765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_COMMA] = ACTIONS(3044),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3769),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3773),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3767),
    [anon_sym_PLUS_EQ] = ACTIONS(3767),
    [anon_sym_DASH_EQ] = ACTIONS(3767),
    [anon_sym_DOT_EQ] = ACTIONS(3767),
    [anon_sym_STAR_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_PERCENT_EQ] = ACTIONS(3767),
    [anon_sym_x_EQ] = ACTIONS(3767),
    [anon_sym_AMP_EQ] = ACTIONS(3767),
    [anon_sym_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_CARET_EQ] = ACTIONS(3767),
    [anon_sym_LT_LT_EQ] = ACTIONS(3767),
    [anon_sym_GT_GT_EQ] = ACTIONS(3767),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3767),
    [anon_sym_DOT_DOT] = ACTIONS(3777),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(3781),
    [anon_sym_SLASH_SLASH] = ACTIONS(3781),
    [anon_sym_CARET_CARET] = ACTIONS(3783),
    [anon_sym_AMP_AMP] = ACTIONS(3785),
    [anon_sym_PIPE] = ACTIONS(3787),
    [anon_sym_CARET] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(3789),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3795),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_eq] = ACTIONS(3795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3797),
    [anon_sym_equ] = ACTIONS(3797),
    [anon_sym_eqr] = ACTIONS(3797),
    [anon_sym_ne] = ACTIONS(3797),
    [anon_sym_LT_EQ_GT] = ACTIONS(3799),
    [anon_sym_cmp] = ACTIONS(3799),
    [anon_sym_TILDE_TILDE] = ACTIONS(3799),
    [anon_sym_LT_EQ] = ACTIONS(3773),
    [anon_sym_GT_EQ] = ACTIONS(3801),
    [anon_sym_lt] = ACTIONS(3801),
    [anon_sym_le] = ACTIONS(3801),
    [anon_sym_ge] = ACTIONS(3801),
    [anon_sym_gt] = ACTIONS(3801),
    [anon_sym_isa] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3805),
    [anon_sym_EQ_GT] = ACTIONS(3044),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2174] = {
    [sym_heredoc_content] = STATE(2174),
    [anon_sym_COLON] = ACTIONS(2709),
    [anon_sym_EQ] = ACTIONS(2711),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2709),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2709),
    [anon_sym_COMMA] = ACTIONS(2709),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2709),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(2711),
    [anon_sym_GT] = ACTIONS(2711),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2709),
    [anon_sym_PLUS_EQ] = ACTIONS(2709),
    [anon_sym_DASH_EQ] = ACTIONS(2709),
    [anon_sym_DOT_EQ] = ACTIONS(2709),
    [anon_sym_STAR_EQ] = ACTIONS(2709),
    [anon_sym_SLASH_EQ] = ACTIONS(2709),
    [anon_sym_PERCENT_EQ] = ACTIONS(2709),
    [anon_sym_x_EQ] = ACTIONS(2709),
    [anon_sym_AMP_EQ] = ACTIONS(2709),
    [anon_sym_PIPE_EQ] = ACTIONS(2709),
    [anon_sym_CARET_EQ] = ACTIONS(2709),
    [anon_sym_LT_LT_EQ] = ACTIONS(2709),
    [anon_sym_GT_GT_EQ] = ACTIONS(2709),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2709),
    [anon_sym_DOT_DOT] = ACTIONS(2711),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(2711),
    [anon_sym_SLASH_SLASH] = ACTIONS(2711),
    [anon_sym_CARET_CARET] = ACTIONS(2709),
    [anon_sym_AMP_AMP] = ACTIONS(2711),
    [anon_sym_PIPE] = ACTIONS(2711),
    [anon_sym_CARET] = ACTIONS(2711),
    [anon_sym_AMP] = ACTIONS(2711),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(2711),
    [anon_sym_BANG_EQ] = ACTIONS(2709),
    [anon_sym_eq] = ACTIONS(2711),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2709),
    [anon_sym_equ] = ACTIONS(2709),
    [anon_sym_eqr] = ACTIONS(2709),
    [anon_sym_ne] = ACTIONS(2709),
    [anon_sym_LT_EQ_GT] = ACTIONS(2709),
    [anon_sym_cmp] = ACTIONS(2709),
    [anon_sym_TILDE_TILDE] = ACTIONS(2709),
    [anon_sym_LT_EQ] = ACTIONS(2711),
    [anon_sym_GT_EQ] = ACTIONS(2709),
    [anon_sym_lt] = ACTIONS(2709),
    [anon_sym_le] = ACTIONS(2709),
    [anon_sym_ge] = ACTIONS(2709),
    [anon_sym_gt] = ACTIONS(2709),
    [anon_sym_isa] = ACTIONS(2709),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2709),
    [anon_sym_EQ_GT] = ACTIONS(2709),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2175] = {
    [sym_heredoc_content] = STATE(2175),
    [anon_sym_COLON] = ACTIONS(2737),
    [anon_sym_EQ] = ACTIONS(2739),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_COMMA] = ACTIONS(2737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2737),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(2739),
    [anon_sym_GT] = ACTIONS(2739),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2737),
    [anon_sym_PLUS_EQ] = ACTIONS(2737),
    [anon_sym_DASH_EQ] = ACTIONS(2737),
    [anon_sym_DOT_EQ] = ACTIONS(2737),
    [anon_sym_STAR_EQ] = ACTIONS(2737),
    [anon_sym_SLASH_EQ] = ACTIONS(2737),
    [anon_sym_PERCENT_EQ] = ACTIONS(2737),
    [anon_sym_x_EQ] = ACTIONS(2737),
    [anon_sym_AMP_EQ] = ACTIONS(2737),
    [anon_sym_PIPE_EQ] = ACTIONS(2737),
    [anon_sym_CARET_EQ] = ACTIONS(2737),
    [anon_sym_LT_LT_EQ] = ACTIONS(2737),
    [anon_sym_GT_GT_EQ] = ACTIONS(2737),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2737),
    [anon_sym_DOT_DOT] = ACTIONS(2739),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(2739),
    [anon_sym_SLASH_SLASH] = ACTIONS(2739),
    [anon_sym_CARET_CARET] = ACTIONS(2737),
    [anon_sym_AMP_AMP] = ACTIONS(2739),
    [anon_sym_PIPE] = ACTIONS(2739),
    [anon_sym_CARET] = ACTIONS(2739),
    [anon_sym_AMP] = ACTIONS(2739),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(2739),
    [anon_sym_BANG_EQ] = ACTIONS(2737),
    [anon_sym_eq] = ACTIONS(2739),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2737),
    [anon_sym_equ] = ACTIONS(2737),
    [anon_sym_eqr] = ACTIONS(2737),
    [anon_sym_ne] = ACTIONS(2737),
    [anon_sym_LT_EQ_GT] = ACTIONS(2737),
    [anon_sym_cmp] = ACTIONS(2737),
    [anon_sym_TILDE_TILDE] = ACTIONS(2737),
    [anon_sym_LT_EQ] = ACTIONS(2739),
    [anon_sym_GT_EQ] = ACTIONS(2737),
    [anon_sym_lt] = ACTIONS(2737),
    [anon_sym_le] = ACTIONS(2737),
    [anon_sym_ge] = ACTIONS(2737),
    [anon_sym_gt] = ACTIONS(2737),
    [anon_sym_isa] = ACTIONS(2737),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2737),
    [anon_sym_EQ_GT] = ACTIONS(2737),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2176] = {
    [sym_heredoc_content] = STATE(2176),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(3765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_COMMA] = ACTIONS(2753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3769),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3773),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3767),
    [anon_sym_PLUS_EQ] = ACTIONS(3767),
    [anon_sym_DASH_EQ] = ACTIONS(3767),
    [anon_sym_DOT_EQ] = ACTIONS(3767),
    [anon_sym_STAR_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_PERCENT_EQ] = ACTIONS(3767),
    [anon_sym_x_EQ] = ACTIONS(3767),
    [anon_sym_AMP_EQ] = ACTIONS(3767),
    [anon_sym_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_CARET_EQ] = ACTIONS(3767),
    [anon_sym_LT_LT_EQ] = ACTIONS(3767),
    [anon_sym_GT_GT_EQ] = ACTIONS(3767),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3767),
    [anon_sym_DOT_DOT] = ACTIONS(3777),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(3781),
    [anon_sym_SLASH_SLASH] = ACTIONS(3781),
    [anon_sym_CARET_CARET] = ACTIONS(3783),
    [anon_sym_AMP_AMP] = ACTIONS(3785),
    [anon_sym_PIPE] = ACTIONS(3787),
    [anon_sym_CARET] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(3789),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3795),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_eq] = ACTIONS(3795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3797),
    [anon_sym_equ] = ACTIONS(3797),
    [anon_sym_eqr] = ACTIONS(3797),
    [anon_sym_ne] = ACTIONS(3797),
    [anon_sym_LT_EQ_GT] = ACTIONS(3799),
    [anon_sym_cmp] = ACTIONS(3799),
    [anon_sym_TILDE_TILDE] = ACTIONS(3799),
    [anon_sym_LT_EQ] = ACTIONS(3773),
    [anon_sym_GT_EQ] = ACTIONS(3801),
    [anon_sym_lt] = ACTIONS(3801),
    [anon_sym_le] = ACTIONS(3801),
    [anon_sym_ge] = ACTIONS(3801),
    [anon_sym_gt] = ACTIONS(3801),
    [anon_sym_isa] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3805),
    [anon_sym_EQ_GT] = ACTIONS(2753),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2177] = {
    [sym_heredoc_content] = STATE(2177),
    [anon_sym_COLON] = ACTIONS(3028),
    [anon_sym_EQ] = ACTIONS(3030),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3028),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3028),
    [anon_sym_COMMA] = ACTIONS(3028),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3028),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3030),
    [anon_sym_GT] = ACTIONS(3030),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3028),
    [anon_sym_PLUS_EQ] = ACTIONS(3028),
    [anon_sym_DASH_EQ] = ACTIONS(3028),
    [anon_sym_DOT_EQ] = ACTIONS(3028),
    [anon_sym_STAR_EQ] = ACTIONS(3028),
    [anon_sym_SLASH_EQ] = ACTIONS(3028),
    [anon_sym_PERCENT_EQ] = ACTIONS(3028),
    [anon_sym_x_EQ] = ACTIONS(3028),
    [anon_sym_AMP_EQ] = ACTIONS(3028),
    [anon_sym_PIPE_EQ] = ACTIONS(3028),
    [anon_sym_CARET_EQ] = ACTIONS(3028),
    [anon_sym_LT_LT_EQ] = ACTIONS(3028),
    [anon_sym_GT_GT_EQ] = ACTIONS(3028),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3028),
    [anon_sym_DOT_DOT] = ACTIONS(3030),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(3030),
    [anon_sym_SLASH_SLASH] = ACTIONS(3030),
    [anon_sym_CARET_CARET] = ACTIONS(3028),
    [anon_sym_AMP_AMP] = ACTIONS(3030),
    [anon_sym_PIPE] = ACTIONS(3030),
    [anon_sym_CARET] = ACTIONS(3030),
    [anon_sym_AMP] = ACTIONS(3030),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3030),
    [anon_sym_BANG_EQ] = ACTIONS(3028),
    [anon_sym_eq] = ACTIONS(3030),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3028),
    [anon_sym_equ] = ACTIONS(3028),
    [anon_sym_eqr] = ACTIONS(3028),
    [anon_sym_ne] = ACTIONS(3028),
    [anon_sym_LT_EQ_GT] = ACTIONS(3028),
    [anon_sym_cmp] = ACTIONS(3028),
    [anon_sym_TILDE_TILDE] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(3030),
    [anon_sym_GT_EQ] = ACTIONS(3028),
    [anon_sym_lt] = ACTIONS(3028),
    [anon_sym_le] = ACTIONS(3028),
    [anon_sym_ge] = ACTIONS(3028),
    [anon_sym_gt] = ACTIONS(3028),
    [anon_sym_isa] = ACTIONS(3028),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3028),
    [anon_sym_EQ_GT] = ACTIONS(3028),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2178] = {
    [sym_heredoc_content] = STATE(2178),
    [anon_sym_COLON] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_COMMA] = ACTIONS(3154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3769),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3773),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3767),
    [anon_sym_PLUS_EQ] = ACTIONS(3767),
    [anon_sym_DASH_EQ] = ACTIONS(3767),
    [anon_sym_DOT_EQ] = ACTIONS(3767),
    [anon_sym_STAR_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_PERCENT_EQ] = ACTIONS(3767),
    [anon_sym_x_EQ] = ACTIONS(3767),
    [anon_sym_AMP_EQ] = ACTIONS(3767),
    [anon_sym_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_CARET_EQ] = ACTIONS(3767),
    [anon_sym_LT_LT_EQ] = ACTIONS(3767),
    [anon_sym_GT_GT_EQ] = ACTIONS(3767),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3767),
    [anon_sym_DOT_DOT] = ACTIONS(3777),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(3781),
    [anon_sym_SLASH_SLASH] = ACTIONS(3781),
    [anon_sym_CARET_CARET] = ACTIONS(3783),
    [anon_sym_AMP_AMP] = ACTIONS(3785),
    [anon_sym_PIPE] = ACTIONS(3787),
    [anon_sym_CARET] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(3789),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3795),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_eq] = ACTIONS(3795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3797),
    [anon_sym_equ] = ACTIONS(3797),
    [anon_sym_eqr] = ACTIONS(3797),
    [anon_sym_ne] = ACTIONS(3797),
    [anon_sym_LT_EQ_GT] = ACTIONS(3799),
    [anon_sym_cmp] = ACTIONS(3799),
    [anon_sym_TILDE_TILDE] = ACTIONS(3799),
    [anon_sym_LT_EQ] = ACTIONS(3773),
    [anon_sym_GT_EQ] = ACTIONS(3801),
    [anon_sym_lt] = ACTIONS(3801),
    [anon_sym_le] = ACTIONS(3801),
    [anon_sym_ge] = ACTIONS(3801),
    [anon_sym_gt] = ACTIONS(3801),
    [anon_sym_isa] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3805),
    [anon_sym_EQ_GT] = ACTIONS(3154),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2179] = {
    [sym_heredoc_content] = STATE(2179),
    [anon_sym_COLON] = ACTIONS(2805),
    [anon_sym_EQ] = ACTIONS(2807),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_COMMA] = ACTIONS(2805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2805),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_GT] = ACTIONS(2807),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2805),
    [anon_sym_PLUS_EQ] = ACTIONS(2805),
    [anon_sym_DASH_EQ] = ACTIONS(2805),
    [anon_sym_DOT_EQ] = ACTIONS(2805),
    [anon_sym_STAR_EQ] = ACTIONS(2805),
    [anon_sym_SLASH_EQ] = ACTIONS(2805),
    [anon_sym_PERCENT_EQ] = ACTIONS(2805),
    [anon_sym_x_EQ] = ACTIONS(2805),
    [anon_sym_AMP_EQ] = ACTIONS(2805),
    [anon_sym_PIPE_EQ] = ACTIONS(2805),
    [anon_sym_CARET_EQ] = ACTIONS(2805),
    [anon_sym_LT_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT_GT_EQ] = ACTIONS(2805),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2805),
    [anon_sym_DOT_DOT] = ACTIONS(2807),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(2807),
    [anon_sym_SLASH_SLASH] = ACTIONS(2807),
    [anon_sym_CARET_CARET] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2807),
    [anon_sym_PIPE] = ACTIONS(2807),
    [anon_sym_CARET] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(2807),
    [anon_sym_BANG_EQ] = ACTIONS(2805),
    [anon_sym_eq] = ACTIONS(2807),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2805),
    [anon_sym_equ] = ACTIONS(2805),
    [anon_sym_eqr] = ACTIONS(2805),
    [anon_sym_ne] = ACTIONS(2805),
    [anon_sym_LT_EQ_GT] = ACTIONS(2805),
    [anon_sym_cmp] = ACTIONS(2805),
    [anon_sym_TILDE_TILDE] = ACTIONS(2805),
    [anon_sym_LT_EQ] = ACTIONS(2807),
    [anon_sym_GT_EQ] = ACTIONS(2805),
    [anon_sym_lt] = ACTIONS(2805),
    [anon_sym_le] = ACTIONS(2805),
    [anon_sym_ge] = ACTIONS(2805),
    [anon_sym_gt] = ACTIONS(2805),
    [anon_sym_isa] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(2805),
    [anon_sym_EQ_GT] = ACTIONS(2805),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2180] = {
    [sym_heredoc_content] = STATE(2180),
    [anon_sym_EQ] = ACTIONS(3683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_COMMA] = ACTIONS(3820),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3685),
    [anon_sym_PLUS_EQ] = ACTIONS(3685),
    [anon_sym_DASH_EQ] = ACTIONS(3685),
    [anon_sym_DOT_EQ] = ACTIONS(3685),
    [anon_sym_STAR_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_PERCENT_EQ] = ACTIONS(3685),
    [anon_sym_x_EQ] = ACTIONS(3685),
    [anon_sym_AMP_EQ] = ACTIONS(3685),
    [anon_sym_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_CARET_EQ] = ACTIONS(3685),
    [anon_sym_LT_LT_EQ] = ACTIONS(3685),
    [anon_sym_GT_GT_EQ] = ACTIONS(3685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3685),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3703),
    [anon_sym_CARET_CARET] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3729),
    [anon_sym_EQ_GT] = ACTIONS(3820),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2181] = {
    [sym_heredoc_content] = STATE(2181),
    [anon_sym_EQ] = ACTIONS(3683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_COMMA] = ACTIONS(3822),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3685),
    [anon_sym_PLUS_EQ] = ACTIONS(3685),
    [anon_sym_DASH_EQ] = ACTIONS(3685),
    [anon_sym_DOT_EQ] = ACTIONS(3685),
    [anon_sym_STAR_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_PERCENT_EQ] = ACTIONS(3685),
    [anon_sym_x_EQ] = ACTIONS(3685),
    [anon_sym_AMP_EQ] = ACTIONS(3685),
    [anon_sym_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_CARET_EQ] = ACTIONS(3685),
    [anon_sym_LT_LT_EQ] = ACTIONS(3685),
    [anon_sym_GT_GT_EQ] = ACTIONS(3685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3685),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3703),
    [anon_sym_CARET_CARET] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3729),
    [anon_sym_EQ_GT] = ACTIONS(3822),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2182] = {
    [sym_heredoc_content] = STATE(2182),
    [anon_sym_EQ] = ACTIONS(3683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_COMMA] = ACTIONS(3824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3685),
    [anon_sym_PLUS_EQ] = ACTIONS(3685),
    [anon_sym_DASH_EQ] = ACTIONS(3685),
    [anon_sym_DOT_EQ] = ACTIONS(3685),
    [anon_sym_STAR_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_PERCENT_EQ] = ACTIONS(3685),
    [anon_sym_x_EQ] = ACTIONS(3685),
    [anon_sym_AMP_EQ] = ACTIONS(3685),
    [anon_sym_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_CARET_EQ] = ACTIONS(3685),
    [anon_sym_LT_LT_EQ] = ACTIONS(3685),
    [anon_sym_GT_GT_EQ] = ACTIONS(3685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3685),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3703),
    [anon_sym_CARET_CARET] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3729),
    [anon_sym_EQ_GT] = ACTIONS(3824),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2183] = {
    [sym_heredoc_content] = STATE(2183),
    [anon_sym_EQ] = ACTIONS(3683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_COMMA] = ACTIONS(3826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3685),
    [anon_sym_PLUS_EQ] = ACTIONS(3685),
    [anon_sym_DASH_EQ] = ACTIONS(3685),
    [anon_sym_DOT_EQ] = ACTIONS(3685),
    [anon_sym_STAR_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_PERCENT_EQ] = ACTIONS(3685),
    [anon_sym_x_EQ] = ACTIONS(3685),
    [anon_sym_AMP_EQ] = ACTIONS(3685),
    [anon_sym_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_CARET_EQ] = ACTIONS(3685),
    [anon_sym_LT_LT_EQ] = ACTIONS(3685),
    [anon_sym_GT_GT_EQ] = ACTIONS(3685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3685),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3703),
    [anon_sym_CARET_CARET] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3729),
    [anon_sym_EQ_GT] = ACTIONS(3826),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2184] = {
    [sym_heredoc_content] = STATE(2184),
    [anon_sym_EQ] = ACTIONS(3683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_COMMA] = ACTIONS(3828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3685),
    [anon_sym_PLUS_EQ] = ACTIONS(3685),
    [anon_sym_DASH_EQ] = ACTIONS(3685),
    [anon_sym_DOT_EQ] = ACTIONS(3685),
    [anon_sym_STAR_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_PERCENT_EQ] = ACTIONS(3685),
    [anon_sym_x_EQ] = ACTIONS(3685),
    [anon_sym_AMP_EQ] = ACTIONS(3685),
    [anon_sym_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_CARET_EQ] = ACTIONS(3685),
    [anon_sym_LT_LT_EQ] = ACTIONS(3685),
    [anon_sym_GT_GT_EQ] = ACTIONS(3685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3685),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3703),
    [anon_sym_CARET_CARET] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3729),
    [anon_sym_EQ_GT] = ACTIONS(3828),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2185] = {
    [sym_heredoc_content] = STATE(2185),
    [anon_sym_EQ] = ACTIONS(3683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_COMMA] = ACTIONS(3830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3685),
    [anon_sym_PLUS_EQ] = ACTIONS(3685),
    [anon_sym_DASH_EQ] = ACTIONS(3685),
    [anon_sym_DOT_EQ] = ACTIONS(3685),
    [anon_sym_STAR_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_PERCENT_EQ] = ACTIONS(3685),
    [anon_sym_x_EQ] = ACTIONS(3685),
    [anon_sym_AMP_EQ] = ACTIONS(3685),
    [anon_sym_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_CARET_EQ] = ACTIONS(3685),
    [anon_sym_LT_LT_EQ] = ACTIONS(3685),
    [anon_sym_GT_GT_EQ] = ACTIONS(3685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3685),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3703),
    [anon_sym_CARET_CARET] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3729),
    [anon_sym_EQ_GT] = ACTIONS(3830),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2186] = {
    [sym_heredoc_content] = STATE(2186),
    [anon_sym_EQ] = ACTIONS(3683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_COMMA] = ACTIONS(2805),
    [anon_sym_RPAREN] = ACTIONS(2805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3685),
    [anon_sym_PLUS_EQ] = ACTIONS(3685),
    [anon_sym_DASH_EQ] = ACTIONS(3685),
    [anon_sym_DOT_EQ] = ACTIONS(3685),
    [anon_sym_STAR_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_PERCENT_EQ] = ACTIONS(3685),
    [anon_sym_x_EQ] = ACTIONS(3685),
    [anon_sym_AMP_EQ] = ACTIONS(3685),
    [anon_sym_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_CARET_EQ] = ACTIONS(3685),
    [anon_sym_LT_LT_EQ] = ACTIONS(3685),
    [anon_sym_GT_GT_EQ] = ACTIONS(3685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3685),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3703),
    [anon_sym_CARET_CARET] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3729),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2187] = {
    [sym_heredoc_content] = STATE(2187),
    [anon_sym_EQ] = ACTIONS(3683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_COMMA] = ACTIONS(3832),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3685),
    [anon_sym_PLUS_EQ] = ACTIONS(3685),
    [anon_sym_DASH_EQ] = ACTIONS(3685),
    [anon_sym_DOT_EQ] = ACTIONS(3685),
    [anon_sym_STAR_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_PERCENT_EQ] = ACTIONS(3685),
    [anon_sym_x_EQ] = ACTIONS(3685),
    [anon_sym_AMP_EQ] = ACTIONS(3685),
    [anon_sym_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_CARET_EQ] = ACTIONS(3685),
    [anon_sym_LT_LT_EQ] = ACTIONS(3685),
    [anon_sym_GT_GT_EQ] = ACTIONS(3685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3685),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3703),
    [anon_sym_CARET_CARET] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3729),
    [anon_sym_EQ_GT] = ACTIONS(3832),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2188] = {
    [sym_heredoc_content] = STATE(2188),
    [anon_sym_EQ] = ACTIONS(3683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_COMMA] = ACTIONS(3834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3685),
    [anon_sym_PLUS_EQ] = ACTIONS(3685),
    [anon_sym_DASH_EQ] = ACTIONS(3685),
    [anon_sym_DOT_EQ] = ACTIONS(3685),
    [anon_sym_STAR_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_PERCENT_EQ] = ACTIONS(3685),
    [anon_sym_x_EQ] = ACTIONS(3685),
    [anon_sym_AMP_EQ] = ACTIONS(3685),
    [anon_sym_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_CARET_EQ] = ACTIONS(3685),
    [anon_sym_LT_LT_EQ] = ACTIONS(3685),
    [anon_sym_GT_GT_EQ] = ACTIONS(3685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3685),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3703),
    [anon_sym_CARET_CARET] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3729),
    [anon_sym_EQ_GT] = ACTIONS(3834),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2189] = {
    [sym_heredoc_content] = STATE(2189),
    [anon_sym_EQ] = ACTIONS(3683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_COMMA] = ACTIONS(3836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3685),
    [anon_sym_PLUS_EQ] = ACTIONS(3685),
    [anon_sym_DASH_EQ] = ACTIONS(3685),
    [anon_sym_DOT_EQ] = ACTIONS(3685),
    [anon_sym_STAR_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_PERCENT_EQ] = ACTIONS(3685),
    [anon_sym_x_EQ] = ACTIONS(3685),
    [anon_sym_AMP_EQ] = ACTIONS(3685),
    [anon_sym_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_CARET_EQ] = ACTIONS(3685),
    [anon_sym_LT_LT_EQ] = ACTIONS(3685),
    [anon_sym_GT_GT_EQ] = ACTIONS(3685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3685),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3703),
    [anon_sym_CARET_CARET] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3729),
    [anon_sym_EQ_GT] = ACTIONS(3836),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2190] = {
    [sym_heredoc_content] = STATE(2190),
    [anon_sym_EQ] = ACTIONS(3683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_COMMA] = ACTIONS(3838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3685),
    [anon_sym_PLUS_EQ] = ACTIONS(3685),
    [anon_sym_DASH_EQ] = ACTIONS(3685),
    [anon_sym_DOT_EQ] = ACTIONS(3685),
    [anon_sym_STAR_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_PERCENT_EQ] = ACTIONS(3685),
    [anon_sym_x_EQ] = ACTIONS(3685),
    [anon_sym_AMP_EQ] = ACTIONS(3685),
    [anon_sym_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_CARET_EQ] = ACTIONS(3685),
    [anon_sym_LT_LT_EQ] = ACTIONS(3685),
    [anon_sym_GT_GT_EQ] = ACTIONS(3685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3685),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3703),
    [anon_sym_CARET_CARET] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3729),
    [anon_sym_EQ_GT] = ACTIONS(3838),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2191] = {
    [sym_heredoc_content] = STATE(2191),
    [anon_sym_EQ] = ACTIONS(3683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_COMMA] = ACTIONS(3840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3685),
    [anon_sym_PLUS_EQ] = ACTIONS(3685),
    [anon_sym_DASH_EQ] = ACTIONS(3685),
    [anon_sym_DOT_EQ] = ACTIONS(3685),
    [anon_sym_STAR_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_PERCENT_EQ] = ACTIONS(3685),
    [anon_sym_x_EQ] = ACTIONS(3685),
    [anon_sym_AMP_EQ] = ACTIONS(3685),
    [anon_sym_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_CARET_EQ] = ACTIONS(3685),
    [anon_sym_LT_LT_EQ] = ACTIONS(3685),
    [anon_sym_GT_GT_EQ] = ACTIONS(3685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3685),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3703),
    [anon_sym_CARET_CARET] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3729),
    [anon_sym_EQ_GT] = ACTIONS(3840),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2192] = {
    [sym_heredoc_content] = STATE(2192),
    [anon_sym_EQ] = ACTIONS(3683),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_COMMA] = ACTIONS(3842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3689),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3693),
    [anon_sym_LT] = ACTIONS(3695),
    [anon_sym_GT] = ACTIONS(3695),
    [anon_sym_LT_LT] = ACTIONS(3697),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3685),
    [anon_sym_PLUS_EQ] = ACTIONS(3685),
    [anon_sym_DASH_EQ] = ACTIONS(3685),
    [anon_sym_DOT_EQ] = ACTIONS(3685),
    [anon_sym_STAR_EQ] = ACTIONS(3685),
    [anon_sym_SLASH_EQ] = ACTIONS(3685),
    [anon_sym_PERCENT_EQ] = ACTIONS(3685),
    [anon_sym_x_EQ] = ACTIONS(3685),
    [anon_sym_AMP_EQ] = ACTIONS(3685),
    [anon_sym_PIPE_EQ] = ACTIONS(3685),
    [anon_sym_CARET_EQ] = ACTIONS(3685),
    [anon_sym_LT_LT_EQ] = ACTIONS(3685),
    [anon_sym_GT_GT_EQ] = ACTIONS(3685),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3685),
    [anon_sym_DOT_DOT] = ACTIONS(3699),
    [anon_sym_STAR_STAR] = ACTIONS(3701),
    [anon_sym_PIPE_PIPE] = ACTIONS(3703),
    [anon_sym_SLASH_SLASH] = ACTIONS(3703),
    [anon_sym_CARET_CARET] = ACTIONS(3705),
    [anon_sym_AMP_AMP] = ACTIONS(3707),
    [anon_sym_PIPE] = ACTIONS(3709),
    [anon_sym_CARET] = ACTIONS(3709),
    [anon_sym_AMP] = ACTIONS(3711),
    [anon_sym_GT_GT2] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3713),
    [anon_sym_DASH] = ACTIONS(3713),
    [anon_sym_DOT] = ACTIONS(3713),
    [anon_sym_STAR] = ACTIONS(3693),
    [anon_sym_SLASH] = ACTIONS(3693),
    [anon_sym_x] = ACTIONS(3693),
    [anon_sym_EQ_TILDE] = ACTIONS(3715),
    [anon_sym_BANG_TILDE] = ACTIONS(3715),
    [anon_sym_EQ_EQ] = ACTIONS(3717),
    [anon_sym_BANG_EQ] = ACTIONS(3719),
    [anon_sym_eq] = ACTIONS(3717),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3719),
    [anon_sym_equ] = ACTIONS(3719),
    [anon_sym_eqr] = ACTIONS(3719),
    [anon_sym_ne] = ACTIONS(3719),
    [anon_sym_LT_EQ_GT] = ACTIONS(3721),
    [anon_sym_cmp] = ACTIONS(3721),
    [anon_sym_TILDE_TILDE] = ACTIONS(3721),
    [anon_sym_LT_EQ] = ACTIONS(3695),
    [anon_sym_GT_EQ] = ACTIONS(3723),
    [anon_sym_lt] = ACTIONS(3723),
    [anon_sym_le] = ACTIONS(3723),
    [anon_sym_ge] = ACTIONS(3723),
    [anon_sym_gt] = ACTIONS(3723),
    [anon_sym_isa] = ACTIONS(3725),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3729),
    [anon_sym_EQ_GT] = ACTIONS(3842),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2193] = {
    [sym_heredoc_content] = STATE(2193),
    [anon_sym_COLON] = ACTIONS(3844),
    [anon_sym_EQ] = ACTIONS(3765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3769),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3773),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3767),
    [anon_sym_PLUS_EQ] = ACTIONS(3767),
    [anon_sym_DASH_EQ] = ACTIONS(3767),
    [anon_sym_DOT_EQ] = ACTIONS(3767),
    [anon_sym_STAR_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_PERCENT_EQ] = ACTIONS(3767),
    [anon_sym_x_EQ] = ACTIONS(3767),
    [anon_sym_AMP_EQ] = ACTIONS(3767),
    [anon_sym_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_CARET_EQ] = ACTIONS(3767),
    [anon_sym_LT_LT_EQ] = ACTIONS(3767),
    [anon_sym_GT_GT_EQ] = ACTIONS(3767),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3767),
    [anon_sym_DOT_DOT] = ACTIONS(3777),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(3781),
    [anon_sym_SLASH_SLASH] = ACTIONS(3781),
    [anon_sym_CARET_CARET] = ACTIONS(3783),
    [anon_sym_AMP_AMP] = ACTIONS(3785),
    [anon_sym_PIPE] = ACTIONS(3787),
    [anon_sym_CARET] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(3789),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3795),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_eq] = ACTIONS(3795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3797),
    [anon_sym_equ] = ACTIONS(3797),
    [anon_sym_eqr] = ACTIONS(3797),
    [anon_sym_ne] = ACTIONS(3797),
    [anon_sym_LT_EQ_GT] = ACTIONS(3799),
    [anon_sym_cmp] = ACTIONS(3799),
    [anon_sym_TILDE_TILDE] = ACTIONS(3799),
    [anon_sym_LT_EQ] = ACTIONS(3773),
    [anon_sym_GT_EQ] = ACTIONS(3801),
    [anon_sym_lt] = ACTIONS(3801),
    [anon_sym_le] = ACTIONS(3801),
    [anon_sym_ge] = ACTIONS(3801),
    [anon_sym_gt] = ACTIONS(3801),
    [anon_sym_isa] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3805),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2194] = {
    [sym_heredoc_content] = STATE(2194),
    [anon_sym_COLON] = ACTIONS(3846),
    [anon_sym_EQ] = ACTIONS(3765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3769),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3773),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3767),
    [anon_sym_PLUS_EQ] = ACTIONS(3767),
    [anon_sym_DASH_EQ] = ACTIONS(3767),
    [anon_sym_DOT_EQ] = ACTIONS(3767),
    [anon_sym_STAR_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_PERCENT_EQ] = ACTIONS(3767),
    [anon_sym_x_EQ] = ACTIONS(3767),
    [anon_sym_AMP_EQ] = ACTIONS(3767),
    [anon_sym_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_CARET_EQ] = ACTIONS(3767),
    [anon_sym_LT_LT_EQ] = ACTIONS(3767),
    [anon_sym_GT_GT_EQ] = ACTIONS(3767),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3767),
    [anon_sym_DOT_DOT] = ACTIONS(3777),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(3781),
    [anon_sym_SLASH_SLASH] = ACTIONS(3781),
    [anon_sym_CARET_CARET] = ACTIONS(3783),
    [anon_sym_AMP_AMP] = ACTIONS(3785),
    [anon_sym_PIPE] = ACTIONS(3787),
    [anon_sym_CARET] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(3789),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3795),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_eq] = ACTIONS(3795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3797),
    [anon_sym_equ] = ACTIONS(3797),
    [anon_sym_eqr] = ACTIONS(3797),
    [anon_sym_ne] = ACTIONS(3797),
    [anon_sym_LT_EQ_GT] = ACTIONS(3799),
    [anon_sym_cmp] = ACTIONS(3799),
    [anon_sym_TILDE_TILDE] = ACTIONS(3799),
    [anon_sym_LT_EQ] = ACTIONS(3773),
    [anon_sym_GT_EQ] = ACTIONS(3801),
    [anon_sym_lt] = ACTIONS(3801),
    [anon_sym_le] = ACTIONS(3801),
    [anon_sym_ge] = ACTIONS(3801),
    [anon_sym_gt] = ACTIONS(3801),
    [anon_sym_isa] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3805),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2195] = {
    [sym_heredoc_content] = STATE(2195),
    [anon_sym_COLON] = ACTIONS(3848),
    [anon_sym_EQ] = ACTIONS(3765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3769),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3773),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3767),
    [anon_sym_PLUS_EQ] = ACTIONS(3767),
    [anon_sym_DASH_EQ] = ACTIONS(3767),
    [anon_sym_DOT_EQ] = ACTIONS(3767),
    [anon_sym_STAR_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_PERCENT_EQ] = ACTIONS(3767),
    [anon_sym_x_EQ] = ACTIONS(3767),
    [anon_sym_AMP_EQ] = ACTIONS(3767),
    [anon_sym_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_CARET_EQ] = ACTIONS(3767),
    [anon_sym_LT_LT_EQ] = ACTIONS(3767),
    [anon_sym_GT_GT_EQ] = ACTIONS(3767),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3767),
    [anon_sym_DOT_DOT] = ACTIONS(3777),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(3781),
    [anon_sym_SLASH_SLASH] = ACTIONS(3781),
    [anon_sym_CARET_CARET] = ACTIONS(3783),
    [anon_sym_AMP_AMP] = ACTIONS(3785),
    [anon_sym_PIPE] = ACTIONS(3787),
    [anon_sym_CARET] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(3789),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3795),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_eq] = ACTIONS(3795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3797),
    [anon_sym_equ] = ACTIONS(3797),
    [anon_sym_eqr] = ACTIONS(3797),
    [anon_sym_ne] = ACTIONS(3797),
    [anon_sym_LT_EQ_GT] = ACTIONS(3799),
    [anon_sym_cmp] = ACTIONS(3799),
    [anon_sym_TILDE_TILDE] = ACTIONS(3799),
    [anon_sym_LT_EQ] = ACTIONS(3773),
    [anon_sym_GT_EQ] = ACTIONS(3801),
    [anon_sym_lt] = ACTIONS(3801),
    [anon_sym_le] = ACTIONS(3801),
    [anon_sym_ge] = ACTIONS(3801),
    [anon_sym_gt] = ACTIONS(3801),
    [anon_sym_isa] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3805),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2196] = {
    [sym_heredoc_content] = STATE(2196),
    [anon_sym_COLON] = ACTIONS(3850),
    [anon_sym_EQ] = ACTIONS(3765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3769),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3773),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3767),
    [anon_sym_PLUS_EQ] = ACTIONS(3767),
    [anon_sym_DASH_EQ] = ACTIONS(3767),
    [anon_sym_DOT_EQ] = ACTIONS(3767),
    [anon_sym_STAR_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_PERCENT_EQ] = ACTIONS(3767),
    [anon_sym_x_EQ] = ACTIONS(3767),
    [anon_sym_AMP_EQ] = ACTIONS(3767),
    [anon_sym_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_CARET_EQ] = ACTIONS(3767),
    [anon_sym_LT_LT_EQ] = ACTIONS(3767),
    [anon_sym_GT_GT_EQ] = ACTIONS(3767),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3767),
    [anon_sym_DOT_DOT] = ACTIONS(3777),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(3781),
    [anon_sym_SLASH_SLASH] = ACTIONS(3781),
    [anon_sym_CARET_CARET] = ACTIONS(3783),
    [anon_sym_AMP_AMP] = ACTIONS(3785),
    [anon_sym_PIPE] = ACTIONS(3787),
    [anon_sym_CARET] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(3789),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3795),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_eq] = ACTIONS(3795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3797),
    [anon_sym_equ] = ACTIONS(3797),
    [anon_sym_eqr] = ACTIONS(3797),
    [anon_sym_ne] = ACTIONS(3797),
    [anon_sym_LT_EQ_GT] = ACTIONS(3799),
    [anon_sym_cmp] = ACTIONS(3799),
    [anon_sym_TILDE_TILDE] = ACTIONS(3799),
    [anon_sym_LT_EQ] = ACTIONS(3773),
    [anon_sym_GT_EQ] = ACTIONS(3801),
    [anon_sym_lt] = ACTIONS(3801),
    [anon_sym_le] = ACTIONS(3801),
    [anon_sym_ge] = ACTIONS(3801),
    [anon_sym_gt] = ACTIONS(3801),
    [anon_sym_isa] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3805),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2197] = {
    [sym_heredoc_content] = STATE(2197),
    [anon_sym_COLON] = ACTIONS(3852),
    [anon_sym_EQ] = ACTIONS(3765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3769),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3773),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3767),
    [anon_sym_PLUS_EQ] = ACTIONS(3767),
    [anon_sym_DASH_EQ] = ACTIONS(3767),
    [anon_sym_DOT_EQ] = ACTIONS(3767),
    [anon_sym_STAR_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_PERCENT_EQ] = ACTIONS(3767),
    [anon_sym_x_EQ] = ACTIONS(3767),
    [anon_sym_AMP_EQ] = ACTIONS(3767),
    [anon_sym_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_CARET_EQ] = ACTIONS(3767),
    [anon_sym_LT_LT_EQ] = ACTIONS(3767),
    [anon_sym_GT_GT_EQ] = ACTIONS(3767),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3767),
    [anon_sym_DOT_DOT] = ACTIONS(3777),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(3781),
    [anon_sym_SLASH_SLASH] = ACTIONS(3781),
    [anon_sym_CARET_CARET] = ACTIONS(3783),
    [anon_sym_AMP_AMP] = ACTIONS(3785),
    [anon_sym_PIPE] = ACTIONS(3787),
    [anon_sym_CARET] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(3789),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3795),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_eq] = ACTIONS(3795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3797),
    [anon_sym_equ] = ACTIONS(3797),
    [anon_sym_eqr] = ACTIONS(3797),
    [anon_sym_ne] = ACTIONS(3797),
    [anon_sym_LT_EQ_GT] = ACTIONS(3799),
    [anon_sym_cmp] = ACTIONS(3799),
    [anon_sym_TILDE_TILDE] = ACTIONS(3799),
    [anon_sym_LT_EQ] = ACTIONS(3773),
    [anon_sym_GT_EQ] = ACTIONS(3801),
    [anon_sym_lt] = ACTIONS(3801),
    [anon_sym_le] = ACTIONS(3801),
    [anon_sym_ge] = ACTIONS(3801),
    [anon_sym_gt] = ACTIONS(3801),
    [anon_sym_isa] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3805),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2198] = {
    [sym_heredoc_content] = STATE(2198),
    [anon_sym_COLON] = ACTIONS(3854),
    [anon_sym_EQ] = ACTIONS(3765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3769),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3773),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3767),
    [anon_sym_PLUS_EQ] = ACTIONS(3767),
    [anon_sym_DASH_EQ] = ACTIONS(3767),
    [anon_sym_DOT_EQ] = ACTIONS(3767),
    [anon_sym_STAR_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_PERCENT_EQ] = ACTIONS(3767),
    [anon_sym_x_EQ] = ACTIONS(3767),
    [anon_sym_AMP_EQ] = ACTIONS(3767),
    [anon_sym_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_CARET_EQ] = ACTIONS(3767),
    [anon_sym_LT_LT_EQ] = ACTIONS(3767),
    [anon_sym_GT_GT_EQ] = ACTIONS(3767),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3767),
    [anon_sym_DOT_DOT] = ACTIONS(3777),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(3781),
    [anon_sym_SLASH_SLASH] = ACTIONS(3781),
    [anon_sym_CARET_CARET] = ACTIONS(3783),
    [anon_sym_AMP_AMP] = ACTIONS(3785),
    [anon_sym_PIPE] = ACTIONS(3787),
    [anon_sym_CARET] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(3789),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3795),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_eq] = ACTIONS(3795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3797),
    [anon_sym_equ] = ACTIONS(3797),
    [anon_sym_eqr] = ACTIONS(3797),
    [anon_sym_ne] = ACTIONS(3797),
    [anon_sym_LT_EQ_GT] = ACTIONS(3799),
    [anon_sym_cmp] = ACTIONS(3799),
    [anon_sym_TILDE_TILDE] = ACTIONS(3799),
    [anon_sym_LT_EQ] = ACTIONS(3773),
    [anon_sym_GT_EQ] = ACTIONS(3801),
    [anon_sym_lt] = ACTIONS(3801),
    [anon_sym_le] = ACTIONS(3801),
    [anon_sym_ge] = ACTIONS(3801),
    [anon_sym_gt] = ACTIONS(3801),
    [anon_sym_isa] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3805),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2199] = {
    [sym_heredoc_content] = STATE(2199),
    [anon_sym_COLON] = ACTIONS(3856),
    [anon_sym_EQ] = ACTIONS(3765),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3769),
    [anon_sym_DASH_GT] = ACTIONS(3691),
    [anon_sym_PERCENT] = ACTIONS(3771),
    [anon_sym_LT] = ACTIONS(3773),
    [anon_sym_GT] = ACTIONS(3773),
    [anon_sym_LT_LT] = ACTIONS(3775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3767),
    [anon_sym_PLUS_EQ] = ACTIONS(3767),
    [anon_sym_DASH_EQ] = ACTIONS(3767),
    [anon_sym_DOT_EQ] = ACTIONS(3767),
    [anon_sym_STAR_EQ] = ACTIONS(3767),
    [anon_sym_SLASH_EQ] = ACTIONS(3767),
    [anon_sym_PERCENT_EQ] = ACTIONS(3767),
    [anon_sym_x_EQ] = ACTIONS(3767),
    [anon_sym_AMP_EQ] = ACTIONS(3767),
    [anon_sym_PIPE_EQ] = ACTIONS(3767),
    [anon_sym_CARET_EQ] = ACTIONS(3767),
    [anon_sym_LT_LT_EQ] = ACTIONS(3767),
    [anon_sym_GT_GT_EQ] = ACTIONS(3767),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3767),
    [anon_sym_DOT_DOT] = ACTIONS(3777),
    [anon_sym_STAR_STAR] = ACTIONS(3779),
    [anon_sym_PIPE_PIPE] = ACTIONS(3781),
    [anon_sym_SLASH_SLASH] = ACTIONS(3781),
    [anon_sym_CARET_CARET] = ACTIONS(3783),
    [anon_sym_AMP_AMP] = ACTIONS(3785),
    [anon_sym_PIPE] = ACTIONS(3787),
    [anon_sym_CARET] = ACTIONS(3787),
    [anon_sym_AMP] = ACTIONS(3789),
    [anon_sym_GT_GT2] = ACTIONS(3775),
    [anon_sym_PLUS] = ACTIONS(3791),
    [anon_sym_DASH] = ACTIONS(3791),
    [anon_sym_DOT] = ACTIONS(3791),
    [anon_sym_STAR] = ACTIONS(3771),
    [anon_sym_SLASH] = ACTIONS(3771),
    [anon_sym_x] = ACTIONS(3771),
    [anon_sym_EQ_TILDE] = ACTIONS(3793),
    [anon_sym_BANG_TILDE] = ACTIONS(3793),
    [anon_sym_EQ_EQ] = ACTIONS(3795),
    [anon_sym_BANG_EQ] = ACTIONS(3797),
    [anon_sym_eq] = ACTIONS(3795),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3797),
    [anon_sym_equ] = ACTIONS(3797),
    [anon_sym_eqr] = ACTIONS(3797),
    [anon_sym_ne] = ACTIONS(3797),
    [anon_sym_LT_EQ_GT] = ACTIONS(3799),
    [anon_sym_cmp] = ACTIONS(3799),
    [anon_sym_TILDE_TILDE] = ACTIONS(3799),
    [anon_sym_LT_EQ] = ACTIONS(3773),
    [anon_sym_GT_EQ] = ACTIONS(3801),
    [anon_sym_lt] = ACTIONS(3801),
    [anon_sym_le] = ACTIONS(3801),
    [anon_sym_ge] = ACTIONS(3801),
    [anon_sym_gt] = ACTIONS(3801),
    [anon_sym_isa] = ACTIONS(3803),
    [anon_sym_PLUS_PLUS] = ACTIONS(3727),
    [anon_sym_DASH_DASH] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3805),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3860), 1,
      anon_sym_DOLLAR,
    ACTIONS(3862), 1,
      anon_sym_AT,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2200), 1,
      sym_heredoc_content,
    STATE(2204), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2240), 1,
      sym__quotelike_middle,
    STATE(2331), 1,
      sym_scalar,
    STATE(2409), 1,
      sym__array_element_interpolation,
    STATE(2444), 1,
      sym__subscripted_interpolations,
    STATE(2494), 1,
      sym__hash_element_interpolation,
    STATE(2512), 1,
      sym_array,
    STATE(2602), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(2638), 1,
      sym__slice_expression_interpolation,
    STATE(3250), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2637), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2648), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3858), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3866), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [69] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3860), 1,
      anon_sym_DOLLAR,
    ACTIONS(3862), 1,
      anon_sym_AT,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2201), 1,
      sym_heredoc_content,
    STATE(2246), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2290), 1,
      sym__quotelike_middle,
    STATE(2331), 1,
      sym_scalar,
    STATE(2409), 1,
      sym__array_element_interpolation,
    STATE(2444), 1,
      sym__subscripted_interpolations,
    STATE(2494), 1,
      sym__hash_element_interpolation,
    STATE(2512), 1,
      sym_array,
    STATE(2602), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(2638), 1,
      sym__slice_expression_interpolation,
    STATE(3250), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2637), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2648), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3858), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3866), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [138] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3860), 1,
      anon_sym_DOLLAR,
    ACTIONS(3862), 1,
      anon_sym_AT,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2202), 1,
      sym_heredoc_content,
    STATE(2246), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2278), 1,
      sym__quotelike_middle,
    STATE(2331), 1,
      sym_scalar,
    STATE(2409), 1,
      sym__array_element_interpolation,
    STATE(2444), 1,
      sym__subscripted_interpolations,
    STATE(2494), 1,
      sym__hash_element_interpolation,
    STATE(2512), 1,
      sym_array,
    STATE(2602), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(2638), 1,
      sym__slice_expression_interpolation,
    STATE(3250), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2637), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2648), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3858), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3866), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [207] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3860), 1,
      anon_sym_DOLLAR,
    ACTIONS(3862), 1,
      anon_sym_AT,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2203), 1,
      sym_heredoc_content,
    STATE(2208), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2264), 1,
      sym__quotelike_middle,
    STATE(2331), 1,
      sym_scalar,
    STATE(2409), 1,
      sym__array_element_interpolation,
    STATE(2444), 1,
      sym__subscripted_interpolations,
    STATE(2494), 1,
      sym__hash_element_interpolation,
    STATE(2512), 1,
      sym_array,
    STATE(2602), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(2638), 1,
      sym__slice_expression_interpolation,
    STATE(3250), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2637), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2648), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3858), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3866), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [276] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3860), 1,
      anon_sym_DOLLAR,
    ACTIONS(3862), 1,
      anon_sym_AT,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2204), 1,
      sym_heredoc_content,
    STATE(2243), 1,
      sym__quotelike_middle,
    STATE(2246), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2331), 1,
      sym_scalar,
    STATE(2409), 1,
      sym__array_element_interpolation,
    STATE(2444), 1,
      sym__subscripted_interpolations,
    STATE(2494), 1,
      sym__hash_element_interpolation,
    STATE(2512), 1,
      sym_array,
    STATE(2602), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(2638), 1,
      sym__slice_expression_interpolation,
    STATE(3250), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2637), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2648), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3858), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3866), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [345] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3860), 1,
      anon_sym_DOLLAR,
    ACTIONS(3862), 1,
      anon_sym_AT,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2201), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2205), 1,
      sym_heredoc_content,
    STATE(2288), 1,
      sym__quotelike_middle,
    STATE(2331), 1,
      sym_scalar,
    STATE(2409), 1,
      sym__array_element_interpolation,
    STATE(2444), 1,
      sym__subscripted_interpolations,
    STATE(2494), 1,
      sym__hash_element_interpolation,
    STATE(2512), 1,
      sym_array,
    STATE(2602), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(2638), 1,
      sym__slice_expression_interpolation,
    STATE(3250), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2637), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2648), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3858), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3866), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [414] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3860), 1,
      anon_sym_DOLLAR,
    ACTIONS(3862), 1,
      anon_sym_AT,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2202), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2206), 1,
      sym_heredoc_content,
    STATE(2277), 1,
      sym__quotelike_middle,
    STATE(2331), 1,
      sym_scalar,
    STATE(2409), 1,
      sym__array_element_interpolation,
    STATE(2444), 1,
      sym__subscripted_interpolations,
    STATE(2494), 1,
      sym__hash_element_interpolation,
    STATE(2512), 1,
      sym_array,
    STATE(2602), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(2638), 1,
      sym__slice_expression_interpolation,
    STATE(3250), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2637), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2648), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3858), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3866), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [483] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3860), 1,
      anon_sym_DOLLAR,
    ACTIONS(3862), 1,
      anon_sym_AT,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2207), 1,
      sym_heredoc_content,
    STATE(2209), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2252), 1,
      sym__quotelike_middle,
    STATE(2331), 1,
      sym_scalar,
    STATE(2409), 1,
      sym__array_element_interpolation,
    STATE(2444), 1,
      sym__subscripted_interpolations,
    STATE(2494), 1,
      sym__hash_element_interpolation,
    STATE(2512), 1,
      sym_array,
    STATE(2602), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(2638), 1,
      sym__slice_expression_interpolation,
    STATE(3250), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2637), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2648), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3858), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3866), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [552] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3860), 1,
      anon_sym_DOLLAR,
    ACTIONS(3862), 1,
      anon_sym_AT,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2208), 1,
      sym_heredoc_content,
    STATE(2246), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2266), 1,
      sym__quotelike_middle,
    STATE(2331), 1,
      sym_scalar,
    STATE(2409), 1,
      sym__array_element_interpolation,
    STATE(2444), 1,
      sym__subscripted_interpolations,
    STATE(2494), 1,
      sym__hash_element_interpolation,
    STATE(2512), 1,
      sym_array,
    STATE(2602), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(2638), 1,
      sym__slice_expression_interpolation,
    STATE(3250), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2637), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2648), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3858), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3866), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [621] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3860), 1,
      anon_sym_DOLLAR,
    ACTIONS(3862), 1,
      anon_sym_AT,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2209), 1,
      sym_heredoc_content,
    STATE(2246), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2254), 1,
      sym__quotelike_middle,
    STATE(2331), 1,
      sym_scalar,
    STATE(2409), 1,
      sym__array_element_interpolation,
    STATE(2444), 1,
      sym__subscripted_interpolations,
    STATE(2494), 1,
      sym__hash_element_interpolation,
    STATE(2512), 1,
      sym_array,
    STATE(2602), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(2638), 1,
      sym__slice_expression_interpolation,
    STATE(3250), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2637), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2648), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3858), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3866), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [690] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3874), 1,
      sym__quotelike_end_quote,
    STATE(1876), 1,
      sym__quotelike_end,
    STATE(2210), 1,
      sym_heredoc_content,
    STATE(2237), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [756] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3878), 1,
      sym__quotelike_end_quote,
    STATE(1562), 1,
      sym__quotelike_end,
    STATE(2211), 1,
      sym_heredoc_content,
    STATE(2223), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [822] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3880), 1,
      sym__quotelike_end_quote,
    STATE(1347), 1,
      sym__quotelike_end,
    STATE(2212), 1,
      sym_heredoc_content,
    STATE(2300), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [888] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3882), 1,
      sym__quotelike_end_quote,
    STATE(1566), 1,
      sym__quotelike_end,
    STATE(2213), 1,
      sym_heredoc_content,
    STATE(2225), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [954] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3884), 1,
      sym__quotelike_end_quote,
    STATE(1370), 1,
      sym__quotelike_end,
    STATE(2214), 1,
      sym_heredoc_content,
    STATE(2300), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1020] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3878), 1,
      sym__quotelike_end_quote,
    STATE(1567), 1,
      sym__quotelike_end,
    STATE(2215), 1,
      sym_heredoc_content,
    STATE(2229), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1086] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3880), 1,
      sym__quotelike_end_quote,
    STATE(1383), 1,
      sym__quotelike_end,
    STATE(2216), 1,
      sym_heredoc_content,
    STATE(2300), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1152] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3886), 1,
      sym__quotelike_end_quote,
    STATE(1057), 1,
      sym__quotelike_end,
    STATE(2217), 1,
      sym_heredoc_content,
    STATE(2300), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1218] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3874), 1,
      sym__quotelike_end_quote,
    STATE(1880), 1,
      sym__quotelike_end,
    STATE(2218), 1,
      sym_heredoc_content,
    STATE(2300), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1284] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3886), 1,
      sym__quotelike_end_quote,
    STATE(1078), 1,
      sym__quotelike_end,
    STATE(2217), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2219), 1,
      sym_heredoc_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1350] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3886), 1,
      sym__quotelike_end_quote,
    STATE(1082), 1,
      sym__quotelike_end,
    STATE(2220), 1,
      sym_heredoc_content,
    STATE(2300), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1416] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3884), 1,
      sym__quotelike_end_quote,
    STATE(1334), 1,
      sym__quotelike_end,
    STATE(2214), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2221), 1,
      sym_heredoc_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1482] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3888), 1,
      sym__quotelike_end_quote,
    STATE(1056), 1,
      sym__quotelike_end,
    STATE(2222), 1,
      sym_heredoc_content,
    STATE(2300), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1548] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3878), 1,
      sym__quotelike_end_quote,
    STATE(1604), 1,
      sym__quotelike_end,
    STATE(2223), 1,
      sym_heredoc_content,
    STATE(2300), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1614] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3890), 1,
      sym__quotelike_end_quote,
    STATE(1782), 1,
      sym__quotelike_end,
    STATE(2224), 1,
      sym_heredoc_content,
    STATE(2228), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1680] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3882), 1,
      sym__quotelike_end_quote,
    STATE(1572), 1,
      sym__quotelike_end,
    STATE(2225), 1,
      sym_heredoc_content,
    STATE(2300), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1746] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3880), 1,
      sym__quotelike_end_quote,
    STATE(1382), 1,
      sym__quotelike_end,
    STATE(2212), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2226), 1,
      sym_heredoc_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1812] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3892), 1,
      sym__quotelike_end_quote,
    STATE(1812), 1,
      sym__quotelike_end,
    STATE(2227), 1,
      sym_heredoc_content,
    STATE(2230), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1878] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3890), 1,
      sym__quotelike_end_quote,
    STATE(1817), 1,
      sym__quotelike_end,
    STATE(2228), 1,
      sym_heredoc_content,
    STATE(2300), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1944] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3878), 1,
      sym__quotelike_end_quote,
    STATE(1573), 1,
      sym__quotelike_end,
    STATE(2229), 1,
      sym_heredoc_content,
    STATE(2300), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2010] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3892), 1,
      sym__quotelike_end_quote,
    STATE(1808), 1,
      sym__quotelike_end,
    STATE(2230), 1,
      sym_heredoc_content,
    STATE(2300), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2076] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3890), 1,
      sym__quotelike_end_quote,
    STATE(1793), 1,
      sym__quotelike_end,
    STATE(2231), 1,
      sym_heredoc_content,
    STATE(2300), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2142] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3890), 1,
      sym__quotelike_end_quote,
    STATE(1813), 1,
      sym__quotelike_end,
    STATE(2231), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2232), 1,
      sym_heredoc_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2208] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3874), 1,
      sym__quotelike_end_quote,
    STATE(1866), 1,
      sym__quotelike_end,
    STATE(2218), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2233), 1,
      sym_heredoc_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2274] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3888), 1,
      sym__quotelike_end_quote,
    STATE(1077), 1,
      sym__quotelike_end,
    STATE(2222), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2234), 1,
      sym_heredoc_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2340] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3886), 1,
      sym__quotelike_end_quote,
    STATE(1064), 1,
      sym__quotelike_end,
    STATE(2220), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2235), 1,
      sym_heredoc_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2406] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3894), 1,
      sym__quotelike_end_quote,
    STATE(1884), 1,
      sym__quotelike_end,
    STATE(2236), 1,
      sym_heredoc_content,
    STATE(2300), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2472] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3874), 1,
      sym__quotelike_end_quote,
    STATE(1885), 1,
      sym__quotelike_end,
    STATE(2237), 1,
      sym_heredoc_content,
    STATE(2300), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2538] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3880), 1,
      sym__quotelike_end_quote,
    STATE(1335), 1,
      sym__quotelike_end,
    STATE(2216), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2238), 1,
      sym_heredoc_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2604] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3870), 1,
      anon_sym_DOLLAR,
    ACTIONS(3872), 1,
      anon_sym_AT,
    ACTIONS(3894), 1,
      sym__quotelike_end_quote,
    STATE(1875), 1,
      sym__quotelike_end,
    STATE(2236), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2239), 1,
      sym_heredoc_content,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3868), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3876), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2670] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3902), 1,
      sym__quotelike_end_quote,
    STATE(1058), 1,
      sym__quotelike_end,
    STATE(2240), 1,
      sym_heredoc_content,
    STATE(2242), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [2735] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1491), 1,
      sym__quotelike_end,
    STATE(2241), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [2800] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3902), 1,
      sym__quotelike_end_quote,
    STATE(1093), 1,
      sym__quotelike_end,
    STATE(2242), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [2865] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3902), 1,
      sym__quotelike_end_quote,
    STATE(1095), 1,
      sym__quotelike_end,
    STATE(2243), 1,
      sym_heredoc_content,
    STATE(2292), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [2930] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1109), 1,
      sym__quotelike_end,
    STATE(2244), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [2995] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1150), 1,
      sym__quotelike_end,
    STATE(2245), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [3060] = 17,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3913), 1,
      anon_sym_DOLLAR,
    ACTIONS(3916), 1,
      anon_sym_AT,
    ACTIONS(3919), 1,
      sym__quotelike_middle_close_quote,
    STATE(2331), 1,
      sym_scalar,
    STATE(2409), 1,
      sym__array_element_interpolation,
    STATE(2444), 1,
      sym__subscripted_interpolations,
    STATE(2494), 1,
      sym__hash_element_interpolation,
    STATE(2512), 1,
      sym_array,
    STATE(2602), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(2638), 1,
      sym__slice_expression_interpolation,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2246), 2,
      aux_sym__interpolated_regexp_content,
      sym_heredoc_content,
    STATE(2637), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2648), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3910), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3921), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [3121] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1174), 1,
      sym__quotelike_end,
    STATE(2247), 1,
      sym_heredoc_content,
    STATE(2299), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [3186] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1460), 1,
      sym__quotelike_end,
    STATE(2248), 1,
      sym_heredoc_content,
    STATE(2297), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [3251] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1463), 1,
      sym__quotelike_end,
    STATE(2249), 1,
      sym_heredoc_content,
    STATE(2298), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [3316] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1401), 1,
      sym__quotelike_end,
    STATE(2250), 1,
      sym_heredoc_content,
    STATE(2274), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [3381] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1404), 1,
      sym__quotelike_end,
    STATE(2241), 1,
      aux_sym__interpolated_string_content,
    STATE(2251), 1,
      sym_heredoc_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [3446] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3924), 1,
      sym__quotelike_end_quote,
    STATE(1384), 1,
      sym__quotelike_end,
    STATE(2252), 1,
      sym_heredoc_content,
    STATE(2253), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [3511] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3924), 1,
      sym__quotelike_end_quote,
    STATE(1379), 1,
      sym__quotelike_end,
    STATE(2253), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [3576] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3924), 1,
      sym__quotelike_end_quote,
    STATE(1393), 1,
      sym__quotelike_end,
    STATE(2254), 1,
      sym_heredoc_content,
    STATE(2255), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [3641] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3924), 1,
      sym__quotelike_end_quote,
    STATE(1361), 1,
      sym__quotelike_end,
    STATE(2255), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [3706] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1971), 1,
      sym__quotelike_end,
    STATE(2256), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [3771] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1972), 1,
      sym__quotelike_end,
    STATE(2257), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [3836] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1846), 1,
      sym__quotelike_end,
    STATE(2258), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [3901] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1865), 1,
      sym__quotelike_end,
    STATE(2259), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [3966] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1947), 1,
      sym__quotelike_end,
    STATE(2256), 1,
      aux_sym__interpolated_string_content,
    STATE(2260), 1,
      sym_heredoc_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [4031] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1948), 1,
      sym__quotelike_end,
    STATE(2257), 1,
      aux_sym__interpolated_string_content,
    STATE(2261), 1,
      sym_heredoc_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [4096] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1963), 1,
      sym__quotelike_end,
    STATE(2258), 1,
      aux_sym__interpolated_string_content,
    STATE(2262), 1,
      sym_heredoc_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [4161] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1964), 1,
      sym__quotelike_end,
    STATE(2259), 1,
      aux_sym__interpolated_string_content,
    STATE(2263), 1,
      sym_heredoc_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [4226] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3928), 1,
      sym__quotelike_end_quote,
    STATE(1805), 1,
      sym__quotelike_end,
    STATE(2264), 1,
      sym_heredoc_content,
    STATE(2265), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [4291] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3928), 1,
      sym__quotelike_end_quote,
    STATE(1796), 1,
      sym__quotelike_end,
    STATE(2265), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [4356] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3928), 1,
      sym__quotelike_end_quote,
    STATE(1791), 1,
      sym__quotelike_end,
    STATE(2266), 1,
      sym_heredoc_content,
    STATE(2267), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [4421] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3928), 1,
      sym__quotelike_end_quote,
    STATE(1794), 1,
      sym__quotelike_end,
    STATE(2267), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [4486] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(2101), 1,
      sym__quotelike_end,
    STATE(2268), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [4551] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(2103), 1,
      sym__quotelike_end,
    STATE(2269), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [4616] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(2135), 1,
      sym__quotelike_end,
    STATE(2270), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [4681] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(2137), 1,
      sym__quotelike_end,
    STATE(2271), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [4746] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(2030), 1,
      sym__quotelike_end,
    STATE(2268), 1,
      aux_sym__interpolated_string_content,
    STATE(2272), 1,
      sym_heredoc_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [4811] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(2032), 1,
      sym__quotelike_end,
    STATE(2269), 1,
      aux_sym__interpolated_string_content,
    STATE(2273), 1,
      sym_heredoc_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [4876] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1488), 1,
      sym__quotelike_end,
    STATE(2274), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [4941] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(2061), 1,
      sym__quotelike_end,
    STATE(2270), 1,
      aux_sym__interpolated_string_content,
    STATE(2275), 1,
      sym_heredoc_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [5006] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(2064), 1,
      sym__quotelike_end,
    STATE(2271), 1,
      aux_sym__interpolated_string_content,
    STATE(2276), 1,
      sym_heredoc_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [5071] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3932), 1,
      sym__quotelike_end_quote,
    STATE(1886), 1,
      sym__quotelike_end,
    STATE(2277), 1,
      sym_heredoc_content,
    STATE(2301), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [5136] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3932), 1,
      sym__quotelike_end_quote,
    STATE(1900), 1,
      sym__quotelike_end,
    STATE(2278), 1,
      sym_heredoc_content,
    STATE(2279), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [5201] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3932), 1,
      sym__quotelike_end_quote,
    STATE(1911), 1,
      sym__quotelike_end,
    STATE(2279), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [5266] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1649), 1,
      sym__quotelike_end,
    STATE(2280), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [5331] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1650), 1,
      sym__quotelike_end,
    STATE(2281), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [5396] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1663), 1,
      sym__quotelike_end,
    STATE(2282), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [5461] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1665), 1,
      sym__quotelike_end,
    STATE(2283), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [5526] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1626), 1,
      sym__quotelike_end,
    STATE(2280), 1,
      aux_sym__interpolated_string_content,
    STATE(2284), 1,
      sym_heredoc_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [5591] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1627), 1,
      sym__quotelike_end,
    STATE(2281), 1,
      aux_sym__interpolated_string_content,
    STATE(2285), 1,
      sym_heredoc_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [5656] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1643), 1,
      sym__quotelike_end,
    STATE(2282), 1,
      aux_sym__interpolated_string_content,
    STATE(2286), 1,
      sym_heredoc_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [5721] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1645), 1,
      sym__quotelike_end,
    STATE(2283), 1,
      aux_sym__interpolated_string_content,
    STATE(2287), 1,
      sym_heredoc_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [5786] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3936), 1,
      sym__quotelike_end_quote,
    STATE(1574), 1,
      sym__quotelike_end,
    STATE(2288), 1,
      sym_heredoc_content,
    STATE(2289), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [5851] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3936), 1,
      sym__quotelike_end_quote,
    STATE(1578), 1,
      sym__quotelike_end,
    STATE(2289), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [5916] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3936), 1,
      sym__quotelike_end_quote,
    STATE(1579), 1,
      sym__quotelike_end,
    STATE(2290), 1,
      sym_heredoc_content,
    STATE(2291), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [5981] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3936), 1,
      sym__quotelike_end_quote,
    STATE(1582), 1,
      sym__quotelike_end,
    STATE(2291), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [6046] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3902), 1,
      sym__quotelike_end_quote,
    STATE(1075), 1,
      sym__quotelike_end,
    STATE(2292), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [6111] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1172), 1,
      sym__quotelike_end,
    STATE(2293), 1,
      sym_heredoc_content,
    STATE(2295), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [6176] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1207), 1,
      sym__quotelike_end,
    STATE(2244), 1,
      aux_sym__interpolated_string_content,
    STATE(2294), 1,
      sym_heredoc_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [6241] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1128), 1,
      sym__quotelike_end,
    STATE(2295), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [6306] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1214), 1,
      sym__quotelike_end,
    STATE(2245), 1,
      aux_sym__interpolated_string_content,
    STATE(2296), 1,
      sym_heredoc_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [6371] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1442), 1,
      sym__quotelike_end,
    STATE(2297), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [6436] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1443), 1,
      sym__quotelike_end,
    STATE(2298), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [6501] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1131), 1,
      sym__quotelike_end,
    STATE(2299), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [6566] = 17,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3919), 1,
      sym__quotelike_end_quote,
    ACTIONS(3941), 1,
      anon_sym_DOLLAR,
    ACTIONS(3944), 1,
      anon_sym_AT,
    STATE(2337), 1,
      sym_scalar,
    STATE(2490), 1,
      sym_array,
    STATE(2491), 1,
      sym__subscripted_interpolations,
    STATE(2492), 1,
      sym__array_element_interpolation,
    STATE(2493), 1,
      sym__hash_element_interpolation,
    STATE(2608), 1,
      sym__slice_expression_interpolation,
    STATE(2609), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2300), 2,
      aux_sym__interpolated_regexp_content,
      sym_heredoc_content,
    STATE(2606), 2,
      sym__braced_scalar,
      sym__braced_array,
    STATE(2619), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(3938), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3947), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [6627] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3898), 1,
      anon_sym_DOLLAR,
    ACTIONS(3900), 1,
      anon_sym_AT,
    ACTIONS(3932), 1,
      sym__quotelike_end_quote,
    STATE(1899), 1,
      sym__quotelike_end,
    STATE(2301), 1,
      sym_heredoc_content,
    STATE(2302), 1,
      aux_sym__interpolated_string_content,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3904), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [6692] = 17,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3953), 1,
      anon_sym_DOLLAR,
    ACTIONS(3956), 1,
      anon_sym_AT,
    ACTIONS(3959), 1,
      sym__quotelike_end_quote,
    STATE(2392), 1,
      sym_scalar,
    STATE(2532), 1,
      sym_array,
    STATE(2533), 1,
      sym__subscripted_interpolations,
    STATE(2537), 1,
      sym__array_element_interpolation,
    STATE(2538), 1,
      sym__hash_element_interpolation,
    STATE(2670), 1,
      sym__slice_expression_interpolation,
    STATE(2706), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2302), 2,
      aux_sym__interpolated_string_content,
      sym_heredoc_content,
    STATE(2684), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2699), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3950), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(3961), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [6752] = 17,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3967), 1,
      anon_sym_DOLLAR,
    ACTIONS(3970), 1,
      anon_sym_AT,
    ACTIONS(3976), 1,
      sym_heredoc_end,
    STATE(2520), 1,
      sym_scalar,
    STATE(2597), 1,
      sym_array,
    STATE(2601), 1,
      sym__subscripted_interpolations,
    STATE(2613), 1,
      sym__array_element_interpolation,
    STATE(2633), 1,
      sym__hash_element_interpolation,
    STATE(2719), 1,
      sym__slice_expression_interpolation,
    STATE(2728), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3973), 2,
      sym_escape_sequence,
      sym__heredoc_middle,
    STATE(2303), 2,
      sym_heredoc_content,
      aux_sym_heredoc_content_repeat1,
    STATE(2722), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2726), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3964), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [6811] = 18,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3980), 1,
      anon_sym_DOLLAR,
    ACTIONS(3982), 1,
      anon_sym_AT,
    ACTIONS(3986), 1,
      sym_heredoc_end,
    STATE(2304), 1,
      sym_heredoc_content,
    STATE(2305), 1,
      aux_sym_heredoc_content_repeat1,
    STATE(2520), 1,
      sym_scalar,
    STATE(2597), 1,
      sym_array,
    STATE(2601), 1,
      sym__subscripted_interpolations,
    STATE(2613), 1,
      sym__array_element_interpolation,
    STATE(2633), 1,
      sym__hash_element_interpolation,
    STATE(2719), 1,
      sym__slice_expression_interpolation,
    STATE(2728), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3984), 2,
      sym_escape_sequence,
      sym__heredoc_middle,
    STATE(2722), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2726), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3978), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [6872] = 18,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3980), 1,
      anon_sym_DOLLAR,
    ACTIONS(3982), 1,
      anon_sym_AT,
    ACTIONS(3988), 1,
      sym_heredoc_end,
    STATE(2303), 1,
      aux_sym_heredoc_content_repeat1,
    STATE(2305), 1,
      sym_heredoc_content,
    STATE(2520), 1,
      sym_scalar,
    STATE(2597), 1,
      sym_array,
    STATE(2601), 1,
      sym__subscripted_interpolations,
    STATE(2613), 1,
      sym__array_element_interpolation,
    STATE(2633), 1,
      sym__hash_element_interpolation,
    STATE(2719), 1,
      sym__slice_expression_interpolation,
    STATE(2728), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3984), 2,
      sym_escape_sequence,
      sym__heredoc_middle,
    STATE(2722), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    STATE(2726), 2,
      sym__braced_scalar,
      sym__braced_array,
    ACTIONS(3978), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [6933] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(2430), 1,
      anon_sym_for,
    STATE(2306), 1,
      sym_heredoc_content,
    STATE(2307), 1,
      aux_sym__term_rightward_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2646), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2428), 15,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_foreach,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [6971] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(2638), 1,
      anon_sym_for,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3990), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    STATE(2307), 2,
      sym_heredoc_content,
      aux_sym__term_rightward_repeat1,
    ACTIONS(2636), 15,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_foreach,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [7007] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3993), 1,
      anon_sym_RBRACE,
    ACTIONS(3997), 1,
      anon_sym_and,
    ACTIONS(4001), 1,
      anon_sym_for,
    ACTIONS(4003), 1,
      anon_sym_foreach,
    ACTIONS(4009), 1,
      sym__PERLY_SEMICOLON,
    STATE(288), 1,
      sym__conditionals,
    STATE(289), 1,
      sym__loops,
    STATE(2308), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3999), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4005), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4007), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(3995), 5,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [7058] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3997), 1,
      anon_sym_and,
    ACTIONS(4001), 1,
      anon_sym_for,
    ACTIONS(4003), 1,
      anon_sym_foreach,
    ACTIONS(4012), 1,
      anon_sym_RBRACE,
    STATE(288), 1,
      sym__conditionals,
    STATE(289), 1,
      sym__loops,
    STATE(2309), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3999), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4005), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4007), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(3995), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [7107] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3997), 1,
      anon_sym_and,
    ACTIONS(4001), 1,
      anon_sym_for,
    ACTIONS(4003), 1,
      anon_sym_foreach,
    ACTIONS(4014), 1,
      anon_sym_RBRACE,
    STATE(288), 1,
      sym__conditionals,
    STATE(289), 1,
      sym__loops,
    STATE(2310), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3999), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4005), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4007), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(3995), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [7156] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3997), 1,
      anon_sym_and,
    ACTIONS(4001), 1,
      anon_sym_for,
    ACTIONS(4003), 1,
      anon_sym_foreach,
    ACTIONS(4016), 1,
      anon_sym_RBRACE,
    ACTIONS(4018), 1,
      sym__PERLY_SEMICOLON,
    STATE(288), 1,
      sym__conditionals,
    STATE(289), 1,
      sym__loops,
    STATE(2311), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3999), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4005), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4007), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(3995), 5,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [7207] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3997), 1,
      anon_sym_and,
    ACTIONS(4001), 1,
      anon_sym_for,
    ACTIONS(4003), 1,
      anon_sym_foreach,
    ACTIONS(4016), 1,
      anon_sym_RBRACE,
    STATE(288), 1,
      sym__conditionals,
    STATE(289), 1,
      sym__loops,
    STATE(2312), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3999), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4005), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4007), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(3995), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [7256] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3997), 1,
      anon_sym_and,
    ACTIONS(4001), 1,
      anon_sym_for,
    ACTIONS(4003), 1,
      anon_sym_foreach,
    ACTIONS(4021), 1,
      anon_sym_RBRACE,
    ACTIONS(4023), 1,
      sym__PERLY_SEMICOLON,
    STATE(288), 1,
      sym__conditionals,
    STATE(289), 1,
      sym__loops,
    STATE(2313), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3999), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4005), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4007), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(3995), 5,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [7307] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3997), 1,
      anon_sym_and,
    ACTIONS(4001), 1,
      anon_sym_for,
    ACTIONS(4003), 1,
      anon_sym_foreach,
    ACTIONS(4014), 1,
      anon_sym_RBRACE,
    ACTIONS(4026), 1,
      sym__PERLY_SEMICOLON,
    STATE(288), 1,
      sym__conditionals,
    STATE(289), 1,
      sym__loops,
    STATE(2314), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3999), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4005), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4007), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(3995), 5,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [7358] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3997), 1,
      anon_sym_and,
    ACTIONS(4001), 1,
      anon_sym_for,
    ACTIONS(4003), 1,
      anon_sym_foreach,
    ACTIONS(4012), 1,
      anon_sym_RBRACE,
    ACTIONS(4029), 1,
      sym__PERLY_SEMICOLON,
    STATE(288), 1,
      sym__conditionals,
    STATE(289), 1,
      sym__loops,
    STATE(2315), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3999), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4005), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4007), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(3995), 5,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [7409] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3993), 1,
      anon_sym_RBRACE,
    ACTIONS(3997), 1,
      anon_sym_and,
    ACTIONS(4001), 1,
      anon_sym_for,
    ACTIONS(4003), 1,
      anon_sym_foreach,
    STATE(288), 1,
      sym__conditionals,
    STATE(289), 1,
      sym__loops,
    STATE(2316), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3999), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4005), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4007), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(3995), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [7458] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3997), 1,
      anon_sym_and,
    ACTIONS(4001), 1,
      anon_sym_for,
    ACTIONS(4003), 1,
      anon_sym_foreach,
    ACTIONS(4021), 1,
      anon_sym_RBRACE,
    STATE(288), 1,
      sym__conditionals,
    STATE(289), 1,
      sym__loops,
    STATE(2317), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3999), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4005), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4007), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(3995), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [7507] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4036), 1,
      anon_sym_DOLLAR,
    ACTIONS(4038), 1,
      aux_sym__interpolation_fallbacks_token1,
    ACTIONS(4040), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4044), 1,
      sym__quotelike_end_quote,
    STATE(33), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2318), 1,
      sym_heredoc_content,
    STATE(2369), 1,
      sym__indirob,
    STATE(2391), 1,
      sym_block,
    STATE(2395), 1,
      sym__var_indirob_autoquote,
    STATE(2495), 1,
      sym__var_indirob,
    STATE(2620), 1,
      sym__quotelike_end,
    ACTIONS(4032), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(4042), 2,
      sym__quotelike_end_zw,
      sym__no_interp_whitespace_zw,
    STATE(2368), 2,
      sym_scalar,
      sym__ident_special,
  [7565] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4048), 1,
      anon_sym_DOLLAR,
    ACTIONS(4050), 1,
      aux_sym__interpolation_fallbacks_token1,
    ACTIONS(4052), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4056), 1,
      sym__quotelike_end_quote,
    STATE(28), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2319), 1,
      sym_heredoc_content,
    STATE(2376), 1,
      sym__indirob,
    STATE(2400), 1,
      sym_block,
    STATE(2401), 1,
      sym__var_indirob_autoquote,
    STATE(2509), 1,
      sym__var_indirob,
    STATE(2636), 1,
      sym__quotelike_end,
    ACTIONS(4046), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(4054), 2,
      sym__quotelike_end_zw,
      sym__no_interp_whitespace_zw,
    STATE(2363), 2,
      sym_scalar,
      sym__ident_special,
  [7623] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4060), 1,
      anon_sym_DOLLAR,
    ACTIONS(4062), 1,
      aux_sym__interpolation_fallbacks_token1,
    ACTIONS(4064), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4068), 1,
      sym__quotelike_end_quote,
    STATE(27), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2320), 1,
      sym_heredoc_content,
    STATE(2468), 1,
      sym__indirob,
    STATE(2510), 1,
      sym_block,
    STATE(2511), 1,
      sym__var_indirob_autoquote,
    STATE(2523), 1,
      sym__var_indirob,
    STATE(2672), 1,
      sym__quotelike_end,
    ACTIONS(4058), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(4066), 2,
      sym__quotelike_end_zw,
      sym__no_interp_whitespace_zw,
    STATE(2521), 2,
      sym_scalar,
      sym__ident_special,
  [7681] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3997), 1,
      anon_sym_and,
    ACTIONS(4001), 1,
      anon_sym_for,
    ACTIONS(4003), 1,
      anon_sym_foreach,
    STATE(288), 1,
      sym__conditionals,
    STATE(289), 1,
      sym__loops,
    STATE(2321), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3999), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4005), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4007), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(3995), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [7727] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4072), 1,
      anon_sym_DOLLAR,
    ACTIONS(4074), 1,
      aux_sym__interpolation_fallbacks_token1,
    ACTIONS(4076), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4080), 1,
      sym__quotelike_end_quote,
    STATE(24), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2322), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      sym_block,
    STATE(2535), 1,
      sym__var_indirob_autoquote,
    STATE(2549), 1,
      sym__indirob,
    STATE(2599), 1,
      sym__var_indirob,
    STATE(2711), 1,
      sym__quotelike_end,
    ACTIONS(4070), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(4078), 2,
      sym__quotelike_end_zw,
      sym__no_interp_whitespace_zw,
    STATE(2547), 2,
      sym_scalar,
      sym__ident_special,
  [7785] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4084), 1,
      anon_sym_for,
    STATE(2323), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4082), 15,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_foreach,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [7816] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4088), 1,
      anon_sym_for,
    STATE(2324), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4086), 15,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_foreach,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [7847] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4092), 1,
      anon_sym_for,
    STATE(2325), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4090), 15,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_foreach,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [7878] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3997), 1,
      anon_sym_and,
    ACTIONS(4092), 1,
      anon_sym_for,
    STATE(2326), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4090), 14,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_foreach,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [7911] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4096), 1,
      anon_sym_for,
    STATE(2327), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4094), 15,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_foreach,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [7942] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4101), 1,
      anon_sym_DOLLAR,
    ACTIONS(4104), 1,
      anon_sym_AT,
    ACTIONS(4107), 1,
      anon_sym_RPAREN,
    ACTIONS(4109), 1,
      anon_sym_PERCENT2,
    STATE(2679), 1,
      sym__signature_scalar,
    STATE(2809), 1,
      sym__signature_vars,
    STATE(2826), 1,
      sym__signature_array,
    STATE(2827), 1,
      sym__signature_hash,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2328), 2,
      sym_heredoc_content,
      aux_sym_signature_repeat1,
    STATE(2912), 4,
      sym_mandatory_parameter,
      sym_optional_parameter,
      sym_named_parameter,
      sym_slurpy_parameter,
  [7987] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2329), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1781), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1783), 11,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [8016] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4112), 1,
      anon_sym_DOLLAR,
    ACTIONS(4114), 1,
      anon_sym_AT,
    ACTIONS(4118), 1,
      anon_sym_sub,
    ACTIONS(4120), 1,
      anon_sym_method,
    ACTIONS(4122), 1,
      anon_sym_LPAREN,
    ACTIONS(4124), 1,
      anon_sym_PERCENT2,
    STATE(1083), 1,
      sym__declared_vars,
    STATE(1084), 1,
      sym__decl_variable_list,
    STATE(2330), 1,
      sym_heredoc_content,
    STATE(3002), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4116), 2,
      anon_sym_extended,
      anon_sym_async,
    STATE(1094), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [8063] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4130), 1,
      anon_sym_DASH_GT2,
    ACTIONS(4132), 1,
      anon_sym_LBRACK2,
    ACTIONS(4134), 1,
      anon_sym_LBRACE2,
    STATE(2331), 1,
      sym_heredoc_content,
    STATE(3240), 1,
      sym__interp_arrow,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4126), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4128), 7,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
  [8100] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4136), 1,
      anon_sym_COLON,
    ACTIONS(4138), 1,
      anon_sym_DOLLAR,
    ACTIONS(4140), 1,
      anon_sym_AT,
    ACTIONS(4142), 1,
      anon_sym_RPAREN,
    ACTIONS(4144), 1,
      anon_sym_PERCENT2,
    STATE(2328), 1,
      aux_sym_signature_repeat1,
    STATE(2332), 1,
      sym_heredoc_content,
    STATE(2679), 1,
      sym__signature_scalar,
    STATE(2809), 1,
      sym__signature_vars,
    STATE(2826), 1,
      sym__signature_array,
    STATE(2827), 1,
      sym__signature_hash,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2912), 4,
      sym_mandatory_parameter,
      sym_optional_parameter,
      sym_named_parameter,
      sym_slurpy_parameter,
  [8147] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2333), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1769), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1771), 11,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [8176] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4146), 1,
      sym__NONASSOC,
    STATE(2334), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1736), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1738), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [8207] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4146), 1,
      sym__NONASSOC,
    STATE(2335), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1761), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1763), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [8238] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2336), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1781), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1783), 11,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [8267] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4148), 1,
      anon_sym_DASH_GT2,
    ACTIONS(4150), 1,
      anon_sym_LBRACK2,
    ACTIONS(4152), 1,
      anon_sym_LBRACE2,
    STATE(2337), 1,
      sym_heredoc_content,
    STATE(3401), 1,
      sym__interp_arrow,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4126), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4128), 7,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
  [8304] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4136), 1,
      anon_sym_COLON,
    ACTIONS(4138), 1,
      anon_sym_DOLLAR,
    ACTIONS(4140), 1,
      anon_sym_AT,
    ACTIONS(4144), 1,
      anon_sym_PERCENT2,
    ACTIONS(4154), 1,
      anon_sym_RPAREN,
    STATE(2332), 1,
      aux_sym_signature_repeat1,
    STATE(2338), 1,
      sym_heredoc_content,
    STATE(2679), 1,
      sym__signature_scalar,
    STATE(2809), 1,
      sym__signature_vars,
    STATE(2826), 1,
      sym__signature_array,
    STATE(2827), 1,
      sym__signature_hash,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2912), 4,
      sym_mandatory_parameter,
      sym_optional_parameter,
      sym_named_parameter,
      sym_slurpy_parameter,
  [8351] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2339), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1769), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1771), 11,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [8380] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4156), 1,
      sym__NONASSOC,
    STATE(2340), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1736), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1738), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [8411] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4156), 1,
      sym__NONASSOC,
    STATE(2341), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1761), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1763), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [8442] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2342), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1405), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1403), 11,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [8471] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2343), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1405), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1403), 11,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [8500] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4112), 1,
      anon_sym_DOLLAR,
    ACTIONS(4114), 1,
      anon_sym_AT,
    ACTIONS(4122), 1,
      anon_sym_LPAREN,
    ACTIONS(4124), 1,
      anon_sym_PERCENT2,
    ACTIONS(4158), 1,
      anon_sym_sub,
    ACTIONS(4160), 1,
      anon_sym_method,
    STATE(1083), 1,
      sym__declared_vars,
    STATE(1084), 1,
      sym__decl_variable_list,
    STATE(2344), 1,
      sym_heredoc_content,
    STATE(3016), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4116), 2,
      anon_sym_extended,
      anon_sym_async,
    STATE(1094), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [8547] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4164), 1,
      anon_sym_DOLLAR,
    ACTIONS(4166), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4168), 1,
      sym__dollar_ident_zw,
    STATE(25), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1278), 1,
      sym__indirob,
    STATE(1279), 1,
      sym__var_indirob,
    STATE(1283), 1,
      sym__var_indirob_autoquote,
    STATE(2345), 1,
      sym_heredoc_content,
    ACTIONS(4162), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1277), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [8593] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2346), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1755), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1759), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [8621] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4172), 1,
      anon_sym_DOLLAR,
    ACTIONS(4174), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4176), 1,
      sym__dollar_ident_zw,
    STATE(21), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2347), 1,
      sym_heredoc_content,
    STATE(3126), 1,
      sym__var_indirob,
    STATE(3634), 1,
      sym__var_indirob_autoquote,
    STATE(3665), 1,
      sym__indirob,
    ACTIONS(4170), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3025), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [8667] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2348), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1773), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1775), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [8695] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4164), 1,
      anon_sym_DOLLAR,
    ACTIONS(4166), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4178), 1,
      anon_sym_STAR,
    STATE(25), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1278), 1,
      sym__indirob,
    STATE(1279), 1,
      sym__var_indirob,
    STATE(1283), 1,
      sym__var_indirob_autoquote,
    STATE(2349), 1,
      sym_heredoc_content,
    ACTIONS(4162), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1277), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [8741] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2350), 1,
      sym_heredoc_content,
    STATE(2352), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2518), 1,
      sym__quotelike_middle,
    STATE(2668), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3250), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4182), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4180), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4184), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [8781] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4036), 1,
      anon_sym_DOLLAR,
    ACTIONS(4040), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4186), 1,
      sym__no_interp_whitespace_zw,
    STATE(33), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2340), 1,
      sym_block,
    STATE(2341), 1,
      sym__var_indirob_autoquote,
    STATE(2351), 1,
      sym_heredoc_content,
    STATE(2369), 1,
      sym__indirob,
    STATE(2398), 1,
      sym__var_indirob,
    ACTIONS(4032), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2368), 2,
      sym_scalar,
      sym__ident_special,
  [8829] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2352), 1,
      sym_heredoc_content,
    STATE(2482), 1,
      sym__quotelike_middle,
    STATE(2526), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2668), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3250), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4182), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4180), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4184), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [8869] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2353), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1777), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1779), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [8897] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4192), 1,
      anon_sym_STAR,
    ACTIONS(4194), 1,
      aux_sym__ident_special_token1,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1554), 1,
      sym__var_indirob_autoquote,
    STATE(1559), 1,
      sym__indirob,
    STATE(1588), 1,
      sym__var_indirob,
    STATE(2354), 1,
      sym_heredoc_content,
    ACTIONS(4188), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1558), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [8943] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4072), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4196), 1,
      sym__dollar_ident_zw,
    STATE(29), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2355), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      sym__indirob,
    STATE(2578), 1,
      sym__var_indirob_autoquote,
    STATE(2587), 1,
      sym__var_indirob,
    ACTIONS(4070), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2547), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [8989] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2356), 1,
      sym_heredoc_content,
    STATE(2358), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2410), 1,
      sym__quotelike_middle,
    STATE(2668), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3250), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4182), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4180), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4184), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [9029] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4200), 1,
      anon_sym_DOLLAR,
    ACTIONS(4202), 1,
      anon_sym_STAR,
    ACTIONS(4204), 1,
      aux_sym__ident_special_token1,
    STATE(23), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1029), 1,
      sym__indirob,
    STATE(1039), 1,
      sym__var_indirob,
    STATE(1049), 1,
      sym__var_indirob_autoquote,
    STATE(2357), 1,
      sym_heredoc_content,
    ACTIONS(4198), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1048), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [9075] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2358), 1,
      sym_heredoc_content,
    STATE(2412), 1,
      sym__quotelike_middle,
    STATE(2526), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2668), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3250), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4182), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4180), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4184), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [9115] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4048), 1,
      anon_sym_DOLLAR,
    ACTIONS(4052), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4206), 1,
      sym__no_interp_whitespace_zw,
    STATE(28), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2334), 1,
      sym_block,
    STATE(2335), 1,
      sym__var_indirob_autoquote,
    STATE(2346), 1,
      sym__var_indirob,
    STATE(2359), 1,
      sym_heredoc_content,
    STATE(2376), 1,
      sym__indirob,
    ACTIONS(4046), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2363), 2,
      sym_scalar,
      sym__ident_special,
  [9163] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4210), 1,
      anon_sym_DOLLAR,
    ACTIONS(4212), 1,
      anon_sym_STAR,
    ACTIONS(4214), 1,
      aux_sym__ident_special_token1,
    STATE(32), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1760), 1,
      sym__var_indirob_autoquote,
    STATE(1764), 1,
      sym__indirob,
    STATE(1768), 1,
      sym__var_indirob,
    STATE(2360), 1,
      sym_heredoc_content,
    ACTIONS(4208), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1763), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [9209] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2361), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1769), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1771), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9237] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2362), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1761), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1763), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9265] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2363), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1736), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1738), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9293] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2364), 1,
      sym_heredoc_content,
    STATE(2367), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2435), 1,
      sym__quotelike_middle,
    STATE(2668), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3250), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4182), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4180), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4184), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [9333] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    ACTIONS(4101), 1,
      anon_sym_DOLLAR,
    ACTIONS(4104), 1,
      anon_sym_AT,
    ACTIONS(4107), 1,
      anon_sym_RPAREN,
    ACTIONS(4109), 1,
      anon_sym_PERCENT2,
    STATE(2365), 1,
      sym_heredoc_content,
    STATE(2679), 1,
      sym__signature_scalar,
    STATE(2826), 1,
      sym__signature_array,
    STATE(2827), 1,
      sym__signature_hash,
    STATE(2975), 1,
      sym__signature_vars,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2912), 4,
      sym_mandatory_parameter,
      sym_optional_parameter,
      sym_named_parameter,
      sym_slurpy_parameter,
  [9377] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2366), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1405), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1403), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9405] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2367), 1,
      sym_heredoc_content,
    STATE(2437), 1,
      sym__quotelike_middle,
    STATE(2526), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2668), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3250), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4182), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4180), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4184), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [9445] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2368), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1736), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1738), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9473] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2369), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1765), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1767), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9501] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2370), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1773), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1775), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9529] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4218), 1,
      anon_sym_DOLLAR,
    ACTIONS(4220), 1,
      anon_sym_STAR,
    ACTIONS(4222), 1,
      aux_sym__ident_special_token1,
    STATE(39), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1372), 1,
      sym__indirob,
    STATE(1373), 1,
      sym__var_indirob_autoquote,
    STATE(1381), 1,
      sym__var_indirob,
    STATE(2371), 1,
      sym_heredoc_content,
    ACTIONS(4216), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1367), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [9575] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2372), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1761), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1763), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9603] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2373), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1781), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1783), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9631] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2374), 1,
      sym_heredoc_content,
    STATE(2377), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2456), 1,
      sym__quotelike_middle,
    STATE(2668), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3250), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4182), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4180), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4184), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [9671] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2375), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1777), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1779), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9699] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2376), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1765), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1767), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9727] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2377), 1,
      sym_heredoc_content,
    STATE(2459), 1,
      sym__quotelike_middle,
    STATE(2526), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2668), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3250), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4182), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4180), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4184), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [9767] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4174), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4176), 1,
      sym__dollar_ident_zw,
    ACTIONS(4224), 1,
      anon_sym_DOLLAR,
    STATE(22), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1278), 1,
      sym__indirob,
    STATE(1283), 1,
      sym__var_indirob_autoquote,
    STATE(2378), 1,
      sym_heredoc_content,
    STATE(3126), 1,
      sym__var_indirob,
    ACTIONS(4170), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3025), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [9813] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2379), 1,
      sym_heredoc_content,
    STATE(2397), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2499), 1,
      sym__quotelike_middle,
    STATE(2668), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3250), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4182), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4180), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4184), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [9853] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4228), 1,
      anon_sym_DOLLAR,
    ACTIONS(4230), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4232), 1,
      sym__dollar_ident_zw,
    STATE(41), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(662), 1,
      sym__var_indirob_autoquote,
    STATE(663), 1,
      sym__indirob,
    STATE(667), 1,
      sym__var_indirob,
    STATE(2380), 1,
      sym_heredoc_content,
    ACTIONS(4226), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(659), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [9899] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4060), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4234), 1,
      sym__dollar_ident_zw,
    STATE(34), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2381), 1,
      sym_heredoc_content,
    STATE(2431), 1,
      sym__var_indirob_autoquote,
    STATE(2468), 1,
      sym__indirob,
    STATE(2473), 1,
      sym__var_indirob,
    ACTIONS(4058), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2521), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [9945] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4048), 1,
      anon_sym_DOLLAR,
    ACTIONS(4052), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4236), 1,
      sym__dollar_ident_zw,
    STATE(35), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2346), 1,
      sym__var_indirob,
    STATE(2362), 1,
      sym__var_indirob_autoquote,
    STATE(2376), 1,
      sym__indirob,
    STATE(2382), 1,
      sym_heredoc_content,
    ACTIONS(4046), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2363), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [9991] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4200), 1,
      anon_sym_DOLLAR,
    ACTIONS(4204), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4238), 1,
      sym__dollar_ident_zw,
    STATE(23), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1029), 1,
      sym__indirob,
    STATE(1049), 1,
      sym__var_indirob_autoquote,
    STATE(1050), 1,
      sym__var_indirob,
    STATE(2383), 1,
      sym_heredoc_content,
    ACTIONS(4198), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1048), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10037] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4242), 1,
      anon_sym_DOLLAR,
    ACTIONS(4244), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4246), 1,
      sym__dollar_ident_zw,
    STATE(30), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(732), 1,
      sym__var_indirob_autoquote,
    STATE(737), 1,
      sym__indirob,
    STATE(741), 1,
      sym__var_indirob,
    STATE(2384), 1,
      sym_heredoc_content,
    ACTIONS(4240), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(735), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10083] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4250), 1,
      anon_sym_DOLLAR,
    ACTIONS(4252), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4254), 1,
      sym__dollar_ident_zw,
    STATE(31), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(752), 1,
      sym__var_indirob,
    STATE(755), 1,
      sym__indirob,
    STATE(757), 1,
      sym__var_indirob_autoquote,
    STATE(2385), 1,
      sym_heredoc_content,
    ACTIONS(4248), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(751), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10129] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4210), 1,
      anon_sym_DOLLAR,
    ACTIONS(4214), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4256), 1,
      sym__dollar_ident_zw,
    STATE(32), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1760), 1,
      sym__var_indirob_autoquote,
    STATE(1764), 1,
      sym__indirob,
    STATE(1768), 1,
      sym__var_indirob,
    STATE(2386), 1,
      sym_heredoc_content,
    ACTIONS(4208), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1763), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10175] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4036), 1,
      anon_sym_DOLLAR,
    ACTIONS(4040), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4258), 1,
      sym__dollar_ident_zw,
    STATE(37), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2369), 1,
      sym__indirob,
    STATE(2372), 1,
      sym__var_indirob_autoquote,
    STATE(2387), 1,
      sym_heredoc_content,
    STATE(2398), 1,
      sym__var_indirob,
    ACTIONS(4032), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2368), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10221] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4262), 1,
      anon_sym_DOLLAR,
    ACTIONS(4264), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4266), 1,
      sym__dollar_ident_zw,
    STATE(36), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(760), 1,
      sym__var_indirob,
    STATE(765), 1,
      sym__var_indirob_autoquote,
    STATE(768), 1,
      sym__indirob,
    STATE(2388), 1,
      sym_heredoc_content,
    ACTIONS(4260), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(767), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10267] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4270), 1,
      anon_sym_DOLLAR,
    ACTIONS(4272), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4274), 1,
      sym__dollar_ident_zw,
    STATE(38), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(715), 1,
      sym__indirob,
    STATE(721), 1,
      sym__var_indirob_autoquote,
    STATE(725), 1,
      sym__var_indirob,
    STATE(2389), 1,
      sym_heredoc_content,
    ACTIONS(4268), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(716), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10313] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4218), 1,
      anon_sym_DOLLAR,
    ACTIONS(4222), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4276), 1,
      sym__dollar_ident_zw,
    STATE(39), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1372), 1,
      sym__indirob,
    STATE(1373), 1,
      sym__var_indirob_autoquote,
    STATE(1381), 1,
      sym__var_indirob,
    STATE(2390), 1,
      sym_heredoc_content,
    ACTIONS(4216), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1367), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10359] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4278), 1,
      sym__NONASSOC,
    STATE(2391), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1736), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1738), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10389] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4280), 1,
      anon_sym_DASH_GT2,
    ACTIONS(4282), 1,
      anon_sym_LBRACK2,
    ACTIONS(4284), 1,
      anon_sym_LBRACE2,
    STATE(2392), 1,
      sym_heredoc_content,
    STATE(3395), 1,
      sym__interp_arrow,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4126), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4128), 6,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
  [10425] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2393), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1781), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1783), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10453] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2394), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1769), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1771), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10481] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4278), 1,
      sym__NONASSOC,
    STATE(2395), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1761), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1763), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10511] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2396), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1769), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1771), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10539] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2397), 1,
      sym_heredoc_content,
    STATE(2424), 1,
      sym__quotelike_middle,
    STATE(2526), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2668), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3250), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4182), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4180), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4184), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [10579] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2398), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1755), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1759), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10607] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2399), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1405), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1403), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10635] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4286), 1,
      sym__NONASSOC,
    STATE(2400), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1736), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1738), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10665] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4286), 1,
      sym__NONASSOC,
    STATE(2401), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1761), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1763), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10695] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4288), 1,
      sym__NONASSOC,
    STATE(2402), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1736), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1738), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10725] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4288), 1,
      sym__NONASSOC,
    STATE(2403), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1761), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1763), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10755] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2404), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1405), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1403), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10783] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4200), 1,
      anon_sym_DOLLAR,
    ACTIONS(4204), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4290), 1,
      sym__dollar_ident_zw,
    STATE(23), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1029), 1,
      sym__indirob,
    STATE(1039), 1,
      sym__var_indirob,
    STATE(1049), 1,
      sym__var_indirob_autoquote,
    STATE(2405), 1,
      sym_heredoc_content,
    ACTIONS(4198), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1048), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10829] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2406), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1781), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1783), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10857] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4194), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4292), 1,
      sym__dollar_ident_zw,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1554), 1,
      sym__var_indirob_autoquote,
    STATE(1559), 1,
      sym__indirob,
    STATE(1588), 1,
      sym__var_indirob,
    STATE(2407), 1,
      sym_heredoc_content,
    ACTIONS(4188), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1558), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10903] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2408), 1,
      sym_heredoc_content,
    STATE(2433), 1,
      aux_sym__term_rightward_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3213), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2428), 9,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [10932] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2409), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4294), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4296), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10959] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1798), 1,
      sym__quotelike_end,
    STATE(2410), 1,
      sym_heredoc_content,
    STATE(2411), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2688), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4300), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [10996] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1804), 1,
      sym__quotelike_end,
    STATE(2411), 1,
      sym_heredoc_content,
    STATE(2589), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2688), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4300), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [11033] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1789), 1,
      sym__quotelike_end,
    STATE(2412), 1,
      sym_heredoc_content,
    STATE(2413), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2688), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4300), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [11070] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1795), 1,
      sym__quotelike_end,
    STATE(2413), 1,
      sym_heredoc_content,
    STATE(2589), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2688), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4300), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [11107] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4200), 1,
      anon_sym_DOLLAR,
    ACTIONS(4204), 1,
      aux_sym__ident_special_token1,
    STATE(23), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1029), 1,
      sym__indirob,
    STATE(1049), 1,
      sym__var_indirob_autoquote,
    STATE(1053), 1,
      sym__var_indirob,
    STATE(2414), 1,
      sym_heredoc_content,
    ACTIONS(4198), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1048), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11150] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4194), 1,
      aux_sym__ident_special_token1,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1554), 1,
      sym__var_indirob_autoquote,
    STATE(1559), 1,
      sym__indirob,
    STATE(1777), 1,
      sym__var_indirob,
    STATE(2415), 1,
      sym_heredoc_content,
    ACTIONS(4188), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1558), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11193] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4194), 1,
      aux_sym__ident_special_token1,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1554), 1,
      sym__var_indirob_autoquote,
    STATE(1559), 1,
      sym__indirob,
    STATE(1778), 1,
      sym__var_indirob,
    STATE(2416), 1,
      sym_heredoc_content,
    ACTIONS(4188), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1558), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11236] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4194), 1,
      aux_sym__ident_special_token1,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1554), 1,
      sym__var_indirob_autoquote,
    STATE(1559), 1,
      sym__indirob,
    STATE(1933), 1,
      sym__var_indirob,
    STATE(2417), 1,
      sym_heredoc_content,
    ACTIONS(4188), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1558), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11279] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4194), 1,
      aux_sym__ident_special_token1,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1554), 1,
      sym__var_indirob_autoquote,
    STATE(1559), 1,
      sym__indirob,
    STATE(1779), 1,
      sym__var_indirob,
    STATE(2418), 1,
      sym_heredoc_content,
    ACTIONS(4188), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1558), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11322] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4194), 1,
      aux_sym__ident_special_token1,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1554), 1,
      sym__var_indirob_autoquote,
    STATE(1559), 1,
      sym__indirob,
    STATE(1942), 1,
      sym__var_indirob,
    STATE(2419), 1,
      sym_heredoc_content,
    ACTIONS(4188), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1558), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11365] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1074), 1,
      sym__quotelike_end,
    STATE(2420), 1,
      sym_heredoc_content,
    STATE(2589), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2688), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4300), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [11402] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4164), 1,
      anon_sym_DOLLAR,
    ACTIONS(4166), 1,
      aux_sym__ident_special_token1,
    STATE(25), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1278), 1,
      sym__indirob,
    STATE(1283), 1,
      sym__var_indirob_autoquote,
    STATE(1477), 1,
      sym__var_indirob,
    STATE(2421), 1,
      sym_heredoc_content,
    ACTIONS(4162), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1277), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11445] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4302), 1,
      anon_sym_DOLLAR,
    ACTIONS(4304), 1,
      anon_sym_AT,
    ACTIONS(4306), 1,
      anon_sym_COMMA,
    ACTIONS(4308), 1,
      anon_sym_RPAREN,
    ACTIONS(4310), 1,
      anon_sym_undef,
    ACTIONS(4312), 1,
      anon_sym_PERCENT2,
    STATE(2422), 1,
      sym_heredoc_content,
    STATE(2429), 1,
      aux_sym__decl_variable_list_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3416), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1392), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [11486] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4190), 1,
      anon_sym_DOLLAR,
    ACTIONS(4194), 1,
      aux_sym__ident_special_token1,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1554), 1,
      sym__var_indirob_autoquote,
    STATE(1559), 1,
      sym__indirob,
    STATE(1588), 1,
      sym__var_indirob,
    STATE(2423), 1,
      sym_heredoc_content,
    ACTIONS(4188), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1558), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11529] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1070), 1,
      sym__quotelike_end,
    STATE(2424), 1,
      sym_heredoc_content,
    STATE(2484), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2688), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4300), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [11566] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4164), 1,
      anon_sym_DOLLAR,
    ACTIONS(4166), 1,
      aux_sym__ident_special_token1,
    STATE(25), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1278), 1,
      sym__indirob,
    STATE(1283), 1,
      sym__var_indirob_autoquote,
    STATE(1319), 1,
      sym__var_indirob,
    STATE(2425), 1,
      sym_heredoc_content,
    ACTIONS(4162), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1277), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11609] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4316), 1,
      anon_sym_LBRACE,
    ACTIONS(4318), 1,
      anon_sym_DOLLAR,
    ACTIONS(4320), 1,
      anon_sym_AT,
    ACTIONS(4322), 1,
      anon_sym_LPAREN,
    ACTIONS(4324), 1,
      anon_sym_LBRACK,
    ACTIONS(4326), 1,
      anon_sym_PERCENT,
    ACTIONS(4328), 1,
      anon_sym_AMP,
    ACTIONS(4330), 1,
      anon_sym_STAR,
    STATE(1815), 1,
      sym_scalar,
    STATE(1816), 1,
      sym_method,
    STATE(2426), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4314), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [11654] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2427), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1769), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1771), 9,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [11681] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4302), 1,
      anon_sym_DOLLAR,
    ACTIONS(4304), 1,
      anon_sym_AT,
    ACTIONS(4306), 1,
      anon_sym_COMMA,
    ACTIONS(4310), 1,
      anon_sym_undef,
    ACTIONS(4312), 1,
      anon_sym_PERCENT2,
    ACTIONS(4332), 1,
      anon_sym_RPAREN,
    STATE(2428), 1,
      sym_heredoc_content,
    STATE(2487), 1,
      aux_sym__decl_variable_list_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3408), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1392), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [11722] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4302), 1,
      anon_sym_DOLLAR,
    ACTIONS(4304), 1,
      anon_sym_AT,
    ACTIONS(4306), 1,
      anon_sym_COMMA,
    ACTIONS(4310), 1,
      anon_sym_undef,
    ACTIONS(4312), 1,
      anon_sym_PERCENT2,
    ACTIONS(4334), 1,
      anon_sym_RPAREN,
    STATE(2429), 1,
      sym_heredoc_content,
    STATE(2507), 1,
      aux_sym__decl_variable_list_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3426), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1392), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [11763] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4164), 1,
      anon_sym_DOLLAR,
    ACTIONS(4166), 1,
      aux_sym__ident_special_token1,
    STATE(25), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1278), 1,
      sym__indirob,
    STATE(1283), 1,
      sym__var_indirob_autoquote,
    STATE(1405), 1,
      sym__var_indirob,
    STATE(2430), 1,
      sym_heredoc_content,
    ACTIONS(4162), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1277), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11806] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2431), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1761), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1763), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [11833] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2432), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4336), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4338), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [11860] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4340), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    STATE(2433), 2,
      sym_heredoc_content,
      aux_sym__term_rightward_repeat1,
    ACTIONS(2636), 9,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [11887] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2434), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1405), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1403), 9,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [11914] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(1887), 1,
      sym__quotelike_end,
    STATE(2435), 1,
      sym_heredoc_content,
    STATE(2436), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2688), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4300), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [11951] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(1901), 1,
      sym__quotelike_end,
    STATE(2436), 1,
      sym_heredoc_content,
    STATE(2589), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2688), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4300), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [11988] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(1903), 1,
      sym__quotelike_end,
    STATE(2437), 1,
      sym_heredoc_content,
    STATE(2438), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2688), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4300), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [12025] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(1913), 1,
      sym__quotelike_end,
    STATE(2438), 1,
      sym_heredoc_content,
    STATE(2589), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2688), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4300), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [12062] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4228), 1,
      anon_sym_DOLLAR,
    ACTIONS(4230), 1,
      aux_sym__ident_special_token1,
    STATE(41), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(661), 1,
      sym__var_indirob,
    STATE(662), 1,
      sym__var_indirob_autoquote,
    STATE(663), 1,
      sym__indirob,
    STATE(2439), 1,
      sym_heredoc_content,
    ACTIONS(4226), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(659), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12105] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4210), 1,
      anon_sym_DOLLAR,
    ACTIONS(4214), 1,
      aux_sym__ident_special_token1,
    STATE(32), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1760), 1,
      sym__var_indirob_autoquote,
    STATE(1764), 1,
      sym__indirob,
    STATE(1802), 1,
      sym__var_indirob,
    STATE(2440), 1,
      sym_heredoc_content,
    ACTIONS(4208), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1763), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12148] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4210), 1,
      anon_sym_DOLLAR,
    ACTIONS(4214), 1,
      aux_sym__ident_special_token1,
    STATE(32), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1760), 1,
      sym__var_indirob_autoquote,
    STATE(1764), 1,
      sym__indirob,
    STATE(2143), 1,
      sym__var_indirob,
    STATE(2441), 1,
      sym_heredoc_content,
    ACTIONS(4208), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1763), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12191] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4210), 1,
      anon_sym_DOLLAR,
    ACTIONS(4214), 1,
      aux_sym__ident_special_token1,
    STATE(32), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1760), 1,
      sym__var_indirob_autoquote,
    STATE(1764), 1,
      sym__indirob,
    STATE(1807), 1,
      sym__var_indirob,
    STATE(2442), 1,
      sym_heredoc_content,
    ACTIONS(4208), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1763), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12234] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4210), 1,
      anon_sym_DOLLAR,
    ACTIONS(4214), 1,
      aux_sym__ident_special_token1,
    STATE(32), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1760), 1,
      sym__var_indirob_autoquote,
    STATE(1764), 1,
      sym__indirob,
    STATE(2013), 1,
      sym__var_indirob,
    STATE(2443), 1,
      sym_heredoc_content,
    ACTIONS(4208), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1763), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12277] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4343), 1,
      anon_sym_LBRACK2,
    ACTIONS(4345), 1,
      anon_sym_LBRACE2,
    STATE(2444), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4126), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4128), 8,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [12308] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2445), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1777), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1779), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12335] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2446), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4347), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4349), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12362] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2447), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1781), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1783), 9,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12389] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4302), 1,
      anon_sym_DOLLAR,
    ACTIONS(4304), 1,
      anon_sym_AT,
    ACTIONS(4306), 1,
      anon_sym_COMMA,
    ACTIONS(4310), 1,
      anon_sym_undef,
    ACTIONS(4312), 1,
      anon_sym_PERCENT2,
    ACTIONS(4351), 1,
      anon_sym_RPAREN,
    STATE(2448), 1,
      sym_heredoc_content,
    STATE(2453), 1,
      aux_sym__decl_variable_list_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3420), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1392), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [12430] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4210), 1,
      anon_sym_DOLLAR,
    ACTIONS(4214), 1,
      aux_sym__ident_special_token1,
    STATE(32), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1760), 1,
      sym__var_indirob_autoquote,
    STATE(1764), 1,
      sym__indirob,
    STATE(1768), 1,
      sym__var_indirob,
    STATE(2449), 1,
      sym_heredoc_content,
    ACTIONS(4208), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1763), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12473] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2450), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4336), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4338), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12500] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4060), 1,
      anon_sym_DOLLAR,
    ACTIONS(4064), 1,
      aux_sym__ident_special_token1,
    STATE(27), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2402), 1,
      sym_block,
    STATE(2403), 1,
      sym__var_indirob_autoquote,
    STATE(2451), 1,
      sym_heredoc_content,
    STATE(2468), 1,
      sym__indirob,
    STATE(2473), 1,
      sym__var_indirob,
    ACTIONS(4058), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2521), 2,
      sym_scalar,
      sym__ident_special,
  [12545] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4355), 1,
      anon_sym_LBRACE,
    ACTIONS(4357), 1,
      anon_sym_DOLLAR,
    ACTIONS(4359), 1,
      anon_sym_AT,
    ACTIONS(4361), 1,
      anon_sym_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_LBRACK,
    ACTIONS(4365), 1,
      anon_sym_PERCENT,
    ACTIONS(4367), 1,
      anon_sym_AMP,
    ACTIONS(4369), 1,
      anon_sym_STAR,
    STATE(1878), 1,
      sym_scalar,
    STATE(1879), 1,
      sym_method,
    STATE(2452), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4353), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [12590] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4302), 1,
      anon_sym_DOLLAR,
    ACTIONS(4304), 1,
      anon_sym_AT,
    ACTIONS(4306), 1,
      anon_sym_COMMA,
    ACTIONS(4310), 1,
      anon_sym_undef,
    ACTIONS(4312), 1,
      anon_sym_PERCENT2,
    ACTIONS(4371), 1,
      anon_sym_RPAREN,
    STATE(2453), 1,
      sym_heredoc_content,
    STATE(2507), 1,
      aux_sym__decl_variable_list_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3445), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1392), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [12631] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2454), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4347), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4349), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12658] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2455), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1773), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1775), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12685] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1575), 1,
      sym__quotelike_end,
    STATE(2456), 1,
      sym_heredoc_content,
    STATE(2458), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2688), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4300), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [12722] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1342), 1,
      sym__quotelike_end,
    STATE(2457), 1,
      sym_heredoc_content,
    STATE(2589), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2688), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4300), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [12759] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1580), 1,
      sym__quotelike_end,
    STATE(2458), 1,
      sym_heredoc_content,
    STATE(2589), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2688), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4300), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [12796] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1581), 1,
      sym__quotelike_end,
    STATE(2459), 1,
      sym_heredoc_content,
    STATE(2460), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2688), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4300), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [12833] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1583), 1,
      sym__quotelike_end,
    STATE(2460), 1,
      sym_heredoc_content,
    STATE(2589), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2688), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4300), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [12870] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4242), 1,
      anon_sym_DOLLAR,
    ACTIONS(4244), 1,
      aux_sym__ident_special_token1,
    STATE(30), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(732), 1,
      sym__var_indirob_autoquote,
    STATE(734), 1,
      sym__var_indirob,
    STATE(737), 1,
      sym__indirob,
    STATE(2461), 1,
      sym_heredoc_content,
    ACTIONS(4240), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(735), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12913] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4218), 1,
      anon_sym_DOLLAR,
    ACTIONS(4222), 1,
      aux_sym__ident_special_token1,
    STATE(39), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1372), 1,
      sym__indirob,
    STATE(1373), 1,
      sym__var_indirob_autoquote,
    STATE(1470), 1,
      sym__var_indirob,
    STATE(2462), 1,
      sym_heredoc_content,
    ACTIONS(4216), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1367), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12956] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4218), 1,
      anon_sym_DOLLAR,
    ACTIONS(4222), 1,
      aux_sym__ident_special_token1,
    STATE(39), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1372), 1,
      sym__indirob,
    STATE(1373), 1,
      sym__var_indirob_autoquote,
    STATE(1701), 1,
      sym__var_indirob,
    STATE(2463), 1,
      sym_heredoc_content,
    ACTIONS(4216), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1367), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12999] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4218), 1,
      anon_sym_DOLLAR,
    ACTIONS(4222), 1,
      aux_sym__ident_special_token1,
    STATE(39), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1372), 1,
      sym__indirob,
    STATE(1373), 1,
      sym__var_indirob_autoquote,
    STATE(1478), 1,
      sym__var_indirob,
    STATE(2464), 1,
      sym_heredoc_content,
    ACTIONS(4216), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1367), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13042] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4218), 1,
      anon_sym_DOLLAR,
    ACTIONS(4222), 1,
      aux_sym__ident_special_token1,
    STATE(39), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1372), 1,
      sym__indirob,
    STATE(1373), 1,
      sym__var_indirob_autoquote,
    STATE(1620), 1,
      sym__var_indirob,
    STATE(2465), 1,
      sym_heredoc_content,
    ACTIONS(4216), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1367), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13085] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4302), 1,
      anon_sym_DOLLAR,
    ACTIONS(4304), 1,
      anon_sym_AT,
    ACTIONS(4306), 1,
      anon_sym_COMMA,
    ACTIONS(4310), 1,
      anon_sym_undef,
    ACTIONS(4312), 1,
      anon_sym_PERCENT2,
    ACTIONS(4373), 1,
      anon_sym_RPAREN,
    STATE(2466), 1,
      sym_heredoc_content,
    STATE(2489), 1,
      aux_sym__decl_variable_list_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3419), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1392), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [13126] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1364), 1,
      sym__quotelike_end,
    STATE(2467), 1,
      sym_heredoc_content,
    STATE(2589), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2688), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4300), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [13163] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2468), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1765), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1767), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [13190] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4218), 1,
      anon_sym_DOLLAR,
    ACTIONS(4222), 1,
      aux_sym__ident_special_token1,
    STATE(39), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1372), 1,
      sym__indirob,
    STATE(1373), 1,
      sym__var_indirob_autoquote,
    STATE(1381), 1,
      sym__var_indirob,
    STATE(2469), 1,
      sym_heredoc_content,
    ACTIONS(4216), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1367), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13233] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4377), 1,
      anon_sym_LBRACE,
    ACTIONS(4379), 1,
      anon_sym_DOLLAR,
    ACTIONS(4381), 1,
      anon_sym_AT,
    ACTIONS(4383), 1,
      anon_sym_LPAREN,
    ACTIONS(4385), 1,
      anon_sym_LBRACK,
    ACTIONS(4387), 1,
      anon_sym_PERCENT,
    ACTIONS(4389), 1,
      anon_sym_AMP,
    ACTIONS(4391), 1,
      anon_sym_STAR,
    STATE(1541), 1,
      sym_scalar,
    STATE(1568), 1,
      sym_method,
    STATE(2470), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4375), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [13278] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2471), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4393), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4395), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [13305] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4302), 1,
      anon_sym_DOLLAR,
    ACTIONS(4304), 1,
      anon_sym_AT,
    ACTIONS(4306), 1,
      anon_sym_COMMA,
    ACTIONS(4310), 1,
      anon_sym_undef,
    ACTIONS(4312), 1,
      anon_sym_PERCENT2,
    ACTIONS(4397), 1,
      anon_sym_RPAREN,
    STATE(2472), 1,
      sym_heredoc_content,
    STATE(2507), 1,
      aux_sym__decl_variable_list_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3461), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1392), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [13346] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2473), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1755), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1759), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [13373] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4399), 1,
      sym__NONASSOC,
    STATE(2474), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1736), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1738), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [13402] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4399), 1,
      sym__NONASSOC,
    STATE(2475), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1761), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1763), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [13431] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2476), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1769), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1771), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [13458] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4250), 1,
      anon_sym_DOLLAR,
    ACTIONS(4252), 1,
      aux_sym__ident_special_token1,
    STATE(31), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(753), 1,
      sym__var_indirob,
    STATE(755), 1,
      sym__indirob,
    STATE(757), 1,
      sym__var_indirob_autoquote,
    STATE(2477), 1,
      sym_heredoc_content,
    ACTIONS(4248), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(751), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13501] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4210), 1,
      anon_sym_DOLLAR,
    ACTIONS(4214), 1,
      aux_sym__ident_special_token1,
    STATE(32), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1760), 1,
      sym__var_indirob_autoquote,
    STATE(1764), 1,
      sym__indirob,
    STATE(1784), 1,
      sym__var_indirob,
    STATE(2478), 1,
      sym_heredoc_content,
    ACTIONS(4208), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1763), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13544] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4164), 1,
      anon_sym_DOLLAR,
    ACTIONS(4166), 1,
      aux_sym__ident_special_token1,
    STATE(25), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1278), 1,
      sym__indirob,
    STATE(1279), 1,
      sym__var_indirob,
    STATE(1283), 1,
      sym__var_indirob_autoquote,
    STATE(2479), 1,
      sym_heredoc_content,
    ACTIONS(4162), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1277), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13587] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4262), 1,
      anon_sym_DOLLAR,
    ACTIONS(4264), 1,
      aux_sym__ident_special_token1,
    STATE(36), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(763), 1,
      sym__var_indirob,
    STATE(765), 1,
      sym__var_indirob_autoquote,
    STATE(768), 1,
      sym__indirob,
    STATE(2480), 1,
      sym_heredoc_content,
    ACTIONS(4260), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(767), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13630] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4270), 1,
      anon_sym_DOLLAR,
    ACTIONS(4272), 1,
      aux_sym__ident_special_token1,
    STATE(38), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(715), 1,
      sym__indirob,
    STATE(721), 1,
      sym__var_indirob_autoquote,
    STATE(722), 1,
      sym__var_indirob,
    STATE(2481), 1,
      sym_heredoc_content,
    ACTIONS(4268), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(716), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13673] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1336), 1,
      sym__quotelike_end,
    STATE(2467), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2482), 1,
      sym_heredoc_content,
    STATE(2688), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4300), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [13710] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4218), 1,
      anon_sym_DOLLAR,
    ACTIONS(4222), 1,
      aux_sym__ident_special_token1,
    STATE(39), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1372), 1,
      sym__indirob,
    STATE(1373), 1,
      sym__var_indirob_autoquote,
    STATE(1464), 1,
      sym__var_indirob,
    STATE(2483), 1,
      sym_heredoc_content,
    ACTIONS(4216), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1367), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13753] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1080), 1,
      sym__quotelike_end,
    STATE(2484), 1,
      sym_heredoc_content,
    STATE(2589), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2688), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4300), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [13790] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4164), 1,
      anon_sym_DOLLAR,
    ACTIONS(4166), 1,
      aux_sym__ident_special_token1,
    STATE(25), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1278), 1,
      sym__indirob,
    STATE(1283), 1,
      sym__var_indirob_autoquote,
    STATE(1315), 1,
      sym__var_indirob,
    STATE(2485), 1,
      sym_heredoc_content,
    ACTIONS(4162), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1277), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13833] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4403), 1,
      anon_sym_LBRACE,
    ACTIONS(4405), 1,
      anon_sym_DOLLAR,
    ACTIONS(4407), 1,
      anon_sym_AT,
    ACTIONS(4409), 1,
      anon_sym_LPAREN,
    ACTIONS(4411), 1,
      anon_sym_LBRACK,
    ACTIONS(4413), 1,
      anon_sym_PERCENT,
    ACTIONS(4415), 1,
      anon_sym_AMP,
    ACTIONS(4417), 1,
      anon_sym_STAR,
    STATE(1339), 1,
      sym_scalar,
    STATE(1340), 1,
      sym_method,
    STATE(2486), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4401), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [13878] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4302), 1,
      anon_sym_DOLLAR,
    ACTIONS(4304), 1,
      anon_sym_AT,
    ACTIONS(4306), 1,
      anon_sym_COMMA,
    ACTIONS(4310), 1,
      anon_sym_undef,
    ACTIONS(4312), 1,
      anon_sym_PERCENT2,
    ACTIONS(4419), 1,
      anon_sym_RPAREN,
    STATE(2487), 1,
      sym_heredoc_content,
    STATE(2507), 1,
      aux_sym__decl_variable_list_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3417), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1392), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [13919] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4164), 1,
      anon_sym_DOLLAR,
    ACTIONS(4166), 1,
      aux_sym__ident_special_token1,
    STATE(25), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1278), 1,
      sym__indirob,
    STATE(1283), 1,
      sym__var_indirob_autoquote,
    STATE(1316), 1,
      sym__var_indirob,
    STATE(2488), 1,
      sym_heredoc_content,
    ACTIONS(4162), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1277), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13962] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4302), 1,
      anon_sym_DOLLAR,
    ACTIONS(4304), 1,
      anon_sym_AT,
    ACTIONS(4306), 1,
      anon_sym_COMMA,
    ACTIONS(4310), 1,
      anon_sym_undef,
    ACTIONS(4312), 1,
      anon_sym_PERCENT2,
    ACTIONS(4421), 1,
      anon_sym_RPAREN,
    STATE(2489), 1,
      sym_heredoc_content,
    STATE(2507), 1,
      aux_sym__decl_variable_list_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3414), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1392), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [14003] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4423), 1,
      anon_sym_LBRACK2,
    ACTIONS(4425), 1,
      anon_sym_LBRACE2,
    STATE(2490), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4126), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4128), 8,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [14034] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4427), 1,
      anon_sym_LBRACK2,
    ACTIONS(4429), 1,
      anon_sym_LBRACE2,
    STATE(2491), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4126), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4128), 8,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [14065] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2492), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4294), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4296), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14092] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2493), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4431), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4433), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14119] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2494), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4431), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4433), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14146] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2495), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2426), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2424), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14173] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2496), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4435), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4437), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14200] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4200), 1,
      anon_sym_DOLLAR,
    ACTIONS(4204), 1,
      aux_sym__ident_special_token1,
    STATE(23), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1029), 1,
      sym__indirob,
    STATE(1049), 1,
      sym__var_indirob_autoquote,
    STATE(1050), 1,
      sym__var_indirob,
    STATE(2497), 1,
      sym_heredoc_content,
    ACTIONS(4198), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1048), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14243] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4441), 1,
      anon_sym_LBRACE,
    ACTIONS(4443), 1,
      anon_sym_DOLLAR,
    ACTIONS(4445), 1,
      anon_sym_AT,
    ACTIONS(4447), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LBRACK,
    ACTIONS(4451), 1,
      anon_sym_PERCENT,
    ACTIONS(4453), 1,
      anon_sym_AMP,
    ACTIONS(4455), 1,
      anon_sym_STAR,
    STATE(1086), 1,
      sym_scalar,
    STATE(1087), 1,
      sym_method,
    STATE(2498), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4439), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [14288] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1059), 1,
      sym__quotelike_end,
    STATE(2420), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2499), 1,
      sym_heredoc_content,
    STATE(2688), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4300), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [14325] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2500), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4459), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14352] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2501), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4461), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4463), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14379] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4200), 1,
      anon_sym_DOLLAR,
    ACTIONS(4204), 1,
      aux_sym__ident_special_token1,
    STATE(23), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1029), 1,
      sym__indirob,
    STATE(1049), 1,
      sym__var_indirob_autoquote,
    STATE(1224), 1,
      sym__var_indirob,
    STATE(2502), 1,
      sym_heredoc_content,
    ACTIONS(4198), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1048), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14422] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2503), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4393), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4395), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14449] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2504), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4435), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4437), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14476] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2505), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4459), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14503] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2506), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4461), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4463), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14530] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4465), 1,
      anon_sym_DOLLAR,
    ACTIONS(4468), 1,
      anon_sym_AT,
    ACTIONS(4471), 1,
      anon_sym_COMMA,
    ACTIONS(4474), 1,
      anon_sym_RPAREN,
    ACTIONS(4476), 1,
      anon_sym_undef,
    ACTIONS(4479), 1,
      anon_sym_PERCENT2,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2507), 2,
      sym_heredoc_content,
      aux_sym__decl_variable_list_repeat1,
    STATE(3478), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1392), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [14569] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2508), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1405), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1403), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14596] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2509), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2426), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2424), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14623] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4482), 1,
      sym__NONASSOC,
    STATE(2510), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1736), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1738), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14652] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4482), 1,
      sym__NONASSOC,
    STATE(2511), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1761), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1763), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14681] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4484), 1,
      anon_sym_LBRACK2,
    ACTIONS(4486), 1,
      anon_sym_LBRACE2,
    STATE(2512), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4126), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4128), 8,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [14712] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4200), 1,
      anon_sym_DOLLAR,
    ACTIONS(4204), 1,
      aux_sym__ident_special_token1,
    STATE(23), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1029), 1,
      sym__indirob,
    STATE(1049), 1,
      sym__var_indirob_autoquote,
    STATE(1052), 1,
      sym__var_indirob,
    STATE(2513), 1,
      sym_heredoc_content,
    ACTIONS(4198), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1048), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14755] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4200), 1,
      anon_sym_DOLLAR,
    ACTIONS(4204), 1,
      aux_sym__ident_special_token1,
    STATE(23), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1029), 1,
      sym__indirob,
    STATE(1049), 1,
      sym__var_indirob_autoquote,
    STATE(1134), 1,
      sym__var_indirob,
    STATE(2514), 1,
      sym_heredoc_content,
    ACTIONS(4198), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1048), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14798] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4200), 1,
      anon_sym_DOLLAR,
    ACTIONS(4204), 1,
      aux_sym__ident_special_token1,
    STATE(23), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1029), 1,
      sym__indirob,
    STATE(1039), 1,
      sym__var_indirob,
    STATE(1049), 1,
      sym__var_indirob_autoquote,
    STATE(2515), 1,
      sym_heredoc_content,
    ACTIONS(4198), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1048), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14841] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4072), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      aux_sym__ident_special_token1,
    STATE(24), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2474), 1,
      sym_block,
    STATE(2475), 1,
      sym__var_indirob_autoquote,
    STATE(2516), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      sym__indirob,
    STATE(2587), 1,
      sym__var_indirob,
    ACTIONS(4070), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2547), 2,
      sym_scalar,
      sym__ident_special,
  [14886] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4034), 1,
      anon_sym_LBRACE,
    ACTIONS(4174), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4224), 1,
      anon_sym_DOLLAR,
    STATE(22), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1278), 1,
      sym__indirob,
    STATE(1283), 1,
      sym__var_indirob_autoquote,
    STATE(2517), 1,
      sym_heredoc_content,
    STATE(3126), 1,
      sym__var_indirob,
    ACTIONS(4170), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3025), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14929] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1385), 1,
      sym__quotelike_end,
    STATE(2457), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2518), 1,
      sym_heredoc_content,
    STATE(2688), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4298), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(3896), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4300), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [14966] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2519), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1781), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1783), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14993] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4488), 1,
      anon_sym_DASH_GT2,
    ACTIONS(4490), 1,
      anon_sym_LBRACK2,
    ACTIONS(4492), 1,
      anon_sym_LBRACE2,
    STATE(2520), 1,
      sym_heredoc_content,
    STATE(3347), 1,
      sym__interp_arrow,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4126), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4128), 5,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
  [15028] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2521), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1736), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1738), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15055] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4302), 1,
      anon_sym_DOLLAR,
    ACTIONS(4304), 1,
      anon_sym_AT,
    ACTIONS(4306), 1,
      anon_sym_COMMA,
    ACTIONS(4310), 1,
      anon_sym_undef,
    ACTIONS(4312), 1,
      anon_sym_PERCENT2,
    ACTIONS(4494), 1,
      anon_sym_RPAREN,
    STATE(2472), 1,
      aux_sym__decl_variable_list_repeat1,
    STATE(2522), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3427), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1392), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [15096] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2523), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2426), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2424), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15122] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4500), 1,
      sym_prototype,
    ACTIONS(4502), 1,
      sym__signature_start,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(842), 1,
      sym_block,
    STATE(2524), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2878), 1,
      sym_attrlist,
    STATE(3291), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [15164] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2525), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4393), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4395), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15190] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4510), 1,
      sym__quotelike_middle_close_quote,
    STATE(2668), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4507), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    STATE(2526), 2,
      aux_sym__interpolated_transliteration_content,
      sym_heredoc_content,
    ACTIONS(4504), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4512), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [15222] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(4172), 1,
      anon_sym_DOLLAR,
    ACTIONS(4174), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4515), 1,
      anon_sym_GT,
    STATE(106), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2527), 1,
      sym_heredoc_content,
    STATE(3571), 1,
      sym__indirob,
    ACTIONS(4170), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3025), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [15262] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4517), 1,
      sym_prototype,
    STATE(86), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2048), 1,
      sym_block,
    STATE(2528), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2829), 1,
      sym_attrlist,
    STATE(3296), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [15304] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4519), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(828), 1,
      sym_block,
    STATE(2529), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2943), 1,
      sym_attrlist,
    STATE(3283), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [15346] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4521), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(829), 1,
      sym_block,
    STATE(2530), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2950), 1,
      sym_attrlist,
    STATE(3334), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [15388] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4523), 1,
      sym_prototype,
    STATE(86), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2049), 1,
      sym_block,
    STATE(2531), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2836), 1,
      sym_attrlist,
    STATE(3298), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [15430] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4525), 1,
      anon_sym_LBRACK2,
    ACTIONS(4527), 1,
      anon_sym_LBRACE2,
    STATE(2532), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4126), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4128), 7,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [15460] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4529), 1,
      anon_sym_LBRACK2,
    ACTIONS(4531), 1,
      anon_sym_LBRACE2,
    STATE(2533), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4126), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4128), 7,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [15490] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4533), 1,
      sym__NONASSOC,
    STATE(2534), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1736), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1738), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15518] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4533), 1,
      sym__NONASSOC,
    STATE(2535), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1761), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1763), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15546] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4535), 1,
      sym_prototype,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1123), 1,
      sym_block,
    STATE(2536), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2873), 1,
      sym_attrlist,
    STATE(3276), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [15588] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2537), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4294), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4296), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15614] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2538), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4431), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4433), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15640] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4537), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(999), 1,
      sym_block,
    STATE(2539), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2808), 1,
      sym_attrlist,
    STATE(3338), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [15682] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4539), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1000), 1,
      sym_block,
    STATE(2540), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2810), 1,
      sym_attrlist,
    STATE(3341), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [15724] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4541), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(822), 1,
      sym_block,
    STATE(2541), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2869), 1,
      sym_attrlist,
    STATE(3267), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [15766] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2542), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4461), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4463), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15792] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4543), 1,
      sym_prototype,
    STATE(129), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1634), 1,
      sym_block,
    STATE(2543), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2830), 1,
      sym_attrlist,
    STATE(3363), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [15834] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4545), 1,
      sym_prototype,
    STATE(129), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1635), 1,
      sym_block,
    STATE(2544), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2831), 1,
      sym_attrlist,
    STATE(3364), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [15876] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(4172), 1,
      anon_sym_DOLLAR,
    ACTIONS(4174), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4547), 1,
      anon_sym_GT,
    STATE(106), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2545), 1,
      sym_heredoc_content,
    STATE(3539), 1,
      sym__indirob,
    ACTIONS(4170), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3025), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [15916] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2546), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1405), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1403), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15942] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2547), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1736), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1738), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15968] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2548), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1773), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1775), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15994] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2549), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1765), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1767), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16020] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4549), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(809), 1,
      sym_block,
    STATE(2550), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2913), 1,
      sym_attrlist,
    STATE(3317), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [16062] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4551), 1,
      sym_prototype,
    STATE(127), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1523), 1,
      sym_block,
    STATE(2551), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2964), 1,
      sym_attrlist,
    STATE(3297), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [16104] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2552), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1781), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1783), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16130] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4553), 1,
      sym__identifier,
    STATE(2553), 1,
      sym_heredoc_content,
    STATE(2661), 1,
      sym__signature_varname,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4557), 3,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_SLASH_SLASH_EQ,
    ACTIONS(4555), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [16160] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4559), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(810), 1,
      sym_block,
    STATE(2554), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2932), 1,
      sym_attrlist,
    STATE(3368), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [16202] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4561), 1,
      sym_prototype,
    STATE(72), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1955), 1,
      sym_block,
    STATE(2555), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2901), 1,
      sym_attrlist,
    STATE(3335), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [16244] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4563), 1,
      sym_prototype,
    STATE(72), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1956), 1,
      sym_block,
    STATE(2556), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2903), 1,
      sym_attrlist,
    STATE(3337), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [16286] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2557), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4435), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4437), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16312] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2558), 1,
      sym_heredoc_content,
    STATE(2669), 1,
      sym_attribute,
    STATE(2783), 1,
      sym_attribute_name,
    STATE(2883), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1447), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4565), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(911), 2,
      sym_block,
      sym__semicolon,
  [16350] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4567), 1,
      sym_prototype,
    STATE(127), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1525), 1,
      sym_block,
    STATE(2559), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2967), 1,
      sym_attrlist,
    STATE(3300), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [16392] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4569), 1,
      sym_prototype,
    STATE(86), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2111), 1,
      sym_block,
    STATE(2560), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2915), 1,
      sym_attrlist,
    STATE(3318), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [16434] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4571), 1,
      sym_prototype,
    STATE(129), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1657), 1,
      sym_block,
    STATE(2561), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2841), 1,
      sym_attrlist,
    STATE(3386), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [16476] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4573), 1,
      sym_prototype,
    STATE(129), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1659), 1,
      sym_block,
    STATE(2562), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2842), 1,
      sym_attrlist,
    STATE(3388), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [16518] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4575), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(937), 1,
      sym_block,
    STATE(2563), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2844), 1,
      sym_attrlist,
    STATE(3245), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [16560] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(4172), 1,
      anon_sym_DOLLAR,
    ACTIONS(4174), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4577), 1,
      anon_sym_GT,
    STATE(106), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2564), 1,
      sym_heredoc_content,
    STATE(3505), 1,
      sym__indirob,
    ACTIONS(4170), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3025), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [16600] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2565), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4459), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16626] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2566), 1,
      sym_heredoc_content,
    STATE(2669), 1,
      sym_attribute,
    STATE(2783), 1,
      sym_attribute_name,
    STATE(2875), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1447), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4565), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1005), 2,
      sym_block,
      sym__semicolon,
  [16664] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4579), 1,
      sym_prototype,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1130), 1,
      sym_block,
    STATE(2567), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2877), 1,
      sym_attrlist,
    STATE(3286), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [16706] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2568), 1,
      sym_heredoc_content,
    STATE(2669), 1,
      sym_attribute,
    STATE(2783), 1,
      sym_attribute_name,
    STATE(2894), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1457), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4565), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(888), 2,
      sym_block,
      sym__semicolon,
  [16744] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4581), 1,
      sym_prototype,
    STATE(127), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1469), 1,
      sym_block,
    STATE(2569), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2816), 1,
      sym_attrlist,
    STATE(3359), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [16786] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4583), 1,
      sym_prototype,
    STATE(127), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1540), 1,
      sym_block,
    STATE(2570), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2817), 1,
      sym_attrlist,
    STATE(3365), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [16828] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2571), 1,
      sym_heredoc_content,
    STATE(2669), 1,
      sym_attribute,
    STATE(2783), 1,
      sym_attribute_name,
    STATE(2900), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1457), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4565), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(806), 2,
      sym_block,
      sym__semicolon,
  [16866] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2572), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1777), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1779), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16892] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4585), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(913), 1,
      sym_block,
    STATE(2573), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2821), 1,
      sym_attrlist,
    STATE(3369), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [16934] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4587), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(915), 1,
      sym_block,
    STATE(2574), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2825), 1,
      sym_attrlist,
    STATE(3374), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [16976] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2575), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1769), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1771), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [17002] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2576), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4336), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4338), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [17028] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4589), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(928), 1,
      sym_block,
    STATE(2577), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2840), 1,
      sym_attrlist,
    STATE(3328), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17070] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2578), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1761), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1763), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [17096] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2579), 1,
      sym_heredoc_content,
    STATE(2669), 1,
      sym_attribute,
    STATE(2783), 1,
      sym_attribute_name,
    STATE(2934), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1447), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4565), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(991), 2,
      sym_block,
      sym__semicolon,
  [17134] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2580), 1,
      sym_heredoc_content,
    STATE(2669), 1,
      sym_attribute,
    STATE(2783), 1,
      sym_attribute_name,
    STATE(2963), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1447), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4565), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(993), 2,
      sym_block,
      sym__semicolon,
  [17172] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2581), 1,
      sym_heredoc_content,
    STATE(2669), 1,
      sym_attribute,
    STATE(2783), 1,
      sym_attribute_name,
    STATE(2895), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1457), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4565), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(871), 2,
      sym_block,
      sym__semicolon,
  [17210] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2582), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4347), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4349), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [17236] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4591), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(841), 1,
      sym_block,
    STATE(2583), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2876), 1,
      sym_attrlist,
    STATE(3288), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17278] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4593), 1,
      sym_prototype,
    STATE(72), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1979), 1,
      sym_block,
    STATE(2584), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2926), 1,
      sym_attrlist,
    STATE(3370), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17320] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4595), 1,
      sym_prototype,
    STATE(72), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1981), 1,
      sym_block,
    STATE(2585), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2927), 1,
      sym_attrlist,
    STATE(3373), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17362] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4597), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(817), 1,
      sym_block,
    STATE(2586), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2866), 1,
      sym_attrlist,
    STATE(3260), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17404] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2587), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1755), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1759), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [17430] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(4172), 1,
      anon_sym_DOLLAR,
    ACTIONS(4174), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4599), 1,
      anon_sym_GT,
    STATE(106), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2588), 1,
      sym_heredoc_content,
    STATE(3551), 1,
      sym__indirob,
    ACTIONS(4170), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3025), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [17470] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4510), 1,
      sym__quotelike_end_quote,
    STATE(2688), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4604), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    STATE(2589), 2,
      aux_sym__interpolated_transliteration_content,
      sym_heredoc_content,
    ACTIONS(4601), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4607), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [17502] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4610), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(938), 1,
      sym_block,
    STATE(2590), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2845), 1,
      sym_attrlist,
    STATE(3246), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17544] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4612), 1,
      sym_prototype,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1155), 1,
      sym_block,
    STATE(2591), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2945), 1,
      sym_attrlist,
    STATE(3241), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17586] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4614), 1,
      sym_prototype,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1163), 1,
      sym_block,
    STATE(2592), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2804), 1,
      sym_attrlist,
    STATE(3275), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17628] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4616), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(925), 1,
      sym_block,
    STATE(2593), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2839), 1,
      sym_attrlist,
    STATE(3402), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17670] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(13), 1,
      anon_sym_LBRACE,
    ACTIONS(4172), 1,
      anon_sym_DOLLAR,
    ACTIONS(4174), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4618), 1,
      anon_sym_GT,
    STATE(106), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2594), 1,
      sym_heredoc_content,
    STATE(3512), 1,
      sym__indirob,
    ACTIONS(4170), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3025), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [17710] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2595), 1,
      sym_heredoc_content,
    STATE(2669), 1,
      sym_attribute,
    STATE(2783), 1,
      sym_attribute_name,
    STATE(2925), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1457), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4565), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(859), 2,
      sym_block,
      sym__semicolon,
  [17748] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4620), 1,
      sym_prototype,
    STATE(86), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2115), 1,
      sym_block,
    STATE(2596), 1,
      sym_heredoc_content,
    STATE(2681), 1,
      sym_attribute,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2923), 1,
      sym_attrlist,
    STATE(3320), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17790] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4622), 1,
      anon_sym_LBRACK2,
    ACTIONS(4624), 1,
      anon_sym_LBRACE2,
    STATE(2597), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4126), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4128), 6,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [17819] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2598), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4626), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [17842] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2599), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2426), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2424), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [17867] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2600), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4435), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4437), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [17892] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4628), 1,
      anon_sym_LBRACK2,
    ACTIONS(4630), 1,
      anon_sym_LBRACE2,
    STATE(2601), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4126), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4128), 6,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [17921] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2602), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4632), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [17944] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2603), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4634), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [17967] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2604), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2412), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [17990] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2605), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4636), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18013] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2606), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4128), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18036] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2607), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4459), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [18061] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2608), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4638), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18084] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2609), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4632), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18107] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2610), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4640), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18130] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2611), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4642), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18153] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4644), 1,
      anon_sym_COLON,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2612), 1,
      sym_heredoc_content,
    STATE(2786), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1447), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4646), 2,
      sym_version,
      sym_number,
    STATE(982), 2,
      sym_block,
      sym__semicolon,
  [18188] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2613), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4294), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4296), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [18213] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4648), 1,
      anon_sym_COLON,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2614), 1,
      sym_heredoc_content,
    STATE(2787), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1447), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4646), 2,
      sym_version,
      sym_number,
    STATE(983), 2,
      sym_block,
      sym__semicolon,
  [18248] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4650), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    STATE(2615), 2,
      sym_heredoc_content,
      aux_sym__term_rightward_repeat1,
    ACTIONS(2636), 7,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_RBRACK,
  [18273] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2615), 1,
      aux_sym__term_rightward_repeat1,
    STATE(2616), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3372), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2428), 7,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_RBRACK,
  [18300] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(984), 1,
      sym_block,
    STATE(2617), 1,
      sym_heredoc_content,
    STATE(2709), 1,
      sym_attribute,
    STATE(2849), 1,
      sym_attribute_name,
    STATE(3014), 1,
      sym_attrlist,
    STATE(3289), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4653), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18339] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2618), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4461), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4463), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [18364] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2619), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4655), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18387] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2620), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4657), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18410] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2621), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4659), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18433] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2622), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4661), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18456] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2623), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2412), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18479] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2624), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3919), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18502] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2625), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4663), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18525] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2626), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4636), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18548] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2627), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4659), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18571] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2628), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4661), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18594] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2629), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4393), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4395), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [18619] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2630), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4640), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18642] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2631), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4665), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18665] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2632), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4667), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18688] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2633), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4431), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4433), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [18713] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4671), 1,
      anon_sym_COLON,
    ACTIONS(4673), 1,
      sym_prototype,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1105), 1,
      sym_block,
    STATE(2634), 1,
      sym_heredoc_content,
    STATE(2754), 1,
      sym_bareword,
    STATE(3280), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4669), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18752] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4675), 1,
      anon_sym_COLON,
    ACTIONS(4677), 1,
      sym_prototype,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1186), 1,
      sym_block,
    STATE(2635), 1,
      sym_heredoc_content,
    STATE(2753), 1,
      sym_bareword,
    STATE(3387), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4669), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18791] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2636), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4657), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18814] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2637), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4655), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18837] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2638), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4638), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18860] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4535), 1,
      sym_prototype,
    ACTIONS(4679), 1,
      anon_sym_COLON,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1123), 1,
      sym_block,
    STATE(2639), 1,
      sym_heredoc_content,
    STATE(2796), 1,
      sym_bareword,
    STATE(3276), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4669), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18899] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2640), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4667), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18922] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2641), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4626), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [18945] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4681), 1,
      anon_sym_COLON,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2642), 1,
      sym_heredoc_content,
    STATE(2759), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1457), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4646), 2,
      sym_version,
      sym_number,
    STATE(845), 2,
      sym_block,
      sym__semicolon,
  [18980] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2643), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4336), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4338), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [19005] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4683), 1,
      anon_sym_COLON,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2644), 1,
      sym_heredoc_content,
    STATE(2795), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1457), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4646), 2,
      sym_version,
      sym_number,
    STATE(846), 2,
      sym_block,
      sym__semicolon,
  [19040] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(847), 1,
      sym_block,
    STATE(2645), 1,
      sym_heredoc_content,
    STATE(2709), 1,
      sym_attribute,
    STATE(2849), 1,
      sym_attribute_name,
    STATE(2993), 1,
      sym_attrlist,
    STATE(3399), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4653), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19079] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2646), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4685), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [19102] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2647), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4347), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4349), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [19127] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2648), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4128), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [19150] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4671), 1,
      anon_sym_COLON,
    ACTIONS(4673), 1,
      sym_prototype,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1105), 1,
      sym_block,
    STATE(2649), 1,
      sym_heredoc_content,
    STATE(2760), 1,
      sym_bareword,
    STATE(3280), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4669), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19189] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2650), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3919), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [19212] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4675), 1,
      anon_sym_COLON,
    ACTIONS(4677), 1,
      sym_prototype,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1186), 1,
      sym_block,
    STATE(2651), 1,
      sym_heredoc_content,
    STATE(2762), 1,
      sym_bareword,
    STATE(3387), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4669), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19251] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2652), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4642), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [19274] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2653), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4665), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [19297] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2654), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4663), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [19320] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4535), 1,
      sym_prototype,
    ACTIONS(4679), 1,
      anon_sym_COLON,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1123), 1,
      sym_block,
    STATE(2655), 1,
      sym_heredoc_content,
    STATE(2736), 1,
      sym_bareword,
    STATE(3276), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4669), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19359] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4579), 1,
      sym_prototype,
    ACTIONS(4687), 1,
      anon_sym_COLON,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1130), 1,
      sym_block,
    STATE(2656), 1,
      sym_heredoc_content,
    STATE(2737), 1,
      sym_bareword,
    STATE(3286), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4669), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19398] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2657), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4634), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [19421] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4579), 1,
      sym_prototype,
    ACTIONS(4687), 1,
      anon_sym_COLON,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1130), 1,
      sym_block,
    STATE(2658), 1,
      sym_heredoc_content,
    STATE(2797), 1,
      sym_bareword,
    STATE(3286), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4669), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19460] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4689), 1,
      anon_sym_DOLLAR,
    ACTIONS(4691), 1,
      anon_sym_AT,
    ACTIONS(4693), 1,
      anon_sym_LPAREN,
    ACTIONS(4695), 1,
      anon_sym_PERCENT2,
    STATE(1924), 1,
      sym__declared_vars,
    STATE(1925), 1,
      sym__decl_variable_list,
    STATE(2659), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(1861), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [19494] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4700), 1,
      anon_sym_COLON,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4697), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2660), 2,
      sym_heredoc_content,
      aux_sym_attrlist_repeat1,
    ACTIONS(2311), 3,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
  [19524] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2661), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4703), 9,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [19546] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2662), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4640), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [19568] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2663), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4659), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [19590] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2664), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4705), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [19612] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4112), 1,
      anon_sym_DOLLAR,
    ACTIONS(4114), 1,
      anon_sym_AT,
    ACTIONS(4122), 1,
      anon_sym_LPAREN,
    ACTIONS(4124), 1,
      anon_sym_PERCENT2,
    STATE(1083), 1,
      sym__declared_vars,
    STATE(1084), 1,
      sym__decl_variable_list,
    STATE(2665), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(1094), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [19646] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2666), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4510), 9,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [19668] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2667), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4642), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [19690] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2668), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4707), 9,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [19712] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4709), 1,
      anon_sym_COLON,
    STATE(2669), 1,
      sym_heredoc_content,
    STATE(2701), 1,
      aux_sym_attrlist_repeat1,
    STATE(2783), 1,
      sym_attribute_name,
    STATE(2965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4565), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2318), 3,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [19744] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2670), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4638), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [19766] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4711), 1,
      anon_sym_DOLLAR,
    ACTIONS(4713), 1,
      anon_sym_AT,
    ACTIONS(4715), 1,
      anon_sym_LPAREN,
    ACTIONS(4717), 1,
      anon_sym_PERCENT2,
    STATE(1386), 1,
      sym__declared_vars,
    STATE(1391), 1,
      sym__decl_variable_list,
    STATE(2671), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(1392), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [19800] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2672), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4657), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [19822] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2673), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4636), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [19844] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2674), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4665), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [19866] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2675), 1,
      sym_heredoc_content,
    STATE(2905), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1457), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4646), 2,
      sym_version,
      sym_number,
    STATE(844), 2,
      sym_block,
      sym__semicolon,
  [19898] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2676), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4667), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [19920] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2677), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2412), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [19942] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2678), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4626), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [19964] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2679), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4719), 3,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_SLASH_SLASH_EQ,
    ACTIONS(4555), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [19988] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4721), 1,
      anon_sym_and,
    STATE(2680), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4090), 8,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym_or,
      anon_sym_xor,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [20012] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4723), 1,
      anon_sym_COLON,
    STATE(2681), 1,
      sym_heredoc_content,
    STATE(2685), 1,
      aux_sym_attrlist_repeat1,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2318), 3,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
  [20044] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2682), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4661), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20066] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4721), 1,
      anon_sym_and,
    STATE(2683), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4727), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4725), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [20092] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2684), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4729), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20114] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4723), 1,
      anon_sym_COLON,
    STATE(2660), 1,
      aux_sym_attrlist_repeat1,
    STATE(2685), 1,
      sym_heredoc_content,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2302), 3,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
  [20146] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2686), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4634), 9,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20168] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2687), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4640), 9,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20190] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2688), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4707), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20212] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2689), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4510), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20234] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4689), 1,
      anon_sym_DOLLAR,
    ACTIONS(4691), 1,
      anon_sym_AT,
    ACTIONS(4693), 1,
      anon_sym_LPAREN,
    ACTIONS(4695), 1,
      anon_sym_PERCENT2,
    STATE(2152), 1,
      sym__decl_variable_list,
    STATE(2170), 1,
      sym__declared_vars,
    STATE(2690), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(1861), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [20268] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4112), 1,
      anon_sym_DOLLAR,
    ACTIONS(4114), 1,
      anon_sym_AT,
    ACTIONS(4122), 1,
      anon_sym_LPAREN,
    ACTIONS(4124), 1,
      anon_sym_PERCENT2,
    STATE(1274), 1,
      sym__declared_vars,
    STATE(1275), 1,
      sym__decl_variable_list,
    STATE(2691), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(1094), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [20302] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2692), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4731), 9,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [20324] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2693), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4634), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20346] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2694), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4733), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20368] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4735), 1,
      anon_sym_DOLLAR,
    ACTIONS(4737), 1,
      anon_sym_AT,
    ACTIONS(4739), 1,
      anon_sym_LPAREN,
    ACTIONS(4741), 1,
      anon_sym_PERCENT2,
    STATE(1727), 1,
      sym__declared_vars,
    STATE(1728), 1,
      sym__decl_variable_list,
    STATE(2695), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(1766), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [20402] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2696), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4743), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20424] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4748), 1,
      anon_sym_COLON,
    STATE(2783), 1,
      sym_attribute_name,
    STATE(2965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4745), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2697), 2,
      sym_heredoc_content,
      aux_sym_attrlist_repeat1,
    ACTIONS(2311), 3,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [20454] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2698), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4753), 3,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_SLASH_SLASH_EQ,
    ACTIONS(4751), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [20478] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2699), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4128), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20500] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4721), 1,
      anon_sym_and,
    STATE(2700), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4727), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4755), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [20526] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4709), 1,
      anon_sym_COLON,
    STATE(2697), 1,
      aux_sym_attrlist_repeat1,
    STATE(2701), 1,
      sym_heredoc_content,
    STATE(2783), 1,
      sym_attribute_name,
    STATE(2965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4565), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2302), 3,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [20558] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4721), 1,
      anon_sym_and,
    STATE(2702), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4727), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4757), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [20584] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4759), 1,
      anon_sym_DOLLAR,
    ACTIONS(4761), 1,
      anon_sym_AT,
    ACTIONS(4763), 1,
      anon_sym_LPAREN,
    ACTIONS(4765), 1,
      anon_sym_PERCENT2,
    STATE(1859), 1,
      sym__declared_vars,
    STATE(1860), 1,
      sym__decl_variable_list,
    STATE(2703), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(1926), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [20618] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2704), 1,
      sym_heredoc_content,
    STATE(2940), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1447), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4646), 2,
      sym_version,
      sym_number,
    STATE(981), 2,
      sym_block,
      sym__semicolon,
  [20650] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2705), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4663), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20672] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2706), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4632), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20694] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2707), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4665), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20715] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2708), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4667), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20736] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4767), 1,
      anon_sym_COLON,
    STATE(2709), 1,
      sym_heredoc_content,
    STATE(2725), 1,
      aux_sym_attrlist_repeat1,
    STATE(2849), 1,
      sym_attribute_name,
    STATE(2976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2318), 2,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(4653), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [20767] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4553), 1,
      sym__identifier,
    STATE(2710), 1,
      sym_heredoc_content,
    STATE(2889), 1,
      sym__signature_varname,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4769), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [20792] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2711), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4657), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20813] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2712), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4659), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20834] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2713), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4636), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20855] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4553), 1,
      sym__identifier,
    STATE(2714), 1,
      sym_heredoc_content,
    STATE(2909), 1,
      sym__signature_varname,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4771), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [20880] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2715), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1457), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4773), 2,
      anon_sym___DATA__,
      anon_sym___END__,
    ACTIONS(4775), 2,
      sym__ctrl_z_hack,
      anon_sym_EOT,
    STATE(837), 2,
      sym__semicolon,
      sym___DATA__,
  [20907] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2716), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4661), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20928] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2717), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4626), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20949] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2718), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4642), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20970] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2719), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4638), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20991] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2720), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4663), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21012] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2721), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4634), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21033] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2722), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4777), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21054] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2723), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1447), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4779), 2,
      anon_sym___DATA__,
      anon_sym___END__,
    ACTIONS(4781), 2,
      sym__ctrl_z_hack,
      anon_sym_EOT,
    STATE(978), 2,
      sym__semicolon,
      sym___DATA__,
  [21081] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2724), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2412), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21102] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4767), 1,
      anon_sym_COLON,
    STATE(2725), 1,
      sym_heredoc_content,
    STATE(2727), 1,
      aux_sym_attrlist_repeat1,
    STATE(2849), 1,
      sym_attribute_name,
    STATE(2976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2302), 2,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(4653), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21133] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2726), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4128), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21154] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    STATE(2849), 1,
      sym_attribute_name,
    STATE(2976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2311), 2,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(4783), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2727), 2,
      sym_heredoc_content,
      aux_sym_attrlist_repeat1,
  [21183] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2728), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4632), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21204] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4789), 1,
      sym__attribute_value_begin,
    STATE(2729), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2334), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2336), 3,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
  [21228] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2730), 1,
      sym_heredoc_content,
    STATE(2735), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2944), 1,
      sym__quotelike_middle,
    STATE(3371), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4791), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [21256] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2731), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4082), 7,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_RBRACK,
  [21276] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2732), 1,
      sym_heredoc_content,
    STATE(2828), 1,
      sym__quotelike_middle,
    STATE(2994), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3371), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4791), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [21304] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4517), 1,
      sym_prototype,
    ACTIONS(4793), 1,
      anon_sym_COLON,
    STATE(86), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2048), 1,
      sym_block,
    STATE(2733), 1,
      sym_heredoc_content,
    STATE(3296), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [21336] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4523), 1,
      sym_prototype,
    ACTIONS(4795), 1,
      anon_sym_COLON,
    STATE(86), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2049), 1,
      sym_block,
    STATE(2734), 1,
      sym_heredoc_content,
    STATE(3298), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [21368] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2735), 1,
      sym_heredoc_content,
    STATE(2948), 1,
      sym__quotelike_middle,
    STATE(2994), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3371), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4791), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [21396] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4797), 1,
      anon_sym_COLON,
    ACTIONS(4799), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(980), 1,
      sym_block,
    STATE(2736), 1,
      sym_heredoc_content,
    STATE(3360), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [21428] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4801), 1,
      anon_sym_COLON,
    ACTIONS(4803), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1003), 1,
      sym_block,
    STATE(2737), 1,
      sym_heredoc_content,
    STATE(3366), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [21460] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4805), 1,
      anon_sym_COLON,
    ACTIONS(4807), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(916), 1,
      sym_block,
    STATE(2738), 1,
      sym_heredoc_content,
    STATE(3379), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [21492] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4809), 1,
      anon_sym_COLON,
    ACTIONS(4811), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(917), 1,
      sym_block,
    STATE(2739), 1,
      sym_heredoc_content,
    STATE(3382), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [21524] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4813), 1,
      anon_sym_COLON,
    ACTIONS(4815), 1,
      sym_prototype,
    STATE(129), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1767), 1,
      sym_block,
    STATE(2740), 1,
      sym_heredoc_content,
    STATE(3348), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [21556] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4817), 1,
      anon_sym_COLON,
    ACTIONS(4819), 1,
      sym_prototype,
    STATE(129), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1769), 1,
      sym_block,
    STATE(2741), 1,
      sym_heredoc_content,
    STATE(3349), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [21588] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2742), 1,
      sym_heredoc_content,
    STATE(2773), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2902), 1,
      sym__quotelike_middle,
    STATE(3371), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4791), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [21616] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2743), 1,
      sym_heredoc_content,
    STATE(2746), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2966), 1,
      sym__quotelike_middle,
    STATE(3371), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4791), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [21644] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4543), 1,
      sym_prototype,
    ACTIONS(4821), 1,
      anon_sym_COLON,
    STATE(129), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1634), 1,
      sym_block,
    STATE(2744), 1,
      sym_heredoc_content,
    STATE(3363), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [21676] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4545), 1,
      sym_prototype,
    ACTIONS(4823), 1,
      anon_sym_COLON,
    STATE(129), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1635), 1,
      sym_block,
    STATE(2745), 1,
      sym_heredoc_content,
    STATE(3364), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [21708] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2746), 1,
      sym_heredoc_content,
    STATE(2803), 1,
      sym__quotelike_middle,
    STATE(2994), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3371), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4791), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [21736] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4825), 1,
      anon_sym_COLON,
    ACTIONS(4827), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(870), 1,
      sym_block,
    STATE(2747), 1,
      sym_heredoc_content,
    STATE(3327), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [21768] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4829), 1,
      anon_sym_COLON,
    ACTIONS(4831), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(812), 1,
      sym_block,
    STATE(2748), 1,
      sym_heredoc_content,
    STATE(3383), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [21800] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4833), 1,
      anon_sym_COLON,
    ACTIONS(4835), 1,
      sym_prototype,
    STATE(127), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1538), 1,
      sym_block,
    STATE(2749), 1,
      sym_heredoc_content,
    STATE(3350), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [21832] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4837), 1,
      anon_sym_COLON,
    ACTIONS(4839), 1,
      sym_prototype,
    STATE(127), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1539), 1,
      sym_block,
    STATE(2750), 1,
      sym_heredoc_content,
    STATE(3357), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [21864] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2751), 1,
      sym_heredoc_content,
    STATE(2755), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2874), 1,
      sym__quotelike_middle,
    STATE(3371), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4791), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [21892] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2752), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4090), 7,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_RBRACK,
  [21912] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4841), 1,
      anon_sym_COLON,
    ACTIONS(4843), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(857), 1,
      sym_block,
    STATE(2753), 1,
      sym_heredoc_content,
    STATE(3292), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [21944] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4845), 1,
      anon_sym_COLON,
    ACTIONS(4847), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(854), 1,
      sym_block,
    STATE(2754), 1,
      sym_heredoc_content,
    STATE(3281), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [21976] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2755), 1,
      sym_heredoc_content,
    STATE(2812), 1,
      sym__quotelike_middle,
    STATE(2994), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3371), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4791), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [22004] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    STATE(2756), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4090), 6,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_RBRACK,
  [22026] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4851), 1,
      anon_sym_COLON,
    ACTIONS(4853), 1,
      sym_prototype,
    STATE(72), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1927), 1,
      sym_block,
    STATE(2757), 1,
      sym_heredoc_content,
    STATE(3319), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [22058] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4855), 1,
      anon_sym_COLON,
    ACTIONS(4857), 1,
      sym_prototype,
    STATE(72), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1928), 1,
      sym_block,
    STATE(2758), 1,
      sym_heredoc_content,
    STATE(3321), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [22090] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4859), 1,
      anon_sym_COLON,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2759), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1457), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(864), 2,
      sym_block,
      sym__semicolon,
  [22118] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4861), 1,
      anon_sym_COLON,
    ACTIONS(4863), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(985), 1,
      sym_block,
    STATE(2760), 1,
      sym_heredoc_content,
    STATE(3299), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [22150] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4673), 1,
      sym_prototype,
    ACTIONS(4865), 1,
      anon_sym_COLON,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1105), 1,
      sym_block,
    STATE(2761), 1,
      sym_heredoc_content,
    STATE(3280), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [22182] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4867), 1,
      anon_sym_COLON,
    ACTIONS(4869), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(986), 1,
      sym_block,
    STATE(2762), 1,
      sym_heredoc_content,
    STATE(3302), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [22214] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2763), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4086), 7,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_RBRACK,
  [22234] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2764), 1,
      sym_heredoc_content,
    STATE(2774), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2856), 1,
      sym__quotelike_middle,
    STATE(3371), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4791), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [22262] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4871), 1,
      anon_sym_DOLLAR,
    ACTIONS(4873), 1,
      anon_sym_my,
    ACTIONS(4875), 1,
      anon_sym_LPAREN,
    STATE(2765), 1,
      sym_heredoc_content,
    STATE(3479), 1,
      sym_scalar,
    STATE(3696), 1,
      sym__for_initializer,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4877), 2,
      anon_sym_state,
      anon_sym_our,
  [22292] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4579), 1,
      sym_prototype,
    ACTIONS(4879), 1,
      anon_sym_COLON,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1130), 1,
      sym_block,
    STATE(2766), 1,
      sym_heredoc_content,
    STATE(3286), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [22324] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4677), 1,
      sym_prototype,
    ACTIONS(4881), 1,
      anon_sym_COLON,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1186), 1,
      sym_block,
    STATE(2767), 1,
      sym_heredoc_content,
    STATE(3387), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [22356] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4561), 1,
      sym_prototype,
    ACTIONS(4883), 1,
      anon_sym_COLON,
    STATE(72), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1955), 1,
      sym_block,
    STATE(2768), 1,
      sym_heredoc_content,
    STATE(3335), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [22388] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4563), 1,
      sym_prototype,
    ACTIONS(4885), 1,
      anon_sym_COLON,
    STATE(72), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1956), 1,
      sym_block,
    STATE(2769), 1,
      sym_heredoc_content,
    STATE(3337), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [22420] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2770), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4094), 7,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_RBRACK,
  [22440] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2771), 1,
      sym_heredoc_content,
    STATE(2891), 1,
      sym__quotelike_middle,
    STATE(2994), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3371), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4791), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [22468] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2772), 1,
      sym_heredoc_content,
    STATE(2775), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2910), 1,
      sym__quotelike_middle,
    STATE(3371), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4791), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [22496] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2773), 1,
      sym_heredoc_content,
    STATE(2872), 1,
      sym__quotelike_middle,
    STATE(2994), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3371), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4791), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [22524] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2774), 1,
      sym_heredoc_content,
    STATE(2861), 1,
      sym__quotelike_middle,
    STATE(2994), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3371), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4791), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [22552] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2775), 1,
      sym_heredoc_content,
    STATE(2921), 1,
      sym__quotelike_middle,
    STATE(2994), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3371), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4791), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [22580] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2771), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2776), 1,
      sym_heredoc_content,
    STATE(2807), 1,
      sym__quotelike_middle,
    STATE(3371), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4791), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [22608] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2777), 1,
      sym_heredoc_content,
    STATE(2778), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2871), 1,
      sym__quotelike_middle,
    STATE(3371), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4791), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [22636] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2778), 1,
      sym_heredoc_content,
    STATE(2899), 1,
      sym__quotelike_middle,
    STATE(2994), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3371), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4791), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [22664] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4887), 1,
      anon_sym_COLON,
    ACTIONS(4889), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(816), 1,
      sym_block,
    STATE(2779), 1,
      sym_heredoc_content,
    STATE(3242), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [22696] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2780), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2330), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2332), 4,
      sym__PERLY_SEMICOLON,
      sym__attribute_value_begin,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [22718] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2781), 1,
      sym_heredoc_content,
    STATE(2784), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2835), 1,
      sym__quotelike_middle,
    STATE(3371), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4791), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [22746] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4891), 1,
      anon_sym_COLON,
    ACTIONS(4893), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(820), 1,
      sym_block,
    STATE(2782), 1,
      sym_heredoc_content,
    STATE(3253), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [22778] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4895), 1,
      sym__attribute_value_begin,
    STATE(2783), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2334), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2336), 3,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [22802] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2784), 1,
      sym_heredoc_content,
    STATE(2838), 1,
      sym__quotelike_middle,
    STATE(2994), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3371), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4791), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [22830] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3864), 1,
      sym__quotelike_middle_close_quote,
    STATE(2732), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2785), 1,
      sym_heredoc_content,
    STATE(2949), 1,
      sym__quotelike_middle,
    STATE(3371), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4791), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [22858] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4897), 1,
      anon_sym_COLON,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2786), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1447), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(992), 2,
      sym_block,
      sym__semicolon,
  [22886] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4899), 1,
      anon_sym_COLON,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2787), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1447), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(994), 2,
      sym_block,
      sym__semicolon,
  [22914] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2788), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2330), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2332), 4,
      sym__attribute_value_begin,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
  [22936] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4551), 1,
      sym_prototype,
    ACTIONS(4901), 1,
      anon_sym_COLON,
    STATE(127), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1523), 1,
      sym_block,
    STATE(2789), 1,
      sym_heredoc_content,
    STATE(3297), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [22968] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4567), 1,
      sym_prototype,
    ACTIONS(4903), 1,
      anon_sym_COLON,
    STATE(127), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1525), 1,
      sym_block,
    STATE(2790), 1,
      sym_heredoc_content,
    STATE(3300), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [23000] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4905), 1,
      anon_sym_COLON,
    ACTIONS(4907), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(997), 1,
      sym_block,
    STATE(2791), 1,
      sym_heredoc_content,
    STATE(3332), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [23032] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4909), 1,
      anon_sym_COLON,
    ACTIONS(4911), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(998), 1,
      sym_block,
    STATE(2792), 1,
      sym_heredoc_content,
    STATE(3333), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [23064] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4913), 1,
      anon_sym_COLON,
    ACTIONS(4915), 1,
      sym_prototype,
    STATE(86), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2069), 1,
      sym_block,
    STATE(2793), 1,
      sym_heredoc_content,
    STATE(3257), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [23096] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4917), 1,
      anon_sym_COLON,
    ACTIONS(4919), 1,
      sym_prototype,
    STATE(86), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2079), 1,
      sym_block,
    STATE(2794), 1,
      sym_heredoc_content,
    STATE(3261), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [23128] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4921), 1,
      anon_sym_COLON,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2795), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1457), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(886), 2,
      sym_block,
      sym__semicolon,
  [23156] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4923), 1,
      anon_sym_COLON,
    ACTIONS(4925), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(889), 1,
      sym_block,
    STATE(2796), 1,
      sym_heredoc_content,
    STATE(3255), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [23188] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4927), 1,
      anon_sym_COLON,
    ACTIONS(4929), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(893), 1,
      sym_block,
    STATE(2797), 1,
      sym_heredoc_content,
    STATE(3301), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [23220] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4871), 1,
      anon_sym_DOLLAR,
    ACTIONS(4873), 1,
      anon_sym_my,
    ACTIONS(4931), 1,
      anon_sym_LPAREN,
    STATE(2798), 1,
      sym_heredoc_content,
    STATE(3479), 1,
      sym_scalar,
    STATE(3538), 1,
      sym__for_initializer,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4877), 2,
      anon_sym_state,
      anon_sym_our,
  [23250] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4535), 1,
      sym_prototype,
    ACTIONS(4933), 1,
      anon_sym_COLON,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1123), 1,
      sym_block,
    STATE(2799), 1,
      sym_heredoc_content,
    STATE(3276), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [23282] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3894), 1,
      sym__quotelike_end_quote,
    STATE(1875), 1,
      sym__quotelike_end,
    STATE(2800), 1,
      sym_heredoc_content,
    STATE(2860), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [23307] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4937), 1,
      anon_sym_DOLLAR,
    ACTIONS(4939), 1,
      anon_sym_STAR,
    STATE(1541), 1,
      sym_scalar,
    STATE(1576), 1,
      sym_method,
    STATE(2801), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4375), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [23334] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1580), 1,
      sym__quotelike_end,
    STATE(2802), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [23359] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1581), 1,
      sym__quotelike_end,
    STATE(2803), 1,
      sym_heredoc_content,
    STATE(2806), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [23384] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4941), 1,
      sym_prototype,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1142), 1,
      sym_block,
    STATE(2804), 1,
      sym_heredoc_content,
    STATE(3265), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [23413] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4943), 1,
      anon_sym_COLON,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(964), 1,
      sym_block,
    STATE(2805), 1,
      sym_heredoc_content,
    STATE(3342), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [23442] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1583), 1,
      sym__quotelike_end,
    STATE(2806), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [23467] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3902), 1,
      sym__quotelike_end_quote,
    STATE(1058), 1,
      sym__quotelike_end,
    STATE(2807), 1,
      sym_heredoc_content,
    STATE(2953), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [23492] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4945), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(918), 1,
      sym_block,
    STATE(2808), 1,
      sym_heredoc_content,
    STATE(3384), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [23521] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4949), 1,
      anon_sym_COMMA,
    STATE(2809), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4947), 5,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [23542] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4951), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(920), 1,
      sym_block,
    STATE(2810), 1,
      sym_heredoc_content,
    STATE(3385), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [23571] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3924), 1,
      sym__quotelike_end_quote,
    STATE(1379), 1,
      sym__quotelike_end,
    STATE(2811), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [23596] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3924), 1,
      sym__quotelike_end_quote,
    STATE(1393), 1,
      sym__quotelike_end,
    STATE(2812), 1,
      sym_heredoc_content,
    STATE(2834), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [23621] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1625), 1,
      sym__quotelike_end,
    STATE(2813), 1,
      sym_heredoc_content,
    STATE(2955), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [23646] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1364), 1,
      sym__quotelike_end,
    STATE(2814), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [23671] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2815), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2398), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2400), 3,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
  [23692] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4953), 1,
      sym_prototype,
    STATE(127), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1485), 1,
      sym_block,
    STATE(2816), 1,
      sym_heredoc_content,
    STATE(3400), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [23721] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4955), 1,
      sym_prototype,
    STATE(127), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1524), 1,
      sym_block,
    STATE(2817), 1,
      sym_heredoc_content,
    STATE(3403), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [23750] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1642), 1,
      sym__quotelike_end,
    STATE(2818), 1,
      sym_heredoc_content,
    STATE(2959), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [23775] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1565), 1,
      sym__quotelike_end,
    STATE(2819), 1,
      sym_heredoc_content,
    STATE(2961), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [23800] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1645), 1,
      sym__quotelike_end,
    STATE(2820), 1,
      sym_heredoc_content,
    STATE(2962), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [23825] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4957), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(932), 1,
      sym_block,
    STATE(2821), 1,
      sym_heredoc_content,
    STATE(3243), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [23854] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3882), 1,
      sym__quotelike_end_quote,
    STATE(1566), 1,
      sym__quotelike_end,
    STATE(2822), 1,
      sym_heredoc_content,
    STATE(2832), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [23879] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3880), 1,
      sym__quotelike_end_quote,
    STATE(1383), 1,
      sym__quotelike_end,
    STATE(2823), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [23904] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3878), 1,
      sym__quotelike_end_quote,
    STATE(1567), 1,
      sym__quotelike_end,
    STATE(2824), 1,
      sym_heredoc_content,
    STATE(2833), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [23929] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4959), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(936), 1,
      sym_block,
    STATE(2825), 1,
      sym_heredoc_content,
    STATE(3244), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [23958] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2826), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4769), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [23977] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2827), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4771), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [23996] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1336), 1,
      sym__quotelike_end,
    STATE(2814), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2828), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24021] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4961), 1,
      sym_prototype,
    STATE(86), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2114), 1,
      sym_block,
    STATE(2829), 1,
      sym_heredoc_content,
    STATE(3313), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [24050] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4963), 1,
      sym_prototype,
    STATE(129), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1658), 1,
      sym_block,
    STATE(2830), 1,
      sym_heredoc_content,
    STATE(3380), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [24079] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4965), 1,
      sym_prototype,
    STATE(129), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1660), 1,
      sym_block,
    STATE(2831), 1,
      sym_heredoc_content,
    STATE(3381), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [24108] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3882), 1,
      sym__quotelike_end_quote,
    STATE(1572), 1,
      sym__quotelike_end,
    STATE(2832), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24133] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3878), 1,
      sym__quotelike_end_quote,
    STATE(1573), 1,
      sym__quotelike_end,
    STATE(2833), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24158] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3924), 1,
      sym__quotelike_end_quote,
    STATE(1361), 1,
      sym__quotelike_end,
    STATE(2834), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24183] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3936), 1,
      sym__quotelike_end_quote,
    STATE(1574), 1,
      sym__quotelike_end,
    STATE(2835), 1,
      sym_heredoc_content,
    STATE(2837), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24208] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4967), 1,
      sym_prototype,
    STATE(86), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2119), 1,
      sym_block,
    STATE(2836), 1,
      sym_heredoc_content,
    STATE(3314), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [24237] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3936), 1,
      sym__quotelike_end_quote,
    STATE(1578), 1,
      sym__quotelike_end,
    STATE(2837), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24262] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3936), 1,
      sym__quotelike_end_quote,
    STATE(1579), 1,
      sym__quotelike_end,
    STATE(2838), 1,
      sym_heredoc_content,
    STATE(2843), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24287] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4969), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(947), 1,
      sym_block,
    STATE(2839), 1,
      sym_heredoc_content,
    STATE(3259), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [24316] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4971), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(949), 1,
      sym_block,
    STATE(2840), 1,
      sym_heredoc_content,
    STATE(3263), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [24345] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4973), 1,
      sym_prototype,
    STATE(129), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1781), 1,
      sym_block,
    STATE(2841), 1,
      sym_heredoc_content,
    STATE(3393), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [24374] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4975), 1,
      sym_prototype,
    STATE(129), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1703), 1,
      sym_block,
    STATE(2842), 1,
      sym_heredoc_content,
    STATE(3394), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [24403] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3936), 1,
      sym__quotelike_end_quote,
    STATE(1582), 1,
      sym__quotelike_end,
    STATE(2843), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24428] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4977), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(953), 1,
      sym_block,
    STATE(2844), 1,
      sym_heredoc_content,
    STATE(3264), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [24457] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4979), 1,
      sym_prototype,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(955), 1,
      sym_block,
    STATE(2845), 1,
      sym_heredoc_content,
    STATE(3268), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [24486] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2846), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2330), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2332), 3,
      sym__attribute_value_begin,
      sym__signature_start,
      anon_sym_LBRACE,
  [24507] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1970), 1,
      sym__quotelike_end,
    STATE(2847), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24532] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1491), 1,
      sym__quotelike_end,
    STATE(2848), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24557] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4981), 1,
      sym__attribute_value_begin,
    STATE(2849), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2336), 2,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(2334), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
  [24580] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1369), 1,
      sym__quotelike_end,
    STATE(2850), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24605] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1853), 1,
      sym__quotelike_end,
    STATE(2851), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24630] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3902), 1,
      sym__quotelike_end_quote,
    STATE(1075), 1,
      sym__quotelike_end,
    STATE(2852), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24655] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1801), 1,
      sym__quotelike_end,
    STATE(2853), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24680] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1865), 1,
      sym__quotelike_end,
    STATE(2854), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24705] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1459), 1,
      sym__quotelike_end,
    STATE(2855), 1,
      sym_heredoc_content,
    STATE(2924), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24730] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1798), 1,
      sym__quotelike_end,
    STATE(2856), 1,
      sym_heredoc_content,
    STATE(2859), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24755] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1080), 1,
      sym__quotelike_end,
    STATE(2857), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24780] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4983), 1,
      anon_sym_DOLLAR,
    ACTIONS(4985), 1,
      anon_sym_STAR,
    STATE(1783), 1,
      sym_method,
    STATE(1815), 1,
      sym_scalar,
    STATE(2858), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4314), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [24807] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1804), 1,
      sym__quotelike_end,
    STATE(2859), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24832] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3894), 1,
      sym__quotelike_end_quote,
    STATE(1884), 1,
      sym__quotelike_end,
    STATE(2860), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24857] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1789), 1,
      sym__quotelike_end,
    STATE(2861), 1,
      sym_heredoc_content,
    STATE(2865), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24882] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1074), 1,
      sym__quotelike_end,
    STATE(2862), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24907] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2863), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4987), 6,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_undef,
      anon_sym_PERCENT2,
  [24926] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2864), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4989), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [24945] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1795), 1,
      sym__quotelike_end,
    STATE(2865), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24970] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4991), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(876), 1,
      sym_block,
    STATE(2866), 1,
      sym_heredoc_content,
    STATE(3352), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [24999] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3874), 1,
      sym__quotelike_end_quote,
    STATE(1885), 1,
      sym__quotelike_end,
    STATE(2867), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25024] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2868), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2348), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2350), 3,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
  [25045] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4993), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(878), 1,
      sym_block,
    STATE(2869), 1,
      sym_heredoc_content,
    STATE(3355), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25074] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(149), 1,
      sym_package,
    STATE(2870), 1,
      sym_heredoc_content,
    STATE(3398), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4646), 2,
      sym_version,
      sym_number,
    ACTIONS(4995), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [25099] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3932), 1,
      sym__quotelike_end_quote,
    STATE(1886), 1,
      sym__quotelike_end,
    STATE(2871), 1,
      sym_heredoc_content,
    STATE(2896), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25124] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1070), 1,
      sym__quotelike_end,
    STATE(2857), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2872), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25149] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4997), 1,
      sym_prototype,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1156), 1,
      sym_block,
    STATE(2873), 1,
      sym_heredoc_content,
    STATE(3252), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25178] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3924), 1,
      sym__quotelike_end_quote,
    STATE(1384), 1,
      sym__quotelike_end,
    STATE(2811), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2874), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25203] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2875), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1447), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(929), 2,
      sym_block,
      sym__semicolon,
  [25228] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(4999), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(882), 1,
      sym_block,
    STATE(2876), 1,
      sym_heredoc_content,
    STATE(3377), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25257] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(5001), 1,
      sym_prototype,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1179), 1,
      sym_block,
    STATE(2877), 1,
      sym_heredoc_content,
    STATE(3329), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25286] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(5003), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(803), 1,
      sym_block,
    STATE(2878), 1,
      sym_heredoc_content,
    STATE(3391), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25315] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1946), 1,
      sym__quotelike_end,
    STATE(2847), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2879), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25340] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2880), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3995), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [25359] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1195), 1,
      sym__quotelike_end,
    STATE(2881), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25384] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2882), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5005), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [25403] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2883), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1447), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(930), 2,
      sym_block,
      sym__semicolon,
  [25428] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1962), 1,
      sym__quotelike_end,
    STATE(2851), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2884), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25453] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3888), 1,
      sym__quotelike_end_quote,
    STATE(1077), 1,
      sym__quotelike_end,
    STATE(2885), 1,
      sym_heredoc_content,
    STATE(2941), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25478] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1811), 1,
      sym__quotelike_end,
    STATE(2853), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2886), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25503] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3926), 1,
      sym__quotelike_end_quote,
    STATE(1964), 1,
      sym__quotelike_end,
    STATE(2854), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2887), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25528] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3892), 1,
      sym__quotelike_end_quote,
    STATE(1812), 1,
      sym__quotelike_end,
    STATE(2888), 1,
      sym_heredoc_content,
    STATE(2904), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25553] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2889), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5007), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [25572] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3890), 1,
      sym__quotelike_end_quote,
    STATE(1813), 1,
      sym__quotelike_end,
    STATE(2890), 1,
      sym_heredoc_content,
    STATE(2908), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25597] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3902), 1,
      sym__quotelike_end_quote,
    STATE(1095), 1,
      sym__quotelike_end,
    STATE(2852), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2891), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25622] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2892), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2311), 3,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(2316), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
  [25643] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5009), 1,
      anon_sym_DOLLAR,
    ACTIONS(5011), 1,
      anon_sym_STAR,
    STATE(1086), 1,
      sym_scalar,
    STATE(1092), 1,
      sym_method,
    STATE(2893), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4439), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [25670] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2894), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1457), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(823), 2,
      sym_block,
      sym__semicolon,
  [25695] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2895), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1457), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(890), 2,
      sym_block,
      sym__semicolon,
  [25720] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3932), 1,
      sym__quotelike_end_quote,
    STATE(1899), 1,
      sym__quotelike_end,
    STATE(2896), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25745] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2897), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4474), 6,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_undef,
      anon_sym_PERCENT2,
  [25764] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1076), 1,
      sym__quotelike_end,
    STATE(2898), 1,
      sym_heredoc_content,
    STATE(2919), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25789] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3932), 1,
      sym__quotelike_end_quote,
    STATE(1900), 1,
      sym__quotelike_end,
    STATE(2899), 1,
      sym_heredoc_content,
    STATE(2930), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25814] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2900), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1457), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(826), 2,
      sym_block,
      sym__semicolon,
  [25839] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(5013), 1,
      sym_prototype,
    STATE(72), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1980), 1,
      sym_block,
    STATE(2901), 1,
      sym_heredoc_content,
    STATE(3361), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25868] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1059), 1,
      sym__quotelike_end,
    STATE(2862), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2902), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25893] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(5015), 1,
      sym_prototype,
    STATE(72), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1982), 1,
      sym_block,
    STATE(2903), 1,
      sym_heredoc_content,
    STATE(3362), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25922] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3892), 1,
      sym__quotelike_end_quote,
    STATE(1808), 1,
      sym__quotelike_end,
    STATE(2904), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25947] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2905), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1457), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(811), 2,
      sym_block,
      sym__semicolon,
  [25972] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1174), 1,
      sym__quotelike_end,
    STATE(2906), 1,
      sym_heredoc_content,
    STATE(2931), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25997] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3886), 1,
      sym__quotelike_end_quote,
    STATE(1078), 1,
      sym__quotelike_end,
    STATE(2907), 1,
      sym_heredoc_content,
    STATE(2968), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26022] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3890), 1,
      sym__quotelike_end_quote,
    STATE(1793), 1,
      sym__quotelike_end,
    STATE(2908), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26047] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2909), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5017), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [26066] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3928), 1,
      sym__quotelike_end_quote,
    STATE(1805), 1,
      sym__quotelike_end,
    STATE(2910), 1,
      sym_heredoc_content,
    STATE(2920), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26091] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2911), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2311), 3,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2316), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
  [26112] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2912), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5019), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [26131] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(5021), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(833), 1,
      sym_block,
    STATE(2913), 1,
      sym_heredoc_content,
    STATE(3282), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26160] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1399), 1,
      sym__quotelike_end,
    STATE(2914), 1,
      sym_heredoc_content,
    STATE(2972), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26185] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(5023), 1,
      sym_prototype,
    STATE(86), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2022), 1,
      sym_block,
    STATE(2915), 1,
      sym_heredoc_content,
    STATE(3325), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26214] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1200), 1,
      sym__quotelike_end,
    STATE(2881), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2916), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26239] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1124), 1,
      sym__quotelike_end,
    STATE(2917), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26264] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1333), 1,
      sym__quotelike_end,
    STATE(2850), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2918), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26289] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1091), 1,
      sym__quotelike_end,
    STATE(2919), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26314] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3928), 1,
      sym__quotelike_end_quote,
    STATE(1796), 1,
      sym__quotelike_end,
    STATE(2920), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26339] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3928), 1,
      sym__quotelike_end_quote,
    STATE(1791), 1,
      sym__quotelike_end,
    STATE(2921), 1,
      sym_heredoc_content,
    STATE(2928), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26364] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1404), 1,
      sym__quotelike_end,
    STATE(2848), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2922), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26389] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(5025), 1,
      sym_prototype,
    STATE(86), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2024), 1,
      sym_block,
    STATE(2923), 1,
      sym_heredoc_content,
    STATE(3326), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26418] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1441), 1,
      sym__quotelike_end,
    STATE(2924), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26443] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2925), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1457), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(887), 2,
      sym_block,
      sym__semicolon,
  [26468] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(5027), 1,
      sym_prototype,
    STATE(72), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1823), 1,
      sym_block,
    STATE(2926), 1,
      sym_heredoc_content,
    STATE(3390), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26497] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(5029), 1,
      sym_prototype,
    STATE(72), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1825), 1,
      sym_block,
    STATE(2927), 1,
      sym_heredoc_content,
    STATE(3392), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26526] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3928), 1,
      sym__quotelike_end_quote,
    STATE(1794), 1,
      sym__quotelike_end,
    STATE(2928), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26551] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3884), 1,
      sym__quotelike_end_quote,
    STATE(1334), 1,
      sym__quotelike_end,
    STATE(2929), 1,
      sym_heredoc_content,
    STATE(2970), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26576] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3932), 1,
      sym__quotelike_end_quote,
    STATE(1911), 1,
      sym__quotelike_end,
    STATE(2930), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26601] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1131), 1,
      sym__quotelike_end,
    STATE(2931), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26626] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(5031), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(840), 1,
      sym_block,
    STATE(2932), 1,
      sym_heredoc_content,
    STATE(3284), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26655] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(2100), 1,
      sym__quotelike_end,
    STATE(2933), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26680] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2934), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1447), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1004), 2,
      sym_block,
      sym__semicolon,
  [26705] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3880), 1,
      sym__quotelike_end_quote,
    STATE(1335), 1,
      sym__quotelike_end,
    STATE(2823), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2935), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26730] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2936), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2286), 6,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      sym_version,
      sym_number,
  [26749] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(2134), 1,
      sym__quotelike_end,
    STATE(2937), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26774] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(1883), 1,
      sym__quotelike_end,
    STATE(2938), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26799] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2939), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2348), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2350), 3,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [26820] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2940), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1447), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(990), 2,
      sym_block,
      sym__semicolon,
  [26845] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3888), 1,
      sym__quotelike_end_quote,
    STATE(1056), 1,
      sym__quotelike_end,
    STATE(2941), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26870] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(2137), 1,
      sym__quotelike_end,
    STATE(2942), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26895] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(5033), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(825), 1,
      sym_block,
    STATE(2943), 1,
      sym_heredoc_content,
    STATE(3287), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26924] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(1887), 1,
      sym__quotelike_end,
    STATE(2944), 1,
      sym_heredoc_content,
    STATE(2947), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26949] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(5035), 1,
      sym_prototype,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1159), 1,
      sym_block,
    STATE(2945), 1,
      sym_heredoc_content,
    STATE(3258), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26978] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5037), 1,
      anon_sym_DOLLAR,
    ACTIONS(5039), 1,
      anon_sym_STAR,
    STATE(1878), 1,
      sym_scalar,
    STATE(1894), 1,
      sym_method,
    STATE(2946), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4353), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [27005] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(1901), 1,
      sym__quotelike_end,
    STATE(2947), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27030] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(1903), 1,
      sym__quotelike_end,
    STATE(2948), 1,
      sym_heredoc_content,
    STATE(2951), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27055] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1385), 1,
      sym__quotelike_end,
    STATE(2949), 1,
      sym_heredoc_content,
    STATE(2958), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27080] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(5041), 1,
      sym_prototype,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(830), 1,
      sym_block,
    STATE(2950), 1,
      sym_heredoc_content,
    STATE(3323), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27109] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(1913), 1,
      sym__quotelike_end,
    STATE(2951), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27134] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5043), 1,
      anon_sym_DOLLAR,
    ACTIONS(5045), 1,
      anon_sym_STAR,
    STATE(1332), 1,
      sym_method,
    STATE(1339), 1,
      sym_scalar,
    STATE(2952), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4401), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [27161] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3902), 1,
      sym__quotelike_end_quote,
    STATE(1093), 1,
      sym__quotelike_end,
    STATE(2953), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27186] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(5047), 1,
      anon_sym_COLON,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(865), 1,
      sym_block,
    STATE(2954), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27215] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1648), 1,
      sym__quotelike_end,
    STATE(2955), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27240] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(2027), 1,
      sym__quotelike_end,
    STATE(2933), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2956), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27265] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(169), 1,
      sym_package,
    STATE(2957), 1,
      sym_heredoc_content,
    STATE(3372), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4646), 2,
      sym_version,
      sym_number,
    ACTIONS(4995), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [27290] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1342), 1,
      sym__quotelike_end,
    STATE(2958), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27315] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1662), 1,
      sym__quotelike_end,
    STATE(2959), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27340] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3874), 1,
      sym__quotelike_end_quote,
    STATE(1876), 1,
      sym__quotelike_end,
    STATE(2867), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2960), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27365] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1571), 1,
      sym__quotelike_end,
    STATE(2961), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27390] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1665), 1,
      sym__quotelike_end,
    STATE(2962), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27415] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2963), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1447), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1006), 2,
      sym_block,
      sym__semicolon,
  [27440] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(5049), 1,
      sym_prototype,
    STATE(127), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1471), 1,
      sym_block,
    STATE(2964), 1,
      sym_heredoc_content,
    STATE(3336), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27469] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2965), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2398), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2400), 3,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [27490] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3934), 1,
      sym__quotelike_end_quote,
    STATE(1575), 1,
      sym__quotelike_end,
    STATE(2802), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2966), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27515] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    ACTIONS(5051), 1,
      sym_prototype,
    STATE(127), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1476), 1,
      sym_block,
    STATE(2967), 1,
      sym_heredoc_content,
    STATE(3340), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27544] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3886), 1,
      sym__quotelike_end_quote,
    STATE(1057), 1,
      sym__quotelike_end,
    STATE(2968), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27569] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(2059), 1,
      sym__quotelike_end,
    STATE(2937), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2969), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27594] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3884), 1,
      sym__quotelike_end_quote,
    STATE(1370), 1,
      sym__quotelike_end,
    STATE(2970), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27619] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(1874), 1,
      sym__quotelike_end,
    STATE(2938), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2971), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27644] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3906), 1,
      sym__quotelike_end_quote,
    STATE(1486), 1,
      sym__quotelike_end,
    STATE(2972), 1,
      sym_heredoc_content,
    STATE(2996), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27669] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3930), 1,
      sym__quotelike_end_quote,
    STATE(2064), 1,
      sym__quotelike_end,
    STATE(2942), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2973), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27694] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3908), 1,
      sym__quotelike_end_quote,
    STATE(1171), 1,
      sym__quotelike_end,
    STATE(2917), 1,
      aux_sym__noninterpolated_string_content,
    STATE(2974), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4935), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27719] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2975), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5053), 5,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [27737] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2976), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2400), 2,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(2398), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
  [27757] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5055), 1,
      sym__identifier,
    ACTIONS(5057), 1,
      anon_sym_DOLLAR,
    STATE(1071), 1,
      sym__ident_special,
    STATE(1079), 1,
      sym_varname,
    STATE(2977), 1,
      sym_heredoc_content,
  [27785] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4194), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5059), 1,
      sym__identifier,
    ACTIONS(5061), 1,
      anon_sym_DOLLAR,
    STATE(1868), 1,
      sym__ident_special,
    STATE(1869), 1,
      sym_varname,
    STATE(2978), 1,
      sym_heredoc_content,
  [27813] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4166), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5063), 1,
      sym__identifier,
    ACTIONS(5065), 1,
      anon_sym_DOLLAR,
    STATE(1322), 1,
      sym__ident_special,
    STATE(1323), 1,
      sym_varname,
    STATE(2979), 1,
      sym_heredoc_content,
  [27841] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4166), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5063), 1,
      sym__identifier,
    ACTIONS(5065), 1,
      anon_sym_DOLLAR,
    STATE(1322), 1,
      sym__ident_special,
    STATE(1324), 1,
      sym_varname,
    STATE(2980), 1,
      sym_heredoc_content,
  [27869] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4166), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5063), 1,
      sym__identifier,
    ACTIONS(5065), 1,
      anon_sym_DOLLAR,
    STATE(1322), 1,
      sym__ident_special,
    STATE(1326), 1,
      sym_varname,
    STATE(2981), 1,
      sym_heredoc_content,
  [27897] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4194), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5059), 1,
      sym__identifier,
    ACTIONS(5061), 1,
      anon_sym_DOLLAR,
    STATE(1868), 1,
      sym__ident_special,
    STATE(1870), 1,
      sym_varname,
    STATE(2982), 1,
      sym_heredoc_content,
  [27925] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4194), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5059), 1,
      sym__identifier,
    ACTIONS(5061), 1,
      anon_sym_DOLLAR,
    STATE(1868), 1,
      sym__ident_special,
    STATE(1872), 1,
      sym_varname,
    STATE(2983), 1,
      sym_heredoc_content,
  [27953] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5067), 1,
      anon_sym_sub,
    ACTIONS(5069), 1,
      anon_sym_method,
    STATE(2984), 1,
      sym_heredoc_content,
    STATE(2990), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4116), 2,
      anon_sym_extended,
      anon_sym_async,
  [27977] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4174), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5063), 1,
      sym__identifier,
    ACTIONS(5071), 1,
      anon_sym_DOLLAR,
    STATE(1322), 1,
      sym__ident_special,
    STATE(1323), 1,
      sym_varname,
    STATE(2985), 1,
      sym_heredoc_content,
  [28005] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4214), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5073), 1,
      sym__identifier,
    ACTIONS(5075), 1,
      anon_sym_DOLLAR,
    STATE(1950), 1,
      sym__ident_special,
    STATE(1951), 1,
      sym_varname,
    STATE(2986), 1,
      sym_heredoc_content,
  [28033] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4214), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5073), 1,
      sym__identifier,
    ACTIONS(5075), 1,
      anon_sym_DOLLAR,
    STATE(1950), 1,
      sym__ident_special,
    STATE(1952), 1,
      sym_varname,
    STATE(2987), 1,
      sym_heredoc_content,
  [28061] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5077), 1,
      anon_sym_DOLLAR,
    ACTIONS(5080), 1,
      anon_sym_COMMA,
    ACTIONS(5083), 1,
      anon_sym_RPAREN,
    STATE(3533), 1,
      sym_scalar,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2988), 2,
      sym_heredoc_content,
      aux_sym__for_initializer_repeat1,
  [28085] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4214), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5073), 1,
      sym__identifier,
    ACTIONS(5075), 1,
      anon_sym_DOLLAR,
    STATE(1950), 1,
      sym__ident_special,
    STATE(1954), 1,
      sym_varname,
    STATE(2989), 1,
      sym_heredoc_content,
  [28113] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5085), 2,
      anon_sym_extended,
      anon_sym_async,
    ACTIONS(5088), 2,
      anon_sym_sub,
      anon_sym_method,
    STATE(2990), 2,
      sym_heredoc_content,
      aux_sym_subroutine_declaration_statement_repeat1,
  [28133] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5090), 1,
      anon_sym_sub,
    ACTIONS(5092), 1,
      anon_sym_method,
    STATE(2990), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(2991), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4116), 2,
      anon_sym_extended,
      anon_sym_async,
  [28157] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4174), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5063), 1,
      sym__identifier,
    ACTIONS(5071), 1,
      anon_sym_DOLLAR,
    STATE(1322), 1,
      sym__ident_special,
    STATE(1324), 1,
      sym_varname,
    STATE(2992), 1,
      sym_heredoc_content,
  [28185] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(861), 1,
      sym_block,
    STATE(2993), 1,
      sym_heredoc_content,
    STATE(3251), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [28211] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5094), 1,
      sym__quotelike_middle_close_quote,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2994), 2,
      aux_sym__noninterpolated_string_content,
      sym_heredoc_content,
    ACTIONS(5096), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28231] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5055), 1,
      sym__identifier,
    ACTIONS(5057), 1,
      anon_sym_DOLLAR,
    STATE(1071), 1,
      sym__ident_special,
    STATE(1072), 1,
      sym_varname,
    STATE(2995), 1,
      sym_heredoc_content,
  [28259] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5094), 1,
      sym__quotelike_end_quote,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2996), 2,
      aux_sym__noninterpolated_string_content,
      sym_heredoc_content,
    ACTIONS(5099), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28279] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4871), 1,
      anon_sym_DOLLAR,
    ACTIONS(5102), 1,
      anon_sym_COMMA,
    ACTIONS(5104), 1,
      anon_sym_RPAREN,
    STATE(2997), 1,
      sym_heredoc_content,
    STATE(3018), 1,
      aux_sym__for_initializer_repeat1,
    STATE(3439), 1,
      sym_scalar,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [28305] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5106), 1,
      anon_sym_SEMI,
    ACTIONS(5108), 1,
      anon_sym_RPAREN,
    STATE(2998), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [28329] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5112), 1,
      anon_sym_sub,
    ACTIONS(5114), 1,
      anon_sym_method,
    STATE(2990), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(2999), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4116), 2,
      anon_sym_extended,
      anon_sym_async,
  [28353] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2636), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(5116), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    STATE(3000), 2,
      sym_heredoc_content,
      aux_sym__term_rightward_repeat1,
  [28373] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3001), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2350), 2,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(2348), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
  [28393] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5119), 1,
      anon_sym_sub,
    ACTIONS(5121), 1,
      anon_sym_method,
    STATE(2990), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3002), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4116), 2,
      anon_sym_extended,
      anon_sym_async,
  [28417] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5123), 1,
      anon_sym_SEMI,
    ACTIONS(5125), 1,
      anon_sym_RPAREN,
    STATE(3003), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [28441] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5127), 1,
      anon_sym_sub,
    ACTIONS(5129), 1,
      anon_sym_method,
    STATE(2990), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3004), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4116), 2,
      anon_sym_extended,
      anon_sym_async,
  [28465] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5131), 1,
      anon_sym_sub,
    ACTIONS(5133), 1,
      anon_sym_method,
    STATE(2990), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3005), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4116), 2,
      anon_sym_extended,
      anon_sym_async,
  [28489] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4204), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5055), 1,
      sym__identifier,
    ACTIONS(5057), 1,
      anon_sym_DOLLAR,
    STATE(1071), 1,
      sym__ident_special,
    STATE(1073), 1,
      sym_varname,
    STATE(3006), 1,
      sym_heredoc_content,
  [28517] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4222), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5135), 1,
      sym__identifier,
    ACTIONS(5137), 1,
      anon_sym_DOLLAR,
    STATE(1629), 1,
      sym__ident_special,
    STATE(1630), 1,
      sym_varname,
    STATE(3007), 1,
      sym_heredoc_content,
  [28545] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3000), 1,
      aux_sym__term_rightward_repeat1,
    STATE(3008), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2428), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(3687), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
  [28567] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4222), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5135), 1,
      sym__identifier,
    ACTIONS(5137), 1,
      anon_sym_DOLLAR,
    STATE(1629), 1,
      sym__ident_special,
    STATE(1631), 1,
      sym_varname,
    STATE(3009), 1,
      sym_heredoc_content,
  [28595] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4222), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5135), 1,
      sym__identifier,
    ACTIONS(5137), 1,
      anon_sym_DOLLAR,
    STATE(1629), 1,
      sym__ident_special,
    STATE(1633), 1,
      sym_varname,
    STATE(3010), 1,
      sym_heredoc_content,
  [28623] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3011), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2311), 2,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(2316), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
  [28643] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3012), 1,
      sym_heredoc_content,
    STATE(3017), 1,
      aux_sym__term_rightward_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2428), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(3731), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
  [28665] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5139), 1,
      anon_sym_sub,
    ACTIONS(5141), 1,
      anon_sym_method,
    STATE(2990), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3013), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4116), 2,
      anon_sym_extended,
      anon_sym_async,
  [28689] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(4502), 1,
      sym__signature_start,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(996), 1,
      sym_block,
    STATE(3014), 1,
      sym_heredoc_content,
    STATE(3331), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [28715] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5143), 1,
      anon_sym_sub,
    ACTIONS(5145), 1,
      anon_sym_method,
    STATE(2990), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3015), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4116), 2,
      anon_sym_extended,
      anon_sym_async,
  [28739] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5147), 1,
      anon_sym_sub,
    ACTIONS(5149), 1,
      anon_sym_method,
    STATE(2990), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3016), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4116), 2,
      anon_sym_extended,
      anon_sym_async,
  [28763] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2636), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(5151), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    STATE(3017), 2,
      sym_heredoc_content,
      aux_sym__term_rightward_repeat1,
  [28783] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4871), 1,
      anon_sym_DOLLAR,
    ACTIONS(5102), 1,
      anon_sym_COMMA,
    ACTIONS(5154), 1,
      anon_sym_RPAREN,
    STATE(2988), 1,
      aux_sym__for_initializer_repeat1,
    STATE(3018), 1,
      sym_heredoc_content,
    STATE(3441), 1,
      sym_scalar,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [28809] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4174), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5063), 1,
      sym__identifier,
    ACTIONS(5071), 1,
      anon_sym_DOLLAR,
    STATE(1322), 1,
      sym__ident_special,
    STATE(1326), 1,
      sym_varname,
    STATE(3019), 1,
      sym_heredoc_content,
  [28837] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5156), 1,
      anon_sym_RBRACK,
    STATE(3020), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [28858] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5158), 1,
      anon_sym_RPAREN,
    STATE(3021), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [28879] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4021), 1,
      anon_sym_RBRACE,
    ACTIONS(4849), 1,
      anon_sym_and,
    STATE(3022), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [28900] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5160), 1,
      anon_sym_RBRACK,
    STATE(3023), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [28921] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5162), 1,
      anon_sym_RPAREN,
    STATE(3024), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [28942] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3025), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1738), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_GT,
  [28959] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5164), 1,
      anon_sym_RPAREN,
    STATE(3026), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [28980] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5166), 1,
      anon_sym_RBRACK,
    STATE(3027), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [29001] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5168), 1,
      anon_sym_RBRACK,
    STATE(3028), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [29022] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3029), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1775), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_GT,
  [29039] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5170), 1,
      anon_sym_RPAREN,
    STATE(3030), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [29060] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5172), 1,
      anon_sym_RBRACK,
    STATE(3031), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [29081] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5174), 1,
      anon_sym_RPAREN,
    STATE(3032), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [29102] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(813), 1,
      sym__loop_body,
    STATE(872), 1,
      sym_block,
    STATE(3033), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29125] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5176), 1,
      anon_sym_RBRACK,
    STATE(3034), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [29146] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5178), 1,
      sym__single_quote,
    ACTIONS(5180), 1,
      sym__quotelike_begin_quote,
    STATE(2200), 1,
      sym__quotelike_begin,
    STATE(2776), 1,
      sym__apostrophe,
    STATE(3035), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29169] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3036), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1403), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_GT,
  [29186] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5182), 1,
      anon_sym_RPAREN,
    STATE(3037), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [29207] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5186), 1,
      anon_sym_AT,
    ACTIONS(5189), 1,
      sym__no_interp_whitespace_zw,
    STATE(3038), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5184), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [29228] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5191), 1,
      anon_sym_AT,
    ACTIONS(5194), 1,
      sym__no_interp_whitespace_zw,
    STATE(3039), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5184), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [29249] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5196), 1,
      anon_sym_RBRACK,
    STATE(3040), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [29270] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(819), 1,
      sym__loop_body,
    STATE(872), 1,
      sym_block,
    STATE(3041), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29293] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(872), 1,
      sym_block,
    STATE(885), 1,
      sym__loop_body,
    STATE(3042), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29316] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5198), 1,
      anon_sym_RPAREN,
    STATE(3043), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [29337] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5200), 1,
      anon_sym_RPAREN,
    STATE(3044), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [29358] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4014), 1,
      anon_sym_RBRACE,
    ACTIONS(4849), 1,
      anon_sym_and,
    STATE(3045), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [29379] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(5202), 1,
      anon_sym_LPAREN,
    STATE(83), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(800), 1,
      sym_block,
    STATE(3046), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29402] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(872), 1,
      sym_block,
    STATE(891), 1,
      sym__loop_body,
    STATE(3047), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29425] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(872), 1,
      sym_block,
    STATE(892), 1,
      sym__loop_body,
    STATE(3048), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29448] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5204), 1,
      anon_sym_RPAREN,
    STATE(3049), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [29469] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5206), 1,
      anon_sym_RBRACK,
    STATE(3050), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [29490] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(872), 1,
      sym_block,
    STATE(894), 1,
      sym__loop_body,
    STATE(3051), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29513] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5208), 1,
      anon_sym_RPAREN,
    STATE(3052), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [29534] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(867), 1,
      sym__loop_body,
    STATE(872), 1,
      sym_block,
    STATE(3053), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29557] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5210), 1,
      anon_sym_RPAREN,
    STATE(3054), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [29578] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(922), 1,
      sym_block,
    STATE(956), 1,
      sym__loop_body,
    STATE(3055), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29601] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5212), 1,
      anon_sym_RPAREN,
    STATE(3056), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [29622] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5214), 1,
      sym__quotelike_begin_quote,
    STATE(2247), 1,
      sym__quotelike_begin,
    STATE(2906), 1,
      sym__apostrophe,
    STATE(3057), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29645] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(922), 1,
      sym_block,
    STATE(957), 1,
      sym__loop_body,
    STATE(3058), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29668] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5214), 1,
      sym__quotelike_begin_quote,
    STATE(2263), 1,
      sym__quotelike_begin,
    STATE(2887), 1,
      sym__apostrophe,
    STATE(3059), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29691] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5216), 1,
      sym__quotelike_begin_quote,
    STATE(2227), 1,
      sym__quotelike_begin,
    STATE(2888), 1,
      sym__apostrophe,
    STATE(3060), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29714] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5216), 1,
      sym__quotelike_begin_quote,
    STATE(2232), 1,
      sym__quotelike_begin,
    STATE(2890), 1,
      sym__apostrophe,
    STATE(3061), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29737] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5178), 1,
      sym__single_quote,
    ACTIONS(5218), 1,
      sym__quotelike_begin_quote,
    STATE(2356), 1,
      sym__quotelike_begin,
    STATE(2764), 1,
      sym__apostrophe,
    STATE(3062), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29760] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5220), 1,
      anon_sym_RPAREN,
    STATE(3063), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [29781] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5222), 1,
      anon_sym_RBRACK,
    STATE(3064), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [29802] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5178), 1,
      sym__single_quote,
    ACTIONS(5218), 1,
      sym__quotelike_begin_quote,
    STATE(2379), 1,
      sym__quotelike_begin,
    STATE(2742), 1,
      sym__apostrophe,
    STATE(3065), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29825] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3066), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5224), 4,
      anon_sym_extended,
      anon_sym_async,
      anon_sym_sub,
      anon_sym_method,
  [29842] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5226), 1,
      anon_sym_RPAREN,
    STATE(3067), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [29863] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5228), 1,
      anon_sym_SEMI,
    STATE(3068), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [29884] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(922), 1,
      sym_block,
    STATE(958), 1,
      sym__loop_body,
    STATE(3069), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29907] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5230), 1,
      anon_sym_RPAREN,
    STATE(3070), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [29928] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(922), 1,
      sym_block,
    STATE(971), 1,
      sym__loop_body,
    STATE(3071), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29951] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(922), 1,
      sym_block,
    STATE(972), 1,
      sym__loop_body,
    STATE(3072), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29974] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5232), 1,
      anon_sym_RPAREN,
    STATE(3073), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [29995] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(922), 1,
      sym_block,
    STATE(974), 1,
      sym__loop_body,
    STATE(3074), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30018] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5234), 1,
      anon_sym_RBRACK,
    STATE(3075), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30039] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(922), 1,
      sym_block,
    STATE(976), 1,
      sym__loop_body,
    STATE(3076), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30062] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3077), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4733), 4,
      sym__quotelike_end_quote,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30079] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(869), 1,
      sym__loop_body,
    STATE(872), 1,
      sym_block,
    STATE(3078), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30102] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5236), 1,
      anon_sym_RBRACK,
    STATE(3079), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30123] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5238), 1,
      anon_sym_RPAREN,
    STATE(3080), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30144] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5240), 1,
      anon_sym_RPAREN,
    STATE(3081), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30165] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5242), 1,
      anon_sym_RBRACK,
    STATE(3082), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30186] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5244), 1,
      anon_sym_RBRACK,
    STATE(3083), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30207] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5246), 1,
      anon_sym_RBRACK,
    STATE(3084), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30228] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5248), 1,
      anon_sym_RBRACK,
    STATE(3085), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30249] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5250), 1,
      anon_sym_RPAREN,
    STATE(3086), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30270] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5252), 1,
      anon_sym_RBRACK,
    STATE(3087), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30291] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5254), 1,
      anon_sym_RPAREN,
    STATE(3088), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30312] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5216), 1,
      sym__quotelike_begin_quote,
    STATE(2219), 1,
      sym__quotelike_begin,
    STATE(2907), 1,
      sym__apostrophe,
    STATE(3089), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30335] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5256), 1,
      anon_sym_RBRACK,
    STATE(3090), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30356] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5258), 1,
      anon_sym_RPAREN,
    STATE(3091), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30377] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5260), 1,
      anon_sym_RPAREN,
    STATE(3092), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30398] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5262), 1,
      anon_sym_RBRACK,
    STATE(3093), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30419] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5264), 1,
      anon_sym_RPAREN,
    STATE(3094), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30440] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5266), 1,
      anon_sym_RPAREN,
    STATE(3095), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30461] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5268), 1,
      anon_sym_RPAREN,
    STATE(3096), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30482] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5214), 1,
      sym__quotelike_begin_quote,
    STATE(2276), 1,
      sym__quotelike_begin,
    STATE(2973), 1,
      sym__apostrophe,
    STATE(3097), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30505] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5216), 1,
      sym__quotelike_begin_quote,
    STATE(2239), 1,
      sym__quotelike_begin,
    STATE(2800), 1,
      sym__apostrophe,
    STATE(3098), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30528] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5216), 1,
      sym__quotelike_begin_quote,
    STATE(2210), 1,
      sym__quotelike_begin,
    STATE(2960), 1,
      sym__apostrophe,
    STATE(3099), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30551] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5178), 1,
      sym__single_quote,
    ACTIONS(5218), 1,
      sym__quotelike_begin_quote,
    STATE(2364), 1,
      sym__quotelike_begin,
    STATE(2730), 1,
      sym__apostrophe,
    STATE(3100), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30574] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5270), 1,
      anon_sym_RBRACK,
    STATE(3101), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30595] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5272), 1,
      anon_sym_RBRACK,
    STATE(3102), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30616] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(815), 1,
      sym__loop_body,
    STATE(872), 1,
      sym_block,
    STATE(3103), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30639] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5274), 1,
      anon_sym_RPAREN,
    STATE(3104), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30660] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4012), 1,
      anon_sym_RBRACE,
    ACTIONS(4849), 1,
      anon_sym_and,
    STATE(3105), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30681] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5276), 1,
      anon_sym_RBRACK,
    STATE(3106), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30702] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5278), 1,
      anon_sym_RBRACK,
    STATE(3107), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30723] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3108), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1848), 4,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
  [30740] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(922), 1,
      sym_block,
    STATE(924), 1,
      sym__loop_body,
    STATE(3109), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30763] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5280), 1,
      anon_sym_RBRACK,
    STATE(3110), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30784] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5282), 1,
      anon_sym_RBRACK,
    STATE(3111), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30805] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5284), 1,
      anon_sym_RBRACK,
    STATE(3112), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30826] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3113), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5286), 4,
      sym__quotelike_middle_close_quote,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30843] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5288), 1,
      anon_sym_RBRACK,
    STATE(3114), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30864] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5290), 1,
      anon_sym_RBRACK,
    STATE(3115), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30885] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5292), 1,
      anon_sym_RBRACK,
    STATE(3116), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30906] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(922), 1,
      sym_block,
    STATE(942), 1,
      sym__loop_body,
    STATE(3117), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30929] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3118), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5294), 4,
      sym__quotelike_middle_close_quote,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30946] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5296), 1,
      anon_sym_RPAREN,
    STATE(3119), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30967] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5298), 1,
      anon_sym_RPAREN,
    STATE(3120), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [30988] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5300), 1,
      anon_sym_RPAREN,
    STATE(3121), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31009] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5302), 1,
      anon_sym_RBRACK,
    STATE(3122), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31030] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5304), 1,
      anon_sym_RPAREN,
    STATE(3123), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31051] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5306), 1,
      anon_sym_AT,
    ACTIONS(5309), 1,
      sym__no_interp_whitespace_zw,
    STATE(3124), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5184), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [31072] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5311), 1,
      anon_sym_RBRACK,
    STATE(3125), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31093] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3126), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1759), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_GT,
  [31110] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5313), 1,
      anon_sym_RBRACK,
    STATE(3127), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31131] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5315), 1,
      anon_sym_RBRACK,
    STATE(3128), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31152] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5317), 1,
      anon_sym_RBRACK,
    STATE(3129), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31173] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5319), 1,
      anon_sym_RBRACK,
    STATE(3130), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31194] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5321), 1,
      anon_sym_RBRACK,
    STATE(3131), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31215] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5323), 1,
      anon_sym_RBRACK,
    STATE(3132), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31236] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5325), 1,
      anon_sym_RBRACK,
    STATE(3133), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31257] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5327), 1,
      anon_sym_RBRACK,
    STATE(3134), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31278] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5214), 1,
      sym__quotelike_begin_quote,
    STATE(2287), 1,
      sym__quotelike_begin,
    STATE(2820), 1,
      sym__apostrophe,
    STATE(3135), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31301] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5216), 1,
      sym__quotelike_begin_quote,
    STATE(2213), 1,
      sym__quotelike_begin,
    STATE(2822), 1,
      sym__apostrophe,
    STATE(3136), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31324] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5216), 1,
      sym__quotelike_begin_quote,
    STATE(2215), 1,
      sym__quotelike_begin,
    STATE(2824), 1,
      sym__apostrophe,
    STATE(3137), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31347] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5178), 1,
      sym__single_quote,
    ACTIONS(5218), 1,
      sym__quotelike_begin_quote,
    STATE(2374), 1,
      sym__quotelike_begin,
    STATE(2743), 1,
      sym__apostrophe,
    STATE(3138), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31370] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5329), 1,
      anon_sym_RPAREN,
    STATE(3139), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31391] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5331), 1,
      anon_sym_RPAREN,
    STATE(3140), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31412] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5333), 1,
      anon_sym_RPAREN,
    STATE(3141), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31433] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5335), 1,
      anon_sym_RBRACK,
    STATE(3142), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31454] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2729), 1,
      sym_attribute_name,
    STATE(2892), 1,
      sym_attribute,
    STATE(3143), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4496), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [31475] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5337), 1,
      anon_sym_RPAREN,
    STATE(3144), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31496] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3145), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5294), 4,
      sym__quotelike_end_quote,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31513] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5339), 1,
      anon_sym_RPAREN,
    STATE(3146), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31534] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5341), 1,
      anon_sym_RPAREN,
    STATE(3147), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31555] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5343), 1,
      anon_sym_RBRACK,
    STATE(3148), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31576] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5345), 1,
      anon_sym_RPAREN,
    STATE(3149), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31597] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5347), 1,
      anon_sym_RBRACK,
    STATE(3150), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31618] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1251), 1,
      sym_attribute_name,
    STATE(1265), 1,
      sym_attribute,
    STATE(3151), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3182), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [31639] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5349), 1,
      anon_sym_RPAREN,
    STATE(3152), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31660] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5351), 1,
      anon_sym_RBRACE,
    STATE(3153), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31681] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5353), 1,
      anon_sym_RBRACK,
    STATE(3154), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31702] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5355), 1,
      anon_sym_RPAREN,
    STATE(3155), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31723] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5357), 1,
      anon_sym_RBRACK,
    STATE(3156), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31744] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3157), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1751), 4,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [31761] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3158), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1783), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_GT,
  [31778] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5359), 1,
      anon_sym_RBRACK,
    STATE(3159), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31799] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5361), 1,
      anon_sym_RBRACK,
    STATE(3160), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31820] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1243), 1,
      sym_attribute_name,
    STATE(1247), 1,
      sym_attribute,
    STATE(3161), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3178), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [31841] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5363), 1,
      anon_sym_RPAREN,
    STATE(3162), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31862] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5365), 1,
      anon_sym_RBRACK,
    STATE(3163), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31883] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5367), 1,
      anon_sym_RPAREN,
    STATE(3164), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31904] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5369), 1,
      anon_sym_RPAREN,
    STATE(3165), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31925] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2849), 1,
      sym_attribute_name,
    STATE(3011), 1,
      sym_attribute,
    STATE(3166), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4653), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [31946] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5371), 1,
      anon_sym_RPAREN,
    STATE(3167), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31967] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5373), 1,
      anon_sym_RBRACK,
    STATE(3168), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [31988] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5375), 1,
      anon_sym_RPAREN,
    STATE(3169), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32009] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5377), 1,
      anon_sym_RBRACK,
    STATE(3170), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32030] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5379), 1,
      anon_sym_RBRACK,
    STATE(3171), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32051] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5381), 1,
      anon_sym_RBRACK,
    STATE(3172), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32072] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5383), 1,
      anon_sym_RBRACK,
    STATE(3173), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32093] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3174), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1779), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_GT,
  [32110] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5385), 1,
      anon_sym_RPAREN,
    STATE(3175), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32131] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5387), 1,
      anon_sym_RPAREN,
    STATE(3176), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32152] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5389), 1,
      anon_sym_RBRACK,
    STATE(3177), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32173] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4016), 1,
      anon_sym_RBRACE,
    ACTIONS(4849), 1,
      anon_sym_and,
    STATE(3178), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32194] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1329), 1,
      sym_attribute_name,
    STATE(1451), 1,
      sym_attribute,
    STATE(3179), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3204), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [32215] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5391), 1,
      anon_sym_RBRACK,
    STATE(3180), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32236] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1590), 1,
      sym_attribute_name,
    STATE(1758), 1,
      sym_attribute,
    STATE(3181), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3352), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [32257] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5393), 1,
      anon_sym_RPAREN,
    STATE(3182), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32278] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5395), 1,
      anon_sym_RBRACK,
    STATE(3183), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32299] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5397), 1,
      anon_sym_RBRACK,
    STATE(3184), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32320] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5214), 1,
      sym__quotelike_begin_quote,
    STATE(2251), 1,
      sym__quotelike_begin,
    STATE(2922), 1,
      sym__apostrophe,
    STATE(3185), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [32343] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5399), 1,
      anon_sym_AT,
    ACTIONS(5402), 1,
      sym__no_interp_whitespace_zw,
    STATE(3186), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5184), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [32364] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5404), 1,
      anon_sym_RPAREN,
    STATE(3187), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32385] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3993), 1,
      anon_sym_RBRACE,
    ACTIONS(4849), 1,
      anon_sym_and,
    STATE(3188), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32406] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5216), 1,
      sym__quotelike_begin_quote,
    STATE(2221), 1,
      sym__quotelike_begin,
    STATE(2929), 1,
      sym__apostrophe,
    STATE(3189), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [32429] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5216), 1,
      sym__quotelike_begin_quote,
    STATE(2238), 1,
      sym__quotelike_begin,
    STATE(2935), 1,
      sym__apostrophe,
    STATE(3190), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [32452] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5178), 1,
      sym__single_quote,
    ACTIONS(5218), 1,
      sym__quotelike_begin_quote,
    STATE(2350), 1,
      sym__quotelike_begin,
    STATE(2785), 1,
      sym__apostrophe,
    STATE(3191), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [32475] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5406), 1,
      anon_sym_RPAREN,
    STATE(3192), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32496] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5408), 1,
      anon_sym_RBRACK,
    STATE(3193), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32517] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5410), 1,
      anon_sym_RBRACK,
    STATE(3194), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32538] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5412), 1,
      anon_sym_RBRACK,
    STATE(3195), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32559] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5178), 1,
      sym__single_quote,
    ACTIONS(5180), 1,
      sym__quotelike_begin_quote,
    STATE(2207), 1,
      sym__quotelike_begin,
    STATE(2751), 1,
      sym__apostrophe,
    STATE(3196), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [32582] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5414), 1,
      anon_sym_RBRACK,
    STATE(3197), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32603] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5416), 1,
      anon_sym_RBRACK,
    STATE(3198), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32624] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5418), 1,
      anon_sym_RBRACK,
    STATE(3199), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32645] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5420), 1,
      anon_sym_RPAREN,
    STATE(3200), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32666] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5422), 1,
      anon_sym_RPAREN,
    STATE(3201), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32687] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3202), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5286), 4,
      sym__quotelike_end_quote,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [32704] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5424), 1,
      anon_sym_RBRACK,
    STATE(3203), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32725] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5216), 1,
      sym__quotelike_begin_quote,
    STATE(2234), 1,
      sym__quotelike_begin,
    STATE(2885), 1,
      sym__apostrophe,
    STATE(3204), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [32748] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5426), 1,
      anon_sym_RPAREN,
    STATE(3205), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32769] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5428), 1,
      anon_sym_RBRACK,
    STATE(3206), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32790] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5430), 1,
      anon_sym_SEMI,
    STATE(3207), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32811] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2783), 1,
      sym_attribute_name,
    STATE(2911), 1,
      sym_attribute,
    STATE(3208), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4565), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [32832] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5432), 1,
      anon_sym_SEMI,
    STATE(3209), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32853] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5434), 1,
      anon_sym_RPAREN,
    STATE(3210), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32874] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5436), 1,
      anon_sym_RBRACK,
    STATE(3211), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32895] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5438), 1,
      anon_sym_RBRACK,
    STATE(3212), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32916] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5440), 1,
      anon_sym_RBRACK,
    STATE(3213), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32937] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5442), 1,
      anon_sym_RPAREN,
    STATE(3214), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32958] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5444), 1,
      anon_sym_RBRACK,
    STATE(3215), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [32979] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5446), 1,
      anon_sym_RPAREN,
    STATE(3216), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [33000] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(818), 1,
      sym__loop_body,
    STATE(872), 1,
      sym_block,
    STATE(3217), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33023] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5448), 1,
      anon_sym_RBRACK,
    STATE(3218), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [33044] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5450), 1,
      anon_sym_RBRACK,
    STATE(3219), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [33065] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5452), 1,
      anon_sym_RBRACK,
    STATE(3220), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [33086] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5454), 1,
      anon_sym_RBRACK,
    STATE(3221), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [33107] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1586), 1,
      sym_attribute_name,
    STATE(1751), 1,
      sym_attribute,
    STATE(3222), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3366), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [33128] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3223), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4640), 4,
      sym__quotelike_end_quote,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [33145] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5178), 1,
      sym__single_quote,
    ACTIONS(5180), 1,
      sym__quotelike_begin_quote,
    STATE(2203), 1,
      sym__quotelike_begin,
    STATE(2772), 1,
      sym__apostrophe,
    STATE(3224), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33168] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    ACTIONS(5456), 1,
      anon_sym_LPAREN,
    STATE(90), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(908), 1,
      sym_block,
    STATE(3225), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33191] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5458), 1,
      anon_sym_RBRACK,
    STATE(3226), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [33212] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5178), 1,
      sym__single_quote,
    ACTIONS(5180), 1,
      sym__quotelike_begin_quote,
    STATE(2206), 1,
      sym__quotelike_begin,
    STATE(2777), 1,
      sym__apostrophe,
    STATE(3227), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33235] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5460), 1,
      anon_sym_RPAREN,
    STATE(3228), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [33256] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(922), 1,
      sym_block,
    STATE(923), 1,
      sym__loop_body,
    STATE(3229), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33279] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5462), 1,
      anon_sym_RPAREN,
    STATE(3230), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [33300] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5178), 1,
      sym__single_quote,
    ACTIONS(5180), 1,
      sym__quotelike_begin_quote,
    STATE(2205), 1,
      sym__quotelike_begin,
    STATE(2781), 1,
      sym__apostrophe,
    STATE(3231), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33323] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5464), 1,
      anon_sym_SEMI,
    STATE(3232), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [33344] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5466), 1,
      anon_sym_RPAREN,
    STATE(3233), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [33365] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5468), 1,
      anon_sym_RBRACK,
    STATE(3234), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [33386] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5470), 1,
      anon_sym_RBRACK,
    STATE(3235), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [33407] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4849), 1,
      anon_sym_and,
    ACTIONS(5472), 1,
      anon_sym_RBRACK,
    STATE(3236), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5110), 2,
      anon_sym_or,
      anon_sym_xor,
  [33428] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(805), 1,
      sym__loop_body,
    STATE(872), 1,
      sym_block,
    STATE(3237), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33451] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1023), 1,
      sym_attribute_name,
    STATE(1040), 1,
      sym_attribute,
    STATE(3238), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2300), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [33472] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(922), 1,
      sym_block,
    STATE(943), 1,
      sym__loop_body,
    STATE(3239), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33495] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5474), 1,
      anon_sym_LBRACE,
    ACTIONS(5476), 1,
      anon_sym_AT,
    ACTIONS(5478), 1,
      anon_sym_LBRACK,
    STATE(3240), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33515] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1153), 1,
      sym_block,
    STATE(3241), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33535] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(841), 1,
      sym_block,
    STATE(3242), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33555] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(950), 1,
      sym_block,
    STATE(3243), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33575] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(951), 1,
      sym_block,
    STATE(3244), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33595] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(952), 1,
      sym_block,
    STATE(3245), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33615] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(954), 1,
      sym_block,
    STATE(3246), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33635] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(793), 1,
      sym_block,
    STATE(3247), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33655] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(856), 1,
      sym_block,
    STATE(3248), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33675] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(90), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(907), 1,
      sym_block,
    STATE(3249), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33695] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5214), 1,
      sym__quotelike_begin_quote,
    ACTIONS(5480), 1,
      sym__quotelike_middle_skip,
    STATE(2694), 1,
      sym__quotelike_begin,
    STATE(3250), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33715] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(807), 1,
      sym_block,
    STATE(3251), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33735] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1101), 1,
      sym_block,
    STATE(3252), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33755] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(842), 1,
      sym_block,
    STATE(3253), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33775] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(959), 1,
      sym_block,
    STATE(3254), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33795] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(817), 1,
      sym_block,
    STATE(3255), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33815] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(963), 1,
      sym_block,
    STATE(3256), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33835] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(86), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2048), 1,
      sym_block,
    STATE(3257), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33855] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1221), 1,
      sym_block,
    STATE(3258), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33875] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(966), 1,
      sym_block,
    STATE(3259), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33895] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(875), 1,
      sym_block,
    STATE(3260), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33915] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(86), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2049), 1,
      sym_block,
    STATE(3261), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33935] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2779), 1,
      sym_bareword,
    STATE(3262), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4669), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [33953] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(968), 1,
      sym_block,
    STATE(3263), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33973] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(969), 1,
      sym_block,
    STATE(3264), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33993] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1225), 1,
      sym_block,
    STATE(3265), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34013] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2782), 1,
      sym_bareword,
    STATE(3266), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4669), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [34031] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(877), 1,
      sym_block,
    STATE(3267), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34051] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(970), 1,
      sym_block,
    STATE(3268), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34071] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2704), 1,
      sym_package,
    STATE(3269), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5482), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [34089] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2612), 1,
      sym_package,
    STATE(3270), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5482), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [34107] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2614), 1,
      sym_package,
    STATE(3271), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5482), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [34125] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(975), 1,
      sym_block,
    STATE(3272), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34145] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(98), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(799), 1,
      sym_block,
    STATE(3273), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34165] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4871), 1,
      anon_sym_DOLLAR,
    ACTIONS(5484), 1,
      anon_sym_LPAREN,
    STATE(3274), 1,
      sym_heredoc_content,
    STATE(3490), 1,
      sym_scalar,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34185] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1137), 1,
      sym_block,
    STATE(3275), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34205] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1155), 1,
      sym_block,
    STATE(3276), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34225] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2791), 1,
      sym_bareword,
    STATE(3277), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4669), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [34243] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2792), 1,
      sym_bareword,
    STATE(3278), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4669), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [34261] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(791), 1,
      sym_block,
    STATE(3279), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34281] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1123), 1,
      sym_block,
    STATE(3280), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34301] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(828), 1,
      sym_block,
    STATE(3281), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34321] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(879), 1,
      sym_block,
    STATE(3282), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34341] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(824), 1,
      sym_block,
    STATE(3283), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34361] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(880), 1,
      sym_block,
    STATE(3284), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34381] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(808), 1,
      sym_block,
    STATE(3285), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34401] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1163), 1,
      sym_block,
    STATE(3286), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34421] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(843), 1,
      sym_block,
    STATE(3287), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34441] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(881), 1,
      sym_block,
    STATE(3288), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34461] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(995), 1,
      sym_block,
    STATE(3289), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34481] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2747), 1,
      sym_bareword,
    STATE(3290), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4669), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [34499] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(883), 1,
      sym_block,
    STATE(3291), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34519] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(829), 1,
      sym_block,
    STATE(3292), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34539] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2738), 1,
      sym_bareword,
    STATE(3293), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4669), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [34557] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2739), 1,
      sym_bareword,
    STATE(3294), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4669), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [34575] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(83), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(802), 1,
      sym_block,
    STATE(3295), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34595] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(86), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2111), 1,
      sym_block,
    STATE(3296), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34615] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(127), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1469), 1,
      sym_block,
    STATE(3297), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34635] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(86), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2115), 1,
      sym_block,
    STATE(3298), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34655] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(999), 1,
      sym_block,
    STATE(3299), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34675] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(127), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1540), 1,
      sym_block,
    STATE(3300), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34695] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(822), 1,
      sym_block,
    STATE(3301), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34715] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1000), 1,
      sym_block,
    STATE(3302), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34735] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(79), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(905), 1,
      sym_block,
    STATE(3303), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34755] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(831), 1,
      sym_block,
    STATE(3304), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34775] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(910), 1,
      sym_block,
    STATE(3305), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34795] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(895), 1,
      sym_block,
    STATE(3306), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34815] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(967), 1,
      sym_block,
    STATE(3307), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34835] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5486), 1,
      anon_sym_LBRACE,
    ACTIONS(5488), 1,
      anon_sym_LBRACK,
    ACTIONS(5490), 1,
      anon_sym_STAR,
    STATE(3308), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34855] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5492), 1,
      anon_sym_LBRACE,
    ACTIONS(5494), 1,
      anon_sym_LBRACK,
    ACTIONS(5496), 1,
      anon_sym_STAR,
    STATE(3309), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34875] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(858), 1,
      sym__semicolon,
    STATE(3310), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1457), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [34893] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3311), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5498), 3,
      anon_sym_DOLLAR,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [34909] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2748), 1,
      sym_bareword,
    STATE(3312), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4669), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [34927] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(86), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2000), 1,
      sym_block,
    STATE(3313), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34947] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(86), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2001), 1,
      sym_block,
    STATE(3314), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34967] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1001), 1,
      sym__semicolon,
    STATE(3315), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1447), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [34985] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(973), 1,
      sym_block,
    STATE(3316), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35005] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(832), 1,
      sym_block,
    STATE(3317), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35025] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(86), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2021), 1,
      sym_block,
    STATE(3318), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35045] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(72), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1955), 1,
      sym_block,
    STATE(3319), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35065] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(86), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2023), 1,
      sym_block,
    STATE(3320), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35085] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(72), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1956), 1,
      sym_block,
    STATE(3321), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35105] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5500), 1,
      anon_sym_LBRACE,
    ACTIONS(5502), 1,
      anon_sym_LBRACK,
    ACTIONS(5504), 1,
      anon_sym_STAR,
    STATE(3322), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35125] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(849), 1,
      sym_block,
    STATE(3323), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35145] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5506), 1,
      anon_sym_LBRACE,
    ACTIONS(5508), 1,
      anon_sym_LBRACK,
    ACTIONS(5510), 1,
      anon_sym_STAR,
    STATE(3324), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35165] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(86), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2092), 1,
      sym_block,
    STATE(3325), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35185] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(86), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2093), 1,
      sym_block,
    STATE(3326), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35205] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(809), 1,
      sym_block,
    STATE(3327), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35225] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(948), 1,
      sym_block,
    STATE(3328), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35245] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1114), 1,
      sym_block,
    STATE(3329), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35265] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2644), 1,
      sym_package,
    STATE(3330), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5482), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [35283] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(912), 1,
      sym_block,
    STATE(3331), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35303] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(913), 1,
      sym_block,
    STATE(3332), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35323] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(915), 1,
      sym_block,
    STATE(3333), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35343] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(827), 1,
      sym_block,
    STATE(3334), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35363] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(72), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1979), 1,
      sym_block,
    STATE(3335), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35383] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(127), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1537), 1,
      sym_block,
    STATE(3336), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35403] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(72), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1981), 1,
      sym_block,
    STATE(3337), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35423] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1007), 1,
      sym_block,
    STATE(3338), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35443] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5512), 1,
      anon_sym_LBRACE,
    ACTIONS(5514), 1,
      anon_sym_LBRACK,
    ACTIONS(5516), 1,
      anon_sym_STAR,
    STATE(3339), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35463] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(127), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1397), 1,
      sym_block,
    STATE(3340), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35483] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(919), 1,
      sym_block,
    STATE(3341), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35503] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(984), 1,
      sym_block,
    STATE(3342), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35523] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(899), 1,
      sym__semicolon,
    STATE(3343), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1457), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [35541] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2675), 1,
      sym_package,
    STATE(3344), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5482), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [35559] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(855), 1,
      sym_block,
    STATE(3345), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35579] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2642), 1,
      sym_package,
    STATE(3346), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5482), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [35597] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5518), 1,
      anon_sym_LBRACE,
    ACTIONS(5520), 1,
      anon_sym_AT,
    ACTIONS(5522), 1,
      anon_sym_LBRACK,
    STATE(3347), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35617] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(129), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1634), 1,
      sym_block,
    STATE(3348), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35637] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(129), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1635), 1,
      sym_block,
    STATE(3349), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35657] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(127), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1523), 1,
      sym_block,
    STATE(3350), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35677] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(896), 1,
      sym_block,
    STATE(3351), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35697] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(897), 1,
      sym_block,
    STATE(3352), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35717] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(847), 1,
      sym_block,
    STATE(3353), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35737] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5524), 1,
      anon_sym_LBRACE,
    ACTIONS(5526), 1,
      anon_sym_LBRACK,
    ACTIONS(5528), 1,
      anon_sym_STAR,
    STATE(3354), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35757] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(898), 1,
      sym_block,
    STATE(3355), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35777] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5530), 1,
      anon_sym_LBRACE,
    ACTIONS(5532), 1,
      anon_sym_LBRACK,
    ACTIONS(5534), 1,
      anon_sym_STAR,
    STATE(3356), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35797] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(127), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1525), 1,
      sym_block,
    STATE(3357), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35817] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(98), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(801), 1,
      sym_block,
    STATE(3358), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35837] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(127), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1417), 1,
      sym_block,
    STATE(3359), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35857] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(925), 1,
      sym_block,
    STATE(3360), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35877] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(72), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1888), 1,
      sym_block,
    STATE(3361), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35897] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(72), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1889), 1,
      sym_block,
    STATE(3362), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35917] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(129), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1657), 1,
      sym_block,
    STATE(3363), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35937] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(129), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1659), 1,
      sym_block,
    STATE(3364), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35957] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(127), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1503), 1,
      sym_block,
    STATE(3365), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35977] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(928), 1,
      sym_block,
    STATE(3366), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35997] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5536), 1,
      anon_sym_LBRACE,
    ACTIONS(5538), 1,
      anon_sym_LBRACK,
    ACTIONS(5540), 1,
      anon_sym_STAR,
    STATE(3367), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36017] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(838), 1,
      sym_block,
    STATE(3368), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36037] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(931), 1,
      sym_block,
    STATE(3369), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36057] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(72), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1822), 1,
      sym_block,
    STATE(3370), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36077] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5542), 1,
      sym__quotelike_begin_quote,
    ACTIONS(5544), 1,
      sym__quotelike_middle_skip,
    STATE(3077), 1,
      sym__quotelike_begin,
    STATE(3371), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36097] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(863), 1,
      sym__semicolon,
    STATE(3372), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1457), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [36115] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(72), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1824), 1,
      sym_block,
    STATE(3373), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36135] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(934), 1,
      sym_block,
    STATE(3374), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36155] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5546), 1,
      anon_sym_LBRACE,
    ACTIONS(5548), 1,
      anon_sym_LBRACK,
    ACTIONS(5550), 1,
      anon_sym_STAR,
    STATE(3375), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36175] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5552), 1,
      anon_sym_LBRACE,
    ACTIONS(5554), 1,
      anon_sym_LBRACK,
    ACTIONS(5556), 1,
      anon_sym_STAR,
    STATE(3376), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36195] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(851), 1,
      sym_block,
    STATE(3377), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36215] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3378), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5083), 3,
      anon_sym_DOLLAR,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [36231] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(937), 1,
      sym_block,
    STATE(3379), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36251] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(129), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1687), 1,
      sym_block,
    STATE(3380), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36271] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(129), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1688), 1,
      sym_block,
    STATE(3381), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36291] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(938), 1,
      sym_block,
    STATE(3382), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36311] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(810), 1,
      sym_block,
    STATE(3383), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36331] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(939), 1,
      sym_block,
    STATE(3384), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36351] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(940), 1,
      sym_block,
    STATE(3385), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36371] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(129), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1700), 1,
      sym_block,
    STATE(3386), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36391] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1130), 1,
      sym_block,
    STATE(3387), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36411] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(129), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1702), 1,
      sym_block,
    STATE(3388), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36431] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(941), 1,
      sym_block,
    STATE(3389), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36451] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(72), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1845), 1,
      sym_block,
    STATE(3390), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36471] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(814), 1,
      sym_block,
    STATE(3391), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36491] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(72), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1820), 1,
      sym_block,
    STATE(3392), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36511] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(129), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1721), 1,
      sym_block,
    STATE(3393), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36531] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(129), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1722), 1,
      sym_block,
    STATE(3394), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36551] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5558), 1,
      anon_sym_LBRACE,
    ACTIONS(5560), 1,
      anon_sym_AT,
    ACTIONS(5562), 1,
      anon_sym_LBRACK,
    STATE(3395), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36571] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(921), 1,
      sym__semicolon,
    STATE(3396), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1447), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [36589] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(790), 1,
      sym_block,
    STATE(3397), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36609] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(988), 1,
      sym__semicolon,
    STATE(3398), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1447), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [36627] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(850), 1,
      sym_block,
    STATE(3399), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36647] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(127), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1519), 1,
      sym_block,
    STATE(3400), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36667] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5564), 1,
      anon_sym_LBRACE,
    ACTIONS(5566), 1,
      anon_sym_AT,
    ACTIONS(5568), 1,
      anon_sym_LBRACK,
    STATE(3401), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36687] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(946), 1,
      sym_block,
    STATE(3402), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36707] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(127), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1487), 1,
      sym_block,
    STATE(3403), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36727] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(834), 1,
      sym_block,
    STATE(3404), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36747] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5570), 1,
      anon_sym_LBRACE,
    ACTIONS(5572), 1,
      anon_sym_LBRACK,
    STATE(3405), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36764] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5574), 1,
      anon_sym_LBRACE,
    ACTIONS(5576), 1,
      anon_sym_LBRACK,
    STATE(3406), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36781] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5578), 1,
      sym__heredoc_delimiter,
    ACTIONS(5580), 1,
      sym__command_heredoc_delimiter,
    STATE(3407), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36798] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4419), 1,
      anon_sym_RPAREN,
    ACTIONS(5582), 1,
      anon_sym_COMMA,
    STATE(3408), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36815] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5584), 1,
      anon_sym_LBRACE,
    ACTIONS(5586), 1,
      anon_sym_LBRACK,
    STATE(3409), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36832] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5542), 1,
      sym__quotelike_begin_quote,
    STATE(2884), 1,
      sym__quotelike_begin,
    STATE(3410), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36849] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5214), 1,
      sym__quotelike_begin_quote,
    STATE(2262), 1,
      sym__quotelike_begin,
    STATE(3411), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36866] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5542), 1,
      sym__quotelike_begin_quote,
    STATE(2886), 1,
      sym__quotelike_begin,
    STATE(3412), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36883] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5588), 1,
      sym__heredoc_delimiter,
    ACTIONS(5590), 1,
      sym__command_heredoc_delimiter,
    STATE(3413), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36900] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5582), 1,
      anon_sym_COMMA,
    ACTIONS(5592), 1,
      anon_sym_RPAREN,
    STATE(3414), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36917] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5594), 1,
      anon_sym_LBRACE,
    ACTIONS(5596), 1,
      anon_sym_LBRACK,
    STATE(3415), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36934] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4334), 1,
      anon_sym_RPAREN,
    ACTIONS(5582), 1,
      anon_sym_COMMA,
    STATE(3416), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36951] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5582), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_RPAREN,
    STATE(3417), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36968] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5600), 1,
      sym__heredoc_delimiter,
    ACTIONS(5602), 1,
      sym__command_heredoc_delimiter,
    STATE(3418), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36985] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4421), 1,
      anon_sym_RPAREN,
    ACTIONS(5582), 1,
      anon_sym_COMMA,
    STATE(3419), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37002] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4371), 1,
      anon_sym_RPAREN,
    ACTIONS(5582), 1,
      anon_sym_COMMA,
    STATE(3420), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37019] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5542), 1,
      sym__quotelike_begin_quote,
    STATE(2969), 1,
      sym__quotelike_begin,
    STATE(3421), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37036] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5214), 1,
      sym__quotelike_begin_quote,
    STATE(2275), 1,
      sym__quotelike_begin,
    STATE(3422), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37053] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5542), 1,
      sym__quotelike_begin_quote,
    STATE(2971), 1,
      sym__quotelike_begin,
    STATE(3423), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37070] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5604), 1,
      sym__heredoc_delimiter,
    ACTIONS(5606), 1,
      sym__command_heredoc_delimiter,
    STATE(3424), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37087] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4871), 1,
      anon_sym_DOLLAR,
    STATE(3425), 1,
      sym_heredoc_content,
    STATE(3490), 1,
      sym_scalar,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37104] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5582), 1,
      anon_sym_COMMA,
    ACTIONS(5608), 1,
      anon_sym_RPAREN,
    STATE(3426), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37121] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4397), 1,
      anon_sym_RPAREN,
    ACTIONS(5582), 1,
      anon_sym_COMMA,
    STATE(3427), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37138] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5542), 1,
      sym__quotelike_begin_quote,
    STATE(2818), 1,
      sym__quotelike_begin,
    STATE(3428), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37155] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5214), 1,
      sym__quotelike_begin_quote,
    STATE(2286), 1,
      sym__quotelike_begin,
    STATE(3429), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37172] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5542), 1,
      sym__quotelike_begin_quote,
    STATE(2819), 1,
      sym__quotelike_begin,
    STATE(3430), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37189] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3431), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5610), 2,
      sym__quotelike_begin_quote,
      sym__quotelike_middle_skip,
  [37204] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4553), 1,
      sym__identifier,
    STATE(2661), 1,
      sym__signature_varname,
    STATE(3432), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37221] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5542), 1,
      sym__quotelike_begin_quote,
    STATE(2974), 1,
      sym__quotelike_begin,
    STATE(3433), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37238] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3434), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4086), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [37253] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5214), 1,
      sym__quotelike_begin_quote,
    STATE(2293), 1,
      sym__quotelike_begin,
    STATE(3435), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37270] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3436), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4094), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [37285] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5542), 1,
      sym__quotelike_begin_quote,
    STATE(2914), 1,
      sym__quotelike_begin,
    STATE(3437), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37302] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5214), 1,
      sym__quotelike_begin_quote,
    STATE(2250), 1,
      sym__quotelike_begin,
    STATE(3438), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37319] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5154), 1,
      anon_sym_RPAREN,
    ACTIONS(5612), 1,
      anon_sym_COMMA,
    STATE(3439), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37336] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5542), 1,
      sym__quotelike_begin_quote,
    STATE(2918), 1,
      sym__quotelike_begin,
    STATE(3440), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37353] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5612), 1,
      anon_sym_COMMA,
    ACTIONS(5614), 1,
      anon_sym_RPAREN,
    STATE(3441), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37370] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5616), 1,
      anon_sym_LBRACE,
    ACTIONS(5618), 1,
      anon_sym_LBRACK,
    STATE(3442), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37387] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5620), 1,
      anon_sym_LBRACE,
    ACTIONS(5622), 1,
      anon_sym_LBRACK,
    STATE(3443), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37404] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5624), 1,
      anon_sym_LBRACE,
    ACTIONS(5626), 1,
      anon_sym_LBRACK,
    STATE(3444), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37421] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5582), 1,
      anon_sym_COMMA,
    ACTIONS(5628), 1,
      anon_sym_RPAREN,
    STATE(3445), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37438] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5630), 1,
      anon_sym_LBRACE,
    ACTIONS(5632), 1,
      anon_sym_LBRACK,
    STATE(3446), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37455] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5542), 1,
      sym__quotelike_begin_quote,
    STATE(2898), 1,
      sym__quotelike_begin,
    STATE(3447), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37472] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5634), 1,
      anon_sym_LBRACE,
    ACTIONS(5636), 1,
      anon_sym_LBRACK,
    STATE(3448), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37489] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5638), 1,
      anon_sym_LBRACE,
    ACTIONS(5640), 1,
      anon_sym_LBRACK,
    STATE(3449), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37506] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5642), 1,
      anon_sym_LBRACE,
    ACTIONS(5644), 1,
      anon_sym_LBRACK,
    STATE(3450), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37523] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5646), 1,
      anon_sym_DOLLAR,
    STATE(2698), 1,
      sym__signature_scalar,
    STATE(3451), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37540] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5648), 1,
      anon_sym_LBRACE,
    ACTIONS(5650), 1,
      anon_sym_LBRACK,
    STATE(3452), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37557] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5652), 1,
      anon_sym_LBRACE,
    ACTIONS(5654), 1,
      anon_sym_LBRACK,
    STATE(3453), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37574] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5656), 1,
      anon_sym_LBRACE,
    ACTIONS(5658), 1,
      anon_sym_LBRACK,
    STATE(3454), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37591] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5660), 1,
      anon_sym_LBRACE,
    ACTIONS(5662), 1,
      anon_sym_LBRACK,
    STATE(3455), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37608] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5664), 1,
      sym__heredoc_delimiter,
    ACTIONS(5666), 1,
      sym__command_heredoc_delimiter,
    STATE(3456), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37625] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5668), 1,
      anon_sym_LBRACE,
    ACTIONS(5670), 1,
      anon_sym_LBRACK,
    STATE(3457), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37642] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5672), 1,
      anon_sym_LBRACE,
    ACTIONS(5674), 1,
      anon_sym_LBRACK,
    STATE(3458), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37659] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5676), 1,
      anon_sym_LBRACE,
    ACTIONS(5678), 1,
      anon_sym_LBRACK,
    STATE(3459), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37676] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5680), 1,
      anon_sym_LBRACE,
    ACTIONS(5682), 1,
      anon_sym_LBRACK,
    STATE(3460), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37693] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5582), 1,
      anon_sym_COMMA,
    ACTIONS(5684), 1,
      anon_sym_RPAREN,
    STATE(3461), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37710] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(3993), 1,
      anon_sym_RBRACE,
    STATE(3462), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37724] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4276), 1,
      sym__dollar_ident_zw,
    STATE(3463), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37738] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5686), 1,
      anon_sym_RBRACE,
    STATE(3464), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37752] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5688), 1,
      anon_sym_RBRACE,
    STATE(3465), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37766] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5690), 1,
      sym__no_interp_whitespace_zw,
    STATE(3466), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37780] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5692), 1,
      anon_sym_RBRACE,
    STATE(3467), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37794] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5694), 1,
      anon_sym_RBRACE,
    STATE(3468), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37808] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1771), 1,
      anon_sym_GT,
    STATE(3469), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37822] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5696), 1,
      anon_sym_RBRACE,
    STATE(3470), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37836] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1802), 1,
      sym__brace_end_zw,
    STATE(3471), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37850] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5698), 1,
      anon_sym_RBRACE,
    STATE(3472), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37864] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5700), 1,
      anon_sym_RBRACE,
    STATE(3473), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37878] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5702), 1,
      anon_sym_GT_GT,
    STATE(3474), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37892] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5704), 1,
      anon_sym_RPAREN,
    STATE(3475), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37906] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5706), 1,
      sym__ERROR,
    STATE(3476), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37920] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5708), 1,
      anon_sym_RPAREN,
    STATE(3477), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37934] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5582), 1,
      anon_sym_COMMA,
    STATE(3478), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37948] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5710), 1,
      anon_sym_LPAREN,
    STATE(3479), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37962] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5712), 1,
      anon_sym_RPAREN,
    STATE(3480), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37976] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1800), 1,
      sym__brace_end_zw,
    STATE(3481), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37990] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5714), 1,
      sym__gobbled_content,
    STATE(3482), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38004] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5716), 1,
      anon_sym_RBRACE,
    STATE(3483), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38018] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5718), 1,
      anon_sym_RPAREN,
    STATE(3484), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38032] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5720), 1,
      anon_sym_RPAREN,
    STATE(3485), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38046] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5722), 1,
      sym__gobbled_content,
    STATE(3486), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38060] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5724), 1,
      anon_sym_RBRACE,
    STATE(3487), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38074] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5726), 1,
      sym__ERROR,
    STATE(3488), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38088] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5728), 1,
      anon_sym_STAR,
    STATE(3489), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38102] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5730), 1,
      anon_sym_LPAREN,
    STATE(3490), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38116] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5732), 1,
      anon_sym_RPAREN,
    STATE(3491), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38130] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5734), 1,
      sym_attribute_value,
    STATE(3492), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38144] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5736), 1,
      anon_sym_RBRACE,
    STATE(3493), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38158] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5738), 1,
      ts_builtin_sym_end,
    STATE(3494), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38172] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5740), 1,
      anon_sym_RPAREN,
    STATE(3495), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38186] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5742), 1,
      sym__ERROR,
    STATE(3496), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38200] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5744), 1,
      anon_sym_RBRACE,
    STATE(3497), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38214] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5746), 1,
      anon_sym_RPAREN,
    STATE(3498), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38228] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5748), 1,
      anon_sym_GT_GT,
    STATE(3499), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38242] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5750), 1,
      anon_sym_RBRACE,
    STATE(3500), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38256] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5752), 1,
      anon_sym_RBRACE,
    STATE(3501), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38270] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4290), 1,
      sym__dollar_ident_zw,
    STATE(3502), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38284] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5754), 1,
      sym__ERROR,
    STATE(3503), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38298] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(376), 1,
      ts_builtin_sym_end,
    STATE(3504), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38312] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5756), 1,
      anon_sym_GT,
    STATE(3505), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38326] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5758), 1,
      anon_sym_LPAREN,
    STATE(3506), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38340] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(2110), 1,
      ts_builtin_sym_end,
    STATE(3507), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38354] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5760), 1,
      anon_sym_RBRACE,
    STATE(3508), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38368] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5762), 1,
      anon_sym_RPAREN,
    STATE(3509), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38382] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5764), 1,
      anon_sym_RBRACE,
    STATE(3510), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38396] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4292), 1,
      sym__dollar_ident_zw,
    STATE(3511), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38410] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5766), 1,
      anon_sym_GT,
    STATE(3512), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38424] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5768), 1,
      anon_sym_RBRACE,
    STATE(3513), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38438] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1775), 1,
      sym__brace_end_zw,
    STATE(3514), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38452] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5770), 1,
      anon_sym_RBRACE,
    STATE(3515), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38466] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5772), 1,
      anon_sym_RBRACE,
    STATE(3516), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5774), 1,
      aux_sym___DATA___token1,
    STATE(3517), 1,
      sym_heredoc_content,
  [38496] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5776), 1,
      anon_sym_RBRACE,
    STATE(3518), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38510] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5778), 1,
      anon_sym_STAR,
    STATE(3519), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38524] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1804), 1,
      sym__brace_end_zw,
    STATE(3520), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38538] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5780), 1,
      anon_sym_RPAREN,
    STATE(3521), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38552] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5782), 1,
      anon_sym_GT_GT,
    STATE(3522), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38566] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5784), 1,
      anon_sym_RBRACE,
    STATE(3523), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38580] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5786), 1,
      sym__gobbled_content,
    STATE(3524), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38594] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1779), 1,
      sym__brace_end_zw,
    STATE(3525), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38608] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5788), 1,
      sym__no_interp_whitespace_zw,
    STATE(3526), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38622] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5790), 1,
      anon_sym_LPAREN,
    STATE(3527), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38636] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5792), 1,
      anon_sym_RBRACE,
    STATE(3528), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38650] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4012), 1,
      anon_sym_RBRACE,
    STATE(3529), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38664] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5794), 1,
      anon_sym_RBRACE,
    STATE(3530), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38678] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5796), 1,
      anon_sym_RPAREN,
    STATE(3531), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38692] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5798), 1,
      anon_sym_RBRACE,
    STATE(3532), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38706] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5612), 1,
      anon_sym_COMMA,
    STATE(3533), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38720] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5800), 1,
      anon_sym_RBRACE,
    STATE(3534), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38734] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5802), 1,
      anon_sym_RBRACE,
    STATE(3535), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38748] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5804), 1,
      anon_sym_RBRACE,
    STATE(3536), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38762] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5806), 1,
      anon_sym_LPAREN,
    STATE(3537), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38776] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5808), 1,
      anon_sym_LPAREN,
    STATE(3538), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38790] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5810), 1,
      anon_sym_GT,
    STATE(3539), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38804] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5812), 1,
      anon_sym_RPAREN,
    STATE(3540), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38818] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5814), 1,
      sym_attribute_value,
    STATE(3541), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38832] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5816), 1,
      anon_sym_RBRACE,
    STATE(3542), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38846] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5818), 1,
      ts_builtin_sym_end,
    STATE(3543), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38860] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4016), 1,
      anon_sym_RBRACE,
    STATE(3544), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38874] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5820), 1,
      sym__ERROR,
    STATE(3545), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38888] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5822), 1,
      anon_sym_RPAREN,
    STATE(3546), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38902] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5824), 1,
      anon_sym_RBRACE,
    STATE(3547), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38916] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5826), 1,
      anon_sym_LPAREN,
    STATE(3548), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38930] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5828), 1,
      anon_sym_RBRACE,
    STATE(3549), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38944] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5830), 1,
      anon_sym_RBRACE,
    STATE(3550), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38958] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5832), 1,
      anon_sym_GT,
    STATE(3551), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38972] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5834), 1,
      anon_sym_RBRACE,
    STATE(3552), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38986] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5836), 1,
      anon_sym_RBRACE,
    STATE(3553), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39000] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5838), 1,
      anon_sym_RBRACE,
    STATE(3554), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39014] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5840), 1,
      anon_sym_RBRACE,
    STATE(3555), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39028] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4168), 1,
      sym__dollar_ident_zw,
    STATE(3556), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39042] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5842), 1,
      sym_attribute_value,
    STATE(3557), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39056] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5844), 1,
      anon_sym_RBRACE,
    STATE(3558), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39070] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5846), 1,
      anon_sym_RBRACE,
    STATE(3559), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39084] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5848), 1,
      sym__ERROR,
    STATE(3560), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39098] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5850), 1,
      anon_sym_RBRACE,
    STATE(3561), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39112] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(2018), 1,
      ts_builtin_sym_end,
    STATE(3562), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39126] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1806), 1,
      sym__brace_end_zw,
    STATE(3563), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39140] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5852), 1,
      anon_sym_RBRACE,
    STATE(3564), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39154] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5854), 1,
      anon_sym_RBRACE,
    STATE(3565), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39168] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5856), 1,
      anon_sym_GT_GT,
    STATE(3566), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39182] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5858), 1,
      anon_sym_RBRACE,
    STATE(3567), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39196] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5860), 1,
      anon_sym_RBRACE,
    STATE(3568), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39210] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5862), 1,
      anon_sym_RPAREN,
    STATE(3569), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39224] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5864), 1,
      anon_sym_RBRACE,
    STATE(3570), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39238] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5866), 1,
      anon_sym_GT,
    STATE(3571), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39252] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5868), 1,
      anon_sym_STAR,
    STATE(3572), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39266] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5870), 1,
      anon_sym_STAR,
    STATE(3573), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39280] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5872), 1,
      anon_sym_LBRACE,
    STATE(3574), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5874), 1,
      aux_sym___DATA___token1,
    STATE(3575), 1,
      sym_heredoc_content,
  [39310] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5876), 1,
      anon_sym_STAR,
    STATE(3576), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39324] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5878), 1,
      anon_sym_RPAREN,
    STATE(3577), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39338] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5880), 1,
      anon_sym_RPAREN,
    STATE(3578), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39352] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5882), 1,
      anon_sym_RBRACE,
    STATE(3579), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39366] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5884), 1,
      sym_attribute_value,
    STATE(3580), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39380] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5886), 1,
      anon_sym_RPAREN,
    STATE(3581), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39394] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5888), 1,
      sym_attribute_value,
    STATE(3582), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39408] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1808), 1,
      sym__brace_end_zw,
    STATE(3583), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39422] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5890), 1,
      anon_sym_RBRACE,
    STATE(3584), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39436] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5892), 1,
      anon_sym_RBRACE,
    STATE(3585), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39450] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5894), 1,
      sym_attribute_value,
    STATE(3586), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39464] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5896), 1,
      anon_sym_RPAREN,
    STATE(3587), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39478] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1810), 1,
      sym__brace_end_zw,
    STATE(3588), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39492] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5898), 1,
      sym__gobbled_content,
    STATE(3589), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39506] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5900), 1,
      sym__ERROR,
    STATE(3590), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39520] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5902), 1,
      sym_attribute_value,
    STATE(3591), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39534] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1812), 1,
      sym__brace_end_zw,
    STATE(3592), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39548] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5904), 1,
      anon_sym_RBRACE,
    STATE(3593), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39562] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5906), 1,
      anon_sym_LPAREN,
    STATE(3594), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39576] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5908), 1,
      sym_attribute_value,
    STATE(3595), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39590] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1814), 1,
      sym__brace_end_zw,
    STATE(3596), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39604] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5910), 1,
      anon_sym_RBRACE,
    STATE(3597), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39618] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5912), 1,
      anon_sym_RBRACE,
    STATE(3598), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39632] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5914), 1,
      sym_attribute_value,
    STATE(3599), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39646] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1816), 1,
      sym__brace_end_zw,
    STATE(3600), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39660] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5916), 1,
      anon_sym_RPAREN,
    STATE(3601), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39674] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5918), 1,
      anon_sym_LPAREN,
    STATE(3602), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39688] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1818), 1,
      sym__brace_end_zw,
    STATE(3603), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39702] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5920), 1,
      anon_sym_GT_GT,
    STATE(3604), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39716] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5922), 1,
      anon_sym_RBRACE,
    STATE(3605), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39730] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1820), 1,
      sym__brace_end_zw,
    STATE(3606), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39744] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5924), 1,
      anon_sym_LPAREN,
    STATE(3607), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39758] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5926), 1,
      sym__no_interp_whitespace_zw,
    STATE(3608), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39772] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1822), 1,
      sym__brace_end_zw,
    STATE(3609), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39786] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5928), 1,
      anon_sym_RBRACE,
    STATE(3610), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39800] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5930), 1,
      sym__ERROR,
    STATE(3611), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39814] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1824), 1,
      sym__brace_end_zw,
    STATE(3612), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39828] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5932), 1,
      sym__ERROR,
    STATE(3613), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39842] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5934), 1,
      anon_sym_RPAREN,
    STATE(3614), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39856] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1826), 1,
      sym__brace_end_zw,
    STATE(3615), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39870] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5936), 1,
      anon_sym_RPAREN,
    STATE(3616), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39884] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5938), 1,
      anon_sym_RBRACE,
    STATE(3617), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39898] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1828), 1,
      sym__brace_end_zw,
    STATE(3618), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39912] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5940), 1,
      anon_sym_RBRACE,
    STATE(3619), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39926] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5942), 1,
      sym__ERROR,
    STATE(3620), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39940] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1830), 1,
      sym__brace_end_zw,
    STATE(3621), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39954] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5944), 1,
      anon_sym_RBRACE,
    STATE(3622), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39968] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5946), 1,
      anon_sym_RBRACE,
    STATE(3623), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39982] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1832), 1,
      sym__brace_end_zw,
    STATE(3624), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39996] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5948), 1,
      aux_sym__interpolated_transliteration_content_token1,
    STATE(3625), 1,
      sym_heredoc_content,
  [40012] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5950), 1,
      anon_sym_RBRACE,
    STATE(3626), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40026] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1753), 1,
      sym__brace_end_zw,
    STATE(3627), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40040] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5952), 1,
      anon_sym_RBRACE,
    STATE(3628), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40054] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5954), 1,
      anon_sym_COLON,
    STATE(3629), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40068] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5956), 1,
      anon_sym_RPAREN,
    STATE(3630), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40082] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5958), 1,
      sym__ERROR,
    STATE(3631), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40096] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5960), 1,
      sym__gobbled_content,
    STATE(3632), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5962), 1,
      aux_sym___DATA___token1,
    STATE(3633), 1,
      sym_heredoc_content,
  [40126] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1763), 1,
      anon_sym_GT,
    STATE(3634), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40140] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5964), 1,
      sym__ERROR,
    STATE(3635), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40154] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5966), 1,
      anon_sym_RPAREN,
    STATE(3636), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40168] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5968), 1,
      anon_sym_RBRACE,
    STATE(3637), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40182] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5970), 1,
      anon_sym_RBRACE,
    STATE(3638), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40196] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5972), 1,
      anon_sym_RPAREN,
    STATE(3639), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40210] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5974), 1,
      anon_sym_RBRACE,
    STATE(3640), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40224] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5976), 1,
      anon_sym_RPAREN,
    STATE(3641), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40238] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5978), 1,
      anon_sym_RPAREN,
    STATE(3642), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40252] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5980), 1,
      anon_sym_RPAREN,
    STATE(3643), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40266] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5982), 1,
      anon_sym_RBRACE,
    STATE(3644), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40280] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5984), 1,
      anon_sym_LPAREN,
    STATE(3645), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40294] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5986), 1,
      anon_sym_COLON,
    STATE(3646), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40308] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5988), 1,
      anon_sym_RBRACE,
    STATE(3647), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40322] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5990), 1,
      anon_sym_RBRACE,
    STATE(3648), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40336] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5992), 1,
      anon_sym_RPAREN,
    STATE(3649), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40350] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5994), 1,
      sym__ERROR,
    STATE(3650), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40364] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5996), 1,
      anon_sym_RBRACE,
    STATE(3651), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40378] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5998), 1,
      anon_sym_RBRACE,
    STATE(3652), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40392] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6000), 1,
      anon_sym_RBRACE,
    STATE(3653), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40406] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6002), 1,
      anon_sym_RBRACE,
    STATE(3654), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40420] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6004), 1,
      anon_sym_RBRACE,
    STATE(3655), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40434] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6006), 1,
      anon_sym_RPAREN,
    STATE(3656), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40448] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6008), 1,
      anon_sym_LBRACE,
    STATE(3657), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40462] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6010), 1,
      anon_sym_RPAREN,
    STATE(3658), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40476] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6012), 1,
      sym__ERROR,
    STATE(3659), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40490] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6014), 1,
      sym__ERROR,
    STATE(3660), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40504] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6016), 1,
      sym__gobbled_content,
    STATE(3661), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40518] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6018), 1,
      anon_sym_RBRACE,
    STATE(3662), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40532] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6020), 1,
      anon_sym_RBRACE,
    STATE(3663), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40546] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6022), 1,
      anon_sym_RPAREN,
    STATE(3664), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40560] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1767), 1,
      anon_sym_GT,
    STATE(3665), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40574] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6024), 1,
      sym__no_interp_whitespace_zw,
    STATE(3666), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40588] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4021), 1,
      anon_sym_RBRACE,
    STATE(3667), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40602] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6026), 1,
      anon_sym_RBRACE,
    STATE(3668), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40616] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6028), 1,
      anon_sym_RBRACE,
    STATE(3669), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40630] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6030), 1,
      anon_sym_LPAREN,
    STATE(3670), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40644] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5351), 1,
      anon_sym_RBRACE,
    STATE(3671), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40658] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6032), 1,
      anon_sym_RBRACE,
    STATE(3672), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40672] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6034), 1,
      anon_sym_RBRACE,
    STATE(3673), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40686] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6036), 1,
      anon_sym_RBRACE,
    STATE(3674), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40700] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4014), 1,
      anon_sym_RBRACE,
    STATE(3675), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40714] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4256), 1,
      sym__dollar_ident_zw,
    STATE(3676), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40728] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4176), 1,
      sym__dollar_ident_zw,
    STATE(3677), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40742] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6038), 1,
      anon_sym_RBRACE,
    STATE(3678), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40756] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6040), 1,
      anon_sym_LPAREN,
    STATE(3679), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40770] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(2294), 1,
      anon_sym_LPAREN,
    STATE(3680), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40784] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6042), 1,
      anon_sym_RBRACE,
    STATE(3681), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40798] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6044), 1,
      anon_sym_RBRACE,
    STATE(3682), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40812] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6046), 1,
      anon_sym_RBRACE,
    STATE(3683), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40826] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6048), 1,
      anon_sym_RBRACE,
    STATE(3684), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40840] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6050), 1,
      anon_sym_RPAREN,
    STATE(3685), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40854] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6052), 1,
      anon_sym_LPAREN,
    STATE(3686), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40868] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6054), 1,
      anon_sym_RBRACE,
    STATE(3687), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40882] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6056), 1,
      anon_sym_LPAREN,
    STATE(3688), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40896] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6058), 1,
      anon_sym_LPAREN,
    STATE(3689), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40910] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6060), 1,
      anon_sym_LPAREN,
    STATE(3690), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40924] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6062), 1,
      anon_sym_LPAREN,
    STATE(3691), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40938] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(2298), 1,
      anon_sym_LPAREN,
    STATE(3692), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40952] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6064), 1,
      anon_sym_LPAREN,
    STATE(3693), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40966] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6066), 1,
      anon_sym_LPAREN,
    STATE(3694), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40980] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1798), 1,
      sym__brace_end_zw,
    STATE(3695), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40994] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6068), 1,
      anon_sym_LPAREN,
    STATE(3696), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41008] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6070), 1,
      anon_sym_LPAREN,
    STATE(3697), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6072), 1,
      aux_sym__interpolated_transliteration_content_token1,
    STATE(3698), 1,
      sym_heredoc_content,
  [41038] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6074), 1,
      anon_sym_RPAREN,
    STATE(3699), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41052] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6076), 1,
      anon_sym_RBRACE,
    STATE(3700), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41066] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6078), 1,
      anon_sym_RPAREN,
    STATE(3701), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41080] = 1,
    ACTIONS(6080), 1,
      ts_builtin_sym_end,
  [41084] = 1,
    ACTIONS(6082), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2200)] = 0,
  [SMALL_STATE(2201)] = 69,
  [SMALL_STATE(2202)] = 138,
  [SMALL_STATE(2203)] = 207,
  [SMALL_STATE(2204)] = 276,
  [SMALL_STATE(2205)] = 345,
  [SMALL_STATE(2206)] = 414,
  [SMALL_STATE(2207)] = 483,
  [SMALL_STATE(2208)] = 552,
  [SMALL_STATE(2209)] = 621,
  [SMALL_STATE(2210)] = 690,
  [SMALL_STATE(2211)] = 756,
  [SMALL_STATE(2212)] = 822,
  [SMALL_STATE(2213)] = 888,
  [SMALL_STATE(2214)] = 954,
  [SMALL_STATE(2215)] = 1020,
  [SMALL_STATE(2216)] = 1086,
  [SMALL_STATE(2217)] = 1152,
  [SMALL_STATE(2218)] = 1218,
  [SMALL_STATE(2219)] = 1284,
  [SMALL_STATE(2220)] = 1350,
  [SMALL_STATE(2221)] = 1416,
  [SMALL_STATE(2222)] = 1482,
  [SMALL_STATE(2223)] = 1548,
  [SMALL_STATE(2224)] = 1614,
  [SMALL_STATE(2225)] = 1680,
  [SMALL_STATE(2226)] = 1746,
  [SMALL_STATE(2227)] = 1812,
  [SMALL_STATE(2228)] = 1878,
  [SMALL_STATE(2229)] = 1944,
  [SMALL_STATE(2230)] = 2010,
  [SMALL_STATE(2231)] = 2076,
  [SMALL_STATE(2232)] = 2142,
  [SMALL_STATE(2233)] = 2208,
  [SMALL_STATE(2234)] = 2274,
  [SMALL_STATE(2235)] = 2340,
  [SMALL_STATE(2236)] = 2406,
  [SMALL_STATE(2237)] = 2472,
  [SMALL_STATE(2238)] = 2538,
  [SMALL_STATE(2239)] = 2604,
  [SMALL_STATE(2240)] = 2670,
  [SMALL_STATE(2241)] = 2735,
  [SMALL_STATE(2242)] = 2800,
  [SMALL_STATE(2243)] = 2865,
  [SMALL_STATE(2244)] = 2930,
  [SMALL_STATE(2245)] = 2995,
  [SMALL_STATE(2246)] = 3060,
  [SMALL_STATE(2247)] = 3121,
  [SMALL_STATE(2248)] = 3186,
  [SMALL_STATE(2249)] = 3251,
  [SMALL_STATE(2250)] = 3316,
  [SMALL_STATE(2251)] = 3381,
  [SMALL_STATE(2252)] = 3446,
  [SMALL_STATE(2253)] = 3511,
  [SMALL_STATE(2254)] = 3576,
  [SMALL_STATE(2255)] = 3641,
  [SMALL_STATE(2256)] = 3706,
  [SMALL_STATE(2257)] = 3771,
  [SMALL_STATE(2258)] = 3836,
  [SMALL_STATE(2259)] = 3901,
  [SMALL_STATE(2260)] = 3966,
  [SMALL_STATE(2261)] = 4031,
  [SMALL_STATE(2262)] = 4096,
  [SMALL_STATE(2263)] = 4161,
  [SMALL_STATE(2264)] = 4226,
  [SMALL_STATE(2265)] = 4291,
  [SMALL_STATE(2266)] = 4356,
  [SMALL_STATE(2267)] = 4421,
  [SMALL_STATE(2268)] = 4486,
  [SMALL_STATE(2269)] = 4551,
  [SMALL_STATE(2270)] = 4616,
  [SMALL_STATE(2271)] = 4681,
  [SMALL_STATE(2272)] = 4746,
  [SMALL_STATE(2273)] = 4811,
  [SMALL_STATE(2274)] = 4876,
  [SMALL_STATE(2275)] = 4941,
  [SMALL_STATE(2276)] = 5006,
  [SMALL_STATE(2277)] = 5071,
  [SMALL_STATE(2278)] = 5136,
  [SMALL_STATE(2279)] = 5201,
  [SMALL_STATE(2280)] = 5266,
  [SMALL_STATE(2281)] = 5331,
  [SMALL_STATE(2282)] = 5396,
  [SMALL_STATE(2283)] = 5461,
  [SMALL_STATE(2284)] = 5526,
  [SMALL_STATE(2285)] = 5591,
  [SMALL_STATE(2286)] = 5656,
  [SMALL_STATE(2287)] = 5721,
  [SMALL_STATE(2288)] = 5786,
  [SMALL_STATE(2289)] = 5851,
  [SMALL_STATE(2290)] = 5916,
  [SMALL_STATE(2291)] = 5981,
  [SMALL_STATE(2292)] = 6046,
  [SMALL_STATE(2293)] = 6111,
  [SMALL_STATE(2294)] = 6176,
  [SMALL_STATE(2295)] = 6241,
  [SMALL_STATE(2296)] = 6306,
  [SMALL_STATE(2297)] = 6371,
  [SMALL_STATE(2298)] = 6436,
  [SMALL_STATE(2299)] = 6501,
  [SMALL_STATE(2300)] = 6566,
  [SMALL_STATE(2301)] = 6627,
  [SMALL_STATE(2302)] = 6692,
  [SMALL_STATE(2303)] = 6752,
  [SMALL_STATE(2304)] = 6811,
  [SMALL_STATE(2305)] = 6872,
  [SMALL_STATE(2306)] = 6933,
  [SMALL_STATE(2307)] = 6971,
  [SMALL_STATE(2308)] = 7007,
  [SMALL_STATE(2309)] = 7058,
  [SMALL_STATE(2310)] = 7107,
  [SMALL_STATE(2311)] = 7156,
  [SMALL_STATE(2312)] = 7207,
  [SMALL_STATE(2313)] = 7256,
  [SMALL_STATE(2314)] = 7307,
  [SMALL_STATE(2315)] = 7358,
  [SMALL_STATE(2316)] = 7409,
  [SMALL_STATE(2317)] = 7458,
  [SMALL_STATE(2318)] = 7507,
  [SMALL_STATE(2319)] = 7565,
  [SMALL_STATE(2320)] = 7623,
  [SMALL_STATE(2321)] = 7681,
  [SMALL_STATE(2322)] = 7727,
  [SMALL_STATE(2323)] = 7785,
  [SMALL_STATE(2324)] = 7816,
  [SMALL_STATE(2325)] = 7847,
  [SMALL_STATE(2326)] = 7878,
  [SMALL_STATE(2327)] = 7911,
  [SMALL_STATE(2328)] = 7942,
  [SMALL_STATE(2329)] = 7987,
  [SMALL_STATE(2330)] = 8016,
  [SMALL_STATE(2331)] = 8063,
  [SMALL_STATE(2332)] = 8100,
  [SMALL_STATE(2333)] = 8147,
  [SMALL_STATE(2334)] = 8176,
  [SMALL_STATE(2335)] = 8207,
  [SMALL_STATE(2336)] = 8238,
  [SMALL_STATE(2337)] = 8267,
  [SMALL_STATE(2338)] = 8304,
  [SMALL_STATE(2339)] = 8351,
  [SMALL_STATE(2340)] = 8380,
  [SMALL_STATE(2341)] = 8411,
  [SMALL_STATE(2342)] = 8442,
  [SMALL_STATE(2343)] = 8471,
  [SMALL_STATE(2344)] = 8500,
  [SMALL_STATE(2345)] = 8547,
  [SMALL_STATE(2346)] = 8593,
  [SMALL_STATE(2347)] = 8621,
  [SMALL_STATE(2348)] = 8667,
  [SMALL_STATE(2349)] = 8695,
  [SMALL_STATE(2350)] = 8741,
  [SMALL_STATE(2351)] = 8781,
  [SMALL_STATE(2352)] = 8829,
  [SMALL_STATE(2353)] = 8869,
  [SMALL_STATE(2354)] = 8897,
  [SMALL_STATE(2355)] = 8943,
  [SMALL_STATE(2356)] = 8989,
  [SMALL_STATE(2357)] = 9029,
  [SMALL_STATE(2358)] = 9075,
  [SMALL_STATE(2359)] = 9115,
  [SMALL_STATE(2360)] = 9163,
  [SMALL_STATE(2361)] = 9209,
  [SMALL_STATE(2362)] = 9237,
  [SMALL_STATE(2363)] = 9265,
  [SMALL_STATE(2364)] = 9293,
  [SMALL_STATE(2365)] = 9333,
  [SMALL_STATE(2366)] = 9377,
  [SMALL_STATE(2367)] = 9405,
  [SMALL_STATE(2368)] = 9445,
  [SMALL_STATE(2369)] = 9473,
  [SMALL_STATE(2370)] = 9501,
  [SMALL_STATE(2371)] = 9529,
  [SMALL_STATE(2372)] = 9575,
  [SMALL_STATE(2373)] = 9603,
  [SMALL_STATE(2374)] = 9631,
  [SMALL_STATE(2375)] = 9671,
  [SMALL_STATE(2376)] = 9699,
  [SMALL_STATE(2377)] = 9727,
  [SMALL_STATE(2378)] = 9767,
  [SMALL_STATE(2379)] = 9813,
  [SMALL_STATE(2380)] = 9853,
  [SMALL_STATE(2381)] = 9899,
  [SMALL_STATE(2382)] = 9945,
  [SMALL_STATE(2383)] = 9991,
  [SMALL_STATE(2384)] = 10037,
  [SMALL_STATE(2385)] = 10083,
  [SMALL_STATE(2386)] = 10129,
  [SMALL_STATE(2387)] = 10175,
  [SMALL_STATE(2388)] = 10221,
  [SMALL_STATE(2389)] = 10267,
  [SMALL_STATE(2390)] = 10313,
  [SMALL_STATE(2391)] = 10359,
  [SMALL_STATE(2392)] = 10389,
  [SMALL_STATE(2393)] = 10425,
  [SMALL_STATE(2394)] = 10453,
  [SMALL_STATE(2395)] = 10481,
  [SMALL_STATE(2396)] = 10511,
  [SMALL_STATE(2397)] = 10539,
  [SMALL_STATE(2398)] = 10579,
  [SMALL_STATE(2399)] = 10607,
  [SMALL_STATE(2400)] = 10635,
  [SMALL_STATE(2401)] = 10665,
  [SMALL_STATE(2402)] = 10695,
  [SMALL_STATE(2403)] = 10725,
  [SMALL_STATE(2404)] = 10755,
  [SMALL_STATE(2405)] = 10783,
  [SMALL_STATE(2406)] = 10829,
  [SMALL_STATE(2407)] = 10857,
  [SMALL_STATE(2408)] = 10903,
  [SMALL_STATE(2409)] = 10932,
  [SMALL_STATE(2410)] = 10959,
  [SMALL_STATE(2411)] = 10996,
  [SMALL_STATE(2412)] = 11033,
  [SMALL_STATE(2413)] = 11070,
  [SMALL_STATE(2414)] = 11107,
  [SMALL_STATE(2415)] = 11150,
  [SMALL_STATE(2416)] = 11193,
  [SMALL_STATE(2417)] = 11236,
  [SMALL_STATE(2418)] = 11279,
  [SMALL_STATE(2419)] = 11322,
  [SMALL_STATE(2420)] = 11365,
  [SMALL_STATE(2421)] = 11402,
  [SMALL_STATE(2422)] = 11445,
  [SMALL_STATE(2423)] = 11486,
  [SMALL_STATE(2424)] = 11529,
  [SMALL_STATE(2425)] = 11566,
  [SMALL_STATE(2426)] = 11609,
  [SMALL_STATE(2427)] = 11654,
  [SMALL_STATE(2428)] = 11681,
  [SMALL_STATE(2429)] = 11722,
  [SMALL_STATE(2430)] = 11763,
  [SMALL_STATE(2431)] = 11806,
  [SMALL_STATE(2432)] = 11833,
  [SMALL_STATE(2433)] = 11860,
  [SMALL_STATE(2434)] = 11887,
  [SMALL_STATE(2435)] = 11914,
  [SMALL_STATE(2436)] = 11951,
  [SMALL_STATE(2437)] = 11988,
  [SMALL_STATE(2438)] = 12025,
  [SMALL_STATE(2439)] = 12062,
  [SMALL_STATE(2440)] = 12105,
  [SMALL_STATE(2441)] = 12148,
  [SMALL_STATE(2442)] = 12191,
  [SMALL_STATE(2443)] = 12234,
  [SMALL_STATE(2444)] = 12277,
  [SMALL_STATE(2445)] = 12308,
  [SMALL_STATE(2446)] = 12335,
  [SMALL_STATE(2447)] = 12362,
  [SMALL_STATE(2448)] = 12389,
  [SMALL_STATE(2449)] = 12430,
  [SMALL_STATE(2450)] = 12473,
  [SMALL_STATE(2451)] = 12500,
  [SMALL_STATE(2452)] = 12545,
  [SMALL_STATE(2453)] = 12590,
  [SMALL_STATE(2454)] = 12631,
  [SMALL_STATE(2455)] = 12658,
  [SMALL_STATE(2456)] = 12685,
  [SMALL_STATE(2457)] = 12722,
  [SMALL_STATE(2458)] = 12759,
  [SMALL_STATE(2459)] = 12796,
  [SMALL_STATE(2460)] = 12833,
  [SMALL_STATE(2461)] = 12870,
  [SMALL_STATE(2462)] = 12913,
  [SMALL_STATE(2463)] = 12956,
  [SMALL_STATE(2464)] = 12999,
  [SMALL_STATE(2465)] = 13042,
  [SMALL_STATE(2466)] = 13085,
  [SMALL_STATE(2467)] = 13126,
  [SMALL_STATE(2468)] = 13163,
  [SMALL_STATE(2469)] = 13190,
  [SMALL_STATE(2470)] = 13233,
  [SMALL_STATE(2471)] = 13278,
  [SMALL_STATE(2472)] = 13305,
  [SMALL_STATE(2473)] = 13346,
  [SMALL_STATE(2474)] = 13373,
  [SMALL_STATE(2475)] = 13402,
  [SMALL_STATE(2476)] = 13431,
  [SMALL_STATE(2477)] = 13458,
  [SMALL_STATE(2478)] = 13501,
  [SMALL_STATE(2479)] = 13544,
  [SMALL_STATE(2480)] = 13587,
  [SMALL_STATE(2481)] = 13630,
  [SMALL_STATE(2482)] = 13673,
  [SMALL_STATE(2483)] = 13710,
  [SMALL_STATE(2484)] = 13753,
  [SMALL_STATE(2485)] = 13790,
  [SMALL_STATE(2486)] = 13833,
  [SMALL_STATE(2487)] = 13878,
  [SMALL_STATE(2488)] = 13919,
  [SMALL_STATE(2489)] = 13962,
  [SMALL_STATE(2490)] = 14003,
  [SMALL_STATE(2491)] = 14034,
  [SMALL_STATE(2492)] = 14065,
  [SMALL_STATE(2493)] = 14092,
  [SMALL_STATE(2494)] = 14119,
  [SMALL_STATE(2495)] = 14146,
  [SMALL_STATE(2496)] = 14173,
  [SMALL_STATE(2497)] = 14200,
  [SMALL_STATE(2498)] = 14243,
  [SMALL_STATE(2499)] = 14288,
  [SMALL_STATE(2500)] = 14325,
  [SMALL_STATE(2501)] = 14352,
  [SMALL_STATE(2502)] = 14379,
  [SMALL_STATE(2503)] = 14422,
  [SMALL_STATE(2504)] = 14449,
  [SMALL_STATE(2505)] = 14476,
  [SMALL_STATE(2506)] = 14503,
  [SMALL_STATE(2507)] = 14530,
  [SMALL_STATE(2508)] = 14569,
  [SMALL_STATE(2509)] = 14596,
  [SMALL_STATE(2510)] = 14623,
  [SMALL_STATE(2511)] = 14652,
  [SMALL_STATE(2512)] = 14681,
  [SMALL_STATE(2513)] = 14712,
  [SMALL_STATE(2514)] = 14755,
  [SMALL_STATE(2515)] = 14798,
  [SMALL_STATE(2516)] = 14841,
  [SMALL_STATE(2517)] = 14886,
  [SMALL_STATE(2518)] = 14929,
  [SMALL_STATE(2519)] = 14966,
  [SMALL_STATE(2520)] = 14993,
  [SMALL_STATE(2521)] = 15028,
  [SMALL_STATE(2522)] = 15055,
  [SMALL_STATE(2523)] = 15096,
  [SMALL_STATE(2524)] = 15122,
  [SMALL_STATE(2525)] = 15164,
  [SMALL_STATE(2526)] = 15190,
  [SMALL_STATE(2527)] = 15222,
  [SMALL_STATE(2528)] = 15262,
  [SMALL_STATE(2529)] = 15304,
  [SMALL_STATE(2530)] = 15346,
  [SMALL_STATE(2531)] = 15388,
  [SMALL_STATE(2532)] = 15430,
  [SMALL_STATE(2533)] = 15460,
  [SMALL_STATE(2534)] = 15490,
  [SMALL_STATE(2535)] = 15518,
  [SMALL_STATE(2536)] = 15546,
  [SMALL_STATE(2537)] = 15588,
  [SMALL_STATE(2538)] = 15614,
  [SMALL_STATE(2539)] = 15640,
  [SMALL_STATE(2540)] = 15682,
  [SMALL_STATE(2541)] = 15724,
  [SMALL_STATE(2542)] = 15766,
  [SMALL_STATE(2543)] = 15792,
  [SMALL_STATE(2544)] = 15834,
  [SMALL_STATE(2545)] = 15876,
  [SMALL_STATE(2546)] = 15916,
  [SMALL_STATE(2547)] = 15942,
  [SMALL_STATE(2548)] = 15968,
  [SMALL_STATE(2549)] = 15994,
  [SMALL_STATE(2550)] = 16020,
  [SMALL_STATE(2551)] = 16062,
  [SMALL_STATE(2552)] = 16104,
  [SMALL_STATE(2553)] = 16130,
  [SMALL_STATE(2554)] = 16160,
  [SMALL_STATE(2555)] = 16202,
  [SMALL_STATE(2556)] = 16244,
  [SMALL_STATE(2557)] = 16286,
  [SMALL_STATE(2558)] = 16312,
  [SMALL_STATE(2559)] = 16350,
  [SMALL_STATE(2560)] = 16392,
  [SMALL_STATE(2561)] = 16434,
  [SMALL_STATE(2562)] = 16476,
  [SMALL_STATE(2563)] = 16518,
  [SMALL_STATE(2564)] = 16560,
  [SMALL_STATE(2565)] = 16600,
  [SMALL_STATE(2566)] = 16626,
  [SMALL_STATE(2567)] = 16664,
  [SMALL_STATE(2568)] = 16706,
  [SMALL_STATE(2569)] = 16744,
  [SMALL_STATE(2570)] = 16786,
  [SMALL_STATE(2571)] = 16828,
  [SMALL_STATE(2572)] = 16866,
  [SMALL_STATE(2573)] = 16892,
  [SMALL_STATE(2574)] = 16934,
  [SMALL_STATE(2575)] = 16976,
  [SMALL_STATE(2576)] = 17002,
  [SMALL_STATE(2577)] = 17028,
  [SMALL_STATE(2578)] = 17070,
  [SMALL_STATE(2579)] = 17096,
  [SMALL_STATE(2580)] = 17134,
  [SMALL_STATE(2581)] = 17172,
  [SMALL_STATE(2582)] = 17210,
  [SMALL_STATE(2583)] = 17236,
  [SMALL_STATE(2584)] = 17278,
  [SMALL_STATE(2585)] = 17320,
  [SMALL_STATE(2586)] = 17362,
  [SMALL_STATE(2587)] = 17404,
  [SMALL_STATE(2588)] = 17430,
  [SMALL_STATE(2589)] = 17470,
  [SMALL_STATE(2590)] = 17502,
  [SMALL_STATE(2591)] = 17544,
  [SMALL_STATE(2592)] = 17586,
  [SMALL_STATE(2593)] = 17628,
  [SMALL_STATE(2594)] = 17670,
  [SMALL_STATE(2595)] = 17710,
  [SMALL_STATE(2596)] = 17748,
  [SMALL_STATE(2597)] = 17790,
  [SMALL_STATE(2598)] = 17819,
  [SMALL_STATE(2599)] = 17842,
  [SMALL_STATE(2600)] = 17867,
  [SMALL_STATE(2601)] = 17892,
  [SMALL_STATE(2602)] = 17921,
  [SMALL_STATE(2603)] = 17944,
  [SMALL_STATE(2604)] = 17967,
  [SMALL_STATE(2605)] = 17990,
  [SMALL_STATE(2606)] = 18013,
  [SMALL_STATE(2607)] = 18036,
  [SMALL_STATE(2608)] = 18061,
  [SMALL_STATE(2609)] = 18084,
  [SMALL_STATE(2610)] = 18107,
  [SMALL_STATE(2611)] = 18130,
  [SMALL_STATE(2612)] = 18153,
  [SMALL_STATE(2613)] = 18188,
  [SMALL_STATE(2614)] = 18213,
  [SMALL_STATE(2615)] = 18248,
  [SMALL_STATE(2616)] = 18273,
  [SMALL_STATE(2617)] = 18300,
  [SMALL_STATE(2618)] = 18339,
  [SMALL_STATE(2619)] = 18364,
  [SMALL_STATE(2620)] = 18387,
  [SMALL_STATE(2621)] = 18410,
  [SMALL_STATE(2622)] = 18433,
  [SMALL_STATE(2623)] = 18456,
  [SMALL_STATE(2624)] = 18479,
  [SMALL_STATE(2625)] = 18502,
  [SMALL_STATE(2626)] = 18525,
  [SMALL_STATE(2627)] = 18548,
  [SMALL_STATE(2628)] = 18571,
  [SMALL_STATE(2629)] = 18594,
  [SMALL_STATE(2630)] = 18619,
  [SMALL_STATE(2631)] = 18642,
  [SMALL_STATE(2632)] = 18665,
  [SMALL_STATE(2633)] = 18688,
  [SMALL_STATE(2634)] = 18713,
  [SMALL_STATE(2635)] = 18752,
  [SMALL_STATE(2636)] = 18791,
  [SMALL_STATE(2637)] = 18814,
  [SMALL_STATE(2638)] = 18837,
  [SMALL_STATE(2639)] = 18860,
  [SMALL_STATE(2640)] = 18899,
  [SMALL_STATE(2641)] = 18922,
  [SMALL_STATE(2642)] = 18945,
  [SMALL_STATE(2643)] = 18980,
  [SMALL_STATE(2644)] = 19005,
  [SMALL_STATE(2645)] = 19040,
  [SMALL_STATE(2646)] = 19079,
  [SMALL_STATE(2647)] = 19102,
  [SMALL_STATE(2648)] = 19127,
  [SMALL_STATE(2649)] = 19150,
  [SMALL_STATE(2650)] = 19189,
  [SMALL_STATE(2651)] = 19212,
  [SMALL_STATE(2652)] = 19251,
  [SMALL_STATE(2653)] = 19274,
  [SMALL_STATE(2654)] = 19297,
  [SMALL_STATE(2655)] = 19320,
  [SMALL_STATE(2656)] = 19359,
  [SMALL_STATE(2657)] = 19398,
  [SMALL_STATE(2658)] = 19421,
  [SMALL_STATE(2659)] = 19460,
  [SMALL_STATE(2660)] = 19494,
  [SMALL_STATE(2661)] = 19524,
  [SMALL_STATE(2662)] = 19546,
  [SMALL_STATE(2663)] = 19568,
  [SMALL_STATE(2664)] = 19590,
  [SMALL_STATE(2665)] = 19612,
  [SMALL_STATE(2666)] = 19646,
  [SMALL_STATE(2667)] = 19668,
  [SMALL_STATE(2668)] = 19690,
  [SMALL_STATE(2669)] = 19712,
  [SMALL_STATE(2670)] = 19744,
  [SMALL_STATE(2671)] = 19766,
  [SMALL_STATE(2672)] = 19800,
  [SMALL_STATE(2673)] = 19822,
  [SMALL_STATE(2674)] = 19844,
  [SMALL_STATE(2675)] = 19866,
  [SMALL_STATE(2676)] = 19898,
  [SMALL_STATE(2677)] = 19920,
  [SMALL_STATE(2678)] = 19942,
  [SMALL_STATE(2679)] = 19964,
  [SMALL_STATE(2680)] = 19988,
  [SMALL_STATE(2681)] = 20012,
  [SMALL_STATE(2682)] = 20044,
  [SMALL_STATE(2683)] = 20066,
  [SMALL_STATE(2684)] = 20092,
  [SMALL_STATE(2685)] = 20114,
  [SMALL_STATE(2686)] = 20146,
  [SMALL_STATE(2687)] = 20168,
  [SMALL_STATE(2688)] = 20190,
  [SMALL_STATE(2689)] = 20212,
  [SMALL_STATE(2690)] = 20234,
  [SMALL_STATE(2691)] = 20268,
  [SMALL_STATE(2692)] = 20302,
  [SMALL_STATE(2693)] = 20324,
  [SMALL_STATE(2694)] = 20346,
  [SMALL_STATE(2695)] = 20368,
  [SMALL_STATE(2696)] = 20402,
  [SMALL_STATE(2697)] = 20424,
  [SMALL_STATE(2698)] = 20454,
  [SMALL_STATE(2699)] = 20478,
  [SMALL_STATE(2700)] = 20500,
  [SMALL_STATE(2701)] = 20526,
  [SMALL_STATE(2702)] = 20558,
  [SMALL_STATE(2703)] = 20584,
  [SMALL_STATE(2704)] = 20618,
  [SMALL_STATE(2705)] = 20650,
  [SMALL_STATE(2706)] = 20672,
  [SMALL_STATE(2707)] = 20694,
  [SMALL_STATE(2708)] = 20715,
  [SMALL_STATE(2709)] = 20736,
  [SMALL_STATE(2710)] = 20767,
  [SMALL_STATE(2711)] = 20792,
  [SMALL_STATE(2712)] = 20813,
  [SMALL_STATE(2713)] = 20834,
  [SMALL_STATE(2714)] = 20855,
  [SMALL_STATE(2715)] = 20880,
  [SMALL_STATE(2716)] = 20907,
  [SMALL_STATE(2717)] = 20928,
  [SMALL_STATE(2718)] = 20949,
  [SMALL_STATE(2719)] = 20970,
  [SMALL_STATE(2720)] = 20991,
  [SMALL_STATE(2721)] = 21012,
  [SMALL_STATE(2722)] = 21033,
  [SMALL_STATE(2723)] = 21054,
  [SMALL_STATE(2724)] = 21081,
  [SMALL_STATE(2725)] = 21102,
  [SMALL_STATE(2726)] = 21133,
  [SMALL_STATE(2727)] = 21154,
  [SMALL_STATE(2728)] = 21183,
  [SMALL_STATE(2729)] = 21204,
  [SMALL_STATE(2730)] = 21228,
  [SMALL_STATE(2731)] = 21256,
  [SMALL_STATE(2732)] = 21276,
  [SMALL_STATE(2733)] = 21304,
  [SMALL_STATE(2734)] = 21336,
  [SMALL_STATE(2735)] = 21368,
  [SMALL_STATE(2736)] = 21396,
  [SMALL_STATE(2737)] = 21428,
  [SMALL_STATE(2738)] = 21460,
  [SMALL_STATE(2739)] = 21492,
  [SMALL_STATE(2740)] = 21524,
  [SMALL_STATE(2741)] = 21556,
  [SMALL_STATE(2742)] = 21588,
  [SMALL_STATE(2743)] = 21616,
  [SMALL_STATE(2744)] = 21644,
  [SMALL_STATE(2745)] = 21676,
  [SMALL_STATE(2746)] = 21708,
  [SMALL_STATE(2747)] = 21736,
  [SMALL_STATE(2748)] = 21768,
  [SMALL_STATE(2749)] = 21800,
  [SMALL_STATE(2750)] = 21832,
  [SMALL_STATE(2751)] = 21864,
  [SMALL_STATE(2752)] = 21892,
  [SMALL_STATE(2753)] = 21912,
  [SMALL_STATE(2754)] = 21944,
  [SMALL_STATE(2755)] = 21976,
  [SMALL_STATE(2756)] = 22004,
  [SMALL_STATE(2757)] = 22026,
  [SMALL_STATE(2758)] = 22058,
  [SMALL_STATE(2759)] = 22090,
  [SMALL_STATE(2760)] = 22118,
  [SMALL_STATE(2761)] = 22150,
  [SMALL_STATE(2762)] = 22182,
  [SMALL_STATE(2763)] = 22214,
  [SMALL_STATE(2764)] = 22234,
  [SMALL_STATE(2765)] = 22262,
  [SMALL_STATE(2766)] = 22292,
  [SMALL_STATE(2767)] = 22324,
  [SMALL_STATE(2768)] = 22356,
  [SMALL_STATE(2769)] = 22388,
  [SMALL_STATE(2770)] = 22420,
  [SMALL_STATE(2771)] = 22440,
  [SMALL_STATE(2772)] = 22468,
  [SMALL_STATE(2773)] = 22496,
  [SMALL_STATE(2774)] = 22524,
  [SMALL_STATE(2775)] = 22552,
  [SMALL_STATE(2776)] = 22580,
  [SMALL_STATE(2777)] = 22608,
  [SMALL_STATE(2778)] = 22636,
  [SMALL_STATE(2779)] = 22664,
  [SMALL_STATE(2780)] = 22696,
  [SMALL_STATE(2781)] = 22718,
  [SMALL_STATE(2782)] = 22746,
  [SMALL_STATE(2783)] = 22778,
  [SMALL_STATE(2784)] = 22802,
  [SMALL_STATE(2785)] = 22830,
  [SMALL_STATE(2786)] = 22858,
  [SMALL_STATE(2787)] = 22886,
  [SMALL_STATE(2788)] = 22914,
  [SMALL_STATE(2789)] = 22936,
  [SMALL_STATE(2790)] = 22968,
  [SMALL_STATE(2791)] = 23000,
  [SMALL_STATE(2792)] = 23032,
  [SMALL_STATE(2793)] = 23064,
  [SMALL_STATE(2794)] = 23096,
  [SMALL_STATE(2795)] = 23128,
  [SMALL_STATE(2796)] = 23156,
  [SMALL_STATE(2797)] = 23188,
  [SMALL_STATE(2798)] = 23220,
  [SMALL_STATE(2799)] = 23250,
  [SMALL_STATE(2800)] = 23282,
  [SMALL_STATE(2801)] = 23307,
  [SMALL_STATE(2802)] = 23334,
  [SMALL_STATE(2803)] = 23359,
  [SMALL_STATE(2804)] = 23384,
  [SMALL_STATE(2805)] = 23413,
  [SMALL_STATE(2806)] = 23442,
  [SMALL_STATE(2807)] = 23467,
  [SMALL_STATE(2808)] = 23492,
  [SMALL_STATE(2809)] = 23521,
  [SMALL_STATE(2810)] = 23542,
  [SMALL_STATE(2811)] = 23571,
  [SMALL_STATE(2812)] = 23596,
  [SMALL_STATE(2813)] = 23621,
  [SMALL_STATE(2814)] = 23646,
  [SMALL_STATE(2815)] = 23671,
  [SMALL_STATE(2816)] = 23692,
  [SMALL_STATE(2817)] = 23721,
  [SMALL_STATE(2818)] = 23750,
  [SMALL_STATE(2819)] = 23775,
  [SMALL_STATE(2820)] = 23800,
  [SMALL_STATE(2821)] = 23825,
  [SMALL_STATE(2822)] = 23854,
  [SMALL_STATE(2823)] = 23879,
  [SMALL_STATE(2824)] = 23904,
  [SMALL_STATE(2825)] = 23929,
  [SMALL_STATE(2826)] = 23958,
  [SMALL_STATE(2827)] = 23977,
  [SMALL_STATE(2828)] = 23996,
  [SMALL_STATE(2829)] = 24021,
  [SMALL_STATE(2830)] = 24050,
  [SMALL_STATE(2831)] = 24079,
  [SMALL_STATE(2832)] = 24108,
  [SMALL_STATE(2833)] = 24133,
  [SMALL_STATE(2834)] = 24158,
  [SMALL_STATE(2835)] = 24183,
  [SMALL_STATE(2836)] = 24208,
  [SMALL_STATE(2837)] = 24237,
  [SMALL_STATE(2838)] = 24262,
  [SMALL_STATE(2839)] = 24287,
  [SMALL_STATE(2840)] = 24316,
  [SMALL_STATE(2841)] = 24345,
  [SMALL_STATE(2842)] = 24374,
  [SMALL_STATE(2843)] = 24403,
  [SMALL_STATE(2844)] = 24428,
  [SMALL_STATE(2845)] = 24457,
  [SMALL_STATE(2846)] = 24486,
  [SMALL_STATE(2847)] = 24507,
  [SMALL_STATE(2848)] = 24532,
  [SMALL_STATE(2849)] = 24557,
  [SMALL_STATE(2850)] = 24580,
  [SMALL_STATE(2851)] = 24605,
  [SMALL_STATE(2852)] = 24630,
  [SMALL_STATE(2853)] = 24655,
  [SMALL_STATE(2854)] = 24680,
  [SMALL_STATE(2855)] = 24705,
  [SMALL_STATE(2856)] = 24730,
  [SMALL_STATE(2857)] = 24755,
  [SMALL_STATE(2858)] = 24780,
  [SMALL_STATE(2859)] = 24807,
  [SMALL_STATE(2860)] = 24832,
  [SMALL_STATE(2861)] = 24857,
  [SMALL_STATE(2862)] = 24882,
  [SMALL_STATE(2863)] = 24907,
  [SMALL_STATE(2864)] = 24926,
  [SMALL_STATE(2865)] = 24945,
  [SMALL_STATE(2866)] = 24970,
  [SMALL_STATE(2867)] = 24999,
  [SMALL_STATE(2868)] = 25024,
  [SMALL_STATE(2869)] = 25045,
  [SMALL_STATE(2870)] = 25074,
  [SMALL_STATE(2871)] = 25099,
  [SMALL_STATE(2872)] = 25124,
  [SMALL_STATE(2873)] = 25149,
  [SMALL_STATE(2874)] = 25178,
  [SMALL_STATE(2875)] = 25203,
  [SMALL_STATE(2876)] = 25228,
  [SMALL_STATE(2877)] = 25257,
  [SMALL_STATE(2878)] = 25286,
  [SMALL_STATE(2879)] = 25315,
  [SMALL_STATE(2880)] = 25340,
  [SMALL_STATE(2881)] = 25359,
  [SMALL_STATE(2882)] = 25384,
  [SMALL_STATE(2883)] = 25403,
  [SMALL_STATE(2884)] = 25428,
  [SMALL_STATE(2885)] = 25453,
  [SMALL_STATE(2886)] = 25478,
  [SMALL_STATE(2887)] = 25503,
  [SMALL_STATE(2888)] = 25528,
  [SMALL_STATE(2889)] = 25553,
  [SMALL_STATE(2890)] = 25572,
  [SMALL_STATE(2891)] = 25597,
  [SMALL_STATE(2892)] = 25622,
  [SMALL_STATE(2893)] = 25643,
  [SMALL_STATE(2894)] = 25670,
  [SMALL_STATE(2895)] = 25695,
  [SMALL_STATE(2896)] = 25720,
  [SMALL_STATE(2897)] = 25745,
  [SMALL_STATE(2898)] = 25764,
  [SMALL_STATE(2899)] = 25789,
  [SMALL_STATE(2900)] = 25814,
  [SMALL_STATE(2901)] = 25839,
  [SMALL_STATE(2902)] = 25868,
  [SMALL_STATE(2903)] = 25893,
  [SMALL_STATE(2904)] = 25922,
  [SMALL_STATE(2905)] = 25947,
  [SMALL_STATE(2906)] = 25972,
  [SMALL_STATE(2907)] = 25997,
  [SMALL_STATE(2908)] = 26022,
  [SMALL_STATE(2909)] = 26047,
  [SMALL_STATE(2910)] = 26066,
  [SMALL_STATE(2911)] = 26091,
  [SMALL_STATE(2912)] = 26112,
  [SMALL_STATE(2913)] = 26131,
  [SMALL_STATE(2914)] = 26160,
  [SMALL_STATE(2915)] = 26185,
  [SMALL_STATE(2916)] = 26214,
  [SMALL_STATE(2917)] = 26239,
  [SMALL_STATE(2918)] = 26264,
  [SMALL_STATE(2919)] = 26289,
  [SMALL_STATE(2920)] = 26314,
  [SMALL_STATE(2921)] = 26339,
  [SMALL_STATE(2922)] = 26364,
  [SMALL_STATE(2923)] = 26389,
  [SMALL_STATE(2924)] = 26418,
  [SMALL_STATE(2925)] = 26443,
  [SMALL_STATE(2926)] = 26468,
  [SMALL_STATE(2927)] = 26497,
  [SMALL_STATE(2928)] = 26526,
  [SMALL_STATE(2929)] = 26551,
  [SMALL_STATE(2930)] = 26576,
  [SMALL_STATE(2931)] = 26601,
  [SMALL_STATE(2932)] = 26626,
  [SMALL_STATE(2933)] = 26655,
  [SMALL_STATE(2934)] = 26680,
  [SMALL_STATE(2935)] = 26705,
  [SMALL_STATE(2936)] = 26730,
  [SMALL_STATE(2937)] = 26749,
  [SMALL_STATE(2938)] = 26774,
  [SMALL_STATE(2939)] = 26799,
  [SMALL_STATE(2940)] = 26820,
  [SMALL_STATE(2941)] = 26845,
  [SMALL_STATE(2942)] = 26870,
  [SMALL_STATE(2943)] = 26895,
  [SMALL_STATE(2944)] = 26924,
  [SMALL_STATE(2945)] = 26949,
  [SMALL_STATE(2946)] = 26978,
  [SMALL_STATE(2947)] = 27005,
  [SMALL_STATE(2948)] = 27030,
  [SMALL_STATE(2949)] = 27055,
  [SMALL_STATE(2950)] = 27080,
  [SMALL_STATE(2951)] = 27109,
  [SMALL_STATE(2952)] = 27134,
  [SMALL_STATE(2953)] = 27161,
  [SMALL_STATE(2954)] = 27186,
  [SMALL_STATE(2955)] = 27215,
  [SMALL_STATE(2956)] = 27240,
  [SMALL_STATE(2957)] = 27265,
  [SMALL_STATE(2958)] = 27290,
  [SMALL_STATE(2959)] = 27315,
  [SMALL_STATE(2960)] = 27340,
  [SMALL_STATE(2961)] = 27365,
  [SMALL_STATE(2962)] = 27390,
  [SMALL_STATE(2963)] = 27415,
  [SMALL_STATE(2964)] = 27440,
  [SMALL_STATE(2965)] = 27469,
  [SMALL_STATE(2966)] = 27490,
  [SMALL_STATE(2967)] = 27515,
  [SMALL_STATE(2968)] = 27544,
  [SMALL_STATE(2969)] = 27569,
  [SMALL_STATE(2970)] = 27594,
  [SMALL_STATE(2971)] = 27619,
  [SMALL_STATE(2972)] = 27644,
  [SMALL_STATE(2973)] = 27669,
  [SMALL_STATE(2974)] = 27694,
  [SMALL_STATE(2975)] = 27719,
  [SMALL_STATE(2976)] = 27737,
  [SMALL_STATE(2977)] = 27757,
  [SMALL_STATE(2978)] = 27785,
  [SMALL_STATE(2979)] = 27813,
  [SMALL_STATE(2980)] = 27841,
  [SMALL_STATE(2981)] = 27869,
  [SMALL_STATE(2982)] = 27897,
  [SMALL_STATE(2983)] = 27925,
  [SMALL_STATE(2984)] = 27953,
  [SMALL_STATE(2985)] = 27977,
  [SMALL_STATE(2986)] = 28005,
  [SMALL_STATE(2987)] = 28033,
  [SMALL_STATE(2988)] = 28061,
  [SMALL_STATE(2989)] = 28085,
  [SMALL_STATE(2990)] = 28113,
  [SMALL_STATE(2991)] = 28133,
  [SMALL_STATE(2992)] = 28157,
  [SMALL_STATE(2993)] = 28185,
  [SMALL_STATE(2994)] = 28211,
  [SMALL_STATE(2995)] = 28231,
  [SMALL_STATE(2996)] = 28259,
  [SMALL_STATE(2997)] = 28279,
  [SMALL_STATE(2998)] = 28305,
  [SMALL_STATE(2999)] = 28329,
  [SMALL_STATE(3000)] = 28353,
  [SMALL_STATE(3001)] = 28373,
  [SMALL_STATE(3002)] = 28393,
  [SMALL_STATE(3003)] = 28417,
  [SMALL_STATE(3004)] = 28441,
  [SMALL_STATE(3005)] = 28465,
  [SMALL_STATE(3006)] = 28489,
  [SMALL_STATE(3007)] = 28517,
  [SMALL_STATE(3008)] = 28545,
  [SMALL_STATE(3009)] = 28567,
  [SMALL_STATE(3010)] = 28595,
  [SMALL_STATE(3011)] = 28623,
  [SMALL_STATE(3012)] = 28643,
  [SMALL_STATE(3013)] = 28665,
  [SMALL_STATE(3014)] = 28689,
  [SMALL_STATE(3015)] = 28715,
  [SMALL_STATE(3016)] = 28739,
  [SMALL_STATE(3017)] = 28763,
  [SMALL_STATE(3018)] = 28783,
  [SMALL_STATE(3019)] = 28809,
  [SMALL_STATE(3020)] = 28837,
  [SMALL_STATE(3021)] = 28858,
  [SMALL_STATE(3022)] = 28879,
  [SMALL_STATE(3023)] = 28900,
  [SMALL_STATE(3024)] = 28921,
  [SMALL_STATE(3025)] = 28942,
  [SMALL_STATE(3026)] = 28959,
  [SMALL_STATE(3027)] = 28980,
  [SMALL_STATE(3028)] = 29001,
  [SMALL_STATE(3029)] = 29022,
  [SMALL_STATE(3030)] = 29039,
  [SMALL_STATE(3031)] = 29060,
  [SMALL_STATE(3032)] = 29081,
  [SMALL_STATE(3033)] = 29102,
  [SMALL_STATE(3034)] = 29125,
  [SMALL_STATE(3035)] = 29146,
  [SMALL_STATE(3036)] = 29169,
  [SMALL_STATE(3037)] = 29186,
  [SMALL_STATE(3038)] = 29207,
  [SMALL_STATE(3039)] = 29228,
  [SMALL_STATE(3040)] = 29249,
  [SMALL_STATE(3041)] = 29270,
  [SMALL_STATE(3042)] = 29293,
  [SMALL_STATE(3043)] = 29316,
  [SMALL_STATE(3044)] = 29337,
  [SMALL_STATE(3045)] = 29358,
  [SMALL_STATE(3046)] = 29379,
  [SMALL_STATE(3047)] = 29402,
  [SMALL_STATE(3048)] = 29425,
  [SMALL_STATE(3049)] = 29448,
  [SMALL_STATE(3050)] = 29469,
  [SMALL_STATE(3051)] = 29490,
  [SMALL_STATE(3052)] = 29513,
  [SMALL_STATE(3053)] = 29534,
  [SMALL_STATE(3054)] = 29557,
  [SMALL_STATE(3055)] = 29578,
  [SMALL_STATE(3056)] = 29601,
  [SMALL_STATE(3057)] = 29622,
  [SMALL_STATE(3058)] = 29645,
  [SMALL_STATE(3059)] = 29668,
  [SMALL_STATE(3060)] = 29691,
  [SMALL_STATE(3061)] = 29714,
  [SMALL_STATE(3062)] = 29737,
  [SMALL_STATE(3063)] = 29760,
  [SMALL_STATE(3064)] = 29781,
  [SMALL_STATE(3065)] = 29802,
  [SMALL_STATE(3066)] = 29825,
  [SMALL_STATE(3067)] = 29842,
  [SMALL_STATE(3068)] = 29863,
  [SMALL_STATE(3069)] = 29884,
  [SMALL_STATE(3070)] = 29907,
  [SMALL_STATE(3071)] = 29928,
  [SMALL_STATE(3072)] = 29951,
  [SMALL_STATE(3073)] = 29974,
  [SMALL_STATE(3074)] = 29995,
  [SMALL_STATE(3075)] = 30018,
  [SMALL_STATE(3076)] = 30039,
  [SMALL_STATE(3077)] = 30062,
  [SMALL_STATE(3078)] = 30079,
  [SMALL_STATE(3079)] = 30102,
  [SMALL_STATE(3080)] = 30123,
  [SMALL_STATE(3081)] = 30144,
  [SMALL_STATE(3082)] = 30165,
  [SMALL_STATE(3083)] = 30186,
  [SMALL_STATE(3084)] = 30207,
  [SMALL_STATE(3085)] = 30228,
  [SMALL_STATE(3086)] = 30249,
  [SMALL_STATE(3087)] = 30270,
  [SMALL_STATE(3088)] = 30291,
  [SMALL_STATE(3089)] = 30312,
  [SMALL_STATE(3090)] = 30335,
  [SMALL_STATE(3091)] = 30356,
  [SMALL_STATE(3092)] = 30377,
  [SMALL_STATE(3093)] = 30398,
  [SMALL_STATE(3094)] = 30419,
  [SMALL_STATE(3095)] = 30440,
  [SMALL_STATE(3096)] = 30461,
  [SMALL_STATE(3097)] = 30482,
  [SMALL_STATE(3098)] = 30505,
  [SMALL_STATE(3099)] = 30528,
  [SMALL_STATE(3100)] = 30551,
  [SMALL_STATE(3101)] = 30574,
  [SMALL_STATE(3102)] = 30595,
  [SMALL_STATE(3103)] = 30616,
  [SMALL_STATE(3104)] = 30639,
  [SMALL_STATE(3105)] = 30660,
  [SMALL_STATE(3106)] = 30681,
  [SMALL_STATE(3107)] = 30702,
  [SMALL_STATE(3108)] = 30723,
  [SMALL_STATE(3109)] = 30740,
  [SMALL_STATE(3110)] = 30763,
  [SMALL_STATE(3111)] = 30784,
  [SMALL_STATE(3112)] = 30805,
  [SMALL_STATE(3113)] = 30826,
  [SMALL_STATE(3114)] = 30843,
  [SMALL_STATE(3115)] = 30864,
  [SMALL_STATE(3116)] = 30885,
  [SMALL_STATE(3117)] = 30906,
  [SMALL_STATE(3118)] = 30929,
  [SMALL_STATE(3119)] = 30946,
  [SMALL_STATE(3120)] = 30967,
  [SMALL_STATE(3121)] = 30988,
  [SMALL_STATE(3122)] = 31009,
  [SMALL_STATE(3123)] = 31030,
  [SMALL_STATE(3124)] = 31051,
  [SMALL_STATE(3125)] = 31072,
  [SMALL_STATE(3126)] = 31093,
  [SMALL_STATE(3127)] = 31110,
  [SMALL_STATE(3128)] = 31131,
  [SMALL_STATE(3129)] = 31152,
  [SMALL_STATE(3130)] = 31173,
  [SMALL_STATE(3131)] = 31194,
  [SMALL_STATE(3132)] = 31215,
  [SMALL_STATE(3133)] = 31236,
  [SMALL_STATE(3134)] = 31257,
  [SMALL_STATE(3135)] = 31278,
  [SMALL_STATE(3136)] = 31301,
  [SMALL_STATE(3137)] = 31324,
  [SMALL_STATE(3138)] = 31347,
  [SMALL_STATE(3139)] = 31370,
  [SMALL_STATE(3140)] = 31391,
  [SMALL_STATE(3141)] = 31412,
  [SMALL_STATE(3142)] = 31433,
  [SMALL_STATE(3143)] = 31454,
  [SMALL_STATE(3144)] = 31475,
  [SMALL_STATE(3145)] = 31496,
  [SMALL_STATE(3146)] = 31513,
  [SMALL_STATE(3147)] = 31534,
  [SMALL_STATE(3148)] = 31555,
  [SMALL_STATE(3149)] = 31576,
  [SMALL_STATE(3150)] = 31597,
  [SMALL_STATE(3151)] = 31618,
  [SMALL_STATE(3152)] = 31639,
  [SMALL_STATE(3153)] = 31660,
  [SMALL_STATE(3154)] = 31681,
  [SMALL_STATE(3155)] = 31702,
  [SMALL_STATE(3156)] = 31723,
  [SMALL_STATE(3157)] = 31744,
  [SMALL_STATE(3158)] = 31761,
  [SMALL_STATE(3159)] = 31778,
  [SMALL_STATE(3160)] = 31799,
  [SMALL_STATE(3161)] = 31820,
  [SMALL_STATE(3162)] = 31841,
  [SMALL_STATE(3163)] = 31862,
  [SMALL_STATE(3164)] = 31883,
  [SMALL_STATE(3165)] = 31904,
  [SMALL_STATE(3166)] = 31925,
  [SMALL_STATE(3167)] = 31946,
  [SMALL_STATE(3168)] = 31967,
  [SMALL_STATE(3169)] = 31988,
  [SMALL_STATE(3170)] = 32009,
  [SMALL_STATE(3171)] = 32030,
  [SMALL_STATE(3172)] = 32051,
  [SMALL_STATE(3173)] = 32072,
  [SMALL_STATE(3174)] = 32093,
  [SMALL_STATE(3175)] = 32110,
  [SMALL_STATE(3176)] = 32131,
  [SMALL_STATE(3177)] = 32152,
  [SMALL_STATE(3178)] = 32173,
  [SMALL_STATE(3179)] = 32194,
  [SMALL_STATE(3180)] = 32215,
  [SMALL_STATE(3181)] = 32236,
  [SMALL_STATE(3182)] = 32257,
  [SMALL_STATE(3183)] = 32278,
  [SMALL_STATE(3184)] = 32299,
  [SMALL_STATE(3185)] = 32320,
  [SMALL_STATE(3186)] = 32343,
  [SMALL_STATE(3187)] = 32364,
  [SMALL_STATE(3188)] = 32385,
  [SMALL_STATE(3189)] = 32406,
  [SMALL_STATE(3190)] = 32429,
  [SMALL_STATE(3191)] = 32452,
  [SMALL_STATE(3192)] = 32475,
  [SMALL_STATE(3193)] = 32496,
  [SMALL_STATE(3194)] = 32517,
  [SMALL_STATE(3195)] = 32538,
  [SMALL_STATE(3196)] = 32559,
  [SMALL_STATE(3197)] = 32582,
  [SMALL_STATE(3198)] = 32603,
  [SMALL_STATE(3199)] = 32624,
  [SMALL_STATE(3200)] = 32645,
  [SMALL_STATE(3201)] = 32666,
  [SMALL_STATE(3202)] = 32687,
  [SMALL_STATE(3203)] = 32704,
  [SMALL_STATE(3204)] = 32725,
  [SMALL_STATE(3205)] = 32748,
  [SMALL_STATE(3206)] = 32769,
  [SMALL_STATE(3207)] = 32790,
  [SMALL_STATE(3208)] = 32811,
  [SMALL_STATE(3209)] = 32832,
  [SMALL_STATE(3210)] = 32853,
  [SMALL_STATE(3211)] = 32874,
  [SMALL_STATE(3212)] = 32895,
  [SMALL_STATE(3213)] = 32916,
  [SMALL_STATE(3214)] = 32937,
  [SMALL_STATE(3215)] = 32958,
  [SMALL_STATE(3216)] = 32979,
  [SMALL_STATE(3217)] = 33000,
  [SMALL_STATE(3218)] = 33023,
  [SMALL_STATE(3219)] = 33044,
  [SMALL_STATE(3220)] = 33065,
  [SMALL_STATE(3221)] = 33086,
  [SMALL_STATE(3222)] = 33107,
  [SMALL_STATE(3223)] = 33128,
  [SMALL_STATE(3224)] = 33145,
  [SMALL_STATE(3225)] = 33168,
  [SMALL_STATE(3226)] = 33191,
  [SMALL_STATE(3227)] = 33212,
  [SMALL_STATE(3228)] = 33235,
  [SMALL_STATE(3229)] = 33256,
  [SMALL_STATE(3230)] = 33279,
  [SMALL_STATE(3231)] = 33300,
  [SMALL_STATE(3232)] = 33323,
  [SMALL_STATE(3233)] = 33344,
  [SMALL_STATE(3234)] = 33365,
  [SMALL_STATE(3235)] = 33386,
  [SMALL_STATE(3236)] = 33407,
  [SMALL_STATE(3237)] = 33428,
  [SMALL_STATE(3238)] = 33451,
  [SMALL_STATE(3239)] = 33472,
  [SMALL_STATE(3240)] = 33495,
  [SMALL_STATE(3241)] = 33515,
  [SMALL_STATE(3242)] = 33535,
  [SMALL_STATE(3243)] = 33555,
  [SMALL_STATE(3244)] = 33575,
  [SMALL_STATE(3245)] = 33595,
  [SMALL_STATE(3246)] = 33615,
  [SMALL_STATE(3247)] = 33635,
  [SMALL_STATE(3248)] = 33655,
  [SMALL_STATE(3249)] = 33675,
  [SMALL_STATE(3250)] = 33695,
  [SMALL_STATE(3251)] = 33715,
  [SMALL_STATE(3252)] = 33735,
  [SMALL_STATE(3253)] = 33755,
  [SMALL_STATE(3254)] = 33775,
  [SMALL_STATE(3255)] = 33795,
  [SMALL_STATE(3256)] = 33815,
  [SMALL_STATE(3257)] = 33835,
  [SMALL_STATE(3258)] = 33855,
  [SMALL_STATE(3259)] = 33875,
  [SMALL_STATE(3260)] = 33895,
  [SMALL_STATE(3261)] = 33915,
  [SMALL_STATE(3262)] = 33935,
  [SMALL_STATE(3263)] = 33953,
  [SMALL_STATE(3264)] = 33973,
  [SMALL_STATE(3265)] = 33993,
  [SMALL_STATE(3266)] = 34013,
  [SMALL_STATE(3267)] = 34031,
  [SMALL_STATE(3268)] = 34051,
  [SMALL_STATE(3269)] = 34071,
  [SMALL_STATE(3270)] = 34089,
  [SMALL_STATE(3271)] = 34107,
  [SMALL_STATE(3272)] = 34125,
  [SMALL_STATE(3273)] = 34145,
  [SMALL_STATE(3274)] = 34165,
  [SMALL_STATE(3275)] = 34185,
  [SMALL_STATE(3276)] = 34205,
  [SMALL_STATE(3277)] = 34225,
  [SMALL_STATE(3278)] = 34243,
  [SMALL_STATE(3279)] = 34261,
  [SMALL_STATE(3280)] = 34281,
  [SMALL_STATE(3281)] = 34301,
  [SMALL_STATE(3282)] = 34321,
  [SMALL_STATE(3283)] = 34341,
  [SMALL_STATE(3284)] = 34361,
  [SMALL_STATE(3285)] = 34381,
  [SMALL_STATE(3286)] = 34401,
  [SMALL_STATE(3287)] = 34421,
  [SMALL_STATE(3288)] = 34441,
  [SMALL_STATE(3289)] = 34461,
  [SMALL_STATE(3290)] = 34481,
  [SMALL_STATE(3291)] = 34499,
  [SMALL_STATE(3292)] = 34519,
  [SMALL_STATE(3293)] = 34539,
  [SMALL_STATE(3294)] = 34557,
  [SMALL_STATE(3295)] = 34575,
  [SMALL_STATE(3296)] = 34595,
  [SMALL_STATE(3297)] = 34615,
  [SMALL_STATE(3298)] = 34635,
  [SMALL_STATE(3299)] = 34655,
  [SMALL_STATE(3300)] = 34675,
  [SMALL_STATE(3301)] = 34695,
  [SMALL_STATE(3302)] = 34715,
  [SMALL_STATE(3303)] = 34735,
  [SMALL_STATE(3304)] = 34755,
  [SMALL_STATE(3305)] = 34775,
  [SMALL_STATE(3306)] = 34795,
  [SMALL_STATE(3307)] = 34815,
  [SMALL_STATE(3308)] = 34835,
  [SMALL_STATE(3309)] = 34855,
  [SMALL_STATE(3310)] = 34875,
  [SMALL_STATE(3311)] = 34893,
  [SMALL_STATE(3312)] = 34909,
  [SMALL_STATE(3313)] = 34927,
  [SMALL_STATE(3314)] = 34947,
  [SMALL_STATE(3315)] = 34967,
  [SMALL_STATE(3316)] = 34985,
  [SMALL_STATE(3317)] = 35005,
  [SMALL_STATE(3318)] = 35025,
  [SMALL_STATE(3319)] = 35045,
  [SMALL_STATE(3320)] = 35065,
  [SMALL_STATE(3321)] = 35085,
  [SMALL_STATE(3322)] = 35105,
  [SMALL_STATE(3323)] = 35125,
  [SMALL_STATE(3324)] = 35145,
  [SMALL_STATE(3325)] = 35165,
  [SMALL_STATE(3326)] = 35185,
  [SMALL_STATE(3327)] = 35205,
  [SMALL_STATE(3328)] = 35225,
  [SMALL_STATE(3329)] = 35245,
  [SMALL_STATE(3330)] = 35265,
  [SMALL_STATE(3331)] = 35283,
  [SMALL_STATE(3332)] = 35303,
  [SMALL_STATE(3333)] = 35323,
  [SMALL_STATE(3334)] = 35343,
  [SMALL_STATE(3335)] = 35363,
  [SMALL_STATE(3336)] = 35383,
  [SMALL_STATE(3337)] = 35403,
  [SMALL_STATE(3338)] = 35423,
  [SMALL_STATE(3339)] = 35443,
  [SMALL_STATE(3340)] = 35463,
  [SMALL_STATE(3341)] = 35483,
  [SMALL_STATE(3342)] = 35503,
  [SMALL_STATE(3343)] = 35523,
  [SMALL_STATE(3344)] = 35541,
  [SMALL_STATE(3345)] = 35559,
  [SMALL_STATE(3346)] = 35579,
  [SMALL_STATE(3347)] = 35597,
  [SMALL_STATE(3348)] = 35617,
  [SMALL_STATE(3349)] = 35637,
  [SMALL_STATE(3350)] = 35657,
  [SMALL_STATE(3351)] = 35677,
  [SMALL_STATE(3352)] = 35697,
  [SMALL_STATE(3353)] = 35717,
  [SMALL_STATE(3354)] = 35737,
  [SMALL_STATE(3355)] = 35757,
  [SMALL_STATE(3356)] = 35777,
  [SMALL_STATE(3357)] = 35797,
  [SMALL_STATE(3358)] = 35817,
  [SMALL_STATE(3359)] = 35837,
  [SMALL_STATE(3360)] = 35857,
  [SMALL_STATE(3361)] = 35877,
  [SMALL_STATE(3362)] = 35897,
  [SMALL_STATE(3363)] = 35917,
  [SMALL_STATE(3364)] = 35937,
  [SMALL_STATE(3365)] = 35957,
  [SMALL_STATE(3366)] = 35977,
  [SMALL_STATE(3367)] = 35997,
  [SMALL_STATE(3368)] = 36017,
  [SMALL_STATE(3369)] = 36037,
  [SMALL_STATE(3370)] = 36057,
  [SMALL_STATE(3371)] = 36077,
  [SMALL_STATE(3372)] = 36097,
  [SMALL_STATE(3373)] = 36115,
  [SMALL_STATE(3374)] = 36135,
  [SMALL_STATE(3375)] = 36155,
  [SMALL_STATE(3376)] = 36175,
  [SMALL_STATE(3377)] = 36195,
  [SMALL_STATE(3378)] = 36215,
  [SMALL_STATE(3379)] = 36231,
  [SMALL_STATE(3380)] = 36251,
  [SMALL_STATE(3381)] = 36271,
  [SMALL_STATE(3382)] = 36291,
  [SMALL_STATE(3383)] = 36311,
  [SMALL_STATE(3384)] = 36331,
  [SMALL_STATE(3385)] = 36351,
  [SMALL_STATE(3386)] = 36371,
  [SMALL_STATE(3387)] = 36391,
  [SMALL_STATE(3388)] = 36411,
  [SMALL_STATE(3389)] = 36431,
  [SMALL_STATE(3390)] = 36451,
  [SMALL_STATE(3391)] = 36471,
  [SMALL_STATE(3392)] = 36491,
  [SMALL_STATE(3393)] = 36511,
  [SMALL_STATE(3394)] = 36531,
  [SMALL_STATE(3395)] = 36551,
  [SMALL_STATE(3396)] = 36571,
  [SMALL_STATE(3397)] = 36589,
  [SMALL_STATE(3398)] = 36609,
  [SMALL_STATE(3399)] = 36627,
  [SMALL_STATE(3400)] = 36647,
  [SMALL_STATE(3401)] = 36667,
  [SMALL_STATE(3402)] = 36687,
  [SMALL_STATE(3403)] = 36707,
  [SMALL_STATE(3404)] = 36727,
  [SMALL_STATE(3405)] = 36747,
  [SMALL_STATE(3406)] = 36764,
  [SMALL_STATE(3407)] = 36781,
  [SMALL_STATE(3408)] = 36798,
  [SMALL_STATE(3409)] = 36815,
  [SMALL_STATE(3410)] = 36832,
  [SMALL_STATE(3411)] = 36849,
  [SMALL_STATE(3412)] = 36866,
  [SMALL_STATE(3413)] = 36883,
  [SMALL_STATE(3414)] = 36900,
  [SMALL_STATE(3415)] = 36917,
  [SMALL_STATE(3416)] = 36934,
  [SMALL_STATE(3417)] = 36951,
  [SMALL_STATE(3418)] = 36968,
  [SMALL_STATE(3419)] = 36985,
  [SMALL_STATE(3420)] = 37002,
  [SMALL_STATE(3421)] = 37019,
  [SMALL_STATE(3422)] = 37036,
  [SMALL_STATE(3423)] = 37053,
  [SMALL_STATE(3424)] = 37070,
  [SMALL_STATE(3425)] = 37087,
  [SMALL_STATE(3426)] = 37104,
  [SMALL_STATE(3427)] = 37121,
  [SMALL_STATE(3428)] = 37138,
  [SMALL_STATE(3429)] = 37155,
  [SMALL_STATE(3430)] = 37172,
  [SMALL_STATE(3431)] = 37189,
  [SMALL_STATE(3432)] = 37204,
  [SMALL_STATE(3433)] = 37221,
  [SMALL_STATE(3434)] = 37238,
  [SMALL_STATE(3435)] = 37253,
  [SMALL_STATE(3436)] = 37270,
  [SMALL_STATE(3437)] = 37285,
  [SMALL_STATE(3438)] = 37302,
  [SMALL_STATE(3439)] = 37319,
  [SMALL_STATE(3440)] = 37336,
  [SMALL_STATE(3441)] = 37353,
  [SMALL_STATE(3442)] = 37370,
  [SMALL_STATE(3443)] = 37387,
  [SMALL_STATE(3444)] = 37404,
  [SMALL_STATE(3445)] = 37421,
  [SMALL_STATE(3446)] = 37438,
  [SMALL_STATE(3447)] = 37455,
  [SMALL_STATE(3448)] = 37472,
  [SMALL_STATE(3449)] = 37489,
  [SMALL_STATE(3450)] = 37506,
  [SMALL_STATE(3451)] = 37523,
  [SMALL_STATE(3452)] = 37540,
  [SMALL_STATE(3453)] = 37557,
  [SMALL_STATE(3454)] = 37574,
  [SMALL_STATE(3455)] = 37591,
  [SMALL_STATE(3456)] = 37608,
  [SMALL_STATE(3457)] = 37625,
  [SMALL_STATE(3458)] = 37642,
  [SMALL_STATE(3459)] = 37659,
  [SMALL_STATE(3460)] = 37676,
  [SMALL_STATE(3461)] = 37693,
  [SMALL_STATE(3462)] = 37710,
  [SMALL_STATE(3463)] = 37724,
  [SMALL_STATE(3464)] = 37738,
  [SMALL_STATE(3465)] = 37752,
  [SMALL_STATE(3466)] = 37766,
  [SMALL_STATE(3467)] = 37780,
  [SMALL_STATE(3468)] = 37794,
  [SMALL_STATE(3469)] = 37808,
  [SMALL_STATE(3470)] = 37822,
  [SMALL_STATE(3471)] = 37836,
  [SMALL_STATE(3472)] = 37850,
  [SMALL_STATE(3473)] = 37864,
  [SMALL_STATE(3474)] = 37878,
  [SMALL_STATE(3475)] = 37892,
  [SMALL_STATE(3476)] = 37906,
  [SMALL_STATE(3477)] = 37920,
  [SMALL_STATE(3478)] = 37934,
  [SMALL_STATE(3479)] = 37948,
  [SMALL_STATE(3480)] = 37962,
  [SMALL_STATE(3481)] = 37976,
  [SMALL_STATE(3482)] = 37990,
  [SMALL_STATE(3483)] = 38004,
  [SMALL_STATE(3484)] = 38018,
  [SMALL_STATE(3485)] = 38032,
  [SMALL_STATE(3486)] = 38046,
  [SMALL_STATE(3487)] = 38060,
  [SMALL_STATE(3488)] = 38074,
  [SMALL_STATE(3489)] = 38088,
  [SMALL_STATE(3490)] = 38102,
  [SMALL_STATE(3491)] = 38116,
  [SMALL_STATE(3492)] = 38130,
  [SMALL_STATE(3493)] = 38144,
  [SMALL_STATE(3494)] = 38158,
  [SMALL_STATE(3495)] = 38172,
  [SMALL_STATE(3496)] = 38186,
  [SMALL_STATE(3497)] = 38200,
  [SMALL_STATE(3498)] = 38214,
  [SMALL_STATE(3499)] = 38228,
  [SMALL_STATE(3500)] = 38242,
  [SMALL_STATE(3501)] = 38256,
  [SMALL_STATE(3502)] = 38270,
  [SMALL_STATE(3503)] = 38284,
  [SMALL_STATE(3504)] = 38298,
  [SMALL_STATE(3505)] = 38312,
  [SMALL_STATE(3506)] = 38326,
  [SMALL_STATE(3507)] = 38340,
  [SMALL_STATE(3508)] = 38354,
  [SMALL_STATE(3509)] = 38368,
  [SMALL_STATE(3510)] = 38382,
  [SMALL_STATE(3511)] = 38396,
  [SMALL_STATE(3512)] = 38410,
  [SMALL_STATE(3513)] = 38424,
  [SMALL_STATE(3514)] = 38438,
  [SMALL_STATE(3515)] = 38452,
  [SMALL_STATE(3516)] = 38466,
  [SMALL_STATE(3517)] = 38480,
  [SMALL_STATE(3518)] = 38496,
  [SMALL_STATE(3519)] = 38510,
  [SMALL_STATE(3520)] = 38524,
  [SMALL_STATE(3521)] = 38538,
  [SMALL_STATE(3522)] = 38552,
  [SMALL_STATE(3523)] = 38566,
  [SMALL_STATE(3524)] = 38580,
  [SMALL_STATE(3525)] = 38594,
  [SMALL_STATE(3526)] = 38608,
  [SMALL_STATE(3527)] = 38622,
  [SMALL_STATE(3528)] = 38636,
  [SMALL_STATE(3529)] = 38650,
  [SMALL_STATE(3530)] = 38664,
  [SMALL_STATE(3531)] = 38678,
  [SMALL_STATE(3532)] = 38692,
  [SMALL_STATE(3533)] = 38706,
  [SMALL_STATE(3534)] = 38720,
  [SMALL_STATE(3535)] = 38734,
  [SMALL_STATE(3536)] = 38748,
  [SMALL_STATE(3537)] = 38762,
  [SMALL_STATE(3538)] = 38776,
  [SMALL_STATE(3539)] = 38790,
  [SMALL_STATE(3540)] = 38804,
  [SMALL_STATE(3541)] = 38818,
  [SMALL_STATE(3542)] = 38832,
  [SMALL_STATE(3543)] = 38846,
  [SMALL_STATE(3544)] = 38860,
  [SMALL_STATE(3545)] = 38874,
  [SMALL_STATE(3546)] = 38888,
  [SMALL_STATE(3547)] = 38902,
  [SMALL_STATE(3548)] = 38916,
  [SMALL_STATE(3549)] = 38930,
  [SMALL_STATE(3550)] = 38944,
  [SMALL_STATE(3551)] = 38958,
  [SMALL_STATE(3552)] = 38972,
  [SMALL_STATE(3553)] = 38986,
  [SMALL_STATE(3554)] = 39000,
  [SMALL_STATE(3555)] = 39014,
  [SMALL_STATE(3556)] = 39028,
  [SMALL_STATE(3557)] = 39042,
  [SMALL_STATE(3558)] = 39056,
  [SMALL_STATE(3559)] = 39070,
  [SMALL_STATE(3560)] = 39084,
  [SMALL_STATE(3561)] = 39098,
  [SMALL_STATE(3562)] = 39112,
  [SMALL_STATE(3563)] = 39126,
  [SMALL_STATE(3564)] = 39140,
  [SMALL_STATE(3565)] = 39154,
  [SMALL_STATE(3566)] = 39168,
  [SMALL_STATE(3567)] = 39182,
  [SMALL_STATE(3568)] = 39196,
  [SMALL_STATE(3569)] = 39210,
  [SMALL_STATE(3570)] = 39224,
  [SMALL_STATE(3571)] = 39238,
  [SMALL_STATE(3572)] = 39252,
  [SMALL_STATE(3573)] = 39266,
  [SMALL_STATE(3574)] = 39280,
  [SMALL_STATE(3575)] = 39294,
  [SMALL_STATE(3576)] = 39310,
  [SMALL_STATE(3577)] = 39324,
  [SMALL_STATE(3578)] = 39338,
  [SMALL_STATE(3579)] = 39352,
  [SMALL_STATE(3580)] = 39366,
  [SMALL_STATE(3581)] = 39380,
  [SMALL_STATE(3582)] = 39394,
  [SMALL_STATE(3583)] = 39408,
  [SMALL_STATE(3584)] = 39422,
  [SMALL_STATE(3585)] = 39436,
  [SMALL_STATE(3586)] = 39450,
  [SMALL_STATE(3587)] = 39464,
  [SMALL_STATE(3588)] = 39478,
  [SMALL_STATE(3589)] = 39492,
  [SMALL_STATE(3590)] = 39506,
  [SMALL_STATE(3591)] = 39520,
  [SMALL_STATE(3592)] = 39534,
  [SMALL_STATE(3593)] = 39548,
  [SMALL_STATE(3594)] = 39562,
  [SMALL_STATE(3595)] = 39576,
  [SMALL_STATE(3596)] = 39590,
  [SMALL_STATE(3597)] = 39604,
  [SMALL_STATE(3598)] = 39618,
  [SMALL_STATE(3599)] = 39632,
  [SMALL_STATE(3600)] = 39646,
  [SMALL_STATE(3601)] = 39660,
  [SMALL_STATE(3602)] = 39674,
  [SMALL_STATE(3603)] = 39688,
  [SMALL_STATE(3604)] = 39702,
  [SMALL_STATE(3605)] = 39716,
  [SMALL_STATE(3606)] = 39730,
  [SMALL_STATE(3607)] = 39744,
  [SMALL_STATE(3608)] = 39758,
  [SMALL_STATE(3609)] = 39772,
  [SMALL_STATE(3610)] = 39786,
  [SMALL_STATE(3611)] = 39800,
  [SMALL_STATE(3612)] = 39814,
  [SMALL_STATE(3613)] = 39828,
  [SMALL_STATE(3614)] = 39842,
  [SMALL_STATE(3615)] = 39856,
  [SMALL_STATE(3616)] = 39870,
  [SMALL_STATE(3617)] = 39884,
  [SMALL_STATE(3618)] = 39898,
  [SMALL_STATE(3619)] = 39912,
  [SMALL_STATE(3620)] = 39926,
  [SMALL_STATE(3621)] = 39940,
  [SMALL_STATE(3622)] = 39954,
  [SMALL_STATE(3623)] = 39968,
  [SMALL_STATE(3624)] = 39982,
  [SMALL_STATE(3625)] = 39996,
  [SMALL_STATE(3626)] = 40012,
  [SMALL_STATE(3627)] = 40026,
  [SMALL_STATE(3628)] = 40040,
  [SMALL_STATE(3629)] = 40054,
  [SMALL_STATE(3630)] = 40068,
  [SMALL_STATE(3631)] = 40082,
  [SMALL_STATE(3632)] = 40096,
  [SMALL_STATE(3633)] = 40110,
  [SMALL_STATE(3634)] = 40126,
  [SMALL_STATE(3635)] = 40140,
  [SMALL_STATE(3636)] = 40154,
  [SMALL_STATE(3637)] = 40168,
  [SMALL_STATE(3638)] = 40182,
  [SMALL_STATE(3639)] = 40196,
  [SMALL_STATE(3640)] = 40210,
  [SMALL_STATE(3641)] = 40224,
  [SMALL_STATE(3642)] = 40238,
  [SMALL_STATE(3643)] = 40252,
  [SMALL_STATE(3644)] = 40266,
  [SMALL_STATE(3645)] = 40280,
  [SMALL_STATE(3646)] = 40294,
  [SMALL_STATE(3647)] = 40308,
  [SMALL_STATE(3648)] = 40322,
  [SMALL_STATE(3649)] = 40336,
  [SMALL_STATE(3650)] = 40350,
  [SMALL_STATE(3651)] = 40364,
  [SMALL_STATE(3652)] = 40378,
  [SMALL_STATE(3653)] = 40392,
  [SMALL_STATE(3654)] = 40406,
  [SMALL_STATE(3655)] = 40420,
  [SMALL_STATE(3656)] = 40434,
  [SMALL_STATE(3657)] = 40448,
  [SMALL_STATE(3658)] = 40462,
  [SMALL_STATE(3659)] = 40476,
  [SMALL_STATE(3660)] = 40490,
  [SMALL_STATE(3661)] = 40504,
  [SMALL_STATE(3662)] = 40518,
  [SMALL_STATE(3663)] = 40532,
  [SMALL_STATE(3664)] = 40546,
  [SMALL_STATE(3665)] = 40560,
  [SMALL_STATE(3666)] = 40574,
  [SMALL_STATE(3667)] = 40588,
  [SMALL_STATE(3668)] = 40602,
  [SMALL_STATE(3669)] = 40616,
  [SMALL_STATE(3670)] = 40630,
  [SMALL_STATE(3671)] = 40644,
  [SMALL_STATE(3672)] = 40658,
  [SMALL_STATE(3673)] = 40672,
  [SMALL_STATE(3674)] = 40686,
  [SMALL_STATE(3675)] = 40700,
  [SMALL_STATE(3676)] = 40714,
  [SMALL_STATE(3677)] = 40728,
  [SMALL_STATE(3678)] = 40742,
  [SMALL_STATE(3679)] = 40756,
  [SMALL_STATE(3680)] = 40770,
  [SMALL_STATE(3681)] = 40784,
  [SMALL_STATE(3682)] = 40798,
  [SMALL_STATE(3683)] = 40812,
  [SMALL_STATE(3684)] = 40826,
  [SMALL_STATE(3685)] = 40840,
  [SMALL_STATE(3686)] = 40854,
  [SMALL_STATE(3687)] = 40868,
  [SMALL_STATE(3688)] = 40882,
  [SMALL_STATE(3689)] = 40896,
  [SMALL_STATE(3690)] = 40910,
  [SMALL_STATE(3691)] = 40924,
  [SMALL_STATE(3692)] = 40938,
  [SMALL_STATE(3693)] = 40952,
  [SMALL_STATE(3694)] = 40966,
  [SMALL_STATE(3695)] = 40980,
  [SMALL_STATE(3696)] = 40994,
  [SMALL_STATE(3697)] = 41008,
  [SMALL_STATE(3698)] = 41022,
  [SMALL_STATE(3699)] = 41038,
  [SMALL_STATE(3700)] = 41052,
  [SMALL_STATE(3701)] = 41066,
  [SMALL_STATE(3702)] = 41080,
  [SMALL_STATE(3703)] = 41084,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [9] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3344),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3346),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3330),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2954),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3247),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3248),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2864),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3499),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2514),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2798),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3404),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3632),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3433),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3435),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3447),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3204),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3089),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3680),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3692),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loopex_expression, 1, 0, 2),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2767),
  [157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loopex_expression, 1, 0, 2),
  [159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0),
  [161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(2527),
  [164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(3499),
  [167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(1060),
  [170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(575),
  [173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(629),
  [176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(2502),
  [179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(508),
  [182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 1, 0, 0),
  [184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_undef_expression, 1, 0, 0),
  [186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_undef_expression, 1, 0, 0),
  [188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0),
  [190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(2527),
  [193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(3499),
  [196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(1060),
  [199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(575),
  [202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(629),
  [205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(2502),
  [208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(508),
  [211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0),
  [213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_require_expression, 1, 0, 0),
  [215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 1, 0, 0),
  [217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func1op_call_expression, 1, 0, 1),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func1op_call_expression, 1, 0, 1),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(633),
  [262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(635),
  [265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(636),
  [268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2749),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3437),
  [320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3438),
  [322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3440),
  [324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3185),
  [326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3189),
  [328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3190),
  [330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3196),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3191),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(633),
  [349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(635),
  [352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(636),
  [355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(2588),
  [358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(3604),
  [361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(1343),
  [364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(589),
  [367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(594),
  [370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(2421),
  [373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(596),
  [376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(2588),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(3604),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(1343),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(589),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(594),
  [395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(2421),
  [398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(596),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3269),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3270),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3271),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2805),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3303),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3307),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3520),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2870),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3316),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3514),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3471),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3695),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3481),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3563),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3588),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2546),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3596),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3600),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3603),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3609),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3612),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3615),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3618),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3621),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3624),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3627),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(671),
  [618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(965),
  [621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(839),
  [624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3344),
  [627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3346),
  [630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3330),
  [633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2954),
  [636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2497),
  [639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2414),
  [642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2330),
  [645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3066),
  [648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2634),
  [651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2635),
  [654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(263),
  [657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1062),
  [660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2665),
  [663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3247),
  [666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3248),
  [669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2864),
  [672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(264),
  [675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2527),
  [678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3499),
  [681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1060),
  [684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(575),
  [687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(629),
  [690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2502),
  [693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(508),
  [696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(534),
  [699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(403),
  [702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(410),
  [705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(595),
  [708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(597),
  [711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(6),
  [714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(426),
  [717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(386),
  [720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(378),
  [723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3),
  [726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(4),
  [729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2513),
  [732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2514),
  [735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2957),
  [738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2798),
  [741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3404),
  [747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(7),
  [750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3433),
  [755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3435),
  [758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3447),
  [761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3057),
  [764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3204),
  [767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3089),
  [770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3035),
  [773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3065),
  [776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3680),
  [779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3692),
  [782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(695),
  [785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1223),
  [788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1228),
  [791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3145),
  [794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2664),
  [797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2696),
  [800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2646),
  [803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3407),
  [806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1161),
  [809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(7),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3583),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2416),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2418),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3410),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3411),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3412),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3224),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2794),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2443),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3421),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3422),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3423),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3099),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3227),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3100),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2695),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3428),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3429),
  [1026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3430),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3135),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3136),
  [1032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3137),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3231),
  [1036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3138),
  [1038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [1062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(2483),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(2462),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(2594),
  [1071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(3474),
  [1074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(1556),
  [1077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(537),
  [1080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(538),
  [1083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(2463),
  [1086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(539),
  [1089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(2464),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [1098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [1100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(2564),
  [1103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(3522),
  [1106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(1852),
  [1109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(582),
  [1112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(583),
  [1115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(2441),
  [1118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(658),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(2545),
  [1164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(3566),
  [1167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(1800),
  [1170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(578),
  [1173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(588),
  [1176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(2417),
  [1179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(621),
  [1182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [1184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [1186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [1188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [1190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [1192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [1194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [1196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(2564),
  [1199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(3522),
  [1202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(1852),
  [1205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(582),
  [1208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(583),
  [1211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(2441),
  [1214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(658),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2447),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [1223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(2483),
  [1226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(2462),
  [1229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(2594),
  [1232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(3474),
  [1235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(1556),
  [1238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(537),
  [1241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(538),
  [1244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(2463),
  [1247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(539),
  [1250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(2464),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [1281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(927),
  [1284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3269),
  [1287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3270),
  [1290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3271),
  [1293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2805),
  [1296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2344),
  [1299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2649),
  [1302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2651),
  [1305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3303),
  [1308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3307),
  [1311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2870),
  [1314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2765),
  [1317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3316),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [1322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [1324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3158),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [1336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [1342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [1344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2373),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [1356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [1358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(543),
  [1361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(544),
  [1364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(545),
  [1367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(2545),
  [1370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(3566),
  [1373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(1800),
  [1376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(578),
  [1379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(588),
  [1382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(2417),
  [1385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(621),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [1390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(543),
  [1393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(544),
  [1396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(545),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [1403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [1405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [1407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_hash_expression, 2, 0, 0),
  [1409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_hash_expression, 2, 0, 0),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3604),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [1431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [1433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3522),
  [1435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [1437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [1439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3042),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [1573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [1581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [1583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3117),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3058),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3074),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3566),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3474),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [1651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_parameter, 2, 0, 26),
  [1653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_optional_parameter, 2, 0, 26), SHIFT(2483),
  [1656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_optional_parameter, 2, 0, 26), SHIFT(2462),
  [1659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_optional_parameter, 2, 0, 26), SHIFT(2464),
  [1662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [1664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [1666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [1676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [1680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [1682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [1684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [1696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [1698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [1700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [1702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [1704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [1706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [1712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [1734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [1736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indirob, 1, 0, 0),
  [1738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indirob, 1, 0, 0),
  [1740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 1, 0, 0),
  [1742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [1744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bareword, 1, 1, 0),
  [1746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function, 1, 0, 0), REDUCE(sym_bareword, 1, 1, 0),
  [1749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 1, 0, 0),
  [1751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bareword, 1, 1, 0),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [1755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scalar, 2, 0, 0),
  [1757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_container_variable, 2, 0, 0),
  [1759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scalar, 2, 0, 0),
  [1761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__var_indirob, 1, 0, 0),
  [1763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__var_indirob, 1, 0, 0),
  [1765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__var_indirob, 1, 0, 9),
  [1767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__var_indirob, 1, 0, 9),
  [1769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__var_indirob_autoquote, 4, 0, 85),
  [1771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__var_indirob_autoquote, 4, 0, 85),
  [1773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__ident_special, 1, 0, 0),
  [1775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ident_special, 1, 0, 0),
  [1777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__ident_special, 2, 0, 0),
  [1779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ident_special, 2, 0, 0),
  [1781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [1783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [1785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indirect_object, 1, 0, 0),
  [1787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__term, 1, 0, 0),
  [1789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__term, 1, 0, 0), REDUCE(sym_indirect_object, 1, 0, 0),
  [1792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indirect_object, 1, 0, 0),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [1796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__term, 1, 0, 0),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [1828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [1832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [1834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [1836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambiguous_function_call_expression, 2, 0, 23),
  [1838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambiguous_function_call_expression, 2, 0, 23),
  [1840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_autoquoted_bareword, 2, 20, 0),
  [1842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_autoquoted_bareword, 2, 20, 0),
  [1844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__version, 1, 0, 0),
  [1846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive, 1, 0, 0),
  [1848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__version, 1, 0, 0),
  [1850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_statement, 5, 0, 105),
  [1852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_statement, 5, 0, 105),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3351),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3506),
  [1858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elsif, 5, 0, 105),
  [1860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsif, 5, 0, 105),
  [1862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, 0, 13),
  [1864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, 0, 13),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3046),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3304),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3256),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [1874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 57),
  [1876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 57),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3345),
  [1880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 7, 0, 138),
  [1882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 7, 0, 138),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3285),
  [1886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 7, 0, 137),
  [1888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 7, 0, 137),
  [1890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__fullstmt, 1, 0, 0),
  [1892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__fullstmt, 1, 0, 0),
  [1894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 94),
  [1896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 94),
  [1898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_role_statement, 5, 0, 49),
  [1900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_role_statement, 5, 0, 49),
  [1902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_phaser_statement, 5, 0, 50),
  [1904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_phaser_statement, 5, 0, 50),
  [1906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 9, 0, 152),
  [1908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 9, 0, 152),
  [1910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 86),
  [1912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 86),
  [1914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 5, 0, 86),
  [1916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 5, 0, 86),
  [1918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_statement, 4, 0, 49),
  [1920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_statement, 4, 0, 49),
  [1922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 4, 0, 51),
  [1924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 4, 0, 51),
  [1926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cstyle_for_statement, 9, 0, 153),
  [1928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cstyle_for_statement, 9, 0, 153),
  [1930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 8, 0, 148),
  [1932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 8, 0, 148),
  [1934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_statement, 5, 0, 106),
  [1936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loop_statement, 5, 0, 106),
  [1938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 87),
  [1940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 87),
  [1942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 109),
  [1944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 109),
  [1946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cstyle_for_statement, 8, 0, 149),
  [1948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cstyle_for_statement, 8, 0, 149),
  [1950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cstyle_for_statement, 8, 0, 150),
  [1952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cstyle_for_statement, 8, 0, 150),
  [1954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 5, 0, 87),
  [1956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 5, 0, 87),
  [1958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elsif, 6, 0, 105),
  [1960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsif, 6, 0, 105),
  [1962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 5, 0, 109),
  [1964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 5, 0, 109),
  [1966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 6, 0, 110),
  [1968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 6, 0, 110),
  [1970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 89),
  [1972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 89),
  [1974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 90),
  [1976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 90),
  [1978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_role_statement, 6, 0, 110),
  [1980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_role_statement, 6, 0, 110),
  [1982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 5, 0, 89),
  [1984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 5, 0, 89),
  [1986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 4, 0, 56),
  [1988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 4, 0, 56),
  [1990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 4, 0, 56),
  [1992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 4, 0, 56),
  [1994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 5, 0, 90),
  [1996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 5, 0, 90),
  [1998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 58),
  [2000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 58),
  [2002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 112),
  [2004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 112),
  [2006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 113),
  [2008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 113),
  [2010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_phaser_statement, 2, 0, 8),
  [2012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_phaser_statement, 2, 0, 8),
  [2014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__semicolon, 1, 0, 0),
  [2016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__semicolon, 1, 0, 0),
  [2018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym___DATA__, 2, 0, 0),
  [2020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym___DATA__, 2, 0, 0),
  [2022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__barestmt, 2, 0, 0),
  [2024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__barestmt, 2, 0, 0),
  [2026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 6, 0, 112),
  [2028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 6, 0, 112),
  [2030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__barestmt, 1, 0, 0),
  [2032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__barestmt, 1, 0, 0),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 6, 0, 113),
  [2036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 6, 0, 113),
  [2038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 114),
  [2040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 114),
  [2042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 6, 0, 114),
  [2044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 6, 0, 114),
  [2046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 115),
  [2048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 115),
  [2050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_statement, 3, 0, 25),
  [2052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_statement, 3, 0, 25),
  [2054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 3, 0, 25),
  [2056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 3, 0, 25),
  [2058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_role_statement, 3, 0, 25),
  [2060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_role_statement, 3, 0, 25),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_phaser_statement, 3, 0, 8),
  [2064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_phaser_statement, 3, 0, 8),
  [2066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 6, 0, 115),
  [2068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 6, 0, 115),
  [2070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_phaser_statement, 4, 0, 8),
  [2072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_phaser_statement, 4, 0, 8),
  [2074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 8, 0, 148),
  [2076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 8, 0, 148),
  [2078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 4, 0, 60),
  [2080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_statement, 4, 0, 60),
  [2082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_label, 3, 0, 47),
  [2084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_label, 3, 0, 47),
  [2086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 3, 0, 31),
  [2088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 3, 0, 31),
  [2090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, 0, 116),
  [2092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, 0, 116),
  [2094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 2, 0, 14),
  [2096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 2, 0, 14),
  [2098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 3, 0, 31),
  [2100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 3, 0, 31),
  [2102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 5, 0, 60),
  [2104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_statement, 5, 0, 60),
  [2106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 4, 0, 25),
  [2108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 4, 0, 25),
  [2110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym___DATA__, 3, 0, 36),
  [2112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym___DATA__, 3, 0, 36),
  [2114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_phaser_statement, 4, 0, 50),
  [2116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_phaser_statement, 4, 0, 50),
  [2118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 3, 0, 34),
  [2120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_statement, 3, 0, 34),
  [2122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_version_statement, 3, 0, 35),
  [2124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_version_statement, 3, 0, 35),
  [2126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 4, 0, 49),
  [2128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 4, 0, 49),
  [2130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_phaser_statement, 2, 0, 8),
  [2132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_phaser_statement, 2, 0, 8),
  [2134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cstyle_for_statement, 6, 0, 119),
  [2136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cstyle_for_statement, 6, 0, 119),
  [2138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__barestmt, 1, 0, 3),
  [2140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__barestmt, 1, 0, 3),
  [2142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 120),
  [2144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 120),
  [2146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 4, 0, 51),
  [2148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 4, 0, 51),
  [2150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_role_statement, 4, 0, 25),
  [2152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_role_statement, 4, 0, 25),
  [2154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__loop_body, 1, 0, 93),
  [2156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__loop_body, 1, 0, 93),
  [2158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__loop_body, 1, 0, 93), SHIFT(3306),
  [2161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_statement, 6, 0, 105),
  [2163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_statement, 6, 0, 105),
  [2165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__else, 1, 0, 0),
  [2167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__else, 1, 0, 0),
  [2169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 132),
  [2171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 132),
  [2173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 133),
  [2175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 133),
  [2177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 6, 0, 132),
  [2179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 6, 0, 132),
  [2181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 6, 0, 133),
  [2183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 6, 0, 133),
  [2185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 135),
  [2187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 135),
  [2189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 7, 0, 135),
  [2191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 7, 0, 135),
  [2193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 136),
  [2195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 136),
  [2197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 137),
  [2199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 137),
  [2201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 7, 0, 136),
  [2203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 7, 0, 136),
  [2205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1, 0, 0),
  [2207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1, 0, 0),
  [2209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cstyle_for_statement, 8, 0, 151),
  [2211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cstyle_for_statement, 8, 0, 151),
  [2213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_role_statement, 4, 0, 49),
  [2215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_role_statement, 4, 0, 49),
  [2217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 5, 0, 83),
  [2219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 5, 0, 83),
  [2221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 5, 0, 49),
  [2223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 5, 0, 49),
  [2225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 4, 0, 78),
  [2227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 4, 0, 78),
  [2229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_role_statement, 5, 0, 83),
  [2231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_role_statement, 5, 0, 83),
  [2233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cstyle_for_statement, 7, 0, 140),
  [2235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cstyle_for_statement, 7, 0, 140),
  [2237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cstyle_for_statement, 7, 0, 141),
  [2239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cstyle_for_statement, 7, 0, 141),
  [2241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 4, 0, 78),
  [2243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 4, 0, 78),
  [2245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cstyle_for_statement, 7, 0, 142),
  [2247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cstyle_for_statement, 7, 0, 142),
  [2249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__loop_body, 3, 0, 143),
  [2251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__loop_body, 3, 0, 143),
  [2253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else, 2, 0, 14),
  [2255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else, 2, 0, 14),
  [2257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 147),
  [2259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 147),
  [2261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 7, 0, 147),
  [2263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 7, 0, 147),
  [2265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 4, 0, 34),
  [2267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_statement, 4, 0, 34),
  [2269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__PERLY_BRACE_OPEN, 1, 0, 0),
  [2271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__PERLY_BRACE_OPEN, 1, 0, 0),
  [2273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3225),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3305),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3272),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3389),
  [2281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__loop_body, 1, 0, 93), SHIFT(3254),
  [2284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package, 1, 0, 0),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package, 1, 0, 0),
  [2288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indirect_object, 2, 0, 0),
  [2290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indirect_object, 2, 0, 0),
  [2292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__conditionals, 1, 0, 0),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__conditionals, 1, 0, 0),
  [2296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__loops, 1, 0, 0),
  [2298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__loops, 1, 0, 0),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [2302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attrlist, 2, 0, 0),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3238),
  [2306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attrlist, 2, 0, 0),
  [2308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(1022),
  [2311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0),
  [2313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3238),
  [2316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0),
  [2318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attrlist, 1, 0, 0),
  [2320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attrlist, 1, 0, 0),
  [2322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 11),
  [2324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 11),
  [2326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 10),
  [2328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 10),
  [2330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_name, 1, 0, 0),
  [2332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_name, 1, 0, 0),
  [2334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 1, 0, 29),
  [2336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 29),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [2340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__subscripted, 1, 0, 0),
  [2342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__subscripted, 1, 0, 0),
  [2344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_slice_expression, 4, 0, 77),
  [2346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_slice_expression, 4, 0, 77),
  [2348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 5, 0, 134),
  [2350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 5, 0, 134),
  [2352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_expression, 5, 0, 102),
  [2354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_expression, 5, 0, 102),
  [2356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_slice_expression, 6, 0, 19),
  [2358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_slice_expression, 6, 0, 19),
  [2360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coderef_call_expression, 5, 0, 101),
  [2362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coderef_call_expression, 5, 0, 101),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [2370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coderef_call_expression, 4, 0, 0),
  [2372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coderef_call_expression, 4, 0, 0),
  [2374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_element_expression, 4, 0, 67),
  [2376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_element_expression, 4, 0, 67),
  [2378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coderef_call_expression, 4, 0, 68),
  [2380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coderef_call_expression, 4, 0, 68),
  [2382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_expression, 4, 0, 69),
  [2384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_expression, 4, 0, 69),
  [2386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_element_expression, 4, 0, 70),
  [2388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_element_expression, 4, 0, 70),
  [2390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_expression, 4, 0, 71),
  [2392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_expression, 4, 0, 71),
  [2394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_slice_expression, 5, 0, 0),
  [2396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_slice_expression, 5, 0, 0),
  [2398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 1, 0, 0),
  [2400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attrlist_repeat1, 1, 0, 0),
  [2402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_element_expression, 5, 0, 100),
  [2404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_element_expression, 5, 0, 100),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coderef_call_expression, 3, 0, 0),
  [2408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coderef_call_expression, 3, 0, 0),
  [2410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_variable, 2, 0, 0),
  [2412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quotelike_end, 1, 0, 0),
  [2414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quotelike_end, 1, 0, 0),
  [2416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyval_container_variable, 2, 0, 0),
  [2418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash, 2, 0, 0),
  [2420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash, 2, 0, 0),
  [2422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_container_variable, 2, 0, 0),
  [2424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [2426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [2428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__term_rightward, 2, 0, 0),
  [2430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__term_rightward, 2, 0, 0),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_regexp, 4, 0, 64),
  [2436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_regexp, 4, 0, 64),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [2440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 4, 0, 66),
  [2442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 4, 0, 66),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [2446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 4, 0, 37),
  [2448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 4, 0, 37),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [2452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 4, 0, 37),
  [2454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 4, 0, 37),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [2458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 1, 0, 0),
  [2460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 1, 0, 0),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [2464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__term, 3, 0, 0),
  [2466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__term, 3, 0, 0),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func0op_call_expression, 1, 0, 1),
  [2472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func0op_call_expression, 1, 0, 1),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [2476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__term_rightward, 1, 0, 0),
  [2478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [2486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [2488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [2490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [2492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [2494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [2496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [2500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [2504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [2506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [2524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__term_rightward, 1, 0, 0),
  [2526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 2, 0, 0),
  [2528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 2, 0, 0),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [2532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__decl_variable_list, 3, 0, 0),
  [2534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__decl_variable_list, 3, 0, 0),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func1op_call_expression, 3, 0, 1),
  [2540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func1op_call_expression, 3, 0, 1),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 5, 0, 99),
  [2546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 5, 0, 99),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_varname, 1, 0, 0),
  [2552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_varname, 1, 0, 0),
  [2554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declare_scalar, 2, 0, 0),
  [2556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declare_scalar, 2, 0, 0),
  [2558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declare_array, 2, 0, 0),
  [2560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declare_array, 2, 0, 0),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 5, 0, 98),
  [2564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 5, 0, 98),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [2568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 6, 0, 123),
  [2570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 6, 0, 123),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [2574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_word_list, 3, 0, 0),
  [2576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_word_list, 3, 0, 0),
  [2578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_regexp, 3, 0, 0),
  [2580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_regexp, 3, 0, 0),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 3, 0, 37),
  [2586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 3, 0, 37),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [2590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declare_hash, 2, 0, 0),
  [2592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declare_hash, 2, 0, 0),
  [2594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 6, 0, 125),
  [2596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 6, 0, 125),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [2600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stub_expression, 2, 0, 0),
  [2602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stub_expression, 2, 0, 0),
  [2604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 3, 0, 46),
  [2606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 3, 0, 46),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [2610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 2, 0, 10),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [2614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 2, 0, 10),
  [2616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 2, 0, 11),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [2620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 2, 0, 11),
  [2622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__decl_variable_list, 4, 0, 0),
  [2624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__decl_variable_list, 4, 0, 0),
  [2626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method, 1, 0, 0),
  [2628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 1, 0, 0),
  [2630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_call_expression, 3, 0, 42),
  [2632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_call_expression, 3, 0, 42),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0),
  [2638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0),
  [2640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(5),
  [2643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__listexpr, 1, 0, 0), REDUCE(sym__term_rightward, 1, 0, 0),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [2648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__listexpr, 1, 0, 0), REDUCE(sym__term_rightward, 1, 0, 0),
  [2651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func1op_call_expression, 4, 0, 1),
  [2653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func1op_call_expression, 4, 0, 1),
  [2655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_word_list, 4, 0, 62),
  [2657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_word_list, 4, 0, 62),
  [2659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_call_expression, 4, 0, 74),
  [2661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_call_expression, 4, 0, 74),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 5, 0, 98),
  [2667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 5, 0, 98),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [2671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declared_vars, 1, 0, 0),
  [2673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declared_vars, 1, 0, 0),
  [2675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 5, 0, 66),
  [2677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 5, 0, 66),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [2681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__decl_variable_list, 2, 0, 0),
  [2683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__decl_variable_list, 2, 0, 0),
  [2685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 38),
  [2687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 38),
  [2689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equality_expression, 3, 0, 38),
  [2691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_equality_expression, 3, 0, 38),
  [2693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__listop, 1, 0, 0),
  [2695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__listop, 1, 0, 0),
  [2697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 5, 0, 88),
  [2699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 5, 0, 88),
  [2701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 52),
  [2703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 52),
  [2705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_grep_expression, 6, 0, 117),
  [2707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_grep_expression, 6, 0, 117),
  [2709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_eval_expression, 2, 0, 18),
  [2711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_eval_expression, 2, 0, 18),
  [2713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 2, 0, 12),
  [2715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 2, 0, 12),
  [2717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_expression, 2, 0, 0),
  [2719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_expression, 2, 0, 0),
  [2721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readline_expression, 2, 0, 15),
  [2723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readline_expression, 2, 0, 15),
  [2725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambiguous_function_call_expression, 3, 0, 43),
  [2727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambiguous_function_call_expression, 3, 0, 43),
  [2729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string_literal, 3, 0, 44),
  [2731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string_literal, 3, 0, 44),
  [2733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_arg, 1, 0, 20),
  [2735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_arg, 1, 0, 20),
  [2737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_eval_expression, 2, 0, 0),
  [2739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_eval_expression, 2, 0, 0),
  [2741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_expression, 2, 0, 0),
  [2743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_expression, 2, 0, 0),
  [2745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 5, 0, 88),
  [2747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 5, 0, 88),
  [2749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__literal, 1, 0, 0),
  [2751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__literal, 1, 0, 0),
  [2753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [2755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0),
  [2757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 5, 0, 104),
  [2759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 5, 0, 104),
  [2761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 4, 0, 1),
  [2763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 4, 0, 1),
  [2765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sort_expression, 6, 0, 117),
  [2767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sort_expression, 6, 0, 117),
  [2769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tricky_indirob_hashref, 4, 0, 0),
  [2771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tricky_indirob_hashref, 4, 0, 0),
  [2773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_token, 2, 0, 0),
  [2775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_token, 2, 0, 0),
  [2777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 2, 0, 0),
  [2779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 2, 0, 0),
  [2781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 3, 0, 30),
  [2783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 3, 0, 30),
  [2785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 4, 0, 62),
  [2787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 4, 0, 62),
  [2789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func1op_call_expression, 2, 0, 1),
  [2791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func1op_call_expression, 2, 0, 1),
  [2793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_call_expression, 5, 0, 42),
  [2795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_call_expression, 5, 0, 42),
  [2797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_deref_expression, 4, 0, 0),
  [2799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_deref_expression, 4, 0, 0),
  [2801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string_literal, 4, 0, 62),
  [2803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string_literal, 4, 0, 62),
  [2805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_undef_expression, 2, 0, 0),
  [2807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_undef_expression, 2, 0, 0),
  [2809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 3, 0, 30),
  [2811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 3, 0, 30),
  [2813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_string, 4, 0, 62),
  [2815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_string, 4, 0, 62),
  [2817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 4, 0, 76),
  [2819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 4, 0, 76),
  [2821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_regexp, 4, 0, 63),
  [2823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_regexp, 4, 0, 63),
  [2825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arraylen, 2, 0, 0),
  [2827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arraylen, 2, 0, 0),
  [2829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 4, 0, 65),
  [2831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 4, 0, 65),
  [2833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 5, 0, 107),
  [2835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 5, 0, 107),
  [2837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loopex_expression, 2, 0, 2),
  [2839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loopex_expression, 2, 0, 2),
  [2841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 7, 0, 144),
  [2843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 7, 0, 144),
  [2845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 7, 0, 145),
  [2847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 7, 0, 145),
  [2849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_call_expression, 7, 0, 146),
  [2851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_call_expression, 7, 0, 146),
  [2853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 5, 0, 108),
  [2855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 5, 0, 108),
  [2857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func0op_call_expression, 3, 0, 1),
  [2859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func0op_call_expression, 3, 0, 1),
  [2861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_heredoc_token, 2, 0, 0),
  [2863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_heredoc_token, 2, 0, 0),
  [2865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 2, 0, 16),
  [2867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 2, 0, 16),
  [2869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive, 1, 0, 0),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [2873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_array_expression, 3, 0, 0),
  [2875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_array_expression, 3, 0, 0),
  [2877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_string, 3, 0, 44),
  [2879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_string, 3, 0, 44),
  [2881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readline_expression, 3, 0, 32),
  [2883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readline_expression, 3, 0, 32),
  [2885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 4, 0, 72),
  [2887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 4, 0, 72),
  [2889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 5, 0, 107),
  [2891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 5, 0, 107),
  [2893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_grep_expression, 3, 0, 33),
  [2895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_grep_expression, 3, 0, 33),
  [2897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 4, 0, 54),
  [2899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 4, 0, 54),
  [2901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 4, 0, 55),
  [2903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 4, 0, 55),
  [2905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_grep_expression, 7, 0, 139),
  [2907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_grep_expression, 7, 0, 139),
  [2909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sort_expression, 5, 0, 91),
  [2911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sort_expression, 5, 0, 91),
  [2913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 5, 0, 108),
  [2915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 5, 0, 108),
  [2917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_localization_expression, 2, 0, 0),
  [2919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_localization_expression, 2, 0, 0),
  [2921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_autoquoted_bareword, 1, 0, 0),
  [2923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_autoquoted_bareword, 1, 0, 0),
  [2925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 4, 0, 73),
  [2927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 4, 0, 73),
  [2929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 4, 0, 54),
  [2931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 4, 0, 54),
  [2933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyval_expression, 4, 0, 72),
  [2935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyval_expression, 4, 0, 72),
  [2937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scalar_deref_expression, 4, 0, 0),
  [2939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scalar_deref_expression, 4, 0, 0),
  [2941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sort_expression, 3, 0, 33),
  [2943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sort_expression, 3, 0, 33),
  [2945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 17),
  [2947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 17),
  [2949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 6, 0, 121),
  [2951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 6, 0, 121),
  [2953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 6, 0, 122),
  [2955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 6, 0, 122),
  [2957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 6, 0, 121),
  [2959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 6, 0, 121),
  [2961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [2963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [2965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string_literal, 3, 0, 0),
  [2967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string_literal, 3, 0, 0),
  [2969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_string, 3, 0, 0),
  [2971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_string, 3, 0, 0),
  [2973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_grep_expression, 4, 0, 59),
  [2975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_grep_expression, 4, 0, 59),
  [2977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_hash_expression, 3, 0, 0),
  [2979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_hash_expression, 3, 0, 0),
  [2981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 6, 0, 124),
  [2983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 6, 0, 124),
  [2985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyval_expression, 4, 0, 73),
  [2987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyval_expression, 4, 0, 73),
  [2989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 4, 0, 55),
  [2991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 4, 0, 55),
  [2993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 38),
  [2995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 38),
  [2997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 3, 0, 45),
  [2999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 3, 0, 45),
  [3001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 6, 0, 126),
  [3003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 6, 0, 126),
  [3005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postinc_expression, 2, 0, 22),
  [3007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postinc_expression, 2, 0, 22),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [3011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [3013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 2, 0, 12),
  [3015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 2, 0, 12),
  [3017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 6, 0, 127),
  [3019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 6, 0, 127),
  [3021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preinc_expression, 2, 0, 17),
  [3023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preinc_expression, 2, 0, 17),
  [3025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_preinc_expression, 2, 0, 17), SHIFT(1184),
  [3028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2, 0, 0),
  [3030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_require_expression, 2, 0, 0),
  [3032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_regexp, 5, 0, 95),
  [3034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_regexp, 5, 0, 95),
  [3036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 5, 0, 96),
  [3038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 5, 0, 96),
  [3040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambiguous_function_call_expression, 2, 0, 24),
  [3042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambiguous_function_call_expression, 2, 0, 24),
  [3044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_refgen_expression, 2, 0, 0),
  [3046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_refgen_expression, 2, 0, 0),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [3050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 44),
  [3052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 44),
  [3054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relational_expression, 3, 0, 38),
  [3056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relational_expression, 3, 0, 38),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 5, 0, 97),
  [3060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 5, 0, 97),
  [3062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [3064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [3066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 6, 0, 128),
  [3068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 6, 0, 128),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyval_expression, 6, 0, 127),
  [3072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyval_expression, 6, 0, 127),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyval_expression, 6, 0, 128),
  [3076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyval_expression, 6, 0, 128),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [3080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 53),
  [3082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 53),
  [3084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string_literal, 2, 0, 0),
  [3086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string_literal, 2, 0, 0),
  [3088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 5, 0, 97),
  [3090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 5, 0, 97),
  [3092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_call_expression, 6, 0, 74),
  [3094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_call_expression, 6, 0, 74),
  [3096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_call_expression, 6, 0, 129),
  [3098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_call_expression, 6, 0, 129),
  [3100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equality_expression, 6, 0, 126),
  [3102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_equality_expression, 6, 0, 126),
  [3104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_autoquoted_bareword, 1, 0, 0), REDUCE(sym_autoquoted_bareword, 2, 0, 0),
  [3107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_autoquoted_bareword, 1, 0, 0), REDUCE(sym_autoquoted_bareword, 2, 0, 0),
  [3110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_string, 2, 0, 0),
  [3112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_string, 2, 0, 0),
  [3114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relational_expression, 6, 0, 126),
  [3116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relational_expression, 6, 0, 126),
  [3118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_deref_expression, 4, 0, 0),
  [3120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_deref_expression, 4, 0, 0),
  [3122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 6, 0, 130),
  [3124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 6, 0, 130),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sort_expression, 2, 0, 19),
  [3128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sort_expression, 2, 0, 19),
  [3130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_amper_deref_expression, 4, 0, 0),
  [3132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_amper_deref_expression, 4, 0, 0),
  [3134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glob_deref_expression, 4, 0, 0),
  [3136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glob_deref_expression, 4, 0, 0),
  [3138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 6, 0, 131),
  [3140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 6, 0, 131),
  [3142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 103),
  [3144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 103),
  [3146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glob, 2, 0, 0),
  [3148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glob, 2, 0, 0),
  [3150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 6, 0, 131),
  [3152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 6, 0, 131),
  [3154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_arg, 1, 0, 0),
  [3156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_arg, 1, 0, 0),
  [3158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambiguous_function_call_expression, 4, 0, 75),
  [3160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambiguous_function_call_expression, 4, 0, 75),
  [3162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [3164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [3168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_array_expression, 2, 0, 0),
  [3170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_array_expression, 2, 0, 0),
  [3172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(1240),
  [3175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3161),
  [3178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [3180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3161),
  [3182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [3184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3151),
  [3186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(1252),
  [3189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3151),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [3196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(1380),
  [3199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3179),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [3204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [3206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(14),
  [3209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [3217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [3219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [3225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [3231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [3297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [3301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [3305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [3313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [3317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [3321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [3349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(20),
  [3352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [3354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3181),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [3360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(1589),
  [3363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3181),
  [3366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3222),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [3376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(1585),
  [3379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3222),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [3398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [3402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [3410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_preinc_expression, 2, 0, 17), SHIFT(1450),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [3431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [3433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [3435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [3437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [3439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [3441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [3445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [3447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [3449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [3455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [3505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(84),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [3516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_preinc_expression, 2, 0, 17), SHIFT(1622),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [3529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [3551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, 0, 84),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [3579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_parameter, 4, 0, 111),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [3595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(126),
  [3598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [3608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [3610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [3612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [3614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [3616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [3618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [3622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [3624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [3628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [3632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [3676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(80),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [3683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [3693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [3695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [3697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [3699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [3701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [3703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [3707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [3709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [3711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [3713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [3717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [3737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_preinc_expression, 2, 0, 17), SHIFT(1944),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [3744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(131),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [3749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [3759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [3765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [3775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [3777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [3779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [3781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [3785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [3787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [3795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [3807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_preinc_expression, 2, 0, 17), SHIFT(2015),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [3814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [3910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2657),
  [3913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2351),
  [3916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2318),
  [3919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0),
  [3921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2637),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [3938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2603),
  [3941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2359),
  [3944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2319),
  [3947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2619),
  [3950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_content, 2, 0, 0), SHIFT_REPEAT(2693),
  [3953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_content, 2, 0, 0), SHIFT_REPEAT(2451),
  [3956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_content, 2, 0, 0), SHIFT_REPEAT(2320),
  [3959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_content, 2, 0, 0),
  [3961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_content, 2, 0, 0), SHIFT_REPEAT(2684),
  [3964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_content_repeat1, 2, 0, 0), SHIFT_REPEAT(2721),
  [3967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_content_repeat1, 2, 0, 0), SHIFT_REPEAT(2516),
  [3970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_content_repeat1, 2, 0, 0), SHIFT_REPEAT(2322),
  [3973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_content_repeat1, 2, 0, 0), SHIFT_REPEAT(2722),
  [3976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_content_repeat1, 2, 0, 0),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [3990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(136),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [3995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [4009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(3523),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [4018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(3640),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [4023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(3549),
  [4026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(3559),
  [4029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(3605),
  [4032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2368),
  [4034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [4036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2387),
  [4038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [4040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [4046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2363),
  [4048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [4050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [4052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [4058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [4060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [4062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [4064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [4070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2547),
  [4072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [4074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [4076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [4082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expr, 1, 0, 0),
  [4084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expr, 1, 0, 0),
  [4086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 1, 0, 0),
  [4088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 1, 0, 0),
  [4090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lowprec_logical_expression, 3, 0, 38),
  [4092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lowprec_logical_expression, 3, 0, 38),
  [4094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__listexpr, 1, 0, 0),
  [4096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__listexpr, 1, 0, 0),
  [4098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 2, 0, 0), SHIFT_REPEAT(3451),
  [4101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 2, 0, 0), SHIFT_REPEAT(2553),
  [4104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 2, 0, 0), SHIFT_REPEAT(2710),
  [4107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 2, 0, 0),
  [4109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 2, 0, 0), SHIFT_REPEAT(2714),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [4126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__interpolations, 1, 0, 0),
  [4128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolations, 1, 0, 0),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [4162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [4164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [4166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [4170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [4172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [4174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [4178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [4188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [4190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [4192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [4194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [4198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [4200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [4202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [4204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [4208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [4210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [4212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [4214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [4216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [4218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [4220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [4222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [4226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [4228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [4230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [4240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [4242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [4244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [4248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [4250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [4252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [4260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [4262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [4264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [4268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [4270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [4272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [4294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__subscripted_interpolations, 1, 0, 5),
  [4296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__subscripted_interpolations, 1, 0, 5),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [4314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [4336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__hash_element_interpolation, 5, 0, 100),
  [4338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__hash_element_interpolation, 5, 0, 100),
  [4340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(137),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [4347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_element_interpolation, 5, 0, 102),
  [4349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_element_interpolation, 5, 0, 102),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [4353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [4393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_element_interpolation, 4, 0, 79),
  [4395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_element_interpolation, 4, 0, 79),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [4401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__subscripted_interpolations, 1, 0, 6),
  [4433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__subscripted_interpolations, 1, 0, 6),
  [4435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__hash_element_interpolation, 4, 0, 80),
  [4437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__hash_element_interpolation, 4, 0, 80),
  [4439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [4457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_element_interpolation, 4, 0, 69),
  [4459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_element_interpolation, 4, 0, 69),
  [4461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__hash_element_interpolation, 4, 0, 67),
  [4463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__hash_element_interpolation, 4, 0, 67),
  [4465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__decl_variable_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2985),
  [4468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__decl_variable_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2992),
  [4471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__decl_variable_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2863),
  [4474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__decl_variable_list_repeat1, 2, 0, 0),
  [4476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__decl_variable_list_repeat1, 2, 0, 0), SHIFT_REPEAT(394),
  [4479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__decl_variable_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3019),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [4496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [4504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 2, 0, 0), SHIFT_REPEAT(2686),
  [4507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 2, 0, 0), SHIFT_REPEAT(3698),
  [4510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 2, 0, 0),
  [4512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 2, 0, 0), SHIFT_REPEAT(2668),
  [4515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [4547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [4555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mandatory_parameter, 1, 0, 26),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [4559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [4563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [4565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2780),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [4577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [4599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [4601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 2, 0, 0), SHIFT_REPEAT(2693),
  [4604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 2, 0, 0), SHIFT_REPEAT(3625),
  [4607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 2, 0, 0), SHIFT_REPEAT(2688),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [4618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [4626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__slice_expression_interpolation, 6, 0, 128),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolation_fallbacks, 1, 0, 0),
  [4634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__nonvar_interpolation_fallbacks, 1, 0, 4),
  [4636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolation_fallbacks, 4, 0, 48),
  [4638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolations, 1, 0, 7),
  [4640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quotelike_begin, 1, 0, 0),
  [4642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_scalar, 3, 0, 0),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [4650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(140),
  [4653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2846),
  [4655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 1, 0, 0),
  [4657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolation_fallbacks, 2, 0, 0),
  [4659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__slice_expression_interpolation, 4, 0, 81),
  [4661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__slice_expression_interpolation, 4, 0, 82),
  [4663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolation_fallbacks, 3, 0, 48),
  [4665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_array, 3, 0, 0),
  [4667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__slice_expression_interpolation, 6, 0, 127),
  [4669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3157),
  [4671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [4675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [4679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [4685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__search_slash, 1, 0, 0),
  [4687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [4697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(2788),
  [4700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3143),
  [4703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_scalar, 2, 0, 0),
  [4705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quotation_mark, 1, 0, 0),
  [4707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 1, 0, 0),
  [4709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3208),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [4723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3143),
  [4725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_loop_expression, 3, 0, 40),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [4729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_content, 1, 0, 0),
  [4731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_varname, 1, 0, 9),
  [4733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quotelike_middle, 2, 0, 0),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [4743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__backtick, 1, 0, 0),
  [4745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(2780),
  [4748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3208),
  [4751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_parameter, 2, 0, 0),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [4755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_for_expression, 3, 0, 39),
  [4757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_conditional_expression, 3, 0, 40),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [4767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3166),
  [4769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slurpy_parameter, 1, 0, 27),
  [4771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slurpy_parameter, 1, 0, 28),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [4777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_content_repeat1, 1, 0, 0),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [4783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(2846),
  [4786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3166),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [4947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 1, 0, 0),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [4987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__decl_variable_list_repeat1, 1, 0, 0),
  [4989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yadayada, 1, 0, 0),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [4995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [5005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postfix_expressions, 1, 0, 0),
  [5007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_array, 2, 0, 0),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [5017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_hash, 2, 0, 0),
  [5019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_vars, 1, 0, 0),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [5053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 3, 0, 0),
  [5055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [5057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3502),
  [5059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [5061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3511),
  [5063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [5065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3556),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [5071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [5073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [5075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3676),
  [5077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__for_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(2517),
  [5080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__for_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(3311),
  [5083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__for_initializer_repeat1, 2, 0, 0),
  [5085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_declaration_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3066),
  [5088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subroutine_declaration_statement_repeat1, 2, 0, 0),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [5092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [5094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__noninterpolated_string_content, 2, 0, 0),
  [5096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__noninterpolated_string_content, 2, 0, 0), SHIFT_REPEAT(3113),
  [5099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__noninterpolated_string_content, 2, 0, 0), SHIFT_REPEAT(3202),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [5104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [5110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [5112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [5114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [5116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(368),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [5135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [5137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3463),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [5151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(376),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [5156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [5158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [5164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [5166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [5170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [5178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [5184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interp_arrow, 1, 0, 0),
  [5186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__interp_arrow, 1, 0, 0), SHIFT(3608),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [5191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__interp_arrow, 1, 0, 0), SHIFT(3526),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [5196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [5198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [5202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [5206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [5210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [5212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [5216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [5218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [5220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [5222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [5224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subroutine_declaration_statement_repeat1, 1, 0, 0),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [5228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [5230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [5236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [5238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [5240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [5242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [5246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [5248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [5250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [5252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [5254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [5256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [5258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [5266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [5272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [5274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [5276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [5278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [5280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [5282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [5284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [5286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__noninterpolated_string_content, 1, 0, 0),
  [5288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [5290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [5292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [5294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__apostrophe, 1, 0, 0),
  [5296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [5298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [5300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [5302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [5304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [5306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__interp_arrow, 1, 0, 0), SHIFT(3466),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [5323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [5351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__hash_key, 1, 0, 0),
  [5353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [5357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [5361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [5369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [5373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [5387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [5391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [5393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [5397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [5399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__interp_arrow, 1, 0, 0), SHIFT(3666),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [5404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [5406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [5408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [5410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [5412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [5414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [5416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [5418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [5420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [5422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [5424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [5426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [5428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [5432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [5436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [5440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [5442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [5444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [5462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [5464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [5466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [5468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [5474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [5482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2936),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [5486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [5492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [5498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__for_initializer_repeat1, 1, 0, 0),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [5502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [5504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [5510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [5512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [5516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [5518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [5520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [5522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [5524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [5528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [5530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [5532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [5534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [5536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [5538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [5540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [5542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [5544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [5546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [5548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [5550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [5560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [5564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [5568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [5574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [5576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [5588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [5594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [5604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [5610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quotelike_middle_close, 1, 0, 0),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [5620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [5622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [5624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [5634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [5644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [5650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [5654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [5664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [5690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [5710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_initializer, 1, 0, 21),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [5716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tricky_list, 3, 0, 0),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [5730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_initializer, 2, 0, 10),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [5738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2, 0, 0),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [5774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3486),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [5778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [5780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [5784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [5790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_initializer, 5, 0, 118),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [5794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__brace_autoquoted, 1, 0, 41),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [5818] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [5840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [5872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 2, 0, 0),
  [5874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3661),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [5884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [5910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [5912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [5918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_initializer, 4, 0, 92),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [5924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_initializer, 3, 0, 61),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [5938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [5946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [5948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [5950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [5952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [5954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [5962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3589),
  [5964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [5986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [5990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [5996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [6008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 3, 0, 0),
  [6010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [6064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [6068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [6070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [6072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [6074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [6076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [6080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_content, 2, 0, 0),
  [6082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_content, 3, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__single_quote = 0,
  ts_external_token__double_quote = 1,
  ts_external_token__backtick_quote = 2,
  ts_external_token__search_slash_quote = 3,
  ts_external_token__no_search_slash_plz = 4,
  ts_external_token__PERLY_SEMICOLON = 5,
  ts_external_token__PERLY_HEREDOC = 6,
  ts_external_token__ctrl_z_hack = 7,
  ts_external_token__quotelike_begin_quote = 8,
  ts_external_token__quotelike_middle_close_quote = 9,
  ts_external_token__quotelike_middle_skip = 10,
  ts_external_token__quotelike_end_zw = 11,
  ts_external_token__quotelike_end_quote = 12,
  ts_external_token__q_string_content = 13,
  ts_external_token__qq_string_content = 14,
  ts_external_token_escape_sequence = 15,
  ts_external_token_escaped_delimiter = 16,
  ts_external_token__dollar_in_regexp = 17,
  ts_external_token_pod = 18,
  ts_external_token__gobbled_content = 19,
  ts_external_token__attribute_value_begin = 20,
  ts_external_token_attribute_value = 21,
  ts_external_token_prototype = 22,
  ts_external_token__signature_start = 23,
  ts_external_token__heredoc_delimiter = 24,
  ts_external_token__command_heredoc_delimiter = 25,
  ts_external_token__heredoc_start = 26,
  ts_external_token__heredoc_middle = 27,
  ts_external_token_heredoc_end = 28,
  ts_external_token__fat_comma_autoquoted = 29,
  ts_external_token__filetest = 30,
  ts_external_token__brace_autoquoted_token = 31,
  ts_external_token__brace_end_zw = 32,
  ts_external_token__dollar_ident_zw = 33,
  ts_external_token__no_interp_whitespace_zw = 34,
  ts_external_token__NONASSOC = 35,
  ts_external_token__ERROR = 36,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__single_quote] = sym__single_quote,
  [ts_external_token__double_quote] = sym__double_quote,
  [ts_external_token__backtick_quote] = sym__backtick_quote,
  [ts_external_token__search_slash_quote] = sym__search_slash_quote,
  [ts_external_token__no_search_slash_plz] = sym__no_search_slash_plz,
  [ts_external_token__PERLY_SEMICOLON] = sym__PERLY_SEMICOLON,
  [ts_external_token__PERLY_HEREDOC] = sym__PERLY_HEREDOC,
  [ts_external_token__ctrl_z_hack] = sym__ctrl_z_hack,
  [ts_external_token__quotelike_begin_quote] = sym__quotelike_begin_quote,
  [ts_external_token__quotelike_middle_close_quote] = sym__quotelike_middle_close_quote,
  [ts_external_token__quotelike_middle_skip] = sym__quotelike_middle_skip,
  [ts_external_token__quotelike_end_zw] = sym__quotelike_end_zw,
  [ts_external_token__quotelike_end_quote] = sym__quotelike_end_quote,
  [ts_external_token__q_string_content] = sym__q_string_content,
  [ts_external_token__qq_string_content] = sym__qq_string_content,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token_escaped_delimiter] = sym_escaped_delimiter,
  [ts_external_token__dollar_in_regexp] = sym__dollar_in_regexp,
  [ts_external_token_pod] = sym_pod,
  [ts_external_token__gobbled_content] = sym__gobbled_content,
  [ts_external_token__attribute_value_begin] = sym__attribute_value_begin,
  [ts_external_token_attribute_value] = sym_attribute_value,
  [ts_external_token_prototype] = sym_prototype,
  [ts_external_token__signature_start] = sym__signature_start,
  [ts_external_token__heredoc_delimiter] = sym__heredoc_delimiter,
  [ts_external_token__command_heredoc_delimiter] = sym__command_heredoc_delimiter,
  [ts_external_token__heredoc_start] = sym__heredoc_start,
  [ts_external_token__heredoc_middle] = sym__heredoc_middle,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token__fat_comma_autoquoted] = sym__fat_comma_autoquoted,
  [ts_external_token__filetest] = sym__filetest,
  [ts_external_token__brace_autoquoted_token] = sym__brace_autoquoted_token,
  [ts_external_token__brace_end_zw] = sym__brace_end_zw,
  [ts_external_token__dollar_ident_zw] = sym__dollar_ident_zw,
  [ts_external_token__no_interp_whitespace_zw] = sym__no_interp_whitespace_zw,
  [ts_external_token__NONASSOC] = sym__NONASSOC,
  [ts_external_token__ERROR] = sym__ERROR,
};

static const bool ts_external_scanner_states[44][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__no_search_slash_plz] = true,
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token__ctrl_z_hack] = true,
    [ts_external_token__quotelike_begin_quote] = true,
    [ts_external_token__quotelike_middle_close_quote] = true,
    [ts_external_token__quotelike_middle_skip] = true,
    [ts_external_token__quotelike_end_zw] = true,
    [ts_external_token__quotelike_end_quote] = true,
    [ts_external_token__q_string_content] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token__dollar_in_regexp] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__gobbled_content] = true,
    [ts_external_token__attribute_value_begin] = true,
    [ts_external_token_attribute_value] = true,
    [ts_external_token_prototype] = true,
    [ts_external_token__signature_start] = true,
    [ts_external_token__heredoc_delimiter] = true,
    [ts_external_token__command_heredoc_delimiter] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__heredoc_middle] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
    [ts_external_token__brace_autoquoted_token] = true,
    [ts_external_token__brace_end_zw] = true,
    [ts_external_token__dollar_ident_zw] = true,
    [ts_external_token__no_interp_whitespace_zw] = true,
    [ts_external_token__NONASSOC] = true,
    [ts_external_token__ERROR] = true,
  },
  [2] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token__ctrl_z_hack] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
  },
  [3] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token__ctrl_z_hack] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
  },
  [4] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
  },
  [5] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
    [ts_external_token__brace_autoquoted_token] = true,
  },
  [6] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
  },
  [7] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
    [ts_external_token__NONASSOC] = true,
  },
  [8] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__no_search_slash_plz] = true,
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token__ctrl_z_hack] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
  },
  [9] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token__ctrl_z_hack] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
    [ts_external_token__brace_end_zw] = true,
  },
  [10] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__no_search_slash_plz] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
  },
  [11] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__no_search_slash_plz] = true,
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
  },
  [12] = {
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__ctrl_z_hack] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [13] = {
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__ctrl_z_hack] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__attribute_value_begin] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [14] = {
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [15] = {
    [ts_external_token_pod] = true,
    [ts_external_token__attribute_value_begin] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [16] = {
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [17] = {
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__attribute_value_begin] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [18] = {
    [ts_external_token__quotelike_middle_close_quote] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token__dollar_in_regexp] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [19] = {
    [ts_external_token__quotelike_end_quote] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token__dollar_in_regexp] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [20] = {
    [ts_external_token__quotelike_end_quote] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [21] = {
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__heredoc_middle] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [22] = {
    [ts_external_token__quotelike_end_zw] = true,
    [ts_external_token__quotelike_end_quote] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__no_interp_whitespace_zw] = true,
  },
  [23] = {
    [ts_external_token__quotelike_middle_close_quote] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token__dollar_in_regexp] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__NONASSOC] = true,
  },
  [24] = {
    [ts_external_token__quotelike_end_quote] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token__dollar_in_regexp] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__NONASSOC] = true,
  },
  [25] = {
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__dollar_ident_zw] = true,
  },
  [26] = {
    [ts_external_token__quotelike_middle_close_quote] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [27] = {
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__no_interp_whitespace_zw] = true,
  },
  [28] = {
    [ts_external_token__quotelike_end_quote] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__NONASSOC] = true,
  },
  [29] = {
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__heredoc_middle] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token__NONASSOC] = true,
  },
  [30] = {
    [ts_external_token_pod] = true,
    [ts_external_token_prototype] = true,
    [ts_external_token__signature_start] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [31] = {
    [ts_external_token_pod] = true,
    [ts_external_token__signature_start] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [32] = {
    [ts_external_token_pod] = true,
    [ts_external_token__attribute_value_begin] = true,
    [ts_external_token_prototype] = true,
    [ts_external_token__signature_start] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [33] = {
    [ts_external_token__quotelike_middle_close_quote] = true,
    [ts_external_token__q_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [34] = {
    [ts_external_token__quotelike_end_quote] = true,
    [ts_external_token__q_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [35] = {
    [ts_external_token_pod] = true,
    [ts_external_token__attribute_value_begin] = true,
    [ts_external_token__signature_start] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [36] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__quotelike_begin_quote] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [37] = {
    [ts_external_token__quotelike_begin_quote] = true,
    [ts_external_token__quotelike_middle_skip] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [38] = {
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_delimiter] = true,
    [ts_external_token__command_heredoc_delimiter] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [39] = {
    [ts_external_token__quotelike_begin_quote] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [40] = {
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__brace_end_zw] = true,
  },
  [41] = {
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__ERROR] = true,
  },
  [42] = {
    [ts_external_token_pod] = true,
    [ts_external_token__gobbled_content] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [43] = {
    [ts_external_token_pod] = true,
    [ts_external_token_attribute_value] = true,
    [ts_external_token__heredoc_start] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_perl_external_scanner_create(void);
void tree_sitter_perl_external_scanner_destroy(void *);
bool tree_sitter_perl_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_perl_external_scanner_serialize(void *, char *);
void tree_sitter_perl_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_perl(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_perl_external_scanner_create,
      tree_sitter_perl_external_scanner_destroy,
      tree_sitter_perl_external_scanner_scan,
      tree_sitter_perl_external_scanner_serialize,
      tree_sitter_perl_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
